#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 22471
#define LARGE_STATE_COUNT 3020
#define SYMBOL_COUNT 418
#define ALIAS_COUNT 12
#define TOKEN_COUNT 143
#define EXTERNAL_TOKEN_COUNT 6
#define FIELD_COUNT 13
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 136

enum ts_symbol_identifiers {
  sym__identifier = 1,
  sym_shebang = 2,
  anon_sym_SEMI_SEMI = 3,
  anon_sym_let = 4,
  anon_sym_rec = 5,
  anon_sym_and = 6,
  anon_sym_COLON_GT = 7,
  anon_sym_EQ = 8,
  anon_sym_TILDE = 9,
  anon_sym_QMARK = 10,
  anon_sym_COLON = 11,
  anon_sym_LPAREN = 12,
  anon_sym_RPAREN = 13,
  anon_sym_external = 14,
  anon_sym_type = 15,
  anon_sym_nonrec = 16,
  anon_sym_private = 17,
  anon_sym_DOT_DOT = 18,
  anon_sym_PLUS_EQ = 19,
  anon_sym_COMMA = 20,
  anon_sym_PLUS = 21,
  anon_sym_BANG = 22,
  anon_sym_DASH = 23,
  anon_sym__ = 24,
  anon_sym_COLON_EQ = 25,
  anon_sym_PIPE = 26,
  anon_sym_LBRACK = 27,
  anon_sym_RBRACK = 28,
  anon_sym_true = 29,
  anon_sym_false = 30,
  anon_sym_of = 31,
  anon_sym_COLON2 = 32,
  anon_sym_DOT = 33,
  anon_sym_DASH_GT = 34,
  anon_sym_STAR = 35,
  anon_sym_LBRACE = 36,
  anon_sym_SEMI = 37,
  anon_sym_RBRACE = 38,
  anon_sym_mutable = 39,
  anon_sym_constraint = 40,
  anon_sym_exception = 41,
  anon_sym_module = 42,
  anon_sym_open = 43,
  anon_sym_include = 44,
  anon_sym_class = 45,
  anon_sym_virtual = 46,
  anon_sym_val = 47,
  anon_sym_sig = 48,
  anon_sym_end = 49,
  anon_sym_with = 50,
  anon_sym_functor = 51,
  anon_sym_struct = 52,
  anon_sym_object = 53,
  anon_sym_inherit = 54,
  anon_sym_method = 55,
  anon_sym_in = 56,
  anon_sym_fun = 57,
  anon_sym_as = 58,
  anon_sym_initializer = 59,
  anon_sym_LBRACK_GT = 60,
  anon_sym_LBRACK_LT = 61,
  anon_sym_GT = 62,
  anon_sym_AMP = 63,
  anon_sym_LT = 64,
  anon_sym_POUND = 65,
  anon_sym_COLON_COLON = 66,
  anon_sym_LBRACK_PIPE = 67,
  anon_sym_PIPE_RBRACK = 68,
  anon_sym_LT_DASH = 69,
  anon_sym_if = 70,
  anon_sym_then = 71,
  anon_sym_else = 72,
  anon_sym_while = 73,
  anon_sym_do = 74,
  anon_sym_done = 75,
  anon_sym_for = 76,
  anon_sym_to = 77,
  anon_sym_downto = 78,
  anon_sym_match = 79,
  anon_sym_when = 80,
  anon_sym_function = 81,
  anon_sym_try = 82,
  anon_sym_assert = 83,
  anon_sym_lazy = 84,
  anon_sym_new = 85,
  anon_sym_LBRACE_LT = 86,
  anon_sym_GT_RBRACE = 87,
  anon_sym_begin = 88,
  sym_ocamlyacc_value = 89,
  aux_sym_attribute_token1 = 90,
  anon_sym_LBRACK_AT_AT = 91,
  anon_sym_LBRACK_AT_AT_AT = 92,
  anon_sym_LBRACK_PERCENT = 93,
  anon_sym_LBRACE_PERCENT = 94,
  aux_sym_quoted_extension_token1 = 95,
  anon_sym_LBRACK_PERCENT_PERCENT = 96,
  anon_sym_LBRACE_PERCENT_PERCENT = 97,
  anon_sym_PERCENT = 98,
  aux_sym_number_token1 = 99,
  aux_sym_signed_number_token1 = 100,
  anon_sym_SQUOTE = 101,
  anon_sym_SQUOTE2 = 102,
  aux_sym_character_content_token1 = 103,
  aux_sym_character_content_token2 = 104,
  anon_sym_DQUOTE = 105,
  aux_sym_string_content_token1 = 106,
  aux_sym_string_content_token2 = 107,
  aux_sym_string_content_token3 = 108,
  aux_sym_string_content_token4 = 109,
  aux_sym_string_content_token5 = 110,
  aux_sym_quoted_string_content_token1 = 111,
  aux_sym_escape_sequence_token1 = 112,
  aux_sym_escape_sequence_token2 = 113,
  aux_sym_escape_sequence_token3 = 114,
  aux_sym_escape_sequence_token4 = 115,
  sym_conversion_specification = 116,
  sym_pretty_printing_indication = 117,
  sym_prefix_operator = 118,
  aux_sym_sign_operator_token1 = 119,
  sym_hash_operator = 120,
  sym_pow_operator = 121,
  sym_mult_operator = 122,
  aux_sym_add_operator_token1 = 123,
  sym_concat_operator = 124,
  sym_rel_operator = 125,
  sym_and_operator = 126,
  sym_or_operator = 127,
  sym_assign_operator = 128,
  sym_indexing_operator = 129,
  sym_let_operator = 130,
  sym_let_and_operator = 131,
  sym_match_operator = 132,
  sym__capitalized_identifier = 133,
  aux_sym_directive_token1 = 134,
  aux_sym_type_variable_token1 = 135,
  aux_sym_tag_token1 = 136,
  aux_sym_attribute_id_token1 = 137,
  sym_comment = 138,
  sym__left_quoted_string_delimiter = 139,
  sym__right_quoted_string_delimiter = 140,
  sym_line_number_directive = 141,
  sym__null = 142,
  sym_compilation_unit = 143,
  sym__structure = 144,
  sym_expression_item = 145,
  sym__signature = 146,
  sym_toplevel_directive = 147,
  sym__structure_item = 148,
  sym_value_definition = 149,
  sym_let_binding = 150,
  sym_parameter = 151,
  sym_external = 152,
  sym_type_definition = 153,
  sym_type_binding = 154,
  sym__type_params = 155,
  sym__type_param = 156,
  sym__type_equation = 157,
  sym_variant_declaration = 158,
  sym_constructor_declaration = 159,
  sym__constructor_argument = 160,
  sym_record_declaration = 161,
  sym_field_declaration = 162,
  sym_type_constraint = 163,
  sym_exception_definition = 164,
  sym_module_definition = 165,
  sym_module_binding = 166,
  sym_module_parameter = 167,
  sym_module_type_definition = 168,
  sym_open_module = 169,
  sym_include_module = 170,
  sym_class_definition = 171,
  sym_class_binding = 172,
  sym_class_type_definition = 173,
  sym_class_type_binding = 174,
  sym__signature_item = 175,
  sym_value_specification = 176,
  sym_include_module_type = 177,
  sym__module_typed = 178,
  sym__module_type = 179,
  sym_signature = 180,
  sym_module_type_constraint = 181,
  sym_constrain_type = 182,
  sym_constrain_module = 183,
  sym_constrain_module_type = 184,
  sym_module_type_of = 185,
  sym_functor_type = 186,
  sym_parenthesized_module_type = 187,
  sym__simple_module_expression = 188,
  sym__module_expression = 189,
  sym_structure = 190,
  sym_functor = 191,
  sym_module_application = 192,
  sym_typed_module_expression = 193,
  sym_packed_module = 194,
  sym_parenthesized_module_expression = 195,
  sym__class_typed = 196,
  sym__simple_class_type = 197,
  sym__class_type = 198,
  sym_instantiated_class_type = 199,
  sym_class_body_type = 200,
  sym__class_field_specification = 201,
  sym_inheritance_specification = 202,
  sym_instance_variable_specification = 203,
  sym_method_specification = 204,
  sym_type_parameter_constraint = 205,
  sym_let_open_class_type = 206,
  sym_class_function_type = 207,
  sym__simple_class_expression = 208,
  sym__class_expression = 209,
  sym_instantiated_class = 210,
  sym_typed_class_expression = 211,
  sym_class_function = 212,
  sym_class_application = 213,
  sym_let_class_expression = 214,
  sym__class_field = 215,
  sym_inheritance_definition = 216,
  sym_instance_variable_definition = 217,
  sym_method_definition = 218,
  sym_class_initializer = 219,
  sym_let_open_class_expression = 220,
  sym_parenthesized_class_expression = 221,
  sym__typed = 222,
  sym__simple_typed = 223,
  sym__polymorphic_typed = 224,
  sym__polymorphic_type = 225,
  sym_polymorphic_type = 226,
  sym__abstract_type = 227,
  sym__parenthesized_abstract_type = 228,
  sym__simple_type = 229,
  sym__tuple_type = 230,
  sym__type = 231,
  sym_function_type = 232,
  sym_typed_label = 233,
  sym_tuple_type = 234,
  sym_constructed_type = 235,
  sym_aliased_type = 236,
  sym_local_open_type = 237,
  sym_polymorphic_variant_type = 238,
  sym__tag_spec = 239,
  sym_tag_specification = 240,
  sym_package_type = 241,
  sym_object_type = 242,
  sym_method_type = 243,
  sym_hash_type = 244,
  sym_parenthesized_type = 245,
  sym__simple_expression = 246,
  sym__expression = 247,
  sym__sequence_expression = 248,
  sym_typed_expression = 249,
  sym_product_expression = 250,
  sym_cons_expression = 251,
  sym_list_expression = 252,
  sym_array_expression = 253,
  sym_record_expression = 254,
  sym_field_expression = 255,
  sym_application_expression = 256,
  sym_labeled_argument = 257,
  sym_prefix_expression = 258,
  sym_sign_expression = 259,
  sym_hash_expression = 260,
  sym_infix_expression = 261,
  sym_field_get_expression = 262,
  sym_array_get_expression = 263,
  sym_string_get_expression = 264,
  sym_bigarray_get_expression = 265,
  sym_set_expression = 266,
  sym_if_expression = 267,
  sym_then_clause = 268,
  sym_else_clause = 269,
  sym_while_expression = 270,
  sym_do_clause = 271,
  sym_for_expression = 272,
  sym_sequence_expression = 273,
  sym_match_expression = 274,
  sym__match_cases = 275,
  sym_match_case = 276,
  sym_guard = 277,
  sym_refutation_case = 278,
  sym_function_expression = 279,
  sym_fun_expression = 280,
  sym_try_expression = 281,
  sym_let_expression = 282,
  sym_coercion_expression = 283,
  sym_assert_expression = 284,
  sym_lazy_expression = 285,
  sym_let_module_expression = 286,
  sym_let_open_expression = 287,
  sym_local_open_expression = 288,
  sym_package_expression = 289,
  sym_let_exception_expression = 290,
  sym_new_expression = 291,
  sym_object_copy_expression = 292,
  sym_instance_variable_expression = 293,
  sym_method_invocation = 294,
  sym_object_expression = 295,
  sym_parenthesized_expression = 296,
  sym__simple_pattern = 297,
  sym__pattern = 298,
  sym__binding_pattern = 299,
  sym_alias_pattern = 300,
  sym_alias_binding_pattern = 301,
  sym_typed_pattern = 302,
  sym_typed_binding_pattern = 303,
  sym_or_pattern = 304,
  sym_or_binding_pattern = 305,
  sym_constructor_pattern = 306,
  sym_constructor_binding_pattern = 307,
  sym_tag_pattern = 308,
  sym_tag_binding_pattern = 309,
  sym_polymorphic_variant_pattern = 310,
  sym_tuple_pattern = 311,
  sym_tuple_binding_pattern = 312,
  sym_record_pattern = 313,
  sym_field_pattern = 314,
  sym_record_binding_pattern = 315,
  sym_field_binding_pattern = 316,
  sym_list_pattern = 317,
  sym_list_binding_pattern = 318,
  sym_cons_pattern = 319,
  sym_cons_binding_pattern = 320,
  sym_array_pattern = 321,
  sym_array_binding_pattern = 322,
  sym_range_pattern = 323,
  sym_lazy_pattern = 324,
  sym_lazy_binding_pattern = 325,
  sym_local_open_pattern = 326,
  sym_local_open_binding_pattern = 327,
  sym_package_pattern = 328,
  sym_parenthesized_pattern = 329,
  sym_parenthesized_binding_pattern = 330,
  sym_exception_pattern = 331,
  sym_attribute = 332,
  sym_item_attribute = 333,
  sym_floating_attribute = 334,
  sym_attribute_payload = 335,
  sym_extension = 336,
  sym_quoted_extension = 337,
  sym_item_extension = 338,
  sym_quoted_item_extension = 339,
  sym__attribute = 340,
  sym__constant = 341,
  sym__signed_constant = 342,
  sym_number = 343,
  sym_signed_number = 344,
  sym_character = 345,
  sym_character_content = 346,
  sym_string = 347,
  sym_string_content = 348,
  sym_quoted_string = 349,
  sym__quoted_string = 350,
  sym_quoted_string_content = 351,
  sym_escape_sequence = 352,
  sym_boolean = 353,
  sym_unit = 354,
  sym_sign_operator = 355,
  sym__infix_operator = 356,
  sym_add_operator = 357,
  sym_indexing_operator_path = 358,
  sym__value_name = 359,
  sym__simple_value_pattern = 360,
  sym_parenthesized_operator = 361,
  sym_value_path = 362,
  sym_module_path = 363,
  sym_extended_module_path = 364,
  sym_module_type_path = 365,
  sym_field_path = 366,
  sym_constructor_path = 367,
  sym_type_constructor_path = 368,
  sym_class_path = 369,
  sym_class_type_path = 370,
  sym__instance_variable_name = 371,
  sym__constructor_name = 372,
  sym_directive = 373,
  sym_type_variable = 374,
  sym_tag = 375,
  sym_attribute_id = 376,
  aux_sym__structure_repeat1 = 377,
  aux_sym__structure_repeat2 = 378,
  aux_sym_expression_item_repeat1 = 379,
  aux_sym__signature_repeat1 = 380,
  aux_sym_value_definition_repeat1 = 381,
  aux_sym_let_binding_repeat1 = 382,
  aux_sym_external_repeat1 = 383,
  aux_sym_type_definition_repeat1 = 384,
  aux_sym_type_binding_repeat1 = 385,
  aux_sym__type_params_repeat1 = 386,
  aux_sym_variant_declaration_repeat1 = 387,
  aux_sym_constructor_declaration_repeat1 = 388,
  aux_sym__constructor_argument_repeat1 = 389,
  aux_sym_record_declaration_repeat1 = 390,
  aux_sym_module_definition_repeat1 = 391,
  aux_sym_module_binding_repeat1 = 392,
  aux_sym_class_definition_repeat1 = 393,
  aux_sym_class_type_definition_repeat1 = 394,
  aux_sym_module_type_constraint_repeat1 = 395,
  aux_sym_instantiated_class_type_repeat1 = 396,
  aux_sym_class_body_type_repeat1 = 397,
  aux_sym_instance_variable_specification_repeat1 = 398,
  aux_sym_method_specification_repeat1 = 399,
  aux_sym_class_application_repeat1 = 400,
  aux_sym__abstract_type_repeat1 = 401,
  aux_sym_polymorphic_variant_type_repeat1 = 402,
  aux_sym_polymorphic_variant_type_repeat2 = 403,
  aux_sym_tag_specification_repeat1 = 404,
  aux_sym_object_type_repeat1 = 405,
  aux_sym_list_expression_repeat1 = 406,
  aux_sym_record_expression_repeat1 = 407,
  aux_sym__match_cases_repeat1 = 408,
  aux_sym_object_copy_expression_repeat1 = 409,
  aux_sym_object_expression_repeat1 = 410,
  aux_sym_record_pattern_repeat1 = 411,
  aux_sym_record_binding_pattern_repeat1 = 412,
  aux_sym_list_pattern_repeat1 = 413,
  aux_sym_list_binding_pattern_repeat1 = 414,
  aux_sym_string_content_repeat1 = 415,
  aux_sym_quoted_string_content_repeat1 = 416,
  aux_sym_attribute_id_repeat1 = 417,
  alias_sym_class_name = 418,
  alias_sym_class_type_name = 419,
  alias_sym_constructor_name = 420,
  alias_sym_field_name = 421,
  alias_sym_instance_variable_name = 422,
  alias_sym_label_name = 423,
  alias_sym_method_name = 424,
  alias_sym_module_name = 425,
  alias_sym_module_type_name = 426,
  alias_sym_type_constructor = 427,
  alias_sym_value_name = 428,
  alias_sym_value_pattern = 429,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__identifier] = "_identifier",
  [sym_shebang] = "shebang",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_let] = "let",
  [anon_sym_rec] = "rec",
  [anon_sym_and] = "and",
  [anon_sym_COLON_GT] = ":>",
  [anon_sym_EQ] = "=",
  [anon_sym_TILDE] = "~",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON] = ":",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_external] = "external",
  [anon_sym_type] = "type",
  [anon_sym_nonrec] = "nonrec",
  [anon_sym_private] = "private",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_COMMA] = ",",
  [anon_sym_PLUS] = "+",
  [anon_sym_BANG] = "!",
  [anon_sym_DASH] = "-",
  [anon_sym__] = "_",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PIPE] = "|",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_of] = "of",
  [anon_sym_COLON2] = ":",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR] = "*",
  [anon_sym_LBRACE] = "{",
  [anon_sym_SEMI] = ";",
  [anon_sym_RBRACE] = "}",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constraint] = "constraint",
  [anon_sym_exception] = "exception",
  [anon_sym_module] = "module",
  [anon_sym_open] = "open",
  [anon_sym_include] = "include",
  [anon_sym_class] = "class",
  [anon_sym_virtual] = "virtual",
  [anon_sym_val] = "val",
  [anon_sym_sig] = "sig",
  [anon_sym_end] = "end",
  [anon_sym_with] = "with",
  [anon_sym_functor] = "functor",
  [anon_sym_struct] = "struct",
  [anon_sym_object] = "object",
  [anon_sym_inherit] = "inherit",
  [anon_sym_method] = "method",
  [anon_sym_in] = "in",
  [anon_sym_fun] = "fun",
  [anon_sym_as] = "as",
  [anon_sym_initializer] = "initializer",
  [anon_sym_LBRACK_GT] = "[>",
  [anon_sym_LBRACK_LT] = "[<",
  [anon_sym_GT] = ">",
  [anon_sym_AMP] = "&",
  [anon_sym_LT] = "<",
  [anon_sym_POUND] = "#",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_PIPE] = "[|",
  [anon_sym_PIPE_RBRACK] = "|]",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_else] = "else",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_for] = "for",
  [anon_sym_to] = "to",
  [anon_sym_downto] = "downto",
  [anon_sym_match] = "match",
  [anon_sym_when] = "when",
  [anon_sym_function] = "function",
  [anon_sym_try] = "try",
  [anon_sym_assert] = "assert",
  [anon_sym_lazy] = "lazy",
  [anon_sym_new] = "new",
  [anon_sym_LBRACE_LT] = "{<",
  [anon_sym_GT_RBRACE] = ">}",
  [anon_sym_begin] = "begin",
  [sym_ocamlyacc_value] = "ocamlyacc_value",
  [aux_sym_attribute_token1] = "[@",
  [anon_sym_LBRACK_AT_AT] = "[@@",
  [anon_sym_LBRACK_AT_AT_AT] = "[@@@",
  [anon_sym_LBRACK_PERCENT] = "[%",
  [anon_sym_LBRACE_PERCENT] = "{%",
  [aux_sym_quoted_extension_token1] = "quoted_extension_token1",
  [anon_sym_LBRACK_PERCENT_PERCENT] = "[%%",
  [anon_sym_LBRACE_PERCENT_PERCENT] = "{%%",
  [anon_sym_PERCENT] = "%",
  [aux_sym_number_token1] = "number_token1",
  [aux_sym_signed_number_token1] = "signed_number_token1",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_SQUOTE2] = "'",
  [aux_sym_character_content_token1] = "character_content_token1",
  [aux_sym_character_content_token2] = "character_content_token2",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_content_token1] = "string_content_token1",
  [aux_sym_string_content_token2] = "string_content_token2",
  [aux_sym_string_content_token3] = "string_content_token3",
  [aux_sym_string_content_token4] = "escape_sequence",
  [aux_sym_string_content_token5] = "escape_sequence",
  [aux_sym_quoted_string_content_token1] = "quoted_string_content_token1",
  [aux_sym_escape_sequence_token1] = "escape_sequence_token1",
  [aux_sym_escape_sequence_token2] = "escape_sequence_token2",
  [aux_sym_escape_sequence_token3] = "escape_sequence_token3",
  [aux_sym_escape_sequence_token4] = "escape_sequence_token4",
  [sym_conversion_specification] = "conversion_specification",
  [sym_pretty_printing_indication] = "pretty_printing_indication",
  [sym_prefix_operator] = "prefix_operator",
  [aux_sym_sign_operator_token1] = "sign_operator_token1",
  [sym_hash_operator] = "hash_operator",
  [sym_pow_operator] = "pow_operator",
  [sym_mult_operator] = "mult_operator",
  [aux_sym_add_operator_token1] = "add_operator_token1",
  [sym_concat_operator] = "concat_operator",
  [sym_rel_operator] = "rel_operator",
  [sym_and_operator] = "and_operator",
  [sym_or_operator] = "or_operator",
  [sym_assign_operator] = "assign_operator",
  [sym_indexing_operator] = "indexing_operator",
  [sym_let_operator] = "let_operator",
  [sym_let_and_operator] = "let_and_operator",
  [sym_match_operator] = "match_operator",
  [sym__capitalized_identifier] = "_capitalized_identifier",
  [aux_sym_directive_token1] = "directive_token1",
  [aux_sym_type_variable_token1] = "type_variable_token1",
  [aux_sym_tag_token1] = "tag_token1",
  [aux_sym_attribute_id_token1] = "attribute_id_token1",
  [sym_comment] = "comment",
  [sym__left_quoted_string_delimiter] = "_left_quoted_string_delimiter",
  [sym__right_quoted_string_delimiter] = "_right_quoted_string_delimiter",
  [sym_line_number_directive] = "line_number_directive",
  [sym__null] = "_null",
  [sym_compilation_unit] = "compilation_unit",
  [sym__structure] = "_structure",
  [sym_expression_item] = "expression_item",
  [sym__signature] = "_signature",
  [sym_toplevel_directive] = "toplevel_directive",
  [sym__structure_item] = "_structure_item",
  [sym_value_definition] = "value_definition",
  [sym_let_binding] = "let_binding",
  [sym_parameter] = "parameter",
  [sym_external] = "external",
  [sym_type_definition] = "type_definition",
  [sym_type_binding] = "type_binding",
  [sym__type_params] = "_type_params",
  [sym__type_param] = "_type_param",
  [sym__type_equation] = "_type_equation",
  [sym_variant_declaration] = "variant_declaration",
  [sym_constructor_declaration] = "constructor_declaration",
  [sym__constructor_argument] = "_constructor_argument",
  [sym_record_declaration] = "record_declaration",
  [sym_field_declaration] = "field_declaration",
  [sym_type_constraint] = "type_constraint",
  [sym_exception_definition] = "exception_definition",
  [sym_module_definition] = "module_definition",
  [sym_module_binding] = "module_binding",
  [sym_module_parameter] = "module_parameter",
  [sym_module_type_definition] = "module_type_definition",
  [sym_open_module] = "open_module",
  [sym_include_module] = "include_module",
  [sym_class_definition] = "class_definition",
  [sym_class_binding] = "class_binding",
  [sym_class_type_definition] = "class_type_definition",
  [sym_class_type_binding] = "class_type_binding",
  [sym__signature_item] = "_signature_item",
  [sym_value_specification] = "value_specification",
  [sym_include_module_type] = "include_module_type",
  [sym__module_typed] = "_module_typed",
  [sym__module_type] = "_module_type",
  [sym_signature] = "signature",
  [sym_module_type_constraint] = "module_type_constraint",
  [sym_constrain_type] = "constrain_type",
  [sym_constrain_module] = "constrain_module",
  [sym_constrain_module_type] = "constrain_module_type",
  [sym_module_type_of] = "module_type_of",
  [sym_functor_type] = "functor_type",
  [sym_parenthesized_module_type] = "parenthesized_module_type",
  [sym__simple_module_expression] = "_simple_module_expression",
  [sym__module_expression] = "_module_expression",
  [sym_structure] = "structure",
  [sym_functor] = "functor",
  [sym_module_application] = "module_application",
  [sym_typed_module_expression] = "typed_module_expression",
  [sym_packed_module] = "packed_module",
  [sym_parenthesized_module_expression] = "parenthesized_module_expression",
  [sym__class_typed] = "_class_typed",
  [sym__simple_class_type] = "_simple_class_type",
  [sym__class_type] = "_class_type",
  [sym_instantiated_class_type] = "instantiated_class_type",
  [sym_class_body_type] = "class_body_type",
  [sym__class_field_specification] = "_class_field_specification",
  [sym_inheritance_specification] = "inheritance_specification",
  [sym_instance_variable_specification] = "instance_variable_specification",
  [sym_method_specification] = "method_specification",
  [sym_type_parameter_constraint] = "type_parameter_constraint",
  [sym_let_open_class_type] = "let_open_class_type",
  [sym_class_function_type] = "class_function_type",
  [sym__simple_class_expression] = "_simple_class_expression",
  [sym__class_expression] = "_class_expression",
  [sym_instantiated_class] = "instantiated_class",
  [sym_typed_class_expression] = "typed_class_expression",
  [sym_class_function] = "class_function",
  [sym_class_application] = "class_application",
  [sym_let_class_expression] = "let_class_expression",
  [sym__class_field] = "_class_field",
  [sym_inheritance_definition] = "inheritance_definition",
  [sym_instance_variable_definition] = "instance_variable_definition",
  [sym_method_definition] = "method_definition",
  [sym_class_initializer] = "class_initializer",
  [sym_let_open_class_expression] = "let_open_class_expression",
  [sym_parenthesized_class_expression] = "parenthesized_class_expression",
  [sym__typed] = "_typed",
  [sym__simple_typed] = "_simple_typed",
  [sym__polymorphic_typed] = "_polymorphic_typed",
  [sym__polymorphic_type] = "_polymorphic_type",
  [sym_polymorphic_type] = "polymorphic_type",
  [sym__abstract_type] = "_abstract_type",
  [sym__parenthesized_abstract_type] = "abstract_type",
  [sym__simple_type] = "_simple_type",
  [sym__tuple_type] = "_tuple_type",
  [sym__type] = "_type",
  [sym_function_type] = "function_type",
  [sym_typed_label] = "typed_label",
  [sym_tuple_type] = "tuple_type",
  [sym_constructed_type] = "constructed_type",
  [sym_aliased_type] = "aliased_type",
  [sym_local_open_type] = "local_open_type",
  [sym_polymorphic_variant_type] = "polymorphic_variant_type",
  [sym__tag_spec] = "_tag_spec",
  [sym_tag_specification] = "tag_specification",
  [sym_package_type] = "package_type",
  [sym_object_type] = "object_type",
  [sym_method_type] = "method_type",
  [sym_hash_type] = "hash_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_expression] = "_simple_expression",
  [sym__expression] = "_expression",
  [sym__sequence_expression] = "_sequence_expression",
  [sym_typed_expression] = "typed_expression",
  [sym_product_expression] = "product_expression",
  [sym_cons_expression] = "cons_expression",
  [sym_list_expression] = "list_expression",
  [sym_array_expression] = "array_expression",
  [sym_record_expression] = "record_expression",
  [sym_field_expression] = "field_expression",
  [sym_application_expression] = "application_expression",
  [sym_labeled_argument] = "labeled_argument",
  [sym_prefix_expression] = "prefix_expression",
  [sym_sign_expression] = "sign_expression",
  [sym_hash_expression] = "hash_expression",
  [sym_infix_expression] = "infix_expression",
  [sym_field_get_expression] = "field_get_expression",
  [sym_array_get_expression] = "array_get_expression",
  [sym_string_get_expression] = "string_get_expression",
  [sym_bigarray_get_expression] = "bigarray_get_expression",
  [sym_set_expression] = "set_expression",
  [sym_if_expression] = "if_expression",
  [sym_then_clause] = "then_clause",
  [sym_else_clause] = "else_clause",
  [sym_while_expression] = "while_expression",
  [sym_do_clause] = "do_clause",
  [sym_for_expression] = "for_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_match_expression] = "match_expression",
  [sym__match_cases] = "_match_cases",
  [sym_match_case] = "match_case",
  [sym_guard] = "guard",
  [sym_refutation_case] = "refutation_case",
  [sym_function_expression] = "function_expression",
  [sym_fun_expression] = "fun_expression",
  [sym_try_expression] = "try_expression",
  [sym_let_expression] = "let_expression",
  [sym_coercion_expression] = "coercion_expression",
  [sym_assert_expression] = "assert_expression",
  [sym_lazy_expression] = "lazy_expression",
  [sym_let_module_expression] = "let_module_expression",
  [sym_let_open_expression] = "let_open_expression",
  [sym_local_open_expression] = "local_open_expression",
  [sym_package_expression] = "package_expression",
  [sym_let_exception_expression] = "let_exception_expression",
  [sym_new_expression] = "new_expression",
  [sym_object_copy_expression] = "object_copy_expression",
  [sym_instance_variable_expression] = "instance_variable_expression",
  [sym_method_invocation] = "method_invocation",
  [sym_object_expression] = "object_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__simple_pattern] = "_simple_pattern",
  [sym__pattern] = "_pattern",
  [sym__binding_pattern] = "_binding_pattern",
  [sym_alias_pattern] = "alias_pattern",
  [sym_alias_binding_pattern] = "alias_pattern",
  [sym_typed_pattern] = "typed_pattern",
  [sym_typed_binding_pattern] = "typed_pattern",
  [sym_or_pattern] = "or_pattern",
  [sym_or_binding_pattern] = "or_pattern",
  [sym_constructor_pattern] = "constructor_pattern",
  [sym_constructor_binding_pattern] = "constructor_pattern",
  [sym_tag_pattern] = "tag_pattern",
  [sym_tag_binding_pattern] = "tag_pattern",
  [sym_polymorphic_variant_pattern] = "polymorphic_variant_pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_tuple_binding_pattern] = "tuple_pattern",
  [sym_record_pattern] = "record_pattern",
  [sym_field_pattern] = "field_pattern",
  [sym_record_binding_pattern] = "record_binding_pattern",
  [sym_field_binding_pattern] = "field_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_list_binding_pattern] = "list_binding_pattern",
  [sym_cons_pattern] = "cons_pattern",
  [sym_cons_binding_pattern] = "cons_pattern",
  [sym_array_pattern] = "array_pattern",
  [sym_array_binding_pattern] = "array_binding_pattern",
  [sym_range_pattern] = "range_pattern",
  [sym_lazy_pattern] = "lazy_pattern",
  [sym_lazy_binding_pattern] = "lazy_pattern",
  [sym_local_open_pattern] = "local_open_pattern",
  [sym_local_open_binding_pattern] = "local_open_pattern",
  [sym_package_pattern] = "package_pattern",
  [sym_parenthesized_pattern] = "parenthesized_pattern",
  [sym_parenthesized_binding_pattern] = "parenthesized_pattern",
  [sym_exception_pattern] = "exception_pattern",
  [sym_attribute] = "attribute",
  [sym_item_attribute] = "item_attribute",
  [sym_floating_attribute] = "floating_attribute",
  [sym_attribute_payload] = "attribute_payload",
  [sym_extension] = "extension",
  [sym_quoted_extension] = "quoted_extension",
  [sym_item_extension] = "item_extension",
  [sym_quoted_item_extension] = "quoted_item_extension",
  [sym__attribute] = "_attribute",
  [sym__constant] = "_constant",
  [sym__signed_constant] = "_signed_constant",
  [sym_number] = "number",
  [sym_signed_number] = "signed_number",
  [sym_character] = "character",
  [sym_character_content] = "character_content",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_quoted_string] = "quoted_string",
  [sym__quoted_string] = "_quoted_string",
  [sym_quoted_string_content] = "quoted_string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_boolean] = "boolean",
  [sym_unit] = "unit",
  [sym_sign_operator] = "sign_operator",
  [sym__infix_operator] = "_infix_operator",
  [sym_add_operator] = "add_operator",
  [sym_indexing_operator_path] = "indexing_operator_path",
  [sym__value_name] = "_value_name",
  [sym__simple_value_pattern] = "_simple_value_pattern",
  [sym_parenthesized_operator] = "parenthesized_operator",
  [sym_value_path] = "value_path",
  [sym_module_path] = "module_path",
  [sym_extended_module_path] = "extended_module_path",
  [sym_module_type_path] = "module_type_path",
  [sym_field_path] = "field_path",
  [sym_constructor_path] = "constructor_path",
  [sym_type_constructor_path] = "type_constructor_path",
  [sym_class_path] = "class_path",
  [sym_class_type_path] = "class_type_path",
  [sym__instance_variable_name] = "_instance_variable_name",
  [sym__constructor_name] = "_constructor_name",
  [sym_directive] = "directive",
  [sym_type_variable] = "type_variable",
  [sym_tag] = "tag",
  [sym_attribute_id] = "attribute_id",
  [aux_sym__structure_repeat1] = "_structure_repeat1",
  [aux_sym__structure_repeat2] = "_structure_repeat2",
  [aux_sym_expression_item_repeat1] = "expression_item_repeat1",
  [aux_sym__signature_repeat1] = "_signature_repeat1",
  [aux_sym_value_definition_repeat1] = "value_definition_repeat1",
  [aux_sym_let_binding_repeat1] = "let_binding_repeat1",
  [aux_sym_external_repeat1] = "external_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym_type_binding_repeat1] = "type_binding_repeat1",
  [aux_sym__type_params_repeat1] = "_type_params_repeat1",
  [aux_sym_variant_declaration_repeat1] = "variant_declaration_repeat1",
  [aux_sym_constructor_declaration_repeat1] = "constructor_declaration_repeat1",
  [aux_sym__constructor_argument_repeat1] = "_constructor_argument_repeat1",
  [aux_sym_record_declaration_repeat1] = "record_declaration_repeat1",
  [aux_sym_module_definition_repeat1] = "module_definition_repeat1",
  [aux_sym_module_binding_repeat1] = "module_binding_repeat1",
  [aux_sym_class_definition_repeat1] = "class_definition_repeat1",
  [aux_sym_class_type_definition_repeat1] = "class_type_definition_repeat1",
  [aux_sym_module_type_constraint_repeat1] = "module_type_constraint_repeat1",
  [aux_sym_instantiated_class_type_repeat1] = "instantiated_class_type_repeat1",
  [aux_sym_class_body_type_repeat1] = "class_body_type_repeat1",
  [aux_sym_instance_variable_specification_repeat1] = "instance_variable_specification_repeat1",
  [aux_sym_method_specification_repeat1] = "method_specification_repeat1",
  [aux_sym_class_application_repeat1] = "class_application_repeat1",
  [aux_sym__abstract_type_repeat1] = "_abstract_type_repeat1",
  [aux_sym_polymorphic_variant_type_repeat1] = "polymorphic_variant_type_repeat1",
  [aux_sym_polymorphic_variant_type_repeat2] = "polymorphic_variant_type_repeat2",
  [aux_sym_tag_specification_repeat1] = "tag_specification_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_list_expression_repeat1] = "list_expression_repeat1",
  [aux_sym_record_expression_repeat1] = "record_expression_repeat1",
  [aux_sym__match_cases_repeat1] = "_match_cases_repeat1",
  [aux_sym_object_copy_expression_repeat1] = "object_copy_expression_repeat1",
  [aux_sym_object_expression_repeat1] = "object_expression_repeat1",
  [aux_sym_record_pattern_repeat1] = "record_pattern_repeat1",
  [aux_sym_record_binding_pattern_repeat1] = "record_binding_pattern_repeat1",
  [aux_sym_list_pattern_repeat1] = "list_pattern_repeat1",
  [aux_sym_list_binding_pattern_repeat1] = "list_binding_pattern_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_quoted_string_content_repeat1] = "quoted_string_content_repeat1",
  [aux_sym_attribute_id_repeat1] = "attribute_id_repeat1",
  [alias_sym_class_name] = "class_name",
  [alias_sym_class_type_name] = "class_type_name",
  [alias_sym_constructor_name] = "constructor_name",
  [alias_sym_field_name] = "field_name",
  [alias_sym_instance_variable_name] = "instance_variable_name",
  [alias_sym_label_name] = "label_name",
  [alias_sym_method_name] = "method_name",
  [alias_sym_module_name] = "module_name",
  [alias_sym_module_type_name] = "module_type_name",
  [alias_sym_type_constructor] = "type_constructor",
  [alias_sym_value_name] = "value_name",
  [alias_sym_value_pattern] = "value_pattern",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__identifier] = sym__identifier,
  [sym_shebang] = sym_shebang,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_rec] = anon_sym_rec,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_COLON_GT] = anon_sym_COLON_GT,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_external] = anon_sym_external,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_nonrec] = anon_sym_nonrec,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym__] = anon_sym__,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_COLON2] = anon_sym_COLON,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constraint] = anon_sym_constraint,
  [anon_sym_exception] = anon_sym_exception,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_include] = anon_sym_include,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_val] = anon_sym_val,
  [anon_sym_sig] = anon_sym_sig,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_functor] = anon_sym_functor,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_inherit] = anon_sym_inherit,
  [anon_sym_method] = anon_sym_method,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_fun] = anon_sym_fun,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_initializer] = anon_sym_initializer,
  [anon_sym_LBRACK_GT] = anon_sym_LBRACK_GT,
  [anon_sym_LBRACK_LT] = anon_sym_LBRACK_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_PIPE] = anon_sym_LBRACK_PIPE,
  [anon_sym_PIPE_RBRACK] = anon_sym_PIPE_RBRACK,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_to] = anon_sym_to,
  [anon_sym_downto] = anon_sym_downto,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_lazy] = anon_sym_lazy,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_LBRACE_LT] = anon_sym_LBRACE_LT,
  [anon_sym_GT_RBRACE] = anon_sym_GT_RBRACE,
  [anon_sym_begin] = anon_sym_begin,
  [sym_ocamlyacc_value] = sym_ocamlyacc_value,
  [aux_sym_attribute_token1] = aux_sym_attribute_token1,
  [anon_sym_LBRACK_AT_AT] = anon_sym_LBRACK_AT_AT,
  [anon_sym_LBRACK_AT_AT_AT] = anon_sym_LBRACK_AT_AT_AT,
  [anon_sym_LBRACK_PERCENT] = anon_sym_LBRACK_PERCENT,
  [anon_sym_LBRACE_PERCENT] = anon_sym_LBRACE_PERCENT,
  [aux_sym_quoted_extension_token1] = aux_sym_quoted_extension_token1,
  [anon_sym_LBRACK_PERCENT_PERCENT] = anon_sym_LBRACK_PERCENT_PERCENT,
  [anon_sym_LBRACE_PERCENT_PERCENT] = anon_sym_LBRACE_PERCENT_PERCENT,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_number_token1] = aux_sym_number_token1,
  [aux_sym_signed_number_token1] = aux_sym_signed_number_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [aux_sym_character_content_token1] = aux_sym_character_content_token1,
  [aux_sym_character_content_token2] = aux_sym_character_content_token2,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [aux_sym_string_content_token2] = aux_sym_string_content_token2,
  [aux_sym_string_content_token3] = aux_sym_string_content_token3,
  [aux_sym_string_content_token4] = sym_escape_sequence,
  [aux_sym_string_content_token5] = sym_escape_sequence,
  [aux_sym_quoted_string_content_token1] = aux_sym_quoted_string_content_token1,
  [aux_sym_escape_sequence_token1] = aux_sym_escape_sequence_token1,
  [aux_sym_escape_sequence_token2] = aux_sym_escape_sequence_token2,
  [aux_sym_escape_sequence_token3] = aux_sym_escape_sequence_token3,
  [aux_sym_escape_sequence_token4] = aux_sym_escape_sequence_token4,
  [sym_conversion_specification] = sym_conversion_specification,
  [sym_pretty_printing_indication] = sym_pretty_printing_indication,
  [sym_prefix_operator] = sym_prefix_operator,
  [aux_sym_sign_operator_token1] = aux_sym_sign_operator_token1,
  [sym_hash_operator] = sym_hash_operator,
  [sym_pow_operator] = sym_pow_operator,
  [sym_mult_operator] = sym_mult_operator,
  [aux_sym_add_operator_token1] = aux_sym_add_operator_token1,
  [sym_concat_operator] = sym_concat_operator,
  [sym_rel_operator] = sym_rel_operator,
  [sym_and_operator] = sym_and_operator,
  [sym_or_operator] = sym_or_operator,
  [sym_assign_operator] = sym_assign_operator,
  [sym_indexing_operator] = sym_indexing_operator,
  [sym_let_operator] = sym_let_operator,
  [sym_let_and_operator] = sym_let_and_operator,
  [sym_match_operator] = sym_match_operator,
  [sym__capitalized_identifier] = sym__capitalized_identifier,
  [aux_sym_directive_token1] = aux_sym_directive_token1,
  [aux_sym_type_variable_token1] = aux_sym_type_variable_token1,
  [aux_sym_tag_token1] = aux_sym_tag_token1,
  [aux_sym_attribute_id_token1] = aux_sym_attribute_id_token1,
  [sym_comment] = sym_comment,
  [sym__left_quoted_string_delimiter] = sym__left_quoted_string_delimiter,
  [sym__right_quoted_string_delimiter] = sym__right_quoted_string_delimiter,
  [sym_line_number_directive] = sym_line_number_directive,
  [sym__null] = sym__null,
  [sym_compilation_unit] = sym_compilation_unit,
  [sym__structure] = sym__structure,
  [sym_expression_item] = sym_expression_item,
  [sym__signature] = sym__signature,
  [sym_toplevel_directive] = sym_toplevel_directive,
  [sym__structure_item] = sym__structure_item,
  [sym_value_definition] = sym_value_definition,
  [sym_let_binding] = sym_let_binding,
  [sym_parameter] = sym_parameter,
  [sym_external] = sym_external,
  [sym_type_definition] = sym_type_definition,
  [sym_type_binding] = sym_type_binding,
  [sym__type_params] = sym__type_params,
  [sym__type_param] = sym__type_param,
  [sym__type_equation] = sym__type_equation,
  [sym_variant_declaration] = sym_variant_declaration,
  [sym_constructor_declaration] = sym_constructor_declaration,
  [sym__constructor_argument] = sym__constructor_argument,
  [sym_record_declaration] = sym_record_declaration,
  [sym_field_declaration] = sym_field_declaration,
  [sym_type_constraint] = sym_type_constraint,
  [sym_exception_definition] = sym_exception_definition,
  [sym_module_definition] = sym_module_definition,
  [sym_module_binding] = sym_module_binding,
  [sym_module_parameter] = sym_module_parameter,
  [sym_module_type_definition] = sym_module_type_definition,
  [sym_open_module] = sym_open_module,
  [sym_include_module] = sym_include_module,
  [sym_class_definition] = sym_class_definition,
  [sym_class_binding] = sym_class_binding,
  [sym_class_type_definition] = sym_class_type_definition,
  [sym_class_type_binding] = sym_class_type_binding,
  [sym__signature_item] = sym__signature_item,
  [sym_value_specification] = sym_value_specification,
  [sym_include_module_type] = sym_include_module_type,
  [sym__module_typed] = sym__module_typed,
  [sym__module_type] = sym__module_type,
  [sym_signature] = sym_signature,
  [sym_module_type_constraint] = sym_module_type_constraint,
  [sym_constrain_type] = sym_constrain_type,
  [sym_constrain_module] = sym_constrain_module,
  [sym_constrain_module_type] = sym_constrain_module_type,
  [sym_module_type_of] = sym_module_type_of,
  [sym_functor_type] = sym_functor_type,
  [sym_parenthesized_module_type] = sym_parenthesized_module_type,
  [sym__simple_module_expression] = sym__simple_module_expression,
  [sym__module_expression] = sym__module_expression,
  [sym_structure] = sym_structure,
  [sym_functor] = sym_functor,
  [sym_module_application] = sym_module_application,
  [sym_typed_module_expression] = sym_typed_module_expression,
  [sym_packed_module] = sym_packed_module,
  [sym_parenthesized_module_expression] = sym_parenthesized_module_expression,
  [sym__class_typed] = sym__class_typed,
  [sym__simple_class_type] = sym__simple_class_type,
  [sym__class_type] = sym__class_type,
  [sym_instantiated_class_type] = sym_instantiated_class_type,
  [sym_class_body_type] = sym_class_body_type,
  [sym__class_field_specification] = sym__class_field_specification,
  [sym_inheritance_specification] = sym_inheritance_specification,
  [sym_instance_variable_specification] = sym_instance_variable_specification,
  [sym_method_specification] = sym_method_specification,
  [sym_type_parameter_constraint] = sym_type_parameter_constraint,
  [sym_let_open_class_type] = sym_let_open_class_type,
  [sym_class_function_type] = sym_class_function_type,
  [sym__simple_class_expression] = sym__simple_class_expression,
  [sym__class_expression] = sym__class_expression,
  [sym_instantiated_class] = sym_instantiated_class,
  [sym_typed_class_expression] = sym_typed_class_expression,
  [sym_class_function] = sym_class_function,
  [sym_class_application] = sym_class_application,
  [sym_let_class_expression] = sym_let_class_expression,
  [sym__class_field] = sym__class_field,
  [sym_inheritance_definition] = sym_inheritance_definition,
  [sym_instance_variable_definition] = sym_instance_variable_definition,
  [sym_method_definition] = sym_method_definition,
  [sym_class_initializer] = sym_class_initializer,
  [sym_let_open_class_expression] = sym_let_open_class_expression,
  [sym_parenthesized_class_expression] = sym_parenthesized_class_expression,
  [sym__typed] = sym__typed,
  [sym__simple_typed] = sym__simple_typed,
  [sym__polymorphic_typed] = sym__polymorphic_typed,
  [sym__polymorphic_type] = sym__polymorphic_type,
  [sym_polymorphic_type] = sym_polymorphic_type,
  [sym__abstract_type] = sym__abstract_type,
  [sym__parenthesized_abstract_type] = sym__parenthesized_abstract_type,
  [sym__simple_type] = sym__simple_type,
  [sym__tuple_type] = sym__tuple_type,
  [sym__type] = sym__type,
  [sym_function_type] = sym_function_type,
  [sym_typed_label] = sym_typed_label,
  [sym_tuple_type] = sym_tuple_type,
  [sym_constructed_type] = sym_constructed_type,
  [sym_aliased_type] = sym_aliased_type,
  [sym_local_open_type] = sym_local_open_type,
  [sym_polymorphic_variant_type] = sym_polymorphic_variant_type,
  [sym__tag_spec] = sym__tag_spec,
  [sym_tag_specification] = sym_tag_specification,
  [sym_package_type] = sym_package_type,
  [sym_object_type] = sym_object_type,
  [sym_method_type] = sym_method_type,
  [sym_hash_type] = sym_hash_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym__simple_expression] = sym__simple_expression,
  [sym__expression] = sym__expression,
  [sym__sequence_expression] = sym__sequence_expression,
  [sym_typed_expression] = sym_typed_expression,
  [sym_product_expression] = sym_product_expression,
  [sym_cons_expression] = sym_cons_expression,
  [sym_list_expression] = sym_list_expression,
  [sym_array_expression] = sym_array_expression,
  [sym_record_expression] = sym_record_expression,
  [sym_field_expression] = sym_field_expression,
  [sym_application_expression] = sym_application_expression,
  [sym_labeled_argument] = sym_labeled_argument,
  [sym_prefix_expression] = sym_prefix_expression,
  [sym_sign_expression] = sym_sign_expression,
  [sym_hash_expression] = sym_hash_expression,
  [sym_infix_expression] = sym_infix_expression,
  [sym_field_get_expression] = sym_field_get_expression,
  [sym_array_get_expression] = sym_array_get_expression,
  [sym_string_get_expression] = sym_string_get_expression,
  [sym_bigarray_get_expression] = sym_bigarray_get_expression,
  [sym_set_expression] = sym_set_expression,
  [sym_if_expression] = sym_if_expression,
  [sym_then_clause] = sym_then_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_while_expression] = sym_while_expression,
  [sym_do_clause] = sym_do_clause,
  [sym_for_expression] = sym_for_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_match_expression] = sym_match_expression,
  [sym__match_cases] = sym__match_cases,
  [sym_match_case] = sym_match_case,
  [sym_guard] = sym_guard,
  [sym_refutation_case] = sym_refutation_case,
  [sym_function_expression] = sym_function_expression,
  [sym_fun_expression] = sym_fun_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_let_expression] = sym_let_expression,
  [sym_coercion_expression] = sym_coercion_expression,
  [sym_assert_expression] = sym_assert_expression,
  [sym_lazy_expression] = sym_lazy_expression,
  [sym_let_module_expression] = sym_let_module_expression,
  [sym_let_open_expression] = sym_let_open_expression,
  [sym_local_open_expression] = sym_local_open_expression,
  [sym_package_expression] = sym_package_expression,
  [sym_let_exception_expression] = sym_let_exception_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_object_copy_expression] = sym_object_copy_expression,
  [sym_instance_variable_expression] = sym_instance_variable_expression,
  [sym_method_invocation] = sym_method_invocation,
  [sym_object_expression] = sym_object_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__simple_pattern] = sym__simple_pattern,
  [sym__pattern] = sym__pattern,
  [sym__binding_pattern] = sym__binding_pattern,
  [sym_alias_pattern] = sym_alias_pattern,
  [sym_alias_binding_pattern] = sym_alias_pattern,
  [sym_typed_pattern] = sym_typed_pattern,
  [sym_typed_binding_pattern] = sym_typed_pattern,
  [sym_or_pattern] = sym_or_pattern,
  [sym_or_binding_pattern] = sym_or_pattern,
  [sym_constructor_pattern] = sym_constructor_pattern,
  [sym_constructor_binding_pattern] = sym_constructor_pattern,
  [sym_tag_pattern] = sym_tag_pattern,
  [sym_tag_binding_pattern] = sym_tag_pattern,
  [sym_polymorphic_variant_pattern] = sym_polymorphic_variant_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_tuple_binding_pattern] = sym_tuple_pattern,
  [sym_record_pattern] = sym_record_pattern,
  [sym_field_pattern] = sym_field_pattern,
  [sym_record_binding_pattern] = sym_record_binding_pattern,
  [sym_field_binding_pattern] = sym_field_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_list_binding_pattern] = sym_list_binding_pattern,
  [sym_cons_pattern] = sym_cons_pattern,
  [sym_cons_binding_pattern] = sym_cons_pattern,
  [sym_array_pattern] = sym_array_pattern,
  [sym_array_binding_pattern] = sym_array_binding_pattern,
  [sym_range_pattern] = sym_range_pattern,
  [sym_lazy_pattern] = sym_lazy_pattern,
  [sym_lazy_binding_pattern] = sym_lazy_pattern,
  [sym_local_open_pattern] = sym_local_open_pattern,
  [sym_local_open_binding_pattern] = sym_local_open_pattern,
  [sym_package_pattern] = sym_package_pattern,
  [sym_parenthesized_pattern] = sym_parenthesized_pattern,
  [sym_parenthesized_binding_pattern] = sym_parenthesized_pattern,
  [sym_exception_pattern] = sym_exception_pattern,
  [sym_attribute] = sym_attribute,
  [sym_item_attribute] = sym_item_attribute,
  [sym_floating_attribute] = sym_floating_attribute,
  [sym_attribute_payload] = sym_attribute_payload,
  [sym_extension] = sym_extension,
  [sym_quoted_extension] = sym_quoted_extension,
  [sym_item_extension] = sym_item_extension,
  [sym_quoted_item_extension] = sym_quoted_item_extension,
  [sym__attribute] = sym__attribute,
  [sym__constant] = sym__constant,
  [sym__signed_constant] = sym__signed_constant,
  [sym_number] = sym_number,
  [sym_signed_number] = sym_signed_number,
  [sym_character] = sym_character,
  [sym_character_content] = sym_character_content,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_quoted_string] = sym_quoted_string,
  [sym__quoted_string] = sym__quoted_string,
  [sym_quoted_string_content] = sym_quoted_string_content,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_boolean] = sym_boolean,
  [sym_unit] = sym_unit,
  [sym_sign_operator] = sym_sign_operator,
  [sym__infix_operator] = sym__infix_operator,
  [sym_add_operator] = sym_add_operator,
  [sym_indexing_operator_path] = sym_indexing_operator_path,
  [sym__value_name] = sym__value_name,
  [sym__simple_value_pattern] = sym__simple_value_pattern,
  [sym_parenthesized_operator] = sym_parenthesized_operator,
  [sym_value_path] = sym_value_path,
  [sym_module_path] = sym_module_path,
  [sym_extended_module_path] = sym_extended_module_path,
  [sym_module_type_path] = sym_module_type_path,
  [sym_field_path] = sym_field_path,
  [sym_constructor_path] = sym_constructor_path,
  [sym_type_constructor_path] = sym_type_constructor_path,
  [sym_class_path] = sym_class_path,
  [sym_class_type_path] = sym_class_type_path,
  [sym__instance_variable_name] = sym__instance_variable_name,
  [sym__constructor_name] = sym__constructor_name,
  [sym_directive] = sym_directive,
  [sym_type_variable] = sym_type_variable,
  [sym_tag] = sym_tag,
  [sym_attribute_id] = sym_attribute_id,
  [aux_sym__structure_repeat1] = aux_sym__structure_repeat1,
  [aux_sym__structure_repeat2] = aux_sym__structure_repeat2,
  [aux_sym_expression_item_repeat1] = aux_sym_expression_item_repeat1,
  [aux_sym__signature_repeat1] = aux_sym__signature_repeat1,
  [aux_sym_value_definition_repeat1] = aux_sym_value_definition_repeat1,
  [aux_sym_let_binding_repeat1] = aux_sym_let_binding_repeat1,
  [aux_sym_external_repeat1] = aux_sym_external_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym_type_binding_repeat1] = aux_sym_type_binding_repeat1,
  [aux_sym__type_params_repeat1] = aux_sym__type_params_repeat1,
  [aux_sym_variant_declaration_repeat1] = aux_sym_variant_declaration_repeat1,
  [aux_sym_constructor_declaration_repeat1] = aux_sym_constructor_declaration_repeat1,
  [aux_sym__constructor_argument_repeat1] = aux_sym__constructor_argument_repeat1,
  [aux_sym_record_declaration_repeat1] = aux_sym_record_declaration_repeat1,
  [aux_sym_module_definition_repeat1] = aux_sym_module_definition_repeat1,
  [aux_sym_module_binding_repeat1] = aux_sym_module_binding_repeat1,
  [aux_sym_class_definition_repeat1] = aux_sym_class_definition_repeat1,
  [aux_sym_class_type_definition_repeat1] = aux_sym_class_type_definition_repeat1,
  [aux_sym_module_type_constraint_repeat1] = aux_sym_module_type_constraint_repeat1,
  [aux_sym_instantiated_class_type_repeat1] = aux_sym_instantiated_class_type_repeat1,
  [aux_sym_class_body_type_repeat1] = aux_sym_class_body_type_repeat1,
  [aux_sym_instance_variable_specification_repeat1] = aux_sym_instance_variable_specification_repeat1,
  [aux_sym_method_specification_repeat1] = aux_sym_method_specification_repeat1,
  [aux_sym_class_application_repeat1] = aux_sym_class_application_repeat1,
  [aux_sym__abstract_type_repeat1] = aux_sym__abstract_type_repeat1,
  [aux_sym_polymorphic_variant_type_repeat1] = aux_sym_polymorphic_variant_type_repeat1,
  [aux_sym_polymorphic_variant_type_repeat2] = aux_sym_polymorphic_variant_type_repeat2,
  [aux_sym_tag_specification_repeat1] = aux_sym_tag_specification_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_list_expression_repeat1] = aux_sym_list_expression_repeat1,
  [aux_sym_record_expression_repeat1] = aux_sym_record_expression_repeat1,
  [aux_sym__match_cases_repeat1] = aux_sym__match_cases_repeat1,
  [aux_sym_object_copy_expression_repeat1] = aux_sym_object_copy_expression_repeat1,
  [aux_sym_object_expression_repeat1] = aux_sym_object_expression_repeat1,
  [aux_sym_record_pattern_repeat1] = aux_sym_record_pattern_repeat1,
  [aux_sym_record_binding_pattern_repeat1] = aux_sym_record_binding_pattern_repeat1,
  [aux_sym_list_pattern_repeat1] = aux_sym_list_pattern_repeat1,
  [aux_sym_list_binding_pattern_repeat1] = aux_sym_list_binding_pattern_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_quoted_string_content_repeat1] = aux_sym_quoted_string_content_repeat1,
  [aux_sym_attribute_id_repeat1] = aux_sym_attribute_id_repeat1,
  [alias_sym_class_name] = alias_sym_class_name,
  [alias_sym_class_type_name] = alias_sym_class_type_name,
  [alias_sym_constructor_name] = alias_sym_constructor_name,
  [alias_sym_field_name] = alias_sym_field_name,
  [alias_sym_instance_variable_name] = alias_sym_instance_variable_name,
  [alias_sym_label_name] = alias_sym_label_name,
  [alias_sym_method_name] = alias_sym_method_name,
  [alias_sym_module_name] = alias_sym_module_name,
  [alias_sym_module_type_name] = alias_sym_module_type_name,
  [alias_sym_type_constructor] = alias_sym_type_constructor,
  [alias_sym_value_name] = alias_sym_value_name,
  [alias_sym_value_pattern] = alias_sym_value_pattern,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_shebang] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_external] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonrec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constraint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exception] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_include] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_val] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sig] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_functor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inherit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_method] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fun] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_initializer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_to] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_downto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lazy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_begin] = {
    .visible = true,
    .named = false,
  },
  [sym_ocamlyacc_value] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_attribute_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_extension_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LBRACK_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_number_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_signed_number_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_character_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_character_content_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token4] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token5] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_quoted_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token4] = {
    .visible = false,
    .named = false,
  },
  [sym_conversion_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_pretty_printing_indication] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_sign_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_hash_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_pow_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_mult_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_add_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_concat_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_rel_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_or_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_assign_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_indexing_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_let_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_let_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_match_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__capitalized_identifier] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_directive_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_variable_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tag_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_id_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__left_quoted_string_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym__right_quoted_string_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym_line_number_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__null] = {
    .visible = false,
    .named = true,
  },
  [sym_compilation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__structure] = {
    .visible = false,
    .named = true,
  },
  [sym_expression_item] = {
    .visible = true,
    .named = true,
  },
  [sym__signature] = {
    .visible = false,
    .named = true,
  },
  [sym_toplevel_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__structure_item] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_value_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_let_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_external] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__type_params] = {
    .visible = false,
    .named = true,
  },
  [sym__type_param] = {
    .visible = false,
    .named = true,
  },
  [sym__type_equation] = {
    .visible = false,
    .named = true,
  },
  [sym_variant_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_argument] = {
    .visible = false,
    .named = true,
  },
  [sym_record_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_module_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_module_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_module_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_open_module] = {
    .visible = true,
    .named = true,
  },
  [sym_include_module] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_item] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_value_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_include_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym__module_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__module_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_module] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_of] = {
    .visible = true,
    .named = true,
  },
  [sym_functor_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_module_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__module_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_structure] = {
    .visible = true,
    .named = true,
  },
  [sym_functor] = {
    .visible = true,
    .named = true,
  },
  [sym_module_application] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_packed_module] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__class_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_class_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__class_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_instantiated_class_type] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body_type] = {
    .visible = true,
    .named = true,
  },
  [sym__class_field_specification] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_inheritance_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_method_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_class_type] = {
    .visible = true,
    .named = true,
  },
  [sym_class_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_class_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__class_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_instantiated_class] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_function] = {
    .visible = true,
    .named = true,
  },
  [sym_class_application] = {
    .visible = true,
    .named = true,
  },
  [sym_let_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__class_field] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_inheritance_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__typed] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__polymorphic_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__polymorphic_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_polymorphic_type] = {
    .visible = true,
    .named = true,
  },
  [sym__abstract_type] = {
    .visible = false,
    .named = true,
  },
  [sym__parenthesized_abstract_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__tuple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_label] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constructed_type] = {
    .visible = true,
    .named = true,
  },
  [sym_aliased_type] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_type] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_variant_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tag_spec] = {
    .visible = false,
    .named = true,
  },
  [sym_tag_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_package_type] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_method_type] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__sequence_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_typed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_product_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_record_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_application_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sign_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bigarray_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_set_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_then_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_do_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__match_cases] = {
    .visible = false,
    .named = true,
  },
  [sym_match_case] = {
    .visible = true,
    .named = true,
  },
  [sym_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_refutation_case] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_fun_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_coercion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_package_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_exception_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object_copy_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_object_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__binding_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_alias_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_or_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_or_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_variant_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_range_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_package_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_item_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_payload] = {
    .visible = true,
    .named = true,
  },
  [sym_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_item_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_item_extension] = {
    .visible = true,
    .named = true,
  },
  [sym__attribute] = {
    .visible = false,
    .named = true,
  },
  [sym__constant] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__signed_constant] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_signed_number] = {
    .visible = true,
    .named = true,
  },
  [sym_character] = {
    .visible = true,
    .named = true,
  },
  [sym_character_content] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_string] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_string] = {
    .visible = false,
    .named = true,
  },
  [sym_quoted_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_sign_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__infix_operator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_add_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_indexing_operator_path] = {
    .visible = true,
    .named = true,
  },
  [sym__value_name] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_value_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_value_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_path] = {
    .visible = true,
    .named = true,
  },
  [sym_extended_module_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_path] = {
    .visible = true,
    .named = true,
  },
  [sym_field_path] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_path] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constructor_path] = {
    .visible = true,
    .named = true,
  },
  [sym_class_path] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_path] = {
    .visible = true,
    .named = true,
  },
  [sym__instance_variable_name] = {
    .visible = false,
    .named = true,
  },
  [sym__constructor_name] = {
    .visible = false,
    .named = true,
  },
  [sym_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_type_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_id] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__structure_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__structure_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__signature_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_value_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_let_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_external_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variant_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constructor_argument_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_type_constraint_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_instantiated_class_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_instance_variable_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_application_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__abstract_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_variant_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_variant_type_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tag_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__match_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_copy_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_binding_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_binding_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_quoted_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_id_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_class_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_class_type_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_constructor_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_field_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_instance_variable_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_method_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_module_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_module_type_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_constructor] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_value_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_value_pattern] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_argument = 1,
  field_body = 2,
  field_class = 3,
  field_condition = 4,
  field_from = 5,
  field_function = 6,
  field_functor = 7,
  field_left = 8,
  field_name = 9,
  field_operator = 10,
  field_pattern = 11,
  field_right = 12,
  field_to = 13,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_argument] = "argument",
  [field_body] = "body",
  [field_class] = "class",
  [field_condition] = "condition",
  [field_from] = "from",
  [field_function] = "function",
  [field_functor] = "functor",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_pattern] = "pattern",
  [field_right] = "right",
  [field_to] = "to",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [5] = {.index = 0, .length = 1},
  [10] = {.index = 1, .length = 1},
  [13] = {.index = 1, .length = 1},
  [14] = {.index = 1, .length = 1},
  [15] = {.index = 1, .length = 1},
  [18] = {.index = 2, .length = 2},
  [19] = {.index = 4, .length = 1},
  [20] = {.index = 5, .length = 2},
  [21] = {.index = 7, .length = 1},
  [22] = {.index = 8, .length = 1},
  [25] = {.index = 9, .length = 1},
  [27] = {.index = 10, .length = 1},
  [28] = {.index = 11, .length = 2},
  [29] = {.index = 9, .length = 1},
  [30] = {.index = 9, .length = 1},
  [31] = {.index = 9, .length = 1},
  [32] = {.index = 13, .length = 1},
  [35] = {.index = 14, .length = 3},
  [36] = {.index = 17, .length = 2},
  [37] = {.index = 19, .length = 2},
  [38] = {.index = 21, .length = 1},
  [40] = {.index = 22, .length = 1},
  [41] = {.index = 23, .length = 2},
  [43] = {.index = 25, .length = 2},
  [45] = {.index = 25, .length = 2},
  [47] = {.index = 27, .length = 1},
  [48] = {.index = 25, .length = 2},
  [50] = {.index = 28, .length = 1},
  [51] = {.index = 25, .length = 2},
  [53] = {.index = 10, .length = 1},
  [54] = {.index = 29, .length = 2},
  [55] = {.index = 10, .length = 1},
  [56] = {.index = 31, .length = 1},
  [58] = {.index = 32, .length = 2},
  [59] = {.index = 34, .length = 1},
  [60] = {.index = 35, .length = 2},
  [61] = {.index = 37, .length = 2},
  [62] = {.index = 39, .length = 2},
  [63] = {.index = 39, .length = 2},
  [64] = {.index = 37, .length = 2},
  [65] = {.index = 41, .length = 2},
  [66] = {.index = 37, .length = 2},
  [67] = {.index = 25, .length = 2},
  [68] = {.index = 27, .length = 1},
  [69] = {.index = 39, .length = 2},
  [70] = {.index = 37, .length = 2},
  [73] = {.index = 27, .length = 1},
  [74] = {.index = 27, .length = 1},
  [75] = {.index = 39, .length = 2},
  [76] = {.index = 43, .length = 1},
  [77] = {.index = 44, .length = 1},
  [79] = {.index = 43, .length = 1},
  [80] = {.index = 45, .length = 2},
  [82] = {.index = 47, .length = 2},
  [83] = {.index = 49, .length = 2},
  [84] = {.index = 49, .length = 2},
  [85] = {.index = 51, .length = 2},
  [86] = {.index = 9, .length = 1},
  [88] = {.index = 47, .length = 2},
  [89] = {.index = 39, .length = 2},
  [90] = {.index = 53, .length = 1},
  [91] = {.index = 49, .length = 2},
  [93] = {.index = 47, .length = 2},
  [94] = {.index = 41, .length = 2},
  [95] = {.index = 41, .length = 2},
  [96] = {.index = 49, .length = 2},
  [97] = {.index = 54, .length = 1},
  [99] = {.index = 55, .length = 2},
  [101] = {.index = 57, .length = 2},
  [102] = {.index = 51, .length = 2},
  [103] = {.index = 59, .length = 1},
  [104] = {.index = 57, .length = 2},
  [106] = {.index = 60, .length = 2},
  [107] = {.index = 51, .length = 2},
  [108] = {.index = 57, .length = 2},
  [109] = {.index = 60, .length = 2},
  [110] = {.index = 51, .length = 2},
  [111] = {.index = 57, .length = 2},
  [112] = {.index = 62, .length = 3},
  [113] = {.index = 65, .length = 2},
  [114] = {.index = 51, .length = 2},
  [115] = {.index = 67, .length = 2},
  [116] = {.index = 69, .length = 2},
  [117] = {.index = 71, .length = 2},
  [118] = {.index = 67, .length = 2},
  [119] = {.index = 73, .length = 2},
  [120] = {.index = 71, .length = 2},
  [121] = {.index = 67, .length = 2},
  [122] = {.index = 75, .length = 3},
  [123] = {.index = 69, .length = 2},
  [124] = {.index = 78, .length = 2},
  [125] = {.index = 80, .length = 2},
  [126] = {.index = 82, .length = 2},
  [127] = {.index = 84, .length = 2},
  [128] = {.index = 78, .length = 2},
  [129] = {.index = 78, .length = 2},
  [130] = {.index = 86, .length = 1},
  [131] = {.index = 82, .length = 2},
  [132] = {.index = 87, .length = 2},
  [133] = {.index = 89, .length = 2},
  [134] = {.index = 91, .length = 2},
  [135] = {.index = 93, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_pattern, 0},
  [1] =
    {field_name, 0},
  [2] =
    {field_operator, 0},
    {field_right, 1},
  [4] =
    {field_argument, 0},
  [5] =
    {field_argument, 1, .inherited = true},
    {field_function, 0},
  [7] =
    {field_left, 0},
  [8] =
    {field_pattern, 1},
  [9] =
    {field_name, 1},
  [10] =
    {field_name, 2},
  [11] =
    {field_argument, 1},
    {field_functor, 0},
  [13] =
    {field_condition, 1},
  [14] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [17] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [19] =
    {field_left, 0},
    {field_right, 2},
  [21] =
    {field_body, 2},
  [22] =
    {field_body, 3},
  [23] =
    {field_body, 2},
    {field_pattern, 0},
  [25] =
    {field_body, 2},
    {field_name, 0},
  [27] =
    {field_name, 3},
  [28] =
    {field_functor, 0},
  [29] =
    {field_argument, 1, .inherited = true},
    {field_class, 0},
  [31] =
    {field_condition, 2},
  [32] =
    {field_left, 0},
    {field_right, 3},
  [34] =
    {field_pattern, 2},
  [35] =
    {field_body, 3},
    {field_pattern, 0},
  [37] =
    {field_body, 3},
    {field_name, 0},
  [39] =
    {field_body, 3},
    {field_name, 1},
  [41] =
    {field_body, 4},
    {field_name, 2},
  [43] =
    {field_pattern, 3},
  [44] =
    {field_body, 4},
  [45] =
    {field_body, 4},
    {field_pattern, 0},
  [47] =
    {field_body, 4},
    {field_name, 0},
  [49] =
    {field_body, 4},
    {field_name, 1},
  [51] =
    {field_body, 5},
    {field_name, 3},
  [53] =
    {field_name, 4},
  [54] =
    {field_body, 5},
  [55] =
    {field_body, 5},
    {field_pattern, 0},
  [57] =
    {field_body, 5},
    {field_name, 1},
  [59] =
    {field_name, 5},
  [60] =
    {field_body, 5},
    {field_name, 2},
  [62] =
    {field_from, 3},
    {field_name, 1},
    {field_to, 5},
  [65] =
    {field_body, 6},
    {field_pattern, 0},
  [67] =
    {field_body, 6},
    {field_name, 3},
  [69] =
    {field_body, 6},
    {field_name, 4},
  [71] =
    {field_body, 6},
    {field_name, 2},
  [73] =
    {field_body, 6},
    {field_name, 1},
  [75] =
    {field_from, 4},
    {field_name, 2},
    {field_to, 6},
  [78] =
    {field_body, 7},
    {field_name, 3},
  [80] =
    {field_body, 7},
    {field_name, 4},
  [82] =
    {field_body, 7},
    {field_name, 5},
  [84] =
    {field_body, 7},
    {field_name, 2},
  [86] =
    {field_pattern, 4},
  [87] =
    {field_body, 8},
    {field_name, 4},
  [89] =
    {field_body, 8},
    {field_name, 5},
  [91] =
    {field_body, 8},
    {field_name, 3},
  [93] =
    {field_body, 9},
    {field_name, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_value_name,
  },
  [2] = {
    [0] = alias_sym_instance_variable_name,
  },
  [3] = {
    [0] = alias_sym_module_name,
  },
  [4] = {
    [0] = alias_sym_constructor_name,
  },
  [6] = {
    [0] = sym_record_pattern,
  },
  [7] = {
    [0] = sym_list_pattern,
  },
  [8] = {
    [0] = sym_array_pattern,
  },
  [9] = {
    [0] = sym_type_variable,
  },
  [10] = {
    [0] = alias_sym_type_constructor,
  },
  [11] = {
    [0] = alias_sym_type_constructor,
  },
  [12] = {
    [0] = alias_sym_field_name,
  },
  [14] = {
    [0] = alias_sym_module_name,
  },
  [15] = {
    [0] = alias_sym_class_name,
  },
  [16] = {
    [0] = alias_sym_value_pattern,
  },
  [17] = {
    [0] = alias_sym_class_name,
  },
  [23] = {
    [1] = alias_sym_constructor_name,
  },
  [24] = {
    [1] = sym_type_variable,
  },
  [25] = {
    [1] = alias_sym_type_constructor,
  },
  [26] = {
    [0] = alias_sym_constructor_name,
    [1] = alias_sym_constructor_name,
  },
  [27] = {
    [2] = alias_sym_module_type_name,
  },
  [29] = {
    [1] = alias_sym_class_name,
  },
  [31] = {
    [1] = alias_sym_method_name,
  },
  [33] = {
    [1] = alias_sym_label_name,
  },
  [34] = {
    [2] = alias_sym_method_name,
  },
  [39] = {
    [2] = alias_sym_module_name,
  },
  [42] = {
    [2] = sym_type_variable,
  },
  [43] = {
    [0] = alias_sym_type_constructor,
  },
  [44] = {
    [2] = alias_sym_type_constructor,
  },
  [46] = {
    [2] = alias_sym_field_name,
  },
  [47] = {
    [3] = alias_sym_module_type_name,
  },
  [48] = {
    [0] = alias_sym_module_name,
  },
  [49] = {
    [0] = alias_sym_module_type_name,
  },
  [51] = {
    [0] = alias_sym_class_name,
  },
  [52] = {
    [0] = alias_sym_class_type_name,
  },
  [55] = {
    [2] = alias_sym_method_name,
  },
  [57] = {
    [2] = alias_sym_class_name,
  },
  [61] = {
    [0] = alias_sym_type_constructor,
  },
  [62] = {
    [1] = alias_sym_type_constructor,
  },
  [65] = {
    [2] = alias_sym_module_type_name,
  },
  [66] = {
    [0] = alias_sym_module_name,
  },
  [67] = {
    [0] = alias_sym_class_type_name,
  },
  [68] = {
    [3] = alias_sym_class_name,
  },
  [69] = {
    [1] = alias_sym_class_name,
  },
  [70] = {
    [0] = alias_sym_class_name,
  },
  [71] = {
    [0] = alias_sym_method_name,
  },
  [72] = {
    [0] = alias_sym_label_name,
  },
  [74] = {
    [3] = alias_sym_method_name,
  },
  [75] = {
    [1] = alias_sym_method_name,
  },
  [76] = {
    [1] = alias_sym_label_name,
  },
  [78] = {
    [3] = alias_sym_module_name,
  },
  [81] = {
    [0] = sym__parenthesized_abstract_type,
  },
  [82] = {
    [0] = alias_sym_type_constructor,
  },
  [83] = {
    [1] = alias_sym_type_constructor,
  },
  [85] = {
    [3] = alias_sym_module_type_name,
  },
  [86] = {
    [1] = alias_sym_module_name,
  },
  [87] = {
    [2] = alias_sym_module_type_name,
  },
  [88] = {
    [0] = alias_sym_module_name,
  },
  [89] = {
    [1] = alias_sym_class_type_name,
  },
  [90] = {
    [4] = alias_sym_class_name,
  },
  [91] = {
    [1] = alias_sym_class_name,
  },
  [92] = {
    [2] = alias_sym_class_type_name,
  },
  [93] = {
    [0] = alias_sym_class_name,
  },
  [95] = {
    [2] = alias_sym_method_name,
  },
  [96] = {
    [1] = alias_sym_method_name,
  },
  [98] = {
    [2] = alias_sym_label_name,
  },
  [100] = {
    [1] = alias_sym_field_name,
  },
  [101] = {
    [1] = alias_sym_type_constructor,
  },
  [102] = {
    [3] = alias_sym_class_name,
  },
  [103] = {
    [5] = alias_sym_class_name,
  },
  [104] = {
    [1] = alias_sym_class_name,
  },
  [105] = {
    [1] = alias_sym_method_name,
  },
  [109] = {
    [2] = alias_sym_method_name,
  },
  [110] = {
    [3] = alias_sym_method_name,
  },
  [111] = {
    [1] = alias_sym_method_name,
  },
  [114] = {
    [3] = alias_sym_class_type_name,
  },
  [115] = {
    [3] = alias_sym_class_name,
  },
  [116] = {
    [4] = alias_sym_class_name,
  },
  [120] = {
    [2] = alias_sym_method_name,
  },
  [121] = {
    [3] = alias_sym_method_name,
  },
  [123] = {
    [4] = alias_sym_class_type_name,
  },
  [124] = {
    [3] = alias_sym_class_name,
  },
  [125] = {
    [4] = alias_sym_class_name,
  },
  [126] = {
    [5] = alias_sym_class_name,
  },
  [129] = {
    [3] = alias_sym_method_name,
  },
  [130] = {
    [1] = alias_sym_label_name,
  },
  [131] = {
    [5] = alias_sym_class_type_name,
  },
  [132] = {
    [4] = alias_sym_class_name,
  },
  [133] = {
    [5] = alias_sym_class_name,
  },
  [135] = {
    [5] = alias_sym_class_name,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__abstract_type, 2,
    sym__abstract_type,
    sym__parenthesized_abstract_type,
  sym_record_binding_pattern, 2,
    sym_record_binding_pattern,
    sym_record_pattern,
  sym_list_binding_pattern, 2,
    sym_list_binding_pattern,
    sym_list_pattern,
  sym_array_binding_pattern, 2,
    sym_array_binding_pattern,
    sym_array_pattern,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 2,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 2,
  [9] = 6,
  [10] = 2,
  [11] = 6,
  [12] = 2,
  [13] = 6,
  [14] = 2,
  [15] = 2,
  [16] = 2,
  [17] = 2,
  [18] = 2,
  [19] = 2,
  [20] = 2,
  [21] = 2,
  [22] = 2,
  [23] = 2,
  [24] = 2,
  [25] = 2,
  [26] = 2,
  [27] = 2,
  [28] = 2,
  [29] = 5,
  [30] = 2,
  [31] = 2,
  [32] = 2,
  [33] = 2,
  [34] = 2,
  [35] = 2,
  [36] = 2,
  [37] = 2,
  [38] = 2,
  [39] = 2,
  [40] = 2,
  [41] = 2,
  [42] = 2,
  [43] = 2,
  [44] = 2,
  [45] = 2,
  [46] = 2,
  [47] = 2,
  [48] = 2,
  [49] = 2,
  [50] = 2,
  [51] = 2,
  [52] = 2,
  [53] = 2,
  [54] = 2,
  [55] = 2,
  [56] = 2,
  [57] = 2,
  [58] = 2,
  [59] = 2,
  [60] = 2,
  [61] = 2,
  [62] = 2,
  [63] = 2,
  [64] = 2,
  [65] = 2,
  [66] = 2,
  [67] = 2,
  [68] = 2,
  [69] = 2,
  [70] = 2,
  [71] = 2,
  [72] = 2,
  [73] = 2,
  [74] = 2,
  [75] = 2,
  [76] = 2,
  [77] = 2,
  [78] = 2,
  [79] = 2,
  [80] = 2,
  [81] = 2,
  [82] = 2,
  [83] = 2,
  [84] = 2,
  [85] = 2,
  [86] = 2,
  [87] = 2,
  [88] = 2,
  [89] = 2,
  [90] = 2,
  [91] = 2,
  [92] = 2,
  [93] = 2,
  [94] = 2,
  [95] = 2,
  [96] = 2,
  [97] = 97,
  [98] = 97,
  [99] = 97,
  [100] = 97,
  [101] = 97,
  [102] = 97,
  [103] = 103,
  [104] = 97,
  [105] = 105,
  [106] = 97,
  [107] = 103,
  [108] = 97,
  [109] = 97,
  [110] = 97,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 111,
  [115] = 115,
  [116] = 115,
  [117] = 112,
  [118] = 111,
  [119] = 113,
  [120] = 113,
  [121] = 112,
  [122] = 97,
  [123] = 115,
  [124] = 97,
  [125] = 97,
  [126] = 126,
  [127] = 126,
  [128] = 126,
  [129] = 97,
  [130] = 97,
  [131] = 97,
  [132] = 97,
  [133] = 97,
  [134] = 97,
  [135] = 97,
  [136] = 97,
  [137] = 97,
  [138] = 97,
  [139] = 97,
  [140] = 97,
  [141] = 97,
  [142] = 97,
  [143] = 97,
  [144] = 97,
  [145] = 97,
  [146] = 97,
  [147] = 97,
  [148] = 97,
  [149] = 97,
  [150] = 97,
  [151] = 97,
  [152] = 152,
  [153] = 152,
  [154] = 154,
  [155] = 154,
  [156] = 152,
  [157] = 154,
  [158] = 152,
  [159] = 154,
  [160] = 152,
  [161] = 154,
  [162] = 152,
  [163] = 97,
  [164] = 154,
  [165] = 152,
  [166] = 154,
  [167] = 152,
  [168] = 154,
  [169] = 152,
  [170] = 154,
  [171] = 152,
  [172] = 154,
  [173] = 152,
  [174] = 154,
  [175] = 152,
  [176] = 154,
  [177] = 152,
  [178] = 154,
  [179] = 152,
  [180] = 154,
  [181] = 152,
  [182] = 154,
  [183] = 152,
  [184] = 154,
  [185] = 152,
  [186] = 154,
  [187] = 152,
  [188] = 154,
  [189] = 152,
  [190] = 154,
  [191] = 152,
  [192] = 154,
  [193] = 152,
  [194] = 154,
  [195] = 152,
  [196] = 154,
  [197] = 152,
  [198] = 154,
  [199] = 152,
  [200] = 154,
  [201] = 152,
  [202] = 97,
  [203] = 154,
  [204] = 152,
  [205] = 97,
  [206] = 154,
  [207] = 152,
  [208] = 154,
  [209] = 152,
  [210] = 154,
  [211] = 152,
  [212] = 97,
  [213] = 154,
  [214] = 97,
  [215] = 154,
  [216] = 152,
  [217] = 154,
  [218] = 152,
  [219] = 97,
  [220] = 154,
  [221] = 152,
  [222] = 154,
  [223] = 152,
  [224] = 154,
  [225] = 152,
  [226] = 154,
  [227] = 152,
  [228] = 154,
  [229] = 152,
  [230] = 152,
  [231] = 154,
  [232] = 152,
  [233] = 154,
  [234] = 152,
  [235] = 154,
  [236] = 152,
  [237] = 154,
  [238] = 152,
  [239] = 154,
  [240] = 152,
  [241] = 154,
  [242] = 152,
  [243] = 154,
  [244] = 152,
  [245] = 154,
  [246] = 154,
  [247] = 152,
  [248] = 154,
  [249] = 152,
  [250] = 154,
  [251] = 152,
  [252] = 154,
  [253] = 152,
  [254] = 154,
  [255] = 97,
  [256] = 97,
  [257] = 97,
  [258] = 97,
  [259] = 152,
  [260] = 154,
  [261] = 152,
  [262] = 154,
  [263] = 152,
  [264] = 97,
  [265] = 97,
  [266] = 97,
  [267] = 97,
  [268] = 97,
  [269] = 97,
  [270] = 97,
  [271] = 97,
  [272] = 97,
  [273] = 97,
  [274] = 97,
  [275] = 97,
  [276] = 97,
  [277] = 97,
  [278] = 97,
  [279] = 97,
  [280] = 97,
  [281] = 97,
  [282] = 282,
  [283] = 282,
  [284] = 282,
  [285] = 282,
  [286] = 282,
  [287] = 282,
  [288] = 282,
  [289] = 282,
  [290] = 282,
  [291] = 282,
  [292] = 282,
  [293] = 282,
  [294] = 282,
  [295] = 282,
  [296] = 282,
  [297] = 282,
  [298] = 282,
  [299] = 97,
  [300] = 282,
  [301] = 282,
  [302] = 282,
  [303] = 282,
  [304] = 282,
  [305] = 282,
  [306] = 282,
  [307] = 282,
  [308] = 282,
  [309] = 282,
  [310] = 282,
  [311] = 282,
  [312] = 282,
  [313] = 282,
  [314] = 282,
  [315] = 282,
  [316] = 282,
  [317] = 97,
  [318] = 282,
  [319] = 282,
  [320] = 282,
  [321] = 97,
  [322] = 97,
  [323] = 282,
  [324] = 282,
  [325] = 282,
  [326] = 282,
  [327] = 282,
  [328] = 282,
  [329] = 282,
  [330] = 282,
  [331] = 282,
  [332] = 282,
  [333] = 282,
  [334] = 282,
  [335] = 282,
  [336] = 97,
  [337] = 282,
  [338] = 97,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 343,
  [345] = 342,
  [346] = 343,
  [347] = 342,
  [348] = 339,
  [349] = 349,
  [350] = 343,
  [351] = 343,
  [352] = 343,
  [353] = 342,
  [354] = 343,
  [355] = 342,
  [356] = 343,
  [357] = 343,
  [358] = 343,
  [359] = 342,
  [360] = 343,
  [361] = 342,
  [362] = 343,
  [363] = 342,
  [364] = 343,
  [365] = 342,
  [366] = 342,
  [367] = 343,
  [368] = 343,
  [369] = 342,
  [370] = 343,
  [371] = 342,
  [372] = 343,
  [373] = 342,
  [374] = 343,
  [375] = 342,
  [376] = 342,
  [377] = 343,
  [378] = 342,
  [379] = 343,
  [380] = 343,
  [381] = 342,
  [382] = 342,
  [383] = 342,
  [384] = 343,
  [385] = 342,
  [386] = 343,
  [387] = 342,
  [388] = 342,
  [389] = 343,
  [390] = 342,
  [391] = 343,
  [392] = 343,
  [393] = 342,
  [394] = 342,
  [395] = 342,
  [396] = 342,
  [397] = 342,
  [398] = 343,
  [399] = 342,
  [400] = 342,
  [401] = 343,
  [402] = 343,
  [403] = 342,
  [404] = 343,
  [405] = 342,
  [406] = 349,
  [407] = 343,
  [408] = 343,
  [409] = 343,
  [410] = 342,
  [411] = 343,
  [412] = 342,
  [413] = 342,
  [414] = 343,
  [415] = 340,
  [416] = 342,
  [417] = 349,
  [418] = 343,
  [419] = 342,
  [420] = 420,
  [421] = 341,
  [422] = 343,
  [423] = 343,
  [424] = 420,
  [425] = 341,
  [426] = 420,
  [427] = 341,
  [428] = 420,
  [429] = 420,
  [430] = 420,
  [431] = 420,
  [432] = 420,
  [433] = 420,
  [434] = 420,
  [435] = 420,
  [436] = 420,
  [437] = 420,
  [438] = 420,
  [439] = 342,
  [440] = 420,
  [441] = 420,
  [442] = 420,
  [443] = 420,
  [444] = 420,
  [445] = 420,
  [446] = 420,
  [447] = 420,
  [448] = 420,
  [449] = 420,
  [450] = 420,
  [451] = 420,
  [452] = 420,
  [453] = 420,
  [454] = 420,
  [455] = 420,
  [456] = 420,
  [457] = 420,
  [458] = 420,
  [459] = 420,
  [460] = 339,
  [461] = 340,
  [462] = 420,
  [463] = 339,
  [464] = 340,
  [465] = 420,
  [466] = 339,
  [467] = 340,
  [468] = 420,
  [469] = 339,
  [470] = 340,
  [471] = 420,
  [472] = 339,
  [473] = 340,
  [474] = 420,
  [475] = 339,
  [476] = 340,
  [477] = 420,
  [478] = 339,
  [479] = 340,
  [480] = 420,
  [481] = 339,
  [482] = 340,
  [483] = 420,
  [484] = 339,
  [485] = 340,
  [486] = 420,
  [487] = 339,
  [488] = 340,
  [489] = 420,
  [490] = 339,
  [491] = 340,
  [492] = 420,
  [493] = 339,
  [494] = 340,
  [495] = 420,
  [496] = 339,
  [497] = 340,
  [498] = 420,
  [499] = 339,
  [500] = 340,
  [501] = 420,
  [502] = 339,
  [503] = 340,
  [504] = 420,
  [505] = 339,
  [506] = 340,
  [507] = 420,
  [508] = 339,
  [509] = 340,
  [510] = 339,
  [511] = 340,
  [512] = 339,
  [513] = 340,
  [514] = 339,
  [515] = 340,
  [516] = 339,
  [517] = 340,
  [518] = 339,
  [519] = 340,
  [520] = 339,
  [521] = 340,
  [522] = 339,
  [523] = 340,
  [524] = 339,
  [525] = 340,
  [526] = 339,
  [527] = 340,
  [528] = 339,
  [529] = 340,
  [530] = 339,
  [531] = 340,
  [532] = 339,
  [533] = 340,
  [534] = 339,
  [535] = 340,
  [536] = 339,
  [537] = 340,
  [538] = 339,
  [539] = 340,
  [540] = 420,
  [541] = 340,
  [542] = 339,
  [543] = 340,
  [544] = 339,
  [545] = 340,
  [546] = 339,
  [547] = 340,
  [548] = 339,
  [549] = 340,
  [550] = 339,
  [551] = 340,
  [552] = 339,
  [553] = 340,
  [554] = 339,
  [555] = 340,
  [556] = 339,
  [557] = 340,
  [558] = 339,
  [559] = 340,
  [560] = 339,
  [561] = 340,
  [562] = 339,
  [563] = 340,
  [564] = 339,
  [565] = 340,
  [566] = 339,
  [567] = 340,
  [568] = 339,
  [569] = 340,
  [570] = 339,
  [571] = 340,
  [572] = 339,
  [573] = 420,
  [574] = 574,
  [575] = 574,
  [576] = 576,
  [577] = 574,
  [578] = 574,
  [579] = 574,
  [580] = 574,
  [581] = 349,
  [582] = 576,
  [583] = 574,
  [584] = 574,
  [585] = 574,
  [586] = 574,
  [587] = 576,
  [588] = 574,
  [589] = 349,
  [590] = 574,
  [591] = 574,
  [592] = 574,
  [593] = 574,
  [594] = 576,
  [595] = 349,
  [596] = 574,
  [597] = 574,
  [598] = 574,
  [599] = 574,
  [600] = 349,
  [601] = 574,
  [602] = 574,
  [603] = 574,
  [604] = 574,
  [605] = 574,
  [606] = 349,
  [607] = 574,
  [608] = 574,
  [609] = 574,
  [610] = 574,
  [611] = 574,
  [612] = 574,
  [613] = 574,
  [614] = 574,
  [615] = 574,
  [616] = 574,
  [617] = 574,
  [618] = 574,
  [619] = 574,
  [620] = 574,
  [621] = 574,
  [622] = 574,
  [623] = 574,
  [624] = 574,
  [625] = 574,
  [626] = 574,
  [627] = 574,
  [628] = 574,
  [629] = 574,
  [630] = 574,
  [631] = 349,
  [632] = 574,
  [633] = 574,
  [634] = 574,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 636,
  [650] = 650,
  [651] = 651,
  [652] = 636,
  [653] = 637,
  [654] = 638,
  [655] = 639,
  [656] = 640,
  [657] = 641,
  [658] = 637,
  [659] = 651,
  [660] = 638,
  [661] = 636,
  [662] = 637,
  [663] = 638,
  [664] = 639,
  [665] = 665,
  [666] = 639,
  [667] = 650,
  [668] = 651,
  [669] = 636,
  [670] = 637,
  [671] = 638,
  [672] = 639,
  [673] = 640,
  [674] = 641,
  [675] = 650,
  [676] = 640,
  [677] = 677,
  [678] = 678,
  [679] = 679,
  [680] = 641,
  [681] = 650,
  [682] = 651,
  [683] = 636,
  [684] = 637,
  [685] = 638,
  [686] = 639,
  [687] = 640,
  [688] = 641,
  [689] = 689,
  [690] = 690,
  [691] = 651,
  [692] = 692,
  [693] = 636,
  [694] = 637,
  [695] = 650,
  [696] = 651,
  [697] = 636,
  [698] = 637,
  [699] = 638,
  [700] = 639,
  [701] = 640,
  [702] = 641,
  [703] = 638,
  [704] = 639,
  [705] = 705,
  [706] = 706,
  [707] = 650,
  [708] = 650,
  [709] = 651,
  [710] = 636,
  [711] = 637,
  [712] = 638,
  [713] = 639,
  [714] = 640,
  [715] = 641,
  [716] = 640,
  [717] = 650,
  [718] = 718,
  [719] = 641,
  [720] = 665,
  [721] = 650,
  [722] = 651,
  [723] = 636,
  [724] = 637,
  [725] = 638,
  [726] = 639,
  [727] = 640,
  [728] = 641,
  [729] = 651,
  [730] = 689,
  [731] = 650,
  [732] = 732,
  [733] = 636,
  [734] = 650,
  [735] = 651,
  [736] = 636,
  [737] = 637,
  [738] = 638,
  [739] = 639,
  [740] = 640,
  [741] = 641,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 637,
  [747] = 638,
  [748] = 650,
  [749] = 651,
  [750] = 636,
  [751] = 637,
  [752] = 638,
  [753] = 639,
  [754] = 640,
  [755] = 641,
  [756] = 650,
  [757] = 639,
  [758] = 742,
  [759] = 651,
  [760] = 636,
  [761] = 650,
  [762] = 651,
  [763] = 636,
  [764] = 637,
  [765] = 638,
  [766] = 639,
  [767] = 640,
  [768] = 641,
  [769] = 637,
  [770] = 638,
  [771] = 639,
  [772] = 650,
  [773] = 640,
  [774] = 650,
  [775] = 651,
  [776] = 636,
  [777] = 637,
  [778] = 638,
  [779] = 639,
  [780] = 640,
  [781] = 641,
  [782] = 641,
  [783] = 651,
  [784] = 636,
  [785] = 637,
  [786] = 638,
  [787] = 650,
  [788] = 651,
  [789] = 636,
  [790] = 637,
  [791] = 638,
  [792] = 639,
  [793] = 640,
  [794] = 641,
  [795] = 639,
  [796] = 650,
  [797] = 650,
  [798] = 640,
  [799] = 640,
  [800] = 650,
  [801] = 651,
  [802] = 636,
  [803] = 637,
  [804] = 638,
  [805] = 639,
  [806] = 640,
  [807] = 641,
  [808] = 641,
  [809] = 651,
  [810] = 636,
  [811] = 637,
  [812] = 638,
  [813] = 650,
  [814] = 639,
  [815] = 650,
  [816] = 640,
  [817] = 817,
  [818] = 641,
  [819] = 650,
  [820] = 651,
  [821] = 636,
  [822] = 637,
  [823] = 638,
  [824] = 639,
  [825] = 650,
  [826] = 650,
  [827] = 640,
  [828] = 641,
  [829] = 651,
  [830] = 636,
  [831] = 650,
  [832] = 637,
  [833] = 638,
  [834] = 639,
  [835] = 650,
  [836] = 640,
  [837] = 650,
  [838] = 641,
  [839] = 650,
  [840] = 641,
  [841] = 651,
  [842] = 651,
  [843] = 650,
  [844] = 636,
  [845] = 637,
  [846] = 638,
  [847] = 639,
  [848] = 640,
  [849] = 650,
  [850] = 641,
  [851] = 651,
  [852] = 636,
  [853] = 637,
  [854] = 638,
  [855] = 650,
  [856] = 639,
  [857] = 640,
  [858] = 641,
  [859] = 651,
  [860] = 860,
  [861] = 650,
  [862] = 636,
  [863] = 637,
  [864] = 638,
  [865] = 639,
  [866] = 640,
  [867] = 650,
  [868] = 641,
  [869] = 636,
  [870] = 637,
  [871] = 638,
  [872] = 639,
  [873] = 650,
  [874] = 640,
  [875] = 640,
  [876] = 641,
  [877] = 651,
  [878] = 878,
  [879] = 636,
  [880] = 637,
  [881] = 638,
  [882] = 665,
  [883] = 639,
  [884] = 650,
  [885] = 640,
  [886] = 742,
  [887] = 743,
  [888] = 744,
  [889] = 745,
  [890] = 890,
  [891] = 650,
  [892] = 641,
  [893] = 650,
  [894] = 651,
  [895] = 650,
  [896] = 651,
  [897] = 650,
  [898] = 636,
  [899] = 650,
  [900] = 650,
  [901] = 650,
  [902] = 651,
  [903] = 636,
  [904] = 637,
  [905] = 638,
  [906] = 639,
  [907] = 640,
  [908] = 641,
  [909] = 637,
  [910] = 638,
  [911] = 639,
  [912] = 650,
  [913] = 665,
  [914] = 640,
  [915] = 641,
  [916] = 651,
  [917] = 742,
  [918] = 743,
  [919] = 744,
  [920] = 745,
  [921] = 921,
  [922] = 650,
  [923] = 636,
  [924] = 637,
  [925] = 638,
  [926] = 639,
  [927] = 650,
  [928] = 651,
  [929] = 636,
  [930] = 637,
  [931] = 638,
  [932] = 639,
  [933] = 640,
  [934] = 641,
  [935] = 650,
  [936] = 640,
  [937] = 641,
  [938] = 651,
  [939] = 665,
  [940] = 940,
  [941] = 742,
  [942] = 743,
  [943] = 744,
  [944] = 745,
  [945] = 636,
  [946] = 637,
  [947] = 638,
  [948] = 639,
  [949] = 650,
  [950] = 650,
  [951] = 651,
  [952] = 636,
  [953] = 637,
  [954] = 638,
  [955] = 639,
  [956] = 640,
  [957] = 641,
  [958] = 640,
  [959] = 641,
  [960] = 960,
  [961] = 651,
  [962] = 665,
  [963] = 963,
  [964] = 742,
  [965] = 743,
  [966] = 744,
  [967] = 745,
  [968] = 636,
  [969] = 637,
  [970] = 638,
  [971] = 639,
  [972] = 650,
  [973] = 650,
  [974] = 651,
  [975] = 636,
  [976] = 732,
  [977] = 890,
  [978] = 679,
  [979] = 637,
  [980] = 692,
  [981] = 705,
  [982] = 706,
  [983] = 921,
  [984] = 940,
  [985] = 960,
  [986] = 635,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 643,
  [991] = 647,
  [992] = 651,
  [993] = 636,
  [994] = 637,
  [995] = 638,
  [996] = 639,
  [997] = 640,
  [998] = 641,
  [999] = 650,
  [1000] = 650,
  [1001] = 650,
  [1002] = 638,
  [1003] = 651,
  [1004] = 636,
  [1005] = 637,
  [1006] = 638,
  [1007] = 639,
  [1008] = 640,
  [1009] = 641,
  [1010] = 639,
  [1011] = 650,
  [1012] = 650,
  [1013] = 650,
  [1014] = 650,
  [1015] = 650,
  [1016] = 650,
  [1017] = 640,
  [1018] = 641,
  [1019] = 732,
  [1020] = 890,
  [1021] = 679,
  [1022] = 692,
  [1023] = 705,
  [1024] = 706,
  [1025] = 921,
  [1026] = 940,
  [1027] = 960,
  [1028] = 635,
  [1029] = 987,
  [1030] = 988,
  [1031] = 989,
  [1032] = 643,
  [1033] = 647,
  [1034] = 640,
  [1035] = 641,
  [1036] = 732,
  [1037] = 890,
  [1038] = 679,
  [1039] = 692,
  [1040] = 705,
  [1041] = 706,
  [1042] = 921,
  [1043] = 940,
  [1044] = 960,
  [1045] = 635,
  [1046] = 987,
  [1047] = 988,
  [1048] = 989,
  [1049] = 643,
  [1050] = 647,
  [1051] = 651,
  [1052] = 732,
  [1053] = 679,
  [1054] = 692,
  [1055] = 705,
  [1056] = 706,
  [1057] = 921,
  [1058] = 940,
  [1059] = 960,
  [1060] = 635,
  [1061] = 988,
  [1062] = 643,
  [1063] = 647,
  [1064] = 743,
  [1065] = 732,
  [1066] = 679,
  [1067] = 692,
  [1068] = 705,
  [1069] = 706,
  [1070] = 921,
  [1071] = 940,
  [1072] = 960,
  [1073] = 878,
  [1074] = 988,
  [1075] = 643,
  [1076] = 647,
  [1077] = 665,
  [1078] = 732,
  [1079] = 679,
  [1080] = 692,
  [1081] = 705,
  [1082] = 706,
  [1083] = 921,
  [1084] = 940,
  [1085] = 960,
  [1086] = 636,
  [1087] = 732,
  [1088] = 679,
  [1089] = 692,
  [1090] = 705,
  [1091] = 706,
  [1092] = 921,
  [1093] = 940,
  [1094] = 960,
  [1095] = 742,
  [1096] = 732,
  [1097] = 679,
  [1098] = 692,
  [1099] = 705,
  [1100] = 706,
  [1101] = 921,
  [1102] = 940,
  [1103] = 960,
  [1104] = 743,
  [1105] = 732,
  [1106] = 679,
  [1107] = 692,
  [1108] = 705,
  [1109] = 706,
  [1110] = 921,
  [1111] = 940,
  [1112] = 960,
  [1113] = 744,
  [1114] = 732,
  [1115] = 679,
  [1116] = 692,
  [1117] = 705,
  [1118] = 706,
  [1119] = 921,
  [1120] = 940,
  [1121] = 960,
  [1122] = 745,
  [1123] = 732,
  [1124] = 679,
  [1125] = 692,
  [1126] = 705,
  [1127] = 706,
  [1128] = 921,
  [1129] = 940,
  [1130] = 960,
  [1131] = 637,
  [1132] = 732,
  [1133] = 679,
  [1134] = 692,
  [1135] = 705,
  [1136] = 706,
  [1137] = 921,
  [1138] = 940,
  [1139] = 960,
  [1140] = 638,
  [1141] = 732,
  [1142] = 679,
  [1143] = 692,
  [1144] = 705,
  [1145] = 706,
  [1146] = 921,
  [1147] = 940,
  [1148] = 960,
  [1149] = 639,
  [1150] = 732,
  [1151] = 679,
  [1152] = 692,
  [1153] = 705,
  [1154] = 706,
  [1155] = 921,
  [1156] = 940,
  [1157] = 960,
  [1158] = 650,
  [1159] = 732,
  [1160] = 679,
  [1161] = 692,
  [1162] = 705,
  [1163] = 706,
  [1164] = 921,
  [1165] = 940,
  [1166] = 960,
  [1167] = 650,
  [1168] = 732,
  [1169] = 679,
  [1170] = 692,
  [1171] = 705,
  [1172] = 706,
  [1173] = 921,
  [1174] = 940,
  [1175] = 960,
  [1176] = 651,
  [1177] = 732,
  [1178] = 679,
  [1179] = 692,
  [1180] = 705,
  [1181] = 706,
  [1182] = 921,
  [1183] = 940,
  [1184] = 960,
  [1185] = 636,
  [1186] = 732,
  [1187] = 679,
  [1188] = 692,
  [1189] = 705,
  [1190] = 706,
  [1191] = 921,
  [1192] = 940,
  [1193] = 960,
  [1194] = 637,
  [1195] = 732,
  [1196] = 679,
  [1197] = 692,
  [1198] = 705,
  [1199] = 706,
  [1200] = 921,
  [1201] = 940,
  [1202] = 960,
  [1203] = 638,
  [1204] = 732,
  [1205] = 679,
  [1206] = 692,
  [1207] = 705,
  [1208] = 706,
  [1209] = 921,
  [1210] = 940,
  [1211] = 960,
  [1212] = 639,
  [1213] = 732,
  [1214] = 679,
  [1215] = 692,
  [1216] = 705,
  [1217] = 706,
  [1218] = 921,
  [1219] = 940,
  [1220] = 960,
  [1221] = 640,
  [1222] = 732,
  [1223] = 679,
  [1224] = 692,
  [1225] = 705,
  [1226] = 706,
  [1227] = 921,
  [1228] = 940,
  [1229] = 960,
  [1230] = 641,
  [1231] = 732,
  [1232] = 679,
  [1233] = 692,
  [1234] = 705,
  [1235] = 706,
  [1236] = 921,
  [1237] = 940,
  [1238] = 960,
  [1239] = 640,
  [1240] = 732,
  [1241] = 679,
  [1242] = 692,
  [1243] = 705,
  [1244] = 706,
  [1245] = 921,
  [1246] = 940,
  [1247] = 960,
  [1248] = 641,
  [1249] = 732,
  [1250] = 679,
  [1251] = 692,
  [1252] = 705,
  [1253] = 706,
  [1254] = 921,
  [1255] = 651,
  [1256] = 960,
  [1257] = 651,
  [1258] = 732,
  [1259] = 679,
  [1260] = 692,
  [1261] = 705,
  [1262] = 706,
  [1263] = 921,
  [1264] = 940,
  [1265] = 960,
  [1266] = 1266,
  [1267] = 732,
  [1268] = 679,
  [1269] = 692,
  [1270] = 705,
  [1271] = 706,
  [1272] = 921,
  [1273] = 940,
  [1274] = 960,
  [1275] = 636,
  [1276] = 732,
  [1277] = 679,
  [1278] = 692,
  [1279] = 705,
  [1280] = 706,
  [1281] = 921,
  [1282] = 940,
  [1283] = 960,
  [1284] = 637,
  [1285] = 732,
  [1286] = 679,
  [1287] = 692,
  [1288] = 705,
  [1289] = 706,
  [1290] = 921,
  [1291] = 940,
  [1292] = 960,
  [1293] = 638,
  [1294] = 732,
  [1295] = 679,
  [1296] = 692,
  [1297] = 705,
  [1298] = 706,
  [1299] = 921,
  [1300] = 940,
  [1301] = 960,
  [1302] = 639,
  [1303] = 732,
  [1304] = 679,
  [1305] = 692,
  [1306] = 705,
  [1307] = 706,
  [1308] = 921,
  [1309] = 940,
  [1310] = 960,
  [1311] = 650,
  [1312] = 732,
  [1313] = 679,
  [1314] = 692,
  [1315] = 705,
  [1316] = 706,
  [1317] = 921,
  [1318] = 940,
  [1319] = 960,
  [1320] = 650,
  [1321] = 732,
  [1322] = 679,
  [1323] = 692,
  [1324] = 705,
  [1325] = 706,
  [1326] = 921,
  [1327] = 940,
  [1328] = 960,
  [1329] = 651,
  [1330] = 732,
  [1331] = 679,
  [1332] = 692,
  [1333] = 705,
  [1334] = 706,
  [1335] = 921,
  [1336] = 940,
  [1337] = 960,
  [1338] = 732,
  [1339] = 679,
  [1340] = 692,
  [1341] = 705,
  [1342] = 706,
  [1343] = 921,
  [1344] = 940,
  [1345] = 960,
  [1346] = 732,
  [1347] = 679,
  [1348] = 692,
  [1349] = 705,
  [1350] = 706,
  [1351] = 921,
  [1352] = 940,
  [1353] = 960,
  [1354] = 732,
  [1355] = 679,
  [1356] = 692,
  [1357] = 705,
  [1358] = 706,
  [1359] = 921,
  [1360] = 940,
  [1361] = 960,
  [1362] = 732,
  [1363] = 679,
  [1364] = 692,
  [1365] = 705,
  [1366] = 706,
  [1367] = 921,
  [1368] = 940,
  [1369] = 960,
  [1370] = 732,
  [1371] = 679,
  [1372] = 692,
  [1373] = 705,
  [1374] = 706,
  [1375] = 921,
  [1376] = 940,
  [1377] = 960,
  [1378] = 732,
  [1379] = 679,
  [1380] = 692,
  [1381] = 705,
  [1382] = 706,
  [1383] = 921,
  [1384] = 940,
  [1385] = 960,
  [1386] = 732,
  [1387] = 679,
  [1388] = 692,
  [1389] = 705,
  [1390] = 706,
  [1391] = 921,
  [1392] = 940,
  [1393] = 960,
  [1394] = 732,
  [1395] = 679,
  [1396] = 692,
  [1397] = 705,
  [1398] = 706,
  [1399] = 921,
  [1400] = 940,
  [1401] = 960,
  [1402] = 732,
  [1403] = 679,
  [1404] = 692,
  [1405] = 705,
  [1406] = 706,
  [1407] = 921,
  [1408] = 940,
  [1409] = 960,
  [1410] = 732,
  [1411] = 679,
  [1412] = 692,
  [1413] = 705,
  [1414] = 706,
  [1415] = 921,
  [1416] = 940,
  [1417] = 960,
  [1418] = 732,
  [1419] = 679,
  [1420] = 692,
  [1421] = 705,
  [1422] = 706,
  [1423] = 921,
  [1424] = 940,
  [1425] = 960,
  [1426] = 732,
  [1427] = 679,
  [1428] = 692,
  [1429] = 705,
  [1430] = 706,
  [1431] = 921,
  [1432] = 940,
  [1433] = 960,
  [1434] = 732,
  [1435] = 679,
  [1436] = 692,
  [1437] = 705,
  [1438] = 706,
  [1439] = 921,
  [1440] = 940,
  [1441] = 960,
  [1442] = 679,
  [1443] = 692,
  [1444] = 705,
  [1445] = 706,
  [1446] = 921,
  [1447] = 940,
  [1448] = 960,
  [1449] = 679,
  [1450] = 692,
  [1451] = 705,
  [1452] = 706,
  [1453] = 921,
  [1454] = 940,
  [1455] = 960,
  [1456] = 636,
  [1457] = 637,
  [1458] = 638,
  [1459] = 690,
  [1460] = 963,
  [1461] = 677,
  [1462] = 732,
  [1463] = 732,
  [1464] = 732,
  [1465] = 732,
  [1466] = 639,
  [1467] = 640,
  [1468] = 641,
  [1469] = 690,
  [1470] = 963,
  [1471] = 677,
  [1472] = 640,
  [1473] = 641,
  [1474] = 651,
  [1475] = 690,
  [1476] = 963,
  [1477] = 677,
  [1478] = 1478,
  [1479] = 636,
  [1480] = 637,
  [1481] = 690,
  [1482] = 963,
  [1483] = 677,
  [1484] = 638,
  [1485] = 639,
  [1486] = 640,
  [1487] = 690,
  [1488] = 963,
  [1489] = 677,
  [1490] = 650,
  [1491] = 651,
  [1492] = 636,
  [1493] = 690,
  [1494] = 963,
  [1495] = 677,
  [1496] = 637,
  [1497] = 638,
  [1498] = 639,
  [1499] = 690,
  [1500] = 963,
  [1501] = 677,
  [1502] = 640,
  [1503] = 641,
  [1504] = 641,
  [1505] = 690,
  [1506] = 963,
  [1507] = 677,
  [1508] = 651,
  [1509] = 1509,
  [1510] = 636,
  [1511] = 690,
  [1512] = 963,
  [1513] = 677,
  [1514] = 637,
  [1515] = 638,
  [1516] = 639,
  [1517] = 690,
  [1518] = 963,
  [1519] = 677,
  [1520] = 640,
  [1521] = 641,
  [1522] = 650,
  [1523] = 690,
  [1524] = 963,
  [1525] = 677,
  [1526] = 651,
  [1527] = 636,
  [1528] = 637,
  [1529] = 690,
  [1530] = 963,
  [1531] = 677,
  [1532] = 638,
  [1533] = 639,
  [1534] = 640,
  [1535] = 690,
  [1536] = 963,
  [1537] = 677,
  [1538] = 641,
  [1539] = 651,
  [1540] = 1540,
  [1541] = 690,
  [1542] = 963,
  [1543] = 677,
  [1544] = 636,
  [1545] = 637,
  [1546] = 638,
  [1547] = 690,
  [1548] = 963,
  [1549] = 677,
  [1550] = 639,
  [1551] = 640,
  [1552] = 641,
  [1553] = 690,
  [1554] = 963,
  [1555] = 677,
  [1556] = 651,
  [1557] = 650,
  [1558] = 651,
  [1559] = 690,
  [1560] = 963,
  [1561] = 677,
  [1562] = 636,
  [1563] = 637,
  [1564] = 690,
  [1565] = 963,
  [1566] = 677,
  [1567] = 638,
  [1568] = 639,
  [1569] = 690,
  [1570] = 963,
  [1571] = 677,
  [1572] = 640,
  [1573] = 641,
  [1574] = 690,
  [1575] = 963,
  [1576] = 677,
  [1577] = 635,
  [1578] = 636,
  [1579] = 690,
  [1580] = 963,
  [1581] = 677,
  [1582] = 637,
  [1583] = 638,
  [1584] = 690,
  [1585] = 963,
  [1586] = 677,
  [1587] = 639,
  [1588] = 640,
  [1589] = 690,
  [1590] = 963,
  [1591] = 677,
  [1592] = 641,
  [1593] = 651,
  [1594] = 690,
  [1595] = 963,
  [1596] = 677,
  [1597] = 641,
  [1598] = 650,
  [1599] = 690,
  [1600] = 963,
  [1601] = 677,
  [1602] = 651,
  [1603] = 636,
  [1604] = 690,
  [1605] = 963,
  [1606] = 677,
  [1607] = 637,
  [1608] = 638,
  [1609] = 690,
  [1610] = 963,
  [1611] = 677,
  [1612] = 639,
  [1613] = 640,
  [1614] = 690,
  [1615] = 963,
  [1616] = 677,
  [1617] = 641,
  [1618] = 636,
  [1619] = 690,
  [1620] = 963,
  [1621] = 677,
  [1622] = 637,
  [1623] = 638,
  [1624] = 690,
  [1625] = 963,
  [1626] = 677,
  [1627] = 639,
  [1628] = 640,
  [1629] = 690,
  [1630] = 963,
  [1631] = 677,
  [1632] = 641,
  [1633] = 987,
  [1634] = 690,
  [1635] = 963,
  [1636] = 677,
  [1637] = 744,
  [1638] = 650,
  [1639] = 690,
  [1640] = 963,
  [1641] = 677,
  [1642] = 651,
  [1643] = 636,
  [1644] = 690,
  [1645] = 963,
  [1646] = 677,
  [1647] = 637,
  [1648] = 638,
  [1649] = 690,
  [1650] = 963,
  [1651] = 677,
  [1652] = 639,
  [1653] = 640,
  [1654] = 690,
  [1655] = 963,
  [1656] = 677,
  [1657] = 641,
  [1658] = 1658,
  [1659] = 690,
  [1660] = 963,
  [1661] = 677,
  [1662] = 349,
  [1663] = 1663,
  [1664] = 690,
  [1665] = 963,
  [1666] = 677,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 690,
  [1670] = 963,
  [1671] = 677,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 690,
  [1675] = 963,
  [1676] = 677,
  [1677] = 988,
  [1678] = 650,
  [1679] = 690,
  [1680] = 963,
  [1681] = 677,
  [1682] = 651,
  [1683] = 636,
  [1684] = 690,
  [1685] = 963,
  [1686] = 677,
  [1687] = 637,
  [1688] = 638,
  [1689] = 690,
  [1690] = 963,
  [1691] = 677,
  [1692] = 639,
  [1693] = 640,
  [1694] = 690,
  [1695] = 963,
  [1696] = 677,
  [1697] = 641,
  [1698] = 989,
  [1699] = 690,
  [1700] = 963,
  [1701] = 677,
  [1702] = 745,
  [1703] = 349,
  [1704] = 690,
  [1705] = 963,
  [1706] = 677,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 690,
  [1710] = 963,
  [1711] = 677,
  [1712] = 1712,
  [1713] = 349,
  [1714] = 690,
  [1715] = 963,
  [1716] = 677,
  [1717] = 1717,
  [1718] = 650,
  [1719] = 690,
  [1720] = 963,
  [1721] = 677,
  [1722] = 678,
  [1723] = 878,
  [1724] = 678,
  [1725] = 878,
  [1726] = 678,
  [1727] = 940,
  [1728] = 1728,
  [1729] = 1728,
  [1730] = 1730,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1728,
  [1736] = 1730,
  [1737] = 1731,
  [1738] = 1731,
  [1739] = 1732,
  [1740] = 1733,
  [1741] = 1734,
  [1742] = 1728,
  [1743] = 1730,
  [1744] = 1731,
  [1745] = 1732,
  [1746] = 349,
  [1747] = 1733,
  [1748] = 1734,
  [1749] = 1728,
  [1750] = 1730,
  [1751] = 1731,
  [1752] = 1732,
  [1753] = 1732,
  [1754] = 1733,
  [1755] = 1734,
  [1756] = 1728,
  [1757] = 1730,
  [1758] = 1731,
  [1759] = 1732,
  [1760] = 1733,
  [1761] = 1734,
  [1762] = 1728,
  [1763] = 1730,
  [1764] = 1731,
  [1765] = 1732,
  [1766] = 1733,
  [1767] = 1734,
  [1768] = 1728,
  [1769] = 1730,
  [1770] = 1731,
  [1771] = 1732,
  [1772] = 1733,
  [1773] = 1734,
  [1774] = 1728,
  [1775] = 1730,
  [1776] = 1731,
  [1777] = 1732,
  [1778] = 1733,
  [1779] = 1734,
  [1780] = 1728,
  [1781] = 1730,
  [1782] = 1731,
  [1783] = 1732,
  [1784] = 1733,
  [1785] = 1734,
  [1786] = 1728,
  [1787] = 1730,
  [1788] = 1731,
  [1789] = 1732,
  [1790] = 1733,
  [1791] = 1734,
  [1792] = 1728,
  [1793] = 1730,
  [1794] = 1731,
  [1795] = 1732,
  [1796] = 1733,
  [1797] = 1734,
  [1798] = 1728,
  [1799] = 1730,
  [1800] = 1731,
  [1801] = 1732,
  [1802] = 1733,
  [1803] = 1734,
  [1804] = 1728,
  [1805] = 1730,
  [1806] = 1731,
  [1807] = 1732,
  [1808] = 1733,
  [1809] = 1734,
  [1810] = 1728,
  [1811] = 1730,
  [1812] = 1731,
  [1813] = 1732,
  [1814] = 1733,
  [1815] = 1734,
  [1816] = 1730,
  [1817] = 1731,
  [1818] = 1732,
  [1819] = 1733,
  [1820] = 1734,
  [1821] = 1728,
  [1822] = 1730,
  [1823] = 1731,
  [1824] = 1732,
  [1825] = 1733,
  [1826] = 1734,
  [1827] = 1728,
  [1828] = 1730,
  [1829] = 1731,
  [1830] = 1732,
  [1831] = 1733,
  [1832] = 1734,
  [1833] = 1728,
  [1834] = 1730,
  [1835] = 1731,
  [1836] = 1732,
  [1837] = 1733,
  [1838] = 1734,
  [1839] = 1728,
  [1840] = 1730,
  [1841] = 1731,
  [1842] = 1732,
  [1843] = 349,
  [1844] = 1733,
  [1845] = 1734,
  [1846] = 1728,
  [1847] = 1730,
  [1848] = 1731,
  [1849] = 1732,
  [1850] = 349,
  [1851] = 1851,
  [1852] = 1733,
  [1853] = 1734,
  [1854] = 1728,
  [1855] = 1730,
  [1856] = 1731,
  [1857] = 1732,
  [1858] = 1733,
  [1859] = 1734,
  [1860] = 1728,
  [1861] = 1730,
  [1862] = 1731,
  [1863] = 1732,
  [1864] = 1733,
  [1865] = 1734,
  [1866] = 1728,
  [1867] = 1730,
  [1868] = 1731,
  [1869] = 1732,
  [1870] = 1733,
  [1871] = 1734,
  [1872] = 1728,
  [1873] = 1730,
  [1874] = 1731,
  [1875] = 1732,
  [1876] = 1733,
  [1877] = 1734,
  [1878] = 1728,
  [1879] = 1730,
  [1880] = 1731,
  [1881] = 1732,
  [1882] = 1733,
  [1883] = 1734,
  [1884] = 1728,
  [1885] = 1730,
  [1886] = 1731,
  [1887] = 1732,
  [1888] = 1733,
  [1889] = 1734,
  [1890] = 1728,
  [1891] = 1730,
  [1892] = 1731,
  [1893] = 1732,
  [1894] = 1733,
  [1895] = 1734,
  [1896] = 1734,
  [1897] = 1730,
  [1898] = 1731,
  [1899] = 1732,
  [1900] = 1733,
  [1901] = 1734,
  [1902] = 1728,
  [1903] = 1730,
  [1904] = 1731,
  [1905] = 1732,
  [1906] = 1733,
  [1907] = 1734,
  [1908] = 1728,
  [1909] = 1730,
  [1910] = 1731,
  [1911] = 1732,
  [1912] = 1733,
  [1913] = 1734,
  [1914] = 1728,
  [1915] = 1730,
  [1916] = 1731,
  [1917] = 1732,
  [1918] = 1733,
  [1919] = 1734,
  [1920] = 1728,
  [1921] = 1730,
  [1922] = 1731,
  [1923] = 1732,
  [1924] = 1733,
  [1925] = 1734,
  [1926] = 1728,
  [1927] = 1730,
  [1928] = 1731,
  [1929] = 1732,
  [1930] = 1733,
  [1931] = 1734,
  [1932] = 1728,
  [1933] = 1730,
  [1934] = 1731,
  [1935] = 1732,
  [1936] = 1733,
  [1937] = 1734,
  [1938] = 1728,
  [1939] = 1730,
  [1940] = 1731,
  [1941] = 1732,
  [1942] = 1733,
  [1943] = 1734,
  [1944] = 1728,
  [1945] = 1730,
  [1946] = 1731,
  [1947] = 1732,
  [1948] = 1733,
  [1949] = 1734,
  [1950] = 1728,
  [1951] = 1730,
  [1952] = 1731,
  [1953] = 1732,
  [1954] = 1733,
  [1955] = 1734,
  [1956] = 1728,
  [1957] = 1730,
  [1958] = 1731,
  [1959] = 1732,
  [1960] = 1733,
  [1961] = 1734,
  [1962] = 1728,
  [1963] = 1730,
  [1964] = 1731,
  [1965] = 1732,
  [1966] = 1851,
  [1967] = 1733,
  [1968] = 1734,
  [1969] = 1969,
  [1970] = 1728,
  [1971] = 1730,
  [1972] = 1731,
  [1973] = 1732,
  [1974] = 1733,
  [1975] = 1734,
  [1976] = 1728,
  [1977] = 1730,
  [1978] = 1731,
  [1979] = 1732,
  [1980] = 1733,
  [1981] = 1734,
  [1982] = 1728,
  [1983] = 1730,
  [1984] = 1731,
  [1985] = 1732,
  [1986] = 1733,
  [1987] = 1734,
  [1988] = 1728,
  [1989] = 1730,
  [1990] = 1731,
  [1991] = 1732,
  [1992] = 1733,
  [1993] = 1734,
  [1994] = 1728,
  [1995] = 1730,
  [1996] = 1731,
  [1997] = 1732,
  [1998] = 1733,
  [1999] = 1734,
  [2000] = 1728,
  [2001] = 1730,
  [2002] = 1731,
  [2003] = 1732,
  [2004] = 1733,
  [2005] = 1734,
  [2006] = 1728,
  [2007] = 1730,
  [2008] = 1731,
  [2009] = 1732,
  [2010] = 1733,
  [2011] = 1734,
  [2012] = 1728,
  [2013] = 1730,
  [2014] = 1731,
  [2015] = 1732,
  [2016] = 1733,
  [2017] = 1734,
  [2018] = 1728,
  [2019] = 1730,
  [2020] = 1731,
  [2021] = 1732,
  [2022] = 1733,
  [2023] = 1728,
  [2024] = 1969,
  [2025] = 1733,
  [2026] = 1734,
  [2027] = 1728,
  [2028] = 1730,
  [2029] = 1731,
  [2030] = 1732,
  [2031] = 1730,
  [2032] = 1734,
  [2033] = 1851,
  [2034] = 1969,
  [2035] = 1733,
  [2036] = 1728,
  [2037] = 2037,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 2037,
  [2048] = 2048,
  [2049] = 2049,
  [2050] = 2041,
  [2051] = 2051,
  [2052] = 2052,
  [2053] = 2040,
  [2054] = 2042,
  [2055] = 2038,
  [2056] = 2039,
  [2057] = 2046,
  [2058] = 2045,
  [2059] = 2044,
  [2060] = 2038,
  [2061] = 2046,
  [2062] = 2051,
  [2063] = 2043,
  [2064] = 2043,
  [2065] = 2043,
  [2066] = 2046,
  [2067] = 2039,
  [2068] = 2045,
  [2069] = 2037,
  [2070] = 2037,
  [2071] = 2048,
  [2072] = 2049,
  [2073] = 2041,
  [2074] = 2044,
  [2075] = 2051,
  [2076] = 2046,
  [2077] = 2037,
  [2078] = 2048,
  [2079] = 2049,
  [2080] = 2041,
  [2081] = 2051,
  [2082] = 2052,
  [2083] = 2040,
  [2084] = 2042,
  [2085] = 2038,
  [2086] = 2039,
  [2087] = 2052,
  [2088] = 2040,
  [2089] = 2042,
  [2090] = 2038,
  [2091] = 2039,
  [2092] = 2045,
  [2093] = 2048,
  [2094] = 2049,
  [2095] = 2041,
  [2096] = 2051,
  [2097] = 2043,
  [2098] = 2098,
  [2099] = 2052,
  [2100] = 2045,
  [2101] = 2040,
  [2102] = 2044,
  [2103] = 2039,
  [2104] = 2046,
  [2105] = 2037,
  [2106] = 2048,
  [2107] = 2049,
  [2108] = 2041,
  [2109] = 2051,
  [2110] = 2052,
  [2111] = 2040,
  [2112] = 2042,
  [2113] = 2038,
  [2114] = 2039,
  [2115] = 2044,
  [2116] = 2042,
  [2117] = 2046,
  [2118] = 2045,
  [2119] = 2038,
  [2120] = 2037,
  [2121] = 2044,
  [2122] = 2048,
  [2123] = 2049,
  [2124] = 2041,
  [2125] = 1851,
  [2126] = 2043,
  [2127] = 2051,
  [2128] = 2046,
  [2129] = 2052,
  [2130] = 2040,
  [2131] = 2042,
  [2132] = 2038,
  [2133] = 2044,
  [2134] = 2039,
  [2135] = 2046,
  [2136] = 2037,
  [2137] = 2048,
  [2138] = 2049,
  [2139] = 2041,
  [2140] = 2051,
  [2141] = 2052,
  [2142] = 2040,
  [2143] = 2042,
  [2144] = 2038,
  [2145] = 2039,
  [2146] = 2039,
  [2147] = 2052,
  [2148] = 2040,
  [2149] = 2042,
  [2150] = 2045,
  [2151] = 2045,
  [2152] = 2037,
  [2153] = 2048,
  [2154] = 2049,
  [2155] = 2044,
  [2156] = 2043,
  [2157] = 2044,
  [2158] = 2041,
  [2159] = 2046,
  [2160] = 2046,
  [2161] = 2044,
  [2162] = 2038,
  [2163] = 2046,
  [2164] = 2037,
  [2165] = 2048,
  [2166] = 2049,
  [2167] = 2041,
  [2168] = 2051,
  [2169] = 2052,
  [2170] = 2040,
  [2171] = 2042,
  [2172] = 2038,
  [2173] = 2039,
  [2174] = 2037,
  [2175] = 2048,
  [2176] = 2049,
  [2177] = 2041,
  [2178] = 2051,
  [2179] = 2045,
  [2180] = 2052,
  [2181] = 2040,
  [2182] = 2037,
  [2183] = 2048,
  [2184] = 2042,
  [2185] = 2038,
  [2186] = 2039,
  [2187] = 2049,
  [2188] = 2041,
  [2189] = 2043,
  [2190] = 2051,
  [2191] = 2052,
  [2192] = 2039,
  [2193] = 2193,
  [2194] = 2044,
  [2195] = 2046,
  [2196] = 2037,
  [2197] = 2048,
  [2198] = 2049,
  [2199] = 2041,
  [2200] = 2051,
  [2201] = 2052,
  [2202] = 2040,
  [2203] = 2042,
  [2204] = 2038,
  [2205] = 2039,
  [2206] = 2045,
  [2207] = 2045,
  [2208] = 2040,
  [2209] = 2042,
  [2210] = 2044,
  [2211] = 2038,
  [2212] = 2043,
  [2213] = 2046,
  [2214] = 2039,
  [2215] = 2051,
  [2216] = 2037,
  [2217] = 2048,
  [2218] = 2049,
  [2219] = 2044,
  [2220] = 2041,
  [2221] = 2046,
  [2222] = 2037,
  [2223] = 2048,
  [2224] = 2049,
  [2225] = 2041,
  [2226] = 2051,
  [2227] = 2052,
  [2228] = 2040,
  [2229] = 2042,
  [2230] = 2038,
  [2231] = 2039,
  [2232] = 2051,
  [2233] = 2052,
  [2234] = 2040,
  [2235] = 2042,
  [2236] = 2038,
  [2237] = 2045,
  [2238] = 2039,
  [2239] = 2045,
  [2240] = 2052,
  [2241] = 2040,
  [2242] = 2044,
  [2243] = 2042,
  [2244] = 2038,
  [2245] = 2043,
  [2246] = 2045,
  [2247] = 2039,
  [2248] = 2045,
  [2249] = 2044,
  [2250] = 2046,
  [2251] = 2037,
  [2252] = 2048,
  [2253] = 2049,
  [2254] = 2041,
  [2255] = 2051,
  [2256] = 2052,
  [2257] = 2040,
  [2258] = 2042,
  [2259] = 2038,
  [2260] = 2039,
  [2261] = 2045,
  [2262] = 2046,
  [2263] = 2037,
  [2264] = 2043,
  [2265] = 2044,
  [2266] = 2046,
  [2267] = 2037,
  [2268] = 2048,
  [2269] = 2049,
  [2270] = 2041,
  [2271] = 2051,
  [2272] = 2052,
  [2273] = 2040,
  [2274] = 2042,
  [2275] = 2038,
  [2276] = 2039,
  [2277] = 2045,
  [2278] = 349,
  [2279] = 2043,
  [2280] = 2045,
  [2281] = 2048,
  [2282] = 2044,
  [2283] = 2046,
  [2284] = 2037,
  [2285] = 2048,
  [2286] = 2049,
  [2287] = 2041,
  [2288] = 2051,
  [2289] = 2052,
  [2290] = 2040,
  [2291] = 2042,
  [2292] = 2038,
  [2293] = 2039,
  [2294] = 2045,
  [2295] = 2043,
  [2296] = 2043,
  [2297] = 2044,
  [2298] = 2045,
  [2299] = 2044,
  [2300] = 2044,
  [2301] = 1851,
  [2302] = 2046,
  [2303] = 2037,
  [2304] = 2048,
  [2305] = 2049,
  [2306] = 2041,
  [2307] = 2051,
  [2308] = 2052,
  [2309] = 2040,
  [2310] = 2042,
  [2311] = 2038,
  [2312] = 2039,
  [2313] = 2045,
  [2314] = 2049,
  [2315] = 2044,
  [2316] = 2037,
  [2317] = 2043,
  [2318] = 2046,
  [2319] = 2044,
  [2320] = 2046,
  [2321] = 2037,
  [2322] = 2048,
  [2323] = 2049,
  [2324] = 2041,
  [2325] = 2051,
  [2326] = 2052,
  [2327] = 2040,
  [2328] = 2042,
  [2329] = 2038,
  [2330] = 2039,
  [2331] = 2044,
  [2332] = 2045,
  [2333] = 2037,
  [2334] = 2046,
  [2335] = 2037,
  [2336] = 2048,
  [2337] = 2043,
  [2338] = 2049,
  [2339] = 2041,
  [2340] = 2044,
  [2341] = 2046,
  [2342] = 2037,
  [2343] = 2048,
  [2344] = 2049,
  [2345] = 2041,
  [2346] = 2051,
  [2347] = 2052,
  [2348] = 2040,
  [2349] = 2042,
  [2350] = 2038,
  [2351] = 2039,
  [2352] = 2045,
  [2353] = 2051,
  [2354] = 2052,
  [2355] = 2040,
  [2356] = 2042,
  [2357] = 2043,
  [2358] = 2038,
  [2359] = 2039,
  [2360] = 2044,
  [2361] = 2046,
  [2362] = 2037,
  [2363] = 2048,
  [2364] = 2049,
  [2365] = 2041,
  [2366] = 2051,
  [2367] = 2052,
  [2368] = 2040,
  [2369] = 2042,
  [2370] = 2038,
  [2371] = 2039,
  [2372] = 2045,
  [2373] = 1969,
  [2374] = 2048,
  [2375] = 2049,
  [2376] = 2041,
  [2377] = 2051,
  [2378] = 2043,
  [2379] = 2052,
  [2380] = 2045,
  [2381] = 2044,
  [2382] = 2046,
  [2383] = 2037,
  [2384] = 2048,
  [2385] = 2049,
  [2386] = 2041,
  [2387] = 2051,
  [2388] = 2052,
  [2389] = 2040,
  [2390] = 2042,
  [2391] = 2038,
  [2392] = 2039,
  [2393] = 2045,
  [2394] = 2040,
  [2395] = 2042,
  [2396] = 2046,
  [2397] = 2038,
  [2398] = 2044,
  [2399] = 2046,
  [2400] = 2037,
  [2401] = 2048,
  [2402] = 2049,
  [2403] = 2041,
  [2404] = 2051,
  [2405] = 2052,
  [2406] = 2040,
  [2407] = 2042,
  [2408] = 2038,
  [2409] = 2039,
  [2410] = 2045,
  [2411] = 2039,
  [2412] = 2046,
  [2413] = 2041,
  [2414] = 2037,
  [2415] = 2043,
  [2416] = 2045,
  [2417] = 2048,
  [2418] = 2048,
  [2419] = 2049,
  [2420] = 2037,
  [2421] = 1969,
  [2422] = 2041,
  [2423] = 2045,
  [2424] = 2045,
  [2425] = 2044,
  [2426] = 2044,
  [2427] = 2046,
  [2428] = 2048,
  [2429] = 2037,
  [2430] = 2048,
  [2431] = 2049,
  [2432] = 2041,
  [2433] = 2051,
  [2434] = 2052,
  [2435] = 2040,
  [2436] = 2042,
  [2437] = 2038,
  [2438] = 2039,
  [2439] = 2049,
  [2440] = 2045,
  [2441] = 2046,
  [2442] = 2045,
  [2443] = 2051,
  [2444] = 2037,
  [2445] = 2048,
  [2446] = 2049,
  [2447] = 2046,
  [2448] = 2037,
  [2449] = 2043,
  [2450] = 2041,
  [2451] = 2051,
  [2452] = 2048,
  [2453] = 2049,
  [2454] = 2052,
  [2455] = 2040,
  [2456] = 2042,
  [2457] = 2038,
  [2458] = 2039,
  [2459] = 2044,
  [2460] = 2046,
  [2461] = 2049,
  [2462] = 2037,
  [2463] = 2048,
  [2464] = 2049,
  [2465] = 2041,
  [2466] = 2051,
  [2467] = 2052,
  [2468] = 2041,
  [2469] = 2040,
  [2470] = 2042,
  [2471] = 2038,
  [2472] = 2039,
  [2473] = 2045,
  [2474] = 2041,
  [2475] = 2051,
  [2476] = 1851,
  [2477] = 2052,
  [2478] = 2040,
  [2479] = 2051,
  [2480] = 2043,
  [2481] = 2042,
  [2482] = 2038,
  [2483] = 2044,
  [2484] = 2044,
  [2485] = 2046,
  [2486] = 2037,
  [2487] = 2048,
  [2488] = 2049,
  [2489] = 2041,
  [2490] = 2052,
  [2491] = 2051,
  [2492] = 2052,
  [2493] = 2040,
  [2494] = 2042,
  [2495] = 2038,
  [2496] = 2039,
  [2497] = 2045,
  [2498] = 1851,
  [2499] = 2045,
  [2500] = 2039,
  [2501] = 2040,
  [2502] = 2052,
  [2503] = 2040,
  [2504] = 2042,
  [2505] = 2043,
  [2506] = 2038,
  [2507] = 2039,
  [2508] = 2044,
  [2509] = 2046,
  [2510] = 2037,
  [2511] = 2048,
  [2512] = 2042,
  [2513] = 2049,
  [2514] = 2041,
  [2515] = 2051,
  [2516] = 2052,
  [2517] = 2040,
  [2518] = 2042,
  [2519] = 2038,
  [2520] = 2039,
  [2521] = 2038,
  [2522] = 2045,
  [2523] = 2045,
  [2524] = 2051,
  [2525] = 2044,
  [2526] = 2052,
  [2527] = 2043,
  [2528] = 2046,
  [2529] = 2037,
  [2530] = 2048,
  [2531] = 2044,
  [2532] = 2049,
  [2533] = 2046,
  [2534] = 2039,
  [2535] = 2037,
  [2536] = 2048,
  [2537] = 2537,
  [2538] = 2193,
  [2539] = 2044,
  [2540] = 2046,
  [2541] = 2037,
  [2542] = 2048,
  [2543] = 2049,
  [2544] = 2041,
  [2545] = 2051,
  [2546] = 2052,
  [2547] = 2040,
  [2548] = 2042,
  [2549] = 2038,
  [2550] = 2039,
  [2551] = 2045,
  [2552] = 2044,
  [2553] = 2046,
  [2554] = 2037,
  [2555] = 2048,
  [2556] = 2049,
  [2557] = 2041,
  [2558] = 2051,
  [2559] = 2052,
  [2560] = 2040,
  [2561] = 2042,
  [2562] = 2038,
  [2563] = 2039,
  [2564] = 2045,
  [2565] = 2044,
  [2566] = 2046,
  [2567] = 2037,
  [2568] = 2048,
  [2569] = 2049,
  [2570] = 2041,
  [2571] = 2051,
  [2572] = 2052,
  [2573] = 2040,
  [2574] = 2042,
  [2575] = 2038,
  [2576] = 2039,
  [2577] = 2577,
  [2578] = 2045,
  [2579] = 2043,
  [2580] = 2044,
  [2581] = 2046,
  [2582] = 2037,
  [2583] = 2048,
  [2584] = 2049,
  [2585] = 2041,
  [2586] = 2051,
  [2587] = 2052,
  [2588] = 2040,
  [2589] = 2042,
  [2590] = 2038,
  [2591] = 2039,
  [2592] = 2045,
  [2593] = 1969,
  [2594] = 2537,
  [2595] = 2049,
  [2596] = 1969,
  [2597] = 2045,
  [2598] = 2044,
  [2599] = 2041,
  [2600] = 2051,
  [2601] = 2046,
  [2602] = 2037,
  [2603] = 2052,
  [2604] = 2040,
  [2605] = 2043,
  [2606] = 2048,
  [2607] = 2049,
  [2608] = 2041,
  [2609] = 2051,
  [2610] = 2052,
  [2611] = 2040,
  [2612] = 2042,
  [2613] = 2038,
  [2614] = 2042,
  [2615] = 2038,
  [2616] = 2039,
  [2617] = 2039,
  [2618] = 2044,
  [2619] = 2046,
  [2620] = 2037,
  [2621] = 2048,
  [2622] = 2049,
  [2623] = 2041,
  [2624] = 2051,
  [2625] = 2052,
  [2626] = 2040,
  [2627] = 2042,
  [2628] = 2038,
  [2629] = 2039,
  [2630] = 2043,
  [2631] = 2045,
  [2632] = 2045,
  [2633] = 2044,
  [2634] = 2046,
  [2635] = 2037,
  [2636] = 2048,
  [2637] = 2049,
  [2638] = 2041,
  [2639] = 2051,
  [2640] = 2052,
  [2641] = 2040,
  [2642] = 2042,
  [2643] = 2038,
  [2644] = 2039,
  [2645] = 2044,
  [2646] = 2046,
  [2647] = 2045,
  [2648] = 2037,
  [2649] = 2048,
  [2650] = 2044,
  [2651] = 2049,
  [2652] = 2046,
  [2653] = 2037,
  [2654] = 2048,
  [2655] = 2049,
  [2656] = 2041,
  [2657] = 2051,
  [2658] = 2052,
  [2659] = 2040,
  [2660] = 2042,
  [2661] = 2038,
  [2662] = 2039,
  [2663] = 2041,
  [2664] = 2051,
  [2665] = 2052,
  [2666] = 2040,
  [2667] = 2042,
  [2668] = 2038,
  [2669] = 2045,
  [2670] = 2039,
  [2671] = 2044,
  [2672] = 2046,
  [2673] = 2038,
  [2674] = 2048,
  [2675] = 2049,
  [2676] = 2041,
  [2677] = 2051,
  [2678] = 2052,
  [2679] = 2040,
  [2680] = 2042,
  [2681] = 2038,
  [2682] = 2039,
  [2683] = 2683,
  [2684] = 2045,
  [2685] = 2044,
  [2686] = 2046,
  [2687] = 2037,
  [2688] = 2048,
  [2689] = 2049,
  [2690] = 2041,
  [2691] = 2051,
  [2692] = 2052,
  [2693] = 2040,
  [2694] = 2042,
  [2695] = 2038,
  [2696] = 2039,
  [2697] = 2045,
  [2698] = 349,
  [2699] = 2044,
  [2700] = 2045,
  [2701] = 1851,
  [2702] = 1969,
  [2703] = 2046,
  [2704] = 2037,
  [2705] = 2048,
  [2706] = 2049,
  [2707] = 2041,
  [2708] = 2051,
  [2709] = 2052,
  [2710] = 2044,
  [2711] = 2040,
  [2712] = 2046,
  [2713] = 2037,
  [2714] = 2048,
  [2715] = 2049,
  [2716] = 2041,
  [2717] = 2051,
  [2718] = 2052,
  [2719] = 2040,
  [2720] = 2042,
  [2721] = 2038,
  [2722] = 2039,
  [2723] = 2042,
  [2724] = 2038,
  [2725] = 2039,
  [2726] = 2044,
  [2727] = 2045,
  [2728] = 2041,
  [2729] = 2044,
  [2730] = 2046,
  [2731] = 2037,
  [2732] = 2048,
  [2733] = 2049,
  [2734] = 2041,
  [2735] = 2051,
  [2736] = 2052,
  [2737] = 2040,
  [2738] = 2042,
  [2739] = 2038,
  [2740] = 2039,
  [2741] = 2045,
  [2742] = 349,
  [2743] = 2045,
  [2744] = 2044,
  [2745] = 2051,
  [2746] = 1851,
  [2747] = 2052,
  [2748] = 2046,
  [2749] = 2037,
  [2750] = 2048,
  [2751] = 2049,
  [2752] = 1969,
  [2753] = 2041,
  [2754] = 2051,
  [2755] = 2052,
  [2756] = 2040,
  [2757] = 2042,
  [2758] = 2040,
  [2759] = 2042,
  [2760] = 2044,
  [2761] = 1851,
  [2762] = 1969,
  [2763] = 1851,
  [2764] = 1851,
  [2765] = 1969,
  [2766] = 1969,
  [2767] = 1851,
  [2768] = 1851,
  [2769] = 1969,
  [2770] = 1851,
  [2771] = 1969,
  [2772] = 1969,
  [2773] = 1969,
  [2774] = 1969,
  [2775] = 1851,
  [2776] = 1851,
  [2777] = 1851,
  [2778] = 1969,
  [2779] = 349,
  [2780] = 349,
  [2781] = 349,
  [2782] = 1851,
  [2783] = 1969,
  [2784] = 349,
  [2785] = 349,
  [2786] = 349,
  [2787] = 1851,
  [2788] = 1969,
  [2789] = 1969,
  [2790] = 1851,
  [2791] = 349,
  [2792] = 1969,
  [2793] = 1969,
  [2794] = 1851,
  [2795] = 1851,
  [2796] = 2796,
  [2797] = 2797,
  [2798] = 2797,
  [2799] = 1851,
  [2800] = 1969,
  [2801] = 2797,
  [2802] = 2796,
  [2803] = 2796,
  [2804] = 349,
  [2805] = 349,
  [2806] = 2796,
  [2807] = 2797,
  [2808] = 349,
  [2809] = 349,
  [2810] = 349,
  [2811] = 349,
  [2812] = 349,
  [2813] = 349,
  [2814] = 1969,
  [2815] = 1851,
  [2816] = 2816,
  [2817] = 349,
  [2818] = 349,
  [2819] = 2819,
  [2820] = 2816,
  [2821] = 349,
  [2822] = 2816,
  [2823] = 1851,
  [2824] = 2816,
  [2825] = 1969,
  [2826] = 2819,
  [2827] = 349,
  [2828] = 2816,
  [2829] = 2816,
  [2830] = 2819,
  [2831] = 2816,
  [2832] = 349,
  [2833] = 2816,
  [2834] = 2834,
  [2835] = 2834,
  [2836] = 2819,
  [2837] = 1969,
  [2838] = 2819,
  [2839] = 2839,
  [2840] = 2839,
  [2841] = 1969,
  [2842] = 1851,
  [2843] = 2819,
  [2844] = 1969,
  [2845] = 1969,
  [2846] = 2834,
  [2847] = 2839,
  [2848] = 2848,
  [2849] = 2849,
  [2850] = 1851,
  [2851] = 2848,
  [2852] = 1851,
  [2853] = 1851,
  [2854] = 1969,
  [2855] = 2848,
  [2856] = 1969,
  [2857] = 1969,
  [2858] = 2848,
  [2859] = 2849,
  [2860] = 1969,
  [2861] = 1851,
  [2862] = 2848,
  [2863] = 1969,
  [2864] = 1851,
  [2865] = 1969,
  [2866] = 2848,
  [2867] = 1851,
  [2868] = 1969,
  [2869] = 2839,
  [2870] = 2834,
  [2871] = 2834,
  [2872] = 1851,
  [2873] = 1969,
  [2874] = 1969,
  [2875] = 1851,
  [2876] = 1851,
  [2877] = 1969,
  [2878] = 1851,
  [2879] = 1851,
  [2880] = 1969,
  [2881] = 1969,
  [2882] = 1969,
  [2883] = 2839,
  [2884] = 2884,
  [2885] = 2884,
  [2886] = 2884,
  [2887] = 2884,
  [2888] = 2884,
  [2889] = 2884,
  [2890] = 2884,
  [2891] = 2891,
  [2892] = 1969,
  [2893] = 2893,
  [2894] = 2894,
  [2895] = 2895,
  [2896] = 2896,
  [2897] = 2897,
  [2898] = 2839,
  [2899] = 2899,
  [2900] = 2834,
  [2901] = 2891,
  [2902] = 2895,
  [2903] = 2894,
  [2904] = 2904,
  [2905] = 2904,
  [2906] = 2899,
  [2907] = 2907,
  [2908] = 2907,
  [2909] = 2893,
  [2910] = 2893,
  [2911] = 2911,
  [2912] = 2895,
  [2913] = 2894,
  [2914] = 2911,
  [2915] = 2904,
  [2916] = 2891,
  [2917] = 2897,
  [2918] = 2896,
  [2919] = 2907,
  [2920] = 2897,
  [2921] = 2896,
  [2922] = 2911,
  [2923] = 2899,
  [2924] = 2896,
  [2925] = 2897,
  [2926] = 2904,
  [2927] = 2891,
  [2928] = 2928,
  [2929] = 2907,
  [2930] = 2891,
  [2931] = 2895,
  [2932] = 2894,
  [2933] = 2899,
  [2934] = 2896,
  [2935] = 2894,
  [2936] = 2911,
  [2937] = 2937,
  [2938] = 2899,
  [2939] = 2907,
  [2940] = 2897,
  [2941] = 2893,
  [2942] = 2904,
  [2943] = 2911,
  [2944] = 2893,
  [2945] = 2895,
  [2946] = 2946,
  [2947] = 2937,
  [2948] = 2796,
  [2949] = 2797,
  [2950] = 2937,
  [2951] = 2937,
  [2952] = 2952,
  [2953] = 2953,
  [2954] = 2954,
  [2955] = 2955,
  [2956] = 2956,
  [2957] = 2957,
  [2958] = 2958,
  [2959] = 2958,
  [2960] = 2958,
  [2961] = 2958,
  [2962] = 2958,
  [2963] = 2958,
  [2964] = 2958,
  [2965] = 2958,
  [2966] = 2958,
  [2967] = 2958,
  [2968] = 2958,
  [2969] = 2958,
  [2970] = 2958,
  [2971] = 2958,
  [2972] = 2958,
  [2973] = 2958,
  [2974] = 2958,
  [2975] = 2958,
  [2976] = 2958,
  [2977] = 2958,
  [2978] = 2958,
  [2979] = 2958,
  [2980] = 2958,
  [2981] = 2958,
  [2982] = 2958,
  [2983] = 2958,
  [2984] = 2958,
  [2985] = 2958,
  [2986] = 2958,
  [2987] = 2958,
  [2988] = 2958,
  [2989] = 2958,
  [2990] = 2958,
  [2991] = 2819,
  [2992] = 2958,
  [2993] = 2958,
  [2994] = 2958,
  [2995] = 2958,
  [2996] = 2958,
  [2997] = 2958,
  [2998] = 2958,
  [2999] = 2928,
  [3000] = 2958,
  [3001] = 2958,
  [3002] = 2958,
  [3003] = 2958,
  [3004] = 2958,
  [3005] = 2958,
  [3006] = 2958,
  [3007] = 2958,
  [3008] = 2958,
  [3009] = 2958,
  [3010] = 2958,
  [3011] = 2958,
  [3012] = 2958,
  [3013] = 2958,
  [3014] = 2958,
  [3015] = 3015,
  [3016] = 2946,
  [3017] = 2834,
  [3018] = 1969,
  [3019] = 2839,
  [3020] = 3020,
  [3021] = 3021,
  [3022] = 3022,
  [3023] = 3023,
  [3024] = 3020,
  [3025] = 3020,
  [3026] = 3020,
  [3027] = 3027,
  [3028] = 3020,
  [3029] = 3020,
  [3030] = 3020,
  [3031] = 3031,
  [3032] = 3020,
  [3033] = 3020,
  [3034] = 3020,
  [3035] = 3020,
  [3036] = 3020,
  [3037] = 3020,
  [3038] = 3020,
  [3039] = 3020,
  [3040] = 3020,
  [3041] = 3020,
  [3042] = 3020,
  [3043] = 3020,
  [3044] = 3020,
  [3045] = 3020,
  [3046] = 3020,
  [3047] = 3020,
  [3048] = 3020,
  [3049] = 3020,
  [3050] = 3020,
  [3051] = 3020,
  [3052] = 3052,
  [3053] = 3020,
  [3054] = 3020,
  [3055] = 3020,
  [3056] = 3020,
  [3057] = 3020,
  [3058] = 3020,
  [3059] = 3020,
  [3060] = 3060,
  [3061] = 3020,
  [3062] = 3062,
  [3063] = 3063,
  [3064] = 3064,
  [3065] = 3065,
  [3066] = 3020,
  [3067] = 3021,
  [3068] = 2937,
  [3069] = 3020,
  [3070] = 3020,
  [3071] = 3022,
  [3072] = 3020,
  [3073] = 3023,
  [3074] = 3060,
  [3075] = 3065,
  [3076] = 3020,
  [3077] = 3020,
  [3078] = 3020,
  [3079] = 3027,
  [3080] = 3052,
  [3081] = 3020,
  [3082] = 3052,
  [3083] = 3020,
  [3084] = 3062,
  [3085] = 3063,
  [3086] = 3064,
  [3087] = 3021,
  [3088] = 3022,
  [3089] = 3023,
  [3090] = 3060,
  [3091] = 3065,
  [3092] = 3027,
  [3093] = 3020,
  [3094] = 3020,
  [3095] = 3031,
  [3096] = 3031,
  [3097] = 3020,
  [3098] = 3020,
  [3099] = 3062,
  [3100] = 3063,
  [3101] = 3020,
  [3102] = 3020,
  [3103] = 3064,
  [3104] = 3104,
  [3105] = 3105,
  [3106] = 3106,
  [3107] = 3104,
  [3108] = 3027,
  [3109] = 3109,
  [3110] = 3110,
  [3111] = 3104,
  [3112] = 3112,
  [3113] = 3113,
  [3114] = 3052,
  [3115] = 3104,
  [3116] = 3031,
  [3117] = 3117,
  [3118] = 3106,
  [3119] = 3052,
  [3120] = 3104,
  [3121] = 3104,
  [3122] = 3027,
  [3123] = 3031,
  [3124] = 3106,
  [3125] = 3104,
  [3126] = 3126,
  [3127] = 3127,
  [3128] = 3104,
  [3129] = 3104,
  [3130] = 3130,
  [3131] = 3062,
  [3132] = 3104,
  [3133] = 3063,
  [3134] = 3134,
  [3135] = 3135,
  [3136] = 3136,
  [3137] = 3137,
  [3138] = 3138,
  [3139] = 3064,
  [3140] = 3104,
  [3141] = 3063,
  [3142] = 3142,
  [3143] = 3143,
  [3144] = 3144,
  [3145] = 3104,
  [3146] = 3104,
  [3147] = 3147,
  [3148] = 3148,
  [3149] = 3134,
  [3150] = 3126,
  [3151] = 3148,
  [3152] = 3052,
  [3153] = 3104,
  [3154] = 3135,
  [3155] = 3136,
  [3156] = 3137,
  [3157] = 3138,
  [3158] = 3158,
  [3159] = 3159,
  [3160] = 3104,
  [3161] = 3104,
  [3162] = 3162,
  [3163] = 3163,
  [3164] = 3021,
  [3165] = 3104,
  [3166] = 3142,
  [3167] = 3143,
  [3168] = 3168,
  [3169] = 3144,
  [3170] = 3105,
  [3171] = 3147,
  [3172] = 3022,
  [3173] = 3104,
  [3174] = 3023,
  [3175] = 3109,
  [3176] = 3126,
  [3177] = 3148,
  [3178] = 3112,
  [3179] = 3113,
  [3180] = 3180,
  [3181] = 3104,
  [3182] = 3158,
  [3183] = 3127,
  [3184] = 3104,
  [3185] = 3159,
  [3186] = 3065,
  [3187] = 3163,
  [3188] = 3104,
  [3189] = 3104,
  [3190] = 3168,
  [3191] = 3105,
  [3192] = 3109,
  [3193] = 3104,
  [3194] = 3104,
  [3195] = 3112,
  [3196] = 3196,
  [3197] = 3113,
  [3198] = 3198,
  [3199] = 3199,
  [3200] = 3200,
  [3201] = 3201,
  [3202] = 3202,
  [3203] = 3203,
  [3204] = 3064,
  [3205] = 3205,
  [3206] = 3206,
  [3207] = 3104,
  [3208] = 3208,
  [3209] = 3209,
  [3210] = 3210,
  [3211] = 3211,
  [3212] = 3208,
  [3213] = 3209,
  [3214] = 3210,
  [3215] = 3211,
  [3216] = 3208,
  [3217] = 3209,
  [3218] = 3210,
  [3219] = 3211,
  [3220] = 3220,
  [3221] = 3117,
  [3222] = 3222,
  [3223] = 3063,
  [3224] = 3104,
  [3225] = 3225,
  [3226] = 3226,
  [3227] = 3227,
  [3228] = 3228,
  [3229] = 3229,
  [3230] = 3230,
  [3231] = 3231,
  [3232] = 3064,
  [3233] = 3062,
  [3234] = 3031,
  [3235] = 3027,
  [3236] = 3063,
  [3237] = 3104,
  [3238] = 3064,
  [3239] = 3031,
  [3240] = 3240,
  [3241] = 3241,
  [3242] = 3242,
  [3243] = 3243,
  [3244] = 3244,
  [3245] = 3245,
  [3246] = 3196,
  [3247] = 2796,
  [3248] = 2797,
  [3249] = 3104,
  [3250] = 3104,
  [3251] = 3251,
  [3252] = 3104,
  [3253] = 3253,
  [3254] = 3254,
  [3255] = 3255,
  [3256] = 3256,
  [3257] = 3257,
  [3258] = 3258,
  [3259] = 3259,
  [3260] = 3260,
  [3261] = 3261,
  [3262] = 3060,
  [3263] = 3021,
  [3264] = 3022,
  [3265] = 3021,
  [3266] = 3023,
  [3267] = 3104,
  [3268] = 3065,
  [3269] = 3269,
  [3270] = 3022,
  [3271] = 3023,
  [3272] = 3272,
  [3273] = 3104,
  [3274] = 3130,
  [3275] = 3275,
  [3276] = 3276,
  [3277] = 3277,
  [3278] = 3205,
  [3279] = 3117,
  [3280] = 3280,
  [3281] = 3281,
  [3282] = 3206,
  [3283] = 3104,
  [3284] = 3104,
  [3285] = 3110,
  [3286] = 3062,
  [3287] = 3063,
  [3288] = 3280,
  [3289] = 3180,
  [3290] = 3104,
  [3291] = 3158,
  [3292] = 3159,
  [3293] = 3062,
  [3294] = 3272,
  [3295] = 3295,
  [3296] = 3142,
  [3297] = 3203,
  [3298] = 3065,
  [3299] = 3027,
  [3300] = 3027,
  [3301] = 3031,
  [3302] = 3143,
  [3303] = 3198,
  [3304] = 3134,
  [3305] = 3162,
  [3306] = 3199,
  [3307] = 3052,
  [3308] = 3104,
  [3309] = 3200,
  [3310] = 3060,
  [3311] = 3031,
  [3312] = 3201,
  [3313] = 3202,
  [3314] = 3104,
  [3315] = 3021,
  [3316] = 3022,
  [3317] = 3269,
  [3318] = 3023,
  [3319] = 3135,
  [3320] = 3136,
  [3321] = 3137,
  [3322] = 3220,
  [3323] = 3138,
  [3324] = 3180,
  [3325] = 3222,
  [3326] = 3225,
  [3327] = 3021,
  [3328] = 3226,
  [3329] = 3198,
  [3330] = 3127,
  [3331] = 3227,
  [3332] = 3022,
  [3333] = 3104,
  [3334] = 3163,
  [3335] = 3199,
  [3336] = 3200,
  [3337] = 3201,
  [3338] = 3228,
  [3339] = 3202,
  [3340] = 3065,
  [3341] = 3229,
  [3342] = 3052,
  [3343] = 3144,
  [3344] = 3230,
  [3345] = 3231,
  [3346] = 3261,
  [3347] = 3104,
  [3348] = 3220,
  [3349] = 3104,
  [3350] = 3222,
  [3351] = 3240,
  [3352] = 3225,
  [3353] = 3027,
  [3354] = 3226,
  [3355] = 3227,
  [3356] = 3241,
  [3357] = 3242,
  [3358] = 3228,
  [3359] = 3243,
  [3360] = 3196,
  [3361] = 3023,
  [3362] = 3104,
  [3363] = 3244,
  [3364] = 3104,
  [3365] = 3230,
  [3366] = 3295,
  [3367] = 3231,
  [3368] = 3245,
  [3369] = 3251,
  [3370] = 3253,
  [3371] = 3254,
  [3372] = 3255,
  [3373] = 3256,
  [3374] = 3257,
  [3375] = 3258,
  [3376] = 3259,
  [3377] = 3260,
  [3378] = 3104,
  [3379] = 3206,
  [3380] = 3062,
  [3381] = 3275,
  [3382] = 3276,
  [3383] = 3277,
  [3384] = 3280,
  [3385] = 3104,
  [3386] = 3104,
  [3387] = 3229,
  [3388] = 3272,
  [3389] = 3062,
  [3390] = 3240,
  [3391] = 3241,
  [3392] = 3063,
  [3393] = 3295,
  [3394] = 3203,
  [3395] = 3242,
  [3396] = 3243,
  [3397] = 3244,
  [3398] = 3162,
  [3399] = 3269,
  [3400] = 3060,
  [3401] = 3245,
  [3402] = 3065,
  [3403] = 3052,
  [3404] = 3060,
  [3405] = 3104,
  [3406] = 3064,
  [3407] = 3147,
  [3408] = 3277,
  [3409] = 3104,
  [3410] = 3251,
  [3411] = 3261,
  [3412] = 3060,
  [3413] = 3253,
  [3414] = 3254,
  [3415] = 3060,
  [3416] = 3021,
  [3417] = 3065,
  [3418] = 3281,
  [3419] = 3255,
  [3420] = 3110,
  [3421] = 3256,
  [3422] = 3104,
  [3423] = 3104,
  [3424] = 3257,
  [3425] = 3258,
  [3426] = 3022,
  [3427] = 3259,
  [3428] = 3023,
  [3429] = 3260,
  [3430] = 3130,
  [3431] = 3205,
  [3432] = 3168,
  [3433] = 3281,
  [3434] = 3104,
  [3435] = 3104,
  [3436] = 3275,
  [3437] = 3276,
  [3438] = 3064,
  [3439] = 3439,
  [3440] = 3277,
  [3441] = 3280,
  [3442] = 3117,
  [3443] = 3443,
  [3444] = 3444,
  [3445] = 3280,
  [3446] = 3443,
  [3447] = 3439,
  [3448] = 3448,
  [3449] = 3449,
  [3450] = 3444,
  [3451] = 3449,
  [3452] = 3449,
  [3453] = 3272,
  [3454] = 3439,
  [3455] = 3272,
  [3456] = 3439,
  [3457] = 3443,
  [3458] = 3444,
  [3459] = 3203,
  [3460] = 3443,
  [3461] = 3444,
  [3462] = 3295,
  [3463] = 3448,
  [3464] = 3448,
  [3465] = 3448,
  [3466] = 3449,
  [3467] = 3281,
  [3468] = 3052,
  [3469] = 3443,
  [3470] = 3444,
  [3471] = 3269,
  [3472] = 3127,
  [3473] = 3439,
  [3474] = 3062,
  [3475] = 3449,
  [3476] = 3063,
  [3477] = 3443,
  [3478] = 3444,
  [3479] = 3162,
  [3480] = 3448,
  [3481] = 3064,
  [3482] = 3448,
  [3483] = 3449,
  [3484] = 3196,
  [3485] = 3021,
  [3486] = 3439,
  [3487] = 3229,
  [3488] = 3261,
  [3489] = 3439,
  [3490] = 3130,
  [3491] = 3022,
  [3492] = 3281,
  [3493] = 3449,
  [3494] = 3443,
  [3495] = 3110,
  [3496] = 3444,
  [3497] = 3205,
  [3498] = 3448,
  [3499] = 3203,
  [3500] = 3449,
  [3501] = 3448,
  [3502] = 3449,
  [3503] = 3443,
  [3504] = 3444,
  [3505] = 3023,
  [3506] = 3117,
  [3507] = 3106,
  [3508] = 3127,
  [3509] = 3439,
  [3510] = 3206,
  [3511] = 3240,
  [3512] = 3208,
  [3513] = 3448,
  [3514] = 3443,
  [3515] = 3444,
  [3516] = 3449,
  [3517] = 3180,
  [3518] = 3439,
  [3519] = 3448,
  [3520] = 3449,
  [3521] = 3060,
  [3522] = 3241,
  [3523] = 3295,
  [3524] = 3196,
  [3525] = 3439,
  [3526] = 3281,
  [3527] = 3439,
  [3528] = 3206,
  [3529] = 3443,
  [3530] = 3444,
  [3531] = 3242,
  [3532] = 3209,
  [3533] = 3210,
  [3534] = 3443,
  [3535] = 3444,
  [3536] = 3110,
  [3537] = 3243,
  [3538] = 3244,
  [3539] = 3448,
  [3540] = 3449,
  [3541] = 3448,
  [3542] = 3229,
  [3543] = 3449,
  [3544] = 3106,
  [3545] = 3211,
  [3546] = 3269,
  [3547] = 3065,
  [3548] = 3198,
  [3549] = 3439,
  [3550] = 3206,
  [3551] = 3199,
  [3552] = 3200,
  [3553] = 3443,
  [3554] = 3444,
  [3555] = 3142,
  [3556] = 3261,
  [3557] = 3201,
  [3558] = 3202,
  [3559] = 3448,
  [3560] = 3449,
  [3561] = 3143,
  [3562] = 3443,
  [3563] = 3130,
  [3564] = 3205,
  [3565] = 3144,
  [3566] = 3180,
  [3567] = 3147,
  [3568] = 3117,
  [3569] = 3439,
  [3570] = 3117,
  [3571] = 3439,
  [3572] = 3220,
  [3573] = 3444,
  [3574] = 3198,
  [3575] = 3443,
  [3576] = 3199,
  [3577] = 3444,
  [3578] = 3200,
  [3579] = 3201,
  [3580] = 3202,
  [3581] = 3203,
  [3582] = 3158,
  [3583] = 3449,
  [3584] = 3443,
  [3585] = 3220,
  [3586] = 3222,
  [3587] = 3225,
  [3588] = 3448,
  [3589] = 3449,
  [3590] = 3226,
  [3591] = 3227,
  [3592] = 3228,
  [3593] = 3052,
  [3594] = 3444,
  [3595] = 3222,
  [3596] = 3199,
  [3597] = 3230,
  [3598] = 3231,
  [3599] = 3240,
  [3600] = 3062,
  [3601] = 3241,
  [3602] = 3242,
  [3603] = 3243,
  [3604] = 3439,
  [3605] = 3063,
  [3606] = 3244,
  [3607] = 3200,
  [3608] = 3245,
  [3609] = 3448,
  [3610] = 3251,
  [3611] = 3253,
  [3612] = 3254,
  [3613] = 3255,
  [3614] = 3256,
  [3615] = 3443,
  [3616] = 3444,
  [3617] = 3257,
  [3618] = 3258,
  [3619] = 3064,
  [3620] = 3259,
  [3621] = 3260,
  [3622] = 3269,
  [3623] = 3449,
  [3624] = 3225,
  [3625] = 3448,
  [3626] = 3449,
  [3627] = 3021,
  [3628] = 3275,
  [3629] = 3276,
  [3630] = 3277,
  [3631] = 3280,
  [3632] = 3448,
  [3633] = 3226,
  [3634] = 3022,
  [3635] = 3023,
  [3636] = 3272,
  [3637] = 3439,
  [3638] = 3126,
  [3639] = 3439,
  [3640] = 3148,
  [3641] = 3180,
  [3642] = 3295,
  [3643] = 3443,
  [3644] = 3106,
  [3645] = 3198,
  [3646] = 3444,
  [3647] = 3199,
  [3648] = 3449,
  [3649] = 3201,
  [3650] = 3202,
  [3651] = 3200,
  [3652] = 3201,
  [3653] = 3448,
  [3654] = 3202,
  [3655] = 3449,
  [3656] = 3443,
  [3657] = 3444,
  [3658] = 3220,
  [3659] = 3163,
  [3660] = 2796,
  [3661] = 3222,
  [3662] = 3225,
  [3663] = 3106,
  [3664] = 3226,
  [3665] = 3227,
  [3666] = 3228,
  [3667] = 3439,
  [3668] = 3444,
  [3669] = 3230,
  [3670] = 3227,
  [3671] = 3228,
  [3672] = 3231,
  [3673] = 3240,
  [3674] = 3162,
  [3675] = 3241,
  [3676] = 3242,
  [3677] = 3243,
  [3678] = 3244,
  [3679] = 3443,
  [3680] = 3245,
  [3681] = 3444,
  [3682] = 3448,
  [3683] = 3230,
  [3684] = 3251,
  [3685] = 3253,
  [3686] = 3254,
  [3687] = 3231,
  [3688] = 3255,
  [3689] = 3256,
  [3690] = 3257,
  [3691] = 3258,
  [3692] = 3448,
  [3693] = 3449,
  [3694] = 3449,
  [3695] = 3259,
  [3696] = 3260,
  [3697] = 3439,
  [3698] = 3240,
  [3699] = 3168,
  [3700] = 3275,
  [3701] = 3276,
  [3702] = 3277,
  [3703] = 3220,
  [3704] = 3439,
  [3705] = 3280,
  [3706] = 3241,
  [3707] = 3242,
  [3708] = 3439,
  [3709] = 3443,
  [3710] = 3272,
  [3711] = 3444,
  [3712] = 3243,
  [3713] = 3443,
  [3714] = 3448,
  [3715] = 3448,
  [3716] = 3295,
  [3717] = 3449,
  [3718] = 3203,
  [3719] = 3281,
  [3720] = 3110,
  [3721] = 3443,
  [3722] = 3444,
  [3723] = 3244,
  [3724] = 3127,
  [3725] = 3443,
  [3726] = 3269,
  [3727] = 3208,
  [3728] = 3448,
  [3729] = 3162,
  [3730] = 3449,
  [3731] = 3196,
  [3732] = 3206,
  [3733] = 3209,
  [3734] = 3210,
  [3735] = 3245,
  [3736] = 3443,
  [3737] = 3444,
  [3738] = 3229,
  [3739] = 3211,
  [3740] = 3261,
  [3741] = 3130,
  [3742] = 3205,
  [3743] = 3245,
  [3744] = 3251,
  [3745] = 3180,
  [3746] = 3448,
  [3747] = 3281,
  [3748] = 3110,
  [3749] = 3449,
  [3750] = 3251,
  [3751] = 3127,
  [3752] = 3196,
  [3753] = 3206,
  [3754] = 3253,
  [3755] = 3439,
  [3756] = 3254,
  [3757] = 3229,
  [3758] = 3261,
  [3759] = 3130,
  [3760] = 3205,
  [3761] = 3117,
  [3762] = 3106,
  [3763] = 3439,
  [3764] = 3117,
  [3765] = 3439,
  [3766] = 3105,
  [3767] = 3106,
  [3768] = 3159,
  [3769] = 3255,
  [3770] = 3134,
  [3771] = 3135,
  [3772] = 3136,
  [3773] = 3137,
  [3774] = 3138,
  [3775] = 3443,
  [3776] = 3444,
  [3777] = 3256,
  [3778] = 3443,
  [3779] = 3253,
  [3780] = 3448,
  [3781] = 3449,
  [3782] = 3254,
  [3783] = 3142,
  [3784] = 3143,
  [3785] = 3255,
  [3786] = 3256,
  [3787] = 3144,
  [3788] = 3147,
  [3789] = 3257,
  [3790] = 3126,
  [3791] = 3148,
  [3792] = 3439,
  [3793] = 3439,
  [3794] = 3258,
  [3795] = 3259,
  [3796] = 3112,
  [3797] = 3443,
  [3798] = 3158,
  [3799] = 3159,
  [3800] = 3444,
  [3801] = 3113,
  [3802] = 3260,
  [3803] = 3444,
  [3804] = 3163,
  [3805] = 3448,
  [3806] = 3449,
  [3807] = 3439,
  [3808] = 3444,
  [3809] = 3060,
  [3810] = 3449,
  [3811] = 3168,
  [3812] = 3105,
  [3813] = 3443,
  [3814] = 3444,
  [3815] = 3439,
  [3816] = 3065,
  [3817] = 3439,
  [3818] = 3109,
  [3819] = 3134,
  [3820] = 3448,
  [3821] = 3112,
  [3822] = 3113,
  [3823] = 3135,
  [3824] = 3136,
  [3825] = 3449,
  [3826] = 3275,
  [3827] = 3137,
  [3828] = 3138,
  [3829] = 3443,
  [3830] = 3276,
  [3831] = 3444,
  [3832] = 3443,
  [3833] = 3444,
  [3834] = 3448,
  [3835] = 3449,
  [3836] = 3257,
  [3837] = 3448,
  [3838] = 3449,
  [3839] = 3134,
  [3840] = 3448,
  [3841] = 3449,
  [3842] = 3109,
  [3843] = 3277,
  [3844] = 3135,
  [3845] = 3280,
  [3846] = 3027,
  [3847] = 3439,
  [3848] = 3137,
  [3849] = 3138,
  [3850] = 3142,
  [3851] = 3143,
  [3852] = 3144,
  [3853] = 3147,
  [3854] = 3134,
  [3855] = 3258,
  [3856] = 3439,
  [3857] = 3031,
  [3858] = 3134,
  [3859] = 3126,
  [3860] = 3148,
  [3861] = 3135,
  [3862] = 3142,
  [3863] = 3143,
  [3864] = 3136,
  [3865] = 3137,
  [3866] = 3138,
  [3867] = 3144,
  [3868] = 3448,
  [3869] = 3147,
  [3870] = 3158,
  [3871] = 3159,
  [3872] = 3272,
  [3873] = 3198,
  [3874] = 3222,
  [3875] = 3126,
  [3876] = 3148,
  [3877] = 3163,
  [3878] = 2797,
  [3879] = 3225,
  [3880] = 3439,
  [3881] = 3168,
  [3882] = 3052,
  [3883] = 3439,
  [3884] = 3884,
  [3885] = 3295,
  [3886] = 3443,
  [3887] = 3444,
  [3888] = 3062,
  [3889] = 3063,
  [3890] = 3443,
  [3891] = 3064,
  [3892] = 3021,
  [3893] = 3105,
  [3894] = 3158,
  [3895] = 3159,
  [3896] = 3109,
  [3897] = 3163,
  [3898] = 3112,
  [3899] = 3113,
  [3900] = 3168,
  [3901] = 3105,
  [3902] = 3109,
  [3903] = 3884,
  [3904] = 3022,
  [3905] = 3112,
  [3906] = 3113,
  [3907] = 3023,
  [3908] = 3142,
  [3909] = 3143,
  [3910] = 3884,
  [3911] = 3208,
  [3912] = 3209,
  [3913] = 3210,
  [3914] = 3211,
  [3915] = 3444,
  [3916] = 3281,
  [3917] = 3884,
  [3918] = 3208,
  [3919] = 3259,
  [3920] = 3144,
  [3921] = 3147,
  [3922] = 3448,
  [3923] = 3449,
  [3924] = 3884,
  [3925] = 3208,
  [3926] = 3209,
  [3927] = 3210,
  [3928] = 3211,
  [3929] = 3208,
  [3930] = 3209,
  [3931] = 3884,
  [3932] = 3210,
  [3933] = 3211,
  [3934] = 3209,
  [3935] = 3210,
  [3936] = 3027,
  [3937] = 3127,
  [3938] = 3211,
  [3939] = 3884,
  [3940] = 3162,
  [3941] = 3196,
  [3942] = 3031,
  [3943] = 3229,
  [3944] = 3443,
  [3945] = 3439,
  [3946] = 3443,
  [3947] = 3261,
  [3948] = 3130,
  [3949] = 3126,
  [3950] = 3439,
  [3951] = 3148,
  [3952] = 3443,
  [3953] = 3205,
  [3954] = 3444,
  [3955] = 3444,
  [3956] = 3127,
  [3957] = 3443,
  [3958] = 3444,
  [3959] = 3180,
  [3960] = 3226,
  [3961] = 3448,
  [3962] = 3449,
  [3963] = 3448,
  [3964] = 3448,
  [3965] = 3449,
  [3966] = 3060,
  [3967] = 3110,
  [3968] = 3439,
  [3969] = 3448,
  [3970] = 3065,
  [3971] = 3198,
  [3972] = 3439,
  [3973] = 3199,
  [3974] = 3135,
  [3975] = 3136,
  [3976] = 3443,
  [3977] = 3444,
  [3978] = 3110,
  [3979] = 3449,
  [3980] = 3443,
  [3981] = 3448,
  [3982] = 3449,
  [3983] = 3200,
  [3984] = 3201,
  [3985] = 3444,
  [3986] = 3137,
  [3987] = 3202,
  [3988] = 3203,
  [3989] = 3439,
  [3990] = 3138,
  [3991] = 3449,
  [3992] = 3439,
  [3993] = 3158,
  [3994] = 3159,
  [3995] = 3448,
  [3996] = 3443,
  [3997] = 3027,
  [3998] = 3134,
  [3999] = 3444,
  [4000] = 3449,
  [4001] = 3449,
  [4002] = 3163,
  [4003] = 3162,
  [4004] = 3448,
  [4005] = 3031,
  [4006] = 3135,
  [4007] = 3449,
  [4008] = 3136,
  [4009] = 3137,
  [4010] = 3196,
  [4011] = 3220,
  [4012] = 3439,
  [4013] = 3260,
  [4014] = 3222,
  [4015] = 3225,
  [4016] = 3443,
  [4017] = 3439,
  [4018] = 3226,
  [4019] = 3227,
  [4020] = 3444,
  [4021] = 3443,
  [4022] = 3444,
  [4023] = 3227,
  [4024] = 3228,
  [4025] = 3443,
  [4026] = 3138,
  [4027] = 3168,
  [4028] = 3448,
  [4029] = 3449,
  [4030] = 3105,
  [4031] = 3228,
  [4032] = 3109,
  [4033] = 3444,
  [4034] = 3112,
  [4035] = 3113,
  [4036] = 3142,
  [4037] = 3143,
  [4038] = 3144,
  [4039] = 3439,
  [4040] = 3147,
  [4041] = 3275,
  [4042] = 3126,
  [4043] = 3148,
  [4044] = 3230,
  [4045] = 3231,
  [4046] = 3439,
  [4047] = 3448,
  [4048] = 3448,
  [4049] = 3449,
  [4050] = 3180,
  [4051] = 3443,
  [4052] = 3198,
  [4053] = 3199,
  [4054] = 3200,
  [4055] = 3444,
  [4056] = 3201,
  [4057] = 3158,
  [4058] = 3202,
  [4059] = 3159,
  [4060] = 3203,
  [4061] = 3444,
  [4062] = 3220,
  [4063] = 3222,
  [4064] = 3225,
  [4065] = 3226,
  [4066] = 3227,
  [4067] = 3228,
  [4068] = 3240,
  [4069] = 3276,
  [4070] = 3443,
  [4071] = 3448,
  [4072] = 3449,
  [4073] = 3163,
  [4074] = 3241,
  [4075] = 3242,
  [4076] = 3230,
  [4077] = 3231,
  [4078] = 3443,
  [4079] = 3240,
  [4080] = 3241,
  [4081] = 3242,
  [4082] = 3243,
  [4083] = 3244,
  [4084] = 3245,
  [4085] = 3251,
  [4086] = 3253,
  [4087] = 3444,
  [4088] = 3243,
  [4089] = 3244,
  [4090] = 3439,
  [4091] = 3245,
  [4092] = 3254,
  [4093] = 3443,
  [4094] = 3255,
  [4095] = 3256,
  [4096] = 3257,
  [4097] = 3258,
  [4098] = 3259,
  [4099] = 3260,
  [4100] = 3269,
  [4101] = 3444,
  [4102] = 3443,
  [4103] = 3444,
  [4104] = 3275,
  [4105] = 3276,
  [4106] = 3206,
  [4107] = 3230,
  [4108] = 3448,
  [4109] = 3448,
  [4110] = 3449,
  [4111] = 3277,
  [4112] = 3251,
  [4113] = 3280,
  [4114] = 3253,
  [4115] = 3449,
  [4116] = 3231,
  [4117] = 3272,
  [4118] = 3254,
  [4119] = 3168,
  [4120] = 3295,
  [4121] = 3444,
  [4122] = 3439,
  [4123] = 3255,
  [4124] = 3439,
  [4125] = 3105,
  [4126] = 3439,
  [4127] = 3443,
  [4128] = 3444,
  [4129] = 3256,
  [4130] = 3229,
  [4131] = 3448,
  [4132] = 2796,
  [4133] = 2797,
  [4134] = 3448,
  [4135] = 3449,
  [4136] = 3109,
  [4137] = 3257,
  [4138] = 3258,
  [4139] = 3261,
  [4140] = 3443,
  [4141] = 3259,
  [4142] = 3260,
  [4143] = 3439,
  [4144] = 3269,
  [4145] = 3444,
  [4146] = 3130,
  [4147] = 3443,
  [4148] = 3444,
  [4149] = 3205,
  [4150] = 3449,
  [4151] = 3448,
  [4152] = 3448,
  [4153] = 3112,
  [4154] = 3449,
  [4155] = 3449,
  [4156] = 3162,
  [4157] = 3113,
  [4158] = 3439,
  [4159] = 3448,
  [4160] = 3277,
  [4161] = 3275,
  [4162] = 3276,
  [4163] = 3439,
  [4164] = 3136,
  [4165] = 3144,
  [4166] = 3180,
  [4167] = 3198,
  [4168] = 3199,
  [4169] = 3201,
  [4170] = 3202,
  [4171] = 3220,
  [4172] = 3222,
  [4173] = 3225,
  [4174] = 3226,
  [4175] = 3227,
  [4176] = 3228,
  [4177] = 3230,
  [4178] = 3231,
  [4179] = 3240,
  [4180] = 3241,
  [4181] = 3242,
  [4182] = 3243,
  [4183] = 3244,
  [4184] = 3245,
  [4185] = 3251,
  [4186] = 3253,
  [4187] = 3254,
  [4188] = 3255,
  [4189] = 3256,
  [4190] = 3257,
  [4191] = 3258,
  [4192] = 3259,
  [4193] = 3260,
  [4194] = 3275,
  [4195] = 3276,
  [4196] = 3277,
  [4197] = 3280,
  [4198] = 3272,
  [4199] = 3295,
  [4200] = 3281,
  [4201] = 3127,
  [4202] = 3162,
  [4203] = 3196,
  [4204] = 3229,
  [4205] = 3261,
  [4206] = 3130,
  [4207] = 3205,
  [4208] = 3110,
  [4209] = 3052,
  [4210] = 3206,
  [4211] = 3062,
  [4212] = 3063,
  [4213] = 3064,
  [4214] = 3021,
  [4215] = 3022,
  [4216] = 3023,
  [4217] = 4217,
  [4218] = 4218,
  [4219] = 4219,
  [4220] = 3117,
  [4221] = 3106,
  [4222] = 3027,
  [4223] = 3052,
  [4224] = 3031,
  [4225] = 3062,
  [4226] = 3063,
  [4227] = 3064,
  [4228] = 3021,
  [4229] = 3022,
  [4230] = 3023,
  [4231] = 3027,
  [4232] = 3031,
  [4233] = 3180,
  [4234] = 3198,
  [4235] = 3199,
  [4236] = 3200,
  [4237] = 3201,
  [4238] = 3202,
  [4239] = 3220,
  [4240] = 3222,
  [4241] = 3225,
  [4242] = 3226,
  [4243] = 3227,
  [4244] = 3228,
  [4245] = 3230,
  [4246] = 3231,
  [4247] = 3240,
  [4248] = 3241,
  [4249] = 3242,
  [4250] = 3243,
  [4251] = 3244,
  [4252] = 3245,
  [4253] = 3251,
  [4254] = 3253,
  [4255] = 3254,
  [4256] = 3255,
  [4257] = 3256,
  [4258] = 3257,
  [4259] = 3258,
  [4260] = 3259,
  [4261] = 3260,
  [4262] = 3275,
  [4263] = 3276,
  [4264] = 3277,
  [4265] = 3280,
  [4266] = 3272,
  [4267] = 3295,
  [4268] = 3203,
  [4269] = 3134,
  [4270] = 3162,
  [4271] = 3269,
  [4272] = 3135,
  [4273] = 3136,
  [4274] = 3137,
  [4275] = 3138,
  [4276] = 3142,
  [4277] = 3180,
  [4278] = 3143,
  [4279] = 3144,
  [4280] = 3147,
  [4281] = 3198,
  [4282] = 3281,
  [4283] = 3199,
  [4284] = 3110,
  [4285] = 3200,
  [4286] = 3201,
  [4287] = 3202,
  [4288] = 3203,
  [4289] = 3220,
  [4290] = 3222,
  [4291] = 3225,
  [4292] = 3126,
  [4293] = 3127,
  [4294] = 3226,
  [4295] = 3227,
  [4296] = 3228,
  [4297] = 3148,
  [4298] = 4218,
  [4299] = 3230,
  [4300] = 3231,
  [4301] = 3240,
  [4302] = 3241,
  [4303] = 3242,
  [4304] = 3243,
  [4305] = 3244,
  [4306] = 3196,
  [4307] = 3245,
  [4308] = 3206,
  [4309] = 3251,
  [4310] = 3253,
  [4311] = 3254,
  [4312] = 3255,
  [4313] = 3256,
  [4314] = 3257,
  [4315] = 3258,
  [4316] = 3229,
  [4317] = 3259,
  [4318] = 3260,
  [4319] = 3269,
  [4320] = 3275,
  [4321] = 3276,
  [4322] = 3277,
  [4323] = 3280,
  [4324] = 3261,
  [4325] = 3272,
  [4326] = 3130,
  [4327] = 3205,
  [4328] = 3295,
  [4329] = 3117,
  [4330] = 3158,
  [4331] = 3159,
  [4332] = 3163,
  [4333] = 3162,
  [4334] = 3168,
  [4335] = 3105,
  [4336] = 3109,
  [4337] = 3112,
  [4338] = 3113,
  [4339] = 3106,
  [4340] = 3281,
  [4341] = 3127,
  [4342] = 3196,
  [4343] = 3229,
  [4344] = 3261,
  [4345] = 3130,
  [4346] = 3205,
  [4347] = 3117,
  [4348] = 3110,
  [4349] = 3206,
  [4350] = 3106,
  [4351] = 3134,
  [4352] = 3135,
  [4353] = 3136,
  [4354] = 3137,
  [4355] = 3138,
  [4356] = 3208,
  [4357] = 3209,
  [4358] = 3210,
  [4359] = 3211,
  [4360] = 3142,
  [4361] = 3143,
  [4362] = 3147,
  [4363] = 3126,
  [4364] = 3148,
  [4365] = 3158,
  [4366] = 3159,
  [4367] = 3163,
  [4368] = 3168,
  [4369] = 3105,
  [4370] = 3109,
  [4371] = 3134,
  [4372] = 3112,
  [4373] = 3113,
  [4374] = 4374,
  [4375] = 3135,
  [4376] = 3136,
  [4377] = 3137,
  [4378] = 3138,
  [4379] = 3142,
  [4380] = 3143,
  [4381] = 3144,
  [4382] = 3147,
  [4383] = 3126,
  [4384] = 3148,
  [4385] = 3158,
  [4386] = 3159,
  [4387] = 3163,
  [4388] = 3168,
  [4389] = 3105,
  [4390] = 3109,
  [4391] = 3112,
  [4392] = 3113,
  [4393] = 3208,
  [4394] = 3209,
  [4395] = 3210,
  [4396] = 3211,
  [4397] = 3208,
  [4398] = 3209,
  [4399] = 3210,
  [4400] = 3211,
  [4401] = 4401,
  [4402] = 4402,
  [4403] = 4403,
  [4404] = 4404,
  [4405] = 4374,
  [4406] = 4406,
  [4407] = 4401,
  [4408] = 4402,
  [4409] = 4374,
  [4410] = 4406,
  [4411] = 4401,
  [4412] = 4402,
  [4413] = 4374,
  [4414] = 4406,
  [4415] = 4401,
  [4416] = 4402,
  [4417] = 4374,
  [4418] = 4406,
  [4419] = 4374,
  [4420] = 4406,
  [4421] = 4374,
  [4422] = 4406,
  [4423] = 4374,
  [4424] = 4406,
  [4425] = 4374,
  [4426] = 4406,
  [4427] = 4403,
  [4428] = 4404,
  [4429] = 4374,
  [4430] = 4374,
  [4431] = 4374,
  [4432] = 4374,
  [4433] = 4401,
  [4434] = 4374,
  [4435] = 4374,
  [4436] = 4374,
  [4437] = 4374,
  [4438] = 4374,
  [4439] = 4374,
  [4440] = 4374,
  [4441] = 3060,
  [4442] = 3065,
  [4443] = 4374,
  [4444] = 4374,
  [4445] = 4374,
  [4446] = 4374,
  [4447] = 4374,
  [4448] = 4402,
  [4449] = 4374,
  [4450] = 4374,
  [4451] = 4374,
  [4452] = 4374,
  [4453] = 4374,
  [4454] = 4374,
  [4455] = 4374,
  [4456] = 4374,
  [4457] = 4374,
  [4458] = 4374,
  [4459] = 4374,
  [4460] = 4374,
  [4461] = 4374,
  [4462] = 4374,
  [4463] = 4374,
  [4464] = 4374,
  [4465] = 4374,
  [4466] = 3052,
  [4467] = 4374,
  [4468] = 4374,
  [4469] = 3062,
  [4470] = 3063,
  [4471] = 3064,
  [4472] = 4374,
  [4473] = 3021,
  [4474] = 3022,
  [4475] = 3023,
  [4476] = 4374,
  [4477] = 4374,
  [4478] = 4374,
  [4479] = 4374,
  [4480] = 4374,
  [4481] = 3027,
  [4482] = 4218,
  [4483] = 3031,
  [4484] = 3060,
  [4485] = 3065,
  [4486] = 3269,
  [4487] = 3060,
  [4488] = 3065,
  [4489] = 3203,
  [4490] = 3200,
  [4491] = 4491,
  [4492] = 4492,
  [4493] = 3158,
  [4494] = 3159,
  [4495] = 3277,
  [4496] = 3163,
  [4497] = 3280,
  [4498] = 3200,
  [4499] = 3201,
  [4500] = 3206,
  [4501] = 3168,
  [4502] = 3105,
  [4503] = 3060,
  [4504] = 3109,
  [4505] = 3202,
  [4506] = 3112,
  [4507] = 3113,
  [4508] = 3272,
  [4509] = 3295,
  [4510] = 3281,
  [4511] = 3203,
  [4512] = 3127,
  [4513] = 3031,
  [4514] = 3208,
  [4515] = 3220,
  [4516] = 3052,
  [4517] = 4517,
  [4518] = 4518,
  [4519] = 3162,
  [4520] = 3196,
  [4521] = 3209,
  [4522] = 3210,
  [4523] = 3229,
  [4524] = 3211,
  [4525] = 3117,
  [4526] = 3208,
  [4527] = 3261,
  [4528] = 3222,
  [4529] = 3209,
  [4530] = 3210,
  [4531] = 3211,
  [4532] = 3130,
  [4533] = 3205,
  [4534] = 3180,
  [4535] = 3225,
  [4536] = 3226,
  [4537] = 3198,
  [4538] = 4217,
  [4539] = 4218,
  [4540] = 4219,
  [4541] = 3199,
  [4542] = 3200,
  [4543] = 3201,
  [4544] = 3202,
  [4545] = 3106,
  [4546] = 3227,
  [4547] = 3220,
  [4548] = 3222,
  [4549] = 3225,
  [4550] = 3226,
  [4551] = 3208,
  [4552] = 3209,
  [4553] = 3210,
  [4554] = 3211,
  [4555] = 3227,
  [4556] = 3228,
  [4557] = 3228,
  [4558] = 3230,
  [4559] = 4217,
  [4560] = 3231,
  [4561] = 3240,
  [4562] = 3241,
  [4563] = 3242,
  [4564] = 3243,
  [4565] = 4491,
  [4566] = 4517,
  [4567] = 4518,
  [4568] = 4568,
  [4569] = 3244,
  [4570] = 3245,
  [4571] = 4571,
  [4572] = 4492,
  [4573] = 3251,
  [4574] = 4574,
  [4575] = 4575,
  [4576] = 3253,
  [4577] = 4577,
  [4578] = 4578,
  [4579] = 3254,
  [4580] = 3113,
  [4581] = 4491,
  [4582] = 4517,
  [4583] = 4518,
  [4584] = 4568,
  [4585] = 4492,
  [4586] = 3255,
  [4587] = 4574,
  [4588] = 4575,
  [4589] = 3256,
  [4590] = 4577,
  [4591] = 4578,
  [4592] = 3257,
  [4593] = 3258,
  [4594] = 4491,
  [4595] = 4517,
  [4596] = 4518,
  [4597] = 4568,
  [4598] = 4492,
  [4599] = 3259,
  [4600] = 3060,
  [4601] = 4574,
  [4602] = 4575,
  [4603] = 3260,
  [4604] = 3065,
  [4605] = 4577,
  [4606] = 4578,
  [4607] = 3230,
  [4608] = 3231,
  [4609] = 4491,
  [4610] = 4517,
  [4611] = 4518,
  [4612] = 4492,
  [4613] = 3240,
  [4614] = 4574,
  [4615] = 4575,
  [4616] = 3275,
  [4617] = 4577,
  [4618] = 4578,
  [4619] = 3065,
  [4620] = 4491,
  [4621] = 4517,
  [4622] = 4518,
  [4623] = 4492,
  [4624] = 3276,
  [4625] = 4574,
  [4626] = 4575,
  [4627] = 3277,
  [4628] = 4577,
  [4629] = 4578,
  [4630] = 4491,
  [4631] = 4517,
  [4632] = 4518,
  [4633] = 4492,
  [4634] = 3280,
  [4635] = 4574,
  [4636] = 4575,
  [4637] = 3241,
  [4638] = 4577,
  [4639] = 4578,
  [4640] = 4491,
  [4641] = 4517,
  [4642] = 4518,
  [4643] = 4492,
  [4644] = 3242,
  [4645] = 4574,
  [4646] = 4575,
  [4647] = 3243,
  [4648] = 4577,
  [4649] = 4578,
  [4650] = 3060,
  [4651] = 3065,
  [4652] = 4574,
  [4653] = 4491,
  [4654] = 4492,
  [4655] = 3272,
  [4656] = 4575,
  [4657] = 4568,
  [4658] = 3295,
  [4659] = 3110,
  [4660] = 3203,
  [4661] = 4491,
  [4662] = 4492,
  [4663] = 3162,
  [4664] = 4491,
  [4665] = 4492,
  [4666] = 3206,
  [4667] = 4491,
  [4668] = 4492,
  [4669] = 3269,
  [4670] = 4491,
  [4671] = 4492,
  [4672] = 3117,
  [4673] = 3281,
  [4674] = 3027,
  [4675] = 4491,
  [4676] = 3052,
  [4677] = 4492,
  [4678] = 4219,
  [4679] = 4491,
  [4680] = 4492,
  [4681] = 3244,
  [4682] = 3031,
  [4683] = 3062,
  [4684] = 3063,
  [4685] = 3064,
  [4686] = 4491,
  [4687] = 4492,
  [4688] = 3021,
  [4689] = 3022,
  [4690] = 3127,
  [4691] = 3023,
  [4692] = 4491,
  [4693] = 4492,
  [4694] = 3196,
  [4695] = 4217,
  [4696] = 4491,
  [4697] = 4492,
  [4698] = 3245,
  [4699] = 4218,
  [4700] = 3052,
  [4701] = 4491,
  [4702] = 4492,
  [4703] = 3229,
  [4704] = 3062,
  [4705] = 3063,
  [4706] = 3064,
  [4707] = 4491,
  [4708] = 4492,
  [4709] = 3261,
  [4710] = 4219,
  [4711] = 3021,
  [4712] = 3022,
  [4713] = 3023,
  [4714] = 3130,
  [4715] = 3134,
  [4716] = 4491,
  [4717] = 4492,
  [4718] = 3205,
  [4719] = 3027,
  [4720] = 4491,
  [4721] = 4492,
  [4722] = 4218,
  [4723] = 4491,
  [4724] = 4492,
  [4725] = 3180,
  [4726] = 3031,
  [4727] = 4491,
  [4728] = 4492,
  [4729] = 3135,
  [4730] = 3112,
  [4731] = 3113,
  [4732] = 3136,
  [4733] = 3137,
  [4734] = 4577,
  [4735] = 4578,
  [4736] = 4491,
  [4737] = 4492,
  [4738] = 3138,
  [4739] = 4571,
  [4740] = 3062,
  [4741] = 3063,
  [4742] = 3064,
  [4743] = 4491,
  [4744] = 4492,
  [4745] = 3106,
  [4746] = 4491,
  [4747] = 4492,
  [4748] = 3251,
  [4749] = 4491,
  [4750] = 4492,
  [4751] = 3253,
  [4752] = 4491,
  [4753] = 4492,
  [4754] = 3110,
  [4755] = 4491,
  [4756] = 4492,
  [4757] = 3254,
  [4758] = 4491,
  [4759] = 4492,
  [4760] = 3142,
  [4761] = 4491,
  [4762] = 4492,
  [4763] = 3143,
  [4764] = 4491,
  [4765] = 4492,
  [4766] = 3144,
  [4767] = 4491,
  [4768] = 4492,
  [4769] = 3255,
  [4770] = 4491,
  [4771] = 4492,
  [4772] = 3147,
  [4773] = 4491,
  [4774] = 4492,
  [4775] = 3256,
  [4776] = 4491,
  [4777] = 4492,
  [4778] = 3134,
  [4779] = 4491,
  [4780] = 3180,
  [4781] = 3126,
  [4782] = 3198,
  [4783] = 4491,
  [4784] = 3199,
  [4785] = 3200,
  [4786] = 3201,
  [4787] = 3202,
  [4788] = 3257,
  [4789] = 3203,
  [4790] = 3021,
  [4791] = 3022,
  [4792] = 3023,
  [4793] = 4491,
  [4794] = 3148,
  [4795] = 3220,
  [4796] = 3222,
  [4797] = 4491,
  [4798] = 3225,
  [4799] = 3226,
  [4800] = 3227,
  [4801] = 3258,
  [4802] = 3228,
  [4803] = 3259,
  [4804] = 3230,
  [4805] = 3231,
  [4806] = 4491,
  [4807] = 3240,
  [4808] = 3241,
  [4809] = 3242,
  [4810] = 3135,
  [4811] = 3243,
  [4812] = 3244,
  [4813] = 3245,
  [4814] = 4491,
  [4815] = 3251,
  [4816] = 3253,
  [4817] = 3254,
  [4818] = 3255,
  [4819] = 3260,
  [4820] = 3256,
  [4821] = 3257,
  [4822] = 3258,
  [4823] = 3259,
  [4824] = 3260,
  [4825] = 4491,
  [4826] = 3269,
  [4827] = 3136,
  [4828] = 3269,
  [4829] = 3137,
  [4830] = 3275,
  [4831] = 3276,
  [4832] = 3198,
  [4833] = 3277,
  [4834] = 3280,
  [4835] = 3138,
  [4836] = 3199,
  [4837] = 4491,
  [4838] = 4491,
  [4839] = 3272,
  [4840] = 3158,
  [4841] = 3295,
  [4842] = 4491,
  [4843] = 3159,
  [4844] = 4491,
  [4845] = 3163,
  [4846] = 4491,
  [4847] = 3275,
  [4848] = 4491,
  [4849] = 3142,
  [4850] = 3162,
  [4851] = 4491,
  [4852] = 4568,
  [4853] = 3281,
  [4854] = 3110,
  [4855] = 3143,
  [4856] = 4218,
  [4857] = 3127,
  [4858] = 3168,
  [4859] = 4218,
  [4860] = 3196,
  [4861] = 4568,
  [4862] = 4568,
  [4863] = 4568,
  [4864] = 3206,
  [4865] = 3144,
  [4866] = 3229,
  [4867] = 4568,
  [4868] = 3261,
  [4869] = 3130,
  [4870] = 4568,
  [4871] = 4568,
  [4872] = 4568,
  [4873] = 3205,
  [4874] = 3117,
  [4875] = 4568,
  [4876] = 4568,
  [4877] = 4568,
  [4878] = 4568,
  [4879] = 4568,
  [4880] = 4568,
  [4881] = 4568,
  [4882] = 4568,
  [4883] = 4568,
  [4884] = 4568,
  [4885] = 4568,
  [4886] = 4568,
  [4887] = 4568,
  [4888] = 4568,
  [4889] = 4568,
  [4890] = 4568,
  [4891] = 4568,
  [4892] = 4568,
  [4893] = 4568,
  [4894] = 4568,
  [4895] = 4568,
  [4896] = 4568,
  [4897] = 4568,
  [4898] = 4568,
  [4899] = 4568,
  [4900] = 4568,
  [4901] = 3106,
  [4902] = 3134,
  [4903] = 3135,
  [4904] = 3136,
  [4905] = 3137,
  [4906] = 3138,
  [4907] = 3142,
  [4908] = 3143,
  [4909] = 4571,
  [4910] = 3105,
  [4911] = 3276,
  [4912] = 3144,
  [4913] = 3147,
  [4914] = 3158,
  [4915] = 3147,
  [4916] = 3126,
  [4917] = 3148,
  [4918] = 3163,
  [4919] = 3159,
  [4920] = 3027,
  [4921] = 4218,
  [4922] = 3109,
  [4923] = 3168,
  [4924] = 3126,
  [4925] = 3105,
  [4926] = 3148,
  [4927] = 3109,
  [4928] = 3112,
  [4929] = 4492,
  [4930] = 3109,
  [4931] = 4931,
  [4932] = 4932,
  [4933] = 4933,
  [4934] = 3241,
  [4935] = 3242,
  [4936] = 4936,
  [4937] = 4937,
  [4938] = 4938,
  [4939] = 4939,
  [4940] = 4932,
  [4941] = 4941,
  [4942] = 4942,
  [4943] = 4943,
  [4944] = 4944,
  [4945] = 4945,
  [4946] = 4932,
  [4947] = 4933,
  [4948] = 4948,
  [4949] = 4932,
  [4950] = 4933,
  [4951] = 3243,
  [4952] = 3244,
  [4953] = 4932,
  [4954] = 4933,
  [4955] = 3106,
  [4956] = 4936,
  [4957] = 4937,
  [4958] = 4948,
  [4959] = 4932,
  [4960] = 4933,
  [4961] = 4933,
  [4962] = 3198,
  [4963] = 4936,
  [4964] = 4937,
  [4965] = 4932,
  [4966] = 4931,
  [4967] = 3127,
  [4968] = 4948,
  [4969] = 4932,
  [4970] = 4933,
  [4971] = 4933,
  [4972] = 3203,
  [4973] = 4936,
  [4974] = 4937,
  [4975] = 3199,
  [4976] = 4948,
  [4977] = 4932,
  [4978] = 4933,
  [4979] = 3196,
  [4980] = 4218,
  [4981] = 4948,
  [4982] = 4932,
  [4983] = 4933,
  [4984] = 4948,
  [4985] = 3269,
  [4986] = 4932,
  [4987] = 4933,
  [4988] = 4948,
  [4989] = 4932,
  [4990] = 4933,
  [4991] = 4932,
  [4992] = 4933,
  [4993] = 3203,
  [4994] = 4994,
  [4995] = 3222,
  [4996] = 4948,
  [4997] = 3245,
  [4998] = 4932,
  [4999] = 4933,
  [5000] = 4948,
  [5001] = 4932,
  [5002] = 4933,
  [5003] = 4948,
  [5004] = 4932,
  [5005] = 4933,
  [5006] = 3269,
  [5007] = 4948,
  [5008] = 4932,
  [5009] = 4933,
  [5010] = 3180,
  [5011] = 4932,
  [5012] = 3117,
  [5013] = 3198,
  [5014] = 3281,
  [5015] = 3199,
  [5016] = 3200,
  [5017] = 3201,
  [5018] = 3202,
  [5019] = 4933,
  [5020] = 4217,
  [5021] = 3144,
  [5022] = 3206,
  [5023] = 3251,
  [5024] = 3253,
  [5025] = 4948,
  [5026] = 3209,
  [5027] = 3210,
  [5028] = 4932,
  [5029] = 4933,
  [5030] = 4948,
  [5031] = 3295,
  [5032] = 4936,
  [5033] = 3254,
  [5034] = 3220,
  [5035] = 3222,
  [5036] = 3225,
  [5037] = 3127,
  [5038] = 3226,
  [5039] = 3227,
  [5040] = 3228,
  [5041] = 3230,
  [5042] = 3231,
  [5043] = 4948,
  [5044] = 4932,
  [5045] = 4933,
  [5046] = 3240,
  [5047] = 3241,
  [5048] = 3242,
  [5049] = 3243,
  [5050] = 3244,
  [5051] = 3196,
  [5052] = 3245,
  [5053] = 3226,
  [5054] = 3251,
  [5055] = 3253,
  [5056] = 4219,
  [5057] = 3254,
  [5058] = 3255,
  [5059] = 3256,
  [5060] = 3257,
  [5061] = 3258,
  [5062] = 4948,
  [5063] = 3229,
  [5064] = 4932,
  [5065] = 4933,
  [5066] = 3259,
  [5067] = 3260,
  [5068] = 3275,
  [5069] = 3276,
  [5070] = 3277,
  [5071] = 3280,
  [5072] = 3261,
  [5073] = 3272,
  [5074] = 4948,
  [5075] = 3130,
  [5076] = 4932,
  [5077] = 4933,
  [5078] = 3205,
  [5079] = 3180,
  [5080] = 4932,
  [5081] = 4937,
  [5082] = 3295,
  [5083] = 3198,
  [5084] = 3281,
  [5085] = 3199,
  [5086] = 3110,
  [5087] = 3200,
  [5088] = 3201,
  [5089] = 4948,
  [5090] = 3202,
  [5091] = 4932,
  [5092] = 4933,
  [5093] = 4933,
  [5094] = 3255,
  [5095] = 3256,
  [5096] = 3257,
  [5097] = 3110,
  [5098] = 3134,
  [5099] = 3220,
  [5100] = 3222,
  [5101] = 3225,
  [5102] = 3127,
  [5103] = 3258,
  [5104] = 3226,
  [5105] = 3227,
  [5106] = 3228,
  [5107] = 4948,
  [5108] = 4932,
  [5109] = 4933,
  [5110] = 3230,
  [5111] = 3231,
  [5112] = 3240,
  [5113] = 3162,
  [5114] = 3241,
  [5115] = 3242,
  [5116] = 3243,
  [5117] = 3244,
  [5118] = 3196,
  [5119] = 3245,
  [5120] = 4948,
  [5121] = 3206,
  [5122] = 4932,
  [5123] = 4933,
  [5124] = 3251,
  [5125] = 3253,
  [5126] = 3254,
  [5127] = 3255,
  [5128] = 3256,
  [5129] = 3257,
  [5130] = 3258,
  [5131] = 3229,
  [5132] = 3259,
  [5133] = 3260,
  [5134] = 3275,
  [5135] = 3135,
  [5136] = 3276,
  [5137] = 3277,
  [5138] = 3280,
  [5139] = 3261,
  [5140] = 4948,
  [5141] = 4932,
  [5142] = 4933,
  [5143] = 3136,
  [5144] = 3272,
  [5145] = 3130,
  [5146] = 3137,
  [5147] = 3205,
  [5148] = 3138,
  [5149] = 4932,
  [5150] = 3295,
  [5151] = 3117,
  [5152] = 3106,
  [5153] = 3110,
  [5154] = 4933,
  [5155] = 4948,
  [5156] = 3200,
  [5157] = 4932,
  [5158] = 4933,
  [5159] = 3229,
  [5160] = 4948,
  [5161] = 4932,
  [5162] = 4933,
  [5163] = 3162,
  [5164] = 3201,
  [5165] = 3206,
  [5166] = 4948,
  [5167] = 4932,
  [5168] = 4933,
  [5169] = 3117,
  [5170] = 4948,
  [5171] = 4932,
  [5172] = 4933,
  [5173] = 3142,
  [5174] = 3143,
  [5175] = 3168,
  [5176] = 3144,
  [5177] = 3105,
  [5178] = 3147,
  [5179] = 4948,
  [5180] = 4932,
  [5181] = 4933,
  [5182] = 3105,
  [5183] = 3158,
  [5184] = 3158,
  [5185] = 3159,
  [5186] = 3202,
  [5187] = 4933,
  [5188] = 5188,
  [5189] = 3159,
  [5190] = 3259,
  [5191] = 3134,
  [5192] = 4948,
  [5193] = 4932,
  [5194] = 4933,
  [5195] = 3126,
  [5196] = 3260,
  [5197] = 3211,
  [5198] = 3208,
  [5199] = 3148,
  [5200] = 3163,
  [5201] = 3269,
  [5202] = 3275,
  [5203] = 3112,
  [5204] = 3113,
  [5205] = 4948,
  [5206] = 4932,
  [5207] = 4933,
  [5208] = 3209,
  [5209] = 3210,
  [5210] = 3135,
  [5211] = 3276,
  [5212] = 3277,
  [5213] = 3211,
  [5214] = 3280,
  [5215] = 3135,
  [5216] = 4948,
  [5217] = 4932,
  [5218] = 4933,
  [5219] = 3136,
  [5220] = 3137,
  [5221] = 4948,
  [5222] = 4932,
  [5223] = 4933,
  [5224] = 3138,
  [5225] = 4932,
  [5226] = 3106,
  [5227] = 4948,
  [5228] = 4932,
  [5229] = 4933,
  [5230] = 4933,
  [5231] = 3142,
  [5232] = 4948,
  [5233] = 4932,
  [5234] = 4933,
  [5235] = 3261,
  [5236] = 4933,
  [5237] = 3203,
  [5238] = 4948,
  [5239] = 3109,
  [5240] = 4932,
  [5241] = 4933,
  [5242] = 4948,
  [5243] = 4932,
  [5244] = 4933,
  [5245] = 4948,
  [5246] = 4932,
  [5247] = 4933,
  [5248] = 3180,
  [5249] = 4948,
  [5250] = 4932,
  [5251] = 4933,
  [5252] = 4948,
  [5253] = 4932,
  [5254] = 4933,
  [5255] = 4948,
  [5256] = 4932,
  [5257] = 4933,
  [5258] = 4945,
  [5259] = 4948,
  [5260] = 4932,
  [5261] = 4933,
  [5262] = 3142,
  [5263] = 3143,
  [5264] = 3168,
  [5265] = 3144,
  [5266] = 3105,
  [5267] = 4948,
  [5268] = 3147,
  [5269] = 3158,
  [5270] = 3159,
  [5271] = 4948,
  [5272] = 3143,
  [5273] = 3136,
  [5274] = 3272,
  [5275] = 4948,
  [5276] = 4938,
  [5277] = 3126,
  [5278] = 3208,
  [5279] = 3148,
  [5280] = 3163,
  [5281] = 4948,
  [5282] = 4948,
  [5283] = 4939,
  [5284] = 3112,
  [5285] = 3113,
  [5286] = 4948,
  [5287] = 3209,
  [5288] = 3210,
  [5289] = 4941,
  [5290] = 4942,
  [5291] = 3211,
  [5292] = 4943,
  [5293] = 3130,
  [5294] = 3109,
  [5295] = 3137,
  [5296] = 5296,
  [5297] = 3205,
  [5298] = 4932,
  [5299] = 3138,
  [5300] = 4218,
  [5301] = 3225,
  [5302] = 4944,
  [5303] = 5303,
  [5304] = 3227,
  [5305] = 3228,
  [5306] = 4933,
  [5307] = 3208,
  [5308] = 3148,
  [5309] = 3163,
  [5310] = 3281,
  [5311] = 3168,
  [5312] = 3230,
  [5313] = 4932,
  [5314] = 3231,
  [5315] = 3126,
  [5316] = 4948,
  [5317] = 3112,
  [5318] = 4932,
  [5319] = 3147,
  [5320] = 4933,
  [5321] = 3240,
  [5322] = 3162,
  [5323] = 5303,
  [5324] = 4931,
  [5325] = 5303,
  [5326] = 4217,
  [5327] = 4931,
  [5328] = 3134,
  [5329] = 5303,
  [5330] = 4931,
  [5331] = 5303,
  [5332] = 4931,
  [5333] = 4218,
  [5334] = 5303,
  [5335] = 4931,
  [5336] = 5303,
  [5337] = 4931,
  [5338] = 5303,
  [5339] = 4931,
  [5340] = 5303,
  [5341] = 4931,
  [5342] = 5303,
  [5343] = 4931,
  [5344] = 5303,
  [5345] = 4931,
  [5346] = 5303,
  [5347] = 4931,
  [5348] = 5303,
  [5349] = 4931,
  [5350] = 5303,
  [5351] = 4931,
  [5352] = 4219,
  [5353] = 5303,
  [5354] = 4931,
  [5355] = 5303,
  [5356] = 4931,
  [5357] = 5303,
  [5358] = 4931,
  [5359] = 5303,
  [5360] = 3220,
  [5361] = 4931,
  [5362] = 5303,
  [5363] = 4931,
  [5364] = 5303,
  [5365] = 4931,
  [5366] = 5303,
  [5367] = 4931,
  [5368] = 5303,
  [5369] = 4217,
  [5370] = 4931,
  [5371] = 5303,
  [5372] = 4931,
  [5373] = 5303,
  [5374] = 4931,
  [5375] = 5303,
  [5376] = 4931,
  [5377] = 5303,
  [5378] = 4931,
  [5379] = 5303,
  [5380] = 4931,
  [5381] = 5303,
  [5382] = 4931,
  [5383] = 5303,
  [5384] = 4931,
  [5385] = 5303,
  [5386] = 4931,
  [5387] = 5303,
  [5388] = 4931,
  [5389] = 5303,
  [5390] = 4931,
  [5391] = 5303,
  [5392] = 4931,
  [5393] = 5303,
  [5394] = 4219,
  [5395] = 4931,
  [5396] = 5303,
  [5397] = 4931,
  [5398] = 5303,
  [5399] = 4931,
  [5400] = 3113,
  [5401] = 5303,
  [5402] = 4931,
  [5403] = 5303,
  [5404] = 4931,
  [5405] = 5303,
  [5406] = 4931,
  [5407] = 5303,
  [5408] = 4931,
  [5409] = 5303,
  [5410] = 4931,
  [5411] = 5303,
  [5412] = 4931,
  [5413] = 5303,
  [5414] = 4931,
  [5415] = 5303,
  [5416] = 4931,
  [5417] = 5303,
  [5418] = 4931,
  [5419] = 5303,
  [5420] = 4931,
  [5421] = 5303,
  [5422] = 4931,
  [5423] = 5303,
  [5424] = 4931,
  [5425] = 5303,
  [5426] = 4931,
  [5427] = 5303,
  [5428] = 4931,
  [5429] = 5303,
  [5430] = 4931,
  [5431] = 5303,
  [5432] = 4932,
  [5433] = 4219,
  [5434] = 5434,
  [5435] = 5435,
  [5436] = 5436,
  [5437] = 5434,
  [5438] = 5434,
  [5439] = 4219,
  [5440] = 5434,
  [5441] = 5434,
  [5442] = 5434,
  [5443] = 5434,
  [5444] = 5434,
  [5445] = 5434,
  [5446] = 5434,
  [5447] = 5434,
  [5448] = 5435,
  [5449] = 5434,
  [5450] = 5434,
  [5451] = 5434,
  [5452] = 5434,
  [5453] = 5434,
  [5454] = 5434,
  [5455] = 5434,
  [5456] = 5436,
  [5457] = 5434,
  [5458] = 5434,
  [5459] = 5434,
  [5460] = 5435,
  [5461] = 5434,
  [5462] = 5462,
  [5463] = 5434,
  [5464] = 5434,
  [5465] = 5434,
  [5466] = 5434,
  [5467] = 4217,
  [5468] = 5434,
  [5469] = 5434,
  [5470] = 4218,
  [5471] = 5434,
  [5472] = 5434,
  [5473] = 5436,
  [5474] = 5434,
  [5475] = 5434,
  [5476] = 5435,
  [5477] = 5434,
  [5478] = 5434,
  [5479] = 5436,
  [5480] = 5434,
  [5481] = 5434,
  [5482] = 5434,
  [5483] = 5434,
  [5484] = 5435,
  [5485] = 5434,
  [5486] = 5434,
  [5487] = 5434,
  [5488] = 5462,
  [5489] = 5434,
  [5490] = 5434,
  [5491] = 5434,
  [5492] = 5434,
  [5493] = 5462,
  [5494] = 5434,
  [5495] = 5434,
  [5496] = 5434,
  [5497] = 5462,
  [5498] = 4218,
  [5499] = 5462,
  [5500] = 5436,
  [5501] = 5434,
  [5502] = 5462,
  [5503] = 5435,
  [5504] = 5462,
  [5505] = 4218,
  [5506] = 5436,
  [5507] = 4217,
  [5508] = 5434,
  [5509] = 5435,
  [5510] = 5436,
  [5511] = 5434,
  [5512] = 5436,
  [5513] = 4219,
  [5514] = 5514,
  [5515] = 5515,
  [5516] = 5516,
  [5517] = 5516,
  [5518] = 5518,
  [5519] = 5514,
  [5520] = 5515,
  [5521] = 5516,
  [5522] = 5518,
  [5523] = 4217,
  [5524] = 5514,
  [5525] = 5515,
  [5526] = 5526,
  [5527] = 5516,
  [5528] = 5528,
  [5529] = 5526,
  [5530] = 5528,
  [5531] = 5531,
  [5532] = 5532,
  [5533] = 5515,
  [5534] = 5532,
  [5535] = 5531,
  [5536] = 4218,
  [5537] = 5537,
  [5538] = 5526,
  [5539] = 5528,
  [5540] = 5531,
  [5541] = 5532,
  [5542] = 5532,
  [5543] = 5543,
  [5544] = 5518,
  [5545] = 5537,
  [5546] = 5543,
  [5547] = 5531,
  [5548] = 5537,
  [5549] = 5543,
  [5550] = 5518,
  [5551] = 5514,
  [5552] = 5518,
  [5553] = 5531,
  [5554] = 5515,
  [5555] = 5516,
  [5556] = 5537,
  [5557] = 4218,
  [5558] = 5537,
  [5559] = 5543,
  [5560] = 5518,
  [5561] = 5514,
  [5562] = 5526,
  [5563] = 5528,
  [5564] = 5531,
  [5565] = 5532,
  [5566] = 5543,
  [5567] = 5537,
  [5568] = 5543,
  [5569] = 5518,
  [5570] = 5514,
  [5571] = 5515,
  [5572] = 5516,
  [5573] = 5526,
  [5574] = 5526,
  [5575] = 5528,
  [5576] = 5528,
  [5577] = 5531,
  [5578] = 5532,
  [5579] = 4218,
  [5580] = 5515,
  [5581] = 5516,
  [5582] = 4217,
  [5583] = 5537,
  [5584] = 5543,
  [5585] = 5526,
  [5586] = 5528,
  [5587] = 5532,
  [5588] = 4219,
  [5589] = 5514,
  [5590] = 5590,
  [5591] = 5591,
  [5592] = 5592,
  [5593] = 5593,
  [5594] = 5594,
  [5595] = 5593,
  [5596] = 2937,
  [5597] = 5591,
  [5598] = 5594,
  [5599] = 5592,
  [5600] = 5594,
  [5601] = 5593,
  [5602] = 5590,
  [5603] = 4217,
  [5604] = 5592,
  [5605] = 5593,
  [5606] = 5594,
  [5607] = 5594,
  [5608] = 5593,
  [5609] = 5609,
  [5610] = 5592,
  [5611] = 5611,
  [5612] = 5593,
  [5613] = 5613,
  [5614] = 5613,
  [5615] = 5592,
  [5616] = 5590,
  [5617] = 5590,
  [5618] = 5591,
  [5619] = 5592,
  [5620] = 5594,
  [5621] = 5593,
  [5622] = 5592,
  [5623] = 5591,
  [5624] = 5591,
  [5625] = 5594,
  [5626] = 5591,
  [5627] = 5591,
  [5628] = 5592,
  [5629] = 5594,
  [5630] = 5593,
  [5631] = 5590,
  [5632] = 4219,
  [5633] = 5590,
  [5634] = 5591,
  [5635] = 5590,
  [5636] = 5636,
  [5637] = 5636,
  [5638] = 5636,
  [5639] = 5639,
  [5640] = 5639,
  [5641] = 5639,
  [5642] = 5636,
  [5643] = 5636,
  [5644] = 5639,
  [5645] = 5636,
  [5646] = 5636,
  [5647] = 5639,
  [5648] = 5639,
  [5649] = 5636,
  [5650] = 5639,
  [5651] = 5639,
  [5652] = 5636,
  [5653] = 5639,
  [5654] = 5639,
  [5655] = 5636,
  [5656] = 5639,
  [5657] = 5636,
  [5658] = 5639,
  [5659] = 5636,
  [5660] = 5636,
  [5661] = 5639,
  [5662] = 5636,
  [5663] = 5639,
  [5664] = 5636,
  [5665] = 5636,
  [5666] = 5636,
  [5667] = 5639,
  [5668] = 5639,
  [5669] = 5636,
  [5670] = 5639,
  [5671] = 5639,
  [5672] = 5636,
  [5673] = 5636,
  [5674] = 5639,
  [5675] = 5639,
  [5676] = 3052,
  [5677] = 5636,
  [5678] = 5639,
  [5679] = 5636,
  [5680] = 5636,
  [5681] = 3062,
  [5682] = 5639,
  [5683] = 5636,
  [5684] = 3063,
  [5685] = 3064,
  [5686] = 5639,
  [5687] = 5636,
  [5688] = 5639,
  [5689] = 5639,
  [5690] = 3021,
  [5691] = 3022,
  [5692] = 3023,
  [5693] = 5636,
  [5694] = 5639,
  [5695] = 5636,
  [5696] = 5639,
  [5697] = 5639,
  [5698] = 5636,
  [5699] = 5639,
  [5700] = 5636,
  [5701] = 5639,
  [5702] = 5636,
  [5703] = 5639,
  [5704] = 5636,
  [5705] = 5636,
  [5706] = 5639,
  [5707] = 5636,
  [5708] = 5639,
  [5709] = 5639,
  [5710] = 5636,
  [5711] = 5639,
  [5712] = 5636,
  [5713] = 5639,
  [5714] = 5714,
  [5715] = 5715,
  [5716] = 3065,
  [5717] = 5636,
  [5718] = 5639,
  [5719] = 5636,
  [5720] = 5636,
  [5721] = 5639,
  [5722] = 5636,
  [5723] = 5639,
  [5724] = 5636,
  [5725] = 5636,
  [5726] = 3027,
  [5727] = 5639,
  [5728] = 5639,
  [5729] = 5636,
  [5730] = 5639,
  [5731] = 5639,
  [5732] = 5636,
  [5733] = 5636,
  [5734] = 3031,
  [5735] = 5636,
  [5736] = 5639,
  [5737] = 5639,
  [5738] = 5636,
  [5739] = 5636,
  [5740] = 5639,
  [5741] = 5639,
  [5742] = 5742,
  [5743] = 5636,
  [5744] = 5639,
  [5745] = 5636,
  [5746] = 5639,
  [5747] = 5636,
  [5748] = 5636,
  [5749] = 5639,
  [5750] = 3060,
  [5751] = 5639,
  [5752] = 5636,
  [5753] = 5639,
  [5754] = 3200,
  [5755] = 3106,
  [5756] = 3203,
  [5757] = 3228,
  [5758] = 3136,
  [5759] = 3158,
  [5760] = 3159,
  [5761] = 3162,
  [5762] = 3130,
  [5763] = 3137,
  [5764] = 3225,
  [5765] = 3138,
  [5766] = 3211,
  [5767] = 3163,
  [5768] = 3243,
  [5769] = 3260,
  [5770] = 3269,
  [5771] = 3052,
  [5772] = 3226,
  [5773] = 5773,
  [5774] = 3244,
  [5775] = 3275,
  [5776] = 3168,
  [5777] = 3065,
  [5778] = 5778,
  [5779] = 3105,
  [5780] = 3276,
  [5781] = 3277,
  [5782] = 3280,
  [5783] = 3205,
  [5784] = 3196,
  [5785] = 3117,
  [5786] = 3109,
  [5787] = 3281,
  [5788] = 3135,
  [5789] = 3220,
  [5790] = 5773,
  [5791] = 3112,
  [5792] = 3113,
  [5793] = 3245,
  [5794] = 5773,
  [5795] = 5773,
  [5796] = 3222,
  [5797] = 5773,
  [5798] = 5773,
  [5799] = 5773,
  [5800] = 3229,
  [5801] = 5773,
  [5802] = 5773,
  [5803] = 3062,
  [5804] = 3127,
  [5805] = 5773,
  [5806] = 5773,
  [5807] = 5773,
  [5808] = 3063,
  [5809] = 5773,
  [5810] = 3064,
  [5811] = 5773,
  [5812] = 5773,
  [5813] = 5773,
  [5814] = 5773,
  [5815] = 5773,
  [5816] = 5773,
  [5817] = 5773,
  [5818] = 5773,
  [5819] = 5773,
  [5820] = 3206,
  [5821] = 5773,
  [5822] = 5773,
  [5823] = 5773,
  [5824] = 5773,
  [5825] = 5773,
  [5826] = 5773,
  [5827] = 5773,
  [5828] = 5773,
  [5829] = 5773,
  [5830] = 3242,
  [5831] = 5773,
  [5832] = 5773,
  [5833] = 5773,
  [5834] = 5773,
  [5835] = 3251,
  [5836] = 5773,
  [5837] = 5773,
  [5838] = 5773,
  [5839] = 3231,
  [5840] = 5773,
  [5841] = 5773,
  [5842] = 3240,
  [5843] = 5773,
  [5844] = 5773,
  [5845] = 5773,
  [5846] = 5773,
  [5847] = 5773,
  [5848] = 5773,
  [5849] = 5773,
  [5850] = 5773,
  [5851] = 5773,
  [5852] = 5773,
  [5853] = 3272,
  [5854] = 3253,
  [5855] = 3254,
  [5856] = 3198,
  [5857] = 3199,
  [5858] = 3031,
  [5859] = 3021,
  [5860] = 3022,
  [5861] = 3023,
  [5862] = 3065,
  [5863] = 3261,
  [5864] = 3060,
  [5865] = 3210,
  [5866] = 3110,
  [5867] = 3255,
  [5868] = 3142,
  [5869] = 3256,
  [5870] = 3257,
  [5871] = 3143,
  [5872] = 5773,
  [5873] = 3144,
  [5874] = 3027,
  [5875] = 3147,
  [5876] = 3258,
  [5877] = 3201,
  [5878] = 3202,
  [5879] = 3295,
  [5880] = 3180,
  [5881] = 3259,
  [5882] = 3209,
  [5883] = 3227,
  [5884] = 3230,
  [5885] = 3134,
  [5886] = 3126,
  [5887] = 3208,
  [5888] = 3148,
  [5889] = 3241,
  [5890] = 5773,
  [5891] = 3206,
  [5892] = 3229,
  [5893] = 3220,
  [5894] = 3060,
  [5895] = 3135,
  [5896] = 3222,
  [5897] = 3065,
  [5898] = 3130,
  [5899] = 3230,
  [5900] = 3027,
  [5901] = 3136,
  [5902] = 3245,
  [5903] = 3106,
  [5904] = 3275,
  [5905] = 3031,
  [5906] = 5906,
  [5907] = 3142,
  [5908] = 3251,
  [5909] = 3253,
  [5910] = 3143,
  [5911] = 3254,
  [5912] = 3255,
  [5913] = 3256,
  [5914] = 5906,
  [5915] = 3276,
  [5916] = 3257,
  [5917] = 3258,
  [5918] = 3231,
  [5919] = 3259,
  [5920] = 5906,
  [5921] = 3240,
  [5922] = 3241,
  [5923] = 3260,
  [5924] = 5906,
  [5925] = 3109,
  [5926] = 3277,
  [5927] = 3168,
  [5928] = 3280,
  [5929] = 3134,
  [5930] = 5906,
  [5931] = 5906,
  [5932] = 3144,
  [5933] = 3105,
  [5934] = 3147,
  [5935] = 3158,
  [5936] = 3159,
  [5937] = 3272,
  [5938] = 5938,
  [5939] = 3228,
  [5940] = 3261,
  [5941] = 3198,
  [5942] = 3226,
  [5943] = 3199,
  [5944] = 3110,
  [5945] = 3242,
  [5946] = 3126,
  [5947] = 3295,
  [5948] = 3117,
  [5949] = 3200,
  [5950] = 3281,
  [5951] = 3201,
  [5952] = 5906,
  [5953] = 3148,
  [5954] = 3163,
  [5955] = 3269,
  [5956] = 3208,
  [5957] = 3112,
  [5958] = 3052,
  [5959] = 3113,
  [5960] = 3205,
  [5961] = 3209,
  [5962] = 3210,
  [5963] = 3227,
  [5964] = 3211,
  [5965] = 3127,
  [5966] = 3137,
  [5967] = 3062,
  [5968] = 3063,
  [5969] = 3203,
  [5970] = 3162,
  [5971] = 3064,
  [5972] = 3225,
  [5973] = 3021,
  [5974] = 3022,
  [5975] = 3202,
  [5976] = 3023,
  [5977] = 3138,
  [5978] = 3243,
  [5979] = 3244,
  [5980] = 3196,
  [5981] = 3180,
  [5982] = 5982,
  [5983] = 3126,
  [5984] = 3112,
  [5985] = 5982,
  [5986] = 3209,
  [5987] = 3210,
  [5988] = 3148,
  [5989] = 3211,
  [5990] = 3163,
  [5991] = 3064,
  [5992] = 3052,
  [5993] = 3031,
  [5994] = 3022,
  [5995] = 4218,
  [5996] = 3137,
  [5997] = 3023,
  [5998] = 3060,
  [5999] = 3144,
  [6000] = 3065,
  [6001] = 3052,
  [6002] = 3168,
  [6003] = 5982,
  [6004] = 3027,
  [6005] = 6005,
  [6006] = 3105,
  [6007] = 5982,
  [6008] = 5982,
  [6009] = 5982,
  [6010] = 3135,
  [6011] = 3060,
  [6012] = 3168,
  [6013] = 5982,
  [6014] = 5982,
  [6015] = 5982,
  [6016] = 3112,
  [6017] = 5982,
  [6018] = 3062,
  [6019] = 5982,
  [6020] = 3063,
  [6021] = 3064,
  [6022] = 5982,
  [6023] = 3109,
  [6024] = 5982,
  [6025] = 5982,
  [6026] = 3180,
  [6027] = 5982,
  [6028] = 3198,
  [6029] = 3199,
  [6030] = 3200,
  [6031] = 3201,
  [6032] = 5982,
  [6033] = 3202,
  [6034] = 3203,
  [6035] = 3220,
  [6036] = 5982,
  [6037] = 3222,
  [6038] = 3138,
  [6039] = 3225,
  [6040] = 3226,
  [6041] = 3227,
  [6042] = 3228,
  [6043] = 3021,
  [6044] = 5982,
  [6045] = 3230,
  [6046] = 3231,
  [6047] = 3022,
  [6048] = 5982,
  [6049] = 3240,
  [6050] = 3241,
  [6051] = 3242,
  [6052] = 3243,
  [6053] = 3023,
  [6054] = 3244,
  [6055] = 5982,
  [6056] = 3245,
  [6057] = 3251,
  [6058] = 3253,
  [6059] = 3254,
  [6060] = 5982,
  [6061] = 3255,
  [6062] = 3256,
  [6063] = 3257,
  [6064] = 3258,
  [6065] = 3259,
  [6066] = 3158,
  [6067] = 3269,
  [6068] = 5982,
  [6069] = 3275,
  [6070] = 3276,
  [6071] = 3277,
  [6072] = 3280,
  [6073] = 3027,
  [6074] = 5982,
  [6075] = 3272,
  [6076] = 3031,
  [6077] = 5982,
  [6078] = 3295,
  [6079] = 6079,
  [6080] = 5982,
  [6081] = 3021,
  [6082] = 5982,
  [6083] = 5982,
  [6084] = 3136,
  [6085] = 5982,
  [6086] = 3162,
  [6087] = 5982,
  [6088] = 5982,
  [6089] = 5982,
  [6090] = 5982,
  [6091] = 5982,
  [6092] = 3281,
  [6093] = 3110,
  [6094] = 3147,
  [6095] = 5982,
  [6096] = 5982,
  [6097] = 3127,
  [6098] = 5982,
  [6099] = 3196,
  [6100] = 5982,
  [6101] = 3206,
  [6102] = 3142,
  [6103] = 5982,
  [6104] = 3229,
  [6105] = 3062,
  [6106] = 5982,
  [6107] = 3261,
  [6108] = 5982,
  [6109] = 3130,
  [6110] = 3205,
  [6111] = 5982,
  [6112] = 3117,
  [6113] = 5982,
  [6114] = 5982,
  [6115] = 5982,
  [6116] = 5982,
  [6117] = 5982,
  [6118] = 5982,
  [6119] = 5982,
  [6120] = 5982,
  [6121] = 5982,
  [6122] = 5982,
  [6123] = 5982,
  [6124] = 6079,
  [6125] = 6079,
  [6126] = 6079,
  [6127] = 6079,
  [6128] = 6079,
  [6129] = 6079,
  [6130] = 3208,
  [6131] = 3063,
  [6132] = 3113,
  [6133] = 5938,
  [6134] = 3159,
  [6135] = 3143,
  [6136] = 3106,
  [6137] = 3134,
  [6138] = 3260,
  [6139] = 3130,
  [6140] = 3245,
  [6141] = 3199,
  [6142] = 3163,
  [6143] = 3200,
  [6144] = 3227,
  [6145] = 3201,
  [6146] = 3251,
  [6147] = 3253,
  [6148] = 3208,
  [6149] = 3254,
  [6150] = 3255,
  [6151] = 3256,
  [6152] = 3202,
  [6153] = 6153,
  [6154] = 3257,
  [6155] = 3258,
  [6156] = 3209,
  [6157] = 3259,
  [6158] = 6005,
  [6159] = 3142,
  [6160] = 3180,
  [6161] = 3143,
  [6162] = 3210,
  [6163] = 3109,
  [6164] = 3260,
  [6165] = 3196,
  [6166] = 3144,
  [6167] = 3295,
  [6168] = 6168,
  [6169] = 3206,
  [6170] = 3211,
  [6171] = 3105,
  [6172] = 3251,
  [6173] = 3269,
  [6174] = 3253,
  [6175] = 3243,
  [6176] = 3225,
  [6177] = 3203,
  [6178] = 3117,
  [6179] = 3106,
  [6180] = 3226,
  [6181] = 3254,
  [6182] = 3275,
  [6183] = 3168,
  [6184] = 6184,
  [6185] = 3276,
  [6186] = 3240,
  [6187] = 3147,
  [6188] = 3147,
  [6189] = 3277,
  [6190] = 3227,
  [6191] = 3269,
  [6192] = 3228,
  [6193] = 3220,
  [6194] = 3198,
  [6195] = 3222,
  [6196] = 3281,
  [6197] = 3280,
  [6198] = 3065,
  [6199] = 3275,
  [6200] = 3199,
  [6201] = 3259,
  [6202] = 3162,
  [6203] = 3112,
  [6204] = 3209,
  [6205] = 3210,
  [6206] = 3158,
  [6207] = 3230,
  [6208] = 3260,
  [6209] = 3226,
  [6210] = 3256,
  [6211] = 3060,
  [6212] = 3231,
  [6213] = 3272,
  [6214] = 3022,
  [6215] = 3159,
  [6216] = 3211,
  [6217] = 3295,
  [6218] = 6218,
  [6219] = 3142,
  [6220] = 3143,
  [6221] = 3135,
  [6222] = 3144,
  [6223] = 3162,
  [6224] = 3147,
  [6225] = 3134,
  [6226] = 3126,
  [6227] = 3148,
  [6228] = 3205,
  [6229] = 3136,
  [6230] = 3242,
  [6231] = 3134,
  [6232] = 3110,
  [6233] = 3200,
  [6234] = 3023,
  [6235] = 3244,
  [6236] = 3137,
  [6237] = 3158,
  [6238] = 3245,
  [6239] = 3272,
  [6240] = 3228,
  [6241] = 3112,
  [6242] = 3229,
  [6243] = 3202,
  [6244] = 3159,
  [6245] = 3135,
  [6246] = 3065,
  [6247] = 3281,
  [6248] = 3113,
  [6249] = 3136,
  [6250] = 3203,
  [6251] = 3137,
  [6252] = 3138,
  [6253] = 3208,
  [6254] = 3230,
  [6255] = 3244,
  [6256] = 3142,
  [6257] = 3168,
  [6258] = 3105,
  [6259] = 4218,
  [6260] = 3255,
  [6261] = 3158,
  [6262] = 6262,
  [6263] = 3231,
  [6264] = 3159,
  [6265] = 3168,
  [6266] = 3109,
  [6267] = 3143,
  [6268] = 3163,
  [6269] = 3062,
  [6270] = 3063,
  [6271] = 3112,
  [6272] = 3064,
  [6273] = 3113,
  [6274] = 3112,
  [6275] = 3163,
  [6276] = 3110,
  [6277] = 3113,
  [6278] = 3198,
  [6279] = 3138,
  [6280] = 3240,
  [6281] = 3148,
  [6282] = 3241,
  [6283] = 3127,
  [6284] = 3126,
  [6285] = 3168,
  [6286] = 3225,
  [6287] = 3052,
  [6288] = 3126,
  [6289] = 3196,
  [6290] = 3206,
  [6291] = 3130,
  [6292] = 4219,
  [6293] = 3257,
  [6294] = 3144,
  [6295] = 6295,
  [6296] = 3027,
  [6297] = 3229,
  [6298] = 3276,
  [6299] = 3277,
  [6300] = 3261,
  [6301] = 3031,
  [6302] = 3109,
  [6303] = 3261,
  [6304] = 3205,
  [6305] = 3220,
  [6306] = 3280,
  [6307] = 3106,
  [6308] = 3117,
  [6309] = 3241,
  [6310] = 3105,
  [6311] = 3180,
  [6312] = 3148,
  [6313] = 3021,
  [6314] = 3258,
  [6315] = 3242,
  [6316] = 3127,
  [6317] = 3243,
  [6318] = 3222,
  [6319] = 4217,
  [6320] = 3201,
  [6321] = 3261,
  [6322] = 3142,
  [6323] = 3211,
  [6324] = 3142,
  [6325] = 3143,
  [6326] = 6184,
  [6327] = 4219,
  [6328] = 3144,
  [6329] = 3159,
  [6330] = 6330,
  [6331] = 4218,
  [6332] = 3143,
  [6333] = 6333,
  [6334] = 6334,
  [6335] = 3147,
  [6336] = 3281,
  [6337] = 3138,
  [6338] = 6262,
  [6339] = 3126,
  [6340] = 3144,
  [6341] = 3106,
  [6342] = 3148,
  [6343] = 6343,
  [6344] = 6344,
  [6345] = 6295,
  [6346] = 3112,
  [6347] = 3113,
  [6348] = 3209,
  [6349] = 6349,
  [6350] = 6350,
  [6351] = 6351,
  [6352] = 6352,
  [6353] = 3259,
  [6354] = 6354,
  [6355] = 3180,
  [6356] = 6295,
  [6357] = 3210,
  [6358] = 3198,
  [6359] = 3134,
  [6360] = 6360,
  [6361] = 3260,
  [6362] = 3135,
  [6363] = 3105,
  [6364] = 3136,
  [6365] = 6365,
  [6366] = 6366,
  [6367] = 3147,
  [6368] = 3065,
  [6369] = 3109,
  [6370] = 3158,
  [6371] = 3159,
  [6372] = 3163,
  [6373] = 6373,
  [6374] = 6374,
  [6375] = 3113,
  [6376] = 3168,
  [6377] = 3275,
  [6378] = 3168,
  [6379] = 3105,
  [6380] = 3254,
  [6381] = 6381,
  [6382] = 3109,
  [6383] = 3255,
  [6384] = 6384,
  [6385] = 3117,
  [6386] = 6386,
  [6387] = 3209,
  [6388] = 3276,
  [6389] = 3112,
  [6390] = 3277,
  [6391] = 3280,
  [6392] = 3199,
  [6393] = 3200,
  [6394] = 3201,
  [6395] = 6395,
  [6396] = 3113,
  [6397] = 3135,
  [6398] = 3202,
  [6399] = 3220,
  [6400] = 3222,
  [6401] = 3225,
  [6402] = 4217,
  [6403] = 3226,
  [6404] = 6404,
  [6405] = 6405,
  [6406] = 3258,
  [6407] = 3227,
  [6408] = 3272,
  [6409] = 6409,
  [6410] = 3228,
  [6411] = 3117,
  [6412] = 3105,
  [6413] = 3142,
  [6414] = 3210,
  [6415] = 3143,
  [6416] = 3126,
  [6417] = 3144,
  [6418] = 3137,
  [6419] = 3137,
  [6420] = 6420,
  [6421] = 6262,
  [6422] = 3147,
  [6423] = 3127,
  [6424] = 3196,
  [6425] = 3158,
  [6426] = 6426,
  [6427] = 3162,
  [6428] = 6428,
  [6429] = 6429,
  [6430] = 3138,
  [6431] = 3158,
  [6432] = 3203,
  [6433] = 3206,
  [6434] = 3230,
  [6435] = 3257,
  [6436] = 3229,
  [6437] = 6437,
  [6438] = 3231,
  [6439] = 6439,
  [6440] = 3240,
  [6441] = 6441,
  [6442] = 3211,
  [6443] = 6184,
  [6444] = 3109,
  [6445] = 3134,
  [6446] = 3126,
  [6447] = 3295,
  [6448] = 6448,
  [6449] = 6449,
  [6450] = 3148,
  [6451] = 3208,
  [6452] = 3163,
  [6453] = 6453,
  [6454] = 3130,
  [6455] = 3205,
  [6456] = 3159,
  [6457] = 3241,
  [6458] = 3242,
  [6459] = 6459,
  [6460] = 3243,
  [6461] = 6461,
  [6462] = 3148,
  [6463] = 3136,
  [6464] = 6464,
  [6465] = 3244,
  [6466] = 3163,
  [6467] = 3208,
  [6468] = 3245,
  [6469] = 6469,
  [6470] = 3256,
  [6471] = 3251,
  [6472] = 3106,
  [6473] = 3253,
  [6474] = 6474,
  [6475] = 3269,
  [6476] = 6476,
  [6477] = 3110,
  [6478] = 6429,
  [6479] = 6420,
  [6480] = 3022,
  [6481] = 6404,
  [6482] = 3023,
  [6483] = 6343,
  [6484] = 6330,
  [6485] = 6352,
  [6486] = 3134,
  [6487] = 6373,
  [6488] = 3142,
  [6489] = 3143,
  [6490] = 6464,
  [6491] = 6449,
  [6492] = 3135,
  [6493] = 3136,
  [6494] = 3137,
  [6495] = 6395,
  [6496] = 3138,
  [6497] = 6437,
  [6498] = 6262,
  [6499] = 3052,
  [6500] = 6374,
  [6501] = 6474,
  [6502] = 6464,
  [6503] = 6349,
  [6504] = 3144,
  [6505] = 6351,
  [6506] = 3113,
  [6507] = 6384,
  [6508] = 6461,
  [6509] = 6441,
  [6510] = 6469,
  [6511] = 6386,
  [6512] = 6409,
  [6513] = 6439,
  [6514] = 6333,
  [6515] = 6381,
  [6516] = 3117,
  [6517] = 6354,
  [6518] = 6184,
  [6519] = 6334,
  [6520] = 6405,
  [6521] = 3208,
  [6522] = 6365,
  [6523] = 4218,
  [6524] = 6453,
  [6525] = 6426,
  [6526] = 6428,
  [6527] = 6344,
  [6528] = 3209,
  [6529] = 3210,
  [6530] = 6437,
  [6531] = 3211,
  [6532] = 6330,
  [6533] = 6476,
  [6534] = 6374,
  [6535] = 6360,
  [6536] = 6474,
  [6537] = 3148,
  [6538] = 6350,
  [6539] = 3060,
  [6540] = 6352,
  [6541] = 6420,
  [6542] = 3117,
  [6543] = 6349,
  [6544] = 3106,
  [6545] = 6441,
  [6546] = 6409,
  [6547] = 6354,
  [6548] = 6404,
  [6549] = 3147,
  [6550] = 6343,
  [6551] = 4217,
  [6552] = 6429,
  [6553] = 6453,
  [6554] = 6344,
  [6555] = 6360,
  [6556] = 6334,
  [6557] = 3027,
  [6558] = 3105,
  [6559] = 6448,
  [6560] = 6428,
  [6561] = 3134,
  [6562] = 6469,
  [6563] = 3062,
  [6564] = 4218,
  [6565] = 3063,
  [6566] = 6351,
  [6567] = 3031,
  [6568] = 6384,
  [6569] = 3021,
  [6570] = 3065,
  [6571] = 6386,
  [6572] = 3064,
  [6573] = 3158,
  [6574] = 3106,
  [6575] = 6295,
  [6576] = 3159,
  [6577] = 6448,
  [6578] = 6459,
  [6579] = 6476,
  [6580] = 6373,
  [6581] = 6395,
  [6582] = 6439,
  [6583] = 6459,
  [6584] = 6366,
  [6585] = 3208,
  [6586] = 6333,
  [6587] = 3135,
  [6588] = 6350,
  [6589] = 3209,
  [6590] = 3210,
  [6591] = 4219,
  [6592] = 3211,
  [6593] = 6381,
  [6594] = 6449,
  [6595] = 6461,
  [6596] = 3136,
  [6597] = 3137,
  [6598] = 6366,
  [6599] = 3126,
  [6600] = 3138,
  [6601] = 3163,
  [6602] = 6405,
  [6603] = 3109,
  [6604] = 6365,
  [6605] = 6426,
  [6606] = 3052,
  [6607] = 3162,
  [6608] = 6381,
  [6609] = 3203,
  [6610] = 3180,
  [6611] = 3255,
  [6612] = 3136,
  [6613] = 3269,
  [6614] = 3256,
  [6615] = 6476,
  [6616] = 6351,
  [6617] = 3137,
  [6618] = 4217,
  [6619] = 3106,
  [6620] = 3230,
  [6621] = 3257,
  [6622] = 3168,
  [6623] = 3142,
  [6624] = 3138,
  [6625] = 3209,
  [6626] = 3240,
  [6627] = 3134,
  [6628] = 3241,
  [6629] = 3134,
  [6630] = 3258,
  [6631] = 3281,
  [6632] = 3210,
  [6633] = 3065,
  [6634] = 3209,
  [6635] = 3259,
  [6636] = 3117,
  [6637] = 3198,
  [6638] = 6426,
  [6639] = 3210,
  [6640] = 3211,
  [6641] = 3199,
  [6642] = 3136,
  [6643] = 6459,
  [6644] = 3260,
  [6645] = 6366,
  [6646] = 3126,
  [6647] = 6461,
  [6648] = 6428,
  [6649] = 6384,
  [6650] = 3127,
  [6651] = 3109,
  [6652] = 3027,
  [6653] = 3200,
  [6654] = 3201,
  [6655] = 3106,
  [6656] = 3105,
  [6657] = 6469,
  [6658] = 3196,
  [6659] = 3143,
  [6660] = 3253,
  [6661] = 3117,
  [6662] = 3211,
  [6663] = 3065,
  [6664] = 3245,
  [6665] = 3060,
  [6666] = 3229,
  [6667] = 4219,
  [6668] = 3148,
  [6669] = 3242,
  [6670] = 6429,
  [6671] = 3272,
  [6672] = 4218,
  [6673] = 3275,
  [6674] = 4219,
  [6675] = 6334,
  [6676] = 6350,
  [6677] = 6352,
  [6678] = 3261,
  [6679] = 6360,
  [6680] = 3202,
  [6681] = 3254,
  [6682] = 6405,
  [6683] = 3228,
  [6684] = 3112,
  [6685] = 3130,
  [6686] = 6448,
  [6687] = 3062,
  [6688] = 3137,
  [6689] = 3063,
  [6690] = 3064,
  [6691] = 3205,
  [6692] = 6420,
  [6693] = 3231,
  [6694] = 3031,
  [6695] = 6404,
  [6696] = 3144,
  [6697] = 6343,
  [6698] = 3138,
  [6699] = 3220,
  [6700] = 3206,
  [6701] = 6449,
  [6702] = 3251,
  [6703] = 3021,
  [6704] = 6373,
  [6705] = 3222,
  [6706] = 6395,
  [6707] = 3022,
  [6708] = 3244,
  [6709] = 3023,
  [6710] = 3208,
  [6711] = 3276,
  [6712] = 3158,
  [6713] = 4217,
  [6714] = 3147,
  [6715] = 3135,
  [6716] = 3159,
  [6717] = 3110,
  [6718] = 3295,
  [6719] = 3243,
  [6720] = 6439,
  [6721] = 6386,
  [6722] = 3113,
  [6723] = 3225,
  [6724] = 6464,
  [6725] = 6437,
  [6726] = 6374,
  [6727] = 3277,
  [6728] = 6474,
  [6729] = 6349,
  [6730] = 3280,
  [6731] = 3135,
  [6732] = 6365,
  [6733] = 3163,
  [6734] = 6441,
  [6735] = 3226,
  [6736] = 6409,
  [6737] = 3208,
  [6738] = 6333,
  [6739] = 6354,
  [6740] = 6453,
  [6741] = 3227,
  [6742] = 6344,
  [6743] = 6330,
  [6744] = 3208,
  [6745] = 3269,
  [6746] = 3110,
  [6747] = 3112,
  [6748] = 3180,
  [6749] = 3147,
  [6750] = 3198,
  [6751] = 3065,
  [6752] = 3230,
  [6753] = 3134,
  [6754] = 6754,
  [6755] = 3231,
  [6756] = 3163,
  [6757] = 3275,
  [6758] = 3229,
  [6759] = 3209,
  [6760] = 3240,
  [6761] = 3168,
  [6762] = 3199,
  [6763] = 3276,
  [6764] = 3210,
  [6765] = 3277,
  [6766] = 3280,
  [6767] = 3063,
  [6768] = 3142,
  [6769] = 3064,
  [6770] = 4219,
  [6771] = 3241,
  [6772] = 3148,
  [6773] = 3242,
  [6774] = 3105,
  [6775] = 3261,
  [6776] = 3126,
  [6777] = 3243,
  [6778] = 3143,
  [6779] = 3135,
  [6780] = 3244,
  [6781] = 3130,
  [6782] = 3205,
  [6783] = 3060,
  [6784] = 3220,
  [6785] = 3136,
  [6786] = 6754,
  [6787] = 3137,
  [6788] = 3222,
  [6789] = 3138,
  [6790] = 3272,
  [6791] = 3259,
  [6792] = 3260,
  [6793] = 3062,
  [6794] = 6754,
  [6795] = 3158,
  [6796] = 3245,
  [6797] = 3117,
  [6798] = 3200,
  [6799] = 3201,
  [6800] = 3052,
  [6801] = 3251,
  [6802] = 3253,
  [6803] = 3022,
  [6804] = 3031,
  [6805] = 6754,
  [6806] = 6754,
  [6807] = 3023,
  [6808] = 3109,
  [6809] = 3254,
  [6810] = 4217,
  [6811] = 3295,
  [6812] = 3202,
  [6813] = 3255,
  [6814] = 3113,
  [6815] = 3256,
  [6816] = 3226,
  [6817] = 3203,
  [6818] = 3227,
  [6819] = 3257,
  [6820] = 3211,
  [6821] = 3027,
  [6822] = 3065,
  [6823] = 3021,
  [6824] = 3281,
  [6825] = 3196,
  [6826] = 3206,
  [6827] = 3228,
  [6828] = 3159,
  [6829] = 3258,
  [6830] = 6754,
  [6831] = 3127,
  [6832] = 3144,
  [6833] = 3162,
  [6834] = 3106,
  [6835] = 3225,
  [6836] = 3227,
  [6837] = 3163,
  [6838] = 3027,
  [6839] = 3208,
  [6840] = 3052,
  [6841] = 3209,
  [6842] = 3210,
  [6843] = 3031,
  [6844] = 3211,
  [6845] = 3062,
  [6846] = 3063,
  [6847] = 3064,
  [6848] = 3021,
  [6849] = 3021,
  [6850] = 3022,
  [6851] = 3023,
  [6852] = 3180,
  [6853] = 3198,
  [6854] = 3281,
  [6855] = 3199,
  [6856] = 3200,
  [6857] = 3201,
  [6858] = 3202,
  [6859] = 3269,
  [6860] = 3203,
  [6861] = 3220,
  [6862] = 3222,
  [6863] = 3225,
  [6864] = 3127,
  [6865] = 3226,
  [6866] = 3227,
  [6867] = 3228,
  [6868] = 3230,
  [6869] = 3231,
  [6870] = 3240,
  [6871] = 3241,
  [6872] = 3242,
  [6873] = 3243,
  [6874] = 3244,
  [6875] = 3196,
  [6876] = 3245,
  [6877] = 3251,
  [6878] = 3253,
  [6879] = 3254,
  [6880] = 3255,
  [6881] = 3256,
  [6882] = 3257,
  [6883] = 3258,
  [6884] = 3229,
  [6885] = 3259,
  [6886] = 3260,
  [6887] = 3269,
  [6888] = 3275,
  [6889] = 3276,
  [6890] = 3277,
  [6891] = 3280,
  [6892] = 3261,
  [6893] = 3272,
  [6894] = 3130,
  [6895] = 3205,
  [6896] = 3022,
  [6897] = 3295,
  [6898] = 3117,
  [6899] = 3110,
  [6900] = 3027,
  [6901] = 3162,
  [6902] = 3206,
  [6903] = 3031,
  [6904] = 3180,
  [6905] = 3168,
  [6906] = 3105,
  [6907] = 3106,
  [6908] = 3198,
  [6909] = 3199,
  [6910] = 3200,
  [6911] = 3201,
  [6912] = 3202,
  [6913] = 3109,
  [6914] = 3220,
  [6915] = 3222,
  [6916] = 3225,
  [6917] = 3226,
  [6918] = 3227,
  [6919] = 3228,
  [6920] = 3052,
  [6921] = 3230,
  [6922] = 3231,
  [6923] = 3112,
  [6924] = 3240,
  [6925] = 3113,
  [6926] = 3241,
  [6927] = 3242,
  [6928] = 3243,
  [6929] = 3244,
  [6930] = 3245,
  [6931] = 3251,
  [6932] = 3253,
  [6933] = 3254,
  [6934] = 3255,
  [6935] = 3256,
  [6936] = 3257,
  [6937] = 3258,
  [6938] = 3259,
  [6939] = 3260,
  [6940] = 3062,
  [6941] = 3063,
  [6942] = 3064,
  [6943] = 3275,
  [6944] = 3281,
  [6945] = 3276,
  [6946] = 3134,
  [6947] = 3277,
  [6948] = 3127,
  [6949] = 3280,
  [6950] = 3021,
  [6951] = 3022,
  [6952] = 3023,
  [6953] = 3272,
  [6954] = 3196,
  [6955] = 3229,
  [6956] = 3135,
  [6957] = 3261,
  [6958] = 3136,
  [6959] = 3130,
  [6960] = 3137,
  [6961] = 3205,
  [6962] = 3138,
  [6963] = 3117,
  [6964] = 3110,
  [6965] = 3295,
  [6966] = 3206,
  [6967] = 3142,
  [6968] = 3143,
  [6969] = 3144,
  [6970] = 3106,
  [6971] = 3147,
  [6972] = 3126,
  [6973] = 3148,
  [6974] = 4218,
  [6975] = 3162,
  [6976] = 3023,
  [6977] = 3158,
  [6978] = 3159,
  [6979] = 3163,
  [6980] = 3142,
  [6981] = 3143,
  [6982] = 3060,
  [6983] = 3065,
  [6984] = 3144,
  [6985] = 3147,
  [6986] = 3168,
  [6987] = 3105,
  [6988] = 3109,
  [6989] = 3134,
  [6990] = 3112,
  [6991] = 3113,
  [6992] = 3135,
  [6993] = 3203,
  [6994] = 3136,
  [6995] = 3137,
  [6996] = 3138,
  [6997] = 3134,
  [6998] = 3269,
  [6999] = 3060,
  [7000] = 3065,
  [7001] = 3142,
  [7002] = 3143,
  [7003] = 3144,
  [7004] = 3147,
  [7005] = 3203,
  [7006] = 3203,
  [7007] = 3126,
  [7008] = 3027,
  [7009] = 3148,
  [7010] = 3027,
  [7011] = 3126,
  [7012] = 3027,
  [7013] = 3158,
  [7014] = 3159,
  [7015] = 3134,
  [7016] = 3148,
  [7017] = 3163,
  [7018] = 3135,
  [7019] = 3136,
  [7020] = 3137,
  [7021] = 3031,
  [7022] = 3138,
  [7023] = 3168,
  [7024] = 3105,
  [7025] = 3109,
  [7026] = 3112,
  [7027] = 3113,
  [7028] = 3142,
  [7029] = 3143,
  [7030] = 3144,
  [7031] = 3147,
  [7032] = 3180,
  [7033] = 3126,
  [7034] = 3148,
  [7035] = 3060,
  [7036] = 3031,
  [7037] = 3106,
  [7038] = 3198,
  [7039] = 3281,
  [7040] = 3199,
  [7041] = 3110,
  [7042] = 3200,
  [7043] = 3201,
  [7044] = 3064,
  [7045] = 3052,
  [7046] = 3065,
  [7047] = 3065,
  [7048] = 3065,
  [7049] = 3065,
  [7050] = 3220,
  [7051] = 3222,
  [7052] = 3225,
  [7053] = 3127,
  [7054] = 3226,
  [7055] = 3228,
  [7056] = 3062,
  [7057] = 3063,
  [7058] = 3064,
  [7059] = 3021,
  [7060] = 3022,
  [7061] = 3023,
  [7062] = 3052,
  [7063] = 3230,
  [7064] = 3158,
  [7065] = 3060,
  [7066] = 3159,
  [7067] = 3231,
  [7068] = 3163,
  [7069] = 3240,
  [7070] = 3168,
  [7071] = 3105,
  [7072] = 3241,
  [7073] = 3242,
  [7074] = 3243,
  [7075] = 3109,
  [7076] = 3244,
  [7077] = 3196,
  [7078] = 3245,
  [7079] = 3206,
  [7080] = 3112,
  [7081] = 3113,
  [7082] = 3251,
  [7083] = 3253,
  [7084] = 3254,
  [7085] = 3255,
  [7086] = 3256,
  [7087] = 3257,
  [7088] = 3258,
  [7089] = 3229,
  [7090] = 3259,
  [7091] = 3260,
  [7092] = 3060,
  [7093] = 3062,
  [7094] = 3063,
  [7095] = 3064,
  [7096] = 3106,
  [7097] = 3275,
  [7098] = 3276,
  [7099] = 3277,
  [7100] = 3280,
  [7101] = 3261,
  [7102] = 3027,
  [7103] = 3021,
  [7104] = 3022,
  [7105] = 3023,
  [7106] = 3272,
  [7107] = 3130,
  [7108] = 3205,
  [7109] = 3031,
  [7110] = 3180,
  [7111] = 3060,
  [7112] = 3295,
  [7113] = 3117,
  [7114] = 3198,
  [7115] = 3199,
  [7116] = 3200,
  [7117] = 3201,
  [7118] = 3202,
  [7119] = 3220,
  [7120] = 3222,
  [7121] = 3225,
  [7122] = 3226,
  [7123] = 3227,
  [7124] = 3228,
  [7125] = 3052,
  [7126] = 3230,
  [7127] = 3231,
  [7128] = 3240,
  [7129] = 3269,
  [7130] = 3241,
  [7131] = 3242,
  [7132] = 3243,
  [7133] = 3244,
  [7134] = 3245,
  [7135] = 3251,
  [7136] = 3253,
  [7137] = 3208,
  [7138] = 3254,
  [7139] = 3255,
  [7140] = 3256,
  [7141] = 3257,
  [7142] = 3258,
  [7143] = 3259,
  [7144] = 3209,
  [7145] = 3260,
  [7146] = 3210,
  [7147] = 3211,
  [7148] = 3062,
  [7149] = 3063,
  [7150] = 3064,
  [7151] = 3275,
  [7152] = 3276,
  [7153] = 3277,
  [7154] = 3280,
  [7155] = 3021,
  [7156] = 3022,
  [7157] = 3023,
  [7158] = 3272,
  [7159] = 3295,
  [7160] = 3162,
  [7161] = 3135,
  [7162] = 3281,
  [7163] = 3027,
  [7164] = 3127,
  [7165] = 3052,
  [7166] = 3196,
  [7167] = 3208,
  [7168] = 3031,
  [7169] = 3229,
  [7170] = 3062,
  [7171] = 3209,
  [7172] = 3063,
  [7173] = 3064,
  [7174] = 3261,
  [7175] = 3210,
  [7176] = 3211,
  [7177] = 3021,
  [7178] = 3022,
  [7179] = 3023,
  [7180] = 3130,
  [7181] = 3162,
  [7182] = 3205,
  [7183] = 3065,
  [7184] = 3110,
  [7185] = 3136,
  [7186] = 3158,
  [7187] = 3052,
  [7188] = 3206,
  [7189] = 3062,
  [7190] = 3063,
  [7191] = 3064,
  [7192] = 3208,
  [7193] = 3021,
  [7194] = 3022,
  [7195] = 3023,
  [7196] = 3209,
  [7197] = 3210,
  [7198] = 3211,
  [7199] = 3137,
  [7200] = 3117,
  [7201] = 3159,
  [7202] = 3027,
  [7203] = 3052,
  [7204] = 3031,
  [7205] = 3062,
  [7206] = 3063,
  [7207] = 3064,
  [7208] = 3021,
  [7209] = 3022,
  [7210] = 3023,
  [7211] = 3138,
  [7212] = 3031,
  [7213] = 3027,
  [7214] = 3052,
  [7215] = 3031,
  [7216] = 3062,
  [7217] = 3063,
  [7218] = 3202,
  [7219] = 3158,
  [7220] = 3275,
  [7221] = 3052,
  [7222] = 3105,
  [7223] = 3135,
  [7224] = 3110,
  [7225] = 3027,
  [7226] = 3052,
  [7227] = 3203,
  [7228] = 3275,
  [7229] = 3208,
  [7230] = 3106,
  [7231] = 3031,
  [7232] = 3062,
  [7233] = 3063,
  [7234] = 3064,
  [7235] = 3276,
  [7236] = 3277,
  [7237] = 3280,
  [7238] = 3021,
  [7239] = 3022,
  [7240] = 3136,
  [7241] = 3023,
  [7242] = 3062,
  [7243] = 3206,
  [7244] = 3209,
  [7245] = 3210,
  [7246] = 3137,
  [7247] = 3063,
  [7248] = 3211,
  [7249] = 3117,
  [7250] = 3064,
  [7251] = 3138,
  [7252] = 3142,
  [7253] = 3106,
  [7254] = 3143,
  [7255] = 3144,
  [7256] = 3208,
  [7257] = 3147,
  [7258] = 3209,
  [7259] = 3210,
  [7260] = 3158,
  [7261] = 3211,
  [7262] = 3159,
  [7263] = 4217,
  [7264] = 3134,
  [7265] = 3272,
  [7266] = 3031,
  [7267] = 3126,
  [7268] = 3117,
  [7269] = 3105,
  [7270] = 3106,
  [7271] = 3148,
  [7272] = 3163,
  [7273] = 3106,
  [7274] = 3198,
  [7275] = 3295,
  [7276] = 3060,
  [7277] = 3109,
  [7278] = 3110,
  [7279] = 7279,
  [7280] = 3220,
  [7281] = 3196,
  [7282] = 3027,
  [7283] = 7283,
  [7284] = 3135,
  [7285] = 3222,
  [7286] = 3052,
  [7287] = 7283,
  [7288] = 3062,
  [7289] = 3060,
  [7290] = 3065,
  [7291] = 3225,
  [7292] = 3226,
  [7293] = 3063,
  [7294] = 3064,
  [7295] = 3031,
  [7296] = 4219,
  [7297] = 7279,
  [7298] = 3136,
  [7299] = 3062,
  [7300] = 3063,
  [7301] = 3064,
  [7302] = 3209,
  [7303] = 3210,
  [7304] = 3137,
  [7305] = 3206,
  [7306] = 3138,
  [7307] = 3142,
  [7308] = 3021,
  [7309] = 3022,
  [7310] = 3143,
  [7311] = 3023,
  [7312] = 3227,
  [7313] = 3168,
  [7314] = 3228,
  [7315] = 3199,
  [7316] = 3261,
  [7317] = 3144,
  [7318] = 3261,
  [7319] = 3117,
  [7320] = 3105,
  [7321] = 3147,
  [7322] = 3134,
  [7323] = 7279,
  [7324] = 3110,
  [7325] = 3159,
  [7326] = 3109,
  [7327] = 3134,
  [7328] = 3126,
  [7329] = 3060,
  [7330] = 3148,
  [7331] = 3163,
  [7332] = 3135,
  [7333] = 3112,
  [7334] = 3136,
  [7335] = 3113,
  [7336] = 3137,
  [7337] = 3138,
  [7338] = 3060,
  [7339] = 3230,
  [7340] = 3021,
  [7341] = 3022,
  [7342] = 3023,
  [7343] = 3109,
  [7344] = 3162,
  [7345] = 3142,
  [7346] = 3143,
  [7347] = 3231,
  [7348] = 3144,
  [7349] = 3147,
  [7350] = 3126,
  [7351] = 3148,
  [7352] = 3112,
  [7353] = 3240,
  [7354] = 3113,
  [7355] = 3241,
  [7356] = 3052,
  [7357] = 3158,
  [7358] = 3159,
  [7359] = 3062,
  [7360] = 3063,
  [7361] = 3064,
  [7362] = 3021,
  [7363] = 3022,
  [7364] = 3023,
  [7365] = 3142,
  [7366] = 3242,
  [7367] = 3276,
  [7368] = 3143,
  [7369] = 3180,
  [7370] = 3168,
  [7371] = 3243,
  [7372] = 3163,
  [7373] = 3065,
  [7374] = 3144,
  [7375] = 3198,
  [7376] = 3244,
  [7377] = 3199,
  [7378] = 3200,
  [7379] = 3201,
  [7380] = 3105,
  [7381] = 3202,
  [7382] = 7279,
  [7383] = 3203,
  [7384] = 3147,
  [7385] = 3021,
  [7386] = 3065,
  [7387] = 3065,
  [7388] = 3065,
  [7389] = 3065,
  [7390] = 3022,
  [7391] = 3023,
  [7392] = 3220,
  [7393] = 3222,
  [7394] = 3225,
  [7395] = 3158,
  [7396] = 3226,
  [7397] = 3227,
  [7398] = 3228,
  [7399] = 3159,
  [7400] = 4218,
  [7401] = 3230,
  [7402] = 3231,
  [7403] = 3240,
  [7404] = 3241,
  [7405] = 3242,
  [7406] = 3243,
  [7407] = 3244,
  [7408] = 3245,
  [7409] = 7283,
  [7410] = 3109,
  [7411] = 3126,
  [7412] = 3245,
  [7413] = 3251,
  [7414] = 3253,
  [7415] = 3254,
  [7416] = 3148,
  [7417] = 3255,
  [7418] = 3163,
  [7419] = 3256,
  [7420] = 3257,
  [7421] = 3258,
  [7422] = 3259,
  [7423] = 3260,
  [7424] = 3269,
  [7425] = 3251,
  [7426] = 3275,
  [7427] = 3276,
  [7428] = 3277,
  [7429] = 3280,
  [7430] = 3168,
  [7431] = 3211,
  [7432] = 3060,
  [7433] = 3272,
  [7434] = 3105,
  [7435] = 3065,
  [7436] = 3130,
  [7437] = 3295,
  [7438] = 3135,
  [7439] = 3109,
  [7440] = 3112,
  [7441] = 3113,
  [7442] = 3027,
  [7443] = 3112,
  [7444] = 3162,
  [7445] = 3113,
  [7446] = 3205,
  [7447] = 3031,
  [7448] = 3162,
  [7449] = 3136,
  [7450] = 3208,
  [7451] = 3137,
  [7452] = 3065,
  [7453] = 3253,
  [7454] = 3281,
  [7455] = 3110,
  [7456] = 3138,
  [7457] = 3127,
  [7458] = 3027,
  [7459] = 3196,
  [7460] = 3277,
  [7461] = 3206,
  [7462] = 3168,
  [7463] = 3209,
  [7464] = 3229,
  [7465] = 3272,
  [7466] = 3261,
  [7467] = 3295,
  [7468] = 3130,
  [7469] = 3205,
  [7470] = 3065,
  [7471] = 3117,
  [7472] = 3210,
  [7473] = 3052,
  [7474] = 3105,
  [7475] = 3142,
  [7476] = 3117,
  [7477] = 3229,
  [7478] = 3211,
  [7479] = 3254,
  [7480] = 3127,
  [7481] = 3143,
  [7482] = 3158,
  [7483] = 3112,
  [7484] = 3200,
  [7485] = 3159,
  [7486] = 3144,
  [7487] = 3168,
  [7488] = 3147,
  [7489] = 3281,
  [7490] = 3159,
  [7491] = 3127,
  [7492] = 3109,
  [7493] = 3135,
  [7494] = 3113,
  [7495] = 3106,
  [7496] = 3203,
  [7497] = 3130,
  [7498] = 3136,
  [7499] = 3163,
  [7500] = 3208,
  [7501] = 3134,
  [7502] = 3269,
  [7503] = 3137,
  [7504] = 3180,
  [7505] = 3112,
  [7506] = 3138,
  [7507] = 3198,
  [7508] = 3199,
  [7509] = 3200,
  [7510] = 3201,
  [7511] = 3202,
  [7512] = 3203,
  [7513] = 3220,
  [7514] = 3222,
  [7515] = 3225,
  [7516] = 3255,
  [7517] = 3226,
  [7518] = 3227,
  [7519] = 3228,
  [7520] = 3126,
  [7521] = 3230,
  [7522] = 3231,
  [7523] = 3240,
  [7524] = 3241,
  [7525] = 3242,
  [7526] = 3243,
  [7527] = 3244,
  [7528] = 3245,
  [7529] = 3251,
  [7530] = 3253,
  [7531] = 3254,
  [7532] = 3255,
  [7533] = 3256,
  [7534] = 3257,
  [7535] = 3258,
  [7536] = 7283,
  [7537] = 3259,
  [7538] = 3260,
  [7539] = 3269,
  [7540] = 3256,
  [7541] = 3196,
  [7542] = 3148,
  [7543] = 3275,
  [7544] = 3276,
  [7545] = 3277,
  [7546] = 3280,
  [7547] = 3257,
  [7548] = 3209,
  [7549] = 3210,
  [7550] = 3258,
  [7551] = 3027,
  [7552] = 3272,
  [7553] = 3259,
  [7554] = 3260,
  [7555] = 3113,
  [7556] = 3229,
  [7557] = 3180,
  [7558] = 3280,
  [7559] = 3206,
  [7560] = 3295,
  [7561] = 3106,
  [7562] = 3065,
  [7563] = 3281,
  [7564] = 3201,
  [7565] = 3198,
  [7566] = 3281,
  [7567] = 3199,
  [7568] = 3269,
  [7569] = 3200,
  [7570] = 3201,
  [7571] = 3202,
  [7572] = 3203,
  [7573] = 3134,
  [7574] = 3220,
  [7575] = 3222,
  [7576] = 3225,
  [7577] = 3127,
  [7578] = 3226,
  [7579] = 3227,
  [7580] = 3208,
  [7581] = 3228,
  [7582] = 3205,
  [7583] = 3211,
  [7584] = 3209,
  [7585] = 3230,
  [7586] = 3231,
  [7587] = 3210,
  [7588] = 3211,
  [7589] = 3240,
  [7590] = 3162,
  [7591] = 3241,
  [7592] = 3242,
  [7593] = 3243,
  [7594] = 3244,
  [7595] = 3196,
  [7596] = 3245,
  [7597] = 3251,
  [7598] = 3253,
  [7599] = 3254,
  [7600] = 3255,
  [7601] = 3256,
  [7602] = 3257,
  [7603] = 3258,
  [7604] = 3229,
  [7605] = 3259,
  [7606] = 3260,
  [7607] = 3269,
  [7608] = 3275,
  [7609] = 3135,
  [7610] = 3276,
  [7611] = 3277,
  [7612] = 3280,
  [7613] = 3261,
  [7614] = 3261,
  [7615] = 3136,
  [7616] = 3272,
  [7617] = 3130,
  [7618] = 3137,
  [7619] = 3205,
  [7620] = 3138,
  [7621] = 3180,
  [7622] = 3295,
  [7623] = 3198,
  [7624] = 3281,
  [7625] = 3199,
  [7626] = 3110,
  [7627] = 3202,
  [7628] = 3200,
  [7629] = 3201,
  [7630] = 3202,
  [7631] = 3203,
  [7632] = 3220,
  [7633] = 3222,
  [7634] = 3225,
  [7635] = 3127,
  [7636] = 3226,
  [7637] = 3227,
  [7638] = 3228,
  [7639] = 3208,
  [7640] = 3230,
  [7641] = 3231,
  [7642] = 3240,
  [7643] = 3162,
  [7644] = 3241,
  [7645] = 3242,
  [7646] = 3243,
  [7647] = 3244,
  [7648] = 3196,
  [7649] = 3245,
  [7650] = 3206,
  [7651] = 3251,
  [7652] = 3253,
  [7653] = 3254,
  [7654] = 3255,
  [7655] = 3256,
  [7656] = 3257,
  [7657] = 3258,
  [7658] = 3229,
  [7659] = 3259,
  [7660] = 3260,
  [7661] = 3269,
  [7662] = 3275,
  [7663] = 3031,
  [7664] = 3276,
  [7665] = 3277,
  [7666] = 3280,
  [7667] = 3261,
  [7668] = 3130,
  [7669] = 3272,
  [7670] = 3130,
  [7671] = 3205,
  [7672] = 3142,
  [7673] = 3180,
  [7674] = 3143,
  [7675] = 3134,
  [7676] = 3144,
  [7677] = 3295,
  [7678] = 3147,
  [7679] = 3198,
  [7680] = 3281,
  [7681] = 3199,
  [7682] = 3110,
  [7683] = 3200,
  [7684] = 3201,
  [7685] = 3158,
  [7686] = 3202,
  [7687] = 3220,
  [7688] = 3222,
  [7689] = 3225,
  [7690] = 3126,
  [7691] = 3127,
  [7692] = 3226,
  [7693] = 3227,
  [7694] = 3228,
  [7695] = 3148,
  [7696] = 3163,
  [7697] = 3230,
  [7698] = 3231,
  [7699] = 3240,
  [7700] = 3162,
  [7701] = 3241,
  [7702] = 3242,
  [7703] = 3243,
  [7704] = 3244,
  [7705] = 3196,
  [7706] = 3245,
  [7707] = 3206,
  [7708] = 3251,
  [7709] = 3180,
  [7710] = 3253,
  [7711] = 3254,
  [7712] = 3255,
  [7713] = 3256,
  [7714] = 3257,
  [7715] = 3258,
  [7716] = 3229,
  [7717] = 3168,
  [7718] = 3259,
  [7719] = 3260,
  [7720] = 3205,
  [7721] = 3117,
  [7722] = 3205,
  [7723] = 3242,
  [7724] = 3243,
  [7725] = 3148,
  [7726] = 3272,
  [7727] = 3244,
  [7728] = 3196,
  [7729] = 3130,
  [7730] = 3163,
  [7731] = 3245,
  [7732] = 3229,
  [7733] = 3162,
  [7734] = 3251,
  [7735] = 3253,
  [7736] = 3112,
  [7737] = 3113,
  [7738] = 3254,
  [7739] = 7739,
  [7740] = 3255,
  [7741] = 3168,
  [7742] = 3203,
  [7743] = 3256,
  [7744] = 3205,
  [7745] = 3142,
  [7746] = 3144,
  [7747] = 3257,
  [7748] = 3180,
  [7749] = 3143,
  [7750] = 3258,
  [7751] = 7751,
  [7752] = 3229,
  [7753] = 3259,
  [7754] = 3260,
  [7755] = 3255,
  [7756] = 3062,
  [7757] = 3063,
  [7758] = 3064,
  [7759] = 3275,
  [7760] = 3276,
  [7761] = 3277,
  [7762] = 3280,
  [7763] = 3261,
  [7764] = 3021,
  [7765] = 3117,
  [7766] = 3105,
  [7767] = 3022,
  [7768] = 3142,
  [7769] = 3023,
  [7770] = 3272,
  [7771] = 3143,
  [7772] = 3130,
  [7773] = 3205,
  [7774] = 3144,
  [7775] = 4219,
  [7776] = 3180,
  [7777] = 3256,
  [7778] = 3168,
  [7779] = 3106,
  [7780] = 3295,
  [7781] = 3065,
  [7782] = 3257,
  [7783] = 3147,
  [7784] = 3144,
  [7785] = 3180,
  [7786] = 3258,
  [7787] = 3065,
  [7788] = 3168,
  [7789] = 3106,
  [7790] = 3295,
  [7791] = 3198,
  [7792] = 3281,
  [7793] = 3126,
  [7794] = 3110,
  [7795] = 3148,
  [7796] = 3295,
  [7797] = 3229,
  [7798] = 3206,
  [7799] = 3259,
  [7800] = 3168,
  [7801] = 3198,
  [7802] = 3127,
  [7803] = 3281,
  [7804] = 3147,
  [7805] = 3110,
  [7806] = 3105,
  [7807] = 3275,
  [7808] = 3158,
  [7809] = 3159,
  [7810] = 3117,
  [7811] = 3260,
  [7812] = 3196,
  [7813] = 3158,
  [7814] = 3159,
  [7815] = 3198,
  [7816] = 3206,
  [7817] = 3199,
  [7818] = 3199,
  [7819] = 3105,
  [7820] = 3281,
  [7821] = 3200,
  [7822] = 3201,
  [7823] = 3163,
  [7824] = 3202,
  [7825] = 7825,
  [7826] = 3229,
  [7827] = 3106,
  [7828] = 3162,
  [7829] = 3220,
  [7830] = 3222,
  [7831] = 3225,
  [7832] = 3110,
  [7833] = 3226,
  [7834] = 3200,
  [7835] = 3201,
  [7836] = 3168,
  [7837] = 3202,
  [7838] = 3261,
  [7839] = 3105,
  [7840] = 3227,
  [7841] = 3228,
  [7842] = 3211,
  [7843] = 3109,
  [7844] = 3134,
  [7845] = 3199,
  [7846] = 3130,
  [7847] = 3203,
  [7848] = 3112,
  [7849] = 3205,
  [7850] = 3113,
  [7851] = 3052,
  [7852] = 3230,
  [7853] = 3231,
  [7854] = 3159,
  [7855] = 3240,
  [7856] = 3135,
  [7857] = 3136,
  [7858] = 3117,
  [7859] = 3200,
  [7860] = 3137,
  [7861] = 4217,
  [7862] = 3138,
  [7863] = 3201,
  [7864] = 3109,
  [7865] = 3241,
  [7866] = 3242,
  [7867] = 3134,
  [7868] = 3243,
  [7869] = 3244,
  [7870] = 3202,
  [7871] = 3245,
  [7872] = 3259,
  [7873] = 3159,
  [7874] = 3251,
  [7875] = 3126,
  [7876] = 3253,
  [7877] = 3142,
  [7878] = 3143,
  [7879] = 3110,
  [7880] = 3144,
  [7881] = 3147,
  [7882] = 3209,
  [7883] = 3210,
  [7884] = 3126,
  [7885] = 3148,
  [7886] = 3203,
  [7887] = 3259,
  [7888] = 3260,
  [7889] = 3163,
  [7890] = 3220,
  [7891] = 3208,
  [7892] = 3222,
  [7893] = 3225,
  [7894] = 4218,
  [7895] = 7739,
  [7896] = 3158,
  [7897] = 3159,
  [7898] = 3127,
  [7899] = 3208,
  [7900] = 3163,
  [7901] = 3202,
  [7902] = 3269,
  [7903] = 3209,
  [7904] = 3210,
  [7905] = 3211,
  [7906] = 3226,
  [7907] = 3112,
  [7908] = 3113,
  [7909] = 3208,
  [7910] = 3227,
  [7911] = 3228,
  [7912] = 3148,
  [7913] = 3168,
  [7914] = 3220,
  [7915] = 3163,
  [7916] = 3222,
  [7917] = 3105,
  [7918] = 3109,
  [7919] = 3254,
  [7920] = 3260,
  [7921] = 3225,
  [7922] = 3255,
  [7923] = 3256,
  [7924] = 3109,
  [7925] = 3257,
  [7926] = 7926,
  [7927] = 3230,
  [7928] = 3231,
  [7929] = 3112,
  [7930] = 3113,
  [7931] = 3258,
  [7932] = 3269,
  [7933] = 3259,
  [7934] = 3106,
  [7935] = 3260,
  [7936] = 3209,
  [7937] = 3210,
  [7938] = 3112,
  [7939] = 3211,
  [7940] = 3240,
  [7941] = 3113,
  [7942] = 3127,
  [7943] = 3062,
  [7944] = 3162,
  [7945] = 3063,
  [7946] = 3064,
  [7947] = 3275,
  [7948] = 3275,
  [7949] = 3226,
  [7950] = 3276,
  [7951] = 3277,
  [7952] = 3027,
  [7953] = 3280,
  [7954] = 3211,
  [7955] = 3135,
  [7956] = 7739,
  [7957] = 3021,
  [7958] = 3022,
  [7959] = 3023,
  [7960] = 3105,
  [7961] = 3272,
  [7962] = 3113,
  [7963] = 3227,
  [7964] = 3228,
  [7965] = 3147,
  [7966] = 3295,
  [7967] = 3198,
  [7968] = 3276,
  [7969] = 3230,
  [7970] = 3281,
  [7971] = 3206,
  [7972] = 3209,
  [7973] = 3210,
  [7974] = 3199,
  [7975] = 3110,
  [7976] = 3200,
  [7977] = 3203,
  [7978] = 3201,
  [7979] = 3231,
  [7980] = 3277,
  [7981] = 4219,
  [7982] = 3280,
  [7983] = 3158,
  [7984] = 3240,
  [7985] = 3241,
  [7986] = 3242,
  [7987] = 3162,
  [7988] = 3134,
  [7989] = 3261,
  [7990] = 3243,
  [7991] = 3244,
  [7992] = 3031,
  [7993] = 3241,
  [7994] = 3242,
  [7995] = 3243,
  [7996] = 3196,
  [7997] = 3244,
  [7998] = 3110,
  [7999] = 3220,
  [8000] = 3222,
  [8001] = 3196,
  [8002] = 3106,
  [8003] = 3225,
  [8004] = 3202,
  [8005] = 3245,
  [8006] = 3126,
  [8007] = 3275,
  [8008] = 3109,
  [8009] = 3251,
  [8010] = 3159,
  [8011] = 3134,
  [8012] = 3253,
  [8013] = 3110,
  [8014] = 3254,
  [8015] = 3127,
  [8016] = 3255,
  [8017] = 3256,
  [8018] = 3226,
  [8019] = 3257,
  [8020] = 3258,
  [8021] = 3229,
  [8022] = 3269,
  [8023] = 3206,
  [8024] = 3259,
  [8025] = 3260,
  [8026] = 3136,
  [8027] = 3162,
  [8028] = 3269,
  [8029] = 3272,
  [8030] = 3203,
  [8031] = 3227,
  [8032] = 3130,
  [8033] = 3211,
  [8034] = 3275,
  [8035] = 3137,
  [8036] = 8036,
  [8037] = 3228,
  [8038] = 3241,
  [8039] = 3277,
  [8040] = 3280,
  [8041] = 3158,
  [8042] = 3138,
  [8043] = 3208,
  [8044] = 3148,
  [8045] = 4218,
  [8046] = 3261,
  [8047] = 3135,
  [8048] = 3031,
  [8049] = 3106,
  [8050] = 3163,
  [8051] = 3027,
  [8052] = 7751,
  [8053] = 3110,
  [8054] = 3135,
  [8055] = 3230,
  [8056] = 3230,
  [8057] = 3136,
  [8058] = 3231,
  [8059] = 3272,
  [8060] = 7751,
  [8061] = 3117,
  [8062] = 3137,
  [8063] = 3241,
  [8064] = 3138,
  [8065] = 3242,
  [8066] = 3112,
  [8067] = 3243,
  [8068] = 3244,
  [8069] = 3196,
  [8070] = 3130,
  [8071] = 3162,
  [8072] = 3281,
  [8073] = 8073,
  [8074] = 3135,
  [8075] = 3276,
  [8076] = 3113,
  [8077] = 3109,
  [8078] = 3134,
  [8079] = 3277,
  [8080] = 3245,
  [8081] = 3112,
  [8082] = 3205,
  [8083] = 3240,
  [8084] = 3136,
  [8085] = 3127,
  [8086] = 3206,
  [8087] = 3280,
  [8088] = 3208,
  [8089] = 3269,
  [8090] = 3162,
  [8091] = 3065,
  [8092] = 3251,
  [8093] = 8093,
  [8094] = 3113,
  [8095] = 3269,
  [8096] = 3180,
  [8097] = 3241,
  [8098] = 3206,
  [8099] = 3261,
  [8100] = 3209,
  [8101] = 3196,
  [8102] = 3210,
  [8103] = 3253,
  [8104] = 3065,
  [8105] = 3242,
  [8106] = 3208,
  [8107] = 3281,
  [8108] = 3134,
  [8109] = 3243,
  [8110] = 3136,
  [8111] = 3295,
  [8112] = 3117,
  [8113] = 3211,
  [8114] = 3272,
  [8115] = 3127,
  [8116] = 3109,
  [8117] = 3130,
  [8118] = 3276,
  [8119] = 3135,
  [8120] = 3220,
  [8121] = 3222,
  [8122] = 3225,
  [8123] = 3137,
  [8124] = 3244,
  [8125] = 3196,
  [8126] = 3245,
  [8127] = 3203,
  [8128] = 3277,
  [8129] = 3126,
  [8130] = 3137,
  [8131] = 3127,
  [8132] = 3136,
  [8133] = 3196,
  [8134] = 3229,
  [8135] = 3280,
  [8136] = 3226,
  [8137] = 3138,
  [8138] = 3134,
  [8139] = 3142,
  [8140] = 3148,
  [8141] = 3229,
  [8142] = 3142,
  [8143] = 3137,
  [8144] = 3143,
  [8145] = 3144,
  [8146] = 3138,
  [8147] = 3180,
  [8148] = 3143,
  [8149] = 3147,
  [8150] = 3142,
  [8151] = 3261,
  [8152] = 3130,
  [8153] = 3205,
  [8154] = 3180,
  [8155] = 3168,
  [8156] = 3135,
  [8157] = 3158,
  [8158] = 3198,
  [8159] = 3199,
  [8160] = 3208,
  [8161] = 3209,
  [8162] = 3168,
  [8163] = 3210,
  [8164] = 3211,
  [8165] = 3200,
  [8166] = 3201,
  [8167] = 3202,
  [8168] = 3126,
  [8169] = 3203,
  [8170] = 3136,
  [8171] = 3137,
  [8172] = 3138,
  [8173] = 3245,
  [8174] = 3148,
  [8175] = 3163,
  [8176] = 7739,
  [8177] = 3206,
  [8178] = 3143,
  [8179] = 3206,
  [8180] = 3261,
  [8181] = 3231,
  [8182] = 3261,
  [8183] = 3220,
  [8184] = 3222,
  [8185] = 3225,
  [8186] = 3226,
  [8187] = 3251,
  [8188] = 3227,
  [8189] = 3228,
  [8190] = 3253,
  [8191] = 3254,
  [8192] = 3230,
  [8193] = 3231,
  [8194] = 3112,
  [8195] = 3144,
  [8196] = 3240,
  [8197] = 3168,
  [8198] = 3241,
  [8199] = 3242,
  [8200] = 3130,
  [8201] = 3254,
  [8202] = 3180,
  [8203] = 3243,
  [8204] = 3244,
  [8205] = 3227,
  [8206] = 3295,
  [8207] = 3117,
  [8208] = 3245,
  [8209] = 8209,
  [8210] = 3251,
  [8211] = 3253,
  [8212] = 3254,
  [8213] = 3255,
  [8214] = 3256,
  [8215] = 3105,
  [8216] = 3106,
  [8217] = 3257,
  [8218] = 3258,
  [8219] = 3259,
  [8220] = 3260,
  [8221] = 3269,
  [8222] = 3147,
  [8223] = 3251,
  [8224] = 3144,
  [8225] = 3253,
  [8226] = 3275,
  [8227] = 3276,
  [8228] = 3277,
  [8229] = 3280,
  [8230] = 3117,
  [8231] = 3105,
  [8232] = 3255,
  [8233] = 3205,
  [8234] = 3272,
  [8235] = 3198,
  [8236] = 3147,
  [8237] = 3256,
  [8238] = 3159,
  [8239] = 3281,
  [8240] = 3198,
  [8241] = 3281,
  [8242] = 3199,
  [8243] = 3200,
  [8244] = 3205,
  [8245] = 3201,
  [8246] = 3255,
  [8247] = 3209,
  [8248] = 3158,
  [8249] = 3208,
  [8250] = 3256,
  [8251] = 3295,
  [8252] = 3202,
  [8253] = 3257,
  [8254] = 4218,
  [8255] = 3199,
  [8256] = 3210,
  [8257] = 3258,
  [8258] = 3220,
  [8259] = 3222,
  [8260] = 3225,
  [8261] = 7751,
  [8262] = 3257,
  [8263] = 3127,
  [8264] = 3226,
  [8265] = 3227,
  [8266] = 4217,
  [8267] = 3228,
  [8268] = 3138,
  [8269] = 3254,
  [8270] = 3142,
  [8271] = 3209,
  [8272] = 3229,
  [8273] = 3210,
  [8274] = 3258,
  [8275] = 3228,
  [8276] = 3112,
  [8277] = 3052,
  [8278] = 3230,
  [8279] = 3126,
  [8280] = 3143,
  [8281] = 4218,
  [8282] = 3231,
  [8283] = 3159,
  [8284] = 3211,
  [8285] = 3240,
  [8286] = 3200,
  [8287] = 3201,
  [8288] = 3240,
  [8289] = 3276,
  [8290] = 3052,
  [8291] = 8291,
  [8292] = 6476,
  [8293] = 8293,
  [8294] = 3259,
  [8295] = 3260,
  [8296] = 3062,
  [8297] = 3063,
  [8298] = 3064,
  [8299] = 3275,
  [8300] = 3276,
  [8301] = 3277,
  [8302] = 6262,
  [8303] = 8303,
  [8304] = 3280,
  [8305] = 8305,
  [8306] = 3261,
  [8307] = 8307,
  [8308] = 8308,
  [8309] = 8309,
  [8310] = 8310,
  [8311] = 8311,
  [8312] = 8312,
  [8313] = 3022,
  [8314] = 3023,
  [8315] = 3272,
  [8316] = 3130,
  [8317] = 8317,
  [8318] = 8318,
  [8319] = 3205,
  [8320] = 3027,
  [8321] = 3229,
  [8322] = 3230,
  [8323] = 8323,
  [8324] = 3031,
  [8325] = 3168,
  [8326] = 3105,
  [8327] = 6459,
  [8328] = 6366,
  [8329] = 6168,
  [8330] = 6184,
  [8331] = 3168,
  [8332] = 8332,
  [8333] = 3240,
  [8334] = 7825,
  [8335] = 8036,
  [8336] = 3261,
  [8337] = 3112,
  [8338] = 3113,
  [8339] = 3162,
  [8340] = 3130,
  [8341] = 8093,
  [8342] = 3205,
  [8343] = 8073,
  [8344] = 8209,
  [8345] = 7926,
  [8346] = 8346,
  [8347] = 3134,
  [8348] = 8348,
  [8349] = 8349,
  [8350] = 3180,
  [8351] = 8351,
  [8352] = 6153,
  [8353] = 3135,
  [8354] = 3295,
  [8355] = 3136,
  [8356] = 3137,
  [8357] = 3138,
  [8358] = 3127,
  [8359] = 3198,
  [8360] = 3281,
  [8361] = 8361,
  [8362] = 8362,
  [8363] = 3199,
  [8364] = 3142,
  [8365] = 3143,
  [8366] = 3144,
  [8367] = 3105,
  [8368] = 3147,
  [8369] = 3158,
  [8370] = 3159,
  [8371] = 3110,
  [8372] = 3126,
  [8373] = 3200,
  [8374] = 3208,
  [8375] = 3201,
  [8376] = 3148,
  [8377] = 3163,
  [8378] = 4218,
  [8379] = 3112,
  [8380] = 3113,
  [8381] = 4219,
  [8382] = 3209,
  [8383] = 3210,
  [8384] = 3211,
  [8385] = 3241,
  [8386] = 3202,
  [8387] = 3208,
  [8388] = 3242,
  [8389] = 3243,
  [8390] = 3231,
  [8391] = 3209,
  [8392] = 3210,
  [8393] = 3109,
  [8394] = 3211,
  [8395] = 3244,
  [8396] = 4218,
  [8397] = 4217,
  [8398] = 8398,
  [8399] = 6469,
  [8400] = 3196,
  [8401] = 8401,
  [8402] = 3106,
  [8403] = 8403,
  [8404] = 8404,
  [8405] = 4218,
  [8406] = 3227,
  [8407] = 3117,
  [8408] = 8408,
  [8409] = 8409,
  [8410] = 8410,
  [8411] = 4218,
  [8412] = 3226,
  [8413] = 3228,
  [8414] = 6351,
  [8415] = 4218,
  [8416] = 3134,
  [8417] = 3135,
  [8418] = 3196,
  [8419] = 3136,
  [8420] = 3137,
  [8421] = 3138,
  [8422] = 3142,
  [8423] = 3143,
  [8424] = 3144,
  [8425] = 3147,
  [8426] = 3126,
  [8427] = 3148,
  [8428] = 8428,
  [8429] = 8429,
  [8430] = 8430,
  [8431] = 3110,
  [8432] = 4218,
  [8433] = 8433,
  [8434] = 3158,
  [8435] = 3109,
  [8436] = 8436,
  [8437] = 3206,
  [8438] = 6426,
  [8439] = 3163,
  [8440] = 3245,
  [8441] = 3281,
  [8442] = 6428,
  [8443] = 3206,
  [8444] = 4219,
  [8445] = 3251,
  [8446] = 3253,
  [8447] = 8447,
  [8448] = 3220,
  [8449] = 3208,
  [8450] = 3209,
  [8451] = 3210,
  [8452] = 6218,
  [8453] = 3211,
  [8454] = 3254,
  [8455] = 4217,
  [8456] = 3255,
  [8457] = 3256,
  [8458] = 3257,
  [8459] = 3258,
  [8460] = 3222,
  [8461] = 8461,
  [8462] = 3229,
  [8463] = 3225,
  [8464] = 8464,
  [8465] = 3127,
  [8466] = 3021,
  [8467] = 3106,
  [8468] = 3242,
  [8469] = 3243,
  [8470] = 3244,
  [8471] = 3245,
  [8472] = 3251,
  [8473] = 3253,
  [8474] = 3254,
  [8475] = 4218,
  [8476] = 3255,
  [8477] = 3256,
  [8478] = 3257,
  [8479] = 3258,
  [8480] = 6426,
  [8481] = 6428,
  [8482] = 3259,
  [8483] = 3138,
  [8484] = 3260,
  [8485] = 3062,
  [8486] = 3063,
  [8487] = 3144,
  [8488] = 3064,
  [8489] = 3275,
  [8490] = 3276,
  [8491] = 3277,
  [8492] = 3280,
  [8493] = 3163,
  [8494] = 8362,
  [8495] = 3021,
  [8496] = 3022,
  [8497] = 6476,
  [8498] = 8303,
  [8499] = 4217,
  [8500] = 3023,
  [8501] = 3272,
  [8502] = 8408,
  [8503] = 8409,
  [8504] = 3295,
  [8505] = 8305,
  [8506] = 6459,
  [8507] = 6366,
  [8508] = 6184,
  [8509] = 3281,
  [8510] = 8447,
  [8511] = 8310,
  [8512] = 3110,
  [8513] = 8318,
  [8514] = 3126,
  [8515] = 8403,
  [8516] = 8332,
  [8517] = 3027,
  [8518] = 8317,
  [8519] = 8404,
  [8520] = 8408,
  [8521] = 3027,
  [8522] = 4219,
  [8523] = 3113,
  [8524] = 8409,
  [8525] = 3127,
  [8526] = 3109,
  [8527] = 3137,
  [8528] = 3134,
  [8529] = 3136,
  [8530] = 8428,
  [8531] = 3162,
  [8532] = 8346,
  [8533] = 3196,
  [8534] = 8348,
  [8535] = 8429,
  [8536] = 8430,
  [8537] = 3206,
  [8538] = 3031,
  [8539] = 8349,
  [8540] = 4218,
  [8541] = 3031,
  [8542] = 8433,
  [8543] = 8436,
  [8544] = 3229,
  [8545] = 4218,
  [8546] = 3105,
  [8547] = 3148,
  [8548] = 3261,
  [8549] = 6351,
  [8550] = 3208,
  [8551] = 3130,
  [8552] = 3205,
  [8553] = 4218,
  [8554] = 3142,
  [8555] = 3147,
  [8556] = 3281,
  [8557] = 3110,
  [8558] = 3127,
  [8559] = 3196,
  [8560] = 3206,
  [8561] = 3229,
  [8562] = 3261,
  [8563] = 8361,
  [8564] = 3130,
  [8565] = 3205,
  [8566] = 8398,
  [8567] = 3106,
  [8568] = 3209,
  [8569] = 3210,
  [8570] = 3211,
  [8571] = 3180,
  [8572] = 8410,
  [8573] = 8323,
  [8574] = 6469,
  [8575] = 4217,
  [8576] = 3198,
  [8577] = 3199,
  [8578] = 8351,
  [8579] = 3200,
  [8580] = 3201,
  [8581] = 3106,
  [8582] = 3158,
  [8583] = 3143,
  [8584] = 3117,
  [8585] = 4219,
  [8586] = 8464,
  [8587] = 4218,
  [8588] = 8461,
  [8589] = 3202,
  [8590] = 4217,
  [8591] = 6262,
  [8592] = 3220,
  [8593] = 8312,
  [8594] = 8291,
  [8595] = 3222,
  [8596] = 8293,
  [8597] = 3117,
  [8598] = 3162,
  [8599] = 3241,
  [8600] = 3226,
  [8601] = 4219,
  [8602] = 4217,
  [8603] = 3227,
  [8604] = 3228,
  [8605] = 3052,
  [8606] = 8401,
  [8607] = 3230,
  [8608] = 3231,
  [8609] = 3240,
  [8610] = 3241,
  [8611] = 3242,
  [8612] = 3243,
  [8613] = 4219,
  [8614] = 3244,
  [8615] = 3245,
  [8616] = 3251,
  [8617] = 3159,
  [8618] = 3134,
  [8619] = 3253,
  [8620] = 3254,
  [8621] = 3255,
  [8622] = 3256,
  [8623] = 3257,
  [8624] = 3258,
  [8625] = 3135,
  [8626] = 4217,
  [8627] = 3136,
  [8628] = 3137,
  [8629] = 3138,
  [8630] = 3142,
  [8631] = 3143,
  [8632] = 3259,
  [8633] = 3168,
  [8634] = 3144,
  [8635] = 3159,
  [8636] = 3105,
  [8637] = 3147,
  [8638] = 3260,
  [8639] = 3062,
  [8640] = 3063,
  [8641] = 3126,
  [8642] = 3064,
  [8643] = 3275,
  [8644] = 3148,
  [8645] = 3276,
  [8646] = 3277,
  [8647] = 3112,
  [8648] = 3113,
  [8649] = 4219,
  [8650] = 3168,
  [8651] = 3105,
  [8652] = 3158,
  [8653] = 3159,
  [8654] = 3109,
  [8655] = 3163,
  [8656] = 3112,
  [8657] = 3113,
  [8658] = 3135,
  [8659] = 3280,
  [8660] = 3142,
  [8661] = 3143,
  [8662] = 3144,
  [8663] = 3147,
  [8664] = 3021,
  [8665] = 3134,
  [8666] = 3126,
  [8667] = 3148,
  [8668] = 3022,
  [8669] = 3135,
  [8670] = 3136,
  [8671] = 3137,
  [8672] = 3138,
  [8673] = 3158,
  [8674] = 3109,
  [8675] = 3163,
  [8676] = 3023,
  [8677] = 3272,
  [8678] = 4218,
  [8679] = 3180,
  [8680] = 4217,
  [8681] = 3295,
  [8682] = 3198,
  [8683] = 8398,
  [8684] = 3199,
  [8685] = 3200,
  [8686] = 3201,
  [8687] = 3202,
  [8688] = 3208,
  [8689] = 3209,
  [8690] = 3210,
  [8691] = 3211,
  [8692] = 8410,
  [8693] = 4219,
  [8694] = 3208,
  [8695] = 3209,
  [8696] = 3210,
  [8697] = 3211,
  [8698] = 4218,
  [8699] = 8307,
  [8700] = 3220,
  [8701] = 3222,
  [8702] = 3225,
  [8703] = 8308,
  [8704] = 8309,
  [8705] = 3226,
  [8706] = 8311,
  [8707] = 3227,
  [8708] = 3228,
  [8709] = 3052,
  [8710] = 3230,
  [8711] = 3231,
  [8712] = 3240,
  [8713] = 3225,
  [8714] = 8714,
  [8715] = 3126,
  [8716] = 3240,
  [8717] = 4217,
  [8718] = 3162,
  [8719] = 8036,
  [8720] = 4219,
  [8721] = 8714,
  [8722] = 8714,
  [8723] = 4219,
  [8724] = 3208,
  [8725] = 4219,
  [8726] = 7926,
  [8727] = 3168,
  [8728] = 3241,
  [8729] = 3148,
  [8730] = 8714,
  [8731] = 3242,
  [8732] = 8732,
  [8733] = 3220,
  [8734] = 3243,
  [8735] = 3244,
  [8736] = 3196,
  [8737] = 3295,
  [8738] = 3245,
  [8739] = 3251,
  [8740] = 3253,
  [8741] = 4217,
  [8742] = 3254,
  [8743] = 3031,
  [8744] = 4217,
  [8745] = 3209,
  [8746] = 3255,
  [8747] = 3256,
  [8748] = 3257,
  [8749] = 3258,
  [8750] = 3229,
  [8751] = 8714,
  [8752] = 3210,
  [8753] = 8732,
  [8754] = 8073,
  [8755] = 8714,
  [8756] = 3222,
  [8757] = 8732,
  [8758] = 8209,
  [8759] = 3211,
  [8760] = 3112,
  [8761] = 3163,
  [8762] = 3225,
  [8763] = 3117,
  [8764] = 3259,
  [8765] = 8714,
  [8766] = 3260,
  [8767] = 3062,
  [8768] = 3063,
  [8769] = 3064,
  [8770] = 3275,
  [8771] = 3276,
  [8772] = 3277,
  [8773] = 3280,
  [8774] = 3261,
  [8775] = 8714,
  [8776] = 3021,
  [8777] = 3022,
  [8778] = 3023,
  [8779] = 4217,
  [8780] = 8714,
  [8781] = 3272,
  [8782] = 3130,
  [8783] = 8093,
  [8784] = 7825,
  [8785] = 8036,
  [8786] = 8093,
  [8787] = 3205,
  [8788] = 3127,
  [8789] = 8714,
  [8790] = 8398,
  [8791] = 3110,
  [8792] = 3226,
  [8793] = 8714,
  [8794] = 8410,
  [8795] = 3134,
  [8796] = 3168,
  [8797] = 3135,
  [8798] = 3136,
  [8799] = 3137,
  [8800] = 3138,
  [8801] = 3227,
  [8802] = 3228,
  [8803] = 7926,
  [8804] = 8714,
  [8805] = 8714,
  [8806] = 8408,
  [8807] = 3052,
  [8808] = 3230,
  [8809] = 3231,
  [8810] = 4217,
  [8811] = 3109,
  [8812] = 3112,
  [8813] = 4217,
  [8814] = 8714,
  [8815] = 4217,
  [8816] = 3198,
  [8817] = 3281,
  [8818] = 8714,
  [8819] = 3199,
  [8820] = 3200,
  [8821] = 3201,
  [8822] = 3202,
  [8823] = 8714,
  [8824] = 8714,
  [8825] = 4219,
  [8826] = 8714,
  [8827] = 8714,
  [8828] = 3159,
  [8829] = 3206,
  [8830] = 8714,
  [8831] = 7825,
  [8832] = 8714,
  [8833] = 8732,
  [8834] = 8409,
  [8835] = 8835,
  [8836] = 3180,
  [8837] = 4219,
  [8838] = 8073,
  [8839] = 3142,
  [8840] = 3143,
  [8841] = 3144,
  [8842] = 8209,
  [8843] = 3147,
  [8844] = 8714,
  [8845] = 3158,
  [8846] = 3027,
  [8847] = 4219,
  [8848] = 4219,
  [8849] = 6476,
  [8850] = 6469,
  [8851] = 8851,
  [8852] = 8852,
  [8853] = 3208,
  [8854] = 6459,
  [8855] = 3255,
  [8856] = 8403,
  [8857] = 6476,
  [8858] = 8404,
  [8859] = 8835,
  [8860] = 8293,
  [8861] = 8851,
  [8862] = 8852,
  [8863] = 8851,
  [8864] = 8852,
  [8865] = 3256,
  [8866] = 3113,
  [8867] = 6469,
  [8868] = 8851,
  [8869] = 8852,
  [8870] = 8870,
  [8871] = 8447,
  [8872] = 3209,
  [8873] = 3210,
  [8874] = 6366,
  [8875] = 3117,
  [8876] = 6184,
  [8877] = 8401,
  [8878] = 8851,
  [8879] = 8852,
  [8880] = 3257,
  [8881] = 3258,
  [8882] = 3211,
  [8883] = 3142,
  [8884] = 3143,
  [8885] = 8885,
  [8886] = 8886,
  [8887] = 8851,
  [8888] = 8852,
  [8889] = 3105,
  [8890] = 8890,
  [8891] = 8307,
  [8892] = 8851,
  [8893] = 8852,
  [8894] = 8308,
  [8895] = 8309,
  [8896] = 8311,
  [8897] = 8890,
  [8898] = 8886,
  [8899] = 8851,
  [8900] = 8852,
  [8901] = 8901,
  [8902] = 8902,
  [8903] = 3269,
  [8904] = 3220,
  [8905] = 8403,
  [8906] = 8906,
  [8907] = 8851,
  [8908] = 8852,
  [8909] = 3144,
  [8910] = 3222,
  [8911] = 3259,
  [8912] = 3260,
  [8913] = 8851,
  [8914] = 8852,
  [8915] = 3225,
  [8916] = 8890,
  [8917] = 3134,
  [8918] = 3163,
  [8919] = 3226,
  [8920] = 8920,
  [8921] = 8921,
  [8922] = 8851,
  [8923] = 8852,
  [8924] = 8924,
  [8925] = 3227,
  [8926] = 3062,
  [8927] = 3063,
  [8928] = 3064,
  [8929] = 8929,
  [8930] = 8851,
  [8931] = 8852,
  [8932] = 3275,
  [8933] = 8851,
  [8934] = 8852,
  [8935] = 6426,
  [8936] = 8890,
  [8937] = 6428,
  [8938] = 8938,
  [8939] = 8851,
  [8940] = 8852,
  [8941] = 8317,
  [8942] = 8851,
  [8943] = 8852,
  [8944] = 8890,
  [8945] = 3147,
  [8946] = 6426,
  [8947] = 8890,
  [8948] = 8351,
  [8949] = 8851,
  [8950] = 8852,
  [8951] = 3135,
  [8952] = 3276,
  [8953] = 8303,
  [8954] = 8851,
  [8955] = 8852,
  [8956] = 3136,
  [8957] = 8885,
  [8958] = 3137,
  [8959] = 3138,
  [8960] = 8305,
  [8961] = 8961,
  [8962] = 3228,
  [8963] = 8323,
  [8964] = 8401,
  [8965] = 8965,
  [8966] = 3277,
  [8967] = 3280,
  [8968] = 8310,
  [8969] = 8318,
  [8970] = 8970,
  [8971] = 8929,
  [8972] = 8428,
  [8973] = 8965,
  [8974] = 3134,
  [8975] = 3021,
  [8976] = 8362,
  [8977] = 8429,
  [8978] = 8430,
  [8979] = 3052,
  [8980] = 3022,
  [8981] = 3023,
  [8982] = 3148,
  [8983] = 8433,
  [8984] = 3230,
  [8985] = 8436,
  [8986] = 8986,
  [8987] = 8987,
  [8988] = 3163,
  [8989] = 8890,
  [8990] = 8938,
  [8991] = 8890,
  [8992] = 3180,
  [8993] = 6262,
  [8994] = 3272,
  [8995] = 3231,
  [8996] = 3134,
  [8997] = 3142,
  [8998] = 3143,
  [8999] = 3144,
  [9000] = 3147,
  [9001] = 3158,
  [9002] = 3105,
  [9003] = 3198,
  [9004] = 8987,
  [9005] = 3126,
  [9006] = 9006,
  [9007] = 3148,
  [9008] = 3163,
  [9009] = 3199,
  [9010] = 8906,
  [9011] = 8332,
  [9012] = 8404,
  [9013] = 8890,
  [9014] = 3240,
  [9015] = 3281,
  [9016] = 8938,
  [9017] = 9017,
  [9018] = 9018,
  [9019] = 9019,
  [9020] = 3200,
  [9021] = 3109,
  [9022] = 8346,
  [9023] = 9023,
  [9024] = 9024,
  [9025] = 9025,
  [9026] = 3295,
  [9027] = 3110,
  [9028] = 8965,
  [9029] = 3208,
  [9030] = 3106,
  [9031] = 5714,
  [9032] = 8890,
  [9033] = 3209,
  [9034] = 3210,
  [9035] = 8305,
  [9036] = 9036,
  [9037] = 9037,
  [9038] = 8965,
  [9039] = 8961,
  [9040] = 3159,
  [9041] = 5742,
  [9042] = 8902,
  [9043] = 3109,
  [9044] = 9044,
  [9045] = 3201,
  [9046] = 3241,
  [9047] = 8890,
  [9048] = 8886,
  [9049] = 8870,
  [9050] = 8310,
  [9051] = 8318,
  [9052] = 9018,
  [9053] = 3113,
  [9054] = 9006,
  [9055] = 3127,
  [9056] = 3242,
  [9057] = 8929,
  [9058] = 3202,
  [9059] = 8890,
  [9060] = 8938,
  [9061] = 3243,
  [9062] = 8361,
  [9063] = 3135,
  [9064] = 8886,
  [9065] = 8362,
  [9066] = 8890,
  [9067] = 8938,
  [9068] = 8346,
  [9069] = 3244,
  [9070] = 3136,
  [9071] = 3031,
  [9072] = 6351,
  [9073] = 8890,
  [9074] = 3137,
  [9075] = 3138,
  [9076] = 6428,
  [9077] = 3196,
  [9078] = 8851,
  [9079] = 8852,
  [9080] = 3168,
  [9081] = 9081,
  [9082] = 8890,
  [9083] = 8929,
  [9084] = 8361,
  [9085] = 3158,
  [9086] = 3105,
  [9087] = 3229,
  [9088] = 8851,
  [9089] = 8890,
  [9090] = 3162,
  [9091] = 8890,
  [9092] = 3109,
  [9093] = 3159,
  [9094] = 8965,
  [9095] = 8348,
  [9096] = 9037,
  [9097] = 8852,
  [9098] = 8428,
  [9099] = 8429,
  [9100] = 8430,
  [9101] = 8433,
  [9102] = 9102,
  [9103] = 8436,
  [9104] = 3112,
  [9105] = 9105,
  [9106] = 3113,
  [9107] = 3208,
  [9108] = 3261,
  [9109] = 8464,
  [9110] = 8890,
  [9111] = 8332,
  [9112] = 8851,
  [9113] = 3158,
  [9114] = 8348,
  [9115] = 8890,
  [9116] = 8886,
  [9117] = 8464,
  [9118] = 8461,
  [9119] = 8312,
  [9120] = 8291,
  [9121] = 9121,
  [9122] = 8293,
  [9123] = 8349,
  [9124] = 3126,
  [9125] = 3130,
  [9126] = 3205,
  [9127] = 9023,
  [9128] = 3148,
  [9129] = 3209,
  [9130] = 8920,
  [9131] = 8921,
  [9132] = 8307,
  [9133] = 8308,
  [9134] = 8852,
  [9135] = 3210,
  [9136] = 8309,
  [9137] = 8311,
  [9138] = 8890,
  [9139] = 3135,
  [9140] = 8986,
  [9141] = 3159,
  [9142] = 9025,
  [9143] = 3245,
  [9144] = 8317,
  [9145] = 8349,
  [9146] = 6262,
  [9147] = 3211,
  [9148] = 8924,
  [9149] = 8461,
  [9150] = 8312,
  [9151] = 9017,
  [9152] = 8965,
  [9153] = 8291,
  [9154] = 6459,
  [9155] = 3136,
  [9156] = 8323,
  [9157] = 8351,
  [9158] = 3251,
  [9159] = 8851,
  [9160] = 9036,
  [9161] = 6366,
  [9162] = 3137,
  [9163] = 6184,
  [9164] = 3142,
  [9165] = 3206,
  [9166] = 9019,
  [9167] = 3143,
  [9168] = 9168,
  [9169] = 9044,
  [9170] = 8852,
  [9171] = 3253,
  [9172] = 8447,
  [9173] = 3027,
  [9174] = 3144,
  [9175] = 5715,
  [9176] = 8929,
  [9177] = 9081,
  [9178] = 3147,
  [9179] = 9179,
  [9180] = 9105,
  [9181] = 8970,
  [9182] = 8851,
  [9183] = 3138,
  [9184] = 8902,
  [9185] = 8852,
  [9186] = 9186,
  [9187] = 3254,
  [9188] = 8902,
  [9189] = 8901,
  [9190] = 6351,
  [9191] = 3203,
  [9192] = 3126,
  [9193] = 8890,
  [9194] = 8902,
  [9195] = 8890,
  [9196] = 9186,
  [9197] = 8303,
  [9198] = 3211,
  [9199] = 9199,
  [9200] = 9200,
  [9201] = 9201,
  [9202] = 9202,
  [9203] = 8906,
  [9204] = 9204,
  [9205] = 9205,
  [9206] = 9168,
  [9207] = 9200,
  [9208] = 9201,
  [9209] = 9202,
  [9210] = 9210,
  [9211] = 9211,
  [9212] = 9199,
  [9213] = 6168,
  [9214] = 9200,
  [9215] = 9201,
  [9216] = 9202,
  [9217] = 9210,
  [9218] = 9211,
  [9219] = 9199,
  [9220] = 8885,
  [9221] = 3109,
  [9222] = 9200,
  [9223] = 9201,
  [9224] = 9204,
  [9225] = 9202,
  [9226] = 9226,
  [9227] = 9227,
  [9228] = 9228,
  [9229] = 9229,
  [9230] = 9230,
  [9231] = 9231,
  [9232] = 9232,
  [9233] = 9233,
  [9234] = 9234,
  [9235] = 9235,
  [9236] = 9236,
  [9237] = 9204,
  [9238] = 9238,
  [9239] = 9044,
  [9240] = 9205,
  [9241] = 9200,
  [9242] = 9201,
  [9243] = 9202,
  [9244] = 9200,
  [9245] = 9201,
  [9246] = 9202,
  [9247] = 9200,
  [9248] = 9201,
  [9249] = 8986,
  [9250] = 9202,
  [9251] = 9226,
  [9252] = 9227,
  [9253] = 9228,
  [9254] = 9229,
  [9255] = 9230,
  [9256] = 9231,
  [9257] = 9232,
  [9258] = 9233,
  [9259] = 9234,
  [9260] = 9235,
  [9261] = 9236,
  [9262] = 9204,
  [9263] = 9238,
  [9264] = 9200,
  [9265] = 9201,
  [9266] = 9202,
  [9267] = 9226,
  [9268] = 9227,
  [9269] = 9228,
  [9270] = 9229,
  [9271] = 9230,
  [9272] = 9231,
  [9273] = 9232,
  [9274] = 9233,
  [9275] = 9234,
  [9276] = 9235,
  [9277] = 9236,
  [9278] = 9204,
  [9279] = 9238,
  [9280] = 9280,
  [9281] = 9281,
  [9282] = 9282,
  [9283] = 9283,
  [9284] = 9284,
  [9285] = 9200,
  [9286] = 9201,
  [9287] = 9202,
  [9288] = 3112,
  [9289] = 3113,
  [9290] = 9200,
  [9291] = 9201,
  [9292] = 9202,
  [9293] = 9081,
  [9294] = 9025,
  [9295] = 9201,
  [9296] = 9201,
  [9297] = 9202,
  [9298] = 9280,
  [9299] = 9281,
  [9300] = 9282,
  [9301] = 9283,
  [9302] = 6153,
  [9303] = 9284,
  [9304] = 9200,
  [9305] = 9201,
  [9306] = 9202,
  [9307] = 9280,
  [9308] = 9281,
  [9309] = 9282,
  [9310] = 3105,
  [9311] = 9283,
  [9312] = 6218,
  [9313] = 9284,
  [9314] = 9200,
  [9315] = 9201,
  [9316] = 9202,
  [9317] = 9200,
  [9318] = 9201,
  [9319] = 9202,
  [9320] = 9200,
  [9321] = 9201,
  [9322] = 9202,
  [9323] = 9200,
  [9324] = 9201,
  [9325] = 9202,
  [9326] = 9200,
  [9327] = 9201,
  [9328] = 9202,
  [9329] = 9179,
  [9330] = 9017,
  [9331] = 9200,
  [9332] = 9201,
  [9333] = 9202,
  [9334] = 9205,
  [9335] = 9200,
  [9336] = 9201,
  [9337] = 5778,
  [9338] = 9202,
  [9339] = 9105,
  [9340] = 8920,
  [9341] = 8921,
  [9342] = 9199,
  [9343] = 8961,
  [9344] = 9344,
  [9345] = 9121,
  [9346] = 9202,
  [9347] = 9347,
  [9348] = 3168,
  [9349] = 8924,
  [9350] = 9019,
  [9351] = 9200,
  [9352] = 9102,
  [9353] = 9201,
  [9354] = 9202,
  [9355] = 9355,
  [9356] = 9356,
  [9357] = 8987,
  [9358] = 9023,
  [9359] = 9036,
  [9360] = 9037,
  [9361] = 9018,
  [9362] = 8901,
  [9363] = 9204,
  [9364] = 9186,
  [9365] = 9006,
  [9366] = 8970,
  [9367] = 3159,
  [9368] = 9211,
  [9369] = 9199,
  [9370] = 9199,
  [9371] = 9200,
  [9372] = 9201,
  [9373] = 9202,
  [9374] = 9200,
  [9375] = 9210,
  [9376] = 9200,
  [9377] = 9283,
  [9378] = 9199,
  [9379] = 9210,
  [9380] = 9211,
  [9381] = 9226,
  [9382] = 9227,
  [9383] = 9228,
  [9384] = 9229,
  [9385] = 9230,
  [9386] = 9231,
  [9387] = 9232,
  [9388] = 9233,
  [9389] = 9235,
  [9390] = 9235,
  [9391] = 9236,
  [9392] = 9204,
  [9393] = 9238,
  [9394] = 9199,
  [9395] = 9205,
  [9396] = 9232,
  [9397] = 9233,
  [9398] = 9234,
  [9399] = 9226,
  [9400] = 9227,
  [9401] = 9228,
  [9402] = 9229,
  [9403] = 9230,
  [9404] = 9231,
  [9405] = 9232,
  [9406] = 9233,
  [9407] = 9234,
  [9408] = 9235,
  [9409] = 9236,
  [9410] = 9204,
  [9411] = 9238,
  [9412] = 9280,
  [9413] = 9281,
  [9414] = 9282,
  [9415] = 9283,
  [9416] = 9284,
  [9417] = 9417,
  [9418] = 9204,
  [9419] = 9419,
  [9420] = 9280,
  [9421] = 9210,
  [9422] = 9281,
  [9423] = 9282,
  [9424] = 9211,
  [9425] = 9199,
  [9426] = 9211,
  [9427] = 9283,
  [9428] = 9284,
  [9429] = 9280,
  [9430] = 9281,
  [9431] = 9282,
  [9432] = 9283,
  [9433] = 9284,
  [9434] = 9226,
  [9435] = 9280,
  [9436] = 9281,
  [9437] = 9282,
  [9438] = 9283,
  [9439] = 9284,
  [9440] = 9227,
  [9441] = 9228,
  [9442] = 9229,
  [9443] = 9205,
  [9444] = 9204,
  [9445] = 9230,
  [9446] = 9231,
  [9447] = 9232,
  [9448] = 9233,
  [9449] = 9234,
  [9450] = 9235,
  [9451] = 9236,
  [9452] = 9204,
  [9453] = 9238,
  [9454] = 9205,
  [9455] = 9204,
  [9456] = 9211,
  [9457] = 9280,
  [9458] = 9235,
  [9459] = 9281,
  [9460] = 9199,
  [9461] = 9282,
  [9462] = 9236,
  [9463] = 9236,
  [9464] = 9205,
  [9465] = 9205,
  [9466] = 9466,
  [9467] = 4218,
  [9468] = 9238,
  [9469] = 9283,
  [9470] = 9238,
  [9471] = 9471,
  [9472] = 9284,
  [9473] = 9199,
  [9474] = 9466,
  [9475] = 9226,
  [9476] = 9227,
  [9477] = 9210,
  [9478] = 9228,
  [9479] = 9229,
  [9480] = 9230,
  [9481] = 9231,
  [9482] = 9232,
  [9483] = 9233,
  [9484] = 9211,
  [9485] = 9234,
  [9486] = 9235,
  [9487] = 9236,
  [9488] = 9199,
  [9489] = 9238,
  [9490] = 9466,
  [9491] = 9284,
  [9492] = 9205,
  [9493] = 9226,
  [9494] = 9227,
  [9495] = 9226,
  [9496] = 9227,
  [9497] = 9211,
  [9498] = 9228,
  [9499] = 9228,
  [9500] = 9229,
  [9501] = 9230,
  [9502] = 9231,
  [9503] = 9232,
  [9504] = 9466,
  [9505] = 9233,
  [9506] = 9229,
  [9507] = 9230,
  [9508] = 9234,
  [9509] = 9280,
  [9510] = 9231,
  [9511] = 9281,
  [9512] = 9282,
  [9513] = 9234,
  [9514] = 9227,
  [9515] = 9515,
  [9516] = 9227,
  [9517] = 9515,
  [9518] = 9227,
  [9519] = 9228,
  [9520] = 9228,
  [9521] = 9515,
  [9522] = 9229,
  [9523] = 9230,
  [9524] = 9205,
  [9525] = 9525,
  [9526] = 9526,
  [9527] = 9234,
  [9528] = 9528,
  [9529] = 8073,
  [9530] = 8209,
  [9531] = 9231,
  [9532] = 9235,
  [9533] = 9280,
  [9534] = 9281,
  [9535] = 9282,
  [9536] = 9283,
  [9537] = 9236,
  [9538] = 9280,
  [9539] = 9284,
  [9540] = 9232,
  [9541] = 9233,
  [9542] = 9234,
  [9543] = 9525,
  [9544] = 9205,
  [9545] = 9211,
  [9546] = 9235,
  [9547] = 9238,
  [9548] = 9236,
  [9549] = 9281,
  [9550] = 9283,
  [9551] = 9551,
  [9552] = 9205,
  [9553] = 9226,
  [9554] = 9551,
  [9555] = 9284,
  [9556] = 9556,
  [9557] = 3168,
  [9558] = 9525,
  [9559] = 9228,
  [9560] = 8093,
  [9561] = 9229,
  [9562] = 9238,
  [9563] = 9226,
  [9564] = 9230,
  [9565] = 9231,
  [9566] = 9205,
  [9567] = 9232,
  [9568] = 9526,
  [9569] = 9229,
  [9570] = 9230,
  [9571] = 4219,
  [9572] = 9231,
  [9573] = 9232,
  [9574] = 9233,
  [9575] = 9234,
  [9576] = 9280,
  [9577] = 9235,
  [9578] = 7825,
  [9579] = 9236,
  [9580] = 9205,
  [9581] = 9205,
  [9582] = 9281,
  [9583] = 3112,
  [9584] = 9233,
  [9585] = 9282,
  [9586] = 9282,
  [9587] = 9526,
  [9588] = 9211,
  [9589] = 9528,
  [9590] = 9528,
  [9591] = 9238,
  [9592] = 4217,
  [9593] = 9226,
  [9594] = 9594,
  [9595] = 7926,
  [9596] = 9211,
  [9597] = 9551,
  [9598] = 9283,
  [9599] = 9284,
  [9600] = 9233,
  [9601] = 9601,
  [9602] = 9284,
  [9603] = 9603,
  [9604] = 3105,
  [9605] = 9226,
  [9606] = 9601,
  [9607] = 9227,
  [9608] = 9601,
  [9609] = 9609,
  [9610] = 9228,
  [9611] = 9603,
  [9612] = 9603,
  [9613] = 9229,
  [9614] = 9230,
  [9615] = 9603,
  [9616] = 9231,
  [9617] = 9232,
  [9618] = 9233,
  [9619] = 9234,
  [9620] = 9235,
  [9621] = 9236,
  [9622] = 9601,
  [9623] = 9204,
  [9624] = 9238,
  [9625] = 9281,
  [9626] = 9282,
  [9627] = 9603,
  [9628] = 9199,
  [9629] = 9601,
  [9630] = 9601,
  [9631] = 9205,
  [9632] = 9603,
  [9633] = 9601,
  [9634] = 9199,
  [9635] = 3159,
  [9636] = 9603,
  [9637] = 9603,
  [9638] = 9601,
  [9639] = 9601,
  [9640] = 9211,
  [9641] = 9603,
  [9642] = 9601,
  [9643] = 9603,
  [9644] = 9609,
  [9645] = 9603,
  [9646] = 9199,
  [9647] = 3113,
  [9648] = 9601,
  [9649] = 9609,
  [9650] = 3168,
  [9651] = 9609,
  [9652] = 9601,
  [9653] = 9210,
  [9654] = 9199,
  [9655] = 9603,
  [9656] = 9204,
  [9657] = 9657,
  [9658] = 9601,
  [9659] = 9609,
  [9660] = 9603,
  [9661] = 9205,
  [9662] = 9283,
  [9663] = 9609,
  [9664] = 9601,
  [9665] = 9601,
  [9666] = 9603,
  [9667] = 9601,
  [9668] = 9211,
  [9669] = 9609,
  [9670] = 9603,
  [9671] = 9199,
  [9672] = 3112,
  [9673] = 9226,
  [9674] = 9603,
  [9675] = 9284,
  [9676] = 9601,
  [9677] = 9228,
  [9678] = 9229,
  [9679] = 9230,
  [9680] = 9231,
  [9681] = 9232,
  [9682] = 9233,
  [9683] = 9234,
  [9684] = 9235,
  [9685] = 9204,
  [9686] = 9280,
  [9687] = 9281,
  [9688] = 9236,
  [9689] = 3109,
  [9690] = 9205,
  [9691] = 9204,
  [9692] = 9282,
  [9693] = 9205,
  [9694] = 9283,
  [9695] = 3168,
  [9696] = 3112,
  [9697] = 9609,
  [9698] = 9601,
  [9699] = 9601,
  [9700] = 9284,
  [9701] = 9603,
  [9702] = 9211,
  [9703] = 9609,
  [9704] = 9205,
  [9705] = 8036,
  [9706] = 9603,
  [9707] = 3112,
  [9708] = 9210,
  [9709] = 9210,
  [9710] = 9204,
  [9711] = 9603,
  [9712] = 9609,
  [9713] = 9601,
  [9714] = 9280,
  [9715] = 9601,
  [9716] = 3168,
  [9717] = 9281,
  [9718] = 9601,
  [9719] = 9282,
  [9720] = 9603,
  [9721] = 9280,
  [9722] = 9238,
  [9723] = 9226,
  [9724] = 9205,
  [9725] = 9227,
  [9726] = 9228,
  [9727] = 9229,
  [9728] = 9230,
  [9729] = 9231,
  [9730] = 9232,
  [9731] = 9234,
  [9732] = 9235,
  [9733] = 9236,
  [9734] = 9204,
  [9735] = 9238,
  [9736] = 9603,
  [9737] = 9283,
  [9738] = 9603,
  [9739] = 9199,
  [9740] = 9227,
  [9741] = 9741,
  [9742] = 9742,
  [9743] = 9743,
  [9744] = 9235,
  [9745] = 9745,
  [9746] = 9231,
  [9747] = 3210,
  [9748] = 9748,
  [9749] = 9749,
  [9750] = 3134,
  [9751] = 9743,
  [9752] = 9236,
  [9753] = 9753,
  [9754] = 9749,
  [9755] = 9755,
  [9756] = 9238,
  [9757] = 9748,
  [9758] = 9748,
  [9759] = 9743,
  [9760] = 3142,
  [9761] = 9761,
  [9762] = 9762,
  [9763] = 3143,
  [9764] = 9233,
  [9765] = 9765,
  [9766] = 9748,
  [9767] = 9743,
  [9768] = 9743,
  [9769] = 9769,
  [9770] = 9231,
  [9771] = 9748,
  [9772] = 9748,
  [9773] = 3144,
  [9774] = 9743,
  [9775] = 9775,
  [9776] = 9765,
  [9777] = 3105,
  [9778] = 9748,
  [9779] = 9743,
  [9780] = 3147,
  [9781] = 3135,
  [9782] = 9769,
  [9783] = 9783,
  [9784] = 9784,
  [9785] = 9748,
  [9786] = 9743,
  [9787] = 3136,
  [9788] = 9788,
  [9789] = 3137,
  [9790] = 3138,
  [9791] = 9743,
  [9792] = 9748,
  [9793] = 9769,
  [9794] = 9743,
  [9795] = 9211,
  [9796] = 3211,
  [9797] = 9748,
  [9798] = 9743,
  [9799] = 9799,
  [9800] = 9769,
  [9801] = 9801,
  [9802] = 9748,
  [9803] = 9803,
  [9804] = 3158,
  [9805] = 9743,
  [9806] = 9749,
  [9807] = 9765,
  [9808] = 9808,
  [9809] = 3159,
  [9810] = 9748,
  [9811] = 9775,
  [9812] = 9743,
  [9813] = 9803,
  [9814] = 9281,
  [9815] = 9748,
  [9816] = 9743,
  [9817] = 9817,
  [9818] = 9745,
  [9819] = 9775,
  [9820] = 9748,
  [9821] = 9743,
  [9822] = 9743,
  [9823] = 9748,
  [9824] = 8428,
  [9825] = 9748,
  [9826] = 8429,
  [9827] = 9743,
  [9828] = 9828,
  [9829] = 9829,
  [9830] = 9280,
  [9831] = 9831,
  [9832] = 9748,
  [9833] = 9833,
  [9834] = 9743,
  [9835] = 8461,
  [9836] = 9836,
  [9837] = 9280,
  [9838] = 9838,
  [9839] = 9748,
  [9840] = 9840,
  [9841] = 9743,
  [9842] = 9803,
  [9843] = 3142,
  [9844] = 6218,
  [9845] = 3143,
  [9846] = 9743,
  [9847] = 9765,
  [9848] = 9775,
  [9849] = 9748,
  [9850] = 3144,
  [9851] = 9743,
  [9852] = 9748,
  [9853] = 9205,
  [9854] = 3147,
  [9855] = 9749,
  [9856] = 9748,
  [9857] = 9775,
  [9858] = 9230,
  [9859] = 9743,
  [9860] = 3158,
  [9861] = 9769,
  [9862] = 9211,
  [9863] = 9748,
  [9864] = 6459,
  [9865] = 9749,
  [9866] = 9743,
  [9867] = 3109,
  [9868] = 8317,
  [9869] = 9205,
  [9870] = 3126,
  [9871] = 3126,
  [9872] = 9748,
  [9873] = 9283,
  [9874] = 9232,
  [9875] = 9743,
  [9876] = 9743,
  [9877] = 6262,
  [9878] = 3148,
  [9879] = 3163,
  [9880] = 9748,
  [9881] = 9748,
  [9882] = 6184,
  [9883] = 8332,
  [9884] = 9748,
  [9885] = 9765,
  [9886] = 9765,
  [9887] = 9284,
  [9888] = 9743,
  [9889] = 9743,
  [9890] = 9890,
  [9891] = 9748,
  [9892] = 8309,
  [9893] = 9769,
  [9894] = 9748,
  [9895] = 9743,
  [9896] = 9748,
  [9897] = 6153,
  [9898] = 9748,
  [9899] = 9743,
  [9900] = 9748,
  [9901] = 9743,
  [9902] = 8464,
  [9903] = 9799,
  [9904] = 9904,
  [9905] = 9748,
  [9906] = 9743,
  [9907] = 9769,
  [9908] = 9775,
  [9909] = 8323,
  [9910] = 8447,
  [9911] = 9283,
  [9912] = 9226,
  [9913] = 9748,
  [9914] = 9765,
  [9915] = 9281,
  [9916] = 9743,
  [9917] = 3148,
  [9918] = 9227,
  [9919] = 9228,
  [9920] = 9748,
  [9921] = 3163,
  [9922] = 9229,
  [9923] = 9743,
  [9924] = 9769,
  [9925] = 9748,
  [9926] = 9743,
  [9927] = 9833,
  [9928] = 9801,
  [9929] = 9904,
  [9930] = 9769,
  [9931] = 8346,
  [9932] = 9817,
  [9933] = 9743,
  [9934] = 9934,
  [9935] = 3113,
  [9936] = 9755,
  [9937] = 9230,
  [9938] = 9748,
  [9939] = 9748,
  [9940] = 9743,
  [9941] = 9232,
  [9942] = 9233,
  [9943] = 9234,
  [9944] = 9934,
  [9945] = 9235,
  [9946] = 9236,
  [9947] = 3159,
  [9948] = 9775,
  [9949] = 8307,
  [9950] = 9801,
  [9951] = 9904,
  [9952] = 9817,
  [9953] = 6476,
  [9954] = 9934,
  [9955] = 9755,
  [9956] = 9234,
  [9957] = 9743,
  [9958] = 8348,
  [9959] = 9801,
  [9960] = 9904,
  [9961] = 9817,
  [9962] = 6351,
  [9963] = 9934,
  [9964] = 9755,
  [9965] = 9775,
  [9966] = 9769,
  [9967] = 9801,
  [9968] = 9904,
  [9969] = 9817,
  [9970] = 9748,
  [9971] = 9934,
  [9972] = 9755,
  [9973] = 9775,
  [9974] = 3208,
  [9975] = 6295,
  [9976] = 9236,
  [9977] = 9801,
  [9978] = 9904,
  [9979] = 9817,
  [9980] = 9748,
  [9981] = 9743,
  [9982] = 9934,
  [9983] = 9755,
  [9984] = 9748,
  [9985] = 9282,
  [9986] = 9233,
  [9987] = 3109,
  [9988] = 9801,
  [9989] = 9904,
  [9990] = 9282,
  [9991] = 9775,
  [9992] = 9934,
  [9993] = 9755,
  [9994] = 9284,
  [9995] = 9743,
  [9996] = 6469,
  [9997] = 9904,
  [9998] = 9226,
  [9999] = 9748,
  [10000] = 9904,
  [10001] = 9904,
  [10002] = 9775,
  [10003] = 9205,
  [10004] = 6184,
  [10005] = 9748,
  [10006] = 8403,
  [10007] = 3105,
  [10008] = 9238,
  [10009] = 9748,
  [10010] = 9762,
  [10011] = 9748,
  [10012] = 9743,
  [10013] = 9238,
  [10014] = 8293,
  [10015] = 9775,
  [10016] = 3109,
  [10017] = 9227,
  [10018] = 8430,
  [10019] = 9743,
  [10020] = 8433,
  [10021] = 9743,
  [10022] = 8291,
  [10023] = 8404,
  [10024] = 9765,
  [10025] = 8310,
  [10026] = 8436,
  [10027] = 9743,
  [10028] = 9234,
  [10029] = 9229,
  [10030] = 9232,
  [10031] = 8318,
  [10032] = 8351,
  [10033] = 3113,
  [10034] = 9230,
  [10035] = 9280,
  [10036] = 6426,
  [10037] = 9281,
  [10038] = 9282,
  [10039] = 9226,
  [10040] = 9803,
  [10041] = 9749,
  [10042] = 10042,
  [10043] = 9743,
  [10044] = 9775,
  [10045] = 10045,
  [10046] = 9775,
  [10047] = 6428,
  [10048] = 6366,
  [10049] = 3209,
  [10050] = 9228,
  [10051] = 9748,
  [10052] = 10052,
  [10053] = 9748,
  [10054] = 9227,
  [10055] = 8401,
  [10056] = 9775,
  [10057] = 9283,
  [10058] = 9748,
  [10059] = 8361,
  [10060] = 9775,
  [10061] = 9228,
  [10062] = 9284,
  [10063] = 9229,
  [10064] = 9743,
  [10065] = 9765,
  [10066] = 9743,
  [10067] = 8311,
  [10068] = 9743,
  [10069] = 3105,
  [10070] = 9235,
  [10071] = 6262,
  [10072] = 8349,
  [10073] = 9765,
  [10074] = 9743,
  [10075] = 9743,
  [10076] = 8308,
  [10077] = 9211,
  [10078] = 9762,
  [10079] = 6168,
  [10080] = 9748,
  [10081] = 9748,
  [10082] = 10082,
  [10083] = 9743,
  [10084] = 9803,
  [10085] = 9803,
  [10086] = 3159,
  [10087] = 9762,
  [10088] = 8312,
  [10089] = 8362,
  [10090] = 8303,
  [10091] = 8305,
  [10092] = 3113,
  [10093] = 9748,
  [10094] = 9231,
  [10095] = 9205,
  [10096] = 6330,
  [10097] = 6343,
  [10098] = 10098,
  [10099] = 10099,
  [10100] = 10100,
  [10101] = 6409,
  [10102] = 3135,
  [10103] = 3209,
  [10104] = 10104,
  [10105] = 3210,
  [10106] = 10106,
  [10107] = 6426,
  [10108] = 6469,
  [10109] = 3211,
  [10110] = 6474,
  [10111] = 3138,
  [10112] = 6464,
  [10113] = 3211,
  [10114] = 10114,
  [10115] = 10115,
  [10116] = 3134,
  [10117] = 6351,
  [10118] = 6437,
  [10119] = 9205,
  [10120] = 10120,
  [10121] = 6334,
  [10122] = 10122,
  [10123] = 10123,
  [10124] = 6453,
  [10125] = 10125,
  [10126] = 6333,
  [10127] = 6344,
  [10128] = 6373,
  [10129] = 10129,
  [10130] = 6360,
  [10131] = 10131,
  [10132] = 6381,
  [10133] = 6428,
  [10134] = 6441,
  [10135] = 3106,
  [10136] = 3137,
  [10137] = 3136,
  [10138] = 6429,
  [10139] = 6366,
  [10140] = 6365,
  [10141] = 6384,
  [10142] = 10142,
  [10143] = 6420,
  [10144] = 3117,
  [10145] = 6448,
  [10146] = 10146,
  [10147] = 6449,
  [10148] = 6404,
  [10149] = 10149,
  [10150] = 10150,
  [10151] = 10151,
  [10152] = 6459,
  [10153] = 6461,
  [10154] = 6386,
  [10155] = 3208,
  [10156] = 6352,
  [10157] = 6349,
  [10158] = 9205,
  [10159] = 6405,
  [10160] = 3209,
  [10161] = 6354,
  [10162] = 6374,
  [10163] = 6439,
  [10164] = 3210,
  [10165] = 10165,
  [10166] = 6350,
  [10167] = 3208,
  [10168] = 6476,
  [10169] = 6395,
  [10170] = 10151,
  [10171] = 10171,
  [10172] = 10052,
  [10173] = 10146,
  [10174] = 10171,
  [10175] = 10175,
  [10176] = 10123,
  [10177] = 10177,
  [10178] = 10178,
  [10179] = 10179,
  [10180] = 10175,
  [10181] = 10122,
  [10182] = 10122,
  [10183] = 10183,
  [10184] = 10184,
  [10185] = 10185,
  [10186] = 10186,
  [10187] = 10187,
  [10188] = 10123,
  [10189] = 10189,
  [10190] = 10186,
  [10191] = 10189,
  [10192] = 10192,
  [10193] = 10186,
  [10194] = 10177,
  [10195] = 10189,
  [10196] = 10186,
  [10197] = 10197,
  [10198] = 10197,
  [10199] = 10197,
  [10200] = 10192,
  [10201] = 10201,
  [10202] = 10202,
  [10203] = 10203,
  [10204] = 10189,
  [10205] = 10186,
  [10206] = 10206,
  [10207] = 10189,
  [10208] = 6351,
  [10209] = 10209,
  [10210] = 10146,
  [10211] = 10211,
  [10212] = 10212,
  [10213] = 10189,
  [10214] = 10186,
  [10215] = 10189,
  [10216] = 10197,
  [10217] = 10186,
  [10218] = 10218,
  [10219] = 10219,
  [10220] = 10220,
  [10221] = 10221,
  [10222] = 10189,
  [10223] = 10223,
  [10224] = 10224,
  [10225] = 10225,
  [10226] = 10226,
  [10227] = 10186,
  [10228] = 10122,
  [10229] = 10229,
  [10230] = 10230,
  [10231] = 10197,
  [10232] = 10232,
  [10233] = 10197,
  [10234] = 10197,
  [10235] = 10052,
  [10236] = 10236,
  [10237] = 10237,
  [10238] = 10238,
  [10239] = 10239,
  [10240] = 10240,
  [10241] = 10241,
  [10242] = 10242,
  [10243] = 10243,
  [10244] = 10244,
  [10245] = 10186,
  [10246] = 10189,
  [10247] = 10247,
  [10248] = 10186,
  [10249] = 10249,
  [10250] = 10197,
  [10251] = 10251,
  [10252] = 10202,
  [10253] = 10253,
  [10254] = 10197,
  [10255] = 10189,
  [10256] = 10186,
  [10257] = 10197,
  [10258] = 10052,
  [10259] = 3208,
  [10260] = 3209,
  [10261] = 3210,
  [10262] = 3211,
  [10263] = 10189,
  [10264] = 10186,
  [10265] = 10189,
  [10266] = 10197,
  [10267] = 10197,
  [10268] = 10268,
  [10269] = 6459,
  [10270] = 10270,
  [10271] = 10197,
  [10272] = 10189,
  [10273] = 10186,
  [10274] = 10274,
  [10275] = 10275,
  [10276] = 10276,
  [10277] = 10277,
  [10278] = 10278,
  [10279] = 10279,
  [10280] = 10278,
  [10281] = 10281,
  [10282] = 3134,
  [10283] = 10123,
  [10284] = 10240,
  [10285] = 10275,
  [10286] = 10286,
  [10287] = 10278,
  [10288] = 10249,
  [10289] = 10281,
  [10290] = 10268,
  [10291] = 10281,
  [10292] = 10236,
  [10293] = 10293,
  [10294] = 10237,
  [10295] = 10238,
  [10296] = 10184,
  [10297] = 3281,
  [10298] = 10298,
  [10299] = 10276,
  [10300] = 10206,
  [10301] = 3136,
  [10302] = 10293,
  [10303] = 10276,
  [10304] = 6459,
  [10305] = 10298,
  [10306] = 10306,
  [10307] = 10276,
  [10308] = 3211,
  [10309] = 3127,
  [10310] = 10183,
  [10311] = 10278,
  [10312] = 10281,
  [10313] = 10293,
  [10314] = 10298,
  [10315] = 3148,
  [10316] = 10123,
  [10317] = 10276,
  [10318] = 3208,
  [10319] = 10319,
  [10320] = 3196,
  [10321] = 10321,
  [10322] = 3229,
  [10323] = 10323,
  [10324] = 10324,
  [10325] = 3137,
  [10326] = 10279,
  [10327] = 3261,
  [10328] = 10328,
  [10329] = 10278,
  [10330] = 10298,
  [10331] = 3130,
  [10332] = 3205,
  [10333] = 10275,
  [10334] = 10319,
  [10335] = 10281,
  [10336] = 10319,
  [10337] = 10226,
  [10338] = 10338,
  [10339] = 10281,
  [10340] = 10328,
  [10341] = 10275,
  [10342] = 10276,
  [10343] = 10343,
  [10344] = 10279,
  [10345] = 10306,
  [10346] = 10328,
  [10347] = 10278,
  [10348] = 10201,
  [10349] = 10275,
  [10350] = 10281,
  [10351] = 10203,
  [10352] = 3106,
  [10353] = 3138,
  [10354] = 10279,
  [10355] = 10276,
  [10356] = 10293,
  [10357] = 10298,
  [10358] = 10276,
  [10359] = 10212,
  [10360] = 10276,
  [10361] = 10239,
  [10362] = 10362,
  [10363] = 10293,
  [10364] = 10242,
  [10365] = 10223,
  [10366] = 10177,
  [10367] = 10219,
  [10368] = 10279,
  [10369] = 10276,
  [10370] = 10243,
  [10371] = 10293,
  [10372] = 10276,
  [10373] = 10298,
  [10374] = 10276,
  [10375] = 10328,
  [10376] = 10278,
  [10377] = 10224,
  [10378] = 3110,
  [10379] = 10379,
  [10380] = 10298,
  [10381] = 10319,
  [10382] = 10185,
  [10383] = 3158,
  [10384] = 10244,
  [10385] = 10279,
  [10386] = 10328,
  [10387] = 10278,
  [10388] = 3203,
  [10389] = 3180,
  [10390] = 10275,
  [10391] = 10278,
  [10392] = 10281,
  [10393] = 3198,
  [10394] = 3199,
  [10395] = 3200,
  [10396] = 3201,
  [10397] = 3202,
  [10398] = 10229,
  [10399] = 3220,
  [10400] = 3222,
  [10401] = 3225,
  [10402] = 10281,
  [10403] = 3226,
  [10404] = 3227,
  [10405] = 3228,
  [10406] = 10276,
  [10407] = 3052,
  [10408] = 3230,
  [10409] = 3231,
  [10410] = 3240,
  [10411] = 3241,
  [10412] = 10293,
  [10413] = 3242,
  [10414] = 3243,
  [10415] = 3244,
  [10416] = 10298,
  [10417] = 3245,
  [10418] = 3251,
  [10419] = 3253,
  [10420] = 3254,
  [10421] = 3255,
  [10422] = 3256,
  [10423] = 3257,
  [10424] = 3258,
  [10425] = 10281,
  [10426] = 3259,
  [10427] = 10276,
  [10428] = 3260,
  [10429] = 10429,
  [10430] = 3062,
  [10431] = 3063,
  [10432] = 3064,
  [10433] = 3275,
  [10434] = 3276,
  [10435] = 3277,
  [10436] = 3280,
  [10437] = 3021,
  [10438] = 3022,
  [10439] = 10230,
  [10440] = 3023,
  [10441] = 10275,
  [10442] = 3272,
  [10443] = 10274,
  [10444] = 10278,
  [10445] = 10281,
  [10446] = 10281,
  [10447] = 10447,
  [10448] = 10448,
  [10449] = 3295,
  [10450] = 10319,
  [10451] = 10293,
  [10452] = 10278,
  [10453] = 10281,
  [10454] = 10319,
  [10455] = 3135,
  [10456] = 10278,
  [10457] = 10328,
  [10458] = 10281,
  [10459] = 10146,
  [10460] = 3208,
  [10461] = 6459,
  [10462] = 3162,
  [10463] = 10278,
  [10464] = 10464,
  [10465] = 10276,
  [10466] = 10276,
  [10467] = 10293,
  [10468] = 3209,
  [10469] = 3210,
  [10470] = 10279,
  [10471] = 10298,
  [10472] = 10276,
  [10473] = 10122,
  [10474] = 3211,
  [10475] = 10319,
  [10476] = 6351,
  [10477] = 10275,
  [10478] = 10279,
  [10479] = 10328,
  [10480] = 10278,
  [10481] = 3142,
  [10482] = 10275,
  [10483] = 10281,
  [10484] = 3143,
  [10485] = 10232,
  [10486] = 10146,
  [10487] = 10278,
  [10488] = 3206,
  [10489] = 10281,
  [10490] = 3144,
  [10491] = 10187,
  [10492] = 10211,
  [10493] = 10279,
  [10494] = 10328,
  [10495] = 3147,
  [10496] = 3209,
  [10497] = 10328,
  [10498] = 3027,
  [10499] = 10279,
  [10500] = 10278,
  [10501] = 3210,
  [10502] = 10206,
  [10503] = 10249,
  [10504] = 10268,
  [10505] = 10276,
  [10506] = 10298,
  [10507] = 10241,
  [10508] = 10319,
  [10509] = 10328,
  [10510] = 10278,
  [10511] = 3269,
  [10512] = 10211,
  [10513] = 10212,
  [10514] = 10218,
  [10515] = 10219,
  [10516] = 10293,
  [10517] = 10298,
  [10518] = 3031,
  [10519] = 10276,
  [10520] = 10281,
  [10521] = 10275,
  [10522] = 10223,
  [10523] = 10224,
  [10524] = 10225,
  [10525] = 10226,
  [10526] = 10281,
  [10527] = 10319,
  [10528] = 10229,
  [10529] = 10230,
  [10530] = 10274,
  [10531] = 10232,
  [10532] = 10279,
  [10533] = 10236,
  [10534] = 10237,
  [10535] = 10238,
  [10536] = 10328,
  [10537] = 10239,
  [10538] = 10240,
  [10539] = 10278,
  [10540] = 10241,
  [10541] = 10242,
  [10542] = 10243,
  [10543] = 10275,
  [10544] = 10244,
  [10545] = 10281,
  [10546] = 10247,
  [10547] = 10183,
  [10548] = 10225,
  [10549] = 10052,
  [10550] = 10293,
  [10551] = 10278,
  [10552] = 10201,
  [10553] = 10203,
  [10554] = 10276,
  [10555] = 10281,
  [10556] = 10293,
  [10557] = 10298,
  [10558] = 10184,
  [10559] = 10278,
  [10560] = 10276,
  [10561] = 10319,
  [10562] = 10319,
  [10563] = 10279,
  [10564] = 10328,
  [10565] = 10278,
  [10566] = 10275,
  [10567] = 10281,
  [10568] = 10187,
  [10569] = 3208,
  [10570] = 3209,
  [10571] = 3210,
  [10572] = 3211,
  [10573] = 10185,
  [10574] = 3117,
  [10575] = 6351,
  [10576] = 10122,
  [10577] = 10146,
  [10578] = 10319,
  [10579] = 10218,
  [10580] = 3163,
  [10581] = 10293,
  [10582] = 10298,
  [10583] = 10276,
  [10584] = 10123,
  [10585] = 10319,
  [10586] = 3126,
  [10587] = 10275,
  [10588] = 10281,
  [10589] = 10279,
  [10590] = 10328,
  [10591] = 10278,
  [10592] = 10247,
  [10593] = 9205,
  [10594] = 10226,
  [10595] = 10595,
  [10596] = 9284,
  [10597] = 9280,
  [10598] = 9281,
  [10599] = 3137,
  [10600] = 6459,
  [10601] = 9282,
  [10602] = 3208,
  [10603] = 10603,
  [10604] = 10177,
  [10605] = 10595,
  [10606] = 10183,
  [10607] = 10122,
  [10608] = 10203,
  [10609] = 3135,
  [10610] = 6351,
  [10611] = 3136,
  [10612] = 3211,
  [10613] = 10613,
  [10614] = 10614,
  [10615] = 10185,
  [10616] = 10240,
  [10617] = 10236,
  [10618] = 10241,
  [10619] = 10268,
  [10620] = 10620,
  [10621] = 10249,
  [10622] = 10622,
  [10623] = 10379,
  [10624] = 10429,
  [10625] = 10625,
  [10626] = 3168,
  [10627] = 10595,
  [10628] = 10628,
  [10629] = 10206,
  [10630] = 10625,
  [10631] = 3134,
  [10632] = 10237,
  [10633] = 9211,
  [10634] = 10277,
  [10635] = 10177,
  [10636] = 9199,
  [10637] = 10238,
  [10638] = 10052,
  [10639] = 10595,
  [10640] = 10379,
  [10641] = 10230,
  [10642] = 10187,
  [10643] = 9204,
  [10644] = 10229,
  [10645] = 10052,
  [10646] = 9199,
  [10647] = 3138,
  [10648] = 9204,
  [10649] = 10343,
  [10650] = 9227,
  [10651] = 9228,
  [10652] = 9229,
  [10653] = 9230,
  [10654] = 10654,
  [10655] = 10223,
  [10656] = 9231,
  [10657] = 9232,
  [10658] = 9233,
  [10659] = 10274,
  [10660] = 9234,
  [10661] = 10661,
  [10662] = 10211,
  [10663] = 10212,
  [10664] = 9235,
  [10665] = 10224,
  [10666] = 10242,
  [10667] = 9236,
  [10668] = 10668,
  [10669] = 3209,
  [10670] = 10243,
  [10671] = 3210,
  [10672] = 10244,
  [10673] = 10225,
  [10674] = 9238,
  [10675] = 10052,
  [10676] = 10177,
  [10677] = 10677,
  [10678] = 10122,
  [10679] = 10625,
  [10680] = 10218,
  [10681] = 10201,
  [10682] = 10625,
  [10683] = 10683,
  [10684] = 10595,
  [10685] = 10429,
  [10686] = 10122,
  [10687] = 10219,
  [10688] = 10688,
  [10689] = 10247,
  [10690] = 3112,
  [10691] = 10184,
  [10692] = 9210,
  [10693] = 10232,
  [10694] = 10694,
  [10695] = 10321,
  [10696] = 10239,
  [10697] = 9283,
  [10698] = 10625,
  [10699] = 10447,
  [10700] = 9226,
  [10701] = 10701,
  [10702] = 10226,
  [10703] = 10701,
  [10704] = 10704,
  [10705] = 10705,
  [10706] = 10241,
  [10707] = 9238,
  [10708] = 10708,
  [10709] = 10709,
  [10710] = 10710,
  [10711] = 10242,
  [10712] = 10712,
  [10713] = 10243,
  [10714] = 10714,
  [10715] = 10244,
  [10716] = 8409,
  [10717] = 10717,
  [10718] = 10718,
  [10719] = 10218,
  [10720] = 10720,
  [10721] = 10219,
  [10722] = 10247,
  [10723] = 3196,
  [10724] = 10268,
  [10725] = 3206,
  [10726] = 10726,
  [10727] = 10727,
  [10728] = 6351,
  [10729] = 9226,
  [10730] = 10730,
  [10731] = 10705,
  [10732] = 10732,
  [10733] = 10710,
  [10734] = 10732,
  [10735] = 4218,
  [10736] = 10249,
  [10737] = 10737,
  [10738] = 3209,
  [10739] = 10694,
  [10740] = 3117,
  [10741] = 10741,
  [10742] = 3211,
  [10743] = 3106,
  [10744] = 10712,
  [10745] = 10201,
  [10746] = 6459,
  [10747] = 3229,
  [10748] = 9230,
  [10749] = 10732,
  [10750] = 3261,
  [10751] = 10751,
  [10752] = 3208,
  [10753] = 10753,
  [10754] = 10754,
  [10755] = 9231,
  [10756] = 10211,
  [10757] = 10203,
  [10758] = 10758,
  [10759] = 3130,
  [10760] = 10760,
  [10761] = 10712,
  [10762] = 3205,
  [10763] = 9204,
  [10764] = 10764,
  [10765] = 10730,
  [10766] = 3027,
  [10767] = 3031,
  [10768] = 10249,
  [10769] = 10730,
  [10770] = 10212,
  [10771] = 10268,
  [10772] = 6351,
  [10773] = 10229,
  [10774] = 10230,
  [10775] = 10753,
  [10776] = 10622,
  [10777] = 3210,
  [10778] = 10778,
  [10779] = 10737,
  [10780] = 9232,
  [10781] = 10781,
  [10782] = 3180,
  [10783] = 10783,
  [10784] = 10123,
  [10785] = 3109,
  [10786] = 10786,
  [10787] = 9233,
  [10788] = 10788,
  [10789] = 10720,
  [10790] = 10052,
  [10791] = 10791,
  [10792] = 9227,
  [10793] = 9234,
  [10794] = 10794,
  [10795] = 10795,
  [10796] = 10796,
  [10797] = 10249,
  [10798] = 10798,
  [10799] = 10791,
  [10800] = 9235,
  [10801] = 10206,
  [10802] = 10185,
  [10803] = 10764,
  [10804] = 10791,
  [10805] = 9227,
  [10806] = 9236,
  [10807] = 3198,
  [10808] = 10808,
  [10809] = 10052,
  [10810] = 3199,
  [10811] = 10211,
  [10812] = 10212,
  [10813] = 10218,
  [10814] = 10754,
  [10815] = 10219,
  [10816] = 9238,
  [10817] = 10751,
  [10818] = 10788,
  [10819] = 10819,
  [10820] = 10185,
  [10821] = 9226,
  [10822] = 10223,
  [10823] = 3200,
  [10824] = 10224,
  [10825] = 10225,
  [10826] = 10226,
  [10827] = 3201,
  [10828] = 9228,
  [10829] = 3202,
  [10830] = 10274,
  [10831] = 10791,
  [10832] = 10232,
  [10833] = 10726,
  [10834] = 10834,
  [10835] = 10732,
  [10836] = 10229,
  [10837] = 10230,
  [10838] = 10753,
  [10839] = 10274,
  [10840] = 10232,
  [10841] = 10183,
  [10842] = 10183,
  [10843] = 10791,
  [10844] = 10236,
  [10845] = 10237,
  [10846] = 10238,
  [10847] = 10239,
  [10848] = 10240,
  [10849] = 10241,
  [10850] = 10242,
  [10851] = 10243,
  [10852] = 10726,
  [10853] = 10244,
  [10854] = 10247,
  [10855] = 3105,
  [10856] = 10737,
  [10857] = 10654,
  [10858] = 3281,
  [10859] = 3220,
  [10860] = 3222,
  [10861] = 3225,
  [10862] = 3110,
  [10863] = 10268,
  [10864] = 3226,
  [10865] = 3227,
  [10866] = 10726,
  [10867] = 10705,
  [10868] = 10764,
  [10869] = 10788,
  [10870] = 6459,
  [10871] = 3228,
  [10872] = 10654,
  [10873] = 9229,
  [10874] = 10705,
  [10875] = 10786,
  [10876] = 3052,
  [10877] = 3159,
  [10878] = 10052,
  [10879] = 10726,
  [10880] = 10732,
  [10881] = 3230,
  [10882] = 10788,
  [10883] = 10883,
  [10884] = 3231,
  [10885] = 3240,
  [10886] = 10754,
  [10887] = 10887,
  [10888] = 10122,
  [10889] = 10146,
  [10890] = 10890,
  [10891] = 3241,
  [10892] = 10379,
  [10893] = 3242,
  [10894] = 3243,
  [10895] = 10184,
  [10896] = 3244,
  [10897] = 3127,
  [10898] = 3245,
  [10899] = 10794,
  [10900] = 10795,
  [10901] = 3251,
  [10902] = 10795,
  [10903] = 10184,
  [10904] = 3253,
  [10905] = 3142,
  [10906] = 10791,
  [10907] = 9228,
  [10908] = 3143,
  [10909] = 3168,
  [10910] = 10764,
  [10911] = 10786,
  [10912] = 3144,
  [10913] = 3105,
  [10914] = 3147,
  [10915] = 10788,
  [10916] = 10737,
  [10917] = 10754,
  [10918] = 3159,
  [10919] = 3254,
  [10920] = 10726,
  [10921] = 3109,
  [10922] = 3134,
  [10923] = 9230,
  [10924] = 3126,
  [10925] = 10764,
  [10926] = 10720,
  [10927] = 10187,
  [10928] = 3148,
  [10929] = 10795,
  [10930] = 10751,
  [10931] = 3112,
  [10932] = 3113,
  [10933] = 10236,
  [10934] = 10786,
  [10935] = 10201,
  [10936] = 10201,
  [10937] = 10237,
  [10938] = 10737,
  [10939] = 10146,
  [10940] = 10754,
  [10941] = 3135,
  [10942] = 10238,
  [10943] = 3136,
  [10944] = 10718,
  [10945] = 3137,
  [10946] = 3138,
  [10947] = 10732,
  [10948] = 3158,
  [10949] = 3109,
  [10950] = 10203,
  [10951] = 3255,
  [10952] = 10701,
  [10953] = 3256,
  [10954] = 3163,
  [10955] = 3257,
  [10956] = 3258,
  [10957] = 3259,
  [10958] = 10710,
  [10959] = 9283,
  [10960] = 10712,
  [10961] = 10730,
  [10962] = 9284,
  [10963] = 10753,
  [10964] = 9280,
  [10965] = 9281,
  [10966] = 9282,
  [10967] = 10429,
  [10968] = 10720,
  [10969] = 10751,
  [10970] = 10791,
  [10971] = 10718,
  [10972] = 10701,
  [10973] = 10710,
  [10974] = 9204,
  [10975] = 10712,
  [10976] = 10786,
  [10977] = 3260,
  [10978] = 9231,
  [10979] = 3062,
  [10980] = 10730,
  [10981] = 10753,
  [10982] = 9199,
  [10983] = 10732,
  [10984] = 9205,
  [10985] = 10985,
  [10986] = 3063,
  [10987] = 3064,
  [10988] = 9236,
  [10989] = 3208,
  [10990] = 3209,
  [10991] = 9232,
  [10992] = 9210,
  [10993] = 3210,
  [10994] = 10187,
  [10995] = 10203,
  [10996] = 3211,
  [10997] = 3162,
  [10998] = 9205,
  [10999] = 9211,
  [11000] = 9233,
  [11001] = 10718,
  [11002] = 10701,
  [11003] = 10710,
  [11004] = 11004,
  [11005] = 11005,
  [11006] = 11006,
  [11007] = 9229,
  [11008] = 3208,
  [11009] = 3209,
  [11010] = 3210,
  [11011] = 3211,
  [11012] = 9211,
  [11013] = 11013,
  [11014] = 9199,
  [11015] = 10206,
  [11016] = 9234,
  [11017] = 3275,
  [11018] = 10622,
  [11019] = 3276,
  [11020] = 8398,
  [11021] = 3277,
  [11022] = 3280,
  [11023] = 10726,
  [11024] = 3021,
  [11025] = 3022,
  [11026] = 8410,
  [11027] = 11027,
  [11028] = 10720,
  [11029] = 3023,
  [11030] = 3272,
  [11031] = 3208,
  [11032] = 3209,
  [11033] = 3210,
  [11034] = 3211,
  [11035] = 11035,
  [11036] = 10224,
  [11037] = 10751,
  [11038] = 10795,
  [11039] = 10794,
  [11040] = 10225,
  [11041] = 10185,
  [11042] = 9235,
  [11043] = 10705,
  [11044] = 10223,
  [11045] = 8408,
  [11046] = 10718,
  [11047] = 10794,
  [11048] = 10788,
  [11049] = 3113,
  [11050] = 10239,
  [11051] = 3295,
  [11052] = 10123,
  [11053] = 10183,
  [11054] = 10240,
  [11055] = 10794,
  [11056] = 11056,
  [11057] = 10343,
  [11058] = 10241,
  [11059] = 10249,
  [11060] = 10268,
  [11061] = 11056,
  [11062] = 11062,
  [11063] = 11063,
  [11064] = 4217,
  [11065] = 10244,
  [11066] = 10240,
  [11067] = 10224,
  [11068] = 11068,
  [11069] = 11068,
  [11070] = 11070,
  [11071] = 10783,
  [11072] = 10225,
  [11073] = 11073,
  [11074] = 11074,
  [11075] = 9229,
  [11076] = 10206,
  [11077] = 11068,
  [11078] = 11078,
  [11079] = 11079,
  [11080] = 10834,
  [11081] = 11070,
  [11082] = 10247,
  [11083] = 10212,
  [11084] = 10249,
  [11085] = 11085,
  [11086] = 11079,
  [11087] = 9238,
  [11088] = 11070,
  [11089] = 9230,
  [11090] = 10241,
  [11091] = 11070,
  [11092] = 9231,
  [11093] = 11063,
  [11094] = 11094,
  [11095] = 6351,
  [11096] = 10741,
  [11097] = 10187,
  [11098] = 11056,
  [11099] = 10238,
  [11100] = 3208,
  [11101] = 11062,
  [11102] = 10268,
  [11103] = 11068,
  [11104] = 7825,
  [11105] = 10239,
  [11106] = 11106,
  [11107] = 10187,
  [11108] = 10218,
  [11109] = 10219,
  [11110] = 11068,
  [11111] = 11111,
  [11112] = 10654,
  [11113] = 9232,
  [11114] = 11056,
  [11115] = 10429,
  [11116] = 11078,
  [11117] = 11117,
  [11118] = 11063,
  [11119] = 10184,
  [11120] = 10224,
  [11121] = 11079,
  [11122] = 3210,
  [11123] = 9233,
  [11124] = 10183,
  [11125] = 10177,
  [11126] = 11073,
  [11127] = 10201,
  [11128] = 10201,
  [11129] = 11073,
  [11130] = 11070,
  [11131] = 10242,
  [11132] = 11073,
  [11133] = 9234,
  [11134] = 10185,
  [11135] = 11078,
  [11136] = 9235,
  [11137] = 11073,
  [11138] = 10274,
  [11139] = 10242,
  [11140] = 6351,
  [11141] = 11056,
  [11142] = 10184,
  [11143] = 10229,
  [11144] = 11062,
  [11145] = 11078,
  [11146] = 10321,
  [11147] = 10379,
  [11148] = 10429,
  [11149] = 3209,
  [11150] = 11070,
  [11151] = 3210,
  [11152] = 10379,
  [11153] = 11056,
  [11154] = 11068,
  [11155] = 10242,
  [11156] = 10249,
  [11157] = 11079,
  [11158] = 10243,
  [11159] = 10268,
  [11160] = 9205,
  [11161] = 10211,
  [11162] = 10230,
  [11163] = 10203,
  [11164] = 11164,
  [11165] = 11063,
  [11166] = 11062,
  [11167] = 10890,
  [11168] = 10211,
  [11169] = 10212,
  [11170] = 10226,
  [11171] = 10429,
  [11172] = 10218,
  [11173] = 10203,
  [11174] = 11068,
  [11175] = 11078,
  [11176] = 10237,
  [11177] = 10247,
  [11178] = 9236,
  [11179] = 11073,
  [11180] = 9226,
  [11181] = 11056,
  [11182] = 10277,
  [11183] = 11062,
  [11184] = 11063,
  [11185] = 10229,
  [11186] = 11079,
  [11187] = 11056,
  [11188] = 9227,
  [11189] = 11062,
  [11190] = 11078,
  [11191] = 11063,
  [11192] = 10244,
  [11193] = 11056,
  [11194] = 10177,
  [11195] = 9211,
  [11196] = 11063,
  [11197] = 11070,
  [11198] = 10211,
  [11199] = 11073,
  [11200] = 10230,
  [11201] = 11068,
  [11202] = 11078,
  [11203] = 11079,
  [11204] = 3208,
  [11205] = 11068,
  [11206] = 8073,
  [11207] = 6351,
  [11208] = 10212,
  [11209] = 11209,
  [11210] = 10218,
  [11211] = 8209,
  [11212] = 10219,
  [11213] = 8036,
  [11214] = 10237,
  [11215] = 10185,
  [11216] = 3208,
  [11217] = 11078,
  [11218] = 10247,
  [11219] = 3209,
  [11220] = 3210,
  [11221] = 3211,
  [11222] = 10274,
  [11223] = 10241,
  [11224] = 11079,
  [11225] = 11073,
  [11226] = 11035,
  [11227] = 11073,
  [11228] = 10201,
  [11229] = 10203,
  [11230] = 10206,
  [11231] = 10890,
  [11232] = 11073,
  [11233] = 11035,
  [11234] = 11079,
  [11235] = 10232,
  [11236] = 11073,
  [11237] = 9228,
  [11238] = 10236,
  [11239] = 11070,
  [11240] = 3211,
  [11241] = 3209,
  [11242] = 3210,
  [11243] = 10709,
  [11244] = 10237,
  [11245] = 10238,
  [11246] = 7926,
  [11247] = 10239,
  [11248] = 10187,
  [11249] = 11068,
  [11250] = 11073,
  [11251] = 10219,
  [11252] = 10206,
  [11253] = 11070,
  [11254] = 10232,
  [11255] = 10321,
  [11256] = 4219,
  [11257] = 11079,
  [11258] = 11062,
  [11259] = 11068,
  [11260] = 11078,
  [11261] = 11073,
  [11262] = 11079,
  [11263] = 3211,
  [11264] = 10223,
  [11265] = 10796,
  [11266] = 11266,
  [11267] = 11056,
  [11268] = 11062,
  [11269] = 11063,
  [11270] = 11078,
  [11271] = 10238,
  [11272] = 11070,
  [11273] = 10243,
  [11274] = 10622,
  [11275] = 10239,
  [11276] = 10603,
  [11277] = 3208,
  [11278] = 11068,
  [11279] = 11078,
  [11280] = 11079,
  [11281] = 11068,
  [11282] = 9205,
  [11283] = 3211,
  [11284] = 11062,
  [11285] = 11056,
  [11286] = 10236,
  [11287] = 10184,
  [11288] = 10741,
  [11289] = 10229,
  [11290] = 10243,
  [11291] = 10052,
  [11292] = 10244,
  [11293] = 10225,
  [11294] = 10230,
  [11295] = 11078,
  [11296] = 10184,
  [11297] = 11063,
  [11298] = 11298,
  [11299] = 11062,
  [11300] = 10274,
  [11301] = 10709,
  [11302] = 11062,
  [11303] = 10796,
  [11304] = 10232,
  [11305] = 11070,
  [11306] = 10834,
  [11307] = 10379,
  [11308] = 11308,
  [11309] = 10185,
  [11310] = 11063,
  [11311] = 10236,
  [11312] = 6459,
  [11313] = 3209,
  [11314] = 11079,
  [11315] = 11063,
  [11316] = 11078,
  [11317] = 11079,
  [11318] = 10985,
  [11319] = 11319,
  [11320] = 11056,
  [11321] = 11070,
  [11322] = 11063,
  [11323] = 10183,
  [11324] = 10183,
  [11325] = 11056,
  [11326] = 10223,
  [11327] = 11062,
  [11328] = 10223,
  [11329] = 11329,
  [11330] = 6459,
  [11331] = 10224,
  [11332] = 11332,
  [11333] = 10225,
  [11334] = 10122,
  [11335] = 10187,
  [11336] = 8093,
  [11337] = 10240,
  [11338] = 11070,
  [11339] = 11073,
  [11340] = 6459,
  [11341] = 11341,
  [11342] = 11056,
  [11343] = 11073,
  [11344] = 11344,
  [11345] = 10226,
  [11346] = 11062,
  [11347] = 10240,
  [11348] = 11063,
  [11349] = 10887,
  [11350] = 10883,
  [11351] = 10708,
  [11352] = 10714,
  [11353] = 10819,
  [11354] = 10277,
  [11355] = 10447,
  [11356] = 10447,
  [11357] = 10343,
  [11358] = 10226,
  [11359] = 6184,
  [11360] = 10219,
  [11361] = 8305,
  [11362] = 11362,
  [11363] = 10654,
  [11364] = 10622,
  [11365] = 11365,
  [11366] = 9210,
  [11367] = 8317,
  [11368] = 3106,
  [11369] = 8464,
  [11370] = 11370,
  [11371] = 10429,
  [11372] = 3137,
  [11373] = 6351,
  [11374] = 8461,
  [11375] = 10379,
  [11376] = 3168,
  [11377] = 11377,
  [11378] = 8348,
  [11379] = 10184,
  [11380] = 3147,
  [11381] = 3209,
  [11382] = 3134,
  [11383] = 8362,
  [11384] = 8351,
  [11385] = 9199,
  [11386] = 10709,
  [11387] = 10223,
  [11388] = 11074,
  [11389] = 10224,
  [11390] = 11390,
  [11391] = 11391,
  [11392] = 10225,
  [11393] = 9238,
  [11394] = 6262,
  [11395] = 11035,
  [11396] = 8401,
  [11397] = 11397,
  [11398] = 10226,
  [11399] = 8293,
  [11400] = 6469,
  [11401] = 8447,
  [11402] = 3126,
  [11403] = 11319,
  [11404] = 11404,
  [11405] = 10122,
  [11406] = 11406,
  [11407] = 11407,
  [11408] = 10834,
  [11409] = 5742,
  [11410] = 3138,
  [11411] = 6476,
  [11412] = 8433,
  [11413] = 11413,
  [11414] = 5715,
  [11415] = 11415,
  [11416] = 11416,
  [11417] = 8403,
  [11418] = 11266,
  [11419] = 11419,
  [11420] = 11420,
  [11421] = 8346,
  [11422] = 9211,
  [11423] = 11423,
  [11424] = 11424,
  [11425] = 11425,
  [11426] = 10654,
  [11427] = 10211,
  [11428] = 3208,
  [11429] = 10187,
  [11430] = 11430,
  [11431] = 10212,
  [11432] = 10796,
  [11433] = 6426,
  [11434] = 9204,
  [11435] = 10052,
  [11436] = 3158,
  [11437] = 10429,
  [11438] = 11438,
  [11439] = 6459,
  [11440] = 10122,
  [11441] = 10622,
  [11442] = 3135,
  [11443] = 11443,
  [11444] = 11444,
  [11445] = 8310,
  [11446] = 8332,
  [11447] = 8404,
  [11448] = 10741,
  [11449] = 8318,
  [11450] = 9199,
  [11451] = 10236,
  [11452] = 8361,
  [11453] = 11209,
  [11454] = 10379,
  [11455] = 8430,
  [11456] = 10238,
  [11457] = 10890,
  [11458] = 11458,
  [11459] = 3136,
  [11460] = 9226,
  [11461] = 10379,
  [11462] = 10239,
  [11463] = 10429,
  [11464] = 10240,
  [11465] = 3142,
  [11466] = 10241,
  [11467] = 11329,
  [11468] = 9204,
  [11469] = 11094,
  [11470] = 9283,
  [11471] = 9284,
  [11472] = 9280,
  [11473] = 9281,
  [11474] = 9282,
  [11475] = 10242,
  [11476] = 10243,
  [11477] = 8312,
  [11478] = 9227,
  [11479] = 8436,
  [11480] = 10244,
  [11481] = 8308,
  [11482] = 11085,
  [11483] = 8303,
  [11484] = 10206,
  [11485] = 10247,
  [11486] = 9228,
  [11487] = 11487,
  [11488] = 8349,
  [11489] = 6459,
  [11490] = 11490,
  [11491] = 9229,
  [11492] = 10783,
  [11493] = 6351,
  [11494] = 10122,
  [11495] = 9236,
  [11496] = 8291,
  [11497] = 9230,
  [11498] = 3144,
  [11499] = 10052,
  [11500] = 11500,
  [11501] = 8309,
  [11502] = 6428,
  [11503] = 11503,
  [11504] = 3210,
  [11505] = 11505,
  [11506] = 10622,
  [11507] = 11507,
  [11508] = 9231,
  [11509] = 9232,
  [11510] = 3148,
  [11511] = 11511,
  [11512] = 8323,
  [11513] = 11164,
  [11514] = 9205,
  [11515] = 3163,
  [11516] = 3211,
  [11517] = 8307,
  [11518] = 5714,
  [11519] = 11519,
  [11520] = 10229,
  [11521] = 9233,
  [11522] = 3112,
  [11523] = 9234,
  [11524] = 8428,
  [11525] = 8311,
  [11526] = 3143,
  [11527] = 10230,
  [11528] = 10274,
  [11529] = 11529,
  [11530] = 9235,
  [11531] = 10232,
  [11532] = 11532,
  [11533] = 11533,
  [11534] = 6366,
  [11535] = 10052,
  [11536] = 11536,
  [11537] = 11537,
  [11538] = 8429,
  [11539] = 10218,
  [11540] = 11540,
  [11541] = 10237,
  [11542] = 11542,
  [11543] = 5715,
  [11544] = 11544,
  [11545] = 3209,
  [11546] = 3210,
  [11547] = 3211,
  [11548] = 11548,
  [11549] = 5778,
  [11550] = 11550,
  [11551] = 11542,
  [11552] = 10211,
  [11553] = 10212,
  [11554] = 10184,
  [11555] = 10218,
  [11556] = 10219,
  [11557] = 11557,
  [11558] = 11558,
  [11559] = 11559,
  [11560] = 11560,
  [11561] = 11561,
  [11562] = 10223,
  [11563] = 10224,
  [11564] = 10225,
  [11565] = 10226,
  [11566] = 11542,
  [11567] = 10229,
  [11568] = 10230,
  [11569] = 10274,
  [11570] = 10232,
  [11571] = 10187,
  [11572] = 10122,
  [11573] = 10236,
  [11574] = 10237,
  [11575] = 11542,
  [11576] = 10238,
  [11577] = 10239,
  [11578] = 10240,
  [11579] = 10241,
  [11580] = 10242,
  [11581] = 10890,
  [11582] = 10243,
  [11583] = 11035,
  [11584] = 10244,
  [11585] = 10247,
  [11586] = 10741,
  [11587] = 10709,
  [11588] = 10796,
  [11589] = 9205,
  [11590] = 10834,
  [11591] = 8970,
  [11592] = 11542,
  [11593] = 8961,
  [11594] = 11111,
  [11595] = 10052,
  [11596] = 11596,
  [11597] = 9205,
  [11598] = 11598,
  [11599] = 11599,
  [11600] = 11542,
  [11601] = 11601,
  [11602] = 11602,
  [11603] = 8986,
  [11604] = 11604,
  [11605] = 8906,
  [11606] = 11606,
  [11607] = 11607,
  [11608] = 11608,
  [11609] = 9006,
  [11610] = 11610,
  [11611] = 10890,
  [11612] = 11542,
  [11613] = 11035,
  [11614] = 8920,
  [11615] = 8921,
  [11616] = 8924,
  [11617] = 11617,
  [11618] = 11618,
  [11619] = 10985,
  [11620] = 11620,
  [11621] = 11621,
  [11622] = 8987,
  [11623] = 11542,
  [11624] = 9023,
  [11625] = 9036,
  [11626] = 9037,
  [11627] = 9018,
  [11628] = 9102,
  [11629] = 9121,
  [11630] = 9168,
  [11631] = 11631,
  [11632] = 8901,
  [11633] = 11633,
  [11634] = 11634,
  [11635] = 11117,
  [11636] = 11636,
  [11637] = 11637,
  [11638] = 11638,
  [11639] = 11639,
  [11640] = 11542,
  [11641] = 9017,
  [11642] = 9019,
  [11643] = 9044,
  [11644] = 9081,
  [11645] = 9179,
  [11646] = 9105,
  [11647] = 10122,
  [11648] = 11542,
  [11649] = 10622,
  [11650] = 10890,
  [11651] = 11035,
  [11652] = 9025,
  [11653] = 10741,
  [11654] = 3208,
  [11655] = 10709,
  [11656] = 3209,
  [11657] = 3210,
  [11658] = 3211,
  [11659] = 10796,
  [11660] = 11542,
  [11661] = 10834,
  [11662] = 9186,
  [11663] = 8885,
  [11664] = 11542,
  [11665] = 10052,
  [11666] = 11542,
  [11667] = 11667,
  [11668] = 11668,
  [11669] = 11669,
  [11670] = 11670,
  [11671] = 11671,
  [11672] = 10741,
  [11673] = 11673,
  [11674] = 11674,
  [11675] = 11675,
  [11676] = 11542,
  [11677] = 11677,
  [11678] = 11678,
  [11679] = 11679,
  [11680] = 11680,
  [11681] = 11681,
  [11682] = 11682,
  [11683] = 3208,
  [11684] = 3209,
  [11685] = 3210,
  [11686] = 3211,
  [11687] = 10985,
  [11688] = 11542,
  [11689] = 6459,
  [11690] = 11542,
  [11691] = 11542,
  [11692] = 11542,
  [11693] = 6351,
  [11694] = 11694,
  [11695] = 11695,
  [11696] = 11696,
  [11697] = 10709,
  [11698] = 10796,
  [11699] = 11542,
  [11700] = 11700,
  [11701] = 11701,
  [11702] = 11702,
  [11703] = 11542,
  [11704] = 11704,
  [11705] = 11705,
  [11706] = 11706,
  [11707] = 11542,
  [11708] = 11708,
  [11709] = 10622,
  [11710] = 11710,
  [11711] = 11542,
  [11712] = 11542,
  [11713] = 11542,
  [11714] = 11714,
  [11715] = 11542,
  [11716] = 11542,
  [11717] = 11542,
  [11718] = 11542,
  [11719] = 11542,
  [11720] = 11542,
  [11721] = 6153,
  [11722] = 11722,
  [11723] = 10834,
  [11724] = 11724,
  [11725] = 11542,
  [11726] = 11726,
  [11727] = 11727,
  [11728] = 11728,
  [11729] = 11729,
  [11730] = 11730,
  [11731] = 11329,
  [11732] = 9226,
  [11733] = 9227,
  [11734] = 11542,
  [11735] = 9228,
  [11736] = 9229,
  [11737] = 9230,
  [11738] = 9231,
  [11739] = 9232,
  [11740] = 9233,
  [11741] = 9234,
  [11742] = 9235,
  [11743] = 9236,
  [11744] = 11744,
  [11745] = 11745,
  [11746] = 11746,
  [11747] = 11747,
  [11748] = 11542,
  [11749] = 11542,
  [11750] = 9204,
  [11751] = 11751,
  [11752] = 11752,
  [11753] = 10379,
  [11754] = 11754,
  [11755] = 11542,
  [11756] = 11756,
  [11757] = 11757,
  [11758] = 11758,
  [11759] = 11759,
  [11760] = 9238,
  [11761] = 11542,
  [11762] = 11762,
  [11763] = 11763,
  [11764] = 11764,
  [11765] = 11765,
  [11766] = 11766,
  [11767] = 11542,
  [11768] = 11768,
  [11769] = 11769,
  [11770] = 11542,
  [11771] = 10146,
  [11772] = 11772,
  [11773] = 11542,
  [11774] = 6168,
  [11775] = 11542,
  [11776] = 11542,
  [11777] = 10249,
  [11778] = 10268,
  [11779] = 11542,
  [11780] = 9226,
  [11781] = 9227,
  [11782] = 9228,
  [11783] = 9229,
  [11784] = 9230,
  [11785] = 9231,
  [11786] = 11542,
  [11787] = 9232,
  [11788] = 9233,
  [11789] = 9234,
  [11790] = 9235,
  [11791] = 9236,
  [11792] = 11542,
  [11793] = 8361,
  [11794] = 11794,
  [11795] = 9283,
  [11796] = 11542,
  [11797] = 11797,
  [11798] = 6218,
  [11799] = 10183,
  [11800] = 11800,
  [11801] = 9238,
  [11802] = 10123,
  [11803] = 11803,
  [11804] = 11804,
  [11805] = 10622,
  [11806] = 10201,
  [11807] = 10203,
  [11808] = 11808,
  [11809] = 10185,
  [11810] = 11533,
  [11811] = 11537,
  [11812] = 11425,
  [11813] = 11813,
  [11814] = 11814,
  [11815] = 11815,
  [11816] = 11816,
  [11817] = 11817,
  [11818] = 10783,
  [11819] = 9199,
  [11820] = 5742,
  [11821] = 9284,
  [11822] = 9280,
  [11823] = 11823,
  [11824] = 11542,
  [11825] = 5714,
  [11826] = 11533,
  [11827] = 11537,
  [11828] = 11425,
  [11829] = 5715,
  [11830] = 10249,
  [11831] = 10268,
  [11832] = 10783,
  [11833] = 9210,
  [11834] = 9204,
  [11835] = 9281,
  [11836] = 9282,
  [11837] = 10183,
  [11838] = 11542,
  [11839] = 10783,
  [11840] = 10201,
  [11841] = 10203,
  [11842] = 10185,
  [11843] = 11164,
  [11844] = 11844,
  [11845] = 11542,
  [11846] = 11542,
  [11847] = 3105,
  [11848] = 10146,
  [11849] = 11849,
  [11850] = 3113,
  [11851] = 10379,
  [11852] = 11542,
  [11853] = 11416,
  [11854] = 11500,
  [11855] = 11406,
  [11856] = 11397,
  [11857] = 10123,
  [11858] = 11444,
  [11859] = 11490,
  [11860] = 11511,
  [11861] = 11370,
  [11862] = 11420,
  [11863] = 11377,
  [11864] = 11458,
  [11865] = 11532,
  [11866] = 11423,
  [11867] = 11438,
  [11868] = 11443,
  [11869] = 11391,
  [11870] = 11308,
  [11871] = 11871,
  [11872] = 11503,
  [11873] = 11413,
  [11874] = 10654,
  [11875] = 10887,
  [11876] = 10654,
  [11877] = 9211,
  [11878] = 9199,
  [11879] = 11542,
  [11880] = 5742,
  [11881] = 11209,
  [11882] = 11882,
  [11883] = 5714,
  [11884] = 9211,
  [11885] = 11885,
  [11886] = 11886,
  [11887] = 11887,
  [11888] = 11888,
  [11889] = 11889,
  [11890] = 10206,
  [11891] = 3208,
  [11892] = 11542,
  [11893] = 11893,
  [11894] = 10883,
  [11895] = 10708,
  [11896] = 10714,
  [11897] = 10819,
  [11898] = 10887,
  [11899] = 10883,
  [11900] = 10708,
  [11901] = 10714,
  [11902] = 10819,
  [11903] = 11407,
  [11904] = 11904,
  [11905] = 9471,
  [11906] = 10890,
  [11907] = 11329,
  [11908] = 10709,
  [11909] = 10223,
  [11910] = 10224,
  [11911] = 10225,
  [11912] = 11035,
  [11913] = 11074,
  [11914] = 10226,
  [11915] = 10796,
  [11916] = 10184,
  [11917] = 9226,
  [11918] = 9227,
  [11919] = 9228,
  [11920] = 9229,
  [11921] = 9230,
  [11922] = 9231,
  [11923] = 9232,
  [11924] = 9233,
  [11925] = 9234,
  [11926] = 9235,
  [11927] = 9236,
  [11928] = 10834,
  [11929] = 11808,
  [11930] = 11813,
  [11931] = 11931,
  [11932] = 11319,
  [11933] = 11209,
  [11934] = 11533,
  [11935] = 11537,
  [11936] = 11425,
  [11937] = 5778,
  [11938] = 11074,
  [11939] = 10429,
  [11940] = 11085,
  [11941] = 10741,
  [11942] = 10229,
  [11943] = 10230,
  [11944] = 10274,
  [11945] = 10890,
  [11946] = 10232,
  [11947] = 11947,
  [11948] = 11035,
  [11949] = 10177,
  [11950] = 11950,
  [11951] = 11951,
  [11952] = 10236,
  [11953] = 10237,
  [11954] = 10238,
  [11955] = 11955,
  [11956] = 10239,
  [11957] = 6351,
  [11958] = 9238,
  [11959] = 10240,
  [11960] = 10709,
  [11961] = 10241,
  [11962] = 11329,
  [11963] = 10796,
  [11964] = 10177,
  [11965] = 11209,
  [11966] = 10242,
  [11967] = 10206,
  [11968] = 11968,
  [11969] = 11085,
  [11970] = 10206,
  [11971] = 10243,
  [11972] = 10244,
  [11973] = 10211,
  [11974] = 10212,
  [11975] = 10218,
  [11976] = 10219,
  [11977] = 10247,
  [11978] = 11978,
  [11979] = 11979,
  [11980] = 10211,
  [11981] = 10212,
  [11982] = 10218,
  [11983] = 10219,
  [11984] = 10223,
  [11985] = 10224,
  [11986] = 10225,
  [11987] = 10226,
  [11988] = 6351,
  [11989] = 11989,
  [11990] = 10229,
  [11991] = 10230,
  [11992] = 10274,
  [11993] = 10232,
  [11994] = 10236,
  [11995] = 10237,
  [11996] = 10238,
  [11997] = 10239,
  [11998] = 10240,
  [11999] = 10241,
  [12000] = 10242,
  [12001] = 10243,
  [12002] = 10244,
  [12003] = 10247,
  [12004] = 12004,
  [12005] = 6459,
  [12006] = 10224,
  [12007] = 10834,
  [12008] = 12008,
  [12009] = 10225,
  [12010] = 10741,
  [12011] = 10709,
  [12012] = 10429,
  [12013] = 10206,
  [12014] = 10796,
  [12015] = 12015,
  [12016] = 12016,
  [12017] = 6351,
  [12018] = 12018,
  [12019] = 3208,
  [12020] = 10834,
  [12021] = 6459,
  [12022] = 6351,
  [12023] = 11319,
  [12024] = 10226,
  [12025] = 12025,
  [12026] = 6459,
  [12027] = 11266,
  [12028] = 11094,
  [12029] = 11266,
  [12030] = 11094,
  [12031] = 11164,
  [12032] = 12032,
  [12033] = 10890,
  [12034] = 12034,
  [12035] = 11035,
  [12036] = 10229,
  [12037] = 9205,
  [12038] = 12038,
  [12039] = 10230,
  [12040] = 10274,
  [12041] = 10232,
  [12042] = 10184,
  [12043] = 10236,
  [12044] = 10237,
  [12045] = 10238,
  [12046] = 10184,
  [12047] = 10239,
  [12048] = 10240,
  [12049] = 10241,
  [12050] = 10242,
  [12051] = 10243,
  [12052] = 10244,
  [12053] = 10187,
  [12054] = 10247,
  [12055] = 12055,
  [12056] = 10187,
  [12057] = 11329,
  [12058] = 12058,
  [12059] = 12059,
  [12060] = 12060,
  [12061] = 11209,
  [12062] = 12062,
  [12063] = 12063,
  [12064] = 12064,
  [12065] = 12065,
  [12066] = 11085,
  [12067] = 12067,
  [12068] = 11164,
  [12069] = 3209,
  [12070] = 3210,
  [12071] = 9211,
  [12072] = 11164,
  [12073] = 10187,
  [12074] = 12074,
  [12075] = 10211,
  [12076] = 10212,
  [12077] = 10218,
  [12078] = 11808,
  [12079] = 11813,
  [12080] = 5778,
  [12081] = 10219,
  [12082] = 3211,
  [12083] = 10741,
  [12084] = 12084,
  [12085] = 10887,
  [12086] = 12086,
  [12087] = 11800,
  [12088] = 11617,
  [12089] = 11673,
  [12090] = 10223,
  [12091] = 12091,
  [12092] = 10184,
  [12093] = 12093,
  [12094] = 12093,
  [12095] = 12093,
  [12096] = 12096,
  [12097] = 12097,
  [12098] = 12093,
  [12099] = 12093,
  [12100] = 10211,
  [12101] = 10212,
  [12102] = 12093,
  [12103] = 12093,
  [12104] = 10218,
  [12105] = 12093,
  [12106] = 10219,
  [12107] = 9205,
  [12108] = 12093,
  [12109] = 12093,
  [12110] = 11085,
  [12111] = 12093,
  [12112] = 5715,
  [12113] = 12093,
  [12114] = 12093,
  [12115] = 10187,
  [12116] = 12093,
  [12117] = 10223,
  [12118] = 12093,
  [12119] = 10224,
  [12120] = 10225,
  [12121] = 10226,
  [12122] = 12093,
  [12123] = 12123,
  [12124] = 3158,
  [12125] = 12125,
  [12126] = 12093,
  [12127] = 12093,
  [12128] = 3163,
  [12129] = 12129,
  [12130] = 12130,
  [12131] = 12093,
  [12132] = 12093,
  [12133] = 12133,
  [12134] = 12093,
  [12135] = 10229,
  [12136] = 10230,
  [12137] = 10274,
  [12138] = 10232,
  [12139] = 12093,
  [12140] = 10236,
  [12141] = 12141,
  [12142] = 12093,
  [12143] = 10206,
  [12144] = 10237,
  [12145] = 10238,
  [12146] = 10239,
  [12147] = 12093,
  [12148] = 12093,
  [12149] = 10240,
  [12150] = 10241,
  [12151] = 10211,
  [12152] = 10212,
  [12153] = 12093,
  [12154] = 10218,
  [12155] = 10219,
  [12156] = 12093,
  [12157] = 12093,
  [12158] = 12093,
  [12159] = 3208,
  [12160] = 10223,
  [12161] = 10224,
  [12162] = 10225,
  [12163] = 12093,
  [12164] = 3209,
  [12165] = 3210,
  [12166] = 3211,
  [12167] = 10242,
  [12168] = 10226,
  [12169] = 12093,
  [12170] = 12093,
  [12171] = 10243,
  [12172] = 12093,
  [12173] = 10244,
  [12174] = 10229,
  [12175] = 10230,
  [12176] = 10274,
  [12177] = 12093,
  [12178] = 12178,
  [12179] = 12179,
  [12180] = 12180,
  [12181] = 12181,
  [12182] = 10232,
  [12183] = 12133,
  [12184] = 12130,
  [12185] = 12091,
  [12186] = 12186,
  [12187] = 12096,
  [12188] = 12097,
  [12189] = 12129,
  [12190] = 10247,
  [12191] = 10236,
  [12192] = 10237,
  [12193] = 12093,
  [12194] = 9204,
  [12195] = 12195,
  [12196] = 10238,
  [12197] = 10239,
  [12198] = 12198,
  [12199] = 10240,
  [12200] = 10241,
  [12201] = 12201,
  [12202] = 11533,
  [12203] = 12179,
  [12204] = 12181,
  [12205] = 9210,
  [12206] = 10242,
  [12207] = 10243,
  [12208] = 9211,
  [12209] = 9199,
  [12210] = 10244,
  [12211] = 6351,
  [12212] = 10247,
  [12213] = 12181,
  [12214] = 12093,
  [12215] = 5742,
  [12216] = 9226,
  [12217] = 9227,
  [12218] = 9228,
  [12219] = 9229,
  [12220] = 9230,
  [12221] = 9231,
  [12222] = 9232,
  [12223] = 9233,
  [12224] = 9234,
  [12225] = 9235,
  [12226] = 9236,
  [12227] = 9204,
  [12228] = 9238,
  [12229] = 12180,
  [12230] = 12181,
  [12231] = 10783,
  [12232] = 12181,
  [12233] = 11537,
  [12234] = 12093,
  [12235] = 12181,
  [12236] = 9471,
  [12237] = 9283,
  [12238] = 9284,
  [12239] = 9280,
  [12240] = 9281,
  [12241] = 9282,
  [12242] = 12093,
  [12243] = 10783,
  [12244] = 12181,
  [12245] = 11808,
  [12246] = 11813,
  [12247] = 11955,
  [12248] = 12181,
  [12249] = 11533,
  [12250] = 11537,
  [12251] = 6459,
  [12252] = 11425,
  [12253] = 12181,
  [12254] = 12181,
  [12255] = 11533,
  [12256] = 11537,
  [12257] = 11425,
  [12258] = 9199,
  [12259] = 12181,
  [12260] = 12181,
  [12261] = 11425,
  [12262] = 12093,
  [12263] = 12181,
  [12264] = 12181,
  [12265] = 10622,
  [12266] = 12181,
  [12267] = 12181,
  [12268] = 12181,
  [12269] = 12181,
  [12270] = 12181,
  [12271] = 12181,
  [12272] = 12181,
  [12273] = 12181,
  [12274] = 12093,
  [12275] = 12093,
  [12276] = 12093,
  [12277] = 10184,
  [12278] = 12278,
  [12279] = 12279,
  [12280] = 9471,
  [12281] = 10052,
  [12282] = 12093,
  [12283] = 12283,
  [12284] = 12091,
  [12285] = 12093,
  [12286] = 12186,
  [12287] = 12178,
  [12288] = 10187,
  [12289] = 10887,
  [12290] = 12179,
  [12291] = 12180,
  [12292] = 12062,
  [12293] = 12133,
  [12294] = 12084,
  [12295] = 11931,
  [12296] = 3208,
  [12297] = 3209,
  [12298] = 12130,
  [12299] = 3210,
  [12300] = 3211,
  [12301] = 11503,
  [12302] = 12186,
  [12303] = 11413,
  [12304] = 12096,
  [12305] = 12097,
  [12306] = 12129,
  [12307] = 5714,
  [12308] = 10123,
  [12309] = 12178,
  [12310] = 11416,
  [12311] = 11500,
  [12312] = 11406,
  [12313] = 12093,
  [12314] = 11397,
  [12315] = 11444,
  [12316] = 11490,
  [12317] = 12062,
  [12318] = 11511,
  [12319] = 11370,
  [12320] = 11420,
  [12321] = 12084,
  [12322] = 11931,
  [12323] = 11377,
  [12324] = 11458,
  [12325] = 11532,
  [12326] = 11423,
  [12327] = 11438,
  [12328] = 11443,
  [12329] = 11391,
  [12330] = 11416,
  [12331] = 11500,
  [12332] = 11406,
  [12333] = 11397,
  [12334] = 11444,
  [12335] = 11490,
  [12336] = 11511,
  [12337] = 11370,
  [12338] = 11420,
  [12339] = 11377,
  [12340] = 11458,
  [12341] = 11532,
  [12342] = 11423,
  [12343] = 11438,
  [12344] = 11443,
  [12345] = 11503,
  [12346] = 11391,
  [12347] = 11413,
  [12348] = 6459,
  [12349] = 10622,
  [12350] = 10206,
  [12351] = 12093,
  [12352] = 6351,
  [12353] = 12353,
  [12354] = 12093,
  [12355] = 12093,
  [12356] = 12356,
  [12357] = 12357,
  [12358] = 12093,
  [12359] = 12357,
  [12360] = 12093,
  [12361] = 6459,
  [12362] = 10146,
  [12363] = 12015,
  [12364] = 12093,
  [12365] = 12060,
  [12366] = 12065,
  [12367] = 11407,
  [12368] = 12093,
  [12369] = 12015,
  [12370] = 12060,
  [12371] = 11407,
  [12372] = 12004,
  [12373] = 10122,
  [12374] = 12374,
  [12375] = 12064,
  [12376] = 12374,
  [12377] = 12377,
  [12378] = 12378,
  [12379] = 12379,
  [12380] = 12380,
  [12381] = 12377,
  [12382] = 12382,
  [12383] = 12383,
  [12384] = 12383,
  [12385] = 12385,
  [12386] = 12385,
  [12387] = 12385,
  [12388] = 12388,
  [12389] = 12379,
  [12390] = 12382,
  [12391] = 12391,
  [12392] = 12388,
  [12393] = 12383,
  [12394] = 12379,
  [12395] = 12382,
  [12396] = 12396,
  [12397] = 12391,
  [12398] = 12380,
  [12399] = 12380,
  [12400] = 12377,
  [12401] = 12385,
  [12402] = 12388,
  [12403] = 12388,
  [12404] = 12379,
  [12405] = 12382,
  [12406] = 12383,
  [12407] = 12385,
  [12408] = 12388,
  [12409] = 12379,
  [12410] = 12382,
  [12411] = 12391,
  [12412] = 12379,
  [12413] = 12391,
  [12414] = 12380,
  [12415] = 12382,
  [12416] = 12377,
  [12417] = 12380,
  [12418] = 12377,
  [12419] = 12383,
  [12420] = 12379,
  [12421] = 12382,
  [12422] = 12385,
  [12423] = 12388,
  [12424] = 12379,
  [12425] = 12382,
  [12426] = 12391,
  [12427] = 12377,
  [12428] = 12383,
  [12429] = 12391,
  [12430] = 12380,
  [12431] = 12391,
  [12432] = 12383,
  [12433] = 12385,
  [12434] = 12379,
  [12435] = 12380,
  [12436] = 12388,
  [12437] = 12377,
  [12438] = 12377,
  [12439] = 9205,
  [12440] = 12379,
  [12441] = 12383,
  [12442] = 12385,
  [12443] = 12388,
  [12444] = 12379,
  [12445] = 12382,
  [12446] = 12391,
  [12447] = 12377,
  [12448] = 12380,
  [12449] = 12382,
  [12450] = 12377,
  [12451] = 12383,
  [12452] = 12385,
  [12453] = 12388,
  [12454] = 12379,
  [12455] = 12382,
  [12456] = 12391,
  [12457] = 12391,
  [12458] = 12380,
  [12459] = 12377,
  [12460] = 12383,
  [12461] = 12385,
  [12462] = 12388,
  [12463] = 12379,
  [12464] = 12382,
  [12465] = 12391,
  [12466] = 12382,
  [12467] = 12380,
  [12468] = 12377,
  [12469] = 12469,
  [12470] = 12383,
  [12471] = 12383,
  [12472] = 12385,
  [12473] = 12388,
  [12474] = 12379,
  [12475] = 12382,
  [12476] = 12391,
  [12477] = 12385,
  [12478] = 12388,
  [12479] = 12380,
  [12480] = 12379,
  [12481] = 12377,
  [12482] = 12383,
  [12483] = 12382,
  [12484] = 12391,
  [12485] = 12385,
  [12486] = 12388,
  [12487] = 12379,
  [12488] = 12382,
  [12489] = 12391,
  [12490] = 12383,
  [12491] = 12383,
  [12492] = 12380,
  [12493] = 12380,
  [12494] = 12380,
  [12495] = 12385,
  [12496] = 12377,
  [12497] = 12377,
  [12498] = 12383,
  [12499] = 12385,
  [12500] = 12388,
  [12501] = 12379,
  [12502] = 12382,
  [12503] = 12391,
  [12504] = 12377,
  [12505] = 12380,
  [12506] = 12377,
  [12507] = 12383,
  [12508] = 12385,
  [12509] = 12388,
  [12510] = 12379,
  [12511] = 12382,
  [12512] = 12391,
  [12513] = 12383,
  [12514] = 12388,
  [12515] = 12385,
  [12516] = 12388,
  [12517] = 12379,
  [12518] = 12383,
  [12519] = 12519,
  [12520] = 12382,
  [12521] = 12385,
  [12522] = 12522,
  [12523] = 12380,
  [12524] = 12378,
  [12525] = 12388,
  [12526] = 12391,
  [12527] = 12527,
  [12528] = 12528,
  [12529] = 12529,
  [12530] = 12378,
  [12531] = 12379,
  [12532] = 12382,
  [12533] = 12391,
  [12534] = 11813,
  [12535] = 12535,
  [12536] = 12385,
  [12537] = 12380,
  [12538] = 12377,
  [12539] = 12383,
  [12540] = 12540,
  [12541] = 12385,
  [12542] = 12388,
  [12543] = 12379,
  [12544] = 12377,
  [12545] = 12382,
  [12546] = 12391,
  [12547] = 12522,
  [12548] = 12527,
  [12549] = 12528,
  [12550] = 12529,
  [12551] = 12535,
  [12552] = 12391,
  [12553] = 9226,
  [12554] = 9227,
  [12555] = 9228,
  [12556] = 9229,
  [12557] = 9230,
  [12558] = 9231,
  [12559] = 9232,
  [12560] = 9233,
  [12561] = 9234,
  [12562] = 9235,
  [12563] = 9236,
  [12564] = 12388,
  [12565] = 9238,
  [12566] = 11329,
  [12567] = 12379,
  [12568] = 12380,
  [12569] = 10890,
  [12570] = 12377,
  [12571] = 12383,
  [12572] = 11035,
  [12573] = 12573,
  [12574] = 12574,
  [12575] = 12382,
  [12576] = 12383,
  [12577] = 12385,
  [12578] = 12388,
  [12579] = 9199,
  [12580] = 11209,
  [12581] = 12379,
  [12582] = 12380,
  [12583] = 12382,
  [12584] = 12385,
  [12585] = 12388,
  [12586] = 10741,
  [12587] = 12519,
  [12588] = 12379,
  [12589] = 12379,
  [12590] = 12391,
  [12591] = 12382,
  [12592] = 12391,
  [12593] = 10709,
  [12594] = 12391,
  [12595] = 10796,
  [12596] = 9226,
  [12597] = 9227,
  [12598] = 9228,
  [12599] = 9229,
  [12600] = 9230,
  [12601] = 9231,
  [12602] = 9232,
  [12603] = 9233,
  [12604] = 9234,
  [12605] = 9235,
  [12606] = 9236,
  [12607] = 9204,
  [12608] = 9238,
  [12609] = 12377,
  [12610] = 12380,
  [12611] = 12385,
  [12612] = 12388,
  [12613] = 12377,
  [12614] = 10834,
  [12615] = 12519,
  [12616] = 11533,
  [12617] = 11537,
  [12618] = 12382,
  [12619] = 11425,
  [12620] = 12383,
  [12621] = 12385,
  [12622] = 12388,
  [12623] = 12379,
  [12624] = 9210,
  [12625] = 12380,
  [12626] = 11808,
  [12627] = 12382,
  [12628] = 12391,
  [12629] = 12383,
  [12630] = 12380,
  [12631] = 12377,
  [12632] = 12383,
  [12633] = 12385,
  [12634] = 12388,
  [12635] = 12379,
  [12636] = 12382,
  [12637] = 12391,
  [12638] = 12388,
  [12639] = 12639,
  [12640] = 9211,
  [12641] = 9199,
  [12642] = 12519,
  [12643] = 12383,
  [12644] = 12383,
  [12645] = 5778,
  [12646] = 12385,
  [12647] = 9283,
  [12648] = 9284,
  [12649] = 9280,
  [12650] = 9281,
  [12651] = 9282,
  [12652] = 12388,
  [12653] = 12379,
  [12654] = 12380,
  [12655] = 12382,
  [12656] = 12391,
  [12657] = 12391,
  [12658] = 12574,
  [12659] = 12519,
  [12660] = 12380,
  [12661] = 12379,
  [12662] = 12377,
  [12663] = 12383,
  [12664] = 12382,
  [12665] = 12377,
  [12666] = 12519,
  [12667] = 12382,
  [12668] = 9205,
  [12669] = 12385,
  [12670] = 12388,
  [12671] = 11329,
  [12672] = 12379,
  [12673] = 12383,
  [12674] = 12382,
  [12675] = 12391,
  [12676] = 12519,
  [12677] = 12380,
  [12678] = 12678,
  [12679] = 12377,
  [12680] = 11209,
  [12681] = 12383,
  [12682] = 12385,
  [12683] = 11808,
  [12684] = 11813,
  [12685] = 12519,
  [12686] = 12380,
  [12687] = 12377,
  [12688] = 12391,
  [12689] = 12383,
  [12690] = 12385,
  [12691] = 12379,
  [12692] = 12382,
  [12693] = 12519,
  [12694] = 11533,
  [12695] = 11537,
  [12696] = 11425,
  [12697] = 12391,
  [12698] = 12385,
  [12699] = 12385,
  [12700] = 12388,
  [12701] = 12388,
  [12702] = 11808,
  [12703] = 11813,
  [12704] = 12519,
  [12705] = 12379,
  [12706] = 12382,
  [12707] = 9211,
  [12708] = 12391,
  [12709] = 12379,
  [12710] = 12382,
  [12711] = 12380,
  [12712] = 12391,
  [12713] = 12527,
  [12714] = 12573,
  [12715] = 12519,
  [12716] = 11533,
  [12717] = 11537,
  [12718] = 11425,
  [12719] = 9204,
  [12720] = 11164,
  [12721] = 12380,
  [12722] = 12519,
  [12723] = 12519,
  [12724] = 12377,
  [12725] = 12379,
  [12726] = 12519,
  [12727] = 12380,
  [12728] = 10890,
  [12729] = 12377,
  [12730] = 11035,
  [12731] = 12383,
  [12732] = 12519,
  [12733] = 12380,
  [12734] = 12519,
  [12735] = 10741,
  [12736] = 12385,
  [12737] = 12388,
  [12738] = 12519,
  [12739] = 12383,
  [12740] = 12519,
  [12741] = 12379,
  [12742] = 10709,
  [12743] = 12382,
  [12744] = 10796,
  [12745] = 12519,
  [12746] = 12391,
  [12747] = 12385,
  [12748] = 12519,
  [12749] = 12388,
  [12750] = 10834,
  [12751] = 12519,
  [12752] = 12379,
  [12753] = 12519,
  [12754] = 12519,
  [12755] = 12519,
  [12756] = 12382,
  [12757] = 12380,
  [12758] = 12519,
  [12759] = 12519,
  [12760] = 12519,
  [12761] = 12377,
  [12762] = 12519,
  [12763] = 12519,
  [12764] = 12519,
  [12765] = 12388,
  [12766] = 12519,
  [12767] = 12383,
  [12768] = 12519,
  [12769] = 12519,
  [12770] = 12678,
  [12771] = 12391,
  [12772] = 12519,
  [12773] = 12380,
  [12774] = 12377,
  [12775] = 12377,
  [12776] = 12385,
  [12777] = 12388,
  [12778] = 12519,
  [12779] = 11164,
  [12780] = 12519,
  [12781] = 12380,
  [12782] = 12380,
  [12783] = 12519,
  [12784] = 12379,
  [12785] = 12382,
  [12786] = 12519,
  [12787] = 12391,
  [12788] = 12519,
  [12789] = 12383,
  [12790] = 12519,
  [12791] = 12519,
  [12792] = 12385,
  [12793] = 12388,
  [12794] = 12377,
  [12795] = 12379,
  [12796] = 12519,
  [12797] = 12382,
  [12798] = 12391,
  [12799] = 12380,
  [12800] = 12383,
  [12801] = 12519,
  [12802] = 12519,
  [12803] = 12519,
  [12804] = 12377,
  [12805] = 12380,
  [12806] = 12383,
  [12807] = 12519,
  [12808] = 12377,
  [12809] = 12519,
  [12810] = 12519,
  [12811] = 12528,
  [12812] = 12377,
  [12813] = 12377,
  [12814] = 12380,
  [12815] = 12519,
  [12816] = 12385,
  [12817] = 12377,
  [12818] = 12388,
  [12819] = 12573,
  [12820] = 12574,
  [12821] = 12385,
  [12822] = 12388,
  [12823] = 12383,
  [12824] = 12385,
  [12825] = 12379,
  [12826] = 12388,
  [12827] = 12379,
  [12828] = 12382,
  [12829] = 12379,
  [12830] = 12391,
  [12831] = 12383,
  [12832] = 12382,
  [12833] = 12382,
  [12834] = 12391,
  [12835] = 12391,
  [12836] = 12836,
  [12837] = 12383,
  [12838] = 10379,
  [12839] = 12391,
  [12840] = 12383,
  [12841] = 12841,
  [12842] = 12380,
  [12843] = 12843,
  [12844] = 12385,
  [12845] = 12385,
  [12846] = 12388,
  [12847] = 12377,
  [12848] = 12388,
  [12849] = 12383,
  [12850] = 12385,
  [12851] = 12385,
  [12852] = 12388,
  [12853] = 12379,
  [12854] = 12382,
  [12855] = 12391,
  [12856] = 12379,
  [12857] = 12382,
  [12858] = 12391,
  [12859] = 12379,
  [12860] = 12382,
  [12861] = 12380,
  [12862] = 8401,
  [12863] = 12377,
  [12864] = 12377,
  [12865] = 12391,
  [12866] = 12380,
  [12867] = 12380,
  [12868] = 12383,
  [12869] = 12377,
  [12870] = 12377,
  [12871] = 12377,
  [12872] = 12383,
  [12873] = 12873,
  [12874] = 12385,
  [12875] = 12062,
  [12876] = 12385,
  [12877] = 12388,
  [12878] = 12379,
  [12879] = 12084,
  [12880] = 11931,
  [12881] = 12382,
  [12882] = 12391,
  [12883] = 12377,
  [12884] = 12383,
  [12885] = 12388,
  [12886] = 12380,
  [12887] = 12385,
  [12888] = 12388,
  [12889] = 12383,
  [12890] = 12385,
  [12891] = 12388,
  [12892] = 12379,
  [12893] = 12379,
  [12894] = 12382,
  [12895] = 12391,
  [12896] = 12382,
  [12897] = 12391,
  [12898] = 12377,
  [12899] = 12383,
  [12900] = 12385,
  [12901] = 12388,
  [12902] = 12380,
  [12903] = 12379,
  [12904] = 12380,
  [12905] = 12377,
  [12906] = 12522,
  [12907] = 12383,
  [12908] = 12385,
  [12909] = 12388,
  [12910] = 12379,
  [12911] = 12382,
  [12912] = 12382,
  [12913] = 12380,
  [12914] = 12535,
  [12915] = 12391,
  [12916] = 12377,
  [12917] = 12391,
  [12918] = 12391,
  [12919] = 12380,
  [12920] = 12383,
  [12921] = 12529,
  [12922] = 12380,
  [12923] = 12380,
  [12924] = 12385,
  [12925] = 12388,
  [12926] = 12380,
  [12927] = 12377,
  [12928] = 12380,
  [12929] = 12379,
  [12930] = 12382,
  [12931] = 12391,
  [12932] = 12383,
  [12933] = 12385,
  [12934] = 12519,
  [12935] = 10177,
  [12936] = 12385,
  [12937] = 12388,
  [12938] = 12379,
  [12939] = 12382,
  [12940] = 12391,
  [12941] = 12377,
  [12942] = 12377,
  [12943] = 12383,
  [12944] = 12388,
  [12945] = 11617,
  [12946] = 12385,
  [12947] = 11673,
  [12948] = 12836,
  [12949] = 12388,
  [12950] = 12380,
  [12951] = 12380,
  [12952] = 12379,
  [12953] = 12382,
  [12954] = 11617,
  [12955] = 11673,
  [12956] = 12015,
  [12957] = 12060,
  [12958] = 12391,
  [12959] = 12378,
  [12960] = 12377,
  [12961] = 11800,
  [12962] = 11800,
  [12963] = 12383,
  [12964] = 9205,
  [12965] = 12378,
  [12966] = 12378,
  [12967] = 12388,
  [12968] = 3209,
  [12969] = 11808,
  [12970] = 11813,
  [12971] = 12971,
  [12972] = 12528,
  [12973] = 12973,
  [12974] = 12974,
  [12975] = 12975,
  [12976] = 11085,
  [12977] = 12178,
  [12978] = 12971,
  [12979] = 12179,
  [12980] = 11808,
  [12981] = 11813,
  [12982] = 12180,
  [12983] = 12971,
  [12984] = 12133,
  [12985] = 12971,
  [12986] = 12527,
  [12987] = 12130,
  [12988] = 10242,
  [12989] = 12971,
  [12990] = 10243,
  [12991] = 12091,
  [12992] = 10244,
  [12993] = 12971,
  [12994] = 12975,
  [12995] = 12186,
  [12996] = 12096,
  [12997] = 12097,
  [12998] = 12971,
  [12999] = 12129,
  [13000] = 12522,
  [13001] = 12527,
  [13002] = 12971,
  [13003] = 12528,
  [13004] = 12529,
  [13005] = 12971,
  [13006] = 13006,
  [13007] = 12535,
  [13008] = 10247,
  [13009] = 12971,
  [13010] = 13010,
  [13011] = 13011,
  [13012] = 12971,
  [13013] = 13013,
  [13014] = 12971,
  [13015] = 10229,
  [13016] = 10230,
  [13017] = 12971,
  [13018] = 13018,
  [13019] = 12971,
  [13020] = 13020,
  [13021] = 13021,
  [13022] = 13022,
  [13023] = 12971,
  [13024] = 13024,
  [13025] = 12535,
  [13026] = 12573,
  [13027] = 12975,
  [13028] = 12574,
  [13029] = 11808,
  [13030] = 11813,
  [13031] = 13031,
  [13032] = 6459,
  [13033] = 13033,
  [13034] = 12974,
  [13035] = 13035,
  [13036] = 12178,
  [13037] = 9205,
  [13038] = 13038,
  [13039] = 6351,
  [13040] = 9204,
  [13041] = 12179,
  [13042] = 12180,
  [13043] = 12971,
  [13044] = 10122,
  [13045] = 13045,
  [13046] = 13046,
  [13047] = 12133,
  [13048] = 12971,
  [13049] = 12130,
  [13050] = 12091,
  [13051] = 12186,
  [13052] = 12096,
  [13053] = 10206,
  [13054] = 12097,
  [13055] = 12129,
  [13056] = 12975,
  [13057] = 9283,
  [13058] = 9284,
  [13059] = 9280,
  [13060] = 9210,
  [13061] = 9281,
  [13062] = 12973,
  [13063] = 9282,
  [13064] = 3208,
  [13065] = 12529,
  [13066] = 13066,
  [13067] = 13022,
  [13068] = 10274,
  [13069] = 12974,
  [13070] = 9471,
  [13071] = 10052,
  [13072] = 10232,
  [13073] = 13073,
  [13074] = 13074,
  [13075] = 12975,
  [13076] = 13076,
  [13077] = 10236,
  [13078] = 13006,
  [13079] = 13079,
  [13080] = 13031,
  [13081] = 13006,
  [13082] = 13031,
  [13083] = 12974,
  [13084] = 13079,
  [13085] = 12522,
  [13086] = 12527,
  [13087] = 12528,
  [13088] = 12529,
  [13089] = 12535,
  [13090] = 12573,
  [13091] = 12574,
  [13092] = 13092,
  [13093] = 13093,
  [13094] = 10887,
  [13095] = 12974,
  [13096] = 13066,
  [13097] = 10237,
  [13098] = 13010,
  [13099] = 11955,
  [13100] = 10226,
  [13101] = 10238,
  [13102] = 13102,
  [13103] = 12971,
  [13104] = 10239,
  [13105] = 13105,
  [13106] = 13106,
  [13107] = 10887,
  [13108] = 12975,
  [13109] = 3211,
  [13110] = 13022,
  [13111] = 13079,
  [13112] = 9199,
  [13113] = 12062,
  [13114] = 12084,
  [13115] = 11931,
  [13116] = 12062,
  [13117] = 12084,
  [13118] = 11931,
  [13119] = 10211,
  [13120] = 10212,
  [13121] = 10218,
  [13122] = 9205,
  [13123] = 12974,
  [13124] = 10219,
  [13125] = 10123,
  [13126] = 12975,
  [13127] = 12971,
  [13128] = 10146,
  [13129] = 10240,
  [13130] = 10241,
  [13131] = 12974,
  [13132] = 12573,
  [13133] = 9226,
  [13134] = 9227,
  [13135] = 9228,
  [13136] = 9229,
  [13137] = 9230,
  [13138] = 9231,
  [13139] = 12971,
  [13140] = 9232,
  [13141] = 12522,
  [13142] = 9205,
  [13143] = 9226,
  [13144] = 9227,
  [13145] = 13145,
  [13146] = 9233,
  [13147] = 9234,
  [13148] = 9235,
  [13149] = 12974,
  [13150] = 9236,
  [13151] = 9204,
  [13152] = 9238,
  [13153] = 10187,
  [13154] = 12971,
  [13155] = 9228,
  [13156] = 10184,
  [13157] = 9229,
  [13158] = 10225,
  [13159] = 12065,
  [13160] = 12574,
  [13161] = 9211,
  [13162] = 9199,
  [13163] = 9230,
  [13164] = 9231,
  [13165] = 9232,
  [13166] = 9233,
  [13167] = 12015,
  [13168] = 12060,
  [13169] = 9234,
  [13170] = 9235,
  [13171] = 12015,
  [13172] = 12060,
  [13173] = 9236,
  [13174] = 13102,
  [13175] = 13092,
  [13176] = 13006,
  [13177] = 13046,
  [13178] = 13031,
  [13179] = 12065,
  [13180] = 9238,
  [13181] = 10223,
  [13182] = 9211,
  [13183] = 12004,
  [13184] = 13092,
  [13185] = 13006,
  [13186] = 13031,
  [13187] = 12004,
  [13188] = 13092,
  [13189] = 13006,
  [13190] = 13031,
  [13191] = 13022,
  [13192] = 10224,
  [13193] = 11085,
  [13194] = 13076,
  [13195] = 13195,
  [13196] = 13105,
  [13197] = 13079,
  [13198] = 13022,
  [13199] = 13076,
  [13200] = 12064,
  [13201] = 13079,
  [13202] = 13022,
  [13203] = 13076,
  [13204] = 12064,
  [13205] = 13079,
  [13206] = 12971,
  [13207] = 11955,
  [13208] = 3210,
  [13209] = 3163,
  [13210] = 13210,
  [13211] = 9199,
  [13212] = 13210,
  [13213] = 9204,
  [13214] = 9230,
  [13215] = 13210,
  [13216] = 9199,
  [13217] = 13210,
  [13218] = 3144,
  [13219] = 13219,
  [13220] = 13210,
  [13221] = 9211,
  [13222] = 13210,
  [13223] = 9199,
  [13224] = 9210,
  [13225] = 13210,
  [13226] = 9210,
  [13227] = 13227,
  [13228] = 13210,
  [13229] = 3144,
  [13230] = 13230,
  [13231] = 13231,
  [13232] = 13210,
  [13233] = 13210,
  [13234] = 10123,
  [13235] = 9283,
  [13236] = 3126,
  [13237] = 9283,
  [13238] = 9231,
  [13239] = 13239,
  [13240] = 9281,
  [13241] = 9282,
  [13242] = 13038,
  [13243] = 9284,
  [13244] = 13244,
  [13245] = 13073,
  [13246] = 9284,
  [13247] = 9280,
  [13248] = 3147,
  [13249] = 13249,
  [13250] = 13250,
  [13251] = 13251,
  [13252] = 9280,
  [13253] = 13239,
  [13254] = 13210,
  [13255] = 13255,
  [13256] = 9281,
  [13257] = 9232,
  [13258] = 13255,
  [13259] = 3143,
  [13260] = 3163,
  [13261] = 9281,
  [13262] = 13227,
  [13263] = 13230,
  [13264] = 9282,
  [13265] = 9204,
  [13266] = 9233,
  [13267] = 9282,
  [13268] = 13268,
  [13269] = 13210,
  [13270] = 9228,
  [13271] = 9227,
  [13272] = 13272,
  [13273] = 13273,
  [13274] = 13227,
  [13275] = 13275,
  [13276] = 3148,
  [13277] = 13277,
  [13278] = 10379,
  [13279] = 13277,
  [13280] = 13280,
  [13281] = 9226,
  [13282] = 9227,
  [13283] = 3148,
  [13284] = 9228,
  [13285] = 13011,
  [13286] = 9229,
  [13287] = 3142,
  [13288] = 9230,
  [13289] = 9231,
  [13290] = 9232,
  [13291] = 13210,
  [13292] = 9233,
  [13293] = 9199,
  [13294] = 9210,
  [13295] = 13210,
  [13296] = 9229,
  [13297] = 13297,
  [13298] = 9211,
  [13299] = 9226,
  [13300] = 9199,
  [13301] = 9227,
  [13302] = 9228,
  [13303] = 9234,
  [13304] = 13239,
  [13305] = 9235,
  [13306] = 9199,
  [13307] = 9236,
  [13308] = 9238,
  [13309] = 9204,
  [13310] = 9229,
  [13311] = 13210,
  [13312] = 9205,
  [13313] = 11533,
  [13314] = 11537,
  [13315] = 13230,
  [13316] = 9210,
  [13317] = 9199,
  [13318] = 9204,
  [13319] = 13210,
  [13320] = 9230,
  [13321] = 11425,
  [13322] = 9231,
  [13323] = 9205,
  [13324] = 9204,
  [13325] = 13210,
  [13326] = 9230,
  [13327] = 9232,
  [13328] = 9233,
  [13329] = 13239,
  [13330] = 9234,
  [13331] = 9205,
  [13332] = 9235,
  [13333] = 9236,
  [13334] = 9226,
  [13335] = 9211,
  [13336] = 9205,
  [13337] = 9199,
  [13338] = 13338,
  [13339] = 13210,
  [13340] = 13106,
  [13341] = 9238,
  [13342] = 13210,
  [13343] = 9234,
  [13344] = 9226,
  [13345] = 9227,
  [13346] = 13210,
  [13347] = 9228,
  [13348] = 9229,
  [13349] = 9210,
  [13350] = 10122,
  [13351] = 9211,
  [13352] = 9230,
  [13353] = 9205,
  [13354] = 9226,
  [13355] = 9227,
  [13356] = 9231,
  [13357] = 9228,
  [13358] = 9229,
  [13359] = 9235,
  [13360] = 9204,
  [13361] = 9236,
  [13362] = 3158,
  [13363] = 9230,
  [13364] = 9231,
  [13365] = 9232,
  [13366] = 9233,
  [13367] = 13231,
  [13368] = 12062,
  [13369] = 12084,
  [13370] = 11931,
  [13371] = 9234,
  [13372] = 9235,
  [13373] = 13280,
  [13374] = 13374,
  [13375] = 9232,
  [13376] = 13249,
  [13377] = 9236,
  [13378] = 9238,
  [13379] = 12062,
  [13380] = 12084,
  [13381] = 11931,
  [13382] = 9231,
  [13383] = 3134,
  [13384] = 3126,
  [13385] = 9232,
  [13386] = 13210,
  [13387] = 13387,
  [13388] = 9281,
  [13389] = 9280,
  [13390] = 9238,
  [13391] = 9211,
  [13392] = 9199,
  [13393] = 9233,
  [13394] = 13394,
  [13395] = 13210,
  [13396] = 11533,
  [13397] = 11537,
  [13398] = 3135,
  [13399] = 13210,
  [13400] = 9233,
  [13401] = 11425,
  [13402] = 10783,
  [13403] = 9234,
  [13404] = 3136,
  [13405] = 13210,
  [13406] = 9234,
  [13407] = 10177,
  [13408] = 9204,
  [13409] = 9235,
  [13410] = 9236,
  [13411] = 3295,
  [13412] = 9283,
  [13413] = 9204,
  [13414] = 13414,
  [13415] = 13210,
  [13416] = 9238,
  [13417] = 3137,
  [13418] = 3138,
  [13419] = 13272,
  [13420] = 3142,
  [13421] = 13421,
  [13422] = 9204,
  [13423] = 9283,
  [13424] = 13210,
  [13425] = 9284,
  [13426] = 9280,
  [13427] = 13210,
  [13428] = 13210,
  [13429] = 13249,
  [13430] = 9281,
  [13431] = 13210,
  [13432] = 13387,
  [13433] = 13210,
  [13434] = 9235,
  [13435] = 13210,
  [13436] = 10146,
  [13437] = 9284,
  [13438] = 9282,
  [13439] = 13250,
  [13440] = 13277,
  [13441] = 9226,
  [13442] = 13210,
  [13443] = 9227,
  [13444] = 13210,
  [13445] = 13210,
  [13446] = 13210,
  [13447] = 9228,
  [13448] = 10783,
  [13449] = 3162,
  [13450] = 13414,
  [13451] = 13451,
  [13452] = 13210,
  [13453] = 9229,
  [13454] = 9283,
  [13455] = 9284,
  [13456] = 9280,
  [13457] = 9281,
  [13458] = 9282,
  [13459] = 13459,
  [13460] = 13414,
  [13461] = 13268,
  [13462] = 13462,
  [13463] = 9230,
  [13464] = 13464,
  [13465] = 9231,
  [13466] = 9232,
  [13467] = 9233,
  [13468] = 13210,
  [13469] = 13013,
  [13470] = 13093,
  [13471] = 9234,
  [13472] = 9235,
  [13473] = 9236,
  [13474] = 9238,
  [13475] = 13210,
  [13476] = 9204,
  [13477] = 9280,
  [13478] = 9226,
  [13479] = 13210,
  [13480] = 9236,
  [13481] = 12015,
  [13482] = 12060,
  [13483] = 13145,
  [13484] = 9204,
  [13485] = 12015,
  [13486] = 12060,
  [13487] = 13033,
  [13488] = 13210,
  [13489] = 9210,
  [13490] = 13210,
  [13491] = 9282,
  [13492] = 13210,
  [13493] = 3147,
  [13494] = 13210,
  [13495] = 9281,
  [13496] = 13210,
  [13497] = 9282,
  [13498] = 9227,
  [13499] = 13210,
  [13500] = 9205,
  [13501] = 3117,
  [13502] = 13502,
  [13503] = 13394,
  [13504] = 9205,
  [13505] = 13210,
  [13506] = 13210,
  [13507] = 9283,
  [13508] = 9199,
  [13509] = 9228,
  [13510] = 3143,
  [13511] = 9284,
  [13512] = 9211,
  [13513] = 9199,
  [13514] = 9199,
  [13515] = 13210,
  [13516] = 13210,
  [13517] = 9280,
  [13518] = 13518,
  [13519] = 13210,
  [13520] = 10052,
  [13521] = 9238,
  [13522] = 9211,
  [13523] = 13255,
  [13524] = 13024,
  [13525] = 13074,
  [13526] = 3158,
  [13527] = 13018,
  [13528] = 13020,
  [13529] = 13195,
  [13530] = 9204,
  [13531] = 9283,
  [13532] = 9229,
  [13533] = 9284,
  [13534] = 13045,
  [13535] = 13250,
  [13536] = 9238,
  [13537] = 9232,
  [13538] = 9233,
  [13539] = 13539,
  [13540] = 9234,
  [13541] = 9235,
  [13542] = 9236,
  [13543] = 13543,
  [13544] = 13544,
  [13545] = 9238,
  [13546] = 13539,
  [13547] = 13543,
  [13548] = 13544,
  [13549] = 13539,
  [13550] = 13543,
  [13551] = 13544,
  [13552] = 13552,
  [13553] = 13539,
  [13554] = 13543,
  [13555] = 13544,
  [13556] = 13539,
  [13557] = 13543,
  [13558] = 13539,
  [13559] = 13543,
  [13560] = 13544,
  [13561] = 13544,
  [13562] = 9226,
  [13563] = 9227,
  [13564] = 9228,
  [13565] = 9229,
  [13566] = 9230,
  [13567] = 9231,
  [13568] = 9232,
  [13569] = 9233,
  [13570] = 9234,
  [13571] = 13539,
  [13572] = 9235,
  [13573] = 9236,
  [13574] = 13543,
  [13575] = 13544,
  [13576] = 9204,
  [13577] = 3208,
  [13578] = 13539,
  [13579] = 13543,
  [13580] = 9284,
  [13581] = 13544,
  [13582] = 9280,
  [13583] = 13539,
  [13584] = 13539,
  [13585] = 13539,
  [13586] = 9205,
  [13587] = 13543,
  [13588] = 9205,
  [13589] = 13543,
  [13590] = 13544,
  [13591] = 13539,
  [13592] = 13539,
  [13593] = 13539,
  [13594] = 13539,
  [13595] = 13539,
  [13596] = 13539,
  [13597] = 13539,
  [13598] = 13539,
  [13599] = 13539,
  [13600] = 13539,
  [13601] = 13539,
  [13602] = 13539,
  [13603] = 13539,
  [13604] = 13544,
  [13605] = 13539,
  [13606] = 9204,
  [13607] = 13539,
  [13608] = 13608,
  [13609] = 3209,
  [13610] = 3210,
  [13611] = 13543,
  [13612] = 13544,
  [13613] = 9211,
  [13614] = 3211,
  [13615] = 9199,
  [13616] = 13539,
  [13617] = 11164,
  [13618] = 10236,
  [13619] = 13539,
  [13620] = 10237,
  [13621] = 10238,
  [13622] = 13543,
  [13623] = 9283,
  [13624] = 13543,
  [13625] = 13544,
  [13626] = 9211,
  [13627] = 9284,
  [13628] = 9280,
  [13629] = 9226,
  [13630] = 9227,
  [13631] = 9228,
  [13632] = 9229,
  [13633] = 9230,
  [13634] = 9231,
  [13635] = 9232,
  [13636] = 9233,
  [13637] = 9234,
  [13638] = 9235,
  [13639] = 9236,
  [13640] = 9281,
  [13641] = 9282,
  [13642] = 9238,
  [13643] = 10239,
  [13644] = 13543,
  [13645] = 10240,
  [13646] = 10241,
  [13647] = 13544,
  [13648] = 13539,
  [13649] = 13543,
  [13650] = 13544,
  [13651] = 9280,
  [13652] = 9204,
  [13653] = 13539,
  [13654] = 9205,
  [13655] = 13539,
  [13656] = 13608,
  [13657] = 13539,
  [13658] = 9211,
  [13659] = 13543,
  [13660] = 13544,
  [13661] = 9283,
  [13662] = 9284,
  [13663] = 9280,
  [13664] = 9281,
  [13665] = 9282,
  [13666] = 9199,
  [13667] = 13543,
  [13668] = 13539,
  [13669] = 9205,
  [13670] = 9205,
  [13671] = 13543,
  [13672] = 13544,
  [13673] = 9204,
  [13674] = 13544,
  [13675] = 13539,
  [13676] = 13543,
  [13677] = 13544,
  [13678] = 13539,
  [13679] = 9199,
  [13680] = 9210,
  [13681] = 13681,
  [13682] = 9204,
  [13683] = 13683,
  [13684] = 9205,
  [13685] = 9211,
  [13686] = 13543,
  [13687] = 9226,
  [13688] = 13544,
  [13689] = 9227,
  [13690] = 9228,
  [13691] = 9229,
  [13692] = 9230,
  [13693] = 9231,
  [13694] = 9283,
  [13695] = 9284,
  [13696] = 9280,
  [13697] = 9281,
  [13698] = 9282,
  [13699] = 9281,
  [13700] = 9232,
  [13701] = 9233,
  [13702] = 9234,
  [13703] = 9235,
  [13704] = 9236,
  [13705] = 13539,
  [13706] = 9282,
  [13707] = 13543,
  [13708] = 9281,
  [13709] = 9102,
  [13710] = 13544,
  [13711] = 9226,
  [13712] = 9227,
  [13713] = 11808,
  [13714] = 11813,
  [13715] = 9228,
  [13716] = 9229,
  [13717] = 9282,
  [13718] = 9121,
  [13719] = 9230,
  [13720] = 9231,
  [13721] = 9232,
  [13722] = 9233,
  [13723] = 9234,
  [13724] = 9235,
  [13725] = 9236,
  [13726] = 9204,
  [13727] = 9238,
  [13728] = 13539,
  [13729] = 13543,
  [13730] = 9204,
  [13731] = 13544,
  [13732] = 13539,
  [13733] = 10211,
  [13734] = 9283,
  [13735] = 9284,
  [13736] = 9280,
  [13737] = 9281,
  [13738] = 9282,
  [13739] = 9168,
  [13740] = 13543,
  [13741] = 11808,
  [13742] = 11813,
  [13743] = 9205,
  [13744] = 13544,
  [13745] = 13539,
  [13746] = 9231,
  [13747] = 9238,
  [13748] = 13544,
  [13749] = 10212,
  [13750] = 13750,
  [13751] = 9226,
  [13752] = 10184,
  [13753] = 10218,
  [13754] = 9227,
  [13755] = 9228,
  [13756] = 13539,
  [13757] = 13543,
  [13758] = 9229,
  [13759] = 13544,
  [13760] = 9230,
  [13761] = 13539,
  [13762] = 9231,
  [13763] = 9232,
  [13764] = 9233,
  [13765] = 9234,
  [13766] = 13543,
  [13767] = 9235,
  [13768] = 13544,
  [13769] = 10219,
  [13770] = 13539,
  [13771] = 13543,
  [13772] = 9236,
  [13773] = 13544,
  [13774] = 13774,
  [13775] = 9199,
  [13776] = 9210,
  [13777] = 9211,
  [13778] = 13539,
  [13779] = 13543,
  [13780] = 13544,
  [13781] = 9226,
  [13782] = 9227,
  [13783] = 9228,
  [13784] = 9229,
  [13785] = 9230,
  [13786] = 9231,
  [13787] = 9232,
  [13788] = 9233,
  [13789] = 9234,
  [13790] = 9235,
  [13791] = 9236,
  [13792] = 9204,
  [13793] = 9238,
  [13794] = 13539,
  [13795] = 13543,
  [13796] = 13544,
  [13797] = 10242,
  [13798] = 13539,
  [13799] = 13543,
  [13800] = 10243,
  [13801] = 13544,
  [13802] = 9594,
  [13803] = 9211,
  [13804] = 9199,
  [13805] = 10244,
  [13806] = 13539,
  [13807] = 13543,
  [13808] = 9199,
  [13809] = 13544,
  [13810] = 9210,
  [13811] = 9211,
  [13812] = 9205,
  [13813] = 10229,
  [13814] = 10230,
  [13815] = 10274,
  [13816] = 13608,
  [13817] = 13544,
  [13818] = 13539,
  [13819] = 13543,
  [13820] = 13539,
  [13821] = 13544,
  [13822] = 13543,
  [13823] = 9205,
  [13824] = 13544,
  [13825] = 13539,
  [13826] = 13543,
  [13827] = 13539,
  [13828] = 9238,
  [13829] = 13544,
  [13830] = 13543,
  [13831] = 10232,
  [13832] = 13544,
  [13833] = 13539,
  [13834] = 13543,
  [13835] = 13544,
  [13836] = 9556,
  [13837] = 10187,
  [13838] = 13539,
  [13839] = 13543,
  [13840] = 13544,
  [13841] = 9199,
  [13842] = 13750,
  [13843] = 13539,
  [13844] = 9210,
  [13845] = 13543,
  [13846] = 13544,
  [13847] = 9284,
  [13848] = 13539,
  [13849] = 13681,
  [13850] = 13683,
  [13851] = 9205,
  [13852] = 10223,
  [13853] = 13543,
  [13854] = 10224,
  [13855] = 13539,
  [13856] = 11164,
  [13857] = 13544,
  [13858] = 9211,
  [13859] = 13543,
  [13860] = 13544,
  [13861] = 9226,
  [13862] = 9227,
  [13863] = 9228,
  [13864] = 9229,
  [13865] = 9230,
  [13866] = 9231,
  [13867] = 9232,
  [13868] = 9233,
  [13869] = 9283,
  [13870] = 13539,
  [13871] = 9234,
  [13872] = 9235,
  [13873] = 9236,
  [13874] = 13539,
  [13875] = 13543,
  [13876] = 13543,
  [13877] = 13544,
  [13878] = 9238,
  [13879] = 13539,
  [13880] = 13543,
  [13881] = 13544,
  [13882] = 10225,
  [13883] = 13539,
  [13884] = 13543,
  [13885] = 13544,
  [13886] = 9226,
  [13887] = 13544,
  [13888] = 9227,
  [13889] = 9228,
  [13890] = 9229,
  [13891] = 9230,
  [13892] = 9231,
  [13893] = 9232,
  [13894] = 9233,
  [13895] = 9234,
  [13896] = 9235,
  [13897] = 9236,
  [13898] = 10247,
  [13899] = 13539,
  [13900] = 9179,
  [13901] = 13543,
  [13902] = 13544,
  [13903] = 13539,
  [13904] = 9238,
  [13905] = 9283,
  [13906] = 13543,
  [13907] = 13544,
  [13908] = 10206,
  [13909] = 13909,
  [13910] = 9211,
  [13911] = 9199,
  [13912] = 10177,
  [13913] = 13539,
  [13914] = 13543,
  [13915] = 9226,
  [13916] = 13539,
  [13917] = 9227,
  [13918] = 9228,
  [13919] = 13543,
  [13920] = 9229,
  [13921] = 13544,
  [13922] = 9230,
  [13923] = 9231,
  [13924] = 9232,
  [13925] = 13544,
  [13926] = 9233,
  [13927] = 9234,
  [13928] = 9235,
  [13929] = 9236,
  [13930] = 9238,
  [13931] = 9205,
  [13932] = 9211,
  [13933] = 13539,
  [13934] = 13543,
  [13935] = 13544,
  [13936] = 13539,
  [13937] = 13543,
  [13938] = 13544,
  [13939] = 9226,
  [13940] = 9227,
  [13941] = 9228,
  [13942] = 9229,
  [13943] = 10226,
  [13944] = 9230,
  [13945] = 13543,
  [13946] = 13946,
  [13947] = 13145,
  [13948] = 9229,
  [13949] = 10239,
  [13950] = 9230,
  [13951] = 13946,
  [13952] = 13952,
  [13953] = 9205,
  [13954] = 9211,
  [13955] = 9231,
  [13956] = 13956,
  [13957] = 10240,
  [13958] = 13946,
  [13959] = 13414,
  [13960] = 10241,
  [13961] = 10242,
  [13962] = 10243,
  [13963] = 13963,
  [13964] = 9232,
  [13965] = 9233,
  [13966] = 9234,
  [13967] = 13946,
  [13968] = 9226,
  [13969] = 9235,
  [13970] = 9227,
  [13971] = 10244,
  [13972] = 9228,
  [13973] = 9227,
  [13974] = 13227,
  [13975] = 13230,
  [13976] = 13946,
  [13977] = 9228,
  [13978] = 9229,
  [13979] = 10122,
  [13980] = 10247,
  [13981] = 9230,
  [13982] = 9231,
  [13983] = 9238,
  [13984] = 9232,
  [13985] = 13946,
  [13986] = 9233,
  [13987] = 13946,
  [13988] = 13946,
  [13989] = 9231,
  [13990] = 9205,
  [13991] = 9211,
  [13992] = 13946,
  [13993] = 13946,
  [13994] = 9205,
  [13995] = 9236,
  [13996] = 13952,
  [13997] = 9205,
  [13998] = 9205,
  [13999] = 9211,
  [14000] = 13946,
  [14001] = 13106,
  [14002] = 13946,
  [14003] = 14003,
  [14004] = 9234,
  [14005] = 9235,
  [14006] = 9236,
  [14007] = 13249,
  [14008] = 14008,
  [14009] = 13013,
  [14010] = 13093,
  [14011] = 13033,
  [14012] = 13250,
  [14013] = 13145,
  [14014] = 13946,
  [14015] = 13946,
  [14016] = 13952,
  [14017] = 13946,
  [14018] = 10123,
  [14019] = 9232,
  [14020] = 3208,
  [14021] = 3209,
  [14022] = 10211,
  [14023] = 10212,
  [14024] = 14024,
  [14025] = 13946,
  [14026] = 3210,
  [14027] = 10218,
  [14028] = 3211,
  [14029] = 13946,
  [14030] = 14030,
  [14031] = 14031,
  [14032] = 14032,
  [14033] = 9205,
  [14034] = 14034,
  [14035] = 13230,
  [14036] = 13946,
  [14037] = 9211,
  [14038] = 10219,
  [14039] = 9205,
  [14040] = 13946,
  [14041] = 13946,
  [14042] = 9233,
  [14043] = 14043,
  [14044] = 6459,
  [14045] = 13946,
  [14046] = 13946,
  [14047] = 9238,
  [14048] = 13946,
  [14049] = 13946,
  [14050] = 13946,
  [14051] = 10187,
  [14052] = 14043,
  [14053] = 14053,
  [14054] = 10238,
  [14055] = 9229,
  [14056] = 9594,
  [14057] = 9238,
  [14058] = 14058,
  [14059] = 14059,
  [14060] = 13946,
  [14061] = 6351,
  [14062] = 9236,
  [14063] = 9226,
  [14064] = 13946,
  [14065] = 13946,
  [14066] = 9226,
  [14067] = 9234,
  [14068] = 13946,
  [14069] = 13946,
  [14070] = 10237,
  [14071] = 9227,
  [14072] = 14072,
  [14073] = 9228,
  [14074] = 9229,
  [14075] = 13038,
  [14076] = 9230,
  [14077] = 13073,
  [14078] = 13946,
  [14079] = 9231,
  [14080] = 9232,
  [14081] = 10223,
  [14082] = 10224,
  [14083] = 10225,
  [14084] = 9238,
  [14085] = 9235,
  [14086] = 9233,
  [14087] = 9226,
  [14088] = 14088,
  [14089] = 13038,
  [14090] = 13073,
  [14091] = 9234,
  [14092] = 13946,
  [14093] = 14024,
  [14094] = 13946,
  [14095] = 13946,
  [14096] = 14096,
  [14097] = 13946,
  [14098] = 14098,
  [14099] = 10226,
  [14100] = 10184,
  [14101] = 13946,
  [14102] = 14102,
  [14103] = 13946,
  [14104] = 14104,
  [14105] = 13414,
  [14106] = 13946,
  [14107] = 9205,
  [14108] = 14108,
  [14109] = 13946,
  [14110] = 14110,
  [14111] = 10146,
  [14112] = 13946,
  [14113] = 9227,
  [14114] = 13946,
  [14115] = 13946,
  [14116] = 13946,
  [14117] = 5938,
  [14118] = 13946,
  [14119] = 9205,
  [14120] = 14088,
  [14121] = 14098,
  [14122] = 13249,
  [14123] = 13250,
  [14124] = 14124,
  [14125] = 9230,
  [14126] = 13946,
  [14127] = 14127,
  [14128] = 9235,
  [14129] = 13946,
  [14130] = 10229,
  [14131] = 10230,
  [14132] = 13227,
  [14133] = 13946,
  [14134] = 10274,
  [14135] = 13952,
  [14136] = 10206,
  [14137] = 13946,
  [14138] = 10232,
  [14139] = 13106,
  [14140] = 9236,
  [14141] = 9228,
  [14142] = 13946,
  [14143] = 10783,
  [14144] = 13013,
  [14145] = 13093,
  [14146] = 13033,
  [14147] = 9205,
  [14148] = 13946,
  [14149] = 13024,
  [14150] = 13074,
  [14151] = 13018,
  [14152] = 13020,
  [14153] = 13195,
  [14154] = 13024,
  [14155] = 13074,
  [14156] = 10236,
  [14157] = 13018,
  [14158] = 13020,
  [14159] = 13195,
  [14160] = 13045,
  [14161] = 13011,
  [14162] = 13045,
  [14163] = 13011,
  [14164] = 13946,
  [14165] = 14165,
  [14166] = 14166,
  [14167] = 6005,
  [14168] = 11164,
  [14169] = 14169,
  [14170] = 10177,
  [14171] = 14171,
  [14172] = 9784,
  [14173] = 9753,
  [14174] = 9556,
  [14175] = 14175,
  [14176] = 14176,
  [14177] = 14177,
  [14178] = 14178,
  [14179] = 14179,
  [14180] = 14176,
  [14181] = 9761,
  [14182] = 14178,
  [14183] = 14178,
  [14184] = 14179,
  [14185] = 14179,
  [14186] = 14186,
  [14187] = 14179,
  [14188] = 14176,
  [14189] = 14189,
  [14190] = 14176,
  [14191] = 14178,
  [14192] = 10122,
  [14193] = 3209,
  [14194] = 10224,
  [14195] = 10149,
  [14196] = 10225,
  [14197] = 14197,
  [14198] = 14198,
  [14199] = 3117,
  [14200] = 14200,
  [14201] = 13681,
  [14202] = 14198,
  [14203] = 10226,
  [14204] = 3210,
  [14205] = 14200,
  [14206] = 14175,
  [14207] = 6184,
  [14208] = 14208,
  [14209] = 3211,
  [14210] = 14210,
  [14211] = 10052,
  [14212] = 3211,
  [14213] = 14213,
  [14214] = 6351,
  [14215] = 10211,
  [14216] = 10146,
  [14217] = 10212,
  [14218] = 9024,
  [14219] = 14219,
  [14220] = 13683,
  [14221] = 10244,
  [14222] = 14222,
  [14223] = 14223,
  [14224] = 14224,
  [14225] = 10247,
  [14226] = 10229,
  [14227] = 14227,
  [14228] = 10123,
  [14229] = 10230,
  [14230] = 10218,
  [14231] = 10219,
  [14232] = 10243,
  [14233] = 3209,
  [14234] = 14200,
  [14235] = 10274,
  [14236] = 14236,
  [14237] = 3208,
  [14238] = 14238,
  [14239] = 10232,
  [14240] = 14208,
  [14241] = 3210,
  [14242] = 14208,
  [14243] = 10120,
  [14244] = 13750,
  [14245] = 6459,
  [14246] = 6459,
  [14247] = 14198,
  [14248] = 10236,
  [14249] = 14198,
  [14250] = 10184,
  [14251] = 10115,
  [14252] = 10237,
  [14253] = 6262,
  [14254] = 14254,
  [14255] = 10238,
  [14256] = 10379,
  [14257] = 10239,
  [14258] = 10240,
  [14259] = 6351,
  [14260] = 14200,
  [14261] = 10187,
  [14262] = 10241,
  [14263] = 14208,
  [14264] = 10206,
  [14265] = 3208,
  [14266] = 14198,
  [14267] = 10223,
  [14268] = 10242,
  [14269] = 14198,
  [14270] = 14270,
  [14271] = 14271,
  [14272] = 14270,
  [14273] = 14271,
  [14274] = 14271,
  [14275] = 14271,
  [14276] = 14271,
  [14277] = 14277,
  [14278] = 12032,
  [14279] = 14270,
  [14280] = 14280,
  [14281] = 14270,
  [14282] = 14271,
  [14283] = 14283,
  [14284] = 14271,
  [14285] = 14271,
  [14286] = 14270,
  [14287] = 14270,
  [14288] = 14270,
  [14289] = 14271,
  [14290] = 6344,
  [14291] = 14271,
  [14292] = 14270,
  [14293] = 14270,
  [14294] = 14271,
  [14295] = 10783,
  [14296] = 14270,
  [14297] = 14270,
  [14298] = 14298,
  [14299] = 10343,
  [14300] = 14270,
  [14301] = 14270,
  [14302] = 11978,
  [14303] = 11979,
  [14304] = 11989,
  [14305] = 14271,
  [14306] = 14306,
  [14307] = 8428,
  [14308] = 8429,
  [14309] = 14271,
  [14310] = 8430,
  [14311] = 8433,
  [14312] = 5715,
  [14313] = 14270,
  [14314] = 8436,
  [14315] = 14270,
  [14316] = 10177,
  [14317] = 14271,
  [14318] = 14271,
  [14319] = 14319,
  [14320] = 14271,
  [14321] = 14321,
  [14322] = 14270,
  [14323] = 14270,
  [14324] = 14324,
  [14325] = 14325,
  [14326] = 14326,
  [14327] = 14271,
  [14328] = 14328,
  [14329] = 14329,
  [14330] = 14271,
  [14331] = 14271,
  [14332] = 14332,
  [14333] = 14333,
  [14334] = 14271,
  [14335] = 14270,
  [14336] = 14270,
  [14337] = 14337,
  [14338] = 14338,
  [14339] = 14271,
  [14340] = 6469,
  [14341] = 14341,
  [14342] = 14270,
  [14343] = 14271,
  [14344] = 14344,
  [14345] = 14345,
  [14346] = 14346,
  [14347] = 9356,
  [14348] = 11947,
  [14349] = 12008,
  [14350] = 6476,
  [14351] = 8464,
  [14352] = 12016,
  [14353] = 14353,
  [14354] = 14354,
  [14355] = 14270,
  [14356] = 14356,
  [14357] = 14271,
  [14358] = 14270,
  [14359] = 8461,
  [14360] = 8312,
  [14361] = 8291,
  [14362] = 14362,
  [14363] = 8293,
  [14364] = 14364,
  [14365] = 14365,
  [14366] = 14271,
  [14367] = 14367,
  [14368] = 14368,
  [14369] = 14369,
  [14370] = 14370,
  [14371] = 14371,
  [14372] = 14270,
  [14373] = 14271,
  [14374] = 14270,
  [14375] = 14375,
  [14376] = 14271,
  [14377] = 14377,
  [14378] = 14271,
  [14379] = 12059,
  [14380] = 14380,
  [14381] = 14381,
  [14382] = 14382,
  [14383] = 14383,
  [14384] = 14270,
  [14385] = 14385,
  [14386] = 14386,
  [14387] = 14271,
  [14388] = 14270,
  [14389] = 14389,
  [14390] = 14390,
  [14391] = 6428,
  [14392] = 14392,
  [14393] = 8307,
  [14394] = 8308,
  [14395] = 14270,
  [14396] = 8309,
  [14397] = 8311,
  [14398] = 14398,
  [14399] = 14399,
  [14400] = 14400,
  [14401] = 14270,
  [14402] = 14402,
  [14403] = 14403,
  [14404] = 14404,
  [14405] = 14405,
  [14406] = 14406,
  [14407] = 14271,
  [14408] = 14408,
  [14409] = 14271,
  [14410] = 14410,
  [14411] = 8317,
  [14412] = 14412,
  [14413] = 14413,
  [14414] = 14414,
  [14415] = 14270,
  [14416] = 5714,
  [14417] = 14417,
  [14418] = 14270,
  [14419] = 14271,
  [14420] = 10447,
  [14421] = 14271,
  [14422] = 14271,
  [14423] = 14423,
  [14424] = 14424,
  [14425] = 14425,
  [14426] = 14270,
  [14427] = 14427,
  [14428] = 14270,
  [14429] = 14270,
  [14430] = 14271,
  [14431] = 14425,
  [14432] = 14270,
  [14433] = 14271,
  [14434] = 14271,
  [14435] = 14423,
  [14436] = 14271,
  [14437] = 14425,
  [14438] = 8323,
  [14439] = 14271,
  [14440] = 14270,
  [14441] = 14441,
  [14442] = 14423,
  [14443] = 14443,
  [14444] = 14271,
  [14445] = 14425,
  [14446] = 14446,
  [14447] = 14270,
  [14448] = 14448,
  [14449] = 14270,
  [14450] = 14270,
  [14451] = 14271,
  [14452] = 14271,
  [14453] = 14453,
  [14454] = 14270,
  [14455] = 9355,
  [14456] = 14456,
  [14457] = 14270,
  [14458] = 14458,
  [14459] = 5742,
  [14460] = 14270,
  [14461] = 14271,
  [14462] = 14270,
  [14463] = 14463,
  [14464] = 14270,
  [14465] = 14270,
  [14466] = 14466,
  [14467] = 14423,
  [14468] = 14468,
  [14469] = 14469,
  [14470] = 14470,
  [14471] = 14471,
  [14472] = 14472,
  [14473] = 14473,
  [14474] = 6366,
  [14475] = 14271,
  [14476] = 14271,
  [14477] = 14477,
  [14478] = 14478,
  [14479] = 8310,
  [14480] = 14480,
  [14481] = 8362,
  [14482] = 8318,
  [14483] = 14270,
  [14484] = 14270,
  [14485] = 14485,
  [14486] = 14271,
  [14487] = 14487,
  [14488] = 14488,
  [14489] = 14270,
  [14490] = 14271,
  [14491] = 14491,
  [14492] = 14492,
  [14493] = 14271,
  [14494] = 14494,
  [14495] = 14495,
  [14496] = 14496,
  [14497] = 14271,
  [14498] = 14498,
  [14499] = 14270,
  [14500] = 14271,
  [14501] = 6426,
  [14502] = 14270,
  [14503] = 14365,
  [14504] = 14270,
  [14505] = 14271,
  [14506] = 14506,
  [14507] = 10244,
  [14508] = 14508,
  [14509] = 3208,
  [14510] = 6459,
  [14511] = 3209,
  [14512] = 5778,
  [14513] = 14513,
  [14514] = 14514,
  [14515] = 3210,
  [14516] = 3211,
  [14517] = 14517,
  [14518] = 14518,
  [14519] = 3106,
  [14520] = 14171,
  [14521] = 9838,
  [14522] = 10052,
  [14523] = 14523,
  [14524] = 14524,
  [14525] = 10211,
  [14526] = 10783,
  [14527] = 10212,
  [14528] = 10218,
  [14529] = 11164,
  [14530] = 10219,
  [14531] = 10184,
  [14532] = 10042,
  [14533] = 10247,
  [14534] = 10224,
  [14535] = 10225,
  [14536] = 10226,
  [14537] = 9890,
  [14538] = 13750,
  [14539] = 10229,
  [14540] = 10230,
  [14541] = 10187,
  [14542] = 14542,
  [14543] = 10274,
  [14544] = 10232,
  [14545] = 13681,
  [14546] = 10206,
  [14547] = 13683,
  [14548] = 6351,
  [14549] = 10236,
  [14550] = 10237,
  [14551] = 10238,
  [14552] = 10239,
  [14553] = 10240,
  [14554] = 10241,
  [14555] = 14555,
  [14556] = 10242,
  [14557] = 10243,
  [14558] = 10223,
  [14559] = 10714,
  [14560] = 10183,
  [14561] = 6295,
  [14562] = 9471,
  [14563] = 10783,
  [14564] = 14564,
  [14565] = 10099,
  [14566] = 10129,
  [14567] = 10106,
  [14568] = 10249,
  [14569] = 10114,
  [14570] = 10268,
  [14571] = 10098,
  [14572] = 10883,
  [14573] = 14573,
  [14574] = 14573,
  [14575] = 10104,
  [14576] = 10150,
  [14577] = 14573,
  [14578] = 10819,
  [14579] = 10887,
  [14580] = 5715,
  [14581] = 14573,
  [14582] = 11164,
  [14583] = 14564,
  [14584] = 10203,
  [14585] = 10185,
  [14586] = 10165,
  [14587] = 14564,
  [14588] = 5742,
  [14589] = 10201,
  [14590] = 10708,
  [14591] = 10125,
  [14592] = 5714,
  [14593] = 10131,
  [14594] = 10142,
  [14595] = 10100,
  [14596] = 14564,
  [14597] = 14597,
  [14598] = 14597,
  [14599] = 14597,
  [14600] = 14600,
  [14601] = 14600,
  [14602] = 11209,
  [14603] = 10251,
  [14604] = 14597,
  [14605] = 14605,
  [14606] = 14597,
  [14607] = 6405,
  [14608] = 14597,
  [14609] = 5778,
  [14610] = 14600,
  [14611] = 14611,
  [14612] = 14600,
  [14613] = 14600,
  [14614] = 14614,
  [14615] = 14597,
  [14616] = 14597,
  [14617] = 14600,
  [14618] = 14600,
  [14619] = 6464,
  [14620] = 14597,
  [14621] = 14597,
  [14622] = 14597,
  [14623] = 10122,
  [14624] = 6437,
  [14625] = 14597,
  [14626] = 14597,
  [14627] = 14597,
  [14628] = 6374,
  [14629] = 14597,
  [14630] = 14597,
  [14631] = 6474,
  [14632] = 14600,
  [14633] = 6349,
  [14634] = 14597,
  [14635] = 6365,
  [14636] = 14614,
  [14637] = 6420,
  [14638] = 14638,
  [14639] = 14597,
  [14640] = 14597,
  [14641] = 14638,
  [14642] = 14597,
  [14643] = 14597,
  [14644] = 14597,
  [14645] = 14597,
  [14646] = 14597,
  [14647] = 14597,
  [14648] = 14597,
  [14649] = 14597,
  [14650] = 14597,
  [14651] = 14597,
  [14652] = 14597,
  [14653] = 14597,
  [14654] = 14597,
  [14655] = 14597,
  [14656] = 14611,
  [14657] = 14597,
  [14658] = 14600,
  [14659] = 14600,
  [14660] = 14600,
  [14661] = 14597,
  [14662] = 14600,
  [14663] = 14600,
  [14664] = 14605,
  [14665] = 6354,
  [14666] = 14600,
  [14667] = 14667,
  [14668] = 14597,
  [14669] = 14597,
  [14670] = 14600,
  [14671] = 14600,
  [14672] = 14597,
  [14673] = 14600,
  [14674] = 14600,
  [14675] = 14600,
  [14676] = 14611,
  [14677] = 14600,
  [14678] = 6360,
  [14679] = 14679,
  [14680] = 11329,
  [14681] = 14605,
  [14682] = 6352,
  [14683] = 10253,
  [14684] = 14597,
  [14685] = 14667,
  [14686] = 3109,
  [14687] = 6373,
  [14688] = 14611,
  [14689] = 14611,
  [14690] = 10429,
  [14691] = 14600,
  [14692] = 14600,
  [14693] = 6404,
  [14694] = 14597,
  [14695] = 14605,
  [14696] = 6395,
  [14697] = 14597,
  [14698] = 10379,
  [14699] = 14667,
  [14700] = 14700,
  [14701] = 6429,
  [14702] = 6448,
  [14703] = 14614,
  [14704] = 6449,
  [14705] = 6330,
  [14706] = 14600,
  [14707] = 14597,
  [14708] = 10221,
  [14709] = 14597,
  [14710] = 14597,
  [14711] = 14600,
  [14712] = 14600,
  [14713] = 14597,
  [14714] = 14597,
  [14715] = 14600,
  [14716] = 14600,
  [14717] = 6461,
  [14718] = 14600,
  [14719] = 14600,
  [14720] = 14600,
  [14721] = 14638,
  [14722] = 14600,
  [14723] = 10052,
  [14724] = 14600,
  [14725] = 14600,
  [14726] = 14600,
  [14727] = 10220,
  [14728] = 14600,
  [14729] = 14597,
  [14730] = 14597,
  [14731] = 14600,
  [14732] = 14600,
  [14733] = 14614,
  [14734] = 14638,
  [14735] = 14597,
  [14736] = 14600,
  [14737] = 11085,
  [14738] = 14600,
  [14739] = 14600,
  [14740] = 10323,
  [14741] = 14597,
  [14742] = 14597,
  [14743] = 14638,
  [14744] = 6350,
  [14745] = 14638,
  [14746] = 14597,
  [14747] = 14597,
  [14748] = 14600,
  [14749] = 14597,
  [14750] = 14597,
  [14751] = 14667,
  [14752] = 6334,
  [14753] = 14597,
  [14754] = 14600,
  [14755] = 6384,
  [14756] = 14614,
  [14757] = 11164,
  [14758] = 14597,
  [14759] = 6386,
  [14760] = 14600,
  [14761] = 14600,
  [14762] = 14597,
  [14763] = 10209,
  [14764] = 14614,
  [14765] = 14597,
  [14766] = 10270,
  [14767] = 6439,
  [14768] = 14614,
  [14769] = 14600,
  [14770] = 14638,
  [14771] = 14597,
  [14772] = 14600,
  [14773] = 6333,
  [14774] = 14600,
  [14775] = 14597,
  [14776] = 14600,
  [14777] = 14638,
  [14778] = 10052,
  [14779] = 14597,
  [14780] = 14780,
  [14781] = 14600,
  [14782] = 14600,
  [14783] = 6381,
  [14784] = 14597,
  [14785] = 14600,
  [14786] = 14597,
  [14787] = 6343,
  [14788] = 9471,
  [14789] = 14789,
  [14790] = 14790,
  [14791] = 14791,
  [14792] = 14790,
  [14793] = 14791,
  [14794] = 14794,
  [14795] = 14795,
  [14796] = 14796,
  [14797] = 14789,
  [14798] = 14790,
  [14799] = 14790,
  [14800] = 14800,
  [14801] = 14789,
  [14802] = 14789,
  [14803] = 14789,
  [14804] = 14791,
  [14805] = 14790,
  [14806] = 14790,
  [14807] = 14790,
  [14808] = 14789,
  [14809] = 14789,
  [14810] = 14789,
  [14811] = 14790,
  [14812] = 11413,
  [14813] = 14789,
  [14814] = 3027,
  [14815] = 14790,
  [14816] = 14800,
  [14817] = 14790,
  [14818] = 10887,
  [14819] = 14789,
  [14820] = 14789,
  [14821] = 14789,
  [14822] = 14790,
  [14823] = 14790,
  [14824] = 14800,
  [14825] = 10883,
  [14826] = 10708,
  [14827] = 10714,
  [14828] = 14789,
  [14829] = 14789,
  [14830] = 11407,
  [14831] = 14789,
  [14832] = 10324,
  [14833] = 14790,
  [14834] = 14790,
  [14835] = 14800,
  [14836] = 3031,
  [14837] = 14790,
  [14838] = 14791,
  [14839] = 14789,
  [14840] = 14789,
  [14841] = 14841,
  [14842] = 14789,
  [14843] = 14790,
  [14844] = 14844,
  [14845] = 14790,
  [14846] = 14790,
  [14847] = 10622,
  [14848] = 14790,
  [14849] = 14790,
  [14850] = 14800,
  [14851] = 14789,
  [14852] = 14852,
  [14853] = 14800,
  [14854] = 14789,
  [14855] = 14791,
  [14856] = 10783,
  [14857] = 14789,
  [14858] = 14789,
  [14859] = 14790,
  [14860] = 14790,
  [14861] = 11503,
  [14862] = 10819,
  [14863] = 3148,
  [14864] = 14864,
  [14865] = 14865,
  [14866] = 14866,
  [14867] = 14867,
  [14868] = 14866,
  [14869] = 14869,
  [14870] = 14870,
  [14871] = 14870,
  [14872] = 14872,
  [14873] = 14864,
  [14874] = 14874,
  [14875] = 14875,
  [14876] = 14870,
  [14877] = 14870,
  [14878] = 14878,
  [14879] = 10760,
  [14880] = 14864,
  [14881] = 10668,
  [14882] = 3163,
  [14883] = 14864,
  [14884] = 14870,
  [14885] = 11800,
  [14886] = 14866,
  [14887] = 14864,
  [14888] = 14888,
  [14889] = 10688,
  [14890] = 14870,
  [14891] = 11332,
  [14892] = 14864,
  [14893] = 14878,
  [14894] = 14866,
  [14895] = 14870,
  [14896] = 10206,
  [14897] = 14864,
  [14898] = 14898,
  [14899] = 14899,
  [14900] = 14869,
  [14901] = 14864,
  [14902] = 14866,
  [14903] = 14870,
  [14904] = 14866,
  [14905] = 14864,
  [14906] = 14906,
  [14907] = 14867,
  [14908] = 14870,
  [14909] = 14909,
  [14910] = 14910,
  [14911] = 14911,
  [14912] = 14864,
  [14913] = 14870,
  [14914] = 14870,
  [14915] = 14866,
  [14916] = 14864,
  [14917] = 10622,
  [14918] = 14864,
  [14919] = 14866,
  [14920] = 14898,
  [14921] = 14899,
  [14922] = 14870,
  [14923] = 14869,
  [14924] = 14864,
  [14925] = 10187,
  [14926] = 14870,
  [14927] = 14864,
  [14928] = 10890,
  [14929] = 14929,
  [14930] = 11035,
  [14931] = 14870,
  [14932] = 14864,
  [14933] = 11004,
  [14934] = 14934,
  [14935] = 10661,
  [14936] = 6184,
  [14937] = 14870,
  [14938] = 10683,
  [14939] = 14864,
  [14940] = 11617,
  [14941] = 14866,
  [14942] = 14867,
  [14943] = 14870,
  [14944] = 10614,
  [14945] = 14864,
  [14946] = 14870,
  [14947] = 14866,
  [14948] = 14870,
  [14949] = 14864,
  [14950] = 14878,
  [14951] = 14866,
  [14952] = 14870,
  [14953] = 14864,
  [14954] = 14864,
  [14955] = 14934,
  [14956] = 14870,
  [14957] = 14864,
  [14958] = 14875,
  [14959] = 14906,
  [14960] = 14870,
  [14961] = 14864,
  [14962] = 14864,
  [14963] = 14963,
  [14964] = 14909,
  [14965] = 14870,
  [14966] = 14864,
  [14967] = 14929,
  [14968] = 14866,
  [14969] = 14870,
  [14970] = 14970,
  [14971] = 14910,
  [14972] = 14864,
  [14973] = 14911,
  [14974] = 14870,
  [14975] = 14864,
  [14976] = 14976,
  [14977] = 14899,
  [14978] = 14870,
  [14979] = 14864,
  [14980] = 10741,
  [14981] = 10229,
  [14982] = 14976,
  [14983] = 10230,
  [14984] = 14870,
  [14985] = 14866,
  [14986] = 10274,
  [14987] = 10808,
  [14988] = 14906,
  [14989] = 14864,
  [14990] = 11673,
  [14991] = 11106,
  [14992] = 14866,
  [14993] = 14878,
  [14994] = 14870,
  [14995] = 14870,
  [14996] = 14864,
  [14997] = 10232,
  [14998] = 14976,
  [14999] = 14875,
  [15000] = 14864,
  [15001] = 14870,
  [15002] = 15002,
  [15003] = 14864,
  [15004] = 14976,
  [15005] = 14870,
  [15006] = 15006,
  [15007] = 14864,
  [15008] = 14872,
  [15009] = 14870,
  [15010] = 14864,
  [15011] = 14866,
  [15012] = 14870,
  [15013] = 14864,
  [15014] = 14909,
  [15015] = 14910,
  [15016] = 14911,
  [15017] = 14875,
  [15018] = 14929,
  [15019] = 14866,
  [15020] = 14870,
  [15021] = 14864,
  [15022] = 10709,
  [15023] = 10796,
  [15024] = 6441,
  [15025] = 6409,
  [15026] = 14870,
  [15027] = 14864,
  [15028] = 14898,
  [15029] = 14899,
  [15030] = 14869,
  [15031] = 6453,
  [15032] = 14875,
  [15033] = 14870,
  [15034] = 14864,
  [15035] = 14870,
  [15036] = 14864,
  [15037] = 14870,
  [15038] = 14864,
  [15039] = 14929,
  [15040] = 14866,
  [15041] = 14866,
  [15042] = 14870,
  [15043] = 14866,
  [15044] = 10620,
  [15045] = 14909,
  [15046] = 15046,
  [15047] = 14929,
  [15048] = 14866,
  [15049] = 14910,
  [15050] = 14870,
  [15051] = 15051,
  [15052] = 14898,
  [15053] = 11329,
  [15054] = 14870,
  [15055] = 14911,
  [15056] = 15046,
  [15057] = 6262,
  [15058] = 14864,
  [15059] = 15059,
  [15060] = 14864,
  [15061] = 14866,
  [15062] = 15051,
  [15063] = 14899,
  [15064] = 14864,
  [15065] = 14864,
  [15066] = 14866,
  [15067] = 11164,
  [15068] = 14872,
  [15069] = 10223,
  [15070] = 14869,
  [15071] = 14866,
  [15072] = 14934,
  [15073] = 14867,
  [15074] = 14866,
  [15075] = 15046,
  [15076] = 15006,
  [15077] = 14870,
  [15078] = 15059,
  [15079] = 14909,
  [15080] = 14864,
  [15081] = 10224,
  [15082] = 10985,
  [15083] = 14898,
  [15084] = 14909,
  [15085] = 14934,
  [15086] = 14910,
  [15087] = 14911,
  [15088] = 14878,
  [15089] = 14899,
  [15090] = 15046,
  [15091] = 15091,
  [15092] = 14910,
  [15093] = 15006,
  [15094] = 11209,
  [15095] = 14869,
  [15096] = 10834,
  [15097] = 10211,
  [15098] = 10212,
  [15099] = 15059,
  [15100] = 15100,
  [15101] = 10218,
  [15102] = 10219,
  [15103] = 15103,
  [15104] = 14866,
  [15105] = 14898,
  [15106] = 14898,
  [15107] = 14870,
  [15108] = 14899,
  [15109] = 14869,
  [15110] = 10236,
  [15111] = 15059,
  [15112] = 10237,
  [15113] = 14866,
  [15114] = 10238,
  [15115] = 14906,
  [15116] = 10628,
  [15117] = 11085,
  [15118] = 10225,
  [15119] = 15059,
  [15120] = 10239,
  [15121] = 10240,
  [15122] = 10241,
  [15123] = 10184,
  [15124] = 15059,
  [15125] = 14864,
  [15126] = 15059,
  [15127] = 14866,
  [15128] = 14866,
  [15129] = 14870,
  [15130] = 14929,
  [15131] = 14866,
  [15132] = 14878,
  [15133] = 14870,
  [15134] = 14911,
  [15135] = 14934,
  [15136] = 14866,
  [15137] = 14976,
  [15138] = 6295,
  [15139] = 10783,
  [15140] = 14864,
  [15141] = 14870,
  [15142] = 14866,
  [15143] = 14976,
  [15144] = 14976,
  [15145] = 14866,
  [15146] = 14898,
  [15147] = 14899,
  [15148] = 14869,
  [15149] = 14867,
  [15150] = 10226,
  [15151] = 14909,
  [15152] = 14875,
  [15153] = 14867,
  [15154] = 14870,
  [15155] = 14875,
  [15156] = 15059,
  [15157] = 14867,
  [15158] = 14929,
  [15159] = 14864,
  [15160] = 14906,
  [15161] = 10677,
  [15162] = 14910,
  [15163] = 14878,
  [15164] = 14911,
  [15165] = 10242,
  [15166] = 14870,
  [15167] = 14866,
  [15168] = 10243,
  [15169] = 10244,
  [15170] = 14870,
  [15171] = 14870,
  [15172] = 14872,
  [15173] = 14864,
  [15174] = 14875,
  [15175] = 10247,
  [15176] = 14870,
  [15177] = 14866,
  [15178] = 14864,
  [15179] = 14906,
  [15180] = 14864,
  [15181] = 14906,
  [15182] = 14866,
  [15183] = 3142,
  [15184] = 3143,
  [15185] = 3144,
  [15186] = 14864,
  [15187] = 3147,
  [15188] = 14870,
  [15189] = 14906,
  [15190] = 15046,
  [15191] = 14213,
  [15192] = 15006,
  [15193] = 14864,
  [15194] = 14867,
  [15195] = 3126,
  [15196] = 14866,
  [15197] = 14866,
  [15198] = 15198,
  [15199] = 3158,
  [15200] = 14872,
  [15201] = 14866,
  [15202] = 14870,
  [15203] = 15051,
  [15204] = 15051,
  [15205] = 15006,
  [15206] = 15206,
  [15207] = 15207,
  [15208] = 6437,
  [15209] = 15209,
  [15210] = 6426,
  [15211] = 6428,
  [15212] = 15212,
  [15213] = 15206,
  [15214] = 15207,
  [15215] = 15207,
  [15216] = 15209,
  [15217] = 15209,
  [15218] = 15206,
  [15219] = 6360,
  [15220] = 15209,
  [15221] = 15206,
  [15222] = 15209,
  [15223] = 6464,
  [15224] = 15224,
  [15225] = 15206,
  [15226] = 6354,
  [15227] = 15212,
  [15228] = 15206,
  [15229] = 6374,
  [15230] = 15207,
  [15231] = 15206,
  [15232] = 11404,
  [15233] = 15207,
  [15234] = 14367,
  [15235] = 6381,
  [15236] = 14368,
  [15237] = 15207,
  [15238] = 15224,
  [15239] = 14375,
  [15240] = 15207,
  [15241] = 14377,
  [15242] = 15207,
  [15243] = 15212,
  [15244] = 11536,
  [15245] = 11415,
  [15246] = 15212,
  [15247] = 14385,
  [15248] = 15224,
  [15249] = 6453,
  [15250] = 15209,
  [15251] = 15209,
  [15252] = 15224,
  [15253] = 8361,
  [15254] = 6429,
  [15255] = 15209,
  [15256] = 15224,
  [15257] = 15209,
  [15258] = 15209,
  [15259] = 15207,
  [15260] = 15209,
  [15261] = 15206,
  [15262] = 15207,
  [15263] = 15212,
  [15264] = 15206,
  [15265] = 14398,
  [15266] = 15224,
  [15267] = 3137,
  [15268] = 15207,
  [15269] = 14386,
  [15270] = 15209,
  [15271] = 8307,
  [15272] = 14390,
  [15273] = 15209,
  [15274] = 15224,
  [15275] = 3138,
  [15276] = 15207,
  [15277] = 15212,
  [15278] = 15224,
  [15279] = 15206,
  [15280] = 15212,
  [15281] = 15212,
  [15282] = 15209,
  [15283] = 15283,
  [15284] = 8293,
  [15285] = 15212,
  [15286] = 15224,
  [15287] = 15206,
  [15288] = 15288,
  [15289] = 15289,
  [15290] = 15209,
  [15291] = 15206,
  [15292] = 15207,
  [15293] = 15293,
  [15294] = 15212,
  [15295] = 15209,
  [15296] = 15206,
  [15297] = 15207,
  [15298] = 14492,
  [15299] = 15224,
  [15300] = 15207,
  [15301] = 15224,
  [15302] = 8308,
  [15303] = 15206,
  [15304] = 15209,
  [15305] = 8309,
  [15306] = 15224,
  [15307] = 8311,
  [15308] = 15209,
  [15309] = 15206,
  [15310] = 15212,
  [15311] = 11074,
  [15312] = 15209,
  [15313] = 15313,
  [15314] = 15224,
  [15315] = 15209,
  [15316] = 6476,
  [15317] = 15209,
  [15318] = 15224,
  [15319] = 15207,
  [15320] = 15212,
  [15321] = 15206,
  [15322] = 6409,
  [15323] = 15212,
  [15324] = 15212,
  [15325] = 15206,
  [15326] = 15224,
  [15327] = 15207,
  [15328] = 15209,
  [15329] = 15206,
  [15330] = 6386,
  [15331] = 15206,
  [15332] = 15209,
  [15333] = 15207,
  [15334] = 6474,
  [15335] = 15212,
  [15336] = 15224,
  [15337] = 15224,
  [15338] = 8362,
  [15339] = 15207,
  [15340] = 6461,
  [15341] = 15209,
  [15342] = 15342,
  [15343] = 15224,
  [15344] = 15206,
  [15345] = 6349,
  [15346] = 15206,
  [15347] = 14283,
  [15348] = 15224,
  [15349] = 15206,
  [15350] = 15209,
  [15351] = 15206,
  [15352] = 15352,
  [15353] = 15207,
  [15354] = 15207,
  [15355] = 11503,
  [15356] = 11413,
  [15357] = 15212,
  [15358] = 15209,
  [15359] = 15212,
  [15360] = 15224,
  [15361] = 15207,
  [15362] = 11529,
  [15363] = 15212,
  [15364] = 15224,
  [15365] = 15224,
  [15366] = 15224,
  [15367] = 3134,
  [15368] = 15209,
  [15369] = 15209,
  [15370] = 15212,
  [15371] = 8310,
  [15372] = 11507,
  [15373] = 15212,
  [15374] = 15206,
  [15375] = 15212,
  [15376] = 6469,
  [15377] = 11365,
  [15378] = 15206,
  [15379] = 15212,
  [15380] = 8318,
  [15381] = 11319,
  [15382] = 15224,
  [15383] = 15209,
  [15384] = 10603,
  [15385] = 15207,
  [15386] = 15206,
  [15387] = 8461,
  [15388] = 15206,
  [15389] = 15389,
  [15390] = 15212,
  [15391] = 15207,
  [15392] = 15224,
  [15393] = 15207,
  [15394] = 15212,
  [15395] = 15206,
  [15396] = 8428,
  [15397] = 8429,
  [15398] = 15209,
  [15399] = 15209,
  [15400] = 15206,
  [15401] = 8430,
  [15402] = 15206,
  [15403] = 15207,
  [15404] = 8433,
  [15405] = 15405,
  [15406] = 11424,
  [15407] = 15209,
  [15408] = 6344,
  [15409] = 15207,
  [15410] = 15212,
  [15411] = 11540,
  [15412] = 15209,
  [15413] = 15206,
  [15414] = 6405,
  [15415] = 15212,
  [15416] = 8317,
  [15417] = 15212,
  [15418] = 15224,
  [15419] = 6441,
  [15420] = 15206,
  [15421] = 15209,
  [15422] = 6409,
  [15423] = 15224,
  [15424] = 11430,
  [15425] = 15206,
  [15426] = 15352,
  [15427] = 15207,
  [15428] = 15428,
  [15429] = 15389,
  [15430] = 15224,
  [15431] = 15207,
  [15432] = 15206,
  [15433] = 15207,
  [15434] = 3136,
  [15435] = 6330,
  [15436] = 6334,
  [15437] = 6350,
  [15438] = 3135,
  [15439] = 6352,
  [15440] = 15224,
  [15441] = 15209,
  [15442] = 15442,
  [15443] = 15224,
  [15444] = 15209,
  [15445] = 15224,
  [15446] = 15206,
  [15447] = 15209,
  [15448] = 15224,
  [15449] = 15207,
  [15450] = 15212,
  [15451] = 15206,
  [15452] = 15206,
  [15453] = 15212,
  [15454] = 15206,
  [15455] = 15212,
  [15456] = 15212,
  [15457] = 6439,
  [15458] = 15207,
  [15459] = 15209,
  [15460] = 15212,
  [15461] = 15206,
  [15462] = 15206,
  [15463] = 15224,
  [15464] = 14404,
  [15465] = 15224,
  [15466] = 15224,
  [15467] = 3106,
  [15468] = 15209,
  [15469] = 15212,
  [15470] = 15207,
  [15471] = 11519,
  [15472] = 15209,
  [15473] = 6420,
  [15474] = 15207,
  [15475] = 6453,
  [15476] = 15224,
  [15477] = 15224,
  [15478] = 6404,
  [15479] = 6343,
  [15480] = 15212,
  [15481] = 6441,
  [15482] = 15207,
  [15483] = 15207,
  [15484] = 11362,
  [15485] = 15206,
  [15486] = 15206,
  [15487] = 15207,
  [15488] = 15488,
  [15489] = 15212,
  [15490] = 6373,
  [15491] = 6395,
  [15492] = 15224,
  [15493] = 15493,
  [15494] = 15207,
  [15495] = 15212,
  [15496] = 15224,
  [15497] = 15206,
  [15498] = 15224,
  [15499] = 6365,
  [15500] = 8323,
  [15501] = 15209,
  [15502] = 15224,
  [15503] = 15503,
  [15504] = 15209,
  [15505] = 15206,
  [15506] = 15209,
  [15507] = 15224,
  [15508] = 15224,
  [15509] = 15207,
  [15510] = 11164,
  [15511] = 15511,
  [15512] = 15207,
  [15513] = 15224,
  [15514] = 15224,
  [15515] = 15212,
  [15516] = 15212,
  [15517] = 11407,
  [15518] = 15289,
  [15519] = 6384,
  [15520] = 15212,
  [15521] = 15207,
  [15522] = 15212,
  [15523] = 15405,
  [15524] = 15207,
  [15525] = 6449,
  [15526] = 15206,
  [15527] = 15207,
  [15528] = 15209,
  [15529] = 15212,
  [15530] = 15224,
  [15531] = 15207,
  [15532] = 15207,
  [15533] = 15207,
  [15534] = 15212,
  [15535] = 8312,
  [15536] = 6333,
  [15537] = 15209,
  [15538] = 15209,
  [15539] = 15207,
  [15540] = 14477,
  [15541] = 15212,
  [15542] = 8291,
  [15543] = 15209,
  [15544] = 15493,
  [15545] = 15224,
  [15546] = 15207,
  [15547] = 15224,
  [15548] = 15212,
  [15549] = 15212,
  [15550] = 15206,
  [15551] = 15493,
  [15552] = 15209,
  [15553] = 6366,
  [15554] = 15493,
  [15555] = 6448,
  [15556] = 15206,
  [15557] = 15206,
  [15558] = 15206,
  [15559] = 15212,
  [15560] = 15212,
  [15561] = 15224,
  [15562] = 8464,
  [15563] = 15206,
  [15564] = 15224,
  [15565] = 15207,
  [15566] = 15209,
  [15567] = 3117,
  [15568] = 15212,
  [15569] = 15212,
  [15570] = 15212,
  [15571] = 15207,
  [15572] = 15209,
  [15573] = 8436,
  [15574] = 15574,
  [15575] = 15575,
  [15576] = 15576,
  [15577] = 15575,
  [15578] = 15575,
  [15579] = 15575,
  [15580] = 15576,
  [15581] = 15576,
  [15582] = 15582,
  [15583] = 15583,
  [15584] = 15582,
  [15585] = 15582,
  [15586] = 15576,
  [15587] = 15575,
  [15588] = 15574,
  [15589] = 15575,
  [15590] = 15590,
  [15591] = 15575,
  [15592] = 15575,
  [15593] = 15582,
  [15594] = 15575,
  [15595] = 15582,
  [15596] = 15576,
  [15597] = 15575,
  [15598] = 15582,
  [15599] = 15575,
  [15600] = 15576,
  [15601] = 15601,
  [15602] = 15576,
  [15603] = 15576,
  [15604] = 15575,
  [15605] = 15576,
  [15606] = 15606,
  [15607] = 15582,
  [15608] = 15608,
  [15609] = 15576,
  [15610] = 11803,
  [15611] = 15582,
  [15612] = 15612,
  [15613] = 15601,
  [15614] = 15576,
  [15615] = 15615,
  [15616] = 15576,
  [15617] = 15601,
  [15618] = 15618,
  [15619] = 15575,
  [15620] = 15612,
  [15621] = 14171,
  [15622] = 11537,
  [15623] = 15576,
  [15624] = 15624,
  [15625] = 15582,
  [15626] = 11425,
  [15627] = 15576,
  [15628] = 15576,
  [15629] = 15575,
  [15630] = 15630,
  [15631] = 15582,
  [15632] = 15618,
  [15633] = 15576,
  [15634] = 15582,
  [15635] = 15612,
  [15636] = 15636,
  [15637] = 15575,
  [15638] = 10798,
  [15639] = 15601,
  [15640] = 15608,
  [15641] = 11544,
  [15642] = 15601,
  [15643] = 15618,
  [15644] = 15644,
  [15645] = 15576,
  [15646] = 15646,
  [15647] = 15575,
  [15648] = 15575,
  [15649] = 15576,
  [15650] = 15582,
  [15651] = 15618,
  [15652] = 15601,
  [15653] = 15653,
  [15654] = 15576,
  [15655] = 15576,
  [15656] = 15656,
  [15657] = 15608,
  [15658] = 15582,
  [15659] = 15575,
  [15660] = 15574,
  [15661] = 15575,
  [15662] = 11548,
  [15663] = 15663,
  [15664] = 15574,
  [15665] = 15601,
  [15666] = 15666,
  [15667] = 15624,
  [15668] = 15583,
  [15669] = 15582,
  [15670] = 11617,
  [15671] = 15601,
  [15672] = 15672,
  [15673] = 15576,
  [15674] = 13750,
  [15675] = 15574,
  [15676] = 15601,
  [15677] = 15583,
  [15678] = 15678,
  [15679] = 15612,
  [15680] = 15646,
  [15681] = 15612,
  [15682] = 15576,
  [15683] = 15683,
  [15684] = 15575,
  [15685] = 11844,
  [15686] = 11673,
  [15687] = 15576,
  [15688] = 15688,
  [15689] = 15601,
  [15690] = 15575,
  [15691] = 15608,
  [15692] = 13681,
  [15693] = 15576,
  [15694] = 15575,
  [15695] = 15683,
  [15696] = 15636,
  [15697] = 15697,
  [15698] = 15612,
  [15699] = 15575,
  [15700] = 15575,
  [15701] = 15701,
  [15702] = 15582,
  [15703] = 15636,
  [15704] = 15582,
  [15705] = 15582,
  [15706] = 15576,
  [15707] = 15612,
  [15708] = 15574,
  [15709] = 15576,
  [15710] = 15672,
  [15711] = 15576,
  [15712] = 15712,
  [15713] = 15582,
  [15714] = 15714,
  [15715] = 15576,
  [15716] = 15582,
  [15717] = 15636,
  [15718] = 15575,
  [15719] = 15576,
  [15720] = 15601,
  [15721] = 15576,
  [15722] = 15576,
  [15723] = 15723,
  [15724] = 15576,
  [15725] = 15576,
  [15726] = 15583,
  [15727] = 15575,
  [15728] = 13683,
  [15729] = 15576,
  [15730] = 15636,
  [15731] = 15608,
  [15732] = 15618,
  [15733] = 15575,
  [15734] = 15576,
  [15735] = 15646,
  [15736] = 15736,
  [15737] = 15646,
  [15738] = 15636,
  [15739] = 15601,
  [15740] = 15646,
  [15741] = 15576,
  [15742] = 14171,
  [15743] = 15575,
  [15744] = 15576,
  [15745] = 15574,
  [15746] = 15576,
  [15747] = 15575,
  [15748] = 15576,
  [15749] = 15575,
  [15750] = 15750,
  [15751] = 15601,
  [15752] = 15752,
  [15753] = 15583,
  [15754] = 15601,
  [15755] = 15575,
  [15756] = 15575,
  [15757] = 15576,
  [15758] = 15601,
  [15759] = 15601,
  [15760] = 15601,
  [15761] = 15576,
  [15762] = 15575,
  [15763] = 15575,
  [15764] = 11674,
  [15765] = 15624,
  [15766] = 15766,
  [15767] = 15576,
  [15768] = 15768,
  [15769] = 15618,
  [15770] = 15576,
  [15771] = 15575,
  [15772] = 15575,
  [15773] = 15575,
  [15774] = 15575,
  [15775] = 15646,
  [15776] = 15575,
  [15777] = 15601,
  [15778] = 15575,
  [15779] = 11618,
  [15780] = 15618,
  [15781] = 10603,
  [15782] = 15582,
  [15783] = 15783,
  [15784] = 15576,
  [15785] = 15601,
  [15786] = 15576,
  [15787] = 15750,
  [15788] = 15575,
  [15789] = 15646,
  [15790] = 15790,
  [15791] = 15582,
  [15792] = 15575,
  [15793] = 15601,
  [15794] = 15576,
  [15795] = 15575,
  [15796] = 15796,
  [15797] = 15576,
  [15798] = 15575,
  [15799] = 15575,
  [15800] = 15582,
  [15801] = 15601,
  [15802] = 15683,
  [15803] = 11533,
  [15804] = 15575,
  [15805] = 15805,
  [15806] = 15750,
  [15807] = 15576,
  [15808] = 15808,
  [15809] = 15618,
  [15810] = 15575,
  [15811] = 15575,
  [15812] = 15575,
  [15813] = 15575,
  [15814] = 15646,
  [15815] = 15576,
  [15816] = 15583,
  [15817] = 15601,
  [15818] = 15576,
  [15819] = 15608,
  [15820] = 15820,
  [15821] = 15821,
  [15822] = 15822,
  [15823] = 15823,
  [15824] = 15824,
  [15825] = 15825,
  [15826] = 15826,
  [15827] = 15827,
  [15828] = 15828,
  [15829] = 15821,
  [15830] = 15830,
  [15831] = 15831,
  [15832] = 15822,
  [15833] = 15823,
  [15834] = 15828,
  [15835] = 15822,
  [15836] = 15836,
  [15837] = 15837,
  [15838] = 15838,
  [15839] = 15839,
  [15840] = 15824,
  [15841] = 15841,
  [15842] = 15842,
  [15843] = 15822,
  [15844] = 15824,
  [15845] = 15830,
  [15846] = 15831,
  [15847] = 15822,
  [15848] = 15836,
  [15849] = 15825,
  [15850] = 15830,
  [15851] = 15831,
  [15852] = 15838,
  [15853] = 15821,
  [15854] = 15854,
  [15855] = 15855,
  [15856] = 15822,
  [15857] = 15822,
  [15858] = 15824,
  [15859] = 15859,
  [15860] = 15837,
  [15861] = 15830,
  [15862] = 15837,
  [15863] = 15831,
  [15864] = 15825,
  [15865] = 15821,
  [15866] = 15837,
  [15867] = 15821,
  [15868] = 15822,
  [15869] = 15824,
  [15870] = 15822,
  [15871] = 15830,
  [15872] = 15837,
  [15873] = 15831,
  [15874] = 15820,
  [15875] = 15831,
  [15876] = 15825,
  [15877] = 15825,
  [15878] = 15821,
  [15879] = 15822,
  [15880] = 15841,
  [15881] = 15881,
  [15882] = 15821,
  [15883] = 15837,
  [15884] = 15884,
  [15885] = 15826,
  [15886] = 15827,
  [15887] = 15825,
  [15888] = 15821,
  [15889] = 15823,
  [15890] = 15828,
  [15891] = 15822,
  [15892] = 15836,
  [15893] = 15838,
  [15894] = 15837,
  [15895] = 15822,
  [15896] = 15824,
  [15897] = 15830,
  [15898] = 15831,
  [15899] = 15825,
  [15900] = 15825,
  [15901] = 15822,
  [15902] = 15821,
  [15903] = 15826,
  [15904] = 15827,
  [15905] = 15822,
  [15906] = 15837,
  [15907] = 15907,
  [15908] = 15837,
  [15909] = 15841,
  [15910] = 15825,
  [15911] = 15825,
  [15912] = 15821,
  [15913] = 15821,
  [15914] = 15822,
  [15915] = 15820,
  [15916] = 15837,
  [15917] = 15825,
  [15918] = 15825,
  [15919] = 15884,
  [15920] = 15859,
  [15921] = 15821,
  [15922] = 15841,
  [15923] = 15822,
  [15924] = 5742,
  [15925] = 12573,
  [15926] = 15821,
  [15927] = 15837,
  [15928] = 15826,
  [15929] = 15825,
  [15930] = 15827,
  [15931] = 15821,
  [15932] = 15826,
  [15933] = 15827,
  [15934] = 15823,
  [15935] = 15828,
  [15936] = 15836,
  [15937] = 15837,
  [15938] = 15838,
  [15939] = 15822,
  [15940] = 12034,
  [15941] = 15859,
  [15942] = 15825,
  [15943] = 15823,
  [15944] = 15828,
  [15945] = 15821,
  [15946] = 15822,
  [15947] = 3159,
  [15948] = 15836,
  [15949] = 15837,
  [15950] = 15950,
  [15951] = 15837,
  [15952] = 15838,
  [15953] = 15825,
  [15954] = 13681,
  [15955] = 15821,
  [15956] = 13683,
  [15957] = 15822,
  [15958] = 15824,
  [15959] = 15884,
  [15960] = 15830,
  [15961] = 15831,
  [15962] = 15820,
  [15963] = 15837,
  [15964] = 15964,
  [15965] = 11117,
  [15966] = 15837,
  [15967] = 15825,
  [15968] = 15825,
  [15969] = 15821,
  [15970] = 15841,
  [15971] = 15821,
  [15972] = 15826,
  [15973] = 15827,
  [15974] = 15823,
  [15975] = 15828,
  [15976] = 15859,
  [15977] = 15836,
  [15978] = 15978,
  [15979] = 15838,
  [15980] = 15980,
  [15981] = 15822,
  [15982] = 15822,
  [15983] = 15983,
  [15984] = 15984,
  [15985] = 15985,
  [15986] = 15986,
  [15987] = 15859,
  [15988] = 15988,
  [15989] = 15980,
  [15990] = 15837,
  [15991] = 15907,
  [15992] = 15837,
  [15993] = 15993,
  [15994] = 15837,
  [15995] = 15995,
  [15996] = 15978,
  [15997] = 15984,
  [15998] = 15998,
  [15999] = 15950,
  [16000] = 15820,
  [16001] = 15985,
  [16002] = 15986,
  [16003] = 16003,
  [16004] = 15825,
  [16005] = 15820,
  [16006] = 16006,
  [16007] = 5714,
  [16008] = 15841,
  [16009] = 15820,
  [16010] = 15821,
  [16011] = 12574,
  [16012] = 15825,
  [16013] = 15825,
  [16014] = 15826,
  [16015] = 15827,
  [16016] = 15837,
  [16017] = 15823,
  [16018] = 15995,
  [16019] = 15828,
  [16020] = 15837,
  [16021] = 15836,
  [16022] = 15820,
  [16023] = 15838,
  [16024] = 15822,
  [16025] = 15825,
  [16026] = 12522,
  [16027] = 15841,
  [16028] = 15841,
  [16029] = 15821,
  [16030] = 16030,
  [16031] = 16031,
  [16032] = 15831,
  [16033] = 15837,
  [16034] = 16034,
  [16035] = 15821,
  [16036] = 15825,
  [16037] = 11950,
  [16038] = 11951,
  [16039] = 15826,
  [16040] = 15826,
  [16041] = 15827,
  [16042] = 16042,
  [16043] = 15827,
  [16044] = 15836,
  [16045] = 15825,
  [16046] = 15980,
  [16047] = 16047,
  [16048] = 15907,
  [16049] = 15821,
  [16050] = 15978,
  [16051] = 15984,
  [16052] = 15823,
  [16053] = 15828,
  [16054] = 15998,
  [16055] = 15881,
  [16056] = 15826,
  [16057] = 15823,
  [16058] = 15822,
  [16059] = 15828,
  [16060] = 15836,
  [16061] = 15824,
  [16062] = 15838,
  [16063] = 15822,
  [16064] = 11968,
  [16065] = 15824,
  [16066] = 15836,
  [16067] = 15827,
  [16068] = 15830,
  [16069] = 13750,
  [16070] = 15831,
  [16071] = 15841,
  [16072] = 15838,
  [16073] = 15988,
  [16074] = 15837,
  [16075] = 15995,
  [16076] = 15821,
  [16077] = 16031,
  [16078] = 15980,
  [16079] = 15907,
  [16080] = 15825,
  [16081] = 15978,
  [16082] = 15984,
  [16083] = 15821,
  [16084] = 15822,
  [16085] = 15998,
  [16086] = 15824,
  [16087] = 15830,
  [16088] = 15831,
  [16089] = 16089,
  [16090] = 15837,
  [16091] = 15822,
  [16092] = 15830,
  [16093] = 15859,
  [16094] = 15826,
  [16095] = 15827,
  [16096] = 15837,
  [16097] = 15820,
  [16098] = 15907,
  [16099] = 15837,
  [16100] = 15825,
  [16101] = 15978,
  [16102] = 15984,
  [16103] = 15998,
  [16104] = 16104,
  [16105] = 15859,
  [16106] = 15821,
  [16107] = 15837,
  [16108] = 15822,
  [16109] = 15825,
  [16110] = 15823,
  [16111] = 15907,
  [16112] = 15841,
  [16113] = 15828,
  [16114] = 15978,
  [16115] = 15984,
  [16116] = 15998,
  [16117] = 15841,
  [16118] = 5715,
  [16119] = 15837,
  [16120] = 12527,
  [16121] = 15821,
  [16122] = 15820,
  [16123] = 12528,
  [16124] = 15825,
  [16125] = 15907,
  [16126] = 15995,
  [16127] = 12529,
  [16128] = 15825,
  [16129] = 15978,
  [16130] = 15984,
  [16131] = 15826,
  [16132] = 15827,
  [16133] = 15998,
  [16134] = 15821,
  [16135] = 15824,
  [16136] = 15841,
  [16137] = 16030,
  [16138] = 12055,
  [16139] = 15821,
  [16140] = 15907,
  [16141] = 15836,
  [16142] = 15978,
  [16143] = 15984,
  [16144] = 15822,
  [16145] = 15998,
  [16146] = 15823,
  [16147] = 15828,
  [16148] = 16148,
  [16149] = 16149,
  [16150] = 15836,
  [16151] = 15826,
  [16152] = 15827,
  [16153] = 16042,
  [16154] = 15838,
  [16155] = 15820,
  [16156] = 15838,
  [16157] = 15820,
  [16158] = 12074,
  [16159] = 15907,
  [16160] = 15978,
  [16161] = 15984,
  [16162] = 15837,
  [16163] = 15998,
  [16164] = 15822,
  [16165] = 15824,
  [16166] = 15830,
  [16167] = 15831,
  [16168] = 15823,
  [16169] = 15828,
  [16170] = 15881,
  [16171] = 15836,
  [16172] = 15907,
  [16173] = 16042,
  [16174] = 15822,
  [16175] = 15978,
  [16176] = 15984,
  [16177] = 15838,
  [16178] = 15998,
  [16179] = 15825,
  [16180] = 15824,
  [16181] = 16031,
  [16182] = 16182,
  [16183] = 15824,
  [16184] = 15824,
  [16185] = 15821,
  [16186] = 15822,
  [16187] = 15907,
  [16188] = 15830,
  [16189] = 15824,
  [16190] = 15831,
  [16191] = 15830,
  [16192] = 15831,
  [16193] = 15978,
  [16194] = 15984,
  [16195] = 15822,
  [16196] = 15998,
  [16197] = 16197,
  [16198] = 15839,
  [16199] = 16199,
  [16200] = 15825,
  [16201] = 15825,
  [16202] = 16202,
  [16203] = 15837,
  [16204] = 15907,
  [16205] = 15837,
  [16206] = 15978,
  [16207] = 15984,
  [16208] = 15998,
  [16209] = 16209,
  [16210] = 15859,
  [16211] = 16030,
  [16212] = 15986,
  [16213] = 15825,
  [16214] = 16214,
  [16215] = 15907,
  [16216] = 15978,
  [16217] = 15984,
  [16218] = 15821,
  [16219] = 15998,
  [16220] = 15820,
  [16221] = 15822,
  [16222] = 15831,
  [16223] = 15995,
  [16224] = 15823,
  [16225] = 15828,
  [16226] = 12535,
  [16227] = 15825,
  [16228] = 15995,
  [16229] = 15837,
  [16230] = 15820,
  [16231] = 15859,
  [16232] = 15841,
  [16233] = 16030,
  [16234] = 11808,
  [16235] = 15821,
  [16236] = 16031,
  [16237] = 15825,
  [16238] = 12025,
  [16239] = 15825,
  [16240] = 15826,
  [16241] = 15827,
  [16242] = 16042,
  [16243] = 15993,
  [16244] = 15821,
  [16245] = 15823,
  [16246] = 15828,
  [16247] = 15881,
  [16248] = 15822,
  [16249] = 15836,
  [16250] = 11308,
  [16251] = 15838,
  [16252] = 15841,
  [16253] = 16031,
  [16254] = 15841,
  [16255] = 15837,
  [16256] = 15837,
  [16257] = 15821,
  [16258] = 15822,
  [16259] = 15824,
  [16260] = 15830,
  [16261] = 15831,
  [16262] = 15825,
  [16263] = 16030,
  [16264] = 15821,
  [16265] = 16149,
  [16266] = 15826,
  [16267] = 15827,
  [16268] = 15859,
  [16269] = 15822,
  [16270] = 15837,
  [16271] = 16271,
  [16272] = 15837,
  [16273] = 15823,
  [16274] = 15828,
  [16275] = 16275,
  [16276] = 15821,
  [16277] = 15836,
  [16278] = 15820,
  [16279] = 15838,
  [16280] = 15825,
  [16281] = 11813,
  [16282] = 15825,
  [16283] = 15821,
  [16284] = 15822,
  [16285] = 15824,
  [16286] = 15830,
  [16287] = 15831,
  [16288] = 15841,
  [16289] = 16030,
  [16290] = 15822,
  [16291] = 16291,
  [16292] = 15841,
  [16293] = 15821,
  [16294] = 15837,
  [16295] = 16275,
  [16296] = 15836,
  [16297] = 15826,
  [16298] = 15827,
  [16299] = 15830,
  [16300] = 16042,
  [16301] = 15820,
  [16302] = 15825,
  [16303] = 16303,
  [16304] = 15821,
  [16305] = 15823,
  [16306] = 15828,
  [16307] = 15881,
  [16308] = 15836,
  [16309] = 15821,
  [16310] = 15838,
  [16311] = 15821,
  [16312] = 16031,
  [16313] = 15822,
  [16314] = 15824,
  [16315] = 15830,
  [16316] = 15831,
  [16317] = 15822,
  [16318] = 15854,
  [16319] = 15837,
  [16320] = 15837,
  [16321] = 16003,
  [16322] = 15825,
  [16323] = 16323,
  [16324] = 15831,
  [16325] = 15859,
  [16326] = 15837,
  [16327] = 15826,
  [16328] = 15827,
  [16329] = 15825,
  [16330] = 16330,
  [16331] = 15821,
  [16332] = 15820,
  [16333] = 16042,
  [16334] = 15820,
  [16335] = 15822,
  [16336] = 15838,
  [16337] = 15825,
  [16338] = 15837,
  [16339] = 15825,
  [16340] = 16340,
  [16341] = 16148,
  [16342] = 15884,
  [16343] = 15988,
  [16344] = 15825,
  [16345] = 15841,
  [16346] = 16006,
  [16347] = 15821,
  [16348] = 16348,
  [16349] = 15841,
  [16350] = 3231,
  [16351] = 15822,
  [16352] = 15838,
  [16353] = 15821,
  [16354] = 15985,
  [16355] = 15841,
  [16356] = 15837,
  [16357] = 15821,
  [16358] = 16148,
  [16359] = 15821,
  [16360] = 15826,
  [16361] = 15827,
  [16362] = 15823,
  [16363] = 15828,
  [16364] = 15825,
  [16365] = 15881,
  [16366] = 15985,
  [16367] = 15821,
  [16368] = 16148,
  [16369] = 15822,
  [16370] = 15823,
  [16371] = 15828,
  [16372] = 15964,
  [16373] = 15985,
  [16374] = 15837,
  [16375] = 15836,
  [16376] = 16148,
  [16377] = 15826,
  [16378] = 15827,
  [16379] = 16348,
  [16380] = 15838,
  [16381] = 15985,
  [16382] = 16148,
  [16383] = 15822,
  [16384] = 15830,
  [16385] = 15836,
  [16386] = 16148,
  [16387] = 15823,
  [16388] = 15828,
  [16389] = 15825,
  [16390] = 15988,
  [16391] = 16148,
  [16392] = 15836,
  [16393] = 15824,
  [16394] = 15838,
  [16395] = 16148,
  [16396] = 15830,
  [16397] = 15831,
  [16398] = 16031,
  [16399] = 15821,
  [16400] = 16148,
  [16401] = 15822,
  [16402] = 15824,
  [16403] = 16148,
  [16404] = 15830,
  [16405] = 15831,
  [16406] = 16148,
  [16407] = 15820,
  [16408] = 11111,
  [16409] = 16148,
  [16410] = 16410,
  [16411] = 16148,
  [16412] = 15822,
  [16413] = 15838,
  [16414] = 16148,
  [16415] = 15859,
  [16416] = 16148,
  [16417] = 15820,
  [16418] = 16418,
  [16419] = 16148,
  [16420] = 15837,
  [16421] = 15823,
  [16422] = 16148,
  [16423] = 15884,
  [16424] = 16424,
  [16425] = 16148,
  [16426] = 16148,
  [16427] = 16148,
  [16428] = 16148,
  [16429] = 15837,
  [16430] = 15826,
  [16431] = 15822,
  [16432] = 16148,
  [16433] = 15820,
  [16434] = 15827,
  [16435] = 15826,
  [16436] = 16148,
  [16437] = 16148,
  [16438] = 16148,
  [16439] = 15825,
  [16440] = 16148,
  [16441] = 16148,
  [16442] = 16442,
  [16443] = 16148,
  [16444] = 15841,
  [16445] = 16148,
  [16446] = 16148,
  [16447] = 15827,
  [16448] = 15821,
  [16449] = 16148,
  [16450] = 16148,
  [16451] = 16148,
  [16452] = 16148,
  [16453] = 15826,
  [16454] = 15827,
  [16455] = 16148,
  [16456] = 16148,
  [16457] = 15825,
  [16458] = 16148,
  [16459] = 16148,
  [16460] = 15823,
  [16461] = 15828,
  [16462] = 16031,
  [16463] = 16148,
  [16464] = 15828,
  [16465] = 15836,
  [16466] = 16148,
  [16467] = 15838,
  [16468] = 16148,
  [16469] = 15837,
  [16470] = 15821,
  [16471] = 16148,
  [16472] = 15822,
  [16473] = 15824,
  [16474] = 15830,
  [16475] = 15831,
  [16476] = 16148,
  [16477] = 16148,
  [16478] = 15988,
  [16479] = 16148,
  [16480] = 16148,
  [16481] = 15822,
  [16482] = 15823,
  [16483] = 15828,
  [16484] = 16148,
  [16485] = 15859,
  [16486] = 16148,
  [16487] = 15998,
  [16488] = 16148,
  [16489] = 15837,
  [16490] = 16149,
  [16491] = 15993,
  [16492] = 11800,
  [16493] = 15854,
  [16494] = 15837,
  [16495] = 15820,
  [16496] = 15830,
  [16497] = 15836,
  [16498] = 15825,
  [16499] = 15986,
  [16500] = 15825,
  [16501] = 15821,
  [16502] = 16330,
  [16503] = 15993,
  [16504] = 15854,
  [16505] = 16330,
  [16506] = 15993,
  [16507] = 15854,
  [16508] = 16330,
  [16509] = 15993,
  [16510] = 15854,
  [16511] = 15950,
  [16512] = 15838,
  [16513] = 15822,
  [16514] = 15950,
  [16515] = 15950,
  [16516] = 15841,
  [16517] = 15983,
  [16518] = 15986,
  [16519] = 15983,
  [16520] = 15986,
  [16521] = 15983,
  [16522] = 15837,
  [16523] = 15837,
  [16524] = 16524,
  [16525] = 16525,
  [16526] = 16526,
  [16527] = 16525,
  [16528] = 16528,
  [16529] = 16529,
  [16530] = 16530,
  [16531] = 16531,
  [16532] = 16532,
  [16533] = 16533,
  [16534] = 16534,
  [16535] = 16535,
  [16536] = 16536,
  [16537] = 16537,
  [16538] = 16538,
  [16539] = 16539,
  [16540] = 16540,
  [16541] = 16541,
  [16542] = 16534,
  [16543] = 16534,
  [16544] = 16544,
  [16545] = 16535,
  [16546] = 16546,
  [16547] = 16547,
  [16548] = 16535,
  [16549] = 16524,
  [16550] = 16550,
  [16551] = 16551,
  [16552] = 16531,
  [16553] = 16553,
  [16554] = 11117,
  [16555] = 16555,
  [16556] = 16556,
  [16557] = 16557,
  [16558] = 16534,
  [16559] = 16531,
  [16560] = 16535,
  [16561] = 16547,
  [16562] = 16534,
  [16563] = 16555,
  [16564] = 16564,
  [16565] = 16565,
  [16566] = 16564,
  [16567] = 16535,
  [16568] = 16534,
  [16569] = 16533,
  [16570] = 16570,
  [16571] = 16570,
  [16572] = 16572,
  [16573] = 16573,
  [16574] = 16553,
  [16575] = 16575,
  [16576] = 16576,
  [16577] = 16577,
  [16578] = 16533,
  [16579] = 16579,
  [16580] = 16547,
  [16581] = 16581,
  [16582] = 16582,
  [16583] = 16525,
  [16584] = 16584,
  [16585] = 16585,
  [16586] = 16586,
  [16587] = 16587,
  [16588] = 16588,
  [16589] = 16570,
  [16590] = 16535,
  [16591] = 16572,
  [16592] = 16592,
  [16593] = 16593,
  [16594] = 16534,
  [16595] = 16535,
  [16596] = 16535,
  [16597] = 16575,
  [16598] = 16556,
  [16599] = 16576,
  [16600] = 16577,
  [16601] = 16553,
  [16602] = 16602,
  [16603] = 16531,
  [16604] = 16553,
  [16605] = 16556,
  [16606] = 16531,
  [16607] = 16573,
  [16608] = 16547,
  [16609] = 16555,
  [16610] = 16547,
  [16611] = 16564,
  [16612] = 16575,
  [16613] = 16576,
  [16614] = 16555,
  [16615] = 16577,
  [16616] = 16564,
  [16617] = 16579,
  [16618] = 16618,
  [16619] = 16619,
  [16620] = 16620,
  [16621] = 16621,
  [16622] = 16593,
  [16623] = 16553,
  [16624] = 16573,
  [16625] = 16533,
  [16626] = 16579,
  [16627] = 16533,
  [16628] = 16628,
  [16629] = 16570,
  [16630] = 16525,
  [16631] = 16572,
  [16632] = 16570,
  [16633] = 16553,
  [16634] = 16572,
  [16635] = 16635,
  [16636] = 16636,
  [16637] = 16637,
  [16638] = 16575,
  [16639] = 16534,
  [16640] = 16576,
  [16641] = 16535,
  [16642] = 16577,
  [16643] = 16593,
  [16644] = 16556,
  [16645] = 16531,
  [16646] = 16547,
  [16647] = 16547,
  [16648] = 16648,
  [16649] = 16575,
  [16650] = 16576,
  [16651] = 16577,
  [16652] = 16533,
  [16653] = 13011,
  [16654] = 16579,
  [16655] = 16570,
  [16656] = 16572,
  [16657] = 16581,
  [16658] = 16524,
  [16659] = 16585,
  [16660] = 16660,
  [16661] = 16553,
  [16662] = 16587,
  [16663] = 16579,
  [16664] = 16556,
  [16665] = 16665,
  [16666] = 16666,
  [16667] = 16531,
  [16668] = 16668,
  [16669] = 16525,
  [16670] = 16670,
  [16671] = 13024,
  [16672] = 16672,
  [16673] = 16533,
  [16674] = 16550,
  [16675] = 16581,
  [16676] = 16585,
  [16677] = 16677,
  [16678] = 16570,
  [16679] = 16660,
  [16680] = 16636,
  [16681] = 16637,
  [16682] = 16572,
  [16683] = 16587,
  [16684] = 16592,
  [16685] = 16592,
  [16686] = 16529,
  [16687] = 16593,
  [16688] = 16532,
  [16689] = 16533,
  [16690] = 16536,
  [16691] = 16537,
  [16692] = 16538,
  [16693] = 16540,
  [16694] = 16581,
  [16695] = 16544,
  [16696] = 16546,
  [16697] = 16585,
  [16698] = 16524,
  [16699] = 16551,
  [16700] = 16587,
  [16701] = 16553,
  [16702] = 16582,
  [16703] = 16592,
  [16704] = 16593,
  [16705] = 16705,
  [16706] = 16573,
  [16707] = 16556,
  [16708] = 16531,
  [16709] = 16525,
  [16710] = 16556,
  [16711] = 16531,
  [16712] = 16525,
  [16713] = 16593,
  [16714] = 16570,
  [16715] = 16547,
  [16716] = 16716,
  [16717] = 16555,
  [16718] = 16534,
  [16719] = 16535,
  [16720] = 16720,
  [16721] = 16628,
  [16722] = 16564,
  [16723] = 16573,
  [16724] = 16525,
  [16725] = 16725,
  [16726] = 16547,
  [16727] = 16525,
  [16728] = 16660,
  [16729] = 16534,
  [16730] = 16533,
  [16731] = 16535,
  [16732] = 16547,
  [16733] = 16628,
  [16734] = 16665,
  [16735] = 16666,
  [16736] = 16572,
  [16737] = 16570,
  [16738] = 16553,
  [16739] = 16553,
  [16740] = 16668,
  [16741] = 16572,
  [16742] = 16556,
  [16743] = 16579,
  [16744] = 16531,
  [16745] = 16550,
  [16746] = 16677,
  [16747] = 16572,
  [16748] = 16553,
  [16749] = 16636,
  [16750] = 16637,
  [16751] = 16556,
  [16752] = 16531,
  [16753] = 16533,
  [16754] = 16529,
  [16755] = 16532,
  [16756] = 16570,
  [16757] = 16533,
  [16758] = 16536,
  [16759] = 16537,
  [16760] = 16582,
  [16761] = 16538,
  [16762] = 16572,
  [16763] = 16540,
  [16764] = 16533,
  [16765] = 16544,
  [16766] = 16546,
  [16767] = 16524,
  [16768] = 16551,
  [16769] = 16570,
  [16770] = 16572,
  [16771] = 16573,
  [16772] = 16575,
  [16773] = 16576,
  [16774] = 16577,
  [16775] = 16525,
  [16776] = 16776,
  [16777] = 16556,
  [16778] = 16577,
  [16779] = 16531,
  [16780] = 16530,
  [16781] = 16570,
  [16782] = 16579,
  [16783] = 16573,
  [16784] = 16534,
  [16785] = 16525,
  [16786] = 16535,
  [16787] = 16660,
  [16788] = 16534,
  [16789] = 16535,
  [16790] = 16537,
  [16791] = 16547,
  [16792] = 16665,
  [16793] = 16564,
  [16794] = 16572,
  [16795] = 16553,
  [16796] = 16573,
  [16797] = 16550,
  [16798] = 16556,
  [16799] = 16677,
  [16800] = 16531,
  [16801] = 16529,
  [16802] = 16536,
  [16803] = 16537,
  [16804] = 16534,
  [16805] = 16538,
  [16806] = 16540,
  [16807] = 16807,
  [16808] = 16544,
  [16809] = 16547,
  [16810] = 16546,
  [16811] = 16524,
  [16812] = 16551,
  [16813] = 16530,
  [16814] = 16533,
  [16815] = 16570,
  [16816] = 16547,
  [16817] = 16572,
  [16818] = 16573,
  [16819] = 16573,
  [16820] = 16820,
  [16821] = 16776,
  [16822] = 16534,
  [16823] = 16823,
  [16824] = 16553,
  [16825] = 16776,
  [16826] = 16826,
  [16827] = 16535,
  [16828] = 16581,
  [16829] = 16556,
  [16830] = 16531,
  [16831] = 16660,
  [16832] = 16585,
  [16833] = 16587,
  [16834] = 16555,
  [16835] = 16541,
  [16836] = 16525,
  [16837] = 16525,
  [16838] = 16555,
  [16839] = 16665,
  [16840] = 16525,
  [16841] = 16564,
  [16842] = 16555,
  [16843] = 16550,
  [16844] = 16526,
  [16845] = 16677,
  [16846] = 16573,
  [16847] = 16847,
  [16848] = 16529,
  [16849] = 16536,
  [16850] = 16537,
  [16851] = 16538,
  [16852] = 16534,
  [16853] = 16540,
  [16854] = 16544,
  [16855] = 16524,
  [16856] = 5778,
  [16857] = 16535,
  [16858] = 16534,
  [16859] = 16535,
  [16860] = 16564,
  [16861] = 16573,
  [16862] = 16592,
  [16863] = 16547,
  [16864] = 12283,
  [16865] = 16525,
  [16866] = 16557,
  [16867] = 16547,
  [16868] = 16533,
  [16869] = 16534,
  [16870] = 16870,
  [16871] = 16553,
  [16872] = 16570,
  [16873] = 16535,
  [16874] = 16564,
  [16875] = 16582,
  [16876] = 16584,
  [16877] = 16660,
  [16878] = 16572,
  [16879] = 16547,
  [16880] = 16532,
  [16881] = 16586,
  [16882] = 16526,
  [16883] = 16588,
  [16884] = 16665,
  [16885] = 16553,
  [16886] = 16553,
  [16887] = 16575,
  [16888] = 16888,
  [16889] = 16556,
  [16890] = 16550,
  [16891] = 16576,
  [16892] = 16677,
  [16893] = 16556,
  [16894] = 16525,
  [16895] = 16556,
  [16896] = 16577,
  [16897] = 16531,
  [16898] = 16531,
  [16899] = 16531,
  [16900] = 16529,
  [16901] = 16536,
  [16902] = 16579,
  [16903] = 16537,
  [16904] = 16540,
  [16905] = 16544,
  [16906] = 16524,
  [16907] = 16581,
  [16908] = 16533,
  [16909] = 16555,
  [16910] = 16564,
  [16911] = 16618,
  [16912] = 16570,
  [16913] = 16619,
  [16914] = 16533,
  [16915] = 16620,
  [16916] = 16621,
  [16917] = 16553,
  [16918] = 16570,
  [16919] = 13074,
  [16920] = 16572,
  [16921] = 16660,
  [16922] = 16572,
  [16923] = 16533,
  [16924] = 16665,
  [16925] = 16628,
  [16926] = 16593,
  [16927] = 16581,
  [16928] = 16677,
  [16929] = 16677,
  [16930] = 16570,
  [16931] = 16585,
  [16932] = 16534,
  [16933] = 16587,
  [16934] = 16536,
  [16935] = 16537,
  [16936] = 16535,
  [16937] = 16544,
  [16938] = 16524,
  [16939] = 16534,
  [16940] = 16547,
  [16941] = 16535,
  [16942] = 16592,
  [16943] = 16572,
  [16944] = 16944,
  [16945] = 16945,
  [16946] = 16593,
  [16947] = 16533,
  [16948] = 16575,
  [16949] = 16576,
  [16950] = 16577,
  [16951] = 16585,
  [16952] = 16579,
  [16953] = 13018,
  [16954] = 16547,
  [16955] = 13020,
  [16956] = 16660,
  [16957] = 16573,
  [16958] = 16551,
  [16959] = 16628,
  [16960] = 16525,
  [16961] = 16665,
  [16962] = 16677,
  [16963] = 16553,
  [16964] = 16964,
  [16965] = 16573,
  [16966] = 16536,
  [16967] = 16573,
  [16968] = 16537,
  [16969] = 16544,
  [16970] = 16524,
  [16971] = 16534,
  [16972] = 16972,
  [16973] = 16535,
  [16974] = 16547,
  [16975] = 16581,
  [16976] = 16570,
  [16977] = 16585,
  [16978] = 16587,
  [16979] = 16592,
  [16980] = 16553,
  [16981] = 16525,
  [16982] = 16557,
  [16983] = 16660,
  [16984] = 16593,
  [16985] = 16570,
  [16986] = 16665,
  [16987] = 16587,
  [16988] = 16988,
  [16989] = 16534,
  [16990] = 16547,
  [16991] = 16535,
  [16992] = 16556,
  [16993] = 16556,
  [16994] = 16677,
  [16995] = 16572,
  [16996] = 16531,
  [16997] = 16547,
  [16998] = 16531,
  [16999] = 16538,
  [17000] = 16536,
  [17001] = 16537,
  [17002] = 16547,
  [17003] = 16544,
  [17004] = 16524,
  [17005] = 17005,
  [17006] = 16553,
  [17007] = 16533,
  [17008] = 16533,
  [17009] = 16556,
  [17010] = 16531,
  [17011] = 16570,
  [17012] = 16572,
  [17013] = 16547,
  [17014] = 16579,
  [17015] = 16660,
  [17016] = 16533,
  [17017] = 16570,
  [17018] = 16572,
  [17019] = 16618,
  [17020] = 16665,
  [17021] = 16555,
  [17022] = 17022,
  [17023] = 16573,
  [17024] = 16531,
  [17025] = 16581,
  [17026] = 16535,
  [17027] = 16564,
  [17028] = 17028,
  [17029] = 16582,
  [17030] = 16525,
  [17031] = 16536,
  [17032] = 16537,
  [17033] = 16544,
  [17034] = 16524,
  [17035] = 16585,
  [17036] = 16553,
  [17037] = 16534,
  [17038] = 16573,
  [17039] = 16573,
  [17040] = 16660,
  [17041] = 17041,
  [17042] = 16525,
  [17043] = 16665,
  [17044] = 16533,
  [17045] = 16553,
  [17046] = 16556,
  [17047] = 16534,
  [17048] = 16525,
  [17049] = 16570,
  [17050] = 16535,
  [17051] = 16573,
  [17052] = 16547,
  [17053] = 16536,
  [17054] = 16537,
  [17055] = 16572,
  [17056] = 16544,
  [17057] = 16524,
  [17058] = 16534,
  [17059] = 16575,
  [17060] = 16530,
  [17061] = 11308,
  [17062] = 17062,
  [17063] = 16535,
  [17064] = 16582,
  [17065] = 16573,
  [17066] = 16576,
  [17067] = 16776,
  [17068] = 16575,
  [17069] = 16553,
  [17070] = 16660,
  [17071] = 16665,
  [17072] = 16576,
  [17073] = 16665,
  [17074] = 16556,
  [17075] = 16584,
  [17076] = 16531,
  [17077] = 16587,
  [17078] = 16525,
  [17079] = 16547,
  [17080] = 16577,
  [17081] = 16586,
  [17082] = 16582,
  [17083] = 16536,
  [17084] = 16537,
  [17085] = 16544,
  [17086] = 16524,
  [17087] = 16526,
  [17088] = 16533,
  [17089] = 16570,
  [17090] = 16572,
  [17091] = 16525,
  [17092] = 16534,
  [17093] = 16535,
  [17094] = 16660,
  [17095] = 16535,
  [17096] = 16665,
  [17097] = 16588,
  [17098] = 16553,
  [17099] = 16557,
  [17100] = 16577,
  [17101] = 16547,
  [17102] = 16579,
  [17103] = 16556,
  [17104] = 16556,
  [17105] = 16534,
  [17106] = 16536,
  [17107] = 16537,
  [17108] = 16544,
  [17109] = 16524,
  [17110] = 16531,
  [17111] = 16553,
  [17112] = 16582,
  [17113] = 16660,
  [17114] = 16619,
  [17115] = 16584,
  [17116] = 16586,
  [17117] = 16665,
  [17118] = 17118,
  [17119] = 16556,
  [17120] = 16588,
  [17121] = 16533,
  [17122] = 16535,
  [17123] = 16573,
  [17124] = 16556,
  [17125] = 16531,
  [17126] = 16536,
  [17127] = 16531,
  [17128] = 16537,
  [17129] = 16570,
  [17130] = 16544,
  [17131] = 16524,
  [17132] = 16525,
  [17133] = 16555,
  [17134] = 16660,
  [17135] = 16547,
  [17136] = 16564,
  [17137] = 16665,
  [17138] = 16618,
  [17139] = 16547,
  [17140] = 16572,
  [17141] = 16619,
  [17142] = 16620,
  [17143] = 16621,
  [17144] = 16534,
  [17145] = 16535,
  [17146] = 16666,
  [17147] = 16536,
  [17148] = 16537,
  [17149] = 16544,
  [17150] = 16524,
  [17151] = 16581,
  [17152] = 16533,
  [17153] = 16660,
  [17154] = 16964,
  [17155] = 16547,
  [17156] = 16628,
  [17157] = 16585,
  [17158] = 16531,
  [17159] = 16665,
  [17160] = 13195,
  [17161] = 16587,
  [17162] = 16570,
  [17163] = 16553,
  [17164] = 16572,
  [17165] = 16592,
  [17166] = 16553,
  [17167] = 16620,
  [17168] = 16556,
  [17169] = 16536,
  [17170] = 16537,
  [17171] = 16531,
  [17172] = 16544,
  [17173] = 16524,
  [17174] = 16575,
  [17175] = 16576,
  [17176] = 16577,
  [17177] = 16573,
  [17178] = 16579,
  [17179] = 16579,
  [17180] = 16660,
  [17181] = 17181,
  [17182] = 17182,
  [17183] = 16665,
  [17184] = 16592,
  [17185] = 16533,
  [17186] = 16536,
  [17187] = 16621,
  [17188] = 16537,
  [17189] = 16544,
  [17190] = 16524,
  [17191] = 16570,
  [17192] = 16660,
  [17193] = 16572,
  [17194] = 16556,
  [17195] = 16581,
  [17196] = 16665,
  [17197] = 16585,
  [17198] = 16587,
  [17199] = 16593,
  [17200] = 16592,
  [17201] = 16531,
  [17202] = 16536,
  [17203] = 16537,
  [17204] = 16544,
  [17205] = 16541,
  [17206] = 16660,
  [17207] = 16593,
  [17208] = 16592,
  [17209] = 16665,
  [17210] = 16592,
  [17211] = 16573,
  [17212] = 16555,
  [17213] = 16553,
  [17214] = 16807,
  [17215] = 16945,
  [17216] = 16564,
  [17217] = 16536,
  [17218] = 16537,
  [17219] = 16544,
  [17220] = 16524,
  [17221] = 16660,
  [17222] = 16555,
  [17223] = 16525,
  [17224] = 16665,
  [17225] = 16573,
  [17226] = 16534,
  [17227] = 16534,
  [17228] = 16535,
  [17229] = 16582,
  [17230] = 16525,
  [17231] = 16564,
  [17232] = 16536,
  [17233] = 16537,
  [17234] = 16573,
  [17235] = 16544,
  [17236] = 16524,
  [17237] = 16533,
  [17238] = 16660,
  [17239] = 16534,
  [17240] = 16665,
  [17241] = 16535,
  [17242] = 16570,
  [17243] = 16573,
  [17244] = 16547,
  [17245] = 16618,
  [17246] = 16572,
  [17247] = 16547,
  [17248] = 16553,
  [17249] = 16670,
  [17250] = 16536,
  [17251] = 16537,
  [17252] = 16672,
  [17253] = 16544,
  [17254] = 16524,
  [17255] = 16556,
  [17256] = 16660,
  [17257] = 16556,
  [17258] = 16531,
  [17259] = 16665,
  [17260] = 16575,
  [17261] = 16576,
  [17262] = 16619,
  [17263] = 16577,
  [17264] = 16620,
  [17265] = 16533,
  [17266] = 11111,
  [17267] = 16660,
  [17268] = 16570,
  [17269] = 16531,
  [17270] = 16572,
  [17271] = 16665,
  [17272] = 16553,
  [17273] = 16579,
  [17274] = 16530,
  [17275] = 16660,
  [17276] = 16665,
  [17277] = 16581,
  [17278] = 16621,
  [17279] = 16556,
  [17280] = 16573,
  [17281] = 17281,
  [17282] = 16776,
  [17283] = 16660,
  [17284] = 16531,
  [17285] = 16556,
  [17286] = 16581,
  [17287] = 16665,
  [17288] = 16525,
  [17289] = 16585,
  [17290] = 16660,
  [17291] = 16587,
  [17292] = 16585,
  [17293] = 16587,
  [17294] = 16665,
  [17295] = 16573,
  [17296] = 16526,
  [17297] = 16592,
  [17298] = 16555,
  [17299] = 16573,
  [17300] = 16525,
  [17301] = 16660,
  [17302] = 16534,
  [17303] = 16665,
  [17304] = 16535,
  [17305] = 16593,
  [17306] = 16533,
  [17307] = 16534,
  [17308] = 16535,
  [17309] = 16660,
  [17310] = 16570,
  [17311] = 16665,
  [17312] = 16547,
  [17313] = 16557,
  [17314] = 16572,
  [17315] = 16547,
  [17316] = 16553,
  [17317] = 16593,
  [17318] = 16660,
  [17319] = 16533,
  [17320] = 16665,
  [17321] = 16533,
  [17322] = 17322,
  [17323] = 16556,
  [17324] = 16553,
  [17325] = 16531,
  [17326] = 16525,
  [17327] = 16582,
  [17328] = 17328,
  [17329] = 16584,
  [17330] = 16660,
  [17331] = 16628,
  [17332] = 16586,
  [17333] = 16588,
  [17334] = 16665,
  [17335] = 16592,
  [17336] = 16533,
  [17337] = 16556,
  [17338] = 16570,
  [17339] = 16531,
  [17340] = 16572,
  [17341] = 16660,
  [17342] = 16665,
  [17343] = 17343,
  [17344] = 16593,
  [17345] = 16526,
  [17346] = 16555,
  [17347] = 16564,
  [17348] = 16618,
  [17349] = 16660,
  [17350] = 16619,
  [17351] = 16665,
  [17352] = 16570,
  [17353] = 16620,
  [17354] = 16621,
  [17355] = 16573,
  [17356] = 16660,
  [17357] = 16665,
  [17358] = 16533,
  [17359] = 16628,
  [17360] = 16570,
  [17361] = 13045,
  [17362] = 16660,
  [17363] = 16573,
  [17364] = 16570,
  [17365] = 16564,
  [17366] = 16534,
  [17367] = 16665,
  [17368] = 17368,
  [17369] = 16593,
  [17370] = 16535,
  [17371] = 16572,
  [17372] = 16525,
  [17373] = 16525,
  [17374] = 16575,
  [17375] = 16576,
  [17376] = 16660,
  [17377] = 16525,
  [17378] = 16577,
  [17379] = 16572,
  [17380] = 16665,
  [17381] = 16539,
  [17382] = 16579,
  [17383] = 16534,
  [17384] = 16534,
  [17385] = 16660,
  [17386] = 16535,
  [17387] = 16535,
  [17388] = 16572,
  [17389] = 16665,
  [17390] = 16635,
  [17391] = 16547,
  [17392] = 11808,
  [17393] = 16660,
  [17394] = 16573,
  [17395] = 16553,
  [17396] = 16665,
  [17397] = 16581,
  [17398] = 16547,
  [17399] = 16585,
  [17400] = 16541,
  [17401] = 16572,
  [17402] = 16592,
  [17403] = 16660,
  [17404] = 16556,
  [17405] = 16665,
  [17406] = 16531,
  [17407] = 16547,
  [17408] = 17408,
  [17409] = 16593,
  [17410] = 16553,
  [17411] = 16660,
  [17412] = 16665,
  [17413] = 16533,
  [17414] = 16570,
  [17415] = 17415,
  [17416] = 16556,
  [17417] = 16572,
  [17418] = 16660,
  [17419] = 16665,
  [17420] = 16584,
  [17421] = 16531,
  [17422] = 16525,
  [17423] = 16660,
  [17424] = 16553,
  [17425] = 16533,
  [17426] = 16665,
  [17427] = 16587,
  [17428] = 16660,
  [17429] = 16573,
  [17430] = 16570,
  [17431] = 16665,
  [17432] = 16573,
  [17433] = 16572,
  [17434] = 16553,
  [17435] = 16525,
  [17436] = 16660,
  [17437] = 16573,
  [17438] = 16525,
  [17439] = 16665,
  [17440] = 16575,
  [17441] = 16575,
  [17442] = 16668,
  [17443] = 16660,
  [17444] = 16534,
  [17445] = 16530,
  [17446] = 16665,
  [17447] = 16535,
  [17448] = 16576,
  [17449] = 16577,
  [17450] = 16547,
  [17451] = 16660,
  [17452] = 16573,
  [17453] = 16665,
  [17454] = 16553,
  [17455] = 16579,
  [17456] = 16525,
  [17457] = 16660,
  [17458] = 16556,
  [17459] = 16531,
  [17460] = 16665,
  [17461] = 16533,
  [17462] = 16534,
  [17463] = 16526,
  [17464] = 16660,
  [17465] = 16533,
  [17466] = 16665,
  [17467] = 16570,
  [17468] = 16582,
  [17469] = 16572,
  [17470] = 16534,
  [17471] = 16534,
  [17472] = 16535,
  [17473] = 16533,
  [17474] = 16660,
  [17475] = 16535,
  [17476] = 16556,
  [17477] = 16665,
  [17478] = 16535,
  [17479] = 16534,
  [17480] = 16557,
  [17481] = 16628,
  [17482] = 16660,
  [17483] = 16531,
  [17484] = 16665,
  [17485] = 16547,
  [17486] = 16547,
  [17487] = 17487,
  [17488] = 16535,
  [17489] = 16660,
  [17490] = 16553,
  [17491] = 16665,
  [17492] = 16660,
  [17493] = 16665,
  [17494] = 16570,
  [17495] = 16660,
  [17496] = 16573,
  [17497] = 16665,
  [17498] = 16660,
  [17499] = 16665,
  [17500] = 16660,
  [17501] = 16665,
  [17502] = 16660,
  [17503] = 16573,
  [17504] = 16665,
  [17505] = 16660,
  [17506] = 16553,
  [17507] = 16665,
  [17508] = 16660,
  [17509] = 16665,
  [17510] = 16660,
  [17511] = 16665,
  [17512] = 16660,
  [17513] = 16665,
  [17514] = 16660,
  [17515] = 16665,
  [17516] = 16660,
  [17517] = 16525,
  [17518] = 16665,
  [17519] = 16660,
  [17520] = 16665,
  [17521] = 16660,
  [17522] = 16665,
  [17523] = 16660,
  [17524] = 16665,
  [17525] = 16660,
  [17526] = 16665,
  [17527] = 16660,
  [17528] = 16665,
  [17529] = 16660,
  [17530] = 16665,
  [17531] = 16660,
  [17532] = 16665,
  [17533] = 16660,
  [17534] = 16665,
  [17535] = 16660,
  [17536] = 16665,
  [17537] = 16660,
  [17538] = 16665,
  [17539] = 16660,
  [17540] = 16665,
  [17541] = 16660,
  [17542] = 16665,
  [17543] = 16660,
  [17544] = 16665,
  [17545] = 16660,
  [17546] = 16665,
  [17547] = 16660,
  [17548] = 16665,
  [17549] = 16660,
  [17550] = 16665,
  [17551] = 16660,
  [17552] = 16665,
  [17553] = 16660,
  [17554] = 16665,
  [17555] = 16660,
  [17556] = 16665,
  [17557] = 16660,
  [17558] = 16665,
  [17559] = 16660,
  [17560] = 16665,
  [17561] = 16660,
  [17562] = 16665,
  [17563] = 16660,
  [17564] = 16665,
  [17565] = 16660,
  [17566] = 16665,
  [17567] = 16660,
  [17568] = 16665,
  [17569] = 16944,
  [17570] = 17118,
  [17571] = 16582,
  [17572] = 16555,
  [17573] = 16584,
  [17574] = 16547,
  [17575] = 16586,
  [17576] = 16534,
  [17577] = 16588,
  [17578] = 17343,
  [17579] = 16535,
  [17580] = 16870,
  [17581] = 16547,
  [17582] = 16556,
  [17583] = 16525,
  [17584] = 16556,
  [17585] = 17585,
  [17586] = 16553,
  [17587] = 16826,
  [17588] = 16531,
  [17589] = 16555,
  [17590] = 16531,
  [17591] = 16556,
  [17592] = 16531,
  [17593] = 16572,
  [17594] = 17005,
  [17595] = 16575,
  [17596] = 16565,
  [17597] = 16533,
  [17598] = 16570,
  [17599] = 16564,
  [17600] = 16572,
  [17601] = 16555,
  [17602] = 16534,
  [17603] = 16564,
  [17604] = 16535,
  [17605] = 16573,
  [17606] = 11813,
  [17607] = 16972,
  [17608] = 16553,
  [17609] = 16533,
  [17610] = 16555,
  [17611] = 16547,
  [17612] = 17322,
  [17613] = 16573,
  [17614] = 16564,
  [17615] = 16570,
  [17616] = 16572,
  [17617] = 16619,
  [17618] = 16576,
  [17619] = 16620,
  [17620] = 16621,
  [17621] = 16944,
  [17622] = 16525,
  [17623] = 16581,
  [17624] = 16553,
  [17625] = 16870,
  [17626] = 16575,
  [17627] = 16576,
  [17628] = 16577,
  [17629] = 16826,
  [17630] = 16533,
  [17631] = 16556,
  [17632] = 16534,
  [17633] = 16531,
  [17634] = 16535,
  [17635] = 16585,
  [17636] = 16587,
  [17637] = 16547,
  [17638] = 16540,
  [17639] = 16556,
  [17640] = 16531,
  [17641] = 16553,
  [17642] = 16579,
  [17643] = 16592,
  [17644] = 16556,
  [17645] = 16531,
  [17646] = 16533,
  [17647] = 16628,
  [17648] = 16944,
  [17649] = 16533,
  [17650] = 16570,
  [17651] = 16570,
  [17652] = 16870,
  [17653] = 16572,
  [17654] = 16570,
  [17655] = 16826,
  [17656] = 16572,
  [17657] = 16581,
  [17658] = 16533,
  [17659] = 16585,
  [17660] = 16587,
  [17661] = 16573,
  [17662] = 16572,
  [17663] = 16592,
  [17664] = 16586,
  [17665] = 16593,
  [17666] = 16546,
  [17667] = 16555,
  [17668] = 16525,
  [17669] = 16573,
  [17670] = 16628,
  [17671] = 16944,
  [17672] = 17672,
  [17673] = 16564,
  [17674] = 16575,
  [17675] = 16576,
  [17676] = 16577,
  [17677] = 16870,
  [17678] = 16579,
  [17679] = 16826,
  [17680] = 16525,
  [17681] = 16525,
  [17682] = 17682,
  [17683] = 16533,
  [17684] = 16570,
  [17685] = 17685,
  [17686] = 16944,
  [17687] = 16870,
  [17688] = 17688,
  [17689] = 16826,
  [17690] = 16534,
  [17691] = 16581,
  [17692] = 16535,
  [17693] = 16533,
  [17694] = 16547,
  [17695] = 16593,
  [17696] = 16581,
  [17697] = 16944,
  [17698] = 16570,
  [17699] = 16585,
  [17700] = 16587,
  [17701] = 16572,
  [17702] = 16870,
  [17703] = 16592,
  [17704] = 16826,
  [17705] = 16575,
  [17706] = 16553,
  [17707] = 16576,
  [17708] = 16944,
  [17709] = 16593,
  [17710] = 16577,
  [17711] = 16870,
  [17712] = 16826,
  [17713] = 16525,
  [17714] = 16572,
  [17715] = 16556,
  [17716] = 16547,
  [17717] = 16944,
  [17718] = 16531,
  [17719] = 16579,
  [17720] = 16870,
  [17721] = 16826,
  [17722] = 16628,
  [17723] = 16944,
  [17724] = 16870,
  [17725] = 16533,
  [17726] = 16826,
  [17727] = 16944,
  [17728] = 16528,
  [17729] = 16870,
  [17730] = 16826,
  [17731] = 16944,
  [17732] = 17732,
  [17733] = 16570,
  [17734] = 16531,
  [17735] = 16572,
  [17736] = 16870,
  [17737] = 16826,
  [17738] = 16581,
  [17739] = 16944,
  [17740] = 16870,
  [17741] = 16826,
  [17742] = 16575,
  [17743] = 16944,
  [17744] = 16576,
  [17745] = 16551,
  [17746] = 16585,
  [17747] = 16870,
  [17748] = 16826,
  [17749] = 16585,
  [17750] = 16587,
  [17751] = 16577,
  [17752] = 16944,
  [17753] = 17753,
  [17754] = 16575,
  [17755] = 16870,
  [17756] = 16826,
  [17757] = 17757,
  [17758] = 16944,
  [17759] = 16587,
  [17760] = 16870,
  [17761] = 16826,
  [17762] = 16944,
  [17763] = 16544,
  [17764] = 16870,
  [17765] = 16826,
  [17766] = 16573,
  [17767] = 16944,
  [17768] = 16870,
  [17769] = 16826,
  [17770] = 16529,
  [17771] = 16944,
  [17772] = 16870,
  [17773] = 16525,
  [17774] = 16826,
  [17775] = 17775,
  [17776] = 16944,
  [17777] = 16870,
  [17778] = 16826,
  [17779] = 16576,
  [17780] = 16944,
  [17781] = 16577,
  [17782] = 16870,
  [17783] = 16826,
  [17784] = 17784,
  [17785] = 16534,
  [17786] = 16944,
  [17787] = 16592,
  [17788] = 16535,
  [17789] = 16534,
  [17790] = 16870,
  [17791] = 16573,
  [17792] = 16826,
  [17793] = 16944,
  [17794] = 16870,
  [17795] = 16826,
  [17796] = 16593,
  [17797] = 16944,
  [17798] = 16557,
  [17799] = 16579,
  [17800] = 16870,
  [17801] = 16826,
  [17802] = 16547,
  [17803] = 16944,
  [17804] = 16870,
  [17805] = 16826,
  [17806] = 16570,
  [17807] = 16944,
  [17808] = 16536,
  [17809] = 16553,
  [17810] = 16870,
  [17811] = 16826,
  [17812] = 17812,
  [17813] = 16944,
  [17814] = 17814,
  [17815] = 16582,
  [17816] = 16870,
  [17817] = 16556,
  [17818] = 16826,
  [17819] = 16525,
  [17820] = 16944,
  [17821] = 17821,
  [17822] = 16531,
  [17823] = 16870,
  [17824] = 16826,
  [17825] = 16944,
  [17826] = 16555,
  [17827] = 16535,
  [17828] = 16870,
  [17829] = 16826,
  [17830] = 16564,
  [17831] = 16944,
  [17832] = 16619,
  [17833] = 16870,
  [17834] = 16826,
  [17835] = 16620,
  [17836] = 16944,
  [17837] = 16621,
  [17838] = 16870,
  [17839] = 16826,
  [17840] = 17368,
  [17841] = 16944,
  [17842] = 16870,
  [17843] = 16826,
  [17844] = 16533,
  [17845] = 16944,
  [17846] = 16628,
  [17847] = 16870,
  [17848] = 16570,
  [17849] = 16826,
  [17850] = 16534,
  [17851] = 16944,
  [17852] = 16535,
  [17853] = 16547,
  [17854] = 16572,
  [17855] = 17855,
  [17856] = 16870,
  [17857] = 16826,
  [17858] = 16944,
  [17859] = 16547,
  [17860] = 16575,
  [17861] = 16576,
  [17862] = 16870,
  [17863] = 16577,
  [17864] = 16826,
  [17865] = 17865,
  [17866] = 16944,
  [17867] = 16577,
  [17868] = 16579,
  [17869] = 16870,
  [17870] = 16826,
  [17871] = 16944,
  [17872] = 16870,
  [17873] = 16826,
  [17874] = 16944,
  [17875] = 16525,
  [17876] = 16556,
  [17877] = 16553,
  [17878] = 16870,
  [17879] = 16826,
  [17880] = 16581,
  [17881] = 16944,
  [17882] = 16585,
  [17883] = 16587,
  [17884] = 16553,
  [17885] = 16546,
  [17886] = 16870,
  [17887] = 16826,
  [17888] = 16553,
  [17889] = 16592,
  [17890] = 16944,
  [17891] = 16556,
  [17892] = 16870,
  [17893] = 17672,
  [17894] = 16826,
  [17895] = 16556,
  [17896] = 16593,
  [17897] = 16944,
  [17898] = 16530,
  [17899] = 16660,
  [17900] = 16870,
  [17901] = 16826,
  [17902] = 16531,
  [17903] = 16588,
  [17904] = 16944,
  [17905] = 16579,
  [17906] = 16870,
  [17907] = 16531,
  [17908] = 16826,
  [17909] = 17682,
  [17910] = 16944,
  [17911] = 17911,
  [17912] = 16870,
  [17913] = 16826,
  [17914] = 16648,
  [17915] = 16576,
  [17916] = 16944,
  [17917] = 16533,
  [17918] = 16870,
  [17919] = 16826,
  [17920] = 16570,
  [17921] = 16944,
  [17922] = 16572,
  [17923] = 16573,
  [17924] = 16870,
  [17925] = 16826,
  [17926] = 16573,
  [17927] = 16944,
  [17928] = 16581,
  [17929] = 16870,
  [17930] = 16826,
  [17931] = 16585,
  [17932] = 16944,
  [17933] = 16665,
  [17934] = 16572,
  [17935] = 16587,
  [17936] = 16870,
  [17937] = 16826,
  [17938] = 16666,
  [17939] = 16944,
  [17940] = 16534,
  [17941] = 16525,
  [17942] = 16870,
  [17943] = 16826,
  [17944] = 16944,
  [17945] = 16870,
  [17946] = 16826,
  [17947] = 16944,
  [17948] = 16776,
  [17949] = 16635,
  [17950] = 16870,
  [17951] = 16826,
  [17952] = 16944,
  [17953] = 16533,
  [17954] = 16870,
  [17955] = 16944,
  [17956] = 16870,
  [17957] = 16573,
  [17958] = 16944,
  [17959] = 16870,
  [17960] = 16944,
  [17961] = 16870,
  [17962] = 16944,
  [17963] = 16870,
  [17964] = 16944,
  [17965] = 16870,
  [17966] = 16944,
  [17967] = 16870,
  [17968] = 16944,
  [17969] = 16870,
  [17970] = 16944,
  [17971] = 16870,
  [17972] = 16944,
  [17973] = 16870,
  [17974] = 16944,
  [17975] = 16870,
  [17976] = 16944,
  [17977] = 16870,
  [17978] = 16944,
  [17979] = 16870,
  [17980] = 16944,
  [17981] = 16870,
  [17982] = 16944,
  [17983] = 16944,
  [17984] = 16944,
  [17985] = 16944,
  [17986] = 16944,
  [17987] = 16944,
  [17988] = 16944,
  [17989] = 16944,
  [17990] = 16944,
  [17991] = 16944,
  [17992] = 16944,
  [17993] = 16944,
  [17994] = 16944,
  [17995] = 16944,
  [17996] = 16944,
  [17997] = 16944,
  [17998] = 16944,
  [17999] = 16944,
  [18000] = 16944,
  [18001] = 16944,
  [18002] = 16944,
  [18003] = 16944,
  [18004] = 16944,
  [18005] = 17685,
  [18006] = 16592,
  [18007] = 16668,
  [18008] = 16573,
  [18009] = 16534,
  [18010] = 16535,
  [18011] = 16525,
  [18012] = 16534,
  [18013] = 16535,
  [18014] = 16525,
  [18015] = 16593,
  [18016] = 16547,
  [18017] = 16547,
  [18018] = 17775,
  [18019] = 16648,
  [18020] = 16668,
  [18021] = 16636,
  [18022] = 16637,
  [18023] = 16553,
  [18024] = 16532,
  [18025] = 18025,
  [18026] = 16556,
  [18027] = 16531,
  [18028] = 16553,
  [18029] = 16573,
  [18030] = 16525,
  [18031] = 16533,
  [18032] = 16550,
  [18033] = 16541,
  [18034] = 16570,
  [18035] = 16570,
  [18036] = 16572,
  [18037] = 16556,
  [18038] = 16670,
  [18039] = 16672,
  [18040] = 16573,
  [18041] = 16556,
  [18042] = 18042,
  [18043] = 18042,
  [18044] = 16677,
  [18045] = 16670,
  [18046] = 16531,
  [18047] = 16672,
  [18048] = 16581,
  [18049] = 16535,
  [18050] = 16555,
  [18051] = 16670,
  [18052] = 16572,
  [18053] = 16672,
  [18054] = 16807,
  [18055] = 16557,
  [18056] = 16585,
  [18057] = 16807,
  [18058] = 17408,
  [18059] = 16564,
  [18060] = 16807,
  [18061] = 16636,
  [18062] = 16637,
  [18063] = 16592,
  [18064] = 16541,
  [18065] = 16587,
  [18066] = 18066,
  [18067] = 18067,
  [18068] = 18068,
  [18069] = 18069,
  [18070] = 18070,
  [18071] = 18071,
  [18072] = 18072,
  [18073] = 18073,
  [18074] = 18074,
  [18075] = 18075,
  [18076] = 18076,
  [18077] = 18077,
  [18078] = 18078,
  [18079] = 18079,
  [18080] = 18077,
  [18081] = 18081,
  [18082] = 18082,
  [18083] = 18083,
  [18084] = 18083,
  [18085] = 18067,
  [18086] = 18069,
  [18087] = 18087,
  [18088] = 18088,
  [18089] = 18089,
  [18090] = 18067,
  [18091] = 18070,
  [18092] = 18092,
  [18093] = 18093,
  [18094] = 18094,
  [18095] = 18073,
  [18096] = 18074,
  [18097] = 18075,
  [18098] = 18076,
  [18099] = 18077,
  [18100] = 18100,
  [18101] = 18101,
  [18102] = 18102,
  [18103] = 18089,
  [18104] = 18083,
  [18105] = 18105,
  [18106] = 18106,
  [18107] = 18107,
  [18108] = 18108,
  [18109] = 18109,
  [18110] = 18110,
  [18111] = 18087,
  [18112] = 18070,
  [18113] = 18073,
  [18114] = 18074,
  [18115] = 18075,
  [18116] = 18077,
  [18117] = 18117,
  [18118] = 18118,
  [18119] = 18119,
  [18120] = 18092,
  [18121] = 18072,
  [18122] = 18072,
  [18123] = 18123,
  [18124] = 18100,
  [18125] = 18083,
  [18126] = 18067,
  [18127] = 18078,
  [18128] = 18070,
  [18129] = 18069,
  [18130] = 18130,
  [18131] = 18079,
  [18132] = 18073,
  [18133] = 18074,
  [18134] = 18075,
  [18135] = 18119,
  [18136] = 18077,
  [18137] = 18137,
  [18138] = 18138,
  [18139] = 18092,
  [18140] = 18072,
  [18141] = 18141,
  [18142] = 18083,
  [18143] = 18110,
  [18144] = 18070,
  [18145] = 18087,
  [18146] = 18083,
  [18147] = 18078,
  [18148] = 18070,
  [18149] = 18141,
  [18150] = 18073,
  [18151] = 18074,
  [18152] = 18075,
  [18153] = 18141,
  [18154] = 18154,
  [18155] = 18141,
  [18156] = 18073,
  [18157] = 18074,
  [18158] = 18092,
  [18159] = 18075,
  [18160] = 18093,
  [18161] = 18070,
  [18162] = 18092,
  [18163] = 18100,
  [18164] = 18073,
  [18165] = 18074,
  [18166] = 18075,
  [18167] = 18141,
  [18168] = 18092,
  [18169] = 18141,
  [18170] = 18170,
  [18171] = 18119,
  [18172] = 18079,
  [18173] = 18087,
  [18174] = 18070,
  [18175] = 18141,
  [18176] = 18073,
  [18177] = 18074,
  [18178] = 18075,
  [18179] = 18077,
  [18180] = 11419,
  [18181] = 18130,
  [18182] = 18087,
  [18183] = 18093,
  [18184] = 18067,
  [18185] = 18083,
  [18186] = 18083,
  [18187] = 18087,
  [18188] = 18188,
  [18189] = 18087,
  [18190] = 18087,
  [18191] = 18070,
  [18192] = 18092,
  [18193] = 18094,
  [18194] = 18194,
  [18195] = 18073,
  [18196] = 18074,
  [18197] = 18075,
  [18198] = 18083,
  [18199] = 18094,
  [18200] = 18083,
  [18201] = 18201,
  [18202] = 18202,
  [18203] = 18203,
  [18204] = 18072,
  [18205] = 18070,
  [18206] = 18072,
  [18207] = 18078,
  [18208] = 18100,
  [18209] = 18073,
  [18210] = 18074,
  [18211] = 18075,
  [18212] = 18072,
  [18213] = 18067,
  [18214] = 18067,
  [18215] = 18078,
  [18216] = 18216,
  [18217] = 18083,
  [18218] = 18083,
  [18219] = 18077,
  [18220] = 18067,
  [18221] = 18070,
  [18222] = 18076,
  [18223] = 18083,
  [18224] = 18224,
  [18225] = 18073,
  [18226] = 18074,
  [18227] = 18075,
  [18228] = 18067,
  [18229] = 18106,
  [18230] = 18230,
  [18231] = 18141,
  [18232] = 18141,
  [18233] = 18118,
  [18234] = 18100,
  [18235] = 18072,
  [18236] = 18067,
  [18237] = 18070,
  [18238] = 18073,
  [18239] = 18074,
  [18240] = 18075,
  [18241] = 18241,
  [18242] = 18216,
  [18243] = 18108,
  [18244] = 18141,
  [18245] = 18094,
  [18246] = 18087,
  [18247] = 18078,
  [18248] = 18067,
  [18249] = 18076,
  [18250] = 18101,
  [18251] = 18141,
  [18252] = 18078,
  [18253] = 18072,
  [18254] = 18067,
  [18255] = 18067,
  [18256] = 18070,
  [18257] = 18076,
  [18258] = 18073,
  [18259] = 18074,
  [18260] = 18075,
  [18261] = 18070,
  [18262] = 18093,
  [18263] = 18100,
  [18264] = 18076,
  [18265] = 18076,
  [18266] = 18092,
  [18267] = 18154,
  [18268] = 18073,
  [18269] = 18074,
  [18270] = 18070,
  [18271] = 18078,
  [18272] = 18067,
  [18273] = 18073,
  [18274] = 18074,
  [18275] = 18075,
  [18276] = 18076,
  [18277] = 18075,
  [18278] = 18278,
  [18279] = 18069,
  [18280] = 18092,
  [18281] = 18281,
  [18282] = 18092,
  [18283] = 18100,
  [18284] = 18094,
  [18285] = 18079,
  [18286] = 18077,
  [18287] = 18100,
  [18288] = 18070,
  [18289] = 18067,
  [18290] = 18076,
  [18291] = 18073,
  [18292] = 18074,
  [18293] = 18075,
  [18294] = 18083,
  [18295] = 18123,
  [18296] = 18067,
  [18297] = 11390,
  [18298] = 18087,
  [18299] = 18100,
  [18300] = 18123,
  [18301] = 18087,
  [18302] = 18141,
  [18303] = 18278,
  [18304] = 18083,
  [18305] = 18070,
  [18306] = 18076,
  [18307] = 18119,
  [18308] = 18073,
  [18309] = 18074,
  [18310] = 18075,
  [18311] = 18100,
  [18312] = 18119,
  [18313] = 18101,
  [18314] = 18083,
  [18315] = 18072,
  [18316] = 18316,
  [18317] = 18089,
  [18318] = 18077,
  [18319] = 18069,
  [18320] = 18092,
  [18321] = 18118,
  [18322] = 18100,
  [18323] = 18087,
  [18324] = 18083,
  [18325] = 18070,
  [18326] = 18094,
  [18327] = 18073,
  [18328] = 18074,
  [18329] = 18075,
  [18330] = 18087,
  [18331] = 18078,
  [18332] = 18072,
  [18333] = 18100,
  [18334] = 18072,
  [18335] = 18335,
  [18336] = 18078,
  [18337] = 18337,
  [18338] = 18070,
  [18339] = 18073,
  [18340] = 18074,
  [18341] = 18075,
  [18342] = 18067,
  [18343] = 18343,
  [18344] = 18119,
  [18345] = 18070,
  [18346] = 18073,
  [18347] = 18074,
  [18348] = 18075,
  [18349] = 18087,
  [18350] = 18118,
  [18351] = 18100,
  [18352] = 18100,
  [18353] = 18070,
  [18354] = 18073,
  [18355] = 18074,
  [18356] = 18075,
  [18357] = 18357,
  [18358] = 18141,
  [18359] = 18070,
  [18360] = 18073,
  [18361] = 18074,
  [18362] = 18075,
  [18363] = 18094,
  [18364] = 18072,
  [18365] = 18078,
  [18366] = 18070,
  [18367] = 18073,
  [18368] = 18074,
  [18369] = 18075,
  [18370] = 18069,
  [18371] = 18118,
  [18372] = 18372,
  [18373] = 18070,
  [18374] = 18073,
  [18375] = 18074,
  [18376] = 18075,
  [18377] = 18083,
  [18378] = 18100,
  [18379] = 18070,
  [18380] = 18070,
  [18381] = 18073,
  [18382] = 18074,
  [18383] = 18075,
  [18384] = 18154,
  [18385] = 18073,
  [18386] = 18070,
  [18387] = 18073,
  [18388] = 18074,
  [18389] = 18075,
  [18390] = 18074,
  [18391] = 18075,
  [18392] = 18070,
  [18393] = 18073,
  [18394] = 18074,
  [18395] = 18075,
  [18396] = 18078,
  [18397] = 18070,
  [18398] = 18070,
  [18399] = 18073,
  [18400] = 18074,
  [18401] = 18075,
  [18402] = 18278,
  [18403] = 18372,
  [18404] = 18070,
  [18405] = 18073,
  [18406] = 18074,
  [18407] = 18075,
  [18408] = 18154,
  [18409] = 18079,
  [18410] = 18072,
  [18411] = 18070,
  [18412] = 18073,
  [18413] = 18074,
  [18414] = 18075,
  [18415] = 18077,
  [18416] = 18278,
  [18417] = 18070,
  [18418] = 18073,
  [18419] = 18074,
  [18420] = 18075,
  [18421] = 18278,
  [18422] = 18072,
  [18423] = 18070,
  [18424] = 18073,
  [18425] = 18074,
  [18426] = 18075,
  [18427] = 18427,
  [18428] = 18073,
  [18429] = 18070,
  [18430] = 18074,
  [18431] = 18075,
  [18432] = 18070,
  [18433] = 18083,
  [18434] = 18076,
  [18435] = 18070,
  [18436] = 18092,
  [18437] = 18066,
  [18438] = 18070,
  [18439] = 18067,
  [18440] = 18100,
  [18441] = 18070,
  [18442] = 18076,
  [18443] = 18100,
  [18444] = 18070,
  [18445] = 18079,
  [18446] = 18077,
  [18447] = 18070,
  [18448] = 18078,
  [18449] = 18118,
  [18450] = 18070,
  [18451] = 18078,
  [18452] = 18100,
  [18453] = 18070,
  [18454] = 18119,
  [18455] = 18141,
  [18456] = 18070,
  [18457] = 18067,
  [18458] = 18078,
  [18459] = 18070,
  [18460] = 18078,
  [18461] = 18094,
  [18462] = 18070,
  [18463] = 18067,
  [18464] = 18072,
  [18465] = 18070,
  [18466] = 18466,
  [18467] = 18070,
  [18468] = 18070,
  [18469] = 18083,
  [18470] = 18073,
  [18471] = 18070,
  [18472] = 18074,
  [18473] = 18075,
  [18474] = 18070,
  [18475] = 18119,
  [18476] = 18094,
  [18477] = 18070,
  [18478] = 18067,
  [18479] = 18087,
  [18480] = 18070,
  [18481] = 18079,
  [18482] = 18076,
  [18483] = 18070,
  [18484] = 18077,
  [18485] = 18100,
  [18486] = 18070,
  [18487] = 18093,
  [18488] = 18087,
  [18489] = 18070,
  [18490] = 18076,
  [18491] = 18083,
  [18492] = 18070,
  [18493] = 18106,
  [18494] = 18072,
  [18495] = 18070,
  [18496] = 18078,
  [18497] = 18082,
  [18498] = 18087,
  [18499] = 18092,
  [18500] = 18078,
  [18501] = 18501,
  [18502] = 18069,
  [18503] = 18100,
  [18504] = 18105,
  [18505] = 18067,
  [18506] = 18109,
  [18507] = 18072,
  [18508] = 18118,
  [18509] = 18100,
  [18510] = 18092,
  [18511] = 18100,
  [18512] = 18067,
  [18513] = 18087,
  [18514] = 18119,
  [18515] = 18087,
  [18516] = 18076,
  [18517] = 18517,
  [18518] = 18117,
  [18519] = 18072,
  [18520] = 18094,
  [18521] = 18070,
  [18522] = 18100,
  [18523] = 18523,
  [18524] = 18078,
  [18525] = 18073,
  [18526] = 18074,
  [18527] = 18075,
  [18528] = 18087,
  [18529] = 18072,
  [18530] = 18141,
  [18531] = 18079,
  [18532] = 18069,
  [18533] = 18083,
  [18534] = 18077,
  [18535] = 18092,
  [18536] = 18070,
  [18537] = 18537,
  [18538] = 18067,
  [18539] = 18092,
  [18540] = 18092,
  [18541] = 18119,
  [18542] = 18087,
  [18543] = 18067,
  [18544] = 18106,
  [18545] = 18076,
  [18546] = 18201,
  [18547] = 18141,
  [18548] = 18118,
  [18549] = 18141,
  [18550] = 18072,
  [18551] = 18069,
  [18552] = 18072,
  [18553] = 18517,
  [18554] = 18093,
  [18555] = 18069,
  [18556] = 18100,
  [18557] = 18087,
  [18558] = 18118,
  [18559] = 18559,
  [18560] = 18083,
  [18561] = 18092,
  [18562] = 18100,
  [18563] = 18072,
  [18564] = 18078,
  [18565] = 18565,
  [18566] = 18100,
  [18567] = 18087,
  [18568] = 18087,
  [18569] = 18087,
  [18570] = 18087,
  [18571] = 18571,
  [18572] = 18092,
  [18573] = 18101,
  [18574] = 11893,
  [18575] = 18343,
  [18576] = 18070,
  [18577] = 18278,
  [18578] = 18067,
  [18579] = 18078,
  [18580] = 18073,
  [18581] = 18105,
  [18582] = 18078,
  [18583] = 18074,
  [18584] = 18075,
  [18585] = 18094,
  [18586] = 18087,
  [18587] = 18076,
  [18588] = 18067,
  [18589] = 18357,
  [18590] = 18079,
  [18591] = 18087,
  [18592] = 18077,
  [18593] = 18118,
  [18594] = 18087,
  [18595] = 18141,
  [18596] = 18087,
  [18597] = 18537,
  [18598] = 18100,
  [18599] = 18087,
  [18600] = 18092,
  [18601] = 18089,
  [18602] = 18072,
  [18603] = 18072,
  [18604] = 18078,
  [18605] = 18201,
  [18606] = 18343,
  [18607] = 18072,
  [18608] = 18093,
  [18609] = 18357,
  [18610] = 18119,
  [18611] = 18118,
  [18612] = 18141,
  [18613] = 18092,
  [18614] = 18100,
  [18615] = 18107,
  [18616] = 18087,
  [18617] = 18107,
  [18618] = 18072,
  [18619] = 18105,
  [18620] = 18092,
  [18621] = 18100,
  [18622] = 18092,
  [18623] = 18078,
  [18624] = 18087,
  [18625] = 18072,
  [18626] = 18078,
  [18627] = 18092,
  [18628] = 18070,
  [18629] = 18070,
  [18630] = 18083,
  [18631] = 18141,
  [18632] = 18073,
  [18633] = 18074,
  [18634] = 18537,
  [18635] = 18110,
  [18636] = 18130,
  [18637] = 18075,
  [18638] = 18069,
  [18639] = 18141,
  [18640] = 18372,
  [18641] = 18141,
  [18642] = 18201,
  [18643] = 18083,
  [18644] = 18141,
  [18645] = 18072,
  [18646] = 18079,
  [18647] = 18154,
  [18648] = 18077,
  [18649] = 18141,
  [18650] = 18078,
  [18651] = 18427,
  [18652] = 18073,
  [18653] = 18074,
  [18654] = 18075,
  [18655] = 18105,
  [18656] = 18070,
  [18657] = 18108,
  [18658] = 18087,
  [18659] = 18069,
  [18660] = 18083,
  [18661] = 18661,
  [18662] = 18083,
  [18663] = 18154,
  [18664] = 18093,
  [18665] = 18072,
  [18666] = 18559,
  [18667] = 18079,
  [18668] = 18092,
  [18669] = 18089,
  [18670] = 18079,
  [18671] = 18427,
  [18672] = 18073,
  [18673] = 18078,
  [18674] = 18118,
  [18675] = 18093,
  [18676] = 18100,
  [18677] = 18072,
  [18678] = 18105,
  [18679] = 18077,
  [18680] = 18117,
  [18681] = 18067,
  [18682] = 18074,
  [18683] = 18076,
  [18684] = 18075,
  [18685] = 18101,
  [18686] = 18093,
  [18687] = 18092,
  [18688] = 18089,
  [18689] = 18316,
  [18690] = 18070,
  [18691] = 18087,
  [18692] = 18078,
  [18693] = 18073,
  [18694] = 18074,
  [18695] = 18092,
  [18696] = 18075,
  [18697] = 18105,
  [18698] = 18079,
  [18699] = 18092,
  [18700] = 18077,
  [18701] = 18141,
  [18702] = 18117,
  [18703] = 18076,
  [18704] = 18072,
  [18705] = 18110,
  [18706] = 18072,
  [18707] = 18119,
  [18708] = 18087,
  [18709] = 18087,
  [18710] = 18141,
  [18711] = 18711,
  [18712] = 18083,
  [18713] = 18105,
  [18714] = 18087,
  [18715] = 18093,
  [18716] = 18517,
  [18717] = 18118,
  [18718] = 18571,
  [18719] = 18071,
  [18720] = 18069,
  [18721] = 18118,
  [18722] = 18517,
  [18723] = 18092,
  [18724] = 18523,
  [18725] = 18105,
  [18726] = 18100,
  [18727] = 18141,
  [18728] = 18070,
  [18729] = 18335,
  [18730] = 18092,
  [18731] = 18316,
  [18732] = 18073,
  [18733] = 18733,
  [18734] = 18074,
  [18735] = 18093,
  [18736] = 18141,
  [18737] = 18105,
  [18738] = 18075,
  [18739] = 11794,
  [18740] = 18083,
  [18741] = 18083,
  [18742] = 18092,
  [18743] = 18743,
  [18744] = 18141,
  [18745] = 18105,
  [18746] = 18083,
  [18747] = 18747,
  [18748] = 18079,
  [18749] = 18077,
  [18750] = 18107,
  [18751] = 18110,
  [18752] = 18092,
  [18753] = 18753,
  [18754] = 18141,
  [18755] = 18079,
  [18756] = 18092,
  [18757] = 18105,
  [18758] = 11487,
  [18759] = 18077,
  [18760] = 18100,
  [18761] = 18141,
  [18762] = 18141,
  [18763] = 18316,
  [18764] = 18092,
  [18765] = 18072,
  [18766] = 18083,
  [18767] = 18092,
  [18768] = 18118,
  [18769] = 18117,
  [18770] = 18072,
  [18771] = 18141,
  [18772] = 18092,
  [18773] = 18069,
  [18774] = 18141,
  [18775] = 18517,
  [18776] = 18069,
  [18777] = 18067,
  [18778] = 18081,
  [18779] = 18070,
  [18780] = 11797,
  [18781] = 18071,
  [18782] = 18073,
  [18783] = 18074,
  [18784] = 18083,
  [18785] = 18092,
  [18786] = 18075,
  [18787] = 18343,
  [18788] = 18083,
  [18789] = 18079,
  [18790] = 18069,
  [18791] = 18141,
  [18792] = 18077,
  [18793] = 18071,
  [18794] = 18141,
  [18795] = 18083,
  [18796] = 18118,
  [18797] = 18083,
  [18798] = 18083,
  [18799] = 18092,
  [18800] = 18141,
  [18801] = 18100,
  [18802] = 18067,
  [18803] = 18357,
  [18804] = 18094,
  [18805] = 18093,
  [18806] = 18083,
  [18807] = 18343,
  [18808] = 18087,
  [18809] = 18083,
  [18810] = 18087,
  [18811] = 18092,
  [18812] = 18812,
  [18813] = 18118,
  [18814] = 18141,
  [18815] = 18815,
  [18816] = 18092,
  [18817] = 18087,
  [18818] = 18100,
  [18819] = 18083,
  [18820] = 18067,
  [18821] = 18108,
  [18822] = 18141,
  [18823] = 18094,
  [18824] = 18070,
  [18825] = 18092,
  [18826] = 18078,
  [18827] = 18070,
  [18828] = 18067,
  [18829] = 18107,
  [18830] = 18073,
  [18831] = 18278,
  [18832] = 18141,
  [18833] = 18067,
  [18834] = 18074,
  [18835] = 18075,
  [18836] = 18076,
  [18837] = 18067,
  [18838] = 18154,
  [18839] = 18079,
  [18840] = 18073,
  [18841] = 18077,
  [18842] = 18154,
  [18843] = 18083,
  [18844] = 18074,
  [18845] = 18075,
  [18846] = 18846,
  [18847] = 18078,
  [18848] = 18092,
  [18849] = 18069,
  [18850] = 18092,
  [18851] = 18141,
  [18852] = 18141,
  [18853] = 18119,
  [18854] = 18076,
  [18855] = 18141,
  [18856] = 18083,
  [18857] = 18072,
  [18858] = 18067,
  [18859] = 18067,
  [18860] = 18092,
  [18861] = 18076,
  [18862] = 18093,
  [18863] = 18118,
  [18864] = 18092,
  [18865] = 18092,
  [18866] = 18079,
  [18867] = 18141,
  [18868] = 18087,
  [18869] = 18077,
  [18870] = 18743,
  [18871] = 18372,
  [18872] = 18070,
  [18873] = 18072,
  [18874] = 18070,
  [18875] = 18083,
  [18876] = 18087,
  [18877] = 18743,
  [18878] = 18093,
  [18879] = 18073,
  [18880] = 18074,
  [18881] = 18075,
  [18882] = 18141,
  [18883] = 18072,
  [18884] = 18079,
  [18885] = 18076,
  [18886] = 18077,
  [18887] = 18092,
  [18888] = 18094,
  [18889] = 18092,
  [18890] = 18067,
  [18891] = 18891,
  [18892] = 18571,
  [18893] = 18141,
  [18894] = 18093,
  [18895] = 18067,
  [18896] = 18069,
  [18897] = 18083,
  [18898] = 18119,
  [18899] = 18108,
  [18900] = 18119,
  [18901] = 18154,
  [18902] = 18100,
  [18903] = 18078,
  [18904] = 18118,
  [18905] = 18537,
  [18906] = 18092,
  [18907] = 18141,
  [18908] = 18427,
  [18909] = 18073,
  [18910] = 18074,
  [18911] = 18072,
  [18912] = 18141,
  [18913] = 18141,
  [18914] = 18067,
  [18915] = 18100,
  [18916] = 18070,
  [18917] = 18815,
  [18918] = 18918,
  [18919] = 18083,
  [18920] = 18141,
  [18921] = 18083,
  [18922] = 18092,
  [18923] = 18073,
  [18924] = 18074,
  [18925] = 18075,
  [18926] = 18079,
  [18927] = 18141,
  [18928] = 18077,
  [18929] = 18092,
  [18930] = 18083,
  [18931] = 18335,
  [18932] = 18092,
  [18933] = 18072,
  [18934] = 18427,
  [18935] = 18073,
  [18936] = 18118,
  [18937] = 18110,
  [18938] = 18083,
  [18939] = 18083,
  [18940] = 18074,
  [18941] = 18941,
  [18942] = 12540,
  [18943] = 18075,
  [18944] = 18069,
  [18945] = 18087,
  [18946] = 18087,
  [18947] = 18070,
  [18948] = 18117,
  [18949] = 18073,
  [18950] = 18074,
  [18951] = 18075,
  [18952] = 18072,
  [18953] = 18077,
  [18954] = 18093,
  [18955] = 18092,
  [18956] = 18078,
  [18957] = 18093,
  [18958] = 18093,
  [18959] = 18089,
  [18960] = 18118,
  [18961] = 18141,
  [18962] = 18072,
  [18963] = 18072,
  [18964] = 18092,
  [18965] = 18101,
  [18966] = 18070,
  [18967] = 18083,
  [18968] = 18083,
  [18969] = 18073,
  [18970] = 18074,
  [18971] = 18075,
  [18972] = 18094,
  [18973] = 18077,
  [18974] = 18118,
  [18975] = 18083,
  [18976] = 18076,
  [18977] = 18087,
  [18978] = 18076,
  [18979] = 18979,
  [18980] = 18100,
  [18981] = 18118,
  [18982] = 18092,
  [18983] = 18089,
  [18984] = 18093,
  [18985] = 18110,
  [18986] = 18141,
  [18987] = 18083,
  [18988] = 18070,
  [18989] = 18100,
  [18990] = 18073,
  [18991] = 18074,
  [18992] = 18075,
  [18993] = 18100,
  [18994] = 18077,
  [18995] = 18072,
  [18996] = 18078,
  [18997] = 18072,
  [18998] = 18083,
  [18999] = 18070,
  [19000] = 18118,
  [19001] = 18083,
  [19002] = 18117,
  [19003] = 18154,
  [19004] = 18073,
  [19005] = 18094,
  [19006] = 18074,
  [19007] = 18278,
  [19008] = 18078,
  [19009] = 18118,
  [19010] = 18094,
  [19011] = 18070,
  [19012] = 18100,
  [19013] = 18075,
  [19014] = 18073,
  [19015] = 18074,
  [19016] = 18100,
  [19017] = 18075,
  [19018] = 18092,
  [19019] = 18067,
  [19020] = 18083,
  [19021] = 18077,
  [19022] = 18093,
  [19023] = 18100,
  [19024] = 18076,
  [19025] = 18094,
  [19026] = 18119,
  [19027] = 18067,
  [19028] = 18079,
  [19029] = 18118,
  [19030] = 18076,
  [19031] = 18216,
  [19032] = 11505,
  [19033] = 18119,
  [19034] = 18077,
  [19035] = 18078,
  [19036] = 18141,
  [19037] = 18141,
  [19038] = 18070,
  [19039] = 18067,
  [19040] = 18093,
  [19041] = 18100,
  [19042] = 18100,
  [19043] = 18073,
  [19044] = 18078,
  [19045] = 18074,
  [19046] = 18075,
  [19047] = 18343,
  [19048] = 18067,
  [19049] = 18076,
  [19050] = 18077,
  [19051] = 18083,
  [19052] = 18078,
  [19053] = 18092,
  [19054] = 18078,
  [19055] = 18357,
  [19056] = 18119,
  [19057] = 18102,
  [19058] = 18078,
  [19059] = 18094,
  [19060] = 19060,
  [19061] = 18118,
  [19062] = 18100,
  [19063] = 18067,
  [19064] = 18076,
  [19065] = 18087,
  [19066] = 18070,
  [19067] = 18094,
  [19068] = 18073,
  [19069] = 19069,
  [19070] = 18074,
  [19071] = 18075,
  [19072] = 18072,
  [19073] = 18077,
  [19074] = 18071,
  [19075] = 18188,
  [19076] = 18100,
  [19077] = 18571,
  [19078] = 18087,
  [19079] = 18067,
  [19080] = 18094,
  [19081] = 18118,
  [19082] = 18072,
  [19083] = 18076,
  [19084] = 18118,
  [19085] = 18079,
  [19086] = 18072,
  [19087] = 18070,
  [19088] = 18067,
  [19089] = 18073,
  [19090] = 18074,
  [19091] = 18075,
  [19092] = 18077,
  [19093] = 18100,
  [19094] = 18119,
  [19095] = 18087,
  [19096] = 18110,
  [19097] = 18130,
  [19098] = 18100,
  [19099] = 18141,
  [19100] = 18118,
  [19101] = 18343,
  [19102] = 19102,
  [19103] = 18078,
  [19104] = 18118,
  [19105] = 18100,
  [19106] = 18070,
  [19107] = 18067,
  [19108] = 18073,
  [19109] = 18074,
  [19110] = 18075,
  [19111] = 18077,
  [19112] = 18092,
  [19113] = 18316,
  [19114] = 18141,
  [19115] = 18141,
  [19116] = 18357,
  [19117] = 18141,
  [19118] = 18094,
  [19119] = 18141,
  [19120] = 18216,
  [19121] = 18083,
  [19122] = 18078,
  [19123] = 18094,
  [19124] = 18565,
  [19125] = 19125,
  [19126] = 18083,
  [19127] = 18081,
  [19128] = 18118,
  [19129] = 18076,
  [19130] = 18067,
  [19131] = 18072,
  [19132] = 18076,
  [19133] = 18093,
  [19134] = 18141,
  [19135] = 18070,
  [19136] = 18343,
  [19137] = 18069,
  [19138] = 18100,
  [19139] = 18078,
  [19140] = 18100,
  [19141] = 18119,
  [19142] = 18067,
  [19143] = 18357,
  [19144] = 18077,
  [19145] = 18123,
  [19146] = 18372,
  [19147] = 18073,
  [19148] = 18074,
  [19149] = 18075,
  [19150] = 18092,
  [19151] = 18087,
  [19152] = 18141,
  [19153] = 18077,
  [19154] = 19154,
  [19155] = 18108,
  [19156] = 18335,
  [19157] = 18070,
  [19158] = 18087,
  [19159] = 18072,
  [19160] = 18372,
  [19161] = 18107,
  [19162] = 18083,
  [19163] = 18092,
  [19164] = 18092,
  [19165] = 18141,
  [19166] = 18216,
  [19167] = 18118,
  [19168] = 18072,
  [19169] = 18070,
  [19170] = 18083,
  [19171] = 18075,
  [19172] = 18154,
  [19173] = 18105,
  [19174] = 18154,
  [19175] = 18092,
  [19176] = 18078,
  [19177] = 18073,
  [19178] = 18070,
  [19179] = 18074,
  [19180] = 18075,
  [19181] = 18073,
  [19182] = 18427,
  [19183] = 18094,
  [19184] = 18073,
  [19185] = 18074,
  [19186] = 18078,
  [19187] = 18075,
  [19188] = 18119,
  [19189] = 18711,
  [19190] = 18074,
  [19191] = 18075,
  [19192] = 18077,
  [19193] = 18141,
  [19194] = 18571,
  [19195] = 18092,
  [19196] = 18081,
  [19197] = 18083,
  [19198] = 18070,
  [19199] = 18711,
  [19200] = 18154,
  [19201] = 18119,
  [19202] = 18427,
  [19203] = 18278,
  [19204] = 18069,
  [19205] = 18070,
  [19206] = 18069,
  [19207] = 18073,
  [19208] = 18081,
  [19209] = 19209,
  [19210] = 18073,
  [19211] = 18711,
  [19212] = 18074,
  [19213] = 18075,
  [19214] = 18074,
  [19215] = 18083,
  [19216] = 18081,
  [19217] = 18077,
  [19218] = 18107,
  [19219] = 18067,
  [19220] = 19125,
  [19221] = 18079,
  [19222] = 18076,
  [19223] = 18092,
  [19224] = 18846,
  [19225] = 18087,
  [19226] = 18077,
  [19227] = 18743,
  [19228] = 18083,
  [19229] = 18078,
  [19230] = 18075,
  [19231] = 18100,
  [19232] = 18072,
  [19233] = 19233,
  [19234] = 19234,
  [19235] = 19235,
  [19236] = 19236,
  [19237] = 19237,
  [19238] = 19238,
  [19239] = 19239,
  [19240] = 19235,
  [19241] = 19241,
  [19242] = 19242,
  [19243] = 19243,
  [19244] = 19236,
  [19245] = 19245,
  [19246] = 19236,
  [19247] = 19247,
  [19248] = 19248,
  [19249] = 19249,
  [19250] = 19250,
  [19251] = 19251,
  [19252] = 19252,
  [19253] = 19253,
  [19254] = 19254,
  [19255] = 19249,
  [19256] = 19256,
  [19257] = 19257,
  [19258] = 19249,
  [19259] = 19247,
  [19260] = 19260,
  [19261] = 19261,
  [19262] = 19262,
  [19263] = 19263,
  [19264] = 19264,
  [19265] = 19265,
  [19266] = 19266,
  [19267] = 19267,
  [19268] = 19268,
  [19269] = 19269,
  [19270] = 19270,
  [19271] = 19234,
  [19272] = 19254,
  [19273] = 19249,
  [19274] = 19274,
  [19275] = 19265,
  [19276] = 19268,
  [19277] = 19277,
  [19278] = 19267,
  [19279] = 19279,
  [19280] = 19237,
  [19281] = 19238,
  [19282] = 19279,
  [19283] = 19241,
  [19284] = 19237,
  [19285] = 19285,
  [19286] = 19243,
  [19287] = 19250,
  [19288] = 19277,
  [19289] = 19289,
  [19290] = 19233,
  [19291] = 19291,
  [19292] = 19292,
  [19293] = 19254,
  [19294] = 19256,
  [19295] = 19295,
  [19296] = 19296,
  [19297] = 19297,
  [19298] = 19270,
  [19299] = 19299,
  [19300] = 19263,
  [19301] = 19247,
  [19302] = 19302,
  [19303] = 19303,
  [19304] = 19304,
  [19305] = 19242,
  [19306] = 19306,
  [19307] = 19307,
  [19308] = 19257,
  [19309] = 19309,
  [19310] = 19277,
  [19311] = 19248,
  [19312] = 19268,
  [19313] = 19303,
  [19314] = 19251,
  [19315] = 19252,
  [19316] = 19243,
  [19317] = 19317,
  [19318] = 19318,
  [19319] = 19265,
  [19320] = 19320,
  [19321] = 19237,
  [19322] = 19238,
  [19323] = 19241,
  [19324] = 19307,
  [19325] = 19262,
  [19326] = 19326,
  [19327] = 19264,
  [19328] = 19243,
  [19329] = 19250,
  [19330] = 19330,
  [19331] = 19256,
  [19332] = 19269,
  [19333] = 19317,
  [19334] = 19334,
  [19335] = 19263,
  [19336] = 19330,
  [19337] = 19274,
  [19338] = 19334,
  [19339] = 19339,
  [19340] = 19279,
  [19341] = 19279,
  [19342] = 19295,
  [19343] = 19268,
  [19344] = 19339,
  [19345] = 19238,
  [19346] = 19346,
  [19347] = 19299,
  [19348] = 19348,
  [19349] = 19285,
  [19350] = 19237,
  [19351] = 19247,
  [19352] = 19289,
  [19353] = 19233,
  [19354] = 19291,
  [19355] = 19292,
  [19356] = 19238,
  [19357] = 19241,
  [19358] = 19317,
  [19359] = 19330,
  [19360] = 19334,
  [19361] = 19339,
  [19362] = 19243,
  [19363] = 19348,
  [19364] = 19364,
  [19365] = 19304,
  [19366] = 19306,
  [19367] = 19242,
  [19368] = 19317,
  [19369] = 19369,
  [19370] = 19330,
  [19371] = 19247,
  [19372] = 19334,
  [19373] = 19248,
  [19374] = 19279,
  [19375] = 19339,
  [19376] = 19251,
  [19377] = 19252,
  [19378] = 19267,
  [19379] = 19379,
  [19380] = 19285,
  [19381] = 19348,
  [19382] = 19382,
  [19383] = 19364,
  [19384] = 19320,
  [19385] = 19254,
  [19386] = 19369,
  [19387] = 19262,
  [19388] = 19388,
  [19389] = 19264,
  [19390] = 19303,
  [19391] = 19348,
  [19392] = 19234,
  [19393] = 19235,
  [19394] = 19269,
  [19395] = 19295,
  [19396] = 19236,
  [19397] = 19299,
  [19398] = 19303,
  [19399] = 19274,
  [19400] = 19236,
  [19401] = 19304,
  [19402] = 19306,
  [19403] = 19369,
  [19404] = 19237,
  [19405] = 19247,
  [19406] = 19249,
  [19407] = 19369,
  [19408] = 19247,
  [19409] = 19320,
  [19410] = 19253,
  [19411] = 19234,
  [19412] = 19265,
  [19413] = 19234,
  [19414] = 19289,
  [19415] = 19233,
  [19416] = 19291,
  [19417] = 19292,
  [19418] = 19234,
  [19419] = 19235,
  [19420] = 19235,
  [19421] = 19267,
  [19422] = 19265,
  [19423] = 19267,
  [19424] = 19254,
  [19425] = 19234,
  [19426] = 19426,
  [19427] = 19235,
  [19428] = 19236,
  [19429] = 19236,
  [19430] = 19242,
  [19431] = 19279,
  [19432] = 19303,
  [19433] = 19318,
  [19434] = 19249,
  [19435] = 19241,
  [19436] = 19248,
  [19437] = 19437,
  [19438] = 19438,
  [19439] = 19251,
  [19440] = 19252,
  [19441] = 19236,
  [19442] = 19268,
  [19443] = 19326,
  [19444] = 19247,
  [19445] = 19243,
  [19446] = 19369,
  [19447] = 19317,
  [19448] = 19330,
  [19449] = 19249,
  [19450] = 19262,
  [19451] = 19334,
  [19452] = 19264,
  [19453] = 19263,
  [19454] = 19339,
  [19455] = 19279,
  [19456] = 19270,
  [19457] = 19269,
  [19458] = 19257,
  [19459] = 19261,
  [19460] = 19261,
  [19461] = 19265,
  [19462] = 19274,
  [19463] = 19348,
  [19464] = 19267,
  [19465] = 19254,
  [19466] = 19237,
  [19467] = 19299,
  [19468] = 19237,
  [19469] = 19388,
  [19470] = 19239,
  [19471] = 19238,
  [19472] = 19369,
  [19473] = 19241,
  [19474] = 19243,
  [19475] = 19263,
  [19476] = 19303,
  [19477] = 19289,
  [19478] = 19233,
  [19479] = 19291,
  [19480] = 19292,
  [19481] = 19317,
  [19482] = 19330,
  [19483] = 19247,
  [19484] = 19334,
  [19485] = 19279,
  [19486] = 19249,
  [19487] = 19279,
  [19488] = 19339,
  [19489] = 19242,
  [19490] = 19250,
  [19491] = 19249,
  [19492] = 19348,
  [19493] = 19257,
  [19494] = 19248,
  [19495] = 19251,
  [19496] = 19252,
  [19497] = 19369,
  [19498] = 19498,
  [19499] = 19270,
  [19500] = 19265,
  [19501] = 19267,
  [19502] = 19254,
  [19503] = 19437,
  [19504] = 19238,
  [19505] = 19297,
  [19506] = 19262,
  [19507] = 19264,
  [19508] = 19508,
  [19509] = 19261,
  [19510] = 19261,
  [19511] = 19303,
  [19512] = 19269,
  [19513] = 19285,
  [19514] = 19265,
  [19515] = 19267,
  [19516] = 19254,
  [19517] = 19274,
  [19518] = 19261,
  [19519] = 19303,
  [19520] = 19279,
  [19521] = 19297,
  [19522] = 19256,
  [19523] = 19237,
  [19524] = 19524,
  [19525] = 19525,
  [19526] = 19241,
  [19527] = 19317,
  [19528] = 19245,
  [19529] = 19508,
  [19530] = 19257,
  [19531] = 19249,
  [19532] = 19289,
  [19533] = 19233,
  [19534] = 19291,
  [19535] = 19292,
  [19536] = 19270,
  [19537] = 19265,
  [19538] = 19334,
  [19539] = 19257,
  [19540] = 19540,
  [19541] = 19243,
  [19542] = 19242,
  [19543] = 19234,
  [19544] = 19242,
  [19545] = 19253,
  [19546] = 19546,
  [19547] = 19235,
  [19548] = 19236,
  [19549] = 19248,
  [19550] = 19251,
  [19551] = 19252,
  [19552] = 19297,
  [19553] = 19267,
  [19554] = 19554,
  [19555] = 19237,
  [19556] = 19238,
  [19557] = 19235,
  [19558] = 19558,
  [19559] = 19559,
  [19560] = 19257,
  [19561] = 19262,
  [19562] = 19264,
  [19563] = 19249,
  [19564] = 19241,
  [19565] = 19254,
  [19566] = 19566,
  [19567] = 19269,
  [19568] = 19568,
  [19569] = 19243,
  [19570] = 19388,
  [19571] = 19571,
  [19572] = 19274,
  [19573] = 19239,
  [19574] = 19277,
  [19575] = 19263,
  [19576] = 19248,
  [19577] = 19250,
  [19578] = 19257,
  [19579] = 19251,
  [19580] = 19252,
  [19581] = 19303,
  [19582] = 19237,
  [19583] = 19238,
  [19584] = 19241,
  [19585] = 19243,
  [19586] = 19238,
  [19587] = 19289,
  [19588] = 19233,
  [19589] = 19291,
  [19590] = 19292,
  [19591] = 19250,
  [19592] = 19237,
  [19593] = 19241,
  [19594] = 19243,
  [19595] = 19250,
  [19596] = 19279,
  [19597] = 19256,
  [19598] = 19256,
  [19599] = 19242,
  [19600] = 19238,
  [19601] = 19270,
  [19602] = 19265,
  [19603] = 19263,
  [19604] = 19248,
  [19605] = 19251,
  [19606] = 19252,
  [19607] = 19279,
  [19608] = 19297,
  [19609] = 19267,
  [19610] = 19254,
  [19611] = 19241,
  [19612] = 19268,
  [19613] = 19263,
  [19614] = 19317,
  [19615] = 19277,
  [19616] = 19262,
  [19617] = 19264,
  [19618] = 19330,
  [19619] = 19256,
  [19620] = 19334,
  [19621] = 19317,
  [19622] = 19269,
  [19623] = 19339,
  [19624] = 19243,
  [19625] = 19625,
  [19626] = 19295,
  [19627] = 19274,
  [19628] = 19330,
  [19629] = 19295,
  [19630] = 19262,
  [19631] = 19382,
  [19632] = 19264,
  [19633] = 19268,
  [19634] = 19250,
  [19635] = 19299,
  [19636] = 19297,
  [19637] = 19304,
  [19638] = 19638,
  [19639] = 19306,
  [19640] = 19269,
  [19641] = 19256,
  [19642] = 19289,
  [19643] = 19250,
  [19644] = 19291,
  [19645] = 19292,
  [19646] = 19295,
  [19647] = 19263,
  [19648] = 19334,
  [19649] = 19320,
  [19650] = 19339,
  [19651] = 19299,
  [19652] = 19304,
  [19653] = 19304,
  [19654] = 19242,
  [19655] = 19348,
  [19656] = 19306,
  [19657] = 19348,
  [19658] = 19257,
  [19659] = 19248,
  [19660] = 19251,
  [19661] = 19252,
  [19662] = 19320,
  [19663] = 19369,
  [19664] = 19263,
  [19665] = 19665,
  [19666] = 19369,
  [19667] = 19667,
  [19668] = 19247,
  [19669] = 19669,
  [19670] = 19317,
  [19671] = 19262,
  [19672] = 19264,
  [19673] = 19673,
  [19674] = 19330,
  [19675] = 19268,
  [19676] = 19247,
  [19677] = 19269,
  [19678] = 19303,
  [19679] = 19320,
  [19680] = 19254,
  [19681] = 19568,
  [19682] = 19274,
  [19683] = 19285,
  [19684] = 19274,
  [19685] = 19236,
  [19686] = 19334,
  [19687] = 19268,
  [19688] = 19247,
  [19689] = 19689,
  [19690] = 19234,
  [19691] = 19339,
  [19692] = 19235,
  [19693] = 19234,
  [19694] = 19236,
  [19695] = 19295,
  [19696] = 19348,
  [19697] = 19289,
  [19698] = 19233,
  [19699] = 19291,
  [19700] = 19292,
  [19701] = 19261,
  [19702] = 19270,
  [19703] = 19299,
  [19704] = 19346,
  [19705] = 19307,
  [19706] = 19249,
  [19707] = 19235,
  [19708] = 19268,
  [19709] = 19242,
  [19710] = 19265,
  [19711] = 19711,
  [19712] = 19304,
  [19713] = 19234,
  [19714] = 19248,
  [19715] = 19251,
  [19716] = 19252,
  [19717] = 19267,
  [19718] = 19235,
  [19719] = 19254,
  [19720] = 19236,
  [19721] = 19279,
  [19722] = 19303,
  [19723] = 19262,
  [19724] = 19264,
  [19725] = 19306,
  [19726] = 19524,
  [19727] = 19369,
  [19728] = 19289,
  [19729] = 19269,
  [19730] = 19525,
  [19731] = 19249,
  [19732] = 19256,
  [19733] = 19317,
  [19734] = 19274,
  [19735] = 19233,
  [19736] = 19330,
  [19737] = 19291,
  [19738] = 19334,
  [19739] = 19339,
  [19740] = 19292,
  [19741] = 19289,
  [19742] = 19233,
  [19743] = 19291,
  [19744] = 19292,
  [19745] = 19745,
  [19746] = 19348,
  [19747] = 19747,
  [19748] = 19320,
  [19749] = 19236,
  [19750] = 19369,
  [19751] = 19242,
  [19752] = 19752,
  [19753] = 19508,
  [19754] = 19295,
  [19755] = 19755,
  [19756] = 19248,
  [19757] = 19251,
  [19758] = 19252,
  [19759] = 19247,
  [19760] = 19279,
  [19761] = 19299,
  [19762] = 19237,
  [19763] = 19306,
  [19764] = 19270,
  [19765] = 19262,
  [19766] = 19264,
  [19767] = 19304,
  [19768] = 19265,
  [19769] = 19267,
  [19770] = 19299,
  [19771] = 19269,
  [19772] = 19317,
  [19773] = 19257,
  [19774] = 19330,
  [19775] = 19254,
  [19776] = 19274,
  [19777] = 19303,
  [19778] = 19334,
  [19779] = 19339,
  [19780] = 19318,
  [19781] = 19261,
  [19782] = 19289,
  [19783] = 19233,
  [19784] = 19291,
  [19785] = 19292,
  [19786] = 19326,
  [19787] = 19238,
  [19788] = 19241,
  [19789] = 19243,
  [19790] = 19364,
  [19791] = 19348,
  [19792] = 19242,
  [19793] = 19270,
  [19794] = 19249,
  [19795] = 19250,
  [19796] = 19268,
  [19797] = 19248,
  [19798] = 19251,
  [19799] = 19252,
  [19800] = 19256,
  [19801] = 19369,
  [19802] = 19265,
  [19803] = 19257,
  [19804] = 19267,
  [19805] = 19265,
  [19806] = 19262,
  [19807] = 19264,
  [19808] = 19297,
  [19809] = 19306,
  [19810] = 19263,
  [19811] = 19257,
  [19812] = 19269,
  [19813] = 19285,
  [19814] = 19247,
  [19815] = 19295,
  [19816] = 19260,
  [19817] = 19274,
  [19818] = 19279,
  [19819] = 19267,
  [19820] = 19820,
  [19821] = 19265,
  [19822] = 19268,
  [19823] = 19289,
  [19824] = 19233,
  [19825] = 19291,
  [19826] = 19292,
  [19827] = 19254,
  [19828] = 19299,
  [19829] = 19267,
  [19830] = 19303,
  [19831] = 19247,
  [19832] = 19254,
  [19833] = 19242,
  [19834] = 19303,
  [19835] = 19320,
  [19836] = 19254,
  [19837] = 19346,
  [19838] = 19248,
  [19839] = 19251,
  [19840] = 19252,
  [19841] = 19303,
  [19842] = 19297,
  [19843] = 19304,
  [19844] = 19237,
  [19845] = 19238,
  [19846] = 19241,
  [19847] = 19262,
  [19848] = 19264,
  [19849] = 19558,
  [19850] = 19559,
  [19851] = 19243,
  [19852] = 19250,
  [19853] = 19269,
  [19854] = 19854,
  [19855] = 19257,
  [19856] = 19257,
  [19857] = 19295,
  [19858] = 19274,
  [19859] = 19306,
  [19860] = 19860,
  [19861] = 19304,
  [19862] = 19299,
  [19863] = 19256,
  [19864] = 19289,
  [19865] = 19233,
  [19866] = 19291,
  [19867] = 19292,
  [19868] = 19304,
  [19869] = 19306,
  [19870] = 19249,
  [19871] = 19257,
  [19872] = 19306,
  [19873] = 19234,
  [19874] = 19242,
  [19875] = 19263,
  [19876] = 19876,
  [19877] = 19320,
  [19878] = 19263,
  [19879] = 19248,
  [19880] = 19251,
  [19881] = 19252,
  [19882] = 19882,
  [19883] = 19237,
  [19884] = 19238,
  [19885] = 19241,
  [19886] = 19268,
  [19887] = 19243,
  [19888] = 19262,
  [19889] = 19264,
  [19890] = 19250,
  [19891] = 19261,
  [19892] = 19667,
  [19893] = 19893,
  [19894] = 19269,
  [19895] = 19256,
  [19896] = 19235,
  [19897] = 19566,
  [19898] = 19236,
  [19899] = 19274,
  [19900] = 19277,
  [19901] = 19238,
  [19902] = 19263,
  [19903] = 19903,
  [19904] = 19241,
  [19905] = 19289,
  [19906] = 19233,
  [19907] = 19291,
  [19908] = 19292,
  [19909] = 19295,
  [19910] = 19243,
  [19911] = 19571,
  [19912] = 19299,
  [19913] = 19250,
  [19914] = 19317,
  [19915] = 19242,
  [19916] = 19304,
  [19917] = 19339,
  [19918] = 19268,
  [19919] = 19235,
  [19920] = 19248,
  [19921] = 19251,
  [19922] = 19252,
  [19923] = 19279,
  [19924] = 19256,
  [19925] = 19306,
  [19926] = 19257,
  [19927] = 19249,
  [19928] = 19320,
  [19929] = 19262,
  [19930] = 19264,
  [19931] = 19437,
  [19932] = 19263,
  [19933] = 19295,
  [19934] = 19234,
  [19935] = 19269,
  [19936] = 19299,
  [19937] = 19285,
  [19938] = 19304,
  [19939] = 19306,
  [19940] = 19274,
  [19941] = 19235,
  [19942] = 19268,
  [19943] = 19297,
  [19944] = 19235,
  [19945] = 19262,
  [19946] = 19289,
  [19947] = 19233,
  [19948] = 19291,
  [19949] = 19292,
  [19950] = 19317,
  [19951] = 19498,
  [19952] = 19320,
  [19953] = 19330,
  [19954] = 19261,
  [19955] = 19257,
  [19956] = 19242,
  [19957] = 19247,
  [19958] = 19334,
  [19959] = 19959,
  [19960] = 19247,
  [19961] = 19248,
  [19962] = 19251,
  [19963] = 19252,
  [19964] = 19295,
  [19965] = 19242,
  [19966] = 19236,
  [19967] = 19546,
  [19968] = 19320,
  [19969] = 19330,
  [19970] = 19262,
  [19971] = 19264,
  [19972] = 19339,
  [19973] = 19334,
  [19974] = 19285,
  [19975] = 19339,
  [19976] = 19269,
  [19977] = 19295,
  [19978] = 19279,
  [19979] = 19299,
  [19980] = 19247,
  [19981] = 19274,
  [19982] = 19320,
  [19983] = 19304,
  [19984] = 19348,
  [19985] = 19745,
  [19986] = 19986,
  [19987] = 19289,
  [19988] = 19233,
  [19989] = 19291,
  [19990] = 19292,
  [19991] = 19568,
  [19992] = 19306,
  [19993] = 19234,
  [19994] = 19235,
  [19995] = 19247,
  [19996] = 19236,
  [19997] = 19242,
  [19998] = 19364,
  [19999] = 19248,
  [20000] = 19285,
  [20001] = 19379,
  [20002] = 19248,
  [20003] = 19251,
  [20004] = 19252,
  [20005] = 19330,
  [20006] = 19320,
  [20007] = 19249,
  [20008] = 19251,
  [20009] = 19252,
  [20010] = 19249,
  [20011] = 19262,
  [20012] = 19264,
  [20013] = 19279,
  [20014] = 19317,
  [20015] = 19234,
  [20016] = 19235,
  [20017] = 19269,
  [20018] = 19285,
  [20019] = 19330,
  [20020] = 19334,
  [20021] = 19236,
  [20022] = 19274,
  [20023] = 19348,
  [20024] = 19339,
  [20025] = 19279,
  [20026] = 19369,
  [20027] = 19285,
  [20028] = 19289,
  [20029] = 19233,
  [20030] = 19291,
  [20031] = 19292,
  [20032] = 19245,
  [20033] = 19348,
  [20034] = 19247,
  [20035] = 19279,
  [20036] = 19334,
  [20037] = 19364,
  [20038] = 19242,
  [20039] = 19369,
  [20040] = 19234,
  [20041] = 19234,
  [20042] = 19235,
  [20043] = 19248,
  [20044] = 19251,
  [20045] = 19252,
  [20046] = 19236,
  [20047] = 19320,
  [20048] = 19235,
  [20049] = 19317,
  [20050] = 19330,
  [20051] = 19334,
  [20052] = 19262,
  [20053] = 19264,
  [20054] = 19249,
  [20055] = 19266,
  [20056] = 19339,
  [20057] = 19277,
  [20058] = 19269,
  [20059] = 19625,
  [20060] = 19252,
  [20061] = 19262,
  [20062] = 19249,
  [20063] = 19274,
  [20064] = 19348,
  [20065] = 19247,
  [20066] = 19264,
  [20067] = 19234,
  [20068] = 19369,
  [20069] = 19289,
  [20070] = 19233,
  [20071] = 19291,
  [20072] = 19292,
  [20073] = 19235,
  [20074] = 19236,
  [20075] = 19236,
  [20076] = 19269,
  [20077] = 19242,
  [20078] = 19299,
  [20079] = 19242,
  [20080] = 19249,
  [20081] = 20081,
  [20082] = 19270,
  [20083] = 19265,
  [20084] = 19248,
  [20085] = 19251,
  [20086] = 19252,
  [20087] = 19267,
  [20088] = 19237,
  [20089] = 19254,
  [20090] = 19303,
  [20091] = 19249,
  [20092] = 19265,
  [20093] = 19262,
  [20094] = 19264,
  [20095] = 19237,
  [20096] = 19238,
  [20097] = 19279,
  [20098] = 19267,
  [20099] = 19269,
  [20100] = 19254,
  [20101] = 19241,
  [20102] = 19243,
  [20103] = 19669,
  [20104] = 19274,
  [20105] = 19279,
  [20106] = 19673,
  [20107] = 19277,
  [20108] = 19236,
  [20109] = 19303,
  [20110] = 19289,
  [20111] = 19233,
  [20112] = 19291,
  [20113] = 19292,
  [20114] = 19257,
  [20115] = 20115,
  [20116] = 6218,
  [20117] = 19238,
  [20118] = 19317,
  [20119] = 19274,
  [20120] = 19242,
  [20121] = 19304,
  [20122] = 19317,
  [20123] = 19307,
  [20124] = 19330,
  [20125] = 19248,
  [20126] = 19251,
  [20127] = 19252,
  [20128] = 19334,
  [20129] = 19339,
  [20130] = 19306,
  [20131] = 19689,
  [20132] = 19330,
  [20133] = 19334,
  [20134] = 19262,
  [20135] = 19264,
  [20136] = 19339,
  [20137] = 19241,
  [20138] = 19320,
  [20139] = 19348,
  [20140] = 19269,
  [20141] = 19348,
  [20142] = 19243,
  [20143] = 19369,
  [20144] = 19279,
  [20145] = 19274,
  [20146] = 19277,
  [20147] = 19369,
  [20148] = 19711,
  [20149] = 19250,
  [20150] = 20150,
  [20151] = 19289,
  [20152] = 19233,
  [20153] = 19291,
  [20154] = 19292,
  [20155] = 19317,
  [20156] = 19237,
  [20157] = 19257,
  [20158] = 19317,
  [20159] = 19268,
  [20160] = 19238,
  [20161] = 19242,
  [20162] = 19241,
  [20163] = 19330,
  [20164] = 19334,
  [20165] = 19248,
  [20166] = 19251,
  [20167] = 19252,
  [20168] = 19339,
  [20169] = 19250,
  [20170] = 19243,
  [20171] = 19256,
  [20172] = 19250,
  [20173] = 19369,
  [20174] = 19262,
  [20175] = 19264,
  [20176] = 19265,
  [20177] = 19348,
  [20178] = 19364,
  [20179] = 19267,
  [20180] = 19269,
  [20181] = 19254,
  [20182] = 19303,
  [20183] = 19289,
  [20184] = 19256,
  [20185] = 19274,
  [20186] = 19524,
  [20187] = 9417,
  [20188] = 19339,
  [20189] = 19233,
  [20190] = 19263,
  [20191] = 19289,
  [20192] = 19233,
  [20193] = 19291,
  [20194] = 19292,
  [20195] = 19291,
  [20196] = 19292,
  [20197] = 19745,
  [20198] = 19369,
  [20199] = 19747,
  [20200] = 19317,
  [20201] = 19242,
  [20202] = 19268,
  [20203] = 19256,
  [20204] = 19277,
  [20205] = 19248,
  [20206] = 19251,
  [20207] = 19252,
  [20208] = 19270,
  [20209] = 19265,
  [20210] = 19755,
  [20211] = 20211,
  [20212] = 19257,
  [20213] = 19267,
  [20214] = 19262,
  [20215] = 19264,
  [20216] = 19254,
  [20217] = 19303,
  [20218] = 19295,
  [20219] = 19303,
  [20220] = 19269,
  [20221] = 19263,
  [20222] = 19747,
  [20223] = 19279,
  [20224] = 19263,
  [20225] = 19274,
  [20226] = 19299,
  [20227] = 19233,
  [20228] = 19279,
  [20229] = 19304,
  [20230] = 19306,
  [20231] = 19289,
  [20232] = 19233,
  [20233] = 19291,
  [20234] = 19292,
  [20235] = 19330,
  [20236] = 19257,
  [20237] = 19250,
  [20238] = 6153,
  [20239] = 19256,
  [20240] = 19242,
  [20241] = 19320,
  [20242] = 19237,
  [20243] = 19268,
  [20244] = 19248,
  [20245] = 19251,
  [20246] = 19252,
  [20247] = 19270,
  [20248] = 19334,
  [20249] = 19265,
  [20250] = 19558,
  [20251] = 20251,
  [20252] = 19268,
  [20253] = 19262,
  [20254] = 19264,
  [20255] = 19317,
  [20256] = 19330,
  [20257] = 19334,
  [20258] = 19304,
  [20259] = 19269,
  [20260] = 19559,
  [20261] = 19306,
  [20262] = 19339,
  [20263] = 19437,
  [20264] = 19274,
  [20265] = 19237,
  [20266] = 19348,
  [20267] = 19295,
  [20268] = 20268,
  [20269] = 19237,
  [20270] = 19289,
  [20271] = 19233,
  [20272] = 19291,
  [20273] = 19292,
  [20274] = 19238,
  [20275] = 20275,
  [20276] = 19235,
  [20277] = 19266,
  [20278] = 19297,
  [20279] = 19242,
  [20280] = 19299,
  [20281] = 19236,
  [20282] = 19241,
  [20283] = 19248,
  [20284] = 19251,
  [20285] = 19252,
  [20286] = 19247,
  [20287] = 19304,
  [20288] = 19306,
  [20289] = 19270,
  [20290] = 19369,
  [20291] = 19317,
  [20292] = 19262,
  [20293] = 19264,
  [20294] = 19318,
  [20295] = 19265,
  [20296] = 19267,
  [20297] = 19254,
  [20298] = 19269,
  [20299] = 19320,
  [20300] = 19243,
  [20301] = 19250,
  [20302] = 19388,
  [20303] = 19274,
  [20304] = 19498,
  [20305] = 19237,
  [20306] = 19239,
  [20307] = 19238,
  [20308] = 19241,
  [20309] = 19289,
  [20310] = 19233,
  [20311] = 19291,
  [20312] = 19292,
  [20313] = 19303,
  [20314] = 19285,
  [20315] = 19243,
  [20316] = 19250,
  [20317] = 19326,
  [20318] = 19242,
  [20319] = 19256,
  [20320] = 19238,
  [20321] = 19238,
  [20322] = 19248,
  [20323] = 19251,
  [20324] = 19252,
  [20325] = 19234,
  [20326] = 19263,
  [20327] = 19235,
  [20328] = 19291,
  [20329] = 19236,
  [20330] = 19303,
  [20331] = 19262,
  [20332] = 19264,
  [20333] = 19256,
  [20334] = 19268,
  [20335] = 19292,
  [20336] = 19241,
  [20337] = 19269,
  [20338] = 19241,
  [20339] = 20339,
  [20340] = 19257,
  [20341] = 19243,
  [20342] = 19274,
  [20343] = 19249,
  [20344] = 19243,
  [20345] = 19295,
  [20346] = 19261,
  [20347] = 19263,
  [20348] = 19289,
  [20349] = 19233,
  [20350] = 19291,
  [20351] = 19292,
  [20352] = 19299,
  [20353] = 19250,
  [20354] = 19247,
  [20355] = 19304,
  [20356] = 19306,
  [20357] = 19242,
  [20358] = 19317,
  [20359] = 19524,
  [20360] = 19525,
  [20361] = 19248,
  [20362] = 19251,
  [20363] = 19252,
  [20364] = 19339,
  [20365] = 19270,
  [20366] = 19320,
  [20367] = 19508,
  [20368] = 19250,
  [20369] = 19256,
  [20370] = 19262,
  [20371] = 19264,
  [20372] = 19265,
  [20373] = 19279,
  [20374] = 19268,
  [20375] = 20375,
  [20376] = 19269,
  [20377] = 19250,
  [20378] = 19257,
  [20379] = 19268,
  [20380] = 20115,
  [20381] = 19274,
  [20382] = 19268,
  [20383] = 19242,
  [20384] = 19267,
  [20385] = 19297,
  [20386] = 19289,
  [20387] = 19233,
  [20388] = 19291,
  [20389] = 19292,
  [20390] = 19546,
  [20391] = 19558,
  [20392] = 19559,
  [20393] = 19304,
  [20394] = 19317,
  [20395] = 19242,
  [20396] = 19330,
  [20397] = 19257,
  [20398] = 19334,
  [20399] = 19248,
  [20400] = 19251,
  [20401] = 19252,
  [20402] = 19306,
  [20403] = 19348,
  [20404] = 19339,
  [20405] = 19566,
  [20406] = 19256,
  [20407] = 19348,
  [20408] = 19262,
  [20409] = 19264,
  [20410] = 19247,
  [20411] = 19571,
  [20412] = 19498,
  [20413] = 19256,
  [20414] = 19269,
  [20415] = 19568,
  [20416] = 19235,
  [20417] = 19236,
  [20418] = 19369,
  [20419] = 19274,
  [20420] = 19248,
  [20421] = 19348,
  [20422] = 19237,
  [20423] = 19274,
  [20424] = 19289,
  [20425] = 19233,
  [20426] = 19291,
  [20427] = 19292,
  [20428] = 19251,
  [20429] = 19252,
  [20430] = 20430,
  [20431] = 19263,
  [20432] = 19238,
  [20433] = 19242,
  [20434] = 19241,
  [20435] = 19270,
  [20436] = 19265,
  [20437] = 19248,
  [20438] = 19251,
  [20439] = 19252,
  [20440] = 19267,
  [20441] = 19317,
  [20442] = 19254,
  [20443] = 19303,
  [20444] = 19243,
  [20445] = 19250,
  [20446] = 19262,
  [20447] = 19264,
  [20448] = 19237,
  [20449] = 19330,
  [20450] = 19317,
  [20451] = 19263,
  [20452] = 19269,
  [20453] = 19270,
  [20454] = 20454,
  [20455] = 19303,
  [20456] = 19285,
  [20457] = 19274,
  [20458] = 19256,
  [20459] = 19265,
  [20460] = 19267,
  [20461] = 19257,
  [20462] = 19289,
  [20463] = 19233,
  [20464] = 19291,
  [20465] = 19292,
  [20466] = 19295,
  [20467] = 19254,
  [20468] = 20150,
  [20469] = 19234,
  [20470] = 19235,
  [20471] = 19242,
  [20472] = 20472,
  [20473] = 19236,
  [20474] = 19254,
  [20475] = 19248,
  [20476] = 19251,
  [20477] = 19252,
  [20478] = 19625,
  [20479] = 19257,
  [20480] = 19262,
  [20481] = 19334,
  [20482] = 19438,
  [20483] = 19263,
  [20484] = 19262,
  [20485] = 19264,
  [20486] = 19303,
  [20487] = 19264,
  [20488] = 19270,
  [20489] = 19249,
  [20490] = 19269,
  [20491] = 19326,
  [20492] = 19388,
  [20493] = 19269,
  [20494] = 19250,
  [20495] = 19274,
  [20496] = 19237,
  [20497] = 19238,
  [20498] = 19241,
  [20499] = 19243,
  [20500] = 19289,
  [20501] = 19233,
  [20502] = 19291,
  [20503] = 19292,
  [20504] = 19250,
  [20505] = 20505,
  [20506] = 19256,
  [20507] = 19256,
  [20508] = 19268,
  [20509] = 19242,
  [20510] = 19268,
  [20511] = 19263,
  [20512] = 20512,
  [20513] = 19248,
  [20514] = 19251,
  [20515] = 19252,
  [20516] = 19285,
  [20517] = 19304,
  [20518] = 19306,
  [20519] = 19268,
  [20520] = 19339,
  [20521] = 19235,
  [20522] = 19262,
  [20523] = 19264,
  [20524] = 19236,
  [20525] = 19669,
  [20526] = 19317,
  [20527] = 19673,
  [20528] = 19269,
  [20529] = 19299,
  [20530] = 19303,
  [20531] = 19274,
  [20532] = 20532,
  [20533] = 19274,
  [20534] = 19268,
  [20535] = 19234,
  [20536] = 19295,
  [20537] = 19295,
  [20538] = 19289,
  [20539] = 19233,
  [20540] = 19291,
  [20541] = 19292,
  [20542] = 19299,
  [20543] = 19295,
  [20544] = 19304,
  [20545] = 19247,
  [20546] = 19306,
  [20547] = 19242,
  [20548] = 19257,
  [20549] = 19689,
  [20550] = 19303,
  [20551] = 19248,
  [20552] = 19251,
  [20553] = 19252,
  [20554] = 19320,
  [20555] = 20555,
  [20556] = 19299,
  [20557] = 19279,
  [20558] = 19235,
  [20559] = 19285,
  [20560] = 19262,
  [20561] = 19264,
  [20562] = 19304,
  [20563] = 19250,
  [20564] = 19237,
  [20565] = 19256,
  [20566] = 19269,
  [20567] = 19711,
  [20568] = 19268,
  [20569] = 19306,
  [20570] = 19237,
  [20571] = 19274,
  [20572] = 19304,
  [20573] = 19306,
  [20574] = 19330,
  [20575] = 20211,
  [20576] = 19289,
  [20577] = 19233,
  [20578] = 19291,
  [20579] = 19292,
  [20580] = 19334,
  [20581] = 19339,
  [20582] = 19318,
  [20583] = 19235,
  [20584] = 19236,
  [20585] = 19242,
  [20586] = 19304,
  [20587] = 19317,
  [20588] = 19326,
  [20589] = 19248,
  [20590] = 19251,
  [20591] = 19252,
  [20592] = 19238,
  [20593] = 19289,
  [20594] = 19295,
  [20595] = 19241,
  [20596] = 19306,
  [20597] = 19303,
  [20598] = 19262,
  [20599] = 19264,
  [20600] = 19233,
  [20601] = 19243,
  [20602] = 19250,
  [20603] = 19247,
  [20604] = 19269,
  [20605] = 19291,
  [20606] = 19292,
  [20607] = 19745,
  [20608] = 19256,
  [20609] = 19274,
  [20610] = 19747,
  [20611] = 19320,
  [20612] = 19257,
  [20613] = 19263,
  [20614] = 19289,
  [20615] = 19233,
  [20616] = 19291,
  [20617] = 19292,
  [20618] = 19369,
  [20619] = 19755,
  [20620] = 19299,
  [20621] = 19250,
  [20622] = 19318,
  [20623] = 19242,
  [20624] = 19256,
  [20625] = 19268,
  [20626] = 19268,
  [20627] = 19248,
  [20628] = 19251,
  [20629] = 19252,
  [20630] = 19285,
  [20631] = 19317,
  [20632] = 19330,
  [20633] = 19334,
  [20634] = 19339,
  [20635] = 19237,
  [20636] = 19262,
  [20637] = 19264,
  [20638] = 19348,
  [20639] = 19234,
  [20640] = 19304,
  [20641] = 19235,
  [20642] = 19269,
  [20643] = 19326,
  [20644] = 19369,
  [20645] = 19306,
  [20646] = 19236,
  [20647] = 19274,
  [20648] = 19235,
  [20649] = 19236,
  [20650] = 19267,
  [20651] = 19249,
  [20652] = 19289,
  [20653] = 19233,
  [20654] = 19291,
  [20655] = 19292,
  [20656] = 19236,
  [20657] = 19295,
  [20658] = 19238,
  [20659] = 19241,
  [20660] = 19243,
  [20661] = 19242,
  [20662] = 19320,
  [20663] = 19299,
  [20664] = 19250,
  [20665] = 19248,
  [20666] = 19251,
  [20667] = 19252,
  [20668] = 19304,
  [20669] = 19317,
  [20670] = 19256,
  [20671] = 19306,
  [20672] = 19348,
  [20673] = 19279,
  [20674] = 19262,
  [20675] = 19264,
  [20676] = 19270,
  [20677] = 19265,
  [20678] = 19263,
  [20679] = 19320,
  [20680] = 19269,
  [20681] = 19247,
  [20682] = 19303,
  [20683] = 19267,
  [20684] = 19268,
  [20685] = 19274,
  [20686] = 19437,
  [20687] = 19268,
  [20688] = 19257,
  [20689] = 19317,
  [20690] = 19289,
  [20691] = 19233,
  [20692] = 19291,
  [20693] = 19292,
  [20694] = 19330,
  [20695] = 19254,
  [20696] = 19334,
  [20697] = 19303,
  [20698] = 19339,
  [20699] = 19242,
  [20700] = 19304,
  [20701] = 19348,
  [20702] = 19277,
  [20703] = 19248,
  [20704] = 19251,
  [20705] = 19252,
  [20706] = 19369,
  [20707] = 19250,
  [20708] = 19285,
  [20709] = 19256,
  [20710] = 19254,
  [20711] = 19257,
  [20712] = 19262,
  [20713] = 19264,
  [20714] = 19268,
  [20715] = 20715,
  [20716] = 19249,
  [20717] = 19304,
  [20718] = 19269,
  [20719] = 19306,
  [20720] = 19235,
  [20721] = 19234,
  [20722] = 19270,
  [20723] = 19274,
  [20724] = 19265,
  [20725] = 19235,
  [20726] = 19267,
  [20727] = 19236,
  [20728] = 19289,
  [20729] = 19233,
  [20730] = 19291,
  [20731] = 19292,
  [20732] = 19236,
  [20733] = 19317,
  [20734] = 19254,
  [20735] = 19306,
  [20736] = 19303,
  [20737] = 19242,
  [20738] = 19249,
  [20739] = 19364,
  [20740] = 19248,
  [20741] = 19251,
  [20742] = 19252,
  [20743] = 19303,
  [20744] = 19238,
  [20745] = 19257,
  [20746] = 19320,
  [20747] = 19257,
  [20748] = 19247,
  [20749] = 19262,
  [20750] = 19264,
  [20751] = 19250,
  [20752] = 19256,
  [20753] = 19498,
  [20754] = 19388,
  [20755] = 19269,
  [20756] = 19268,
  [20757] = 19669,
  [20758] = 19304,
  [20759] = 19242,
  [20760] = 19274,
  [20761] = 19306,
  [20762] = 19959,
  [20763] = 19546,
  [20764] = 19235,
  [20765] = 19289,
  [20766] = 19233,
  [20767] = 19291,
  [20768] = 19292,
  [20769] = 19236,
  [20770] = 19317,
  [20771] = 19369,
  [20772] = 19295,
  [20773] = 19303,
  [20774] = 19242,
  [20775] = 19247,
  [20776] = 19299,
  [20777] = 19248,
  [20778] = 19251,
  [20779] = 19252,
  [20780] = 19247,
  [20781] = 19568,
  [20782] = 19241,
  [20783] = 19369,
  [20784] = 19295,
  [20785] = 19248,
  [20786] = 19262,
  [20787] = 19264,
  [20788] = 19257,
  [20789] = 19299,
  [20790] = 19237,
  [20791] = 19238,
  [20792] = 19269,
  [20793] = 19251,
  [20794] = 19252,
  [20795] = 19299,
  [20796] = 19243,
  [20797] = 19274,
  [20798] = 19241,
  [20799] = 19243,
  [20800] = 19250,
  [20801] = 19285,
  [20802] = 19289,
  [20803] = 19233,
  [20804] = 19291,
  [20805] = 19292,
  [20806] = 19250,
  [20807] = 19256,
  [20808] = 19268,
  [20809] = 19304,
  [20810] = 19256,
  [20811] = 19242,
  [20812] = 19250,
  [20813] = 19252,
  [20814] = 19306,
  [20815] = 19304,
  [20816] = 19277,
  [20817] = 19269,
  [20818] = 19304,
  [20819] = 19306,
  [20820] = 19306,
  [20821] = 19274,
  [20822] = 19285,
  [20823] = 19289,
  [20824] = 19233,
  [20825] = 19291,
  [20826] = 19292,
  [20827] = 19234,
  [20828] = 19320,
  [20829] = 19263,
  [20830] = 19235,
  [20831] = 19252,
  [20832] = 19235,
  [20833] = 19236,
  [20834] = 19625,
  [20835] = 19317,
  [20836] = 19262,
  [20837] = 19270,
  [20838] = 19274,
  [20839] = 19264,
  [20840] = 19289,
  [20841] = 19233,
  [20842] = 19291,
  [20843] = 19292,
  [20844] = 19303,
  [20845] = 19265,
  [20846] = 19269,
  [20847] = 19237,
  [20848] = 19269,
  [20849] = 19257,
  [20850] = 19261,
  [20851] = 19233,
  [20852] = 19291,
  [20853] = 19292,
  [20854] = 19267,
  [20855] = 19268,
  [20856] = 19250,
  [20857] = 19256,
  [20858] = 19268,
  [20859] = 19755,
  [20860] = 19304,
  [20861] = 19233,
  [20862] = 19291,
  [20863] = 19292,
  [20864] = 19669,
  [20865] = 19306,
  [20866] = 19673,
  [20867] = 19235,
  [20868] = 19274,
  [20869] = 19238,
  [20870] = 19241,
  [20871] = 19233,
  [20872] = 19291,
  [20873] = 19292,
  [20874] = 19236,
  [20875] = 19317,
  [20876] = 19689,
  [20877] = 19243,
  [20878] = 19250,
  [20879] = 19279,
  [20880] = 19234,
  [20881] = 19233,
  [20882] = 19291,
  [20883] = 19292,
  [20884] = 19256,
  [20885] = 19303,
  [20886] = 19261,
  [20887] = 19235,
  [20888] = 19711,
  [20889] = 19257,
  [20890] = 19263,
  [20891] = 19233,
  [20892] = 19291,
  [20893] = 19292,
  [20894] = 19236,
  [20895] = 19234,
  [20896] = 20896,
  [20897] = 19279,
  [20898] = 19250,
  [20899] = 19256,
  [20900] = 19289,
  [20901] = 19233,
  [20902] = 19291,
  [20903] = 19292,
  [20904] = 19268,
  [20905] = 19235,
  [20906] = 19304,
  [20907] = 19233,
  [20908] = 19291,
  [20909] = 19292,
  [20910] = 19745,
  [20911] = 19233,
  [20912] = 19291,
  [20913] = 19292,
  [20914] = 19747,
  [20915] = 19270,
  [20916] = 19304,
  [20917] = 19277,
  [20918] = 19755,
  [20919] = 19306,
  [20920] = 19235,
  [20921] = 19233,
  [20922] = 19291,
  [20923] = 19292,
  [20924] = 19236,
  [20925] = 19295,
  [20926] = 19317,
  [20927] = 19249,
  [20928] = 19303,
  [20929] = 19295,
  [20930] = 19257,
  [20931] = 19233,
  [20932] = 19291,
  [20933] = 19292,
  [20934] = 19303,
  [20935] = 19285,
  [20936] = 19268,
  [20937] = 19247,
  [20938] = 19250,
  [20939] = 19320,
  [20940] = 19317,
  [20941] = 19233,
  [20942] = 19291,
  [20943] = 19292,
  [20944] = 19256,
  [20945] = 19299,
  [20946] = 19330,
  [20947] = 19334,
  [20948] = 19295,
  [20949] = 19268,
  [20950] = 19306,
  [20951] = 19233,
  [20952] = 19291,
  [20953] = 19292,
  [20954] = 19498,
  [20955] = 19265,
  [20956] = 19304,
  [20957] = 19306,
  [20958] = 19959,
  [20959] = 19299,
  [20960] = 19339,
  [20961] = 19233,
  [20962] = 19291,
  [20963] = 19292,
  [20964] = 19235,
  [20965] = 19304,
  [20966] = 19236,
  [20967] = 19306,
  [20968] = 19247,
  [20969] = 19317,
  [20970] = 19299,
  [20971] = 19303,
  [20972] = 19320,
  [20973] = 19348,
  [20974] = 19254,
  [20975] = 19257,
  [20976] = 19279,
  [20977] = 19304,
  [20978] = 19250,
  [20979] = 19369,
  [20980] = 19285,
  [20981] = 19256,
  [20982] = 19268,
  [20983] = 19306,
  [20984] = 19304,
  [20985] = 19234,
  [20986] = 19235,
  [20987] = 19236,
  [20988] = 19306,
  [20989] = 19235,
  [20990] = 19236,
  [20991] = 19317,
  [20992] = 19303,
  [20993] = 19245,
  [20994] = 19438,
  [20995] = 19303,
  [20996] = 19279,
  [20997] = 19257,
  [20998] = 19242,
  [20999] = 19247,
  [21000] = 19546,
  [21001] = 19297,
  [21002] = 19317,
  [21003] = 19250,
  [21004] = 19256,
  [21005] = 19268,
  [21006] = 19330,
  [21007] = 19285,
  [21008] = 19568,
  [21009] = 19304,
  [21010] = 19306,
  [21011] = 19248,
  [21012] = 19235,
  [21013] = 19236,
  [21014] = 19251,
  [21015] = 19252,
  [21016] = 19260,
  [21017] = 19317,
  [21018] = 19334,
  [21019] = 19303,
  [21020] = 19339,
  [21021] = 19257,
  [21022] = 19256,
  [21023] = 19348,
  [21024] = 19250,
  [21025] = 19256,
  [21026] = 19234,
  [21027] = 19266,
  [21028] = 19235,
  [21029] = 19236,
  [21030] = 19268,
  [21031] = 19625,
  [21032] = 19262,
  [21033] = 19304,
  [21034] = 19306,
  [21035] = 19236,
  [21036] = 19249,
  [21037] = 19264,
  [21038] = 19257,
  [21039] = 19304,
  [21040] = 19306,
  [21041] = 19245,
  [21042] = 19236,
  [21043] = 19320,
  [21044] = 19263,
  [21045] = 19249,
  [21046] = 19269,
  [21047] = 19235,
  [21048] = 19236,
  [21049] = 20211,
  [21050] = 19317,
  [21051] = 19330,
  [21052] = 19303,
  [21053] = 19267,
  [21054] = 19369,
  [21055] = 19257,
  [21056] = 19317,
  [21057] = 19669,
  [21058] = 19249,
  [21059] = 19250,
  [21060] = 19266,
  [21061] = 19673,
  [21062] = 19257,
  [21063] = 19254,
  [21064] = 19247,
  [21065] = 19388,
  [21066] = 19318,
  [21067] = 19274,
  [21068] = 19306,
  [21069] = 19249,
  [21070] = 19239,
  [21071] = 19285,
  [21072] = 19268,
  [21073] = 19236,
  [21074] = 19317,
  [21075] = 19689,
  [21076] = 19263,
  [21077] = 19235,
  [21078] = 19234,
  [21079] = 19236,
  [21080] = 19882,
  [21081] = 19317,
  [21082] = 19235,
  [21083] = 19234,
  [21084] = 19236,
  [21085] = 19279,
  [21086] = 19235,
  [21087] = 19249,
  [21088] = 19711,
  [21089] = 19236,
  [21090] = 19277,
  [21091] = 19236,
  [21092] = 19317,
  [21093] = 19326,
  [21094] = 19235,
  [21095] = 19279,
  [21096] = 19303,
  [21097] = 19253,
  [21098] = 19289,
  [21099] = 19236,
  [21100] = 19317,
  [21101] = 20555,
  [21102] = 19233,
  [21103] = 19291,
  [21104] = 19330,
  [21105] = 21105,
  [21106] = 21106,
  [21107] = 21107,
  [21108] = 19334,
  [21109] = 19339,
  [21110] = 19292,
  [21111] = 19348,
  [21112] = 19745,
  [21113] = 19369,
  [21114] = 19747,
  [21115] = 19317,
  [21116] = 19755,
  [21117] = 19320,
  [21118] = 19235,
  [21119] = 19270,
  [21120] = 19265,
  [21121] = 21121,
  [21122] = 19236,
  [21123] = 19267,
  [21124] = 19254,
  [21125] = 19303,
  [21126] = 19277,
  [21127] = 19317,
  [21128] = 19317,
  [21129] = 19330,
  [21130] = 19279,
  [21131] = 19257,
  [21132] = 19279,
  [21133] = 19673,
  [21134] = 14222,
  [21135] = 19235,
  [21136] = 19236,
  [21137] = 19317,
  [21138] = 19277,
  [21139] = 19334,
  [21140] = 19317,
  [21141] = 19330,
  [21142] = 19235,
  [21143] = 19334,
  [21144] = 19339,
  [21145] = 19235,
  [21146] = 19348,
  [21147] = 19236,
  [21148] = 19317,
  [21149] = 19265,
  [21150] = 19237,
  [21151] = 19238,
  [21152] = 19241,
  [21153] = 19277,
  [21154] = 19243,
  [21155] = 19250,
  [21156] = 19382,
  [21157] = 19256,
  [21158] = 19235,
  [21159] = 19307,
  [21160] = 19263,
  [21161] = 19339,
  [21162] = 19369,
  [21163] = 19236,
  [21164] = 19317,
  [21165] = 19268,
  [21166] = 21166,
  [21167] = 19307,
  [21168] = 19295,
  [21169] = 19304,
  [21170] = 19348,
  [21171] = 19235,
  [21172] = 19279,
  [21173] = 19236,
  [21174] = 19369,
  [21175] = 19317,
  [21176] = 19267,
  [21177] = 19235,
  [21178] = 19346,
  [21179] = 19317,
  [21180] = 19295,
  [21181] = 19379,
  [21182] = 19270,
  [21183] = 19279,
  [21184] = 19236,
  [21185] = 19317,
  [21186] = 19299,
  [21187] = 19299,
  [21188] = 19235,
  [21189] = 19242,
  [21190] = 20211,
  [21191] = 19304,
  [21192] = 19306,
  [21193] = 19348,
  [21194] = 19265,
  [21195] = 21195,
  [21196] = 19267,
  [21197] = 19236,
  [21198] = 19270,
  [21199] = 19320,
  [21200] = 19265,
  [21201] = 19267,
  [21202] = 19317,
  [21203] = 19317,
  [21204] = 19330,
  [21205] = 19334,
  [21206] = 19339,
  [21207] = 19882,
  [21208] = 19568,
  [21209] = 19317,
  [21210] = 19330,
  [21211] = 19348,
  [21212] = 19248,
  [21213] = 19334,
  [21214] = 19339,
  [21215] = 19330,
  [21216] = 19251,
  [21217] = 19247,
  [21218] = 19252,
  [21219] = 20555,
  [21220] = 19254,
  [21221] = 19364,
  [21222] = 21105,
  [21223] = 21106,
  [21224] = 21107,
  [21225] = 19235,
  [21226] = 19236,
  [21227] = 19317,
  [21228] = 19254,
  [21229] = 19285,
  [21230] = 19261,
  [21231] = 19379,
  [21232] = 19303,
  [21233] = 19254,
  [21234] = 21121,
  [21235] = 19303,
  [21236] = 19234,
  [21237] = 19235,
  [21238] = 19236,
  [21239] = 19348,
  [21240] = 19364,
  [21241] = 19249,
  [21242] = 19303,
  [21243] = 19235,
  [21244] = 19262,
  [21245] = 19236,
  [21246] = 19270,
  [21247] = 19264,
  [21248] = 19265,
  [21249] = 19279,
  [21250] = 19267,
  [21251] = 19524,
  [21252] = 19254,
  [21253] = 19317,
  [21254] = 19317,
  [21255] = 19238,
  [21256] = 19330,
  [21257] = 19235,
  [21258] = 19257,
  [21259] = 19334,
  [21260] = 19339,
  [21261] = 19269,
  [21262] = 19236,
  [21263] = 19317,
  [21264] = 20211,
  [21265] = 19348,
  [21266] = 19304,
  [21267] = 19369,
  [21268] = 19235,
  [21269] = 19236,
  [21270] = 19317,
  [21271] = 19303,
  [21272] = 19369,
  [21273] = 19669,
  [21274] = 19334,
  [21275] = 19339,
  [21276] = 19270,
  [21277] = 19237,
  [21278] = 19265,
  [21279] = 19267,
  [21280] = 19254,
  [21281] = 19882,
  [21282] = 19673,
  [21283] = 19235,
  [21284] = 19303,
  [21285] = 19274,
  [21286] = 19236,
  [21287] = 19317,
  [21288] = 19317,
  [21289] = 19235,
  [21290] = 19257,
  [21291] = 19525,
  [21292] = 19297,
  [21293] = 20555,
  [21294] = 19236,
  [21295] = 19369,
  [21296] = 21105,
  [21297] = 21106,
  [21298] = 21107,
  [21299] = 19317,
  [21300] = 19236,
  [21301] = 19508,
  [21302] = 19711,
  [21303] = 19261,
  [21304] = 19235,
  [21305] = 19348,
  [21306] = 19236,
  [21307] = 19317,
  [21308] = 21121,
  [21309] = 19257,
  [21310] = 19364,
  [21311] = 19235,
  [21312] = 19237,
  [21313] = 19238,
  [21314] = 19241,
  [21315] = 19243,
  [21316] = 19250,
  [21317] = 19236,
  [21318] = 19256,
  [21319] = 19289,
  [21320] = 19233,
  [21321] = 19291,
  [21322] = 19263,
  [21323] = 19292,
  [21324] = 19745,
  [21325] = 19747,
  [21326] = 19268,
  [21327] = 19297,
  [21328] = 19317,
  [21329] = 19755,
  [21330] = 19234,
  [21331] = 19235,
  [21332] = 19236,
  [21333] = 20211,
  [21334] = 19257,
  [21335] = 19317,
  [21336] = 19261,
  [21337] = 19330,
  [21338] = 19235,
  [21339] = 19236,
  [21340] = 19317,
  [21341] = 19306,
  [21342] = 19235,
  [21343] = 19236,
  [21344] = 19882,
  [21345] = 19317,
  [21346] = 19438,
  [21347] = 19318,
  [21348] = 19235,
  [21349] = 20555,
  [21350] = 19903,
  [21351] = 21105,
  [21352] = 21106,
  [21353] = 21107,
  [21354] = 19295,
  [21355] = 19236,
  [21356] = 21121,
  [21357] = 19299,
  [21358] = 20275,
  [21359] = 19304,
  [21360] = 19317,
  [21361] = 19306,
  [21362] = 19257,
  [21363] = 19369,
  [21364] = 19320,
  [21365] = 19326,
  [21366] = 19238,
  [21367] = 19241,
  [21368] = 19270,
  [21369] = 19243,
  [21370] = 19250,
  [21371] = 20211,
  [21372] = 19265,
  [21373] = 19267,
  [21374] = 19254,
  [21375] = 19388,
  [21376] = 19297,
  [21377] = 19239,
  [21378] = 19257,
  [21379] = 19249,
  [21380] = 19303,
  [21381] = 19235,
  [21382] = 19882,
  [21383] = 19437,
  [21384] = 19242,
  [21385] = 19334,
  [21386] = 19330,
  [21387] = 20555,
  [21388] = 19256,
  [21389] = 21105,
  [21390] = 21106,
  [21391] = 21107,
  [21392] = 19257,
  [21393] = 19247,
  [21394] = 19242,
  [21395] = 19546,
  [21396] = 19237,
  [21397] = 19318,
  [21398] = 19339,
  [21399] = 19525,
  [21400] = 19238,
  [21401] = 19236,
  [21402] = 19248,
  [21403] = 20211,
  [21404] = 19297,
  [21405] = 19498,
  [21406] = 19251,
  [21407] = 19252,
  [21408] = 19241,
  [21409] = 19261,
  [21410] = 19248,
  [21411] = 19263,
  [21412] = 19285,
  [21413] = 19882,
  [21414] = 19243,
  [21415] = 19525,
  [21416] = 19334,
  [21417] = 19297,
  [21418] = 20555,
  [21419] = 19508,
  [21420] = 21105,
  [21421] = 21106,
  [21422] = 21107,
  [21423] = 19498,
  [21424] = 19237,
  [21425] = 19238,
  [21426] = 19234,
  [21427] = 19241,
  [21428] = 19270,
  [21429] = 19235,
  [21430] = 19265,
  [21431] = 19364,
  [21432] = 19267,
  [21433] = 19243,
  [21434] = 20211,
  [21435] = 19262,
  [21436] = 19254,
  [21437] = 19297,
  [21438] = 19264,
  [21439] = 19236,
  [21440] = 19559,
  [21441] = 19882,
  [21442] = 21442,
  [21443] = 19388,
  [21444] = 20555,
  [21445] = 21105,
  [21446] = 21106,
  [21447] = 21107,
  [21448] = 19558,
  [21449] = 19249,
  [21450] = 19239,
  [21451] = 19268,
  [21452] = 19257,
  [21453] = 19559,
  [21454] = 19269,
  [21455] = 19568,
  [21456] = 19237,
  [21457] = 19238,
  [21458] = 21458,
  [21459] = 20211,
  [21460] = 19250,
  [21461] = 19248,
  [21462] = 19279,
  [21463] = 19669,
  [21464] = 19241,
  [21465] = 19673,
  [21466] = 19882,
  [21467] = 19268,
  [21468] = 20555,
  [21469] = 21105,
  [21470] = 21106,
  [21471] = 21107,
  [21472] = 19274,
  [21473] = 19257,
  [21474] = 19251,
  [21475] = 19303,
  [21476] = 19256,
  [21477] = 19252,
  [21478] = 19243,
  [21479] = 20211,
  [21480] = 19317,
  [21481] = 19330,
  [21482] = 19334,
  [21483] = 19250,
  [21484] = 19339,
  [21485] = 19959,
  [21486] = 19882,
  [21487] = 19263,
  [21488] = 20555,
  [21489] = 21105,
  [21490] = 21106,
  [21491] = 21107,
  [21492] = 19250,
  [21493] = 19348,
  [21494] = 19711,
  [21495] = 19348,
  [21496] = 21496,
  [21497] = 19256,
  [21498] = 19247,
  [21499] = 20211,
  [21500] = 19279,
  [21501] = 19263,
  [21502] = 19382,
  [21503] = 19289,
  [21504] = 19233,
  [21505] = 19882,
  [21506] = 19291,
  [21507] = 20555,
  [21508] = 21105,
  [21509] = 21106,
  [21510] = 21107,
  [21511] = 19292,
  [21512] = 19745,
  [21513] = 19369,
  [21514] = 19747,
  [21515] = 19256,
  [21516] = 19755,
  [21517] = 19571,
  [21518] = 20211,
  [21519] = 19268,
  [21520] = 19241,
  [21521] = 19249,
  [21522] = 19320,
  [21523] = 19263,
  [21524] = 19882,
  [21525] = 19268,
  [21526] = 20555,
  [21527] = 21105,
  [21528] = 21106,
  [21529] = 21107,
  [21530] = 19364,
  [21531] = 19270,
  [21532] = 19265,
  [21533] = 19339,
  [21534] = 19267,
  [21535] = 19317,
  [21536] = 19254,
  [21537] = 19303,
  [21538] = 19237,
  [21539] = 19330,
  [21540] = 19546,
  [21541] = 19882,
  [21542] = 19238,
  [21543] = 20555,
  [21544] = 21105,
  [21545] = 21106,
  [21546] = 21107,
  [21547] = 20472,
  [21548] = 19285,
  [21549] = 21549,
  [21550] = 19261,
  [21551] = 19295,
  [21552] = 19241,
  [21553] = 19257,
  [21554] = 19243,
  [21555] = 19250,
  [21556] = 19524,
  [21557] = 19525,
  [21558] = 19882,
  [21559] = 19295,
  [21560] = 20555,
  [21561] = 21105,
  [21562] = 21106,
  [21563] = 21107,
  [21564] = 19334,
  [21565] = 19508,
  [21566] = 19299,
  [21567] = 19320,
  [21568] = 19304,
  [21569] = 19299,
  [21570] = 21570,
  [21571] = 19306,
  [21572] = 19498,
  [21573] = 19256,
  [21574] = 19566,
  [21575] = 19882,
  [21576] = 19242,
  [21577] = 20555,
  [21578] = 21105,
  [21579] = 21106,
  [21580] = 21107,
  [21581] = 19237,
  [21582] = 19256,
  [21583] = 19625,
  [21584] = 19320,
  [21585] = 19318,
  [21586] = 19268,
  [21587] = 19326,
  [21588] = 19238,
  [21589] = 19241,
  [21590] = 19247,
  [21591] = 19243,
  [21592] = 19882,
  [21593] = 21593,
  [21594] = 20555,
  [21595] = 21105,
  [21596] = 21106,
  [21597] = 21107,
  [21598] = 19250,
  [21599] = 19262,
  [21600] = 19256,
  [21601] = 19248,
  [21602] = 19304,
  [21603] = 19264,
  [21604] = 19251,
  [21605] = 19263,
  [21606] = 19252,
  [21607] = 19306,
  [21608] = 20339,
  [21609] = 19882,
  [21610] = 20512,
  [21611] = 20555,
  [21612] = 21105,
  [21613] = 21106,
  [21614] = 21107,
  [21615] = 19339,
  [21616] = 19297,
  [21617] = 19268,
  [21618] = 19318,
  [21619] = 19295,
  [21620] = 19269,
  [21621] = 19237,
  [21622] = 19320,
  [21623] = 19558,
  [21624] = 19559,
  [21625] = 19299,
  [21626] = 19882,
  [21627] = 19262,
  [21628] = 20555,
  [21629] = 21105,
  [21630] = 21106,
  [21631] = 21107,
  [21632] = 19257,
  [21633] = 19238,
  [21634] = 19264,
  [21635] = 19268,
  [21636] = 19257,
  [21637] = 19241,
  [21638] = 19243,
  [21639] = 19295,
  [21640] = 19263,
  [21641] = 19247,
  [21642] = 19882,
  [21643] = 19269,
  [21644] = 20555,
  [21645] = 21105,
  [21646] = 21106,
  [21647] = 21107,
  [21648] = 19299,
  [21649] = 19348,
  [21650] = 19260,
  [21651] = 19304,
  [21652] = 19295,
  [21653] = 19306,
  [21654] = 19369,
  [21655] = 19250,
  [21656] = 19237,
  [21657] = 19320,
  [21658] = 19882,
  [21659] = 19234,
  [21660] = 20555,
  [21661] = 21105,
  [21662] = 21106,
  [21663] = 21107,
  [21664] = 19669,
  [21665] = 19256,
  [21666] = 19348,
  [21667] = 19673,
  [21668] = 19235,
  [21669] = 19571,
  [21670] = 19274,
  [21671] = 19236,
  [21672] = 19243,
  [21673] = 19566,
  [21674] = 19882,
  [21675] = 19247,
  [21676] = 20555,
  [21677] = 21105,
  [21678] = 21106,
  [21679] = 21107,
  [21680] = 19268,
  [21681] = 19304,
  [21682] = 19306,
  [21683] = 19263,
  [21684] = 19247,
  [21685] = 19571,
  [21686] = 19711,
  [21687] = 19369,
  [21688] = 19318,
  [21689] = 19250,
  [21690] = 19882,
  [21691] = 19285,
  [21692] = 20555,
  [21693] = 21105,
  [21694] = 21106,
  [21695] = 21107,
  [21696] = 19306,
  [21697] = 21105,
  [21698] = 19860,
  [21699] = 19289,
  [21700] = 19233,
  [21701] = 19291,
  [21702] = 19498,
  [21703] = 19292,
  [21704] = 19745,
  [21705] = 19268,
  [21706] = 19882,
  [21707] = 19747,
  [21708] = 21105,
  [21709] = 21106,
  [21710] = 21107,
  [21711] = 19667,
  [21712] = 19755,
  [21713] = 19669,
  [21714] = 19249,
  [21715] = 19673,
  [21716] = 19237,
  [21717] = 21106,
  [21718] = 19234,
  [21719] = 19235,
  [21720] = 19247,
  [21721] = 19882,
  [21722] = 19265,
  [21723] = 21105,
  [21724] = 21106,
  [21725] = 21107,
  [21726] = 21107,
  [21727] = 19236,
  [21728] = 19267,
  [21729] = 19498,
  [21730] = 21549,
  [21731] = 19369,
  [21732] = 19249,
  [21733] = 19270,
  [21734] = 19234,
  [21735] = 21735,
  [21736] = 19882,
  [21737] = 19235,
  [21738] = 21105,
  [21739] = 21106,
  [21740] = 21107,
  [21741] = 19285,
  [21742] = 21742,
  [21743] = 19236,
  [21744] = 19254,
  [21745] = 19303,
  [21746] = 19249,
  [21747] = 19238,
  [21748] = 19234,
  [21749] = 19241,
  [21750] = 19235,
  [21751] = 19882,
  [21752] = 19279,
  [21753] = 21105,
  [21754] = 21106,
  [21755] = 21107,
  [21756] = 19236,
  [21757] = 19320,
  [21758] = 19243,
  [21759] = 19265,
  [21760] = 19689,
  [21761] = 19249,
  [21762] = 19249,
  [21763] = 19295,
  [21764] = 19274,
  [21765] = 19317,
  [21766] = 19882,
  [21767] = 19330,
  [21768] = 21105,
  [21769] = 21106,
  [21770] = 21107,
  [21771] = 19334,
  [21772] = 19299,
  [21773] = 19250,
  [21774] = 19339,
  [21775] = 19295,
  [21776] = 19326,
  [21777] = 19267,
  [21778] = 19242,
  [21779] = 19348,
  [21780] = 19388,
  [21781] = 19882,
  [21782] = 19689,
  [21783] = 21105,
  [21784] = 21106,
  [21785] = 21107,
  [21786] = 19304,
  [21787] = 19306,
  [21788] = 19369,
  [21789] = 19299,
  [21790] = 19279,
  [21791] = 21791,
  [21792] = 19248,
  [21793] = 19295,
  [21794] = 20532,
  [21795] = 19277,
  [21796] = 19882,
  [21797] = 19251,
  [21798] = 21105,
  [21799] = 21106,
  [21800] = 21107,
  [21801] = 19252,
  [21802] = 19257,
  [21803] = 19304,
  [21804] = 19254,
  [21805] = 19306,
  [21806] = 19307,
  [21807] = 19320,
  [21808] = 19264,
  [21809] = 21809,
  [21810] = 19388,
  [21811] = 19882,
  [21812] = 19270,
  [21813] = 21105,
  [21814] = 21106,
  [21815] = 21107,
  [21816] = 19265,
  [21817] = 19303,
  [21818] = 19267,
  [21819] = 19254,
  [21820] = 19303,
  [21821] = 19279,
  [21822] = 19256,
  [21823] = 19317,
  [21824] = 19262,
  [21825] = 21825,
  [21826] = 19882,
  [21827] = 19299,
  [21828] = 21105,
  [21829] = 21106,
  [21830] = 21107,
  [21831] = 19264,
  [21832] = 19330,
  [21833] = 19334,
  [21834] = 19320,
  [21835] = 19299,
  [21836] = 19317,
  [21837] = 19330,
  [21838] = 19334,
  [21839] = 19269,
  [21840] = 19339,
  [21841] = 19882,
  [21842] = 19339,
  [21843] = 21105,
  [21844] = 21106,
  [21845] = 21107,
  [21846] = 19711,
  [21847] = 19348,
  [21848] = 19238,
  [21849] = 19364,
  [21850] = 19256,
  [21851] = 19348,
  [21852] = 19669,
  [21853] = 19369,
  [21854] = 19241,
  [21855] = 19673,
  [21856] = 19882,
  [21857] = 19369,
  [21858] = 21105,
  [21859] = 21106,
  [21860] = 21107,
  [21861] = 19274,
  [21862] = 19498,
  [21863] = 19277,
  [21864] = 19251,
  [21865] = 19257,
  [21866] = 19304,
  [21867] = 19263,
  [21868] = 19295,
  [21869] = 19279,
  [21870] = 20505,
  [21871] = 19882,
  [21872] = 19265,
  [21873] = 21105,
  [21874] = 21106,
  [21875] = 21107,
  [21876] = 19247,
  [21877] = 19237,
  [21878] = 19711,
  [21879] = 19267,
  [21880] = 21880,
  [21881] = 19254,
  [21882] = 19289,
  [21883] = 19306,
  [21884] = 21121,
  [21885] = 19289,
  [21886] = 19882,
  [21887] = 19233,
  [21888] = 21105,
  [21889] = 21106,
  [21890] = 21107,
  [21891] = 19291,
  [21892] = 19292,
  [21893] = 19745,
  [21894] = 19238,
  [21895] = 19747,
  [21896] = 19303,
  [21897] = 19755,
  [21898] = 19241,
  [21899] = 19234,
  [21900] = 19882,
  [21901] = 19285,
  [21902] = 21105,
  [21903] = 21106,
  [21904] = 21107,
  [21905] = 19285,
  [21906] = 19243,
  [21907] = 19243,
  [21908] = 19285,
  [21909] = 21909,
  [21910] = 19270,
  [21911] = 19265,
  [21912] = 19267,
  [21913] = 19369,
  [21914] = 19254,
  [21915] = 19882,
  [21916] = 19233,
  [21917] = 21105,
  [21918] = 21106,
  [21919] = 21107,
  [21920] = 19388,
  [21921] = 19303,
  [21922] = 19291,
  [21923] = 19292,
  [21924] = 19745,
  [21925] = 19747,
  [21926] = 19234,
  [21927] = 19235,
  [21928] = 19289,
  [21929] = 19236,
  [21930] = 19882,
  [21931] = 19277,
  [21932] = 21105,
  [21933] = 21106,
  [21934] = 21107,
  [21935] = 19257,
  [21936] = 19250,
  [21937] = 19237,
  [21938] = 19238,
  [21939] = 19237,
  [21940] = 19238,
  [21941] = 19241,
  [21942] = 19243,
  [21943] = 19250,
  [21944] = 19261,
  [21945] = 19234,
  [21946] = 21105,
  [21947] = 21106,
  [21948] = 21107,
  [21949] = 19256,
  [21950] = 19235,
  [21951] = 19236,
  [21952] = 19249,
  [21953] = 19263,
  [21954] = 19525,
  [21955] = 19320,
  [21956] = 19241,
  [21957] = 19247,
  [21958] = 19268,
  [21959] = 19243,
  [21960] = 21105,
  [21961] = 21106,
  [21962] = 21107,
  [21963] = 19237,
  [21964] = 19242,
  [21965] = 19238,
  [21966] = 19279,
  [21967] = 19241,
  [21968] = 19297,
  [21969] = 19256,
  [21970] = 19559,
  [21971] = 19243,
  [21972] = 19257,
  [21973] = 19250,
  [21974] = 21105,
  [21975] = 21106,
  [21976] = 21107,
  [21977] = 19250,
  [21978] = 19755,
  [21979] = 19248,
  [21980] = 21980,
  [21981] = 19295,
  [21982] = 19261,
  [21983] = 19279,
  [21984] = 19263,
  [21985] = 19251,
  [21986] = 19252,
  [21987] = 19348,
  [21988] = 21105,
  [21989] = 21106,
  [21990] = 21107,
  [21991] = 19256,
  [21992] = 19268,
  [21993] = 19299,
  [21994] = 19317,
  [21995] = 19256,
  [21996] = 19304,
  [21997] = 19330,
  [21998] = 19306,
  [21999] = 19317,
  [22000] = 19334,
  [22001] = 19237,
  [22002] = 21105,
  [22003] = 21106,
  [22004] = 21107,
  [22005] = 19320,
  [22006] = 19238,
  [22007] = 19263,
  [22008] = 19339,
  [22009] = 19262,
  [22010] = 19241,
  [22011] = 19348,
  [22012] = 19264,
  [22013] = 19243,
  [22014] = 19369,
  [22015] = 19250,
  [22016] = 21105,
  [22017] = 21106,
  [22018] = 21107,
  [22019] = 19263,
  [22020] = 19285,
  [22021] = 19269,
  [22022] = 19256,
  [22023] = 19299,
  [22024] = 19330,
  [22025] = 19296,
  [22026] = 19268,
  [22027] = 19263,
  [22028] = 19270,
  [22029] = 19250,
  [22030] = 21105,
  [22031] = 21106,
  [22032] = 21107,
  [22033] = 19265,
  [22034] = 19669,
  [22035] = 19234,
  [22036] = 19267,
  [22037] = 19673,
  [22038] = 19254,
  [22039] = 19303,
  [22040] = 19235,
  [22041] = 19274,
  [22042] = 19270,
  [22043] = 19236,
  [22044] = 21105,
  [22045] = 21106,
  [22046] = 21107,
  [22047] = 19317,
  [22048] = 19234,
  [22049] = 19268,
  [22050] = 19250,
  [22051] = 19247,
  [22052] = 19498,
  [22053] = 19268,
  [22054] = 19257,
  [22055] = 19330,
  [22056] = 19249,
  [22057] = 19711,
  [22058] = 21105,
  [22059] = 21106,
  [22060] = 21107,
  [22061] = 19959,
  [22062] = 19334,
  [22063] = 19339,
  [22064] = 19237,
  [22065] = 19334,
  [22066] = 19295,
  [22067] = 19711,
  [22068] = 19348,
  [22069] = 19289,
  [22070] = 19233,
  [22071] = 19291,
  [22072] = 21105,
  [22073] = 21106,
  [22074] = 21107,
  [22075] = 19625,
  [22076] = 19237,
  [22077] = 19292,
  [22078] = 19745,
  [22079] = 19747,
  [22080] = 19318,
  [22081] = 19326,
  [22082] = 19238,
  [22083] = 19295,
  [22084] = 19241,
  [22085] = 19755,
  [22086] = 21105,
  [22087] = 21106,
  [22088] = 21107,
  [22089] = 19243,
  [22090] = 19250,
  [22091] = 19263,
  [22092] = 19268,
  [22093] = 19235,
  [22094] = 19256,
  [22095] = 19299,
  [22096] = 19247,
  [22097] = 19285,
  [22098] = 19263,
  [22099] = 19339,
  [22100] = 21105,
  [22101] = 21106,
  [22102] = 21107,
  [22103] = 19318,
  [22104] = 19299,
  [22105] = 19326,
  [22106] = 19238,
  [22107] = 21105,
  [22108] = 21106,
  [22109] = 21107,
  [22110] = 19241,
  [22111] = 19243,
  [22112] = 19250,
  [22113] = 19238,
  [22114] = 21105,
  [22115] = 21106,
  [22116] = 21107,
  [22117] = 19256,
  [22118] = 19237,
  [22119] = 21105,
  [22120] = 21106,
  [22121] = 21107,
  [22122] = 19304,
  [22123] = 19263,
  [22124] = 21105,
  [22125] = 21106,
  [22126] = 21107,
  [22127] = 19306,
  [22128] = 19369,
  [22129] = 21105,
  [22130] = 21106,
  [22131] = 21107,
  [22132] = 19320,
  [22133] = 19348,
  [22134] = 21105,
  [22135] = 21106,
  [22136] = 21107,
  [22137] = 19268,
  [22138] = 20375,
  [22139] = 21105,
  [22140] = 21106,
  [22141] = 21107,
  [22142] = 19277,
  [22143] = 19238,
  [22144] = 21105,
  [22145] = 21106,
  [22146] = 21107,
  [22147] = 19295,
  [22148] = 19241,
  [22149] = 21105,
  [22150] = 21106,
  [22151] = 21107,
  [22152] = 19279,
  [22153] = 19241,
  [22154] = 21105,
  [22155] = 21106,
  [22156] = 21107,
  [22157] = 19234,
  [22158] = 19242,
  [22159] = 21105,
  [22160] = 21106,
  [22161] = 21107,
  [22162] = 19235,
  [22163] = 19498,
  [22164] = 21105,
  [22165] = 21106,
  [22166] = 21107,
  [22167] = 19236,
  [22168] = 19299,
  [22169] = 21105,
  [22170] = 21106,
  [22171] = 21107,
  [22172] = 19245,
  [22173] = 19248,
  [22174] = 21105,
  [22175] = 21106,
  [22176] = 21107,
  [22177] = 19369,
  [22178] = 19236,
  [22179] = 19251,
  [22180] = 19252,
  [22181] = 19249,
  [22182] = 19317,
  [22183] = 19330,
  [22184] = 19334,
  [22185] = 19304,
  [22186] = 19306,
  [22187] = 19339,
  [22188] = 19247,
  [22189] = 19295,
  [22190] = 19348,
  [22191] = 19295,
  [22192] = 19262,
  [22193] = 19299,
  [22194] = 19264,
  [22195] = 19369,
  [22196] = 19279,
  [22197] = 19304,
  [22198] = 19306,
  [22199] = 19269,
  [22200] = 19304,
  [22201] = 19285,
  [22202] = 21735,
  [22203] = 19876,
  [22204] = 19540,
  [22205] = 19306,
  [22206] = 19893,
  [22207] = 19320,
  [22208] = 19268,
  [22209] = 19234,
  [22210] = 19299,
  [22211] = 19669,
  [22212] = 19253,
  [22213] = 19986,
  [22214] = 19261,
  [22215] = 19320,
  [22216] = 20115,
  [22217] = 20150,
  [22218] = 19243,
  [22219] = 19673,
  [22220] = 19438,
  [22221] = 19237,
  [22222] = 19238,
  [22223] = 19241,
  [22224] = 19382,
  [22225] = 19243,
  [22226] = 19250,
  [22227] = 19237,
  [22228] = 19265,
  [22229] = 19256,
  [22230] = 19566,
  [22231] = 19274,
  [22232] = 21735,
  [22233] = 19876,
  [22234] = 19893,
  [22235] = 19263,
  [22236] = 19304,
  [22237] = 19986,
  [22238] = 19234,
  [22239] = 19320,
  [22240] = 19268,
  [22241] = 19263,
  [22242] = 19267,
  [22243] = 19235,
  [22244] = 19236,
  [22245] = 19306,
  [22246] = 19317,
  [22247] = 19295,
  [22248] = 19250,
  [22249] = 19299,
  [22250] = 21735,
  [22251] = 19876,
  [22252] = 19893,
  [22253] = 19711,
  [22254] = 19254,
  [22255] = 19986,
  [22256] = 19304,
  [22257] = 19306,
  [22258] = 19249,
  [22259] = 19330,
  [22260] = 19320,
  [22261] = 19247,
  [22262] = 19388,
  [22263] = 19334,
  [22264] = 21735,
  [22265] = 19234,
  [22266] = 19986,
  [22267] = 19339,
  [22268] = 19289,
  [22269] = 19233,
  [22270] = 19247,
  [22271] = 19295,
  [22272] = 19291,
  [22273] = 19299,
  [22274] = 21735,
  [22275] = 19292,
  [22276] = 19247,
  [22277] = 21735,
  [22278] = 19745,
  [22279] = 19747,
  [22280] = 21735,
  [22281] = 19320,
  [22282] = 19755,
  [22283] = 21735,
  [22284] = 21735,
  [22285] = 21735,
  [22286] = 21735,
  [22287] = 21735,
  [22288] = 21735,
  [22289] = 21735,
  [22290] = 21735,
  [22291] = 21735,
  [22292] = 21735,
  [22293] = 21735,
  [22294] = 21735,
  [22295] = 21735,
  [22296] = 21735,
  [22297] = 21735,
  [22298] = 21735,
  [22299] = 21735,
  [22300] = 21735,
  [22301] = 21735,
  [22302] = 21735,
  [22303] = 21735,
  [22304] = 21735,
  [22305] = 21735,
  [22306] = 21735,
  [22307] = 21735,
  [22308] = 21735,
  [22309] = 21735,
  [22310] = 21735,
  [22311] = 21735,
  [22312] = 21735,
  [22313] = 21735,
  [22314] = 21735,
  [22315] = 21735,
  [22316] = 21735,
  [22317] = 21735,
  [22318] = 21735,
  [22319] = 21735,
  [22320] = 21735,
  [22321] = 21735,
  [22322] = 21735,
  [22323] = 21735,
  [22324] = 21735,
  [22325] = 21735,
  [22326] = 21735,
  [22327] = 21735,
  [22328] = 21735,
  [22329] = 21735,
  [22330] = 21735,
  [22331] = 21735,
  [22332] = 21735,
  [22333] = 21735,
  [22334] = 21735,
  [22335] = 21735,
  [22336] = 21735,
  [22337] = 21735,
  [22338] = 21735,
  [22339] = 19304,
  [22340] = 21166,
  [22341] = 19270,
  [22342] = 21980,
  [22343] = 19265,
  [22344] = 21549,
  [22345] = 19285,
  [22346] = 19348,
  [22347] = 19267,
  [22348] = 19369,
  [22349] = 19254,
  [22350] = 19295,
  [22351] = 19235,
  [22352] = 19236,
  [22353] = 19234,
  [22354] = 19235,
  [22355] = 19303,
  [22356] = 19236,
  [22357] = 19297,
  [22358] = 19295,
  [22359] = 21166,
  [22360] = 21980,
  [22361] = 19249,
  [22362] = 19285,
  [22363] = 19247,
  [22364] = 19299,
  [22365] = 19256,
  [22366] = 21166,
  [22367] = 21980,
  [22368] = 19303,
  [22369] = 19307,
  [22370] = 19279,
  [22371] = 19270,
  [22372] = 19265,
  [22373] = 19234,
  [22374] = 19267,
  [22375] = 19254,
  [22376] = 19317,
  [22377] = 19330,
  [22378] = 19334,
  [22379] = 19339,
  [22380] = 19303,
  [22381] = 19348,
  [22382] = 19249,
  [22383] = 19270,
  [22384] = 20115,
  [22385] = 19304,
  [22386] = 19242,
  [22387] = 19369,
  [22388] = 19306,
  [22389] = 19245,
  [22390] = 19235,
  [22391] = 19304,
  [22392] = 19265,
  [22393] = 19236,
  [22394] = 19279,
  [22395] = 20115,
  [22396] = 19498,
  [22397] = 19257,
  [22398] = 19270,
  [22399] = 19248,
  [22400] = 19265,
  [22401] = 19306,
  [22402] = 19267,
  [22403] = 19254,
  [22404] = 19267,
  [22405] = 20115,
  [22406] = 19254,
  [22407] = 19303,
  [22408] = 19251,
  [22409] = 19252,
  [22410] = 19959,
  [22411] = 19303,
  [22412] = 19306,
  [22413] = 19249,
  [22414] = 19257,
  [22415] = 19260,
  [22416] = 19317,
  [22417] = 19260,
  [22418] = 19257,
  [22419] = 19330,
  [22420] = 19334,
  [22421] = 19266,
  [22422] = 19262,
  [22423] = 19959,
  [22424] = 19320,
  [22425] = 19264,
  [22426] = 19261,
  [22427] = 19247,
  [22428] = 19266,
  [22429] = 19339,
  [22430] = 19269,
  [22431] = 19249,
  [22432] = 19256,
  [22433] = 19348,
  [22434] = 19320,
  [22435] = 19265,
  [22436] = 19274,
  [22437] = 19369,
  [22438] = 19320,
  [22439] = 19297,
  [22440] = 19235,
  [22441] = 19277,
  [22442] = 19257,
  [22443] = 19237,
  [22444] = 19238,
  [22445] = 19241,
  [22446] = 19263,
  [22447] = 19243,
  [22448] = 19285,
  [22449] = 19267,
  [22450] = 19250,
  [22451] = 19285,
  [22452] = 19498,
  [22453] = 19256,
  [22454] = 6168,
  [22455] = 19234,
  [22456] = 19265,
  [22457] = 19279,
  [22458] = 19267,
  [22459] = 19263,
  [22460] = 19289,
  [22461] = 19233,
  [22462] = 19291,
  [22463] = 19292,
  [22464] = 19254,
  [22465] = 19303,
  [22466] = 19234,
  [22467] = 19235,
  [22468] = 19235,
  [22469] = 22469,
  [22470] = 22470,
};

static TSCharacterRange sym_conversion_specification_character_set_6[] = {
  {'!', '!'}, {'%', '%'}, {',', ','}, {'@', '@'}, {'B', 'C'}, {'E', 'H'}, {'L', 'L'}, {'N', 'N'},
  {'S', 'S'}, {'X', 'X'}, {'a', 'i'}, {'l', 'l'}, {'n', 'o'}, {'s', 'u'}, {'x', 'x'},
};

static TSCharacterRange sym_conversion_specification_character_set_7[] = {
  {'!', '!'}, {'%', '%'}, {',', ','}, {'0', '9'}, {'@', '@'}, {'B', 'C'}, {'E', 'H'}, {'L', 'L'},
  {'N', 'N'}, {'S', 'S'}, {'X', 'X'}, {'a', 'i'}, {'l', 'l'}, {'n', 'o'}, {'s', 'u'}, {'x', 'x'},
};

static TSCharacterRange sym_prefix_operator_character_set_1[] = {
  {'!', '!'}, {'#', '&'}, {'*', '+'}, {'-', '/'}, {':', ':'}, {'<', '@'}, {'^', '^'}, {'|', '|'},
  {'~', '~'},
};

static TSCharacterRange sym_pow_operator_character_set_1[] = {
  {'!', '!'}, {'$', '&'}, {'*', '+'}, {'-', '/'}, {':', ':'}, {'<', '@'}, {'^', '^'}, {'|', '|'},
  {'~', '~'},
};

static TSCharacterRange sym_indexing_operator_character_set_1[] = {
  {'!', '!'}, {'$', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {':', ':'}, {'=', '@'}, {'^', '^'},
  {'|', '|'},
};

static TSCharacterRange sym_let_operator_character_set_1[] = {
  {'$', '$'}, {'&', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {'<', '>'}, {'@', '@'}, {'^', '^'},
  {'|', '|'},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 469,
        '"', 610,
        '#', 549,
        '$', 364,
        '%', 584,
        '&', 545,
        '\'', 606,
        '(', 458,
        ')', 459,
        '*', 503,
        '+', 468,
        ',', 466,
        '-', 471,
        '.', 500,
        '0', 587,
        ':', 453,
        ';', 511,
        '<', 547,
        '=', 447,
        '>', 543,
        '?', 450,
        '@', 650,
        '[', 478,
        '\\', 2,
        ']', 489,
        '^', 652,
        '`', 817,
        'a', 741,
        'c', 735,
        'd', 761,
        'e', 729,
        'i', 742,
        'l', 700,
        'm', 673,
        'o', 773,
        't', 721,
        'v', 671,
        'w', 725,
        '{', 506,
        '|', 475,
        '}', 512,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(380);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(618);
      if (lookahead == '\r') ADVANCE(1);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 618,
        '\r', 1,
        '#', 379,
        'o', 361,
        'u', 352,
        'x', 378,
        ' ', 624,
        '"', 624,
        '\'', 624,
        '\\', 624,
        'b', 624,
        'n', 624,
        'r', 624,
        't', 624,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(368);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 618,
        '\r', 1,
        'o', 361,
        'u', 352,
        'x', 378,
        ' ', 624,
        '"', 624,
        '\'', 624,
        '\\', 624,
        'b', 624,
        'n', 624,
        'r', 624,
        't', 624,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(368);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(607);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == '[') ADVANCE(609);
      if (lookahead == '\\') ADVANCE(309);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(608);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(608);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(607);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == '[') ADVANCE(225);
      if (lookahead == '\\') ADVANCE(309);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(227);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 469,
        '"', 610,
        '#', 548,
        '%', 584,
        '\'', 605,
        '(', 458,
        '+', 598,
        ',', 466,
        '-', 604,
        '.', 818,
        '0', 587,
        ':', 495,
        ';', 510,
        '=', 447,
        '>', 355,
        '?', 450,
        '[', 485,
        '\\', 160,
        '`', 817,
        '{', 507,
        '|', 474,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 469,
        '#', 548,
        '&', 544,
        '\'', 816,
        '(', 458,
        ')', 459,
        '*', 503,
        '+', 217,
        ',', 466,
        '-', 222,
        '.', 209,
        ':', 492,
        ';', 510,
        '<', 546,
        '=', 447,
        '>', 543,
        '?', 450,
        '[', 483,
        '\\', 160,
        ']', 489,
        '`', 817,
        '{', 507,
        '|', 473,
        '}', 512,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 469,
        '%', 584,
        '\'', 816,
        '(', 458,
        '+', 467,
        '-', 470,
        '.', 818,
        '[', 484,
        '\\', 160,
        '{', 198,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(469);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '[') ADVANCE(484);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == 'l') ADVANCE(700);
      if (lookahead == '{') ADVANCE(198);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '#', 814,
        '$', 364,
        '%', 584,
        '\'', 605,
        '(', 458,
        '.', 499,
        '0', 587,
        ':', 218,
        ';', 216,
        '=', 447,
        '[', 482,
        '\\', 160,
        '`', 817,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 700,
        'm', 676,
        'o', 774,
        't', 806,
        '{', 506,
        '+', 599,
        '-', 599,
        '?', 375,
        '~', 375,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '#', 814,
        '$', 364,
        '%', 584,
        '\'', 605,
        '(', 458,
        '0', 587,
        ';', 216,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 749,
        'i', 742,
        'l', 700,
        'm', 676,
        'o', 774,
        't', 806,
        '{', 506,
        '+', 599,
        '-', 599,
        '?', 375,
        '~', 375,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '#', 814,
        '$', 364,
        '%', 584,
        '\'', 605,
        '(', 458,
        '0', 587,
        ';', 216,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 700,
        'm', 676,
        'o', 774,
        't', 806,
        '{', 506,
        '+', 599,
        '-', 599,
        '?', 375,
        '~', 375,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '#', 814,
        '$', 364,
        '\'', 605,
        '(', 458,
        '0', 587,
        ':', 452,
        ';', 216,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 506,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '#', 814,
        '$', 364,
        '\'', 605,
        '(', 458,
        '0', 587,
        ';', 216,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 506,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '#', 550,
        '$', 364,
        '%', 584,
        '&', 544,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 503,
        '+', 598,
        ',', 466,
        '-', 604,
        '.', 499,
        '0', 587,
        ':', 492,
        ';', 510,
        '=', 447,
        '>', 543,
        '?', 451,
        '[', 485,
        '\\', 160,
        ']', 489,
        '`', 817,
        '{', 508,
        '|', 473,
        '}', 512,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '#', 550,
        '$', 364,
        '\'', 605,
        '(', 458,
        ')', 459,
        ',', 466,
        '.', 499,
        '0', 587,
        ':', 491,
        ';', 510,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        '{', 508,
        '|', 474,
        '~', 449,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(16);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '#', 550,
        '$', 364,
        '\'', 605,
        '(', 458,
        '*', 503,
        '-', 222,
        '.', 499,
        '0', 587,
        ':', 452,
        ';', 216,
        '=', 447,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 804,
        'i', 751,
        'm', 766,
        'o', 774,
        't', 806,
        'v', 671,
        '{', 506,
        '|', 473,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '#', 550,
        '$', 364,
        '\'', 605,
        '(', 458,
        '*', 503,
        '-', 222,
        '.', 499,
        '0', 587,
        ':', 452,
        ';', 216,
        '=', 447,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 749,
        'i', 751,
        'm', 766,
        'o', 774,
        't', 806,
        'v', 671,
        '{', 506,
        '|', 473,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '#', 550,
        '$', 364,
        '\'', 605,
        '(', 458,
        '*', 503,
        '-', 222,
        '.', 499,
        '0', 587,
        ':', 457,
        '=', 447,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'c', 765,
        'e', 750,
        'i', 746,
        'm', 710,
        'v', 671,
        '{', 506,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '#', 550,
        '$', 364,
        '\'', 605,
        '(', 458,
        '*', 503,
        '-', 222,
        '.', 499,
        '0', 587,
        ':', 223,
        '=', 447,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'c', 765,
        'e', 750,
        'i', 746,
        'm', 710,
        'v', 671,
        '{', 506,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '#', 550,
        '$', 364,
        '\'', 605,
        '(', 458,
        '*', 503,
        '-', 222,
        '.', 499,
        '0', 587,
        ';', 216,
        '=', 447,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 804,
        'i', 751,
        'm', 766,
        'o', 774,
        't', 806,
        'v', 671,
        '{', 506,
        '|', 473,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '#', 550,
        '$', 364,
        '\'', 605,
        '(', 458,
        '*', 503,
        '-', 222,
        '.', 499,
        '0', 587,
        ';', 216,
        '=', 447,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 749,
        'i', 751,
        'm', 766,
        'o', 774,
        't', 806,
        'v', 671,
        '{', 506,
        '|', 473,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '#', 550,
        '$', 364,
        '\'', 605,
        '(', 458,
        '.', 499,
        '0', 587,
        ';', 216,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 506,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '$', 364,
        '%', 584,
        '\'', 605,
        '(', 458,
        ')', 459,
        '+', 599,
        '-', 600,
        '.', 499,
        '0', 587,
        ':', 498,
        ';', 510,
        '=', 447,
        '>', 355,
        '[', 485,
        '\\', 160,
        ']', 489,
        '`', 817,
        'l', 700,
        'm', 679,
        '{', 508,
        '|', 229,
        '}', 512,
        '?', 375,
        '~', 375,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(24);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '$', 364,
        '%', 584,
        '\'', 605,
        '(', 458,
        '0', 587,
        ':', 490,
        ';', 510,
        '=', 447,
        '>', 543,
        '[', 482,
        '\\', 160,
        '`', 817,
        'c', 765,
        'e', 750,
        'i', 746,
        'l', 700,
        'm', 675,
        'v', 671,
        '{', 506,
        '}', 512,
        '+', 599,
        '-', 599,
        '?', 375,
        '~', 375,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '$', 364,
        '%', 584,
        '\'', 605,
        '(', 458,
        '0', 587,
        '[', 485,
        '\\', 160,
        '`', 817,
        'd', 761,
        'l', 700,
        'm', 679,
        '{', 508,
        '+', 599,
        '-', 599,
        '?', 375,
        '~', 375,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '$', 364,
        '%', 584,
        '\'', 605,
        '(', 458,
        '0', 587,
        '[', 485,
        '\\', 160,
        '`', 817,
        'd', 763,
        'l', 700,
        'm', 679,
        't', 762,
        '{', 508,
        '+', 599,
        '-', 599,
        '?', 375,
        '~', 375,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '$', 364,
        '%', 584,
        '\'', 605,
        '(', 458,
        '0', 587,
        '[', 485,
        '\\', 160,
        '`', 817,
        'd', 772,
        'l', 700,
        'm', 679,
        '{', 508,
        '+', 599,
        '-', 599,
        '?', 375,
        '~', 375,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(28);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '$', 364,
        '%', 584,
        '\'', 605,
        '(', 458,
        '0', 587,
        '[', 485,
        '\\', 160,
        '`', 817,
        'e', 750,
        'l', 700,
        'm', 679,
        '{', 508,
        '+', 599,
        '-', 599,
        '?', 375,
        '~', 375,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(29);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '$', 364,
        '%', 584,
        '\'', 605,
        '(', 458,
        '0', 587,
        '[', 485,
        '\\', 160,
        '`', 817,
        'l', 700,
        'm', 679,
        't', 722,
        '{', 508,
        '+', 599,
        '-', 599,
        '?', 375,
        '~', 375,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(30);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '$', 364,
        '%', 584,
        '\'', 605,
        '(', 458,
        '0', 587,
        '[', 485,
        '\\', 160,
        '`', 817,
        'l', 700,
        'm', 679,
        'w', 725,
        '{', 508,
        '+', 599,
        '-', 599,
        '?', 375,
        '~', 375,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(31);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '$', 364,
        '%', 584,
        '\'', 605,
        '(', 458,
        '0', 587,
        '[', 486,
        '\\', 160,
        '`', 817,
        'a', 741,
        'i', 747,
        'l', 700,
        'm', 679,
        '{', 508,
        '+', 599,
        '-', 599,
        '?', 375,
        '~', 375,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '$', 364,
        '\'', 605,
        '(', 458,
        ')', 459,
        '.', 818,
        '0', 587,
        ':', 490,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        '{', 508,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '$', 364,
        '\'', 605,
        '(', 458,
        ')', 459,
        '.', 818,
        '0', 587,
        ':', 452,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        '{', 508,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 35:
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '$', 364,
        '\'', 605,
        '(', 458,
        '.', 818,
        '0', 587,
        '[', 485,
        '\\', 160,
        '`', 817,
        'l', 700,
        'm', 679,
        '{', 508,
        '+', 599,
        '-', 599,
        '?', 375,
        '~', 375,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 36:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '=', 658,
        '>', 656,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 729,
        'i', 742,
        'l', 683,
        'm', 677,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(36);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 37:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 729,
        'i', 751,
        'l', 683,
        'm', 677,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(37);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 38:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 749,
        'i', 742,
        'l', 683,
        'm', 677,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(38);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 39:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 683,
        'm', 677,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(39);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 40:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 786,
        'c', 736,
        'e', 729,
        'i', 751,
        'l', 683,
        'm', 677,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(40);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 41:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 786,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 683,
        'm', 677,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(41);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 729,
        'i', 742,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(42);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 729,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 749,
        'i', 742,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 786,
        'c', 736,
        'e', 729,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 786,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 454,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 729,
        'i', 742,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(42);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 454,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 729,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 454,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 749,
        'i', 742,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 454,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 454,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 786,
        'c', 736,
        'e', 729,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 454,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 786,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 54:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 603,
        '.', 499,
        '0', 587,
        ':', 494,
        ';', 510,
        '<', 654,
        '=', 658,
        '>', 656,
        '?', 451,
        '[', 485,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'e', 732,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '}', 512,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 603,
        '.', 499,
        '0', 587,
        ':', 494,
        ';', 510,
        '<', 654,
        '=', 658,
        '>', 656,
        '?', 451,
        '[', 485,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'e', 732,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 476,
        '}', 512,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 603,
        '.', 499,
        '0', 587,
        ':', 494,
        ';', 510,
        '<', 654,
        '=', 658,
        '>', 656,
        '?', 451,
        '[', 485,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '}', 512,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 603,
        '.', 499,
        '0', 587,
        ':', 494,
        ';', 510,
        '<', 654,
        '=', 658,
        '>', 656,
        '?', 451,
        '[', 485,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 476,
        '}', 512,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 729,
        'i', 742,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 729,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 749,
        'i', 742,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 786,
        'c', 736,
        'e', 729,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 786,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 64:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 786,
        'c', 765,
        'e', 730,
        'i', 746,
        'l', 685,
        'm', 709,
        'o', 777,
        'v', 671,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 65:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 786,
        'c', 765,
        'e', 750,
        'i', 746,
        'l', 685,
        'm', 709,
        'o', 777,
        'v', 671,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 66:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'd', 761,
        'e', 732,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 67:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'd', 761,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'd', 763,
        'e', 732,
        'l', 685,
        'm', 770,
        'o', 777,
        't', 762,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 69:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'd', 763,
        'l', 685,
        'm', 770,
        'o', 777,
        't', 762,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 70:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'd', 772,
        'e', 732,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 71:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'd', 772,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 72:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'e', 730,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 73:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'e', 732,
        'l', 685,
        'm', 770,
        'o', 777,
        't', 722,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(73);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 74:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'e', 732,
        'l', 685,
        'm', 770,
        'o', 777,
        'w', 725,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(74);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 75:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'e', 750,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(75);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 76:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'l', 685,
        'm', 770,
        'o', 777,
        't', 722,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(76);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 77:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'l', 685,
        'm', 770,
        'o', 777,
        'w', 725,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(77);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 78:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 486,
        '\\', 160,
        '`', 817,
        'a', 740,
        'e', 732,
        'i', 747,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(78);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 79:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 486,
        '\\', 160,
        '`', 817,
        'a', 740,
        'i', 747,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(79);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 454,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 786,
        'c', 765,
        'e', 730,
        'i', 746,
        'l', 685,
        'm', 709,
        'o', 777,
        'v', 671,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 81:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 454,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 786,
        'c', 765,
        'e', 750,
        'i', 746,
        'l', 685,
        'm', 709,
        'o', 777,
        'v', 671,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 82:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 454,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'd', 761,
        'e', 732,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 83:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 454,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'd', 761,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 84:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 454,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'd', 763,
        'e', 732,
        'l', 685,
        'm', 770,
        'o', 777,
        't', 762,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 454,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'd', 763,
        'l', 685,
        'm', 770,
        'o', 777,
        't', 762,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 86:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 454,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'd', 772,
        'e', 732,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 87:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 454,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'd', 772,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 88:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 454,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'e', 730,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 89:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 454,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'e', 732,
        'l', 685,
        'm', 770,
        'o', 777,
        't', 722,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(73);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 90:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 454,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'e', 732,
        'l', 685,
        'm', 770,
        'o', 777,
        'w', 725,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(74);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 91:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 454,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'e', 750,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(75);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 92:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 454,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'l', 685,
        'm', 770,
        'o', 777,
        't', 722,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(76);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 93:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 454,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'l', 685,
        'm', 770,
        'o', 777,
        'w', 725,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(77);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 94:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 454,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 486,
        '\\', 160,
        '`', 817,
        'a', 740,
        'e', 732,
        'i', 747,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(78);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 95:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 454,
        ';', 510,
        '<', 654,
        '?', 451,
        '[', 486,
        '\\', 160,
        '`', 817,
        'a', 740,
        'i', 747,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(79);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 96:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '&', 661,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        '<', 655,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 756,
        'e', 805,
        'l', 684,
        'm', 677,
        'o', 777,
        't', 806,
        '{', 507,
        '|', 353,
        '%', 646,
        '/', 646,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '$', 658,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(96);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 97:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '&', 661,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        '<', 655,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 756,
        'e', 805,
        'l', 684,
        'm', 677,
        'o', 777,
        '{', 507,
        '|', 353,
        '%', 646,
        '/', 646,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '$', 658,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 98:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '&', 661,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        '<', 655,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 756,
        'l', 684,
        'm', 677,
        'o', 777,
        '{', 507,
        '|', 353,
        '%', 646,
        '/', 646,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '$', 658,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(98);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 374,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 655,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 756,
        'l', 683,
        'm', 677,
        'o', 777,
        '{', 508,
        '|', 230,
        '%', 646,
        '/', 646,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 100:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 655,
        '=', 658,
        '>', 656,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'c', 765,
        'e', 730,
        'i', 746,
        'l', 683,
        'm', 674,
        'o', 777,
        'v', 671,
        '{', 506,
        '|', 477,
        '}', 512,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 603,
        '/', 646,
        '0', 587,
        ':', 494,
        ';', 510,
        '<', 655,
        '=', 658,
        '>', 656,
        '[', 485,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'e', 732,
        'l', 683,
        'm', 678,
        'o', 777,
        '{', 508,
        '|', 477,
        '}', 512,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(101);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 102:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 603,
        '/', 646,
        '0', 587,
        ':', 494,
        ';', 510,
        '<', 655,
        '=', 658,
        '>', 656,
        '[', 485,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'l', 683,
        'm', 678,
        'o', 777,
        '{', 508,
        '|', 477,
        '}', 512,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(102);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 103:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 655,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 786,
        'c', 765,
        'e', 750,
        'i', 746,
        'l', 683,
        'm', 674,
        'o', 777,
        'v', 671,
        '{', 506,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(103);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 104:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 655,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'd', 761,
        'e', 732,
        'l', 683,
        'm', 678,
        'o', 777,
        '{', 508,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(104);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 105:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 655,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'd', 761,
        'l', 683,
        'm', 678,
        'o', 777,
        '{', 508,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(105);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 106:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 655,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'd', 763,
        'e', 732,
        'l', 683,
        'm', 678,
        'o', 777,
        't', 762,
        '{', 508,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(106);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 107:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 655,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'd', 763,
        'l', 683,
        'm', 678,
        'o', 777,
        't', 762,
        '{', 508,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 108:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 655,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'd', 772,
        'e', 732,
        'l', 683,
        'm', 678,
        'o', 777,
        '{', 508,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(108);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 109:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 655,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'd', 772,
        'l', 683,
        'm', 678,
        'o', 777,
        '{', 508,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(109);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 110:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 655,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'e', 730,
        'l', 683,
        'm', 678,
        'o', 777,
        '{', 508,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(110);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 111:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 655,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'e', 732,
        'l', 683,
        'm', 678,
        'o', 777,
        't', 722,
        '{', 508,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(111);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 655,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'e', 732,
        'l', 683,
        'm', 678,
        'o', 777,
        'w', 725,
        '{', 508,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 113:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 655,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'e', 732,
        'l', 683,
        'm', 678,
        'o', 777,
        '{', 508,
        '|', 476,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(113);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 114:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 655,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'e', 750,
        'l', 683,
        'm', 678,
        'o', 777,
        '{', 508,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(114);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 115:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 655,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'l', 683,
        'm', 678,
        'o', 777,
        't', 722,
        '{', 508,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(115);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 116:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 655,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'l', 683,
        'm', 678,
        'o', 777,
        'w', 725,
        '{', 508,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(116);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 117:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 655,
        '[', 485,
        '\\', 160,
        '`', 817,
        'a', 786,
        'l', 683,
        'm', 678,
        'o', 777,
        '{', 508,
        '|', 476,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(117);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 118:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 655,
        '[', 486,
        '\\', 160,
        '`', 817,
        'a', 740,
        'e', 732,
        'i', 747,
        'l', 683,
        'm', 678,
        'o', 777,
        '{', 508,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(118);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 119:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 510,
        '<', 655,
        '[', 486,
        '\\', 160,
        '`', 817,
        'a', 740,
        'i', 747,
        'l', 683,
        'm', 678,
        'o', 777,
        '{', 508,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(119);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 120:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 603,
        '0', 587,
        ':', 455,
        ';', 510,
        '<', 655,
        '=', 658,
        '>', 656,
        '?', 451,
        '[', 485,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'e', 732,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '}', 512,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(124);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 121:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 603,
        '0', 587,
        ':', 455,
        ';', 510,
        '<', 655,
        '=', 658,
        '>', 656,
        '?', 451,
        '[', 485,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'e', 732,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 476,
        '}', 512,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(125);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 122:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 603,
        '0', 587,
        ':', 455,
        ';', 510,
        '<', 655,
        '=', 658,
        '>', 656,
        '?', 451,
        '[', 485,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '}', 512,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(126);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 123:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 603,
        '0', 587,
        ':', 455,
        ';', 510,
        '<', 655,
        '=', 658,
        '>', 656,
        '?', 451,
        '[', 485,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 476,
        '}', 512,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(127);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 124:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 603,
        '0', 587,
        ':', 494,
        ';', 510,
        '<', 655,
        '=', 658,
        '>', 656,
        '?', 451,
        '[', 485,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'e', 732,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '}', 512,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(124);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 125:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 603,
        '0', 587,
        ':', 494,
        ';', 510,
        '<', 655,
        '=', 658,
        '>', 656,
        '?', 451,
        '[', 485,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'e', 732,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 476,
        '}', 512,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(125);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 126:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 603,
        '0', 587,
        ':', 494,
        ';', 510,
        '<', 655,
        '=', 658,
        '>', 656,
        '?', 451,
        '[', 485,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 477,
        '}', 512,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(126);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 127:
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 603,
        '0', 587,
        ':', 494,
        ';', 510,
        '<', 655,
        '=', 658,
        '>', 656,
        '?', 451,
        '[', 485,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'l', 685,
        'm', 770,
        'o', 777,
        '{', 508,
        '|', 476,
        '}', 512,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(127);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 128:
      ADVANCE_MAP(
        '!', 633,
        '#', 374,
        '&', 661,
        ')', 459,
        '*', 643,
        '+', 601,
        '-', 602,
        '.', 499,
        ':', 220,
        '<', 655,
        '[', 225,
        'a', 305,
        'l', 234,
        'm', 239,
        'o', 325,
        '|', 353,
        '%', 646,
        '/', 646,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '$', 658,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(128);
      END_STATE();
    case 129:
      ADVANCE_MAP(
        '!', 221,
        '#', 550,
        '&', 661,
        ')', 459,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 603,
        '.', 499,
        ':', 494,
        ';', 510,
        '<', 655,
        '>', 656,
        '[', 200,
        ']', 489,
        '`', 817,
        'a', 332,
        'c', 316,
        'd', 310,
        'e', 281,
        'i', 297,
        'l', 235,
        'm', 260,
        'o', 325,
        't', 272,
        'v', 231,
        'w', 275,
        '{', 201,
        '|', 476,
        '}', 512,
        '$', 658,
        '=', 658,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(129);
      END_STATE();
    case 130:
      ADVANCE_MAP(
        '!', 221,
        '#', 550,
        '&', 661,
        ')', 459,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 603,
        '.', 499,
        ':', 494,
        ';', 510,
        '<', 655,
        '>', 656,
        '[', 200,
        ']', 489,
        'a', 332,
        'c', 316,
        'd', 310,
        'e', 281,
        'i', 297,
        'l', 235,
        'm', 260,
        'o', 325,
        't', 272,
        'v', 231,
        'w', 275,
        '{', 201,
        '|', 477,
        '}', 512,
        '$', 658,
        '=', 658,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(130);
      END_STATE();
    case 131:
      ADVANCE_MAP(
        '!', 221,
        '#', 550,
        '&', 661,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        ':', 214,
        ';', 510,
        '<', 655,
        '[', 226,
        'a', 291,
        'd', 311,
        'e', 280,
        'i', 298,
        'l', 235,
        'm', 318,
        'o', 325,
        't', 312,
        '|', 477,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '$', 658,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(131);
      END_STATE();
    case 132:
      ADVANCE_MAP(
        '!', 221,
        '&', 661,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 603,
        ':', 494,
        ';', 510,
        '<', 655,
        '>', 656,
        '[', 197,
        ']', 489,
        'a', 291,
        'd', 310,
        'e', 281,
        'i', 298,
        'l', 235,
        'm', 318,
        'o', 325,
        't', 272,
        'w', 275,
        '{', 198,
        '|', 476,
        '}', 512,
        '$', 658,
        '=', 658,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(132);
      END_STATE();
    case 133:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '%', 584,
        '\'', 605,
        '(', 458,
        ')', 459,
        '+', 598,
        ',', 466,
        '-', 604,
        '.', 499,
        '0', 587,
        ':', 491,
        ';', 510,
        '=', 447,
        '[', 485,
        '\\', 160,
        ']', 489,
        '`', 817,
        'e', 805,
        '{', 507,
        '|', 473,
        '}', 512,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(133);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 134:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '%', 584,
        '\'', 605,
        '(', 458,
        '0', 587,
        '[', 485,
        '\\', 160,
        '`', 817,
        'e', 805,
        'm', 766,
        'o', 774,
        '{', 507,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(134);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 135:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '%', 584,
        '\'', 605,
        '(', 458,
        '0', 587,
        '[', 485,
        '\\', 160,
        '`', 817,
        'o', 774,
        '{', 507,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(135);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 136:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 503,
        '+', 598,
        ',', 466,
        '-', 604,
        '.', 499,
        '0', 587,
        ':', 495,
        ';', 510,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'c', 765,
        'e', 750,
        'i', 746,
        'm', 710,
        'v', 671,
        '{', 505,
        '|', 473,
        '}', 512,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(136);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 137:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        ')', 459,
        '+', 598,
        ',', 466,
        '-', 604,
        '.', 499,
        '0', 587,
        ':', 495,
        ';', 510,
        '=', 447,
        '?', 450,
        '[', 485,
        '\\', 160,
        ']', 489,
        '`', 817,
        '{', 507,
        '|', 473,
        '}', 512,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(137);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 138:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        '*', 503,
        '+', 598,
        '-', 604,
        '.', 499,
        '0', 587,
        ':', 490,
        ';', 216,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 804,
        'i', 751,
        'm', 766,
        'o', 774,
        't', 806,
        'v', 671,
        '{', 505,
        '|', 473,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(138);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 139:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        '*', 503,
        '+', 598,
        '-', 604,
        '.', 499,
        '0', 587,
        ':', 490,
        ';', 216,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 505,
        '|', 473,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(139);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 140:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        '*', 503,
        '+', 598,
        '-', 604,
        '.', 499,
        '0', 587,
        ':', 490,
        ';', 216,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 749,
        'i', 751,
        'm', 766,
        'o', 774,
        't', 806,
        'v', 671,
        '{', 505,
        '|', 473,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(140);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 141:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        '+', 598,
        ',', 466,
        '-', 604,
        '.', 209,
        '0', 587,
        ':', 495,
        ';', 510,
        '=', 447,
        '?', 450,
        '[', 485,
        '\\', 160,
        '`', 817,
        '{', 507,
        '|', 474,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 142:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        '+', 598,
        ',', 466,
        '-', 604,
        '.', 209,
        '0', 587,
        ':', 456,
        ';', 510,
        '=', 447,
        '?', 450,
        '[', 485,
        '\\', 160,
        '`', 817,
        '{', 507,
        '|', 474,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 143:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        ',', 466,
        '.', 499,
        '0', 587,
        ':', 495,
        ';', 216,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 749,
        'i', 742,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 505,
        '|', 473,
        '~', 448,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(143);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 144:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        ',', 466,
        '.', 499,
        '0', 587,
        ':', 495,
        ';', 216,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 505,
        '|', 473,
        '~', 448,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(144);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 145:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        ',', 466,
        '.', 499,
        '0', 587,
        ':', 495,
        '=', 447,
        '?', 450,
        '[', 486,
        '\\', 160,
        '`', 817,
        'a', 741,
        'i', 747,
        '{', 507,
        '|', 473,
        '~', 448,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(145);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 146:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        ',', 466,
        '.', 499,
        '0', 587,
        ':', 213,
        ';', 510,
        '[', 485,
        '\\', 160,
        '`', 817,
        'e', 805,
        '{', 507,
        '|', 474,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(146);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 147:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        ',', 466,
        '.', 209,
        '0', 587,
        ':', 495,
        ';', 216,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 749,
        'i', 742,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 505,
        '|', 473,
        '~', 448,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(147);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 148:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        ',', 466,
        '.', 209,
        '0', 587,
        ':', 495,
        ';', 216,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 505,
        '|', 473,
        '~', 448,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(148);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 149:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        ',', 466,
        '.', 209,
        '0', 587,
        ':', 495,
        '=', 447,
        '?', 450,
        '[', 486,
        '\\', 160,
        '`', 817,
        'a', 741,
        'i', 747,
        '{', 507,
        '|', 473,
        '~', 448,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(149);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 150:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        '.', 818,
        '0', 587,
        '[', 485,
        '\\', 160,
        '`', 817,
        'e', 805,
        '{', 507,
        '|', 473,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(150);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 151:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        '0', 587,
        ':', 490,
        ';', 216,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 804,
        'i', 751,
        'm', 766,
        'o', 774,
        't', 806,
        'v', 671,
        '{', 505,
        '~', 448,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(151);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 152:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        '0', 587,
        ':', 490,
        ';', 216,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 505,
        '~', 448,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(152);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 153:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        '0', 587,
        ':', 490,
        ';', 216,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 749,
        'i', 751,
        'm', 766,
        'o', 774,
        't', 806,
        'v', 671,
        '{', 505,
        '~', 448,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(153);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 154:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        '0', 587,
        ':', 490,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        '`', 817,
        'c', 765,
        'e', 750,
        'i', 746,
        'm', 710,
        'v', 671,
        '{', 505,
        '~', 448,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(154);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 155:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        '0', 587,
        ':', 452,
        ';', 216,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 804,
        'i', 751,
        'm', 766,
        'o', 774,
        't', 806,
        'v', 671,
        '{', 505,
        '~', 448,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(151);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 156:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        '0', 587,
        ':', 452,
        ';', 216,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 505,
        '~', 448,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(152);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 157:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        '0', 587,
        ':', 452,
        ';', 216,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 749,
        'i', 751,
        'm', 766,
        'o', 774,
        't', 806,
        'v', 671,
        '{', 505,
        '~', 448,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(153);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 158:
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        '0', 587,
        ':', 452,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        '`', 817,
        'c', 765,
        'e', 750,
        'i', 746,
        'm', 710,
        'v', 671,
        '{', 505,
        '~', 448,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(154);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 159:
      if (lookahead == '"') ADVANCE(610);
      if (lookahead == '%') ADVANCE(613);
      if (lookahead == '@') ADVANCE(614);
      if (lookahead == '[') ADVANCE(615);
      if (lookahead == '\\') ADVANCE(3);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(611);
      if (lookahead != 0) ADVANCE(616);
      END_STATE();
    case 160:
      if (lookahead == '#') ADVANCE(379);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '#', 814,
        '(', 458,
        '*', 503,
        '-', 222,
        ':', 490,
        ';', 216,
        '=', 447,
        '[', 487,
        '\\', 160,
        'a', 757,
        'c', 735,
        'e', 749,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 201,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(161);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '#', 814,
        '(', 458,
        ':', 490,
        ';', 216,
        '=', 447,
        '[', 487,
        '\\', 160,
        'a', 757,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 201,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '#', 814,
        '*', 503,
        '-', 222,
        ':', 218,
        ';', 216,
        '=', 447,
        '[', 200,
        '\\', 160,
        'a', 757,
        'c', 735,
        'e', 749,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        'w', 725,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '#', 550,
        '(', 458,
        ')', 459,
        ',', 466,
        '-', 222,
        '.', 499,
        ':', 492,
        ';', 510,
        '=', 447,
        '[', 197,
        '\\', 160,
        ']', 489,
        'a', 757,
        'i', 747,
        'w', 725,
        '{', 198,
        '|', 473,
        '}', 512,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '#', 550,
        '(', 458,
        '*', 503,
        '-', 222,
        '.', 499,
        ':', 496,
        ';', 510,
        '=', 447,
        '[', 197,
        'a', 303,
        'c', 316,
        'i', 298,
        'w', 275,
        '{', 198,
        '}', 512,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '#', 550,
        ')', 459,
        ',', 466,
        '-', 222,
        '.', 500,
        ':', 491,
        ';', 510,
        '=', 447,
        '[', 225,
        '\\', 160,
        ']', 489,
        'w', 725,
        '|', 473,
        '}', 512,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '#', 550,
        ')', 459,
        ',', 466,
        '-', 222,
        '.', 499,
        ':', 491,
        ';', 510,
        '=', 447,
        '[', 200,
        '\\', 160,
        ']', 489,
        'c', 765,
        'e', 750,
        'i', 746,
        'm', 710,
        'v', 671,
        'w', 725,
        '{', 201,
        '|', 473,
        '}', 512,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '#', 550,
        ')', 459,
        ',', 466,
        '.', 499,
        ':', 491,
        ';', 510,
        '[', 225,
        '\\', 160,
        ']', 489,
        'w', 725,
        '|', 473,
        '}', 512,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '#', 550,
        '.', 499,
        ':', 490,
        '=', 447,
        '[', 226,
        '\\', 160,
        'i', 747,
        'w', 725,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '#', 548,
        '%', 584,
        '\'', 816,
        '(', 458,
        ')', 459,
        '.', 818,
        ':', 213,
        '<', 546,
        '?', 450,
        '[', 483,
        '\\', 160,
        'm', 766,
        '{', 198,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '#', 548,
        '%', 584,
        '\'', 816,
        '(', 458,
        '<', 546,
        '?', 450,
        '[', 483,
        '\\', 160,
        't', 806,
        '{', 198,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '#', 548,
        '&', 544,
        '\'', 816,
        ')', 459,
        '*', 503,
        ',', 466,
        '-', 222,
        '.', 499,
        ':', 223,
        ';', 510,
        '=', 447,
        '>', 543,
        '[', 225,
        '\\', 160,
        ']', 489,
        '|', 473,
        '}', 512,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '#', 548,
        '\'', 816,
        '(', 458,
        '*', 503,
        '-', 222,
        '.', 499,
        ':', 490,
        ';', 216,
        '<', 546,
        '=', 447,
        '?', 450,
        '[', 480,
        '\\', 160,
        ']', 489,
        'c', 736,
        'e', 804,
        'i', 751,
        'm', 766,
        'o', 774,
        't', 806,
        'v', 671,
        '{', 193,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '#', 548,
        '\'', 816,
        '(', 458,
        '*', 503,
        '-', 222,
        '.', 499,
        ':', 490,
        ';', 216,
        '=', 447,
        '[', 487,
        '\\', 160,
        ']', 489,
        'a', 757,
        'c', 735,
        'e', 804,
        'i', 751,
        'm', 766,
        'o', 774,
        't', 806,
        'v', 671,
        '{', 201,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '#', 548,
        '\'', 816,
        '(', 458,
        '*', 503,
        '-', 222,
        '.', 499,
        ':', 490,
        ';', 216,
        '=', 447,
        '[', 487,
        '\\', 160,
        'a', 757,
        'c', 735,
        'e', 749,
        'i', 751,
        'm', 766,
        'o', 774,
        't', 806,
        'v', 671,
        '{', 201,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '#', 548,
        '\'', 816,
        '(', 458,
        '*', 503,
        '-', 222,
        '.', 499,
        ';', 216,
        '[', 487,
        '\\', 160,
        ']', 489,
        'a', 757,
        'c', 736,
        'e', 804,
        'i', 751,
        'm', 766,
        'o', 774,
        't', 806,
        'v', 671,
        '{', 201,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '#', 548,
        '\'', 816,
        '(', 458,
        '*', 503,
        '-', 222,
        '.', 499,
        ';', 216,
        '[', 487,
        '\\', 160,
        'a', 757,
        'c', 736,
        'e', 749,
        'i', 751,
        'm', 766,
        'o', 774,
        't', 806,
        'v', 671,
        '{', 201,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '#', 548,
        '\'', 816,
        '(', 458,
        '<', 546,
        '?', 450,
        '[', 483,
        '\\', 160,
        'l', 715,
        '{', 198,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '#', 548,
        '\'', 816,
        '*', 503,
        ',', 466,
        '-', 222,
        '.', 499,
        ':', 491,
        ';', 510,
        '=', 447,
        '[', 226,
        '\\', 160,
        'i', 747,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '#', 548,
        '\'', 816,
        '*', 503,
        '-', 222,
        '.', 499,
        ':', 490,
        ';', 216,
        '=', 447,
        '[', 200,
        '\\', 160,
        'a', 757,
        'c', 735,
        'e', 749,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 201,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '#', 548,
        '\'', 816,
        '*', 503,
        '-', 222,
        '.', 499,
        ':', 490,
        ';', 216,
        '=', 447,
        '[', 200,
        '\\', 160,
        'c', 736,
        'e', 749,
        'i', 751,
        'm', 766,
        'o', 774,
        't', 806,
        'v', 671,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '#', 548,
        '\'', 816,
        '*', 503,
        '-', 222,
        '.', 499,
        ':', 490,
        '[', 200,
        '\\', 160,
        'c', 765,
        'e', 750,
        'i', 753,
        'm', 710,
        'v', 671,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '#', 548,
        '\'', 816,
        '*', 503,
        '-', 222,
        '.', 499,
        ':', 223,
        '=', 447,
        '[', 200,
        '\\', 160,
        'c', 765,
        'e', 750,
        'i', 746,
        'm', 710,
        'v', 671,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '#', 548,
        '\'', 816,
        '*', 503,
        '-', 222,
        '.', 499,
        ';', 216,
        '[', 200,
        '\\', 160,
        'a', 757,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 201,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '#', 548,
        '\'', 816,
        '*', 503,
        '-', 222,
        '.', 499,
        ';', 216,
        '[', 200,
        '\\', 160,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '#', 548,
        ')', 459,
        '*', 503,
        '-', 222,
        ':', 498,
        '[', 225,
        '\\', 160,
        'a', 757,
        'c', 765,
        'w', 725,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '#', 548,
        '*', 503,
        '-', 222,
        ':', 496,
        ';', 216,
        '=', 447,
        '[', 200,
        '\\', 160,
        ']', 489,
        'a', 757,
        'c', 735,
        'e', 804,
        'i', 751,
        'm', 766,
        'o', 774,
        't', 806,
        'v', 671,
        'w', 725,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '#', 548,
        '*', 503,
        '-', 222,
        ':', 496,
        ';', 216,
        '=', 447,
        '[', 200,
        '\\', 160,
        'a', 757,
        'c', 735,
        'e', 749,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        'w', 725,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '#', 548,
        '*', 503,
        '-', 222,
        ':', 496,
        ';', 216,
        '=', 447,
        '[', 200,
        '\\', 160,
        'a', 757,
        'c', 735,
        'e', 749,
        'i', 751,
        'm', 766,
        'o', 774,
        't', 806,
        'v', 671,
        'w', 725,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '#', 548,
        '*', 503,
        '-', 222,
        ':', 496,
        ';', 510,
        '=', 447,
        '>', 543,
        '[', 226,
        '\\', 160,
        'a', 757,
        'c', 765,
        'i', 747,
        'w', 725,
        '}', 512,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 191:
      if (lookahead == '%') ADVANCE(584);
      if (lookahead == '[') ADVANCE(488);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == 't') ADVANCE(806);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 192:
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 193:
      if (lookahead == '%') ADVANCE(580);
      END_STATE();
    case 194:
      if (lookahead == '%') ADVANCE(582);
      END_STATE();
    case 195:
      if (lookahead == '%') ADVANCE(583);
      END_STATE();
    case 196:
      if (lookahead == '%') ADVANCE(577);
      if (lookahead == '@') ADVANCE(571);
      END_STATE();
    case 197:
      if (lookahead == '%') ADVANCE(577);
      if (lookahead == '@') ADVANCE(573);
      END_STATE();
    case 198:
      if (lookahead == '%') ADVANCE(579);
      END_STATE();
    case 199:
      if (lookahead == '%') ADVANCE(620);
      if (lookahead == '@') ADVANCE(621);
      if (lookahead == '[') ADVANCE(622);
      if (lookahead == '|') ADVANCE(619);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(611);
      if (lookahead != 0) ADVANCE(623);
      END_STATE();
    case 200:
      if (lookahead == '%') ADVANCE(194);
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 201:
      if (lookahead == '%') ADVANCE(195);
      END_STATE();
    case 202:
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(459);
      if (lookahead == '[') ADVANCE(196);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == 'v') ADVANCE(671);
      if (lookahead == '{') ADVANCE(198);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202);
      if (set_contains(sym_indexing_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '(', 458,
        '.', 818,
        ':', 498,
        ';', 510,
        '=', 447,
        '>', 355,
        '[', 200,
        'c', 316,
        'e', 299,
        'i', 297,
        'm', 258,
        'v', 231,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      END_STATE();
    case 204:
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '.') ADVANCE(209);
      if (lookahead == '[') ADVANCE(488);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == '{') ADVANCE(504);
      if (lookahead == '|') ADVANCE(473);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 205:
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '[') ADVANCE(488);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == '{') ADVANCE(504);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (set_contains(sym_indexing_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 206:
      if (lookahead == '*') ADVANCE(212);
      if (lookahead == '.') ADVANCE(207);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(629);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(211);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(628);
      END_STATE();
    case 207:
      if (lookahead == '*') ADVANCE(360);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(629);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(359);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(628);
      END_STATE();
    case 208:
      if (lookahead == '-') ADVANCE(554);
      END_STATE();
    case 209:
      if (lookahead == '.') ADVANCE(464);
      END_STATE();
    case 210:
      if (lookahead == '.') ADVANCE(818);
      if (lookahead == '[') ADVANCE(225);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(581);
      END_STATE();
    case 211:
      if (lookahead == '.') ADVANCE(207);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(629);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(211);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(628);
      END_STATE();
    case 212:
      if (lookahead == '.') ADVANCE(207);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(629);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(628);
      END_STATE();
    case 213:
      if (lookahead == ':') ADVANCE(551);
      END_STATE();
    case 214:
      if (lookahead == ':') ADVANCE(551);
      if (lookahead == '=') ADVANCE(666);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        ':', 223,
        ';', 510,
        '=', 447,
        '>', 543,
        '[', 200,
        'c', 316,
        'e', 299,
        'i', 297,
        'm', 258,
        'v', 231,
        '{', 201,
        '}', 512,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      END_STATE();
    case 216:
      if (lookahead == ';') ADVANCE(438);
      END_STATE();
    case 217:
      if (lookahead == '=') ADVANCE(465);
      END_STATE();
    case 218:
      if (lookahead == '=') ADVANCE(472);
      END_STATE();
    case 219:
      if (lookahead == '=') ADVANCE(472);
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 220:
      if (lookahead == '=') ADVANCE(666);
      END_STATE();
    case 221:
      if (lookahead == '=') ADVANCE(653);
      END_STATE();
    case 222:
      if (lookahead == '>') ADVANCE(501);
      END_STATE();
    case 223:
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 224:
      if (lookahead == '>') ADVANCE(630);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(224);
      END_STATE();
    case 225:
      if (lookahead == '@') ADVANCE(571);
      END_STATE();
    case 226:
      if (lookahead == '@') ADVANCE(573);
      END_STATE();
    case 227:
      if (lookahead == '[') ADVANCE(225);
      if (lookahead == '\\') ADVANCE(309);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      END_STATE();
    case 228:
      if (lookahead == '[') ADVANCE(484);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == 'l') ADVANCE(715);
      if (lookahead == '{') ADVANCE(198);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 229:
      if (lookahead == ']') ADVANCE(553);
      END_STATE();
    case 230:
      if (lookahead == ']') ADVANCE(553);
      if (lookahead == '|') ADVANCE(664);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(658);
      END_STATE();
    case 231:
      if (lookahead == 'a') ADVANCE(283);
      END_STATE();
    case 232:
      if (lookahead == 'a') ADVANCE(335);
      END_STATE();
    case 233:
      if (lookahead == 'a') ADVANCE(302);
      if (lookahead == 'e') ADVANCE(337);
      if (lookahead == 'o') ADVANCE(327);
      if (lookahead == 's') ADVANCE(357);
      if (lookahead == 'x') ADVANCE(315);
      END_STATE();
    case 234:
      if (lookahead == 'a') ADVANCE(302);
      if (lookahead == 'e') ADVANCE(344);
      if (lookahead == 'o') ADVANCE(327);
      if (lookahead == 's') ADVANCE(357);
      if (lookahead == 'x') ADVANCE(315);
      END_STATE();
    case 235:
      if (lookahead == 'a') ADVANCE(302);
      if (lookahead == 'o') ADVANCE(327);
      if (lookahead == 's') ADVANCE(357);
      if (lookahead == 'x') ADVANCE(315);
      END_STATE();
    case 236:
      if (lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 237:
      if (lookahead == 'a') ADVANCE(288);
      END_STATE();
    case 238:
      if (lookahead == 'a') ADVANCE(285);
      END_STATE();
    case 239:
      if (lookahead == 'a') ADVANCE(341);
      if (lookahead == 'o') ADVANCE(245);
      END_STATE();
    case 240:
      if (lookahead == 'c') ADVANCE(284);
      if (lookahead == 'h') ADVANCE(264);
      if (lookahead == 'i') ADVANCE(342);
      END_STATE();
    case 241:
      if (lookahead == 'c') ADVANCE(262);
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 242:
      if (lookahead == 'c') ADVANCE(270);
      END_STATE();
    case 243:
      if (lookahead == 'd') ADVANCE(443);
      END_STATE();
    case 244:
      if (lookahead == 'd') ADVANCE(527);
      END_STATE();
    case 245:
      if (lookahead == 'd') ADVANCE(642);
      END_STATE();
    case 246:
      if (lookahead == 'd') ADVANCE(645);
      END_STATE();
    case 247:
      if (lookahead == 'd') ADVANCE(533);
      END_STATE();
    case 248:
      if (lookahead == 'd') ADVANCE(442);
      END_STATE();
    case 249:
      if (lookahead == 'd') ADVANCE(369);
      END_STATE();
    case 250:
      if (lookahead == 'd') ADVANCE(348);
      END_STATE();
    case 251:
      if (lookahead == 'd') ADVANCE(256);
      END_STATE();
    case 252:
      if (lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 253:
      if (lookahead == 'e') ADVANCE(558);
      END_STATE();
    case 254:
      if (lookahead == 'e') ADVANCE(462);
      END_STATE();
    case 255:
      if (lookahead == 'e') ADVANCE(517);
      END_STATE();
    case 256:
      if (lookahead == 'e') ADVANCE(521);
      END_STATE();
    case 257:
      if (lookahead == 'e') ADVANCE(562);
      END_STATE();
    case 258:
      if (lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 259:
      if (lookahead == 'e') ADVANCE(338);
      if (lookahead == 'o') ADVANCE(246);
      END_STATE();
    case 260:
      if (lookahead == 'e') ADVANCE(338);
      if (lookahead == 'o') ADVANCE(245);
      END_STATE();
    case 261:
      if (lookahead == 'e') ADVANCE(338);
      if (lookahead == 'o') ADVANCE(250);
      END_STATE();
    case 262:
      if (lookahead == 'e') ADVANCE(323);
      END_STATE();
    case 263:
      if (lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 264:
      if (lookahead == 'e') ADVANCE(331);
      END_STATE();
    case 265:
      if (lookahead == 'e') ADVANCE(293);
      END_STATE();
    case 266:
      if (lookahead == 'e') ADVANCE(294);
      END_STATE();
    case 267:
      if (lookahead == 'e') ADVANCE(328);
      END_STATE();
    case 268:
      if (lookahead == 'h') ADVANCE(529);
      END_STATE();
    case 269:
      if (lookahead == 'h') ADVANCE(319);
      END_STATE();
    case 270:
      if (lookahead == 'h') ADVANCE(371);
      END_STATE();
    case 271:
      if (lookahead == 'h') ADVANCE(264);
      if (lookahead == 'i') ADVANCE(342);
      END_STATE();
    case 272:
      if (lookahead == 'h') ADVANCE(266);
      END_STATE();
    case 273:
      if (lookahead == 'h') ADVANCE(266);
      if (lookahead == 'y') ADVANCE(324);
      END_STATE();
    case 274:
      if (lookahead == 'i') ADVANCE(351);
      END_STATE();
    case 275:
      if (lookahead == 'i') ADVANCE(343);
      END_STATE();
    case 276:
      if (lookahead == 'i') ADVANCE(320);
      END_STATE();
    case 277:
      if (lookahead == 'i') ADVANCE(339);
      END_STATE();
    case 278:
      if (lookahead == 'i') ADVANCE(304);
      END_STATE();
    case 279:
      if (lookahead == 'i') ADVANCE(237);
      END_STATE();
    case 280:
      if (lookahead == 'l') ADVANCE(334);
      END_STATE();
    case 281:
      if (lookahead == 'l') ADVANCE(334);
      if (lookahead == 'n') ADVANCE(244);
      END_STATE();
    case 282:
      if (lookahead == 'l') ADVANCE(334);
      if (lookahead == 'n') ADVANCE(244);
      if (lookahead == 'x') ADVANCE(241);
      END_STATE();
    case 283:
      if (lookahead == 'l') ADVANCE(525);
      END_STATE();
    case 284:
      if (lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 285:
      if (lookahead == 'l') ADVANCE(460);
      END_STATE();
    case 286:
      if (lookahead == 'l') ADVANCE(232);
      END_STATE();
    case 287:
      if (lookahead == 'l') ADVANCE(232);
      if (lookahead == 'o') ADVANCE(301);
      END_STATE();
    case 288:
      if (lookahead == 'l') ADVANCE(274);
      END_STATE();
    case 289:
      if (lookahead == 'l') ADVANCE(255);
      END_STATE();
    case 290:
      if (lookahead == 'n') ADVANCE(630);
      END_STATE();
    case 291:
      if (lookahead == 'n') ADVANCE(243);
      if (lookahead == 's') ADVANCE(326);
      END_STATE();
    case 292:
      if (lookahead == 'n') ADVANCE(240);
      END_STATE();
    case 293:
      if (lookahead == 'n') ADVANCE(519);
      END_STATE();
    case 294:
      if (lookahead == 'n') ADVANCE(556);
      END_STATE();
    case 295:
      if (lookahead == 'n') ADVANCE(515);
      END_STATE();
    case 296:
      if (lookahead == 'n') ADVANCE(537);
      END_STATE();
    case 297:
      if (lookahead == 'n') ADVANCE(271);
      END_STATE();
    case 298:
      if (lookahead == 'n') ADVANCE(535);
      END_STATE();
    case 299:
      if (lookahead == 'n') ADVANCE(244);
      END_STATE();
    case 300:
      if (lookahead == 'n') ADVANCE(244);
      if (lookahead == 'x') ADVANCE(241);
      END_STATE();
    case 301:
      if (lookahead == 'n') ADVANCE(336);
      END_STATE();
    case 302:
      if (lookahead == 'n') ADVANCE(245);
      END_STATE();
    case 303:
      if (lookahead == 'n') ADVANCE(248);
      END_STATE();
    case 304:
      if (lookahead == 'n') ADVANCE(340);
      END_STATE();
    case 305:
      if (lookahead == 'n') ADVANCE(249);
      if (lookahead == 's') ADVANCE(326);
      END_STATE();
    case 306:
      if (lookahead == 'n') ADVANCE(347);
      END_STATE();
    case 307:
      if (lookahead == 'n') ADVANCE(257);
      if (lookahead == 'w') ADVANCE(306);
      END_STATE();
    case 308:
      if (lookahead == 'n') ADVANCE(238);
      END_STATE();
    case 309:
      ADVANCE_MAP(
        'o', 361,
        'x', 378,
        ' ', 624,
        '"', 624,
        '\'', 624,
        '\\', 624,
        'b', 624,
        'n', 624,
        'r', 624,
        't', 624,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(368);
      END_STATE();
    case 310:
      if (lookahead == 'o') ADVANCE(560);
      END_STATE();
    case 311:
      if (lookahead == 'o') ADVANCE(307);
      END_STATE();
    case 312:
      if (lookahead == 'o') ADVANCE(564);
      END_STATE();
    case 313:
      if (lookahead == 'o') ADVANCE(564);
      if (lookahead == 'y') ADVANCE(324);
      END_STATE();
    case 314:
      if (lookahead == 'o') ADVANCE(566);
      END_STATE();
    case 315:
      if (lookahead == 'o') ADVANCE(327);
      END_STATE();
    case 316:
      if (lookahead == 'o') ADVANCE(301);
      END_STATE();
    case 317:
      if (lookahead == 'o') ADVANCE(246);
      END_STATE();
    case 318:
      if (lookahead == 'o') ADVANCE(245);
      END_STATE();
    case 319:
      if (lookahead == 'o') ADVANCE(247);
      END_STATE();
    case 320:
      if (lookahead == 'o') ADVANCE(295);
      END_STATE();
    case 321:
      if (lookahead == 'p') ADVANCE(265);
      END_STATE();
    case 322:
      if (lookahead == 'p') ADVANCE(265);
      if (lookahead == 'r') ADVANCE(663);
      END_STATE();
    case 323:
      if (lookahead == 'p') ADVANCE(345);
      END_STATE();
    case 324:
      if (lookahead == 'p') ADVANCE(254);
      END_STATE();
    case 325:
      if (lookahead == 'r') ADVANCE(663);
      END_STATE();
    case 326:
      if (lookahead == 'r') ADVANCE(639);
      END_STATE();
    case 327:
      if (lookahead == 'r') ADVANCE(642);
      END_STATE();
    case 328:
      if (lookahead == 'r') ADVANCE(539);
      END_STATE();
    case 329:
      if (lookahead == 'r') ADVANCE(236);
      END_STATE();
    case 330:
      if (lookahead == 'r') ADVANCE(308);
      END_STATE();
    case 331:
      if (lookahead == 'r') ADVANCE(277);
      END_STATE();
    case 332:
      if (lookahead == 's') ADVANCE(326);
      END_STATE();
    case 333:
      if (lookahead == 's') ADVANCE(523);
      END_STATE();
    case 334:
      if (lookahead == 's') ADVANCE(253);
      END_STATE();
    case 335:
      if (lookahead == 's') ADVANCE(333);
      END_STATE();
    case 336:
      if (lookahead == 's') ADVANCE(346);
      END_STATE();
    case 337:
      if (lookahead == 't') ADVANCE(439);
      END_STATE();
    case 338:
      if (lookahead == 't') ADVANCE(269);
      END_STATE();
    case 339:
      if (lookahead == 't') ADVANCE(531);
      END_STATE();
    case 340:
      if (lookahead == 't') ADVANCE(513);
      END_STATE();
    case 341:
      if (lookahead == 't') ADVANCE(242);
      END_STATE();
    case 342:
      if (lookahead == 't') ADVANCE(279);
      END_STATE();
    case 343:
      if (lookahead == 't') ADVANCE(268);
      END_STATE();
    case 344:
      if (lookahead == 't') ADVANCE(370);
      END_STATE();
    case 345:
      if (lookahead == 't') ADVANCE(276);
      END_STATE();
    case 346:
      if (lookahead == 't') ADVANCE(329);
      END_STATE();
    case 347:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 348:
      if (lookahead == 'u') ADVANCE(289);
      END_STATE();
    case 349:
      if (lookahead == 'u') ADVANCE(251);
      END_STATE();
    case 350:
      if (lookahead == 'y') ADVANCE(324);
      END_STATE();
    case 351:
      if (lookahead == 'z') ADVANCE(267);
      END_STATE();
    case 352:
      if (lookahead == '{') ADVANCE(376);
      END_STATE();
    case 353:
      if (lookahead == '|') ADVANCE(664);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(658);
      END_STATE();
    case 354:
      if (lookahead == '}') ADVANCE(617);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(354);
      END_STATE();
    case 355:
      if (lookahead == '}') ADVANCE(569);
      END_STATE();
    case 356:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(365);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(596);
      END_STATE();
    case 357:
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(639);
      END_STATE();
    case 358:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(593);
      END_STATE();
    case 359:
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(629);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(359);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(628);
      END_STATE();
    case 360:
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(629);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(628);
      END_STATE();
    case 361:
      if (('0' <= lookahead && lookahead <= '3')) ADVANCE(363);
      END_STATE();
    case 362:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(627);
      END_STATE();
    case 363:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(362);
      END_STATE();
    case 364:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(570);
      END_STATE();
    case 365:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(596);
      END_STATE();
    case 366:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(224);
      END_STATE();
    case 367:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(625);
      END_STATE();
    case 368:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(367);
      END_STATE();
    case 369:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      END_STATE();
    case 370:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      END_STATE();
    case 371:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(670);
      END_STATE();
    case 372:
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(658);
      END_STATE();
    case 373:
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(649);
      END_STATE();
    case 374:
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(638);
      END_STATE();
    case 375:
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(634);
      END_STATE();
    case 376:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(354);
      END_STATE();
    case 377:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(626);
      END_STATE();
    case 378:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(377);
      END_STATE();
    case 379:
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 380:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 469,
        '"', 610,
        '#', 549,
        '$', 364,
        '%', 584,
        '&', 545,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 503,
        '+', 468,
        ',', 466,
        '-', 471,
        '.', 500,
        '0', 587,
        ':', 492,
        ';', 511,
        '<', 547,
        '=', 447,
        '>', 543,
        '?', 450,
        '@', 650,
        '[', 479,
        '\\', 2,
        ']', 489,
        '^', 652,
        '`', 817,
        'a', 741,
        'c', 735,
        'd', 761,
        'e', 729,
        'i', 742,
        'l', 700,
        'm', 673,
        'o', 773,
        't', 721,
        'v', 671,
        'w', 725,
        '{', 506,
        '|', 475,
        '}', 512,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(380);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 381:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '#', 815,
        '$', 364,
        '%', 584,
        '&', 544,
        '\'', 605,
        '(', 458,
        ')', 459,
        '*', 503,
        '+', 599,
        ',', 466,
        '-', 600,
        '.', 818,
        '0', 587,
        ':', 492,
        ';', 216,
        '<', 208,
        '=', 447,
        '>', 543,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 700,
        'm', 676,
        'o', 774,
        't', 806,
        '{', 506,
        '|', 473,
        '}', 512,
        '~', 375,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(381);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 382:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '#', 814,
        '$', 364,
        '%', 584,
        '\'', 605,
        '(', 458,
        '0', 587,
        ';', 216,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 804,
        'i', 742,
        'l', 700,
        'm', 676,
        'o', 774,
        't', 806,
        '{', 506,
        '+', 599,
        '-', 599,
        '?', 375,
        '~', 375,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(382);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 383:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '#', 814,
        '$', 364,
        '%', 584,
        '\'', 605,
        '(', 458,
        '0', 587,
        ';', 216,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 700,
        'm', 676,
        'o', 774,
        't', 806,
        '{', 506,
        '+', 599,
        '-', 599,
        '?', 375,
        '~', 375,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(383);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 384:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '#', 814,
        '$', 364,
        '\'', 605,
        '(', 458,
        '+', 217,
        '0', 587,
        ':', 452,
        ';', 216,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 506,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(385);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 385:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '#', 814,
        '$', 364,
        '\'', 605,
        '(', 458,
        '+', 217,
        '0', 587,
        ';', 216,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 506,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(385);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 386:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 632,
        '"', 610,
        '#', 550,
        '$', 364,
        '\'', 605,
        '(', 458,
        '.', 499,
        '0', 587,
        ';', 216,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 506,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(386);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 387:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 209,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 731,
        'i', 742,
        'l', 683,
        'm', 677,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(387);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 388:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 804,
        'i', 742,
        'l', 683,
        'm', 677,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(388);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 389:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 683,
        'm', 677,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(389);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 390:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 731,
        'i', 751,
        'l', 683,
        'm', 677,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(390);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 391:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 683,
        'm', 677,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(391);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 392:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '%', 585,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '/', 646,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'c', 736,
        'e', 731,
        'i', 751,
        'l', 683,
        'm', 677,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '?', 375,
        '~', 375,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(392);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 393:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 804,
        'i', 742,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(393);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 394:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(394);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 395:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 731,
        'i', 742,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(395);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 396:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 731,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(396);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 397:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(397);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 398:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'c', 736,
        'e', 731,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(398);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 399:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 454,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 804,
        'i', 742,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(393);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 400:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 454,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(394);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 401:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 454,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 731,
        'i', 742,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(395);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 402:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 454,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 731,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(396);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 403:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 454,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(397);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 404:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 814,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '0', 587,
        ':', 454,
        ';', 511,
        '<', 655,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'c', 736,
        'e', 731,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(398);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 405:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 804,
        'i', 742,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(405);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 406:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(406);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 407:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 731,
        'i', 742,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(407);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 408:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 740,
        'c', 736,
        'e', 731,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(408);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 409:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(409);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 410:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 633,
        '"', 610,
        '#', 550,
        '$', 657,
        '&', 661,
        '\'', 605,
        '(', 458,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        '0', 587,
        ':', 214,
        ';', 511,
        '<', 654,
        '?', 451,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 786,
        'c', 736,
        'e', 731,
        'i', 751,
        'l', 683,
        'm', 769,
        'o', 773,
        't', 806,
        '{', 506,
        '|', 477,
        '~', 449,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(410);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 411:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 221,
        '"', 610,
        '#', 814,
        '&', 661,
        '\'', 606,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        ':', 494,
        ';', 511,
        '<', 655,
        '[', 481,
        ']', 489,
        'a', 291,
        'c', 287,
        'd', 310,
        'e', 282,
        'i', 292,
        'l', 233,
        'm', 259,
        'o', 322,
        't', 273,
        'v', 231,
        'w', 275,
        '{', 505,
        '|', 477,
        '}', 512,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '$', 658,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(412);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 412:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 221,
        '"', 610,
        '#', 814,
        '&', 661,
        '(', 458,
        ')', 459,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        ':', 494,
        ';', 511,
        '<', 655,
        '[', 481,
        ']', 489,
        'a', 291,
        'c', 287,
        'd', 310,
        'e', 282,
        'i', 292,
        'l', 233,
        'm', 259,
        'o', 322,
        't', 273,
        'v', 231,
        'w', 275,
        '{', 505,
        '|', 477,
        '}', 512,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '$', 658,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(412);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 413:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 221,
        '#', 814,
        '&', 661,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        ':', 214,
        ';', 511,
        '<', 655,
        '[', 200,
        ']', 489,
        'a', 291,
        'c', 286,
        'd', 311,
        'e', 282,
        'i', 296,
        'l', 233,
        'm', 317,
        'o', 322,
        't', 313,
        'v', 231,
        '{', 201,
        '|', 477,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '$', 658,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(413);
      END_STATE();
    case 414:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '!', 221,
        '#', 550,
        '&', 661,
        '*', 643,
        '+', 601,
        ',', 466,
        '-', 602,
        '.', 499,
        ':', 493,
        ';', 511,
        '<', 655,
        '[', 200,
        ']', 489,
        'a', 291,
        'c', 286,
        'd', 311,
        'e', 282,
        'i', 296,
        'l', 233,
        'm', 317,
        'o', 322,
        't', 313,
        'v', 231,
        'w', 275,
        '{', 201,
        '|', 477,
        '%', 646,
        '/', 646,
        '@', 652,
        '^', 652,
        '$', 658,
        '=', 658,
        '>', 658,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(414);
      END_STATE();
    case 415:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '"', 610,
        '#', 814,
        '\'', 605,
        '(', 458,
        ')', 459,
        ',', 466,
        '0', 587,
        ':', 491,
        ';', 216,
        '=', 447,
        '[', 200,
        '\\', 160,
        ']', 489,
        'c', 736,
        'e', 749,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 509,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(415);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 416:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '"', 610,
        '#', 814,
        '\'', 605,
        '(', 458,
        '0', 587,
        ':', 490,
        ';', 216,
        '=', 447,
        '[', 200,
        '\\', 160,
        ']', 489,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 509,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(416);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 417:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        '*', 503,
        '+', 598,
        '-', 604,
        '.', 499,
        '0', 587,
        ':', 490,
        ';', 216,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 505,
        '|', 473,
        '~', 448,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(417);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 418:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        ',', 466,
        '.', 499,
        '0', 587,
        ':', 495,
        ';', 216,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 804,
        'i', 742,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 505,
        '|', 473,
        '~', 448,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(418);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 419:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        ',', 466,
        '.', 499,
        '0', 587,
        ':', 495,
        ';', 216,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 505,
        '|', 473,
        '~', 448,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(419);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 420:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        ',', 466,
        '.', 209,
        '0', 587,
        ':', 495,
        ';', 216,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 804,
        'i', 742,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 505,
        '|', 473,
        '~', 448,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(420);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 421:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        ',', 466,
        '.', 209,
        '0', 587,
        ':', 495,
        ';', 216,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 741,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 505,
        '|', 473,
        '~', 448,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(421);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 422:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        '0', 587,
        ':', 490,
        ';', 216,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 505,
        '~', 448,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(422);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 423:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '"', 610,
        '#', 548,
        '\'', 605,
        '(', 458,
        '0', 587,
        ':', 452,
        ';', 216,
        '=', 447,
        '?', 450,
        '[', 482,
        '\\', 160,
        ']', 489,
        '`', 817,
        'a', 757,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 505,
        '~', 448,
        '+', 598,
        '-', 598,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(422);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 424:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '#', 814,
        '%', 584,
        '(', 458,
        ')', 459,
        '*', 503,
        '+', 217,
        '-', 222,
        '.', 499,
        ':', 497,
        ';', 216,
        '=', 447,
        '[', 192,
        ']', 489,
        'a', 303,
        'c', 287,
        'e', 300,
        'i', 292,
        'l', 252,
        'm', 261,
        'o', 321,
        't', 350,
        'v', 231,
        'w', 275,
        '{', 193,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(424);
      END_STATE();
    case 425:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '#', 814,
        '&', 544,
        ')', 459,
        '*', 503,
        ',', 466,
        '-', 222,
        ':', 219,
        ';', 216,
        '=', 447,
        '>', 543,
        '[', 200,
        '\\', 160,
        ']', 489,
        'a', 757,
        'c', 735,
        'e', 749,
        'i', 748,
        'l', 700,
        'm', 708,
        'o', 774,
        't', 806,
        'v', 671,
        'w', 725,
        '{', 201,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(425);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 426:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '#', 814,
        '(', 458,
        '*', 503,
        '-', 222,
        ':', 490,
        ';', 216,
        '=', 447,
        '[', 487,
        '\\', 160,
        ']', 489,
        'a', 757,
        'c', 735,
        'e', 804,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 201,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(426);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 427:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '#', 814,
        '(', 458,
        '.', 499,
        ':', 490,
        ';', 216,
        '=', 447,
        '[', 200,
        '\\', 160,
        ']', 489,
        'a', 757,
        'c', 735,
        'e', 749,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        'v', 671,
        '{', 201,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(427);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 428:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '#', 814,
        '(', 458,
        ':', 490,
        ';', 216,
        '=', 447,
        '[', 487,
        '\\', 160,
        ']', 489,
        'a', 757,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 201,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(428);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 429:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '#', 814,
        ')', 459,
        ':', 490,
        ';', 216,
        '[', 200,
        '\\', 160,
        ']', 489,
        'a', 757,
        'c', 735,
        'e', 749,
        'i', 748,
        'l', 700,
        'm', 708,
        'o', 774,
        't', 806,
        'v', 671,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(429);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 430:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '#', 814,
        '*', 503,
        '-', 222,
        ':', 218,
        ';', 216,
        '=', 447,
        '[', 200,
        '\\', 160,
        ']', 489,
        'a', 757,
        'c', 735,
        'e', 804,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        'w', 725,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(430);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 431:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '#', 548,
        '\'', 816,
        '*', 503,
        '-', 222,
        '.', 499,
        ':', 490,
        ';', 216,
        '=', 447,
        '[', 200,
        '\\', 160,
        ']', 489,
        'a', 757,
        'c', 735,
        'e', 804,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 201,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(431);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 432:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '#', 548,
        '\'', 816,
        '*', 503,
        '-', 222,
        '.', 499,
        ';', 216,
        '[', 200,
        '\\', 160,
        ']', 489,
        'a', 757,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 201,
        '|', 473,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(432);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 433:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '#', 548,
        '\'', 816,
        '*', 503,
        '-', 222,
        '.', 499,
        ';', 216,
        '[', 200,
        '\\', 160,
        ']', 489,
        'c', 736,
        'e', 804,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(433);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 434:
      if (eof) ADVANCE(435);
      ADVANCE_MAP(
        '#', 548,
        '*', 503,
        '-', 222,
        ':', 496,
        ';', 216,
        '=', 447,
        '[', 200,
        '\\', 160,
        ']', 489,
        'a', 757,
        'c', 735,
        'e', 804,
        'i', 751,
        'l', 700,
        'm', 766,
        'o', 774,
        't', 806,
        'w', 725,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(434);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(813);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym_shebang);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(436);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(437);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(sym_shebang);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(437);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_COLON_GT);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(634);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(634);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(551);
      if (lookahead == '=') ADVANCE(472);
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(551);
      if (lookahead == '=') ADVANCE(666);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(551);
      if (lookahead == '=') ADVANCE(666);
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(551);
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_external);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_external);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(635);
      if (lookahead == '=') ADVANCE(465);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(635);
      if (lookahead == '>') ADVANCE(501);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(553);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(553);
      if (lookahead == '|') ADVANCE(663);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(553);
      if (lookahead == '|') ADVANCE(664);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(658);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(664);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(658);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '<') ADVANCE(542);
      if (lookahead == '>') ADVANCE(541);
      if (lookahead == '@') ADVANCE(612);
      if (lookahead == '|') ADVANCE(552);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '<') ADVANCE(542);
      if (lookahead == '>') ADVANCE(541);
      if (lookahead == '@') ADVANCE(571);
      if (lookahead == '|') ADVANCE(552);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '<') ADVANCE(542);
      if (lookahead == '>') ADVANCE(541);
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '@') ADVANCE(572);
      if (lookahead == '|') ADVANCE(552);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(577);
      if (lookahead == '<') ADVANCE(542);
      if (lookahead == '>') ADVANCE(541);
      if (lookahead == '@') ADVANCE(571);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(577);
      if (lookahead == '@') ADVANCE(571);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(577);
      if (lookahead == '@') ADVANCE(571);
      if (lookahead == '|') ADVANCE(552);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(577);
      if (lookahead == '@') ADVANCE(573);
      if (lookahead == '|') ADVANCE(552);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(194);
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '@') ADVANCE(571);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_COLON2);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(551);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(551);
      if (lookahead == '=') ADVANCE(472);
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(551);
      if (lookahead == '=') ADVANCE(666);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(551);
      if (lookahead == '=') ADVANCE(666);
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(551);
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(472);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(472);
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '>') ADVANCE(446);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(464);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(649);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(580);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(580);
      if (lookahead == '<') ADVANCE(568);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(579);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '<') ADVANCE(568);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(195);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(438);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_constraint);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_constraint);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_exception);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_exception);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_module);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_open);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_include);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_include);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_val);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_val);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_end);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_with);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_inherit);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_inherit);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_method);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_method);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(737);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(284);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_initializer);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_initializer);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_LBRACK_GT);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_LBRACK_LT);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(660);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(554);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '!') ADVANCE(436);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(638);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(638);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_LBRACK_PIPE);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACK);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(658);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_then);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_done);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_to);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_to);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_downto);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_downto);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_LBRACE_LT);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_GT_RBRACE);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_ocamlyacc_value);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(570);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      if (lookahead == '@') ADVANCE(575);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      if (lookahead == '@') ADVANCE(574);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT);
      if (lookahead == '@') ADVANCE(576);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT_AT);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT);
      if (lookahead == '%') ADVANCE(582);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
      if (lookahead == '%') ADVANCE(583);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(aux_sym_quoted_extension_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(581);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT_PERCENT);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT_PERCENT);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(646);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(aux_sym_number_token1);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(aux_sym_number_token1);
      ADVANCE_MAP(
        '.', 591,
        'B', 358,
        'b', 358,
        'E', 356,
        'e', 356,
        'O', 594,
        'o', 594,
        'X', 597,
        'x', 597,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(588);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(591);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(356);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(588);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(592);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(590);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(589);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(365);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(596);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(356);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(591);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(590);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(592);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '0' ||
          lookahead == '1' ||
          lookahead == '_') ADVANCE(593);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(595);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7') ||
          lookahead == '_') ADVANCE(595);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(596);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(589);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(635);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(635);
      if (lookahead == '>') ADVANCE(501);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(637);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(649);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(636);
      if (lookahead == '>') ADVANCE(373);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(648);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(636);
      if (lookahead == '>') ADVANCE(502);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(648);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '>') ADVANCE(501);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(aux_sym_character_content_token1);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(aux_sym_character_content_token2);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(aux_sym_character_content_token2);
      if (lookahead == '@') ADVANCE(571);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(aux_sym_string_content_token2);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      ADVANCE_MAP(
        '*', 212,
        '.', 207,
        'L', 629,
        'l', 629,
        'n', 629,
        ' ', 206,
        '#', 206,
        '+', 206,
        '-', 206,
        '0', 206,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(211);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(628);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      ADVANCE_MAP(
        '<', 366,
        '\\', 290,
        ' ', 630,
        ',', 630,
        '.', 630,
        ';', 630,
        '?', 630,
        '[', 630,
        ']', 630,
        '{', 630,
        '}', 630,
      );
      END_STATE();
    case 615:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      if (lookahead == '@') ADVANCE(612);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '\\') ADVANCE(616);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '@' &&
          lookahead != '\\') ADVANCE(616);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(aux_sym_string_content_token4);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(aux_sym_string_content_token5);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(618);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      ADVANCE_MAP(
        '*', 212,
        '.', 207,
        'L', 629,
        'l', 629,
        'n', 629,
        ' ', 206,
        '#', 206,
        '+', 206,
        '-', 206,
        '0', 206,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(211);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(628);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      ADVANCE_MAP(
        '<', 366,
        '\\', 290,
        ' ', 630,
        ',', 630,
        '.', 630,
        ';', 630,
        '?', 630,
        '[', 630,
        ']', 630,
        '{', 630,
        '}', 630,
      );
      END_STATE();
    case 622:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      if (lookahead == '@') ADVANCE(612);
      if (lookahead != 0 &&
          lookahead != '%' &&
          lookahead != '|') ADVANCE(623);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '%' &&
          lookahead != '@' &&
          lookahead != '|') ADVANCE(623);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token1);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token2);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token3);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token4);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_conversion_specification);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_conversion_specification);
      if (lookahead == 'X' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          lookahead == 'o' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(628);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_pretty_printing_indication);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_pretty_printing_indication);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(652);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (lookahead == '=') ADVANCE(375);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(634);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (lookahead == '=') ADVANCE(659);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(634);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(634);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      if (lookahead == '>') ADVANCE(649);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(648);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(649);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_hash_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(638);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_pow_operator);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_pow_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(640);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_pow_operator);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_mult_operator);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == '*') ADVANCE(640);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(646);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == 'u') ADVANCE(739);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == 'u') ADVANCE(289);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_mult_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(646);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(aux_sym_add_operator_token1);
      if (lookahead == '>') ADVANCE(649);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(648);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(aux_sym_add_operator_token1);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(649);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_concat_operator);
      ADVANCE_MAP(
        '<', 651,
        '\\', 290,
        '.', 631,
        '?', 631,
        ' ', 630,
        ',', 630,
        ';', 630,
        '[', 630,
        ']', 630,
        '{', 630,
        '}', 630,
      );
      if (lookahead == '!' ||
          ('$' <= lookahead && lookahead <= '&') ||
          ('*' <= lookahead && lookahead <= '/') ||
          (':' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          ('|' <= lookahead && lookahead <= '~')) ADVANCE(652);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_concat_operator);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(224);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(652);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_concat_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(652);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_rel_operator);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '-') ADVANCE(555);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(658);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '-') ADVANCE(372);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(658);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '}') ADVANCE(569);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(658);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_rel_operator);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(570);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(658);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_rel_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(658);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_rel_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(634);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_and_operator);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_and_operator);
      if (lookahead == '&') ADVANCE(662);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(658);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_and_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(658);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_or_operator);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_or_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(658);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_or_operator);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_assign_operator);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_indexing_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_let_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_let_and_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_match_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(670);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(733);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(787);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(790);
      if (lookahead == 'e') ADVANCE(791);
      if (lookahead == 'o') ADVANCE(693);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(790);
      if (lookahead == 'e') ADVANCE(791);
      if (lookahead == 'o') ADVANCE(695);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(790);
      if (lookahead == 'e') ADVANCE(791);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(790);
      if (lookahead == 'o') ADVANCE(693);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(790);
      if (lookahead == 'o') ADVANCE(696);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(790);
      if (lookahead == 'o') ADVANCE(695);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(790);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(726);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(734);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(738);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(754);
      if (lookahead == 'e') ADVANCE(789);
      if (lookahead == 'o') ADVANCE(779);
      if (lookahead == 's') ADVANCE(808);
      if (lookahead == 'x') ADVANCE(767);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(754);
      if (lookahead == 'e') ADVANCE(798);
      if (lookahead == 'o') ADVANCE(779);
      if (lookahead == 's') ADVANCE(808);
      if (lookahead == 'x') ADVANCE(767);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(754);
      if (lookahead == 'o') ADVANCE(779);
      if (lookahead == 's') ADVANCE(808);
      if (lookahead == 'x') ADVANCE(767);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(737);
      if (lookahead == 'h') ADVANCE(713);
      if (lookahead == 'i') ADVANCE(799);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(737);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(717);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(707);
      if (lookahead == 't') ADVANCE(702);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(707);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(444);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(528);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(801);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(534);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(647);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(644);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(445);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(809);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(705);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(789);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(559);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(782);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(463);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(518);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(522);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(563);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(776);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(791);
      if (lookahead == 'o') ADVANCE(693);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(791);
      if (lookahead == 'o') ADVANCE(695);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(791);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(743);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(744);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(783);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(780);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(794);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(530);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(811);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(768);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(713);
      if (lookahead == 'i') ADVANCE(799);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(713);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(712);
      if (lookahead == 'o') ADVANCE(565);
      if (lookahead == 'y') ADVANCE(775);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(712);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(807);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(771);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(796);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(755);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(793);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(682);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(785);
      if (lookahead == 'n') ADVANCE(692);
      if (lookahead == 'x') ADVANCE(689);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(785);
      if (lookahead == 'n') ADVANCE(692);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(785);
      if (lookahead == 'x') ADVANCE(689);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(785);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(526);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(461);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(672);
      if (lookahead == 'o') ADVANCE(752);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(672);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(802);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(723);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(704);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(691);
      if (lookahead == 's') ADVANCE(778);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(691);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(536);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(520);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(557);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(516);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(719);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(538);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(686);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(692);
      if (lookahead == 'x') ADVANCE(689);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(692);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(687);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(788);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(720);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(695);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(792);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(698);
      if (lookahead == 's') ADVANCE(778);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(697);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(800);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(706);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(681);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(561);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(565);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(803);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(567);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(752);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(693);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(779);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(694);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(696);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(695);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(745);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(759);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(711);
      if (lookahead == 'r') ADVANCE(665);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(711);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(703);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(795);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(665);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(641);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(647);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(540);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(680);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(760);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(727);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(524);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(701);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(778);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(784);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(797);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(440);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(688);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(718);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(514);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(532);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(441);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(724);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(716);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(781);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(810);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(728);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(764);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(739);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(699);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'w') ADVANCE(758);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'x') ADVANCE(689);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'x') ADVANCE(690);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'y') ADVANCE(775);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'z') ADVANCE(714);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'y')) ADVANCE(812);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(641);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym__identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym__identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym__identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(670);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(812);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym__capitalized_identifier);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(813);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(aux_sym_directive_token1);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(aux_sym_directive_token1);
      if (lookahead == '!') ADVANCE(437);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(aux_sym_type_variable_token1);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(aux_sym_tag_token1);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(aux_sym_attribute_id_token1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'a', 2,
        'b', 3,
        'f', 4,
        'i', 5,
        'l', 6,
        'm', 7,
        'n', 8,
        'o', 9,
        'p', 10,
        'r', 11,
        's', 12,
        't', 13,
        'v', 14,
        'w', 15,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 2:
      if (lookahead == 's') ADVANCE(16);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(17);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(18);
      if (lookahead == 'o') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(20);
      END_STATE();
    case 5:
      if (lookahead == 'f') ADVANCE(21);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(22);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(23);
      if (lookahead == 'u') ADVANCE(24);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 9:
      if (lookahead == 'b') ADVANCE(27);
      if (lookahead == 'f') ADVANCE(28);
      END_STATE();
    case 10:
      if (lookahead == 'r') ADVANCE(29);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(30);
      END_STATE();
    case 12:
      if (lookahead == 'i') ADVANCE(31);
      if (lookahead == 't') ADVANCE(32);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(33);
      END_STATE();
    case 14:
      if (lookahead == 'i') ADVANCE(34);
      END_STATE();
    case 15:
      if (lookahead == 'h') ADVANCE(35);
      END_STATE();
    case 16:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(36);
      END_STATE();
    case 17:
      if (lookahead == 'g') ADVANCE(37);
      END_STATE();
    case 18:
      if (lookahead == 'l') ADVANCE(38);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(40);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 22:
      if (lookahead == 'z') ADVANCE(41);
      END_STATE();
    case 23:
      if (lookahead == 't') ADVANCE(42);
      END_STATE();
    case 24:
      if (lookahead == 't') ADVANCE(43);
      END_STATE();
    case 25:
      if (lookahead == 'w') ADVANCE(44);
      END_STATE();
    case 26:
      if (lookahead == 'n') ADVANCE(45);
      END_STATE();
    case 27:
      if (lookahead == 'j') ADVANCE(46);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 29:
      if (lookahead == 'i') ADVANCE(47);
      END_STATE();
    case 30:
      if (lookahead == 'c') ADVANCE(48);
      END_STATE();
    case 31:
      if (lookahead == 'g') ADVANCE(49);
      END_STATE();
    case 32:
      if (lookahead == 'r') ADVANCE(50);
      END_STATE();
    case 33:
      if (lookahead == 'u') ADVANCE(51);
      if (lookahead == 'y') ADVANCE(52);
      END_STATE();
    case 34:
      if (lookahead == 'r') ADVANCE(53);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 36:
      if (lookahead == 'e') ADVANCE(56);
      END_STATE();
    case 37:
      if (lookahead == 'i') ADVANCE(57);
      END_STATE();
    case 38:
      if (lookahead == 's') ADVANCE(58);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_fun);
      if (lookahead == 'c') ADVANCE(59);
      END_STATE();
    case 41:
      if (lookahead == 'y') ADVANCE(60);
      END_STATE();
    case 42:
      if (lookahead == 'c') ADVANCE(61);
      END_STATE();
    case 43:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 45:
      if (lookahead == 'r') ADVANCE(63);
      END_STATE();
    case 46:
      if (lookahead == 'e') ADVANCE(64);
      END_STATE();
    case 47:
      if (lookahead == 'v') ADVANCE(65);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_rec);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_sig);
      END_STATE();
    case 50:
      if (lookahead == 'u') ADVANCE(66);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(68);
      END_STATE();
    case 54:
      if (lookahead == 'n') ADVANCE(69);
      END_STATE();
    case 55:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 56:
      if (lookahead == 'r') ADVANCE(71);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(72);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(73);
      END_STATE();
    case 59:
      if (lookahead == 't') ADVANCE(74);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_lazy);
      END_STATE();
    case 61:
      if (lookahead == 'h') ADVANCE(75);
      END_STATE();
    case 62:
      if (lookahead == 'b') ADVANCE(76);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(77);
      END_STATE();
    case 64:
      if (lookahead == 'c') ADVANCE(78);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(79);
      END_STATE();
    case 66:
      if (lookahead == 'c') ADVANCE(80);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 68:
      if (lookahead == 'u') ADVANCE(81);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 70:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 71:
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_begin);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(84);
      if (lookahead == 'o') ADVANCE(85);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 76:
      if (lookahead == 'l') ADVANCE(86);
      END_STATE();
    case 77:
      if (lookahead == 'c') ADVANCE(87);
      END_STATE();
    case 78:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 79:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 80:
      if (lookahead == 't') ADVANCE(90);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(91);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 84:
      if (lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 85:
      if (lookahead == 'r') ADVANCE(93);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_nonrec);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 91:
      if (lookahead == 'l') ADVANCE(96);
      END_STATE();
    case 92:
      if (lookahead == 'n') ADVANCE(97);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_functor);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 381, .external_lex_state = 2},
  [2] = {.lex_state = 381, .external_lex_state = 2},
  [3] = {.lex_state = 381, .external_lex_state = 2},
  [4] = {.lex_state = 381, .external_lex_state = 2},
  [5] = {.lex_state = 381, .external_lex_state = 2},
  [6] = {.lex_state = 381, .external_lex_state = 2},
  [7] = {.lex_state = 381, .external_lex_state = 2},
  [8] = {.lex_state = 381, .external_lex_state = 2},
  [9] = {.lex_state = 381, .external_lex_state = 2},
  [10] = {.lex_state = 381, .external_lex_state = 2},
  [11] = {.lex_state = 381, .external_lex_state = 2},
  [12] = {.lex_state = 381, .external_lex_state = 2},
  [13] = {.lex_state = 381, .external_lex_state = 2},
  [14] = {.lex_state = 381, .external_lex_state = 2},
  [15] = {.lex_state = 381, .external_lex_state = 2},
  [16] = {.lex_state = 381, .external_lex_state = 2},
  [17] = {.lex_state = 381, .external_lex_state = 2},
  [18] = {.lex_state = 381, .external_lex_state = 2},
  [19] = {.lex_state = 381, .external_lex_state = 2},
  [20] = {.lex_state = 381, .external_lex_state = 2},
  [21] = {.lex_state = 381, .external_lex_state = 2},
  [22] = {.lex_state = 381, .external_lex_state = 2},
  [23] = {.lex_state = 381, .external_lex_state = 2},
  [24] = {.lex_state = 381, .external_lex_state = 2},
  [25] = {.lex_state = 381, .external_lex_state = 2},
  [26] = {.lex_state = 381, .external_lex_state = 2},
  [27] = {.lex_state = 381, .external_lex_state = 2},
  [28] = {.lex_state = 381, .external_lex_state = 2},
  [29] = {.lex_state = 381, .external_lex_state = 2},
  [30] = {.lex_state = 381, .external_lex_state = 2},
  [31] = {.lex_state = 381, .external_lex_state = 2},
  [32] = {.lex_state = 381, .external_lex_state = 2},
  [33] = {.lex_state = 381, .external_lex_state = 2},
  [34] = {.lex_state = 381, .external_lex_state = 2},
  [35] = {.lex_state = 381, .external_lex_state = 2},
  [36] = {.lex_state = 381, .external_lex_state = 2},
  [37] = {.lex_state = 381, .external_lex_state = 2},
  [38] = {.lex_state = 381, .external_lex_state = 2},
  [39] = {.lex_state = 381, .external_lex_state = 2},
  [40] = {.lex_state = 381, .external_lex_state = 2},
  [41] = {.lex_state = 381, .external_lex_state = 2},
  [42] = {.lex_state = 381, .external_lex_state = 2},
  [43] = {.lex_state = 381, .external_lex_state = 2},
  [44] = {.lex_state = 381, .external_lex_state = 2},
  [45] = {.lex_state = 381, .external_lex_state = 2},
  [46] = {.lex_state = 381, .external_lex_state = 2},
  [47] = {.lex_state = 381, .external_lex_state = 2},
  [48] = {.lex_state = 381, .external_lex_state = 2},
  [49] = {.lex_state = 381, .external_lex_state = 2},
  [50] = {.lex_state = 381, .external_lex_state = 2},
  [51] = {.lex_state = 381, .external_lex_state = 2},
  [52] = {.lex_state = 381, .external_lex_state = 2},
  [53] = {.lex_state = 381, .external_lex_state = 2},
  [54] = {.lex_state = 381, .external_lex_state = 2},
  [55] = {.lex_state = 381, .external_lex_state = 2},
  [56] = {.lex_state = 381, .external_lex_state = 2},
  [57] = {.lex_state = 381, .external_lex_state = 2},
  [58] = {.lex_state = 381, .external_lex_state = 2},
  [59] = {.lex_state = 381, .external_lex_state = 2},
  [60] = {.lex_state = 381, .external_lex_state = 2},
  [61] = {.lex_state = 381, .external_lex_state = 2},
  [62] = {.lex_state = 381, .external_lex_state = 2},
  [63] = {.lex_state = 381, .external_lex_state = 2},
  [64] = {.lex_state = 381, .external_lex_state = 2},
  [65] = {.lex_state = 381, .external_lex_state = 2},
  [66] = {.lex_state = 381, .external_lex_state = 2},
  [67] = {.lex_state = 381, .external_lex_state = 2},
  [68] = {.lex_state = 381, .external_lex_state = 2},
  [69] = {.lex_state = 381, .external_lex_state = 2},
  [70] = {.lex_state = 381, .external_lex_state = 2},
  [71] = {.lex_state = 381, .external_lex_state = 2},
  [72] = {.lex_state = 381, .external_lex_state = 2},
  [73] = {.lex_state = 381, .external_lex_state = 2},
  [74] = {.lex_state = 381, .external_lex_state = 2},
  [75] = {.lex_state = 381, .external_lex_state = 2},
  [76] = {.lex_state = 381, .external_lex_state = 2},
  [77] = {.lex_state = 381, .external_lex_state = 2},
  [78] = {.lex_state = 381, .external_lex_state = 2},
  [79] = {.lex_state = 381, .external_lex_state = 2},
  [80] = {.lex_state = 381, .external_lex_state = 2},
  [81] = {.lex_state = 381, .external_lex_state = 2},
  [82] = {.lex_state = 381, .external_lex_state = 2},
  [83] = {.lex_state = 381, .external_lex_state = 2},
  [84] = {.lex_state = 381, .external_lex_state = 2},
  [85] = {.lex_state = 381, .external_lex_state = 2},
  [86] = {.lex_state = 381, .external_lex_state = 2},
  [87] = {.lex_state = 381, .external_lex_state = 2},
  [88] = {.lex_state = 381, .external_lex_state = 2},
  [89] = {.lex_state = 381, .external_lex_state = 2},
  [90] = {.lex_state = 381, .external_lex_state = 2},
  [91] = {.lex_state = 381, .external_lex_state = 2},
  [92] = {.lex_state = 381, .external_lex_state = 2},
  [93] = {.lex_state = 381, .external_lex_state = 2},
  [94] = {.lex_state = 381, .external_lex_state = 2},
  [95] = {.lex_state = 381, .external_lex_state = 2},
  [96] = {.lex_state = 381, .external_lex_state = 2},
  [97] = {.lex_state = 36, .external_lex_state = 2},
  [98] = {.lex_state = 387, .external_lex_state = 2},
  [99] = {.lex_state = 387, .external_lex_state = 2},
  [100] = {.lex_state = 38, .external_lex_state = 2},
  [101] = {.lex_state = 390, .external_lex_state = 2},
  [102] = {.lex_state = 390, .external_lex_state = 2},
  [103] = {.lex_state = 10, .external_lex_state = 2},
  [104] = {.lex_state = 37, .external_lex_state = 2},
  [105] = {.lex_state = 381, .external_lex_state = 2},
  [106] = {.lex_state = 388, .external_lex_state = 2},
  [107] = {.lex_state = 10, .external_lex_state = 2},
  [108] = {.lex_state = 388, .external_lex_state = 2},
  [109] = {.lex_state = 39, .external_lex_state = 2},
  [110] = {.lex_state = 389, .external_lex_state = 2},
  [111] = {.lex_state = 381, .external_lex_state = 2},
  [112] = {.lex_state = 381, .external_lex_state = 2},
  [113] = {.lex_state = 381, .external_lex_state = 2},
  [114] = {.lex_state = 381, .external_lex_state = 2},
  [115] = {.lex_state = 381, .external_lex_state = 2},
  [116] = {.lex_state = 10, .external_lex_state = 2},
  [117] = {.lex_state = 381, .external_lex_state = 2},
  [118] = {.lex_state = 10, .external_lex_state = 2},
  [119] = {.lex_state = 381, .external_lex_state = 2},
  [120] = {.lex_state = 10, .external_lex_state = 2},
  [121] = {.lex_state = 10, .external_lex_state = 2},
  [122] = {.lex_state = 389, .external_lex_state = 2},
  [123] = {.lex_state = 381, .external_lex_state = 2},
  [124] = {.lex_state = 40, .external_lex_state = 2},
  [125] = {.lex_state = 392, .external_lex_state = 2},
  [126] = {.lex_state = 381, .external_lex_state = 2},
  [127] = {.lex_state = 381, .external_lex_state = 2},
  [128] = {.lex_state = 381, .external_lex_state = 2},
  [129] = {.lex_state = 392, .external_lex_state = 2},
  [130] = {.lex_state = 391, .external_lex_state = 2},
  [131] = {.lex_state = 391, .external_lex_state = 2},
  [132] = {.lex_state = 41, .external_lex_state = 2},
  [133] = {.lex_state = 100, .external_lex_state = 2},
  [134] = {.lex_state = 100, .external_lex_state = 2},
  [135] = {.lex_state = 103, .external_lex_state = 2},
  [136] = {.lex_state = 103, .external_lex_state = 2},
  [137] = {.lex_state = 101, .external_lex_state = 2},
  [138] = {.lex_state = 102, .external_lex_state = 2},
  [139] = {.lex_state = 101, .external_lex_state = 2},
  [140] = {.lex_state = 102, .external_lex_state = 2},
  [141] = {.lex_state = 382, .external_lex_state = 2},
  [142] = {.lex_state = 382, .external_lex_state = 2},
  [143] = {.lex_state = 118, .external_lex_state = 2},
  [144] = {.lex_state = 11, .external_lex_state = 2},
  [145] = {.lex_state = 118, .external_lex_state = 2},
  [146] = {.lex_state = 383, .external_lex_state = 2},
  [147] = {.lex_state = 119, .external_lex_state = 2},
  [148] = {.lex_state = 12, .external_lex_state = 2},
  [149] = {.lex_state = 383, .external_lex_state = 2},
  [150] = {.lex_state = 119, .external_lex_state = 2},
  [151] = {.lex_state = 106, .external_lex_state = 2},
  [152] = {.lex_state = 99, .external_lex_state = 2},
  [153] = {.lex_state = 99, .external_lex_state = 2},
  [154] = {.lex_state = 99, .external_lex_state = 2},
  [155] = {.lex_state = 99, .external_lex_state = 2},
  [156] = {.lex_state = 99, .external_lex_state = 2},
  [157] = {.lex_state = 99, .external_lex_state = 2},
  [158] = {.lex_state = 99, .external_lex_state = 2},
  [159] = {.lex_state = 99, .external_lex_state = 2},
  [160] = {.lex_state = 99, .external_lex_state = 2},
  [161] = {.lex_state = 99, .external_lex_state = 2},
  [162] = {.lex_state = 99, .external_lex_state = 2},
  [163] = {.lex_state = 107, .external_lex_state = 2},
  [164] = {.lex_state = 99, .external_lex_state = 2},
  [165] = {.lex_state = 99, .external_lex_state = 2},
  [166] = {.lex_state = 99, .external_lex_state = 2},
  [167] = {.lex_state = 99, .external_lex_state = 2},
  [168] = {.lex_state = 99, .external_lex_state = 2},
  [169] = {.lex_state = 99, .external_lex_state = 2},
  [170] = {.lex_state = 99, .external_lex_state = 2},
  [171] = {.lex_state = 99, .external_lex_state = 2},
  [172] = {.lex_state = 99, .external_lex_state = 2},
  [173] = {.lex_state = 99, .external_lex_state = 2},
  [174] = {.lex_state = 99, .external_lex_state = 2},
  [175] = {.lex_state = 99, .external_lex_state = 2},
  [176] = {.lex_state = 99, .external_lex_state = 2},
  [177] = {.lex_state = 99, .external_lex_state = 2},
  [178] = {.lex_state = 99, .external_lex_state = 2},
  [179] = {.lex_state = 99, .external_lex_state = 2},
  [180] = {.lex_state = 99, .external_lex_state = 2},
  [181] = {.lex_state = 99, .external_lex_state = 2},
  [182] = {.lex_state = 99, .external_lex_state = 2},
  [183] = {.lex_state = 99, .external_lex_state = 2},
  [184] = {.lex_state = 99, .external_lex_state = 2},
  [185] = {.lex_state = 99, .external_lex_state = 2},
  [186] = {.lex_state = 99, .external_lex_state = 2},
  [187] = {.lex_state = 99, .external_lex_state = 2},
  [188] = {.lex_state = 99, .external_lex_state = 2},
  [189] = {.lex_state = 99, .external_lex_state = 2},
  [190] = {.lex_state = 99, .external_lex_state = 2},
  [191] = {.lex_state = 99, .external_lex_state = 2},
  [192] = {.lex_state = 99, .external_lex_state = 2},
  [193] = {.lex_state = 99, .external_lex_state = 2},
  [194] = {.lex_state = 99, .external_lex_state = 2},
  [195] = {.lex_state = 99, .external_lex_state = 2},
  [196] = {.lex_state = 99, .external_lex_state = 2},
  [197] = {.lex_state = 99, .external_lex_state = 2},
  [198] = {.lex_state = 99, .external_lex_state = 2},
  [199] = {.lex_state = 99, .external_lex_state = 2},
  [200] = {.lex_state = 99, .external_lex_state = 2},
  [201] = {.lex_state = 99, .external_lex_state = 2},
  [202] = {.lex_state = 381, .external_lex_state = 2},
  [203] = {.lex_state = 99, .external_lex_state = 2},
  [204] = {.lex_state = 99, .external_lex_state = 2},
  [205] = {.lex_state = 10, .external_lex_state = 2},
  [206] = {.lex_state = 99, .external_lex_state = 2},
  [207] = {.lex_state = 99, .external_lex_state = 2},
  [208] = {.lex_state = 99, .external_lex_state = 2},
  [209] = {.lex_state = 99, .external_lex_state = 2},
  [210] = {.lex_state = 99, .external_lex_state = 2},
  [211] = {.lex_state = 99, .external_lex_state = 2},
  [212] = {.lex_state = 108, .external_lex_state = 2},
  [213] = {.lex_state = 99, .external_lex_state = 2},
  [214] = {.lex_state = 113, .external_lex_state = 2},
  [215] = {.lex_state = 99, .external_lex_state = 2},
  [216] = {.lex_state = 99, .external_lex_state = 2},
  [217] = {.lex_state = 99, .external_lex_state = 2},
  [218] = {.lex_state = 99, .external_lex_state = 2},
  [219] = {.lex_state = 381, .external_lex_state = 2},
  [220] = {.lex_state = 99, .external_lex_state = 2},
  [221] = {.lex_state = 99, .external_lex_state = 2},
  [222] = {.lex_state = 99, .external_lex_state = 2},
  [223] = {.lex_state = 99, .external_lex_state = 2},
  [224] = {.lex_state = 99, .external_lex_state = 2},
  [225] = {.lex_state = 99, .external_lex_state = 2},
  [226] = {.lex_state = 99, .external_lex_state = 2},
  [227] = {.lex_state = 99, .external_lex_state = 2},
  [228] = {.lex_state = 99, .external_lex_state = 2},
  [229] = {.lex_state = 99, .external_lex_state = 2},
  [230] = {.lex_state = 99, .external_lex_state = 2},
  [231] = {.lex_state = 99, .external_lex_state = 2},
  [232] = {.lex_state = 99, .external_lex_state = 2},
  [233] = {.lex_state = 99, .external_lex_state = 2},
  [234] = {.lex_state = 99, .external_lex_state = 2},
  [235] = {.lex_state = 99, .external_lex_state = 2},
  [236] = {.lex_state = 99, .external_lex_state = 2},
  [237] = {.lex_state = 99, .external_lex_state = 2},
  [238] = {.lex_state = 99, .external_lex_state = 2},
  [239] = {.lex_state = 99, .external_lex_state = 2},
  [240] = {.lex_state = 99, .external_lex_state = 2},
  [241] = {.lex_state = 99, .external_lex_state = 2},
  [242] = {.lex_state = 99, .external_lex_state = 2},
  [243] = {.lex_state = 99, .external_lex_state = 2},
  [244] = {.lex_state = 99, .external_lex_state = 2},
  [245] = {.lex_state = 99, .external_lex_state = 2},
  [246] = {.lex_state = 99, .external_lex_state = 2},
  [247] = {.lex_state = 99, .external_lex_state = 2},
  [248] = {.lex_state = 99, .external_lex_state = 2},
  [249] = {.lex_state = 99, .external_lex_state = 2},
  [250] = {.lex_state = 99, .external_lex_state = 2},
  [251] = {.lex_state = 99, .external_lex_state = 2},
  [252] = {.lex_state = 99, .external_lex_state = 2},
  [253] = {.lex_state = 99, .external_lex_state = 2},
  [254] = {.lex_state = 99, .external_lex_state = 2},
  [255] = {.lex_state = 111, .external_lex_state = 2},
  [256] = {.lex_state = 104, .external_lex_state = 2},
  [257] = {.lex_state = 112, .external_lex_state = 2},
  [258] = {.lex_state = 110, .external_lex_state = 2},
  [259] = {.lex_state = 99, .external_lex_state = 2},
  [260] = {.lex_state = 99, .external_lex_state = 2},
  [261] = {.lex_state = 99, .external_lex_state = 2},
  [262] = {.lex_state = 99, .external_lex_state = 2},
  [263] = {.lex_state = 99, .external_lex_state = 2},
  [264] = {.lex_state = 112, .external_lex_state = 2},
  [265] = {.lex_state = 111, .external_lex_state = 2},
  [266] = {.lex_state = 104, .external_lex_state = 2},
  [267] = {.lex_state = 109, .external_lex_state = 2},
  [268] = {.lex_state = 110, .external_lex_state = 2},
  [269] = {.lex_state = 114, .external_lex_state = 2},
  [270] = {.lex_state = 115, .external_lex_state = 2},
  [271] = {.lex_state = 117, .external_lex_state = 2},
  [272] = {.lex_state = 105, .external_lex_state = 2},
  [273] = {.lex_state = 116, .external_lex_state = 2},
  [274] = {.lex_state = 105, .external_lex_state = 2},
  [275] = {.lex_state = 116, .external_lex_state = 2},
  [276] = {.lex_state = 114, .external_lex_state = 2},
  [277] = {.lex_state = 115, .external_lex_state = 2},
  [278] = {.lex_state = 25, .external_lex_state = 2},
  [279] = {.lex_state = 24, .external_lex_state = 2},
  [280] = {.lex_state = 32, .external_lex_state = 2},
  [281] = {.lex_state = 27, .external_lex_state = 2},
  [282] = {.lex_state = 29, .external_lex_state = 2},
  [283] = {.lex_state = 29, .external_lex_state = 2},
  [284] = {.lex_state = 29, .external_lex_state = 2},
  [285] = {.lex_state = 29, .external_lex_state = 2},
  [286] = {.lex_state = 29, .external_lex_state = 2},
  [287] = {.lex_state = 29, .external_lex_state = 2},
  [288] = {.lex_state = 29, .external_lex_state = 2},
  [289] = {.lex_state = 29, .external_lex_state = 2},
  [290] = {.lex_state = 29, .external_lex_state = 2},
  [291] = {.lex_state = 29, .external_lex_state = 2},
  [292] = {.lex_state = 29, .external_lex_state = 2},
  [293] = {.lex_state = 29, .external_lex_state = 2},
  [294] = {.lex_state = 29, .external_lex_state = 2},
  [295] = {.lex_state = 29, .external_lex_state = 2},
  [296] = {.lex_state = 29, .external_lex_state = 2},
  [297] = {.lex_state = 29, .external_lex_state = 2},
  [298] = {.lex_state = 29, .external_lex_state = 2},
  [299] = {.lex_state = 28, .external_lex_state = 2},
  [300] = {.lex_state = 29, .external_lex_state = 2},
  [301] = {.lex_state = 29, .external_lex_state = 2},
  [302] = {.lex_state = 29, .external_lex_state = 2},
  [303] = {.lex_state = 29, .external_lex_state = 2},
  [304] = {.lex_state = 29, .external_lex_state = 2},
  [305] = {.lex_state = 29, .external_lex_state = 2},
  [306] = {.lex_state = 29, .external_lex_state = 2},
  [307] = {.lex_state = 29, .external_lex_state = 2},
  [308] = {.lex_state = 29, .external_lex_state = 2},
  [309] = {.lex_state = 29, .external_lex_state = 2},
  [310] = {.lex_state = 29, .external_lex_state = 2},
  [311] = {.lex_state = 29, .external_lex_state = 2},
  [312] = {.lex_state = 29, .external_lex_state = 2},
  [313] = {.lex_state = 29, .external_lex_state = 2},
  [314] = {.lex_state = 29, .external_lex_state = 2},
  [315] = {.lex_state = 29, .external_lex_state = 2},
  [316] = {.lex_state = 29, .external_lex_state = 2},
  [317] = {.lex_state = 26, .external_lex_state = 2},
  [318] = {.lex_state = 29, .external_lex_state = 2},
  [319] = {.lex_state = 29, .external_lex_state = 2},
  [320] = {.lex_state = 29, .external_lex_state = 2},
  [321] = {.lex_state = 30, .external_lex_state = 2},
  [322] = {.lex_state = 29, .external_lex_state = 2},
  [323] = {.lex_state = 29, .external_lex_state = 2},
  [324] = {.lex_state = 29, .external_lex_state = 2},
  [325] = {.lex_state = 29, .external_lex_state = 2},
  [326] = {.lex_state = 29, .external_lex_state = 2},
  [327] = {.lex_state = 29, .external_lex_state = 2},
  [328] = {.lex_state = 29, .external_lex_state = 2},
  [329] = {.lex_state = 29, .external_lex_state = 2},
  [330] = {.lex_state = 29, .external_lex_state = 2},
  [331] = {.lex_state = 29, .external_lex_state = 2},
  [332] = {.lex_state = 29, .external_lex_state = 2},
  [333] = {.lex_state = 29, .external_lex_state = 2},
  [334] = {.lex_state = 29, .external_lex_state = 2},
  [335] = {.lex_state = 29, .external_lex_state = 2},
  [336] = {.lex_state = 31, .external_lex_state = 2},
  [337] = {.lex_state = 29, .external_lex_state = 2},
  [338] = {.lex_state = 24, .external_lex_state = 2},
  [339] = {.lex_state = 24, .external_lex_state = 2},
  [340] = {.lex_state = 24, .external_lex_state = 2},
  [341] = {.lex_state = 24, .external_lex_state = 2},
  [342] = {.lex_state = 24, .external_lex_state = 2},
  [343] = {.lex_state = 24, .external_lex_state = 2},
  [344] = {.lex_state = 24, .external_lex_state = 2},
  [345] = {.lex_state = 24, .external_lex_state = 2},
  [346] = {.lex_state = 24, .external_lex_state = 2},
  [347] = {.lex_state = 24, .external_lex_state = 2},
  [348] = {.lex_state = 24, .external_lex_state = 2},
  [349] = {.lex_state = 58, .external_lex_state = 2},
  [350] = {.lex_state = 24, .external_lex_state = 2},
  [351] = {.lex_state = 24, .external_lex_state = 2},
  [352] = {.lex_state = 24, .external_lex_state = 2},
  [353] = {.lex_state = 24, .external_lex_state = 2},
  [354] = {.lex_state = 24, .external_lex_state = 2},
  [355] = {.lex_state = 24, .external_lex_state = 2},
  [356] = {.lex_state = 24, .external_lex_state = 2},
  [357] = {.lex_state = 24, .external_lex_state = 2},
  [358] = {.lex_state = 24, .external_lex_state = 2},
  [359] = {.lex_state = 24, .external_lex_state = 2},
  [360] = {.lex_state = 24, .external_lex_state = 2},
  [361] = {.lex_state = 24, .external_lex_state = 2},
  [362] = {.lex_state = 24, .external_lex_state = 2},
  [363] = {.lex_state = 24, .external_lex_state = 2},
  [364] = {.lex_state = 24, .external_lex_state = 2},
  [365] = {.lex_state = 24, .external_lex_state = 2},
  [366] = {.lex_state = 24, .external_lex_state = 2},
  [367] = {.lex_state = 24, .external_lex_state = 2},
  [368] = {.lex_state = 24, .external_lex_state = 2},
  [369] = {.lex_state = 24, .external_lex_state = 2},
  [370] = {.lex_state = 24, .external_lex_state = 2},
  [371] = {.lex_state = 24, .external_lex_state = 2},
  [372] = {.lex_state = 24, .external_lex_state = 2},
  [373] = {.lex_state = 24, .external_lex_state = 2},
  [374] = {.lex_state = 24, .external_lex_state = 2},
  [375] = {.lex_state = 24, .external_lex_state = 2},
  [376] = {.lex_state = 24, .external_lex_state = 2},
  [377] = {.lex_state = 24, .external_lex_state = 2},
  [378] = {.lex_state = 24, .external_lex_state = 2},
  [379] = {.lex_state = 24, .external_lex_state = 2},
  [380] = {.lex_state = 24, .external_lex_state = 2},
  [381] = {.lex_state = 24, .external_lex_state = 2},
  [382] = {.lex_state = 24, .external_lex_state = 2},
  [383] = {.lex_state = 24, .external_lex_state = 2},
  [384] = {.lex_state = 24, .external_lex_state = 2},
  [385] = {.lex_state = 24, .external_lex_state = 2},
  [386] = {.lex_state = 24, .external_lex_state = 2},
  [387] = {.lex_state = 24, .external_lex_state = 2},
  [388] = {.lex_state = 24, .external_lex_state = 2},
  [389] = {.lex_state = 24, .external_lex_state = 2},
  [390] = {.lex_state = 24, .external_lex_state = 2},
  [391] = {.lex_state = 24, .external_lex_state = 2},
  [392] = {.lex_state = 24, .external_lex_state = 2},
  [393] = {.lex_state = 24, .external_lex_state = 2},
  [394] = {.lex_state = 24, .external_lex_state = 2},
  [395] = {.lex_state = 24, .external_lex_state = 2},
  [396] = {.lex_state = 24, .external_lex_state = 2},
  [397] = {.lex_state = 24, .external_lex_state = 2},
  [398] = {.lex_state = 24, .external_lex_state = 2},
  [399] = {.lex_state = 24, .external_lex_state = 2},
  [400] = {.lex_state = 24, .external_lex_state = 2},
  [401] = {.lex_state = 24, .external_lex_state = 2},
  [402] = {.lex_state = 24, .external_lex_state = 2},
  [403] = {.lex_state = 24, .external_lex_state = 2},
  [404] = {.lex_state = 24, .external_lex_state = 2},
  [405] = {.lex_state = 24, .external_lex_state = 2},
  [406] = {.lex_state = 407, .external_lex_state = 2},
  [407] = {.lex_state = 24, .external_lex_state = 2},
  [408] = {.lex_state = 24, .external_lex_state = 2},
  [409] = {.lex_state = 24, .external_lex_state = 2},
  [410] = {.lex_state = 24, .external_lex_state = 2},
  [411] = {.lex_state = 24, .external_lex_state = 2},
  [412] = {.lex_state = 24, .external_lex_state = 2},
  [413] = {.lex_state = 24, .external_lex_state = 2},
  [414] = {.lex_state = 24, .external_lex_state = 2},
  [415] = {.lex_state = 24, .external_lex_state = 2},
  [416] = {.lex_state = 24, .external_lex_state = 2},
  [417] = {.lex_state = 407, .external_lex_state = 2},
  [418] = {.lex_state = 24, .external_lex_state = 2},
  [419] = {.lex_state = 24, .external_lex_state = 2},
  [420] = {.lex_state = 24, .external_lex_state = 2},
  [421] = {.lex_state = 24, .external_lex_state = 2},
  [422] = {.lex_state = 24, .external_lex_state = 2},
  [423] = {.lex_state = 24, .external_lex_state = 2},
  [424] = {.lex_state = 24, .external_lex_state = 2},
  [425] = {.lex_state = 24, .external_lex_state = 2},
  [426] = {.lex_state = 24, .external_lex_state = 2},
  [427] = {.lex_state = 24, .external_lex_state = 2},
  [428] = {.lex_state = 24, .external_lex_state = 2},
  [429] = {.lex_state = 24, .external_lex_state = 2},
  [430] = {.lex_state = 24, .external_lex_state = 2},
  [431] = {.lex_state = 24, .external_lex_state = 2},
  [432] = {.lex_state = 24, .external_lex_state = 2},
  [433] = {.lex_state = 24, .external_lex_state = 2},
  [434] = {.lex_state = 24, .external_lex_state = 2},
  [435] = {.lex_state = 24, .external_lex_state = 2},
  [436] = {.lex_state = 24, .external_lex_state = 2},
  [437] = {.lex_state = 24, .external_lex_state = 2},
  [438] = {.lex_state = 24, .external_lex_state = 2},
  [439] = {.lex_state = 24, .external_lex_state = 2},
  [440] = {.lex_state = 24, .external_lex_state = 2},
  [441] = {.lex_state = 24, .external_lex_state = 2},
  [442] = {.lex_state = 24, .external_lex_state = 2},
  [443] = {.lex_state = 24, .external_lex_state = 2},
  [444] = {.lex_state = 24, .external_lex_state = 2},
  [445] = {.lex_state = 24, .external_lex_state = 2},
  [446] = {.lex_state = 24, .external_lex_state = 2},
  [447] = {.lex_state = 24, .external_lex_state = 2},
  [448] = {.lex_state = 24, .external_lex_state = 2},
  [449] = {.lex_state = 24, .external_lex_state = 2},
  [450] = {.lex_state = 24, .external_lex_state = 2},
  [451] = {.lex_state = 24, .external_lex_state = 2},
  [452] = {.lex_state = 24, .external_lex_state = 2},
  [453] = {.lex_state = 24, .external_lex_state = 2},
  [454] = {.lex_state = 24, .external_lex_state = 2},
  [455] = {.lex_state = 24, .external_lex_state = 2},
  [456] = {.lex_state = 24, .external_lex_state = 2},
  [457] = {.lex_state = 24, .external_lex_state = 2},
  [458] = {.lex_state = 24, .external_lex_state = 2},
  [459] = {.lex_state = 24, .external_lex_state = 2},
  [460] = {.lex_state = 24, .external_lex_state = 2},
  [461] = {.lex_state = 24, .external_lex_state = 2},
  [462] = {.lex_state = 24, .external_lex_state = 2},
  [463] = {.lex_state = 24, .external_lex_state = 2},
  [464] = {.lex_state = 24, .external_lex_state = 2},
  [465] = {.lex_state = 24, .external_lex_state = 2},
  [466] = {.lex_state = 24, .external_lex_state = 2},
  [467] = {.lex_state = 24, .external_lex_state = 2},
  [468] = {.lex_state = 24, .external_lex_state = 2},
  [469] = {.lex_state = 24, .external_lex_state = 2},
  [470] = {.lex_state = 24, .external_lex_state = 2},
  [471] = {.lex_state = 24, .external_lex_state = 2},
  [472] = {.lex_state = 24, .external_lex_state = 2},
  [473] = {.lex_state = 24, .external_lex_state = 2},
  [474] = {.lex_state = 24, .external_lex_state = 2},
  [475] = {.lex_state = 24, .external_lex_state = 2},
  [476] = {.lex_state = 24, .external_lex_state = 2},
  [477] = {.lex_state = 24, .external_lex_state = 2},
  [478] = {.lex_state = 24, .external_lex_state = 2},
  [479] = {.lex_state = 24, .external_lex_state = 2},
  [480] = {.lex_state = 24, .external_lex_state = 2},
  [481] = {.lex_state = 24, .external_lex_state = 2},
  [482] = {.lex_state = 24, .external_lex_state = 2},
  [483] = {.lex_state = 24, .external_lex_state = 2},
  [484] = {.lex_state = 24, .external_lex_state = 2},
  [485] = {.lex_state = 24, .external_lex_state = 2},
  [486] = {.lex_state = 24, .external_lex_state = 2},
  [487] = {.lex_state = 24, .external_lex_state = 2},
  [488] = {.lex_state = 24, .external_lex_state = 2},
  [489] = {.lex_state = 24, .external_lex_state = 2},
  [490] = {.lex_state = 24, .external_lex_state = 2},
  [491] = {.lex_state = 24, .external_lex_state = 2},
  [492] = {.lex_state = 24, .external_lex_state = 2},
  [493] = {.lex_state = 24, .external_lex_state = 2},
  [494] = {.lex_state = 24, .external_lex_state = 2},
  [495] = {.lex_state = 24, .external_lex_state = 2},
  [496] = {.lex_state = 24, .external_lex_state = 2},
  [497] = {.lex_state = 24, .external_lex_state = 2},
  [498] = {.lex_state = 24, .external_lex_state = 2},
  [499] = {.lex_state = 24, .external_lex_state = 2},
  [500] = {.lex_state = 24, .external_lex_state = 2},
  [501] = {.lex_state = 24, .external_lex_state = 2},
  [502] = {.lex_state = 24, .external_lex_state = 2},
  [503] = {.lex_state = 24, .external_lex_state = 2},
  [504] = {.lex_state = 24, .external_lex_state = 2},
  [505] = {.lex_state = 24, .external_lex_state = 2},
  [506] = {.lex_state = 24, .external_lex_state = 2},
  [507] = {.lex_state = 24, .external_lex_state = 2},
  [508] = {.lex_state = 24, .external_lex_state = 2},
  [509] = {.lex_state = 24, .external_lex_state = 2},
  [510] = {.lex_state = 24, .external_lex_state = 2},
  [511] = {.lex_state = 24, .external_lex_state = 2},
  [512] = {.lex_state = 24, .external_lex_state = 2},
  [513] = {.lex_state = 24, .external_lex_state = 2},
  [514] = {.lex_state = 24, .external_lex_state = 2},
  [515] = {.lex_state = 24, .external_lex_state = 2},
  [516] = {.lex_state = 24, .external_lex_state = 2},
  [517] = {.lex_state = 24, .external_lex_state = 2},
  [518] = {.lex_state = 24, .external_lex_state = 2},
  [519] = {.lex_state = 24, .external_lex_state = 2},
  [520] = {.lex_state = 24, .external_lex_state = 2},
  [521] = {.lex_state = 24, .external_lex_state = 2},
  [522] = {.lex_state = 24, .external_lex_state = 2},
  [523] = {.lex_state = 24, .external_lex_state = 2},
  [524] = {.lex_state = 24, .external_lex_state = 2},
  [525] = {.lex_state = 24, .external_lex_state = 2},
  [526] = {.lex_state = 24, .external_lex_state = 2},
  [527] = {.lex_state = 24, .external_lex_state = 2},
  [528] = {.lex_state = 24, .external_lex_state = 2},
  [529] = {.lex_state = 24, .external_lex_state = 2},
  [530] = {.lex_state = 24, .external_lex_state = 2},
  [531] = {.lex_state = 24, .external_lex_state = 2},
  [532] = {.lex_state = 24, .external_lex_state = 2},
  [533] = {.lex_state = 24, .external_lex_state = 2},
  [534] = {.lex_state = 24, .external_lex_state = 2},
  [535] = {.lex_state = 24, .external_lex_state = 2},
  [536] = {.lex_state = 24, .external_lex_state = 2},
  [537] = {.lex_state = 24, .external_lex_state = 2},
  [538] = {.lex_state = 24, .external_lex_state = 2},
  [539] = {.lex_state = 24, .external_lex_state = 2},
  [540] = {.lex_state = 24, .external_lex_state = 2},
  [541] = {.lex_state = 24, .external_lex_state = 2},
  [542] = {.lex_state = 24, .external_lex_state = 2},
  [543] = {.lex_state = 24, .external_lex_state = 2},
  [544] = {.lex_state = 24, .external_lex_state = 2},
  [545] = {.lex_state = 24, .external_lex_state = 2},
  [546] = {.lex_state = 24, .external_lex_state = 2},
  [547] = {.lex_state = 24, .external_lex_state = 2},
  [548] = {.lex_state = 24, .external_lex_state = 2},
  [549] = {.lex_state = 24, .external_lex_state = 2},
  [550] = {.lex_state = 24, .external_lex_state = 2},
  [551] = {.lex_state = 24, .external_lex_state = 2},
  [552] = {.lex_state = 24, .external_lex_state = 2},
  [553] = {.lex_state = 24, .external_lex_state = 2},
  [554] = {.lex_state = 24, .external_lex_state = 2},
  [555] = {.lex_state = 24, .external_lex_state = 2},
  [556] = {.lex_state = 24, .external_lex_state = 2},
  [557] = {.lex_state = 24, .external_lex_state = 2},
  [558] = {.lex_state = 24, .external_lex_state = 2},
  [559] = {.lex_state = 24, .external_lex_state = 2},
  [560] = {.lex_state = 24, .external_lex_state = 2},
  [561] = {.lex_state = 24, .external_lex_state = 2},
  [562] = {.lex_state = 24, .external_lex_state = 2},
  [563] = {.lex_state = 24, .external_lex_state = 2},
  [564] = {.lex_state = 24, .external_lex_state = 2},
  [565] = {.lex_state = 24, .external_lex_state = 2},
  [566] = {.lex_state = 24, .external_lex_state = 2},
  [567] = {.lex_state = 24, .external_lex_state = 2},
  [568] = {.lex_state = 24, .external_lex_state = 2},
  [569] = {.lex_state = 24, .external_lex_state = 2},
  [570] = {.lex_state = 24, .external_lex_state = 2},
  [571] = {.lex_state = 24, .external_lex_state = 2},
  [572] = {.lex_state = 24, .external_lex_state = 2},
  [573] = {.lex_state = 24, .external_lex_state = 2},
  [574] = {.lex_state = 24, .external_lex_state = 2},
  [575] = {.lex_state = 24, .external_lex_state = 2},
  [576] = {.lex_state = 28, .external_lex_state = 2},
  [577] = {.lex_state = 24, .external_lex_state = 2},
  [578] = {.lex_state = 24, .external_lex_state = 2},
  [579] = {.lex_state = 24, .external_lex_state = 2},
  [580] = {.lex_state = 24, .external_lex_state = 2},
  [581] = {.lex_state = 60, .external_lex_state = 2},
  [582] = {.lex_state = 28, .external_lex_state = 2},
  [583] = {.lex_state = 24, .external_lex_state = 2},
  [584] = {.lex_state = 24, .external_lex_state = 2},
  [585] = {.lex_state = 24, .external_lex_state = 2},
  [586] = {.lex_state = 24, .external_lex_state = 2},
  [587] = {.lex_state = 28, .external_lex_state = 2},
  [588] = {.lex_state = 24, .external_lex_state = 2},
  [589] = {.lex_state = 408, .external_lex_state = 2},
  [590] = {.lex_state = 24, .external_lex_state = 2},
  [591] = {.lex_state = 24, .external_lex_state = 2},
  [592] = {.lex_state = 24, .external_lex_state = 2},
  [593] = {.lex_state = 24, .external_lex_state = 2},
  [594] = {.lex_state = 28, .external_lex_state = 2},
  [595] = {.lex_state = 59, .external_lex_state = 2},
  [596] = {.lex_state = 24, .external_lex_state = 2},
  [597] = {.lex_state = 24, .external_lex_state = 2},
  [598] = {.lex_state = 24, .external_lex_state = 2},
  [599] = {.lex_state = 24, .external_lex_state = 2},
  [600] = {.lex_state = 408, .external_lex_state = 2},
  [601] = {.lex_state = 24, .external_lex_state = 2},
  [602] = {.lex_state = 24, .external_lex_state = 2},
  [603] = {.lex_state = 24, .external_lex_state = 2},
  [604] = {.lex_state = 24, .external_lex_state = 2},
  [605] = {.lex_state = 24, .external_lex_state = 2},
  [606] = {.lex_state = 405, .external_lex_state = 2},
  [607] = {.lex_state = 24, .external_lex_state = 2},
  [608] = {.lex_state = 24, .external_lex_state = 2},
  [609] = {.lex_state = 24, .external_lex_state = 2},
  [610] = {.lex_state = 24, .external_lex_state = 2},
  [611] = {.lex_state = 24, .external_lex_state = 2},
  [612] = {.lex_state = 24, .external_lex_state = 2},
  [613] = {.lex_state = 24, .external_lex_state = 2},
  [614] = {.lex_state = 24, .external_lex_state = 2},
  [615] = {.lex_state = 24, .external_lex_state = 2},
  [616] = {.lex_state = 24, .external_lex_state = 2},
  [617] = {.lex_state = 24, .external_lex_state = 2},
  [618] = {.lex_state = 24, .external_lex_state = 2},
  [619] = {.lex_state = 24, .external_lex_state = 2},
  [620] = {.lex_state = 24, .external_lex_state = 2},
  [621] = {.lex_state = 24, .external_lex_state = 2},
  [622] = {.lex_state = 24, .external_lex_state = 2},
  [623] = {.lex_state = 24, .external_lex_state = 2},
  [624] = {.lex_state = 24, .external_lex_state = 2},
  [625] = {.lex_state = 24, .external_lex_state = 2},
  [626] = {.lex_state = 24, .external_lex_state = 2},
  [627] = {.lex_state = 24, .external_lex_state = 2},
  [628] = {.lex_state = 24, .external_lex_state = 2},
  [629] = {.lex_state = 24, .external_lex_state = 2},
  [630] = {.lex_state = 24, .external_lex_state = 2},
  [631] = {.lex_state = 405, .external_lex_state = 2},
  [632] = {.lex_state = 24, .external_lex_state = 2},
  [633] = {.lex_state = 24, .external_lex_state = 2},
  [634] = {.lex_state = 24, .external_lex_state = 2},
  [635] = {.lex_state = 24, .external_lex_state = 2},
  [636] = {.lex_state = 24, .external_lex_state = 2},
  [637] = {.lex_state = 24, .external_lex_state = 2},
  [638] = {.lex_state = 24, .external_lex_state = 2},
  [639] = {.lex_state = 24, .external_lex_state = 2},
  [640] = {.lex_state = 24, .external_lex_state = 2},
  [641] = {.lex_state = 24, .external_lex_state = 2},
  [642] = {.lex_state = 24, .external_lex_state = 2},
  [643] = {.lex_state = 24, .external_lex_state = 2},
  [644] = {.lex_state = 24, .external_lex_state = 2},
  [645] = {.lex_state = 24, .external_lex_state = 2},
  [646] = {.lex_state = 24, .external_lex_state = 2},
  [647] = {.lex_state = 24, .external_lex_state = 2},
  [648] = {.lex_state = 24, .external_lex_state = 2},
  [649] = {.lex_state = 24, .external_lex_state = 2},
  [650] = {.lex_state = 24, .external_lex_state = 2},
  [651] = {.lex_state = 24, .external_lex_state = 2},
  [652] = {.lex_state = 24, .external_lex_state = 2},
  [653] = {.lex_state = 24, .external_lex_state = 2},
  [654] = {.lex_state = 24, .external_lex_state = 2},
  [655] = {.lex_state = 24, .external_lex_state = 2},
  [656] = {.lex_state = 24, .external_lex_state = 2},
  [657] = {.lex_state = 24, .external_lex_state = 2},
  [658] = {.lex_state = 24, .external_lex_state = 2},
  [659] = {.lex_state = 24, .external_lex_state = 2},
  [660] = {.lex_state = 24, .external_lex_state = 2},
  [661] = {.lex_state = 24, .external_lex_state = 2},
  [662] = {.lex_state = 24, .external_lex_state = 2},
  [663] = {.lex_state = 24, .external_lex_state = 2},
  [664] = {.lex_state = 24, .external_lex_state = 2},
  [665] = {.lex_state = 24, .external_lex_state = 2},
  [666] = {.lex_state = 24, .external_lex_state = 2},
  [667] = {.lex_state = 24, .external_lex_state = 2},
  [668] = {.lex_state = 24, .external_lex_state = 2},
  [669] = {.lex_state = 24, .external_lex_state = 2},
  [670] = {.lex_state = 24, .external_lex_state = 2},
  [671] = {.lex_state = 24, .external_lex_state = 2},
  [672] = {.lex_state = 24, .external_lex_state = 2},
  [673] = {.lex_state = 24, .external_lex_state = 2},
  [674] = {.lex_state = 24, .external_lex_state = 2},
  [675] = {.lex_state = 24, .external_lex_state = 2},
  [676] = {.lex_state = 24, .external_lex_state = 2},
  [677] = {.lex_state = 24, .external_lex_state = 2},
  [678] = {.lex_state = 24, .external_lex_state = 2},
  [679] = {.lex_state = 24, .external_lex_state = 2},
  [680] = {.lex_state = 24, .external_lex_state = 2},
  [681] = {.lex_state = 24, .external_lex_state = 2},
  [682] = {.lex_state = 24, .external_lex_state = 2},
  [683] = {.lex_state = 24, .external_lex_state = 2},
  [684] = {.lex_state = 24, .external_lex_state = 2},
  [685] = {.lex_state = 24, .external_lex_state = 2},
  [686] = {.lex_state = 24, .external_lex_state = 2},
  [687] = {.lex_state = 24, .external_lex_state = 2},
  [688] = {.lex_state = 24, .external_lex_state = 2},
  [689] = {.lex_state = 24, .external_lex_state = 2},
  [690] = {.lex_state = 24, .external_lex_state = 2},
  [691] = {.lex_state = 24, .external_lex_state = 2},
  [692] = {.lex_state = 24, .external_lex_state = 2},
  [693] = {.lex_state = 24, .external_lex_state = 2},
  [694] = {.lex_state = 24, .external_lex_state = 2},
  [695] = {.lex_state = 24, .external_lex_state = 2},
  [696] = {.lex_state = 24, .external_lex_state = 2},
  [697] = {.lex_state = 24, .external_lex_state = 2},
  [698] = {.lex_state = 24, .external_lex_state = 2},
  [699] = {.lex_state = 24, .external_lex_state = 2},
  [700] = {.lex_state = 24, .external_lex_state = 2},
  [701] = {.lex_state = 24, .external_lex_state = 2},
  [702] = {.lex_state = 24, .external_lex_state = 2},
  [703] = {.lex_state = 24, .external_lex_state = 2},
  [704] = {.lex_state = 24, .external_lex_state = 2},
  [705] = {.lex_state = 24, .external_lex_state = 2},
  [706] = {.lex_state = 24, .external_lex_state = 2},
  [707] = {.lex_state = 24, .external_lex_state = 2},
  [708] = {.lex_state = 24, .external_lex_state = 2},
  [709] = {.lex_state = 24, .external_lex_state = 2},
  [710] = {.lex_state = 24, .external_lex_state = 2},
  [711] = {.lex_state = 24, .external_lex_state = 2},
  [712] = {.lex_state = 24, .external_lex_state = 2},
  [713] = {.lex_state = 24, .external_lex_state = 2},
  [714] = {.lex_state = 24, .external_lex_state = 2},
  [715] = {.lex_state = 24, .external_lex_state = 2},
  [716] = {.lex_state = 24, .external_lex_state = 2},
  [717] = {.lex_state = 24, .external_lex_state = 2},
  [718] = {.lex_state = 24, .external_lex_state = 2},
  [719] = {.lex_state = 24, .external_lex_state = 2},
  [720] = {.lex_state = 24, .external_lex_state = 2},
  [721] = {.lex_state = 24, .external_lex_state = 2},
  [722] = {.lex_state = 24, .external_lex_state = 2},
  [723] = {.lex_state = 24, .external_lex_state = 2},
  [724] = {.lex_state = 24, .external_lex_state = 2},
  [725] = {.lex_state = 24, .external_lex_state = 2},
  [726] = {.lex_state = 24, .external_lex_state = 2},
  [727] = {.lex_state = 24, .external_lex_state = 2},
  [728] = {.lex_state = 24, .external_lex_state = 2},
  [729] = {.lex_state = 24, .external_lex_state = 2},
  [730] = {.lex_state = 24, .external_lex_state = 2},
  [731] = {.lex_state = 24, .external_lex_state = 2},
  [732] = {.lex_state = 24, .external_lex_state = 2},
  [733] = {.lex_state = 24, .external_lex_state = 2},
  [734] = {.lex_state = 24, .external_lex_state = 2},
  [735] = {.lex_state = 24, .external_lex_state = 2},
  [736] = {.lex_state = 24, .external_lex_state = 2},
  [737] = {.lex_state = 24, .external_lex_state = 2},
  [738] = {.lex_state = 24, .external_lex_state = 2},
  [739] = {.lex_state = 24, .external_lex_state = 2},
  [740] = {.lex_state = 24, .external_lex_state = 2},
  [741] = {.lex_state = 24, .external_lex_state = 2},
  [742] = {.lex_state = 24, .external_lex_state = 2},
  [743] = {.lex_state = 24, .external_lex_state = 2},
  [744] = {.lex_state = 24, .external_lex_state = 2},
  [745] = {.lex_state = 24, .external_lex_state = 2},
  [746] = {.lex_state = 24, .external_lex_state = 2},
  [747] = {.lex_state = 24, .external_lex_state = 2},
  [748] = {.lex_state = 24, .external_lex_state = 2},
  [749] = {.lex_state = 24, .external_lex_state = 2},
  [750] = {.lex_state = 24, .external_lex_state = 2},
  [751] = {.lex_state = 24, .external_lex_state = 2},
  [752] = {.lex_state = 24, .external_lex_state = 2},
  [753] = {.lex_state = 24, .external_lex_state = 2},
  [754] = {.lex_state = 24, .external_lex_state = 2},
  [755] = {.lex_state = 24, .external_lex_state = 2},
  [756] = {.lex_state = 24, .external_lex_state = 2},
  [757] = {.lex_state = 24, .external_lex_state = 2},
  [758] = {.lex_state = 24, .external_lex_state = 2},
  [759] = {.lex_state = 24, .external_lex_state = 2},
  [760] = {.lex_state = 24, .external_lex_state = 2},
  [761] = {.lex_state = 24, .external_lex_state = 2},
  [762] = {.lex_state = 24, .external_lex_state = 2},
  [763] = {.lex_state = 24, .external_lex_state = 2},
  [764] = {.lex_state = 24, .external_lex_state = 2},
  [765] = {.lex_state = 24, .external_lex_state = 2},
  [766] = {.lex_state = 24, .external_lex_state = 2},
  [767] = {.lex_state = 24, .external_lex_state = 2},
  [768] = {.lex_state = 24, .external_lex_state = 2},
  [769] = {.lex_state = 24, .external_lex_state = 2},
  [770] = {.lex_state = 24, .external_lex_state = 2},
  [771] = {.lex_state = 24, .external_lex_state = 2},
  [772] = {.lex_state = 24, .external_lex_state = 2},
  [773] = {.lex_state = 24, .external_lex_state = 2},
  [774] = {.lex_state = 24, .external_lex_state = 2},
  [775] = {.lex_state = 24, .external_lex_state = 2},
  [776] = {.lex_state = 24, .external_lex_state = 2},
  [777] = {.lex_state = 24, .external_lex_state = 2},
  [778] = {.lex_state = 24, .external_lex_state = 2},
  [779] = {.lex_state = 24, .external_lex_state = 2},
  [780] = {.lex_state = 24, .external_lex_state = 2},
  [781] = {.lex_state = 24, .external_lex_state = 2},
  [782] = {.lex_state = 24, .external_lex_state = 2},
  [783] = {.lex_state = 24, .external_lex_state = 2},
  [784] = {.lex_state = 24, .external_lex_state = 2},
  [785] = {.lex_state = 24, .external_lex_state = 2},
  [786] = {.lex_state = 24, .external_lex_state = 2},
  [787] = {.lex_state = 24, .external_lex_state = 2},
  [788] = {.lex_state = 24, .external_lex_state = 2},
  [789] = {.lex_state = 24, .external_lex_state = 2},
  [790] = {.lex_state = 24, .external_lex_state = 2},
  [791] = {.lex_state = 24, .external_lex_state = 2},
  [792] = {.lex_state = 24, .external_lex_state = 2},
  [793] = {.lex_state = 24, .external_lex_state = 2},
  [794] = {.lex_state = 24, .external_lex_state = 2},
  [795] = {.lex_state = 24, .external_lex_state = 2},
  [796] = {.lex_state = 24, .external_lex_state = 2},
  [797] = {.lex_state = 24, .external_lex_state = 2},
  [798] = {.lex_state = 24, .external_lex_state = 2},
  [799] = {.lex_state = 24, .external_lex_state = 2},
  [800] = {.lex_state = 24, .external_lex_state = 2},
  [801] = {.lex_state = 24, .external_lex_state = 2},
  [802] = {.lex_state = 24, .external_lex_state = 2},
  [803] = {.lex_state = 24, .external_lex_state = 2},
  [804] = {.lex_state = 24, .external_lex_state = 2},
  [805] = {.lex_state = 24, .external_lex_state = 2},
  [806] = {.lex_state = 24, .external_lex_state = 2},
  [807] = {.lex_state = 24, .external_lex_state = 2},
  [808] = {.lex_state = 24, .external_lex_state = 2},
  [809] = {.lex_state = 24, .external_lex_state = 2},
  [810] = {.lex_state = 24, .external_lex_state = 2},
  [811] = {.lex_state = 24, .external_lex_state = 2},
  [812] = {.lex_state = 24, .external_lex_state = 2},
  [813] = {.lex_state = 24, .external_lex_state = 2},
  [814] = {.lex_state = 24, .external_lex_state = 2},
  [815] = {.lex_state = 24, .external_lex_state = 2},
  [816] = {.lex_state = 24, .external_lex_state = 2},
  [817] = {.lex_state = 24, .external_lex_state = 2},
  [818] = {.lex_state = 24, .external_lex_state = 2},
  [819] = {.lex_state = 24, .external_lex_state = 2},
  [820] = {.lex_state = 24, .external_lex_state = 2},
  [821] = {.lex_state = 24, .external_lex_state = 2},
  [822] = {.lex_state = 24, .external_lex_state = 2},
  [823] = {.lex_state = 24, .external_lex_state = 2},
  [824] = {.lex_state = 24, .external_lex_state = 2},
  [825] = {.lex_state = 24, .external_lex_state = 2},
  [826] = {.lex_state = 24, .external_lex_state = 2},
  [827] = {.lex_state = 24, .external_lex_state = 2},
  [828] = {.lex_state = 24, .external_lex_state = 2},
  [829] = {.lex_state = 24, .external_lex_state = 2},
  [830] = {.lex_state = 24, .external_lex_state = 2},
  [831] = {.lex_state = 24, .external_lex_state = 2},
  [832] = {.lex_state = 24, .external_lex_state = 2},
  [833] = {.lex_state = 24, .external_lex_state = 2},
  [834] = {.lex_state = 24, .external_lex_state = 2},
  [835] = {.lex_state = 24, .external_lex_state = 2},
  [836] = {.lex_state = 24, .external_lex_state = 2},
  [837] = {.lex_state = 24, .external_lex_state = 2},
  [838] = {.lex_state = 24, .external_lex_state = 2},
  [839] = {.lex_state = 24, .external_lex_state = 2},
  [840] = {.lex_state = 24, .external_lex_state = 2},
  [841] = {.lex_state = 24, .external_lex_state = 2},
  [842] = {.lex_state = 24, .external_lex_state = 2},
  [843] = {.lex_state = 24, .external_lex_state = 2},
  [844] = {.lex_state = 24, .external_lex_state = 2},
  [845] = {.lex_state = 24, .external_lex_state = 2},
  [846] = {.lex_state = 24, .external_lex_state = 2},
  [847] = {.lex_state = 24, .external_lex_state = 2},
  [848] = {.lex_state = 24, .external_lex_state = 2},
  [849] = {.lex_state = 24, .external_lex_state = 2},
  [850] = {.lex_state = 24, .external_lex_state = 2},
  [851] = {.lex_state = 24, .external_lex_state = 2},
  [852] = {.lex_state = 24, .external_lex_state = 2},
  [853] = {.lex_state = 24, .external_lex_state = 2},
  [854] = {.lex_state = 24, .external_lex_state = 2},
  [855] = {.lex_state = 24, .external_lex_state = 2},
  [856] = {.lex_state = 24, .external_lex_state = 2},
  [857] = {.lex_state = 24, .external_lex_state = 2},
  [858] = {.lex_state = 24, .external_lex_state = 2},
  [859] = {.lex_state = 24, .external_lex_state = 2},
  [860] = {.lex_state = 24, .external_lex_state = 2},
  [861] = {.lex_state = 24, .external_lex_state = 2},
  [862] = {.lex_state = 24, .external_lex_state = 2},
  [863] = {.lex_state = 24, .external_lex_state = 2},
  [864] = {.lex_state = 24, .external_lex_state = 2},
  [865] = {.lex_state = 24, .external_lex_state = 2},
  [866] = {.lex_state = 24, .external_lex_state = 2},
  [867] = {.lex_state = 24, .external_lex_state = 2},
  [868] = {.lex_state = 24, .external_lex_state = 2},
  [869] = {.lex_state = 24, .external_lex_state = 2},
  [870] = {.lex_state = 24, .external_lex_state = 2},
  [871] = {.lex_state = 24, .external_lex_state = 2},
  [872] = {.lex_state = 24, .external_lex_state = 2},
  [873] = {.lex_state = 24, .external_lex_state = 2},
  [874] = {.lex_state = 24, .external_lex_state = 2},
  [875] = {.lex_state = 24, .external_lex_state = 2},
  [876] = {.lex_state = 24, .external_lex_state = 2},
  [877] = {.lex_state = 24, .external_lex_state = 2},
  [878] = {.lex_state = 24, .external_lex_state = 2},
  [879] = {.lex_state = 24, .external_lex_state = 2},
  [880] = {.lex_state = 24, .external_lex_state = 2},
  [881] = {.lex_state = 24, .external_lex_state = 2},
  [882] = {.lex_state = 24, .external_lex_state = 2},
  [883] = {.lex_state = 24, .external_lex_state = 2},
  [884] = {.lex_state = 24, .external_lex_state = 2},
  [885] = {.lex_state = 24, .external_lex_state = 2},
  [886] = {.lex_state = 24, .external_lex_state = 2},
  [887] = {.lex_state = 24, .external_lex_state = 2},
  [888] = {.lex_state = 24, .external_lex_state = 2},
  [889] = {.lex_state = 24, .external_lex_state = 2},
  [890] = {.lex_state = 24, .external_lex_state = 2},
  [891] = {.lex_state = 24, .external_lex_state = 2},
  [892] = {.lex_state = 24, .external_lex_state = 2},
  [893] = {.lex_state = 24, .external_lex_state = 2},
  [894] = {.lex_state = 24, .external_lex_state = 2},
  [895] = {.lex_state = 24, .external_lex_state = 2},
  [896] = {.lex_state = 24, .external_lex_state = 2},
  [897] = {.lex_state = 24, .external_lex_state = 2},
  [898] = {.lex_state = 24, .external_lex_state = 2},
  [899] = {.lex_state = 24, .external_lex_state = 2},
  [900] = {.lex_state = 24, .external_lex_state = 2},
  [901] = {.lex_state = 24, .external_lex_state = 2},
  [902] = {.lex_state = 24, .external_lex_state = 2},
  [903] = {.lex_state = 24, .external_lex_state = 2},
  [904] = {.lex_state = 24, .external_lex_state = 2},
  [905] = {.lex_state = 24, .external_lex_state = 2},
  [906] = {.lex_state = 24, .external_lex_state = 2},
  [907] = {.lex_state = 24, .external_lex_state = 2},
  [908] = {.lex_state = 24, .external_lex_state = 2},
  [909] = {.lex_state = 24, .external_lex_state = 2},
  [910] = {.lex_state = 24, .external_lex_state = 2},
  [911] = {.lex_state = 24, .external_lex_state = 2},
  [912] = {.lex_state = 24, .external_lex_state = 2},
  [913] = {.lex_state = 24, .external_lex_state = 2},
  [914] = {.lex_state = 24, .external_lex_state = 2},
  [915] = {.lex_state = 24, .external_lex_state = 2},
  [916] = {.lex_state = 24, .external_lex_state = 2},
  [917] = {.lex_state = 24, .external_lex_state = 2},
  [918] = {.lex_state = 24, .external_lex_state = 2},
  [919] = {.lex_state = 24, .external_lex_state = 2},
  [920] = {.lex_state = 24, .external_lex_state = 2},
  [921] = {.lex_state = 24, .external_lex_state = 2},
  [922] = {.lex_state = 24, .external_lex_state = 2},
  [923] = {.lex_state = 24, .external_lex_state = 2},
  [924] = {.lex_state = 24, .external_lex_state = 2},
  [925] = {.lex_state = 24, .external_lex_state = 2},
  [926] = {.lex_state = 24, .external_lex_state = 2},
  [927] = {.lex_state = 24, .external_lex_state = 2},
  [928] = {.lex_state = 24, .external_lex_state = 2},
  [929] = {.lex_state = 24, .external_lex_state = 2},
  [930] = {.lex_state = 24, .external_lex_state = 2},
  [931] = {.lex_state = 24, .external_lex_state = 2},
  [932] = {.lex_state = 24, .external_lex_state = 2},
  [933] = {.lex_state = 24, .external_lex_state = 2},
  [934] = {.lex_state = 24, .external_lex_state = 2},
  [935] = {.lex_state = 24, .external_lex_state = 2},
  [936] = {.lex_state = 24, .external_lex_state = 2},
  [937] = {.lex_state = 24, .external_lex_state = 2},
  [938] = {.lex_state = 24, .external_lex_state = 2},
  [939] = {.lex_state = 24, .external_lex_state = 2},
  [940] = {.lex_state = 24, .external_lex_state = 2},
  [941] = {.lex_state = 24, .external_lex_state = 2},
  [942] = {.lex_state = 24, .external_lex_state = 2},
  [943] = {.lex_state = 24, .external_lex_state = 2},
  [944] = {.lex_state = 24, .external_lex_state = 2},
  [945] = {.lex_state = 24, .external_lex_state = 2},
  [946] = {.lex_state = 24, .external_lex_state = 2},
  [947] = {.lex_state = 24, .external_lex_state = 2},
  [948] = {.lex_state = 24, .external_lex_state = 2},
  [949] = {.lex_state = 24, .external_lex_state = 2},
  [950] = {.lex_state = 24, .external_lex_state = 2},
  [951] = {.lex_state = 24, .external_lex_state = 2},
  [952] = {.lex_state = 24, .external_lex_state = 2},
  [953] = {.lex_state = 24, .external_lex_state = 2},
  [954] = {.lex_state = 24, .external_lex_state = 2},
  [955] = {.lex_state = 24, .external_lex_state = 2},
  [956] = {.lex_state = 24, .external_lex_state = 2},
  [957] = {.lex_state = 24, .external_lex_state = 2},
  [958] = {.lex_state = 24, .external_lex_state = 2},
  [959] = {.lex_state = 24, .external_lex_state = 2},
  [960] = {.lex_state = 24, .external_lex_state = 2},
  [961] = {.lex_state = 24, .external_lex_state = 2},
  [962] = {.lex_state = 24, .external_lex_state = 2},
  [963] = {.lex_state = 24, .external_lex_state = 2},
  [964] = {.lex_state = 24, .external_lex_state = 2},
  [965] = {.lex_state = 24, .external_lex_state = 2},
  [966] = {.lex_state = 24, .external_lex_state = 2},
  [967] = {.lex_state = 24, .external_lex_state = 2},
  [968] = {.lex_state = 24, .external_lex_state = 2},
  [969] = {.lex_state = 24, .external_lex_state = 2},
  [970] = {.lex_state = 24, .external_lex_state = 2},
  [971] = {.lex_state = 24, .external_lex_state = 2},
  [972] = {.lex_state = 24, .external_lex_state = 2},
  [973] = {.lex_state = 24, .external_lex_state = 2},
  [974] = {.lex_state = 24, .external_lex_state = 2},
  [975] = {.lex_state = 24, .external_lex_state = 2},
  [976] = {.lex_state = 24, .external_lex_state = 2},
  [977] = {.lex_state = 24, .external_lex_state = 2},
  [978] = {.lex_state = 24, .external_lex_state = 2},
  [979] = {.lex_state = 24, .external_lex_state = 2},
  [980] = {.lex_state = 24, .external_lex_state = 2},
  [981] = {.lex_state = 24, .external_lex_state = 2},
  [982] = {.lex_state = 24, .external_lex_state = 2},
  [983] = {.lex_state = 24, .external_lex_state = 2},
  [984] = {.lex_state = 24, .external_lex_state = 2},
  [985] = {.lex_state = 24, .external_lex_state = 2},
  [986] = {.lex_state = 24, .external_lex_state = 2},
  [987] = {.lex_state = 24, .external_lex_state = 2},
  [988] = {.lex_state = 24, .external_lex_state = 2},
  [989] = {.lex_state = 24, .external_lex_state = 2},
  [990] = {.lex_state = 24, .external_lex_state = 2},
  [991] = {.lex_state = 24, .external_lex_state = 2},
  [992] = {.lex_state = 24, .external_lex_state = 2},
  [993] = {.lex_state = 24, .external_lex_state = 2},
  [994] = {.lex_state = 24, .external_lex_state = 2},
  [995] = {.lex_state = 24, .external_lex_state = 2},
  [996] = {.lex_state = 24, .external_lex_state = 2},
  [997] = {.lex_state = 24, .external_lex_state = 2},
  [998] = {.lex_state = 24, .external_lex_state = 2},
  [999] = {.lex_state = 24, .external_lex_state = 2},
  [1000] = {.lex_state = 24, .external_lex_state = 2},
  [1001] = {.lex_state = 24, .external_lex_state = 2},
  [1002] = {.lex_state = 24, .external_lex_state = 2},
  [1003] = {.lex_state = 24, .external_lex_state = 2},
  [1004] = {.lex_state = 24, .external_lex_state = 2},
  [1005] = {.lex_state = 24, .external_lex_state = 2},
  [1006] = {.lex_state = 24, .external_lex_state = 2},
  [1007] = {.lex_state = 24, .external_lex_state = 2},
  [1008] = {.lex_state = 24, .external_lex_state = 2},
  [1009] = {.lex_state = 24, .external_lex_state = 2},
  [1010] = {.lex_state = 24, .external_lex_state = 2},
  [1011] = {.lex_state = 24, .external_lex_state = 2},
  [1012] = {.lex_state = 24, .external_lex_state = 2},
  [1013] = {.lex_state = 24, .external_lex_state = 2},
  [1014] = {.lex_state = 24, .external_lex_state = 2},
  [1015] = {.lex_state = 24, .external_lex_state = 2},
  [1016] = {.lex_state = 24, .external_lex_state = 2},
  [1017] = {.lex_state = 24, .external_lex_state = 2},
  [1018] = {.lex_state = 24, .external_lex_state = 2},
  [1019] = {.lex_state = 24, .external_lex_state = 2},
  [1020] = {.lex_state = 24, .external_lex_state = 2},
  [1021] = {.lex_state = 24, .external_lex_state = 2},
  [1022] = {.lex_state = 24, .external_lex_state = 2},
  [1023] = {.lex_state = 24, .external_lex_state = 2},
  [1024] = {.lex_state = 24, .external_lex_state = 2},
  [1025] = {.lex_state = 24, .external_lex_state = 2},
  [1026] = {.lex_state = 24, .external_lex_state = 2},
  [1027] = {.lex_state = 24, .external_lex_state = 2},
  [1028] = {.lex_state = 24, .external_lex_state = 2},
  [1029] = {.lex_state = 24, .external_lex_state = 2},
  [1030] = {.lex_state = 24, .external_lex_state = 2},
  [1031] = {.lex_state = 24, .external_lex_state = 2},
  [1032] = {.lex_state = 24, .external_lex_state = 2},
  [1033] = {.lex_state = 24, .external_lex_state = 2},
  [1034] = {.lex_state = 24, .external_lex_state = 2},
  [1035] = {.lex_state = 24, .external_lex_state = 2},
  [1036] = {.lex_state = 24, .external_lex_state = 2},
  [1037] = {.lex_state = 24, .external_lex_state = 2},
  [1038] = {.lex_state = 24, .external_lex_state = 2},
  [1039] = {.lex_state = 24, .external_lex_state = 2},
  [1040] = {.lex_state = 24, .external_lex_state = 2},
  [1041] = {.lex_state = 24, .external_lex_state = 2},
  [1042] = {.lex_state = 24, .external_lex_state = 2},
  [1043] = {.lex_state = 24, .external_lex_state = 2},
  [1044] = {.lex_state = 24, .external_lex_state = 2},
  [1045] = {.lex_state = 24, .external_lex_state = 2},
  [1046] = {.lex_state = 24, .external_lex_state = 2},
  [1047] = {.lex_state = 24, .external_lex_state = 2},
  [1048] = {.lex_state = 24, .external_lex_state = 2},
  [1049] = {.lex_state = 24, .external_lex_state = 2},
  [1050] = {.lex_state = 24, .external_lex_state = 2},
  [1051] = {.lex_state = 24, .external_lex_state = 2},
  [1052] = {.lex_state = 24, .external_lex_state = 2},
  [1053] = {.lex_state = 24, .external_lex_state = 2},
  [1054] = {.lex_state = 24, .external_lex_state = 2},
  [1055] = {.lex_state = 24, .external_lex_state = 2},
  [1056] = {.lex_state = 24, .external_lex_state = 2},
  [1057] = {.lex_state = 24, .external_lex_state = 2},
  [1058] = {.lex_state = 24, .external_lex_state = 2},
  [1059] = {.lex_state = 24, .external_lex_state = 2},
  [1060] = {.lex_state = 24, .external_lex_state = 2},
  [1061] = {.lex_state = 24, .external_lex_state = 2},
  [1062] = {.lex_state = 24, .external_lex_state = 2},
  [1063] = {.lex_state = 24, .external_lex_state = 2},
  [1064] = {.lex_state = 24, .external_lex_state = 2},
  [1065] = {.lex_state = 24, .external_lex_state = 2},
  [1066] = {.lex_state = 24, .external_lex_state = 2},
  [1067] = {.lex_state = 24, .external_lex_state = 2},
  [1068] = {.lex_state = 24, .external_lex_state = 2},
  [1069] = {.lex_state = 24, .external_lex_state = 2},
  [1070] = {.lex_state = 24, .external_lex_state = 2},
  [1071] = {.lex_state = 24, .external_lex_state = 2},
  [1072] = {.lex_state = 24, .external_lex_state = 2},
  [1073] = {.lex_state = 24, .external_lex_state = 2},
  [1074] = {.lex_state = 24, .external_lex_state = 2},
  [1075] = {.lex_state = 24, .external_lex_state = 2},
  [1076] = {.lex_state = 24, .external_lex_state = 2},
  [1077] = {.lex_state = 24, .external_lex_state = 2},
  [1078] = {.lex_state = 24, .external_lex_state = 2},
  [1079] = {.lex_state = 24, .external_lex_state = 2},
  [1080] = {.lex_state = 24, .external_lex_state = 2},
  [1081] = {.lex_state = 24, .external_lex_state = 2},
  [1082] = {.lex_state = 24, .external_lex_state = 2},
  [1083] = {.lex_state = 24, .external_lex_state = 2},
  [1084] = {.lex_state = 24, .external_lex_state = 2},
  [1085] = {.lex_state = 24, .external_lex_state = 2},
  [1086] = {.lex_state = 24, .external_lex_state = 2},
  [1087] = {.lex_state = 24, .external_lex_state = 2},
  [1088] = {.lex_state = 24, .external_lex_state = 2},
  [1089] = {.lex_state = 24, .external_lex_state = 2},
  [1090] = {.lex_state = 24, .external_lex_state = 2},
  [1091] = {.lex_state = 24, .external_lex_state = 2},
  [1092] = {.lex_state = 24, .external_lex_state = 2},
  [1093] = {.lex_state = 24, .external_lex_state = 2},
  [1094] = {.lex_state = 24, .external_lex_state = 2},
  [1095] = {.lex_state = 24, .external_lex_state = 2},
  [1096] = {.lex_state = 24, .external_lex_state = 2},
  [1097] = {.lex_state = 24, .external_lex_state = 2},
  [1098] = {.lex_state = 24, .external_lex_state = 2},
  [1099] = {.lex_state = 24, .external_lex_state = 2},
  [1100] = {.lex_state = 24, .external_lex_state = 2},
  [1101] = {.lex_state = 24, .external_lex_state = 2},
  [1102] = {.lex_state = 24, .external_lex_state = 2},
  [1103] = {.lex_state = 24, .external_lex_state = 2},
  [1104] = {.lex_state = 24, .external_lex_state = 2},
  [1105] = {.lex_state = 24, .external_lex_state = 2},
  [1106] = {.lex_state = 24, .external_lex_state = 2},
  [1107] = {.lex_state = 24, .external_lex_state = 2},
  [1108] = {.lex_state = 24, .external_lex_state = 2},
  [1109] = {.lex_state = 24, .external_lex_state = 2},
  [1110] = {.lex_state = 24, .external_lex_state = 2},
  [1111] = {.lex_state = 24, .external_lex_state = 2},
  [1112] = {.lex_state = 24, .external_lex_state = 2},
  [1113] = {.lex_state = 24, .external_lex_state = 2},
  [1114] = {.lex_state = 24, .external_lex_state = 2},
  [1115] = {.lex_state = 24, .external_lex_state = 2},
  [1116] = {.lex_state = 24, .external_lex_state = 2},
  [1117] = {.lex_state = 24, .external_lex_state = 2},
  [1118] = {.lex_state = 24, .external_lex_state = 2},
  [1119] = {.lex_state = 24, .external_lex_state = 2},
  [1120] = {.lex_state = 24, .external_lex_state = 2},
  [1121] = {.lex_state = 24, .external_lex_state = 2},
  [1122] = {.lex_state = 24, .external_lex_state = 2},
  [1123] = {.lex_state = 24, .external_lex_state = 2},
  [1124] = {.lex_state = 24, .external_lex_state = 2},
  [1125] = {.lex_state = 24, .external_lex_state = 2},
  [1126] = {.lex_state = 24, .external_lex_state = 2},
  [1127] = {.lex_state = 24, .external_lex_state = 2},
  [1128] = {.lex_state = 24, .external_lex_state = 2},
  [1129] = {.lex_state = 24, .external_lex_state = 2},
  [1130] = {.lex_state = 24, .external_lex_state = 2},
  [1131] = {.lex_state = 24, .external_lex_state = 2},
  [1132] = {.lex_state = 24, .external_lex_state = 2},
  [1133] = {.lex_state = 24, .external_lex_state = 2},
  [1134] = {.lex_state = 24, .external_lex_state = 2},
  [1135] = {.lex_state = 24, .external_lex_state = 2},
  [1136] = {.lex_state = 24, .external_lex_state = 2},
  [1137] = {.lex_state = 24, .external_lex_state = 2},
  [1138] = {.lex_state = 24, .external_lex_state = 2},
  [1139] = {.lex_state = 24, .external_lex_state = 2},
  [1140] = {.lex_state = 24, .external_lex_state = 2},
  [1141] = {.lex_state = 24, .external_lex_state = 2},
  [1142] = {.lex_state = 24, .external_lex_state = 2},
  [1143] = {.lex_state = 24, .external_lex_state = 2},
  [1144] = {.lex_state = 24, .external_lex_state = 2},
  [1145] = {.lex_state = 24, .external_lex_state = 2},
  [1146] = {.lex_state = 24, .external_lex_state = 2},
  [1147] = {.lex_state = 24, .external_lex_state = 2},
  [1148] = {.lex_state = 24, .external_lex_state = 2},
  [1149] = {.lex_state = 24, .external_lex_state = 2},
  [1150] = {.lex_state = 24, .external_lex_state = 2},
  [1151] = {.lex_state = 24, .external_lex_state = 2},
  [1152] = {.lex_state = 24, .external_lex_state = 2},
  [1153] = {.lex_state = 24, .external_lex_state = 2},
  [1154] = {.lex_state = 24, .external_lex_state = 2},
  [1155] = {.lex_state = 24, .external_lex_state = 2},
  [1156] = {.lex_state = 24, .external_lex_state = 2},
  [1157] = {.lex_state = 24, .external_lex_state = 2},
  [1158] = {.lex_state = 24, .external_lex_state = 2},
  [1159] = {.lex_state = 24, .external_lex_state = 2},
  [1160] = {.lex_state = 24, .external_lex_state = 2},
  [1161] = {.lex_state = 24, .external_lex_state = 2},
  [1162] = {.lex_state = 24, .external_lex_state = 2},
  [1163] = {.lex_state = 24, .external_lex_state = 2},
  [1164] = {.lex_state = 24, .external_lex_state = 2},
  [1165] = {.lex_state = 24, .external_lex_state = 2},
  [1166] = {.lex_state = 24, .external_lex_state = 2},
  [1167] = {.lex_state = 24, .external_lex_state = 2},
  [1168] = {.lex_state = 24, .external_lex_state = 2},
  [1169] = {.lex_state = 24, .external_lex_state = 2},
  [1170] = {.lex_state = 24, .external_lex_state = 2},
  [1171] = {.lex_state = 24, .external_lex_state = 2},
  [1172] = {.lex_state = 24, .external_lex_state = 2},
  [1173] = {.lex_state = 24, .external_lex_state = 2},
  [1174] = {.lex_state = 24, .external_lex_state = 2},
  [1175] = {.lex_state = 24, .external_lex_state = 2},
  [1176] = {.lex_state = 24, .external_lex_state = 2},
  [1177] = {.lex_state = 24, .external_lex_state = 2},
  [1178] = {.lex_state = 24, .external_lex_state = 2},
  [1179] = {.lex_state = 24, .external_lex_state = 2},
  [1180] = {.lex_state = 24, .external_lex_state = 2},
  [1181] = {.lex_state = 24, .external_lex_state = 2},
  [1182] = {.lex_state = 24, .external_lex_state = 2},
  [1183] = {.lex_state = 24, .external_lex_state = 2},
  [1184] = {.lex_state = 24, .external_lex_state = 2},
  [1185] = {.lex_state = 24, .external_lex_state = 2},
  [1186] = {.lex_state = 24, .external_lex_state = 2},
  [1187] = {.lex_state = 24, .external_lex_state = 2},
  [1188] = {.lex_state = 24, .external_lex_state = 2},
  [1189] = {.lex_state = 24, .external_lex_state = 2},
  [1190] = {.lex_state = 24, .external_lex_state = 2},
  [1191] = {.lex_state = 24, .external_lex_state = 2},
  [1192] = {.lex_state = 24, .external_lex_state = 2},
  [1193] = {.lex_state = 24, .external_lex_state = 2},
  [1194] = {.lex_state = 24, .external_lex_state = 2},
  [1195] = {.lex_state = 24, .external_lex_state = 2},
  [1196] = {.lex_state = 24, .external_lex_state = 2},
  [1197] = {.lex_state = 24, .external_lex_state = 2},
  [1198] = {.lex_state = 24, .external_lex_state = 2},
  [1199] = {.lex_state = 24, .external_lex_state = 2},
  [1200] = {.lex_state = 24, .external_lex_state = 2},
  [1201] = {.lex_state = 24, .external_lex_state = 2},
  [1202] = {.lex_state = 24, .external_lex_state = 2},
  [1203] = {.lex_state = 24, .external_lex_state = 2},
  [1204] = {.lex_state = 24, .external_lex_state = 2},
  [1205] = {.lex_state = 24, .external_lex_state = 2},
  [1206] = {.lex_state = 24, .external_lex_state = 2},
  [1207] = {.lex_state = 24, .external_lex_state = 2},
  [1208] = {.lex_state = 24, .external_lex_state = 2},
  [1209] = {.lex_state = 24, .external_lex_state = 2},
  [1210] = {.lex_state = 24, .external_lex_state = 2},
  [1211] = {.lex_state = 24, .external_lex_state = 2},
  [1212] = {.lex_state = 24, .external_lex_state = 2},
  [1213] = {.lex_state = 24, .external_lex_state = 2},
  [1214] = {.lex_state = 24, .external_lex_state = 2},
  [1215] = {.lex_state = 24, .external_lex_state = 2},
  [1216] = {.lex_state = 24, .external_lex_state = 2},
  [1217] = {.lex_state = 24, .external_lex_state = 2},
  [1218] = {.lex_state = 24, .external_lex_state = 2},
  [1219] = {.lex_state = 24, .external_lex_state = 2},
  [1220] = {.lex_state = 24, .external_lex_state = 2},
  [1221] = {.lex_state = 24, .external_lex_state = 2},
  [1222] = {.lex_state = 24, .external_lex_state = 2},
  [1223] = {.lex_state = 24, .external_lex_state = 2},
  [1224] = {.lex_state = 24, .external_lex_state = 2},
  [1225] = {.lex_state = 24, .external_lex_state = 2},
  [1226] = {.lex_state = 24, .external_lex_state = 2},
  [1227] = {.lex_state = 24, .external_lex_state = 2},
  [1228] = {.lex_state = 24, .external_lex_state = 2},
  [1229] = {.lex_state = 24, .external_lex_state = 2},
  [1230] = {.lex_state = 24, .external_lex_state = 2},
  [1231] = {.lex_state = 24, .external_lex_state = 2},
  [1232] = {.lex_state = 24, .external_lex_state = 2},
  [1233] = {.lex_state = 24, .external_lex_state = 2},
  [1234] = {.lex_state = 24, .external_lex_state = 2},
  [1235] = {.lex_state = 24, .external_lex_state = 2},
  [1236] = {.lex_state = 24, .external_lex_state = 2},
  [1237] = {.lex_state = 24, .external_lex_state = 2},
  [1238] = {.lex_state = 24, .external_lex_state = 2},
  [1239] = {.lex_state = 24, .external_lex_state = 2},
  [1240] = {.lex_state = 24, .external_lex_state = 2},
  [1241] = {.lex_state = 24, .external_lex_state = 2},
  [1242] = {.lex_state = 24, .external_lex_state = 2},
  [1243] = {.lex_state = 24, .external_lex_state = 2},
  [1244] = {.lex_state = 24, .external_lex_state = 2},
  [1245] = {.lex_state = 24, .external_lex_state = 2},
  [1246] = {.lex_state = 24, .external_lex_state = 2},
  [1247] = {.lex_state = 24, .external_lex_state = 2},
  [1248] = {.lex_state = 24, .external_lex_state = 2},
  [1249] = {.lex_state = 24, .external_lex_state = 2},
  [1250] = {.lex_state = 24, .external_lex_state = 2},
  [1251] = {.lex_state = 24, .external_lex_state = 2},
  [1252] = {.lex_state = 24, .external_lex_state = 2},
  [1253] = {.lex_state = 24, .external_lex_state = 2},
  [1254] = {.lex_state = 24, .external_lex_state = 2},
  [1255] = {.lex_state = 24, .external_lex_state = 2},
  [1256] = {.lex_state = 24, .external_lex_state = 2},
  [1257] = {.lex_state = 24, .external_lex_state = 2},
  [1258] = {.lex_state = 24, .external_lex_state = 2},
  [1259] = {.lex_state = 24, .external_lex_state = 2},
  [1260] = {.lex_state = 24, .external_lex_state = 2},
  [1261] = {.lex_state = 24, .external_lex_state = 2},
  [1262] = {.lex_state = 24, .external_lex_state = 2},
  [1263] = {.lex_state = 24, .external_lex_state = 2},
  [1264] = {.lex_state = 24, .external_lex_state = 2},
  [1265] = {.lex_state = 24, .external_lex_state = 2},
  [1266] = {.lex_state = 24, .external_lex_state = 2},
  [1267] = {.lex_state = 24, .external_lex_state = 2},
  [1268] = {.lex_state = 24, .external_lex_state = 2},
  [1269] = {.lex_state = 24, .external_lex_state = 2},
  [1270] = {.lex_state = 24, .external_lex_state = 2},
  [1271] = {.lex_state = 24, .external_lex_state = 2},
  [1272] = {.lex_state = 24, .external_lex_state = 2},
  [1273] = {.lex_state = 24, .external_lex_state = 2},
  [1274] = {.lex_state = 24, .external_lex_state = 2},
  [1275] = {.lex_state = 24, .external_lex_state = 2},
  [1276] = {.lex_state = 24, .external_lex_state = 2},
  [1277] = {.lex_state = 24, .external_lex_state = 2},
  [1278] = {.lex_state = 24, .external_lex_state = 2},
  [1279] = {.lex_state = 24, .external_lex_state = 2},
  [1280] = {.lex_state = 24, .external_lex_state = 2},
  [1281] = {.lex_state = 24, .external_lex_state = 2},
  [1282] = {.lex_state = 24, .external_lex_state = 2},
  [1283] = {.lex_state = 24, .external_lex_state = 2},
  [1284] = {.lex_state = 24, .external_lex_state = 2},
  [1285] = {.lex_state = 24, .external_lex_state = 2},
  [1286] = {.lex_state = 24, .external_lex_state = 2},
  [1287] = {.lex_state = 24, .external_lex_state = 2},
  [1288] = {.lex_state = 24, .external_lex_state = 2},
  [1289] = {.lex_state = 24, .external_lex_state = 2},
  [1290] = {.lex_state = 24, .external_lex_state = 2},
  [1291] = {.lex_state = 24, .external_lex_state = 2},
  [1292] = {.lex_state = 24, .external_lex_state = 2},
  [1293] = {.lex_state = 24, .external_lex_state = 2},
  [1294] = {.lex_state = 24, .external_lex_state = 2},
  [1295] = {.lex_state = 24, .external_lex_state = 2},
  [1296] = {.lex_state = 24, .external_lex_state = 2},
  [1297] = {.lex_state = 24, .external_lex_state = 2},
  [1298] = {.lex_state = 24, .external_lex_state = 2},
  [1299] = {.lex_state = 24, .external_lex_state = 2},
  [1300] = {.lex_state = 24, .external_lex_state = 2},
  [1301] = {.lex_state = 24, .external_lex_state = 2},
  [1302] = {.lex_state = 24, .external_lex_state = 2},
  [1303] = {.lex_state = 24, .external_lex_state = 2},
  [1304] = {.lex_state = 24, .external_lex_state = 2},
  [1305] = {.lex_state = 24, .external_lex_state = 2},
  [1306] = {.lex_state = 24, .external_lex_state = 2},
  [1307] = {.lex_state = 24, .external_lex_state = 2},
  [1308] = {.lex_state = 24, .external_lex_state = 2},
  [1309] = {.lex_state = 24, .external_lex_state = 2},
  [1310] = {.lex_state = 24, .external_lex_state = 2},
  [1311] = {.lex_state = 24, .external_lex_state = 2},
  [1312] = {.lex_state = 24, .external_lex_state = 2},
  [1313] = {.lex_state = 24, .external_lex_state = 2},
  [1314] = {.lex_state = 24, .external_lex_state = 2},
  [1315] = {.lex_state = 24, .external_lex_state = 2},
  [1316] = {.lex_state = 24, .external_lex_state = 2},
  [1317] = {.lex_state = 24, .external_lex_state = 2},
  [1318] = {.lex_state = 24, .external_lex_state = 2},
  [1319] = {.lex_state = 24, .external_lex_state = 2},
  [1320] = {.lex_state = 24, .external_lex_state = 2},
  [1321] = {.lex_state = 24, .external_lex_state = 2},
  [1322] = {.lex_state = 24, .external_lex_state = 2},
  [1323] = {.lex_state = 24, .external_lex_state = 2},
  [1324] = {.lex_state = 24, .external_lex_state = 2},
  [1325] = {.lex_state = 24, .external_lex_state = 2},
  [1326] = {.lex_state = 24, .external_lex_state = 2},
  [1327] = {.lex_state = 24, .external_lex_state = 2},
  [1328] = {.lex_state = 24, .external_lex_state = 2},
  [1329] = {.lex_state = 24, .external_lex_state = 2},
  [1330] = {.lex_state = 24, .external_lex_state = 2},
  [1331] = {.lex_state = 24, .external_lex_state = 2},
  [1332] = {.lex_state = 24, .external_lex_state = 2},
  [1333] = {.lex_state = 24, .external_lex_state = 2},
  [1334] = {.lex_state = 24, .external_lex_state = 2},
  [1335] = {.lex_state = 24, .external_lex_state = 2},
  [1336] = {.lex_state = 24, .external_lex_state = 2},
  [1337] = {.lex_state = 24, .external_lex_state = 2},
  [1338] = {.lex_state = 24, .external_lex_state = 2},
  [1339] = {.lex_state = 24, .external_lex_state = 2},
  [1340] = {.lex_state = 24, .external_lex_state = 2},
  [1341] = {.lex_state = 24, .external_lex_state = 2},
  [1342] = {.lex_state = 24, .external_lex_state = 2},
  [1343] = {.lex_state = 24, .external_lex_state = 2},
  [1344] = {.lex_state = 24, .external_lex_state = 2},
  [1345] = {.lex_state = 24, .external_lex_state = 2},
  [1346] = {.lex_state = 24, .external_lex_state = 2},
  [1347] = {.lex_state = 24, .external_lex_state = 2},
  [1348] = {.lex_state = 24, .external_lex_state = 2},
  [1349] = {.lex_state = 24, .external_lex_state = 2},
  [1350] = {.lex_state = 24, .external_lex_state = 2},
  [1351] = {.lex_state = 24, .external_lex_state = 2},
  [1352] = {.lex_state = 24, .external_lex_state = 2},
  [1353] = {.lex_state = 24, .external_lex_state = 2},
  [1354] = {.lex_state = 24, .external_lex_state = 2},
  [1355] = {.lex_state = 24, .external_lex_state = 2},
  [1356] = {.lex_state = 24, .external_lex_state = 2},
  [1357] = {.lex_state = 24, .external_lex_state = 2},
  [1358] = {.lex_state = 24, .external_lex_state = 2},
  [1359] = {.lex_state = 24, .external_lex_state = 2},
  [1360] = {.lex_state = 24, .external_lex_state = 2},
  [1361] = {.lex_state = 24, .external_lex_state = 2},
  [1362] = {.lex_state = 24, .external_lex_state = 2},
  [1363] = {.lex_state = 24, .external_lex_state = 2},
  [1364] = {.lex_state = 24, .external_lex_state = 2},
  [1365] = {.lex_state = 24, .external_lex_state = 2},
  [1366] = {.lex_state = 24, .external_lex_state = 2},
  [1367] = {.lex_state = 24, .external_lex_state = 2},
  [1368] = {.lex_state = 24, .external_lex_state = 2},
  [1369] = {.lex_state = 24, .external_lex_state = 2},
  [1370] = {.lex_state = 24, .external_lex_state = 2},
  [1371] = {.lex_state = 24, .external_lex_state = 2},
  [1372] = {.lex_state = 24, .external_lex_state = 2},
  [1373] = {.lex_state = 24, .external_lex_state = 2},
  [1374] = {.lex_state = 24, .external_lex_state = 2},
  [1375] = {.lex_state = 24, .external_lex_state = 2},
  [1376] = {.lex_state = 24, .external_lex_state = 2},
  [1377] = {.lex_state = 24, .external_lex_state = 2},
  [1378] = {.lex_state = 24, .external_lex_state = 2},
  [1379] = {.lex_state = 24, .external_lex_state = 2},
  [1380] = {.lex_state = 24, .external_lex_state = 2},
  [1381] = {.lex_state = 24, .external_lex_state = 2},
  [1382] = {.lex_state = 24, .external_lex_state = 2},
  [1383] = {.lex_state = 24, .external_lex_state = 2},
  [1384] = {.lex_state = 24, .external_lex_state = 2},
  [1385] = {.lex_state = 24, .external_lex_state = 2},
  [1386] = {.lex_state = 24, .external_lex_state = 2},
  [1387] = {.lex_state = 24, .external_lex_state = 2},
  [1388] = {.lex_state = 24, .external_lex_state = 2},
  [1389] = {.lex_state = 24, .external_lex_state = 2},
  [1390] = {.lex_state = 24, .external_lex_state = 2},
  [1391] = {.lex_state = 24, .external_lex_state = 2},
  [1392] = {.lex_state = 24, .external_lex_state = 2},
  [1393] = {.lex_state = 24, .external_lex_state = 2},
  [1394] = {.lex_state = 24, .external_lex_state = 2},
  [1395] = {.lex_state = 24, .external_lex_state = 2},
  [1396] = {.lex_state = 24, .external_lex_state = 2},
  [1397] = {.lex_state = 24, .external_lex_state = 2},
  [1398] = {.lex_state = 24, .external_lex_state = 2},
  [1399] = {.lex_state = 24, .external_lex_state = 2},
  [1400] = {.lex_state = 24, .external_lex_state = 2},
  [1401] = {.lex_state = 24, .external_lex_state = 2},
  [1402] = {.lex_state = 24, .external_lex_state = 2},
  [1403] = {.lex_state = 24, .external_lex_state = 2},
  [1404] = {.lex_state = 24, .external_lex_state = 2},
  [1405] = {.lex_state = 24, .external_lex_state = 2},
  [1406] = {.lex_state = 24, .external_lex_state = 2},
  [1407] = {.lex_state = 24, .external_lex_state = 2},
  [1408] = {.lex_state = 24, .external_lex_state = 2},
  [1409] = {.lex_state = 24, .external_lex_state = 2},
  [1410] = {.lex_state = 24, .external_lex_state = 2},
  [1411] = {.lex_state = 24, .external_lex_state = 2},
  [1412] = {.lex_state = 24, .external_lex_state = 2},
  [1413] = {.lex_state = 24, .external_lex_state = 2},
  [1414] = {.lex_state = 24, .external_lex_state = 2},
  [1415] = {.lex_state = 24, .external_lex_state = 2},
  [1416] = {.lex_state = 24, .external_lex_state = 2},
  [1417] = {.lex_state = 24, .external_lex_state = 2},
  [1418] = {.lex_state = 24, .external_lex_state = 2},
  [1419] = {.lex_state = 24, .external_lex_state = 2},
  [1420] = {.lex_state = 24, .external_lex_state = 2},
  [1421] = {.lex_state = 24, .external_lex_state = 2},
  [1422] = {.lex_state = 24, .external_lex_state = 2},
  [1423] = {.lex_state = 24, .external_lex_state = 2},
  [1424] = {.lex_state = 24, .external_lex_state = 2},
  [1425] = {.lex_state = 24, .external_lex_state = 2},
  [1426] = {.lex_state = 24, .external_lex_state = 2},
  [1427] = {.lex_state = 24, .external_lex_state = 2},
  [1428] = {.lex_state = 24, .external_lex_state = 2},
  [1429] = {.lex_state = 24, .external_lex_state = 2},
  [1430] = {.lex_state = 24, .external_lex_state = 2},
  [1431] = {.lex_state = 24, .external_lex_state = 2},
  [1432] = {.lex_state = 24, .external_lex_state = 2},
  [1433] = {.lex_state = 24, .external_lex_state = 2},
  [1434] = {.lex_state = 24, .external_lex_state = 2},
  [1435] = {.lex_state = 24, .external_lex_state = 2},
  [1436] = {.lex_state = 24, .external_lex_state = 2},
  [1437] = {.lex_state = 24, .external_lex_state = 2},
  [1438] = {.lex_state = 24, .external_lex_state = 2},
  [1439] = {.lex_state = 24, .external_lex_state = 2},
  [1440] = {.lex_state = 24, .external_lex_state = 2},
  [1441] = {.lex_state = 24, .external_lex_state = 2},
  [1442] = {.lex_state = 24, .external_lex_state = 2},
  [1443] = {.lex_state = 24, .external_lex_state = 2},
  [1444] = {.lex_state = 24, .external_lex_state = 2},
  [1445] = {.lex_state = 24, .external_lex_state = 2},
  [1446] = {.lex_state = 24, .external_lex_state = 2},
  [1447] = {.lex_state = 24, .external_lex_state = 2},
  [1448] = {.lex_state = 24, .external_lex_state = 2},
  [1449] = {.lex_state = 24, .external_lex_state = 2},
  [1450] = {.lex_state = 24, .external_lex_state = 2},
  [1451] = {.lex_state = 24, .external_lex_state = 2},
  [1452] = {.lex_state = 24, .external_lex_state = 2},
  [1453] = {.lex_state = 24, .external_lex_state = 2},
  [1454] = {.lex_state = 24, .external_lex_state = 2},
  [1455] = {.lex_state = 24, .external_lex_state = 2},
  [1456] = {.lex_state = 24, .external_lex_state = 2},
  [1457] = {.lex_state = 24, .external_lex_state = 2},
  [1458] = {.lex_state = 24, .external_lex_state = 2},
  [1459] = {.lex_state = 24, .external_lex_state = 2},
  [1460] = {.lex_state = 24, .external_lex_state = 2},
  [1461] = {.lex_state = 24, .external_lex_state = 2},
  [1462] = {.lex_state = 24, .external_lex_state = 2},
  [1463] = {.lex_state = 24, .external_lex_state = 2},
  [1464] = {.lex_state = 24, .external_lex_state = 2},
  [1465] = {.lex_state = 24, .external_lex_state = 2},
  [1466] = {.lex_state = 24, .external_lex_state = 2},
  [1467] = {.lex_state = 24, .external_lex_state = 2},
  [1468] = {.lex_state = 24, .external_lex_state = 2},
  [1469] = {.lex_state = 24, .external_lex_state = 2},
  [1470] = {.lex_state = 24, .external_lex_state = 2},
  [1471] = {.lex_state = 24, .external_lex_state = 2},
  [1472] = {.lex_state = 24, .external_lex_state = 2},
  [1473] = {.lex_state = 24, .external_lex_state = 2},
  [1474] = {.lex_state = 24, .external_lex_state = 2},
  [1475] = {.lex_state = 24, .external_lex_state = 2},
  [1476] = {.lex_state = 24, .external_lex_state = 2},
  [1477] = {.lex_state = 24, .external_lex_state = 2},
  [1478] = {.lex_state = 24, .external_lex_state = 2},
  [1479] = {.lex_state = 24, .external_lex_state = 2},
  [1480] = {.lex_state = 24, .external_lex_state = 2},
  [1481] = {.lex_state = 24, .external_lex_state = 2},
  [1482] = {.lex_state = 24, .external_lex_state = 2},
  [1483] = {.lex_state = 24, .external_lex_state = 2},
  [1484] = {.lex_state = 24, .external_lex_state = 2},
  [1485] = {.lex_state = 24, .external_lex_state = 2},
  [1486] = {.lex_state = 24, .external_lex_state = 2},
  [1487] = {.lex_state = 24, .external_lex_state = 2},
  [1488] = {.lex_state = 24, .external_lex_state = 2},
  [1489] = {.lex_state = 24, .external_lex_state = 2},
  [1490] = {.lex_state = 24, .external_lex_state = 2},
  [1491] = {.lex_state = 24, .external_lex_state = 2},
  [1492] = {.lex_state = 24, .external_lex_state = 2},
  [1493] = {.lex_state = 24, .external_lex_state = 2},
  [1494] = {.lex_state = 24, .external_lex_state = 2},
  [1495] = {.lex_state = 24, .external_lex_state = 2},
  [1496] = {.lex_state = 24, .external_lex_state = 2},
  [1497] = {.lex_state = 24, .external_lex_state = 2},
  [1498] = {.lex_state = 24, .external_lex_state = 2},
  [1499] = {.lex_state = 24, .external_lex_state = 2},
  [1500] = {.lex_state = 24, .external_lex_state = 2},
  [1501] = {.lex_state = 24, .external_lex_state = 2},
  [1502] = {.lex_state = 24, .external_lex_state = 2},
  [1503] = {.lex_state = 24, .external_lex_state = 2},
  [1504] = {.lex_state = 24, .external_lex_state = 2},
  [1505] = {.lex_state = 24, .external_lex_state = 2},
  [1506] = {.lex_state = 24, .external_lex_state = 2},
  [1507] = {.lex_state = 24, .external_lex_state = 2},
  [1508] = {.lex_state = 24, .external_lex_state = 2},
  [1509] = {.lex_state = 24, .external_lex_state = 2},
  [1510] = {.lex_state = 24, .external_lex_state = 2},
  [1511] = {.lex_state = 24, .external_lex_state = 2},
  [1512] = {.lex_state = 24, .external_lex_state = 2},
  [1513] = {.lex_state = 24, .external_lex_state = 2},
  [1514] = {.lex_state = 24, .external_lex_state = 2},
  [1515] = {.lex_state = 24, .external_lex_state = 2},
  [1516] = {.lex_state = 24, .external_lex_state = 2},
  [1517] = {.lex_state = 24, .external_lex_state = 2},
  [1518] = {.lex_state = 24, .external_lex_state = 2},
  [1519] = {.lex_state = 24, .external_lex_state = 2},
  [1520] = {.lex_state = 24, .external_lex_state = 2},
  [1521] = {.lex_state = 24, .external_lex_state = 2},
  [1522] = {.lex_state = 24, .external_lex_state = 2},
  [1523] = {.lex_state = 24, .external_lex_state = 2},
  [1524] = {.lex_state = 24, .external_lex_state = 2},
  [1525] = {.lex_state = 24, .external_lex_state = 2},
  [1526] = {.lex_state = 24, .external_lex_state = 2},
  [1527] = {.lex_state = 24, .external_lex_state = 2},
  [1528] = {.lex_state = 24, .external_lex_state = 2},
  [1529] = {.lex_state = 24, .external_lex_state = 2},
  [1530] = {.lex_state = 24, .external_lex_state = 2},
  [1531] = {.lex_state = 24, .external_lex_state = 2},
  [1532] = {.lex_state = 24, .external_lex_state = 2},
  [1533] = {.lex_state = 24, .external_lex_state = 2},
  [1534] = {.lex_state = 24, .external_lex_state = 2},
  [1535] = {.lex_state = 24, .external_lex_state = 2},
  [1536] = {.lex_state = 24, .external_lex_state = 2},
  [1537] = {.lex_state = 24, .external_lex_state = 2},
  [1538] = {.lex_state = 24, .external_lex_state = 2},
  [1539] = {.lex_state = 24, .external_lex_state = 2},
  [1540] = {.lex_state = 24, .external_lex_state = 2},
  [1541] = {.lex_state = 24, .external_lex_state = 2},
  [1542] = {.lex_state = 24, .external_lex_state = 2},
  [1543] = {.lex_state = 24, .external_lex_state = 2},
  [1544] = {.lex_state = 24, .external_lex_state = 2},
  [1545] = {.lex_state = 24, .external_lex_state = 2},
  [1546] = {.lex_state = 24, .external_lex_state = 2},
  [1547] = {.lex_state = 24, .external_lex_state = 2},
  [1548] = {.lex_state = 24, .external_lex_state = 2},
  [1549] = {.lex_state = 24, .external_lex_state = 2},
  [1550] = {.lex_state = 24, .external_lex_state = 2},
  [1551] = {.lex_state = 24, .external_lex_state = 2},
  [1552] = {.lex_state = 24, .external_lex_state = 2},
  [1553] = {.lex_state = 24, .external_lex_state = 2},
  [1554] = {.lex_state = 24, .external_lex_state = 2},
  [1555] = {.lex_state = 24, .external_lex_state = 2},
  [1556] = {.lex_state = 24, .external_lex_state = 2},
  [1557] = {.lex_state = 24, .external_lex_state = 2},
  [1558] = {.lex_state = 24, .external_lex_state = 2},
  [1559] = {.lex_state = 24, .external_lex_state = 2},
  [1560] = {.lex_state = 24, .external_lex_state = 2},
  [1561] = {.lex_state = 24, .external_lex_state = 2},
  [1562] = {.lex_state = 24, .external_lex_state = 2},
  [1563] = {.lex_state = 24, .external_lex_state = 2},
  [1564] = {.lex_state = 24, .external_lex_state = 2},
  [1565] = {.lex_state = 24, .external_lex_state = 2},
  [1566] = {.lex_state = 24, .external_lex_state = 2},
  [1567] = {.lex_state = 24, .external_lex_state = 2},
  [1568] = {.lex_state = 24, .external_lex_state = 2},
  [1569] = {.lex_state = 24, .external_lex_state = 2},
  [1570] = {.lex_state = 24, .external_lex_state = 2},
  [1571] = {.lex_state = 24, .external_lex_state = 2},
  [1572] = {.lex_state = 24, .external_lex_state = 2},
  [1573] = {.lex_state = 24, .external_lex_state = 2},
  [1574] = {.lex_state = 24, .external_lex_state = 2},
  [1575] = {.lex_state = 24, .external_lex_state = 2},
  [1576] = {.lex_state = 24, .external_lex_state = 2},
  [1577] = {.lex_state = 24, .external_lex_state = 2},
  [1578] = {.lex_state = 24, .external_lex_state = 2},
  [1579] = {.lex_state = 24, .external_lex_state = 2},
  [1580] = {.lex_state = 24, .external_lex_state = 2},
  [1581] = {.lex_state = 24, .external_lex_state = 2},
  [1582] = {.lex_state = 24, .external_lex_state = 2},
  [1583] = {.lex_state = 24, .external_lex_state = 2},
  [1584] = {.lex_state = 24, .external_lex_state = 2},
  [1585] = {.lex_state = 24, .external_lex_state = 2},
  [1586] = {.lex_state = 24, .external_lex_state = 2},
  [1587] = {.lex_state = 24, .external_lex_state = 2},
  [1588] = {.lex_state = 24, .external_lex_state = 2},
  [1589] = {.lex_state = 24, .external_lex_state = 2},
  [1590] = {.lex_state = 24, .external_lex_state = 2},
  [1591] = {.lex_state = 24, .external_lex_state = 2},
  [1592] = {.lex_state = 24, .external_lex_state = 2},
  [1593] = {.lex_state = 24, .external_lex_state = 2},
  [1594] = {.lex_state = 24, .external_lex_state = 2},
  [1595] = {.lex_state = 24, .external_lex_state = 2},
  [1596] = {.lex_state = 24, .external_lex_state = 2},
  [1597] = {.lex_state = 24, .external_lex_state = 2},
  [1598] = {.lex_state = 24, .external_lex_state = 2},
  [1599] = {.lex_state = 24, .external_lex_state = 2},
  [1600] = {.lex_state = 24, .external_lex_state = 2},
  [1601] = {.lex_state = 24, .external_lex_state = 2},
  [1602] = {.lex_state = 24, .external_lex_state = 2},
  [1603] = {.lex_state = 24, .external_lex_state = 2},
  [1604] = {.lex_state = 24, .external_lex_state = 2},
  [1605] = {.lex_state = 24, .external_lex_state = 2},
  [1606] = {.lex_state = 24, .external_lex_state = 2},
  [1607] = {.lex_state = 24, .external_lex_state = 2},
  [1608] = {.lex_state = 24, .external_lex_state = 2},
  [1609] = {.lex_state = 24, .external_lex_state = 2},
  [1610] = {.lex_state = 24, .external_lex_state = 2},
  [1611] = {.lex_state = 24, .external_lex_state = 2},
  [1612] = {.lex_state = 24, .external_lex_state = 2},
  [1613] = {.lex_state = 24, .external_lex_state = 2},
  [1614] = {.lex_state = 24, .external_lex_state = 2},
  [1615] = {.lex_state = 24, .external_lex_state = 2},
  [1616] = {.lex_state = 24, .external_lex_state = 2},
  [1617] = {.lex_state = 24, .external_lex_state = 2},
  [1618] = {.lex_state = 24, .external_lex_state = 2},
  [1619] = {.lex_state = 24, .external_lex_state = 2},
  [1620] = {.lex_state = 24, .external_lex_state = 2},
  [1621] = {.lex_state = 24, .external_lex_state = 2},
  [1622] = {.lex_state = 24, .external_lex_state = 2},
  [1623] = {.lex_state = 24, .external_lex_state = 2},
  [1624] = {.lex_state = 24, .external_lex_state = 2},
  [1625] = {.lex_state = 24, .external_lex_state = 2},
  [1626] = {.lex_state = 24, .external_lex_state = 2},
  [1627] = {.lex_state = 24, .external_lex_state = 2},
  [1628] = {.lex_state = 24, .external_lex_state = 2},
  [1629] = {.lex_state = 24, .external_lex_state = 2},
  [1630] = {.lex_state = 24, .external_lex_state = 2},
  [1631] = {.lex_state = 24, .external_lex_state = 2},
  [1632] = {.lex_state = 24, .external_lex_state = 2},
  [1633] = {.lex_state = 24, .external_lex_state = 2},
  [1634] = {.lex_state = 24, .external_lex_state = 2},
  [1635] = {.lex_state = 24, .external_lex_state = 2},
  [1636] = {.lex_state = 24, .external_lex_state = 2},
  [1637] = {.lex_state = 24, .external_lex_state = 2},
  [1638] = {.lex_state = 24, .external_lex_state = 2},
  [1639] = {.lex_state = 24, .external_lex_state = 2},
  [1640] = {.lex_state = 24, .external_lex_state = 2},
  [1641] = {.lex_state = 24, .external_lex_state = 2},
  [1642] = {.lex_state = 24, .external_lex_state = 2},
  [1643] = {.lex_state = 24, .external_lex_state = 2},
  [1644] = {.lex_state = 24, .external_lex_state = 2},
  [1645] = {.lex_state = 24, .external_lex_state = 2},
  [1646] = {.lex_state = 24, .external_lex_state = 2},
  [1647] = {.lex_state = 24, .external_lex_state = 2},
  [1648] = {.lex_state = 24, .external_lex_state = 2},
  [1649] = {.lex_state = 24, .external_lex_state = 2},
  [1650] = {.lex_state = 24, .external_lex_state = 2},
  [1651] = {.lex_state = 24, .external_lex_state = 2},
  [1652] = {.lex_state = 24, .external_lex_state = 2},
  [1653] = {.lex_state = 24, .external_lex_state = 2},
  [1654] = {.lex_state = 24, .external_lex_state = 2},
  [1655] = {.lex_state = 24, .external_lex_state = 2},
  [1656] = {.lex_state = 24, .external_lex_state = 2},
  [1657] = {.lex_state = 24, .external_lex_state = 2},
  [1658] = {.lex_state = 24, .external_lex_state = 2},
  [1659] = {.lex_state = 24, .external_lex_state = 2},
  [1660] = {.lex_state = 24, .external_lex_state = 2},
  [1661] = {.lex_state = 24, .external_lex_state = 2},
  [1662] = {.lex_state = 406, .external_lex_state = 2},
  [1663] = {.lex_state = 24, .external_lex_state = 2},
  [1664] = {.lex_state = 24, .external_lex_state = 2},
  [1665] = {.lex_state = 24, .external_lex_state = 2},
  [1666] = {.lex_state = 24, .external_lex_state = 2},
  [1667] = {.lex_state = 24, .external_lex_state = 2},
  [1668] = {.lex_state = 24, .external_lex_state = 2},
  [1669] = {.lex_state = 24, .external_lex_state = 2},
  [1670] = {.lex_state = 24, .external_lex_state = 2},
  [1671] = {.lex_state = 24, .external_lex_state = 2},
  [1672] = {.lex_state = 24, .external_lex_state = 2},
  [1673] = {.lex_state = 24, .external_lex_state = 2},
  [1674] = {.lex_state = 24, .external_lex_state = 2},
  [1675] = {.lex_state = 24, .external_lex_state = 2},
  [1676] = {.lex_state = 24, .external_lex_state = 2},
  [1677] = {.lex_state = 24, .external_lex_state = 2},
  [1678] = {.lex_state = 24, .external_lex_state = 2},
  [1679] = {.lex_state = 24, .external_lex_state = 2},
  [1680] = {.lex_state = 24, .external_lex_state = 2},
  [1681] = {.lex_state = 24, .external_lex_state = 2},
  [1682] = {.lex_state = 24, .external_lex_state = 2},
  [1683] = {.lex_state = 24, .external_lex_state = 2},
  [1684] = {.lex_state = 24, .external_lex_state = 2},
  [1685] = {.lex_state = 24, .external_lex_state = 2},
  [1686] = {.lex_state = 24, .external_lex_state = 2},
  [1687] = {.lex_state = 24, .external_lex_state = 2},
  [1688] = {.lex_state = 24, .external_lex_state = 2},
  [1689] = {.lex_state = 24, .external_lex_state = 2},
  [1690] = {.lex_state = 24, .external_lex_state = 2},
  [1691] = {.lex_state = 24, .external_lex_state = 2},
  [1692] = {.lex_state = 24, .external_lex_state = 2},
  [1693] = {.lex_state = 24, .external_lex_state = 2},
  [1694] = {.lex_state = 24, .external_lex_state = 2},
  [1695] = {.lex_state = 24, .external_lex_state = 2},
  [1696] = {.lex_state = 24, .external_lex_state = 2},
  [1697] = {.lex_state = 24, .external_lex_state = 2},
  [1698] = {.lex_state = 24, .external_lex_state = 2},
  [1699] = {.lex_state = 24, .external_lex_state = 2},
  [1700] = {.lex_state = 24, .external_lex_state = 2},
  [1701] = {.lex_state = 24, .external_lex_state = 2},
  [1702] = {.lex_state = 24, .external_lex_state = 2},
  [1703] = {.lex_state = 406, .external_lex_state = 2},
  [1704] = {.lex_state = 24, .external_lex_state = 2},
  [1705] = {.lex_state = 24, .external_lex_state = 2},
  [1706] = {.lex_state = 24, .external_lex_state = 2},
  [1707] = {.lex_state = 24, .external_lex_state = 2},
  [1708] = {.lex_state = 24, .external_lex_state = 2},
  [1709] = {.lex_state = 24, .external_lex_state = 2},
  [1710] = {.lex_state = 24, .external_lex_state = 2},
  [1711] = {.lex_state = 24, .external_lex_state = 2},
  [1712] = {.lex_state = 24, .external_lex_state = 2},
  [1713] = {.lex_state = 61, .external_lex_state = 2},
  [1714] = {.lex_state = 24, .external_lex_state = 2},
  [1715] = {.lex_state = 24, .external_lex_state = 2},
  [1716] = {.lex_state = 24, .external_lex_state = 2},
  [1717] = {.lex_state = 24, .external_lex_state = 2},
  [1718] = {.lex_state = 24, .external_lex_state = 2},
  [1719] = {.lex_state = 24, .external_lex_state = 2},
  [1720] = {.lex_state = 24, .external_lex_state = 2},
  [1721] = {.lex_state = 24, .external_lex_state = 2},
  [1722] = {.lex_state = 24, .external_lex_state = 2},
  [1723] = {.lex_state = 24, .external_lex_state = 2},
  [1724] = {.lex_state = 24, .external_lex_state = 2},
  [1725] = {.lex_state = 24, .external_lex_state = 2},
  [1726] = {.lex_state = 24, .external_lex_state = 2},
  [1727] = {.lex_state = 24, .external_lex_state = 2},
  [1728] = {.lex_state = 24, .external_lex_state = 2},
  [1729] = {.lex_state = 24, .external_lex_state = 2},
  [1730] = {.lex_state = 24, .external_lex_state = 2},
  [1731] = {.lex_state = 24, .external_lex_state = 2},
  [1732] = {.lex_state = 24, .external_lex_state = 2},
  [1733] = {.lex_state = 24, .external_lex_state = 2},
  [1734] = {.lex_state = 24, .external_lex_state = 2},
  [1735] = {.lex_state = 24, .external_lex_state = 2},
  [1736] = {.lex_state = 24, .external_lex_state = 2},
  [1737] = {.lex_state = 24, .external_lex_state = 2},
  [1738] = {.lex_state = 24, .external_lex_state = 2},
  [1739] = {.lex_state = 24, .external_lex_state = 2},
  [1740] = {.lex_state = 24, .external_lex_state = 2},
  [1741] = {.lex_state = 24, .external_lex_state = 2},
  [1742] = {.lex_state = 24, .external_lex_state = 2},
  [1743] = {.lex_state = 24, .external_lex_state = 2},
  [1744] = {.lex_state = 24, .external_lex_state = 2},
  [1745] = {.lex_state = 24, .external_lex_state = 2},
  [1746] = {.lex_state = 410, .external_lex_state = 2},
  [1747] = {.lex_state = 24, .external_lex_state = 2},
  [1748] = {.lex_state = 24, .external_lex_state = 2},
  [1749] = {.lex_state = 24, .external_lex_state = 2},
  [1750] = {.lex_state = 24, .external_lex_state = 2},
  [1751] = {.lex_state = 24, .external_lex_state = 2},
  [1752] = {.lex_state = 24, .external_lex_state = 2},
  [1753] = {.lex_state = 24, .external_lex_state = 2},
  [1754] = {.lex_state = 24, .external_lex_state = 2},
  [1755] = {.lex_state = 24, .external_lex_state = 2},
  [1756] = {.lex_state = 24, .external_lex_state = 2},
  [1757] = {.lex_state = 24, .external_lex_state = 2},
  [1758] = {.lex_state = 24, .external_lex_state = 2},
  [1759] = {.lex_state = 24, .external_lex_state = 2},
  [1760] = {.lex_state = 24, .external_lex_state = 2},
  [1761] = {.lex_state = 24, .external_lex_state = 2},
  [1762] = {.lex_state = 24, .external_lex_state = 2},
  [1763] = {.lex_state = 24, .external_lex_state = 2},
  [1764] = {.lex_state = 24, .external_lex_state = 2},
  [1765] = {.lex_state = 24, .external_lex_state = 2},
  [1766] = {.lex_state = 24, .external_lex_state = 2},
  [1767] = {.lex_state = 24, .external_lex_state = 2},
  [1768] = {.lex_state = 24, .external_lex_state = 2},
  [1769] = {.lex_state = 24, .external_lex_state = 2},
  [1770] = {.lex_state = 24, .external_lex_state = 2},
  [1771] = {.lex_state = 24, .external_lex_state = 2},
  [1772] = {.lex_state = 24, .external_lex_state = 2},
  [1773] = {.lex_state = 24, .external_lex_state = 2},
  [1774] = {.lex_state = 24, .external_lex_state = 2},
  [1775] = {.lex_state = 24, .external_lex_state = 2},
  [1776] = {.lex_state = 24, .external_lex_state = 2},
  [1777] = {.lex_state = 24, .external_lex_state = 2},
  [1778] = {.lex_state = 24, .external_lex_state = 2},
  [1779] = {.lex_state = 24, .external_lex_state = 2},
  [1780] = {.lex_state = 24, .external_lex_state = 2},
  [1781] = {.lex_state = 24, .external_lex_state = 2},
  [1782] = {.lex_state = 24, .external_lex_state = 2},
  [1783] = {.lex_state = 24, .external_lex_state = 2},
  [1784] = {.lex_state = 24, .external_lex_state = 2},
  [1785] = {.lex_state = 24, .external_lex_state = 2},
  [1786] = {.lex_state = 24, .external_lex_state = 2},
  [1787] = {.lex_state = 24, .external_lex_state = 2},
  [1788] = {.lex_state = 24, .external_lex_state = 2},
  [1789] = {.lex_state = 24, .external_lex_state = 2},
  [1790] = {.lex_state = 24, .external_lex_state = 2},
  [1791] = {.lex_state = 24, .external_lex_state = 2},
  [1792] = {.lex_state = 24, .external_lex_state = 2},
  [1793] = {.lex_state = 24, .external_lex_state = 2},
  [1794] = {.lex_state = 24, .external_lex_state = 2},
  [1795] = {.lex_state = 24, .external_lex_state = 2},
  [1796] = {.lex_state = 24, .external_lex_state = 2},
  [1797] = {.lex_state = 24, .external_lex_state = 2},
  [1798] = {.lex_state = 24, .external_lex_state = 2},
  [1799] = {.lex_state = 24, .external_lex_state = 2},
  [1800] = {.lex_state = 24, .external_lex_state = 2},
  [1801] = {.lex_state = 24, .external_lex_state = 2},
  [1802] = {.lex_state = 24, .external_lex_state = 2},
  [1803] = {.lex_state = 24, .external_lex_state = 2},
  [1804] = {.lex_state = 24, .external_lex_state = 2},
  [1805] = {.lex_state = 24, .external_lex_state = 2},
  [1806] = {.lex_state = 24, .external_lex_state = 2},
  [1807] = {.lex_state = 24, .external_lex_state = 2},
  [1808] = {.lex_state = 24, .external_lex_state = 2},
  [1809] = {.lex_state = 24, .external_lex_state = 2},
  [1810] = {.lex_state = 24, .external_lex_state = 2},
  [1811] = {.lex_state = 24, .external_lex_state = 2},
  [1812] = {.lex_state = 24, .external_lex_state = 2},
  [1813] = {.lex_state = 24, .external_lex_state = 2},
  [1814] = {.lex_state = 24, .external_lex_state = 2},
  [1815] = {.lex_state = 24, .external_lex_state = 2},
  [1816] = {.lex_state = 24, .external_lex_state = 2},
  [1817] = {.lex_state = 24, .external_lex_state = 2},
  [1818] = {.lex_state = 24, .external_lex_state = 2},
  [1819] = {.lex_state = 24, .external_lex_state = 2},
  [1820] = {.lex_state = 24, .external_lex_state = 2},
  [1821] = {.lex_state = 24, .external_lex_state = 2},
  [1822] = {.lex_state = 24, .external_lex_state = 2},
  [1823] = {.lex_state = 24, .external_lex_state = 2},
  [1824] = {.lex_state = 24, .external_lex_state = 2},
  [1825] = {.lex_state = 24, .external_lex_state = 2},
  [1826] = {.lex_state = 24, .external_lex_state = 2},
  [1827] = {.lex_state = 24, .external_lex_state = 2},
  [1828] = {.lex_state = 24, .external_lex_state = 2},
  [1829] = {.lex_state = 24, .external_lex_state = 2},
  [1830] = {.lex_state = 24, .external_lex_state = 2},
  [1831] = {.lex_state = 24, .external_lex_state = 2},
  [1832] = {.lex_state = 24, .external_lex_state = 2},
  [1833] = {.lex_state = 24, .external_lex_state = 2},
  [1834] = {.lex_state = 24, .external_lex_state = 2},
  [1835] = {.lex_state = 24, .external_lex_state = 2},
  [1836] = {.lex_state = 24, .external_lex_state = 2},
  [1837] = {.lex_state = 24, .external_lex_state = 2},
  [1838] = {.lex_state = 24, .external_lex_state = 2},
  [1839] = {.lex_state = 24, .external_lex_state = 2},
  [1840] = {.lex_state = 24, .external_lex_state = 2},
  [1841] = {.lex_state = 24, .external_lex_state = 2},
  [1842] = {.lex_state = 24, .external_lex_state = 2},
  [1843] = {.lex_state = 410, .external_lex_state = 2},
  [1844] = {.lex_state = 24, .external_lex_state = 2},
  [1845] = {.lex_state = 24, .external_lex_state = 2},
  [1846] = {.lex_state = 24, .external_lex_state = 2},
  [1847] = {.lex_state = 24, .external_lex_state = 2},
  [1848] = {.lex_state = 24, .external_lex_state = 2},
  [1849] = {.lex_state = 24, .external_lex_state = 2},
  [1850] = {.lex_state = 62, .external_lex_state = 2},
  [1851] = {.lex_state = 401, .external_lex_state = 2},
  [1852] = {.lex_state = 24, .external_lex_state = 2},
  [1853] = {.lex_state = 24, .external_lex_state = 2},
  [1854] = {.lex_state = 24, .external_lex_state = 2},
  [1855] = {.lex_state = 24, .external_lex_state = 2},
  [1856] = {.lex_state = 24, .external_lex_state = 2},
  [1857] = {.lex_state = 24, .external_lex_state = 2},
  [1858] = {.lex_state = 24, .external_lex_state = 2},
  [1859] = {.lex_state = 24, .external_lex_state = 2},
  [1860] = {.lex_state = 24, .external_lex_state = 2},
  [1861] = {.lex_state = 24, .external_lex_state = 2},
  [1862] = {.lex_state = 24, .external_lex_state = 2},
  [1863] = {.lex_state = 24, .external_lex_state = 2},
  [1864] = {.lex_state = 24, .external_lex_state = 2},
  [1865] = {.lex_state = 24, .external_lex_state = 2},
  [1866] = {.lex_state = 24, .external_lex_state = 2},
  [1867] = {.lex_state = 24, .external_lex_state = 2},
  [1868] = {.lex_state = 24, .external_lex_state = 2},
  [1869] = {.lex_state = 24, .external_lex_state = 2},
  [1870] = {.lex_state = 24, .external_lex_state = 2},
  [1871] = {.lex_state = 24, .external_lex_state = 2},
  [1872] = {.lex_state = 24, .external_lex_state = 2},
  [1873] = {.lex_state = 24, .external_lex_state = 2},
  [1874] = {.lex_state = 24, .external_lex_state = 2},
  [1875] = {.lex_state = 24, .external_lex_state = 2},
  [1876] = {.lex_state = 24, .external_lex_state = 2},
  [1877] = {.lex_state = 24, .external_lex_state = 2},
  [1878] = {.lex_state = 24, .external_lex_state = 2},
  [1879] = {.lex_state = 24, .external_lex_state = 2},
  [1880] = {.lex_state = 24, .external_lex_state = 2},
  [1881] = {.lex_state = 24, .external_lex_state = 2},
  [1882] = {.lex_state = 24, .external_lex_state = 2},
  [1883] = {.lex_state = 24, .external_lex_state = 2},
  [1884] = {.lex_state = 24, .external_lex_state = 2},
  [1885] = {.lex_state = 24, .external_lex_state = 2},
  [1886] = {.lex_state = 24, .external_lex_state = 2},
  [1887] = {.lex_state = 24, .external_lex_state = 2},
  [1888] = {.lex_state = 24, .external_lex_state = 2},
  [1889] = {.lex_state = 24, .external_lex_state = 2},
  [1890] = {.lex_state = 24, .external_lex_state = 2},
  [1891] = {.lex_state = 24, .external_lex_state = 2},
  [1892] = {.lex_state = 24, .external_lex_state = 2},
  [1893] = {.lex_state = 24, .external_lex_state = 2},
  [1894] = {.lex_state = 24, .external_lex_state = 2},
  [1895] = {.lex_state = 24, .external_lex_state = 2},
  [1896] = {.lex_state = 24, .external_lex_state = 2},
  [1897] = {.lex_state = 24, .external_lex_state = 2},
  [1898] = {.lex_state = 24, .external_lex_state = 2},
  [1899] = {.lex_state = 24, .external_lex_state = 2},
  [1900] = {.lex_state = 24, .external_lex_state = 2},
  [1901] = {.lex_state = 24, .external_lex_state = 2},
  [1902] = {.lex_state = 24, .external_lex_state = 2},
  [1903] = {.lex_state = 24, .external_lex_state = 2},
  [1904] = {.lex_state = 24, .external_lex_state = 2},
  [1905] = {.lex_state = 24, .external_lex_state = 2},
  [1906] = {.lex_state = 24, .external_lex_state = 2},
  [1907] = {.lex_state = 24, .external_lex_state = 2},
  [1908] = {.lex_state = 24, .external_lex_state = 2},
  [1909] = {.lex_state = 24, .external_lex_state = 2},
  [1910] = {.lex_state = 24, .external_lex_state = 2},
  [1911] = {.lex_state = 24, .external_lex_state = 2},
  [1912] = {.lex_state = 24, .external_lex_state = 2},
  [1913] = {.lex_state = 24, .external_lex_state = 2},
  [1914] = {.lex_state = 24, .external_lex_state = 2},
  [1915] = {.lex_state = 24, .external_lex_state = 2},
  [1916] = {.lex_state = 24, .external_lex_state = 2},
  [1917] = {.lex_state = 24, .external_lex_state = 2},
  [1918] = {.lex_state = 24, .external_lex_state = 2},
  [1919] = {.lex_state = 24, .external_lex_state = 2},
  [1920] = {.lex_state = 24, .external_lex_state = 2},
  [1921] = {.lex_state = 24, .external_lex_state = 2},
  [1922] = {.lex_state = 24, .external_lex_state = 2},
  [1923] = {.lex_state = 24, .external_lex_state = 2},
  [1924] = {.lex_state = 24, .external_lex_state = 2},
  [1925] = {.lex_state = 24, .external_lex_state = 2},
  [1926] = {.lex_state = 24, .external_lex_state = 2},
  [1927] = {.lex_state = 24, .external_lex_state = 2},
  [1928] = {.lex_state = 24, .external_lex_state = 2},
  [1929] = {.lex_state = 24, .external_lex_state = 2},
  [1930] = {.lex_state = 24, .external_lex_state = 2},
  [1931] = {.lex_state = 24, .external_lex_state = 2},
  [1932] = {.lex_state = 24, .external_lex_state = 2},
  [1933] = {.lex_state = 24, .external_lex_state = 2},
  [1934] = {.lex_state = 24, .external_lex_state = 2},
  [1935] = {.lex_state = 24, .external_lex_state = 2},
  [1936] = {.lex_state = 24, .external_lex_state = 2},
  [1937] = {.lex_state = 24, .external_lex_state = 2},
  [1938] = {.lex_state = 24, .external_lex_state = 2},
  [1939] = {.lex_state = 24, .external_lex_state = 2},
  [1940] = {.lex_state = 24, .external_lex_state = 2},
  [1941] = {.lex_state = 24, .external_lex_state = 2},
  [1942] = {.lex_state = 24, .external_lex_state = 2},
  [1943] = {.lex_state = 24, .external_lex_state = 2},
  [1944] = {.lex_state = 24, .external_lex_state = 2},
  [1945] = {.lex_state = 24, .external_lex_state = 2},
  [1946] = {.lex_state = 24, .external_lex_state = 2},
  [1947] = {.lex_state = 24, .external_lex_state = 2},
  [1948] = {.lex_state = 24, .external_lex_state = 2},
  [1949] = {.lex_state = 24, .external_lex_state = 2},
  [1950] = {.lex_state = 24, .external_lex_state = 2},
  [1951] = {.lex_state = 24, .external_lex_state = 2},
  [1952] = {.lex_state = 24, .external_lex_state = 2},
  [1953] = {.lex_state = 24, .external_lex_state = 2},
  [1954] = {.lex_state = 24, .external_lex_state = 2},
  [1955] = {.lex_state = 24, .external_lex_state = 2},
  [1956] = {.lex_state = 24, .external_lex_state = 2},
  [1957] = {.lex_state = 24, .external_lex_state = 2},
  [1958] = {.lex_state = 24, .external_lex_state = 2},
  [1959] = {.lex_state = 24, .external_lex_state = 2},
  [1960] = {.lex_state = 24, .external_lex_state = 2},
  [1961] = {.lex_state = 24, .external_lex_state = 2},
  [1962] = {.lex_state = 24, .external_lex_state = 2},
  [1963] = {.lex_state = 24, .external_lex_state = 2},
  [1964] = {.lex_state = 24, .external_lex_state = 2},
  [1965] = {.lex_state = 24, .external_lex_state = 2},
  [1966] = {.lex_state = 48, .external_lex_state = 2},
  [1967] = {.lex_state = 24, .external_lex_state = 2},
  [1968] = {.lex_state = 24, .external_lex_state = 2},
  [1969] = {.lex_state = 401, .external_lex_state = 2},
  [1970] = {.lex_state = 24, .external_lex_state = 2},
  [1971] = {.lex_state = 24, .external_lex_state = 2},
  [1972] = {.lex_state = 24, .external_lex_state = 2},
  [1973] = {.lex_state = 24, .external_lex_state = 2},
  [1974] = {.lex_state = 24, .external_lex_state = 2},
  [1975] = {.lex_state = 24, .external_lex_state = 2},
  [1976] = {.lex_state = 24, .external_lex_state = 2},
  [1977] = {.lex_state = 24, .external_lex_state = 2},
  [1978] = {.lex_state = 24, .external_lex_state = 2},
  [1979] = {.lex_state = 24, .external_lex_state = 2},
  [1980] = {.lex_state = 24, .external_lex_state = 2},
  [1981] = {.lex_state = 24, .external_lex_state = 2},
  [1982] = {.lex_state = 24, .external_lex_state = 2},
  [1983] = {.lex_state = 24, .external_lex_state = 2},
  [1984] = {.lex_state = 24, .external_lex_state = 2},
  [1985] = {.lex_state = 24, .external_lex_state = 2},
  [1986] = {.lex_state = 24, .external_lex_state = 2},
  [1987] = {.lex_state = 24, .external_lex_state = 2},
  [1988] = {.lex_state = 24, .external_lex_state = 2},
  [1989] = {.lex_state = 24, .external_lex_state = 2},
  [1990] = {.lex_state = 24, .external_lex_state = 2},
  [1991] = {.lex_state = 24, .external_lex_state = 2},
  [1992] = {.lex_state = 24, .external_lex_state = 2},
  [1993] = {.lex_state = 24, .external_lex_state = 2},
  [1994] = {.lex_state = 24, .external_lex_state = 2},
  [1995] = {.lex_state = 24, .external_lex_state = 2},
  [1996] = {.lex_state = 24, .external_lex_state = 2},
  [1997] = {.lex_state = 24, .external_lex_state = 2},
  [1998] = {.lex_state = 24, .external_lex_state = 2},
  [1999] = {.lex_state = 24, .external_lex_state = 2},
  [2000] = {.lex_state = 24, .external_lex_state = 2},
  [2001] = {.lex_state = 24, .external_lex_state = 2},
  [2002] = {.lex_state = 24, .external_lex_state = 2},
  [2003] = {.lex_state = 24, .external_lex_state = 2},
  [2004] = {.lex_state = 24, .external_lex_state = 2},
  [2005] = {.lex_state = 24, .external_lex_state = 2},
  [2006] = {.lex_state = 24, .external_lex_state = 2},
  [2007] = {.lex_state = 24, .external_lex_state = 2},
  [2008] = {.lex_state = 24, .external_lex_state = 2},
  [2009] = {.lex_state = 24, .external_lex_state = 2},
  [2010] = {.lex_state = 24, .external_lex_state = 2},
  [2011] = {.lex_state = 24, .external_lex_state = 2},
  [2012] = {.lex_state = 24, .external_lex_state = 2},
  [2013] = {.lex_state = 24, .external_lex_state = 2},
  [2014] = {.lex_state = 24, .external_lex_state = 2},
  [2015] = {.lex_state = 24, .external_lex_state = 2},
  [2016] = {.lex_state = 24, .external_lex_state = 2},
  [2017] = {.lex_state = 24, .external_lex_state = 2},
  [2018] = {.lex_state = 24, .external_lex_state = 2},
  [2019] = {.lex_state = 24, .external_lex_state = 2},
  [2020] = {.lex_state = 24, .external_lex_state = 2},
  [2021] = {.lex_state = 24, .external_lex_state = 2},
  [2022] = {.lex_state = 24, .external_lex_state = 2},
  [2023] = {.lex_state = 24, .external_lex_state = 2},
  [2024] = {.lex_state = 48, .external_lex_state = 2},
  [2025] = {.lex_state = 24, .external_lex_state = 2},
  [2026] = {.lex_state = 24, .external_lex_state = 2},
  [2027] = {.lex_state = 24, .external_lex_state = 2},
  [2028] = {.lex_state = 24, .external_lex_state = 2},
  [2029] = {.lex_state = 24, .external_lex_state = 2},
  [2030] = {.lex_state = 24, .external_lex_state = 2},
  [2031] = {.lex_state = 24, .external_lex_state = 2},
  [2032] = {.lex_state = 24, .external_lex_state = 2},
  [2033] = {.lex_state = 401, .external_lex_state = 2},
  [2034] = {.lex_state = 401, .external_lex_state = 2},
  [2035] = {.lex_state = 24, .external_lex_state = 2},
  [2036] = {.lex_state = 24, .external_lex_state = 2},
  [2037] = {.lex_state = 24, .external_lex_state = 2},
  [2038] = {.lex_state = 24, .external_lex_state = 2},
  [2039] = {.lex_state = 24, .external_lex_state = 2},
  [2040] = {.lex_state = 24, .external_lex_state = 2},
  [2041] = {.lex_state = 24, .external_lex_state = 2},
  [2042] = {.lex_state = 24, .external_lex_state = 2},
  [2043] = {.lex_state = 24, .external_lex_state = 2},
  [2044] = {.lex_state = 24, .external_lex_state = 2},
  [2045] = {.lex_state = 24, .external_lex_state = 2},
  [2046] = {.lex_state = 24, .external_lex_state = 2},
  [2047] = {.lex_state = 24, .external_lex_state = 2},
  [2048] = {.lex_state = 24, .external_lex_state = 2},
  [2049] = {.lex_state = 24, .external_lex_state = 2},
  [2050] = {.lex_state = 24, .external_lex_state = 2},
  [2051] = {.lex_state = 24, .external_lex_state = 2},
  [2052] = {.lex_state = 24, .external_lex_state = 2},
  [2053] = {.lex_state = 24, .external_lex_state = 2},
  [2054] = {.lex_state = 24, .external_lex_state = 2},
  [2055] = {.lex_state = 24, .external_lex_state = 2},
  [2056] = {.lex_state = 24, .external_lex_state = 2},
  [2057] = {.lex_state = 24, .external_lex_state = 2},
  [2058] = {.lex_state = 24, .external_lex_state = 2},
  [2059] = {.lex_state = 24, .external_lex_state = 2},
  [2060] = {.lex_state = 24, .external_lex_state = 2},
  [2061] = {.lex_state = 24, .external_lex_state = 2},
  [2062] = {.lex_state = 24, .external_lex_state = 2},
  [2063] = {.lex_state = 24, .external_lex_state = 2},
  [2064] = {.lex_state = 24, .external_lex_state = 2},
  [2065] = {.lex_state = 24, .external_lex_state = 2},
  [2066] = {.lex_state = 24, .external_lex_state = 2},
  [2067] = {.lex_state = 24, .external_lex_state = 2},
  [2068] = {.lex_state = 24, .external_lex_state = 2},
  [2069] = {.lex_state = 24, .external_lex_state = 2},
  [2070] = {.lex_state = 24, .external_lex_state = 2},
  [2071] = {.lex_state = 24, .external_lex_state = 2},
  [2072] = {.lex_state = 24, .external_lex_state = 2},
  [2073] = {.lex_state = 24, .external_lex_state = 2},
  [2074] = {.lex_state = 24, .external_lex_state = 2},
  [2075] = {.lex_state = 24, .external_lex_state = 2},
  [2076] = {.lex_state = 24, .external_lex_state = 2},
  [2077] = {.lex_state = 24, .external_lex_state = 2},
  [2078] = {.lex_state = 24, .external_lex_state = 2},
  [2079] = {.lex_state = 24, .external_lex_state = 2},
  [2080] = {.lex_state = 24, .external_lex_state = 2},
  [2081] = {.lex_state = 24, .external_lex_state = 2},
  [2082] = {.lex_state = 24, .external_lex_state = 2},
  [2083] = {.lex_state = 24, .external_lex_state = 2},
  [2084] = {.lex_state = 24, .external_lex_state = 2},
  [2085] = {.lex_state = 24, .external_lex_state = 2},
  [2086] = {.lex_state = 24, .external_lex_state = 2},
  [2087] = {.lex_state = 24, .external_lex_state = 2},
  [2088] = {.lex_state = 24, .external_lex_state = 2},
  [2089] = {.lex_state = 24, .external_lex_state = 2},
  [2090] = {.lex_state = 24, .external_lex_state = 2},
  [2091] = {.lex_state = 24, .external_lex_state = 2},
  [2092] = {.lex_state = 24, .external_lex_state = 2},
  [2093] = {.lex_state = 24, .external_lex_state = 2},
  [2094] = {.lex_state = 24, .external_lex_state = 2},
  [2095] = {.lex_state = 24, .external_lex_state = 2},
  [2096] = {.lex_state = 24, .external_lex_state = 2},
  [2097] = {.lex_state = 24, .external_lex_state = 2},
  [2098] = {.lex_state = 24, .external_lex_state = 2},
  [2099] = {.lex_state = 24, .external_lex_state = 2},
  [2100] = {.lex_state = 24, .external_lex_state = 2},
  [2101] = {.lex_state = 24, .external_lex_state = 2},
  [2102] = {.lex_state = 24, .external_lex_state = 2},
  [2103] = {.lex_state = 24, .external_lex_state = 2},
  [2104] = {.lex_state = 24, .external_lex_state = 2},
  [2105] = {.lex_state = 24, .external_lex_state = 2},
  [2106] = {.lex_state = 24, .external_lex_state = 2},
  [2107] = {.lex_state = 24, .external_lex_state = 2},
  [2108] = {.lex_state = 24, .external_lex_state = 2},
  [2109] = {.lex_state = 24, .external_lex_state = 2},
  [2110] = {.lex_state = 24, .external_lex_state = 2},
  [2111] = {.lex_state = 24, .external_lex_state = 2},
  [2112] = {.lex_state = 24, .external_lex_state = 2},
  [2113] = {.lex_state = 24, .external_lex_state = 2},
  [2114] = {.lex_state = 24, .external_lex_state = 2},
  [2115] = {.lex_state = 24, .external_lex_state = 2},
  [2116] = {.lex_state = 24, .external_lex_state = 2},
  [2117] = {.lex_state = 24, .external_lex_state = 2},
  [2118] = {.lex_state = 24, .external_lex_state = 2},
  [2119] = {.lex_state = 24, .external_lex_state = 2},
  [2120] = {.lex_state = 24, .external_lex_state = 2},
  [2121] = {.lex_state = 24, .external_lex_state = 2},
  [2122] = {.lex_state = 24, .external_lex_state = 2},
  [2123] = {.lex_state = 24, .external_lex_state = 2},
  [2124] = {.lex_state = 24, .external_lex_state = 2},
  [2125] = {.lex_state = 399, .external_lex_state = 2},
  [2126] = {.lex_state = 24, .external_lex_state = 2},
  [2127] = {.lex_state = 24, .external_lex_state = 2},
  [2128] = {.lex_state = 24, .external_lex_state = 2},
  [2129] = {.lex_state = 24, .external_lex_state = 2},
  [2130] = {.lex_state = 24, .external_lex_state = 2},
  [2131] = {.lex_state = 24, .external_lex_state = 2},
  [2132] = {.lex_state = 24, .external_lex_state = 2},
  [2133] = {.lex_state = 24, .external_lex_state = 2},
  [2134] = {.lex_state = 24, .external_lex_state = 2},
  [2135] = {.lex_state = 24, .external_lex_state = 2},
  [2136] = {.lex_state = 24, .external_lex_state = 2},
  [2137] = {.lex_state = 24, .external_lex_state = 2},
  [2138] = {.lex_state = 24, .external_lex_state = 2},
  [2139] = {.lex_state = 24, .external_lex_state = 2},
  [2140] = {.lex_state = 24, .external_lex_state = 2},
  [2141] = {.lex_state = 24, .external_lex_state = 2},
  [2142] = {.lex_state = 24, .external_lex_state = 2},
  [2143] = {.lex_state = 24, .external_lex_state = 2},
  [2144] = {.lex_state = 24, .external_lex_state = 2},
  [2145] = {.lex_state = 24, .external_lex_state = 2},
  [2146] = {.lex_state = 24, .external_lex_state = 2},
  [2147] = {.lex_state = 24, .external_lex_state = 2},
  [2148] = {.lex_state = 24, .external_lex_state = 2},
  [2149] = {.lex_state = 24, .external_lex_state = 2},
  [2150] = {.lex_state = 24, .external_lex_state = 2},
  [2151] = {.lex_state = 24, .external_lex_state = 2},
  [2152] = {.lex_state = 24, .external_lex_state = 2},
  [2153] = {.lex_state = 24, .external_lex_state = 2},
  [2154] = {.lex_state = 24, .external_lex_state = 2},
  [2155] = {.lex_state = 24, .external_lex_state = 2},
  [2156] = {.lex_state = 24, .external_lex_state = 2},
  [2157] = {.lex_state = 24, .external_lex_state = 2},
  [2158] = {.lex_state = 24, .external_lex_state = 2},
  [2159] = {.lex_state = 24, .external_lex_state = 2},
  [2160] = {.lex_state = 24, .external_lex_state = 2},
  [2161] = {.lex_state = 24, .external_lex_state = 2},
  [2162] = {.lex_state = 24, .external_lex_state = 2},
  [2163] = {.lex_state = 24, .external_lex_state = 2},
  [2164] = {.lex_state = 24, .external_lex_state = 2},
  [2165] = {.lex_state = 24, .external_lex_state = 2},
  [2166] = {.lex_state = 24, .external_lex_state = 2},
  [2167] = {.lex_state = 24, .external_lex_state = 2},
  [2168] = {.lex_state = 24, .external_lex_state = 2},
  [2169] = {.lex_state = 24, .external_lex_state = 2},
  [2170] = {.lex_state = 24, .external_lex_state = 2},
  [2171] = {.lex_state = 24, .external_lex_state = 2},
  [2172] = {.lex_state = 24, .external_lex_state = 2},
  [2173] = {.lex_state = 24, .external_lex_state = 2},
  [2174] = {.lex_state = 24, .external_lex_state = 2},
  [2175] = {.lex_state = 24, .external_lex_state = 2},
  [2176] = {.lex_state = 24, .external_lex_state = 2},
  [2177] = {.lex_state = 24, .external_lex_state = 2},
  [2178] = {.lex_state = 24, .external_lex_state = 2},
  [2179] = {.lex_state = 24, .external_lex_state = 2},
  [2180] = {.lex_state = 24, .external_lex_state = 2},
  [2181] = {.lex_state = 24, .external_lex_state = 2},
  [2182] = {.lex_state = 24, .external_lex_state = 2},
  [2183] = {.lex_state = 24, .external_lex_state = 2},
  [2184] = {.lex_state = 24, .external_lex_state = 2},
  [2185] = {.lex_state = 24, .external_lex_state = 2},
  [2186] = {.lex_state = 24, .external_lex_state = 2},
  [2187] = {.lex_state = 24, .external_lex_state = 2},
  [2188] = {.lex_state = 24, .external_lex_state = 2},
  [2189] = {.lex_state = 24, .external_lex_state = 2},
  [2190] = {.lex_state = 24, .external_lex_state = 2},
  [2191] = {.lex_state = 24, .external_lex_state = 2},
  [2192] = {.lex_state = 24, .external_lex_state = 2},
  [2193] = {.lex_state = 24, .external_lex_state = 2},
  [2194] = {.lex_state = 24, .external_lex_state = 2},
  [2195] = {.lex_state = 24, .external_lex_state = 2},
  [2196] = {.lex_state = 24, .external_lex_state = 2},
  [2197] = {.lex_state = 24, .external_lex_state = 2},
  [2198] = {.lex_state = 24, .external_lex_state = 2},
  [2199] = {.lex_state = 24, .external_lex_state = 2},
  [2200] = {.lex_state = 24, .external_lex_state = 2},
  [2201] = {.lex_state = 24, .external_lex_state = 2},
  [2202] = {.lex_state = 24, .external_lex_state = 2},
  [2203] = {.lex_state = 24, .external_lex_state = 2},
  [2204] = {.lex_state = 24, .external_lex_state = 2},
  [2205] = {.lex_state = 24, .external_lex_state = 2},
  [2206] = {.lex_state = 24, .external_lex_state = 2},
  [2207] = {.lex_state = 24, .external_lex_state = 2},
  [2208] = {.lex_state = 24, .external_lex_state = 2},
  [2209] = {.lex_state = 24, .external_lex_state = 2},
  [2210] = {.lex_state = 24, .external_lex_state = 2},
  [2211] = {.lex_state = 24, .external_lex_state = 2},
  [2212] = {.lex_state = 24, .external_lex_state = 2},
  [2213] = {.lex_state = 24, .external_lex_state = 2},
  [2214] = {.lex_state = 24, .external_lex_state = 2},
  [2215] = {.lex_state = 24, .external_lex_state = 2},
  [2216] = {.lex_state = 24, .external_lex_state = 2},
  [2217] = {.lex_state = 24, .external_lex_state = 2},
  [2218] = {.lex_state = 24, .external_lex_state = 2},
  [2219] = {.lex_state = 24, .external_lex_state = 2},
  [2220] = {.lex_state = 24, .external_lex_state = 2},
  [2221] = {.lex_state = 24, .external_lex_state = 2},
  [2222] = {.lex_state = 24, .external_lex_state = 2},
  [2223] = {.lex_state = 24, .external_lex_state = 2},
  [2224] = {.lex_state = 24, .external_lex_state = 2},
  [2225] = {.lex_state = 24, .external_lex_state = 2},
  [2226] = {.lex_state = 24, .external_lex_state = 2},
  [2227] = {.lex_state = 24, .external_lex_state = 2},
  [2228] = {.lex_state = 24, .external_lex_state = 2},
  [2229] = {.lex_state = 24, .external_lex_state = 2},
  [2230] = {.lex_state = 24, .external_lex_state = 2},
  [2231] = {.lex_state = 24, .external_lex_state = 2},
  [2232] = {.lex_state = 24, .external_lex_state = 2},
  [2233] = {.lex_state = 24, .external_lex_state = 2},
  [2234] = {.lex_state = 24, .external_lex_state = 2},
  [2235] = {.lex_state = 24, .external_lex_state = 2},
  [2236] = {.lex_state = 24, .external_lex_state = 2},
  [2237] = {.lex_state = 24, .external_lex_state = 2},
  [2238] = {.lex_state = 24, .external_lex_state = 2},
  [2239] = {.lex_state = 24, .external_lex_state = 2},
  [2240] = {.lex_state = 24, .external_lex_state = 2},
  [2241] = {.lex_state = 24, .external_lex_state = 2},
  [2242] = {.lex_state = 24, .external_lex_state = 2},
  [2243] = {.lex_state = 24, .external_lex_state = 2},
  [2244] = {.lex_state = 24, .external_lex_state = 2},
  [2245] = {.lex_state = 24, .external_lex_state = 2},
  [2246] = {.lex_state = 24, .external_lex_state = 2},
  [2247] = {.lex_state = 24, .external_lex_state = 2},
  [2248] = {.lex_state = 24, .external_lex_state = 2},
  [2249] = {.lex_state = 24, .external_lex_state = 2},
  [2250] = {.lex_state = 24, .external_lex_state = 2},
  [2251] = {.lex_state = 24, .external_lex_state = 2},
  [2252] = {.lex_state = 24, .external_lex_state = 2},
  [2253] = {.lex_state = 24, .external_lex_state = 2},
  [2254] = {.lex_state = 24, .external_lex_state = 2},
  [2255] = {.lex_state = 24, .external_lex_state = 2},
  [2256] = {.lex_state = 24, .external_lex_state = 2},
  [2257] = {.lex_state = 24, .external_lex_state = 2},
  [2258] = {.lex_state = 24, .external_lex_state = 2},
  [2259] = {.lex_state = 24, .external_lex_state = 2},
  [2260] = {.lex_state = 24, .external_lex_state = 2},
  [2261] = {.lex_state = 24, .external_lex_state = 2},
  [2262] = {.lex_state = 24, .external_lex_state = 2},
  [2263] = {.lex_state = 24, .external_lex_state = 2},
  [2264] = {.lex_state = 24, .external_lex_state = 2},
  [2265] = {.lex_state = 24, .external_lex_state = 2},
  [2266] = {.lex_state = 24, .external_lex_state = 2},
  [2267] = {.lex_state = 24, .external_lex_state = 2},
  [2268] = {.lex_state = 24, .external_lex_state = 2},
  [2269] = {.lex_state = 24, .external_lex_state = 2},
  [2270] = {.lex_state = 24, .external_lex_state = 2},
  [2271] = {.lex_state = 24, .external_lex_state = 2},
  [2272] = {.lex_state = 24, .external_lex_state = 2},
  [2273] = {.lex_state = 24, .external_lex_state = 2},
  [2274] = {.lex_state = 24, .external_lex_state = 2},
  [2275] = {.lex_state = 24, .external_lex_state = 2},
  [2276] = {.lex_state = 24, .external_lex_state = 2},
  [2277] = {.lex_state = 24, .external_lex_state = 2},
  [2278] = {.lex_state = 409, .external_lex_state = 2},
  [2279] = {.lex_state = 24, .external_lex_state = 2},
  [2280] = {.lex_state = 24, .external_lex_state = 2},
  [2281] = {.lex_state = 24, .external_lex_state = 2},
  [2282] = {.lex_state = 24, .external_lex_state = 2},
  [2283] = {.lex_state = 24, .external_lex_state = 2},
  [2284] = {.lex_state = 24, .external_lex_state = 2},
  [2285] = {.lex_state = 24, .external_lex_state = 2},
  [2286] = {.lex_state = 24, .external_lex_state = 2},
  [2287] = {.lex_state = 24, .external_lex_state = 2},
  [2288] = {.lex_state = 24, .external_lex_state = 2},
  [2289] = {.lex_state = 24, .external_lex_state = 2},
  [2290] = {.lex_state = 24, .external_lex_state = 2},
  [2291] = {.lex_state = 24, .external_lex_state = 2},
  [2292] = {.lex_state = 24, .external_lex_state = 2},
  [2293] = {.lex_state = 24, .external_lex_state = 2},
  [2294] = {.lex_state = 24, .external_lex_state = 2},
  [2295] = {.lex_state = 24, .external_lex_state = 2},
  [2296] = {.lex_state = 24, .external_lex_state = 2},
  [2297] = {.lex_state = 24, .external_lex_state = 2},
  [2298] = {.lex_state = 24, .external_lex_state = 2},
  [2299] = {.lex_state = 24, .external_lex_state = 2},
  [2300] = {.lex_state = 24, .external_lex_state = 2},
  [2301] = {.lex_state = 50, .external_lex_state = 2},
  [2302] = {.lex_state = 24, .external_lex_state = 2},
  [2303] = {.lex_state = 24, .external_lex_state = 2},
  [2304] = {.lex_state = 24, .external_lex_state = 2},
  [2305] = {.lex_state = 24, .external_lex_state = 2},
  [2306] = {.lex_state = 24, .external_lex_state = 2},
  [2307] = {.lex_state = 24, .external_lex_state = 2},
  [2308] = {.lex_state = 24, .external_lex_state = 2},
  [2309] = {.lex_state = 24, .external_lex_state = 2},
  [2310] = {.lex_state = 24, .external_lex_state = 2},
  [2311] = {.lex_state = 24, .external_lex_state = 2},
  [2312] = {.lex_state = 24, .external_lex_state = 2},
  [2313] = {.lex_state = 24, .external_lex_state = 2},
  [2314] = {.lex_state = 24, .external_lex_state = 2},
  [2315] = {.lex_state = 24, .external_lex_state = 2},
  [2316] = {.lex_state = 24, .external_lex_state = 2},
  [2317] = {.lex_state = 24, .external_lex_state = 2},
  [2318] = {.lex_state = 24, .external_lex_state = 2},
  [2319] = {.lex_state = 24, .external_lex_state = 2},
  [2320] = {.lex_state = 24, .external_lex_state = 2},
  [2321] = {.lex_state = 24, .external_lex_state = 2},
  [2322] = {.lex_state = 24, .external_lex_state = 2},
  [2323] = {.lex_state = 24, .external_lex_state = 2},
  [2324] = {.lex_state = 24, .external_lex_state = 2},
  [2325] = {.lex_state = 24, .external_lex_state = 2},
  [2326] = {.lex_state = 24, .external_lex_state = 2},
  [2327] = {.lex_state = 24, .external_lex_state = 2},
  [2328] = {.lex_state = 24, .external_lex_state = 2},
  [2329] = {.lex_state = 24, .external_lex_state = 2},
  [2330] = {.lex_state = 24, .external_lex_state = 2},
  [2331] = {.lex_state = 24, .external_lex_state = 2},
  [2332] = {.lex_state = 24, .external_lex_state = 2},
  [2333] = {.lex_state = 24, .external_lex_state = 2},
  [2334] = {.lex_state = 24, .external_lex_state = 2},
  [2335] = {.lex_state = 24, .external_lex_state = 2},
  [2336] = {.lex_state = 24, .external_lex_state = 2},
  [2337] = {.lex_state = 24, .external_lex_state = 2},
  [2338] = {.lex_state = 24, .external_lex_state = 2},
  [2339] = {.lex_state = 24, .external_lex_state = 2},
  [2340] = {.lex_state = 24, .external_lex_state = 2},
  [2341] = {.lex_state = 24, .external_lex_state = 2},
  [2342] = {.lex_state = 24, .external_lex_state = 2},
  [2343] = {.lex_state = 24, .external_lex_state = 2},
  [2344] = {.lex_state = 24, .external_lex_state = 2},
  [2345] = {.lex_state = 24, .external_lex_state = 2},
  [2346] = {.lex_state = 24, .external_lex_state = 2},
  [2347] = {.lex_state = 24, .external_lex_state = 2},
  [2348] = {.lex_state = 24, .external_lex_state = 2},
  [2349] = {.lex_state = 24, .external_lex_state = 2},
  [2350] = {.lex_state = 24, .external_lex_state = 2},
  [2351] = {.lex_state = 24, .external_lex_state = 2},
  [2352] = {.lex_state = 24, .external_lex_state = 2},
  [2353] = {.lex_state = 24, .external_lex_state = 2},
  [2354] = {.lex_state = 24, .external_lex_state = 2},
  [2355] = {.lex_state = 24, .external_lex_state = 2},
  [2356] = {.lex_state = 24, .external_lex_state = 2},
  [2357] = {.lex_state = 24, .external_lex_state = 2},
  [2358] = {.lex_state = 24, .external_lex_state = 2},
  [2359] = {.lex_state = 24, .external_lex_state = 2},
  [2360] = {.lex_state = 24, .external_lex_state = 2},
  [2361] = {.lex_state = 24, .external_lex_state = 2},
  [2362] = {.lex_state = 24, .external_lex_state = 2},
  [2363] = {.lex_state = 24, .external_lex_state = 2},
  [2364] = {.lex_state = 24, .external_lex_state = 2},
  [2365] = {.lex_state = 24, .external_lex_state = 2},
  [2366] = {.lex_state = 24, .external_lex_state = 2},
  [2367] = {.lex_state = 24, .external_lex_state = 2},
  [2368] = {.lex_state = 24, .external_lex_state = 2},
  [2369] = {.lex_state = 24, .external_lex_state = 2},
  [2370] = {.lex_state = 24, .external_lex_state = 2},
  [2371] = {.lex_state = 24, .external_lex_state = 2},
  [2372] = {.lex_state = 24, .external_lex_state = 2},
  [2373] = {.lex_state = 50, .external_lex_state = 2},
  [2374] = {.lex_state = 24, .external_lex_state = 2},
  [2375] = {.lex_state = 24, .external_lex_state = 2},
  [2376] = {.lex_state = 24, .external_lex_state = 2},
  [2377] = {.lex_state = 24, .external_lex_state = 2},
  [2378] = {.lex_state = 24, .external_lex_state = 2},
  [2379] = {.lex_state = 24, .external_lex_state = 2},
  [2380] = {.lex_state = 24, .external_lex_state = 2},
  [2381] = {.lex_state = 24, .external_lex_state = 2},
  [2382] = {.lex_state = 24, .external_lex_state = 2},
  [2383] = {.lex_state = 24, .external_lex_state = 2},
  [2384] = {.lex_state = 24, .external_lex_state = 2},
  [2385] = {.lex_state = 24, .external_lex_state = 2},
  [2386] = {.lex_state = 24, .external_lex_state = 2},
  [2387] = {.lex_state = 24, .external_lex_state = 2},
  [2388] = {.lex_state = 24, .external_lex_state = 2},
  [2389] = {.lex_state = 24, .external_lex_state = 2},
  [2390] = {.lex_state = 24, .external_lex_state = 2},
  [2391] = {.lex_state = 24, .external_lex_state = 2},
  [2392] = {.lex_state = 24, .external_lex_state = 2},
  [2393] = {.lex_state = 24, .external_lex_state = 2},
  [2394] = {.lex_state = 24, .external_lex_state = 2},
  [2395] = {.lex_state = 24, .external_lex_state = 2},
  [2396] = {.lex_state = 24, .external_lex_state = 2},
  [2397] = {.lex_state = 24, .external_lex_state = 2},
  [2398] = {.lex_state = 24, .external_lex_state = 2},
  [2399] = {.lex_state = 24, .external_lex_state = 2},
  [2400] = {.lex_state = 24, .external_lex_state = 2},
  [2401] = {.lex_state = 24, .external_lex_state = 2},
  [2402] = {.lex_state = 24, .external_lex_state = 2},
  [2403] = {.lex_state = 24, .external_lex_state = 2},
  [2404] = {.lex_state = 24, .external_lex_state = 2},
  [2405] = {.lex_state = 24, .external_lex_state = 2},
  [2406] = {.lex_state = 24, .external_lex_state = 2},
  [2407] = {.lex_state = 24, .external_lex_state = 2},
  [2408] = {.lex_state = 24, .external_lex_state = 2},
  [2409] = {.lex_state = 24, .external_lex_state = 2},
  [2410] = {.lex_state = 24, .external_lex_state = 2},
  [2411] = {.lex_state = 24, .external_lex_state = 2},
  [2412] = {.lex_state = 24, .external_lex_state = 2},
  [2413] = {.lex_state = 24, .external_lex_state = 2},
  [2414] = {.lex_state = 24, .external_lex_state = 2},
  [2415] = {.lex_state = 24, .external_lex_state = 2},
  [2416] = {.lex_state = 24, .external_lex_state = 2},
  [2417] = {.lex_state = 24, .external_lex_state = 2},
  [2418] = {.lex_state = 24, .external_lex_state = 2},
  [2419] = {.lex_state = 24, .external_lex_state = 2},
  [2420] = {.lex_state = 24, .external_lex_state = 2},
  [2421] = {.lex_state = 399, .external_lex_state = 2},
  [2422] = {.lex_state = 24, .external_lex_state = 2},
  [2423] = {.lex_state = 24, .external_lex_state = 2},
  [2424] = {.lex_state = 24, .external_lex_state = 2},
  [2425] = {.lex_state = 24, .external_lex_state = 2},
  [2426] = {.lex_state = 24, .external_lex_state = 2},
  [2427] = {.lex_state = 24, .external_lex_state = 2},
  [2428] = {.lex_state = 24, .external_lex_state = 2},
  [2429] = {.lex_state = 24, .external_lex_state = 2},
  [2430] = {.lex_state = 24, .external_lex_state = 2},
  [2431] = {.lex_state = 24, .external_lex_state = 2},
  [2432] = {.lex_state = 24, .external_lex_state = 2},
  [2433] = {.lex_state = 24, .external_lex_state = 2},
  [2434] = {.lex_state = 24, .external_lex_state = 2},
  [2435] = {.lex_state = 24, .external_lex_state = 2},
  [2436] = {.lex_state = 24, .external_lex_state = 2},
  [2437] = {.lex_state = 24, .external_lex_state = 2},
  [2438] = {.lex_state = 24, .external_lex_state = 2},
  [2439] = {.lex_state = 24, .external_lex_state = 2},
  [2440] = {.lex_state = 24, .external_lex_state = 2},
  [2441] = {.lex_state = 24, .external_lex_state = 2},
  [2442] = {.lex_state = 24, .external_lex_state = 2},
  [2443] = {.lex_state = 24, .external_lex_state = 2},
  [2444] = {.lex_state = 24, .external_lex_state = 2},
  [2445] = {.lex_state = 24, .external_lex_state = 2},
  [2446] = {.lex_state = 24, .external_lex_state = 2},
  [2447] = {.lex_state = 24, .external_lex_state = 2},
  [2448] = {.lex_state = 24, .external_lex_state = 2},
  [2449] = {.lex_state = 24, .external_lex_state = 2},
  [2450] = {.lex_state = 24, .external_lex_state = 2},
  [2451] = {.lex_state = 24, .external_lex_state = 2},
  [2452] = {.lex_state = 24, .external_lex_state = 2},
  [2453] = {.lex_state = 24, .external_lex_state = 2},
  [2454] = {.lex_state = 24, .external_lex_state = 2},
  [2455] = {.lex_state = 24, .external_lex_state = 2},
  [2456] = {.lex_state = 24, .external_lex_state = 2},
  [2457] = {.lex_state = 24, .external_lex_state = 2},
  [2458] = {.lex_state = 24, .external_lex_state = 2},
  [2459] = {.lex_state = 24, .external_lex_state = 2},
  [2460] = {.lex_state = 24, .external_lex_state = 2},
  [2461] = {.lex_state = 24, .external_lex_state = 2},
  [2462] = {.lex_state = 24, .external_lex_state = 2},
  [2463] = {.lex_state = 24, .external_lex_state = 2},
  [2464] = {.lex_state = 24, .external_lex_state = 2},
  [2465] = {.lex_state = 24, .external_lex_state = 2},
  [2466] = {.lex_state = 24, .external_lex_state = 2},
  [2467] = {.lex_state = 24, .external_lex_state = 2},
  [2468] = {.lex_state = 24, .external_lex_state = 2},
  [2469] = {.lex_state = 24, .external_lex_state = 2},
  [2470] = {.lex_state = 24, .external_lex_state = 2},
  [2471] = {.lex_state = 24, .external_lex_state = 2},
  [2472] = {.lex_state = 24, .external_lex_state = 2},
  [2473] = {.lex_state = 24, .external_lex_state = 2},
  [2474] = {.lex_state = 24, .external_lex_state = 2},
  [2475] = {.lex_state = 24, .external_lex_state = 2},
  [2476] = {.lex_state = 402, .external_lex_state = 2},
  [2477] = {.lex_state = 24, .external_lex_state = 2},
  [2478] = {.lex_state = 24, .external_lex_state = 2},
  [2479] = {.lex_state = 24, .external_lex_state = 2},
  [2480] = {.lex_state = 24, .external_lex_state = 2},
  [2481] = {.lex_state = 24, .external_lex_state = 2},
  [2482] = {.lex_state = 24, .external_lex_state = 2},
  [2483] = {.lex_state = 24, .external_lex_state = 2},
  [2484] = {.lex_state = 24, .external_lex_state = 2},
  [2485] = {.lex_state = 24, .external_lex_state = 2},
  [2486] = {.lex_state = 24, .external_lex_state = 2},
  [2487] = {.lex_state = 24, .external_lex_state = 2},
  [2488] = {.lex_state = 24, .external_lex_state = 2},
  [2489] = {.lex_state = 24, .external_lex_state = 2},
  [2490] = {.lex_state = 24, .external_lex_state = 2},
  [2491] = {.lex_state = 24, .external_lex_state = 2},
  [2492] = {.lex_state = 24, .external_lex_state = 2},
  [2493] = {.lex_state = 24, .external_lex_state = 2},
  [2494] = {.lex_state = 24, .external_lex_state = 2},
  [2495] = {.lex_state = 24, .external_lex_state = 2},
  [2496] = {.lex_state = 24, .external_lex_state = 2},
  [2497] = {.lex_state = 24, .external_lex_state = 2},
  [2498] = {.lex_state = 49, .external_lex_state = 2},
  [2499] = {.lex_state = 24, .external_lex_state = 2},
  [2500] = {.lex_state = 24, .external_lex_state = 2},
  [2501] = {.lex_state = 24, .external_lex_state = 2},
  [2502] = {.lex_state = 24, .external_lex_state = 2},
  [2503] = {.lex_state = 24, .external_lex_state = 2},
  [2504] = {.lex_state = 24, .external_lex_state = 2},
  [2505] = {.lex_state = 24, .external_lex_state = 2},
  [2506] = {.lex_state = 24, .external_lex_state = 2},
  [2507] = {.lex_state = 24, .external_lex_state = 2},
  [2508] = {.lex_state = 24, .external_lex_state = 2},
  [2509] = {.lex_state = 24, .external_lex_state = 2},
  [2510] = {.lex_state = 24, .external_lex_state = 2},
  [2511] = {.lex_state = 24, .external_lex_state = 2},
  [2512] = {.lex_state = 24, .external_lex_state = 2},
  [2513] = {.lex_state = 24, .external_lex_state = 2},
  [2514] = {.lex_state = 24, .external_lex_state = 2},
  [2515] = {.lex_state = 24, .external_lex_state = 2},
  [2516] = {.lex_state = 24, .external_lex_state = 2},
  [2517] = {.lex_state = 24, .external_lex_state = 2},
  [2518] = {.lex_state = 24, .external_lex_state = 2},
  [2519] = {.lex_state = 24, .external_lex_state = 2},
  [2520] = {.lex_state = 24, .external_lex_state = 2},
  [2521] = {.lex_state = 24, .external_lex_state = 2},
  [2522] = {.lex_state = 24, .external_lex_state = 2},
  [2523] = {.lex_state = 24, .external_lex_state = 2},
  [2524] = {.lex_state = 24, .external_lex_state = 2},
  [2525] = {.lex_state = 24, .external_lex_state = 2},
  [2526] = {.lex_state = 24, .external_lex_state = 2},
  [2527] = {.lex_state = 24, .external_lex_state = 2},
  [2528] = {.lex_state = 24, .external_lex_state = 2},
  [2529] = {.lex_state = 24, .external_lex_state = 2},
  [2530] = {.lex_state = 24, .external_lex_state = 2},
  [2531] = {.lex_state = 24, .external_lex_state = 2},
  [2532] = {.lex_state = 24, .external_lex_state = 2},
  [2533] = {.lex_state = 24, .external_lex_state = 2},
  [2534] = {.lex_state = 24, .external_lex_state = 2},
  [2535] = {.lex_state = 24, .external_lex_state = 2},
  [2536] = {.lex_state = 24, .external_lex_state = 2},
  [2537] = {.lex_state = 24, .external_lex_state = 2},
  [2538] = {.lex_state = 24, .external_lex_state = 2},
  [2539] = {.lex_state = 24, .external_lex_state = 2},
  [2540] = {.lex_state = 24, .external_lex_state = 2},
  [2541] = {.lex_state = 24, .external_lex_state = 2},
  [2542] = {.lex_state = 24, .external_lex_state = 2},
  [2543] = {.lex_state = 24, .external_lex_state = 2},
  [2544] = {.lex_state = 24, .external_lex_state = 2},
  [2545] = {.lex_state = 24, .external_lex_state = 2},
  [2546] = {.lex_state = 24, .external_lex_state = 2},
  [2547] = {.lex_state = 24, .external_lex_state = 2},
  [2548] = {.lex_state = 24, .external_lex_state = 2},
  [2549] = {.lex_state = 24, .external_lex_state = 2},
  [2550] = {.lex_state = 24, .external_lex_state = 2},
  [2551] = {.lex_state = 24, .external_lex_state = 2},
  [2552] = {.lex_state = 24, .external_lex_state = 2},
  [2553] = {.lex_state = 24, .external_lex_state = 2},
  [2554] = {.lex_state = 24, .external_lex_state = 2},
  [2555] = {.lex_state = 24, .external_lex_state = 2},
  [2556] = {.lex_state = 24, .external_lex_state = 2},
  [2557] = {.lex_state = 24, .external_lex_state = 2},
  [2558] = {.lex_state = 24, .external_lex_state = 2},
  [2559] = {.lex_state = 24, .external_lex_state = 2},
  [2560] = {.lex_state = 24, .external_lex_state = 2},
  [2561] = {.lex_state = 24, .external_lex_state = 2},
  [2562] = {.lex_state = 24, .external_lex_state = 2},
  [2563] = {.lex_state = 24, .external_lex_state = 2},
  [2564] = {.lex_state = 24, .external_lex_state = 2},
  [2565] = {.lex_state = 24, .external_lex_state = 2},
  [2566] = {.lex_state = 24, .external_lex_state = 2},
  [2567] = {.lex_state = 24, .external_lex_state = 2},
  [2568] = {.lex_state = 24, .external_lex_state = 2},
  [2569] = {.lex_state = 24, .external_lex_state = 2},
  [2570] = {.lex_state = 24, .external_lex_state = 2},
  [2571] = {.lex_state = 24, .external_lex_state = 2},
  [2572] = {.lex_state = 24, .external_lex_state = 2},
  [2573] = {.lex_state = 24, .external_lex_state = 2},
  [2574] = {.lex_state = 24, .external_lex_state = 2},
  [2575] = {.lex_state = 24, .external_lex_state = 2},
  [2576] = {.lex_state = 24, .external_lex_state = 2},
  [2577] = {.lex_state = 24, .external_lex_state = 2},
  [2578] = {.lex_state = 24, .external_lex_state = 2},
  [2579] = {.lex_state = 24, .external_lex_state = 2},
  [2580] = {.lex_state = 24, .external_lex_state = 2},
  [2581] = {.lex_state = 24, .external_lex_state = 2},
  [2582] = {.lex_state = 24, .external_lex_state = 2},
  [2583] = {.lex_state = 24, .external_lex_state = 2},
  [2584] = {.lex_state = 24, .external_lex_state = 2},
  [2585] = {.lex_state = 24, .external_lex_state = 2},
  [2586] = {.lex_state = 24, .external_lex_state = 2},
  [2587] = {.lex_state = 24, .external_lex_state = 2},
  [2588] = {.lex_state = 24, .external_lex_state = 2},
  [2589] = {.lex_state = 24, .external_lex_state = 2},
  [2590] = {.lex_state = 24, .external_lex_state = 2},
  [2591] = {.lex_state = 24, .external_lex_state = 2},
  [2592] = {.lex_state = 24, .external_lex_state = 2},
  [2593] = {.lex_state = 402, .external_lex_state = 2},
  [2594] = {.lex_state = 24, .external_lex_state = 2},
  [2595] = {.lex_state = 24, .external_lex_state = 2},
  [2596] = {.lex_state = 49, .external_lex_state = 2},
  [2597] = {.lex_state = 24, .external_lex_state = 2},
  [2598] = {.lex_state = 24, .external_lex_state = 2},
  [2599] = {.lex_state = 24, .external_lex_state = 2},
  [2600] = {.lex_state = 24, .external_lex_state = 2},
  [2601] = {.lex_state = 24, .external_lex_state = 2},
  [2602] = {.lex_state = 24, .external_lex_state = 2},
  [2603] = {.lex_state = 24, .external_lex_state = 2},
  [2604] = {.lex_state = 24, .external_lex_state = 2},
  [2605] = {.lex_state = 24, .external_lex_state = 2},
  [2606] = {.lex_state = 24, .external_lex_state = 2},
  [2607] = {.lex_state = 24, .external_lex_state = 2},
  [2608] = {.lex_state = 24, .external_lex_state = 2},
  [2609] = {.lex_state = 24, .external_lex_state = 2},
  [2610] = {.lex_state = 24, .external_lex_state = 2},
  [2611] = {.lex_state = 24, .external_lex_state = 2},
  [2612] = {.lex_state = 24, .external_lex_state = 2},
  [2613] = {.lex_state = 24, .external_lex_state = 2},
  [2614] = {.lex_state = 24, .external_lex_state = 2},
  [2615] = {.lex_state = 24, .external_lex_state = 2},
  [2616] = {.lex_state = 24, .external_lex_state = 2},
  [2617] = {.lex_state = 24, .external_lex_state = 2},
  [2618] = {.lex_state = 24, .external_lex_state = 2},
  [2619] = {.lex_state = 24, .external_lex_state = 2},
  [2620] = {.lex_state = 24, .external_lex_state = 2},
  [2621] = {.lex_state = 24, .external_lex_state = 2},
  [2622] = {.lex_state = 24, .external_lex_state = 2},
  [2623] = {.lex_state = 24, .external_lex_state = 2},
  [2624] = {.lex_state = 24, .external_lex_state = 2},
  [2625] = {.lex_state = 24, .external_lex_state = 2},
  [2626] = {.lex_state = 24, .external_lex_state = 2},
  [2627] = {.lex_state = 24, .external_lex_state = 2},
  [2628] = {.lex_state = 24, .external_lex_state = 2},
  [2629] = {.lex_state = 24, .external_lex_state = 2},
  [2630] = {.lex_state = 24, .external_lex_state = 2},
  [2631] = {.lex_state = 24, .external_lex_state = 2},
  [2632] = {.lex_state = 24, .external_lex_state = 2},
  [2633] = {.lex_state = 24, .external_lex_state = 2},
  [2634] = {.lex_state = 24, .external_lex_state = 2},
  [2635] = {.lex_state = 24, .external_lex_state = 2},
  [2636] = {.lex_state = 24, .external_lex_state = 2},
  [2637] = {.lex_state = 24, .external_lex_state = 2},
  [2638] = {.lex_state = 24, .external_lex_state = 2},
  [2639] = {.lex_state = 24, .external_lex_state = 2},
  [2640] = {.lex_state = 24, .external_lex_state = 2},
  [2641] = {.lex_state = 24, .external_lex_state = 2},
  [2642] = {.lex_state = 24, .external_lex_state = 2},
  [2643] = {.lex_state = 24, .external_lex_state = 2},
  [2644] = {.lex_state = 24, .external_lex_state = 2},
  [2645] = {.lex_state = 24, .external_lex_state = 2},
  [2646] = {.lex_state = 24, .external_lex_state = 2},
  [2647] = {.lex_state = 24, .external_lex_state = 2},
  [2648] = {.lex_state = 24, .external_lex_state = 2},
  [2649] = {.lex_state = 24, .external_lex_state = 2},
  [2650] = {.lex_state = 24, .external_lex_state = 2},
  [2651] = {.lex_state = 24, .external_lex_state = 2},
  [2652] = {.lex_state = 24, .external_lex_state = 2},
  [2653] = {.lex_state = 24, .external_lex_state = 2},
  [2654] = {.lex_state = 24, .external_lex_state = 2},
  [2655] = {.lex_state = 24, .external_lex_state = 2},
  [2656] = {.lex_state = 24, .external_lex_state = 2},
  [2657] = {.lex_state = 24, .external_lex_state = 2},
  [2658] = {.lex_state = 24, .external_lex_state = 2},
  [2659] = {.lex_state = 24, .external_lex_state = 2},
  [2660] = {.lex_state = 24, .external_lex_state = 2},
  [2661] = {.lex_state = 24, .external_lex_state = 2},
  [2662] = {.lex_state = 24, .external_lex_state = 2},
  [2663] = {.lex_state = 24, .external_lex_state = 2},
  [2664] = {.lex_state = 24, .external_lex_state = 2},
  [2665] = {.lex_state = 24, .external_lex_state = 2},
  [2666] = {.lex_state = 24, .external_lex_state = 2},
  [2667] = {.lex_state = 24, .external_lex_state = 2},
  [2668] = {.lex_state = 24, .external_lex_state = 2},
  [2669] = {.lex_state = 24, .external_lex_state = 2},
  [2670] = {.lex_state = 24, .external_lex_state = 2},
  [2671] = {.lex_state = 24, .external_lex_state = 2},
  [2672] = {.lex_state = 24, .external_lex_state = 2},
  [2673] = {.lex_state = 24, .external_lex_state = 2},
  [2674] = {.lex_state = 24, .external_lex_state = 2},
  [2675] = {.lex_state = 24, .external_lex_state = 2},
  [2676] = {.lex_state = 24, .external_lex_state = 2},
  [2677] = {.lex_state = 24, .external_lex_state = 2},
  [2678] = {.lex_state = 24, .external_lex_state = 2},
  [2679] = {.lex_state = 24, .external_lex_state = 2},
  [2680] = {.lex_state = 24, .external_lex_state = 2},
  [2681] = {.lex_state = 24, .external_lex_state = 2},
  [2682] = {.lex_state = 24, .external_lex_state = 2},
  [2683] = {.lex_state = 24, .external_lex_state = 2},
  [2684] = {.lex_state = 24, .external_lex_state = 2},
  [2685] = {.lex_state = 24, .external_lex_state = 2},
  [2686] = {.lex_state = 24, .external_lex_state = 2},
  [2687] = {.lex_state = 24, .external_lex_state = 2},
  [2688] = {.lex_state = 24, .external_lex_state = 2},
  [2689] = {.lex_state = 24, .external_lex_state = 2},
  [2690] = {.lex_state = 24, .external_lex_state = 2},
  [2691] = {.lex_state = 24, .external_lex_state = 2},
  [2692] = {.lex_state = 24, .external_lex_state = 2},
  [2693] = {.lex_state = 24, .external_lex_state = 2},
  [2694] = {.lex_state = 24, .external_lex_state = 2},
  [2695] = {.lex_state = 24, .external_lex_state = 2},
  [2696] = {.lex_state = 24, .external_lex_state = 2},
  [2697] = {.lex_state = 24, .external_lex_state = 2},
  [2698] = {.lex_state = 409, .external_lex_state = 2},
  [2699] = {.lex_state = 24, .external_lex_state = 2},
  [2700] = {.lex_state = 24, .external_lex_state = 2},
  [2701] = {.lex_state = 399, .external_lex_state = 2},
  [2702] = {.lex_state = 399, .external_lex_state = 2},
  [2703] = {.lex_state = 24, .external_lex_state = 2},
  [2704] = {.lex_state = 24, .external_lex_state = 2},
  [2705] = {.lex_state = 24, .external_lex_state = 2},
  [2706] = {.lex_state = 24, .external_lex_state = 2},
  [2707] = {.lex_state = 24, .external_lex_state = 2},
  [2708] = {.lex_state = 24, .external_lex_state = 2},
  [2709] = {.lex_state = 24, .external_lex_state = 2},
  [2710] = {.lex_state = 24, .external_lex_state = 2},
  [2711] = {.lex_state = 24, .external_lex_state = 2},
  [2712] = {.lex_state = 24, .external_lex_state = 2},
  [2713] = {.lex_state = 24, .external_lex_state = 2},
  [2714] = {.lex_state = 24, .external_lex_state = 2},
  [2715] = {.lex_state = 24, .external_lex_state = 2},
  [2716] = {.lex_state = 24, .external_lex_state = 2},
  [2717] = {.lex_state = 24, .external_lex_state = 2},
  [2718] = {.lex_state = 24, .external_lex_state = 2},
  [2719] = {.lex_state = 24, .external_lex_state = 2},
  [2720] = {.lex_state = 24, .external_lex_state = 2},
  [2721] = {.lex_state = 24, .external_lex_state = 2},
  [2722] = {.lex_state = 24, .external_lex_state = 2},
  [2723] = {.lex_state = 24, .external_lex_state = 2},
  [2724] = {.lex_state = 24, .external_lex_state = 2},
  [2725] = {.lex_state = 24, .external_lex_state = 2},
  [2726] = {.lex_state = 24, .external_lex_state = 2},
  [2727] = {.lex_state = 24, .external_lex_state = 2},
  [2728] = {.lex_state = 24, .external_lex_state = 2},
  [2729] = {.lex_state = 24, .external_lex_state = 2},
  [2730] = {.lex_state = 24, .external_lex_state = 2},
  [2731] = {.lex_state = 24, .external_lex_state = 2},
  [2732] = {.lex_state = 24, .external_lex_state = 2},
  [2733] = {.lex_state = 24, .external_lex_state = 2},
  [2734] = {.lex_state = 24, .external_lex_state = 2},
  [2735] = {.lex_state = 24, .external_lex_state = 2},
  [2736] = {.lex_state = 24, .external_lex_state = 2},
  [2737] = {.lex_state = 24, .external_lex_state = 2},
  [2738] = {.lex_state = 24, .external_lex_state = 2},
  [2739] = {.lex_state = 24, .external_lex_state = 2},
  [2740] = {.lex_state = 24, .external_lex_state = 2},
  [2741] = {.lex_state = 24, .external_lex_state = 2},
  [2742] = {.lex_state = 63, .external_lex_state = 2},
  [2743] = {.lex_state = 24, .external_lex_state = 2},
  [2744] = {.lex_state = 24, .external_lex_state = 2},
  [2745] = {.lex_state = 24, .external_lex_state = 2},
  [2746] = {.lex_state = 402, .external_lex_state = 2},
  [2747] = {.lex_state = 24, .external_lex_state = 2},
  [2748] = {.lex_state = 24, .external_lex_state = 2},
  [2749] = {.lex_state = 24, .external_lex_state = 2},
  [2750] = {.lex_state = 24, .external_lex_state = 2},
  [2751] = {.lex_state = 24, .external_lex_state = 2},
  [2752] = {.lex_state = 402, .external_lex_state = 2},
  [2753] = {.lex_state = 24, .external_lex_state = 2},
  [2754] = {.lex_state = 24, .external_lex_state = 2},
  [2755] = {.lex_state = 24, .external_lex_state = 2},
  [2756] = {.lex_state = 24, .external_lex_state = 2},
  [2757] = {.lex_state = 24, .external_lex_state = 2},
  [2758] = {.lex_state = 24, .external_lex_state = 2},
  [2759] = {.lex_state = 24, .external_lex_state = 2},
  [2760] = {.lex_state = 24, .external_lex_state = 2},
  [2761] = {.lex_state = 400, .external_lex_state = 2},
  [2762] = {.lex_state = 400, .external_lex_state = 2},
  [2763] = {.lex_state = 400, .external_lex_state = 2},
  [2764] = {.lex_state = 51, .external_lex_state = 2},
  [2765] = {.lex_state = 400, .external_lex_state = 2},
  [2766] = {.lex_state = 51, .external_lex_state = 2},
  [2767] = {.lex_state = 404, .external_lex_state = 2},
  [2768] = {.lex_state = 404, .external_lex_state = 2},
  [2769] = {.lex_state = 404, .external_lex_state = 2},
  [2770] = {.lex_state = 52, .external_lex_state = 2},
  [2771] = {.lex_state = 52, .external_lex_state = 2},
  [2772] = {.lex_state = 404, .external_lex_state = 2},
  [2773] = {.lex_state = 53, .external_lex_state = 2},
  [2774] = {.lex_state = 403, .external_lex_state = 2},
  [2775] = {.lex_state = 53, .external_lex_state = 2},
  [2776] = {.lex_state = 403, .external_lex_state = 2},
  [2777] = {.lex_state = 403, .external_lex_state = 2},
  [2778] = {.lex_state = 403, .external_lex_state = 2},
  [2779] = {.lex_state = 80, .external_lex_state = 2},
  [2780] = {.lex_state = 81, .external_lex_state = 2},
  [2781] = {.lex_state = 55, .external_lex_state = 2},
  [2782] = {.lex_state = 80, .external_lex_state = 2},
  [2783] = {.lex_state = 80, .external_lex_state = 2},
  [2784] = {.lex_state = 54, .external_lex_state = 2},
  [2785] = {.lex_state = 57, .external_lex_state = 2},
  [2786] = {.lex_state = 56, .external_lex_state = 2},
  [2787] = {.lex_state = 81, .external_lex_state = 2},
  [2788] = {.lex_state = 81, .external_lex_state = 2},
  [2789] = {.lex_state = 55, .external_lex_state = 2},
  [2790] = {.lex_state = 55, .external_lex_state = 2},
  [2791] = {.lex_state = 94, .external_lex_state = 2},
  [2792] = {.lex_state = 57, .external_lex_state = 2},
  [2793] = {.lex_state = 54, .external_lex_state = 2},
  [2794] = {.lex_state = 54, .external_lex_state = 2},
  [2795] = {.lex_state = 57, .external_lex_state = 2},
  [2796] = {.lex_state = 418, .external_lex_state = 2},
  [2797] = {.lex_state = 418, .external_lex_state = 2},
  [2798] = {.lex_state = 143, .external_lex_state = 2},
  [2799] = {.lex_state = 56, .external_lex_state = 2},
  [2800] = {.lex_state = 56, .external_lex_state = 2},
  [2801] = {.lex_state = 419, .external_lex_state = 2},
  [2802] = {.lex_state = 419, .external_lex_state = 2},
  [2803] = {.lex_state = 143, .external_lex_state = 2},
  [2804] = {.lex_state = 95, .external_lex_state = 2},
  [2805] = {.lex_state = 84, .external_lex_state = 2},
  [2806] = {.lex_state = 144, .external_lex_state = 2},
  [2807] = {.lex_state = 144, .external_lex_state = 2},
  [2808] = {.lex_state = 88, .external_lex_state = 2},
  [2809] = {.lex_state = 86, .external_lex_state = 2},
  [2810] = {.lex_state = 90, .external_lex_state = 2},
  [2811] = {.lex_state = 85, .external_lex_state = 2},
  [2812] = {.lex_state = 89, .external_lex_state = 2},
  [2813] = {.lex_state = 82, .external_lex_state = 2},
  [2814] = {.lex_state = 94, .external_lex_state = 2},
  [2815] = {.lex_state = 94, .external_lex_state = 2},
  [2816] = {.lex_state = 96, .external_lex_state = 2},
  [2817] = {.lex_state = 87, .external_lex_state = 2},
  [2818] = {.lex_state = 93, .external_lex_state = 2},
  [2819] = {.lex_state = 418, .external_lex_state = 2},
  [2820] = {.lex_state = 96, .external_lex_state = 2},
  [2821] = {.lex_state = 83, .external_lex_state = 2},
  [2822] = {.lex_state = 96, .external_lex_state = 2},
  [2823] = {.lex_state = 95, .external_lex_state = 2},
  [2824] = {.lex_state = 96, .external_lex_state = 2},
  [2825] = {.lex_state = 95, .external_lex_state = 2},
  [2826] = {.lex_state = 143, .external_lex_state = 2},
  [2827] = {.lex_state = 91, .external_lex_state = 2},
  [2828] = {.lex_state = 96, .external_lex_state = 2},
  [2829] = {.lex_state = 96, .external_lex_state = 2},
  [2830] = {.lex_state = 418, .external_lex_state = 2},
  [2831] = {.lex_state = 96, .external_lex_state = 2},
  [2832] = {.lex_state = 92, .external_lex_state = 2},
  [2833] = {.lex_state = 96, .external_lex_state = 2},
  [2834] = {.lex_state = 384, .external_lex_state = 2},
  [2835] = {.lex_state = 13, .external_lex_state = 2},
  [2836] = {.lex_state = 144, .external_lex_state = 2},
  [2837] = {.lex_state = 384, .external_lex_state = 2},
  [2838] = {.lex_state = 419, .external_lex_state = 2},
  [2839] = {.lex_state = 384, .external_lex_state = 2},
  [2840] = {.lex_state = 384, .external_lex_state = 2},
  [2841] = {.lex_state = 13, .external_lex_state = 2},
  [2842] = {.lex_state = 84, .external_lex_state = 2},
  [2843] = {.lex_state = 419, .external_lex_state = 2},
  [2844] = {.lex_state = 384, .external_lex_state = 2},
  [2845] = {.lex_state = 84, .external_lex_state = 2},
  [2846] = {.lex_state = 384, .external_lex_state = 2},
  [2847] = {.lex_state = 13, .external_lex_state = 2},
  [2848] = {.lex_state = 97, .external_lex_state = 2},
  [2849] = {.lex_state = 97, .external_lex_state = 2},
  [2850] = {.lex_state = 88, .external_lex_state = 2},
  [2851] = {.lex_state = 97, .external_lex_state = 2},
  [2852] = {.lex_state = 86, .external_lex_state = 2},
  [2853] = {.lex_state = 90, .external_lex_state = 2},
  [2854] = {.lex_state = 89, .external_lex_state = 2},
  [2855] = {.lex_state = 97, .external_lex_state = 2},
  [2856] = {.lex_state = 90, .external_lex_state = 2},
  [2857] = {.lex_state = 85, .external_lex_state = 2},
  [2858] = {.lex_state = 97, .external_lex_state = 2},
  [2859] = {.lex_state = 97, .external_lex_state = 2},
  [2860] = {.lex_state = 86, .external_lex_state = 2},
  [2861] = {.lex_state = 85, .external_lex_state = 2},
  [2862] = {.lex_state = 97, .external_lex_state = 2},
  [2863] = {.lex_state = 82, .external_lex_state = 2},
  [2864] = {.lex_state = 82, .external_lex_state = 2},
  [2865] = {.lex_state = 88, .external_lex_state = 2},
  [2866] = {.lex_state = 97, .external_lex_state = 2},
  [2867] = {.lex_state = 89, .external_lex_state = 2},
  [2868] = {.lex_state = 87, .external_lex_state = 2},
  [2869] = {.lex_state = 18, .external_lex_state = 2},
  [2870] = {.lex_state = 18, .external_lex_state = 2},
  [2871] = {.lex_state = 17, .external_lex_state = 2},
  [2872] = {.lex_state = 93, .external_lex_state = 2},
  [2873] = {.lex_state = 91, .external_lex_state = 2},
  [2874] = {.lex_state = 83, .external_lex_state = 2},
  [2875] = {.lex_state = 92, .external_lex_state = 2},
  [2876] = {.lex_state = 91, .external_lex_state = 2},
  [2877] = {.lex_state = 18, .external_lex_state = 2},
  [2878] = {.lex_state = 83, .external_lex_state = 2},
  [2879] = {.lex_state = 87, .external_lex_state = 2},
  [2880] = {.lex_state = 17, .external_lex_state = 2},
  [2881] = {.lex_state = 92, .external_lex_state = 2},
  [2882] = {.lex_state = 93, .external_lex_state = 2},
  [2883] = {.lex_state = 17, .external_lex_state = 2},
  [2884] = {.lex_state = 98, .external_lex_state = 2},
  [2885] = {.lex_state = 98, .external_lex_state = 2},
  [2886] = {.lex_state = 98, .external_lex_state = 2},
  [2887] = {.lex_state = 98, .external_lex_state = 2},
  [2888] = {.lex_state = 98, .external_lex_state = 2},
  [2889] = {.lex_state = 98, .external_lex_state = 2},
  [2890] = {.lex_state = 98, .external_lex_state = 2},
  [2891] = {.lex_state = 139, .external_lex_state = 2},
  [2892] = {.lex_state = 19, .external_lex_state = 2},
  [2893] = {.lex_state = 139, .external_lex_state = 2},
  [2894] = {.lex_state = 139, .external_lex_state = 2},
  [2895] = {.lex_state = 139, .external_lex_state = 2},
  [2896] = {.lex_state = 417, .external_lex_state = 2},
  [2897] = {.lex_state = 417, .external_lex_state = 2},
  [2898] = {.lex_state = 19, .external_lex_state = 2},
  [2899] = {.lex_state = 417, .external_lex_state = 2},
  [2900] = {.lex_state = 19, .external_lex_state = 2},
  [2901] = {.lex_state = 417, .external_lex_state = 2},
  [2902] = {.lex_state = 417, .external_lex_state = 2},
  [2903] = {.lex_state = 417, .external_lex_state = 2},
  [2904] = {.lex_state = 417, .external_lex_state = 2},
  [2905] = {.lex_state = 139, .external_lex_state = 2},
  [2906] = {.lex_state = 139, .external_lex_state = 2},
  [2907] = {.lex_state = 417, .external_lex_state = 2},
  [2908] = {.lex_state = 417, .external_lex_state = 2},
  [2909] = {.lex_state = 417, .external_lex_state = 2},
  [2910] = {.lex_state = 417, .external_lex_state = 2},
  [2911] = {.lex_state = 417, .external_lex_state = 2},
  [2912] = {.lex_state = 417, .external_lex_state = 2},
  [2913] = {.lex_state = 417, .external_lex_state = 2},
  [2914] = {.lex_state = 139, .external_lex_state = 2},
  [2915] = {.lex_state = 417, .external_lex_state = 2},
  [2916] = {.lex_state = 417, .external_lex_state = 2},
  [2917] = {.lex_state = 139, .external_lex_state = 2},
  [2918] = {.lex_state = 139, .external_lex_state = 2},
  [2919] = {.lex_state = 139, .external_lex_state = 2},
  [2920] = {.lex_state = 417, .external_lex_state = 2},
  [2921] = {.lex_state = 417, .external_lex_state = 2},
  [2922] = {.lex_state = 417, .external_lex_state = 2},
  [2923] = {.lex_state = 417, .external_lex_state = 2},
  [2924] = {.lex_state = 140, .external_lex_state = 2},
  [2925] = {.lex_state = 140, .external_lex_state = 2},
  [2926] = {.lex_state = 138, .external_lex_state = 2},
  [2927] = {.lex_state = 140, .external_lex_state = 2},
  [2928] = {.lex_state = 133, .external_lex_state = 2},
  [2929] = {.lex_state = 138, .external_lex_state = 2},
  [2930] = {.lex_state = 138, .external_lex_state = 2},
  [2931] = {.lex_state = 138, .external_lex_state = 2},
  [2932] = {.lex_state = 140, .external_lex_state = 2},
  [2933] = {.lex_state = 138, .external_lex_state = 2},
  [2934] = {.lex_state = 138, .external_lex_state = 2},
  [2935] = {.lex_state = 138, .external_lex_state = 2},
  [2936] = {.lex_state = 140, .external_lex_state = 2},
  [2937] = {.lex_state = 417, .external_lex_state = 2},
  [2938] = {.lex_state = 140, .external_lex_state = 2},
  [2939] = {.lex_state = 140, .external_lex_state = 2},
  [2940] = {.lex_state = 138, .external_lex_state = 2},
  [2941] = {.lex_state = 138, .external_lex_state = 2},
  [2942] = {.lex_state = 140, .external_lex_state = 2},
  [2943] = {.lex_state = 138, .external_lex_state = 2},
  [2944] = {.lex_state = 140, .external_lex_state = 2},
  [2945] = {.lex_state = 140, .external_lex_state = 2},
  [2946] = {.lex_state = 133, .external_lex_state = 2},
  [2947] = {.lex_state = 139, .external_lex_state = 2},
  [2948] = {.lex_state = 145, .external_lex_state = 2},
  [2949] = {.lex_state = 145, .external_lex_state = 2},
  [2950] = {.lex_state = 140, .external_lex_state = 2},
  [2951] = {.lex_state = 138, .external_lex_state = 2},
  [2952] = {.lex_state = 136, .external_lex_state = 2},
  [2953] = {.lex_state = 136, .external_lex_state = 2},
  [2954] = {.lex_state = 136, .external_lex_state = 2},
  [2955] = {.lex_state = 136, .external_lex_state = 2},
  [2956] = {.lex_state = 136, .external_lex_state = 2},
  [2957] = {.lex_state = 136, .external_lex_state = 2},
  [2958] = {.lex_state = 134, .external_lex_state = 2},
  [2959] = {.lex_state = 134, .external_lex_state = 2},
  [2960] = {.lex_state = 134, .external_lex_state = 2},
  [2961] = {.lex_state = 134, .external_lex_state = 2},
  [2962] = {.lex_state = 134, .external_lex_state = 2},
  [2963] = {.lex_state = 134, .external_lex_state = 2},
  [2964] = {.lex_state = 134, .external_lex_state = 2},
  [2965] = {.lex_state = 134, .external_lex_state = 2},
  [2966] = {.lex_state = 134, .external_lex_state = 2},
  [2967] = {.lex_state = 134, .external_lex_state = 2},
  [2968] = {.lex_state = 134, .external_lex_state = 2},
  [2969] = {.lex_state = 134, .external_lex_state = 2},
  [2970] = {.lex_state = 134, .external_lex_state = 2},
  [2971] = {.lex_state = 134, .external_lex_state = 2},
  [2972] = {.lex_state = 134, .external_lex_state = 2},
  [2973] = {.lex_state = 134, .external_lex_state = 2},
  [2974] = {.lex_state = 134, .external_lex_state = 2},
  [2975] = {.lex_state = 134, .external_lex_state = 2},
  [2976] = {.lex_state = 134, .external_lex_state = 2},
  [2977] = {.lex_state = 134, .external_lex_state = 2},
  [2978] = {.lex_state = 134, .external_lex_state = 2},
  [2979] = {.lex_state = 134, .external_lex_state = 2},
  [2980] = {.lex_state = 134, .external_lex_state = 2},
  [2981] = {.lex_state = 134, .external_lex_state = 2},
  [2982] = {.lex_state = 134, .external_lex_state = 2},
  [2983] = {.lex_state = 134, .external_lex_state = 2},
  [2984] = {.lex_state = 134, .external_lex_state = 2},
  [2985] = {.lex_state = 134, .external_lex_state = 2},
  [2986] = {.lex_state = 134, .external_lex_state = 2},
  [2987] = {.lex_state = 134, .external_lex_state = 2},
  [2988] = {.lex_state = 134, .external_lex_state = 2},
  [2989] = {.lex_state = 134, .external_lex_state = 2},
  [2990] = {.lex_state = 134, .external_lex_state = 2},
  [2991] = {.lex_state = 145, .external_lex_state = 2},
  [2992] = {.lex_state = 134, .external_lex_state = 2},
  [2993] = {.lex_state = 134, .external_lex_state = 2},
  [2994] = {.lex_state = 134, .external_lex_state = 2},
  [2995] = {.lex_state = 134, .external_lex_state = 2},
  [2996] = {.lex_state = 134, .external_lex_state = 2},
  [2997] = {.lex_state = 134, .external_lex_state = 2},
  [2998] = {.lex_state = 134, .external_lex_state = 2},
  [2999] = {.lex_state = 146, .external_lex_state = 2},
  [3000] = {.lex_state = 134, .external_lex_state = 2},
  [3001] = {.lex_state = 134, .external_lex_state = 2},
  [3002] = {.lex_state = 134, .external_lex_state = 2},
  [3003] = {.lex_state = 134, .external_lex_state = 2},
  [3004] = {.lex_state = 134, .external_lex_state = 2},
  [3005] = {.lex_state = 134, .external_lex_state = 2},
  [3006] = {.lex_state = 134, .external_lex_state = 2},
  [3007] = {.lex_state = 134, .external_lex_state = 2},
  [3008] = {.lex_state = 134, .external_lex_state = 2},
  [3009] = {.lex_state = 134, .external_lex_state = 2},
  [3010] = {.lex_state = 134, .external_lex_state = 2},
  [3011] = {.lex_state = 134, .external_lex_state = 2},
  [3012] = {.lex_state = 134, .external_lex_state = 2},
  [3013] = {.lex_state = 134, .external_lex_state = 2},
  [3014] = {.lex_state = 134, .external_lex_state = 2},
  [3015] = {.lex_state = 173, .external_lex_state = 3},
  [3016] = {.lex_state = 146, .external_lex_state = 2},
  [3017] = {.lex_state = 15, .external_lex_state = 2},
  [3018] = {.lex_state = 15, .external_lex_state = 2},
  [3019] = {.lex_state = 15, .external_lex_state = 2},
  [3020] = {.lex_state = 133, .external_lex_state = 2},
  [3021] = {.lex_state = 58, .external_lex_state = 2},
  [3022] = {.lex_state = 58, .external_lex_state = 2},
  [3023] = {.lex_state = 58, .external_lex_state = 2},
  [3024] = {.lex_state = 133, .external_lex_state = 2},
  [3025] = {.lex_state = 133, .external_lex_state = 2},
  [3026] = {.lex_state = 133, .external_lex_state = 2},
  [3027] = {.lex_state = 58, .external_lex_state = 2},
  [3028] = {.lex_state = 133, .external_lex_state = 2},
  [3029] = {.lex_state = 133, .external_lex_state = 2},
  [3030] = {.lex_state = 133, .external_lex_state = 2},
  [3031] = {.lex_state = 58, .external_lex_state = 2},
  [3032] = {.lex_state = 133, .external_lex_state = 2},
  [3033] = {.lex_state = 133, .external_lex_state = 2},
  [3034] = {.lex_state = 133, .external_lex_state = 2},
  [3035] = {.lex_state = 133, .external_lex_state = 2},
  [3036] = {.lex_state = 133, .external_lex_state = 2},
  [3037] = {.lex_state = 133, .external_lex_state = 2},
  [3038] = {.lex_state = 133, .external_lex_state = 2},
  [3039] = {.lex_state = 133, .external_lex_state = 2},
  [3040] = {.lex_state = 133, .external_lex_state = 2},
  [3041] = {.lex_state = 133, .external_lex_state = 2},
  [3042] = {.lex_state = 133, .external_lex_state = 2},
  [3043] = {.lex_state = 133, .external_lex_state = 2},
  [3044] = {.lex_state = 133, .external_lex_state = 2},
  [3045] = {.lex_state = 133, .external_lex_state = 2},
  [3046] = {.lex_state = 133, .external_lex_state = 2},
  [3047] = {.lex_state = 133, .external_lex_state = 2},
  [3048] = {.lex_state = 133, .external_lex_state = 2},
  [3049] = {.lex_state = 133, .external_lex_state = 2},
  [3050] = {.lex_state = 133, .external_lex_state = 2},
  [3051] = {.lex_state = 133, .external_lex_state = 2},
  [3052] = {.lex_state = 407, .external_lex_state = 2},
  [3053] = {.lex_state = 133, .external_lex_state = 2},
  [3054] = {.lex_state = 133, .external_lex_state = 2},
  [3055] = {.lex_state = 133, .external_lex_state = 2},
  [3056] = {.lex_state = 133, .external_lex_state = 2},
  [3057] = {.lex_state = 133, .external_lex_state = 2},
  [3058] = {.lex_state = 133, .external_lex_state = 2},
  [3059] = {.lex_state = 133, .external_lex_state = 2},
  [3060] = {.lex_state = 407, .external_lex_state = 2},
  [3061] = {.lex_state = 133, .external_lex_state = 2},
  [3062] = {.lex_state = 407, .external_lex_state = 2},
  [3063] = {.lex_state = 407, .external_lex_state = 2},
  [3064] = {.lex_state = 58, .external_lex_state = 2},
  [3065] = {.lex_state = 407, .external_lex_state = 2},
  [3066] = {.lex_state = 133, .external_lex_state = 2},
  [3067] = {.lex_state = 407, .external_lex_state = 2},
  [3068] = {.lex_state = 136, .external_lex_state = 2},
  [3069] = {.lex_state = 133, .external_lex_state = 2},
  [3070] = {.lex_state = 133, .external_lex_state = 2},
  [3071] = {.lex_state = 407, .external_lex_state = 2},
  [3072] = {.lex_state = 133, .external_lex_state = 2},
  [3073] = {.lex_state = 407, .external_lex_state = 2},
  [3074] = {.lex_state = 407, .external_lex_state = 2},
  [3075] = {.lex_state = 407, .external_lex_state = 2},
  [3076] = {.lex_state = 133, .external_lex_state = 2},
  [3077] = {.lex_state = 133, .external_lex_state = 2},
  [3078] = {.lex_state = 133, .external_lex_state = 2},
  [3079] = {.lex_state = 407, .external_lex_state = 2},
  [3080] = {.lex_state = 407, .external_lex_state = 2},
  [3081] = {.lex_state = 133, .external_lex_state = 2},
  [3082] = {.lex_state = 58, .external_lex_state = 2},
  [3083] = {.lex_state = 133, .external_lex_state = 2},
  [3084] = {.lex_state = 407, .external_lex_state = 2},
  [3085] = {.lex_state = 407, .external_lex_state = 2},
  [3086] = {.lex_state = 407, .external_lex_state = 2},
  [3087] = {.lex_state = 407, .external_lex_state = 2},
  [3088] = {.lex_state = 407, .external_lex_state = 2},
  [3089] = {.lex_state = 407, .external_lex_state = 2},
  [3090] = {.lex_state = 58, .external_lex_state = 2},
  [3091] = {.lex_state = 58, .external_lex_state = 2},
  [3092] = {.lex_state = 407, .external_lex_state = 2},
  [3093] = {.lex_state = 133, .external_lex_state = 2},
  [3094] = {.lex_state = 133, .external_lex_state = 2},
  [3095] = {.lex_state = 407, .external_lex_state = 2},
  [3096] = {.lex_state = 407, .external_lex_state = 2},
  [3097] = {.lex_state = 133, .external_lex_state = 2},
  [3098] = {.lex_state = 133, .external_lex_state = 2},
  [3099] = {.lex_state = 58, .external_lex_state = 2},
  [3100] = {.lex_state = 58, .external_lex_state = 2},
  [3101] = {.lex_state = 133, .external_lex_state = 2},
  [3102] = {.lex_state = 133, .external_lex_state = 2},
  [3103] = {.lex_state = 407, .external_lex_state = 2},
  [3104] = {.lex_state = 15, .external_lex_state = 4},
  [3105] = {.lex_state = 407, .external_lex_state = 2},
  [3106] = {.lex_state = 407, .external_lex_state = 2},
  [3107] = {.lex_state = 15, .external_lex_state = 4},
  [3108] = {.lex_state = 408, .external_lex_state = 2},
  [3109] = {.lex_state = 407, .external_lex_state = 2},
  [3110] = {.lex_state = 407, .external_lex_state = 2},
  [3111] = {.lex_state = 15, .external_lex_state = 4},
  [3112] = {.lex_state = 407, .external_lex_state = 2},
  [3113] = {.lex_state = 407, .external_lex_state = 2},
  [3114] = {.lex_state = 408, .external_lex_state = 2},
  [3115] = {.lex_state = 15, .external_lex_state = 4},
  [3116] = {.lex_state = 408, .external_lex_state = 2},
  [3117] = {.lex_state = 58, .external_lex_state = 2},
  [3118] = {.lex_state = 58, .external_lex_state = 2},
  [3119] = {.lex_state = 405, .external_lex_state = 2},
  [3120] = {.lex_state = 15, .external_lex_state = 4},
  [3121] = {.lex_state = 15, .external_lex_state = 4},
  [3122] = {.lex_state = 59, .external_lex_state = 2},
  [3123] = {.lex_state = 59, .external_lex_state = 2},
  [3124] = {.lex_state = 407, .external_lex_state = 2},
  [3125] = {.lex_state = 15, .external_lex_state = 4},
  [3126] = {.lex_state = 407, .external_lex_state = 2},
  [3127] = {.lex_state = 407, .external_lex_state = 2},
  [3128] = {.lex_state = 15, .external_lex_state = 4},
  [3129] = {.lex_state = 15, .external_lex_state = 4},
  [3130] = {.lex_state = 407, .external_lex_state = 2},
  [3131] = {.lex_state = 408, .external_lex_state = 2},
  [3132] = {.lex_state = 15, .external_lex_state = 4},
  [3133] = {.lex_state = 408, .external_lex_state = 2},
  [3134] = {.lex_state = 407, .external_lex_state = 2},
  [3135] = {.lex_state = 407, .external_lex_state = 2},
  [3136] = {.lex_state = 407, .external_lex_state = 2},
  [3137] = {.lex_state = 407, .external_lex_state = 2},
  [3138] = {.lex_state = 407, .external_lex_state = 2},
  [3139] = {.lex_state = 408, .external_lex_state = 2},
  [3140] = {.lex_state = 15, .external_lex_state = 4},
  [3141] = {.lex_state = 60, .external_lex_state = 2},
  [3142] = {.lex_state = 407, .external_lex_state = 2},
  [3143] = {.lex_state = 407, .external_lex_state = 2},
  [3144] = {.lex_state = 407, .external_lex_state = 2},
  [3145] = {.lex_state = 15, .external_lex_state = 4},
  [3146] = {.lex_state = 15, .external_lex_state = 4},
  [3147] = {.lex_state = 407, .external_lex_state = 2},
  [3148] = {.lex_state = 407, .external_lex_state = 2},
  [3149] = {.lex_state = 58, .external_lex_state = 2},
  [3150] = {.lex_state = 407, .external_lex_state = 2},
  [3151] = {.lex_state = 407, .external_lex_state = 2},
  [3152] = {.lex_state = 408, .external_lex_state = 2},
  [3153] = {.lex_state = 15, .external_lex_state = 4},
  [3154] = {.lex_state = 58, .external_lex_state = 2},
  [3155] = {.lex_state = 58, .external_lex_state = 2},
  [3156] = {.lex_state = 58, .external_lex_state = 2},
  [3157] = {.lex_state = 58, .external_lex_state = 2},
  [3158] = {.lex_state = 407, .external_lex_state = 2},
  [3159] = {.lex_state = 407, .external_lex_state = 2},
  [3160] = {.lex_state = 15, .external_lex_state = 4},
  [3161] = {.lex_state = 15, .external_lex_state = 4},
  [3162] = {.lex_state = 58, .external_lex_state = 2},
  [3163] = {.lex_state = 407, .external_lex_state = 2},
  [3164] = {.lex_state = 408, .external_lex_state = 2},
  [3165] = {.lex_state = 15, .external_lex_state = 4},
  [3166] = {.lex_state = 58, .external_lex_state = 2},
  [3167] = {.lex_state = 58, .external_lex_state = 2},
  [3168] = {.lex_state = 407, .external_lex_state = 2},
  [3169] = {.lex_state = 58, .external_lex_state = 2},
  [3170] = {.lex_state = 407, .external_lex_state = 2},
  [3171] = {.lex_state = 58, .external_lex_state = 2},
  [3172] = {.lex_state = 408, .external_lex_state = 2},
  [3173] = {.lex_state = 15, .external_lex_state = 4},
  [3174] = {.lex_state = 408, .external_lex_state = 2},
  [3175] = {.lex_state = 407, .external_lex_state = 2},
  [3176] = {.lex_state = 58, .external_lex_state = 2},
  [3177] = {.lex_state = 58, .external_lex_state = 2},
  [3178] = {.lex_state = 407, .external_lex_state = 2},
  [3179] = {.lex_state = 407, .external_lex_state = 2},
  [3180] = {.lex_state = 407, .external_lex_state = 2},
  [3181] = {.lex_state = 15, .external_lex_state = 4},
  [3182] = {.lex_state = 58, .external_lex_state = 2},
  [3183] = {.lex_state = 407, .external_lex_state = 2},
  [3184] = {.lex_state = 15, .external_lex_state = 4},
  [3185] = {.lex_state = 58, .external_lex_state = 2},
  [3186] = {.lex_state = 60, .external_lex_state = 2},
  [3187] = {.lex_state = 58, .external_lex_state = 2},
  [3188] = {.lex_state = 15, .external_lex_state = 4},
  [3189] = {.lex_state = 15, .external_lex_state = 4},
  [3190] = {.lex_state = 58, .external_lex_state = 2},
  [3191] = {.lex_state = 58, .external_lex_state = 2},
  [3192] = {.lex_state = 58, .external_lex_state = 2},
  [3193] = {.lex_state = 15, .external_lex_state = 4},
  [3194] = {.lex_state = 15, .external_lex_state = 4},
  [3195] = {.lex_state = 58, .external_lex_state = 2},
  [3196] = {.lex_state = 407, .external_lex_state = 2},
  [3197] = {.lex_state = 58, .external_lex_state = 2},
  [3198] = {.lex_state = 407, .external_lex_state = 2},
  [3199] = {.lex_state = 407, .external_lex_state = 2},
  [3200] = {.lex_state = 407, .external_lex_state = 2},
  [3201] = {.lex_state = 407, .external_lex_state = 2},
  [3202] = {.lex_state = 407, .external_lex_state = 2},
  [3203] = {.lex_state = 407, .external_lex_state = 2},
  [3204] = {.lex_state = 60, .external_lex_state = 2},
  [3205] = {.lex_state = 407, .external_lex_state = 2},
  [3206] = {.lex_state = 407, .external_lex_state = 2},
  [3207] = {.lex_state = 15, .external_lex_state = 4},
  [3208] = {.lex_state = 407, .external_lex_state = 2},
  [3209] = {.lex_state = 407, .external_lex_state = 2},
  [3210] = {.lex_state = 407, .external_lex_state = 2},
  [3211] = {.lex_state = 407, .external_lex_state = 2},
  [3212] = {.lex_state = 407, .external_lex_state = 2},
  [3213] = {.lex_state = 407, .external_lex_state = 2},
  [3214] = {.lex_state = 407, .external_lex_state = 2},
  [3215] = {.lex_state = 407, .external_lex_state = 2},
  [3216] = {.lex_state = 58, .external_lex_state = 2},
  [3217] = {.lex_state = 58, .external_lex_state = 2},
  [3218] = {.lex_state = 58, .external_lex_state = 2},
  [3219] = {.lex_state = 58, .external_lex_state = 2},
  [3220] = {.lex_state = 407, .external_lex_state = 2},
  [3221] = {.lex_state = 407, .external_lex_state = 2},
  [3222] = {.lex_state = 407, .external_lex_state = 2},
  [3223] = {.lex_state = 405, .external_lex_state = 2},
  [3224] = {.lex_state = 15, .external_lex_state = 4},
  [3225] = {.lex_state = 407, .external_lex_state = 2},
  [3226] = {.lex_state = 407, .external_lex_state = 2},
  [3227] = {.lex_state = 407, .external_lex_state = 2},
  [3228] = {.lex_state = 407, .external_lex_state = 2},
  [3229] = {.lex_state = 407, .external_lex_state = 2},
  [3230] = {.lex_state = 407, .external_lex_state = 2},
  [3231] = {.lex_state = 407, .external_lex_state = 2},
  [3232] = {.lex_state = 405, .external_lex_state = 2},
  [3233] = {.lex_state = 408, .external_lex_state = 2},
  [3234] = {.lex_state = 405, .external_lex_state = 2},
  [3235] = {.lex_state = 60, .external_lex_state = 2},
  [3236] = {.lex_state = 408, .external_lex_state = 2},
  [3237] = {.lex_state = 15, .external_lex_state = 4},
  [3238] = {.lex_state = 408, .external_lex_state = 2},
  [3239] = {.lex_state = 60, .external_lex_state = 2},
  [3240] = {.lex_state = 407, .external_lex_state = 2},
  [3241] = {.lex_state = 407, .external_lex_state = 2},
  [3242] = {.lex_state = 407, .external_lex_state = 2},
  [3243] = {.lex_state = 407, .external_lex_state = 2},
  [3244] = {.lex_state = 407, .external_lex_state = 2},
  [3245] = {.lex_state = 407, .external_lex_state = 2},
  [3246] = {.lex_state = 407, .external_lex_state = 2},
  [3247] = {.lex_state = 15, .external_lex_state = 2},
  [3248] = {.lex_state = 15, .external_lex_state = 2},
  [3249] = {.lex_state = 15, .external_lex_state = 4},
  [3250] = {.lex_state = 15, .external_lex_state = 4},
  [3251] = {.lex_state = 407, .external_lex_state = 2},
  [3252] = {.lex_state = 15, .external_lex_state = 4},
  [3253] = {.lex_state = 407, .external_lex_state = 2},
  [3254] = {.lex_state = 407, .external_lex_state = 2},
  [3255] = {.lex_state = 407, .external_lex_state = 2},
  [3256] = {.lex_state = 407, .external_lex_state = 2},
  [3257] = {.lex_state = 407, .external_lex_state = 2},
  [3258] = {.lex_state = 407, .external_lex_state = 2},
  [3259] = {.lex_state = 407, .external_lex_state = 2},
  [3260] = {.lex_state = 407, .external_lex_state = 2},
  [3261] = {.lex_state = 407, .external_lex_state = 2},
  [3262] = {.lex_state = 408, .external_lex_state = 2},
  [3263] = {.lex_state = 405, .external_lex_state = 2},
  [3264] = {.lex_state = 405, .external_lex_state = 2},
  [3265] = {.lex_state = 408, .external_lex_state = 2},
  [3266] = {.lex_state = 405, .external_lex_state = 2},
  [3267] = {.lex_state = 15, .external_lex_state = 4},
  [3268] = {.lex_state = 408, .external_lex_state = 2},
  [3269] = {.lex_state = 407, .external_lex_state = 2},
  [3270] = {.lex_state = 408, .external_lex_state = 2},
  [3271] = {.lex_state = 408, .external_lex_state = 2},
  [3272] = {.lex_state = 58, .external_lex_state = 2},
  [3273] = {.lex_state = 15, .external_lex_state = 4},
  [3274] = {.lex_state = 407, .external_lex_state = 2},
  [3275] = {.lex_state = 407, .external_lex_state = 2},
  [3276] = {.lex_state = 407, .external_lex_state = 2},
  [3277] = {.lex_state = 407, .external_lex_state = 2},
  [3278] = {.lex_state = 407, .external_lex_state = 2},
  [3279] = {.lex_state = 407, .external_lex_state = 2},
  [3280] = {.lex_state = 407, .external_lex_state = 2},
  [3281] = {.lex_state = 58, .external_lex_state = 2},
  [3282] = {.lex_state = 407, .external_lex_state = 2},
  [3283] = {.lex_state = 15, .external_lex_state = 4},
  [3284] = {.lex_state = 15, .external_lex_state = 4},
  [3285] = {.lex_state = 58, .external_lex_state = 2},
  [3286] = {.lex_state = 405, .external_lex_state = 2},
  [3287] = {.lex_state = 405, .external_lex_state = 2},
  [3288] = {.lex_state = 58, .external_lex_state = 2},
  [3289] = {.lex_state = 407, .external_lex_state = 2},
  [3290] = {.lex_state = 15, .external_lex_state = 4},
  [3291] = {.lex_state = 407, .external_lex_state = 2},
  [3292] = {.lex_state = 407, .external_lex_state = 2},
  [3293] = {.lex_state = 405, .external_lex_state = 2},
  [3294] = {.lex_state = 407, .external_lex_state = 2},
  [3295] = {.lex_state = 407, .external_lex_state = 2},
  [3296] = {.lex_state = 407, .external_lex_state = 2},
  [3297] = {.lex_state = 58, .external_lex_state = 2},
  [3298] = {.lex_state = 405, .external_lex_state = 2},
  [3299] = {.lex_state = 408, .external_lex_state = 2},
  [3300] = {.lex_state = 405, .external_lex_state = 2},
  [3301] = {.lex_state = 405, .external_lex_state = 2},
  [3302] = {.lex_state = 407, .external_lex_state = 2},
  [3303] = {.lex_state = 407, .external_lex_state = 2},
  [3304] = {.lex_state = 407, .external_lex_state = 2},
  [3305] = {.lex_state = 407, .external_lex_state = 2},
  [3306] = {.lex_state = 407, .external_lex_state = 2},
  [3307] = {.lex_state = 405, .external_lex_state = 2},
  [3308] = {.lex_state = 15, .external_lex_state = 4},
  [3309] = {.lex_state = 407, .external_lex_state = 2},
  [3310] = {.lex_state = 405, .external_lex_state = 2},
  [3311] = {.lex_state = 408, .external_lex_state = 2},
  [3312] = {.lex_state = 407, .external_lex_state = 2},
  [3313] = {.lex_state = 407, .external_lex_state = 2},
  [3314] = {.lex_state = 15, .external_lex_state = 4},
  [3315] = {.lex_state = 405, .external_lex_state = 2},
  [3316] = {.lex_state = 405, .external_lex_state = 2},
  [3317] = {.lex_state = 58, .external_lex_state = 2},
  [3318] = {.lex_state = 405, .external_lex_state = 2},
  [3319] = {.lex_state = 407, .external_lex_state = 2},
  [3320] = {.lex_state = 407, .external_lex_state = 2},
  [3321] = {.lex_state = 407, .external_lex_state = 2},
  [3322] = {.lex_state = 407, .external_lex_state = 2},
  [3323] = {.lex_state = 407, .external_lex_state = 2},
  [3324] = {.lex_state = 58, .external_lex_state = 2},
  [3325] = {.lex_state = 407, .external_lex_state = 2},
  [3326] = {.lex_state = 407, .external_lex_state = 2},
  [3327] = {.lex_state = 60, .external_lex_state = 2},
  [3328] = {.lex_state = 407, .external_lex_state = 2},
  [3329] = {.lex_state = 58, .external_lex_state = 2},
  [3330] = {.lex_state = 58, .external_lex_state = 2},
  [3331] = {.lex_state = 407, .external_lex_state = 2},
  [3332] = {.lex_state = 60, .external_lex_state = 2},
  [3333] = {.lex_state = 15, .external_lex_state = 4},
  [3334] = {.lex_state = 407, .external_lex_state = 2},
  [3335] = {.lex_state = 58, .external_lex_state = 2},
  [3336] = {.lex_state = 58, .external_lex_state = 2},
  [3337] = {.lex_state = 58, .external_lex_state = 2},
  [3338] = {.lex_state = 407, .external_lex_state = 2},
  [3339] = {.lex_state = 58, .external_lex_state = 2},
  [3340] = {.lex_state = 405, .external_lex_state = 2},
  [3341] = {.lex_state = 407, .external_lex_state = 2},
  [3342] = {.lex_state = 59, .external_lex_state = 2},
  [3343] = {.lex_state = 407, .external_lex_state = 2},
  [3344] = {.lex_state = 407, .external_lex_state = 2},
  [3345] = {.lex_state = 407, .external_lex_state = 2},
  [3346] = {.lex_state = 407, .external_lex_state = 2},
  [3347] = {.lex_state = 15, .external_lex_state = 4},
  [3348] = {.lex_state = 58, .external_lex_state = 2},
  [3349] = {.lex_state = 15, .external_lex_state = 4},
  [3350] = {.lex_state = 58, .external_lex_state = 2},
  [3351] = {.lex_state = 407, .external_lex_state = 2},
  [3352] = {.lex_state = 58, .external_lex_state = 2},
  [3353] = {.lex_state = 405, .external_lex_state = 2},
  [3354] = {.lex_state = 58, .external_lex_state = 2},
  [3355] = {.lex_state = 58, .external_lex_state = 2},
  [3356] = {.lex_state = 407, .external_lex_state = 2},
  [3357] = {.lex_state = 407, .external_lex_state = 2},
  [3358] = {.lex_state = 58, .external_lex_state = 2},
  [3359] = {.lex_state = 407, .external_lex_state = 2},
  [3360] = {.lex_state = 58, .external_lex_state = 2},
  [3361] = {.lex_state = 60, .external_lex_state = 2},
  [3362] = {.lex_state = 15, .external_lex_state = 4},
  [3363] = {.lex_state = 407, .external_lex_state = 2},
  [3364] = {.lex_state = 15, .external_lex_state = 4},
  [3365] = {.lex_state = 58, .external_lex_state = 2},
  [3366] = {.lex_state = 58, .external_lex_state = 2},
  [3367] = {.lex_state = 58, .external_lex_state = 2},
  [3368] = {.lex_state = 407, .external_lex_state = 2},
  [3369] = {.lex_state = 407, .external_lex_state = 2},
  [3370] = {.lex_state = 407, .external_lex_state = 2},
  [3371] = {.lex_state = 407, .external_lex_state = 2},
  [3372] = {.lex_state = 407, .external_lex_state = 2},
  [3373] = {.lex_state = 407, .external_lex_state = 2},
  [3374] = {.lex_state = 407, .external_lex_state = 2},
  [3375] = {.lex_state = 407, .external_lex_state = 2},
  [3376] = {.lex_state = 407, .external_lex_state = 2},
  [3377] = {.lex_state = 407, .external_lex_state = 2},
  [3378] = {.lex_state = 15, .external_lex_state = 4},
  [3379] = {.lex_state = 58, .external_lex_state = 2},
  [3380] = {.lex_state = 60, .external_lex_state = 2},
  [3381] = {.lex_state = 407, .external_lex_state = 2},
  [3382] = {.lex_state = 407, .external_lex_state = 2},
  [3383] = {.lex_state = 407, .external_lex_state = 2},
  [3384] = {.lex_state = 407, .external_lex_state = 2},
  [3385] = {.lex_state = 15, .external_lex_state = 4},
  [3386] = {.lex_state = 15, .external_lex_state = 4},
  [3387] = {.lex_state = 58, .external_lex_state = 2},
  [3388] = {.lex_state = 407, .external_lex_state = 2},
  [3389] = {.lex_state = 59, .external_lex_state = 2},
  [3390] = {.lex_state = 58, .external_lex_state = 2},
  [3391] = {.lex_state = 58, .external_lex_state = 2},
  [3392] = {.lex_state = 59, .external_lex_state = 2},
  [3393] = {.lex_state = 407, .external_lex_state = 2},
  [3394] = {.lex_state = 407, .external_lex_state = 2},
  [3395] = {.lex_state = 58, .external_lex_state = 2},
  [3396] = {.lex_state = 58, .external_lex_state = 2},
  [3397] = {.lex_state = 58, .external_lex_state = 2},
  [3398] = {.lex_state = 407, .external_lex_state = 2},
  [3399] = {.lex_state = 407, .external_lex_state = 2},
  [3400] = {.lex_state = 408, .external_lex_state = 2},
  [3401] = {.lex_state = 58, .external_lex_state = 2},
  [3402] = {.lex_state = 408, .external_lex_state = 2},
  [3403] = {.lex_state = 60, .external_lex_state = 2},
  [3404] = {.lex_state = 60, .external_lex_state = 2},
  [3405] = {.lex_state = 15, .external_lex_state = 4},
  [3406] = {.lex_state = 59, .external_lex_state = 2},
  [3407] = {.lex_state = 407, .external_lex_state = 2},
  [3408] = {.lex_state = 58, .external_lex_state = 2},
  [3409] = {.lex_state = 15, .external_lex_state = 4},
  [3410] = {.lex_state = 58, .external_lex_state = 2},
  [3411] = {.lex_state = 58, .external_lex_state = 2},
  [3412] = {.lex_state = 405, .external_lex_state = 2},
  [3413] = {.lex_state = 58, .external_lex_state = 2},
  [3414] = {.lex_state = 58, .external_lex_state = 2},
  [3415] = {.lex_state = 59, .external_lex_state = 2},
  [3416] = {.lex_state = 59, .external_lex_state = 2},
  [3417] = {.lex_state = 59, .external_lex_state = 2},
  [3418] = {.lex_state = 407, .external_lex_state = 2},
  [3419] = {.lex_state = 58, .external_lex_state = 2},
  [3420] = {.lex_state = 407, .external_lex_state = 2},
  [3421] = {.lex_state = 58, .external_lex_state = 2},
  [3422] = {.lex_state = 15, .external_lex_state = 4},
  [3423] = {.lex_state = 15, .external_lex_state = 4},
  [3424] = {.lex_state = 58, .external_lex_state = 2},
  [3425] = {.lex_state = 58, .external_lex_state = 2},
  [3426] = {.lex_state = 59, .external_lex_state = 2},
  [3427] = {.lex_state = 58, .external_lex_state = 2},
  [3428] = {.lex_state = 59, .external_lex_state = 2},
  [3429] = {.lex_state = 58, .external_lex_state = 2},
  [3430] = {.lex_state = 58, .external_lex_state = 2},
  [3431] = {.lex_state = 58, .external_lex_state = 2},
  [3432] = {.lex_state = 407, .external_lex_state = 2},
  [3433] = {.lex_state = 407, .external_lex_state = 2},
  [3434] = {.lex_state = 15, .external_lex_state = 4},
  [3435] = {.lex_state = 15, .external_lex_state = 4},
  [3436] = {.lex_state = 58, .external_lex_state = 2},
  [3437] = {.lex_state = 58, .external_lex_state = 2},
  [3438] = {.lex_state = 405, .external_lex_state = 2},
  [3439] = {.lex_state = 133, .external_lex_state = 2},
  [3440] = {.lex_state = 60, .external_lex_state = 2},
  [3441] = {.lex_state = 405, .external_lex_state = 2},
  [3442] = {.lex_state = 405, .external_lex_state = 2},
  [3443] = {.lex_state = 133, .external_lex_state = 2},
  [3444] = {.lex_state = 133, .external_lex_state = 2},
  [3445] = {.lex_state = 60, .external_lex_state = 2},
  [3446] = {.lex_state = 133, .external_lex_state = 2},
  [3447] = {.lex_state = 133, .external_lex_state = 2},
  [3448] = {.lex_state = 133, .external_lex_state = 2},
  [3449] = {.lex_state = 133, .external_lex_state = 2},
  [3450] = {.lex_state = 133, .external_lex_state = 2},
  [3451] = {.lex_state = 133, .external_lex_state = 2},
  [3452] = {.lex_state = 133, .external_lex_state = 2},
  [3453] = {.lex_state = 405, .external_lex_state = 2},
  [3454] = {.lex_state = 133, .external_lex_state = 2},
  [3455] = {.lex_state = 60, .external_lex_state = 2},
  [3456] = {.lex_state = 133, .external_lex_state = 2},
  [3457] = {.lex_state = 133, .external_lex_state = 2},
  [3458] = {.lex_state = 133, .external_lex_state = 2},
  [3459] = {.lex_state = 405, .external_lex_state = 2},
  [3460] = {.lex_state = 133, .external_lex_state = 2},
  [3461] = {.lex_state = 133, .external_lex_state = 2},
  [3462] = {.lex_state = 60, .external_lex_state = 2},
  [3463] = {.lex_state = 133, .external_lex_state = 2},
  [3464] = {.lex_state = 133, .external_lex_state = 2},
  [3465] = {.lex_state = 133, .external_lex_state = 2},
  [3466] = {.lex_state = 133, .external_lex_state = 2},
  [3467] = {.lex_state = 60, .external_lex_state = 2},
  [3468] = {.lex_state = 406, .external_lex_state = 2},
  [3469] = {.lex_state = 133, .external_lex_state = 2},
  [3470] = {.lex_state = 133, .external_lex_state = 2},
  [3471] = {.lex_state = 405, .external_lex_state = 2},
  [3472] = {.lex_state = 60, .external_lex_state = 2},
  [3473] = {.lex_state = 133, .external_lex_state = 2},
  [3474] = {.lex_state = 406, .external_lex_state = 2},
  [3475] = {.lex_state = 133, .external_lex_state = 2},
  [3476] = {.lex_state = 406, .external_lex_state = 2},
  [3477] = {.lex_state = 133, .external_lex_state = 2},
  [3478] = {.lex_state = 133, .external_lex_state = 2},
  [3479] = {.lex_state = 60, .external_lex_state = 2},
  [3480] = {.lex_state = 133, .external_lex_state = 2},
  [3481] = {.lex_state = 406, .external_lex_state = 2},
  [3482] = {.lex_state = 133, .external_lex_state = 2},
  [3483] = {.lex_state = 133, .external_lex_state = 2},
  [3484] = {.lex_state = 60, .external_lex_state = 2},
  [3485] = {.lex_state = 406, .external_lex_state = 2},
  [3486] = {.lex_state = 133, .external_lex_state = 2},
  [3487] = {.lex_state = 60, .external_lex_state = 2},
  [3488] = {.lex_state = 60, .external_lex_state = 2},
  [3489] = {.lex_state = 133, .external_lex_state = 2},
  [3490] = {.lex_state = 60, .external_lex_state = 2},
  [3491] = {.lex_state = 406, .external_lex_state = 2},
  [3492] = {.lex_state = 408, .external_lex_state = 2},
  [3493] = {.lex_state = 133, .external_lex_state = 2},
  [3494] = {.lex_state = 133, .external_lex_state = 2},
  [3495] = {.lex_state = 408, .external_lex_state = 2},
  [3496] = {.lex_state = 133, .external_lex_state = 2},
  [3497] = {.lex_state = 60, .external_lex_state = 2},
  [3498] = {.lex_state = 133, .external_lex_state = 2},
  [3499] = {.lex_state = 408, .external_lex_state = 2},
  [3500] = {.lex_state = 133, .external_lex_state = 2},
  [3501] = {.lex_state = 133, .external_lex_state = 2},
  [3502] = {.lex_state = 133, .external_lex_state = 2},
  [3503] = {.lex_state = 133, .external_lex_state = 2},
  [3504] = {.lex_state = 133, .external_lex_state = 2},
  [3505] = {.lex_state = 406, .external_lex_state = 2},
  [3506] = {.lex_state = 405, .external_lex_state = 2},
  [3507] = {.lex_state = 405, .external_lex_state = 2},
  [3508] = {.lex_state = 408, .external_lex_state = 2},
  [3509] = {.lex_state = 133, .external_lex_state = 2},
  [3510] = {.lex_state = 405, .external_lex_state = 2},
  [3511] = {.lex_state = 405, .external_lex_state = 2},
  [3512] = {.lex_state = 405, .external_lex_state = 2},
  [3513] = {.lex_state = 133, .external_lex_state = 2},
  [3514] = {.lex_state = 133, .external_lex_state = 2},
  [3515] = {.lex_state = 133, .external_lex_state = 2},
  [3516] = {.lex_state = 133, .external_lex_state = 2},
  [3517] = {.lex_state = 405, .external_lex_state = 2},
  [3518] = {.lex_state = 133, .external_lex_state = 2},
  [3519] = {.lex_state = 133, .external_lex_state = 2},
  [3520] = {.lex_state = 133, .external_lex_state = 2},
  [3521] = {.lex_state = 406, .external_lex_state = 2},
  [3522] = {.lex_state = 405, .external_lex_state = 2},
  [3523] = {.lex_state = 405, .external_lex_state = 2},
  [3524] = {.lex_state = 408, .external_lex_state = 2},
  [3525] = {.lex_state = 133, .external_lex_state = 2},
  [3526] = {.lex_state = 405, .external_lex_state = 2},
  [3527] = {.lex_state = 133, .external_lex_state = 2},
  [3528] = {.lex_state = 408, .external_lex_state = 2},
  [3529] = {.lex_state = 133, .external_lex_state = 2},
  [3530] = {.lex_state = 133, .external_lex_state = 2},
  [3531] = {.lex_state = 405, .external_lex_state = 2},
  [3532] = {.lex_state = 405, .external_lex_state = 2},
  [3533] = {.lex_state = 405, .external_lex_state = 2},
  [3534] = {.lex_state = 133, .external_lex_state = 2},
  [3535] = {.lex_state = 133, .external_lex_state = 2},
  [3536] = {.lex_state = 60, .external_lex_state = 2},
  [3537] = {.lex_state = 405, .external_lex_state = 2},
  [3538] = {.lex_state = 405, .external_lex_state = 2},
  [3539] = {.lex_state = 133, .external_lex_state = 2},
  [3540] = {.lex_state = 133, .external_lex_state = 2},
  [3541] = {.lex_state = 133, .external_lex_state = 2},
  [3542] = {.lex_state = 408, .external_lex_state = 2},
  [3543] = {.lex_state = 133, .external_lex_state = 2},
  [3544] = {.lex_state = 405, .external_lex_state = 2},
  [3545] = {.lex_state = 405, .external_lex_state = 2},
  [3546] = {.lex_state = 408, .external_lex_state = 2},
  [3547] = {.lex_state = 406, .external_lex_state = 2},
  [3548] = {.lex_state = 405, .external_lex_state = 2},
  [3549] = {.lex_state = 133, .external_lex_state = 2},
  [3550] = {.lex_state = 60, .external_lex_state = 2},
  [3551] = {.lex_state = 405, .external_lex_state = 2},
  [3552] = {.lex_state = 405, .external_lex_state = 2},
  [3553] = {.lex_state = 133, .external_lex_state = 2},
  [3554] = {.lex_state = 133, .external_lex_state = 2},
  [3555] = {.lex_state = 405, .external_lex_state = 2},
  [3556] = {.lex_state = 408, .external_lex_state = 2},
  [3557] = {.lex_state = 405, .external_lex_state = 2},
  [3558] = {.lex_state = 405, .external_lex_state = 2},
  [3559] = {.lex_state = 133, .external_lex_state = 2},
  [3560] = {.lex_state = 133, .external_lex_state = 2},
  [3561] = {.lex_state = 405, .external_lex_state = 2},
  [3562] = {.lex_state = 133, .external_lex_state = 2},
  [3563] = {.lex_state = 408, .external_lex_state = 2},
  [3564] = {.lex_state = 408, .external_lex_state = 2},
  [3565] = {.lex_state = 405, .external_lex_state = 2},
  [3566] = {.lex_state = 408, .external_lex_state = 2},
  [3567] = {.lex_state = 405, .external_lex_state = 2},
  [3568] = {.lex_state = 60, .external_lex_state = 2},
  [3569] = {.lex_state = 133, .external_lex_state = 2},
  [3570] = {.lex_state = 408, .external_lex_state = 2},
  [3571] = {.lex_state = 133, .external_lex_state = 2},
  [3572] = {.lex_state = 405, .external_lex_state = 2},
  [3573] = {.lex_state = 133, .external_lex_state = 2},
  [3574] = {.lex_state = 408, .external_lex_state = 2},
  [3575] = {.lex_state = 133, .external_lex_state = 2},
  [3576] = {.lex_state = 408, .external_lex_state = 2},
  [3577] = {.lex_state = 133, .external_lex_state = 2},
  [3578] = {.lex_state = 408, .external_lex_state = 2},
  [3579] = {.lex_state = 408, .external_lex_state = 2},
  [3580] = {.lex_state = 408, .external_lex_state = 2},
  [3581] = {.lex_state = 59, .external_lex_state = 2},
  [3582] = {.lex_state = 405, .external_lex_state = 2},
  [3583] = {.lex_state = 133, .external_lex_state = 2},
  [3584] = {.lex_state = 133, .external_lex_state = 2},
  [3585] = {.lex_state = 408, .external_lex_state = 2},
  [3586] = {.lex_state = 408, .external_lex_state = 2},
  [3587] = {.lex_state = 408, .external_lex_state = 2},
  [3588] = {.lex_state = 133, .external_lex_state = 2},
  [3589] = {.lex_state = 133, .external_lex_state = 2},
  [3590] = {.lex_state = 408, .external_lex_state = 2},
  [3591] = {.lex_state = 408, .external_lex_state = 2},
  [3592] = {.lex_state = 408, .external_lex_state = 2},
  [3593] = {.lex_state = 406, .external_lex_state = 2},
  [3594] = {.lex_state = 133, .external_lex_state = 2},
  [3595] = {.lex_state = 405, .external_lex_state = 2},
  [3596] = {.lex_state = 405, .external_lex_state = 2},
  [3597] = {.lex_state = 408, .external_lex_state = 2},
  [3598] = {.lex_state = 408, .external_lex_state = 2},
  [3599] = {.lex_state = 408, .external_lex_state = 2},
  [3600] = {.lex_state = 406, .external_lex_state = 2},
  [3601] = {.lex_state = 408, .external_lex_state = 2},
  [3602] = {.lex_state = 408, .external_lex_state = 2},
  [3603] = {.lex_state = 408, .external_lex_state = 2},
  [3604] = {.lex_state = 133, .external_lex_state = 2},
  [3605] = {.lex_state = 406, .external_lex_state = 2},
  [3606] = {.lex_state = 408, .external_lex_state = 2},
  [3607] = {.lex_state = 405, .external_lex_state = 2},
  [3608] = {.lex_state = 408, .external_lex_state = 2},
  [3609] = {.lex_state = 133, .external_lex_state = 2},
  [3610] = {.lex_state = 408, .external_lex_state = 2},
  [3611] = {.lex_state = 408, .external_lex_state = 2},
  [3612] = {.lex_state = 408, .external_lex_state = 2},
  [3613] = {.lex_state = 408, .external_lex_state = 2},
  [3614] = {.lex_state = 408, .external_lex_state = 2},
  [3615] = {.lex_state = 133, .external_lex_state = 2},
  [3616] = {.lex_state = 133, .external_lex_state = 2},
  [3617] = {.lex_state = 408, .external_lex_state = 2},
  [3618] = {.lex_state = 408, .external_lex_state = 2},
  [3619] = {.lex_state = 406, .external_lex_state = 2},
  [3620] = {.lex_state = 408, .external_lex_state = 2},
  [3621] = {.lex_state = 408, .external_lex_state = 2},
  [3622] = {.lex_state = 59, .external_lex_state = 2},
  [3623] = {.lex_state = 133, .external_lex_state = 2},
  [3624] = {.lex_state = 405, .external_lex_state = 2},
  [3625] = {.lex_state = 133, .external_lex_state = 2},
  [3626] = {.lex_state = 133, .external_lex_state = 2},
  [3627] = {.lex_state = 406, .external_lex_state = 2},
  [3628] = {.lex_state = 408, .external_lex_state = 2},
  [3629] = {.lex_state = 408, .external_lex_state = 2},
  [3630] = {.lex_state = 408, .external_lex_state = 2},
  [3631] = {.lex_state = 408, .external_lex_state = 2},
  [3632] = {.lex_state = 133, .external_lex_state = 2},
  [3633] = {.lex_state = 405, .external_lex_state = 2},
  [3634] = {.lex_state = 406, .external_lex_state = 2},
  [3635] = {.lex_state = 406, .external_lex_state = 2},
  [3636] = {.lex_state = 408, .external_lex_state = 2},
  [3637] = {.lex_state = 133, .external_lex_state = 2},
  [3638] = {.lex_state = 405, .external_lex_state = 2},
  [3639] = {.lex_state = 133, .external_lex_state = 2},
  [3640] = {.lex_state = 405, .external_lex_state = 2},
  [3641] = {.lex_state = 59, .external_lex_state = 2},
  [3642] = {.lex_state = 408, .external_lex_state = 2},
  [3643] = {.lex_state = 133, .external_lex_state = 2},
  [3644] = {.lex_state = 408, .external_lex_state = 2},
  [3645] = {.lex_state = 59, .external_lex_state = 2},
  [3646] = {.lex_state = 133, .external_lex_state = 2},
  [3647] = {.lex_state = 59, .external_lex_state = 2},
  [3648] = {.lex_state = 133, .external_lex_state = 2},
  [3649] = {.lex_state = 405, .external_lex_state = 2},
  [3650] = {.lex_state = 405, .external_lex_state = 2},
  [3651] = {.lex_state = 59, .external_lex_state = 2},
  [3652] = {.lex_state = 59, .external_lex_state = 2},
  [3653] = {.lex_state = 133, .external_lex_state = 2},
  [3654] = {.lex_state = 59, .external_lex_state = 2},
  [3655] = {.lex_state = 133, .external_lex_state = 2},
  [3656] = {.lex_state = 133, .external_lex_state = 2},
  [3657] = {.lex_state = 133, .external_lex_state = 2},
  [3658] = {.lex_state = 59, .external_lex_state = 2},
  [3659] = {.lex_state = 405, .external_lex_state = 2},
  [3660] = {.lex_state = 6, .external_lex_state = 2},
  [3661] = {.lex_state = 59, .external_lex_state = 2},
  [3662] = {.lex_state = 59, .external_lex_state = 2},
  [3663] = {.lex_state = 60, .external_lex_state = 2},
  [3664] = {.lex_state = 59, .external_lex_state = 2},
  [3665] = {.lex_state = 59, .external_lex_state = 2},
  [3666] = {.lex_state = 59, .external_lex_state = 2},
  [3667] = {.lex_state = 133, .external_lex_state = 2},
  [3668] = {.lex_state = 133, .external_lex_state = 2},
  [3669] = {.lex_state = 59, .external_lex_state = 2},
  [3670] = {.lex_state = 405, .external_lex_state = 2},
  [3671] = {.lex_state = 405, .external_lex_state = 2},
  [3672] = {.lex_state = 59, .external_lex_state = 2},
  [3673] = {.lex_state = 59, .external_lex_state = 2},
  [3674] = {.lex_state = 408, .external_lex_state = 2},
  [3675] = {.lex_state = 59, .external_lex_state = 2},
  [3676] = {.lex_state = 59, .external_lex_state = 2},
  [3677] = {.lex_state = 59, .external_lex_state = 2},
  [3678] = {.lex_state = 59, .external_lex_state = 2},
  [3679] = {.lex_state = 133, .external_lex_state = 2},
  [3680] = {.lex_state = 59, .external_lex_state = 2},
  [3681] = {.lex_state = 133, .external_lex_state = 2},
  [3682] = {.lex_state = 133, .external_lex_state = 2},
  [3683] = {.lex_state = 405, .external_lex_state = 2},
  [3684] = {.lex_state = 59, .external_lex_state = 2},
  [3685] = {.lex_state = 59, .external_lex_state = 2},
  [3686] = {.lex_state = 59, .external_lex_state = 2},
  [3687] = {.lex_state = 405, .external_lex_state = 2},
  [3688] = {.lex_state = 59, .external_lex_state = 2},
  [3689] = {.lex_state = 59, .external_lex_state = 2},
  [3690] = {.lex_state = 59, .external_lex_state = 2},
  [3691] = {.lex_state = 59, .external_lex_state = 2},
  [3692] = {.lex_state = 133, .external_lex_state = 2},
  [3693] = {.lex_state = 133, .external_lex_state = 2},
  [3694] = {.lex_state = 133, .external_lex_state = 2},
  [3695] = {.lex_state = 59, .external_lex_state = 2},
  [3696] = {.lex_state = 59, .external_lex_state = 2},
  [3697] = {.lex_state = 133, .external_lex_state = 2},
  [3698] = {.lex_state = 405, .external_lex_state = 2},
  [3699] = {.lex_state = 405, .external_lex_state = 2},
  [3700] = {.lex_state = 59, .external_lex_state = 2},
  [3701] = {.lex_state = 59, .external_lex_state = 2},
  [3702] = {.lex_state = 59, .external_lex_state = 2},
  [3703] = {.lex_state = 405, .external_lex_state = 2},
  [3704] = {.lex_state = 133, .external_lex_state = 2},
  [3705] = {.lex_state = 59, .external_lex_state = 2},
  [3706] = {.lex_state = 405, .external_lex_state = 2},
  [3707] = {.lex_state = 405, .external_lex_state = 2},
  [3708] = {.lex_state = 133, .external_lex_state = 2},
  [3709] = {.lex_state = 133, .external_lex_state = 2},
  [3710] = {.lex_state = 59, .external_lex_state = 2},
  [3711] = {.lex_state = 133, .external_lex_state = 2},
  [3712] = {.lex_state = 405, .external_lex_state = 2},
  [3713] = {.lex_state = 133, .external_lex_state = 2},
  [3714] = {.lex_state = 133, .external_lex_state = 2},
  [3715] = {.lex_state = 133, .external_lex_state = 2},
  [3716] = {.lex_state = 59, .external_lex_state = 2},
  [3717] = {.lex_state = 133, .external_lex_state = 2},
  [3718] = {.lex_state = 405, .external_lex_state = 2},
  [3719] = {.lex_state = 408, .external_lex_state = 2},
  [3720] = {.lex_state = 408, .external_lex_state = 2},
  [3721] = {.lex_state = 133, .external_lex_state = 2},
  [3722] = {.lex_state = 133, .external_lex_state = 2},
  [3723] = {.lex_state = 405, .external_lex_state = 2},
  [3724] = {.lex_state = 408, .external_lex_state = 2},
  [3725] = {.lex_state = 133, .external_lex_state = 2},
  [3726] = {.lex_state = 405, .external_lex_state = 2},
  [3727] = {.lex_state = 60, .external_lex_state = 2},
  [3728] = {.lex_state = 133, .external_lex_state = 2},
  [3729] = {.lex_state = 59, .external_lex_state = 2},
  [3730] = {.lex_state = 133, .external_lex_state = 2},
  [3731] = {.lex_state = 408, .external_lex_state = 2},
  [3732] = {.lex_state = 408, .external_lex_state = 2},
  [3733] = {.lex_state = 60, .external_lex_state = 2},
  [3734] = {.lex_state = 60, .external_lex_state = 2},
  [3735] = {.lex_state = 405, .external_lex_state = 2},
  [3736] = {.lex_state = 133, .external_lex_state = 2},
  [3737] = {.lex_state = 133, .external_lex_state = 2},
  [3738] = {.lex_state = 408, .external_lex_state = 2},
  [3739] = {.lex_state = 60, .external_lex_state = 2},
  [3740] = {.lex_state = 408, .external_lex_state = 2},
  [3741] = {.lex_state = 408, .external_lex_state = 2},
  [3742] = {.lex_state = 408, .external_lex_state = 2},
  [3743] = {.lex_state = 405, .external_lex_state = 2},
  [3744] = {.lex_state = 405, .external_lex_state = 2},
  [3745] = {.lex_state = 405, .external_lex_state = 2},
  [3746] = {.lex_state = 133, .external_lex_state = 2},
  [3747] = {.lex_state = 59, .external_lex_state = 2},
  [3748] = {.lex_state = 59, .external_lex_state = 2},
  [3749] = {.lex_state = 133, .external_lex_state = 2},
  [3750] = {.lex_state = 405, .external_lex_state = 2},
  [3751] = {.lex_state = 59, .external_lex_state = 2},
  [3752] = {.lex_state = 59, .external_lex_state = 2},
  [3753] = {.lex_state = 59, .external_lex_state = 2},
  [3754] = {.lex_state = 405, .external_lex_state = 2},
  [3755] = {.lex_state = 133, .external_lex_state = 2},
  [3756] = {.lex_state = 405, .external_lex_state = 2},
  [3757] = {.lex_state = 59, .external_lex_state = 2},
  [3758] = {.lex_state = 59, .external_lex_state = 2},
  [3759] = {.lex_state = 59, .external_lex_state = 2},
  [3760] = {.lex_state = 59, .external_lex_state = 2},
  [3761] = {.lex_state = 408, .external_lex_state = 2},
  [3762] = {.lex_state = 408, .external_lex_state = 2},
  [3763] = {.lex_state = 133, .external_lex_state = 2},
  [3764] = {.lex_state = 59, .external_lex_state = 2},
  [3765] = {.lex_state = 133, .external_lex_state = 2},
  [3766] = {.lex_state = 405, .external_lex_state = 2},
  [3767] = {.lex_state = 59, .external_lex_state = 2},
  [3768] = {.lex_state = 405, .external_lex_state = 2},
  [3769] = {.lex_state = 405, .external_lex_state = 2},
  [3770] = {.lex_state = 408, .external_lex_state = 2},
  [3771] = {.lex_state = 408, .external_lex_state = 2},
  [3772] = {.lex_state = 408, .external_lex_state = 2},
  [3773] = {.lex_state = 408, .external_lex_state = 2},
  [3774] = {.lex_state = 408, .external_lex_state = 2},
  [3775] = {.lex_state = 133, .external_lex_state = 2},
  [3776] = {.lex_state = 133, .external_lex_state = 2},
  [3777] = {.lex_state = 405, .external_lex_state = 2},
  [3778] = {.lex_state = 133, .external_lex_state = 2},
  [3779] = {.lex_state = 405, .external_lex_state = 2},
  [3780] = {.lex_state = 133, .external_lex_state = 2},
  [3781] = {.lex_state = 133, .external_lex_state = 2},
  [3782] = {.lex_state = 405, .external_lex_state = 2},
  [3783] = {.lex_state = 408, .external_lex_state = 2},
  [3784] = {.lex_state = 408, .external_lex_state = 2},
  [3785] = {.lex_state = 405, .external_lex_state = 2},
  [3786] = {.lex_state = 405, .external_lex_state = 2},
  [3787] = {.lex_state = 408, .external_lex_state = 2},
  [3788] = {.lex_state = 408, .external_lex_state = 2},
  [3789] = {.lex_state = 405, .external_lex_state = 2},
  [3790] = {.lex_state = 408, .external_lex_state = 2},
  [3791] = {.lex_state = 408, .external_lex_state = 2},
  [3792] = {.lex_state = 133, .external_lex_state = 2},
  [3793] = {.lex_state = 133, .external_lex_state = 2},
  [3794] = {.lex_state = 405, .external_lex_state = 2},
  [3795] = {.lex_state = 405, .external_lex_state = 2},
  [3796] = {.lex_state = 405, .external_lex_state = 2},
  [3797] = {.lex_state = 133, .external_lex_state = 2},
  [3798] = {.lex_state = 408, .external_lex_state = 2},
  [3799] = {.lex_state = 408, .external_lex_state = 2},
  [3800] = {.lex_state = 133, .external_lex_state = 2},
  [3801] = {.lex_state = 405, .external_lex_state = 2},
  [3802] = {.lex_state = 405, .external_lex_state = 2},
  [3803] = {.lex_state = 133, .external_lex_state = 2},
  [3804] = {.lex_state = 408, .external_lex_state = 2},
  [3805] = {.lex_state = 133, .external_lex_state = 2},
  [3806] = {.lex_state = 133, .external_lex_state = 2},
  [3807] = {.lex_state = 133, .external_lex_state = 2},
  [3808] = {.lex_state = 133, .external_lex_state = 2},
  [3809] = {.lex_state = 406, .external_lex_state = 2},
  [3810] = {.lex_state = 133, .external_lex_state = 2},
  [3811] = {.lex_state = 408, .external_lex_state = 2},
  [3812] = {.lex_state = 408, .external_lex_state = 2},
  [3813] = {.lex_state = 133, .external_lex_state = 2},
  [3814] = {.lex_state = 133, .external_lex_state = 2},
  [3815] = {.lex_state = 133, .external_lex_state = 2},
  [3816] = {.lex_state = 406, .external_lex_state = 2},
  [3817] = {.lex_state = 133, .external_lex_state = 2},
  [3818] = {.lex_state = 408, .external_lex_state = 2},
  [3819] = {.lex_state = 408, .external_lex_state = 2},
  [3820] = {.lex_state = 133, .external_lex_state = 2},
  [3821] = {.lex_state = 408, .external_lex_state = 2},
  [3822] = {.lex_state = 408, .external_lex_state = 2},
  [3823] = {.lex_state = 408, .external_lex_state = 2},
  [3824] = {.lex_state = 408, .external_lex_state = 2},
  [3825] = {.lex_state = 133, .external_lex_state = 2},
  [3826] = {.lex_state = 405, .external_lex_state = 2},
  [3827] = {.lex_state = 408, .external_lex_state = 2},
  [3828] = {.lex_state = 408, .external_lex_state = 2},
  [3829] = {.lex_state = 133, .external_lex_state = 2},
  [3830] = {.lex_state = 405, .external_lex_state = 2},
  [3831] = {.lex_state = 133, .external_lex_state = 2},
  [3832] = {.lex_state = 133, .external_lex_state = 2},
  [3833] = {.lex_state = 133, .external_lex_state = 2},
  [3834] = {.lex_state = 133, .external_lex_state = 2},
  [3835] = {.lex_state = 133, .external_lex_state = 2},
  [3836] = {.lex_state = 405, .external_lex_state = 2},
  [3837] = {.lex_state = 133, .external_lex_state = 2},
  [3838] = {.lex_state = 133, .external_lex_state = 2},
  [3839] = {.lex_state = 59, .external_lex_state = 2},
  [3840] = {.lex_state = 133, .external_lex_state = 2},
  [3841] = {.lex_state = 133, .external_lex_state = 2},
  [3842] = {.lex_state = 405, .external_lex_state = 2},
  [3843] = {.lex_state = 405, .external_lex_state = 2},
  [3844] = {.lex_state = 59, .external_lex_state = 2},
  [3845] = {.lex_state = 405, .external_lex_state = 2},
  [3846] = {.lex_state = 406, .external_lex_state = 2},
  [3847] = {.lex_state = 133, .external_lex_state = 2},
  [3848] = {.lex_state = 59, .external_lex_state = 2},
  [3849] = {.lex_state = 59, .external_lex_state = 2},
  [3850] = {.lex_state = 408, .external_lex_state = 2},
  [3851] = {.lex_state = 408, .external_lex_state = 2},
  [3852] = {.lex_state = 408, .external_lex_state = 2},
  [3853] = {.lex_state = 408, .external_lex_state = 2},
  [3854] = {.lex_state = 405, .external_lex_state = 2},
  [3855] = {.lex_state = 405, .external_lex_state = 2},
  [3856] = {.lex_state = 133, .external_lex_state = 2},
  [3857] = {.lex_state = 406, .external_lex_state = 2},
  [3858] = {.lex_state = 405, .external_lex_state = 2},
  [3859] = {.lex_state = 408, .external_lex_state = 2},
  [3860] = {.lex_state = 408, .external_lex_state = 2},
  [3861] = {.lex_state = 405, .external_lex_state = 2},
  [3862] = {.lex_state = 59, .external_lex_state = 2},
  [3863] = {.lex_state = 59, .external_lex_state = 2},
  [3864] = {.lex_state = 405, .external_lex_state = 2},
  [3865] = {.lex_state = 405, .external_lex_state = 2},
  [3866] = {.lex_state = 405, .external_lex_state = 2},
  [3867] = {.lex_state = 59, .external_lex_state = 2},
  [3868] = {.lex_state = 133, .external_lex_state = 2},
  [3869] = {.lex_state = 59, .external_lex_state = 2},
  [3870] = {.lex_state = 408, .external_lex_state = 2},
  [3871] = {.lex_state = 408, .external_lex_state = 2},
  [3872] = {.lex_state = 405, .external_lex_state = 2},
  [3873] = {.lex_state = 405, .external_lex_state = 2},
  [3874] = {.lex_state = 405, .external_lex_state = 2},
  [3875] = {.lex_state = 59, .external_lex_state = 2},
  [3876] = {.lex_state = 59, .external_lex_state = 2},
  [3877] = {.lex_state = 408, .external_lex_state = 2},
  [3878] = {.lex_state = 6, .external_lex_state = 2},
  [3879] = {.lex_state = 405, .external_lex_state = 2},
  [3880] = {.lex_state = 133, .external_lex_state = 2},
  [3881] = {.lex_state = 408, .external_lex_state = 2},
  [3882] = {.lex_state = 61, .external_lex_state = 2},
  [3883] = {.lex_state = 133, .external_lex_state = 2},
  [3884] = {.lex_state = 135, .external_lex_state = 2},
  [3885] = {.lex_state = 405, .external_lex_state = 2},
  [3886] = {.lex_state = 133, .external_lex_state = 2},
  [3887] = {.lex_state = 133, .external_lex_state = 2},
  [3888] = {.lex_state = 61, .external_lex_state = 2},
  [3889] = {.lex_state = 61, .external_lex_state = 2},
  [3890] = {.lex_state = 133, .external_lex_state = 2},
  [3891] = {.lex_state = 61, .external_lex_state = 2},
  [3892] = {.lex_state = 61, .external_lex_state = 2},
  [3893] = {.lex_state = 408, .external_lex_state = 2},
  [3894] = {.lex_state = 59, .external_lex_state = 2},
  [3895] = {.lex_state = 59, .external_lex_state = 2},
  [3896] = {.lex_state = 408, .external_lex_state = 2},
  [3897] = {.lex_state = 59, .external_lex_state = 2},
  [3898] = {.lex_state = 408, .external_lex_state = 2},
  [3899] = {.lex_state = 408, .external_lex_state = 2},
  [3900] = {.lex_state = 59, .external_lex_state = 2},
  [3901] = {.lex_state = 59, .external_lex_state = 2},
  [3902] = {.lex_state = 59, .external_lex_state = 2},
  [3903] = {.lex_state = 135, .external_lex_state = 2},
  [3904] = {.lex_state = 61, .external_lex_state = 2},
  [3905] = {.lex_state = 59, .external_lex_state = 2},
  [3906] = {.lex_state = 59, .external_lex_state = 2},
  [3907] = {.lex_state = 61, .external_lex_state = 2},
  [3908] = {.lex_state = 405, .external_lex_state = 2},
  [3909] = {.lex_state = 405, .external_lex_state = 2},
  [3910] = {.lex_state = 135, .external_lex_state = 2},
  [3911] = {.lex_state = 408, .external_lex_state = 2},
  [3912] = {.lex_state = 408, .external_lex_state = 2},
  [3913] = {.lex_state = 408, .external_lex_state = 2},
  [3914] = {.lex_state = 408, .external_lex_state = 2},
  [3915] = {.lex_state = 133, .external_lex_state = 2},
  [3916] = {.lex_state = 405, .external_lex_state = 2},
  [3917] = {.lex_state = 135, .external_lex_state = 2},
  [3918] = {.lex_state = 405, .external_lex_state = 2},
  [3919] = {.lex_state = 405, .external_lex_state = 2},
  [3920] = {.lex_state = 405, .external_lex_state = 2},
  [3921] = {.lex_state = 405, .external_lex_state = 2},
  [3922] = {.lex_state = 133, .external_lex_state = 2},
  [3923] = {.lex_state = 133, .external_lex_state = 2},
  [3924] = {.lex_state = 135, .external_lex_state = 2},
  [3925] = {.lex_state = 408, .external_lex_state = 2},
  [3926] = {.lex_state = 408, .external_lex_state = 2},
  [3927] = {.lex_state = 408, .external_lex_state = 2},
  [3928] = {.lex_state = 408, .external_lex_state = 2},
  [3929] = {.lex_state = 59, .external_lex_state = 2},
  [3930] = {.lex_state = 59, .external_lex_state = 2},
  [3931] = {.lex_state = 135, .external_lex_state = 2},
  [3932] = {.lex_state = 59, .external_lex_state = 2},
  [3933] = {.lex_state = 59, .external_lex_state = 2},
  [3934] = {.lex_state = 405, .external_lex_state = 2},
  [3935] = {.lex_state = 405, .external_lex_state = 2},
  [3936] = {.lex_state = 406, .external_lex_state = 2},
  [3937] = {.lex_state = 405, .external_lex_state = 2},
  [3938] = {.lex_state = 405, .external_lex_state = 2},
  [3939] = {.lex_state = 135, .external_lex_state = 2},
  [3940] = {.lex_state = 405, .external_lex_state = 2},
  [3941] = {.lex_state = 405, .external_lex_state = 2},
  [3942] = {.lex_state = 406, .external_lex_state = 2},
  [3943] = {.lex_state = 405, .external_lex_state = 2},
  [3944] = {.lex_state = 133, .external_lex_state = 2},
  [3945] = {.lex_state = 133, .external_lex_state = 2},
  [3946] = {.lex_state = 133, .external_lex_state = 2},
  [3947] = {.lex_state = 405, .external_lex_state = 2},
  [3948] = {.lex_state = 405, .external_lex_state = 2},
  [3949] = {.lex_state = 405, .external_lex_state = 2},
  [3950] = {.lex_state = 133, .external_lex_state = 2},
  [3951] = {.lex_state = 405, .external_lex_state = 2},
  [3952] = {.lex_state = 133, .external_lex_state = 2},
  [3953] = {.lex_state = 405, .external_lex_state = 2},
  [3954] = {.lex_state = 133, .external_lex_state = 2},
  [3955] = {.lex_state = 133, .external_lex_state = 2},
  [3956] = {.lex_state = 405, .external_lex_state = 2},
  [3957] = {.lex_state = 133, .external_lex_state = 2},
  [3958] = {.lex_state = 133, .external_lex_state = 2},
  [3959] = {.lex_state = 60, .external_lex_state = 2},
  [3960] = {.lex_state = 405, .external_lex_state = 2},
  [3961] = {.lex_state = 133, .external_lex_state = 2},
  [3962] = {.lex_state = 133, .external_lex_state = 2},
  [3963] = {.lex_state = 133, .external_lex_state = 2},
  [3964] = {.lex_state = 133, .external_lex_state = 2},
  [3965] = {.lex_state = 133, .external_lex_state = 2},
  [3966] = {.lex_state = 61, .external_lex_state = 2},
  [3967] = {.lex_state = 405, .external_lex_state = 2},
  [3968] = {.lex_state = 133, .external_lex_state = 2},
  [3969] = {.lex_state = 133, .external_lex_state = 2},
  [3970] = {.lex_state = 61, .external_lex_state = 2},
  [3971] = {.lex_state = 60, .external_lex_state = 2},
  [3972] = {.lex_state = 133, .external_lex_state = 2},
  [3973] = {.lex_state = 60, .external_lex_state = 2},
  [3974] = {.lex_state = 405, .external_lex_state = 2},
  [3975] = {.lex_state = 405, .external_lex_state = 2},
  [3976] = {.lex_state = 133, .external_lex_state = 2},
  [3977] = {.lex_state = 133, .external_lex_state = 2},
  [3978] = {.lex_state = 405, .external_lex_state = 2},
  [3979] = {.lex_state = 133, .external_lex_state = 2},
  [3980] = {.lex_state = 133, .external_lex_state = 2},
  [3981] = {.lex_state = 133, .external_lex_state = 2},
  [3982] = {.lex_state = 133, .external_lex_state = 2},
  [3983] = {.lex_state = 60, .external_lex_state = 2},
  [3984] = {.lex_state = 60, .external_lex_state = 2},
  [3985] = {.lex_state = 133, .external_lex_state = 2},
  [3986] = {.lex_state = 405, .external_lex_state = 2},
  [3987] = {.lex_state = 60, .external_lex_state = 2},
  [3988] = {.lex_state = 60, .external_lex_state = 2},
  [3989] = {.lex_state = 133, .external_lex_state = 2},
  [3990] = {.lex_state = 405, .external_lex_state = 2},
  [3991] = {.lex_state = 133, .external_lex_state = 2},
  [3992] = {.lex_state = 133, .external_lex_state = 2},
  [3993] = {.lex_state = 405, .external_lex_state = 2},
  [3994] = {.lex_state = 405, .external_lex_state = 2},
  [3995] = {.lex_state = 133, .external_lex_state = 2},
  [3996] = {.lex_state = 133, .external_lex_state = 2},
  [3997] = {.lex_state = 61, .external_lex_state = 2},
  [3998] = {.lex_state = 60, .external_lex_state = 2},
  [3999] = {.lex_state = 133, .external_lex_state = 2},
  [4000] = {.lex_state = 133, .external_lex_state = 2},
  [4001] = {.lex_state = 133, .external_lex_state = 2},
  [4002] = {.lex_state = 405, .external_lex_state = 2},
  [4003] = {.lex_state = 405, .external_lex_state = 2},
  [4004] = {.lex_state = 133, .external_lex_state = 2},
  [4005] = {.lex_state = 61, .external_lex_state = 2},
  [4006] = {.lex_state = 60, .external_lex_state = 2},
  [4007] = {.lex_state = 133, .external_lex_state = 2},
  [4008] = {.lex_state = 60, .external_lex_state = 2},
  [4009] = {.lex_state = 60, .external_lex_state = 2},
  [4010] = {.lex_state = 405, .external_lex_state = 2},
  [4011] = {.lex_state = 60, .external_lex_state = 2},
  [4012] = {.lex_state = 133, .external_lex_state = 2},
  [4013] = {.lex_state = 405, .external_lex_state = 2},
  [4014] = {.lex_state = 60, .external_lex_state = 2},
  [4015] = {.lex_state = 60, .external_lex_state = 2},
  [4016] = {.lex_state = 133, .external_lex_state = 2},
  [4017] = {.lex_state = 133, .external_lex_state = 2},
  [4018] = {.lex_state = 60, .external_lex_state = 2},
  [4019] = {.lex_state = 405, .external_lex_state = 2},
  [4020] = {.lex_state = 133, .external_lex_state = 2},
  [4021] = {.lex_state = 133, .external_lex_state = 2},
  [4022] = {.lex_state = 133, .external_lex_state = 2},
  [4023] = {.lex_state = 60, .external_lex_state = 2},
  [4024] = {.lex_state = 405, .external_lex_state = 2},
  [4025] = {.lex_state = 133, .external_lex_state = 2},
  [4026] = {.lex_state = 60, .external_lex_state = 2},
  [4027] = {.lex_state = 405, .external_lex_state = 2},
  [4028] = {.lex_state = 133, .external_lex_state = 2},
  [4029] = {.lex_state = 133, .external_lex_state = 2},
  [4030] = {.lex_state = 405, .external_lex_state = 2},
  [4031] = {.lex_state = 60, .external_lex_state = 2},
  [4032] = {.lex_state = 405, .external_lex_state = 2},
  [4033] = {.lex_state = 133, .external_lex_state = 2},
  [4034] = {.lex_state = 405, .external_lex_state = 2},
  [4035] = {.lex_state = 405, .external_lex_state = 2},
  [4036] = {.lex_state = 60, .external_lex_state = 2},
  [4037] = {.lex_state = 60, .external_lex_state = 2},
  [4038] = {.lex_state = 60, .external_lex_state = 2},
  [4039] = {.lex_state = 133, .external_lex_state = 2},
  [4040] = {.lex_state = 60, .external_lex_state = 2},
  [4041] = {.lex_state = 405, .external_lex_state = 2},
  [4042] = {.lex_state = 60, .external_lex_state = 2},
  [4043] = {.lex_state = 60, .external_lex_state = 2},
  [4044] = {.lex_state = 60, .external_lex_state = 2},
  [4045] = {.lex_state = 60, .external_lex_state = 2},
  [4046] = {.lex_state = 133, .external_lex_state = 2},
  [4047] = {.lex_state = 133, .external_lex_state = 2},
  [4048] = {.lex_state = 133, .external_lex_state = 2},
  [4049] = {.lex_state = 133, .external_lex_state = 2},
  [4050] = {.lex_state = 408, .external_lex_state = 2},
  [4051] = {.lex_state = 133, .external_lex_state = 2},
  [4052] = {.lex_state = 408, .external_lex_state = 2},
  [4053] = {.lex_state = 408, .external_lex_state = 2},
  [4054] = {.lex_state = 408, .external_lex_state = 2},
  [4055] = {.lex_state = 133, .external_lex_state = 2},
  [4056] = {.lex_state = 408, .external_lex_state = 2},
  [4057] = {.lex_state = 60, .external_lex_state = 2},
  [4058] = {.lex_state = 408, .external_lex_state = 2},
  [4059] = {.lex_state = 60, .external_lex_state = 2},
  [4060] = {.lex_state = 408, .external_lex_state = 2},
  [4061] = {.lex_state = 133, .external_lex_state = 2},
  [4062] = {.lex_state = 408, .external_lex_state = 2},
  [4063] = {.lex_state = 408, .external_lex_state = 2},
  [4064] = {.lex_state = 408, .external_lex_state = 2},
  [4065] = {.lex_state = 408, .external_lex_state = 2},
  [4066] = {.lex_state = 408, .external_lex_state = 2},
  [4067] = {.lex_state = 408, .external_lex_state = 2},
  [4068] = {.lex_state = 60, .external_lex_state = 2},
  [4069] = {.lex_state = 405, .external_lex_state = 2},
  [4070] = {.lex_state = 133, .external_lex_state = 2},
  [4071] = {.lex_state = 133, .external_lex_state = 2},
  [4072] = {.lex_state = 133, .external_lex_state = 2},
  [4073] = {.lex_state = 60, .external_lex_state = 2},
  [4074] = {.lex_state = 60, .external_lex_state = 2},
  [4075] = {.lex_state = 60, .external_lex_state = 2},
  [4076] = {.lex_state = 408, .external_lex_state = 2},
  [4077] = {.lex_state = 408, .external_lex_state = 2},
  [4078] = {.lex_state = 133, .external_lex_state = 2},
  [4079] = {.lex_state = 408, .external_lex_state = 2},
  [4080] = {.lex_state = 408, .external_lex_state = 2},
  [4081] = {.lex_state = 408, .external_lex_state = 2},
  [4082] = {.lex_state = 408, .external_lex_state = 2},
  [4083] = {.lex_state = 408, .external_lex_state = 2},
  [4084] = {.lex_state = 408, .external_lex_state = 2},
  [4085] = {.lex_state = 408, .external_lex_state = 2},
  [4086] = {.lex_state = 408, .external_lex_state = 2},
  [4087] = {.lex_state = 133, .external_lex_state = 2},
  [4088] = {.lex_state = 60, .external_lex_state = 2},
  [4089] = {.lex_state = 60, .external_lex_state = 2},
  [4090] = {.lex_state = 133, .external_lex_state = 2},
  [4091] = {.lex_state = 60, .external_lex_state = 2},
  [4092] = {.lex_state = 408, .external_lex_state = 2},
  [4093] = {.lex_state = 133, .external_lex_state = 2},
  [4094] = {.lex_state = 408, .external_lex_state = 2},
  [4095] = {.lex_state = 408, .external_lex_state = 2},
  [4096] = {.lex_state = 408, .external_lex_state = 2},
  [4097] = {.lex_state = 408, .external_lex_state = 2},
  [4098] = {.lex_state = 408, .external_lex_state = 2},
  [4099] = {.lex_state = 408, .external_lex_state = 2},
  [4100] = {.lex_state = 408, .external_lex_state = 2},
  [4101] = {.lex_state = 133, .external_lex_state = 2},
  [4102] = {.lex_state = 133, .external_lex_state = 2},
  [4103] = {.lex_state = 133, .external_lex_state = 2},
  [4104] = {.lex_state = 408, .external_lex_state = 2},
  [4105] = {.lex_state = 408, .external_lex_state = 2},
  [4106] = {.lex_state = 405, .external_lex_state = 2},
  [4107] = {.lex_state = 405, .external_lex_state = 2},
  [4108] = {.lex_state = 133, .external_lex_state = 2},
  [4109] = {.lex_state = 133, .external_lex_state = 2},
  [4110] = {.lex_state = 133, .external_lex_state = 2},
  [4111] = {.lex_state = 408, .external_lex_state = 2},
  [4112] = {.lex_state = 60, .external_lex_state = 2},
  [4113] = {.lex_state = 408, .external_lex_state = 2},
  [4114] = {.lex_state = 60, .external_lex_state = 2},
  [4115] = {.lex_state = 133, .external_lex_state = 2},
  [4116] = {.lex_state = 405, .external_lex_state = 2},
  [4117] = {.lex_state = 408, .external_lex_state = 2},
  [4118] = {.lex_state = 60, .external_lex_state = 2},
  [4119] = {.lex_state = 60, .external_lex_state = 2},
  [4120] = {.lex_state = 408, .external_lex_state = 2},
  [4121] = {.lex_state = 133, .external_lex_state = 2},
  [4122] = {.lex_state = 133, .external_lex_state = 2},
  [4123] = {.lex_state = 60, .external_lex_state = 2},
  [4124] = {.lex_state = 133, .external_lex_state = 2},
  [4125] = {.lex_state = 60, .external_lex_state = 2},
  [4126] = {.lex_state = 133, .external_lex_state = 2},
  [4127] = {.lex_state = 133, .external_lex_state = 2},
  [4128] = {.lex_state = 133, .external_lex_state = 2},
  [4129] = {.lex_state = 60, .external_lex_state = 2},
  [4130] = {.lex_state = 405, .external_lex_state = 2},
  [4131] = {.lex_state = 133, .external_lex_state = 2},
  [4132] = {.lex_state = 15, .external_lex_state = 2},
  [4133] = {.lex_state = 15, .external_lex_state = 2},
  [4134] = {.lex_state = 133, .external_lex_state = 2},
  [4135] = {.lex_state = 133, .external_lex_state = 2},
  [4136] = {.lex_state = 60, .external_lex_state = 2},
  [4137] = {.lex_state = 60, .external_lex_state = 2},
  [4138] = {.lex_state = 60, .external_lex_state = 2},
  [4139] = {.lex_state = 405, .external_lex_state = 2},
  [4140] = {.lex_state = 133, .external_lex_state = 2},
  [4141] = {.lex_state = 60, .external_lex_state = 2},
  [4142] = {.lex_state = 60, .external_lex_state = 2},
  [4143] = {.lex_state = 133, .external_lex_state = 2},
  [4144] = {.lex_state = 60, .external_lex_state = 2},
  [4145] = {.lex_state = 133, .external_lex_state = 2},
  [4146] = {.lex_state = 405, .external_lex_state = 2},
  [4147] = {.lex_state = 133, .external_lex_state = 2},
  [4148] = {.lex_state = 133, .external_lex_state = 2},
  [4149] = {.lex_state = 405, .external_lex_state = 2},
  [4150] = {.lex_state = 133, .external_lex_state = 2},
  [4151] = {.lex_state = 133, .external_lex_state = 2},
  [4152] = {.lex_state = 133, .external_lex_state = 2},
  [4153] = {.lex_state = 60, .external_lex_state = 2},
  [4154] = {.lex_state = 133, .external_lex_state = 2},
  [4155] = {.lex_state = 133, .external_lex_state = 2},
  [4156] = {.lex_state = 408, .external_lex_state = 2},
  [4157] = {.lex_state = 60, .external_lex_state = 2},
  [4158] = {.lex_state = 133, .external_lex_state = 2},
  [4159] = {.lex_state = 133, .external_lex_state = 2},
  [4160] = {.lex_state = 405, .external_lex_state = 2},
  [4161] = {.lex_state = 60, .external_lex_state = 2},
  [4162] = {.lex_state = 60, .external_lex_state = 2},
  [4163] = {.lex_state = 133, .external_lex_state = 2},
  [4164] = {.lex_state = 59, .external_lex_state = 2},
  [4165] = {.lex_state = 406, .external_lex_state = 2},
  [4166] = {.lex_state = 406, .external_lex_state = 2},
  [4167] = {.lex_state = 406, .external_lex_state = 2},
  [4168] = {.lex_state = 406, .external_lex_state = 2},
  [4169] = {.lex_state = 406, .external_lex_state = 2},
  [4170] = {.lex_state = 406, .external_lex_state = 2},
  [4171] = {.lex_state = 406, .external_lex_state = 2},
  [4172] = {.lex_state = 406, .external_lex_state = 2},
  [4173] = {.lex_state = 406, .external_lex_state = 2},
  [4174] = {.lex_state = 406, .external_lex_state = 2},
  [4175] = {.lex_state = 406, .external_lex_state = 2},
  [4176] = {.lex_state = 406, .external_lex_state = 2},
  [4177] = {.lex_state = 406, .external_lex_state = 2},
  [4178] = {.lex_state = 406, .external_lex_state = 2},
  [4179] = {.lex_state = 406, .external_lex_state = 2},
  [4180] = {.lex_state = 406, .external_lex_state = 2},
  [4181] = {.lex_state = 406, .external_lex_state = 2},
  [4182] = {.lex_state = 406, .external_lex_state = 2},
  [4183] = {.lex_state = 406, .external_lex_state = 2},
  [4184] = {.lex_state = 406, .external_lex_state = 2},
  [4185] = {.lex_state = 406, .external_lex_state = 2},
  [4186] = {.lex_state = 406, .external_lex_state = 2},
  [4187] = {.lex_state = 406, .external_lex_state = 2},
  [4188] = {.lex_state = 406, .external_lex_state = 2},
  [4189] = {.lex_state = 406, .external_lex_state = 2},
  [4190] = {.lex_state = 406, .external_lex_state = 2},
  [4191] = {.lex_state = 406, .external_lex_state = 2},
  [4192] = {.lex_state = 406, .external_lex_state = 2},
  [4193] = {.lex_state = 406, .external_lex_state = 2},
  [4194] = {.lex_state = 406, .external_lex_state = 2},
  [4195] = {.lex_state = 406, .external_lex_state = 2},
  [4196] = {.lex_state = 406, .external_lex_state = 2},
  [4197] = {.lex_state = 406, .external_lex_state = 2},
  [4198] = {.lex_state = 406, .external_lex_state = 2},
  [4199] = {.lex_state = 406, .external_lex_state = 2},
  [4200] = {.lex_state = 406, .external_lex_state = 2},
  [4201] = {.lex_state = 406, .external_lex_state = 2},
  [4202] = {.lex_state = 406, .external_lex_state = 2},
  [4203] = {.lex_state = 406, .external_lex_state = 2},
  [4204] = {.lex_state = 406, .external_lex_state = 2},
  [4205] = {.lex_state = 406, .external_lex_state = 2},
  [4206] = {.lex_state = 406, .external_lex_state = 2},
  [4207] = {.lex_state = 406, .external_lex_state = 2},
  [4208] = {.lex_state = 406, .external_lex_state = 2},
  [4209] = {.lex_state = 410, .external_lex_state = 2},
  [4210] = {.lex_state = 406, .external_lex_state = 2},
  [4211] = {.lex_state = 410, .external_lex_state = 2},
  [4212] = {.lex_state = 410, .external_lex_state = 2},
  [4213] = {.lex_state = 410, .external_lex_state = 2},
  [4214] = {.lex_state = 410, .external_lex_state = 2},
  [4215] = {.lex_state = 410, .external_lex_state = 2},
  [4216] = {.lex_state = 410, .external_lex_state = 2},
  [4217] = {.lex_state = 401, .external_lex_state = 2},
  [4218] = {.lex_state = 401, .external_lex_state = 2},
  [4219] = {.lex_state = 401, .external_lex_state = 2},
  [4220] = {.lex_state = 406, .external_lex_state = 2},
  [4221] = {.lex_state = 406, .external_lex_state = 2},
  [4222] = {.lex_state = 410, .external_lex_state = 2},
  [4223] = {.lex_state = 62, .external_lex_state = 2},
  [4224] = {.lex_state = 410, .external_lex_state = 2},
  [4225] = {.lex_state = 62, .external_lex_state = 2},
  [4226] = {.lex_state = 62, .external_lex_state = 2},
  [4227] = {.lex_state = 62, .external_lex_state = 2},
  [4228] = {.lex_state = 62, .external_lex_state = 2},
  [4229] = {.lex_state = 62, .external_lex_state = 2},
  [4230] = {.lex_state = 62, .external_lex_state = 2},
  [4231] = {.lex_state = 62, .external_lex_state = 2},
  [4232] = {.lex_state = 62, .external_lex_state = 2},
  [4233] = {.lex_state = 406, .external_lex_state = 2},
  [4234] = {.lex_state = 406, .external_lex_state = 2},
  [4235] = {.lex_state = 406, .external_lex_state = 2},
  [4236] = {.lex_state = 406, .external_lex_state = 2},
  [4237] = {.lex_state = 406, .external_lex_state = 2},
  [4238] = {.lex_state = 406, .external_lex_state = 2},
  [4239] = {.lex_state = 406, .external_lex_state = 2},
  [4240] = {.lex_state = 406, .external_lex_state = 2},
  [4241] = {.lex_state = 406, .external_lex_state = 2},
  [4242] = {.lex_state = 406, .external_lex_state = 2},
  [4243] = {.lex_state = 406, .external_lex_state = 2},
  [4244] = {.lex_state = 406, .external_lex_state = 2},
  [4245] = {.lex_state = 406, .external_lex_state = 2},
  [4246] = {.lex_state = 406, .external_lex_state = 2},
  [4247] = {.lex_state = 406, .external_lex_state = 2},
  [4248] = {.lex_state = 406, .external_lex_state = 2},
  [4249] = {.lex_state = 406, .external_lex_state = 2},
  [4250] = {.lex_state = 406, .external_lex_state = 2},
  [4251] = {.lex_state = 406, .external_lex_state = 2},
  [4252] = {.lex_state = 406, .external_lex_state = 2},
  [4253] = {.lex_state = 406, .external_lex_state = 2},
  [4254] = {.lex_state = 406, .external_lex_state = 2},
  [4255] = {.lex_state = 406, .external_lex_state = 2},
  [4256] = {.lex_state = 406, .external_lex_state = 2},
  [4257] = {.lex_state = 406, .external_lex_state = 2},
  [4258] = {.lex_state = 406, .external_lex_state = 2},
  [4259] = {.lex_state = 406, .external_lex_state = 2},
  [4260] = {.lex_state = 406, .external_lex_state = 2},
  [4261] = {.lex_state = 406, .external_lex_state = 2},
  [4262] = {.lex_state = 406, .external_lex_state = 2},
  [4263] = {.lex_state = 406, .external_lex_state = 2},
  [4264] = {.lex_state = 406, .external_lex_state = 2},
  [4265] = {.lex_state = 406, .external_lex_state = 2},
  [4266] = {.lex_state = 406, .external_lex_state = 2},
  [4267] = {.lex_state = 406, .external_lex_state = 2},
  [4268] = {.lex_state = 406, .external_lex_state = 2},
  [4269] = {.lex_state = 406, .external_lex_state = 2},
  [4270] = {.lex_state = 406, .external_lex_state = 2},
  [4271] = {.lex_state = 406, .external_lex_state = 2},
  [4272] = {.lex_state = 406, .external_lex_state = 2},
  [4273] = {.lex_state = 406, .external_lex_state = 2},
  [4274] = {.lex_state = 406, .external_lex_state = 2},
  [4275] = {.lex_state = 406, .external_lex_state = 2},
  [4276] = {.lex_state = 406, .external_lex_state = 2},
  [4277] = {.lex_state = 61, .external_lex_state = 2},
  [4278] = {.lex_state = 406, .external_lex_state = 2},
  [4279] = {.lex_state = 406, .external_lex_state = 2},
  [4280] = {.lex_state = 406, .external_lex_state = 2},
  [4281] = {.lex_state = 61, .external_lex_state = 2},
  [4282] = {.lex_state = 406, .external_lex_state = 2},
  [4283] = {.lex_state = 61, .external_lex_state = 2},
  [4284] = {.lex_state = 406, .external_lex_state = 2},
  [4285] = {.lex_state = 61, .external_lex_state = 2},
  [4286] = {.lex_state = 61, .external_lex_state = 2},
  [4287] = {.lex_state = 61, .external_lex_state = 2},
  [4288] = {.lex_state = 61, .external_lex_state = 2},
  [4289] = {.lex_state = 61, .external_lex_state = 2},
  [4290] = {.lex_state = 61, .external_lex_state = 2},
  [4291] = {.lex_state = 61, .external_lex_state = 2},
  [4292] = {.lex_state = 406, .external_lex_state = 2},
  [4293] = {.lex_state = 406, .external_lex_state = 2},
  [4294] = {.lex_state = 61, .external_lex_state = 2},
  [4295] = {.lex_state = 61, .external_lex_state = 2},
  [4296] = {.lex_state = 61, .external_lex_state = 2},
  [4297] = {.lex_state = 406, .external_lex_state = 2},
  [4298] = {.lex_state = 48, .external_lex_state = 2},
  [4299] = {.lex_state = 61, .external_lex_state = 2},
  [4300] = {.lex_state = 61, .external_lex_state = 2},
  [4301] = {.lex_state = 61, .external_lex_state = 2},
  [4302] = {.lex_state = 61, .external_lex_state = 2},
  [4303] = {.lex_state = 61, .external_lex_state = 2},
  [4304] = {.lex_state = 61, .external_lex_state = 2},
  [4305] = {.lex_state = 61, .external_lex_state = 2},
  [4306] = {.lex_state = 406, .external_lex_state = 2},
  [4307] = {.lex_state = 61, .external_lex_state = 2},
  [4308] = {.lex_state = 406, .external_lex_state = 2},
  [4309] = {.lex_state = 61, .external_lex_state = 2},
  [4310] = {.lex_state = 61, .external_lex_state = 2},
  [4311] = {.lex_state = 61, .external_lex_state = 2},
  [4312] = {.lex_state = 61, .external_lex_state = 2},
  [4313] = {.lex_state = 61, .external_lex_state = 2},
  [4314] = {.lex_state = 61, .external_lex_state = 2},
  [4315] = {.lex_state = 61, .external_lex_state = 2},
  [4316] = {.lex_state = 406, .external_lex_state = 2},
  [4317] = {.lex_state = 61, .external_lex_state = 2},
  [4318] = {.lex_state = 61, .external_lex_state = 2},
  [4319] = {.lex_state = 61, .external_lex_state = 2},
  [4320] = {.lex_state = 61, .external_lex_state = 2},
  [4321] = {.lex_state = 61, .external_lex_state = 2},
  [4322] = {.lex_state = 61, .external_lex_state = 2},
  [4323] = {.lex_state = 61, .external_lex_state = 2},
  [4324] = {.lex_state = 406, .external_lex_state = 2},
  [4325] = {.lex_state = 61, .external_lex_state = 2},
  [4326] = {.lex_state = 406, .external_lex_state = 2},
  [4327] = {.lex_state = 406, .external_lex_state = 2},
  [4328] = {.lex_state = 61, .external_lex_state = 2},
  [4329] = {.lex_state = 406, .external_lex_state = 2},
  [4330] = {.lex_state = 406, .external_lex_state = 2},
  [4331] = {.lex_state = 406, .external_lex_state = 2},
  [4332] = {.lex_state = 406, .external_lex_state = 2},
  [4333] = {.lex_state = 61, .external_lex_state = 2},
  [4334] = {.lex_state = 406, .external_lex_state = 2},
  [4335] = {.lex_state = 406, .external_lex_state = 2},
  [4336] = {.lex_state = 406, .external_lex_state = 2},
  [4337] = {.lex_state = 406, .external_lex_state = 2},
  [4338] = {.lex_state = 406, .external_lex_state = 2},
  [4339] = {.lex_state = 406, .external_lex_state = 2},
  [4340] = {.lex_state = 61, .external_lex_state = 2},
  [4341] = {.lex_state = 61, .external_lex_state = 2},
  [4342] = {.lex_state = 61, .external_lex_state = 2},
  [4343] = {.lex_state = 61, .external_lex_state = 2},
  [4344] = {.lex_state = 61, .external_lex_state = 2},
  [4345] = {.lex_state = 61, .external_lex_state = 2},
  [4346] = {.lex_state = 61, .external_lex_state = 2},
  [4347] = {.lex_state = 61, .external_lex_state = 2},
  [4348] = {.lex_state = 61, .external_lex_state = 2},
  [4349] = {.lex_state = 61, .external_lex_state = 2},
  [4350] = {.lex_state = 61, .external_lex_state = 2},
  [4351] = {.lex_state = 406, .external_lex_state = 2},
  [4352] = {.lex_state = 406, .external_lex_state = 2},
  [4353] = {.lex_state = 406, .external_lex_state = 2},
  [4354] = {.lex_state = 406, .external_lex_state = 2},
  [4355] = {.lex_state = 406, .external_lex_state = 2},
  [4356] = {.lex_state = 406, .external_lex_state = 2},
  [4357] = {.lex_state = 406, .external_lex_state = 2},
  [4358] = {.lex_state = 406, .external_lex_state = 2},
  [4359] = {.lex_state = 406, .external_lex_state = 2},
  [4360] = {.lex_state = 406, .external_lex_state = 2},
  [4361] = {.lex_state = 406, .external_lex_state = 2},
  [4362] = {.lex_state = 406, .external_lex_state = 2},
  [4363] = {.lex_state = 406, .external_lex_state = 2},
  [4364] = {.lex_state = 406, .external_lex_state = 2},
  [4365] = {.lex_state = 406, .external_lex_state = 2},
  [4366] = {.lex_state = 406, .external_lex_state = 2},
  [4367] = {.lex_state = 406, .external_lex_state = 2},
  [4368] = {.lex_state = 406, .external_lex_state = 2},
  [4369] = {.lex_state = 406, .external_lex_state = 2},
  [4370] = {.lex_state = 406, .external_lex_state = 2},
  [4371] = {.lex_state = 61, .external_lex_state = 2},
  [4372] = {.lex_state = 406, .external_lex_state = 2},
  [4373] = {.lex_state = 406, .external_lex_state = 2},
  [4374] = {.lex_state = 15, .external_lex_state = 2},
  [4375] = {.lex_state = 61, .external_lex_state = 2},
  [4376] = {.lex_state = 61, .external_lex_state = 2},
  [4377] = {.lex_state = 61, .external_lex_state = 2},
  [4378] = {.lex_state = 61, .external_lex_state = 2},
  [4379] = {.lex_state = 61, .external_lex_state = 2},
  [4380] = {.lex_state = 61, .external_lex_state = 2},
  [4381] = {.lex_state = 61, .external_lex_state = 2},
  [4382] = {.lex_state = 61, .external_lex_state = 2},
  [4383] = {.lex_state = 61, .external_lex_state = 2},
  [4384] = {.lex_state = 61, .external_lex_state = 2},
  [4385] = {.lex_state = 61, .external_lex_state = 2},
  [4386] = {.lex_state = 61, .external_lex_state = 2},
  [4387] = {.lex_state = 61, .external_lex_state = 2},
  [4388] = {.lex_state = 61, .external_lex_state = 2},
  [4389] = {.lex_state = 61, .external_lex_state = 2},
  [4390] = {.lex_state = 61, .external_lex_state = 2},
  [4391] = {.lex_state = 61, .external_lex_state = 2},
  [4392] = {.lex_state = 61, .external_lex_state = 2},
  [4393] = {.lex_state = 406, .external_lex_state = 2},
  [4394] = {.lex_state = 406, .external_lex_state = 2},
  [4395] = {.lex_state = 406, .external_lex_state = 2},
  [4396] = {.lex_state = 406, .external_lex_state = 2},
  [4397] = {.lex_state = 61, .external_lex_state = 2},
  [4398] = {.lex_state = 61, .external_lex_state = 2},
  [4399] = {.lex_state = 61, .external_lex_state = 2},
  [4400] = {.lex_state = 61, .external_lex_state = 2},
  [4401] = {.lex_state = 15, .external_lex_state = 2},
  [4402] = {.lex_state = 15, .external_lex_state = 2},
  [4403] = {.lex_state = 133, .external_lex_state = 2},
  [4404] = {.lex_state = 133, .external_lex_state = 2},
  [4405] = {.lex_state = 15, .external_lex_state = 2},
  [4406] = {.lex_state = 133, .external_lex_state = 2},
  [4407] = {.lex_state = 15, .external_lex_state = 2},
  [4408] = {.lex_state = 15, .external_lex_state = 2},
  [4409] = {.lex_state = 15, .external_lex_state = 2},
  [4410] = {.lex_state = 133, .external_lex_state = 2},
  [4411] = {.lex_state = 15, .external_lex_state = 2},
  [4412] = {.lex_state = 15, .external_lex_state = 2},
  [4413] = {.lex_state = 15, .external_lex_state = 2},
  [4414] = {.lex_state = 133, .external_lex_state = 2},
  [4415] = {.lex_state = 15, .external_lex_state = 2},
  [4416] = {.lex_state = 15, .external_lex_state = 2},
  [4417] = {.lex_state = 15, .external_lex_state = 2},
  [4418] = {.lex_state = 133, .external_lex_state = 2},
  [4419] = {.lex_state = 15, .external_lex_state = 2},
  [4420] = {.lex_state = 133, .external_lex_state = 2},
  [4421] = {.lex_state = 15, .external_lex_state = 2},
  [4422] = {.lex_state = 133, .external_lex_state = 2},
  [4423] = {.lex_state = 15, .external_lex_state = 2},
  [4424] = {.lex_state = 133, .external_lex_state = 2},
  [4425] = {.lex_state = 15, .external_lex_state = 2},
  [4426] = {.lex_state = 133, .external_lex_state = 2},
  [4427] = {.lex_state = 133, .external_lex_state = 2},
  [4428] = {.lex_state = 133, .external_lex_state = 2},
  [4429] = {.lex_state = 15, .external_lex_state = 2},
  [4430] = {.lex_state = 15, .external_lex_state = 2},
  [4431] = {.lex_state = 15, .external_lex_state = 2},
  [4432] = {.lex_state = 15, .external_lex_state = 2},
  [4433] = {.lex_state = 15, .external_lex_state = 2},
  [4434] = {.lex_state = 15, .external_lex_state = 2},
  [4435] = {.lex_state = 15, .external_lex_state = 2},
  [4436] = {.lex_state = 15, .external_lex_state = 2},
  [4437] = {.lex_state = 15, .external_lex_state = 2},
  [4438] = {.lex_state = 15, .external_lex_state = 2},
  [4439] = {.lex_state = 15, .external_lex_state = 2},
  [4440] = {.lex_state = 15, .external_lex_state = 2},
  [4441] = {.lex_state = 410, .external_lex_state = 2},
  [4442] = {.lex_state = 410, .external_lex_state = 2},
  [4443] = {.lex_state = 15, .external_lex_state = 2},
  [4444] = {.lex_state = 15, .external_lex_state = 2},
  [4445] = {.lex_state = 15, .external_lex_state = 2},
  [4446] = {.lex_state = 15, .external_lex_state = 2},
  [4447] = {.lex_state = 15, .external_lex_state = 2},
  [4448] = {.lex_state = 15, .external_lex_state = 2},
  [4449] = {.lex_state = 15, .external_lex_state = 2},
  [4450] = {.lex_state = 15, .external_lex_state = 2},
  [4451] = {.lex_state = 15, .external_lex_state = 2},
  [4452] = {.lex_state = 15, .external_lex_state = 2},
  [4453] = {.lex_state = 15, .external_lex_state = 2},
  [4454] = {.lex_state = 15, .external_lex_state = 2},
  [4455] = {.lex_state = 15, .external_lex_state = 2},
  [4456] = {.lex_state = 15, .external_lex_state = 2},
  [4457] = {.lex_state = 15, .external_lex_state = 2},
  [4458] = {.lex_state = 15, .external_lex_state = 2},
  [4459] = {.lex_state = 15, .external_lex_state = 2},
  [4460] = {.lex_state = 15, .external_lex_state = 2},
  [4461] = {.lex_state = 15, .external_lex_state = 2},
  [4462] = {.lex_state = 15, .external_lex_state = 2},
  [4463] = {.lex_state = 15, .external_lex_state = 2},
  [4464] = {.lex_state = 15, .external_lex_state = 2},
  [4465] = {.lex_state = 15, .external_lex_state = 2},
  [4466] = {.lex_state = 410, .external_lex_state = 2},
  [4467] = {.lex_state = 15, .external_lex_state = 2},
  [4468] = {.lex_state = 15, .external_lex_state = 2},
  [4469] = {.lex_state = 410, .external_lex_state = 2},
  [4470] = {.lex_state = 410, .external_lex_state = 2},
  [4471] = {.lex_state = 410, .external_lex_state = 2},
  [4472] = {.lex_state = 15, .external_lex_state = 2},
  [4473] = {.lex_state = 410, .external_lex_state = 2},
  [4474] = {.lex_state = 410, .external_lex_state = 2},
  [4475] = {.lex_state = 410, .external_lex_state = 2},
  [4476] = {.lex_state = 15, .external_lex_state = 2},
  [4477] = {.lex_state = 15, .external_lex_state = 2},
  [4478] = {.lex_state = 15, .external_lex_state = 2},
  [4479] = {.lex_state = 15, .external_lex_state = 2},
  [4480] = {.lex_state = 15, .external_lex_state = 2},
  [4481] = {.lex_state = 410, .external_lex_state = 2},
  [4482] = {.lex_state = 401, .external_lex_state = 2},
  [4483] = {.lex_state = 410, .external_lex_state = 2},
  [4484] = {.lex_state = 410, .external_lex_state = 2},
  [4485] = {.lex_state = 410, .external_lex_state = 2},
  [4486] = {.lex_state = 406, .external_lex_state = 2},
  [4487] = {.lex_state = 62, .external_lex_state = 2},
  [4488] = {.lex_state = 62, .external_lex_state = 2},
  [4489] = {.lex_state = 406, .external_lex_state = 2},
  [4490] = {.lex_state = 406, .external_lex_state = 2},
  [4491] = {.lex_state = 15, .external_lex_state = 2},
  [4492] = {.lex_state = 133, .external_lex_state = 2},
  [4493] = {.lex_state = 62, .external_lex_state = 2},
  [4494] = {.lex_state = 62, .external_lex_state = 2},
  [4495] = {.lex_state = 410, .external_lex_state = 2},
  [4496] = {.lex_state = 62, .external_lex_state = 2},
  [4497] = {.lex_state = 410, .external_lex_state = 2},
  [4498] = {.lex_state = 410, .external_lex_state = 2},
  [4499] = {.lex_state = 410, .external_lex_state = 2},
  [4500] = {.lex_state = 62, .external_lex_state = 2},
  [4501] = {.lex_state = 62, .external_lex_state = 2},
  [4502] = {.lex_state = 62, .external_lex_state = 2},
  [4503] = {.lex_state = 409, .external_lex_state = 2},
  [4504] = {.lex_state = 62, .external_lex_state = 2},
  [4505] = {.lex_state = 410, .external_lex_state = 2},
  [4506] = {.lex_state = 62, .external_lex_state = 2},
  [4507] = {.lex_state = 62, .external_lex_state = 2},
  [4508] = {.lex_state = 410, .external_lex_state = 2},
  [4509] = {.lex_state = 410, .external_lex_state = 2},
  [4510] = {.lex_state = 410, .external_lex_state = 2},
  [4511] = {.lex_state = 410, .external_lex_state = 2},
  [4512] = {.lex_state = 410, .external_lex_state = 2},
  [4513] = {.lex_state = 409, .external_lex_state = 2},
  [4514] = {.lex_state = 410, .external_lex_state = 2},
  [4515] = {.lex_state = 410, .external_lex_state = 2},
  [4516] = {.lex_state = 409, .external_lex_state = 2},
  [4517] = {.lex_state = 133, .external_lex_state = 2},
  [4518] = {.lex_state = 146, .external_lex_state = 2},
  [4519] = {.lex_state = 410, .external_lex_state = 2},
  [4520] = {.lex_state = 410, .external_lex_state = 2},
  [4521] = {.lex_state = 410, .external_lex_state = 2},
  [4522] = {.lex_state = 410, .external_lex_state = 2},
  [4523] = {.lex_state = 410, .external_lex_state = 2},
  [4524] = {.lex_state = 410, .external_lex_state = 2},
  [4525] = {.lex_state = 62, .external_lex_state = 2},
  [4526] = {.lex_state = 410, .external_lex_state = 2},
  [4527] = {.lex_state = 410, .external_lex_state = 2},
  [4528] = {.lex_state = 410, .external_lex_state = 2},
  [4529] = {.lex_state = 410, .external_lex_state = 2},
  [4530] = {.lex_state = 410, .external_lex_state = 2},
  [4531] = {.lex_state = 410, .external_lex_state = 2},
  [4532] = {.lex_state = 410, .external_lex_state = 2},
  [4533] = {.lex_state = 410, .external_lex_state = 2},
  [4534] = {.lex_state = 62, .external_lex_state = 2},
  [4535] = {.lex_state = 410, .external_lex_state = 2},
  [4536] = {.lex_state = 410, .external_lex_state = 2},
  [4537] = {.lex_state = 62, .external_lex_state = 2},
  [4538] = {.lex_state = 402, .external_lex_state = 2},
  [4539] = {.lex_state = 402, .external_lex_state = 2},
  [4540] = {.lex_state = 402, .external_lex_state = 2},
  [4541] = {.lex_state = 62, .external_lex_state = 2},
  [4542] = {.lex_state = 62, .external_lex_state = 2},
  [4543] = {.lex_state = 62, .external_lex_state = 2},
  [4544] = {.lex_state = 62, .external_lex_state = 2},
  [4545] = {.lex_state = 62, .external_lex_state = 2},
  [4546] = {.lex_state = 410, .external_lex_state = 2},
  [4547] = {.lex_state = 62, .external_lex_state = 2},
  [4548] = {.lex_state = 62, .external_lex_state = 2},
  [4549] = {.lex_state = 62, .external_lex_state = 2},
  [4550] = {.lex_state = 62, .external_lex_state = 2},
  [4551] = {.lex_state = 62, .external_lex_state = 2},
  [4552] = {.lex_state = 62, .external_lex_state = 2},
  [4553] = {.lex_state = 62, .external_lex_state = 2},
  [4554] = {.lex_state = 62, .external_lex_state = 2},
  [4555] = {.lex_state = 62, .external_lex_state = 2},
  [4556] = {.lex_state = 62, .external_lex_state = 2},
  [4557] = {.lex_state = 410, .external_lex_state = 2},
  [4558] = {.lex_state = 62, .external_lex_state = 2},
  [4559] = {.lex_state = 48, .external_lex_state = 2},
  [4560] = {.lex_state = 62, .external_lex_state = 2},
  [4561] = {.lex_state = 62, .external_lex_state = 2},
  [4562] = {.lex_state = 62, .external_lex_state = 2},
  [4563] = {.lex_state = 62, .external_lex_state = 2},
  [4564] = {.lex_state = 62, .external_lex_state = 2},
  [4565] = {.lex_state = 15, .external_lex_state = 2},
  [4566] = {.lex_state = 133, .external_lex_state = 2},
  [4567] = {.lex_state = 146, .external_lex_state = 2},
  [4568] = {.lex_state = 133, .external_lex_state = 2},
  [4569] = {.lex_state = 62, .external_lex_state = 2},
  [4570] = {.lex_state = 62, .external_lex_state = 2},
  [4571] = {.lex_state = 15, .external_lex_state = 2},
  [4572] = {.lex_state = 133, .external_lex_state = 2},
  [4573] = {.lex_state = 62, .external_lex_state = 2},
  [4574] = {.lex_state = 133, .external_lex_state = 2},
  [4575] = {.lex_state = 146, .external_lex_state = 2},
  [4576] = {.lex_state = 62, .external_lex_state = 2},
  [4577] = {.lex_state = 133, .external_lex_state = 2},
  [4578] = {.lex_state = 146, .external_lex_state = 2},
  [4579] = {.lex_state = 62, .external_lex_state = 2},
  [4580] = {.lex_state = 410, .external_lex_state = 2},
  [4581] = {.lex_state = 15, .external_lex_state = 2},
  [4582] = {.lex_state = 133, .external_lex_state = 2},
  [4583] = {.lex_state = 146, .external_lex_state = 2},
  [4584] = {.lex_state = 133, .external_lex_state = 2},
  [4585] = {.lex_state = 133, .external_lex_state = 2},
  [4586] = {.lex_state = 62, .external_lex_state = 2},
  [4587] = {.lex_state = 133, .external_lex_state = 2},
  [4588] = {.lex_state = 146, .external_lex_state = 2},
  [4589] = {.lex_state = 62, .external_lex_state = 2},
  [4590] = {.lex_state = 133, .external_lex_state = 2},
  [4591] = {.lex_state = 146, .external_lex_state = 2},
  [4592] = {.lex_state = 62, .external_lex_state = 2},
  [4593] = {.lex_state = 62, .external_lex_state = 2},
  [4594] = {.lex_state = 15, .external_lex_state = 2},
  [4595] = {.lex_state = 133, .external_lex_state = 2},
  [4596] = {.lex_state = 146, .external_lex_state = 2},
  [4597] = {.lex_state = 133, .external_lex_state = 2},
  [4598] = {.lex_state = 133, .external_lex_state = 2},
  [4599] = {.lex_state = 62, .external_lex_state = 2},
  [4600] = {.lex_state = 409, .external_lex_state = 2},
  [4601] = {.lex_state = 133, .external_lex_state = 2},
  [4602] = {.lex_state = 146, .external_lex_state = 2},
  [4603] = {.lex_state = 62, .external_lex_state = 2},
  [4604] = {.lex_state = 409, .external_lex_state = 2},
  [4605] = {.lex_state = 133, .external_lex_state = 2},
  [4606] = {.lex_state = 146, .external_lex_state = 2},
  [4607] = {.lex_state = 410, .external_lex_state = 2},
  [4608] = {.lex_state = 410, .external_lex_state = 2},
  [4609] = {.lex_state = 15, .external_lex_state = 2},
  [4610] = {.lex_state = 133, .external_lex_state = 2},
  [4611] = {.lex_state = 146, .external_lex_state = 2},
  [4612] = {.lex_state = 133, .external_lex_state = 2},
  [4613] = {.lex_state = 410, .external_lex_state = 2},
  [4614] = {.lex_state = 133, .external_lex_state = 2},
  [4615] = {.lex_state = 146, .external_lex_state = 2},
  [4616] = {.lex_state = 62, .external_lex_state = 2},
  [4617] = {.lex_state = 133, .external_lex_state = 2},
  [4618] = {.lex_state = 146, .external_lex_state = 2},
  [4619] = {.lex_state = 409, .external_lex_state = 2},
  [4620] = {.lex_state = 15, .external_lex_state = 2},
  [4621] = {.lex_state = 133, .external_lex_state = 2},
  [4622] = {.lex_state = 146, .external_lex_state = 2},
  [4623] = {.lex_state = 133, .external_lex_state = 2},
  [4624] = {.lex_state = 62, .external_lex_state = 2},
  [4625] = {.lex_state = 133, .external_lex_state = 2},
  [4626] = {.lex_state = 146, .external_lex_state = 2},
  [4627] = {.lex_state = 62, .external_lex_state = 2},
  [4628] = {.lex_state = 133, .external_lex_state = 2},
  [4629] = {.lex_state = 146, .external_lex_state = 2},
  [4630] = {.lex_state = 15, .external_lex_state = 2},
  [4631] = {.lex_state = 133, .external_lex_state = 2},
  [4632] = {.lex_state = 146, .external_lex_state = 2},
  [4633] = {.lex_state = 133, .external_lex_state = 2},
  [4634] = {.lex_state = 62, .external_lex_state = 2},
  [4635] = {.lex_state = 133, .external_lex_state = 2},
  [4636] = {.lex_state = 146, .external_lex_state = 2},
  [4637] = {.lex_state = 410, .external_lex_state = 2},
  [4638] = {.lex_state = 133, .external_lex_state = 2},
  [4639] = {.lex_state = 146, .external_lex_state = 2},
  [4640] = {.lex_state = 15, .external_lex_state = 2},
  [4641] = {.lex_state = 133, .external_lex_state = 2},
  [4642] = {.lex_state = 146, .external_lex_state = 2},
  [4643] = {.lex_state = 133, .external_lex_state = 2},
  [4644] = {.lex_state = 410, .external_lex_state = 2},
  [4645] = {.lex_state = 133, .external_lex_state = 2},
  [4646] = {.lex_state = 146, .external_lex_state = 2},
  [4647] = {.lex_state = 410, .external_lex_state = 2},
  [4648] = {.lex_state = 133, .external_lex_state = 2},
  [4649] = {.lex_state = 146, .external_lex_state = 2},
  [4650] = {.lex_state = 63, .external_lex_state = 2},
  [4651] = {.lex_state = 63, .external_lex_state = 2},
  [4652] = {.lex_state = 133, .external_lex_state = 2},
  [4653] = {.lex_state = 15, .external_lex_state = 2},
  [4654] = {.lex_state = 133, .external_lex_state = 2},
  [4655] = {.lex_state = 62, .external_lex_state = 2},
  [4656] = {.lex_state = 146, .external_lex_state = 2},
  [4657] = {.lex_state = 133, .external_lex_state = 2},
  [4658] = {.lex_state = 62, .external_lex_state = 2},
  [4659] = {.lex_state = 410, .external_lex_state = 2},
  [4660] = {.lex_state = 62, .external_lex_state = 2},
  [4661] = {.lex_state = 15, .external_lex_state = 2},
  [4662] = {.lex_state = 133, .external_lex_state = 2},
  [4663] = {.lex_state = 62, .external_lex_state = 2},
  [4664] = {.lex_state = 15, .external_lex_state = 2},
  [4665] = {.lex_state = 133, .external_lex_state = 2},
  [4666] = {.lex_state = 410, .external_lex_state = 2},
  [4667] = {.lex_state = 15, .external_lex_state = 2},
  [4668] = {.lex_state = 133, .external_lex_state = 2},
  [4669] = {.lex_state = 62, .external_lex_state = 2},
  [4670] = {.lex_state = 15, .external_lex_state = 2},
  [4671] = {.lex_state = 133, .external_lex_state = 2},
  [4672] = {.lex_state = 410, .external_lex_state = 2},
  [4673] = {.lex_state = 62, .external_lex_state = 2},
  [4674] = {.lex_state = 409, .external_lex_state = 2},
  [4675] = {.lex_state = 15, .external_lex_state = 2},
  [4676] = {.lex_state = 409, .external_lex_state = 2},
  [4677] = {.lex_state = 133, .external_lex_state = 2},
  [4678] = {.lex_state = 48, .external_lex_state = 2},
  [4679] = {.lex_state = 15, .external_lex_state = 2},
  [4680] = {.lex_state = 133, .external_lex_state = 2},
  [4681] = {.lex_state = 410, .external_lex_state = 2},
  [4682] = {.lex_state = 409, .external_lex_state = 2},
  [4683] = {.lex_state = 409, .external_lex_state = 2},
  [4684] = {.lex_state = 409, .external_lex_state = 2},
  [4685] = {.lex_state = 409, .external_lex_state = 2},
  [4686] = {.lex_state = 15, .external_lex_state = 2},
  [4687] = {.lex_state = 133, .external_lex_state = 2},
  [4688] = {.lex_state = 409, .external_lex_state = 2},
  [4689] = {.lex_state = 409, .external_lex_state = 2},
  [4690] = {.lex_state = 62, .external_lex_state = 2},
  [4691] = {.lex_state = 409, .external_lex_state = 2},
  [4692] = {.lex_state = 15, .external_lex_state = 2},
  [4693] = {.lex_state = 133, .external_lex_state = 2},
  [4694] = {.lex_state = 62, .external_lex_state = 2},
  [4695] = {.lex_state = 399, .external_lex_state = 2},
  [4696] = {.lex_state = 15, .external_lex_state = 2},
  [4697] = {.lex_state = 133, .external_lex_state = 2},
  [4698] = {.lex_state = 410, .external_lex_state = 2},
  [4699] = {.lex_state = 399, .external_lex_state = 2},
  [4700] = {.lex_state = 63, .external_lex_state = 2},
  [4701] = {.lex_state = 15, .external_lex_state = 2},
  [4702] = {.lex_state = 133, .external_lex_state = 2},
  [4703] = {.lex_state = 62, .external_lex_state = 2},
  [4704] = {.lex_state = 63, .external_lex_state = 2},
  [4705] = {.lex_state = 63, .external_lex_state = 2},
  [4706] = {.lex_state = 63, .external_lex_state = 2},
  [4707] = {.lex_state = 15, .external_lex_state = 2},
  [4708] = {.lex_state = 133, .external_lex_state = 2},
  [4709] = {.lex_state = 62, .external_lex_state = 2},
  [4710] = {.lex_state = 399, .external_lex_state = 2},
  [4711] = {.lex_state = 63, .external_lex_state = 2},
  [4712] = {.lex_state = 63, .external_lex_state = 2},
  [4713] = {.lex_state = 63, .external_lex_state = 2},
  [4714] = {.lex_state = 62, .external_lex_state = 2},
  [4715] = {.lex_state = 410, .external_lex_state = 2},
  [4716] = {.lex_state = 15, .external_lex_state = 2},
  [4717] = {.lex_state = 133, .external_lex_state = 2},
  [4718] = {.lex_state = 62, .external_lex_state = 2},
  [4719] = {.lex_state = 63, .external_lex_state = 2},
  [4720] = {.lex_state = 15, .external_lex_state = 2},
  [4721] = {.lex_state = 133, .external_lex_state = 2},
  [4722] = {.lex_state = 49, .external_lex_state = 2},
  [4723] = {.lex_state = 15, .external_lex_state = 2},
  [4724] = {.lex_state = 133, .external_lex_state = 2},
  [4725] = {.lex_state = 410, .external_lex_state = 2},
  [4726] = {.lex_state = 63, .external_lex_state = 2},
  [4727] = {.lex_state = 15, .external_lex_state = 2},
  [4728] = {.lex_state = 133, .external_lex_state = 2},
  [4729] = {.lex_state = 410, .external_lex_state = 2},
  [4730] = {.lex_state = 410, .external_lex_state = 2},
  [4731] = {.lex_state = 410, .external_lex_state = 2},
  [4732] = {.lex_state = 410, .external_lex_state = 2},
  [4733] = {.lex_state = 410, .external_lex_state = 2},
  [4734] = {.lex_state = 133, .external_lex_state = 2},
  [4735] = {.lex_state = 146, .external_lex_state = 2},
  [4736] = {.lex_state = 15, .external_lex_state = 2},
  [4737] = {.lex_state = 133, .external_lex_state = 2},
  [4738] = {.lex_state = 410, .external_lex_state = 2},
  [4739] = {.lex_state = 15, .external_lex_state = 2},
  [4740] = {.lex_state = 409, .external_lex_state = 2},
  [4741] = {.lex_state = 409, .external_lex_state = 2},
  [4742] = {.lex_state = 409, .external_lex_state = 2},
  [4743] = {.lex_state = 15, .external_lex_state = 2},
  [4744] = {.lex_state = 133, .external_lex_state = 2},
  [4745] = {.lex_state = 410, .external_lex_state = 2},
  [4746] = {.lex_state = 15, .external_lex_state = 2},
  [4747] = {.lex_state = 133, .external_lex_state = 2},
  [4748] = {.lex_state = 410, .external_lex_state = 2},
  [4749] = {.lex_state = 15, .external_lex_state = 2},
  [4750] = {.lex_state = 133, .external_lex_state = 2},
  [4751] = {.lex_state = 410, .external_lex_state = 2},
  [4752] = {.lex_state = 15, .external_lex_state = 2},
  [4753] = {.lex_state = 133, .external_lex_state = 2},
  [4754] = {.lex_state = 62, .external_lex_state = 2},
  [4755] = {.lex_state = 15, .external_lex_state = 2},
  [4756] = {.lex_state = 133, .external_lex_state = 2},
  [4757] = {.lex_state = 410, .external_lex_state = 2},
  [4758] = {.lex_state = 15, .external_lex_state = 2},
  [4759] = {.lex_state = 133, .external_lex_state = 2},
  [4760] = {.lex_state = 410, .external_lex_state = 2},
  [4761] = {.lex_state = 15, .external_lex_state = 2},
  [4762] = {.lex_state = 133, .external_lex_state = 2},
  [4763] = {.lex_state = 410, .external_lex_state = 2},
  [4764] = {.lex_state = 15, .external_lex_state = 2},
  [4765] = {.lex_state = 133, .external_lex_state = 2},
  [4766] = {.lex_state = 410, .external_lex_state = 2},
  [4767] = {.lex_state = 15, .external_lex_state = 2},
  [4768] = {.lex_state = 133, .external_lex_state = 2},
  [4769] = {.lex_state = 410, .external_lex_state = 2},
  [4770] = {.lex_state = 15, .external_lex_state = 2},
  [4771] = {.lex_state = 133, .external_lex_state = 2},
  [4772] = {.lex_state = 410, .external_lex_state = 2},
  [4773] = {.lex_state = 15, .external_lex_state = 2},
  [4774] = {.lex_state = 133, .external_lex_state = 2},
  [4775] = {.lex_state = 410, .external_lex_state = 2},
  [4776] = {.lex_state = 15, .external_lex_state = 2},
  [4777] = {.lex_state = 133, .external_lex_state = 2},
  [4778] = {.lex_state = 62, .external_lex_state = 2},
  [4779] = {.lex_state = 15, .external_lex_state = 2},
  [4780] = {.lex_state = 410, .external_lex_state = 2},
  [4781] = {.lex_state = 410, .external_lex_state = 2},
  [4782] = {.lex_state = 410, .external_lex_state = 2},
  [4783] = {.lex_state = 15, .external_lex_state = 2},
  [4784] = {.lex_state = 410, .external_lex_state = 2},
  [4785] = {.lex_state = 410, .external_lex_state = 2},
  [4786] = {.lex_state = 410, .external_lex_state = 2},
  [4787] = {.lex_state = 410, .external_lex_state = 2},
  [4788] = {.lex_state = 410, .external_lex_state = 2},
  [4789] = {.lex_state = 410, .external_lex_state = 2},
  [4790] = {.lex_state = 409, .external_lex_state = 2},
  [4791] = {.lex_state = 409, .external_lex_state = 2},
  [4792] = {.lex_state = 409, .external_lex_state = 2},
  [4793] = {.lex_state = 15, .external_lex_state = 2},
  [4794] = {.lex_state = 410, .external_lex_state = 2},
  [4795] = {.lex_state = 410, .external_lex_state = 2},
  [4796] = {.lex_state = 410, .external_lex_state = 2},
  [4797] = {.lex_state = 15, .external_lex_state = 2},
  [4798] = {.lex_state = 410, .external_lex_state = 2},
  [4799] = {.lex_state = 410, .external_lex_state = 2},
  [4800] = {.lex_state = 410, .external_lex_state = 2},
  [4801] = {.lex_state = 410, .external_lex_state = 2},
  [4802] = {.lex_state = 410, .external_lex_state = 2},
  [4803] = {.lex_state = 410, .external_lex_state = 2},
  [4804] = {.lex_state = 410, .external_lex_state = 2},
  [4805] = {.lex_state = 410, .external_lex_state = 2},
  [4806] = {.lex_state = 15, .external_lex_state = 2},
  [4807] = {.lex_state = 410, .external_lex_state = 2},
  [4808] = {.lex_state = 410, .external_lex_state = 2},
  [4809] = {.lex_state = 410, .external_lex_state = 2},
  [4810] = {.lex_state = 62, .external_lex_state = 2},
  [4811] = {.lex_state = 410, .external_lex_state = 2},
  [4812] = {.lex_state = 410, .external_lex_state = 2},
  [4813] = {.lex_state = 410, .external_lex_state = 2},
  [4814] = {.lex_state = 15, .external_lex_state = 2},
  [4815] = {.lex_state = 410, .external_lex_state = 2},
  [4816] = {.lex_state = 410, .external_lex_state = 2},
  [4817] = {.lex_state = 410, .external_lex_state = 2},
  [4818] = {.lex_state = 410, .external_lex_state = 2},
  [4819] = {.lex_state = 410, .external_lex_state = 2},
  [4820] = {.lex_state = 410, .external_lex_state = 2},
  [4821] = {.lex_state = 410, .external_lex_state = 2},
  [4822] = {.lex_state = 410, .external_lex_state = 2},
  [4823] = {.lex_state = 410, .external_lex_state = 2},
  [4824] = {.lex_state = 410, .external_lex_state = 2},
  [4825] = {.lex_state = 15, .external_lex_state = 2},
  [4826] = {.lex_state = 410, .external_lex_state = 2},
  [4827] = {.lex_state = 62, .external_lex_state = 2},
  [4828] = {.lex_state = 410, .external_lex_state = 2},
  [4829] = {.lex_state = 62, .external_lex_state = 2},
  [4830] = {.lex_state = 410, .external_lex_state = 2},
  [4831] = {.lex_state = 410, .external_lex_state = 2},
  [4832] = {.lex_state = 410, .external_lex_state = 2},
  [4833] = {.lex_state = 410, .external_lex_state = 2},
  [4834] = {.lex_state = 410, .external_lex_state = 2},
  [4835] = {.lex_state = 62, .external_lex_state = 2},
  [4836] = {.lex_state = 410, .external_lex_state = 2},
  [4837] = {.lex_state = 15, .external_lex_state = 2},
  [4838] = {.lex_state = 15, .external_lex_state = 2},
  [4839] = {.lex_state = 410, .external_lex_state = 2},
  [4840] = {.lex_state = 410, .external_lex_state = 2},
  [4841] = {.lex_state = 410, .external_lex_state = 2},
  [4842] = {.lex_state = 15, .external_lex_state = 2},
  [4843] = {.lex_state = 410, .external_lex_state = 2},
  [4844] = {.lex_state = 15, .external_lex_state = 2},
  [4845] = {.lex_state = 410, .external_lex_state = 2},
  [4846] = {.lex_state = 15, .external_lex_state = 2},
  [4847] = {.lex_state = 410, .external_lex_state = 2},
  [4848] = {.lex_state = 15, .external_lex_state = 2},
  [4849] = {.lex_state = 62, .external_lex_state = 2},
  [4850] = {.lex_state = 410, .external_lex_state = 2},
  [4851] = {.lex_state = 15, .external_lex_state = 2},
  [4852] = {.lex_state = 133, .external_lex_state = 2},
  [4853] = {.lex_state = 410, .external_lex_state = 2},
  [4854] = {.lex_state = 410, .external_lex_state = 2},
  [4855] = {.lex_state = 62, .external_lex_state = 2},
  [4856] = {.lex_state = 399, .external_lex_state = 2},
  [4857] = {.lex_state = 410, .external_lex_state = 2},
  [4858] = {.lex_state = 410, .external_lex_state = 2},
  [4859] = {.lex_state = 402, .external_lex_state = 2},
  [4860] = {.lex_state = 410, .external_lex_state = 2},
  [4861] = {.lex_state = 133, .external_lex_state = 2},
  [4862] = {.lex_state = 133, .external_lex_state = 2},
  [4863] = {.lex_state = 133, .external_lex_state = 2},
  [4864] = {.lex_state = 410, .external_lex_state = 2},
  [4865] = {.lex_state = 62, .external_lex_state = 2},
  [4866] = {.lex_state = 410, .external_lex_state = 2},
  [4867] = {.lex_state = 133, .external_lex_state = 2},
  [4868] = {.lex_state = 410, .external_lex_state = 2},
  [4869] = {.lex_state = 410, .external_lex_state = 2},
  [4870] = {.lex_state = 133, .external_lex_state = 2},
  [4871] = {.lex_state = 133, .external_lex_state = 2},
  [4872] = {.lex_state = 133, .external_lex_state = 2},
  [4873] = {.lex_state = 410, .external_lex_state = 2},
  [4874] = {.lex_state = 410, .external_lex_state = 2},
  [4875] = {.lex_state = 133, .external_lex_state = 2},
  [4876] = {.lex_state = 133, .external_lex_state = 2},
  [4877] = {.lex_state = 133, .external_lex_state = 2},
  [4878] = {.lex_state = 133, .external_lex_state = 2},
  [4879] = {.lex_state = 133, .external_lex_state = 2},
  [4880] = {.lex_state = 133, .external_lex_state = 2},
  [4881] = {.lex_state = 133, .external_lex_state = 2},
  [4882] = {.lex_state = 133, .external_lex_state = 2},
  [4883] = {.lex_state = 133, .external_lex_state = 2},
  [4884] = {.lex_state = 133, .external_lex_state = 2},
  [4885] = {.lex_state = 133, .external_lex_state = 2},
  [4886] = {.lex_state = 133, .external_lex_state = 2},
  [4887] = {.lex_state = 133, .external_lex_state = 2},
  [4888] = {.lex_state = 133, .external_lex_state = 2},
  [4889] = {.lex_state = 133, .external_lex_state = 2},
  [4890] = {.lex_state = 133, .external_lex_state = 2},
  [4891] = {.lex_state = 133, .external_lex_state = 2},
  [4892] = {.lex_state = 133, .external_lex_state = 2},
  [4893] = {.lex_state = 133, .external_lex_state = 2},
  [4894] = {.lex_state = 133, .external_lex_state = 2},
  [4895] = {.lex_state = 133, .external_lex_state = 2},
  [4896] = {.lex_state = 133, .external_lex_state = 2},
  [4897] = {.lex_state = 133, .external_lex_state = 2},
  [4898] = {.lex_state = 133, .external_lex_state = 2},
  [4899] = {.lex_state = 133, .external_lex_state = 2},
  [4900] = {.lex_state = 133, .external_lex_state = 2},
  [4901] = {.lex_state = 410, .external_lex_state = 2},
  [4902] = {.lex_state = 410, .external_lex_state = 2},
  [4903] = {.lex_state = 410, .external_lex_state = 2},
  [4904] = {.lex_state = 410, .external_lex_state = 2},
  [4905] = {.lex_state = 410, .external_lex_state = 2},
  [4906] = {.lex_state = 410, .external_lex_state = 2},
  [4907] = {.lex_state = 410, .external_lex_state = 2},
  [4908] = {.lex_state = 410, .external_lex_state = 2},
  [4909] = {.lex_state = 15, .external_lex_state = 2},
  [4910] = {.lex_state = 410, .external_lex_state = 2},
  [4911] = {.lex_state = 410, .external_lex_state = 2},
  [4912] = {.lex_state = 410, .external_lex_state = 2},
  [4913] = {.lex_state = 410, .external_lex_state = 2},
  [4914] = {.lex_state = 410, .external_lex_state = 2},
  [4915] = {.lex_state = 62, .external_lex_state = 2},
  [4916] = {.lex_state = 410, .external_lex_state = 2},
  [4917] = {.lex_state = 410, .external_lex_state = 2},
  [4918] = {.lex_state = 410, .external_lex_state = 2},
  [4919] = {.lex_state = 410, .external_lex_state = 2},
  [4920] = {.lex_state = 409, .external_lex_state = 2},
  [4921] = {.lex_state = 50, .external_lex_state = 2},
  [4922] = {.lex_state = 410, .external_lex_state = 2},
  [4923] = {.lex_state = 410, .external_lex_state = 2},
  [4924] = {.lex_state = 62, .external_lex_state = 2},
  [4925] = {.lex_state = 410, .external_lex_state = 2},
  [4926] = {.lex_state = 62, .external_lex_state = 2},
  [4927] = {.lex_state = 410, .external_lex_state = 2},
  [4928] = {.lex_state = 410, .external_lex_state = 2},
  [4929] = {.lex_state = 133, .external_lex_state = 2},
  [4930] = {.lex_state = 409, .external_lex_state = 2},
  [4931] = {.lex_state = 133, .external_lex_state = 2},
  [4932] = {.lex_state = 15, .external_lex_state = 2},
  [4933] = {.lex_state = 15, .external_lex_state = 2},
  [4934] = {.lex_state = 409, .external_lex_state = 2},
  [4935] = {.lex_state = 409, .external_lex_state = 2},
  [4936] = {.lex_state = 15, .external_lex_state = 2},
  [4937] = {.lex_state = 15, .external_lex_state = 2},
  [4938] = {.lex_state = 133, .external_lex_state = 2},
  [4939] = {.lex_state = 133, .external_lex_state = 2},
  [4940] = {.lex_state = 15, .external_lex_state = 2},
  [4941] = {.lex_state = 133, .external_lex_state = 2},
  [4942] = {.lex_state = 133, .external_lex_state = 2},
  [4943] = {.lex_state = 133, .external_lex_state = 2},
  [4944] = {.lex_state = 133, .external_lex_state = 2},
  [4945] = {.lex_state = 133, .external_lex_state = 2},
  [4946] = {.lex_state = 15, .external_lex_state = 2},
  [4947] = {.lex_state = 15, .external_lex_state = 2},
  [4948] = {.lex_state = 15, .external_lex_state = 2},
  [4949] = {.lex_state = 15, .external_lex_state = 2},
  [4950] = {.lex_state = 15, .external_lex_state = 2},
  [4951] = {.lex_state = 409, .external_lex_state = 2},
  [4952] = {.lex_state = 409, .external_lex_state = 2},
  [4953] = {.lex_state = 15, .external_lex_state = 2},
  [4954] = {.lex_state = 15, .external_lex_state = 2},
  [4955] = {.lex_state = 409, .external_lex_state = 2},
  [4956] = {.lex_state = 15, .external_lex_state = 2},
  [4957] = {.lex_state = 15, .external_lex_state = 2},
  [4958] = {.lex_state = 15, .external_lex_state = 2},
  [4959] = {.lex_state = 15, .external_lex_state = 2},
  [4960] = {.lex_state = 15, .external_lex_state = 2},
  [4961] = {.lex_state = 15, .external_lex_state = 2},
  [4962] = {.lex_state = 409, .external_lex_state = 2},
  [4963] = {.lex_state = 15, .external_lex_state = 2},
  [4964] = {.lex_state = 15, .external_lex_state = 2},
  [4965] = {.lex_state = 15, .external_lex_state = 2},
  [4966] = {.lex_state = 133, .external_lex_state = 2},
  [4967] = {.lex_state = 409, .external_lex_state = 2},
  [4968] = {.lex_state = 15, .external_lex_state = 2},
  [4969] = {.lex_state = 15, .external_lex_state = 2},
  [4970] = {.lex_state = 15, .external_lex_state = 2},
  [4971] = {.lex_state = 15, .external_lex_state = 2},
  [4972] = {.lex_state = 409, .external_lex_state = 2},
  [4973] = {.lex_state = 15, .external_lex_state = 2},
  [4974] = {.lex_state = 15, .external_lex_state = 2},
  [4975] = {.lex_state = 409, .external_lex_state = 2},
  [4976] = {.lex_state = 15, .external_lex_state = 2},
  [4977] = {.lex_state = 15, .external_lex_state = 2},
  [4978] = {.lex_state = 15, .external_lex_state = 2},
  [4979] = {.lex_state = 409, .external_lex_state = 2},
  [4980] = {.lex_state = 51, .external_lex_state = 2},
  [4981] = {.lex_state = 15, .external_lex_state = 2},
  [4982] = {.lex_state = 15, .external_lex_state = 2},
  [4983] = {.lex_state = 15, .external_lex_state = 2},
  [4984] = {.lex_state = 15, .external_lex_state = 2},
  [4985] = {.lex_state = 409, .external_lex_state = 2},
  [4986] = {.lex_state = 15, .external_lex_state = 2},
  [4987] = {.lex_state = 15, .external_lex_state = 2},
  [4988] = {.lex_state = 15, .external_lex_state = 2},
  [4989] = {.lex_state = 15, .external_lex_state = 2},
  [4990] = {.lex_state = 15, .external_lex_state = 2},
  [4991] = {.lex_state = 15, .external_lex_state = 2},
  [4992] = {.lex_state = 15, .external_lex_state = 2},
  [4993] = {.lex_state = 63, .external_lex_state = 2},
  [4994] = {.lex_state = 133, .external_lex_state = 2},
  [4995] = {.lex_state = 409, .external_lex_state = 2},
  [4996] = {.lex_state = 15, .external_lex_state = 2},
  [4997] = {.lex_state = 409, .external_lex_state = 2},
  [4998] = {.lex_state = 15, .external_lex_state = 2},
  [4999] = {.lex_state = 15, .external_lex_state = 2},
  [5000] = {.lex_state = 15, .external_lex_state = 2},
  [5001] = {.lex_state = 15, .external_lex_state = 2},
  [5002] = {.lex_state = 15, .external_lex_state = 2},
  [5003] = {.lex_state = 15, .external_lex_state = 2},
  [5004] = {.lex_state = 15, .external_lex_state = 2},
  [5005] = {.lex_state = 15, .external_lex_state = 2},
  [5006] = {.lex_state = 63, .external_lex_state = 2},
  [5007] = {.lex_state = 15, .external_lex_state = 2},
  [5008] = {.lex_state = 15, .external_lex_state = 2},
  [5009] = {.lex_state = 15, .external_lex_state = 2},
  [5010] = {.lex_state = 409, .external_lex_state = 2},
  [5011] = {.lex_state = 15, .external_lex_state = 2},
  [5012] = {.lex_state = 409, .external_lex_state = 2},
  [5013] = {.lex_state = 409, .external_lex_state = 2},
  [5014] = {.lex_state = 409, .external_lex_state = 2},
  [5015] = {.lex_state = 409, .external_lex_state = 2},
  [5016] = {.lex_state = 409, .external_lex_state = 2},
  [5017] = {.lex_state = 409, .external_lex_state = 2},
  [5018] = {.lex_state = 409, .external_lex_state = 2},
  [5019] = {.lex_state = 15, .external_lex_state = 2},
  [5020] = {.lex_state = 49, .external_lex_state = 2},
  [5021] = {.lex_state = 409, .external_lex_state = 2},
  [5022] = {.lex_state = 409, .external_lex_state = 2},
  [5023] = {.lex_state = 409, .external_lex_state = 2},
  [5024] = {.lex_state = 409, .external_lex_state = 2},
  [5025] = {.lex_state = 15, .external_lex_state = 2},
  [5026] = {.lex_state = 409, .external_lex_state = 2},
  [5027] = {.lex_state = 409, .external_lex_state = 2},
  [5028] = {.lex_state = 15, .external_lex_state = 2},
  [5029] = {.lex_state = 15, .external_lex_state = 2},
  [5030] = {.lex_state = 15, .external_lex_state = 2},
  [5031] = {.lex_state = 409, .external_lex_state = 2},
  [5032] = {.lex_state = 15, .external_lex_state = 2},
  [5033] = {.lex_state = 409, .external_lex_state = 2},
  [5034] = {.lex_state = 409, .external_lex_state = 2},
  [5035] = {.lex_state = 409, .external_lex_state = 2},
  [5036] = {.lex_state = 409, .external_lex_state = 2},
  [5037] = {.lex_state = 409, .external_lex_state = 2},
  [5038] = {.lex_state = 409, .external_lex_state = 2},
  [5039] = {.lex_state = 409, .external_lex_state = 2},
  [5040] = {.lex_state = 409, .external_lex_state = 2},
  [5041] = {.lex_state = 409, .external_lex_state = 2},
  [5042] = {.lex_state = 409, .external_lex_state = 2},
  [5043] = {.lex_state = 15, .external_lex_state = 2},
  [5044] = {.lex_state = 15, .external_lex_state = 2},
  [5045] = {.lex_state = 15, .external_lex_state = 2},
  [5046] = {.lex_state = 409, .external_lex_state = 2},
  [5047] = {.lex_state = 409, .external_lex_state = 2},
  [5048] = {.lex_state = 409, .external_lex_state = 2},
  [5049] = {.lex_state = 409, .external_lex_state = 2},
  [5050] = {.lex_state = 409, .external_lex_state = 2},
  [5051] = {.lex_state = 409, .external_lex_state = 2},
  [5052] = {.lex_state = 409, .external_lex_state = 2},
  [5053] = {.lex_state = 409, .external_lex_state = 2},
  [5054] = {.lex_state = 409, .external_lex_state = 2},
  [5055] = {.lex_state = 409, .external_lex_state = 2},
  [5056] = {.lex_state = 49, .external_lex_state = 2},
  [5057] = {.lex_state = 409, .external_lex_state = 2},
  [5058] = {.lex_state = 409, .external_lex_state = 2},
  [5059] = {.lex_state = 409, .external_lex_state = 2},
  [5060] = {.lex_state = 409, .external_lex_state = 2},
  [5061] = {.lex_state = 409, .external_lex_state = 2},
  [5062] = {.lex_state = 15, .external_lex_state = 2},
  [5063] = {.lex_state = 409, .external_lex_state = 2},
  [5064] = {.lex_state = 15, .external_lex_state = 2},
  [5065] = {.lex_state = 15, .external_lex_state = 2},
  [5066] = {.lex_state = 409, .external_lex_state = 2},
  [5067] = {.lex_state = 409, .external_lex_state = 2},
  [5068] = {.lex_state = 409, .external_lex_state = 2},
  [5069] = {.lex_state = 409, .external_lex_state = 2},
  [5070] = {.lex_state = 409, .external_lex_state = 2},
  [5071] = {.lex_state = 409, .external_lex_state = 2},
  [5072] = {.lex_state = 409, .external_lex_state = 2},
  [5073] = {.lex_state = 409, .external_lex_state = 2},
  [5074] = {.lex_state = 15, .external_lex_state = 2},
  [5075] = {.lex_state = 409, .external_lex_state = 2},
  [5076] = {.lex_state = 15, .external_lex_state = 2},
  [5077] = {.lex_state = 15, .external_lex_state = 2},
  [5078] = {.lex_state = 409, .external_lex_state = 2},
  [5079] = {.lex_state = 63, .external_lex_state = 2},
  [5080] = {.lex_state = 15, .external_lex_state = 2},
  [5081] = {.lex_state = 15, .external_lex_state = 2},
  [5082] = {.lex_state = 409, .external_lex_state = 2},
  [5083] = {.lex_state = 63, .external_lex_state = 2},
  [5084] = {.lex_state = 63, .external_lex_state = 2},
  [5085] = {.lex_state = 63, .external_lex_state = 2},
  [5086] = {.lex_state = 409, .external_lex_state = 2},
  [5087] = {.lex_state = 63, .external_lex_state = 2},
  [5088] = {.lex_state = 63, .external_lex_state = 2},
  [5089] = {.lex_state = 15, .external_lex_state = 2},
  [5090] = {.lex_state = 63, .external_lex_state = 2},
  [5091] = {.lex_state = 15, .external_lex_state = 2},
  [5092] = {.lex_state = 15, .external_lex_state = 2},
  [5093] = {.lex_state = 15, .external_lex_state = 2},
  [5094] = {.lex_state = 409, .external_lex_state = 2},
  [5095] = {.lex_state = 409, .external_lex_state = 2},
  [5096] = {.lex_state = 409, .external_lex_state = 2},
  [5097] = {.lex_state = 409, .external_lex_state = 2},
  [5098] = {.lex_state = 409, .external_lex_state = 2},
  [5099] = {.lex_state = 63, .external_lex_state = 2},
  [5100] = {.lex_state = 63, .external_lex_state = 2},
  [5101] = {.lex_state = 63, .external_lex_state = 2},
  [5102] = {.lex_state = 63, .external_lex_state = 2},
  [5103] = {.lex_state = 409, .external_lex_state = 2},
  [5104] = {.lex_state = 63, .external_lex_state = 2},
  [5105] = {.lex_state = 63, .external_lex_state = 2},
  [5106] = {.lex_state = 63, .external_lex_state = 2},
  [5107] = {.lex_state = 15, .external_lex_state = 2},
  [5108] = {.lex_state = 15, .external_lex_state = 2},
  [5109] = {.lex_state = 15, .external_lex_state = 2},
  [5110] = {.lex_state = 63, .external_lex_state = 2},
  [5111] = {.lex_state = 63, .external_lex_state = 2},
  [5112] = {.lex_state = 63, .external_lex_state = 2},
  [5113] = {.lex_state = 409, .external_lex_state = 2},
  [5114] = {.lex_state = 63, .external_lex_state = 2},
  [5115] = {.lex_state = 63, .external_lex_state = 2},
  [5116] = {.lex_state = 63, .external_lex_state = 2},
  [5117] = {.lex_state = 63, .external_lex_state = 2},
  [5118] = {.lex_state = 63, .external_lex_state = 2},
  [5119] = {.lex_state = 63, .external_lex_state = 2},
  [5120] = {.lex_state = 15, .external_lex_state = 2},
  [5121] = {.lex_state = 409, .external_lex_state = 2},
  [5122] = {.lex_state = 15, .external_lex_state = 2},
  [5123] = {.lex_state = 15, .external_lex_state = 2},
  [5124] = {.lex_state = 63, .external_lex_state = 2},
  [5125] = {.lex_state = 63, .external_lex_state = 2},
  [5126] = {.lex_state = 63, .external_lex_state = 2},
  [5127] = {.lex_state = 63, .external_lex_state = 2},
  [5128] = {.lex_state = 63, .external_lex_state = 2},
  [5129] = {.lex_state = 63, .external_lex_state = 2},
  [5130] = {.lex_state = 63, .external_lex_state = 2},
  [5131] = {.lex_state = 63, .external_lex_state = 2},
  [5132] = {.lex_state = 63, .external_lex_state = 2},
  [5133] = {.lex_state = 63, .external_lex_state = 2},
  [5134] = {.lex_state = 63, .external_lex_state = 2},
  [5135] = {.lex_state = 409, .external_lex_state = 2},
  [5136] = {.lex_state = 63, .external_lex_state = 2},
  [5137] = {.lex_state = 63, .external_lex_state = 2},
  [5138] = {.lex_state = 63, .external_lex_state = 2},
  [5139] = {.lex_state = 63, .external_lex_state = 2},
  [5140] = {.lex_state = 15, .external_lex_state = 2},
  [5141] = {.lex_state = 15, .external_lex_state = 2},
  [5142] = {.lex_state = 15, .external_lex_state = 2},
  [5143] = {.lex_state = 409, .external_lex_state = 2},
  [5144] = {.lex_state = 63, .external_lex_state = 2},
  [5145] = {.lex_state = 63, .external_lex_state = 2},
  [5146] = {.lex_state = 409, .external_lex_state = 2},
  [5147] = {.lex_state = 63, .external_lex_state = 2},
  [5148] = {.lex_state = 409, .external_lex_state = 2},
  [5149] = {.lex_state = 15, .external_lex_state = 2},
  [5150] = {.lex_state = 63, .external_lex_state = 2},
  [5151] = {.lex_state = 63, .external_lex_state = 2},
  [5152] = {.lex_state = 409, .external_lex_state = 2},
  [5153] = {.lex_state = 63, .external_lex_state = 2},
  [5154] = {.lex_state = 15, .external_lex_state = 2},
  [5155] = {.lex_state = 15, .external_lex_state = 2},
  [5156] = {.lex_state = 409, .external_lex_state = 2},
  [5157] = {.lex_state = 15, .external_lex_state = 2},
  [5158] = {.lex_state = 15, .external_lex_state = 2},
  [5159] = {.lex_state = 409, .external_lex_state = 2},
  [5160] = {.lex_state = 15, .external_lex_state = 2},
  [5161] = {.lex_state = 15, .external_lex_state = 2},
  [5162] = {.lex_state = 15, .external_lex_state = 2},
  [5163] = {.lex_state = 63, .external_lex_state = 2},
  [5164] = {.lex_state = 409, .external_lex_state = 2},
  [5165] = {.lex_state = 63, .external_lex_state = 2},
  [5166] = {.lex_state = 15, .external_lex_state = 2},
  [5167] = {.lex_state = 15, .external_lex_state = 2},
  [5168] = {.lex_state = 15, .external_lex_state = 2},
  [5169] = {.lex_state = 409, .external_lex_state = 2},
  [5170] = {.lex_state = 15, .external_lex_state = 2},
  [5171] = {.lex_state = 15, .external_lex_state = 2},
  [5172] = {.lex_state = 15, .external_lex_state = 2},
  [5173] = {.lex_state = 409, .external_lex_state = 2},
  [5174] = {.lex_state = 409, .external_lex_state = 2},
  [5175] = {.lex_state = 409, .external_lex_state = 2},
  [5176] = {.lex_state = 409, .external_lex_state = 2},
  [5177] = {.lex_state = 409, .external_lex_state = 2},
  [5178] = {.lex_state = 409, .external_lex_state = 2},
  [5179] = {.lex_state = 15, .external_lex_state = 2},
  [5180] = {.lex_state = 15, .external_lex_state = 2},
  [5181] = {.lex_state = 15, .external_lex_state = 2},
  [5182] = {.lex_state = 409, .external_lex_state = 2},
  [5183] = {.lex_state = 409, .external_lex_state = 2},
  [5184] = {.lex_state = 409, .external_lex_state = 2},
  [5185] = {.lex_state = 409, .external_lex_state = 2},
  [5186] = {.lex_state = 409, .external_lex_state = 2},
  [5187] = {.lex_state = 15, .external_lex_state = 2},
  [5188] = {.lex_state = 133, .external_lex_state = 2},
  [5189] = {.lex_state = 409, .external_lex_state = 2},
  [5190] = {.lex_state = 409, .external_lex_state = 2},
  [5191] = {.lex_state = 63, .external_lex_state = 2},
  [5192] = {.lex_state = 15, .external_lex_state = 2},
  [5193] = {.lex_state = 15, .external_lex_state = 2},
  [5194] = {.lex_state = 15, .external_lex_state = 2},
  [5195] = {.lex_state = 409, .external_lex_state = 2},
  [5196] = {.lex_state = 409, .external_lex_state = 2},
  [5197] = {.lex_state = 409, .external_lex_state = 2},
  [5198] = {.lex_state = 409, .external_lex_state = 2},
  [5199] = {.lex_state = 409, .external_lex_state = 2},
  [5200] = {.lex_state = 409, .external_lex_state = 2},
  [5201] = {.lex_state = 409, .external_lex_state = 2},
  [5202] = {.lex_state = 409, .external_lex_state = 2},
  [5203] = {.lex_state = 409, .external_lex_state = 2},
  [5204] = {.lex_state = 409, .external_lex_state = 2},
  [5205] = {.lex_state = 15, .external_lex_state = 2},
  [5206] = {.lex_state = 15, .external_lex_state = 2},
  [5207] = {.lex_state = 15, .external_lex_state = 2},
  [5208] = {.lex_state = 409, .external_lex_state = 2},
  [5209] = {.lex_state = 409, .external_lex_state = 2},
  [5210] = {.lex_state = 409, .external_lex_state = 2},
  [5211] = {.lex_state = 409, .external_lex_state = 2},
  [5212] = {.lex_state = 409, .external_lex_state = 2},
  [5213] = {.lex_state = 409, .external_lex_state = 2},
  [5214] = {.lex_state = 409, .external_lex_state = 2},
  [5215] = {.lex_state = 63, .external_lex_state = 2},
  [5216] = {.lex_state = 15, .external_lex_state = 2},
  [5217] = {.lex_state = 15, .external_lex_state = 2},
  [5218] = {.lex_state = 15, .external_lex_state = 2},
  [5219] = {.lex_state = 63, .external_lex_state = 2},
  [5220] = {.lex_state = 63, .external_lex_state = 2},
  [5221] = {.lex_state = 15, .external_lex_state = 2},
  [5222] = {.lex_state = 15, .external_lex_state = 2},
  [5223] = {.lex_state = 15, .external_lex_state = 2},
  [5224] = {.lex_state = 63, .external_lex_state = 2},
  [5225] = {.lex_state = 15, .external_lex_state = 2},
  [5226] = {.lex_state = 63, .external_lex_state = 2},
  [5227] = {.lex_state = 15, .external_lex_state = 2},
  [5228] = {.lex_state = 15, .external_lex_state = 2},
  [5229] = {.lex_state = 15, .external_lex_state = 2},
  [5230] = {.lex_state = 15, .external_lex_state = 2},
  [5231] = {.lex_state = 409, .external_lex_state = 2},
  [5232] = {.lex_state = 15, .external_lex_state = 2},
  [5233] = {.lex_state = 15, .external_lex_state = 2},
  [5234] = {.lex_state = 15, .external_lex_state = 2},
  [5235] = {.lex_state = 409, .external_lex_state = 2},
  [5236] = {.lex_state = 15, .external_lex_state = 2},
  [5237] = {.lex_state = 409, .external_lex_state = 2},
  [5238] = {.lex_state = 15, .external_lex_state = 2},
  [5239] = {.lex_state = 409, .external_lex_state = 2},
  [5240] = {.lex_state = 15, .external_lex_state = 2},
  [5241] = {.lex_state = 15, .external_lex_state = 2},
  [5242] = {.lex_state = 15, .external_lex_state = 2},
  [5243] = {.lex_state = 15, .external_lex_state = 2},
  [5244] = {.lex_state = 15, .external_lex_state = 2},
  [5245] = {.lex_state = 15, .external_lex_state = 2},
  [5246] = {.lex_state = 15, .external_lex_state = 2},
  [5247] = {.lex_state = 15, .external_lex_state = 2},
  [5248] = {.lex_state = 409, .external_lex_state = 2},
  [5249] = {.lex_state = 15, .external_lex_state = 2},
  [5250] = {.lex_state = 15, .external_lex_state = 2},
  [5251] = {.lex_state = 15, .external_lex_state = 2},
  [5252] = {.lex_state = 15, .external_lex_state = 2},
  [5253] = {.lex_state = 15, .external_lex_state = 2},
  [5254] = {.lex_state = 15, .external_lex_state = 2},
  [5255] = {.lex_state = 15, .external_lex_state = 2},
  [5256] = {.lex_state = 15, .external_lex_state = 2},
  [5257] = {.lex_state = 15, .external_lex_state = 2},
  [5258] = {.lex_state = 133, .external_lex_state = 2},
  [5259] = {.lex_state = 15, .external_lex_state = 2},
  [5260] = {.lex_state = 15, .external_lex_state = 2},
  [5261] = {.lex_state = 15, .external_lex_state = 2},
  [5262] = {.lex_state = 63, .external_lex_state = 2},
  [5263] = {.lex_state = 63, .external_lex_state = 2},
  [5264] = {.lex_state = 63, .external_lex_state = 2},
  [5265] = {.lex_state = 63, .external_lex_state = 2},
  [5266] = {.lex_state = 63, .external_lex_state = 2},
  [5267] = {.lex_state = 15, .external_lex_state = 2},
  [5268] = {.lex_state = 63, .external_lex_state = 2},
  [5269] = {.lex_state = 63, .external_lex_state = 2},
  [5270] = {.lex_state = 63, .external_lex_state = 2},
  [5271] = {.lex_state = 15, .external_lex_state = 2},
  [5272] = {.lex_state = 409, .external_lex_state = 2},
  [5273] = {.lex_state = 409, .external_lex_state = 2},
  [5274] = {.lex_state = 409, .external_lex_state = 2},
  [5275] = {.lex_state = 15, .external_lex_state = 2},
  [5276] = {.lex_state = 133, .external_lex_state = 2},
  [5277] = {.lex_state = 63, .external_lex_state = 2},
  [5278] = {.lex_state = 63, .external_lex_state = 2},
  [5279] = {.lex_state = 63, .external_lex_state = 2},
  [5280] = {.lex_state = 63, .external_lex_state = 2},
  [5281] = {.lex_state = 15, .external_lex_state = 2},
  [5282] = {.lex_state = 15, .external_lex_state = 2},
  [5283] = {.lex_state = 133, .external_lex_state = 2},
  [5284] = {.lex_state = 63, .external_lex_state = 2},
  [5285] = {.lex_state = 63, .external_lex_state = 2},
  [5286] = {.lex_state = 15, .external_lex_state = 2},
  [5287] = {.lex_state = 63, .external_lex_state = 2},
  [5288] = {.lex_state = 63, .external_lex_state = 2},
  [5289] = {.lex_state = 133, .external_lex_state = 2},
  [5290] = {.lex_state = 133, .external_lex_state = 2},
  [5291] = {.lex_state = 63, .external_lex_state = 2},
  [5292] = {.lex_state = 133, .external_lex_state = 2},
  [5293] = {.lex_state = 409, .external_lex_state = 2},
  [5294] = {.lex_state = 63, .external_lex_state = 2},
  [5295] = {.lex_state = 409, .external_lex_state = 2},
  [5296] = {.lex_state = 133, .external_lex_state = 2},
  [5297] = {.lex_state = 409, .external_lex_state = 2},
  [5298] = {.lex_state = 15, .external_lex_state = 2},
  [5299] = {.lex_state = 409, .external_lex_state = 2},
  [5300] = {.lex_state = 400, .external_lex_state = 2},
  [5301] = {.lex_state = 409, .external_lex_state = 2},
  [5302] = {.lex_state = 133, .external_lex_state = 2},
  [5303] = {.lex_state = 133, .external_lex_state = 2},
  [5304] = {.lex_state = 409, .external_lex_state = 2},
  [5305] = {.lex_state = 409, .external_lex_state = 2},
  [5306] = {.lex_state = 15, .external_lex_state = 2},
  [5307] = {.lex_state = 409, .external_lex_state = 2},
  [5308] = {.lex_state = 409, .external_lex_state = 2},
  [5309] = {.lex_state = 409, .external_lex_state = 2},
  [5310] = {.lex_state = 409, .external_lex_state = 2},
  [5311] = {.lex_state = 409, .external_lex_state = 2},
  [5312] = {.lex_state = 409, .external_lex_state = 2},
  [5313] = {.lex_state = 15, .external_lex_state = 2},
  [5314] = {.lex_state = 409, .external_lex_state = 2},
  [5315] = {.lex_state = 409, .external_lex_state = 2},
  [5316] = {.lex_state = 15, .external_lex_state = 2},
  [5317] = {.lex_state = 409, .external_lex_state = 2},
  [5318] = {.lex_state = 15, .external_lex_state = 2},
  [5319] = {.lex_state = 409, .external_lex_state = 2},
  [5320] = {.lex_state = 15, .external_lex_state = 2},
  [5321] = {.lex_state = 409, .external_lex_state = 2},
  [5322] = {.lex_state = 409, .external_lex_state = 2},
  [5323] = {.lex_state = 133, .external_lex_state = 2},
  [5324] = {.lex_state = 133, .external_lex_state = 2},
  [5325] = {.lex_state = 133, .external_lex_state = 2},
  [5326] = {.lex_state = 400, .external_lex_state = 2},
  [5327] = {.lex_state = 133, .external_lex_state = 2},
  [5328] = {.lex_state = 409, .external_lex_state = 2},
  [5329] = {.lex_state = 133, .external_lex_state = 2},
  [5330] = {.lex_state = 133, .external_lex_state = 2},
  [5331] = {.lex_state = 133, .external_lex_state = 2},
  [5332] = {.lex_state = 133, .external_lex_state = 2},
  [5333] = {.lex_state = 400, .external_lex_state = 2},
  [5334] = {.lex_state = 133, .external_lex_state = 2},
  [5335] = {.lex_state = 133, .external_lex_state = 2},
  [5336] = {.lex_state = 133, .external_lex_state = 2},
  [5337] = {.lex_state = 133, .external_lex_state = 2},
  [5338] = {.lex_state = 133, .external_lex_state = 2},
  [5339] = {.lex_state = 133, .external_lex_state = 2},
  [5340] = {.lex_state = 133, .external_lex_state = 2},
  [5341] = {.lex_state = 133, .external_lex_state = 2},
  [5342] = {.lex_state = 133, .external_lex_state = 2},
  [5343] = {.lex_state = 133, .external_lex_state = 2},
  [5344] = {.lex_state = 133, .external_lex_state = 2},
  [5345] = {.lex_state = 133, .external_lex_state = 2},
  [5346] = {.lex_state = 133, .external_lex_state = 2},
  [5347] = {.lex_state = 133, .external_lex_state = 2},
  [5348] = {.lex_state = 133, .external_lex_state = 2},
  [5349] = {.lex_state = 133, .external_lex_state = 2},
  [5350] = {.lex_state = 133, .external_lex_state = 2},
  [5351] = {.lex_state = 133, .external_lex_state = 2},
  [5352] = {.lex_state = 400, .external_lex_state = 2},
  [5353] = {.lex_state = 133, .external_lex_state = 2},
  [5354] = {.lex_state = 133, .external_lex_state = 2},
  [5355] = {.lex_state = 133, .external_lex_state = 2},
  [5356] = {.lex_state = 133, .external_lex_state = 2},
  [5357] = {.lex_state = 133, .external_lex_state = 2},
  [5358] = {.lex_state = 133, .external_lex_state = 2},
  [5359] = {.lex_state = 133, .external_lex_state = 2},
  [5360] = {.lex_state = 409, .external_lex_state = 2},
  [5361] = {.lex_state = 133, .external_lex_state = 2},
  [5362] = {.lex_state = 133, .external_lex_state = 2},
  [5363] = {.lex_state = 133, .external_lex_state = 2},
  [5364] = {.lex_state = 133, .external_lex_state = 2},
  [5365] = {.lex_state = 133, .external_lex_state = 2},
  [5366] = {.lex_state = 133, .external_lex_state = 2},
  [5367] = {.lex_state = 133, .external_lex_state = 2},
  [5368] = {.lex_state = 133, .external_lex_state = 2},
  [5369] = {.lex_state = 50, .external_lex_state = 2},
  [5370] = {.lex_state = 133, .external_lex_state = 2},
  [5371] = {.lex_state = 133, .external_lex_state = 2},
  [5372] = {.lex_state = 133, .external_lex_state = 2},
  [5373] = {.lex_state = 133, .external_lex_state = 2},
  [5374] = {.lex_state = 133, .external_lex_state = 2},
  [5375] = {.lex_state = 133, .external_lex_state = 2},
  [5376] = {.lex_state = 133, .external_lex_state = 2},
  [5377] = {.lex_state = 133, .external_lex_state = 2},
  [5378] = {.lex_state = 133, .external_lex_state = 2},
  [5379] = {.lex_state = 133, .external_lex_state = 2},
  [5380] = {.lex_state = 133, .external_lex_state = 2},
  [5381] = {.lex_state = 133, .external_lex_state = 2},
  [5382] = {.lex_state = 133, .external_lex_state = 2},
  [5383] = {.lex_state = 133, .external_lex_state = 2},
  [5384] = {.lex_state = 133, .external_lex_state = 2},
  [5385] = {.lex_state = 133, .external_lex_state = 2},
  [5386] = {.lex_state = 133, .external_lex_state = 2},
  [5387] = {.lex_state = 133, .external_lex_state = 2},
  [5388] = {.lex_state = 133, .external_lex_state = 2},
  [5389] = {.lex_state = 133, .external_lex_state = 2},
  [5390] = {.lex_state = 133, .external_lex_state = 2},
  [5391] = {.lex_state = 133, .external_lex_state = 2},
  [5392] = {.lex_state = 133, .external_lex_state = 2},
  [5393] = {.lex_state = 133, .external_lex_state = 2},
  [5394] = {.lex_state = 50, .external_lex_state = 2},
  [5395] = {.lex_state = 133, .external_lex_state = 2},
  [5396] = {.lex_state = 133, .external_lex_state = 2},
  [5397] = {.lex_state = 133, .external_lex_state = 2},
  [5398] = {.lex_state = 133, .external_lex_state = 2},
  [5399] = {.lex_state = 133, .external_lex_state = 2},
  [5400] = {.lex_state = 409, .external_lex_state = 2},
  [5401] = {.lex_state = 133, .external_lex_state = 2},
  [5402] = {.lex_state = 133, .external_lex_state = 2},
  [5403] = {.lex_state = 133, .external_lex_state = 2},
  [5404] = {.lex_state = 133, .external_lex_state = 2},
  [5405] = {.lex_state = 133, .external_lex_state = 2},
  [5406] = {.lex_state = 133, .external_lex_state = 2},
  [5407] = {.lex_state = 133, .external_lex_state = 2},
  [5408] = {.lex_state = 133, .external_lex_state = 2},
  [5409] = {.lex_state = 133, .external_lex_state = 2},
  [5410] = {.lex_state = 133, .external_lex_state = 2},
  [5411] = {.lex_state = 133, .external_lex_state = 2},
  [5412] = {.lex_state = 133, .external_lex_state = 2},
  [5413] = {.lex_state = 133, .external_lex_state = 2},
  [5414] = {.lex_state = 133, .external_lex_state = 2},
  [5415] = {.lex_state = 133, .external_lex_state = 2},
  [5416] = {.lex_state = 133, .external_lex_state = 2},
  [5417] = {.lex_state = 133, .external_lex_state = 2},
  [5418] = {.lex_state = 133, .external_lex_state = 2},
  [5419] = {.lex_state = 133, .external_lex_state = 2},
  [5420] = {.lex_state = 133, .external_lex_state = 2},
  [5421] = {.lex_state = 133, .external_lex_state = 2},
  [5422] = {.lex_state = 133, .external_lex_state = 2},
  [5423] = {.lex_state = 133, .external_lex_state = 2},
  [5424] = {.lex_state = 133, .external_lex_state = 2},
  [5425] = {.lex_state = 133, .external_lex_state = 2},
  [5426] = {.lex_state = 133, .external_lex_state = 2},
  [5427] = {.lex_state = 133, .external_lex_state = 2},
  [5428] = {.lex_state = 133, .external_lex_state = 2},
  [5429] = {.lex_state = 133, .external_lex_state = 2},
  [5430] = {.lex_state = 133, .external_lex_state = 2},
  [5431] = {.lex_state = 133, .external_lex_state = 2},
  [5432] = {.lex_state = 15, .external_lex_state = 2},
  [5433] = {.lex_state = 404, .external_lex_state = 2},
  [5434] = {.lex_state = 15, .external_lex_state = 2},
  [5435] = {.lex_state = 15, .external_lex_state = 2},
  [5436] = {.lex_state = 15, .external_lex_state = 2},
  [5437] = {.lex_state = 15, .external_lex_state = 2},
  [5438] = {.lex_state = 15, .external_lex_state = 2},
  [5439] = {.lex_state = 51, .external_lex_state = 2},
  [5440] = {.lex_state = 15, .external_lex_state = 2},
  [5441] = {.lex_state = 15, .external_lex_state = 2},
  [5442] = {.lex_state = 15, .external_lex_state = 2},
  [5443] = {.lex_state = 15, .external_lex_state = 2},
  [5444] = {.lex_state = 15, .external_lex_state = 2},
  [5445] = {.lex_state = 15, .external_lex_state = 2},
  [5446] = {.lex_state = 15, .external_lex_state = 2},
  [5447] = {.lex_state = 15, .external_lex_state = 2},
  [5448] = {.lex_state = 15, .external_lex_state = 2},
  [5449] = {.lex_state = 15, .external_lex_state = 2},
  [5450] = {.lex_state = 15, .external_lex_state = 2},
  [5451] = {.lex_state = 15, .external_lex_state = 2},
  [5452] = {.lex_state = 15, .external_lex_state = 2},
  [5453] = {.lex_state = 15, .external_lex_state = 2},
  [5454] = {.lex_state = 15, .external_lex_state = 2},
  [5455] = {.lex_state = 15, .external_lex_state = 2},
  [5456] = {.lex_state = 15, .external_lex_state = 2},
  [5457] = {.lex_state = 15, .external_lex_state = 2},
  [5458] = {.lex_state = 15, .external_lex_state = 2},
  [5459] = {.lex_state = 15, .external_lex_state = 2},
  [5460] = {.lex_state = 15, .external_lex_state = 2},
  [5461] = {.lex_state = 15, .external_lex_state = 2},
  [5462] = {.lex_state = 15, .external_lex_state = 2},
  [5463] = {.lex_state = 15, .external_lex_state = 2},
  [5464] = {.lex_state = 15, .external_lex_state = 2},
  [5465] = {.lex_state = 15, .external_lex_state = 2},
  [5466] = {.lex_state = 15, .external_lex_state = 2},
  [5467] = {.lex_state = 404, .external_lex_state = 2},
  [5468] = {.lex_state = 15, .external_lex_state = 2},
  [5469] = {.lex_state = 15, .external_lex_state = 2},
  [5470] = {.lex_state = 404, .external_lex_state = 2},
  [5471] = {.lex_state = 15, .external_lex_state = 2},
  [5472] = {.lex_state = 15, .external_lex_state = 2},
  [5473] = {.lex_state = 15, .external_lex_state = 2},
  [5474] = {.lex_state = 15, .external_lex_state = 2},
  [5475] = {.lex_state = 15, .external_lex_state = 2},
  [5476] = {.lex_state = 15, .external_lex_state = 2},
  [5477] = {.lex_state = 15, .external_lex_state = 2},
  [5478] = {.lex_state = 15, .external_lex_state = 2},
  [5479] = {.lex_state = 15, .external_lex_state = 2},
  [5480] = {.lex_state = 15, .external_lex_state = 2},
  [5481] = {.lex_state = 15, .external_lex_state = 2},
  [5482] = {.lex_state = 15, .external_lex_state = 2},
  [5483] = {.lex_state = 15, .external_lex_state = 2},
  [5484] = {.lex_state = 15, .external_lex_state = 2},
  [5485] = {.lex_state = 15, .external_lex_state = 2},
  [5486] = {.lex_state = 15, .external_lex_state = 2},
  [5487] = {.lex_state = 15, .external_lex_state = 2},
  [5488] = {.lex_state = 15, .external_lex_state = 2},
  [5489] = {.lex_state = 15, .external_lex_state = 2},
  [5490] = {.lex_state = 15, .external_lex_state = 2},
  [5491] = {.lex_state = 15, .external_lex_state = 2},
  [5492] = {.lex_state = 15, .external_lex_state = 2},
  [5493] = {.lex_state = 15, .external_lex_state = 2},
  [5494] = {.lex_state = 15, .external_lex_state = 2},
  [5495] = {.lex_state = 15, .external_lex_state = 2},
  [5496] = {.lex_state = 15, .external_lex_state = 2},
  [5497] = {.lex_state = 15, .external_lex_state = 2},
  [5498] = {.lex_state = 404, .external_lex_state = 2},
  [5499] = {.lex_state = 15, .external_lex_state = 2},
  [5500] = {.lex_state = 15, .external_lex_state = 2},
  [5501] = {.lex_state = 15, .external_lex_state = 2},
  [5502] = {.lex_state = 15, .external_lex_state = 2},
  [5503] = {.lex_state = 15, .external_lex_state = 2},
  [5504] = {.lex_state = 15, .external_lex_state = 2},
  [5505] = {.lex_state = 52, .external_lex_state = 2},
  [5506] = {.lex_state = 15, .external_lex_state = 2},
  [5507] = {.lex_state = 51, .external_lex_state = 2},
  [5508] = {.lex_state = 15, .external_lex_state = 2},
  [5509] = {.lex_state = 15, .external_lex_state = 2},
  [5510] = {.lex_state = 15, .external_lex_state = 2},
  [5511] = {.lex_state = 15, .external_lex_state = 2},
  [5512] = {.lex_state = 15, .external_lex_state = 2},
  [5513] = {.lex_state = 403, .external_lex_state = 2},
  [5514] = {.lex_state = 15, .external_lex_state = 2},
  [5515] = {.lex_state = 15, .external_lex_state = 2},
  [5516] = {.lex_state = 6, .external_lex_state = 2},
  [5517] = {.lex_state = 6, .external_lex_state = 2},
  [5518] = {.lex_state = 15, .external_lex_state = 2},
  [5519] = {.lex_state = 15, .external_lex_state = 2},
  [5520] = {.lex_state = 15, .external_lex_state = 2},
  [5521] = {.lex_state = 6, .external_lex_state = 2},
  [5522] = {.lex_state = 15, .external_lex_state = 2},
  [5523] = {.lex_state = 52, .external_lex_state = 2},
  [5524] = {.lex_state = 15, .external_lex_state = 2},
  [5525] = {.lex_state = 15, .external_lex_state = 2},
  [5526] = {.lex_state = 15, .external_lex_state = 2},
  [5527] = {.lex_state = 6, .external_lex_state = 2},
  [5528] = {.lex_state = 6, .external_lex_state = 2},
  [5529] = {.lex_state = 15, .external_lex_state = 2},
  [5530] = {.lex_state = 6, .external_lex_state = 2},
  [5531] = {.lex_state = 15, .external_lex_state = 2},
  [5532] = {.lex_state = 6, .external_lex_state = 2},
  [5533] = {.lex_state = 15, .external_lex_state = 2},
  [5534] = {.lex_state = 6, .external_lex_state = 2},
  [5535] = {.lex_state = 15, .external_lex_state = 2},
  [5536] = {.lex_state = 403, .external_lex_state = 2},
  [5537] = {.lex_state = 15, .external_lex_state = 2},
  [5538] = {.lex_state = 15, .external_lex_state = 2},
  [5539] = {.lex_state = 6, .external_lex_state = 2},
  [5540] = {.lex_state = 15, .external_lex_state = 2},
  [5541] = {.lex_state = 6, .external_lex_state = 2},
  [5542] = {.lex_state = 6, .external_lex_state = 2},
  [5543] = {.lex_state = 15, .external_lex_state = 2},
  [5544] = {.lex_state = 15, .external_lex_state = 2},
  [5545] = {.lex_state = 15, .external_lex_state = 2},
  [5546] = {.lex_state = 15, .external_lex_state = 2},
  [5547] = {.lex_state = 15, .external_lex_state = 2},
  [5548] = {.lex_state = 15, .external_lex_state = 2},
  [5549] = {.lex_state = 15, .external_lex_state = 2},
  [5550] = {.lex_state = 15, .external_lex_state = 2},
  [5551] = {.lex_state = 15, .external_lex_state = 2},
  [5552] = {.lex_state = 15, .external_lex_state = 2},
  [5553] = {.lex_state = 15, .external_lex_state = 2},
  [5554] = {.lex_state = 15, .external_lex_state = 2},
  [5555] = {.lex_state = 6, .external_lex_state = 2},
  [5556] = {.lex_state = 15, .external_lex_state = 2},
  [5557] = {.lex_state = 403, .external_lex_state = 2},
  [5558] = {.lex_state = 15, .external_lex_state = 2},
  [5559] = {.lex_state = 15, .external_lex_state = 2},
  [5560] = {.lex_state = 15, .external_lex_state = 2},
  [5561] = {.lex_state = 15, .external_lex_state = 2},
  [5562] = {.lex_state = 15, .external_lex_state = 2},
  [5563] = {.lex_state = 6, .external_lex_state = 2},
  [5564] = {.lex_state = 15, .external_lex_state = 2},
  [5565] = {.lex_state = 6, .external_lex_state = 2},
  [5566] = {.lex_state = 15, .external_lex_state = 2},
  [5567] = {.lex_state = 15, .external_lex_state = 2},
  [5568] = {.lex_state = 15, .external_lex_state = 2},
  [5569] = {.lex_state = 15, .external_lex_state = 2},
  [5570] = {.lex_state = 15, .external_lex_state = 2},
  [5571] = {.lex_state = 15, .external_lex_state = 2},
  [5572] = {.lex_state = 6, .external_lex_state = 2},
  [5573] = {.lex_state = 15, .external_lex_state = 2},
  [5574] = {.lex_state = 15, .external_lex_state = 2},
  [5575] = {.lex_state = 6, .external_lex_state = 2},
  [5576] = {.lex_state = 6, .external_lex_state = 2},
  [5577] = {.lex_state = 15, .external_lex_state = 2},
  [5578] = {.lex_state = 6, .external_lex_state = 2},
  [5579] = {.lex_state = 53, .external_lex_state = 2},
  [5580] = {.lex_state = 15, .external_lex_state = 2},
  [5581] = {.lex_state = 6, .external_lex_state = 2},
  [5582] = {.lex_state = 403, .external_lex_state = 2},
  [5583] = {.lex_state = 15, .external_lex_state = 2},
  [5584] = {.lex_state = 15, .external_lex_state = 2},
  [5585] = {.lex_state = 15, .external_lex_state = 2},
  [5586] = {.lex_state = 6, .external_lex_state = 2},
  [5587] = {.lex_state = 6, .external_lex_state = 2},
  [5588] = {.lex_state = 52, .external_lex_state = 2},
  [5589] = {.lex_state = 15, .external_lex_state = 2},
  [5590] = {.lex_state = 6, .external_lex_state = 2},
  [5591] = {.lex_state = 15, .external_lex_state = 2},
  [5592] = {.lex_state = 15, .external_lex_state = 2},
  [5593] = {.lex_state = 15, .external_lex_state = 2},
  [5594] = {.lex_state = 15, .external_lex_state = 2},
  [5595] = {.lex_state = 15, .external_lex_state = 2},
  [5596] = {.lex_state = 6, .external_lex_state = 2},
  [5597] = {.lex_state = 15, .external_lex_state = 2},
  [5598] = {.lex_state = 15, .external_lex_state = 2},
  [5599] = {.lex_state = 15, .external_lex_state = 2},
  [5600] = {.lex_state = 15, .external_lex_state = 2},
  [5601] = {.lex_state = 15, .external_lex_state = 2},
  [5602] = {.lex_state = 6, .external_lex_state = 2},
  [5603] = {.lex_state = 53, .external_lex_state = 2},
  [5604] = {.lex_state = 15, .external_lex_state = 2},
  [5605] = {.lex_state = 15, .external_lex_state = 2},
  [5606] = {.lex_state = 15, .external_lex_state = 2},
  [5607] = {.lex_state = 15, .external_lex_state = 2},
  [5608] = {.lex_state = 15, .external_lex_state = 2},
  [5609] = {.lex_state = 15, .external_lex_state = 2},
  [5610] = {.lex_state = 15, .external_lex_state = 2},
  [5611] = {.lex_state = 15, .external_lex_state = 2},
  [5612] = {.lex_state = 15, .external_lex_state = 2},
  [5613] = {.lex_state = 15, .external_lex_state = 2},
  [5614] = {.lex_state = 15, .external_lex_state = 2},
  [5615] = {.lex_state = 15, .external_lex_state = 2},
  [5616] = {.lex_state = 6, .external_lex_state = 2},
  [5617] = {.lex_state = 6, .external_lex_state = 2},
  [5618] = {.lex_state = 15, .external_lex_state = 2},
  [5619] = {.lex_state = 15, .external_lex_state = 2},
  [5620] = {.lex_state = 15, .external_lex_state = 2},
  [5621] = {.lex_state = 15, .external_lex_state = 2},
  [5622] = {.lex_state = 15, .external_lex_state = 2},
  [5623] = {.lex_state = 15, .external_lex_state = 2},
  [5624] = {.lex_state = 15, .external_lex_state = 2},
  [5625] = {.lex_state = 15, .external_lex_state = 2},
  [5626] = {.lex_state = 15, .external_lex_state = 2},
  [5627] = {.lex_state = 15, .external_lex_state = 2},
  [5628] = {.lex_state = 15, .external_lex_state = 2},
  [5629] = {.lex_state = 15, .external_lex_state = 2},
  [5630] = {.lex_state = 15, .external_lex_state = 2},
  [5631] = {.lex_state = 6, .external_lex_state = 2},
  [5632] = {.lex_state = 53, .external_lex_state = 2},
  [5633] = {.lex_state = 6, .external_lex_state = 2},
  [5634] = {.lex_state = 15, .external_lex_state = 2},
  [5635] = {.lex_state = 6, .external_lex_state = 2},
  [5636] = {.lex_state = 6, .external_lex_state = 2},
  [5637] = {.lex_state = 6, .external_lex_state = 2},
  [5638] = {.lex_state = 6, .external_lex_state = 2},
  [5639] = {.lex_state = 6, .external_lex_state = 2},
  [5640] = {.lex_state = 6, .external_lex_state = 2},
  [5641] = {.lex_state = 6, .external_lex_state = 2},
  [5642] = {.lex_state = 6, .external_lex_state = 2},
  [5643] = {.lex_state = 6, .external_lex_state = 2},
  [5644] = {.lex_state = 6, .external_lex_state = 2},
  [5645] = {.lex_state = 6, .external_lex_state = 2},
  [5646] = {.lex_state = 6, .external_lex_state = 2},
  [5647] = {.lex_state = 6, .external_lex_state = 2},
  [5648] = {.lex_state = 6, .external_lex_state = 2},
  [5649] = {.lex_state = 6, .external_lex_state = 2},
  [5650] = {.lex_state = 6, .external_lex_state = 2},
  [5651] = {.lex_state = 6, .external_lex_state = 2},
  [5652] = {.lex_state = 6, .external_lex_state = 2},
  [5653] = {.lex_state = 6, .external_lex_state = 2},
  [5654] = {.lex_state = 6, .external_lex_state = 2},
  [5655] = {.lex_state = 6, .external_lex_state = 2},
  [5656] = {.lex_state = 6, .external_lex_state = 2},
  [5657] = {.lex_state = 6, .external_lex_state = 2},
  [5658] = {.lex_state = 6, .external_lex_state = 2},
  [5659] = {.lex_state = 6, .external_lex_state = 2},
  [5660] = {.lex_state = 6, .external_lex_state = 2},
  [5661] = {.lex_state = 6, .external_lex_state = 2},
  [5662] = {.lex_state = 6, .external_lex_state = 2},
  [5663] = {.lex_state = 6, .external_lex_state = 2},
  [5664] = {.lex_state = 6, .external_lex_state = 2},
  [5665] = {.lex_state = 6, .external_lex_state = 2},
  [5666] = {.lex_state = 6, .external_lex_state = 2},
  [5667] = {.lex_state = 6, .external_lex_state = 2},
  [5668] = {.lex_state = 6, .external_lex_state = 2},
  [5669] = {.lex_state = 6, .external_lex_state = 2},
  [5670] = {.lex_state = 6, .external_lex_state = 2},
  [5671] = {.lex_state = 6, .external_lex_state = 2},
  [5672] = {.lex_state = 6, .external_lex_state = 2},
  [5673] = {.lex_state = 6, .external_lex_state = 2},
  [5674] = {.lex_state = 6, .external_lex_state = 2},
  [5675] = {.lex_state = 6, .external_lex_state = 2},
  [5676] = {.lex_state = 80, .external_lex_state = 2},
  [5677] = {.lex_state = 6, .external_lex_state = 2},
  [5678] = {.lex_state = 6, .external_lex_state = 2},
  [5679] = {.lex_state = 6, .external_lex_state = 2},
  [5680] = {.lex_state = 6, .external_lex_state = 2},
  [5681] = {.lex_state = 80, .external_lex_state = 2},
  [5682] = {.lex_state = 6, .external_lex_state = 2},
  [5683] = {.lex_state = 6, .external_lex_state = 2},
  [5684] = {.lex_state = 80, .external_lex_state = 2},
  [5685] = {.lex_state = 80, .external_lex_state = 2},
  [5686] = {.lex_state = 6, .external_lex_state = 2},
  [5687] = {.lex_state = 6, .external_lex_state = 2},
  [5688] = {.lex_state = 6, .external_lex_state = 2},
  [5689] = {.lex_state = 6, .external_lex_state = 2},
  [5690] = {.lex_state = 80, .external_lex_state = 2},
  [5691] = {.lex_state = 80, .external_lex_state = 2},
  [5692] = {.lex_state = 80, .external_lex_state = 2},
  [5693] = {.lex_state = 6, .external_lex_state = 2},
  [5694] = {.lex_state = 6, .external_lex_state = 2},
  [5695] = {.lex_state = 6, .external_lex_state = 2},
  [5696] = {.lex_state = 6, .external_lex_state = 2},
  [5697] = {.lex_state = 6, .external_lex_state = 2},
  [5698] = {.lex_state = 6, .external_lex_state = 2},
  [5699] = {.lex_state = 6, .external_lex_state = 2},
  [5700] = {.lex_state = 6, .external_lex_state = 2},
  [5701] = {.lex_state = 6, .external_lex_state = 2},
  [5702] = {.lex_state = 6, .external_lex_state = 2},
  [5703] = {.lex_state = 6, .external_lex_state = 2},
  [5704] = {.lex_state = 6, .external_lex_state = 2},
  [5705] = {.lex_state = 6, .external_lex_state = 2},
  [5706] = {.lex_state = 6, .external_lex_state = 2},
  [5707] = {.lex_state = 6, .external_lex_state = 2},
  [5708] = {.lex_state = 6, .external_lex_state = 2},
  [5709] = {.lex_state = 6, .external_lex_state = 2},
  [5710] = {.lex_state = 6, .external_lex_state = 2},
  [5711] = {.lex_state = 6, .external_lex_state = 2},
  [5712] = {.lex_state = 6, .external_lex_state = 2},
  [5713] = {.lex_state = 6, .external_lex_state = 2},
  [5714] = {.lex_state = 381, .external_lex_state = 2},
  [5715] = {.lex_state = 381, .external_lex_state = 2},
  [5716] = {.lex_state = 80, .external_lex_state = 2},
  [5717] = {.lex_state = 6, .external_lex_state = 2},
  [5718] = {.lex_state = 6, .external_lex_state = 2},
  [5719] = {.lex_state = 6, .external_lex_state = 2},
  [5720] = {.lex_state = 6, .external_lex_state = 2},
  [5721] = {.lex_state = 6, .external_lex_state = 2},
  [5722] = {.lex_state = 6, .external_lex_state = 2},
  [5723] = {.lex_state = 6, .external_lex_state = 2},
  [5724] = {.lex_state = 6, .external_lex_state = 2},
  [5725] = {.lex_state = 6, .external_lex_state = 2},
  [5726] = {.lex_state = 80, .external_lex_state = 2},
  [5727] = {.lex_state = 6, .external_lex_state = 2},
  [5728] = {.lex_state = 6, .external_lex_state = 2},
  [5729] = {.lex_state = 6, .external_lex_state = 2},
  [5730] = {.lex_state = 6, .external_lex_state = 2},
  [5731] = {.lex_state = 6, .external_lex_state = 2},
  [5732] = {.lex_state = 6, .external_lex_state = 2},
  [5733] = {.lex_state = 6, .external_lex_state = 2},
  [5734] = {.lex_state = 80, .external_lex_state = 2},
  [5735] = {.lex_state = 6, .external_lex_state = 2},
  [5736] = {.lex_state = 6, .external_lex_state = 2},
  [5737] = {.lex_state = 6, .external_lex_state = 2},
  [5738] = {.lex_state = 6, .external_lex_state = 2},
  [5739] = {.lex_state = 6, .external_lex_state = 2},
  [5740] = {.lex_state = 6, .external_lex_state = 2},
  [5741] = {.lex_state = 6, .external_lex_state = 2},
  [5742] = {.lex_state = 381, .external_lex_state = 2},
  [5743] = {.lex_state = 6, .external_lex_state = 2},
  [5744] = {.lex_state = 6, .external_lex_state = 2},
  [5745] = {.lex_state = 6, .external_lex_state = 2},
  [5746] = {.lex_state = 6, .external_lex_state = 2},
  [5747] = {.lex_state = 6, .external_lex_state = 2},
  [5748] = {.lex_state = 6, .external_lex_state = 2},
  [5749] = {.lex_state = 6, .external_lex_state = 2},
  [5750] = {.lex_state = 80, .external_lex_state = 2},
  [5751] = {.lex_state = 6, .external_lex_state = 2},
  [5752] = {.lex_state = 6, .external_lex_state = 2},
  [5753] = {.lex_state = 6, .external_lex_state = 2},
  [5754] = {.lex_state = 80, .external_lex_state = 2},
  [5755] = {.lex_state = 80, .external_lex_state = 2},
  [5756] = {.lex_state = 80, .external_lex_state = 2},
  [5757] = {.lex_state = 80, .external_lex_state = 2},
  [5758] = {.lex_state = 80, .external_lex_state = 2},
  [5759] = {.lex_state = 80, .external_lex_state = 2},
  [5760] = {.lex_state = 80, .external_lex_state = 2},
  [5761] = {.lex_state = 80, .external_lex_state = 2},
  [5762] = {.lex_state = 80, .external_lex_state = 2},
  [5763] = {.lex_state = 80, .external_lex_state = 2},
  [5764] = {.lex_state = 80, .external_lex_state = 2},
  [5765] = {.lex_state = 80, .external_lex_state = 2},
  [5766] = {.lex_state = 80, .external_lex_state = 2},
  [5767] = {.lex_state = 80, .external_lex_state = 2},
  [5768] = {.lex_state = 80, .external_lex_state = 2},
  [5769] = {.lex_state = 80, .external_lex_state = 2},
  [5770] = {.lex_state = 80, .external_lex_state = 2},
  [5771] = {.lex_state = 81, .external_lex_state = 2},
  [5772] = {.lex_state = 80, .external_lex_state = 2},
  [5773] = {.lex_state = 6, .external_lex_state = 2},
  [5774] = {.lex_state = 80, .external_lex_state = 2},
  [5775] = {.lex_state = 80, .external_lex_state = 2},
  [5776] = {.lex_state = 80, .external_lex_state = 2},
  [5777] = {.lex_state = 81, .external_lex_state = 2},
  [5778] = {.lex_state = 381, .external_lex_state = 2},
  [5779] = {.lex_state = 80, .external_lex_state = 2},
  [5780] = {.lex_state = 80, .external_lex_state = 2},
  [5781] = {.lex_state = 80, .external_lex_state = 2},
  [5782] = {.lex_state = 80, .external_lex_state = 2},
  [5783] = {.lex_state = 80, .external_lex_state = 2},
  [5784] = {.lex_state = 80, .external_lex_state = 2},
  [5785] = {.lex_state = 80, .external_lex_state = 2},
  [5786] = {.lex_state = 80, .external_lex_state = 2},
  [5787] = {.lex_state = 80, .external_lex_state = 2},
  [5788] = {.lex_state = 80, .external_lex_state = 2},
  [5789] = {.lex_state = 80, .external_lex_state = 2},
  [5790] = {.lex_state = 6, .external_lex_state = 2},
  [5791] = {.lex_state = 80, .external_lex_state = 2},
  [5792] = {.lex_state = 80, .external_lex_state = 2},
  [5793] = {.lex_state = 80, .external_lex_state = 2},
  [5794] = {.lex_state = 6, .external_lex_state = 2},
  [5795] = {.lex_state = 6, .external_lex_state = 2},
  [5796] = {.lex_state = 80, .external_lex_state = 2},
  [5797] = {.lex_state = 6, .external_lex_state = 2},
  [5798] = {.lex_state = 6, .external_lex_state = 2},
  [5799] = {.lex_state = 6, .external_lex_state = 2},
  [5800] = {.lex_state = 80, .external_lex_state = 2},
  [5801] = {.lex_state = 6, .external_lex_state = 2},
  [5802] = {.lex_state = 6, .external_lex_state = 2},
  [5803] = {.lex_state = 81, .external_lex_state = 2},
  [5804] = {.lex_state = 80, .external_lex_state = 2},
  [5805] = {.lex_state = 6, .external_lex_state = 2},
  [5806] = {.lex_state = 6, .external_lex_state = 2},
  [5807] = {.lex_state = 6, .external_lex_state = 2},
  [5808] = {.lex_state = 81, .external_lex_state = 2},
  [5809] = {.lex_state = 6, .external_lex_state = 2},
  [5810] = {.lex_state = 81, .external_lex_state = 2},
  [5811] = {.lex_state = 6, .external_lex_state = 2},
  [5812] = {.lex_state = 6, .external_lex_state = 2},
  [5813] = {.lex_state = 6, .external_lex_state = 2},
  [5814] = {.lex_state = 6, .external_lex_state = 2},
  [5815] = {.lex_state = 6, .external_lex_state = 2},
  [5816] = {.lex_state = 6, .external_lex_state = 2},
  [5817] = {.lex_state = 6, .external_lex_state = 2},
  [5818] = {.lex_state = 6, .external_lex_state = 2},
  [5819] = {.lex_state = 6, .external_lex_state = 2},
  [5820] = {.lex_state = 80, .external_lex_state = 2},
  [5821] = {.lex_state = 6, .external_lex_state = 2},
  [5822] = {.lex_state = 6, .external_lex_state = 2},
  [5823] = {.lex_state = 6, .external_lex_state = 2},
  [5824] = {.lex_state = 6, .external_lex_state = 2},
  [5825] = {.lex_state = 6, .external_lex_state = 2},
  [5826] = {.lex_state = 6, .external_lex_state = 2},
  [5827] = {.lex_state = 6, .external_lex_state = 2},
  [5828] = {.lex_state = 6, .external_lex_state = 2},
  [5829] = {.lex_state = 6, .external_lex_state = 2},
  [5830] = {.lex_state = 80, .external_lex_state = 2},
  [5831] = {.lex_state = 6, .external_lex_state = 2},
  [5832] = {.lex_state = 6, .external_lex_state = 2},
  [5833] = {.lex_state = 6, .external_lex_state = 2},
  [5834] = {.lex_state = 6, .external_lex_state = 2},
  [5835] = {.lex_state = 80, .external_lex_state = 2},
  [5836] = {.lex_state = 6, .external_lex_state = 2},
  [5837] = {.lex_state = 6, .external_lex_state = 2},
  [5838] = {.lex_state = 6, .external_lex_state = 2},
  [5839] = {.lex_state = 80, .external_lex_state = 2},
  [5840] = {.lex_state = 6, .external_lex_state = 2},
  [5841] = {.lex_state = 6, .external_lex_state = 2},
  [5842] = {.lex_state = 80, .external_lex_state = 2},
  [5843] = {.lex_state = 6, .external_lex_state = 2},
  [5844] = {.lex_state = 6, .external_lex_state = 2},
  [5845] = {.lex_state = 6, .external_lex_state = 2},
  [5846] = {.lex_state = 6, .external_lex_state = 2},
  [5847] = {.lex_state = 6, .external_lex_state = 2},
  [5848] = {.lex_state = 6, .external_lex_state = 2},
  [5849] = {.lex_state = 6, .external_lex_state = 2},
  [5850] = {.lex_state = 6, .external_lex_state = 2},
  [5851] = {.lex_state = 6, .external_lex_state = 2},
  [5852] = {.lex_state = 6, .external_lex_state = 2},
  [5853] = {.lex_state = 80, .external_lex_state = 2},
  [5854] = {.lex_state = 80, .external_lex_state = 2},
  [5855] = {.lex_state = 80, .external_lex_state = 2},
  [5856] = {.lex_state = 80, .external_lex_state = 2},
  [5857] = {.lex_state = 80, .external_lex_state = 2},
  [5858] = {.lex_state = 81, .external_lex_state = 2},
  [5859] = {.lex_state = 81, .external_lex_state = 2},
  [5860] = {.lex_state = 81, .external_lex_state = 2},
  [5861] = {.lex_state = 81, .external_lex_state = 2},
  [5862] = {.lex_state = 80, .external_lex_state = 2},
  [5863] = {.lex_state = 80, .external_lex_state = 2},
  [5864] = {.lex_state = 81, .external_lex_state = 2},
  [5865] = {.lex_state = 80, .external_lex_state = 2},
  [5866] = {.lex_state = 80, .external_lex_state = 2},
  [5867] = {.lex_state = 80, .external_lex_state = 2},
  [5868] = {.lex_state = 80, .external_lex_state = 2},
  [5869] = {.lex_state = 80, .external_lex_state = 2},
  [5870] = {.lex_state = 80, .external_lex_state = 2},
  [5871] = {.lex_state = 80, .external_lex_state = 2},
  [5872] = {.lex_state = 6, .external_lex_state = 2},
  [5873] = {.lex_state = 80, .external_lex_state = 2},
  [5874] = {.lex_state = 81, .external_lex_state = 2},
  [5875] = {.lex_state = 80, .external_lex_state = 2},
  [5876] = {.lex_state = 80, .external_lex_state = 2},
  [5877] = {.lex_state = 80, .external_lex_state = 2},
  [5878] = {.lex_state = 80, .external_lex_state = 2},
  [5879] = {.lex_state = 80, .external_lex_state = 2},
  [5880] = {.lex_state = 80, .external_lex_state = 2},
  [5881] = {.lex_state = 80, .external_lex_state = 2},
  [5882] = {.lex_state = 80, .external_lex_state = 2},
  [5883] = {.lex_state = 80, .external_lex_state = 2},
  [5884] = {.lex_state = 80, .external_lex_state = 2},
  [5885] = {.lex_state = 80, .external_lex_state = 2},
  [5886] = {.lex_state = 80, .external_lex_state = 2},
  [5887] = {.lex_state = 80, .external_lex_state = 2},
  [5888] = {.lex_state = 80, .external_lex_state = 2},
  [5889] = {.lex_state = 80, .external_lex_state = 2},
  [5890] = {.lex_state = 6, .external_lex_state = 2},
  [5891] = {.lex_state = 81, .external_lex_state = 2},
  [5892] = {.lex_state = 81, .external_lex_state = 2},
  [5893] = {.lex_state = 81, .external_lex_state = 2},
  [5894] = {.lex_state = 55, .external_lex_state = 2},
  [5895] = {.lex_state = 81, .external_lex_state = 2},
  [5896] = {.lex_state = 81, .external_lex_state = 2},
  [5897] = {.lex_state = 81, .external_lex_state = 2},
  [5898] = {.lex_state = 81, .external_lex_state = 2},
  [5899] = {.lex_state = 81, .external_lex_state = 2},
  [5900] = {.lex_state = 55, .external_lex_state = 2},
  [5901] = {.lex_state = 81, .external_lex_state = 2},
  [5902] = {.lex_state = 81, .external_lex_state = 2},
  [5903] = {.lex_state = 81, .external_lex_state = 2},
  [5904] = {.lex_state = 81, .external_lex_state = 2},
  [5905] = {.lex_state = 55, .external_lex_state = 2},
  [5906] = {.lex_state = 6, .external_lex_state = 2},
  [5907] = {.lex_state = 81, .external_lex_state = 2},
  [5908] = {.lex_state = 81, .external_lex_state = 2},
  [5909] = {.lex_state = 81, .external_lex_state = 2},
  [5910] = {.lex_state = 81, .external_lex_state = 2},
  [5911] = {.lex_state = 81, .external_lex_state = 2},
  [5912] = {.lex_state = 81, .external_lex_state = 2},
  [5913] = {.lex_state = 81, .external_lex_state = 2},
  [5914] = {.lex_state = 6, .external_lex_state = 2},
  [5915] = {.lex_state = 81, .external_lex_state = 2},
  [5916] = {.lex_state = 81, .external_lex_state = 2},
  [5917] = {.lex_state = 81, .external_lex_state = 2},
  [5918] = {.lex_state = 81, .external_lex_state = 2},
  [5919] = {.lex_state = 81, .external_lex_state = 2},
  [5920] = {.lex_state = 6, .external_lex_state = 2},
  [5921] = {.lex_state = 81, .external_lex_state = 2},
  [5922] = {.lex_state = 81, .external_lex_state = 2},
  [5923] = {.lex_state = 81, .external_lex_state = 2},
  [5924] = {.lex_state = 6, .external_lex_state = 2},
  [5925] = {.lex_state = 81, .external_lex_state = 2},
  [5926] = {.lex_state = 81, .external_lex_state = 2},
  [5927] = {.lex_state = 81, .external_lex_state = 2},
  [5928] = {.lex_state = 81, .external_lex_state = 2},
  [5929] = {.lex_state = 81, .external_lex_state = 2},
  [5930] = {.lex_state = 6, .external_lex_state = 2},
  [5931] = {.lex_state = 6, .external_lex_state = 2},
  [5932] = {.lex_state = 81, .external_lex_state = 2},
  [5933] = {.lex_state = 81, .external_lex_state = 2},
  [5934] = {.lex_state = 81, .external_lex_state = 2},
  [5935] = {.lex_state = 81, .external_lex_state = 2},
  [5936] = {.lex_state = 81, .external_lex_state = 2},
  [5937] = {.lex_state = 81, .external_lex_state = 2},
  [5938] = {.lex_state = 381, .external_lex_state = 2},
  [5939] = {.lex_state = 81, .external_lex_state = 2},
  [5940] = {.lex_state = 81, .external_lex_state = 2},
  [5941] = {.lex_state = 81, .external_lex_state = 2},
  [5942] = {.lex_state = 81, .external_lex_state = 2},
  [5943] = {.lex_state = 81, .external_lex_state = 2},
  [5944] = {.lex_state = 81, .external_lex_state = 2},
  [5945] = {.lex_state = 81, .external_lex_state = 2},
  [5946] = {.lex_state = 81, .external_lex_state = 2},
  [5947] = {.lex_state = 81, .external_lex_state = 2},
  [5948] = {.lex_state = 81, .external_lex_state = 2},
  [5949] = {.lex_state = 81, .external_lex_state = 2},
  [5950] = {.lex_state = 81, .external_lex_state = 2},
  [5951] = {.lex_state = 81, .external_lex_state = 2},
  [5952] = {.lex_state = 6, .external_lex_state = 2},
  [5953] = {.lex_state = 81, .external_lex_state = 2},
  [5954] = {.lex_state = 81, .external_lex_state = 2},
  [5955] = {.lex_state = 81, .external_lex_state = 2},
  [5956] = {.lex_state = 81, .external_lex_state = 2},
  [5957] = {.lex_state = 81, .external_lex_state = 2},
  [5958] = {.lex_state = 55, .external_lex_state = 2},
  [5959] = {.lex_state = 81, .external_lex_state = 2},
  [5960] = {.lex_state = 81, .external_lex_state = 2},
  [5961] = {.lex_state = 81, .external_lex_state = 2},
  [5962] = {.lex_state = 81, .external_lex_state = 2},
  [5963] = {.lex_state = 81, .external_lex_state = 2},
  [5964] = {.lex_state = 81, .external_lex_state = 2},
  [5965] = {.lex_state = 81, .external_lex_state = 2},
  [5966] = {.lex_state = 81, .external_lex_state = 2},
  [5967] = {.lex_state = 55, .external_lex_state = 2},
  [5968] = {.lex_state = 55, .external_lex_state = 2},
  [5969] = {.lex_state = 81, .external_lex_state = 2},
  [5970] = {.lex_state = 81, .external_lex_state = 2},
  [5971] = {.lex_state = 55, .external_lex_state = 2},
  [5972] = {.lex_state = 81, .external_lex_state = 2},
  [5973] = {.lex_state = 55, .external_lex_state = 2},
  [5974] = {.lex_state = 55, .external_lex_state = 2},
  [5975] = {.lex_state = 81, .external_lex_state = 2},
  [5976] = {.lex_state = 55, .external_lex_state = 2},
  [5977] = {.lex_state = 81, .external_lex_state = 2},
  [5978] = {.lex_state = 81, .external_lex_state = 2},
  [5979] = {.lex_state = 81, .external_lex_state = 2},
  [5980] = {.lex_state = 81, .external_lex_state = 2},
  [5981] = {.lex_state = 81, .external_lex_state = 2},
  [5982] = {.lex_state = 6, .external_lex_state = 2},
  [5983] = {.lex_state = 55, .external_lex_state = 2},
  [5984] = {.lex_state = 55, .external_lex_state = 2},
  [5985] = {.lex_state = 6, .external_lex_state = 2},
  [5986] = {.lex_state = 55, .external_lex_state = 2},
  [5987] = {.lex_state = 55, .external_lex_state = 2},
  [5988] = {.lex_state = 55, .external_lex_state = 2},
  [5989] = {.lex_state = 55, .external_lex_state = 2},
  [5990] = {.lex_state = 55, .external_lex_state = 2},
  [5991] = {.lex_state = 57, .external_lex_state = 2},
  [5992] = {.lex_state = 54, .external_lex_state = 2},
  [5993] = {.lex_state = 57, .external_lex_state = 2},
  [5994] = {.lex_state = 57, .external_lex_state = 2},
  [5995] = {.lex_state = 80, .external_lex_state = 2},
  [5996] = {.lex_state = 55, .external_lex_state = 2},
  [5997] = {.lex_state = 57, .external_lex_state = 2},
  [5998] = {.lex_state = 54, .external_lex_state = 2},
  [5999] = {.lex_state = 55, .external_lex_state = 2},
  [6000] = {.lex_state = 54, .external_lex_state = 2},
  [6001] = {.lex_state = 57, .external_lex_state = 2},
  [6002] = {.lex_state = 55, .external_lex_state = 2},
  [6003] = {.lex_state = 6, .external_lex_state = 2},
  [6004] = {.lex_state = 57, .external_lex_state = 2},
  [6005] = {.lex_state = 381, .external_lex_state = 2},
  [6006] = {.lex_state = 55, .external_lex_state = 2},
  [6007] = {.lex_state = 6, .external_lex_state = 2},
  [6008] = {.lex_state = 6, .external_lex_state = 2},
  [6009] = {.lex_state = 6, .external_lex_state = 2},
  [6010] = {.lex_state = 55, .external_lex_state = 2},
  [6011] = {.lex_state = 57, .external_lex_state = 2},
  [6012] = {.lex_state = 418, .external_lex_state = 2},
  [6013] = {.lex_state = 6, .external_lex_state = 2},
  [6014] = {.lex_state = 6, .external_lex_state = 2},
  [6015] = {.lex_state = 6, .external_lex_state = 2},
  [6016] = {.lex_state = 418, .external_lex_state = 2},
  [6017] = {.lex_state = 6, .external_lex_state = 2},
  [6018] = {.lex_state = 54, .external_lex_state = 2},
  [6019] = {.lex_state = 6, .external_lex_state = 2},
  [6020] = {.lex_state = 54, .external_lex_state = 2},
  [6021] = {.lex_state = 54, .external_lex_state = 2},
  [6022] = {.lex_state = 6, .external_lex_state = 2},
  [6023] = {.lex_state = 55, .external_lex_state = 2},
  [6024] = {.lex_state = 6, .external_lex_state = 2},
  [6025] = {.lex_state = 6, .external_lex_state = 2},
  [6026] = {.lex_state = 55, .external_lex_state = 2},
  [6027] = {.lex_state = 6, .external_lex_state = 2},
  [6028] = {.lex_state = 55, .external_lex_state = 2},
  [6029] = {.lex_state = 55, .external_lex_state = 2},
  [6030] = {.lex_state = 55, .external_lex_state = 2},
  [6031] = {.lex_state = 55, .external_lex_state = 2},
  [6032] = {.lex_state = 6, .external_lex_state = 2},
  [6033] = {.lex_state = 55, .external_lex_state = 2},
  [6034] = {.lex_state = 55, .external_lex_state = 2},
  [6035] = {.lex_state = 55, .external_lex_state = 2},
  [6036] = {.lex_state = 6, .external_lex_state = 2},
  [6037] = {.lex_state = 55, .external_lex_state = 2},
  [6038] = {.lex_state = 55, .external_lex_state = 2},
  [6039] = {.lex_state = 55, .external_lex_state = 2},
  [6040] = {.lex_state = 55, .external_lex_state = 2},
  [6041] = {.lex_state = 55, .external_lex_state = 2},
  [6042] = {.lex_state = 55, .external_lex_state = 2},
  [6043] = {.lex_state = 54, .external_lex_state = 2},
  [6044] = {.lex_state = 6, .external_lex_state = 2},
  [6045] = {.lex_state = 55, .external_lex_state = 2},
  [6046] = {.lex_state = 55, .external_lex_state = 2},
  [6047] = {.lex_state = 54, .external_lex_state = 2},
  [6048] = {.lex_state = 6, .external_lex_state = 2},
  [6049] = {.lex_state = 55, .external_lex_state = 2},
  [6050] = {.lex_state = 55, .external_lex_state = 2},
  [6051] = {.lex_state = 55, .external_lex_state = 2},
  [6052] = {.lex_state = 55, .external_lex_state = 2},
  [6053] = {.lex_state = 54, .external_lex_state = 2},
  [6054] = {.lex_state = 55, .external_lex_state = 2},
  [6055] = {.lex_state = 6, .external_lex_state = 2},
  [6056] = {.lex_state = 55, .external_lex_state = 2},
  [6057] = {.lex_state = 55, .external_lex_state = 2},
  [6058] = {.lex_state = 55, .external_lex_state = 2},
  [6059] = {.lex_state = 55, .external_lex_state = 2},
  [6060] = {.lex_state = 6, .external_lex_state = 2},
  [6061] = {.lex_state = 55, .external_lex_state = 2},
  [6062] = {.lex_state = 55, .external_lex_state = 2},
  [6063] = {.lex_state = 55, .external_lex_state = 2},
  [6064] = {.lex_state = 55, .external_lex_state = 2},
  [6065] = {.lex_state = 55, .external_lex_state = 2},
  [6066] = {.lex_state = 55, .external_lex_state = 2},
  [6067] = {.lex_state = 55, .external_lex_state = 2},
  [6068] = {.lex_state = 6, .external_lex_state = 2},
  [6069] = {.lex_state = 55, .external_lex_state = 2},
  [6070] = {.lex_state = 55, .external_lex_state = 2},
  [6071] = {.lex_state = 55, .external_lex_state = 2},
  [6072] = {.lex_state = 55, .external_lex_state = 2},
  [6073] = {.lex_state = 54, .external_lex_state = 2},
  [6074] = {.lex_state = 6, .external_lex_state = 2},
  [6075] = {.lex_state = 55, .external_lex_state = 2},
  [6076] = {.lex_state = 54, .external_lex_state = 2},
  [6077] = {.lex_state = 6, .external_lex_state = 2},
  [6078] = {.lex_state = 55, .external_lex_state = 2},
  [6079] = {.lex_state = 6, .external_lex_state = 2},
  [6080] = {.lex_state = 6, .external_lex_state = 2},
  [6081] = {.lex_state = 57, .external_lex_state = 2},
  [6082] = {.lex_state = 6, .external_lex_state = 2},
  [6083] = {.lex_state = 6, .external_lex_state = 2},
  [6084] = {.lex_state = 55, .external_lex_state = 2},
  [6085] = {.lex_state = 6, .external_lex_state = 2},
  [6086] = {.lex_state = 55, .external_lex_state = 2},
  [6087] = {.lex_state = 6, .external_lex_state = 2},
  [6088] = {.lex_state = 6, .external_lex_state = 2},
  [6089] = {.lex_state = 6, .external_lex_state = 2},
  [6090] = {.lex_state = 6, .external_lex_state = 2},
  [6091] = {.lex_state = 6, .external_lex_state = 2},
  [6092] = {.lex_state = 55, .external_lex_state = 2},
  [6093] = {.lex_state = 55, .external_lex_state = 2},
  [6094] = {.lex_state = 55, .external_lex_state = 2},
  [6095] = {.lex_state = 6, .external_lex_state = 2},
  [6096] = {.lex_state = 6, .external_lex_state = 2},
  [6097] = {.lex_state = 55, .external_lex_state = 2},
  [6098] = {.lex_state = 6, .external_lex_state = 2},
  [6099] = {.lex_state = 55, .external_lex_state = 2},
  [6100] = {.lex_state = 6, .external_lex_state = 2},
  [6101] = {.lex_state = 55, .external_lex_state = 2},
  [6102] = {.lex_state = 55, .external_lex_state = 2},
  [6103] = {.lex_state = 6, .external_lex_state = 2},
  [6104] = {.lex_state = 55, .external_lex_state = 2},
  [6105] = {.lex_state = 57, .external_lex_state = 2},
  [6106] = {.lex_state = 6, .external_lex_state = 2},
  [6107] = {.lex_state = 55, .external_lex_state = 2},
  [6108] = {.lex_state = 6, .external_lex_state = 2},
  [6109] = {.lex_state = 55, .external_lex_state = 2},
  [6110] = {.lex_state = 55, .external_lex_state = 2},
  [6111] = {.lex_state = 6, .external_lex_state = 2},
  [6112] = {.lex_state = 55, .external_lex_state = 2},
  [6113] = {.lex_state = 6, .external_lex_state = 2},
  [6114] = {.lex_state = 6, .external_lex_state = 2},
  [6115] = {.lex_state = 6, .external_lex_state = 2},
  [6116] = {.lex_state = 6, .external_lex_state = 2},
  [6117] = {.lex_state = 6, .external_lex_state = 2},
  [6118] = {.lex_state = 6, .external_lex_state = 2},
  [6119] = {.lex_state = 6, .external_lex_state = 2},
  [6120] = {.lex_state = 6, .external_lex_state = 2},
  [6121] = {.lex_state = 6, .external_lex_state = 2},
  [6122] = {.lex_state = 6, .external_lex_state = 2},
  [6123] = {.lex_state = 6, .external_lex_state = 2},
  [6124] = {.lex_state = 6, .external_lex_state = 2},
  [6125] = {.lex_state = 6, .external_lex_state = 2},
  [6126] = {.lex_state = 6, .external_lex_state = 2},
  [6127] = {.lex_state = 6, .external_lex_state = 2},
  [6128] = {.lex_state = 6, .external_lex_state = 2},
  [6129] = {.lex_state = 6, .external_lex_state = 2},
  [6130] = {.lex_state = 55, .external_lex_state = 2},
  [6131] = {.lex_state = 57, .external_lex_state = 2},
  [6132] = {.lex_state = 55, .external_lex_state = 2},
  [6133] = {.lex_state = 10, .external_lex_state = 2},
  [6134] = {.lex_state = 55, .external_lex_state = 2},
  [6135] = {.lex_state = 55, .external_lex_state = 2},
  [6136] = {.lex_state = 55, .external_lex_state = 2},
  [6137] = {.lex_state = 55, .external_lex_state = 2},
  [6138] = {.lex_state = 55, .external_lex_state = 2},
  [6139] = {.lex_state = 54, .external_lex_state = 2},
  [6140] = {.lex_state = 54, .external_lex_state = 2},
  [6141] = {.lex_state = 54, .external_lex_state = 2},
  [6142] = {.lex_state = 57, .external_lex_state = 2},
  [6143] = {.lex_state = 54, .external_lex_state = 2},
  [6144] = {.lex_state = 57, .external_lex_state = 2},
  [6145] = {.lex_state = 54, .external_lex_state = 2},
  [6146] = {.lex_state = 54, .external_lex_state = 2},
  [6147] = {.lex_state = 54, .external_lex_state = 2},
  [6148] = {.lex_state = 54, .external_lex_state = 2},
  [6149] = {.lex_state = 54, .external_lex_state = 2},
  [6150] = {.lex_state = 54, .external_lex_state = 2},
  [6151] = {.lex_state = 54, .external_lex_state = 2},
  [6152] = {.lex_state = 54, .external_lex_state = 2},
  [6153] = {.lex_state = 411, .external_lex_state = 3},
  [6154] = {.lex_state = 54, .external_lex_state = 2},
  [6155] = {.lex_state = 54, .external_lex_state = 2},
  [6156] = {.lex_state = 54, .external_lex_state = 2},
  [6157] = {.lex_state = 54, .external_lex_state = 2},
  [6158] = {.lex_state = 10, .external_lex_state = 2},
  [6159] = {.lex_state = 420, .external_lex_state = 2},
  [6160] = {.lex_state = 57, .external_lex_state = 2},
  [6161] = {.lex_state = 420, .external_lex_state = 2},
  [6162] = {.lex_state = 54, .external_lex_state = 2},
  [6163] = {.lex_state = 57, .external_lex_state = 2},
  [6164] = {.lex_state = 54, .external_lex_state = 2},
  [6165] = {.lex_state = 57, .external_lex_state = 2},
  [6166] = {.lex_state = 420, .external_lex_state = 2},
  [6167] = {.lex_state = 57, .external_lex_state = 2},
  [6168] = {.lex_state = 411, .external_lex_state = 3},
  [6169] = {.lex_state = 57, .external_lex_state = 2},
  [6170] = {.lex_state = 54, .external_lex_state = 2},
  [6171] = {.lex_state = 418, .external_lex_state = 2},
  [6172] = {.lex_state = 57, .external_lex_state = 2},
  [6173] = {.lex_state = 57, .external_lex_state = 2},
  [6174] = {.lex_state = 57, .external_lex_state = 2},
  [6175] = {.lex_state = 57, .external_lex_state = 2},
  [6176] = {.lex_state = 54, .external_lex_state = 2},
  [6177] = {.lex_state = 54, .external_lex_state = 2},
  [6178] = {.lex_state = 54, .external_lex_state = 2},
  [6179] = {.lex_state = 54, .external_lex_state = 2},
  [6180] = {.lex_state = 54, .external_lex_state = 2},
  [6181] = {.lex_state = 57, .external_lex_state = 2},
  [6182] = {.lex_state = 54, .external_lex_state = 2},
  [6183] = {.lex_state = 419, .external_lex_state = 2},
  [6184] = {.lex_state = 420, .external_lex_state = 2},
  [6185] = {.lex_state = 54, .external_lex_state = 2},
  [6186] = {.lex_state = 57, .external_lex_state = 2},
  [6187] = {.lex_state = 420, .external_lex_state = 2},
  [6188] = {.lex_state = 57, .external_lex_state = 2},
  [6189] = {.lex_state = 54, .external_lex_state = 2},
  [6190] = {.lex_state = 54, .external_lex_state = 2},
  [6191] = {.lex_state = 54, .external_lex_state = 2},
  [6192] = {.lex_state = 54, .external_lex_state = 2},
  [6193] = {.lex_state = 54, .external_lex_state = 2},
  [6194] = {.lex_state = 57, .external_lex_state = 2},
  [6195] = {.lex_state = 54, .external_lex_state = 2},
  [6196] = {.lex_state = 57, .external_lex_state = 2},
  [6197] = {.lex_state = 54, .external_lex_state = 2},
  [6198] = {.lex_state = 56, .external_lex_state = 2},
  [6199] = {.lex_state = 57, .external_lex_state = 2},
  [6200] = {.lex_state = 57, .external_lex_state = 2},
  [6201] = {.lex_state = 57, .external_lex_state = 2},
  [6202] = {.lex_state = 57, .external_lex_state = 2},
  [6203] = {.lex_state = 419, .external_lex_state = 2},
  [6204] = {.lex_state = 57, .external_lex_state = 2},
  [6205] = {.lex_state = 57, .external_lex_state = 2},
  [6206] = {.lex_state = 57, .external_lex_state = 2},
  [6207] = {.lex_state = 54, .external_lex_state = 2},
  [6208] = {.lex_state = 57, .external_lex_state = 2},
  [6209] = {.lex_state = 57, .external_lex_state = 2},
  [6210] = {.lex_state = 57, .external_lex_state = 2},
  [6211] = {.lex_state = 56, .external_lex_state = 2},
  [6212] = {.lex_state = 54, .external_lex_state = 2},
  [6213] = {.lex_state = 54, .external_lex_state = 2},
  [6214] = {.lex_state = 56, .external_lex_state = 2},
  [6215] = {.lex_state = 57, .external_lex_state = 2},
  [6216] = {.lex_state = 57, .external_lex_state = 2},
  [6217] = {.lex_state = 54, .external_lex_state = 2},
  [6218] = {.lex_state = 411, .external_lex_state = 3},
  [6219] = {.lex_state = 54, .external_lex_state = 2},
  [6220] = {.lex_state = 54, .external_lex_state = 2},
  [6221] = {.lex_state = 57, .external_lex_state = 2},
  [6222] = {.lex_state = 54, .external_lex_state = 2},
  [6223] = {.lex_state = 54, .external_lex_state = 2},
  [6224] = {.lex_state = 54, .external_lex_state = 2},
  [6225] = {.lex_state = 54, .external_lex_state = 2},
  [6226] = {.lex_state = 54, .external_lex_state = 2},
  [6227] = {.lex_state = 54, .external_lex_state = 2},
  [6228] = {.lex_state = 57, .external_lex_state = 2},
  [6229] = {.lex_state = 57, .external_lex_state = 2},
  [6230] = {.lex_state = 57, .external_lex_state = 2},
  [6231] = {.lex_state = 57, .external_lex_state = 2},
  [6232] = {.lex_state = 57, .external_lex_state = 2},
  [6233] = {.lex_state = 57, .external_lex_state = 2},
  [6234] = {.lex_state = 56, .external_lex_state = 2},
  [6235] = {.lex_state = 54, .external_lex_state = 2},
  [6236] = {.lex_state = 57, .external_lex_state = 2},
  [6237] = {.lex_state = 420, .external_lex_state = 2},
  [6238] = {.lex_state = 57, .external_lex_state = 2},
  [6239] = {.lex_state = 57, .external_lex_state = 2},
  [6240] = {.lex_state = 57, .external_lex_state = 2},
  [6241] = {.lex_state = 57, .external_lex_state = 2},
  [6242] = {.lex_state = 57, .external_lex_state = 2},
  [6243] = {.lex_state = 57, .external_lex_state = 2},
  [6244] = {.lex_state = 418, .external_lex_state = 2},
  [6245] = {.lex_state = 54, .external_lex_state = 2},
  [6246] = {.lex_state = 55, .external_lex_state = 2},
  [6247] = {.lex_state = 54, .external_lex_state = 2},
  [6248] = {.lex_state = 418, .external_lex_state = 2},
  [6249] = {.lex_state = 54, .external_lex_state = 2},
  [6250] = {.lex_state = 57, .external_lex_state = 2},
  [6251] = {.lex_state = 54, .external_lex_state = 2},
  [6252] = {.lex_state = 54, .external_lex_state = 2},
  [6253] = {.lex_state = 57, .external_lex_state = 2},
  [6254] = {.lex_state = 57, .external_lex_state = 2},
  [6255] = {.lex_state = 57, .external_lex_state = 2},
  [6256] = {.lex_state = 57, .external_lex_state = 2},
  [6257] = {.lex_state = 54, .external_lex_state = 2},
  [6258] = {.lex_state = 54, .external_lex_state = 2},
  [6259] = {.lex_state = 81, .external_lex_state = 2},
  [6260] = {.lex_state = 57, .external_lex_state = 2},
  [6261] = {.lex_state = 54, .external_lex_state = 2},
  [6262] = {.lex_state = 420, .external_lex_state = 2},
  [6263] = {.lex_state = 57, .external_lex_state = 2},
  [6264] = {.lex_state = 54, .external_lex_state = 2},
  [6265] = {.lex_state = 143, .external_lex_state = 2},
  [6266] = {.lex_state = 54, .external_lex_state = 2},
  [6267] = {.lex_state = 57, .external_lex_state = 2},
  [6268] = {.lex_state = 54, .external_lex_state = 2},
  [6269] = {.lex_state = 56, .external_lex_state = 2},
  [6270] = {.lex_state = 56, .external_lex_state = 2},
  [6271] = {.lex_state = 54, .external_lex_state = 2},
  [6272] = {.lex_state = 56, .external_lex_state = 2},
  [6273] = {.lex_state = 54, .external_lex_state = 2},
  [6274] = {.lex_state = 143, .external_lex_state = 2},
  [6275] = {.lex_state = 420, .external_lex_state = 2},
  [6276] = {.lex_state = 54, .external_lex_state = 2},
  [6277] = {.lex_state = 57, .external_lex_state = 2},
  [6278] = {.lex_state = 54, .external_lex_state = 2},
  [6279] = {.lex_state = 57, .external_lex_state = 2},
  [6280] = {.lex_state = 54, .external_lex_state = 2},
  [6281] = {.lex_state = 420, .external_lex_state = 2},
  [6282] = {.lex_state = 54, .external_lex_state = 2},
  [6283] = {.lex_state = 54, .external_lex_state = 2},
  [6284] = {.lex_state = 57, .external_lex_state = 2},
  [6285] = {.lex_state = 57, .external_lex_state = 2},
  [6286] = {.lex_state = 57, .external_lex_state = 2},
  [6287] = {.lex_state = 56, .external_lex_state = 2},
  [6288] = {.lex_state = 420, .external_lex_state = 2},
  [6289] = {.lex_state = 54, .external_lex_state = 2},
  [6290] = {.lex_state = 54, .external_lex_state = 2},
  [6291] = {.lex_state = 57, .external_lex_state = 2},
  [6292] = {.lex_state = 80, .external_lex_state = 2},
  [6293] = {.lex_state = 57, .external_lex_state = 2},
  [6294] = {.lex_state = 57, .external_lex_state = 2},
  [6295] = {.lex_state = 420, .external_lex_state = 2},
  [6296] = {.lex_state = 56, .external_lex_state = 2},
  [6297] = {.lex_state = 54, .external_lex_state = 2},
  [6298] = {.lex_state = 57, .external_lex_state = 2},
  [6299] = {.lex_state = 57, .external_lex_state = 2},
  [6300] = {.lex_state = 54, .external_lex_state = 2},
  [6301] = {.lex_state = 56, .external_lex_state = 2},
  [6302] = {.lex_state = 418, .external_lex_state = 2},
  [6303] = {.lex_state = 57, .external_lex_state = 2},
  [6304] = {.lex_state = 54, .external_lex_state = 2},
  [6305] = {.lex_state = 57, .external_lex_state = 2},
  [6306] = {.lex_state = 57, .external_lex_state = 2},
  [6307] = {.lex_state = 57, .external_lex_state = 2},
  [6308] = {.lex_state = 57, .external_lex_state = 2},
  [6309] = {.lex_state = 57, .external_lex_state = 2},
  [6310] = {.lex_state = 57, .external_lex_state = 2},
  [6311] = {.lex_state = 54, .external_lex_state = 2},
  [6312] = {.lex_state = 57, .external_lex_state = 2},
  [6313] = {.lex_state = 56, .external_lex_state = 2},
  [6314] = {.lex_state = 57, .external_lex_state = 2},
  [6315] = {.lex_state = 54, .external_lex_state = 2},
  [6316] = {.lex_state = 57, .external_lex_state = 2},
  [6317] = {.lex_state = 54, .external_lex_state = 2},
  [6318] = {.lex_state = 57, .external_lex_state = 2},
  [6319] = {.lex_state = 80, .external_lex_state = 2},
  [6320] = {.lex_state = 57, .external_lex_state = 2},
  [6321] = {.lex_state = 56, .external_lex_state = 2},
  [6322] = {.lex_state = 421, .external_lex_state = 2},
  [6323] = {.lex_state = 418, .external_lex_state = 2},
  [6324] = {.lex_state = 56, .external_lex_state = 2},
  [6325] = {.lex_state = 56, .external_lex_state = 2},
  [6326] = {.lex_state = 147, .external_lex_state = 2},
  [6327] = {.lex_state = 81, .external_lex_state = 2},
  [6328] = {.lex_state = 56, .external_lex_state = 2},
  [6329] = {.lex_state = 143, .external_lex_state = 2},
  [6330] = {.lex_state = 418, .external_lex_state = 2},
  [6331] = {.lex_state = 121, .external_lex_state = 2},
  [6332] = {.lex_state = 421, .external_lex_state = 2},
  [6333] = {.lex_state = 418, .external_lex_state = 2},
  [6334] = {.lex_state = 418, .external_lex_state = 2},
  [6335] = {.lex_state = 56, .external_lex_state = 2},
  [6336] = {.lex_state = 56, .external_lex_state = 2},
  [6337] = {.lex_state = 418, .external_lex_state = 2},
  [6338] = {.lex_state = 147, .external_lex_state = 2},
  [6339] = {.lex_state = 56, .external_lex_state = 2},
  [6340] = {.lex_state = 421, .external_lex_state = 2},
  [6341] = {.lex_state = 56, .external_lex_state = 2},
  [6342] = {.lex_state = 56, .external_lex_state = 2},
  [6343] = {.lex_state = 418, .external_lex_state = 2},
  [6344] = {.lex_state = 418, .external_lex_state = 2},
  [6345] = {.lex_state = 147, .external_lex_state = 2},
  [6346] = {.lex_state = 144, .external_lex_state = 2},
  [6347] = {.lex_state = 419, .external_lex_state = 2},
  [6348] = {.lex_state = 418, .external_lex_state = 2},
  [6349] = {.lex_state = 418, .external_lex_state = 2},
  [6350] = {.lex_state = 418, .external_lex_state = 2},
  [6351] = {.lex_state = 418, .external_lex_state = 2},
  [6352] = {.lex_state = 418, .external_lex_state = 2},
  [6353] = {.lex_state = 56, .external_lex_state = 2},
  [6354] = {.lex_state = 418, .external_lex_state = 2},
  [6355] = {.lex_state = 56, .external_lex_state = 2},
  [6356] = {.lex_state = 421, .external_lex_state = 2},
  [6357] = {.lex_state = 418, .external_lex_state = 2},
  [6358] = {.lex_state = 56, .external_lex_state = 2},
  [6359] = {.lex_state = 56, .external_lex_state = 2},
  [6360] = {.lex_state = 418, .external_lex_state = 2},
  [6361] = {.lex_state = 56, .external_lex_state = 2},
  [6362] = {.lex_state = 56, .external_lex_state = 2},
  [6363] = {.lex_state = 143, .external_lex_state = 2},
  [6364] = {.lex_state = 56, .external_lex_state = 2},
  [6365] = {.lex_state = 418, .external_lex_state = 2},
  [6366] = {.lex_state = 418, .external_lex_state = 2},
  [6367] = {.lex_state = 421, .external_lex_state = 2},
  [6368] = {.lex_state = 57, .external_lex_state = 2},
  [6369] = {.lex_state = 143, .external_lex_state = 2},
  [6370] = {.lex_state = 56, .external_lex_state = 2},
  [6371] = {.lex_state = 56, .external_lex_state = 2},
  [6372] = {.lex_state = 56, .external_lex_state = 2},
  [6373] = {.lex_state = 418, .external_lex_state = 2},
  [6374] = {.lex_state = 418, .external_lex_state = 2},
  [6375] = {.lex_state = 143, .external_lex_state = 2},
  [6376] = {.lex_state = 144, .external_lex_state = 2},
  [6377] = {.lex_state = 56, .external_lex_state = 2},
  [6378] = {.lex_state = 56, .external_lex_state = 2},
  [6379] = {.lex_state = 56, .external_lex_state = 2},
  [6380] = {.lex_state = 56, .external_lex_state = 2},
  [6381] = {.lex_state = 418, .external_lex_state = 2},
  [6382] = {.lex_state = 56, .external_lex_state = 2},
  [6383] = {.lex_state = 56, .external_lex_state = 2},
  [6384] = {.lex_state = 418, .external_lex_state = 2},
  [6385] = {.lex_state = 56, .external_lex_state = 2},
  [6386] = {.lex_state = 418, .external_lex_state = 2},
  [6387] = {.lex_state = 56, .external_lex_state = 2},
  [6388] = {.lex_state = 56, .external_lex_state = 2},
  [6389] = {.lex_state = 56, .external_lex_state = 2},
  [6390] = {.lex_state = 56, .external_lex_state = 2},
  [6391] = {.lex_state = 56, .external_lex_state = 2},
  [6392] = {.lex_state = 56, .external_lex_state = 2},
  [6393] = {.lex_state = 56, .external_lex_state = 2},
  [6394] = {.lex_state = 56, .external_lex_state = 2},
  [6395] = {.lex_state = 418, .external_lex_state = 2},
  [6396] = {.lex_state = 56, .external_lex_state = 2},
  [6397] = {.lex_state = 418, .external_lex_state = 2},
  [6398] = {.lex_state = 56, .external_lex_state = 2},
  [6399] = {.lex_state = 56, .external_lex_state = 2},
  [6400] = {.lex_state = 56, .external_lex_state = 2},
  [6401] = {.lex_state = 56, .external_lex_state = 2},
  [6402] = {.lex_state = 81, .external_lex_state = 2},
  [6403] = {.lex_state = 56, .external_lex_state = 2},
  [6404] = {.lex_state = 418, .external_lex_state = 2},
  [6405] = {.lex_state = 418, .external_lex_state = 2},
  [6406] = {.lex_state = 56, .external_lex_state = 2},
  [6407] = {.lex_state = 56, .external_lex_state = 2},
  [6408] = {.lex_state = 56, .external_lex_state = 2},
  [6409] = {.lex_state = 418, .external_lex_state = 2},
  [6410] = {.lex_state = 56, .external_lex_state = 2},
  [6411] = {.lex_state = 418, .external_lex_state = 2},
  [6412] = {.lex_state = 419, .external_lex_state = 2},
  [6413] = {.lex_state = 147, .external_lex_state = 2},
  [6414] = {.lex_state = 56, .external_lex_state = 2},
  [6415] = {.lex_state = 147, .external_lex_state = 2},
  [6416] = {.lex_state = 421, .external_lex_state = 2},
  [6417] = {.lex_state = 147, .external_lex_state = 2},
  [6418] = {.lex_state = 418, .external_lex_state = 2},
  [6419] = {.lex_state = 56, .external_lex_state = 2},
  [6420] = {.lex_state = 418, .external_lex_state = 2},
  [6421] = {.lex_state = 421, .external_lex_state = 2},
  [6422] = {.lex_state = 147, .external_lex_state = 2},
  [6423] = {.lex_state = 56, .external_lex_state = 2},
  [6424] = {.lex_state = 56, .external_lex_state = 2},
  [6425] = {.lex_state = 421, .external_lex_state = 2},
  [6426] = {.lex_state = 418, .external_lex_state = 2},
  [6427] = {.lex_state = 56, .external_lex_state = 2},
  [6428] = {.lex_state = 418, .external_lex_state = 2},
  [6429] = {.lex_state = 418, .external_lex_state = 2},
  [6430] = {.lex_state = 56, .external_lex_state = 2},
  [6431] = {.lex_state = 147, .external_lex_state = 2},
  [6432] = {.lex_state = 56, .external_lex_state = 2},
  [6433] = {.lex_state = 56, .external_lex_state = 2},
  [6434] = {.lex_state = 56, .external_lex_state = 2},
  [6435] = {.lex_state = 56, .external_lex_state = 2},
  [6436] = {.lex_state = 56, .external_lex_state = 2},
  [6437] = {.lex_state = 418, .external_lex_state = 2},
  [6438] = {.lex_state = 56, .external_lex_state = 2},
  [6439] = {.lex_state = 418, .external_lex_state = 2},
  [6440] = {.lex_state = 56, .external_lex_state = 2},
  [6441] = {.lex_state = 418, .external_lex_state = 2},
  [6442] = {.lex_state = 56, .external_lex_state = 2},
  [6443] = {.lex_state = 421, .external_lex_state = 2},
  [6444] = {.lex_state = 419, .external_lex_state = 2},
  [6445] = {.lex_state = 418, .external_lex_state = 2},
  [6446] = {.lex_state = 147, .external_lex_state = 2},
  [6447] = {.lex_state = 56, .external_lex_state = 2},
  [6448] = {.lex_state = 418, .external_lex_state = 2},
  [6449] = {.lex_state = 418, .external_lex_state = 2},
  [6450] = {.lex_state = 147, .external_lex_state = 2},
  [6451] = {.lex_state = 56, .external_lex_state = 2},
  [6452] = {.lex_state = 147, .external_lex_state = 2},
  [6453] = {.lex_state = 418, .external_lex_state = 2},
  [6454] = {.lex_state = 56, .external_lex_state = 2},
  [6455] = {.lex_state = 56, .external_lex_state = 2},
  [6456] = {.lex_state = 419, .external_lex_state = 2},
  [6457] = {.lex_state = 56, .external_lex_state = 2},
  [6458] = {.lex_state = 56, .external_lex_state = 2},
  [6459] = {.lex_state = 418, .external_lex_state = 2},
  [6460] = {.lex_state = 56, .external_lex_state = 2},
  [6461] = {.lex_state = 418, .external_lex_state = 2},
  [6462] = {.lex_state = 421, .external_lex_state = 2},
  [6463] = {.lex_state = 418, .external_lex_state = 2},
  [6464] = {.lex_state = 418, .external_lex_state = 2},
  [6465] = {.lex_state = 56, .external_lex_state = 2},
  [6466] = {.lex_state = 421, .external_lex_state = 2},
  [6467] = {.lex_state = 418, .external_lex_state = 2},
  [6468] = {.lex_state = 56, .external_lex_state = 2},
  [6469] = {.lex_state = 418, .external_lex_state = 2},
  [6470] = {.lex_state = 56, .external_lex_state = 2},
  [6471] = {.lex_state = 56, .external_lex_state = 2},
  [6472] = {.lex_state = 418, .external_lex_state = 2},
  [6473] = {.lex_state = 56, .external_lex_state = 2},
  [6474] = {.lex_state = 418, .external_lex_state = 2},
  [6475] = {.lex_state = 56, .external_lex_state = 2},
  [6476] = {.lex_state = 418, .external_lex_state = 2},
  [6477] = {.lex_state = 56, .external_lex_state = 2},
  [6478] = {.lex_state = 419, .external_lex_state = 2},
  [6479] = {.lex_state = 143, .external_lex_state = 2},
  [6480] = {.lex_state = 94, .external_lex_state = 2},
  [6481] = {.lex_state = 143, .external_lex_state = 2},
  [6482] = {.lex_state = 94, .external_lex_state = 2},
  [6483] = {.lex_state = 143, .external_lex_state = 2},
  [6484] = {.lex_state = 143, .external_lex_state = 2},
  [6485] = {.lex_state = 419, .external_lex_state = 2},
  [6486] = {.lex_state = 419, .external_lex_state = 2},
  [6487] = {.lex_state = 143, .external_lex_state = 2},
  [6488] = {.lex_state = 148, .external_lex_state = 2},
  [6489] = {.lex_state = 148, .external_lex_state = 2},
  [6490] = {.lex_state = 419, .external_lex_state = 2},
  [6491] = {.lex_state = 143, .external_lex_state = 2},
  [6492] = {.lex_state = 419, .external_lex_state = 2},
  [6493] = {.lex_state = 419, .external_lex_state = 2},
  [6494] = {.lex_state = 419, .external_lex_state = 2},
  [6495] = {.lex_state = 143, .external_lex_state = 2},
  [6496] = {.lex_state = 419, .external_lex_state = 2},
  [6497] = {.lex_state = 419, .external_lex_state = 2},
  [6498] = {.lex_state = 148, .external_lex_state = 2},
  [6499] = {.lex_state = 94, .external_lex_state = 2},
  [6500] = {.lex_state = 419, .external_lex_state = 2},
  [6501] = {.lex_state = 419, .external_lex_state = 2},
  [6502] = {.lex_state = 143, .external_lex_state = 2},
  [6503] = {.lex_state = 419, .external_lex_state = 2},
  [6504] = {.lex_state = 148, .external_lex_state = 2},
  [6505] = {.lex_state = 143, .external_lex_state = 2},
  [6506] = {.lex_state = 144, .external_lex_state = 2},
  [6507] = {.lex_state = 419, .external_lex_state = 2},
  [6508] = {.lex_state = 143, .external_lex_state = 2},
  [6509] = {.lex_state = 419, .external_lex_state = 2},
  [6510] = {.lex_state = 143, .external_lex_state = 2},
  [6511] = {.lex_state = 419, .external_lex_state = 2},
  [6512] = {.lex_state = 419, .external_lex_state = 2},
  [6513] = {.lex_state = 419, .external_lex_state = 2},
  [6514] = {.lex_state = 419, .external_lex_state = 2},
  [6515] = {.lex_state = 419, .external_lex_state = 2},
  [6516] = {.lex_state = 419, .external_lex_state = 2},
  [6517] = {.lex_state = 419, .external_lex_state = 2},
  [6518] = {.lex_state = 148, .external_lex_state = 2},
  [6519] = {.lex_state = 143, .external_lex_state = 2},
  [6520] = {.lex_state = 143, .external_lex_state = 2},
  [6521] = {.lex_state = 419, .external_lex_state = 2},
  [6522] = {.lex_state = 143, .external_lex_state = 2},
  [6523] = {.lex_state = 120, .external_lex_state = 2},
  [6524] = {.lex_state = 419, .external_lex_state = 2},
  [6525] = {.lex_state = 143, .external_lex_state = 2},
  [6526] = {.lex_state = 143, .external_lex_state = 2},
  [6527] = {.lex_state = 419, .external_lex_state = 2},
  [6528] = {.lex_state = 419, .external_lex_state = 2},
  [6529] = {.lex_state = 419, .external_lex_state = 2},
  [6530] = {.lex_state = 143, .external_lex_state = 2},
  [6531] = {.lex_state = 419, .external_lex_state = 2},
  [6532] = {.lex_state = 419, .external_lex_state = 2},
  [6533] = {.lex_state = 143, .external_lex_state = 2},
  [6534] = {.lex_state = 143, .external_lex_state = 2},
  [6535] = {.lex_state = 419, .external_lex_state = 2},
  [6536] = {.lex_state = 143, .external_lex_state = 2},
  [6537] = {.lex_state = 148, .external_lex_state = 2},
  [6538] = {.lex_state = 143, .external_lex_state = 2},
  [6539] = {.lex_state = 94, .external_lex_state = 2},
  [6540] = {.lex_state = 143, .external_lex_state = 2},
  [6541] = {.lex_state = 419, .external_lex_state = 2},
  [6542] = {.lex_state = 143, .external_lex_state = 2},
  [6543] = {.lex_state = 143, .external_lex_state = 2},
  [6544] = {.lex_state = 143, .external_lex_state = 2},
  [6545] = {.lex_state = 143, .external_lex_state = 2},
  [6546] = {.lex_state = 143, .external_lex_state = 2},
  [6547] = {.lex_state = 143, .external_lex_state = 2},
  [6548] = {.lex_state = 419, .external_lex_state = 2},
  [6549] = {.lex_state = 148, .external_lex_state = 2},
  [6550] = {.lex_state = 419, .external_lex_state = 2},
  [6551] = {.lex_state = 55, .external_lex_state = 2},
  [6552] = {.lex_state = 143, .external_lex_state = 2},
  [6553] = {.lex_state = 143, .external_lex_state = 2},
  [6554] = {.lex_state = 143, .external_lex_state = 2},
  [6555] = {.lex_state = 143, .external_lex_state = 2},
  [6556] = {.lex_state = 419, .external_lex_state = 2},
  [6557] = {.lex_state = 94, .external_lex_state = 2},
  [6558] = {.lex_state = 144, .external_lex_state = 2},
  [6559] = {.lex_state = 143, .external_lex_state = 2},
  [6560] = {.lex_state = 419, .external_lex_state = 2},
  [6561] = {.lex_state = 143, .external_lex_state = 2},
  [6562] = {.lex_state = 419, .external_lex_state = 2},
  [6563] = {.lex_state = 94, .external_lex_state = 2},
  [6564] = {.lex_state = 123, .external_lex_state = 2},
  [6565] = {.lex_state = 94, .external_lex_state = 2},
  [6566] = {.lex_state = 419, .external_lex_state = 2},
  [6567] = {.lex_state = 94, .external_lex_state = 2},
  [6568] = {.lex_state = 143, .external_lex_state = 2},
  [6569] = {.lex_state = 94, .external_lex_state = 2},
  [6570] = {.lex_state = 94, .external_lex_state = 2},
  [6571] = {.lex_state = 143, .external_lex_state = 2},
  [6572] = {.lex_state = 94, .external_lex_state = 2},
  [6573] = {.lex_state = 148, .external_lex_state = 2},
  [6574] = {.lex_state = 419, .external_lex_state = 2},
  [6575] = {.lex_state = 148, .external_lex_state = 2},
  [6576] = {.lex_state = 144, .external_lex_state = 2},
  [6577] = {.lex_state = 419, .external_lex_state = 2},
  [6578] = {.lex_state = 143, .external_lex_state = 2},
  [6579] = {.lex_state = 419, .external_lex_state = 2},
  [6580] = {.lex_state = 419, .external_lex_state = 2},
  [6581] = {.lex_state = 419, .external_lex_state = 2},
  [6582] = {.lex_state = 143, .external_lex_state = 2},
  [6583] = {.lex_state = 419, .external_lex_state = 2},
  [6584] = {.lex_state = 419, .external_lex_state = 2},
  [6585] = {.lex_state = 143, .external_lex_state = 2},
  [6586] = {.lex_state = 143, .external_lex_state = 2},
  [6587] = {.lex_state = 143, .external_lex_state = 2},
  [6588] = {.lex_state = 419, .external_lex_state = 2},
  [6589] = {.lex_state = 143, .external_lex_state = 2},
  [6590] = {.lex_state = 143, .external_lex_state = 2},
  [6591] = {.lex_state = 55, .external_lex_state = 2},
  [6592] = {.lex_state = 143, .external_lex_state = 2},
  [6593] = {.lex_state = 143, .external_lex_state = 2},
  [6594] = {.lex_state = 419, .external_lex_state = 2},
  [6595] = {.lex_state = 419, .external_lex_state = 2},
  [6596] = {.lex_state = 143, .external_lex_state = 2},
  [6597] = {.lex_state = 143, .external_lex_state = 2},
  [6598] = {.lex_state = 143, .external_lex_state = 2},
  [6599] = {.lex_state = 148, .external_lex_state = 2},
  [6600] = {.lex_state = 143, .external_lex_state = 2},
  [6601] = {.lex_state = 148, .external_lex_state = 2},
  [6602] = {.lex_state = 419, .external_lex_state = 2},
  [6603] = {.lex_state = 144, .external_lex_state = 2},
  [6604] = {.lex_state = 419, .external_lex_state = 2},
  [6605] = {.lex_state = 419, .external_lex_state = 2},
  [6606] = {.lex_state = 95, .external_lex_state = 2},
  [6607] = {.lex_state = 94, .external_lex_state = 2},
  [6608] = {.lex_state = 144, .external_lex_state = 2},
  [6609] = {.lex_state = 94, .external_lex_state = 2},
  [6610] = {.lex_state = 94, .external_lex_state = 2},
  [6611] = {.lex_state = 94, .external_lex_state = 2},
  [6612] = {.lex_state = 144, .external_lex_state = 2},
  [6613] = {.lex_state = 94, .external_lex_state = 2},
  [6614] = {.lex_state = 94, .external_lex_state = 2},
  [6615] = {.lex_state = 144, .external_lex_state = 2},
  [6616] = {.lex_state = 144, .external_lex_state = 2},
  [6617] = {.lex_state = 144, .external_lex_state = 2},
  [6618] = {.lex_state = 57, .external_lex_state = 2},
  [6619] = {.lex_state = 144, .external_lex_state = 2},
  [6620] = {.lex_state = 94, .external_lex_state = 2},
  [6621] = {.lex_state = 94, .external_lex_state = 2},
  [6622] = {.lex_state = 94, .external_lex_state = 2},
  [6623] = {.lex_state = 94, .external_lex_state = 2},
  [6624] = {.lex_state = 144, .external_lex_state = 2},
  [6625] = {.lex_state = 144, .external_lex_state = 2},
  [6626] = {.lex_state = 94, .external_lex_state = 2},
  [6627] = {.lex_state = 94, .external_lex_state = 2},
  [6628] = {.lex_state = 94, .external_lex_state = 2},
  [6629] = {.lex_state = 144, .external_lex_state = 2},
  [6630] = {.lex_state = 94, .external_lex_state = 2},
  [6631] = {.lex_state = 94, .external_lex_state = 2},
  [6632] = {.lex_state = 144, .external_lex_state = 2},
  [6633] = {.lex_state = 94, .external_lex_state = 2},
  [6634] = {.lex_state = 94, .external_lex_state = 2},
  [6635] = {.lex_state = 94, .external_lex_state = 2},
  [6636] = {.lex_state = 94, .external_lex_state = 2},
  [6637] = {.lex_state = 94, .external_lex_state = 2},
  [6638] = {.lex_state = 144, .external_lex_state = 2},
  [6639] = {.lex_state = 94, .external_lex_state = 2},
  [6640] = {.lex_state = 144, .external_lex_state = 2},
  [6641] = {.lex_state = 94, .external_lex_state = 2},
  [6642] = {.lex_state = 94, .external_lex_state = 2},
  [6643] = {.lex_state = 144, .external_lex_state = 2},
  [6644] = {.lex_state = 94, .external_lex_state = 2},
  [6645] = {.lex_state = 144, .external_lex_state = 2},
  [6646] = {.lex_state = 94, .external_lex_state = 2},
  [6647] = {.lex_state = 144, .external_lex_state = 2},
  [6648] = {.lex_state = 144, .external_lex_state = 2},
  [6649] = {.lex_state = 144, .external_lex_state = 2},
  [6650] = {.lex_state = 94, .external_lex_state = 2},
  [6651] = {.lex_state = 94, .external_lex_state = 2},
  [6652] = {.lex_state = 95, .external_lex_state = 2},
  [6653] = {.lex_state = 94, .external_lex_state = 2},
  [6654] = {.lex_state = 94, .external_lex_state = 2},
  [6655] = {.lex_state = 94, .external_lex_state = 2},
  [6656] = {.lex_state = 94, .external_lex_state = 2},
  [6657] = {.lex_state = 144, .external_lex_state = 2},
  [6658] = {.lex_state = 94, .external_lex_state = 2},
  [6659] = {.lex_state = 94, .external_lex_state = 2},
  [6660] = {.lex_state = 94, .external_lex_state = 2},
  [6661] = {.lex_state = 144, .external_lex_state = 2},
  [6662] = {.lex_state = 94, .external_lex_state = 2},
  [6663] = {.lex_state = 95, .external_lex_state = 2},
  [6664] = {.lex_state = 94, .external_lex_state = 2},
  [6665] = {.lex_state = 95, .external_lex_state = 2},
  [6666] = {.lex_state = 94, .external_lex_state = 2},
  [6667] = {.lex_state = 54, .external_lex_state = 2},
  [6668] = {.lex_state = 94, .external_lex_state = 2},
  [6669] = {.lex_state = 94, .external_lex_state = 2},
  [6670] = {.lex_state = 144, .external_lex_state = 2},
  [6671] = {.lex_state = 94, .external_lex_state = 2},
  [6672] = {.lex_state = 122, .external_lex_state = 2},
  [6673] = {.lex_state = 94, .external_lex_state = 2},
  [6674] = {.lex_state = 57, .external_lex_state = 2},
  [6675] = {.lex_state = 144, .external_lex_state = 2},
  [6676] = {.lex_state = 144, .external_lex_state = 2},
  [6677] = {.lex_state = 144, .external_lex_state = 2},
  [6678] = {.lex_state = 94, .external_lex_state = 2},
  [6679] = {.lex_state = 144, .external_lex_state = 2},
  [6680] = {.lex_state = 94, .external_lex_state = 2},
  [6681] = {.lex_state = 94, .external_lex_state = 2},
  [6682] = {.lex_state = 144, .external_lex_state = 2},
  [6683] = {.lex_state = 94, .external_lex_state = 2},
  [6684] = {.lex_state = 94, .external_lex_state = 2},
  [6685] = {.lex_state = 94, .external_lex_state = 2},
  [6686] = {.lex_state = 144, .external_lex_state = 2},
  [6687] = {.lex_state = 95, .external_lex_state = 2},
  [6688] = {.lex_state = 94, .external_lex_state = 2},
  [6689] = {.lex_state = 95, .external_lex_state = 2},
  [6690] = {.lex_state = 95, .external_lex_state = 2},
  [6691] = {.lex_state = 94, .external_lex_state = 2},
  [6692] = {.lex_state = 144, .external_lex_state = 2},
  [6693] = {.lex_state = 94, .external_lex_state = 2},
  [6694] = {.lex_state = 95, .external_lex_state = 2},
  [6695] = {.lex_state = 144, .external_lex_state = 2},
  [6696] = {.lex_state = 94, .external_lex_state = 2},
  [6697] = {.lex_state = 144, .external_lex_state = 2},
  [6698] = {.lex_state = 94, .external_lex_state = 2},
  [6699] = {.lex_state = 94, .external_lex_state = 2},
  [6700] = {.lex_state = 94, .external_lex_state = 2},
  [6701] = {.lex_state = 144, .external_lex_state = 2},
  [6702] = {.lex_state = 94, .external_lex_state = 2},
  [6703] = {.lex_state = 95, .external_lex_state = 2},
  [6704] = {.lex_state = 144, .external_lex_state = 2},
  [6705] = {.lex_state = 94, .external_lex_state = 2},
  [6706] = {.lex_state = 144, .external_lex_state = 2},
  [6707] = {.lex_state = 95, .external_lex_state = 2},
  [6708] = {.lex_state = 94, .external_lex_state = 2},
  [6709] = {.lex_state = 95, .external_lex_state = 2},
  [6710] = {.lex_state = 94, .external_lex_state = 2},
  [6711] = {.lex_state = 94, .external_lex_state = 2},
  [6712] = {.lex_state = 94, .external_lex_state = 2},
  [6713] = {.lex_state = 54, .external_lex_state = 2},
  [6714] = {.lex_state = 94, .external_lex_state = 2},
  [6715] = {.lex_state = 94, .external_lex_state = 2},
  [6716] = {.lex_state = 94, .external_lex_state = 2},
  [6717] = {.lex_state = 94, .external_lex_state = 2},
  [6718] = {.lex_state = 94, .external_lex_state = 2},
  [6719] = {.lex_state = 94, .external_lex_state = 2},
  [6720] = {.lex_state = 144, .external_lex_state = 2},
  [6721] = {.lex_state = 144, .external_lex_state = 2},
  [6722] = {.lex_state = 94, .external_lex_state = 2},
  [6723] = {.lex_state = 94, .external_lex_state = 2},
  [6724] = {.lex_state = 144, .external_lex_state = 2},
  [6725] = {.lex_state = 144, .external_lex_state = 2},
  [6726] = {.lex_state = 144, .external_lex_state = 2},
  [6727] = {.lex_state = 94, .external_lex_state = 2},
  [6728] = {.lex_state = 144, .external_lex_state = 2},
  [6729] = {.lex_state = 144, .external_lex_state = 2},
  [6730] = {.lex_state = 94, .external_lex_state = 2},
  [6731] = {.lex_state = 144, .external_lex_state = 2},
  [6732] = {.lex_state = 144, .external_lex_state = 2},
  [6733] = {.lex_state = 94, .external_lex_state = 2},
  [6734] = {.lex_state = 144, .external_lex_state = 2},
  [6735] = {.lex_state = 94, .external_lex_state = 2},
  [6736] = {.lex_state = 144, .external_lex_state = 2},
  [6737] = {.lex_state = 144, .external_lex_state = 2},
  [6738] = {.lex_state = 144, .external_lex_state = 2},
  [6739] = {.lex_state = 144, .external_lex_state = 2},
  [6740] = {.lex_state = 144, .external_lex_state = 2},
  [6741] = {.lex_state = 94, .external_lex_state = 2},
  [6742] = {.lex_state = 144, .external_lex_state = 2},
  [6743] = {.lex_state = 144, .external_lex_state = 2},
  [6744] = {.lex_state = 95, .external_lex_state = 2},
  [6745] = {.lex_state = 95, .external_lex_state = 2},
  [6746] = {.lex_state = 95, .external_lex_state = 2},
  [6747] = {.lex_state = 95, .external_lex_state = 2},
  [6748] = {.lex_state = 95, .external_lex_state = 2},
  [6749] = {.lex_state = 95, .external_lex_state = 2},
  [6750] = {.lex_state = 95, .external_lex_state = 2},
  [6751] = {.lex_state = 95, .external_lex_state = 2},
  [6752] = {.lex_state = 95, .external_lex_state = 2},
  [6753] = {.lex_state = 95, .external_lex_state = 2},
  [6754] = {.lex_state = 15, .external_lex_state = 2},
  [6755] = {.lex_state = 95, .external_lex_state = 2},
  [6756] = {.lex_state = 95, .external_lex_state = 2},
  [6757] = {.lex_state = 95, .external_lex_state = 2},
  [6758] = {.lex_state = 95, .external_lex_state = 2},
  [6759] = {.lex_state = 95, .external_lex_state = 2},
  [6760] = {.lex_state = 95, .external_lex_state = 2},
  [6761] = {.lex_state = 95, .external_lex_state = 2},
  [6762] = {.lex_state = 95, .external_lex_state = 2},
  [6763] = {.lex_state = 95, .external_lex_state = 2},
  [6764] = {.lex_state = 95, .external_lex_state = 2},
  [6765] = {.lex_state = 95, .external_lex_state = 2},
  [6766] = {.lex_state = 95, .external_lex_state = 2},
  [6767] = {.lex_state = 84, .external_lex_state = 2},
  [6768] = {.lex_state = 95, .external_lex_state = 2},
  [6769] = {.lex_state = 84, .external_lex_state = 2},
  [6770] = {.lex_state = 56, .external_lex_state = 2},
  [6771] = {.lex_state = 95, .external_lex_state = 2},
  [6772] = {.lex_state = 95, .external_lex_state = 2},
  [6773] = {.lex_state = 95, .external_lex_state = 2},
  [6774] = {.lex_state = 95, .external_lex_state = 2},
  [6775] = {.lex_state = 95, .external_lex_state = 2},
  [6776] = {.lex_state = 95, .external_lex_state = 2},
  [6777] = {.lex_state = 95, .external_lex_state = 2},
  [6778] = {.lex_state = 95, .external_lex_state = 2},
  [6779] = {.lex_state = 95, .external_lex_state = 2},
  [6780] = {.lex_state = 95, .external_lex_state = 2},
  [6781] = {.lex_state = 95, .external_lex_state = 2},
  [6782] = {.lex_state = 95, .external_lex_state = 2},
  [6783] = {.lex_state = 84, .external_lex_state = 2},
  [6784] = {.lex_state = 95, .external_lex_state = 2},
  [6785] = {.lex_state = 95, .external_lex_state = 2},
  [6786] = {.lex_state = 15, .external_lex_state = 2},
  [6787] = {.lex_state = 95, .external_lex_state = 2},
  [6788] = {.lex_state = 95, .external_lex_state = 2},
  [6789] = {.lex_state = 95, .external_lex_state = 2},
  [6790] = {.lex_state = 95, .external_lex_state = 2},
  [6791] = {.lex_state = 95, .external_lex_state = 2},
  [6792] = {.lex_state = 95, .external_lex_state = 2},
  [6793] = {.lex_state = 84, .external_lex_state = 2},
  [6794] = {.lex_state = 15, .external_lex_state = 2},
  [6795] = {.lex_state = 95, .external_lex_state = 2},
  [6796] = {.lex_state = 95, .external_lex_state = 2},
  [6797] = {.lex_state = 95, .external_lex_state = 2},
  [6798] = {.lex_state = 95, .external_lex_state = 2},
  [6799] = {.lex_state = 95, .external_lex_state = 2},
  [6800] = {.lex_state = 84, .external_lex_state = 2},
  [6801] = {.lex_state = 95, .external_lex_state = 2},
  [6802] = {.lex_state = 95, .external_lex_state = 2},
  [6803] = {.lex_state = 84, .external_lex_state = 2},
  [6804] = {.lex_state = 84, .external_lex_state = 2},
  [6805] = {.lex_state = 15, .external_lex_state = 2},
  [6806] = {.lex_state = 15, .external_lex_state = 2},
  [6807] = {.lex_state = 84, .external_lex_state = 2},
  [6808] = {.lex_state = 95, .external_lex_state = 2},
  [6809] = {.lex_state = 95, .external_lex_state = 2},
  [6810] = {.lex_state = 56, .external_lex_state = 2},
  [6811] = {.lex_state = 95, .external_lex_state = 2},
  [6812] = {.lex_state = 95, .external_lex_state = 2},
  [6813] = {.lex_state = 95, .external_lex_state = 2},
  [6814] = {.lex_state = 95, .external_lex_state = 2},
  [6815] = {.lex_state = 95, .external_lex_state = 2},
  [6816] = {.lex_state = 95, .external_lex_state = 2},
  [6817] = {.lex_state = 95, .external_lex_state = 2},
  [6818] = {.lex_state = 95, .external_lex_state = 2},
  [6819] = {.lex_state = 95, .external_lex_state = 2},
  [6820] = {.lex_state = 95, .external_lex_state = 2},
  [6821] = {.lex_state = 84, .external_lex_state = 2},
  [6822] = {.lex_state = 84, .external_lex_state = 2},
  [6823] = {.lex_state = 84, .external_lex_state = 2},
  [6824] = {.lex_state = 95, .external_lex_state = 2},
  [6825] = {.lex_state = 95, .external_lex_state = 2},
  [6826] = {.lex_state = 95, .external_lex_state = 2},
  [6827] = {.lex_state = 95, .external_lex_state = 2},
  [6828] = {.lex_state = 95, .external_lex_state = 2},
  [6829] = {.lex_state = 95, .external_lex_state = 2},
  [6830] = {.lex_state = 15, .external_lex_state = 2},
  [6831] = {.lex_state = 95, .external_lex_state = 2},
  [6832] = {.lex_state = 95, .external_lex_state = 2},
  [6833] = {.lex_state = 95, .external_lex_state = 2},
  [6834] = {.lex_state = 95, .external_lex_state = 2},
  [6835] = {.lex_state = 95, .external_lex_state = 2},
  [6836] = {.lex_state = 23, .external_lex_state = 2},
  [6837] = {.lex_state = 386, .external_lex_state = 2},
  [6838] = {.lex_state = 23, .external_lex_state = 2},
  [6839] = {.lex_state = 386, .external_lex_state = 2},
  [6840] = {.lex_state = 86, .external_lex_state = 2},
  [6841] = {.lex_state = 386, .external_lex_state = 2},
  [6842] = {.lex_state = 386, .external_lex_state = 2},
  [6843] = {.lex_state = 23, .external_lex_state = 2},
  [6844] = {.lex_state = 386, .external_lex_state = 2},
  [6845] = {.lex_state = 86, .external_lex_state = 2},
  [6846] = {.lex_state = 86, .external_lex_state = 2},
  [6847] = {.lex_state = 86, .external_lex_state = 2},
  [6848] = {.lex_state = 88, .external_lex_state = 2},
  [6849] = {.lex_state = 86, .external_lex_state = 2},
  [6850] = {.lex_state = 86, .external_lex_state = 2},
  [6851] = {.lex_state = 86, .external_lex_state = 2},
  [6852] = {.lex_state = 84, .external_lex_state = 2},
  [6853] = {.lex_state = 84, .external_lex_state = 2},
  [6854] = {.lex_state = 23, .external_lex_state = 2},
  [6855] = {.lex_state = 84, .external_lex_state = 2},
  [6856] = {.lex_state = 84, .external_lex_state = 2},
  [6857] = {.lex_state = 84, .external_lex_state = 2},
  [6858] = {.lex_state = 84, .external_lex_state = 2},
  [6859] = {.lex_state = 386, .external_lex_state = 2},
  [6860] = {.lex_state = 84, .external_lex_state = 2},
  [6861] = {.lex_state = 84, .external_lex_state = 2},
  [6862] = {.lex_state = 84, .external_lex_state = 2},
  [6863] = {.lex_state = 84, .external_lex_state = 2},
  [6864] = {.lex_state = 23, .external_lex_state = 2},
  [6865] = {.lex_state = 84, .external_lex_state = 2},
  [6866] = {.lex_state = 84, .external_lex_state = 2},
  [6867] = {.lex_state = 84, .external_lex_state = 2},
  [6868] = {.lex_state = 84, .external_lex_state = 2},
  [6869] = {.lex_state = 84, .external_lex_state = 2},
  [6870] = {.lex_state = 84, .external_lex_state = 2},
  [6871] = {.lex_state = 84, .external_lex_state = 2},
  [6872] = {.lex_state = 84, .external_lex_state = 2},
  [6873] = {.lex_state = 84, .external_lex_state = 2},
  [6874] = {.lex_state = 84, .external_lex_state = 2},
  [6875] = {.lex_state = 23, .external_lex_state = 2},
  [6876] = {.lex_state = 84, .external_lex_state = 2},
  [6877] = {.lex_state = 84, .external_lex_state = 2},
  [6878] = {.lex_state = 84, .external_lex_state = 2},
  [6879] = {.lex_state = 84, .external_lex_state = 2},
  [6880] = {.lex_state = 84, .external_lex_state = 2},
  [6881] = {.lex_state = 84, .external_lex_state = 2},
  [6882] = {.lex_state = 84, .external_lex_state = 2},
  [6883] = {.lex_state = 84, .external_lex_state = 2},
  [6884] = {.lex_state = 23, .external_lex_state = 2},
  [6885] = {.lex_state = 84, .external_lex_state = 2},
  [6886] = {.lex_state = 84, .external_lex_state = 2},
  [6887] = {.lex_state = 84, .external_lex_state = 2},
  [6888] = {.lex_state = 84, .external_lex_state = 2},
  [6889] = {.lex_state = 84, .external_lex_state = 2},
  [6890] = {.lex_state = 84, .external_lex_state = 2},
  [6891] = {.lex_state = 84, .external_lex_state = 2},
  [6892] = {.lex_state = 23, .external_lex_state = 2},
  [6893] = {.lex_state = 84, .external_lex_state = 2},
  [6894] = {.lex_state = 23, .external_lex_state = 2},
  [6895] = {.lex_state = 23, .external_lex_state = 2},
  [6896] = {.lex_state = 88, .external_lex_state = 2},
  [6897] = {.lex_state = 84, .external_lex_state = 2},
  [6898] = {.lex_state = 23, .external_lex_state = 2},
  [6899] = {.lex_state = 23, .external_lex_state = 2},
  [6900] = {.lex_state = 86, .external_lex_state = 2},
  [6901] = {.lex_state = 84, .external_lex_state = 2},
  [6902] = {.lex_state = 23, .external_lex_state = 2},
  [6903] = {.lex_state = 86, .external_lex_state = 2},
  [6904] = {.lex_state = 386, .external_lex_state = 2},
  [6905] = {.lex_state = 386, .external_lex_state = 2},
  [6906] = {.lex_state = 386, .external_lex_state = 2},
  [6907] = {.lex_state = 386, .external_lex_state = 2},
  [6908] = {.lex_state = 386, .external_lex_state = 2},
  [6909] = {.lex_state = 386, .external_lex_state = 2},
  [6910] = {.lex_state = 386, .external_lex_state = 2},
  [6911] = {.lex_state = 386, .external_lex_state = 2},
  [6912] = {.lex_state = 386, .external_lex_state = 2},
  [6913] = {.lex_state = 386, .external_lex_state = 2},
  [6914] = {.lex_state = 386, .external_lex_state = 2},
  [6915] = {.lex_state = 386, .external_lex_state = 2},
  [6916] = {.lex_state = 386, .external_lex_state = 2},
  [6917] = {.lex_state = 386, .external_lex_state = 2},
  [6918] = {.lex_state = 386, .external_lex_state = 2},
  [6919] = {.lex_state = 386, .external_lex_state = 2},
  [6920] = {.lex_state = 386, .external_lex_state = 2},
  [6921] = {.lex_state = 386, .external_lex_state = 2},
  [6922] = {.lex_state = 386, .external_lex_state = 2},
  [6923] = {.lex_state = 386, .external_lex_state = 2},
  [6924] = {.lex_state = 386, .external_lex_state = 2},
  [6925] = {.lex_state = 386, .external_lex_state = 2},
  [6926] = {.lex_state = 386, .external_lex_state = 2},
  [6927] = {.lex_state = 386, .external_lex_state = 2},
  [6928] = {.lex_state = 386, .external_lex_state = 2},
  [6929] = {.lex_state = 386, .external_lex_state = 2},
  [6930] = {.lex_state = 386, .external_lex_state = 2},
  [6931] = {.lex_state = 386, .external_lex_state = 2},
  [6932] = {.lex_state = 386, .external_lex_state = 2},
  [6933] = {.lex_state = 386, .external_lex_state = 2},
  [6934] = {.lex_state = 386, .external_lex_state = 2},
  [6935] = {.lex_state = 386, .external_lex_state = 2},
  [6936] = {.lex_state = 386, .external_lex_state = 2},
  [6937] = {.lex_state = 386, .external_lex_state = 2},
  [6938] = {.lex_state = 386, .external_lex_state = 2},
  [6939] = {.lex_state = 386, .external_lex_state = 2},
  [6940] = {.lex_state = 386, .external_lex_state = 2},
  [6941] = {.lex_state = 386, .external_lex_state = 2},
  [6942] = {.lex_state = 386, .external_lex_state = 2},
  [6943] = {.lex_state = 386, .external_lex_state = 2},
  [6944] = {.lex_state = 84, .external_lex_state = 2},
  [6945] = {.lex_state = 386, .external_lex_state = 2},
  [6946] = {.lex_state = 386, .external_lex_state = 2},
  [6947] = {.lex_state = 386, .external_lex_state = 2},
  [6948] = {.lex_state = 84, .external_lex_state = 2},
  [6949] = {.lex_state = 386, .external_lex_state = 2},
  [6950] = {.lex_state = 386, .external_lex_state = 2},
  [6951] = {.lex_state = 386, .external_lex_state = 2},
  [6952] = {.lex_state = 386, .external_lex_state = 2},
  [6953] = {.lex_state = 386, .external_lex_state = 2},
  [6954] = {.lex_state = 84, .external_lex_state = 2},
  [6955] = {.lex_state = 84, .external_lex_state = 2},
  [6956] = {.lex_state = 386, .external_lex_state = 2},
  [6957] = {.lex_state = 84, .external_lex_state = 2},
  [6958] = {.lex_state = 386, .external_lex_state = 2},
  [6959] = {.lex_state = 84, .external_lex_state = 2},
  [6960] = {.lex_state = 386, .external_lex_state = 2},
  [6961] = {.lex_state = 84, .external_lex_state = 2},
  [6962] = {.lex_state = 386, .external_lex_state = 2},
  [6963] = {.lex_state = 84, .external_lex_state = 2},
  [6964] = {.lex_state = 84, .external_lex_state = 2},
  [6965] = {.lex_state = 386, .external_lex_state = 2},
  [6966] = {.lex_state = 84, .external_lex_state = 2},
  [6967] = {.lex_state = 386, .external_lex_state = 2},
  [6968] = {.lex_state = 386, .external_lex_state = 2},
  [6969] = {.lex_state = 386, .external_lex_state = 2},
  [6970] = {.lex_state = 84, .external_lex_state = 2},
  [6971] = {.lex_state = 386, .external_lex_state = 2},
  [6972] = {.lex_state = 386, .external_lex_state = 2},
  [6973] = {.lex_state = 386, .external_lex_state = 2},
  [6974] = {.lex_state = 94, .external_lex_state = 2},
  [6975] = {.lex_state = 386, .external_lex_state = 2},
  [6976] = {.lex_state = 88, .external_lex_state = 2},
  [6977] = {.lex_state = 386, .external_lex_state = 2},
  [6978] = {.lex_state = 386, .external_lex_state = 2},
  [6979] = {.lex_state = 386, .external_lex_state = 2},
  [6980] = {.lex_state = 386, .external_lex_state = 2},
  [6981] = {.lex_state = 386, .external_lex_state = 2},
  [6982] = {.lex_state = 86, .external_lex_state = 2},
  [6983] = {.lex_state = 86, .external_lex_state = 2},
  [6984] = {.lex_state = 386, .external_lex_state = 2},
  [6985] = {.lex_state = 386, .external_lex_state = 2},
  [6986] = {.lex_state = 386, .external_lex_state = 2},
  [6987] = {.lex_state = 386, .external_lex_state = 2},
  [6988] = {.lex_state = 386, .external_lex_state = 2},
  [6989] = {.lex_state = 23, .external_lex_state = 2},
  [6990] = {.lex_state = 386, .external_lex_state = 2},
  [6991] = {.lex_state = 386, .external_lex_state = 2},
  [6992] = {.lex_state = 23, .external_lex_state = 2},
  [6993] = {.lex_state = 386, .external_lex_state = 2},
  [6994] = {.lex_state = 23, .external_lex_state = 2},
  [6995] = {.lex_state = 23, .external_lex_state = 2},
  [6996] = {.lex_state = 23, .external_lex_state = 2},
  [6997] = {.lex_state = 386, .external_lex_state = 2},
  [6998] = {.lex_state = 386, .external_lex_state = 2},
  [6999] = {.lex_state = 85, .external_lex_state = 2},
  [7000] = {.lex_state = 85, .external_lex_state = 2},
  [7001] = {.lex_state = 23, .external_lex_state = 2},
  [7002] = {.lex_state = 23, .external_lex_state = 2},
  [7003] = {.lex_state = 23, .external_lex_state = 2},
  [7004] = {.lex_state = 23, .external_lex_state = 2},
  [7005] = {.lex_state = 23, .external_lex_state = 2},
  [7006] = {.lex_state = 386, .external_lex_state = 2},
  [7007] = {.lex_state = 23, .external_lex_state = 2},
  [7008] = {.lex_state = 90, .external_lex_state = 2},
  [7009] = {.lex_state = 23, .external_lex_state = 2},
  [7010] = {.lex_state = 386, .external_lex_state = 2},
  [7011] = {.lex_state = 386, .external_lex_state = 2},
  [7012] = {.lex_state = 88, .external_lex_state = 2},
  [7013] = {.lex_state = 23, .external_lex_state = 2},
  [7014] = {.lex_state = 23, .external_lex_state = 2},
  [7015] = {.lex_state = 84, .external_lex_state = 2},
  [7016] = {.lex_state = 386, .external_lex_state = 2},
  [7017] = {.lex_state = 23, .external_lex_state = 2},
  [7018] = {.lex_state = 84, .external_lex_state = 2},
  [7019] = {.lex_state = 84, .external_lex_state = 2},
  [7020] = {.lex_state = 84, .external_lex_state = 2},
  [7021] = {.lex_state = 386, .external_lex_state = 2},
  [7022] = {.lex_state = 84, .external_lex_state = 2},
  [7023] = {.lex_state = 23, .external_lex_state = 2},
  [7024] = {.lex_state = 23, .external_lex_state = 2},
  [7025] = {.lex_state = 23, .external_lex_state = 2},
  [7026] = {.lex_state = 23, .external_lex_state = 2},
  [7027] = {.lex_state = 23, .external_lex_state = 2},
  [7028] = {.lex_state = 84, .external_lex_state = 2},
  [7029] = {.lex_state = 84, .external_lex_state = 2},
  [7030] = {.lex_state = 84, .external_lex_state = 2},
  [7031] = {.lex_state = 84, .external_lex_state = 2},
  [7032] = {.lex_state = 23, .external_lex_state = 2},
  [7033] = {.lex_state = 84, .external_lex_state = 2},
  [7034] = {.lex_state = 84, .external_lex_state = 2},
  [7035] = {.lex_state = 89, .external_lex_state = 2},
  [7036] = {.lex_state = 90, .external_lex_state = 2},
  [7037] = {.lex_state = 23, .external_lex_state = 2},
  [7038] = {.lex_state = 23, .external_lex_state = 2},
  [7039] = {.lex_state = 386, .external_lex_state = 2},
  [7040] = {.lex_state = 23, .external_lex_state = 2},
  [7041] = {.lex_state = 386, .external_lex_state = 2},
  [7042] = {.lex_state = 23, .external_lex_state = 2},
  [7043] = {.lex_state = 23, .external_lex_state = 2},
  [7044] = {.lex_state = 88, .external_lex_state = 2},
  [7045] = {.lex_state = 85, .external_lex_state = 2},
  [7046] = {.lex_state = 89, .external_lex_state = 2},
  [7047] = {.lex_state = 82, .external_lex_state = 2},
  [7048] = {.lex_state = 90, .external_lex_state = 2},
  [7049] = {.lex_state = 88, .external_lex_state = 2},
  [7050] = {.lex_state = 23, .external_lex_state = 2},
  [7051] = {.lex_state = 23, .external_lex_state = 2},
  [7052] = {.lex_state = 23, .external_lex_state = 2},
  [7053] = {.lex_state = 386, .external_lex_state = 2},
  [7054] = {.lex_state = 23, .external_lex_state = 2},
  [7055] = {.lex_state = 23, .external_lex_state = 2},
  [7056] = {.lex_state = 85, .external_lex_state = 2},
  [7057] = {.lex_state = 85, .external_lex_state = 2},
  [7058] = {.lex_state = 85, .external_lex_state = 2},
  [7059] = {.lex_state = 85, .external_lex_state = 2},
  [7060] = {.lex_state = 85, .external_lex_state = 2},
  [7061] = {.lex_state = 85, .external_lex_state = 2},
  [7062] = {.lex_state = 23, .external_lex_state = 2},
  [7063] = {.lex_state = 23, .external_lex_state = 2},
  [7064] = {.lex_state = 84, .external_lex_state = 2},
  [7065] = {.lex_state = 82, .external_lex_state = 2},
  [7066] = {.lex_state = 84, .external_lex_state = 2},
  [7067] = {.lex_state = 23, .external_lex_state = 2},
  [7068] = {.lex_state = 84, .external_lex_state = 2},
  [7069] = {.lex_state = 23, .external_lex_state = 2},
  [7070] = {.lex_state = 84, .external_lex_state = 2},
  [7071] = {.lex_state = 84, .external_lex_state = 2},
  [7072] = {.lex_state = 23, .external_lex_state = 2},
  [7073] = {.lex_state = 23, .external_lex_state = 2},
  [7074] = {.lex_state = 23, .external_lex_state = 2},
  [7075] = {.lex_state = 84, .external_lex_state = 2},
  [7076] = {.lex_state = 23, .external_lex_state = 2},
  [7077] = {.lex_state = 386, .external_lex_state = 2},
  [7078] = {.lex_state = 23, .external_lex_state = 2},
  [7079] = {.lex_state = 386, .external_lex_state = 2},
  [7080] = {.lex_state = 84, .external_lex_state = 2},
  [7081] = {.lex_state = 84, .external_lex_state = 2},
  [7082] = {.lex_state = 23, .external_lex_state = 2},
  [7083] = {.lex_state = 23, .external_lex_state = 2},
  [7084] = {.lex_state = 23, .external_lex_state = 2},
  [7085] = {.lex_state = 23, .external_lex_state = 2},
  [7086] = {.lex_state = 23, .external_lex_state = 2},
  [7087] = {.lex_state = 23, .external_lex_state = 2},
  [7088] = {.lex_state = 23, .external_lex_state = 2},
  [7089] = {.lex_state = 386, .external_lex_state = 2},
  [7090] = {.lex_state = 23, .external_lex_state = 2},
  [7091] = {.lex_state = 23, .external_lex_state = 2},
  [7092] = {.lex_state = 90, .external_lex_state = 2},
  [7093] = {.lex_state = 23, .external_lex_state = 2},
  [7094] = {.lex_state = 23, .external_lex_state = 2},
  [7095] = {.lex_state = 23, .external_lex_state = 2},
  [7096] = {.lex_state = 386, .external_lex_state = 2},
  [7097] = {.lex_state = 23, .external_lex_state = 2},
  [7098] = {.lex_state = 23, .external_lex_state = 2},
  [7099] = {.lex_state = 23, .external_lex_state = 2},
  [7100] = {.lex_state = 23, .external_lex_state = 2},
  [7101] = {.lex_state = 386, .external_lex_state = 2},
  [7102] = {.lex_state = 85, .external_lex_state = 2},
  [7103] = {.lex_state = 23, .external_lex_state = 2},
  [7104] = {.lex_state = 23, .external_lex_state = 2},
  [7105] = {.lex_state = 23, .external_lex_state = 2},
  [7106] = {.lex_state = 23, .external_lex_state = 2},
  [7107] = {.lex_state = 386, .external_lex_state = 2},
  [7108] = {.lex_state = 386, .external_lex_state = 2},
  [7109] = {.lex_state = 85, .external_lex_state = 2},
  [7110] = {.lex_state = 386, .external_lex_state = 2},
  [7111] = {.lex_state = 88, .external_lex_state = 2},
  [7112] = {.lex_state = 23, .external_lex_state = 2},
  [7113] = {.lex_state = 386, .external_lex_state = 2},
  [7114] = {.lex_state = 386, .external_lex_state = 2},
  [7115] = {.lex_state = 386, .external_lex_state = 2},
  [7116] = {.lex_state = 386, .external_lex_state = 2},
  [7117] = {.lex_state = 386, .external_lex_state = 2},
  [7118] = {.lex_state = 386, .external_lex_state = 2},
  [7119] = {.lex_state = 386, .external_lex_state = 2},
  [7120] = {.lex_state = 386, .external_lex_state = 2},
  [7121] = {.lex_state = 386, .external_lex_state = 2},
  [7122] = {.lex_state = 386, .external_lex_state = 2},
  [7123] = {.lex_state = 386, .external_lex_state = 2},
  [7124] = {.lex_state = 386, .external_lex_state = 2},
  [7125] = {.lex_state = 386, .external_lex_state = 2},
  [7126] = {.lex_state = 386, .external_lex_state = 2},
  [7127] = {.lex_state = 386, .external_lex_state = 2},
  [7128] = {.lex_state = 386, .external_lex_state = 2},
  [7129] = {.lex_state = 23, .external_lex_state = 2},
  [7130] = {.lex_state = 386, .external_lex_state = 2},
  [7131] = {.lex_state = 386, .external_lex_state = 2},
  [7132] = {.lex_state = 386, .external_lex_state = 2},
  [7133] = {.lex_state = 386, .external_lex_state = 2},
  [7134] = {.lex_state = 386, .external_lex_state = 2},
  [7135] = {.lex_state = 386, .external_lex_state = 2},
  [7136] = {.lex_state = 386, .external_lex_state = 2},
  [7137] = {.lex_state = 386, .external_lex_state = 2},
  [7138] = {.lex_state = 386, .external_lex_state = 2},
  [7139] = {.lex_state = 386, .external_lex_state = 2},
  [7140] = {.lex_state = 386, .external_lex_state = 2},
  [7141] = {.lex_state = 386, .external_lex_state = 2},
  [7142] = {.lex_state = 386, .external_lex_state = 2},
  [7143] = {.lex_state = 386, .external_lex_state = 2},
  [7144] = {.lex_state = 386, .external_lex_state = 2},
  [7145] = {.lex_state = 386, .external_lex_state = 2},
  [7146] = {.lex_state = 386, .external_lex_state = 2},
  [7147] = {.lex_state = 386, .external_lex_state = 2},
  [7148] = {.lex_state = 386, .external_lex_state = 2},
  [7149] = {.lex_state = 386, .external_lex_state = 2},
  [7150] = {.lex_state = 386, .external_lex_state = 2},
  [7151] = {.lex_state = 386, .external_lex_state = 2},
  [7152] = {.lex_state = 386, .external_lex_state = 2},
  [7153] = {.lex_state = 386, .external_lex_state = 2},
  [7154] = {.lex_state = 386, .external_lex_state = 2},
  [7155] = {.lex_state = 386, .external_lex_state = 2},
  [7156] = {.lex_state = 386, .external_lex_state = 2},
  [7157] = {.lex_state = 386, .external_lex_state = 2},
  [7158] = {.lex_state = 386, .external_lex_state = 2},
  [7159] = {.lex_state = 386, .external_lex_state = 2},
  [7160] = {.lex_state = 386, .external_lex_state = 2},
  [7161] = {.lex_state = 386, .external_lex_state = 2},
  [7162] = {.lex_state = 386, .external_lex_state = 2},
  [7163] = {.lex_state = 386, .external_lex_state = 2},
  [7164] = {.lex_state = 386, .external_lex_state = 2},
  [7165] = {.lex_state = 89, .external_lex_state = 2},
  [7166] = {.lex_state = 386, .external_lex_state = 2},
  [7167] = {.lex_state = 23, .external_lex_state = 2},
  [7168] = {.lex_state = 386, .external_lex_state = 2},
  [7169] = {.lex_state = 386, .external_lex_state = 2},
  [7170] = {.lex_state = 89, .external_lex_state = 2},
  [7171] = {.lex_state = 23, .external_lex_state = 2},
  [7172] = {.lex_state = 89, .external_lex_state = 2},
  [7173] = {.lex_state = 89, .external_lex_state = 2},
  [7174] = {.lex_state = 386, .external_lex_state = 2},
  [7175] = {.lex_state = 23, .external_lex_state = 2},
  [7176] = {.lex_state = 23, .external_lex_state = 2},
  [7177] = {.lex_state = 89, .external_lex_state = 2},
  [7178] = {.lex_state = 89, .external_lex_state = 2},
  [7179] = {.lex_state = 89, .external_lex_state = 2},
  [7180] = {.lex_state = 386, .external_lex_state = 2},
  [7181] = {.lex_state = 23, .external_lex_state = 2},
  [7182] = {.lex_state = 386, .external_lex_state = 2},
  [7183] = {.lex_state = 55, .external_lex_state = 2},
  [7184] = {.lex_state = 386, .external_lex_state = 2},
  [7185] = {.lex_state = 386, .external_lex_state = 2},
  [7186] = {.lex_state = 386, .external_lex_state = 2},
  [7187] = {.lex_state = 82, .external_lex_state = 2},
  [7188] = {.lex_state = 386, .external_lex_state = 2},
  [7189] = {.lex_state = 82, .external_lex_state = 2},
  [7190] = {.lex_state = 82, .external_lex_state = 2},
  [7191] = {.lex_state = 82, .external_lex_state = 2},
  [7192] = {.lex_state = 84, .external_lex_state = 2},
  [7193] = {.lex_state = 82, .external_lex_state = 2},
  [7194] = {.lex_state = 82, .external_lex_state = 2},
  [7195] = {.lex_state = 82, .external_lex_state = 2},
  [7196] = {.lex_state = 84, .external_lex_state = 2},
  [7197] = {.lex_state = 84, .external_lex_state = 2},
  [7198] = {.lex_state = 84, .external_lex_state = 2},
  [7199] = {.lex_state = 386, .external_lex_state = 2},
  [7200] = {.lex_state = 386, .external_lex_state = 2},
  [7201] = {.lex_state = 386, .external_lex_state = 2},
  [7202] = {.lex_state = 89, .external_lex_state = 2},
  [7203] = {.lex_state = 90, .external_lex_state = 2},
  [7204] = {.lex_state = 89, .external_lex_state = 2},
  [7205] = {.lex_state = 90, .external_lex_state = 2},
  [7206] = {.lex_state = 90, .external_lex_state = 2},
  [7207] = {.lex_state = 90, .external_lex_state = 2},
  [7208] = {.lex_state = 90, .external_lex_state = 2},
  [7209] = {.lex_state = 90, .external_lex_state = 2},
  [7210] = {.lex_state = 90, .external_lex_state = 2},
  [7211] = {.lex_state = 386, .external_lex_state = 2},
  [7212] = {.lex_state = 88, .external_lex_state = 2},
  [7213] = {.lex_state = 82, .external_lex_state = 2},
  [7214] = {.lex_state = 88, .external_lex_state = 2},
  [7215] = {.lex_state = 82, .external_lex_state = 2},
  [7216] = {.lex_state = 88, .external_lex_state = 2},
  [7217] = {.lex_state = 88, .external_lex_state = 2},
  [7218] = {.lex_state = 23, .external_lex_state = 2},
  [7219] = {.lex_state = 82, .external_lex_state = 2},
  [7220] = {.lex_state = 88, .external_lex_state = 2},
  [7221] = {.lex_state = 93, .external_lex_state = 2},
  [7222] = {.lex_state = 88, .external_lex_state = 2},
  [7223] = {.lex_state = 90, .external_lex_state = 2},
  [7224] = {.lex_state = 86, .external_lex_state = 2},
  [7225] = {.lex_state = 91, .external_lex_state = 2},
  [7226] = {.lex_state = 91, .external_lex_state = 2},
  [7227] = {.lex_state = 86, .external_lex_state = 2},
  [7228] = {.lex_state = 86, .external_lex_state = 2},
  [7229] = {.lex_state = 90, .external_lex_state = 2},
  [7230] = {.lex_state = 88, .external_lex_state = 2},
  [7231] = {.lex_state = 91, .external_lex_state = 2},
  [7232] = {.lex_state = 91, .external_lex_state = 2},
  [7233] = {.lex_state = 91, .external_lex_state = 2},
  [7234] = {.lex_state = 91, .external_lex_state = 2},
  [7235] = {.lex_state = 86, .external_lex_state = 2},
  [7236] = {.lex_state = 86, .external_lex_state = 2},
  [7237] = {.lex_state = 86, .external_lex_state = 2},
  [7238] = {.lex_state = 91, .external_lex_state = 2},
  [7239] = {.lex_state = 91, .external_lex_state = 2},
  [7240] = {.lex_state = 90, .external_lex_state = 2},
  [7241] = {.lex_state = 91, .external_lex_state = 2},
  [7242] = {.lex_state = 83, .external_lex_state = 2},
  [7243] = {.lex_state = 86, .external_lex_state = 2},
  [7244] = {.lex_state = 90, .external_lex_state = 2},
  [7245] = {.lex_state = 90, .external_lex_state = 2},
  [7246] = {.lex_state = 90, .external_lex_state = 2},
  [7247] = {.lex_state = 83, .external_lex_state = 2},
  [7248] = {.lex_state = 90, .external_lex_state = 2},
  [7249] = {.lex_state = 82, .external_lex_state = 2},
  [7250] = {.lex_state = 83, .external_lex_state = 2},
  [7251] = {.lex_state = 90, .external_lex_state = 2},
  [7252] = {.lex_state = 82, .external_lex_state = 2},
  [7253] = {.lex_state = 86, .external_lex_state = 2},
  [7254] = {.lex_state = 82, .external_lex_state = 2},
  [7255] = {.lex_state = 82, .external_lex_state = 2},
  [7256] = {.lex_state = 88, .external_lex_state = 2},
  [7257] = {.lex_state = 82, .external_lex_state = 2},
  [7258] = {.lex_state = 88, .external_lex_state = 2},
  [7259] = {.lex_state = 88, .external_lex_state = 2},
  [7260] = {.lex_state = 89, .external_lex_state = 2},
  [7261] = {.lex_state = 88, .external_lex_state = 2},
  [7262] = {.lex_state = 89, .external_lex_state = 2},
  [7263] = {.lex_state = 94, .external_lex_state = 2},
  [7264] = {.lex_state = 88, .external_lex_state = 2},
  [7265] = {.lex_state = 86, .external_lex_state = 2},
  [7266] = {.lex_state = 93, .external_lex_state = 2},
  [7267] = {.lex_state = 82, .external_lex_state = 2},
  [7268] = {.lex_state = 90, .external_lex_state = 2},
  [7269] = {.lex_state = 85, .external_lex_state = 2},
  [7270] = {.lex_state = 90, .external_lex_state = 2},
  [7271] = {.lex_state = 82, .external_lex_state = 2},
  [7272] = {.lex_state = 89, .external_lex_state = 2},
  [7273] = {.lex_state = 82, .external_lex_state = 2},
  [7274] = {.lex_state = 86, .external_lex_state = 2},
  [7275] = {.lex_state = 86, .external_lex_state = 2},
  [7276] = {.lex_state = 83, .external_lex_state = 2},
  [7277] = {.lex_state = 88, .external_lex_state = 2},
  [7278] = {.lex_state = 88, .external_lex_state = 2},
  [7279] = {.lex_state = 7, .external_lex_state = 3},
  [7280] = {.lex_state = 86, .external_lex_state = 2},
  [7281] = {.lex_state = 88, .external_lex_state = 2},
  [7282] = {.lex_state = 92, .external_lex_state = 2},
  [7283] = {.lex_state = 7, .external_lex_state = 3},
  [7284] = {.lex_state = 88, .external_lex_state = 2},
  [7285] = {.lex_state = 86, .external_lex_state = 2},
  [7286] = {.lex_state = 92, .external_lex_state = 2},
  [7287] = {.lex_state = 7, .external_lex_state = 3},
  [7288] = {.lex_state = 93, .external_lex_state = 2},
  [7289] = {.lex_state = 87, .external_lex_state = 2},
  [7290] = {.lex_state = 87, .external_lex_state = 2},
  [7291] = {.lex_state = 86, .external_lex_state = 2},
  [7292] = {.lex_state = 86, .external_lex_state = 2},
  [7293] = {.lex_state = 93, .external_lex_state = 2},
  [7294] = {.lex_state = 93, .external_lex_state = 2},
  [7295] = {.lex_state = 92, .external_lex_state = 2},
  [7296] = {.lex_state = 94, .external_lex_state = 2},
  [7297] = {.lex_state = 7, .external_lex_state = 3},
  [7298] = {.lex_state = 88, .external_lex_state = 2},
  [7299] = {.lex_state = 92, .external_lex_state = 2},
  [7300] = {.lex_state = 92, .external_lex_state = 2},
  [7301] = {.lex_state = 92, .external_lex_state = 2},
  [7302] = {.lex_state = 85, .external_lex_state = 2},
  [7303] = {.lex_state = 85, .external_lex_state = 2},
  [7304] = {.lex_state = 88, .external_lex_state = 2},
  [7305] = {.lex_state = 90, .external_lex_state = 2},
  [7306] = {.lex_state = 88, .external_lex_state = 2},
  [7307] = {.lex_state = 90, .external_lex_state = 2},
  [7308] = {.lex_state = 92, .external_lex_state = 2},
  [7309] = {.lex_state = 92, .external_lex_state = 2},
  [7310] = {.lex_state = 90, .external_lex_state = 2},
  [7311] = {.lex_state = 92, .external_lex_state = 2},
  [7312] = {.lex_state = 86, .external_lex_state = 2},
  [7313] = {.lex_state = 89, .external_lex_state = 2},
  [7314] = {.lex_state = 86, .external_lex_state = 2},
  [7315] = {.lex_state = 86, .external_lex_state = 2},
  [7316] = {.lex_state = 88, .external_lex_state = 2},
  [7317] = {.lex_state = 90, .external_lex_state = 2},
  [7318] = {.lex_state = 90, .external_lex_state = 2},
  [7319] = {.lex_state = 88, .external_lex_state = 2},
  [7320] = {.lex_state = 89, .external_lex_state = 2},
  [7321] = {.lex_state = 90, .external_lex_state = 2},
  [7322] = {.lex_state = 86, .external_lex_state = 2},
  [7323] = {.lex_state = 7, .external_lex_state = 3},
  [7324] = {.lex_state = 90, .external_lex_state = 2},
  [7325] = {.lex_state = 82, .external_lex_state = 2},
  [7326] = {.lex_state = 89, .external_lex_state = 2},
  [7327] = {.lex_state = 89, .external_lex_state = 2},
  [7328] = {.lex_state = 90, .external_lex_state = 2},
  [7329] = {.lex_state = 92, .external_lex_state = 2},
  [7330] = {.lex_state = 90, .external_lex_state = 2},
  [7331] = {.lex_state = 82, .external_lex_state = 2},
  [7332] = {.lex_state = 86, .external_lex_state = 2},
  [7333] = {.lex_state = 89, .external_lex_state = 2},
  [7334] = {.lex_state = 86, .external_lex_state = 2},
  [7335] = {.lex_state = 89, .external_lex_state = 2},
  [7336] = {.lex_state = 86, .external_lex_state = 2},
  [7337] = {.lex_state = 86, .external_lex_state = 2},
  [7338] = {.lex_state = 93, .external_lex_state = 2},
  [7339] = {.lex_state = 86, .external_lex_state = 2},
  [7340] = {.lex_state = 93, .external_lex_state = 2},
  [7341] = {.lex_state = 93, .external_lex_state = 2},
  [7342] = {.lex_state = 93, .external_lex_state = 2},
  [7343] = {.lex_state = 85, .external_lex_state = 2},
  [7344] = {.lex_state = 86, .external_lex_state = 2},
  [7345] = {.lex_state = 86, .external_lex_state = 2},
  [7346] = {.lex_state = 86, .external_lex_state = 2},
  [7347] = {.lex_state = 86, .external_lex_state = 2},
  [7348] = {.lex_state = 86, .external_lex_state = 2},
  [7349] = {.lex_state = 86, .external_lex_state = 2},
  [7350] = {.lex_state = 86, .external_lex_state = 2},
  [7351] = {.lex_state = 86, .external_lex_state = 2},
  [7352] = {.lex_state = 88, .external_lex_state = 2},
  [7353] = {.lex_state = 86, .external_lex_state = 2},
  [7354] = {.lex_state = 88, .external_lex_state = 2},
  [7355] = {.lex_state = 86, .external_lex_state = 2},
  [7356] = {.lex_state = 87, .external_lex_state = 2},
  [7357] = {.lex_state = 86, .external_lex_state = 2},
  [7358] = {.lex_state = 86, .external_lex_state = 2},
  [7359] = {.lex_state = 87, .external_lex_state = 2},
  [7360] = {.lex_state = 87, .external_lex_state = 2},
  [7361] = {.lex_state = 87, .external_lex_state = 2},
  [7362] = {.lex_state = 87, .external_lex_state = 2},
  [7363] = {.lex_state = 87, .external_lex_state = 2},
  [7364] = {.lex_state = 87, .external_lex_state = 2},
  [7365] = {.lex_state = 88, .external_lex_state = 2},
  [7366] = {.lex_state = 86, .external_lex_state = 2},
  [7367] = {.lex_state = 88, .external_lex_state = 2},
  [7368] = {.lex_state = 88, .external_lex_state = 2},
  [7369] = {.lex_state = 85, .external_lex_state = 2},
  [7370] = {.lex_state = 82, .external_lex_state = 2},
  [7371] = {.lex_state = 86, .external_lex_state = 2},
  [7372] = {.lex_state = 86, .external_lex_state = 2},
  [7373] = {.lex_state = 89, .external_lex_state = 2},
  [7374] = {.lex_state = 88, .external_lex_state = 2},
  [7375] = {.lex_state = 85, .external_lex_state = 2},
  [7376] = {.lex_state = 86, .external_lex_state = 2},
  [7377] = {.lex_state = 85, .external_lex_state = 2},
  [7378] = {.lex_state = 85, .external_lex_state = 2},
  [7379] = {.lex_state = 85, .external_lex_state = 2},
  [7380] = {.lex_state = 82, .external_lex_state = 2},
  [7381] = {.lex_state = 85, .external_lex_state = 2},
  [7382] = {.lex_state = 7, .external_lex_state = 3},
  [7383] = {.lex_state = 85, .external_lex_state = 2},
  [7384] = {.lex_state = 88, .external_lex_state = 2},
  [7385] = {.lex_state = 83, .external_lex_state = 2},
  [7386] = {.lex_state = 92, .external_lex_state = 2},
  [7387] = {.lex_state = 83, .external_lex_state = 2},
  [7388] = {.lex_state = 93, .external_lex_state = 2},
  [7389] = {.lex_state = 91, .external_lex_state = 2},
  [7390] = {.lex_state = 83, .external_lex_state = 2},
  [7391] = {.lex_state = 83, .external_lex_state = 2},
  [7392] = {.lex_state = 85, .external_lex_state = 2},
  [7393] = {.lex_state = 85, .external_lex_state = 2},
  [7394] = {.lex_state = 85, .external_lex_state = 2},
  [7395] = {.lex_state = 90, .external_lex_state = 2},
  [7396] = {.lex_state = 85, .external_lex_state = 2},
  [7397] = {.lex_state = 85, .external_lex_state = 2},
  [7398] = {.lex_state = 85, .external_lex_state = 2},
  [7399] = {.lex_state = 90, .external_lex_state = 2},
  [7400] = {.lex_state = 95, .external_lex_state = 2},
  [7401] = {.lex_state = 85, .external_lex_state = 2},
  [7402] = {.lex_state = 85, .external_lex_state = 2},
  [7403] = {.lex_state = 85, .external_lex_state = 2},
  [7404] = {.lex_state = 85, .external_lex_state = 2},
  [7405] = {.lex_state = 85, .external_lex_state = 2},
  [7406] = {.lex_state = 85, .external_lex_state = 2},
  [7407] = {.lex_state = 85, .external_lex_state = 2},
  [7408] = {.lex_state = 86, .external_lex_state = 2},
  [7409] = {.lex_state = 7, .external_lex_state = 3},
  [7410] = {.lex_state = 82, .external_lex_state = 2},
  [7411] = {.lex_state = 88, .external_lex_state = 2},
  [7412] = {.lex_state = 85, .external_lex_state = 2},
  [7413] = {.lex_state = 85, .external_lex_state = 2},
  [7414] = {.lex_state = 85, .external_lex_state = 2},
  [7415] = {.lex_state = 85, .external_lex_state = 2},
  [7416] = {.lex_state = 88, .external_lex_state = 2},
  [7417] = {.lex_state = 85, .external_lex_state = 2},
  [7418] = {.lex_state = 90, .external_lex_state = 2},
  [7419] = {.lex_state = 85, .external_lex_state = 2},
  [7420] = {.lex_state = 85, .external_lex_state = 2},
  [7421] = {.lex_state = 85, .external_lex_state = 2},
  [7422] = {.lex_state = 85, .external_lex_state = 2},
  [7423] = {.lex_state = 85, .external_lex_state = 2},
  [7424] = {.lex_state = 85, .external_lex_state = 2},
  [7425] = {.lex_state = 86, .external_lex_state = 2},
  [7426] = {.lex_state = 85, .external_lex_state = 2},
  [7427] = {.lex_state = 85, .external_lex_state = 2},
  [7428] = {.lex_state = 85, .external_lex_state = 2},
  [7429] = {.lex_state = 85, .external_lex_state = 2},
  [7430] = {.lex_state = 86, .external_lex_state = 2},
  [7431] = {.lex_state = 85, .external_lex_state = 2},
  [7432] = {.lex_state = 91, .external_lex_state = 2},
  [7433] = {.lex_state = 85, .external_lex_state = 2},
  [7434] = {.lex_state = 86, .external_lex_state = 2},
  [7435] = {.lex_state = 82, .external_lex_state = 2},
  [7436] = {.lex_state = 88, .external_lex_state = 2},
  [7437] = {.lex_state = 85, .external_lex_state = 2},
  [7438] = {.lex_state = 82, .external_lex_state = 2},
  [7439] = {.lex_state = 86, .external_lex_state = 2},
  [7440] = {.lex_state = 86, .external_lex_state = 2},
  [7441] = {.lex_state = 86, .external_lex_state = 2},
  [7442] = {.lex_state = 87, .external_lex_state = 2},
  [7443] = {.lex_state = 82, .external_lex_state = 2},
  [7444] = {.lex_state = 85, .external_lex_state = 2},
  [7445] = {.lex_state = 82, .external_lex_state = 2},
  [7446] = {.lex_state = 88, .external_lex_state = 2},
  [7447] = {.lex_state = 87, .external_lex_state = 2},
  [7448] = {.lex_state = 88, .external_lex_state = 2},
  [7449] = {.lex_state = 82, .external_lex_state = 2},
  [7450] = {.lex_state = 89, .external_lex_state = 2},
  [7451] = {.lex_state = 82, .external_lex_state = 2},
  [7452] = {.lex_state = 90, .external_lex_state = 2},
  [7453] = {.lex_state = 86, .external_lex_state = 2},
  [7454] = {.lex_state = 85, .external_lex_state = 2},
  [7455] = {.lex_state = 85, .external_lex_state = 2},
  [7456] = {.lex_state = 82, .external_lex_state = 2},
  [7457] = {.lex_state = 85, .external_lex_state = 2},
  [7458] = {.lex_state = 83, .external_lex_state = 2},
  [7459] = {.lex_state = 85, .external_lex_state = 2},
  [7460] = {.lex_state = 88, .external_lex_state = 2},
  [7461] = {.lex_state = 85, .external_lex_state = 2},
  [7462] = {.lex_state = 90, .external_lex_state = 2},
  [7463] = {.lex_state = 89, .external_lex_state = 2},
  [7464] = {.lex_state = 85, .external_lex_state = 2},
  [7465] = {.lex_state = 88, .external_lex_state = 2},
  [7466] = {.lex_state = 85, .external_lex_state = 2},
  [7467] = {.lex_state = 88, .external_lex_state = 2},
  [7468] = {.lex_state = 85, .external_lex_state = 2},
  [7469] = {.lex_state = 85, .external_lex_state = 2},
  [7470] = {.lex_state = 88, .external_lex_state = 2},
  [7471] = {.lex_state = 85, .external_lex_state = 2},
  [7472] = {.lex_state = 89, .external_lex_state = 2},
  [7473] = {.lex_state = 83, .external_lex_state = 2},
  [7474] = {.lex_state = 90, .external_lex_state = 2},
  [7475] = {.lex_state = 89, .external_lex_state = 2},
  [7476] = {.lex_state = 89, .external_lex_state = 2},
  [7477] = {.lex_state = 88, .external_lex_state = 2},
  [7478] = {.lex_state = 89, .external_lex_state = 2},
  [7479] = {.lex_state = 86, .external_lex_state = 2},
  [7480] = {.lex_state = 88, .external_lex_state = 2},
  [7481] = {.lex_state = 89, .external_lex_state = 2},
  [7482] = {.lex_state = 88, .external_lex_state = 2},
  [7483] = {.lex_state = 85, .external_lex_state = 2},
  [7484] = {.lex_state = 86, .external_lex_state = 2},
  [7485] = {.lex_state = 88, .external_lex_state = 2},
  [7486] = {.lex_state = 89, .external_lex_state = 2},
  [7487] = {.lex_state = 85, .external_lex_state = 2},
  [7488] = {.lex_state = 89, .external_lex_state = 2},
  [7489] = {.lex_state = 86, .external_lex_state = 2},
  [7490] = {.lex_state = 85, .external_lex_state = 2},
  [7491] = {.lex_state = 86, .external_lex_state = 2},
  [7492] = {.lex_state = 90, .external_lex_state = 2},
  [7493] = {.lex_state = 89, .external_lex_state = 2},
  [7494] = {.lex_state = 85, .external_lex_state = 2},
  [7495] = {.lex_state = 89, .external_lex_state = 2},
  [7496] = {.lex_state = 89, .external_lex_state = 2},
  [7497] = {.lex_state = 90, .external_lex_state = 2},
  [7498] = {.lex_state = 89, .external_lex_state = 2},
  [7499] = {.lex_state = 88, .external_lex_state = 2},
  [7500] = {.lex_state = 82, .external_lex_state = 2},
  [7501] = {.lex_state = 90, .external_lex_state = 2},
  [7502] = {.lex_state = 89, .external_lex_state = 2},
  [7503] = {.lex_state = 89, .external_lex_state = 2},
  [7504] = {.lex_state = 89, .external_lex_state = 2},
  [7505] = {.lex_state = 90, .external_lex_state = 2},
  [7506] = {.lex_state = 89, .external_lex_state = 2},
  [7507] = {.lex_state = 89, .external_lex_state = 2},
  [7508] = {.lex_state = 89, .external_lex_state = 2},
  [7509] = {.lex_state = 89, .external_lex_state = 2},
  [7510] = {.lex_state = 89, .external_lex_state = 2},
  [7511] = {.lex_state = 89, .external_lex_state = 2},
  [7512] = {.lex_state = 82, .external_lex_state = 2},
  [7513] = {.lex_state = 89, .external_lex_state = 2},
  [7514] = {.lex_state = 89, .external_lex_state = 2},
  [7515] = {.lex_state = 89, .external_lex_state = 2},
  [7516] = {.lex_state = 86, .external_lex_state = 2},
  [7517] = {.lex_state = 89, .external_lex_state = 2},
  [7518] = {.lex_state = 89, .external_lex_state = 2},
  [7519] = {.lex_state = 89, .external_lex_state = 2},
  [7520] = {.lex_state = 89, .external_lex_state = 2},
  [7521] = {.lex_state = 89, .external_lex_state = 2},
  [7522] = {.lex_state = 89, .external_lex_state = 2},
  [7523] = {.lex_state = 89, .external_lex_state = 2},
  [7524] = {.lex_state = 89, .external_lex_state = 2},
  [7525] = {.lex_state = 89, .external_lex_state = 2},
  [7526] = {.lex_state = 89, .external_lex_state = 2},
  [7527] = {.lex_state = 89, .external_lex_state = 2},
  [7528] = {.lex_state = 89, .external_lex_state = 2},
  [7529] = {.lex_state = 89, .external_lex_state = 2},
  [7530] = {.lex_state = 89, .external_lex_state = 2},
  [7531] = {.lex_state = 89, .external_lex_state = 2},
  [7532] = {.lex_state = 89, .external_lex_state = 2},
  [7533] = {.lex_state = 89, .external_lex_state = 2},
  [7534] = {.lex_state = 89, .external_lex_state = 2},
  [7535] = {.lex_state = 89, .external_lex_state = 2},
  [7536] = {.lex_state = 7, .external_lex_state = 3},
  [7537] = {.lex_state = 89, .external_lex_state = 2},
  [7538] = {.lex_state = 89, .external_lex_state = 2},
  [7539] = {.lex_state = 82, .external_lex_state = 2},
  [7540] = {.lex_state = 86, .external_lex_state = 2},
  [7541] = {.lex_state = 86, .external_lex_state = 2},
  [7542] = {.lex_state = 89, .external_lex_state = 2},
  [7543] = {.lex_state = 89, .external_lex_state = 2},
  [7544] = {.lex_state = 89, .external_lex_state = 2},
  [7545] = {.lex_state = 89, .external_lex_state = 2},
  [7546] = {.lex_state = 89, .external_lex_state = 2},
  [7547] = {.lex_state = 86, .external_lex_state = 2},
  [7548] = {.lex_state = 82, .external_lex_state = 2},
  [7549] = {.lex_state = 82, .external_lex_state = 2},
  [7550] = {.lex_state = 86, .external_lex_state = 2},
  [7551] = {.lex_state = 93, .external_lex_state = 2},
  [7552] = {.lex_state = 89, .external_lex_state = 2},
  [7553] = {.lex_state = 86, .external_lex_state = 2},
  [7554] = {.lex_state = 86, .external_lex_state = 2},
  [7555] = {.lex_state = 90, .external_lex_state = 2},
  [7556] = {.lex_state = 86, .external_lex_state = 2},
  [7557] = {.lex_state = 82, .external_lex_state = 2},
  [7558] = {.lex_state = 88, .external_lex_state = 2},
  [7559] = {.lex_state = 88, .external_lex_state = 2},
  [7560] = {.lex_state = 89, .external_lex_state = 2},
  [7561] = {.lex_state = 85, .external_lex_state = 2},
  [7562] = {.lex_state = 57, .external_lex_state = 2},
  [7563] = {.lex_state = 88, .external_lex_state = 2},
  [7564] = {.lex_state = 86, .external_lex_state = 2},
  [7565] = {.lex_state = 82, .external_lex_state = 2},
  [7566] = {.lex_state = 89, .external_lex_state = 2},
  [7567] = {.lex_state = 82, .external_lex_state = 2},
  [7568] = {.lex_state = 86, .external_lex_state = 2},
  [7569] = {.lex_state = 82, .external_lex_state = 2},
  [7570] = {.lex_state = 82, .external_lex_state = 2},
  [7571] = {.lex_state = 82, .external_lex_state = 2},
  [7572] = {.lex_state = 90, .external_lex_state = 2},
  [7573] = {.lex_state = 85, .external_lex_state = 2},
  [7574] = {.lex_state = 82, .external_lex_state = 2},
  [7575] = {.lex_state = 82, .external_lex_state = 2},
  [7576] = {.lex_state = 82, .external_lex_state = 2},
  [7577] = {.lex_state = 89, .external_lex_state = 2},
  [7578] = {.lex_state = 82, .external_lex_state = 2},
  [7579] = {.lex_state = 82, .external_lex_state = 2},
  [7580] = {.lex_state = 86, .external_lex_state = 2},
  [7581] = {.lex_state = 82, .external_lex_state = 2},
  [7582] = {.lex_state = 90, .external_lex_state = 2},
  [7583] = {.lex_state = 82, .external_lex_state = 2},
  [7584] = {.lex_state = 86, .external_lex_state = 2},
  [7585] = {.lex_state = 82, .external_lex_state = 2},
  [7586] = {.lex_state = 82, .external_lex_state = 2},
  [7587] = {.lex_state = 86, .external_lex_state = 2},
  [7588] = {.lex_state = 86, .external_lex_state = 2},
  [7589] = {.lex_state = 82, .external_lex_state = 2},
  [7590] = {.lex_state = 89, .external_lex_state = 2},
  [7591] = {.lex_state = 82, .external_lex_state = 2},
  [7592] = {.lex_state = 82, .external_lex_state = 2},
  [7593] = {.lex_state = 82, .external_lex_state = 2},
  [7594] = {.lex_state = 82, .external_lex_state = 2},
  [7595] = {.lex_state = 89, .external_lex_state = 2},
  [7596] = {.lex_state = 82, .external_lex_state = 2},
  [7597] = {.lex_state = 82, .external_lex_state = 2},
  [7598] = {.lex_state = 82, .external_lex_state = 2},
  [7599] = {.lex_state = 82, .external_lex_state = 2},
  [7600] = {.lex_state = 82, .external_lex_state = 2},
  [7601] = {.lex_state = 82, .external_lex_state = 2},
  [7602] = {.lex_state = 82, .external_lex_state = 2},
  [7603] = {.lex_state = 82, .external_lex_state = 2},
  [7604] = {.lex_state = 89, .external_lex_state = 2},
  [7605] = {.lex_state = 82, .external_lex_state = 2},
  [7606] = {.lex_state = 82, .external_lex_state = 2},
  [7607] = {.lex_state = 90, .external_lex_state = 2},
  [7608] = {.lex_state = 82, .external_lex_state = 2},
  [7609] = {.lex_state = 85, .external_lex_state = 2},
  [7610] = {.lex_state = 82, .external_lex_state = 2},
  [7611] = {.lex_state = 82, .external_lex_state = 2},
  [7612] = {.lex_state = 82, .external_lex_state = 2},
  [7613] = {.lex_state = 89, .external_lex_state = 2},
  [7614] = {.lex_state = 86, .external_lex_state = 2},
  [7615] = {.lex_state = 85, .external_lex_state = 2},
  [7616] = {.lex_state = 82, .external_lex_state = 2},
  [7617] = {.lex_state = 89, .external_lex_state = 2},
  [7618] = {.lex_state = 85, .external_lex_state = 2},
  [7619] = {.lex_state = 89, .external_lex_state = 2},
  [7620] = {.lex_state = 85, .external_lex_state = 2},
  [7621] = {.lex_state = 90, .external_lex_state = 2},
  [7622] = {.lex_state = 82, .external_lex_state = 2},
  [7623] = {.lex_state = 90, .external_lex_state = 2},
  [7624] = {.lex_state = 82, .external_lex_state = 2},
  [7625] = {.lex_state = 90, .external_lex_state = 2},
  [7626] = {.lex_state = 89, .external_lex_state = 2},
  [7627] = {.lex_state = 86, .external_lex_state = 2},
  [7628] = {.lex_state = 90, .external_lex_state = 2},
  [7629] = {.lex_state = 90, .external_lex_state = 2},
  [7630] = {.lex_state = 90, .external_lex_state = 2},
  [7631] = {.lex_state = 88, .external_lex_state = 2},
  [7632] = {.lex_state = 90, .external_lex_state = 2},
  [7633] = {.lex_state = 90, .external_lex_state = 2},
  [7634] = {.lex_state = 90, .external_lex_state = 2},
  [7635] = {.lex_state = 82, .external_lex_state = 2},
  [7636] = {.lex_state = 90, .external_lex_state = 2},
  [7637] = {.lex_state = 90, .external_lex_state = 2},
  [7638] = {.lex_state = 90, .external_lex_state = 2},
  [7639] = {.lex_state = 85, .external_lex_state = 2},
  [7640] = {.lex_state = 90, .external_lex_state = 2},
  [7641] = {.lex_state = 90, .external_lex_state = 2},
  [7642] = {.lex_state = 90, .external_lex_state = 2},
  [7643] = {.lex_state = 82, .external_lex_state = 2},
  [7644] = {.lex_state = 90, .external_lex_state = 2},
  [7645] = {.lex_state = 90, .external_lex_state = 2},
  [7646] = {.lex_state = 90, .external_lex_state = 2},
  [7647] = {.lex_state = 90, .external_lex_state = 2},
  [7648] = {.lex_state = 82, .external_lex_state = 2},
  [7649] = {.lex_state = 90, .external_lex_state = 2},
  [7650] = {.lex_state = 89, .external_lex_state = 2},
  [7651] = {.lex_state = 90, .external_lex_state = 2},
  [7652] = {.lex_state = 90, .external_lex_state = 2},
  [7653] = {.lex_state = 90, .external_lex_state = 2},
  [7654] = {.lex_state = 90, .external_lex_state = 2},
  [7655] = {.lex_state = 90, .external_lex_state = 2},
  [7656] = {.lex_state = 90, .external_lex_state = 2},
  [7657] = {.lex_state = 90, .external_lex_state = 2},
  [7658] = {.lex_state = 82, .external_lex_state = 2},
  [7659] = {.lex_state = 90, .external_lex_state = 2},
  [7660] = {.lex_state = 90, .external_lex_state = 2},
  [7661] = {.lex_state = 88, .external_lex_state = 2},
  [7662] = {.lex_state = 90, .external_lex_state = 2},
  [7663] = {.lex_state = 83, .external_lex_state = 2},
  [7664] = {.lex_state = 90, .external_lex_state = 2},
  [7665] = {.lex_state = 90, .external_lex_state = 2},
  [7666] = {.lex_state = 90, .external_lex_state = 2},
  [7667] = {.lex_state = 82, .external_lex_state = 2},
  [7668] = {.lex_state = 86, .external_lex_state = 2},
  [7669] = {.lex_state = 90, .external_lex_state = 2},
  [7670] = {.lex_state = 82, .external_lex_state = 2},
  [7671] = {.lex_state = 82, .external_lex_state = 2},
  [7672] = {.lex_state = 85, .external_lex_state = 2},
  [7673] = {.lex_state = 88, .external_lex_state = 2},
  [7674] = {.lex_state = 85, .external_lex_state = 2},
  [7675] = {.lex_state = 82, .external_lex_state = 2},
  [7676] = {.lex_state = 85, .external_lex_state = 2},
  [7677] = {.lex_state = 90, .external_lex_state = 2},
  [7678] = {.lex_state = 85, .external_lex_state = 2},
  [7679] = {.lex_state = 88, .external_lex_state = 2},
  [7680] = {.lex_state = 90, .external_lex_state = 2},
  [7681] = {.lex_state = 88, .external_lex_state = 2},
  [7682] = {.lex_state = 82, .external_lex_state = 2},
  [7683] = {.lex_state = 88, .external_lex_state = 2},
  [7684] = {.lex_state = 88, .external_lex_state = 2},
  [7685] = {.lex_state = 85, .external_lex_state = 2},
  [7686] = {.lex_state = 88, .external_lex_state = 2},
  [7687] = {.lex_state = 88, .external_lex_state = 2},
  [7688] = {.lex_state = 88, .external_lex_state = 2},
  [7689] = {.lex_state = 88, .external_lex_state = 2},
  [7690] = {.lex_state = 85, .external_lex_state = 2},
  [7691] = {.lex_state = 90, .external_lex_state = 2},
  [7692] = {.lex_state = 88, .external_lex_state = 2},
  [7693] = {.lex_state = 88, .external_lex_state = 2},
  [7694] = {.lex_state = 88, .external_lex_state = 2},
  [7695] = {.lex_state = 85, .external_lex_state = 2},
  [7696] = {.lex_state = 85, .external_lex_state = 2},
  [7697] = {.lex_state = 88, .external_lex_state = 2},
  [7698] = {.lex_state = 88, .external_lex_state = 2},
  [7699] = {.lex_state = 88, .external_lex_state = 2},
  [7700] = {.lex_state = 90, .external_lex_state = 2},
  [7701] = {.lex_state = 88, .external_lex_state = 2},
  [7702] = {.lex_state = 88, .external_lex_state = 2},
  [7703] = {.lex_state = 88, .external_lex_state = 2},
  [7704] = {.lex_state = 88, .external_lex_state = 2},
  [7705] = {.lex_state = 90, .external_lex_state = 2},
  [7706] = {.lex_state = 88, .external_lex_state = 2},
  [7707] = {.lex_state = 82, .external_lex_state = 2},
  [7708] = {.lex_state = 88, .external_lex_state = 2},
  [7709] = {.lex_state = 86, .external_lex_state = 2},
  [7710] = {.lex_state = 88, .external_lex_state = 2},
  [7711] = {.lex_state = 88, .external_lex_state = 2},
  [7712] = {.lex_state = 88, .external_lex_state = 2},
  [7713] = {.lex_state = 88, .external_lex_state = 2},
  [7714] = {.lex_state = 88, .external_lex_state = 2},
  [7715] = {.lex_state = 88, .external_lex_state = 2},
  [7716] = {.lex_state = 90, .external_lex_state = 2},
  [7717] = {.lex_state = 88, .external_lex_state = 2},
  [7718] = {.lex_state = 88, .external_lex_state = 2},
  [7719] = {.lex_state = 88, .external_lex_state = 2},
  [7720] = {.lex_state = 86, .external_lex_state = 2},
  [7721] = {.lex_state = 86, .external_lex_state = 2},
  [7722] = {.lex_state = 91, .external_lex_state = 2},
  [7723] = {.lex_state = 18, .external_lex_state = 2},
  [7724] = {.lex_state = 18, .external_lex_state = 2},
  [7725] = {.lex_state = 91, .external_lex_state = 2},
  [7726] = {.lex_state = 83, .external_lex_state = 2},
  [7727] = {.lex_state = 18, .external_lex_state = 2},
  [7728] = {.lex_state = 18, .external_lex_state = 2},
  [7729] = {.lex_state = 83, .external_lex_state = 2},
  [7730] = {.lex_state = 91, .external_lex_state = 2},
  [7731] = {.lex_state = 18, .external_lex_state = 2},
  [7732] = {.lex_state = 93, .external_lex_state = 2},
  [7733] = {.lex_state = 87, .external_lex_state = 2},
  [7734] = {.lex_state = 18, .external_lex_state = 2},
  [7735] = {.lex_state = 18, .external_lex_state = 2},
  [7736] = {.lex_state = 414, .external_lex_state = 3},
  [7737] = {.lex_state = 414, .external_lex_state = 3},
  [7738] = {.lex_state = 18, .external_lex_state = 2},
  [7739] = {.lex_state = 7, .external_lex_state = 3},
  [7740] = {.lex_state = 18, .external_lex_state = 2},
  [7741] = {.lex_state = 83, .external_lex_state = 2},
  [7742] = {.lex_state = 92, .external_lex_state = 2},
  [7743] = {.lex_state = 18, .external_lex_state = 2},
  [7744] = {.lex_state = 83, .external_lex_state = 2},
  [7745] = {.lex_state = 92, .external_lex_state = 2},
  [7746] = {.lex_state = 83, .external_lex_state = 2},
  [7747] = {.lex_state = 18, .external_lex_state = 2},
  [7748] = {.lex_state = 93, .external_lex_state = 2},
  [7749] = {.lex_state = 92, .external_lex_state = 2},
  [7750] = {.lex_state = 18, .external_lex_state = 2},
  [7751] = {.lex_state = 7, .external_lex_state = 3},
  [7752] = {.lex_state = 18, .external_lex_state = 2},
  [7753] = {.lex_state = 18, .external_lex_state = 2},
  [7754] = {.lex_state = 18, .external_lex_state = 2},
  [7755] = {.lex_state = 91, .external_lex_state = 2},
  [7756] = {.lex_state = 18, .external_lex_state = 2},
  [7757] = {.lex_state = 18, .external_lex_state = 2},
  [7758] = {.lex_state = 18, .external_lex_state = 2},
  [7759] = {.lex_state = 18, .external_lex_state = 2},
  [7760] = {.lex_state = 18, .external_lex_state = 2},
  [7761] = {.lex_state = 18, .external_lex_state = 2},
  [7762] = {.lex_state = 18, .external_lex_state = 2},
  [7763] = {.lex_state = 18, .external_lex_state = 2},
  [7764] = {.lex_state = 18, .external_lex_state = 2},
  [7765] = {.lex_state = 93, .external_lex_state = 2},
  [7766] = {.lex_state = 83, .external_lex_state = 2},
  [7767] = {.lex_state = 18, .external_lex_state = 2},
  [7768] = {.lex_state = 17, .external_lex_state = 2},
  [7769] = {.lex_state = 18, .external_lex_state = 2},
  [7770] = {.lex_state = 18, .external_lex_state = 2},
  [7771] = {.lex_state = 17, .external_lex_state = 2},
  [7772] = {.lex_state = 18, .external_lex_state = 2},
  [7773] = {.lex_state = 18, .external_lex_state = 2},
  [7774] = {.lex_state = 17, .external_lex_state = 2},
  [7775] = {.lex_state = 95, .external_lex_state = 2},
  [7776] = {.lex_state = 92, .external_lex_state = 2},
  [7777] = {.lex_state = 91, .external_lex_state = 2},
  [7778] = {.lex_state = 92, .external_lex_state = 2},
  [7779] = {.lex_state = 83, .external_lex_state = 2},
  [7780] = {.lex_state = 18, .external_lex_state = 2},
  [7781] = {.lex_state = 91, .external_lex_state = 2},
  [7782] = {.lex_state = 91, .external_lex_state = 2},
  [7783] = {.lex_state = 17, .external_lex_state = 2},
  [7784] = {.lex_state = 92, .external_lex_state = 2},
  [7785] = {.lex_state = 17, .external_lex_state = 2},
  [7786] = {.lex_state = 91, .external_lex_state = 2},
  [7787] = {.lex_state = 83, .external_lex_state = 2},
  [7788] = {.lex_state = 87, .external_lex_state = 2},
  [7789] = {.lex_state = 17, .external_lex_state = 2},
  [7790] = {.lex_state = 92, .external_lex_state = 2},
  [7791] = {.lex_state = 83, .external_lex_state = 2},
  [7792] = {.lex_state = 87, .external_lex_state = 2},
  [7793] = {.lex_state = 17, .external_lex_state = 2},
  [7794] = {.lex_state = 87, .external_lex_state = 2},
  [7795] = {.lex_state = 17, .external_lex_state = 2},
  [7796] = {.lex_state = 93, .external_lex_state = 2},
  [7797] = {.lex_state = 91, .external_lex_state = 2},
  [7798] = {.lex_state = 17, .external_lex_state = 2},
  [7799] = {.lex_state = 91, .external_lex_state = 2},
  [7800] = {.lex_state = 91, .external_lex_state = 2},
  [7801] = {.lex_state = 92, .external_lex_state = 2},
  [7802] = {.lex_state = 87, .external_lex_state = 2},
  [7803] = {.lex_state = 83, .external_lex_state = 2},
  [7804] = {.lex_state = 83, .external_lex_state = 2},
  [7805] = {.lex_state = 93, .external_lex_state = 2},
  [7806] = {.lex_state = 91, .external_lex_state = 2},
  [7807] = {.lex_state = 83, .external_lex_state = 2},
  [7808] = {.lex_state = 83, .external_lex_state = 2},
  [7809] = {.lex_state = 83, .external_lex_state = 2},
  [7810] = {.lex_state = 83, .external_lex_state = 2},
  [7811] = {.lex_state = 91, .external_lex_state = 2},
  [7812] = {.lex_state = 87, .external_lex_state = 2},
  [7813] = {.lex_state = 17, .external_lex_state = 2},
  [7814] = {.lex_state = 17, .external_lex_state = 2},
  [7815] = {.lex_state = 17, .external_lex_state = 2},
  [7816] = {.lex_state = 87, .external_lex_state = 2},
  [7817] = {.lex_state = 83, .external_lex_state = 2},
  [7818] = {.lex_state = 17, .external_lex_state = 2},
  [7819] = {.lex_state = 92, .external_lex_state = 2},
  [7820] = {.lex_state = 92, .external_lex_state = 2},
  [7821] = {.lex_state = 17, .external_lex_state = 2},
  [7822] = {.lex_state = 17, .external_lex_state = 2},
  [7823] = {.lex_state = 17, .external_lex_state = 2},
  [7824] = {.lex_state = 17, .external_lex_state = 2},
  [7825] = {.lex_state = 384, .external_lex_state = 2},
  [7826] = {.lex_state = 87, .external_lex_state = 2},
  [7827] = {.lex_state = 92, .external_lex_state = 2},
  [7828] = {.lex_state = 18, .external_lex_state = 2},
  [7829] = {.lex_state = 17, .external_lex_state = 2},
  [7830] = {.lex_state = 17, .external_lex_state = 2},
  [7831] = {.lex_state = 17, .external_lex_state = 2},
  [7832] = {.lex_state = 92, .external_lex_state = 2},
  [7833] = {.lex_state = 17, .external_lex_state = 2},
  [7834] = {.lex_state = 83, .external_lex_state = 2},
  [7835] = {.lex_state = 83, .external_lex_state = 2},
  [7836] = {.lex_state = 17, .external_lex_state = 2},
  [7837] = {.lex_state = 83, .external_lex_state = 2},
  [7838] = {.lex_state = 87, .external_lex_state = 2},
  [7839] = {.lex_state = 17, .external_lex_state = 2},
  [7840] = {.lex_state = 17, .external_lex_state = 2},
  [7841] = {.lex_state = 17, .external_lex_state = 2},
  [7842] = {.lex_state = 83, .external_lex_state = 2},
  [7843] = {.lex_state = 17, .external_lex_state = 2},
  [7844] = {.lex_state = 18, .external_lex_state = 2},
  [7845] = {.lex_state = 92, .external_lex_state = 2},
  [7846] = {.lex_state = 87, .external_lex_state = 2},
  [7847] = {.lex_state = 93, .external_lex_state = 2},
  [7848] = {.lex_state = 17, .external_lex_state = 2},
  [7849] = {.lex_state = 87, .external_lex_state = 2},
  [7850] = {.lex_state = 17, .external_lex_state = 2},
  [7851] = {.lex_state = 17, .external_lex_state = 2},
  [7852] = {.lex_state = 17, .external_lex_state = 2},
  [7853] = {.lex_state = 17, .external_lex_state = 2},
  [7854] = {.lex_state = 91, .external_lex_state = 2},
  [7855] = {.lex_state = 17, .external_lex_state = 2},
  [7856] = {.lex_state = 18, .external_lex_state = 2},
  [7857] = {.lex_state = 18, .external_lex_state = 2},
  [7858] = {.lex_state = 87, .external_lex_state = 2},
  [7859] = {.lex_state = 92, .external_lex_state = 2},
  [7860] = {.lex_state = 18, .external_lex_state = 2},
  [7861] = {.lex_state = 384, .external_lex_state = 2},
  [7862] = {.lex_state = 18, .external_lex_state = 2},
  [7863] = {.lex_state = 92, .external_lex_state = 2},
  [7864] = {.lex_state = 92, .external_lex_state = 2},
  [7865] = {.lex_state = 17, .external_lex_state = 2},
  [7866] = {.lex_state = 17, .external_lex_state = 2},
  [7867] = {.lex_state = 83, .external_lex_state = 2},
  [7868] = {.lex_state = 17, .external_lex_state = 2},
  [7869] = {.lex_state = 17, .external_lex_state = 2},
  [7870] = {.lex_state = 92, .external_lex_state = 2},
  [7871] = {.lex_state = 17, .external_lex_state = 2},
  [7872] = {.lex_state = 83, .external_lex_state = 2},
  [7873] = {.lex_state = 129, .external_lex_state = 3},
  [7874] = {.lex_state = 17, .external_lex_state = 2},
  [7875] = {.lex_state = 83, .external_lex_state = 2},
  [7876] = {.lex_state = 17, .external_lex_state = 2},
  [7877] = {.lex_state = 18, .external_lex_state = 2},
  [7878] = {.lex_state = 18, .external_lex_state = 2},
  [7879] = {.lex_state = 18, .external_lex_state = 2},
  [7880] = {.lex_state = 18, .external_lex_state = 2},
  [7881] = {.lex_state = 18, .external_lex_state = 2},
  [7882] = {.lex_state = 87, .external_lex_state = 2},
  [7883] = {.lex_state = 87, .external_lex_state = 2},
  [7884] = {.lex_state = 18, .external_lex_state = 2},
  [7885] = {.lex_state = 18, .external_lex_state = 2},
  [7886] = {.lex_state = 83, .external_lex_state = 2},
  [7887] = {.lex_state = 93, .external_lex_state = 2},
  [7888] = {.lex_state = 93, .external_lex_state = 2},
  [7889] = {.lex_state = 92, .external_lex_state = 2},
  [7890] = {.lex_state = 83, .external_lex_state = 2},
  [7891] = {.lex_state = 91, .external_lex_state = 2},
  [7892] = {.lex_state = 83, .external_lex_state = 2},
  [7893] = {.lex_state = 83, .external_lex_state = 2},
  [7894] = {.lex_state = 384, .external_lex_state = 2},
  [7895] = {.lex_state = 7, .external_lex_state = 3},
  [7896] = {.lex_state = 18, .external_lex_state = 2},
  [7897] = {.lex_state = 18, .external_lex_state = 2},
  [7898] = {.lex_state = 83, .external_lex_state = 2},
  [7899] = {.lex_state = 17, .external_lex_state = 2},
  [7900] = {.lex_state = 18, .external_lex_state = 2},
  [7901] = {.lex_state = 91, .external_lex_state = 2},
  [7902] = {.lex_state = 17, .external_lex_state = 2},
  [7903] = {.lex_state = 17, .external_lex_state = 2},
  [7904] = {.lex_state = 17, .external_lex_state = 2},
  [7905] = {.lex_state = 17, .external_lex_state = 2},
  [7906] = {.lex_state = 83, .external_lex_state = 2},
  [7907] = {.lex_state = 91, .external_lex_state = 2},
  [7908] = {.lex_state = 91, .external_lex_state = 2},
  [7909] = {.lex_state = 92, .external_lex_state = 2},
  [7910] = {.lex_state = 83, .external_lex_state = 2},
  [7911] = {.lex_state = 83, .external_lex_state = 2},
  [7912] = {.lex_state = 83, .external_lex_state = 2},
  [7913] = {.lex_state = 18, .external_lex_state = 2},
  [7914] = {.lex_state = 92, .external_lex_state = 2},
  [7915] = {.lex_state = 83, .external_lex_state = 2},
  [7916] = {.lex_state = 92, .external_lex_state = 2},
  [7917] = {.lex_state = 18, .external_lex_state = 2},
  [7918] = {.lex_state = 83, .external_lex_state = 2},
  [7919] = {.lex_state = 17, .external_lex_state = 2},
  [7920] = {.lex_state = 83, .external_lex_state = 2},
  [7921] = {.lex_state = 92, .external_lex_state = 2},
  [7922] = {.lex_state = 17, .external_lex_state = 2},
  [7923] = {.lex_state = 17, .external_lex_state = 2},
  [7924] = {.lex_state = 18, .external_lex_state = 2},
  [7925] = {.lex_state = 17, .external_lex_state = 2},
  [7926] = {.lex_state = 384, .external_lex_state = 2},
  [7927] = {.lex_state = 83, .external_lex_state = 2},
  [7928] = {.lex_state = 83, .external_lex_state = 2},
  [7929] = {.lex_state = 18, .external_lex_state = 2},
  [7930] = {.lex_state = 18, .external_lex_state = 2},
  [7931] = {.lex_state = 17, .external_lex_state = 2},
  [7932] = {.lex_state = 91, .external_lex_state = 2},
  [7933] = {.lex_state = 17, .external_lex_state = 2},
  [7934] = {.lex_state = 18, .external_lex_state = 2},
  [7935] = {.lex_state = 17, .external_lex_state = 2},
  [7936] = {.lex_state = 91, .external_lex_state = 2},
  [7937] = {.lex_state = 91, .external_lex_state = 2},
  [7938] = {.lex_state = 83, .external_lex_state = 2},
  [7939] = {.lex_state = 87, .external_lex_state = 2},
  [7940] = {.lex_state = 83, .external_lex_state = 2},
  [7941] = {.lex_state = 83, .external_lex_state = 2},
  [7942] = {.lex_state = 92, .external_lex_state = 2},
  [7943] = {.lex_state = 17, .external_lex_state = 2},
  [7944] = {.lex_state = 83, .external_lex_state = 2},
  [7945] = {.lex_state = 17, .external_lex_state = 2},
  [7946] = {.lex_state = 17, .external_lex_state = 2},
  [7947] = {.lex_state = 91, .external_lex_state = 2},
  [7948] = {.lex_state = 17, .external_lex_state = 2},
  [7949] = {.lex_state = 92, .external_lex_state = 2},
  [7950] = {.lex_state = 17, .external_lex_state = 2},
  [7951] = {.lex_state = 17, .external_lex_state = 2},
  [7952] = {.lex_state = 18, .external_lex_state = 2},
  [7953] = {.lex_state = 17, .external_lex_state = 2},
  [7954] = {.lex_state = 91, .external_lex_state = 2},
  [7955] = {.lex_state = 93, .external_lex_state = 2},
  [7956] = {.lex_state = 7, .external_lex_state = 3},
  [7957] = {.lex_state = 17, .external_lex_state = 2},
  [7958] = {.lex_state = 17, .external_lex_state = 2},
  [7959] = {.lex_state = 17, .external_lex_state = 2},
  [7960] = {.lex_state = 87, .external_lex_state = 2},
  [7961] = {.lex_state = 17, .external_lex_state = 2},
  [7962] = {.lex_state = 87, .external_lex_state = 2},
  [7963] = {.lex_state = 92, .external_lex_state = 2},
  [7964] = {.lex_state = 92, .external_lex_state = 2},
  [7965] = {.lex_state = 92, .external_lex_state = 2},
  [7966] = {.lex_state = 17, .external_lex_state = 2},
  [7967] = {.lex_state = 93, .external_lex_state = 2},
  [7968] = {.lex_state = 91, .external_lex_state = 2},
  [7969] = {.lex_state = 92, .external_lex_state = 2},
  [7970] = {.lex_state = 93, .external_lex_state = 2},
  [7971] = {.lex_state = 93, .external_lex_state = 2},
  [7972] = {.lex_state = 92, .external_lex_state = 2},
  [7973] = {.lex_state = 92, .external_lex_state = 2},
  [7974] = {.lex_state = 93, .external_lex_state = 2},
  [7975] = {.lex_state = 83, .external_lex_state = 2},
  [7976] = {.lex_state = 93, .external_lex_state = 2},
  [7977] = {.lex_state = 18, .external_lex_state = 2},
  [7978] = {.lex_state = 93, .external_lex_state = 2},
  [7979] = {.lex_state = 92, .external_lex_state = 2},
  [7980] = {.lex_state = 91, .external_lex_state = 2},
  [7981] = {.lex_state = 384, .external_lex_state = 2},
  [7982] = {.lex_state = 91, .external_lex_state = 2},
  [7983] = {.lex_state = 92, .external_lex_state = 2},
  [7984] = {.lex_state = 92, .external_lex_state = 2},
  [7985] = {.lex_state = 83, .external_lex_state = 2},
  [7986] = {.lex_state = 83, .external_lex_state = 2},
  [7987] = {.lex_state = 92, .external_lex_state = 2},
  [7988] = {.lex_state = 93, .external_lex_state = 2},
  [7989] = {.lex_state = 91, .external_lex_state = 2},
  [7990] = {.lex_state = 83, .external_lex_state = 2},
  [7991] = {.lex_state = 83, .external_lex_state = 2},
  [7992] = {.lex_state = 18, .external_lex_state = 2},
  [7993] = {.lex_state = 92, .external_lex_state = 2},
  [7994] = {.lex_state = 92, .external_lex_state = 2},
  [7995] = {.lex_state = 92, .external_lex_state = 2},
  [7996] = {.lex_state = 83, .external_lex_state = 2},
  [7997] = {.lex_state = 92, .external_lex_state = 2},
  [7998] = {.lex_state = 384, .external_lex_state = 2},
  [7999] = {.lex_state = 91, .external_lex_state = 2},
  [8000] = {.lex_state = 91, .external_lex_state = 2},
  [8001] = {.lex_state = 92, .external_lex_state = 2},
  [8002] = {.lex_state = 87, .external_lex_state = 2},
  [8003] = {.lex_state = 91, .external_lex_state = 2},
  [8004] = {.lex_state = 93, .external_lex_state = 2},
  [8005] = {.lex_state = 92, .external_lex_state = 2},
  [8006] = {.lex_state = 93, .external_lex_state = 2},
  [8007] = {.lex_state = 93, .external_lex_state = 2},
  [8008] = {.lex_state = 91, .external_lex_state = 2},
  [8009] = {.lex_state = 92, .external_lex_state = 2},
  [8010] = {.lex_state = 92, .external_lex_state = 2},
  [8011] = {.lex_state = 87, .external_lex_state = 2},
  [8012] = {.lex_state = 92, .external_lex_state = 2},
  [8013] = {.lex_state = 17, .external_lex_state = 2},
  [8014] = {.lex_state = 92, .external_lex_state = 2},
  [8015] = {.lex_state = 91, .external_lex_state = 2},
  [8016] = {.lex_state = 92, .external_lex_state = 2},
  [8017] = {.lex_state = 92, .external_lex_state = 2},
  [8018] = {.lex_state = 91, .external_lex_state = 2},
  [8019] = {.lex_state = 92, .external_lex_state = 2},
  [8020] = {.lex_state = 92, .external_lex_state = 2},
  [8021] = {.lex_state = 92, .external_lex_state = 2},
  [8022] = {.lex_state = 93, .external_lex_state = 2},
  [8023] = {.lex_state = 384, .external_lex_state = 2},
  [8024] = {.lex_state = 92, .external_lex_state = 2},
  [8025] = {.lex_state = 92, .external_lex_state = 2},
  [8026] = {.lex_state = 93, .external_lex_state = 2},
  [8027] = {.lex_state = 17, .external_lex_state = 2},
  [8028] = {.lex_state = 83, .external_lex_state = 2},
  [8029] = {.lex_state = 91, .external_lex_state = 2},
  [8030] = {.lex_state = 91, .external_lex_state = 2},
  [8031] = {.lex_state = 91, .external_lex_state = 2},
  [8032] = {.lex_state = 91, .external_lex_state = 2},
  [8033] = {.lex_state = 92, .external_lex_state = 2},
  [8034] = {.lex_state = 92, .external_lex_state = 2},
  [8035] = {.lex_state = 93, .external_lex_state = 2},
  [8036] = {.lex_state = 423, .external_lex_state = 2},
  [8037] = {.lex_state = 91, .external_lex_state = 2},
  [8038] = {.lex_state = 18, .external_lex_state = 2},
  [8039] = {.lex_state = 92, .external_lex_state = 2},
  [8040] = {.lex_state = 92, .external_lex_state = 2},
  [8041] = {.lex_state = 93, .external_lex_state = 2},
  [8042] = {.lex_state = 93, .external_lex_state = 2},
  [8043] = {.lex_state = 83, .external_lex_state = 2},
  [8044] = {.lex_state = 93, .external_lex_state = 2},
  [8045] = {.lex_state = 84, .external_lex_state = 2},
  [8046] = {.lex_state = 92, .external_lex_state = 2},
  [8047] = {.lex_state = 87, .external_lex_state = 2},
  [8048] = {.lex_state = 17, .external_lex_state = 2},
  [8049] = {.lex_state = 91, .external_lex_state = 2},
  [8050] = {.lex_state = 93, .external_lex_state = 2},
  [8051] = {.lex_state = 17, .external_lex_state = 2},
  [8052] = {.lex_state = 7, .external_lex_state = 3},
  [8053] = {.lex_state = 91, .external_lex_state = 2},
  [8054] = {.lex_state = 83, .external_lex_state = 2},
  [8055] = {.lex_state = 93, .external_lex_state = 2},
  [8056] = {.lex_state = 91, .external_lex_state = 2},
  [8057] = {.lex_state = 87, .external_lex_state = 2},
  [8058] = {.lex_state = 91, .external_lex_state = 2},
  [8059] = {.lex_state = 92, .external_lex_state = 2},
  [8060] = {.lex_state = 7, .external_lex_state = 3},
  [8061] = {.lex_state = 18, .external_lex_state = 2},
  [8062] = {.lex_state = 87, .external_lex_state = 2},
  [8063] = {.lex_state = 93, .external_lex_state = 2},
  [8064] = {.lex_state = 87, .external_lex_state = 2},
  [8065] = {.lex_state = 93, .external_lex_state = 2},
  [8066] = {.lex_state = 87, .external_lex_state = 2},
  [8067] = {.lex_state = 93, .external_lex_state = 2},
  [8068] = {.lex_state = 93, .external_lex_state = 2},
  [8069] = {.lex_state = 93, .external_lex_state = 2},
  [8070] = {.lex_state = 92, .external_lex_state = 2},
  [8071] = {.lex_state = 93, .external_lex_state = 2},
  [8072] = {.lex_state = 17, .external_lex_state = 2},
  [8073] = {.lex_state = 384, .external_lex_state = 2},
  [8074] = {.lex_state = 92, .external_lex_state = 2},
  [8075] = {.lex_state = 93, .external_lex_state = 2},
  [8076] = {.lex_state = 92, .external_lex_state = 2},
  [8077] = {.lex_state = 93, .external_lex_state = 2},
  [8078] = {.lex_state = 91, .external_lex_state = 2},
  [8079] = {.lex_state = 93, .external_lex_state = 2},
  [8080] = {.lex_state = 93, .external_lex_state = 2},
  [8081] = {.lex_state = 93, .external_lex_state = 2},
  [8082] = {.lex_state = 92, .external_lex_state = 2},
  [8083] = {.lex_state = 91, .external_lex_state = 2},
  [8084] = {.lex_state = 83, .external_lex_state = 2},
  [8085] = {.lex_state = 17, .external_lex_state = 2},
  [8086] = {.lex_state = 83, .external_lex_state = 2},
  [8087] = {.lex_state = 93, .external_lex_state = 2},
  [8088] = {.lex_state = 93, .external_lex_state = 2},
  [8089] = {.lex_state = 92, .external_lex_state = 2},
  [8090] = {.lex_state = 91, .external_lex_state = 2},
  [8091] = {.lex_state = 92, .external_lex_state = 2},
  [8092] = {.lex_state = 93, .external_lex_state = 2},
  [8093] = {.lex_state = 384, .external_lex_state = 2},
  [8094] = {.lex_state = 93, .external_lex_state = 2},
  [8095] = {.lex_state = 18, .external_lex_state = 2},
  [8096] = {.lex_state = 83, .external_lex_state = 2},
  [8097] = {.lex_state = 91, .external_lex_state = 2},
  [8098] = {.lex_state = 91, .external_lex_state = 2},
  [8099] = {.lex_state = 93, .external_lex_state = 2},
  [8100] = {.lex_state = 93, .external_lex_state = 2},
  [8101] = {.lex_state = 17, .external_lex_state = 2},
  [8102] = {.lex_state = 93, .external_lex_state = 2},
  [8103] = {.lex_state = 93, .external_lex_state = 2},
  [8104] = {.lex_state = 93, .external_lex_state = 2},
  [8105] = {.lex_state = 91, .external_lex_state = 2},
  [8106] = {.lex_state = 87, .external_lex_state = 2},
  [8107] = {.lex_state = 384, .external_lex_state = 2},
  [8108] = {.lex_state = 92, .external_lex_state = 2},
  [8109] = {.lex_state = 91, .external_lex_state = 2},
  [8110] = {.lex_state = 92, .external_lex_state = 2},
  [8111] = {.lex_state = 83, .external_lex_state = 2},
  [8112] = {.lex_state = 92, .external_lex_state = 2},
  [8113] = {.lex_state = 93, .external_lex_state = 2},
  [8114] = {.lex_state = 93, .external_lex_state = 2},
  [8115] = {.lex_state = 384, .external_lex_state = 2},
  [8116] = {.lex_state = 87, .external_lex_state = 2},
  [8117] = {.lex_state = 93, .external_lex_state = 2},
  [8118] = {.lex_state = 83, .external_lex_state = 2},
  [8119] = {.lex_state = 91, .external_lex_state = 2},
  [8120] = {.lex_state = 93, .external_lex_state = 2},
  [8121] = {.lex_state = 93, .external_lex_state = 2},
  [8122] = {.lex_state = 93, .external_lex_state = 2},
  [8123] = {.lex_state = 92, .external_lex_state = 2},
  [8124] = {.lex_state = 91, .external_lex_state = 2},
  [8125] = {.lex_state = 91, .external_lex_state = 2},
  [8126] = {.lex_state = 91, .external_lex_state = 2},
  [8127] = {.lex_state = 17, .external_lex_state = 2},
  [8128] = {.lex_state = 83, .external_lex_state = 2},
  [8129] = {.lex_state = 92, .external_lex_state = 2},
  [8130] = {.lex_state = 83, .external_lex_state = 2},
  [8131] = {.lex_state = 93, .external_lex_state = 2},
  [8132] = {.lex_state = 91, .external_lex_state = 2},
  [8133] = {.lex_state = 384, .external_lex_state = 2},
  [8134] = {.lex_state = 17, .external_lex_state = 2},
  [8135] = {.lex_state = 83, .external_lex_state = 2},
  [8136] = {.lex_state = 93, .external_lex_state = 2},
  [8137] = {.lex_state = 83, .external_lex_state = 2},
  [8138] = {.lex_state = 17, .external_lex_state = 2},
  [8139] = {.lex_state = 93, .external_lex_state = 2},
  [8140] = {.lex_state = 92, .external_lex_state = 2},
  [8141] = {.lex_state = 384, .external_lex_state = 2},
  [8142] = {.lex_state = 87, .external_lex_state = 2},
  [8143] = {.lex_state = 91, .external_lex_state = 2},
  [8144] = {.lex_state = 87, .external_lex_state = 2},
  [8145] = {.lex_state = 87, .external_lex_state = 2},
  [8146] = {.lex_state = 91, .external_lex_state = 2},
  [8147] = {.lex_state = 91, .external_lex_state = 2},
  [8148] = {.lex_state = 93, .external_lex_state = 2},
  [8149] = {.lex_state = 87, .external_lex_state = 2},
  [8150] = {.lex_state = 91, .external_lex_state = 2},
  [8151] = {.lex_state = 384, .external_lex_state = 2},
  [8152] = {.lex_state = 384, .external_lex_state = 2},
  [8153] = {.lex_state = 384, .external_lex_state = 2},
  [8154] = {.lex_state = 87, .external_lex_state = 2},
  [8155] = {.lex_state = 417, .external_lex_state = 2},
  [8156] = {.lex_state = 17, .external_lex_state = 2},
  [8157] = {.lex_state = 87, .external_lex_state = 2},
  [8158] = {.lex_state = 87, .external_lex_state = 2},
  [8159] = {.lex_state = 87, .external_lex_state = 2},
  [8160] = {.lex_state = 18, .external_lex_state = 2},
  [8161] = {.lex_state = 18, .external_lex_state = 2},
  [8162] = {.lex_state = 93, .external_lex_state = 2},
  [8163] = {.lex_state = 18, .external_lex_state = 2},
  [8164] = {.lex_state = 18, .external_lex_state = 2},
  [8165] = {.lex_state = 87, .external_lex_state = 2},
  [8166] = {.lex_state = 87, .external_lex_state = 2},
  [8167] = {.lex_state = 87, .external_lex_state = 2},
  [8168] = {.lex_state = 87, .external_lex_state = 2},
  [8169] = {.lex_state = 87, .external_lex_state = 2},
  [8170] = {.lex_state = 17, .external_lex_state = 2},
  [8171] = {.lex_state = 17, .external_lex_state = 2},
  [8172] = {.lex_state = 17, .external_lex_state = 2},
  [8173] = {.lex_state = 83, .external_lex_state = 2},
  [8174] = {.lex_state = 87, .external_lex_state = 2},
  [8175] = {.lex_state = 87, .external_lex_state = 2},
  [8176] = {.lex_state = 7, .external_lex_state = 3},
  [8177] = {.lex_state = 92, .external_lex_state = 2},
  [8178] = {.lex_state = 91, .external_lex_state = 2},
  [8179] = {.lex_state = 18, .external_lex_state = 2},
  [8180] = {.lex_state = 17, .external_lex_state = 2},
  [8181] = {.lex_state = 93, .external_lex_state = 2},
  [8182] = {.lex_state = 83, .external_lex_state = 2},
  [8183] = {.lex_state = 87, .external_lex_state = 2},
  [8184] = {.lex_state = 87, .external_lex_state = 2},
  [8185] = {.lex_state = 87, .external_lex_state = 2},
  [8186] = {.lex_state = 87, .external_lex_state = 2},
  [8187] = {.lex_state = 83, .external_lex_state = 2},
  [8188] = {.lex_state = 87, .external_lex_state = 2},
  [8189] = {.lex_state = 87, .external_lex_state = 2},
  [8190] = {.lex_state = 83, .external_lex_state = 2},
  [8191] = {.lex_state = 93, .external_lex_state = 2},
  [8192] = {.lex_state = 87, .external_lex_state = 2},
  [8193] = {.lex_state = 87, .external_lex_state = 2},
  [8194] = {.lex_state = 417, .external_lex_state = 2},
  [8195] = {.lex_state = 93, .external_lex_state = 2},
  [8196] = {.lex_state = 87, .external_lex_state = 2},
  [8197] = {.lex_state = 414, .external_lex_state = 3},
  [8198] = {.lex_state = 87, .external_lex_state = 2},
  [8199] = {.lex_state = 87, .external_lex_state = 2},
  [8200] = {.lex_state = 17, .external_lex_state = 2},
  [8201] = {.lex_state = 83, .external_lex_state = 2},
  [8202] = {.lex_state = 18, .external_lex_state = 2},
  [8203] = {.lex_state = 87, .external_lex_state = 2},
  [8204] = {.lex_state = 87, .external_lex_state = 2},
  [8205] = {.lex_state = 93, .external_lex_state = 2},
  [8206] = {.lex_state = 91, .external_lex_state = 2},
  [8207] = {.lex_state = 91, .external_lex_state = 2},
  [8208] = {.lex_state = 87, .external_lex_state = 2},
  [8209] = {.lex_state = 384, .external_lex_state = 2},
  [8210] = {.lex_state = 87, .external_lex_state = 2},
  [8211] = {.lex_state = 87, .external_lex_state = 2},
  [8212] = {.lex_state = 87, .external_lex_state = 2},
  [8213] = {.lex_state = 87, .external_lex_state = 2},
  [8214] = {.lex_state = 87, .external_lex_state = 2},
  [8215] = {.lex_state = 93, .external_lex_state = 2},
  [8216] = {.lex_state = 93, .external_lex_state = 2},
  [8217] = {.lex_state = 87, .external_lex_state = 2},
  [8218] = {.lex_state = 87, .external_lex_state = 2},
  [8219] = {.lex_state = 87, .external_lex_state = 2},
  [8220] = {.lex_state = 87, .external_lex_state = 2},
  [8221] = {.lex_state = 87, .external_lex_state = 2},
  [8222] = {.lex_state = 93, .external_lex_state = 2},
  [8223] = {.lex_state = 91, .external_lex_state = 2},
  [8224] = {.lex_state = 91, .external_lex_state = 2},
  [8225] = {.lex_state = 91, .external_lex_state = 2},
  [8226] = {.lex_state = 87, .external_lex_state = 2},
  [8227] = {.lex_state = 87, .external_lex_state = 2},
  [8228] = {.lex_state = 87, .external_lex_state = 2},
  [8229] = {.lex_state = 87, .external_lex_state = 2},
  [8230] = {.lex_state = 17, .external_lex_state = 2},
  [8231] = {.lex_state = 414, .external_lex_state = 3},
  [8232] = {.lex_state = 93, .external_lex_state = 2},
  [8233] = {.lex_state = 17, .external_lex_state = 2},
  [8234] = {.lex_state = 87, .external_lex_state = 2},
  [8235] = {.lex_state = 91, .external_lex_state = 2},
  [8236] = {.lex_state = 91, .external_lex_state = 2},
  [8237] = {.lex_state = 93, .external_lex_state = 2},
  [8238] = {.lex_state = 87, .external_lex_state = 2},
  [8239] = {.lex_state = 91, .external_lex_state = 2},
  [8240] = {.lex_state = 18, .external_lex_state = 2},
  [8241] = {.lex_state = 18, .external_lex_state = 2},
  [8242] = {.lex_state = 18, .external_lex_state = 2},
  [8243] = {.lex_state = 18, .external_lex_state = 2},
  [8244] = {.lex_state = 93, .external_lex_state = 2},
  [8245] = {.lex_state = 18, .external_lex_state = 2},
  [8246] = {.lex_state = 83, .external_lex_state = 2},
  [8247] = {.lex_state = 83, .external_lex_state = 2},
  [8248] = {.lex_state = 91, .external_lex_state = 2},
  [8249] = {.lex_state = 384, .external_lex_state = 2},
  [8250] = {.lex_state = 83, .external_lex_state = 2},
  [8251] = {.lex_state = 87, .external_lex_state = 2},
  [8252] = {.lex_state = 18, .external_lex_state = 2},
  [8253] = {.lex_state = 83, .external_lex_state = 2},
  [8254] = {.lex_state = 13, .external_lex_state = 2},
  [8255] = {.lex_state = 91, .external_lex_state = 2},
  [8256] = {.lex_state = 83, .external_lex_state = 2},
  [8257] = {.lex_state = 83, .external_lex_state = 2},
  [8258] = {.lex_state = 18, .external_lex_state = 2},
  [8259] = {.lex_state = 18, .external_lex_state = 2},
  [8260] = {.lex_state = 18, .external_lex_state = 2},
  [8261] = {.lex_state = 7, .external_lex_state = 3},
  [8262] = {.lex_state = 93, .external_lex_state = 2},
  [8263] = {.lex_state = 18, .external_lex_state = 2},
  [8264] = {.lex_state = 18, .external_lex_state = 2},
  [8265] = {.lex_state = 18, .external_lex_state = 2},
  [8266] = {.lex_state = 95, .external_lex_state = 2},
  [8267] = {.lex_state = 18, .external_lex_state = 2},
  [8268] = {.lex_state = 92, .external_lex_state = 2},
  [8269] = {.lex_state = 91, .external_lex_state = 2},
  [8270] = {.lex_state = 83, .external_lex_state = 2},
  [8271] = {.lex_state = 384, .external_lex_state = 2},
  [8272] = {.lex_state = 83, .external_lex_state = 2},
  [8273] = {.lex_state = 384, .external_lex_state = 2},
  [8274] = {.lex_state = 93, .external_lex_state = 2},
  [8275] = {.lex_state = 93, .external_lex_state = 2},
  [8276] = {.lex_state = 92, .external_lex_state = 2},
  [8277] = {.lex_state = 18, .external_lex_state = 2},
  [8278] = {.lex_state = 18, .external_lex_state = 2},
  [8279] = {.lex_state = 91, .external_lex_state = 2},
  [8280] = {.lex_state = 83, .external_lex_state = 2},
  [8281] = {.lex_state = 384, .external_lex_state = 2},
  [8282] = {.lex_state = 18, .external_lex_state = 2},
  [8283] = {.lex_state = 93, .external_lex_state = 2},
  [8284] = {.lex_state = 384, .external_lex_state = 2},
  [8285] = {.lex_state = 18, .external_lex_state = 2},
  [8286] = {.lex_state = 91, .external_lex_state = 2},
  [8287] = {.lex_state = 91, .external_lex_state = 2},
  [8288] = {.lex_state = 93, .external_lex_state = 2},
  [8289] = {.lex_state = 92, .external_lex_state = 2},
  [8290] = {.lex_state = 129, .external_lex_state = 3},
  [8291] = {.lex_state = 417, .external_lex_state = 2},
  [8292] = {.lex_state = 417, .external_lex_state = 2},
  [8293] = {.lex_state = 417, .external_lex_state = 2},
  [8294] = {.lex_state = 129, .external_lex_state = 3},
  [8295] = {.lex_state = 129, .external_lex_state = 3},
  [8296] = {.lex_state = 129, .external_lex_state = 3},
  [8297] = {.lex_state = 129, .external_lex_state = 3},
  [8298] = {.lex_state = 129, .external_lex_state = 3},
  [8299] = {.lex_state = 129, .external_lex_state = 3},
  [8300] = {.lex_state = 129, .external_lex_state = 3},
  [8301] = {.lex_state = 129, .external_lex_state = 3},
  [8302] = {.lex_state = 417, .external_lex_state = 2},
  [8303] = {.lex_state = 417, .external_lex_state = 2},
  [8304] = {.lex_state = 129, .external_lex_state = 3},
  [8305] = {.lex_state = 417, .external_lex_state = 2},
  [8306] = {.lex_state = 129, .external_lex_state = 3},
  [8307] = {.lex_state = 417, .external_lex_state = 2},
  [8308] = {.lex_state = 417, .external_lex_state = 2},
  [8309] = {.lex_state = 417, .external_lex_state = 2},
  [8310] = {.lex_state = 417, .external_lex_state = 2},
  [8311] = {.lex_state = 417, .external_lex_state = 2},
  [8312] = {.lex_state = 417, .external_lex_state = 2},
  [8313] = {.lex_state = 129, .external_lex_state = 3},
  [8314] = {.lex_state = 129, .external_lex_state = 3},
  [8315] = {.lex_state = 129, .external_lex_state = 3},
  [8316] = {.lex_state = 129, .external_lex_state = 3},
  [8317] = {.lex_state = 417, .external_lex_state = 2},
  [8318] = {.lex_state = 417, .external_lex_state = 2},
  [8319] = {.lex_state = 129, .external_lex_state = 3},
  [8320] = {.lex_state = 129, .external_lex_state = 3},
  [8321] = {.lex_state = 13, .external_lex_state = 2},
  [8322] = {.lex_state = 129, .external_lex_state = 3},
  [8323] = {.lex_state = 417, .external_lex_state = 2},
  [8324] = {.lex_state = 129, .external_lex_state = 3},
  [8325] = {.lex_state = 129, .external_lex_state = 3},
  [8326] = {.lex_state = 129, .external_lex_state = 3},
  [8327] = {.lex_state = 417, .external_lex_state = 2},
  [8328] = {.lex_state = 417, .external_lex_state = 2},
  [8329] = {.lex_state = 413, .external_lex_state = 3},
  [8330] = {.lex_state = 417, .external_lex_state = 2},
  [8331] = {.lex_state = 139, .external_lex_state = 2},
  [8332] = {.lex_state = 417, .external_lex_state = 2},
  [8333] = {.lex_state = 129, .external_lex_state = 3},
  [8334] = {.lex_state = 13, .external_lex_state = 2},
  [8335] = {.lex_state = 156, .external_lex_state = 2},
  [8336] = {.lex_state = 13, .external_lex_state = 2},
  [8337] = {.lex_state = 129, .external_lex_state = 3},
  [8338] = {.lex_state = 129, .external_lex_state = 3},
  [8339] = {.lex_state = 129, .external_lex_state = 3},
  [8340] = {.lex_state = 13, .external_lex_state = 2},
  [8341] = {.lex_state = 13, .external_lex_state = 2},
  [8342] = {.lex_state = 13, .external_lex_state = 2},
  [8343] = {.lex_state = 13, .external_lex_state = 2},
  [8344] = {.lex_state = 13, .external_lex_state = 2},
  [8345] = {.lex_state = 13, .external_lex_state = 2},
  [8346] = {.lex_state = 417, .external_lex_state = 2},
  [8347] = {.lex_state = 417, .external_lex_state = 2},
  [8348] = {.lex_state = 417, .external_lex_state = 2},
  [8349] = {.lex_state = 417, .external_lex_state = 2},
  [8350] = {.lex_state = 129, .external_lex_state = 3},
  [8351] = {.lex_state = 417, .external_lex_state = 2},
  [8352] = {.lex_state = 413, .external_lex_state = 3},
  [8353] = {.lex_state = 417, .external_lex_state = 2},
  [8354] = {.lex_state = 129, .external_lex_state = 3},
  [8355] = {.lex_state = 417, .external_lex_state = 2},
  [8356] = {.lex_state = 417, .external_lex_state = 2},
  [8357] = {.lex_state = 417, .external_lex_state = 2},
  [8358] = {.lex_state = 129, .external_lex_state = 3},
  [8359] = {.lex_state = 129, .external_lex_state = 3},
  [8360] = {.lex_state = 129, .external_lex_state = 3},
  [8361] = {.lex_state = 417, .external_lex_state = 2},
  [8362] = {.lex_state = 417, .external_lex_state = 2},
  [8363] = {.lex_state = 129, .external_lex_state = 3},
  [8364] = {.lex_state = 417, .external_lex_state = 2},
  [8365] = {.lex_state = 417, .external_lex_state = 2},
  [8366] = {.lex_state = 417, .external_lex_state = 2},
  [8367] = {.lex_state = 417, .external_lex_state = 2},
  [8368] = {.lex_state = 417, .external_lex_state = 2},
  [8369] = {.lex_state = 417, .external_lex_state = 2},
  [8370] = {.lex_state = 417, .external_lex_state = 2},
  [8371] = {.lex_state = 129, .external_lex_state = 3},
  [8372] = {.lex_state = 417, .external_lex_state = 2},
  [8373] = {.lex_state = 129, .external_lex_state = 3},
  [8374] = {.lex_state = 417, .external_lex_state = 2},
  [8375] = {.lex_state = 129, .external_lex_state = 3},
  [8376] = {.lex_state = 417, .external_lex_state = 2},
  [8377] = {.lex_state = 417, .external_lex_state = 2},
  [8378] = {.lex_state = 85, .external_lex_state = 2},
  [8379] = {.lex_state = 139, .external_lex_state = 2},
  [8380] = {.lex_state = 417, .external_lex_state = 2},
  [8381] = {.lex_state = 13, .external_lex_state = 2},
  [8382] = {.lex_state = 417, .external_lex_state = 2},
  [8383] = {.lex_state = 417, .external_lex_state = 2},
  [8384] = {.lex_state = 417, .external_lex_state = 2},
  [8385] = {.lex_state = 129, .external_lex_state = 3},
  [8386] = {.lex_state = 129, .external_lex_state = 3},
  [8387] = {.lex_state = 13, .external_lex_state = 2},
  [8388] = {.lex_state = 129, .external_lex_state = 3},
  [8389] = {.lex_state = 129, .external_lex_state = 3},
  [8390] = {.lex_state = 129, .external_lex_state = 3},
  [8391] = {.lex_state = 13, .external_lex_state = 2},
  [8392] = {.lex_state = 13, .external_lex_state = 2},
  [8393] = {.lex_state = 417, .external_lex_state = 2},
  [8394] = {.lex_state = 13, .external_lex_state = 2},
  [8395] = {.lex_state = 129, .external_lex_state = 3},
  [8396] = {.lex_state = 86, .external_lex_state = 2},
  [8397] = {.lex_state = 84, .external_lex_state = 2},
  [8398] = {.lex_state = 129, .external_lex_state = 3},
  [8399] = {.lex_state = 417, .external_lex_state = 2},
  [8400] = {.lex_state = 13, .external_lex_state = 2},
  [8401] = {.lex_state = 417, .external_lex_state = 2},
  [8402] = {.lex_state = 129, .external_lex_state = 3},
  [8403] = {.lex_state = 417, .external_lex_state = 2},
  [8404] = {.lex_state = 417, .external_lex_state = 2},
  [8405] = {.lex_state = 89, .external_lex_state = 2},
  [8406] = {.lex_state = 129, .external_lex_state = 3},
  [8407] = {.lex_state = 129, .external_lex_state = 3},
  [8408] = {.lex_state = 129, .external_lex_state = 3},
  [8409] = {.lex_state = 129, .external_lex_state = 3},
  [8410] = {.lex_state = 129, .external_lex_state = 3},
  [8411] = {.lex_state = 82, .external_lex_state = 2},
  [8412] = {.lex_state = 129, .external_lex_state = 3},
  [8413] = {.lex_state = 129, .external_lex_state = 3},
  [8414] = {.lex_state = 417, .external_lex_state = 2},
  [8415] = {.lex_state = 90, .external_lex_state = 2},
  [8416] = {.lex_state = 129, .external_lex_state = 3},
  [8417] = {.lex_state = 129, .external_lex_state = 3},
  [8418] = {.lex_state = 129, .external_lex_state = 3},
  [8419] = {.lex_state = 129, .external_lex_state = 3},
  [8420] = {.lex_state = 129, .external_lex_state = 3},
  [8421] = {.lex_state = 129, .external_lex_state = 3},
  [8422] = {.lex_state = 129, .external_lex_state = 3},
  [8423] = {.lex_state = 129, .external_lex_state = 3},
  [8424] = {.lex_state = 129, .external_lex_state = 3},
  [8425] = {.lex_state = 129, .external_lex_state = 3},
  [8426] = {.lex_state = 129, .external_lex_state = 3},
  [8427] = {.lex_state = 129, .external_lex_state = 3},
  [8428] = {.lex_state = 417, .external_lex_state = 2},
  [8429] = {.lex_state = 417, .external_lex_state = 2},
  [8430] = {.lex_state = 417, .external_lex_state = 2},
  [8431] = {.lex_state = 13, .external_lex_state = 2},
  [8432] = {.lex_state = 88, .external_lex_state = 2},
  [8433] = {.lex_state = 417, .external_lex_state = 2},
  [8434] = {.lex_state = 129, .external_lex_state = 3},
  [8435] = {.lex_state = 129, .external_lex_state = 3},
  [8436] = {.lex_state = 417, .external_lex_state = 2},
  [8437] = {.lex_state = 13, .external_lex_state = 2},
  [8438] = {.lex_state = 417, .external_lex_state = 2},
  [8439] = {.lex_state = 129, .external_lex_state = 3},
  [8440] = {.lex_state = 129, .external_lex_state = 3},
  [8441] = {.lex_state = 13, .external_lex_state = 2},
  [8442] = {.lex_state = 417, .external_lex_state = 2},
  [8443] = {.lex_state = 129, .external_lex_state = 3},
  [8444] = {.lex_state = 84, .external_lex_state = 2},
  [8445] = {.lex_state = 129, .external_lex_state = 3},
  [8446] = {.lex_state = 129, .external_lex_state = 3},
  [8447] = {.lex_state = 417, .external_lex_state = 2},
  [8448] = {.lex_state = 129, .external_lex_state = 3},
  [8449] = {.lex_state = 129, .external_lex_state = 3},
  [8450] = {.lex_state = 129, .external_lex_state = 3},
  [8451] = {.lex_state = 129, .external_lex_state = 3},
  [8452] = {.lex_state = 413, .external_lex_state = 3},
  [8453] = {.lex_state = 129, .external_lex_state = 3},
  [8454] = {.lex_state = 129, .external_lex_state = 3},
  [8455] = {.lex_state = 13, .external_lex_state = 2},
  [8456] = {.lex_state = 129, .external_lex_state = 3},
  [8457] = {.lex_state = 129, .external_lex_state = 3},
  [8458] = {.lex_state = 129, .external_lex_state = 3},
  [8459] = {.lex_state = 129, .external_lex_state = 3},
  [8460] = {.lex_state = 129, .external_lex_state = 3},
  [8461] = {.lex_state = 417, .external_lex_state = 2},
  [8462] = {.lex_state = 129, .external_lex_state = 3},
  [8463] = {.lex_state = 129, .external_lex_state = 3},
  [8464] = {.lex_state = 417, .external_lex_state = 2},
  [8465] = {.lex_state = 13, .external_lex_state = 2},
  [8466] = {.lex_state = 129, .external_lex_state = 3},
  [8467] = {.lex_state = 130, .external_lex_state = 3},
  [8468] = {.lex_state = 130, .external_lex_state = 3},
  [8469] = {.lex_state = 130, .external_lex_state = 3},
  [8470] = {.lex_state = 130, .external_lex_state = 3},
  [8471] = {.lex_state = 130, .external_lex_state = 3},
  [8472] = {.lex_state = 130, .external_lex_state = 3},
  [8473] = {.lex_state = 130, .external_lex_state = 3},
  [8474] = {.lex_state = 130, .external_lex_state = 3},
  [8475] = {.lex_state = 83, .external_lex_state = 2},
  [8476] = {.lex_state = 130, .external_lex_state = 3},
  [8477] = {.lex_state = 130, .external_lex_state = 3},
  [8478] = {.lex_state = 130, .external_lex_state = 3},
  [8479] = {.lex_state = 130, .external_lex_state = 3},
  [8480] = {.lex_state = 139, .external_lex_state = 2},
  [8481] = {.lex_state = 139, .external_lex_state = 2},
  [8482] = {.lex_state = 130, .external_lex_state = 3},
  [8483] = {.lex_state = 139, .external_lex_state = 2},
  [8484] = {.lex_state = 130, .external_lex_state = 3},
  [8485] = {.lex_state = 130, .external_lex_state = 3},
  [8486] = {.lex_state = 130, .external_lex_state = 3},
  [8487] = {.lex_state = 139, .external_lex_state = 2},
  [8488] = {.lex_state = 130, .external_lex_state = 3},
  [8489] = {.lex_state = 130, .external_lex_state = 3},
  [8490] = {.lex_state = 130, .external_lex_state = 3},
  [8491] = {.lex_state = 130, .external_lex_state = 3},
  [8492] = {.lex_state = 130, .external_lex_state = 3},
  [8493] = {.lex_state = 139, .external_lex_state = 2},
  [8494] = {.lex_state = 139, .external_lex_state = 2},
  [8495] = {.lex_state = 130, .external_lex_state = 3},
  [8496] = {.lex_state = 130, .external_lex_state = 3},
  [8497] = {.lex_state = 139, .external_lex_state = 2},
  [8498] = {.lex_state = 139, .external_lex_state = 2},
  [8499] = {.lex_state = 85, .external_lex_state = 2},
  [8500] = {.lex_state = 130, .external_lex_state = 3},
  [8501] = {.lex_state = 130, .external_lex_state = 3},
  [8502] = {.lex_state = 414, .external_lex_state = 3},
  [8503] = {.lex_state = 414, .external_lex_state = 3},
  [8504] = {.lex_state = 130, .external_lex_state = 3},
  [8505] = {.lex_state = 139, .external_lex_state = 2},
  [8506] = {.lex_state = 139, .external_lex_state = 2},
  [8507] = {.lex_state = 139, .external_lex_state = 2},
  [8508] = {.lex_state = 139, .external_lex_state = 2},
  [8509] = {.lex_state = 414, .external_lex_state = 3},
  [8510] = {.lex_state = 139, .external_lex_state = 2},
  [8511] = {.lex_state = 139, .external_lex_state = 2},
  [8512] = {.lex_state = 414, .external_lex_state = 3},
  [8513] = {.lex_state = 139, .external_lex_state = 2},
  [8514] = {.lex_state = 139, .external_lex_state = 2},
  [8515] = {.lex_state = 139, .external_lex_state = 2},
  [8516] = {.lex_state = 139, .external_lex_state = 2},
  [8517] = {.lex_state = 414, .external_lex_state = 3},
  [8518] = {.lex_state = 139, .external_lex_state = 2},
  [8519] = {.lex_state = 139, .external_lex_state = 2},
  [8520] = {.lex_state = 130, .external_lex_state = 3},
  [8521] = {.lex_state = 130, .external_lex_state = 3},
  [8522] = {.lex_state = 85, .external_lex_state = 2},
  [8523] = {.lex_state = 139, .external_lex_state = 2},
  [8524] = {.lex_state = 130, .external_lex_state = 3},
  [8525] = {.lex_state = 414, .external_lex_state = 3},
  [8526] = {.lex_state = 139, .external_lex_state = 2},
  [8527] = {.lex_state = 139, .external_lex_state = 2},
  [8528] = {.lex_state = 139, .external_lex_state = 2},
  [8529] = {.lex_state = 139, .external_lex_state = 2},
  [8530] = {.lex_state = 139, .external_lex_state = 2},
  [8531] = {.lex_state = 130, .external_lex_state = 3},
  [8532] = {.lex_state = 139, .external_lex_state = 2},
  [8533] = {.lex_state = 414, .external_lex_state = 3},
  [8534] = {.lex_state = 139, .external_lex_state = 2},
  [8535] = {.lex_state = 139, .external_lex_state = 2},
  [8536] = {.lex_state = 139, .external_lex_state = 2},
  [8537] = {.lex_state = 414, .external_lex_state = 3},
  [8538] = {.lex_state = 414, .external_lex_state = 3},
  [8539] = {.lex_state = 139, .external_lex_state = 2},
  [8540] = {.lex_state = 18, .external_lex_state = 2},
  [8541] = {.lex_state = 130, .external_lex_state = 3},
  [8542] = {.lex_state = 139, .external_lex_state = 2},
  [8543] = {.lex_state = 139, .external_lex_state = 2},
  [8544] = {.lex_state = 414, .external_lex_state = 3},
  [8545] = {.lex_state = 91, .external_lex_state = 2},
  [8546] = {.lex_state = 139, .external_lex_state = 2},
  [8547] = {.lex_state = 139, .external_lex_state = 2},
  [8548] = {.lex_state = 414, .external_lex_state = 3},
  [8549] = {.lex_state = 139, .external_lex_state = 2},
  [8550] = {.lex_state = 139, .external_lex_state = 2},
  [8551] = {.lex_state = 414, .external_lex_state = 3},
  [8552] = {.lex_state = 414, .external_lex_state = 3},
  [8553] = {.lex_state = 17, .external_lex_state = 2},
  [8554] = {.lex_state = 139, .external_lex_state = 2},
  [8555] = {.lex_state = 139, .external_lex_state = 2},
  [8556] = {.lex_state = 130, .external_lex_state = 3},
  [8557] = {.lex_state = 130, .external_lex_state = 3},
  [8558] = {.lex_state = 130, .external_lex_state = 3},
  [8559] = {.lex_state = 130, .external_lex_state = 3},
  [8560] = {.lex_state = 130, .external_lex_state = 3},
  [8561] = {.lex_state = 130, .external_lex_state = 3},
  [8562] = {.lex_state = 130, .external_lex_state = 3},
  [8563] = {.lex_state = 139, .external_lex_state = 2},
  [8564] = {.lex_state = 130, .external_lex_state = 3},
  [8565] = {.lex_state = 130, .external_lex_state = 3},
  [8566] = {.lex_state = 414, .external_lex_state = 3},
  [8567] = {.lex_state = 414, .external_lex_state = 3},
  [8568] = {.lex_state = 139, .external_lex_state = 2},
  [8569] = {.lex_state = 139, .external_lex_state = 2},
  [8570] = {.lex_state = 139, .external_lex_state = 2},
  [8571] = {.lex_state = 414, .external_lex_state = 3},
  [8572] = {.lex_state = 414, .external_lex_state = 3},
  [8573] = {.lex_state = 139, .external_lex_state = 2},
  [8574] = {.lex_state = 139, .external_lex_state = 2},
  [8575] = {.lex_state = 89, .external_lex_state = 2},
  [8576] = {.lex_state = 414, .external_lex_state = 3},
  [8577] = {.lex_state = 414, .external_lex_state = 3},
  [8578] = {.lex_state = 139, .external_lex_state = 2},
  [8579] = {.lex_state = 414, .external_lex_state = 3},
  [8580] = {.lex_state = 414, .external_lex_state = 3},
  [8581] = {.lex_state = 414, .external_lex_state = 3},
  [8582] = {.lex_state = 139, .external_lex_state = 2},
  [8583] = {.lex_state = 139, .external_lex_state = 2},
  [8584] = {.lex_state = 414, .external_lex_state = 3},
  [8585] = {.lex_state = 89, .external_lex_state = 2},
  [8586] = {.lex_state = 139, .external_lex_state = 2},
  [8587] = {.lex_state = 93, .external_lex_state = 2},
  [8588] = {.lex_state = 139, .external_lex_state = 2},
  [8589] = {.lex_state = 414, .external_lex_state = 3},
  [8590] = {.lex_state = 82, .external_lex_state = 2},
  [8591] = {.lex_state = 139, .external_lex_state = 2},
  [8592] = {.lex_state = 414, .external_lex_state = 3},
  [8593] = {.lex_state = 139, .external_lex_state = 2},
  [8594] = {.lex_state = 139, .external_lex_state = 2},
  [8595] = {.lex_state = 414, .external_lex_state = 3},
  [8596] = {.lex_state = 139, .external_lex_state = 2},
  [8597] = {.lex_state = 130, .external_lex_state = 3},
  [8598] = {.lex_state = 414, .external_lex_state = 3},
  [8599] = {.lex_state = 130, .external_lex_state = 3},
  [8600] = {.lex_state = 414, .external_lex_state = 3},
  [8601] = {.lex_state = 82, .external_lex_state = 2},
  [8602] = {.lex_state = 90, .external_lex_state = 2},
  [8603] = {.lex_state = 414, .external_lex_state = 3},
  [8604] = {.lex_state = 414, .external_lex_state = 3},
  [8605] = {.lex_state = 414, .external_lex_state = 3},
  [8606] = {.lex_state = 139, .external_lex_state = 2},
  [8607] = {.lex_state = 414, .external_lex_state = 3},
  [8608] = {.lex_state = 414, .external_lex_state = 3},
  [8609] = {.lex_state = 414, .external_lex_state = 3},
  [8610] = {.lex_state = 414, .external_lex_state = 3},
  [8611] = {.lex_state = 414, .external_lex_state = 3},
  [8612] = {.lex_state = 414, .external_lex_state = 3},
  [8613] = {.lex_state = 90, .external_lex_state = 2},
  [8614] = {.lex_state = 414, .external_lex_state = 3},
  [8615] = {.lex_state = 414, .external_lex_state = 3},
  [8616] = {.lex_state = 414, .external_lex_state = 3},
  [8617] = {.lex_state = 414, .external_lex_state = 3},
  [8618] = {.lex_state = 414, .external_lex_state = 3},
  [8619] = {.lex_state = 414, .external_lex_state = 3},
  [8620] = {.lex_state = 414, .external_lex_state = 3},
  [8621] = {.lex_state = 414, .external_lex_state = 3},
  [8622] = {.lex_state = 414, .external_lex_state = 3},
  [8623] = {.lex_state = 414, .external_lex_state = 3},
  [8624] = {.lex_state = 414, .external_lex_state = 3},
  [8625] = {.lex_state = 414, .external_lex_state = 3},
  [8626] = {.lex_state = 88, .external_lex_state = 2},
  [8627] = {.lex_state = 414, .external_lex_state = 3},
  [8628] = {.lex_state = 414, .external_lex_state = 3},
  [8629] = {.lex_state = 414, .external_lex_state = 3},
  [8630] = {.lex_state = 414, .external_lex_state = 3},
  [8631] = {.lex_state = 414, .external_lex_state = 3},
  [8632] = {.lex_state = 414, .external_lex_state = 3},
  [8633] = {.lex_state = 414, .external_lex_state = 3},
  [8634] = {.lex_state = 414, .external_lex_state = 3},
  [8635] = {.lex_state = 139, .external_lex_state = 2},
  [8636] = {.lex_state = 414, .external_lex_state = 3},
  [8637] = {.lex_state = 414, .external_lex_state = 3},
  [8638] = {.lex_state = 414, .external_lex_state = 3},
  [8639] = {.lex_state = 414, .external_lex_state = 3},
  [8640] = {.lex_state = 414, .external_lex_state = 3},
  [8641] = {.lex_state = 414, .external_lex_state = 3},
  [8642] = {.lex_state = 414, .external_lex_state = 3},
  [8643] = {.lex_state = 414, .external_lex_state = 3},
  [8644] = {.lex_state = 414, .external_lex_state = 3},
  [8645] = {.lex_state = 414, .external_lex_state = 3},
  [8646] = {.lex_state = 414, .external_lex_state = 3},
  [8647] = {.lex_state = 414, .external_lex_state = 3},
  [8648] = {.lex_state = 414, .external_lex_state = 3},
  [8649] = {.lex_state = 88, .external_lex_state = 2},
  [8650] = {.lex_state = 130, .external_lex_state = 3},
  [8651] = {.lex_state = 130, .external_lex_state = 3},
  [8652] = {.lex_state = 414, .external_lex_state = 3},
  [8653] = {.lex_state = 130, .external_lex_state = 3},
  [8654] = {.lex_state = 414, .external_lex_state = 3},
  [8655] = {.lex_state = 414, .external_lex_state = 3},
  [8656] = {.lex_state = 130, .external_lex_state = 3},
  [8657] = {.lex_state = 130, .external_lex_state = 3},
  [8658] = {.lex_state = 139, .external_lex_state = 2},
  [8659] = {.lex_state = 414, .external_lex_state = 3},
  [8660] = {.lex_state = 130, .external_lex_state = 3},
  [8661] = {.lex_state = 130, .external_lex_state = 3},
  [8662] = {.lex_state = 130, .external_lex_state = 3},
  [8663] = {.lex_state = 130, .external_lex_state = 3},
  [8664] = {.lex_state = 414, .external_lex_state = 3},
  [8665] = {.lex_state = 130, .external_lex_state = 3},
  [8666] = {.lex_state = 130, .external_lex_state = 3},
  [8667] = {.lex_state = 130, .external_lex_state = 3},
  [8668] = {.lex_state = 414, .external_lex_state = 3},
  [8669] = {.lex_state = 130, .external_lex_state = 3},
  [8670] = {.lex_state = 130, .external_lex_state = 3},
  [8671] = {.lex_state = 130, .external_lex_state = 3},
  [8672] = {.lex_state = 130, .external_lex_state = 3},
  [8673] = {.lex_state = 130, .external_lex_state = 3},
  [8674] = {.lex_state = 130, .external_lex_state = 3},
  [8675] = {.lex_state = 130, .external_lex_state = 3},
  [8676] = {.lex_state = 414, .external_lex_state = 3},
  [8677] = {.lex_state = 414, .external_lex_state = 3},
  [8678] = {.lex_state = 87, .external_lex_state = 2},
  [8679] = {.lex_state = 130, .external_lex_state = 3},
  [8680] = {.lex_state = 86, .external_lex_state = 2},
  [8681] = {.lex_state = 414, .external_lex_state = 3},
  [8682] = {.lex_state = 130, .external_lex_state = 3},
  [8683] = {.lex_state = 130, .external_lex_state = 3},
  [8684] = {.lex_state = 130, .external_lex_state = 3},
  [8685] = {.lex_state = 130, .external_lex_state = 3},
  [8686] = {.lex_state = 130, .external_lex_state = 3},
  [8687] = {.lex_state = 130, .external_lex_state = 3},
  [8688] = {.lex_state = 414, .external_lex_state = 3},
  [8689] = {.lex_state = 414, .external_lex_state = 3},
  [8690] = {.lex_state = 414, .external_lex_state = 3},
  [8691] = {.lex_state = 414, .external_lex_state = 3},
  [8692] = {.lex_state = 130, .external_lex_state = 3},
  [8693] = {.lex_state = 86, .external_lex_state = 2},
  [8694] = {.lex_state = 130, .external_lex_state = 3},
  [8695] = {.lex_state = 130, .external_lex_state = 3},
  [8696] = {.lex_state = 130, .external_lex_state = 3},
  [8697] = {.lex_state = 130, .external_lex_state = 3},
  [8698] = {.lex_state = 92, .external_lex_state = 2},
  [8699] = {.lex_state = 139, .external_lex_state = 2},
  [8700] = {.lex_state = 130, .external_lex_state = 3},
  [8701] = {.lex_state = 130, .external_lex_state = 3},
  [8702] = {.lex_state = 130, .external_lex_state = 3},
  [8703] = {.lex_state = 139, .external_lex_state = 2},
  [8704] = {.lex_state = 139, .external_lex_state = 2},
  [8705] = {.lex_state = 130, .external_lex_state = 3},
  [8706] = {.lex_state = 139, .external_lex_state = 2},
  [8707] = {.lex_state = 130, .external_lex_state = 3},
  [8708] = {.lex_state = 130, .external_lex_state = 3},
  [8709] = {.lex_state = 130, .external_lex_state = 3},
  [8710] = {.lex_state = 130, .external_lex_state = 3},
  [8711] = {.lex_state = 130, .external_lex_state = 3},
  [8712] = {.lex_state = 130, .external_lex_state = 3},
  [8713] = {.lex_state = 414, .external_lex_state = 3},
  [8714] = {.lex_state = 7, .external_lex_state = 3},
  [8715] = {.lex_state = 414, .external_lex_state = 3},
  [8716] = {.lex_state = 414, .external_lex_state = 3},
  [8717] = {.lex_state = 91, .external_lex_state = 2},
  [8718] = {.lex_state = 414, .external_lex_state = 3},
  [8719] = {.lex_state = 157, .external_lex_state = 2},
  [8720] = {.lex_state = 18, .external_lex_state = 2},
  [8721] = {.lex_state = 7, .external_lex_state = 3},
  [8722] = {.lex_state = 7, .external_lex_state = 3},
  [8723] = {.lex_state = 83, .external_lex_state = 2},
  [8724] = {.lex_state = 414, .external_lex_state = 3},
  [8725] = {.lex_state = 92, .external_lex_state = 2},
  [8726] = {.lex_state = 18, .external_lex_state = 2},
  [8727] = {.lex_state = 138, .external_lex_state = 2},
  [8728] = {.lex_state = 414, .external_lex_state = 3},
  [8729] = {.lex_state = 414, .external_lex_state = 3},
  [8730] = {.lex_state = 7, .external_lex_state = 3},
  [8731] = {.lex_state = 414, .external_lex_state = 3},
  [8732] = {.lex_state = 7, .external_lex_state = 3},
  [8733] = {.lex_state = 414, .external_lex_state = 3},
  [8734] = {.lex_state = 414, .external_lex_state = 3},
  [8735] = {.lex_state = 414, .external_lex_state = 3},
  [8736] = {.lex_state = 414, .external_lex_state = 3},
  [8737] = {.lex_state = 414, .external_lex_state = 3},
  [8738] = {.lex_state = 414, .external_lex_state = 3},
  [8739] = {.lex_state = 414, .external_lex_state = 3},
  [8740] = {.lex_state = 414, .external_lex_state = 3},
  [8741] = {.lex_state = 18, .external_lex_state = 2},
  [8742] = {.lex_state = 414, .external_lex_state = 3},
  [8743] = {.lex_state = 414, .external_lex_state = 3},
  [8744] = {.lex_state = 92, .external_lex_state = 2},
  [8745] = {.lex_state = 414, .external_lex_state = 3},
  [8746] = {.lex_state = 414, .external_lex_state = 3},
  [8747] = {.lex_state = 414, .external_lex_state = 3},
  [8748] = {.lex_state = 414, .external_lex_state = 3},
  [8749] = {.lex_state = 414, .external_lex_state = 3},
  [8750] = {.lex_state = 414, .external_lex_state = 3},
  [8751] = {.lex_state = 7, .external_lex_state = 3},
  [8752] = {.lex_state = 414, .external_lex_state = 3},
  [8753] = {.lex_state = 7, .external_lex_state = 3},
  [8754] = {.lex_state = 17, .external_lex_state = 2},
  [8755] = {.lex_state = 7, .external_lex_state = 3},
  [8756] = {.lex_state = 414, .external_lex_state = 3},
  [8757] = {.lex_state = 7, .external_lex_state = 3},
  [8758] = {.lex_state = 17, .external_lex_state = 2},
  [8759] = {.lex_state = 414, .external_lex_state = 3},
  [8760] = {.lex_state = 138, .external_lex_state = 2},
  [8761] = {.lex_state = 414, .external_lex_state = 3},
  [8762] = {.lex_state = 414, .external_lex_state = 3},
  [8763] = {.lex_state = 414, .external_lex_state = 3},
  [8764] = {.lex_state = 414, .external_lex_state = 3},
  [8765] = {.lex_state = 7, .external_lex_state = 3},
  [8766] = {.lex_state = 414, .external_lex_state = 3},
  [8767] = {.lex_state = 414, .external_lex_state = 3},
  [8768] = {.lex_state = 414, .external_lex_state = 3},
  [8769] = {.lex_state = 414, .external_lex_state = 3},
  [8770] = {.lex_state = 414, .external_lex_state = 3},
  [8771] = {.lex_state = 414, .external_lex_state = 3},
  [8772] = {.lex_state = 414, .external_lex_state = 3},
  [8773] = {.lex_state = 414, .external_lex_state = 3},
  [8774] = {.lex_state = 414, .external_lex_state = 3},
  [8775] = {.lex_state = 7, .external_lex_state = 3},
  [8776] = {.lex_state = 414, .external_lex_state = 3},
  [8777] = {.lex_state = 414, .external_lex_state = 3},
  [8778] = {.lex_state = 414, .external_lex_state = 3},
  [8779] = {.lex_state = 93, .external_lex_state = 2},
  [8780] = {.lex_state = 7, .external_lex_state = 3},
  [8781] = {.lex_state = 414, .external_lex_state = 3},
  [8782] = {.lex_state = 414, .external_lex_state = 3},
  [8783] = {.lex_state = 18, .external_lex_state = 2},
  [8784] = {.lex_state = 17, .external_lex_state = 2},
  [8785] = {.lex_state = 155, .external_lex_state = 2},
  [8786] = {.lex_state = 17, .external_lex_state = 2},
  [8787] = {.lex_state = 414, .external_lex_state = 3},
  [8788] = {.lex_state = 414, .external_lex_state = 3},
  [8789] = {.lex_state = 7, .external_lex_state = 3},
  [8790] = {.lex_state = 414, .external_lex_state = 3},
  [8791] = {.lex_state = 414, .external_lex_state = 3},
  [8792] = {.lex_state = 414, .external_lex_state = 3},
  [8793] = {.lex_state = 7, .external_lex_state = 3},
  [8794] = {.lex_state = 414, .external_lex_state = 3},
  [8795] = {.lex_state = 414, .external_lex_state = 3},
  [8796] = {.lex_state = 140, .external_lex_state = 2},
  [8797] = {.lex_state = 414, .external_lex_state = 3},
  [8798] = {.lex_state = 414, .external_lex_state = 3},
  [8799] = {.lex_state = 414, .external_lex_state = 3},
  [8800] = {.lex_state = 414, .external_lex_state = 3},
  [8801] = {.lex_state = 414, .external_lex_state = 3},
  [8802] = {.lex_state = 414, .external_lex_state = 3},
  [8803] = {.lex_state = 17, .external_lex_state = 2},
  [8804] = {.lex_state = 7, .external_lex_state = 3},
  [8805] = {.lex_state = 7, .external_lex_state = 3},
  [8806] = {.lex_state = 414, .external_lex_state = 3},
  [8807] = {.lex_state = 414, .external_lex_state = 3},
  [8808] = {.lex_state = 414, .external_lex_state = 3},
  [8809] = {.lex_state = 414, .external_lex_state = 3},
  [8810] = {.lex_state = 83, .external_lex_state = 2},
  [8811] = {.lex_state = 414, .external_lex_state = 3},
  [8812] = {.lex_state = 140, .external_lex_state = 2},
  [8813] = {.lex_state = 87, .external_lex_state = 2},
  [8814] = {.lex_state = 7, .external_lex_state = 3},
  [8815] = {.lex_state = 17, .external_lex_state = 2},
  [8816] = {.lex_state = 414, .external_lex_state = 3},
  [8817] = {.lex_state = 414, .external_lex_state = 3},
  [8818] = {.lex_state = 7, .external_lex_state = 3},
  [8819] = {.lex_state = 414, .external_lex_state = 3},
  [8820] = {.lex_state = 414, .external_lex_state = 3},
  [8821] = {.lex_state = 414, .external_lex_state = 3},
  [8822] = {.lex_state = 414, .external_lex_state = 3},
  [8823] = {.lex_state = 7, .external_lex_state = 3},
  [8824] = {.lex_state = 7, .external_lex_state = 3},
  [8825] = {.lex_state = 17, .external_lex_state = 2},
  [8826] = {.lex_state = 7, .external_lex_state = 3},
  [8827] = {.lex_state = 7, .external_lex_state = 3},
  [8828] = {.lex_state = 414, .external_lex_state = 3},
  [8829] = {.lex_state = 414, .external_lex_state = 3},
  [8830] = {.lex_state = 7, .external_lex_state = 3},
  [8831] = {.lex_state = 18, .external_lex_state = 2},
  [8832] = {.lex_state = 7, .external_lex_state = 3},
  [8833] = {.lex_state = 7, .external_lex_state = 3},
  [8834] = {.lex_state = 414, .external_lex_state = 3},
  [8835] = {.lex_state = 416, .external_lex_state = 2},
  [8836] = {.lex_state = 414, .external_lex_state = 3},
  [8837] = {.lex_state = 87, .external_lex_state = 2},
  [8838] = {.lex_state = 18, .external_lex_state = 2},
  [8839] = {.lex_state = 414, .external_lex_state = 3},
  [8840] = {.lex_state = 414, .external_lex_state = 3},
  [8841] = {.lex_state = 414, .external_lex_state = 3},
  [8842] = {.lex_state = 18, .external_lex_state = 2},
  [8843] = {.lex_state = 414, .external_lex_state = 3},
  [8844] = {.lex_state = 7, .external_lex_state = 3},
  [8845] = {.lex_state = 414, .external_lex_state = 3},
  [8846] = {.lex_state = 414, .external_lex_state = 3},
  [8847] = {.lex_state = 91, .external_lex_state = 2},
  [8848] = {.lex_state = 93, .external_lex_state = 2},
  [8849] = {.lex_state = 140, .external_lex_state = 2},
  [8850] = {.lex_state = 140, .external_lex_state = 2},
  [8851] = {.lex_state = 7, .external_lex_state = 3},
  [8852] = {.lex_state = 7, .external_lex_state = 3},
  [8853] = {.lex_state = 19, .external_lex_state = 2},
  [8854] = {.lex_state = 140, .external_lex_state = 2},
  [8855] = {.lex_state = 19, .external_lex_state = 2},
  [8856] = {.lex_state = 138, .external_lex_state = 2},
  [8857] = {.lex_state = 138, .external_lex_state = 2},
  [8858] = {.lex_state = 138, .external_lex_state = 2},
  [8859] = {.lex_state = 415, .external_lex_state = 2},
  [8860] = {.lex_state = 138, .external_lex_state = 2},
  [8861] = {.lex_state = 7, .external_lex_state = 3},
  [8862] = {.lex_state = 7, .external_lex_state = 3},
  [8863] = {.lex_state = 7, .external_lex_state = 3},
  [8864] = {.lex_state = 7, .external_lex_state = 3},
  [8865] = {.lex_state = 19, .external_lex_state = 2},
  [8866] = {.lex_state = 138, .external_lex_state = 2},
  [8867] = {.lex_state = 138, .external_lex_state = 2},
  [8868] = {.lex_state = 7, .external_lex_state = 3},
  [8869] = {.lex_state = 7, .external_lex_state = 3},
  [8870] = {.lex_state = 7, .external_lex_state = 3},
  [8871] = {.lex_state = 138, .external_lex_state = 2},
  [8872] = {.lex_state = 19, .external_lex_state = 2},
  [8873] = {.lex_state = 19, .external_lex_state = 2},
  [8874] = {.lex_state = 140, .external_lex_state = 2},
  [8875] = {.lex_state = 19, .external_lex_state = 2},
  [8876] = {.lex_state = 140, .external_lex_state = 2},
  [8877] = {.lex_state = 138, .external_lex_state = 2},
  [8878] = {.lex_state = 7, .external_lex_state = 3},
  [8879] = {.lex_state = 7, .external_lex_state = 3},
  [8880] = {.lex_state = 19, .external_lex_state = 2},
  [8881] = {.lex_state = 19, .external_lex_state = 2},
  [8882] = {.lex_state = 19, .external_lex_state = 2},
  [8883] = {.lex_state = 138, .external_lex_state = 2},
  [8884] = {.lex_state = 138, .external_lex_state = 2},
  [8885] = {.lex_state = 129, .external_lex_state = 3},
  [8886] = {.lex_state = 178, .external_lex_state = 3},
  [8887] = {.lex_state = 7, .external_lex_state = 3},
  [8888] = {.lex_state = 7, .external_lex_state = 3},
  [8889] = {.lex_state = 138, .external_lex_state = 2},
  [8890] = {.lex_state = 7, .external_lex_state = 3},
  [8891] = {.lex_state = 138, .external_lex_state = 2},
  [8892] = {.lex_state = 7, .external_lex_state = 3},
  [8893] = {.lex_state = 7, .external_lex_state = 3},
  [8894] = {.lex_state = 138, .external_lex_state = 2},
  [8895] = {.lex_state = 138, .external_lex_state = 2},
  [8896] = {.lex_state = 138, .external_lex_state = 2},
  [8897] = {.lex_state = 7, .external_lex_state = 3},
  [8898] = {.lex_state = 178, .external_lex_state = 3},
  [8899] = {.lex_state = 7, .external_lex_state = 3},
  [8900] = {.lex_state = 7, .external_lex_state = 3},
  [8901] = {.lex_state = 129, .external_lex_state = 3},
  [8902] = {.lex_state = 178, .external_lex_state = 3},
  [8903] = {.lex_state = 19, .external_lex_state = 2},
  [8904] = {.lex_state = 19, .external_lex_state = 2},
  [8905] = {.lex_state = 140, .external_lex_state = 2},
  [8906] = {.lex_state = 413, .external_lex_state = 3},
  [8907] = {.lex_state = 7, .external_lex_state = 3},
  [8908] = {.lex_state = 7, .external_lex_state = 3},
  [8909] = {.lex_state = 138, .external_lex_state = 2},
  [8910] = {.lex_state = 19, .external_lex_state = 2},
  [8911] = {.lex_state = 19, .external_lex_state = 2},
  [8912] = {.lex_state = 19, .external_lex_state = 2},
  [8913] = {.lex_state = 7, .external_lex_state = 3},
  [8914] = {.lex_state = 7, .external_lex_state = 3},
  [8915] = {.lex_state = 19, .external_lex_state = 2},
  [8916] = {.lex_state = 7, .external_lex_state = 3},
  [8917] = {.lex_state = 19, .external_lex_state = 2},
  [8918] = {.lex_state = 140, .external_lex_state = 2},
  [8919] = {.lex_state = 19, .external_lex_state = 2},
  [8920] = {.lex_state = 413, .external_lex_state = 3},
  [8921] = {.lex_state = 413, .external_lex_state = 3},
  [8922] = {.lex_state = 7, .external_lex_state = 3},
  [8923] = {.lex_state = 7, .external_lex_state = 3},
  [8924] = {.lex_state = 413, .external_lex_state = 3},
  [8925] = {.lex_state = 19, .external_lex_state = 2},
  [8926] = {.lex_state = 19, .external_lex_state = 2},
  [8927] = {.lex_state = 19, .external_lex_state = 2},
  [8928] = {.lex_state = 19, .external_lex_state = 2},
  [8929] = {.lex_state = 178, .external_lex_state = 3},
  [8930] = {.lex_state = 7, .external_lex_state = 3},
  [8931] = {.lex_state = 7, .external_lex_state = 3},
  [8932] = {.lex_state = 19, .external_lex_state = 2},
  [8933] = {.lex_state = 7, .external_lex_state = 3},
  [8934] = {.lex_state = 7, .external_lex_state = 3},
  [8935] = {.lex_state = 140, .external_lex_state = 2},
  [8936] = {.lex_state = 7, .external_lex_state = 3},
  [8937] = {.lex_state = 140, .external_lex_state = 2},
  [8938] = {.lex_state = 178, .external_lex_state = 3},
  [8939] = {.lex_state = 7, .external_lex_state = 3},
  [8940] = {.lex_state = 7, .external_lex_state = 3},
  [8941] = {.lex_state = 138, .external_lex_state = 2},
  [8942] = {.lex_state = 7, .external_lex_state = 3},
  [8943] = {.lex_state = 7, .external_lex_state = 3},
  [8944] = {.lex_state = 7, .external_lex_state = 3},
  [8945] = {.lex_state = 138, .external_lex_state = 2},
  [8946] = {.lex_state = 138, .external_lex_state = 2},
  [8947] = {.lex_state = 7, .external_lex_state = 3},
  [8948] = {.lex_state = 138, .external_lex_state = 2},
  [8949] = {.lex_state = 7, .external_lex_state = 3},
  [8950] = {.lex_state = 7, .external_lex_state = 3},
  [8951] = {.lex_state = 19, .external_lex_state = 2},
  [8952] = {.lex_state = 19, .external_lex_state = 2},
  [8953] = {.lex_state = 140, .external_lex_state = 2},
  [8954] = {.lex_state = 7, .external_lex_state = 3},
  [8955] = {.lex_state = 7, .external_lex_state = 3},
  [8956] = {.lex_state = 19, .external_lex_state = 2},
  [8957] = {.lex_state = 413, .external_lex_state = 3},
  [8958] = {.lex_state = 19, .external_lex_state = 2},
  [8959] = {.lex_state = 19, .external_lex_state = 2},
  [8960] = {.lex_state = 140, .external_lex_state = 2},
  [8961] = {.lex_state = 129, .external_lex_state = 3},
  [8962] = {.lex_state = 19, .external_lex_state = 2},
  [8963] = {.lex_state = 138, .external_lex_state = 2},
  [8964] = {.lex_state = 140, .external_lex_state = 2},
  [8965] = {.lex_state = 171, .external_lex_state = 3},
  [8966] = {.lex_state = 19, .external_lex_state = 2},
  [8967] = {.lex_state = 19, .external_lex_state = 2},
  [8968] = {.lex_state = 138, .external_lex_state = 2},
  [8969] = {.lex_state = 138, .external_lex_state = 2},
  [8970] = {.lex_state = 413, .external_lex_state = 3},
  [8971] = {.lex_state = 178, .external_lex_state = 3},
  [8972] = {.lex_state = 138, .external_lex_state = 2},
  [8973] = {.lex_state = 171, .external_lex_state = 3},
  [8974] = {.lex_state = 140, .external_lex_state = 2},
  [8975] = {.lex_state = 19, .external_lex_state = 2},
  [8976] = {.lex_state = 140, .external_lex_state = 2},
  [8977] = {.lex_state = 138, .external_lex_state = 2},
  [8978] = {.lex_state = 138, .external_lex_state = 2},
  [8979] = {.lex_state = 19, .external_lex_state = 2},
  [8980] = {.lex_state = 19, .external_lex_state = 2},
  [8981] = {.lex_state = 19, .external_lex_state = 2},
  [8982] = {.lex_state = 140, .external_lex_state = 2},
  [8983] = {.lex_state = 138, .external_lex_state = 2},
  [8984] = {.lex_state = 19, .external_lex_state = 2},
  [8985] = {.lex_state = 138, .external_lex_state = 2},
  [8986] = {.lex_state = 413, .external_lex_state = 3},
  [8987] = {.lex_state = 129, .external_lex_state = 3},
  [8988] = {.lex_state = 138, .external_lex_state = 2},
  [8989] = {.lex_state = 7, .external_lex_state = 3},
  [8990] = {.lex_state = 178, .external_lex_state = 3},
  [8991] = {.lex_state = 7, .external_lex_state = 3},
  [8992] = {.lex_state = 19, .external_lex_state = 2},
  [8993] = {.lex_state = 140, .external_lex_state = 2},
  [8994] = {.lex_state = 19, .external_lex_state = 2},
  [8995] = {.lex_state = 19, .external_lex_state = 2},
  [8996] = {.lex_state = 138, .external_lex_state = 2},
  [8997] = {.lex_state = 19, .external_lex_state = 2},
  [8998] = {.lex_state = 19, .external_lex_state = 2},
  [8999] = {.lex_state = 19, .external_lex_state = 2},
  [9000] = {.lex_state = 19, .external_lex_state = 2},
  [9001] = {.lex_state = 19, .external_lex_state = 2},
  [9002] = {.lex_state = 140, .external_lex_state = 2},
  [9003] = {.lex_state = 19, .external_lex_state = 2},
  [9004] = {.lex_state = 413, .external_lex_state = 3},
  [9005] = {.lex_state = 19, .external_lex_state = 2},
  [9006] = {.lex_state = 129, .external_lex_state = 3},
  [9007] = {.lex_state = 19, .external_lex_state = 2},
  [9008] = {.lex_state = 19, .external_lex_state = 2},
  [9009] = {.lex_state = 19, .external_lex_state = 2},
  [9010] = {.lex_state = 129, .external_lex_state = 3},
  [9011] = {.lex_state = 138, .external_lex_state = 2},
  [9012] = {.lex_state = 140, .external_lex_state = 2},
  [9013] = {.lex_state = 7, .external_lex_state = 3},
  [9014] = {.lex_state = 19, .external_lex_state = 2},
  [9015] = {.lex_state = 19, .external_lex_state = 2},
  [9016] = {.lex_state = 178, .external_lex_state = 3},
  [9017] = {.lex_state = 129, .external_lex_state = 3},
  [9018] = {.lex_state = 129, .external_lex_state = 3},
  [9019] = {.lex_state = 129, .external_lex_state = 3},
  [9020] = {.lex_state = 19, .external_lex_state = 2},
  [9021] = {.lex_state = 140, .external_lex_state = 2},
  [9022] = {.lex_state = 140, .external_lex_state = 2},
  [9023] = {.lex_state = 413, .external_lex_state = 3},
  [9024] = {.lex_state = 425, .external_lex_state = 3},
  [9025] = {.lex_state = 413, .external_lex_state = 3},
  [9026] = {.lex_state = 19, .external_lex_state = 2},
  [9027] = {.lex_state = 19, .external_lex_state = 2},
  [9028] = {.lex_state = 171, .external_lex_state = 3},
  [9029] = {.lex_state = 140, .external_lex_state = 2},
  [9030] = {.lex_state = 19, .external_lex_state = 2},
  [9031] = {.lex_state = 35, .external_lex_state = 2},
  [9032] = {.lex_state = 7, .external_lex_state = 3},
  [9033] = {.lex_state = 140, .external_lex_state = 2},
  [9034] = {.lex_state = 140, .external_lex_state = 2},
  [9035] = {.lex_state = 138, .external_lex_state = 2},
  [9036] = {.lex_state = 413, .external_lex_state = 3},
  [9037] = {.lex_state = 413, .external_lex_state = 3},
  [9038] = {.lex_state = 171, .external_lex_state = 3},
  [9039] = {.lex_state = 413, .external_lex_state = 3},
  [9040] = {.lex_state = 19, .external_lex_state = 2},
  [9041] = {.lex_state = 35, .external_lex_state = 2},
  [9042] = {.lex_state = 178, .external_lex_state = 3},
  [9043] = {.lex_state = 138, .external_lex_state = 2},
  [9044] = {.lex_state = 129, .external_lex_state = 3},
  [9045] = {.lex_state = 19, .external_lex_state = 2},
  [9046] = {.lex_state = 19, .external_lex_state = 2},
  [9047] = {.lex_state = 7, .external_lex_state = 3},
  [9048] = {.lex_state = 178, .external_lex_state = 3},
  [9049] = {.lex_state = 7, .external_lex_state = 3},
  [9050] = {.lex_state = 140, .external_lex_state = 2},
  [9051] = {.lex_state = 140, .external_lex_state = 2},
  [9052] = {.lex_state = 413, .external_lex_state = 3},
  [9053] = {.lex_state = 140, .external_lex_state = 2},
  [9054] = {.lex_state = 413, .external_lex_state = 3},
  [9055] = {.lex_state = 19, .external_lex_state = 2},
  [9056] = {.lex_state = 19, .external_lex_state = 2},
  [9057] = {.lex_state = 178, .external_lex_state = 3},
  [9058] = {.lex_state = 19, .external_lex_state = 2},
  [9059] = {.lex_state = 7, .external_lex_state = 3},
  [9060] = {.lex_state = 178, .external_lex_state = 3},
  [9061] = {.lex_state = 19, .external_lex_state = 2},
  [9062] = {.lex_state = 140, .external_lex_state = 2},
  [9063] = {.lex_state = 140, .external_lex_state = 2},
  [9064] = {.lex_state = 178, .external_lex_state = 3},
  [9065] = {.lex_state = 138, .external_lex_state = 2},
  [9066] = {.lex_state = 7, .external_lex_state = 3},
  [9067] = {.lex_state = 178, .external_lex_state = 3},
  [9068] = {.lex_state = 138, .external_lex_state = 2},
  [9069] = {.lex_state = 19, .external_lex_state = 2},
  [9070] = {.lex_state = 140, .external_lex_state = 2},
  [9071] = {.lex_state = 19, .external_lex_state = 2},
  [9072] = {.lex_state = 138, .external_lex_state = 2},
  [9073] = {.lex_state = 7, .external_lex_state = 3},
  [9074] = {.lex_state = 140, .external_lex_state = 2},
  [9075] = {.lex_state = 140, .external_lex_state = 2},
  [9076] = {.lex_state = 138, .external_lex_state = 2},
  [9077] = {.lex_state = 19, .external_lex_state = 2},
  [9078] = {.lex_state = 7, .external_lex_state = 3},
  [9079] = {.lex_state = 7, .external_lex_state = 3},
  [9080] = {.lex_state = 19, .external_lex_state = 2},
  [9081] = {.lex_state = 129, .external_lex_state = 3},
  [9082] = {.lex_state = 7, .external_lex_state = 3},
  [9083] = {.lex_state = 178, .external_lex_state = 3},
  [9084] = {.lex_state = 138, .external_lex_state = 2},
  [9085] = {.lex_state = 140, .external_lex_state = 2},
  [9086] = {.lex_state = 19, .external_lex_state = 2},
  [9087] = {.lex_state = 19, .external_lex_state = 2},
  [9088] = {.lex_state = 7, .external_lex_state = 3},
  [9089] = {.lex_state = 7, .external_lex_state = 3},
  [9090] = {.lex_state = 19, .external_lex_state = 2},
  [9091] = {.lex_state = 7, .external_lex_state = 3},
  [9092] = {.lex_state = 19, .external_lex_state = 2},
  [9093] = {.lex_state = 140, .external_lex_state = 2},
  [9094] = {.lex_state = 171, .external_lex_state = 3},
  [9095] = {.lex_state = 140, .external_lex_state = 2},
  [9096] = {.lex_state = 129, .external_lex_state = 3},
  [9097] = {.lex_state = 7, .external_lex_state = 3},
  [9098] = {.lex_state = 140, .external_lex_state = 2},
  [9099] = {.lex_state = 140, .external_lex_state = 2},
  [9100] = {.lex_state = 140, .external_lex_state = 2},
  [9101] = {.lex_state = 140, .external_lex_state = 2},
  [9102] = {.lex_state = 413, .external_lex_state = 3},
  [9103] = {.lex_state = 140, .external_lex_state = 2},
  [9104] = {.lex_state = 19, .external_lex_state = 2},
  [9105] = {.lex_state = 129, .external_lex_state = 3},
  [9106] = {.lex_state = 19, .external_lex_state = 2},
  [9107] = {.lex_state = 138, .external_lex_state = 2},
  [9108] = {.lex_state = 19, .external_lex_state = 2},
  [9109] = {.lex_state = 138, .external_lex_state = 2},
  [9110] = {.lex_state = 7, .external_lex_state = 3},
  [9111] = {.lex_state = 140, .external_lex_state = 2},
  [9112] = {.lex_state = 7, .external_lex_state = 3},
  [9113] = {.lex_state = 138, .external_lex_state = 2},
  [9114] = {.lex_state = 138, .external_lex_state = 2},
  [9115] = {.lex_state = 7, .external_lex_state = 3},
  [9116] = {.lex_state = 178, .external_lex_state = 3},
  [9117] = {.lex_state = 140, .external_lex_state = 2},
  [9118] = {.lex_state = 140, .external_lex_state = 2},
  [9119] = {.lex_state = 140, .external_lex_state = 2},
  [9120] = {.lex_state = 140, .external_lex_state = 2},
  [9121] = {.lex_state = 413, .external_lex_state = 3},
  [9122] = {.lex_state = 140, .external_lex_state = 2},
  [9123] = {.lex_state = 138, .external_lex_state = 2},
  [9124] = {.lex_state = 138, .external_lex_state = 2},
  [9125] = {.lex_state = 19, .external_lex_state = 2},
  [9126] = {.lex_state = 19, .external_lex_state = 2},
  [9127] = {.lex_state = 129, .external_lex_state = 3},
  [9128] = {.lex_state = 138, .external_lex_state = 2},
  [9129] = {.lex_state = 138, .external_lex_state = 2},
  [9130] = {.lex_state = 129, .external_lex_state = 3},
  [9131] = {.lex_state = 129, .external_lex_state = 3},
  [9132] = {.lex_state = 140, .external_lex_state = 2},
  [9133] = {.lex_state = 140, .external_lex_state = 2},
  [9134] = {.lex_state = 7, .external_lex_state = 3},
  [9135] = {.lex_state = 138, .external_lex_state = 2},
  [9136] = {.lex_state = 140, .external_lex_state = 2},
  [9137] = {.lex_state = 140, .external_lex_state = 2},
  [9138] = {.lex_state = 7, .external_lex_state = 3},
  [9139] = {.lex_state = 138, .external_lex_state = 2},
  [9140] = {.lex_state = 129, .external_lex_state = 3},
  [9141] = {.lex_state = 138, .external_lex_state = 2},
  [9142] = {.lex_state = 129, .external_lex_state = 3},
  [9143] = {.lex_state = 19, .external_lex_state = 2},
  [9144] = {.lex_state = 140, .external_lex_state = 2},
  [9145] = {.lex_state = 140, .external_lex_state = 2},
  [9146] = {.lex_state = 138, .external_lex_state = 2},
  [9147] = {.lex_state = 138, .external_lex_state = 2},
  [9148] = {.lex_state = 129, .external_lex_state = 3},
  [9149] = {.lex_state = 138, .external_lex_state = 2},
  [9150] = {.lex_state = 138, .external_lex_state = 2},
  [9151] = {.lex_state = 413, .external_lex_state = 3},
  [9152] = {.lex_state = 171, .external_lex_state = 3},
  [9153] = {.lex_state = 138, .external_lex_state = 2},
  [9154] = {.lex_state = 138, .external_lex_state = 2},
  [9155] = {.lex_state = 138, .external_lex_state = 2},
  [9156] = {.lex_state = 140, .external_lex_state = 2},
  [9157] = {.lex_state = 140, .external_lex_state = 2},
  [9158] = {.lex_state = 19, .external_lex_state = 2},
  [9159] = {.lex_state = 7, .external_lex_state = 3},
  [9160] = {.lex_state = 129, .external_lex_state = 3},
  [9161] = {.lex_state = 138, .external_lex_state = 2},
  [9162] = {.lex_state = 138, .external_lex_state = 2},
  [9163] = {.lex_state = 138, .external_lex_state = 2},
  [9164] = {.lex_state = 140, .external_lex_state = 2},
  [9165] = {.lex_state = 19, .external_lex_state = 2},
  [9166] = {.lex_state = 413, .external_lex_state = 3},
  [9167] = {.lex_state = 140, .external_lex_state = 2},
  [9168] = {.lex_state = 413, .external_lex_state = 3},
  [9169] = {.lex_state = 413, .external_lex_state = 3},
  [9170] = {.lex_state = 7, .external_lex_state = 3},
  [9171] = {.lex_state = 19, .external_lex_state = 2},
  [9172] = {.lex_state = 140, .external_lex_state = 2},
  [9173] = {.lex_state = 19, .external_lex_state = 2},
  [9174] = {.lex_state = 140, .external_lex_state = 2},
  [9175] = {.lex_state = 35, .external_lex_state = 2},
  [9176] = {.lex_state = 178, .external_lex_state = 3},
  [9177] = {.lex_state = 413, .external_lex_state = 3},
  [9178] = {.lex_state = 140, .external_lex_state = 2},
  [9179] = {.lex_state = 413, .external_lex_state = 3},
  [9180] = {.lex_state = 413, .external_lex_state = 3},
  [9181] = {.lex_state = 129, .external_lex_state = 3},
  [9182] = {.lex_state = 7, .external_lex_state = 3},
  [9183] = {.lex_state = 138, .external_lex_state = 2},
  [9184] = {.lex_state = 178, .external_lex_state = 3},
  [9185] = {.lex_state = 7, .external_lex_state = 3},
  [9186] = {.lex_state = 129, .external_lex_state = 3},
  [9187] = {.lex_state = 19, .external_lex_state = 2},
  [9188] = {.lex_state = 178, .external_lex_state = 3},
  [9189] = {.lex_state = 413, .external_lex_state = 3},
  [9190] = {.lex_state = 140, .external_lex_state = 2},
  [9191] = {.lex_state = 19, .external_lex_state = 2},
  [9192] = {.lex_state = 140, .external_lex_state = 2},
  [9193] = {.lex_state = 7, .external_lex_state = 3},
  [9194] = {.lex_state = 178, .external_lex_state = 3},
  [9195] = {.lex_state = 7, .external_lex_state = 3},
  [9196] = {.lex_state = 413, .external_lex_state = 3},
  [9197] = {.lex_state = 138, .external_lex_state = 2},
  [9198] = {.lex_state = 140, .external_lex_state = 2},
  [9199] = {.lex_state = 413, .external_lex_state = 3},
  [9200] = {.lex_state = 7, .external_lex_state = 3},
  [9201] = {.lex_state = 7, .external_lex_state = 3},
  [9202] = {.lex_state = 7, .external_lex_state = 3},
  [9203] = {.lex_state = 130, .external_lex_state = 3},
  [9204] = {.lex_state = 413, .external_lex_state = 3},
  [9205] = {.lex_state = 413, .external_lex_state = 3},
  [9206] = {.lex_state = 130, .external_lex_state = 3},
  [9207] = {.lex_state = 7, .external_lex_state = 3},
  [9208] = {.lex_state = 7, .external_lex_state = 3},
  [9209] = {.lex_state = 7, .external_lex_state = 3},
  [9210] = {.lex_state = 413, .external_lex_state = 3},
  [9211] = {.lex_state = 413, .external_lex_state = 3},
  [9212] = {.lex_state = 413, .external_lex_state = 3},
  [9213] = {.lex_state = 130, .external_lex_state = 3},
  [9214] = {.lex_state = 7, .external_lex_state = 3},
  [9215] = {.lex_state = 7, .external_lex_state = 3},
  [9216] = {.lex_state = 7, .external_lex_state = 3},
  [9217] = {.lex_state = 413, .external_lex_state = 3},
  [9218] = {.lex_state = 413, .external_lex_state = 3},
  [9219] = {.lex_state = 413, .external_lex_state = 3},
  [9220] = {.lex_state = 130, .external_lex_state = 3},
  [9221] = {.lex_state = 16, .external_lex_state = 2},
  [9222] = {.lex_state = 7, .external_lex_state = 3},
  [9223] = {.lex_state = 7, .external_lex_state = 3},
  [9224] = {.lex_state = 413, .external_lex_state = 3},
  [9225] = {.lex_state = 7, .external_lex_state = 3},
  [9226] = {.lex_state = 413, .external_lex_state = 3},
  [9227] = {.lex_state = 413, .external_lex_state = 3},
  [9228] = {.lex_state = 413, .external_lex_state = 3},
  [9229] = {.lex_state = 413, .external_lex_state = 3},
  [9230] = {.lex_state = 413, .external_lex_state = 3},
  [9231] = {.lex_state = 413, .external_lex_state = 3},
  [9232] = {.lex_state = 413, .external_lex_state = 3},
  [9233] = {.lex_state = 413, .external_lex_state = 3},
  [9234] = {.lex_state = 413, .external_lex_state = 3},
  [9235] = {.lex_state = 413, .external_lex_state = 3},
  [9236] = {.lex_state = 413, .external_lex_state = 3},
  [9237] = {.lex_state = 413, .external_lex_state = 3},
  [9238] = {.lex_state = 413, .external_lex_state = 3},
  [9239] = {.lex_state = 130, .external_lex_state = 3},
  [9240] = {.lex_state = 413, .external_lex_state = 3},
  [9241] = {.lex_state = 7, .external_lex_state = 3},
  [9242] = {.lex_state = 7, .external_lex_state = 3},
  [9243] = {.lex_state = 7, .external_lex_state = 3},
  [9244] = {.lex_state = 7, .external_lex_state = 3},
  [9245] = {.lex_state = 7, .external_lex_state = 3},
  [9246] = {.lex_state = 7, .external_lex_state = 3},
  [9247] = {.lex_state = 7, .external_lex_state = 3},
  [9248] = {.lex_state = 7, .external_lex_state = 3},
  [9249] = {.lex_state = 130, .external_lex_state = 3},
  [9250] = {.lex_state = 7, .external_lex_state = 3},
  [9251] = {.lex_state = 413, .external_lex_state = 3},
  [9252] = {.lex_state = 413, .external_lex_state = 3},
  [9253] = {.lex_state = 413, .external_lex_state = 3},
  [9254] = {.lex_state = 413, .external_lex_state = 3},
  [9255] = {.lex_state = 413, .external_lex_state = 3},
  [9256] = {.lex_state = 413, .external_lex_state = 3},
  [9257] = {.lex_state = 413, .external_lex_state = 3},
  [9258] = {.lex_state = 413, .external_lex_state = 3},
  [9259] = {.lex_state = 413, .external_lex_state = 3},
  [9260] = {.lex_state = 413, .external_lex_state = 3},
  [9261] = {.lex_state = 413, .external_lex_state = 3},
  [9262] = {.lex_state = 413, .external_lex_state = 3},
  [9263] = {.lex_state = 413, .external_lex_state = 3},
  [9264] = {.lex_state = 7, .external_lex_state = 3},
  [9265] = {.lex_state = 7, .external_lex_state = 3},
  [9266] = {.lex_state = 7, .external_lex_state = 3},
  [9267] = {.lex_state = 413, .external_lex_state = 3},
  [9268] = {.lex_state = 413, .external_lex_state = 3},
  [9269] = {.lex_state = 413, .external_lex_state = 3},
  [9270] = {.lex_state = 413, .external_lex_state = 3},
  [9271] = {.lex_state = 413, .external_lex_state = 3},
  [9272] = {.lex_state = 413, .external_lex_state = 3},
  [9273] = {.lex_state = 413, .external_lex_state = 3},
  [9274] = {.lex_state = 413, .external_lex_state = 3},
  [9275] = {.lex_state = 413, .external_lex_state = 3},
  [9276] = {.lex_state = 413, .external_lex_state = 3},
  [9277] = {.lex_state = 413, .external_lex_state = 3},
  [9278] = {.lex_state = 413, .external_lex_state = 3},
  [9279] = {.lex_state = 413, .external_lex_state = 3},
  [9280] = {.lex_state = 413, .external_lex_state = 3},
  [9281] = {.lex_state = 413, .external_lex_state = 3},
  [9282] = {.lex_state = 413, .external_lex_state = 3},
  [9283] = {.lex_state = 413, .external_lex_state = 3},
  [9284] = {.lex_state = 413, .external_lex_state = 3},
  [9285] = {.lex_state = 7, .external_lex_state = 3},
  [9286] = {.lex_state = 7, .external_lex_state = 3},
  [9287] = {.lex_state = 7, .external_lex_state = 3},
  [9288] = {.lex_state = 16, .external_lex_state = 2},
  [9289] = {.lex_state = 16, .external_lex_state = 2},
  [9290] = {.lex_state = 7, .external_lex_state = 3},
  [9291] = {.lex_state = 7, .external_lex_state = 3},
  [9292] = {.lex_state = 7, .external_lex_state = 3},
  [9293] = {.lex_state = 130, .external_lex_state = 3},
  [9294] = {.lex_state = 130, .external_lex_state = 3},
  [9295] = {.lex_state = 7, .external_lex_state = 3},
  [9296] = {.lex_state = 7, .external_lex_state = 3},
  [9297] = {.lex_state = 7, .external_lex_state = 3},
  [9298] = {.lex_state = 413, .external_lex_state = 3},
  [9299] = {.lex_state = 413, .external_lex_state = 3},
  [9300] = {.lex_state = 413, .external_lex_state = 3},
  [9301] = {.lex_state = 413, .external_lex_state = 3},
  [9302] = {.lex_state = 130, .external_lex_state = 3},
  [9303] = {.lex_state = 413, .external_lex_state = 3},
  [9304] = {.lex_state = 7, .external_lex_state = 3},
  [9305] = {.lex_state = 7, .external_lex_state = 3},
  [9306] = {.lex_state = 7, .external_lex_state = 3},
  [9307] = {.lex_state = 413, .external_lex_state = 3},
  [9308] = {.lex_state = 413, .external_lex_state = 3},
  [9309] = {.lex_state = 413, .external_lex_state = 3},
  [9310] = {.lex_state = 16, .external_lex_state = 2},
  [9311] = {.lex_state = 413, .external_lex_state = 3},
  [9312] = {.lex_state = 130, .external_lex_state = 3},
  [9313] = {.lex_state = 413, .external_lex_state = 3},
  [9314] = {.lex_state = 7, .external_lex_state = 3},
  [9315] = {.lex_state = 7, .external_lex_state = 3},
  [9316] = {.lex_state = 7, .external_lex_state = 3},
  [9317] = {.lex_state = 7, .external_lex_state = 3},
  [9318] = {.lex_state = 7, .external_lex_state = 3},
  [9319] = {.lex_state = 7, .external_lex_state = 3},
  [9320] = {.lex_state = 7, .external_lex_state = 3},
  [9321] = {.lex_state = 7, .external_lex_state = 3},
  [9322] = {.lex_state = 7, .external_lex_state = 3},
  [9323] = {.lex_state = 7, .external_lex_state = 3},
  [9324] = {.lex_state = 7, .external_lex_state = 3},
  [9325] = {.lex_state = 7, .external_lex_state = 3},
  [9326] = {.lex_state = 7, .external_lex_state = 3},
  [9327] = {.lex_state = 7, .external_lex_state = 3},
  [9328] = {.lex_state = 7, .external_lex_state = 3},
  [9329] = {.lex_state = 130, .external_lex_state = 3},
  [9330] = {.lex_state = 130, .external_lex_state = 3},
  [9331] = {.lex_state = 7, .external_lex_state = 3},
  [9332] = {.lex_state = 7, .external_lex_state = 3},
  [9333] = {.lex_state = 7, .external_lex_state = 3},
  [9334] = {.lex_state = 413, .external_lex_state = 3},
  [9335] = {.lex_state = 7, .external_lex_state = 3},
  [9336] = {.lex_state = 7, .external_lex_state = 3},
  [9337] = {.lex_state = 35, .external_lex_state = 2},
  [9338] = {.lex_state = 7, .external_lex_state = 3},
  [9339] = {.lex_state = 130, .external_lex_state = 3},
  [9340] = {.lex_state = 130, .external_lex_state = 3},
  [9341] = {.lex_state = 130, .external_lex_state = 3},
  [9342] = {.lex_state = 413, .external_lex_state = 3},
  [9343] = {.lex_state = 130, .external_lex_state = 3},
  [9344] = {.lex_state = 24, .external_lex_state = 2},
  [9345] = {.lex_state = 130, .external_lex_state = 3},
  [9346] = {.lex_state = 7, .external_lex_state = 3},
  [9347] = {.lex_state = 7, .external_lex_state = 3},
  [9348] = {.lex_state = 16, .external_lex_state = 2},
  [9349] = {.lex_state = 130, .external_lex_state = 3},
  [9350] = {.lex_state = 130, .external_lex_state = 3},
  [9351] = {.lex_state = 7, .external_lex_state = 3},
  [9352] = {.lex_state = 130, .external_lex_state = 3},
  [9353] = {.lex_state = 7, .external_lex_state = 3},
  [9354] = {.lex_state = 7, .external_lex_state = 3},
  [9355] = {.lex_state = 425, .external_lex_state = 3},
  [9356] = {.lex_state = 425, .external_lex_state = 3},
  [9357] = {.lex_state = 130, .external_lex_state = 3},
  [9358] = {.lex_state = 130, .external_lex_state = 3},
  [9359] = {.lex_state = 130, .external_lex_state = 3},
  [9360] = {.lex_state = 130, .external_lex_state = 3},
  [9361] = {.lex_state = 130, .external_lex_state = 3},
  [9362] = {.lex_state = 130, .external_lex_state = 3},
  [9363] = {.lex_state = 413, .external_lex_state = 3},
  [9364] = {.lex_state = 130, .external_lex_state = 3},
  [9365] = {.lex_state = 130, .external_lex_state = 3},
  [9366] = {.lex_state = 130, .external_lex_state = 3},
  [9367] = {.lex_state = 16, .external_lex_state = 2},
  [9368] = {.lex_state = 413, .external_lex_state = 3},
  [9369] = {.lex_state = 413, .external_lex_state = 3},
  [9370] = {.lex_state = 413, .external_lex_state = 3},
  [9371] = {.lex_state = 7, .external_lex_state = 3},
  [9372] = {.lex_state = 7, .external_lex_state = 3},
  [9373] = {.lex_state = 7, .external_lex_state = 3},
  [9374] = {.lex_state = 7, .external_lex_state = 3},
  [9375] = {.lex_state = 413, .external_lex_state = 3},
  [9376] = {.lex_state = 7, .external_lex_state = 3},
  [9377] = {.lex_state = 411, .external_lex_state = 3},
  [9378] = {.lex_state = 411, .external_lex_state = 3},
  [9379] = {.lex_state = 411, .external_lex_state = 3},
  [9380] = {.lex_state = 411, .external_lex_state = 3},
  [9381] = {.lex_state = 411, .external_lex_state = 3},
  [9382] = {.lex_state = 411, .external_lex_state = 3},
  [9383] = {.lex_state = 411, .external_lex_state = 3},
  [9384] = {.lex_state = 411, .external_lex_state = 3},
  [9385] = {.lex_state = 411, .external_lex_state = 3},
  [9386] = {.lex_state = 411, .external_lex_state = 3},
  [9387] = {.lex_state = 411, .external_lex_state = 3},
  [9388] = {.lex_state = 411, .external_lex_state = 3},
  [9389] = {.lex_state = 413, .external_lex_state = 3},
  [9390] = {.lex_state = 411, .external_lex_state = 3},
  [9391] = {.lex_state = 411, .external_lex_state = 3},
  [9392] = {.lex_state = 411, .external_lex_state = 3},
  [9393] = {.lex_state = 411, .external_lex_state = 3},
  [9394] = {.lex_state = 411, .external_lex_state = 3},
  [9395] = {.lex_state = 411, .external_lex_state = 3},
  [9396] = {.lex_state = 413, .external_lex_state = 3},
  [9397] = {.lex_state = 413, .external_lex_state = 3},
  [9398] = {.lex_state = 413, .external_lex_state = 3},
  [9399] = {.lex_state = 411, .external_lex_state = 3},
  [9400] = {.lex_state = 411, .external_lex_state = 3},
  [9401] = {.lex_state = 411, .external_lex_state = 3},
  [9402] = {.lex_state = 411, .external_lex_state = 3},
  [9403] = {.lex_state = 411, .external_lex_state = 3},
  [9404] = {.lex_state = 411, .external_lex_state = 3},
  [9405] = {.lex_state = 411, .external_lex_state = 3},
  [9406] = {.lex_state = 411, .external_lex_state = 3},
  [9407] = {.lex_state = 411, .external_lex_state = 3},
  [9408] = {.lex_state = 411, .external_lex_state = 3},
  [9409] = {.lex_state = 411, .external_lex_state = 3},
  [9410] = {.lex_state = 411, .external_lex_state = 3},
  [9411] = {.lex_state = 411, .external_lex_state = 3},
  [9412] = {.lex_state = 411, .external_lex_state = 3},
  [9413] = {.lex_state = 411, .external_lex_state = 3},
  [9414] = {.lex_state = 411, .external_lex_state = 3},
  [9415] = {.lex_state = 413, .external_lex_state = 3},
  [9416] = {.lex_state = 411, .external_lex_state = 3},
  [9417] = {.lex_state = 24, .external_lex_state = 2},
  [9418] = {.lex_state = 411, .external_lex_state = 3},
  [9419] = {.lex_state = 24, .external_lex_state = 2},
  [9420] = {.lex_state = 413, .external_lex_state = 3},
  [9421] = {.lex_state = 411, .external_lex_state = 3},
  [9422] = {.lex_state = 413, .external_lex_state = 3},
  [9423] = {.lex_state = 413, .external_lex_state = 3},
  [9424] = {.lex_state = 411, .external_lex_state = 3},
  [9425] = {.lex_state = 411, .external_lex_state = 3},
  [9426] = {.lex_state = 413, .external_lex_state = 3},
  [9427] = {.lex_state = 413, .external_lex_state = 3},
  [9428] = {.lex_state = 413, .external_lex_state = 3},
  [9429] = {.lex_state = 411, .external_lex_state = 3},
  [9430] = {.lex_state = 411, .external_lex_state = 3},
  [9431] = {.lex_state = 411, .external_lex_state = 3},
  [9432] = {.lex_state = 411, .external_lex_state = 3},
  [9433] = {.lex_state = 411, .external_lex_state = 3},
  [9434] = {.lex_state = 411, .external_lex_state = 3},
  [9435] = {.lex_state = 411, .external_lex_state = 3},
  [9436] = {.lex_state = 411, .external_lex_state = 3},
  [9437] = {.lex_state = 411, .external_lex_state = 3},
  [9438] = {.lex_state = 411, .external_lex_state = 3},
  [9439] = {.lex_state = 411, .external_lex_state = 3},
  [9440] = {.lex_state = 411, .external_lex_state = 3},
  [9441] = {.lex_state = 411, .external_lex_state = 3},
  [9442] = {.lex_state = 411, .external_lex_state = 3},
  [9443] = {.lex_state = 411, .external_lex_state = 3},
  [9444] = {.lex_state = 411, .external_lex_state = 3},
  [9445] = {.lex_state = 411, .external_lex_state = 3},
  [9446] = {.lex_state = 411, .external_lex_state = 3},
  [9447] = {.lex_state = 411, .external_lex_state = 3},
  [9448] = {.lex_state = 411, .external_lex_state = 3},
  [9449] = {.lex_state = 411, .external_lex_state = 3},
  [9450] = {.lex_state = 411, .external_lex_state = 3},
  [9451] = {.lex_state = 411, .external_lex_state = 3},
  [9452] = {.lex_state = 411, .external_lex_state = 3},
  [9453] = {.lex_state = 411, .external_lex_state = 3},
  [9454] = {.lex_state = 413, .external_lex_state = 3},
  [9455] = {.lex_state = 411, .external_lex_state = 3},
  [9456] = {.lex_state = 413, .external_lex_state = 3},
  [9457] = {.lex_state = 413, .external_lex_state = 3},
  [9458] = {.lex_state = 413, .external_lex_state = 3},
  [9459] = {.lex_state = 413, .external_lex_state = 3},
  [9460] = {.lex_state = 411, .external_lex_state = 3},
  [9461] = {.lex_state = 413, .external_lex_state = 3},
  [9462] = {.lex_state = 413, .external_lex_state = 3},
  [9463] = {.lex_state = 413, .external_lex_state = 3},
  [9464] = {.lex_state = 413, .external_lex_state = 3},
  [9465] = {.lex_state = 413, .external_lex_state = 3},
  [9466] = {.lex_state = 170, .external_lex_state = 3},
  [9467] = {.lex_state = 19, .external_lex_state = 2},
  [9468] = {.lex_state = 413, .external_lex_state = 3},
  [9469] = {.lex_state = 413, .external_lex_state = 3},
  [9470] = {.lex_state = 413, .external_lex_state = 3},
  [9471] = {.lex_state = 24, .external_lex_state = 2},
  [9472] = {.lex_state = 413, .external_lex_state = 3},
  [9473] = {.lex_state = 411, .external_lex_state = 3},
  [9474] = {.lex_state = 170, .external_lex_state = 3},
  [9475] = {.lex_state = 413, .external_lex_state = 3},
  [9476] = {.lex_state = 413, .external_lex_state = 3},
  [9477] = {.lex_state = 411, .external_lex_state = 3},
  [9478] = {.lex_state = 413, .external_lex_state = 3},
  [9479] = {.lex_state = 413, .external_lex_state = 3},
  [9480] = {.lex_state = 413, .external_lex_state = 3},
  [9481] = {.lex_state = 413, .external_lex_state = 3},
  [9482] = {.lex_state = 413, .external_lex_state = 3},
  [9483] = {.lex_state = 413, .external_lex_state = 3},
  [9484] = {.lex_state = 411, .external_lex_state = 3},
  [9485] = {.lex_state = 413, .external_lex_state = 3},
  [9486] = {.lex_state = 413, .external_lex_state = 3},
  [9487] = {.lex_state = 413, .external_lex_state = 3},
  [9488] = {.lex_state = 411, .external_lex_state = 3},
  [9489] = {.lex_state = 413, .external_lex_state = 3},
  [9490] = {.lex_state = 170, .external_lex_state = 3},
  [9491] = {.lex_state = 413, .external_lex_state = 3},
  [9492] = {.lex_state = 411, .external_lex_state = 3},
  [9493] = {.lex_state = 413, .external_lex_state = 3},
  [9494] = {.lex_state = 413, .external_lex_state = 3},
  [9495] = {.lex_state = 413, .external_lex_state = 3},
  [9496] = {.lex_state = 413, .external_lex_state = 3},
  [9497] = {.lex_state = 413, .external_lex_state = 3},
  [9498] = {.lex_state = 413, .external_lex_state = 3},
  [9499] = {.lex_state = 413, .external_lex_state = 3},
  [9500] = {.lex_state = 413, .external_lex_state = 3},
  [9501] = {.lex_state = 413, .external_lex_state = 3},
  [9502] = {.lex_state = 413, .external_lex_state = 3},
  [9503] = {.lex_state = 413, .external_lex_state = 3},
  [9504] = {.lex_state = 170, .external_lex_state = 3},
  [9505] = {.lex_state = 413, .external_lex_state = 3},
  [9506] = {.lex_state = 413, .external_lex_state = 3},
  [9507] = {.lex_state = 413, .external_lex_state = 3},
  [9508] = {.lex_state = 413, .external_lex_state = 3},
  [9509] = {.lex_state = 413, .external_lex_state = 3},
  [9510] = {.lex_state = 413, .external_lex_state = 3},
  [9511] = {.lex_state = 413, .external_lex_state = 3},
  [9512] = {.lex_state = 413, .external_lex_state = 3},
  [9513] = {.lex_state = 411, .external_lex_state = 3},
  [9514] = {.lex_state = 411, .external_lex_state = 3},
  [9515] = {.lex_state = 411, .external_lex_state = 3},
  [9516] = {.lex_state = 411, .external_lex_state = 3},
  [9517] = {.lex_state = 411, .external_lex_state = 3},
  [9518] = {.lex_state = 411, .external_lex_state = 3},
  [9519] = {.lex_state = 411, .external_lex_state = 3},
  [9520] = {.lex_state = 411, .external_lex_state = 3},
  [9521] = {.lex_state = 411, .external_lex_state = 3},
  [9522] = {.lex_state = 411, .external_lex_state = 3},
  [9523] = {.lex_state = 411, .external_lex_state = 3},
  [9524] = {.lex_state = 411, .external_lex_state = 3},
  [9525] = {.lex_state = 411, .external_lex_state = 3},
  [9526] = {.lex_state = 411, .external_lex_state = 3},
  [9527] = {.lex_state = 411, .external_lex_state = 3},
  [9528] = {.lex_state = 411, .external_lex_state = 3},
  [9529] = {.lex_state = 19, .external_lex_state = 2},
  [9530] = {.lex_state = 19, .external_lex_state = 2},
  [9531] = {.lex_state = 411, .external_lex_state = 3},
  [9532] = {.lex_state = 411, .external_lex_state = 3},
  [9533] = {.lex_state = 411, .external_lex_state = 3},
  [9534] = {.lex_state = 411, .external_lex_state = 3},
  [9535] = {.lex_state = 411, .external_lex_state = 3},
  [9536] = {.lex_state = 411, .external_lex_state = 3},
  [9537] = {.lex_state = 411, .external_lex_state = 3},
  [9538] = {.lex_state = 411, .external_lex_state = 3},
  [9539] = {.lex_state = 411, .external_lex_state = 3},
  [9540] = {.lex_state = 411, .external_lex_state = 3},
  [9541] = {.lex_state = 411, .external_lex_state = 3},
  [9542] = {.lex_state = 411, .external_lex_state = 3},
  [9543] = {.lex_state = 411, .external_lex_state = 3},
  [9544] = {.lex_state = 413, .external_lex_state = 3},
  [9545] = {.lex_state = 411, .external_lex_state = 3},
  [9546] = {.lex_state = 411, .external_lex_state = 3},
  [9547] = {.lex_state = 411, .external_lex_state = 3},
  [9548] = {.lex_state = 411, .external_lex_state = 3},
  [9549] = {.lex_state = 411, .external_lex_state = 3},
  [9550] = {.lex_state = 411, .external_lex_state = 3},
  [9551] = {.lex_state = 411, .external_lex_state = 3},
  [9552] = {.lex_state = 411, .external_lex_state = 3},
  [9553] = {.lex_state = 411, .external_lex_state = 3},
  [9554] = {.lex_state = 411, .external_lex_state = 3},
  [9555] = {.lex_state = 411, .external_lex_state = 3},
  [9556] = {.lex_state = 424, .external_lex_state = 3},
  [9557] = {.lex_state = 137, .external_lex_state = 2},
  [9558] = {.lex_state = 411, .external_lex_state = 3},
  [9559] = {.lex_state = 411, .external_lex_state = 3},
  [9560] = {.lex_state = 19, .external_lex_state = 2},
  [9561] = {.lex_state = 411, .external_lex_state = 3},
  [9562] = {.lex_state = 411, .external_lex_state = 3},
  [9563] = {.lex_state = 411, .external_lex_state = 3},
  [9564] = {.lex_state = 411, .external_lex_state = 3},
  [9565] = {.lex_state = 411, .external_lex_state = 3},
  [9566] = {.lex_state = 413, .external_lex_state = 3},
  [9567] = {.lex_state = 411, .external_lex_state = 3},
  [9568] = {.lex_state = 411, .external_lex_state = 3},
  [9569] = {.lex_state = 411, .external_lex_state = 3},
  [9570] = {.lex_state = 411, .external_lex_state = 3},
  [9571] = {.lex_state = 19, .external_lex_state = 2},
  [9572] = {.lex_state = 411, .external_lex_state = 3},
  [9573] = {.lex_state = 411, .external_lex_state = 3},
  [9574] = {.lex_state = 411, .external_lex_state = 3},
  [9575] = {.lex_state = 411, .external_lex_state = 3},
  [9576] = {.lex_state = 411, .external_lex_state = 3},
  [9577] = {.lex_state = 411, .external_lex_state = 3},
  [9578] = {.lex_state = 19, .external_lex_state = 2},
  [9579] = {.lex_state = 411, .external_lex_state = 3},
  [9580] = {.lex_state = 411, .external_lex_state = 3},
  [9581] = {.lex_state = 413, .external_lex_state = 3},
  [9582] = {.lex_state = 411, .external_lex_state = 3},
  [9583] = {.lex_state = 137, .external_lex_state = 2},
  [9584] = {.lex_state = 411, .external_lex_state = 3},
  [9585] = {.lex_state = 411, .external_lex_state = 3},
  [9586] = {.lex_state = 411, .external_lex_state = 3},
  [9587] = {.lex_state = 411, .external_lex_state = 3},
  [9588] = {.lex_state = 411, .external_lex_state = 3},
  [9589] = {.lex_state = 411, .external_lex_state = 3},
  [9590] = {.lex_state = 411, .external_lex_state = 3},
  [9591] = {.lex_state = 411, .external_lex_state = 3},
  [9592] = {.lex_state = 19, .external_lex_state = 2},
  [9593] = {.lex_state = 411, .external_lex_state = 3},
  [9594] = {.lex_state = 424, .external_lex_state = 3},
  [9595] = {.lex_state = 19, .external_lex_state = 2},
  [9596] = {.lex_state = 411, .external_lex_state = 3},
  [9597] = {.lex_state = 411, .external_lex_state = 3},
  [9598] = {.lex_state = 411, .external_lex_state = 3},
  [9599] = {.lex_state = 411, .external_lex_state = 3},
  [9600] = {.lex_state = 411, .external_lex_state = 3},
  [9601] = {.lex_state = 170, .external_lex_state = 3},
  [9602] = {.lex_state = 411, .external_lex_state = 3},
  [9603] = {.lex_state = 170, .external_lex_state = 3},
  [9604] = {.lex_state = 137, .external_lex_state = 2},
  [9605] = {.lex_state = 411, .external_lex_state = 3},
  [9606] = {.lex_state = 170, .external_lex_state = 3},
  [9607] = {.lex_state = 411, .external_lex_state = 3},
  [9608] = {.lex_state = 170, .external_lex_state = 3},
  [9609] = {.lex_state = 7, .external_lex_state = 3},
  [9610] = {.lex_state = 411, .external_lex_state = 3},
  [9611] = {.lex_state = 170, .external_lex_state = 3},
  [9612] = {.lex_state = 170, .external_lex_state = 3},
  [9613] = {.lex_state = 411, .external_lex_state = 3},
  [9614] = {.lex_state = 411, .external_lex_state = 3},
  [9615] = {.lex_state = 170, .external_lex_state = 3},
  [9616] = {.lex_state = 411, .external_lex_state = 3},
  [9617] = {.lex_state = 411, .external_lex_state = 3},
  [9618] = {.lex_state = 411, .external_lex_state = 3},
  [9619] = {.lex_state = 411, .external_lex_state = 3},
  [9620] = {.lex_state = 411, .external_lex_state = 3},
  [9621] = {.lex_state = 411, .external_lex_state = 3},
  [9622] = {.lex_state = 170, .external_lex_state = 3},
  [9623] = {.lex_state = 411, .external_lex_state = 3},
  [9624] = {.lex_state = 411, .external_lex_state = 3},
  [9625] = {.lex_state = 411, .external_lex_state = 3},
  [9626] = {.lex_state = 411, .external_lex_state = 3},
  [9627] = {.lex_state = 170, .external_lex_state = 3},
  [9628] = {.lex_state = 411, .external_lex_state = 3},
  [9629] = {.lex_state = 170, .external_lex_state = 3},
  [9630] = {.lex_state = 170, .external_lex_state = 3},
  [9631] = {.lex_state = 411, .external_lex_state = 3},
  [9632] = {.lex_state = 170, .external_lex_state = 3},
  [9633] = {.lex_state = 170, .external_lex_state = 3},
  [9634] = {.lex_state = 411, .external_lex_state = 3},
  [9635] = {.lex_state = 137, .external_lex_state = 2},
  [9636] = {.lex_state = 170, .external_lex_state = 3},
  [9637] = {.lex_state = 170, .external_lex_state = 3},
  [9638] = {.lex_state = 170, .external_lex_state = 3},
  [9639] = {.lex_state = 170, .external_lex_state = 3},
  [9640] = {.lex_state = 411, .external_lex_state = 3},
  [9641] = {.lex_state = 170, .external_lex_state = 3},
  [9642] = {.lex_state = 170, .external_lex_state = 3},
  [9643] = {.lex_state = 170, .external_lex_state = 3},
  [9644] = {.lex_state = 7, .external_lex_state = 3},
  [9645] = {.lex_state = 170, .external_lex_state = 3},
  [9646] = {.lex_state = 411, .external_lex_state = 3},
  [9647] = {.lex_state = 137, .external_lex_state = 2},
  [9648] = {.lex_state = 170, .external_lex_state = 3},
  [9649] = {.lex_state = 7, .external_lex_state = 3},
  [9650] = {.lex_state = 145, .external_lex_state = 2},
  [9651] = {.lex_state = 7, .external_lex_state = 3},
  [9652] = {.lex_state = 170, .external_lex_state = 3},
  [9653] = {.lex_state = 411, .external_lex_state = 3},
  [9654] = {.lex_state = 411, .external_lex_state = 3},
  [9655] = {.lex_state = 170, .external_lex_state = 3},
  [9656] = {.lex_state = 411, .external_lex_state = 3},
  [9657] = {.lex_state = 7, .external_lex_state = 3},
  [9658] = {.lex_state = 170, .external_lex_state = 3},
  [9659] = {.lex_state = 7, .external_lex_state = 3},
  [9660] = {.lex_state = 170, .external_lex_state = 3},
  [9661] = {.lex_state = 411, .external_lex_state = 3},
  [9662] = {.lex_state = 411, .external_lex_state = 3},
  [9663] = {.lex_state = 7, .external_lex_state = 3},
  [9664] = {.lex_state = 170, .external_lex_state = 3},
  [9665] = {.lex_state = 170, .external_lex_state = 3},
  [9666] = {.lex_state = 170, .external_lex_state = 3},
  [9667] = {.lex_state = 170, .external_lex_state = 3},
  [9668] = {.lex_state = 411, .external_lex_state = 3},
  [9669] = {.lex_state = 7, .external_lex_state = 3},
  [9670] = {.lex_state = 170, .external_lex_state = 3},
  [9671] = {.lex_state = 411, .external_lex_state = 3},
  [9672] = {.lex_state = 145, .external_lex_state = 2},
  [9673] = {.lex_state = 411, .external_lex_state = 3},
  [9674] = {.lex_state = 170, .external_lex_state = 3},
  [9675] = {.lex_state = 411, .external_lex_state = 3},
  [9676] = {.lex_state = 170, .external_lex_state = 3},
  [9677] = {.lex_state = 411, .external_lex_state = 3},
  [9678] = {.lex_state = 411, .external_lex_state = 3},
  [9679] = {.lex_state = 411, .external_lex_state = 3},
  [9680] = {.lex_state = 411, .external_lex_state = 3},
  [9681] = {.lex_state = 411, .external_lex_state = 3},
  [9682] = {.lex_state = 411, .external_lex_state = 3},
  [9683] = {.lex_state = 411, .external_lex_state = 3},
  [9684] = {.lex_state = 411, .external_lex_state = 3},
  [9685] = {.lex_state = 411, .external_lex_state = 3},
  [9686] = {.lex_state = 411, .external_lex_state = 3},
  [9687] = {.lex_state = 411, .external_lex_state = 3},
  [9688] = {.lex_state = 411, .external_lex_state = 3},
  [9689] = {.lex_state = 137, .external_lex_state = 2},
  [9690] = {.lex_state = 411, .external_lex_state = 3},
  [9691] = {.lex_state = 411, .external_lex_state = 3},
  [9692] = {.lex_state = 411, .external_lex_state = 3},
  [9693] = {.lex_state = 411, .external_lex_state = 3},
  [9694] = {.lex_state = 411, .external_lex_state = 3},
  [9695] = {.lex_state = 136, .external_lex_state = 2},
  [9696] = {.lex_state = 133, .external_lex_state = 2},
  [9697] = {.lex_state = 7, .external_lex_state = 3},
  [9698] = {.lex_state = 170, .external_lex_state = 3},
  [9699] = {.lex_state = 170, .external_lex_state = 3},
  [9700] = {.lex_state = 411, .external_lex_state = 3},
  [9701] = {.lex_state = 170, .external_lex_state = 3},
  [9702] = {.lex_state = 411, .external_lex_state = 3},
  [9703] = {.lex_state = 7, .external_lex_state = 3},
  [9704] = {.lex_state = 411, .external_lex_state = 3},
  [9705] = {.lex_state = 158, .external_lex_state = 2},
  [9706] = {.lex_state = 170, .external_lex_state = 3},
  [9707] = {.lex_state = 136, .external_lex_state = 2},
  [9708] = {.lex_state = 411, .external_lex_state = 3},
  [9709] = {.lex_state = 411, .external_lex_state = 3},
  [9710] = {.lex_state = 411, .external_lex_state = 3},
  [9711] = {.lex_state = 170, .external_lex_state = 3},
  [9712] = {.lex_state = 7, .external_lex_state = 3},
  [9713] = {.lex_state = 170, .external_lex_state = 3},
  [9714] = {.lex_state = 411, .external_lex_state = 3},
  [9715] = {.lex_state = 170, .external_lex_state = 3},
  [9716] = {.lex_state = 133, .external_lex_state = 2},
  [9717] = {.lex_state = 411, .external_lex_state = 3},
  [9718] = {.lex_state = 170, .external_lex_state = 3},
  [9719] = {.lex_state = 411, .external_lex_state = 3},
  [9720] = {.lex_state = 170, .external_lex_state = 3},
  [9721] = {.lex_state = 411, .external_lex_state = 3},
  [9722] = {.lex_state = 411, .external_lex_state = 3},
  [9723] = {.lex_state = 411, .external_lex_state = 3},
  [9724] = {.lex_state = 411, .external_lex_state = 3},
  [9725] = {.lex_state = 411, .external_lex_state = 3},
  [9726] = {.lex_state = 411, .external_lex_state = 3},
  [9727] = {.lex_state = 411, .external_lex_state = 3},
  [9728] = {.lex_state = 411, .external_lex_state = 3},
  [9729] = {.lex_state = 411, .external_lex_state = 3},
  [9730] = {.lex_state = 411, .external_lex_state = 3},
  [9731] = {.lex_state = 411, .external_lex_state = 3},
  [9732] = {.lex_state = 411, .external_lex_state = 3},
  [9733] = {.lex_state = 411, .external_lex_state = 3},
  [9734] = {.lex_state = 411, .external_lex_state = 3},
  [9735] = {.lex_state = 411, .external_lex_state = 3},
  [9736] = {.lex_state = 170, .external_lex_state = 3},
  [9737] = {.lex_state = 411, .external_lex_state = 3},
  [9738] = {.lex_state = 170, .external_lex_state = 3},
  [9739] = {.lex_state = 411, .external_lex_state = 3},
  [9740] = {.lex_state = 411, .external_lex_state = 3},
  [9741] = {.lex_state = 7, .external_lex_state = 3},
  [9742] = {.lex_state = 7, .external_lex_state = 3},
  [9743] = {.lex_state = 7, .external_lex_state = 3},
  [9744] = {.lex_state = 411, .external_lex_state = 3},
  [9745] = {.lex_state = 7, .external_lex_state = 3},
  [9746] = {.lex_state = 411, .external_lex_state = 3},
  [9747] = {.lex_state = 136, .external_lex_state = 2},
  [9748] = {.lex_state = 7, .external_lex_state = 3},
  [9749] = {.lex_state = 7, .external_lex_state = 3},
  [9750] = {.lex_state = 136, .external_lex_state = 2},
  [9751] = {.lex_state = 7, .external_lex_state = 3},
  [9752] = {.lex_state = 411, .external_lex_state = 3},
  [9753] = {.lex_state = 424, .external_lex_state = 3},
  [9754] = {.lex_state = 7, .external_lex_state = 3},
  [9755] = {.lex_state = 7, .external_lex_state = 3},
  [9756] = {.lex_state = 411, .external_lex_state = 3},
  [9757] = {.lex_state = 7, .external_lex_state = 3},
  [9758] = {.lex_state = 7, .external_lex_state = 3},
  [9759] = {.lex_state = 7, .external_lex_state = 3},
  [9760] = {.lex_state = 149, .external_lex_state = 2},
  [9761] = {.lex_state = 424, .external_lex_state = 3},
  [9762] = {.lex_state = 7, .external_lex_state = 3},
  [9763] = {.lex_state = 149, .external_lex_state = 2},
  [9764] = {.lex_state = 411, .external_lex_state = 3},
  [9765] = {.lex_state = 7, .external_lex_state = 3},
  [9766] = {.lex_state = 7, .external_lex_state = 3},
  [9767] = {.lex_state = 7, .external_lex_state = 3},
  [9768] = {.lex_state = 7, .external_lex_state = 3},
  [9769] = {.lex_state = 7, .external_lex_state = 3},
  [9770] = {.lex_state = 411, .external_lex_state = 3},
  [9771] = {.lex_state = 7, .external_lex_state = 3},
  [9772] = {.lex_state = 7, .external_lex_state = 3},
  [9773] = {.lex_state = 149, .external_lex_state = 2},
  [9774] = {.lex_state = 7, .external_lex_state = 3},
  [9775] = {.lex_state = 7, .external_lex_state = 3},
  [9776] = {.lex_state = 7, .external_lex_state = 3},
  [9777] = {.lex_state = 145, .external_lex_state = 2},
  [9778] = {.lex_state = 7, .external_lex_state = 3},
  [9779] = {.lex_state = 7, .external_lex_state = 3},
  [9780] = {.lex_state = 149, .external_lex_state = 2},
  [9781] = {.lex_state = 136, .external_lex_state = 2},
  [9782] = {.lex_state = 7, .external_lex_state = 3},
  [9783] = {.lex_state = 7, .external_lex_state = 3},
  [9784] = {.lex_state = 424, .external_lex_state = 3},
  [9785] = {.lex_state = 7, .external_lex_state = 3},
  [9786] = {.lex_state = 7, .external_lex_state = 3},
  [9787] = {.lex_state = 136, .external_lex_state = 2},
  [9788] = {.lex_state = 7, .external_lex_state = 3},
  [9789] = {.lex_state = 136, .external_lex_state = 2},
  [9790] = {.lex_state = 136, .external_lex_state = 2},
  [9791] = {.lex_state = 7, .external_lex_state = 3},
  [9792] = {.lex_state = 7, .external_lex_state = 3},
  [9793] = {.lex_state = 7, .external_lex_state = 3},
  [9794] = {.lex_state = 7, .external_lex_state = 3},
  [9795] = {.lex_state = 411, .external_lex_state = 3},
  [9796] = {.lex_state = 136, .external_lex_state = 2},
  [9797] = {.lex_state = 7, .external_lex_state = 3},
  [9798] = {.lex_state = 7, .external_lex_state = 3},
  [9799] = {.lex_state = 7, .external_lex_state = 3},
  [9800] = {.lex_state = 7, .external_lex_state = 3},
  [9801] = {.lex_state = 7, .external_lex_state = 3},
  [9802] = {.lex_state = 7, .external_lex_state = 3},
  [9803] = {.lex_state = 7, .external_lex_state = 3},
  [9804] = {.lex_state = 149, .external_lex_state = 2},
  [9805] = {.lex_state = 7, .external_lex_state = 3},
  [9806] = {.lex_state = 7, .external_lex_state = 3},
  [9807] = {.lex_state = 7, .external_lex_state = 3},
  [9808] = {.lex_state = 7, .external_lex_state = 3},
  [9809] = {.lex_state = 145, .external_lex_state = 2},
  [9810] = {.lex_state = 7, .external_lex_state = 3},
  [9811] = {.lex_state = 7, .external_lex_state = 3},
  [9812] = {.lex_state = 7, .external_lex_state = 3},
  [9813] = {.lex_state = 7, .external_lex_state = 3},
  [9814] = {.lex_state = 411, .external_lex_state = 3},
  [9815] = {.lex_state = 7, .external_lex_state = 3},
  [9816] = {.lex_state = 7, .external_lex_state = 3},
  [9817] = {.lex_state = 7, .external_lex_state = 3},
  [9818] = {.lex_state = 7, .external_lex_state = 3},
  [9819] = {.lex_state = 7, .external_lex_state = 3},
  [9820] = {.lex_state = 7, .external_lex_state = 3},
  [9821] = {.lex_state = 7, .external_lex_state = 3},
  [9822] = {.lex_state = 7, .external_lex_state = 3},
  [9823] = {.lex_state = 7, .external_lex_state = 3},
  [9824] = {.lex_state = 136, .external_lex_state = 2},
  [9825] = {.lex_state = 7, .external_lex_state = 3},
  [9826] = {.lex_state = 136, .external_lex_state = 2},
  [9827] = {.lex_state = 7, .external_lex_state = 3},
  [9828] = {.lex_state = 7, .external_lex_state = 3},
  [9829] = {.lex_state = 7, .external_lex_state = 3},
  [9830] = {.lex_state = 411, .external_lex_state = 3},
  [9831] = {.lex_state = 7, .external_lex_state = 3},
  [9832] = {.lex_state = 7, .external_lex_state = 3},
  [9833] = {.lex_state = 7, .external_lex_state = 3},
  [9834] = {.lex_state = 7, .external_lex_state = 3},
  [9835] = {.lex_state = 136, .external_lex_state = 2},
  [9836] = {.lex_state = 7, .external_lex_state = 3},
  [9837] = {.lex_state = 411, .external_lex_state = 3},
  [9838] = {.lex_state = 424, .external_lex_state = 3},
  [9839] = {.lex_state = 7, .external_lex_state = 3},
  [9840] = {.lex_state = 7, .external_lex_state = 3},
  [9841] = {.lex_state = 7, .external_lex_state = 3},
  [9842] = {.lex_state = 7, .external_lex_state = 3},
  [9843] = {.lex_state = 136, .external_lex_state = 2},
  [9844] = {.lex_state = 132, .external_lex_state = 3},
  [9845] = {.lex_state = 136, .external_lex_state = 2},
  [9846] = {.lex_state = 7, .external_lex_state = 3},
  [9847] = {.lex_state = 7, .external_lex_state = 3},
  [9848] = {.lex_state = 7, .external_lex_state = 3},
  [9849] = {.lex_state = 7, .external_lex_state = 3},
  [9850] = {.lex_state = 136, .external_lex_state = 2},
  [9851] = {.lex_state = 7, .external_lex_state = 3},
  [9852] = {.lex_state = 7, .external_lex_state = 3},
  [9853] = {.lex_state = 411, .external_lex_state = 3},
  [9854] = {.lex_state = 136, .external_lex_state = 2},
  [9855] = {.lex_state = 7, .external_lex_state = 3},
  [9856] = {.lex_state = 7, .external_lex_state = 3},
  [9857] = {.lex_state = 7, .external_lex_state = 3},
  [9858] = {.lex_state = 411, .external_lex_state = 3},
  [9859] = {.lex_state = 7, .external_lex_state = 3},
  [9860] = {.lex_state = 136, .external_lex_state = 2},
  [9861] = {.lex_state = 7, .external_lex_state = 3},
  [9862] = {.lex_state = 411, .external_lex_state = 3},
  [9863] = {.lex_state = 7, .external_lex_state = 3},
  [9864] = {.lex_state = 136, .external_lex_state = 2},
  [9865] = {.lex_state = 7, .external_lex_state = 3},
  [9866] = {.lex_state = 7, .external_lex_state = 3},
  [9867] = {.lex_state = 133, .external_lex_state = 2},
  [9868] = {.lex_state = 136, .external_lex_state = 2},
  [9869] = {.lex_state = 411, .external_lex_state = 3},
  [9870] = {.lex_state = 149, .external_lex_state = 2},
  [9871] = {.lex_state = 136, .external_lex_state = 2},
  [9872] = {.lex_state = 7, .external_lex_state = 3},
  [9873] = {.lex_state = 411, .external_lex_state = 3},
  [9874] = {.lex_state = 411, .external_lex_state = 3},
  [9875] = {.lex_state = 7, .external_lex_state = 3},
  [9876] = {.lex_state = 7, .external_lex_state = 3},
  [9877] = {.lex_state = 149, .external_lex_state = 2},
  [9878] = {.lex_state = 136, .external_lex_state = 2},
  [9879] = {.lex_state = 136, .external_lex_state = 2},
  [9880] = {.lex_state = 7, .external_lex_state = 3},
  [9881] = {.lex_state = 7, .external_lex_state = 3},
  [9882] = {.lex_state = 149, .external_lex_state = 2},
  [9883] = {.lex_state = 136, .external_lex_state = 2},
  [9884] = {.lex_state = 7, .external_lex_state = 3},
  [9885] = {.lex_state = 7, .external_lex_state = 3},
  [9886] = {.lex_state = 7, .external_lex_state = 3},
  [9887] = {.lex_state = 411, .external_lex_state = 3},
  [9888] = {.lex_state = 7, .external_lex_state = 3},
  [9889] = {.lex_state = 7, .external_lex_state = 3},
  [9890] = {.lex_state = 424, .external_lex_state = 3},
  [9891] = {.lex_state = 7, .external_lex_state = 3},
  [9892] = {.lex_state = 136, .external_lex_state = 2},
  [9893] = {.lex_state = 7, .external_lex_state = 3},
  [9894] = {.lex_state = 7, .external_lex_state = 3},
  [9895] = {.lex_state = 7, .external_lex_state = 3},
  [9896] = {.lex_state = 7, .external_lex_state = 3},
  [9897] = {.lex_state = 132, .external_lex_state = 3},
  [9898] = {.lex_state = 7, .external_lex_state = 3},
  [9899] = {.lex_state = 7, .external_lex_state = 3},
  [9900] = {.lex_state = 7, .external_lex_state = 3},
  [9901] = {.lex_state = 7, .external_lex_state = 3},
  [9902] = {.lex_state = 136, .external_lex_state = 2},
  [9903] = {.lex_state = 7, .external_lex_state = 3},
  [9904] = {.lex_state = 7, .external_lex_state = 3},
  [9905] = {.lex_state = 7, .external_lex_state = 3},
  [9906] = {.lex_state = 7, .external_lex_state = 3},
  [9907] = {.lex_state = 7, .external_lex_state = 3},
  [9908] = {.lex_state = 7, .external_lex_state = 3},
  [9909] = {.lex_state = 136, .external_lex_state = 2},
  [9910] = {.lex_state = 136, .external_lex_state = 2},
  [9911] = {.lex_state = 411, .external_lex_state = 3},
  [9912] = {.lex_state = 411, .external_lex_state = 3},
  [9913] = {.lex_state = 7, .external_lex_state = 3},
  [9914] = {.lex_state = 7, .external_lex_state = 3},
  [9915] = {.lex_state = 411, .external_lex_state = 3},
  [9916] = {.lex_state = 7, .external_lex_state = 3},
  [9917] = {.lex_state = 149, .external_lex_state = 2},
  [9918] = {.lex_state = 411, .external_lex_state = 3},
  [9919] = {.lex_state = 411, .external_lex_state = 3},
  [9920] = {.lex_state = 7, .external_lex_state = 3},
  [9921] = {.lex_state = 149, .external_lex_state = 2},
  [9922] = {.lex_state = 411, .external_lex_state = 3},
  [9923] = {.lex_state = 7, .external_lex_state = 3},
  [9924] = {.lex_state = 7, .external_lex_state = 3},
  [9925] = {.lex_state = 7, .external_lex_state = 3},
  [9926] = {.lex_state = 7, .external_lex_state = 3},
  [9927] = {.lex_state = 7, .external_lex_state = 3},
  [9928] = {.lex_state = 7, .external_lex_state = 3},
  [9929] = {.lex_state = 7, .external_lex_state = 3},
  [9930] = {.lex_state = 7, .external_lex_state = 3},
  [9931] = {.lex_state = 136, .external_lex_state = 2},
  [9932] = {.lex_state = 7, .external_lex_state = 3},
  [9933] = {.lex_state = 7, .external_lex_state = 3},
  [9934] = {.lex_state = 7, .external_lex_state = 3},
  [9935] = {.lex_state = 145, .external_lex_state = 2},
  [9936] = {.lex_state = 7, .external_lex_state = 3},
  [9937] = {.lex_state = 411, .external_lex_state = 3},
  [9938] = {.lex_state = 7, .external_lex_state = 3},
  [9939] = {.lex_state = 7, .external_lex_state = 3},
  [9940] = {.lex_state = 7, .external_lex_state = 3},
  [9941] = {.lex_state = 411, .external_lex_state = 3},
  [9942] = {.lex_state = 411, .external_lex_state = 3},
  [9943] = {.lex_state = 411, .external_lex_state = 3},
  [9944] = {.lex_state = 7, .external_lex_state = 3},
  [9945] = {.lex_state = 411, .external_lex_state = 3},
  [9946] = {.lex_state = 411, .external_lex_state = 3},
  [9947] = {.lex_state = 136, .external_lex_state = 2},
  [9948] = {.lex_state = 7, .external_lex_state = 3},
  [9949] = {.lex_state = 136, .external_lex_state = 2},
  [9950] = {.lex_state = 7, .external_lex_state = 3},
  [9951] = {.lex_state = 7, .external_lex_state = 3},
  [9952] = {.lex_state = 7, .external_lex_state = 3},
  [9953] = {.lex_state = 136, .external_lex_state = 2},
  [9954] = {.lex_state = 7, .external_lex_state = 3},
  [9955] = {.lex_state = 7, .external_lex_state = 3},
  [9956] = {.lex_state = 411, .external_lex_state = 3},
  [9957] = {.lex_state = 7, .external_lex_state = 3},
  [9958] = {.lex_state = 136, .external_lex_state = 2},
  [9959] = {.lex_state = 7, .external_lex_state = 3},
  [9960] = {.lex_state = 7, .external_lex_state = 3},
  [9961] = {.lex_state = 7, .external_lex_state = 3},
  [9962] = {.lex_state = 136, .external_lex_state = 2},
  [9963] = {.lex_state = 7, .external_lex_state = 3},
  [9964] = {.lex_state = 7, .external_lex_state = 3},
  [9965] = {.lex_state = 7, .external_lex_state = 3},
  [9966] = {.lex_state = 7, .external_lex_state = 3},
  [9967] = {.lex_state = 7, .external_lex_state = 3},
  [9968] = {.lex_state = 7, .external_lex_state = 3},
  [9969] = {.lex_state = 7, .external_lex_state = 3},
  [9970] = {.lex_state = 7, .external_lex_state = 3},
  [9971] = {.lex_state = 7, .external_lex_state = 3},
  [9972] = {.lex_state = 7, .external_lex_state = 3},
  [9973] = {.lex_state = 7, .external_lex_state = 3},
  [9974] = {.lex_state = 136, .external_lex_state = 2},
  [9975] = {.lex_state = 149, .external_lex_state = 2},
  [9976] = {.lex_state = 411, .external_lex_state = 3},
  [9977] = {.lex_state = 7, .external_lex_state = 3},
  [9978] = {.lex_state = 7, .external_lex_state = 3},
  [9979] = {.lex_state = 7, .external_lex_state = 3},
  [9980] = {.lex_state = 7, .external_lex_state = 3},
  [9981] = {.lex_state = 7, .external_lex_state = 3},
  [9982] = {.lex_state = 7, .external_lex_state = 3},
  [9983] = {.lex_state = 7, .external_lex_state = 3},
  [9984] = {.lex_state = 7, .external_lex_state = 3},
  [9985] = {.lex_state = 411, .external_lex_state = 3},
  [9986] = {.lex_state = 411, .external_lex_state = 3},
  [9987] = {.lex_state = 145, .external_lex_state = 2},
  [9988] = {.lex_state = 7, .external_lex_state = 3},
  [9989] = {.lex_state = 7, .external_lex_state = 3},
  [9990] = {.lex_state = 411, .external_lex_state = 3},
  [9991] = {.lex_state = 7, .external_lex_state = 3},
  [9992] = {.lex_state = 7, .external_lex_state = 3},
  [9993] = {.lex_state = 7, .external_lex_state = 3},
  [9994] = {.lex_state = 411, .external_lex_state = 3},
  [9995] = {.lex_state = 7, .external_lex_state = 3},
  [9996] = {.lex_state = 136, .external_lex_state = 2},
  [9997] = {.lex_state = 7, .external_lex_state = 3},
  [9998] = {.lex_state = 411, .external_lex_state = 3},
  [9999] = {.lex_state = 7, .external_lex_state = 3},
  [10000] = {.lex_state = 7, .external_lex_state = 3},
  [10001] = {.lex_state = 7, .external_lex_state = 3},
  [10002] = {.lex_state = 7, .external_lex_state = 3},
  [10003] = {.lex_state = 411, .external_lex_state = 3},
  [10004] = {.lex_state = 136, .external_lex_state = 2},
  [10005] = {.lex_state = 7, .external_lex_state = 3},
  [10006] = {.lex_state = 136, .external_lex_state = 2},
  [10007] = {.lex_state = 136, .external_lex_state = 2},
  [10008] = {.lex_state = 411, .external_lex_state = 3},
  [10009] = {.lex_state = 7, .external_lex_state = 3},
  [10010] = {.lex_state = 7, .external_lex_state = 3},
  [10011] = {.lex_state = 7, .external_lex_state = 3},
  [10012] = {.lex_state = 7, .external_lex_state = 3},
  [10013] = {.lex_state = 411, .external_lex_state = 3},
  [10014] = {.lex_state = 136, .external_lex_state = 2},
  [10015] = {.lex_state = 7, .external_lex_state = 3},
  [10016] = {.lex_state = 136, .external_lex_state = 2},
  [10017] = {.lex_state = 411, .external_lex_state = 3},
  [10018] = {.lex_state = 136, .external_lex_state = 2},
  [10019] = {.lex_state = 7, .external_lex_state = 3},
  [10020] = {.lex_state = 136, .external_lex_state = 2},
  [10021] = {.lex_state = 7, .external_lex_state = 3},
  [10022] = {.lex_state = 136, .external_lex_state = 2},
  [10023] = {.lex_state = 136, .external_lex_state = 2},
  [10024] = {.lex_state = 7, .external_lex_state = 3},
  [10025] = {.lex_state = 136, .external_lex_state = 2},
  [10026] = {.lex_state = 136, .external_lex_state = 2},
  [10027] = {.lex_state = 7, .external_lex_state = 3},
  [10028] = {.lex_state = 411, .external_lex_state = 3},
  [10029] = {.lex_state = 411, .external_lex_state = 3},
  [10030] = {.lex_state = 411, .external_lex_state = 3},
  [10031] = {.lex_state = 136, .external_lex_state = 2},
  [10032] = {.lex_state = 136, .external_lex_state = 2},
  [10033] = {.lex_state = 136, .external_lex_state = 2},
  [10034] = {.lex_state = 411, .external_lex_state = 3},
  [10035] = {.lex_state = 411, .external_lex_state = 3},
  [10036] = {.lex_state = 136, .external_lex_state = 2},
  [10037] = {.lex_state = 411, .external_lex_state = 3},
  [10038] = {.lex_state = 411, .external_lex_state = 3},
  [10039] = {.lex_state = 411, .external_lex_state = 3},
  [10040] = {.lex_state = 7, .external_lex_state = 3},
  [10041] = {.lex_state = 7, .external_lex_state = 3},
  [10042] = {.lex_state = 424, .external_lex_state = 3},
  [10043] = {.lex_state = 7, .external_lex_state = 3},
  [10044] = {.lex_state = 7, .external_lex_state = 3},
  [10045] = {.lex_state = 7, .external_lex_state = 3},
  [10046] = {.lex_state = 7, .external_lex_state = 3},
  [10047] = {.lex_state = 136, .external_lex_state = 2},
  [10048] = {.lex_state = 136, .external_lex_state = 2},
  [10049] = {.lex_state = 136, .external_lex_state = 2},
  [10050] = {.lex_state = 411, .external_lex_state = 3},
  [10051] = {.lex_state = 7, .external_lex_state = 3},
  [10052] = {.lex_state = 425, .external_lex_state = 3},
  [10053] = {.lex_state = 7, .external_lex_state = 3},
  [10054] = {.lex_state = 411, .external_lex_state = 3},
  [10055] = {.lex_state = 136, .external_lex_state = 2},
  [10056] = {.lex_state = 7, .external_lex_state = 3},
  [10057] = {.lex_state = 411, .external_lex_state = 3},
  [10058] = {.lex_state = 7, .external_lex_state = 3},
  [10059] = {.lex_state = 136, .external_lex_state = 2},
  [10060] = {.lex_state = 7, .external_lex_state = 3},
  [10061] = {.lex_state = 411, .external_lex_state = 3},
  [10062] = {.lex_state = 411, .external_lex_state = 3},
  [10063] = {.lex_state = 411, .external_lex_state = 3},
  [10064] = {.lex_state = 7, .external_lex_state = 3},
  [10065] = {.lex_state = 7, .external_lex_state = 3},
  [10066] = {.lex_state = 7, .external_lex_state = 3},
  [10067] = {.lex_state = 136, .external_lex_state = 2},
  [10068] = {.lex_state = 7, .external_lex_state = 3},
  [10069] = {.lex_state = 133, .external_lex_state = 2},
  [10070] = {.lex_state = 411, .external_lex_state = 3},
  [10071] = {.lex_state = 136, .external_lex_state = 2},
  [10072] = {.lex_state = 136, .external_lex_state = 2},
  [10073] = {.lex_state = 7, .external_lex_state = 3},
  [10074] = {.lex_state = 7, .external_lex_state = 3},
  [10075] = {.lex_state = 7, .external_lex_state = 3},
  [10076] = {.lex_state = 136, .external_lex_state = 2},
  [10077] = {.lex_state = 411, .external_lex_state = 3},
  [10078] = {.lex_state = 7, .external_lex_state = 3},
  [10079] = {.lex_state = 132, .external_lex_state = 3},
  [10080] = {.lex_state = 7, .external_lex_state = 3},
  [10081] = {.lex_state = 7, .external_lex_state = 3},
  [10082] = {.lex_state = 7, .external_lex_state = 3},
  [10083] = {.lex_state = 7, .external_lex_state = 3},
  [10084] = {.lex_state = 7, .external_lex_state = 3},
  [10085] = {.lex_state = 7, .external_lex_state = 3},
  [10086] = {.lex_state = 133, .external_lex_state = 2},
  [10087] = {.lex_state = 7, .external_lex_state = 3},
  [10088] = {.lex_state = 136, .external_lex_state = 2},
  [10089] = {.lex_state = 136, .external_lex_state = 2},
  [10090] = {.lex_state = 136, .external_lex_state = 2},
  [10091] = {.lex_state = 136, .external_lex_state = 2},
  [10092] = {.lex_state = 133, .external_lex_state = 2},
  [10093] = {.lex_state = 7, .external_lex_state = 3},
  [10094] = {.lex_state = 411, .external_lex_state = 3},
  [10095] = {.lex_state = 411, .external_lex_state = 3},
  [10096] = {.lex_state = 145, .external_lex_state = 2},
  [10097] = {.lex_state = 145, .external_lex_state = 2},
  [10098] = {.lex_state = 424, .external_lex_state = 3},
  [10099] = {.lex_state = 424, .external_lex_state = 3},
  [10100] = {.lex_state = 424, .external_lex_state = 3},
  [10101] = {.lex_state = 145, .external_lex_state = 2},
  [10102] = {.lex_state = 145, .external_lex_state = 2},
  [10103] = {.lex_state = 424, .external_lex_state = 3},
  [10104] = {.lex_state = 424, .external_lex_state = 3},
  [10105] = {.lex_state = 424, .external_lex_state = 3},
  [10106] = {.lex_state = 424, .external_lex_state = 3},
  [10107] = {.lex_state = 145, .external_lex_state = 2},
  [10108] = {.lex_state = 145, .external_lex_state = 2},
  [10109] = {.lex_state = 424, .external_lex_state = 3},
  [10110] = {.lex_state = 145, .external_lex_state = 2},
  [10111] = {.lex_state = 145, .external_lex_state = 2},
  [10112] = {.lex_state = 145, .external_lex_state = 2},
  [10113] = {.lex_state = 145, .external_lex_state = 2},
  [10114] = {.lex_state = 424, .external_lex_state = 3},
  [10115] = {.lex_state = 411, .external_lex_state = 3},
  [10116] = {.lex_state = 145, .external_lex_state = 2},
  [10117] = {.lex_state = 145, .external_lex_state = 2},
  [10118] = {.lex_state = 145, .external_lex_state = 2},
  [10119] = {.lex_state = 411, .external_lex_state = 3},
  [10120] = {.lex_state = 411, .external_lex_state = 3},
  [10121] = {.lex_state = 145, .external_lex_state = 2},
  [10122] = {.lex_state = 434, .external_lex_state = 3},
  [10123] = {.lex_state = 434, .external_lex_state = 3},
  [10124] = {.lex_state = 145, .external_lex_state = 2},
  [10125] = {.lex_state = 424, .external_lex_state = 3},
  [10126] = {.lex_state = 145, .external_lex_state = 2},
  [10127] = {.lex_state = 145, .external_lex_state = 2},
  [10128] = {.lex_state = 145, .external_lex_state = 2},
  [10129] = {.lex_state = 424, .external_lex_state = 3},
  [10130] = {.lex_state = 145, .external_lex_state = 2},
  [10131] = {.lex_state = 424, .external_lex_state = 3},
  [10132] = {.lex_state = 145, .external_lex_state = 2},
  [10133] = {.lex_state = 145, .external_lex_state = 2},
  [10134] = {.lex_state = 145, .external_lex_state = 2},
  [10135] = {.lex_state = 145, .external_lex_state = 2},
  [10136] = {.lex_state = 145, .external_lex_state = 2},
  [10137] = {.lex_state = 145, .external_lex_state = 2},
  [10138] = {.lex_state = 145, .external_lex_state = 2},
  [10139] = {.lex_state = 145, .external_lex_state = 2},
  [10140] = {.lex_state = 145, .external_lex_state = 2},
  [10141] = {.lex_state = 145, .external_lex_state = 2},
  [10142] = {.lex_state = 424, .external_lex_state = 3},
  [10143] = {.lex_state = 145, .external_lex_state = 2},
  [10144] = {.lex_state = 145, .external_lex_state = 2},
  [10145] = {.lex_state = 145, .external_lex_state = 2},
  [10146] = {.lex_state = 434, .external_lex_state = 3},
  [10147] = {.lex_state = 145, .external_lex_state = 2},
  [10148] = {.lex_state = 145, .external_lex_state = 2},
  [10149] = {.lex_state = 411, .external_lex_state = 3},
  [10150] = {.lex_state = 424, .external_lex_state = 3},
  [10151] = {.lex_state = 411, .external_lex_state = 3},
  [10152] = {.lex_state = 145, .external_lex_state = 2},
  [10153] = {.lex_state = 145, .external_lex_state = 2},
  [10154] = {.lex_state = 145, .external_lex_state = 2},
  [10155] = {.lex_state = 424, .external_lex_state = 3},
  [10156] = {.lex_state = 145, .external_lex_state = 2},
  [10157] = {.lex_state = 145, .external_lex_state = 2},
  [10158] = {.lex_state = 411, .external_lex_state = 3},
  [10159] = {.lex_state = 145, .external_lex_state = 2},
  [10160] = {.lex_state = 145, .external_lex_state = 2},
  [10161] = {.lex_state = 145, .external_lex_state = 2},
  [10162] = {.lex_state = 145, .external_lex_state = 2},
  [10163] = {.lex_state = 145, .external_lex_state = 2},
  [10164] = {.lex_state = 145, .external_lex_state = 2},
  [10165] = {.lex_state = 424, .external_lex_state = 3},
  [10166] = {.lex_state = 145, .external_lex_state = 2},
  [10167] = {.lex_state = 145, .external_lex_state = 2},
  [10168] = {.lex_state = 145, .external_lex_state = 2},
  [10169] = {.lex_state = 145, .external_lex_state = 2},
  [10170] = {.lex_state = 411, .external_lex_state = 3},
  [10171] = {.lex_state = 411, .external_lex_state = 3},
  [10172] = {.lex_state = 431, .external_lex_state = 3},
  [10173] = {.lex_state = 188, .external_lex_state = 3},
  [10174] = {.lex_state = 411, .external_lex_state = 3},
  [10175] = {.lex_state = 411, .external_lex_state = 3},
  [10176] = {.lex_state = 188, .external_lex_state = 3},
  [10177] = {.lex_state = 434, .external_lex_state = 3},
  [10178] = {.lex_state = 411, .external_lex_state = 3},
  [10179] = {.lex_state = 411, .external_lex_state = 3},
  [10180] = {.lex_state = 411, .external_lex_state = 3},
  [10181] = {.lex_state = 431, .external_lex_state = 3},
  [10182] = {.lex_state = 188, .external_lex_state = 3},
  [10183] = {.lex_state = 431, .external_lex_state = 3},
  [10184] = {.lex_state = 434, .external_lex_state = 3},
  [10185] = {.lex_state = 431, .external_lex_state = 3},
  [10186] = {.lex_state = 7, .external_lex_state = 3},
  [10187] = {.lex_state = 434, .external_lex_state = 3},
  [10188] = {.lex_state = 431, .external_lex_state = 3},
  [10189] = {.lex_state = 7, .external_lex_state = 3},
  [10190] = {.lex_state = 7, .external_lex_state = 3},
  [10191] = {.lex_state = 7, .external_lex_state = 3},
  [10192] = {.lex_state = 411, .external_lex_state = 3},
  [10193] = {.lex_state = 7, .external_lex_state = 3},
  [10194] = {.lex_state = 188, .external_lex_state = 3},
  [10195] = {.lex_state = 7, .external_lex_state = 3},
  [10196] = {.lex_state = 7, .external_lex_state = 3},
  [10197] = {.lex_state = 7, .external_lex_state = 3},
  [10198] = {.lex_state = 7, .external_lex_state = 3},
  [10199] = {.lex_state = 7, .external_lex_state = 3},
  [10200] = {.lex_state = 411, .external_lex_state = 3},
  [10201] = {.lex_state = 431, .external_lex_state = 3},
  [10202] = {.lex_state = 411, .external_lex_state = 3},
  [10203] = {.lex_state = 431, .external_lex_state = 3},
  [10204] = {.lex_state = 7, .external_lex_state = 3},
  [10205] = {.lex_state = 7, .external_lex_state = 3},
  [10206] = {.lex_state = 434, .external_lex_state = 3},
  [10207] = {.lex_state = 7, .external_lex_state = 3},
  [10208] = {.lex_state = 434, .external_lex_state = 3},
  [10209] = {.lex_state = 424, .external_lex_state = 3},
  [10210] = {.lex_state = 431, .external_lex_state = 3},
  [10211] = {.lex_state = 434, .external_lex_state = 3},
  [10212] = {.lex_state = 434, .external_lex_state = 3},
  [10213] = {.lex_state = 7, .external_lex_state = 3},
  [10214] = {.lex_state = 7, .external_lex_state = 3},
  [10215] = {.lex_state = 7, .external_lex_state = 3},
  [10216] = {.lex_state = 7, .external_lex_state = 3},
  [10217] = {.lex_state = 7, .external_lex_state = 3},
  [10218] = {.lex_state = 434, .external_lex_state = 3},
  [10219] = {.lex_state = 434, .external_lex_state = 3},
  [10220] = {.lex_state = 424, .external_lex_state = 3},
  [10221] = {.lex_state = 424, .external_lex_state = 3},
  [10222] = {.lex_state = 7, .external_lex_state = 3},
  [10223] = {.lex_state = 434, .external_lex_state = 3},
  [10224] = {.lex_state = 434, .external_lex_state = 3},
  [10225] = {.lex_state = 434, .external_lex_state = 3},
  [10226] = {.lex_state = 434, .external_lex_state = 3},
  [10227] = {.lex_state = 7, .external_lex_state = 3},
  [10228] = {.lex_state = 180, .external_lex_state = 3},
  [10229] = {.lex_state = 434, .external_lex_state = 3},
  [10230] = {.lex_state = 434, .external_lex_state = 3},
  [10231] = {.lex_state = 7, .external_lex_state = 3},
  [10232] = {.lex_state = 434, .external_lex_state = 3},
  [10233] = {.lex_state = 7, .external_lex_state = 3},
  [10234] = {.lex_state = 7, .external_lex_state = 3},
  [10235] = {.lex_state = 180, .external_lex_state = 3},
  [10236] = {.lex_state = 434, .external_lex_state = 3},
  [10237] = {.lex_state = 434, .external_lex_state = 3},
  [10238] = {.lex_state = 434, .external_lex_state = 3},
  [10239] = {.lex_state = 434, .external_lex_state = 3},
  [10240] = {.lex_state = 434, .external_lex_state = 3},
  [10241] = {.lex_state = 434, .external_lex_state = 3},
  [10242] = {.lex_state = 434, .external_lex_state = 3},
  [10243] = {.lex_state = 434, .external_lex_state = 3},
  [10244] = {.lex_state = 434, .external_lex_state = 3},
  [10245] = {.lex_state = 7, .external_lex_state = 3},
  [10246] = {.lex_state = 7, .external_lex_state = 3},
  [10247] = {.lex_state = 434, .external_lex_state = 3},
  [10248] = {.lex_state = 7, .external_lex_state = 3},
  [10249] = {.lex_state = 431, .external_lex_state = 3},
  [10250] = {.lex_state = 7, .external_lex_state = 3},
  [10251] = {.lex_state = 424, .external_lex_state = 3},
  [10252] = {.lex_state = 411, .external_lex_state = 3},
  [10253] = {.lex_state = 424, .external_lex_state = 3},
  [10254] = {.lex_state = 7, .external_lex_state = 3},
  [10255] = {.lex_state = 7, .external_lex_state = 3},
  [10256] = {.lex_state = 7, .external_lex_state = 3},
  [10257] = {.lex_state = 7, .external_lex_state = 3},
  [10258] = {.lex_state = 434, .external_lex_state = 3},
  [10259] = {.lex_state = 434, .external_lex_state = 3},
  [10260] = {.lex_state = 434, .external_lex_state = 3},
  [10261] = {.lex_state = 434, .external_lex_state = 3},
  [10262] = {.lex_state = 434, .external_lex_state = 3},
  [10263] = {.lex_state = 7, .external_lex_state = 3},
  [10264] = {.lex_state = 7, .external_lex_state = 3},
  [10265] = {.lex_state = 7, .external_lex_state = 3},
  [10266] = {.lex_state = 7, .external_lex_state = 3},
  [10267] = {.lex_state = 7, .external_lex_state = 3},
  [10268] = {.lex_state = 431, .external_lex_state = 3},
  [10269] = {.lex_state = 434, .external_lex_state = 3},
  [10270] = {.lex_state = 424, .external_lex_state = 3},
  [10271] = {.lex_state = 7, .external_lex_state = 3},
  [10272] = {.lex_state = 7, .external_lex_state = 3},
  [10273] = {.lex_state = 7, .external_lex_state = 3},
  [10274] = {.lex_state = 434, .external_lex_state = 3},
  [10275] = {.lex_state = 7, .external_lex_state = 3},
  [10276] = {.lex_state = 7, .external_lex_state = 3},
  [10277] = {.lex_state = 424, .external_lex_state = 3},
  [10278] = {.lex_state = 7, .external_lex_state = 3},
  [10279] = {.lex_state = 7, .external_lex_state = 3},
  [10280] = {.lex_state = 7, .external_lex_state = 3},
  [10281] = {.lex_state = 7, .external_lex_state = 3},
  [10282] = {.lex_state = 15, .external_lex_state = 2},
  [10283] = {.lex_state = 189, .external_lex_state = 3},
  [10284] = {.lex_state = 431, .external_lex_state = 3},
  [10285] = {.lex_state = 7, .external_lex_state = 3},
  [10286] = {.lex_state = 429, .external_lex_state = 3},
  [10287] = {.lex_state = 7, .external_lex_state = 3},
  [10288] = {.lex_state = 417, .external_lex_state = 3},
  [10289] = {.lex_state = 7, .external_lex_state = 3},
  [10290] = {.lex_state = 417, .external_lex_state = 3},
  [10291] = {.lex_state = 7, .external_lex_state = 3},
  [10292] = {.lex_state = 431, .external_lex_state = 3},
  [10293] = {.lex_state = 7, .external_lex_state = 3},
  [10294] = {.lex_state = 431, .external_lex_state = 3},
  [10295] = {.lex_state = 431, .external_lex_state = 3},
  [10296] = {.lex_state = 431, .external_lex_state = 3},
  [10297] = {.lex_state = 15, .external_lex_state = 2},
  [10298] = {.lex_state = 7, .external_lex_state = 3},
  [10299] = {.lex_state = 7, .external_lex_state = 3},
  [10300] = {.lex_state = 431, .external_lex_state = 3},
  [10301] = {.lex_state = 15, .external_lex_state = 2},
  [10302] = {.lex_state = 7, .external_lex_state = 3},
  [10303] = {.lex_state = 7, .external_lex_state = 3},
  [10304] = {.lex_state = 431, .external_lex_state = 3},
  [10305] = {.lex_state = 7, .external_lex_state = 3},
  [10306] = {.lex_state = 411, .external_lex_state = 3},
  [10307] = {.lex_state = 7, .external_lex_state = 3},
  [10308] = {.lex_state = 15, .external_lex_state = 2},
  [10309] = {.lex_state = 15, .external_lex_state = 2},
  [10310] = {.lex_state = 417, .external_lex_state = 3},
  [10311] = {.lex_state = 7, .external_lex_state = 3},
  [10312] = {.lex_state = 7, .external_lex_state = 3},
  [10313] = {.lex_state = 7, .external_lex_state = 3},
  [10314] = {.lex_state = 7, .external_lex_state = 3},
  [10315] = {.lex_state = 15, .external_lex_state = 2},
  [10316] = {.lex_state = 180, .external_lex_state = 3},
  [10317] = {.lex_state = 7, .external_lex_state = 3},
  [10318] = {.lex_state = 15, .external_lex_state = 2},
  [10319] = {.lex_state = 7, .external_lex_state = 3},
  [10320] = {.lex_state = 15, .external_lex_state = 2},
  [10321] = {.lex_state = 424, .external_lex_state = 3},
  [10322] = {.lex_state = 15, .external_lex_state = 2},
  [10323] = {.lex_state = 424, .external_lex_state = 3},
  [10324] = {.lex_state = 424, .external_lex_state = 3},
  [10325] = {.lex_state = 15, .external_lex_state = 2},
  [10326] = {.lex_state = 7, .external_lex_state = 3},
  [10327] = {.lex_state = 15, .external_lex_state = 2},
  [10328] = {.lex_state = 7, .external_lex_state = 3},
  [10329] = {.lex_state = 7, .external_lex_state = 3},
  [10330] = {.lex_state = 7, .external_lex_state = 3},
  [10331] = {.lex_state = 15, .external_lex_state = 2},
  [10332] = {.lex_state = 15, .external_lex_state = 2},
  [10333] = {.lex_state = 7, .external_lex_state = 3},
  [10334] = {.lex_state = 7, .external_lex_state = 3},
  [10335] = {.lex_state = 7, .external_lex_state = 3},
  [10336] = {.lex_state = 7, .external_lex_state = 3},
  [10337] = {.lex_state = 431, .external_lex_state = 3},
  [10338] = {.lex_state = 429, .external_lex_state = 3},
  [10339] = {.lex_state = 7, .external_lex_state = 3},
  [10340] = {.lex_state = 7, .external_lex_state = 3},
  [10341] = {.lex_state = 7, .external_lex_state = 3},
  [10342] = {.lex_state = 7, .external_lex_state = 3},
  [10343] = {.lex_state = 424, .external_lex_state = 3},
  [10344] = {.lex_state = 7, .external_lex_state = 3},
  [10345] = {.lex_state = 411, .external_lex_state = 3},
  [10346] = {.lex_state = 7, .external_lex_state = 3},
  [10347] = {.lex_state = 7, .external_lex_state = 3},
  [10348] = {.lex_state = 417, .external_lex_state = 3},
  [10349] = {.lex_state = 7, .external_lex_state = 3},
  [10350] = {.lex_state = 7, .external_lex_state = 3},
  [10351] = {.lex_state = 417, .external_lex_state = 3},
  [10352] = {.lex_state = 15, .external_lex_state = 2},
  [10353] = {.lex_state = 15, .external_lex_state = 2},
  [10354] = {.lex_state = 7, .external_lex_state = 3},
  [10355] = {.lex_state = 7, .external_lex_state = 3},
  [10356] = {.lex_state = 7, .external_lex_state = 3},
  [10357] = {.lex_state = 7, .external_lex_state = 3},
  [10358] = {.lex_state = 7, .external_lex_state = 3},
  [10359] = {.lex_state = 431, .external_lex_state = 3},
  [10360] = {.lex_state = 7, .external_lex_state = 3},
  [10361] = {.lex_state = 431, .external_lex_state = 3},
  [10362] = {.lex_state = 427, .external_lex_state = 3},
  [10363] = {.lex_state = 7, .external_lex_state = 3},
  [10364] = {.lex_state = 431, .external_lex_state = 3},
  [10365] = {.lex_state = 431, .external_lex_state = 3},
  [10366] = {.lex_state = 431, .external_lex_state = 3},
  [10367] = {.lex_state = 431, .external_lex_state = 3},
  [10368] = {.lex_state = 7, .external_lex_state = 3},
  [10369] = {.lex_state = 7, .external_lex_state = 3},
  [10370] = {.lex_state = 431, .external_lex_state = 3},
  [10371] = {.lex_state = 7, .external_lex_state = 3},
  [10372] = {.lex_state = 7, .external_lex_state = 3},
  [10373] = {.lex_state = 7, .external_lex_state = 3},
  [10374] = {.lex_state = 7, .external_lex_state = 3},
  [10375] = {.lex_state = 7, .external_lex_state = 3},
  [10376] = {.lex_state = 7, .external_lex_state = 3},
  [10377] = {.lex_state = 431, .external_lex_state = 3},
  [10378] = {.lex_state = 15, .external_lex_state = 2},
  [10379] = {.lex_state = 431, .external_lex_state = 3},
  [10380] = {.lex_state = 7, .external_lex_state = 3},
  [10381] = {.lex_state = 7, .external_lex_state = 3},
  [10382] = {.lex_state = 417, .external_lex_state = 3},
  [10383] = {.lex_state = 15, .external_lex_state = 2},
  [10384] = {.lex_state = 431, .external_lex_state = 3},
  [10385] = {.lex_state = 7, .external_lex_state = 3},
  [10386] = {.lex_state = 7, .external_lex_state = 3},
  [10387] = {.lex_state = 7, .external_lex_state = 3},
  [10388] = {.lex_state = 15, .external_lex_state = 2},
  [10389] = {.lex_state = 15, .external_lex_state = 2},
  [10390] = {.lex_state = 7, .external_lex_state = 3},
  [10391] = {.lex_state = 7, .external_lex_state = 3},
  [10392] = {.lex_state = 7, .external_lex_state = 3},
  [10393] = {.lex_state = 15, .external_lex_state = 2},
  [10394] = {.lex_state = 15, .external_lex_state = 2},
  [10395] = {.lex_state = 15, .external_lex_state = 2},
  [10396] = {.lex_state = 15, .external_lex_state = 2},
  [10397] = {.lex_state = 15, .external_lex_state = 2},
  [10398] = {.lex_state = 431, .external_lex_state = 3},
  [10399] = {.lex_state = 15, .external_lex_state = 2},
  [10400] = {.lex_state = 15, .external_lex_state = 2},
  [10401] = {.lex_state = 15, .external_lex_state = 2},
  [10402] = {.lex_state = 7, .external_lex_state = 3},
  [10403] = {.lex_state = 15, .external_lex_state = 2},
  [10404] = {.lex_state = 15, .external_lex_state = 2},
  [10405] = {.lex_state = 15, .external_lex_state = 2},
  [10406] = {.lex_state = 7, .external_lex_state = 3},
  [10407] = {.lex_state = 15, .external_lex_state = 2},
  [10408] = {.lex_state = 15, .external_lex_state = 2},
  [10409] = {.lex_state = 15, .external_lex_state = 2},
  [10410] = {.lex_state = 15, .external_lex_state = 2},
  [10411] = {.lex_state = 15, .external_lex_state = 2},
  [10412] = {.lex_state = 7, .external_lex_state = 3},
  [10413] = {.lex_state = 15, .external_lex_state = 2},
  [10414] = {.lex_state = 15, .external_lex_state = 2},
  [10415] = {.lex_state = 15, .external_lex_state = 2},
  [10416] = {.lex_state = 7, .external_lex_state = 3},
  [10417] = {.lex_state = 15, .external_lex_state = 2},
  [10418] = {.lex_state = 15, .external_lex_state = 2},
  [10419] = {.lex_state = 15, .external_lex_state = 2},
  [10420] = {.lex_state = 15, .external_lex_state = 2},
  [10421] = {.lex_state = 15, .external_lex_state = 2},
  [10422] = {.lex_state = 15, .external_lex_state = 2},
  [10423] = {.lex_state = 15, .external_lex_state = 2},
  [10424] = {.lex_state = 15, .external_lex_state = 2},
  [10425] = {.lex_state = 7, .external_lex_state = 3},
  [10426] = {.lex_state = 15, .external_lex_state = 2},
  [10427] = {.lex_state = 7, .external_lex_state = 3},
  [10428] = {.lex_state = 15, .external_lex_state = 2},
  [10429] = {.lex_state = 431, .external_lex_state = 3},
  [10430] = {.lex_state = 15, .external_lex_state = 2},
  [10431] = {.lex_state = 15, .external_lex_state = 2},
  [10432] = {.lex_state = 15, .external_lex_state = 2},
  [10433] = {.lex_state = 15, .external_lex_state = 2},
  [10434] = {.lex_state = 15, .external_lex_state = 2},
  [10435] = {.lex_state = 15, .external_lex_state = 2},
  [10436] = {.lex_state = 15, .external_lex_state = 2},
  [10437] = {.lex_state = 15, .external_lex_state = 2},
  [10438] = {.lex_state = 15, .external_lex_state = 2},
  [10439] = {.lex_state = 431, .external_lex_state = 3},
  [10440] = {.lex_state = 15, .external_lex_state = 2},
  [10441] = {.lex_state = 7, .external_lex_state = 3},
  [10442] = {.lex_state = 15, .external_lex_state = 2},
  [10443] = {.lex_state = 431, .external_lex_state = 3},
  [10444] = {.lex_state = 7, .external_lex_state = 3},
  [10445] = {.lex_state = 7, .external_lex_state = 3},
  [10446] = {.lex_state = 7, .external_lex_state = 3},
  [10447] = {.lex_state = 424, .external_lex_state = 3},
  [10448] = {.lex_state = 429, .external_lex_state = 3},
  [10449] = {.lex_state = 15, .external_lex_state = 2},
  [10450] = {.lex_state = 7, .external_lex_state = 3},
  [10451] = {.lex_state = 7, .external_lex_state = 3},
  [10452] = {.lex_state = 7, .external_lex_state = 3},
  [10453] = {.lex_state = 7, .external_lex_state = 3},
  [10454] = {.lex_state = 7, .external_lex_state = 3},
  [10455] = {.lex_state = 15, .external_lex_state = 2},
  [10456] = {.lex_state = 7, .external_lex_state = 3},
  [10457] = {.lex_state = 7, .external_lex_state = 3},
  [10458] = {.lex_state = 7, .external_lex_state = 3},
  [10459] = {.lex_state = 187, .external_lex_state = 3},
  [10460] = {.lex_state = 431, .external_lex_state = 3},
  [10461] = {.lex_state = 188, .external_lex_state = 3},
  [10462] = {.lex_state = 15, .external_lex_state = 2},
  [10463] = {.lex_state = 7, .external_lex_state = 3},
  [10464] = {.lex_state = 429, .external_lex_state = 3},
  [10465] = {.lex_state = 7, .external_lex_state = 3},
  [10466] = {.lex_state = 7, .external_lex_state = 3},
  [10467] = {.lex_state = 7, .external_lex_state = 3},
  [10468] = {.lex_state = 431, .external_lex_state = 3},
  [10469] = {.lex_state = 431, .external_lex_state = 3},
  [10470] = {.lex_state = 7, .external_lex_state = 3},
  [10471] = {.lex_state = 7, .external_lex_state = 3},
  [10472] = {.lex_state = 7, .external_lex_state = 3},
  [10473] = {.lex_state = 189, .external_lex_state = 3},
  [10474] = {.lex_state = 431, .external_lex_state = 3},
  [10475] = {.lex_state = 7, .external_lex_state = 3},
  [10476] = {.lex_state = 431, .external_lex_state = 3},
  [10477] = {.lex_state = 7, .external_lex_state = 3},
  [10478] = {.lex_state = 7, .external_lex_state = 3},
  [10479] = {.lex_state = 7, .external_lex_state = 3},
  [10480] = {.lex_state = 7, .external_lex_state = 3},
  [10481] = {.lex_state = 15, .external_lex_state = 2},
  [10482] = {.lex_state = 7, .external_lex_state = 3},
  [10483] = {.lex_state = 7, .external_lex_state = 3},
  [10484] = {.lex_state = 15, .external_lex_state = 2},
  [10485] = {.lex_state = 431, .external_lex_state = 3},
  [10486] = {.lex_state = 189, .external_lex_state = 3},
  [10487] = {.lex_state = 7, .external_lex_state = 3},
  [10488] = {.lex_state = 15, .external_lex_state = 2},
  [10489] = {.lex_state = 7, .external_lex_state = 3},
  [10490] = {.lex_state = 15, .external_lex_state = 2},
  [10491] = {.lex_state = 431, .external_lex_state = 3},
  [10492] = {.lex_state = 431, .external_lex_state = 3},
  [10493] = {.lex_state = 7, .external_lex_state = 3},
  [10494] = {.lex_state = 7, .external_lex_state = 3},
  [10495] = {.lex_state = 15, .external_lex_state = 2},
  [10496] = {.lex_state = 15, .external_lex_state = 2},
  [10497] = {.lex_state = 7, .external_lex_state = 3},
  [10498] = {.lex_state = 15, .external_lex_state = 2},
  [10499] = {.lex_state = 7, .external_lex_state = 3},
  [10500] = {.lex_state = 7, .external_lex_state = 3},
  [10501] = {.lex_state = 15, .external_lex_state = 2},
  [10502] = {.lex_state = 188, .external_lex_state = 3},
  [10503] = {.lex_state = 180, .external_lex_state = 3},
  [10504] = {.lex_state = 180, .external_lex_state = 3},
  [10505] = {.lex_state = 7, .external_lex_state = 3},
  [10506] = {.lex_state = 7, .external_lex_state = 3},
  [10507] = {.lex_state = 431, .external_lex_state = 3},
  [10508] = {.lex_state = 7, .external_lex_state = 3},
  [10509] = {.lex_state = 7, .external_lex_state = 3},
  [10510] = {.lex_state = 7, .external_lex_state = 3},
  [10511] = {.lex_state = 15, .external_lex_state = 2},
  [10512] = {.lex_state = 188, .external_lex_state = 3},
  [10513] = {.lex_state = 188, .external_lex_state = 3},
  [10514] = {.lex_state = 188, .external_lex_state = 3},
  [10515] = {.lex_state = 188, .external_lex_state = 3},
  [10516] = {.lex_state = 7, .external_lex_state = 3},
  [10517] = {.lex_state = 7, .external_lex_state = 3},
  [10518] = {.lex_state = 15, .external_lex_state = 2},
  [10519] = {.lex_state = 7, .external_lex_state = 3},
  [10520] = {.lex_state = 7, .external_lex_state = 3},
  [10521] = {.lex_state = 7, .external_lex_state = 3},
  [10522] = {.lex_state = 188, .external_lex_state = 3},
  [10523] = {.lex_state = 188, .external_lex_state = 3},
  [10524] = {.lex_state = 188, .external_lex_state = 3},
  [10525] = {.lex_state = 188, .external_lex_state = 3},
  [10526] = {.lex_state = 7, .external_lex_state = 3},
  [10527] = {.lex_state = 7, .external_lex_state = 3},
  [10528] = {.lex_state = 188, .external_lex_state = 3},
  [10529] = {.lex_state = 188, .external_lex_state = 3},
  [10530] = {.lex_state = 188, .external_lex_state = 3},
  [10531] = {.lex_state = 188, .external_lex_state = 3},
  [10532] = {.lex_state = 7, .external_lex_state = 3},
  [10533] = {.lex_state = 188, .external_lex_state = 3},
  [10534] = {.lex_state = 188, .external_lex_state = 3},
  [10535] = {.lex_state = 188, .external_lex_state = 3},
  [10536] = {.lex_state = 7, .external_lex_state = 3},
  [10537] = {.lex_state = 188, .external_lex_state = 3},
  [10538] = {.lex_state = 188, .external_lex_state = 3},
  [10539] = {.lex_state = 7, .external_lex_state = 3},
  [10540] = {.lex_state = 188, .external_lex_state = 3},
  [10541] = {.lex_state = 188, .external_lex_state = 3},
  [10542] = {.lex_state = 188, .external_lex_state = 3},
  [10543] = {.lex_state = 7, .external_lex_state = 3},
  [10544] = {.lex_state = 188, .external_lex_state = 3},
  [10545] = {.lex_state = 7, .external_lex_state = 3},
  [10546] = {.lex_state = 188, .external_lex_state = 3},
  [10547] = {.lex_state = 180, .external_lex_state = 3},
  [10548] = {.lex_state = 431, .external_lex_state = 3},
  [10549] = {.lex_state = 188, .external_lex_state = 3},
  [10550] = {.lex_state = 7, .external_lex_state = 3},
  [10551] = {.lex_state = 7, .external_lex_state = 3},
  [10552] = {.lex_state = 180, .external_lex_state = 3},
  [10553] = {.lex_state = 180, .external_lex_state = 3},
  [10554] = {.lex_state = 7, .external_lex_state = 3},
  [10555] = {.lex_state = 7, .external_lex_state = 3},
  [10556] = {.lex_state = 7, .external_lex_state = 3},
  [10557] = {.lex_state = 7, .external_lex_state = 3},
  [10558] = {.lex_state = 188, .external_lex_state = 3},
  [10559] = {.lex_state = 7, .external_lex_state = 3},
  [10560] = {.lex_state = 7, .external_lex_state = 3},
  [10561] = {.lex_state = 7, .external_lex_state = 3},
  [10562] = {.lex_state = 7, .external_lex_state = 3},
  [10563] = {.lex_state = 7, .external_lex_state = 3},
  [10564] = {.lex_state = 7, .external_lex_state = 3},
  [10565] = {.lex_state = 7, .external_lex_state = 3},
  [10566] = {.lex_state = 7, .external_lex_state = 3},
  [10567] = {.lex_state = 7, .external_lex_state = 3},
  [10568] = {.lex_state = 188, .external_lex_state = 3},
  [10569] = {.lex_state = 188, .external_lex_state = 3},
  [10570] = {.lex_state = 188, .external_lex_state = 3},
  [10571] = {.lex_state = 188, .external_lex_state = 3},
  [10572] = {.lex_state = 188, .external_lex_state = 3},
  [10573] = {.lex_state = 180, .external_lex_state = 3},
  [10574] = {.lex_state = 15, .external_lex_state = 2},
  [10575] = {.lex_state = 188, .external_lex_state = 3},
  [10576] = {.lex_state = 187, .external_lex_state = 3},
  [10577] = {.lex_state = 180, .external_lex_state = 3},
  [10578] = {.lex_state = 7, .external_lex_state = 3},
  [10579] = {.lex_state = 431, .external_lex_state = 3},
  [10580] = {.lex_state = 15, .external_lex_state = 2},
  [10581] = {.lex_state = 7, .external_lex_state = 3},
  [10582] = {.lex_state = 7, .external_lex_state = 3},
  [10583] = {.lex_state = 7, .external_lex_state = 3},
  [10584] = {.lex_state = 187, .external_lex_state = 3},
  [10585] = {.lex_state = 7, .external_lex_state = 3},
  [10586] = {.lex_state = 15, .external_lex_state = 2},
  [10587] = {.lex_state = 7, .external_lex_state = 3},
  [10588] = {.lex_state = 7, .external_lex_state = 3},
  [10589] = {.lex_state = 7, .external_lex_state = 3},
  [10590] = {.lex_state = 7, .external_lex_state = 3},
  [10591] = {.lex_state = 7, .external_lex_state = 3},
  [10592] = {.lex_state = 431, .external_lex_state = 3},
  [10593] = {.lex_state = 130, .external_lex_state = 3},
  [10594] = {.lex_state = 180, .external_lex_state = 3},
  [10595] = {.lex_state = 7, .external_lex_state = 3},
  [10596] = {.lex_state = 130, .external_lex_state = 3},
  [10597] = {.lex_state = 130, .external_lex_state = 3},
  [10598] = {.lex_state = 130, .external_lex_state = 3},
  [10599] = {.lex_state = 167, .external_lex_state = 3},
  [10600] = {.lex_state = 180, .external_lex_state = 3},
  [10601] = {.lex_state = 130, .external_lex_state = 3},
  [10602] = {.lex_state = 180, .external_lex_state = 3},
  [10603] = {.lex_state = 424, .external_lex_state = 3},
  [10604] = {.lex_state = 187, .external_lex_state = 3},
  [10605] = {.lex_state = 7, .external_lex_state = 3},
  [10606] = {.lex_state = 139, .external_lex_state = 3},
  [10607] = {.lex_state = 174, .external_lex_state = 3},
  [10608] = {.lex_state = 139, .external_lex_state = 3},
  [10609] = {.lex_state = 167, .external_lex_state = 3},
  [10610] = {.lex_state = 180, .external_lex_state = 3},
  [10611] = {.lex_state = 167, .external_lex_state = 3},
  [10612] = {.lex_state = 180, .external_lex_state = 3},
  [10613] = {.lex_state = 9, .external_lex_state = 3},
  [10614] = {.lex_state = 424, .external_lex_state = 3},
  [10615] = {.lex_state = 139, .external_lex_state = 3},
  [10616] = {.lex_state = 180, .external_lex_state = 3},
  [10617] = {.lex_state = 180, .external_lex_state = 3},
  [10618] = {.lex_state = 180, .external_lex_state = 3},
  [10619] = {.lex_state = 139, .external_lex_state = 3},
  [10620] = {.lex_state = 424, .external_lex_state = 3},
  [10621] = {.lex_state = 139, .external_lex_state = 3},
  [10622] = {.lex_state = 431, .external_lex_state = 3},
  [10623] = {.lex_state = 180, .external_lex_state = 3},
  [10624] = {.lex_state = 417, .external_lex_state = 3},
  [10625] = {.lex_state = 7, .external_lex_state = 3},
  [10626] = {.lex_state = 146, .external_lex_state = 2},
  [10627] = {.lex_state = 7, .external_lex_state = 3},
  [10628] = {.lex_state = 424, .external_lex_state = 3},
  [10629] = {.lex_state = 180, .external_lex_state = 3},
  [10630] = {.lex_state = 7, .external_lex_state = 3},
  [10631] = {.lex_state = 167, .external_lex_state = 3},
  [10632] = {.lex_state = 180, .external_lex_state = 3},
  [10633] = {.lex_state = 130, .external_lex_state = 3},
  [10634] = {.lex_state = 424, .external_lex_state = 3},
  [10635] = {.lex_state = 189, .external_lex_state = 3},
  [10636] = {.lex_state = 130, .external_lex_state = 3},
  [10637] = {.lex_state = 180, .external_lex_state = 3},
  [10638] = {.lex_state = 432, .external_lex_state = 3},
  [10639] = {.lex_state = 7, .external_lex_state = 3},
  [10640] = {.lex_state = 432, .external_lex_state = 3},
  [10641] = {.lex_state = 180, .external_lex_state = 3},
  [10642] = {.lex_state = 180, .external_lex_state = 3},
  [10643] = {.lex_state = 130, .external_lex_state = 3},
  [10644] = {.lex_state = 180, .external_lex_state = 3},
  [10645] = {.lex_state = 175, .external_lex_state = 3},
  [10646] = {.lex_state = 130, .external_lex_state = 3},
  [10647] = {.lex_state = 167, .external_lex_state = 3},
  [10648] = {.lex_state = 130, .external_lex_state = 3},
  [10649] = {.lex_state = 424, .external_lex_state = 3},
  [10650] = {.lex_state = 130, .external_lex_state = 3},
  [10651] = {.lex_state = 130, .external_lex_state = 3},
  [10652] = {.lex_state = 130, .external_lex_state = 3},
  [10653] = {.lex_state = 130, .external_lex_state = 3},
  [10654] = {.lex_state = 426, .external_lex_state = 3},
  [10655] = {.lex_state = 180, .external_lex_state = 3},
  [10656] = {.lex_state = 130, .external_lex_state = 3},
  [10657] = {.lex_state = 130, .external_lex_state = 3},
  [10658] = {.lex_state = 130, .external_lex_state = 3},
  [10659] = {.lex_state = 180, .external_lex_state = 3},
  [10660] = {.lex_state = 130, .external_lex_state = 3},
  [10661] = {.lex_state = 424, .external_lex_state = 3},
  [10662] = {.lex_state = 180, .external_lex_state = 3},
  [10663] = {.lex_state = 180, .external_lex_state = 3},
  [10664] = {.lex_state = 130, .external_lex_state = 3},
  [10665] = {.lex_state = 180, .external_lex_state = 3},
  [10666] = {.lex_state = 180, .external_lex_state = 3},
  [10667] = {.lex_state = 130, .external_lex_state = 3},
  [10668] = {.lex_state = 424, .external_lex_state = 3},
  [10669] = {.lex_state = 180, .external_lex_state = 3},
  [10670] = {.lex_state = 180, .external_lex_state = 3},
  [10671] = {.lex_state = 180, .external_lex_state = 3},
  [10672] = {.lex_state = 180, .external_lex_state = 3},
  [10673] = {.lex_state = 180, .external_lex_state = 3},
  [10674] = {.lex_state = 130, .external_lex_state = 3},
  [10675] = {.lex_state = 174, .external_lex_state = 3},
  [10676] = {.lex_state = 180, .external_lex_state = 3},
  [10677] = {.lex_state = 424, .external_lex_state = 3},
  [10678] = {.lex_state = 417, .external_lex_state = 3},
  [10679] = {.lex_state = 7, .external_lex_state = 3},
  [10680] = {.lex_state = 180, .external_lex_state = 3},
  [10681] = {.lex_state = 139, .external_lex_state = 3},
  [10682] = {.lex_state = 7, .external_lex_state = 3},
  [10683] = {.lex_state = 424, .external_lex_state = 3},
  [10684] = {.lex_state = 7, .external_lex_state = 3},
  [10685] = {.lex_state = 180, .external_lex_state = 3},
  [10686] = {.lex_state = 175, .external_lex_state = 3},
  [10687] = {.lex_state = 180, .external_lex_state = 3},
  [10688] = {.lex_state = 424, .external_lex_state = 3},
  [10689] = {.lex_state = 180, .external_lex_state = 3},
  [10690] = {.lex_state = 146, .external_lex_state = 2},
  [10691] = {.lex_state = 180, .external_lex_state = 3},
  [10692] = {.lex_state = 130, .external_lex_state = 3},
  [10693] = {.lex_state = 180, .external_lex_state = 3},
  [10694] = {.lex_state = 416, .external_lex_state = 2},
  [10695] = {.lex_state = 424, .external_lex_state = 3},
  [10696] = {.lex_state = 180, .external_lex_state = 3},
  [10697] = {.lex_state = 130, .external_lex_state = 3},
  [10698] = {.lex_state = 7, .external_lex_state = 3},
  [10699] = {.lex_state = 424, .external_lex_state = 3},
  [10700] = {.lex_state = 130, .external_lex_state = 3},
  [10701] = {.lex_state = 9, .external_lex_state = 3},
  [10702] = {.lex_state = 187, .external_lex_state = 3},
  [10703] = {.lex_state = 9, .external_lex_state = 3},
  [10704] = {.lex_state = 424, .external_lex_state = 3},
  [10705] = {.lex_state = 9, .external_lex_state = 3},
  [10706] = {.lex_state = 187, .external_lex_state = 3},
  [10707] = {.lex_state = 130, .external_lex_state = 3},
  [10708] = {.lex_state = 424, .external_lex_state = 3},
  [10709] = {.lex_state = 431, .external_lex_state = 3},
  [10710] = {.lex_state = 9, .external_lex_state = 3},
  [10711] = {.lex_state = 187, .external_lex_state = 3},
  [10712] = {.lex_state = 9, .external_lex_state = 3},
  [10713] = {.lex_state = 187, .external_lex_state = 3},
  [10714] = {.lex_state = 424, .external_lex_state = 3},
  [10715] = {.lex_state = 187, .external_lex_state = 3},
  [10716] = {.lex_state = 131, .external_lex_state = 3},
  [10717] = {.lex_state = 424, .external_lex_state = 3},
  [10718] = {.lex_state = 9, .external_lex_state = 3},
  [10719] = {.lex_state = 187, .external_lex_state = 3},
  [10720] = {.lex_state = 9, .external_lex_state = 3},
  [10721] = {.lex_state = 187, .external_lex_state = 3},
  [10722] = {.lex_state = 187, .external_lex_state = 3},
  [10723] = {.lex_state = 131, .external_lex_state = 3},
  [10724] = {.lex_state = 433, .external_lex_state = 3},
  [10725] = {.lex_state = 131, .external_lex_state = 3},
  [10726] = {.lex_state = 9, .external_lex_state = 3},
  [10727] = {.lex_state = 7, .external_lex_state = 3},
  [10728] = {.lex_state = 189, .external_lex_state = 3},
  [10729] = {.lex_state = 129, .external_lex_state = 3},
  [10730] = {.lex_state = 9, .external_lex_state = 3},
  [10731] = {.lex_state = 9, .external_lex_state = 3},
  [10732] = {.lex_state = 9, .external_lex_state = 3},
  [10733] = {.lex_state = 9, .external_lex_state = 3},
  [10734] = {.lex_state = 9, .external_lex_state = 3},
  [10735] = {.lex_state = 34, .external_lex_state = 2},
  [10736] = {.lex_state = 433, .external_lex_state = 3},
  [10737] = {.lex_state = 9, .external_lex_state = 3},
  [10738] = {.lex_state = 417, .external_lex_state = 3},
  [10739] = {.lex_state = 415, .external_lex_state = 2},
  [10740] = {.lex_state = 131, .external_lex_state = 3},
  [10741] = {.lex_state = 431, .external_lex_state = 3},
  [10742] = {.lex_state = 417, .external_lex_state = 3},
  [10743] = {.lex_state = 131, .external_lex_state = 3},
  [10744] = {.lex_state = 9, .external_lex_state = 3},
  [10745] = {.lex_state = 174, .external_lex_state = 3},
  [10746] = {.lex_state = 187, .external_lex_state = 3},
  [10747] = {.lex_state = 131, .external_lex_state = 3},
  [10748] = {.lex_state = 130, .external_lex_state = 3},
  [10749] = {.lex_state = 9, .external_lex_state = 3},
  [10750] = {.lex_state = 131, .external_lex_state = 3},
  [10751] = {.lex_state = 9, .external_lex_state = 3},
  [10752] = {.lex_state = 417, .external_lex_state = 3},
  [10753] = {.lex_state = 9, .external_lex_state = 3},
  [10754] = {.lex_state = 9, .external_lex_state = 3},
  [10755] = {.lex_state = 130, .external_lex_state = 3},
  [10756] = {.lex_state = 187, .external_lex_state = 3},
  [10757] = {.lex_state = 174, .external_lex_state = 3},
  [10758] = {.lex_state = 424, .external_lex_state = 3},
  [10759] = {.lex_state = 131, .external_lex_state = 3},
  [10760] = {.lex_state = 424, .external_lex_state = 3},
  [10761] = {.lex_state = 9, .external_lex_state = 3},
  [10762] = {.lex_state = 131, .external_lex_state = 3},
  [10763] = {.lex_state = 129, .external_lex_state = 3},
  [10764] = {.lex_state = 9, .external_lex_state = 3},
  [10765] = {.lex_state = 9, .external_lex_state = 3},
  [10766] = {.lex_state = 131, .external_lex_state = 3},
  [10767] = {.lex_state = 131, .external_lex_state = 3},
  [10768] = {.lex_state = 175, .external_lex_state = 3},
  [10769] = {.lex_state = 9, .external_lex_state = 3},
  [10770] = {.lex_state = 187, .external_lex_state = 3},
  [10771] = {.lex_state = 175, .external_lex_state = 3},
  [10772] = {.lex_state = 187, .external_lex_state = 3},
  [10773] = {.lex_state = 187, .external_lex_state = 3},
  [10774] = {.lex_state = 187, .external_lex_state = 3},
  [10775] = {.lex_state = 9, .external_lex_state = 3},
  [10776] = {.lex_state = 417, .external_lex_state = 3},
  [10777] = {.lex_state = 417, .external_lex_state = 3},
  [10778] = {.lex_state = 424, .external_lex_state = 3},
  [10779] = {.lex_state = 9, .external_lex_state = 3},
  [10780] = {.lex_state = 130, .external_lex_state = 3},
  [10781] = {.lex_state = 424, .external_lex_state = 3},
  [10782] = {.lex_state = 131, .external_lex_state = 3},
  [10783] = {.lex_state = 430, .external_lex_state = 3},
  [10784] = {.lex_state = 175, .external_lex_state = 3},
  [10785] = {.lex_state = 146, .external_lex_state = 2},
  [10786] = {.lex_state = 9, .external_lex_state = 3},
  [10787] = {.lex_state = 130, .external_lex_state = 3},
  [10788] = {.lex_state = 9, .external_lex_state = 3},
  [10789] = {.lex_state = 9, .external_lex_state = 3},
  [10790] = {.lex_state = 187, .external_lex_state = 3},
  [10791] = {.lex_state = 9, .external_lex_state = 3},
  [10792] = {.lex_state = 130, .external_lex_state = 3},
  [10793] = {.lex_state = 130, .external_lex_state = 3},
  [10794] = {.lex_state = 9, .external_lex_state = 3},
  [10795] = {.lex_state = 9, .external_lex_state = 3},
  [10796] = {.lex_state = 431, .external_lex_state = 3},
  [10797] = {.lex_state = 174, .external_lex_state = 3},
  [10798] = {.lex_state = 427, .external_lex_state = 3},
  [10799] = {.lex_state = 9, .external_lex_state = 3},
  [10800] = {.lex_state = 130, .external_lex_state = 3},
  [10801] = {.lex_state = 189, .external_lex_state = 3},
  [10802] = {.lex_state = 433, .external_lex_state = 3},
  [10803] = {.lex_state = 9, .external_lex_state = 3},
  [10804] = {.lex_state = 9, .external_lex_state = 3},
  [10805] = {.lex_state = 129, .external_lex_state = 3},
  [10806] = {.lex_state = 130, .external_lex_state = 3},
  [10807] = {.lex_state = 131, .external_lex_state = 3},
  [10808] = {.lex_state = 424, .external_lex_state = 3},
  [10809] = {.lex_state = 184, .external_lex_state = 3},
  [10810] = {.lex_state = 131, .external_lex_state = 3},
  [10811] = {.lex_state = 189, .external_lex_state = 3},
  [10812] = {.lex_state = 189, .external_lex_state = 3},
  [10813] = {.lex_state = 189, .external_lex_state = 3},
  [10814] = {.lex_state = 9, .external_lex_state = 3},
  [10815] = {.lex_state = 189, .external_lex_state = 3},
  [10816] = {.lex_state = 129, .external_lex_state = 3},
  [10817] = {.lex_state = 9, .external_lex_state = 3},
  [10818] = {.lex_state = 9, .external_lex_state = 3},
  [10819] = {.lex_state = 424, .external_lex_state = 3},
  [10820] = {.lex_state = 174, .external_lex_state = 3},
  [10821] = {.lex_state = 130, .external_lex_state = 3},
  [10822] = {.lex_state = 189, .external_lex_state = 3},
  [10823] = {.lex_state = 131, .external_lex_state = 3},
  [10824] = {.lex_state = 189, .external_lex_state = 3},
  [10825] = {.lex_state = 189, .external_lex_state = 3},
  [10826] = {.lex_state = 189, .external_lex_state = 3},
  [10827] = {.lex_state = 131, .external_lex_state = 3},
  [10828] = {.lex_state = 129, .external_lex_state = 3},
  [10829] = {.lex_state = 131, .external_lex_state = 3},
  [10830] = {.lex_state = 187, .external_lex_state = 3},
  [10831] = {.lex_state = 9, .external_lex_state = 3},
  [10832] = {.lex_state = 187, .external_lex_state = 3},
  [10833] = {.lex_state = 9, .external_lex_state = 3},
  [10834] = {.lex_state = 431, .external_lex_state = 3},
  [10835] = {.lex_state = 9, .external_lex_state = 3},
  [10836] = {.lex_state = 189, .external_lex_state = 3},
  [10837] = {.lex_state = 189, .external_lex_state = 3},
  [10838] = {.lex_state = 9, .external_lex_state = 3},
  [10839] = {.lex_state = 189, .external_lex_state = 3},
  [10840] = {.lex_state = 189, .external_lex_state = 3},
  [10841] = {.lex_state = 174, .external_lex_state = 3},
  [10842] = {.lex_state = 175, .external_lex_state = 3},
  [10843] = {.lex_state = 9, .external_lex_state = 3},
  [10844] = {.lex_state = 189, .external_lex_state = 3},
  [10845] = {.lex_state = 189, .external_lex_state = 3},
  [10846] = {.lex_state = 189, .external_lex_state = 3},
  [10847] = {.lex_state = 189, .external_lex_state = 3},
  [10848] = {.lex_state = 189, .external_lex_state = 3},
  [10849] = {.lex_state = 189, .external_lex_state = 3},
  [10850] = {.lex_state = 189, .external_lex_state = 3},
  [10851] = {.lex_state = 189, .external_lex_state = 3},
  [10852] = {.lex_state = 9, .external_lex_state = 3},
  [10853] = {.lex_state = 189, .external_lex_state = 3},
  [10854] = {.lex_state = 189, .external_lex_state = 3},
  [10855] = {.lex_state = 146, .external_lex_state = 2},
  [10856] = {.lex_state = 9, .external_lex_state = 3},
  [10857] = {.lex_state = 428, .external_lex_state = 3},
  [10858] = {.lex_state = 131, .external_lex_state = 3},
  [10859] = {.lex_state = 131, .external_lex_state = 3},
  [10860] = {.lex_state = 131, .external_lex_state = 3},
  [10861] = {.lex_state = 131, .external_lex_state = 3},
  [10862] = {.lex_state = 131, .external_lex_state = 3},
  [10863] = {.lex_state = 174, .external_lex_state = 3},
  [10864] = {.lex_state = 131, .external_lex_state = 3},
  [10865] = {.lex_state = 131, .external_lex_state = 3},
  [10866] = {.lex_state = 9, .external_lex_state = 3},
  [10867] = {.lex_state = 9, .external_lex_state = 3},
  [10868] = {.lex_state = 9, .external_lex_state = 3},
  [10869] = {.lex_state = 9, .external_lex_state = 3},
  [10870] = {.lex_state = 189, .external_lex_state = 3},
  [10871] = {.lex_state = 131, .external_lex_state = 3},
  [10872] = {.lex_state = 161, .external_lex_state = 3},
  [10873] = {.lex_state = 129, .external_lex_state = 3},
  [10874] = {.lex_state = 9, .external_lex_state = 3},
  [10875] = {.lex_state = 9, .external_lex_state = 3},
  [10876] = {.lex_state = 131, .external_lex_state = 3},
  [10877] = {.lex_state = 146, .external_lex_state = 2},
  [10878] = {.lex_state = 189, .external_lex_state = 3},
  [10879] = {.lex_state = 9, .external_lex_state = 3},
  [10880] = {.lex_state = 9, .external_lex_state = 3},
  [10881] = {.lex_state = 131, .external_lex_state = 3},
  [10882] = {.lex_state = 9, .external_lex_state = 3},
  [10883] = {.lex_state = 424, .external_lex_state = 3},
  [10884] = {.lex_state = 131, .external_lex_state = 3},
  [10885] = {.lex_state = 131, .external_lex_state = 3},
  [10886] = {.lex_state = 9, .external_lex_state = 3},
  [10887] = {.lex_state = 424, .external_lex_state = 3},
  [10888] = {.lex_state = 139, .external_lex_state = 3},
  [10889] = {.lex_state = 175, .external_lex_state = 3},
  [10890] = {.lex_state = 431, .external_lex_state = 3},
  [10891] = {.lex_state = 131, .external_lex_state = 3},
  [10892] = {.lex_state = 184, .external_lex_state = 3},
  [10893] = {.lex_state = 131, .external_lex_state = 3},
  [10894] = {.lex_state = 131, .external_lex_state = 3},
  [10895] = {.lex_state = 187, .external_lex_state = 3},
  [10896] = {.lex_state = 131, .external_lex_state = 3},
  [10897] = {.lex_state = 131, .external_lex_state = 3},
  [10898] = {.lex_state = 131, .external_lex_state = 3},
  [10899] = {.lex_state = 9, .external_lex_state = 3},
  [10900] = {.lex_state = 9, .external_lex_state = 3},
  [10901] = {.lex_state = 131, .external_lex_state = 3},
  [10902] = {.lex_state = 9, .external_lex_state = 3},
  [10903] = {.lex_state = 189, .external_lex_state = 3},
  [10904] = {.lex_state = 131, .external_lex_state = 3},
  [10905] = {.lex_state = 131, .external_lex_state = 3},
  [10906] = {.lex_state = 9, .external_lex_state = 3},
  [10907] = {.lex_state = 130, .external_lex_state = 3},
  [10908] = {.lex_state = 131, .external_lex_state = 3},
  [10909] = {.lex_state = 131, .external_lex_state = 3},
  [10910] = {.lex_state = 9, .external_lex_state = 3},
  [10911] = {.lex_state = 9, .external_lex_state = 3},
  [10912] = {.lex_state = 131, .external_lex_state = 3},
  [10913] = {.lex_state = 131, .external_lex_state = 3},
  [10914] = {.lex_state = 131, .external_lex_state = 3},
  [10915] = {.lex_state = 9, .external_lex_state = 3},
  [10916] = {.lex_state = 9, .external_lex_state = 3},
  [10917] = {.lex_state = 9, .external_lex_state = 3},
  [10918] = {.lex_state = 131, .external_lex_state = 3},
  [10919] = {.lex_state = 131, .external_lex_state = 3},
  [10920] = {.lex_state = 9, .external_lex_state = 3},
  [10921] = {.lex_state = 427, .external_lex_state = 3},
  [10922] = {.lex_state = 131, .external_lex_state = 3},
  [10923] = {.lex_state = 129, .external_lex_state = 3},
  [10924] = {.lex_state = 131, .external_lex_state = 3},
  [10925] = {.lex_state = 9, .external_lex_state = 3},
  [10926] = {.lex_state = 9, .external_lex_state = 3},
  [10927] = {.lex_state = 189, .external_lex_state = 3},
  [10928] = {.lex_state = 131, .external_lex_state = 3},
  [10929] = {.lex_state = 9, .external_lex_state = 3},
  [10930] = {.lex_state = 9, .external_lex_state = 3},
  [10931] = {.lex_state = 131, .external_lex_state = 3},
  [10932] = {.lex_state = 131, .external_lex_state = 3},
  [10933] = {.lex_state = 187, .external_lex_state = 3},
  [10934] = {.lex_state = 9, .external_lex_state = 3},
  [10935] = {.lex_state = 433, .external_lex_state = 3},
  [10936] = {.lex_state = 175, .external_lex_state = 3},
  [10937] = {.lex_state = 187, .external_lex_state = 3},
  [10938] = {.lex_state = 9, .external_lex_state = 3},
  [10939] = {.lex_state = 174, .external_lex_state = 3},
  [10940] = {.lex_state = 9, .external_lex_state = 3},
  [10941] = {.lex_state = 131, .external_lex_state = 3},
  [10942] = {.lex_state = 187, .external_lex_state = 3},
  [10943] = {.lex_state = 131, .external_lex_state = 3},
  [10944] = {.lex_state = 9, .external_lex_state = 3},
  [10945] = {.lex_state = 131, .external_lex_state = 3},
  [10946] = {.lex_state = 131, .external_lex_state = 3},
  [10947] = {.lex_state = 9, .external_lex_state = 3},
  [10948] = {.lex_state = 131, .external_lex_state = 3},
  [10949] = {.lex_state = 131, .external_lex_state = 3},
  [10950] = {.lex_state = 175, .external_lex_state = 3},
  [10951] = {.lex_state = 131, .external_lex_state = 3},
  [10952] = {.lex_state = 9, .external_lex_state = 3},
  [10953] = {.lex_state = 131, .external_lex_state = 3},
  [10954] = {.lex_state = 131, .external_lex_state = 3},
  [10955] = {.lex_state = 131, .external_lex_state = 3},
  [10956] = {.lex_state = 131, .external_lex_state = 3},
  [10957] = {.lex_state = 131, .external_lex_state = 3},
  [10958] = {.lex_state = 9, .external_lex_state = 3},
  [10959] = {.lex_state = 130, .external_lex_state = 3},
  [10960] = {.lex_state = 9, .external_lex_state = 3},
  [10961] = {.lex_state = 9, .external_lex_state = 3},
  [10962] = {.lex_state = 130, .external_lex_state = 3},
  [10963] = {.lex_state = 9, .external_lex_state = 3},
  [10964] = {.lex_state = 130, .external_lex_state = 3},
  [10965] = {.lex_state = 130, .external_lex_state = 3},
  [10966] = {.lex_state = 130, .external_lex_state = 3},
  [10967] = {.lex_state = 139, .external_lex_state = 3},
  [10968] = {.lex_state = 9, .external_lex_state = 3},
  [10969] = {.lex_state = 9, .external_lex_state = 3},
  [10970] = {.lex_state = 9, .external_lex_state = 3},
  [10971] = {.lex_state = 9, .external_lex_state = 3},
  [10972] = {.lex_state = 9, .external_lex_state = 3},
  [10973] = {.lex_state = 9, .external_lex_state = 3},
  [10974] = {.lex_state = 129, .external_lex_state = 3},
  [10975] = {.lex_state = 9, .external_lex_state = 3},
  [10976] = {.lex_state = 9, .external_lex_state = 3},
  [10977] = {.lex_state = 131, .external_lex_state = 3},
  [10978] = {.lex_state = 129, .external_lex_state = 3},
  [10979] = {.lex_state = 131, .external_lex_state = 3},
  [10980] = {.lex_state = 9, .external_lex_state = 3},
  [10981] = {.lex_state = 9, .external_lex_state = 3},
  [10982] = {.lex_state = 129, .external_lex_state = 3},
  [10983] = {.lex_state = 9, .external_lex_state = 3},
  [10984] = {.lex_state = 129, .external_lex_state = 3},
  [10985] = {.lex_state = 417, .external_lex_state = 3},
  [10986] = {.lex_state = 131, .external_lex_state = 3},
  [10987] = {.lex_state = 131, .external_lex_state = 3},
  [10988] = {.lex_state = 129, .external_lex_state = 3},
  [10989] = {.lex_state = 187, .external_lex_state = 3},
  [10990] = {.lex_state = 187, .external_lex_state = 3},
  [10991] = {.lex_state = 129, .external_lex_state = 3},
  [10992] = {.lex_state = 129, .external_lex_state = 3},
  [10993] = {.lex_state = 187, .external_lex_state = 3},
  [10994] = {.lex_state = 187, .external_lex_state = 3},
  [10995] = {.lex_state = 433, .external_lex_state = 3},
  [10996] = {.lex_state = 187, .external_lex_state = 3},
  [10997] = {.lex_state = 131, .external_lex_state = 3},
  [10998] = {.lex_state = 130, .external_lex_state = 3},
  [10999] = {.lex_state = 130, .external_lex_state = 3},
  [11000] = {.lex_state = 129, .external_lex_state = 3},
  [11001] = {.lex_state = 9, .external_lex_state = 3},
  [11002] = {.lex_state = 9, .external_lex_state = 3},
  [11003] = {.lex_state = 9, .external_lex_state = 3},
  [11004] = {.lex_state = 424, .external_lex_state = 3},
  [11005] = {.lex_state = 424, .external_lex_state = 3},
  [11006] = {.lex_state = 424, .external_lex_state = 3},
  [11007] = {.lex_state = 130, .external_lex_state = 3},
  [11008] = {.lex_state = 189, .external_lex_state = 3},
  [11009] = {.lex_state = 189, .external_lex_state = 3},
  [11010] = {.lex_state = 189, .external_lex_state = 3},
  [11011] = {.lex_state = 189, .external_lex_state = 3},
  [11012] = {.lex_state = 129, .external_lex_state = 3},
  [11013] = {.lex_state = 9, .external_lex_state = 3},
  [11014] = {.lex_state = 129, .external_lex_state = 3},
  [11015] = {.lex_state = 187, .external_lex_state = 3},
  [11016] = {.lex_state = 129, .external_lex_state = 3},
  [11017] = {.lex_state = 131, .external_lex_state = 3},
  [11018] = {.lex_state = 180, .external_lex_state = 3},
  [11019] = {.lex_state = 131, .external_lex_state = 3},
  [11020] = {.lex_state = 131, .external_lex_state = 3},
  [11021] = {.lex_state = 131, .external_lex_state = 3},
  [11022] = {.lex_state = 131, .external_lex_state = 3},
  [11023] = {.lex_state = 9, .external_lex_state = 3},
  [11024] = {.lex_state = 131, .external_lex_state = 3},
  [11025] = {.lex_state = 131, .external_lex_state = 3},
  [11026] = {.lex_state = 131, .external_lex_state = 3},
  [11027] = {.lex_state = 424, .external_lex_state = 3},
  [11028] = {.lex_state = 9, .external_lex_state = 3},
  [11029] = {.lex_state = 131, .external_lex_state = 3},
  [11030] = {.lex_state = 131, .external_lex_state = 3},
  [11031] = {.lex_state = 131, .external_lex_state = 3},
  [11032] = {.lex_state = 131, .external_lex_state = 3},
  [11033] = {.lex_state = 131, .external_lex_state = 3},
  [11034] = {.lex_state = 131, .external_lex_state = 3},
  [11035] = {.lex_state = 431, .external_lex_state = 3},
  [11036] = {.lex_state = 187, .external_lex_state = 3},
  [11037] = {.lex_state = 9, .external_lex_state = 3},
  [11038] = {.lex_state = 9, .external_lex_state = 3},
  [11039] = {.lex_state = 9, .external_lex_state = 3},
  [11040] = {.lex_state = 187, .external_lex_state = 3},
  [11041] = {.lex_state = 175, .external_lex_state = 3},
  [11042] = {.lex_state = 129, .external_lex_state = 3},
  [11043] = {.lex_state = 9, .external_lex_state = 3},
  [11044] = {.lex_state = 187, .external_lex_state = 3},
  [11045] = {.lex_state = 131, .external_lex_state = 3},
  [11046] = {.lex_state = 9, .external_lex_state = 3},
  [11047] = {.lex_state = 9, .external_lex_state = 3},
  [11048] = {.lex_state = 9, .external_lex_state = 3},
  [11049] = {.lex_state = 146, .external_lex_state = 2},
  [11050] = {.lex_state = 187, .external_lex_state = 3},
  [11051] = {.lex_state = 131, .external_lex_state = 3},
  [11052] = {.lex_state = 174, .external_lex_state = 3},
  [11053] = {.lex_state = 433, .external_lex_state = 3},
  [11054] = {.lex_state = 187, .external_lex_state = 3},
  [11055] = {.lex_state = 9, .external_lex_state = 3},
  [11056] = {.lex_state = 7, .external_lex_state = 3},
  [11057] = {.lex_state = 424, .external_lex_state = 3},
  [11058] = {.lex_state = 417, .external_lex_state = 3},
  [11059] = {.lex_state = 18, .external_lex_state = 3},
  [11060] = {.lex_state = 18, .external_lex_state = 3},
  [11061] = {.lex_state = 7, .external_lex_state = 3},
  [11062] = {.lex_state = 7, .external_lex_state = 3},
  [11063] = {.lex_state = 7, .external_lex_state = 3},
  [11064] = {.lex_state = 15, .external_lex_state = 2},
  [11065] = {.lex_state = 175, .external_lex_state = 3},
  [11066] = {.lex_state = 174, .external_lex_state = 3},
  [11067] = {.lex_state = 174, .external_lex_state = 3},
  [11068] = {.lex_state = 7, .external_lex_state = 3},
  [11069] = {.lex_state = 7, .external_lex_state = 3},
  [11070] = {.lex_state = 7, .external_lex_state = 3},
  [11071] = {.lex_state = 163, .external_lex_state = 3},
  [11072] = {.lex_state = 174, .external_lex_state = 3},
  [11073] = {.lex_state = 7, .external_lex_state = 3},
  [11074] = {.lex_state = 417, .external_lex_state = 3},
  [11075] = {.lex_state = 129, .external_lex_state = 3},
  [11076] = {.lex_state = 174, .external_lex_state = 3},
  [11077] = {.lex_state = 7, .external_lex_state = 3},
  [11078] = {.lex_state = 7, .external_lex_state = 3},
  [11079] = {.lex_state = 7, .external_lex_state = 3},
  [11080] = {.lex_state = 417, .external_lex_state = 3},
  [11081] = {.lex_state = 7, .external_lex_state = 3},
  [11082] = {.lex_state = 174, .external_lex_state = 3},
  [11083] = {.lex_state = 174, .external_lex_state = 3},
  [11084] = {.lex_state = 185, .external_lex_state = 3},
  [11085] = {.lex_state = 430, .external_lex_state = 3},
  [11086] = {.lex_state = 7, .external_lex_state = 3},
  [11087] = {.lex_state = 129, .external_lex_state = 3},
  [11088] = {.lex_state = 7, .external_lex_state = 3},
  [11089] = {.lex_state = 129, .external_lex_state = 3},
  [11090] = {.lex_state = 175, .external_lex_state = 3},
  [11091] = {.lex_state = 7, .external_lex_state = 3},
  [11092] = {.lex_state = 129, .external_lex_state = 3},
  [11093] = {.lex_state = 7, .external_lex_state = 3},
  [11094] = {.lex_state = 424, .external_lex_state = 3},
  [11095] = {.lex_state = 174, .external_lex_state = 3},
  [11096] = {.lex_state = 417, .external_lex_state = 3},
  [11097] = {.lex_state = 174, .external_lex_state = 3},
  [11098] = {.lex_state = 7, .external_lex_state = 3},
  [11099] = {.lex_state = 417, .external_lex_state = 3},
  [11100] = {.lex_state = 139, .external_lex_state = 3},
  [11101] = {.lex_state = 7, .external_lex_state = 3},
  [11102] = {.lex_state = 185, .external_lex_state = 3},
  [11103] = {.lex_state = 7, .external_lex_state = 3},
  [11104] = {.lex_state = 15, .external_lex_state = 2},
  [11105] = {.lex_state = 417, .external_lex_state = 3},
  [11106] = {.lex_state = 424, .external_lex_state = 3},
  [11107] = {.lex_state = 417, .external_lex_state = 3},
  [11108] = {.lex_state = 174, .external_lex_state = 3},
  [11109] = {.lex_state = 174, .external_lex_state = 3},
  [11110] = {.lex_state = 7, .external_lex_state = 3},
  [11111] = {.lex_state = 424, .external_lex_state = 3},
  [11112] = {.lex_state = 162, .external_lex_state = 3},
  [11113] = {.lex_state = 129, .external_lex_state = 3},
  [11114] = {.lex_state = 7, .external_lex_state = 3},
  [11115] = {.lex_state = 175, .external_lex_state = 3},
  [11116] = {.lex_state = 7, .external_lex_state = 3},
  [11117] = {.lex_state = 424, .external_lex_state = 3},
  [11118] = {.lex_state = 7, .external_lex_state = 3},
  [11119] = {.lex_state = 174, .external_lex_state = 3},
  [11120] = {.lex_state = 417, .external_lex_state = 3},
  [11121] = {.lex_state = 7, .external_lex_state = 3},
  [11122] = {.lex_state = 164, .external_lex_state = 3},
  [11123] = {.lex_state = 129, .external_lex_state = 3},
  [11124] = {.lex_state = 18, .external_lex_state = 3},
  [11125] = {.lex_state = 175, .external_lex_state = 3},
  [11126] = {.lex_state = 7, .external_lex_state = 3},
  [11127] = {.lex_state = 17, .external_lex_state = 3},
  [11128] = {.lex_state = 185, .external_lex_state = 3},
  [11129] = {.lex_state = 7, .external_lex_state = 3},
  [11130] = {.lex_state = 7, .external_lex_state = 3},
  [11131] = {.lex_state = 175, .external_lex_state = 3},
  [11132] = {.lex_state = 7, .external_lex_state = 3},
  [11133] = {.lex_state = 129, .external_lex_state = 3},
  [11134] = {.lex_state = 185, .external_lex_state = 3},
  [11135] = {.lex_state = 7, .external_lex_state = 3},
  [11136] = {.lex_state = 129, .external_lex_state = 3},
  [11137] = {.lex_state = 7, .external_lex_state = 3},
  [11138] = {.lex_state = 174, .external_lex_state = 3},
  [11139] = {.lex_state = 417, .external_lex_state = 3},
  [11140] = {.lex_state = 175, .external_lex_state = 3},
  [11141] = {.lex_state = 7, .external_lex_state = 3},
  [11142] = {.lex_state = 175, .external_lex_state = 3},
  [11143] = {.lex_state = 174, .external_lex_state = 3},
  [11144] = {.lex_state = 7, .external_lex_state = 3},
  [11145] = {.lex_state = 7, .external_lex_state = 3},
  [11146] = {.lex_state = 424, .external_lex_state = 3},
  [11147] = {.lex_state = 175, .external_lex_state = 3},
  [11148] = {.lex_state = 433, .external_lex_state = 3},
  [11149] = {.lex_state = 139, .external_lex_state = 3},
  [11150] = {.lex_state = 7, .external_lex_state = 3},
  [11151] = {.lex_state = 139, .external_lex_state = 3},
  [11152] = {.lex_state = 433, .external_lex_state = 3},
  [11153] = {.lex_state = 7, .external_lex_state = 3},
  [11154] = {.lex_state = 7, .external_lex_state = 3},
  [11155] = {.lex_state = 174, .external_lex_state = 3},
  [11156] = {.lex_state = 17, .external_lex_state = 3},
  [11157] = {.lex_state = 7, .external_lex_state = 3},
  [11158] = {.lex_state = 174, .external_lex_state = 3},
  [11159] = {.lex_state = 17, .external_lex_state = 3},
  [11160] = {.lex_state = 129, .external_lex_state = 3},
  [11161] = {.lex_state = 175, .external_lex_state = 3},
  [11162] = {.lex_state = 174, .external_lex_state = 3},
  [11163] = {.lex_state = 17, .external_lex_state = 3},
  [11164] = {.lex_state = 430, .external_lex_state = 3},
  [11165] = {.lex_state = 7, .external_lex_state = 3},
  [11166] = {.lex_state = 7, .external_lex_state = 3},
  [11167] = {.lex_state = 417, .external_lex_state = 3},
  [11168] = {.lex_state = 417, .external_lex_state = 3},
  [11169] = {.lex_state = 175, .external_lex_state = 3},
  [11170] = {.lex_state = 417, .external_lex_state = 3},
  [11171] = {.lex_state = 174, .external_lex_state = 3},
  [11172] = {.lex_state = 175, .external_lex_state = 3},
  [11173] = {.lex_state = 185, .external_lex_state = 3},
  [11174] = {.lex_state = 7, .external_lex_state = 3},
  [11175] = {.lex_state = 7, .external_lex_state = 3},
  [11176] = {.lex_state = 174, .external_lex_state = 3},
  [11177] = {.lex_state = 417, .external_lex_state = 3},
  [11178] = {.lex_state = 129, .external_lex_state = 3},
  [11179] = {.lex_state = 7, .external_lex_state = 3},
  [11180] = {.lex_state = 129, .external_lex_state = 3},
  [11181] = {.lex_state = 7, .external_lex_state = 3},
  [11182] = {.lex_state = 424, .external_lex_state = 3},
  [11183] = {.lex_state = 7, .external_lex_state = 3},
  [11184] = {.lex_state = 7, .external_lex_state = 3},
  [11185] = {.lex_state = 175, .external_lex_state = 3},
  [11186] = {.lex_state = 7, .external_lex_state = 3},
  [11187] = {.lex_state = 7, .external_lex_state = 3},
  [11188] = {.lex_state = 129, .external_lex_state = 3},
  [11189] = {.lex_state = 7, .external_lex_state = 3},
  [11190] = {.lex_state = 7, .external_lex_state = 3},
  [11191] = {.lex_state = 7, .external_lex_state = 3},
  [11192] = {.lex_state = 174, .external_lex_state = 3},
  [11193] = {.lex_state = 7, .external_lex_state = 3},
  [11194] = {.lex_state = 174, .external_lex_state = 3},
  [11195] = {.lex_state = 129, .external_lex_state = 3},
  [11196] = {.lex_state = 7, .external_lex_state = 3},
  [11197] = {.lex_state = 7, .external_lex_state = 3},
  [11198] = {.lex_state = 174, .external_lex_state = 3},
  [11199] = {.lex_state = 7, .external_lex_state = 3},
  [11200] = {.lex_state = 175, .external_lex_state = 3},
  [11201] = {.lex_state = 7, .external_lex_state = 3},
  [11202] = {.lex_state = 7, .external_lex_state = 3},
  [11203] = {.lex_state = 7, .external_lex_state = 3},
  [11204] = {.lex_state = 174, .external_lex_state = 3},
  [11205] = {.lex_state = 7, .external_lex_state = 3},
  [11206] = {.lex_state = 15, .external_lex_state = 2},
  [11207] = {.lex_state = 417, .external_lex_state = 3},
  [11208] = {.lex_state = 417, .external_lex_state = 3},
  [11209] = {.lex_state = 430, .external_lex_state = 3},
  [11210] = {.lex_state = 417, .external_lex_state = 3},
  [11211] = {.lex_state = 15, .external_lex_state = 2},
  [11212] = {.lex_state = 175, .external_lex_state = 3},
  [11213] = {.lex_state = 142, .external_lex_state = 2},
  [11214] = {.lex_state = 417, .external_lex_state = 3},
  [11215] = {.lex_state = 17, .external_lex_state = 3},
  [11216] = {.lex_state = 175, .external_lex_state = 3},
  [11217] = {.lex_state = 7, .external_lex_state = 3},
  [11218] = {.lex_state = 175, .external_lex_state = 3},
  [11219] = {.lex_state = 175, .external_lex_state = 3},
  [11220] = {.lex_state = 175, .external_lex_state = 3},
  [11221] = {.lex_state = 175, .external_lex_state = 3},
  [11222] = {.lex_state = 175, .external_lex_state = 3},
  [11223] = {.lex_state = 174, .external_lex_state = 3},
  [11224] = {.lex_state = 7, .external_lex_state = 3},
  [11225] = {.lex_state = 7, .external_lex_state = 3},
  [11226] = {.lex_state = 417, .external_lex_state = 3},
  [11227] = {.lex_state = 7, .external_lex_state = 3},
  [11228] = {.lex_state = 18, .external_lex_state = 3},
  [11229] = {.lex_state = 18, .external_lex_state = 3},
  [11230] = {.lex_state = 175, .external_lex_state = 3},
  [11231] = {.lex_state = 180, .external_lex_state = 3},
  [11232] = {.lex_state = 7, .external_lex_state = 3},
  [11233] = {.lex_state = 180, .external_lex_state = 3},
  [11234] = {.lex_state = 7, .external_lex_state = 3},
  [11235] = {.lex_state = 175, .external_lex_state = 3},
  [11236] = {.lex_state = 7, .external_lex_state = 3},
  [11237] = {.lex_state = 129, .external_lex_state = 3},
  [11238] = {.lex_state = 175, .external_lex_state = 3},
  [11239] = {.lex_state = 7, .external_lex_state = 3},
  [11240] = {.lex_state = 139, .external_lex_state = 3},
  [11241] = {.lex_state = 174, .external_lex_state = 3},
  [11242] = {.lex_state = 174, .external_lex_state = 3},
  [11243] = {.lex_state = 417, .external_lex_state = 3},
  [11244] = {.lex_state = 175, .external_lex_state = 3},
  [11245] = {.lex_state = 175, .external_lex_state = 3},
  [11246] = {.lex_state = 15, .external_lex_state = 2},
  [11247] = {.lex_state = 175, .external_lex_state = 3},
  [11248] = {.lex_state = 175, .external_lex_state = 3},
  [11249] = {.lex_state = 7, .external_lex_state = 3},
  [11250] = {.lex_state = 7, .external_lex_state = 3},
  [11251] = {.lex_state = 417, .external_lex_state = 3},
  [11252] = {.lex_state = 417, .external_lex_state = 3},
  [11253] = {.lex_state = 7, .external_lex_state = 3},
  [11254] = {.lex_state = 174, .external_lex_state = 3},
  [11255] = {.lex_state = 424, .external_lex_state = 3},
  [11256] = {.lex_state = 15, .external_lex_state = 2},
  [11257] = {.lex_state = 7, .external_lex_state = 3},
  [11258] = {.lex_state = 7, .external_lex_state = 3},
  [11259] = {.lex_state = 7, .external_lex_state = 3},
  [11260] = {.lex_state = 7, .external_lex_state = 3},
  [11261] = {.lex_state = 7, .external_lex_state = 3},
  [11262] = {.lex_state = 7, .external_lex_state = 3},
  [11263] = {.lex_state = 164, .external_lex_state = 3},
  [11264] = {.lex_state = 417, .external_lex_state = 3},
  [11265] = {.lex_state = 417, .external_lex_state = 3},
  [11266] = {.lex_state = 424, .external_lex_state = 3},
  [11267] = {.lex_state = 7, .external_lex_state = 3},
  [11268] = {.lex_state = 7, .external_lex_state = 3},
  [11269] = {.lex_state = 7, .external_lex_state = 3},
  [11270] = {.lex_state = 7, .external_lex_state = 3},
  [11271] = {.lex_state = 174, .external_lex_state = 3},
  [11272] = {.lex_state = 7, .external_lex_state = 3},
  [11273] = {.lex_state = 175, .external_lex_state = 3},
  [11274] = {.lex_state = 139, .external_lex_state = 3},
  [11275] = {.lex_state = 174, .external_lex_state = 3},
  [11276] = {.lex_state = 413, .external_lex_state = 3},
  [11277] = {.lex_state = 164, .external_lex_state = 3},
  [11278] = {.lex_state = 7, .external_lex_state = 3},
  [11279] = {.lex_state = 7, .external_lex_state = 3},
  [11280] = {.lex_state = 7, .external_lex_state = 3},
  [11281] = {.lex_state = 7, .external_lex_state = 3},
  [11282] = {.lex_state = 129, .external_lex_state = 3},
  [11283] = {.lex_state = 174, .external_lex_state = 3},
  [11284] = {.lex_state = 7, .external_lex_state = 3},
  [11285] = {.lex_state = 7, .external_lex_state = 3},
  [11286] = {.lex_state = 417, .external_lex_state = 3},
  [11287] = {.lex_state = 417, .external_lex_state = 3},
  [11288] = {.lex_state = 180, .external_lex_state = 3},
  [11289] = {.lex_state = 417, .external_lex_state = 3},
  [11290] = {.lex_state = 417, .external_lex_state = 3},
  [11291] = {.lex_state = 433, .external_lex_state = 3},
  [11292] = {.lex_state = 417, .external_lex_state = 3},
  [11293] = {.lex_state = 417, .external_lex_state = 3},
  [11294] = {.lex_state = 417, .external_lex_state = 3},
  [11295] = {.lex_state = 7, .external_lex_state = 3},
  [11296] = {.lex_state = 424, .external_lex_state = 3},
  [11297] = {.lex_state = 7, .external_lex_state = 3},
  [11298] = {.lex_state = 411, .external_lex_state = 2},
  [11299] = {.lex_state = 7, .external_lex_state = 3},
  [11300] = {.lex_state = 417, .external_lex_state = 3},
  [11301] = {.lex_state = 180, .external_lex_state = 3},
  [11302] = {.lex_state = 7, .external_lex_state = 3},
  [11303] = {.lex_state = 180, .external_lex_state = 3},
  [11304] = {.lex_state = 417, .external_lex_state = 3},
  [11305] = {.lex_state = 7, .external_lex_state = 3},
  [11306] = {.lex_state = 180, .external_lex_state = 3},
  [11307] = {.lex_state = 174, .external_lex_state = 3},
  [11308] = {.lex_state = 424, .external_lex_state = 3},
  [11309] = {.lex_state = 18, .external_lex_state = 3},
  [11310] = {.lex_state = 7, .external_lex_state = 3},
  [11311] = {.lex_state = 174, .external_lex_state = 3},
  [11312] = {.lex_state = 175, .external_lex_state = 3},
  [11313] = {.lex_state = 164, .external_lex_state = 3},
  [11314] = {.lex_state = 7, .external_lex_state = 3},
  [11315] = {.lex_state = 7, .external_lex_state = 3},
  [11316] = {.lex_state = 7, .external_lex_state = 3},
  [11317] = {.lex_state = 7, .external_lex_state = 3},
  [11318] = {.lex_state = 139, .external_lex_state = 3},
  [11319] = {.lex_state = 417, .external_lex_state = 3},
  [11320] = {.lex_state = 7, .external_lex_state = 3},
  [11321] = {.lex_state = 7, .external_lex_state = 3},
  [11322] = {.lex_state = 7, .external_lex_state = 3},
  [11323] = {.lex_state = 185, .external_lex_state = 3},
  [11324] = {.lex_state = 17, .external_lex_state = 3},
  [11325] = {.lex_state = 7, .external_lex_state = 3},
  [11326] = {.lex_state = 174, .external_lex_state = 3},
  [11327] = {.lex_state = 7, .external_lex_state = 3},
  [11328] = {.lex_state = 175, .external_lex_state = 3},
  [11329] = {.lex_state = 430, .external_lex_state = 3},
  [11330] = {.lex_state = 417, .external_lex_state = 3},
  [11331] = {.lex_state = 175, .external_lex_state = 3},
  [11332] = {.lex_state = 424, .external_lex_state = 3},
  [11333] = {.lex_state = 175, .external_lex_state = 3},
  [11334] = {.lex_state = 433, .external_lex_state = 3},
  [11335] = {.lex_state = 424, .external_lex_state = 3},
  [11336] = {.lex_state = 15, .external_lex_state = 2},
  [11337] = {.lex_state = 175, .external_lex_state = 3},
  [11338] = {.lex_state = 7, .external_lex_state = 3},
  [11339] = {.lex_state = 7, .external_lex_state = 3},
  [11340] = {.lex_state = 174, .external_lex_state = 3},
  [11341] = {.lex_state = 411, .external_lex_state = 2},
  [11342] = {.lex_state = 7, .external_lex_state = 3},
  [11343] = {.lex_state = 7, .external_lex_state = 3},
  [11344] = {.lex_state = 7, .external_lex_state = 3},
  [11345] = {.lex_state = 175, .external_lex_state = 3},
  [11346] = {.lex_state = 7, .external_lex_state = 3},
  [11347] = {.lex_state = 417, .external_lex_state = 3},
  [11348] = {.lex_state = 7, .external_lex_state = 3},
  [11349] = {.lex_state = 424, .external_lex_state = 3},
  [11350] = {.lex_state = 424, .external_lex_state = 3},
  [11351] = {.lex_state = 424, .external_lex_state = 3},
  [11352] = {.lex_state = 424, .external_lex_state = 3},
  [11353] = {.lex_state = 424, .external_lex_state = 3},
  [11354] = {.lex_state = 424, .external_lex_state = 3},
  [11355] = {.lex_state = 424, .external_lex_state = 3},
  [11356] = {.lex_state = 424, .external_lex_state = 3},
  [11357] = {.lex_state = 424, .external_lex_state = 3},
  [11358] = {.lex_state = 174, .external_lex_state = 3},
  [11359] = {.lex_state = 6, .external_lex_state = 2},
  [11360] = {.lex_state = 139, .external_lex_state = 3},
  [11361] = {.lex_state = 6, .external_lex_state = 2},
  [11362] = {.lex_state = 413, .external_lex_state = 3},
  [11363] = {.lex_state = 174, .external_lex_state = 3},
  [11364] = {.lex_state = 433, .external_lex_state = 3},
  [11365] = {.lex_state = 413, .external_lex_state = 3},
  [11366] = {.lex_state = 130, .external_lex_state = 3},
  [11367] = {.lex_state = 6, .external_lex_state = 2},
  [11368] = {.lex_state = 415, .external_lex_state = 3},
  [11369] = {.lex_state = 6, .external_lex_state = 2},
  [11370] = {.lex_state = 424, .external_lex_state = 3},
  [11371] = {.lex_state = 18, .external_lex_state = 3},
  [11372] = {.lex_state = 6, .external_lex_state = 2},
  [11373] = {.lex_state = 6, .external_lex_state = 2},
  [11374] = {.lex_state = 6, .external_lex_state = 2},
  [11375] = {.lex_state = 177, .external_lex_state = 3},
  [11376] = {.lex_state = 424, .external_lex_state = 3},
  [11377] = {.lex_state = 424, .external_lex_state = 3},
  [11378] = {.lex_state = 6, .external_lex_state = 2},
  [11379] = {.lex_state = 139, .external_lex_state = 3},
  [11380] = {.lex_state = 6, .external_lex_state = 2},
  [11381] = {.lex_state = 6, .external_lex_state = 2},
  [11382] = {.lex_state = 6, .external_lex_state = 2},
  [11383] = {.lex_state = 6, .external_lex_state = 2},
  [11384] = {.lex_state = 6, .external_lex_state = 2},
  [11385] = {.lex_state = 130, .external_lex_state = 3},
  [11386] = {.lex_state = 139, .external_lex_state = 3},
  [11387] = {.lex_state = 139, .external_lex_state = 3},
  [11388] = {.lex_state = 139, .external_lex_state = 3},
  [11389] = {.lex_state = 139, .external_lex_state = 3},
  [11390] = {.lex_state = 424, .external_lex_state = 3},
  [11391] = {.lex_state = 424, .external_lex_state = 3},
  [11392] = {.lex_state = 139, .external_lex_state = 3},
  [11393] = {.lex_state = 130, .external_lex_state = 3},
  [11394] = {.lex_state = 6, .external_lex_state = 2},
  [11395] = {.lex_state = 139, .external_lex_state = 3},
  [11396] = {.lex_state = 6, .external_lex_state = 2},
  [11397] = {.lex_state = 424, .external_lex_state = 3},
  [11398] = {.lex_state = 139, .external_lex_state = 3},
  [11399] = {.lex_state = 6, .external_lex_state = 2},
  [11400] = {.lex_state = 6, .external_lex_state = 2},
  [11401] = {.lex_state = 6, .external_lex_state = 2},
  [11402] = {.lex_state = 6, .external_lex_state = 2},
  [11403] = {.lex_state = 139, .external_lex_state = 3},
  [11404] = {.lex_state = 413, .external_lex_state = 3},
  [11405] = {.lex_state = 18, .external_lex_state = 3},
  [11406] = {.lex_state = 424, .external_lex_state = 3},
  [11407] = {.lex_state = 424, .external_lex_state = 3},
  [11408] = {.lex_state = 139, .external_lex_state = 3},
  [11409] = {.lex_state = 6, .external_lex_state = 2},
  [11410] = {.lex_state = 6, .external_lex_state = 2},
  [11411] = {.lex_state = 6, .external_lex_state = 2},
  [11412] = {.lex_state = 6, .external_lex_state = 2},
  [11413] = {.lex_state = 424, .external_lex_state = 3},
  [11414] = {.lex_state = 6, .external_lex_state = 2},
  [11415] = {.lex_state = 413, .external_lex_state = 3},
  [11416] = {.lex_state = 424, .external_lex_state = 3},
  [11417] = {.lex_state = 6, .external_lex_state = 2},
  [11418] = {.lex_state = 424, .external_lex_state = 3},
  [11419] = {.lex_state = 424, .external_lex_state = 3},
  [11420] = {.lex_state = 424, .external_lex_state = 3},
  [11421] = {.lex_state = 6, .external_lex_state = 2},
  [11422] = {.lex_state = 130, .external_lex_state = 3},
  [11423] = {.lex_state = 424, .external_lex_state = 3},
  [11424] = {.lex_state = 413, .external_lex_state = 3},
  [11425] = {.lex_state = 426, .external_lex_state = 3},
  [11426] = {.lex_state = 175, .external_lex_state = 3},
  [11427] = {.lex_state = 139, .external_lex_state = 3},
  [11428] = {.lex_state = 6, .external_lex_state = 2},
  [11429] = {.lex_state = 139, .external_lex_state = 3},
  [11430] = {.lex_state = 413, .external_lex_state = 3},
  [11431] = {.lex_state = 139, .external_lex_state = 3},
  [11432] = {.lex_state = 139, .external_lex_state = 3},
  [11433] = {.lex_state = 6, .external_lex_state = 2},
  [11434] = {.lex_state = 130, .external_lex_state = 3},
  [11435] = {.lex_state = 176, .external_lex_state = 3},
  [11436] = {.lex_state = 6, .external_lex_state = 2},
  [11437] = {.lex_state = 17, .external_lex_state = 3},
  [11438] = {.lex_state = 424, .external_lex_state = 3},
  [11439] = {.lex_state = 139, .external_lex_state = 3},
  [11440] = {.lex_state = 185, .external_lex_state = 3},
  [11441] = {.lex_state = 174, .external_lex_state = 3},
  [11442] = {.lex_state = 6, .external_lex_state = 2},
  [11443] = {.lex_state = 424, .external_lex_state = 3},
  [11444] = {.lex_state = 424, .external_lex_state = 3},
  [11445] = {.lex_state = 6, .external_lex_state = 2},
  [11446] = {.lex_state = 6, .external_lex_state = 2},
  [11447] = {.lex_state = 6, .external_lex_state = 2},
  [11448] = {.lex_state = 139, .external_lex_state = 3},
  [11449] = {.lex_state = 6, .external_lex_state = 2},
  [11450] = {.lex_state = 130, .external_lex_state = 3},
  [11451] = {.lex_state = 139, .external_lex_state = 3},
  [11452] = {.lex_state = 6, .external_lex_state = 2},
  [11453] = {.lex_state = 163, .external_lex_state = 3},
  [11454] = {.lex_state = 176, .external_lex_state = 3},
  [11455] = {.lex_state = 6, .external_lex_state = 2},
  [11456] = {.lex_state = 139, .external_lex_state = 3},
  [11457] = {.lex_state = 139, .external_lex_state = 3},
  [11458] = {.lex_state = 424, .external_lex_state = 3},
  [11459] = {.lex_state = 6, .external_lex_state = 2},
  [11460] = {.lex_state = 130, .external_lex_state = 3},
  [11461] = {.lex_state = 185, .external_lex_state = 3},
  [11462] = {.lex_state = 139, .external_lex_state = 3},
  [11463] = {.lex_state = 185, .external_lex_state = 3},
  [11464] = {.lex_state = 139, .external_lex_state = 3},
  [11465] = {.lex_state = 6, .external_lex_state = 2},
  [11466] = {.lex_state = 139, .external_lex_state = 3},
  [11467] = {.lex_state = 163, .external_lex_state = 3},
  [11468] = {.lex_state = 130, .external_lex_state = 3},
  [11469] = {.lex_state = 424, .external_lex_state = 3},
  [11470] = {.lex_state = 130, .external_lex_state = 3},
  [11471] = {.lex_state = 130, .external_lex_state = 3},
  [11472] = {.lex_state = 130, .external_lex_state = 3},
  [11473] = {.lex_state = 130, .external_lex_state = 3},
  [11474] = {.lex_state = 130, .external_lex_state = 3},
  [11475] = {.lex_state = 139, .external_lex_state = 3},
  [11476] = {.lex_state = 139, .external_lex_state = 3},
  [11477] = {.lex_state = 6, .external_lex_state = 2},
  [11478] = {.lex_state = 130, .external_lex_state = 3},
  [11479] = {.lex_state = 6, .external_lex_state = 2},
  [11480] = {.lex_state = 139, .external_lex_state = 3},
  [11481] = {.lex_state = 6, .external_lex_state = 2},
  [11482] = {.lex_state = 163, .external_lex_state = 3},
  [11483] = {.lex_state = 6, .external_lex_state = 2},
  [11484] = {.lex_state = 139, .external_lex_state = 3},
  [11485] = {.lex_state = 139, .external_lex_state = 3},
  [11486] = {.lex_state = 130, .external_lex_state = 3},
  [11487] = {.lex_state = 424, .external_lex_state = 3},
  [11488] = {.lex_state = 6, .external_lex_state = 2},
  [11489] = {.lex_state = 6, .external_lex_state = 2},
  [11490] = {.lex_state = 424, .external_lex_state = 3},
  [11491] = {.lex_state = 130, .external_lex_state = 3},
  [11492] = {.lex_state = 426, .external_lex_state = 3},
  [11493] = {.lex_state = 139, .external_lex_state = 3},
  [11494] = {.lex_state = 17, .external_lex_state = 3},
  [11495] = {.lex_state = 130, .external_lex_state = 3},
  [11496] = {.lex_state = 6, .external_lex_state = 2},
  [11497] = {.lex_state = 130, .external_lex_state = 3},
  [11498] = {.lex_state = 6, .external_lex_state = 2},
  [11499] = {.lex_state = 177, .external_lex_state = 3},
  [11500] = {.lex_state = 424, .external_lex_state = 3},
  [11501] = {.lex_state = 6, .external_lex_state = 2},
  [11502] = {.lex_state = 6, .external_lex_state = 2},
  [11503] = {.lex_state = 424, .external_lex_state = 3},
  [11504] = {.lex_state = 6, .external_lex_state = 2},
  [11505] = {.lex_state = 424, .external_lex_state = 3},
  [11506] = {.lex_state = 175, .external_lex_state = 3},
  [11507] = {.lex_state = 413, .external_lex_state = 3},
  [11508] = {.lex_state = 130, .external_lex_state = 3},
  [11509] = {.lex_state = 130, .external_lex_state = 3},
  [11510] = {.lex_state = 6, .external_lex_state = 2},
  [11511] = {.lex_state = 424, .external_lex_state = 3},
  [11512] = {.lex_state = 6, .external_lex_state = 2},
  [11513] = {.lex_state = 163, .external_lex_state = 3},
  [11514] = {.lex_state = 130, .external_lex_state = 3},
  [11515] = {.lex_state = 6, .external_lex_state = 2},
  [11516] = {.lex_state = 6, .external_lex_state = 2},
  [11517] = {.lex_state = 6, .external_lex_state = 2},
  [11518] = {.lex_state = 6, .external_lex_state = 2},
  [11519] = {.lex_state = 413, .external_lex_state = 3},
  [11520] = {.lex_state = 139, .external_lex_state = 3},
  [11521] = {.lex_state = 130, .external_lex_state = 3},
  [11522] = {.lex_state = 424, .external_lex_state = 3},
  [11523] = {.lex_state = 130, .external_lex_state = 3},
  [11524] = {.lex_state = 6, .external_lex_state = 2},
  [11525] = {.lex_state = 6, .external_lex_state = 2},
  [11526] = {.lex_state = 6, .external_lex_state = 2},
  [11527] = {.lex_state = 139, .external_lex_state = 3},
  [11528] = {.lex_state = 139, .external_lex_state = 3},
  [11529] = {.lex_state = 413, .external_lex_state = 3},
  [11530] = {.lex_state = 130, .external_lex_state = 3},
  [11531] = {.lex_state = 139, .external_lex_state = 3},
  [11532] = {.lex_state = 424, .external_lex_state = 3},
  [11533] = {.lex_state = 426, .external_lex_state = 3},
  [11534] = {.lex_state = 6, .external_lex_state = 2},
  [11535] = {.lex_state = 185, .external_lex_state = 3},
  [11536] = {.lex_state = 413, .external_lex_state = 3},
  [11537] = {.lex_state = 426, .external_lex_state = 3},
  [11538] = {.lex_state = 6, .external_lex_state = 2},
  [11539] = {.lex_state = 139, .external_lex_state = 3},
  [11540] = {.lex_state = 413, .external_lex_state = 3},
  [11541] = {.lex_state = 139, .external_lex_state = 3},
  [11542] = {.lex_state = 424, .external_lex_state = 3},
  [11543] = {.lex_state = 34, .external_lex_state = 2},
  [11544] = {.lex_state = 424, .external_lex_state = 3},
  [11545] = {.lex_state = 433, .external_lex_state = 3},
  [11546] = {.lex_state = 433, .external_lex_state = 3},
  [11547] = {.lex_state = 433, .external_lex_state = 3},
  [11548] = {.lex_state = 424, .external_lex_state = 3},
  [11549] = {.lex_state = 6, .external_lex_state = 2},
  [11550] = {.lex_state = 424, .external_lex_state = 3},
  [11551] = {.lex_state = 424, .external_lex_state = 3},
  [11552] = {.lex_state = 433, .external_lex_state = 3},
  [11553] = {.lex_state = 433, .external_lex_state = 3},
  [11554] = {.lex_state = 433, .external_lex_state = 3},
  [11555] = {.lex_state = 433, .external_lex_state = 3},
  [11556] = {.lex_state = 433, .external_lex_state = 3},
  [11557] = {.lex_state = 424, .external_lex_state = 3},
  [11558] = {.lex_state = 424, .external_lex_state = 3},
  [11559] = {.lex_state = 424, .external_lex_state = 3},
  [11560] = {.lex_state = 424, .external_lex_state = 3},
  [11561] = {.lex_state = 424, .external_lex_state = 3},
  [11562] = {.lex_state = 433, .external_lex_state = 3},
  [11563] = {.lex_state = 433, .external_lex_state = 3},
  [11564] = {.lex_state = 433, .external_lex_state = 3},
  [11565] = {.lex_state = 433, .external_lex_state = 3},
  [11566] = {.lex_state = 424, .external_lex_state = 3},
  [11567] = {.lex_state = 433, .external_lex_state = 3},
  [11568] = {.lex_state = 433, .external_lex_state = 3},
  [11569] = {.lex_state = 433, .external_lex_state = 3},
  [11570] = {.lex_state = 433, .external_lex_state = 3},
  [11571] = {.lex_state = 433, .external_lex_state = 3},
  [11572] = {.lex_state = 173, .external_lex_state = 3},
  [11573] = {.lex_state = 433, .external_lex_state = 3},
  [11574] = {.lex_state = 433, .external_lex_state = 3},
  [11575] = {.lex_state = 424, .external_lex_state = 3},
  [11576] = {.lex_state = 433, .external_lex_state = 3},
  [11577] = {.lex_state = 433, .external_lex_state = 3},
  [11578] = {.lex_state = 433, .external_lex_state = 3},
  [11579] = {.lex_state = 433, .external_lex_state = 3},
  [11580] = {.lex_state = 433, .external_lex_state = 3},
  [11581] = {.lex_state = 174, .external_lex_state = 3},
  [11582] = {.lex_state = 433, .external_lex_state = 3},
  [11583] = {.lex_state = 174, .external_lex_state = 3},
  [11584] = {.lex_state = 433, .external_lex_state = 3},
  [11585] = {.lex_state = 433, .external_lex_state = 3},
  [11586] = {.lex_state = 174, .external_lex_state = 3},
  [11587] = {.lex_state = 174, .external_lex_state = 3},
  [11588] = {.lex_state = 174, .external_lex_state = 3},
  [11589] = {.lex_state = 130, .external_lex_state = 3},
  [11590] = {.lex_state = 174, .external_lex_state = 3},
  [11591] = {.lex_state = 131, .external_lex_state = 3},
  [11592] = {.lex_state = 424, .external_lex_state = 3},
  [11593] = {.lex_state = 131, .external_lex_state = 3},
  [11594] = {.lex_state = 413, .external_lex_state = 3},
  [11595] = {.lex_state = 173, .external_lex_state = 3},
  [11596] = {.lex_state = 411, .external_lex_state = 3},
  [11597] = {.lex_state = 129, .external_lex_state = 3},
  [11598] = {.lex_state = 411, .external_lex_state = 2},
  [11599] = {.lex_state = 424, .external_lex_state = 3},
  [11600] = {.lex_state = 424, .external_lex_state = 3},
  [11601] = {.lex_state = 424, .external_lex_state = 3},
  [11602] = {.lex_state = 424, .external_lex_state = 3},
  [11603] = {.lex_state = 131, .external_lex_state = 3},
  [11604] = {.lex_state = 424, .external_lex_state = 3},
  [11605] = {.lex_state = 131, .external_lex_state = 3},
  [11606] = {.lex_state = 424, .external_lex_state = 3},
  [11607] = {.lex_state = 424, .external_lex_state = 3},
  [11608] = {.lex_state = 424, .external_lex_state = 3},
  [11609] = {.lex_state = 131, .external_lex_state = 3},
  [11610] = {.lex_state = 424, .external_lex_state = 3},
  [11611] = {.lex_state = 433, .external_lex_state = 3},
  [11612] = {.lex_state = 424, .external_lex_state = 3},
  [11613] = {.lex_state = 433, .external_lex_state = 3},
  [11614] = {.lex_state = 131, .external_lex_state = 3},
  [11615] = {.lex_state = 131, .external_lex_state = 3},
  [11616] = {.lex_state = 131, .external_lex_state = 3},
  [11617] = {.lex_state = 424, .external_lex_state = 3},
  [11618] = {.lex_state = 424, .external_lex_state = 3},
  [11619] = {.lex_state = 138, .external_lex_state = 3},
  [11620] = {.lex_state = 424, .external_lex_state = 3},
  [11621] = {.lex_state = 424, .external_lex_state = 3},
  [11622] = {.lex_state = 131, .external_lex_state = 3},
  [11623] = {.lex_state = 424, .external_lex_state = 3},
  [11624] = {.lex_state = 131, .external_lex_state = 3},
  [11625] = {.lex_state = 131, .external_lex_state = 3},
  [11626] = {.lex_state = 131, .external_lex_state = 3},
  [11627] = {.lex_state = 131, .external_lex_state = 3},
  [11628] = {.lex_state = 131, .external_lex_state = 3},
  [11629] = {.lex_state = 131, .external_lex_state = 3},
  [11630] = {.lex_state = 131, .external_lex_state = 3},
  [11631] = {.lex_state = 424, .external_lex_state = 3},
  [11632] = {.lex_state = 131, .external_lex_state = 3},
  [11633] = {.lex_state = 424, .external_lex_state = 3},
  [11634] = {.lex_state = 424, .external_lex_state = 3},
  [11635] = {.lex_state = 413, .external_lex_state = 3},
  [11636] = {.lex_state = 424, .external_lex_state = 3},
  [11637] = {.lex_state = 424, .external_lex_state = 3},
  [11638] = {.lex_state = 424, .external_lex_state = 3},
  [11639] = {.lex_state = 424, .external_lex_state = 3},
  [11640] = {.lex_state = 424, .external_lex_state = 3},
  [11641] = {.lex_state = 131, .external_lex_state = 3},
  [11642] = {.lex_state = 131, .external_lex_state = 3},
  [11643] = {.lex_state = 131, .external_lex_state = 3},
  [11644] = {.lex_state = 131, .external_lex_state = 3},
  [11645] = {.lex_state = 131, .external_lex_state = 3},
  [11646] = {.lex_state = 131, .external_lex_state = 3},
  [11647] = {.lex_state = 181, .external_lex_state = 3},
  [11648] = {.lex_state = 424, .external_lex_state = 3},
  [11649] = {.lex_state = 17, .external_lex_state = 3},
  [11650] = {.lex_state = 175, .external_lex_state = 3},
  [11651] = {.lex_state = 175, .external_lex_state = 3},
  [11652] = {.lex_state = 131, .external_lex_state = 3},
  [11653] = {.lex_state = 175, .external_lex_state = 3},
  [11654] = {.lex_state = 17, .external_lex_state = 3},
  [11655] = {.lex_state = 175, .external_lex_state = 3},
  [11656] = {.lex_state = 17, .external_lex_state = 3},
  [11657] = {.lex_state = 17, .external_lex_state = 3},
  [11658] = {.lex_state = 17, .external_lex_state = 3},
  [11659] = {.lex_state = 175, .external_lex_state = 3},
  [11660] = {.lex_state = 424, .external_lex_state = 3},
  [11661] = {.lex_state = 175, .external_lex_state = 3},
  [11662] = {.lex_state = 131, .external_lex_state = 3},
  [11663] = {.lex_state = 131, .external_lex_state = 3},
  [11664] = {.lex_state = 424, .external_lex_state = 3},
  [11665] = {.lex_state = 181, .external_lex_state = 3},
  [11666] = {.lex_state = 424, .external_lex_state = 3},
  [11667] = {.lex_state = 424, .external_lex_state = 3},
  [11668] = {.lex_state = 424, .external_lex_state = 3},
  [11669] = {.lex_state = 424, .external_lex_state = 3},
  [11670] = {.lex_state = 424, .external_lex_state = 3},
  [11671] = {.lex_state = 424, .external_lex_state = 3},
  [11672] = {.lex_state = 433, .external_lex_state = 3},
  [11673] = {.lex_state = 424, .external_lex_state = 3},
  [11674] = {.lex_state = 424, .external_lex_state = 3},
  [11675] = {.lex_state = 424, .external_lex_state = 3},
  [11676] = {.lex_state = 424, .external_lex_state = 3},
  [11677] = {.lex_state = 424, .external_lex_state = 3},
  [11678] = {.lex_state = 424, .external_lex_state = 3},
  [11679] = {.lex_state = 424, .external_lex_state = 3},
  [11680] = {.lex_state = 424, .external_lex_state = 3},
  [11681] = {.lex_state = 424, .external_lex_state = 3},
  [11682] = {.lex_state = 424, .external_lex_state = 3},
  [11683] = {.lex_state = 18, .external_lex_state = 3},
  [11684] = {.lex_state = 18, .external_lex_state = 3},
  [11685] = {.lex_state = 18, .external_lex_state = 3},
  [11686] = {.lex_state = 18, .external_lex_state = 3},
  [11687] = {.lex_state = 140, .external_lex_state = 3},
  [11688] = {.lex_state = 424, .external_lex_state = 3},
  [11689] = {.lex_state = 433, .external_lex_state = 3},
  [11690] = {.lex_state = 424, .external_lex_state = 3},
  [11691] = {.lex_state = 424, .external_lex_state = 3},
  [11692] = {.lex_state = 424, .external_lex_state = 3},
  [11693] = {.lex_state = 433, .external_lex_state = 3},
  [11694] = {.lex_state = 424, .external_lex_state = 3},
  [11695] = {.lex_state = 424, .external_lex_state = 3},
  [11696] = {.lex_state = 424, .external_lex_state = 3},
  [11697] = {.lex_state = 433, .external_lex_state = 3},
  [11698] = {.lex_state = 433, .external_lex_state = 3},
  [11699] = {.lex_state = 424, .external_lex_state = 3},
  [11700] = {.lex_state = 424, .external_lex_state = 3},
  [11701] = {.lex_state = 424, .external_lex_state = 3},
  [11702] = {.lex_state = 424, .external_lex_state = 3},
  [11703] = {.lex_state = 424, .external_lex_state = 3},
  [11704] = {.lex_state = 424, .external_lex_state = 3},
  [11705] = {.lex_state = 424, .external_lex_state = 3},
  [11706] = {.lex_state = 424, .external_lex_state = 3},
  [11707] = {.lex_state = 424, .external_lex_state = 3},
  [11708] = {.lex_state = 424, .external_lex_state = 3},
  [11709] = {.lex_state = 18, .external_lex_state = 3},
  [11710] = {.lex_state = 424, .external_lex_state = 3},
  [11711] = {.lex_state = 424, .external_lex_state = 3},
  [11712] = {.lex_state = 424, .external_lex_state = 3},
  [11713] = {.lex_state = 424, .external_lex_state = 3},
  [11714] = {.lex_state = 424, .external_lex_state = 3},
  [11715] = {.lex_state = 424, .external_lex_state = 3},
  [11716] = {.lex_state = 424, .external_lex_state = 3},
  [11717] = {.lex_state = 424, .external_lex_state = 3},
  [11718] = {.lex_state = 424, .external_lex_state = 3},
  [11719] = {.lex_state = 424, .external_lex_state = 3},
  [11720] = {.lex_state = 424, .external_lex_state = 3},
  [11721] = {.lex_state = 131, .external_lex_state = 3},
  [11722] = {.lex_state = 424, .external_lex_state = 3},
  [11723] = {.lex_state = 433, .external_lex_state = 3},
  [11724] = {.lex_state = 424, .external_lex_state = 3},
  [11725] = {.lex_state = 424, .external_lex_state = 3},
  [11726] = {.lex_state = 424, .external_lex_state = 3},
  [11727] = {.lex_state = 424, .external_lex_state = 3},
  [11728] = {.lex_state = 424, .external_lex_state = 3},
  [11729] = {.lex_state = 424, .external_lex_state = 3},
  [11730] = {.lex_state = 424, .external_lex_state = 3},
  [11731] = {.lex_state = 426, .external_lex_state = 3},
  [11732] = {.lex_state = 129, .external_lex_state = 3},
  [11733] = {.lex_state = 129, .external_lex_state = 3},
  [11734] = {.lex_state = 424, .external_lex_state = 3},
  [11735] = {.lex_state = 129, .external_lex_state = 3},
  [11736] = {.lex_state = 129, .external_lex_state = 3},
  [11737] = {.lex_state = 129, .external_lex_state = 3},
  [11738] = {.lex_state = 129, .external_lex_state = 3},
  [11739] = {.lex_state = 129, .external_lex_state = 3},
  [11740] = {.lex_state = 129, .external_lex_state = 3},
  [11741] = {.lex_state = 129, .external_lex_state = 3},
  [11742] = {.lex_state = 129, .external_lex_state = 3},
  [11743] = {.lex_state = 129, .external_lex_state = 3},
  [11744] = {.lex_state = 424, .external_lex_state = 3},
  [11745] = {.lex_state = 424, .external_lex_state = 3},
  [11746] = {.lex_state = 424, .external_lex_state = 3},
  [11747] = {.lex_state = 424, .external_lex_state = 3},
  [11748] = {.lex_state = 424, .external_lex_state = 3},
  [11749] = {.lex_state = 424, .external_lex_state = 3},
  [11750] = {.lex_state = 129, .external_lex_state = 3},
  [11751] = {.lex_state = 424, .external_lex_state = 3},
  [11752] = {.lex_state = 424, .external_lex_state = 3},
  [11753] = {.lex_state = 181, .external_lex_state = 3},
  [11754] = {.lex_state = 424, .external_lex_state = 3},
  [11755] = {.lex_state = 424, .external_lex_state = 3},
  [11756] = {.lex_state = 424, .external_lex_state = 3},
  [11757] = {.lex_state = 424, .external_lex_state = 3},
  [11758] = {.lex_state = 424, .external_lex_state = 3},
  [11759] = {.lex_state = 424, .external_lex_state = 3},
  [11760] = {.lex_state = 129, .external_lex_state = 3},
  [11761] = {.lex_state = 424, .external_lex_state = 3},
  [11762] = {.lex_state = 424, .external_lex_state = 3},
  [11763] = {.lex_state = 424, .external_lex_state = 3},
  [11764] = {.lex_state = 424, .external_lex_state = 3},
  [11765] = {.lex_state = 424, .external_lex_state = 3},
  [11766] = {.lex_state = 424, .external_lex_state = 3},
  [11767] = {.lex_state = 424, .external_lex_state = 3},
  [11768] = {.lex_state = 424, .external_lex_state = 3},
  [11769] = {.lex_state = 424, .external_lex_state = 3},
  [11770] = {.lex_state = 424, .external_lex_state = 3},
  [11771] = {.lex_state = 173, .external_lex_state = 3},
  [11772] = {.lex_state = 424, .external_lex_state = 3},
  [11773] = {.lex_state = 424, .external_lex_state = 3},
  [11774] = {.lex_state = 131, .external_lex_state = 3},
  [11775] = {.lex_state = 424, .external_lex_state = 3},
  [11776] = {.lex_state = 424, .external_lex_state = 3},
  [11777] = {.lex_state = 173, .external_lex_state = 3},
  [11778] = {.lex_state = 173, .external_lex_state = 3},
  [11779] = {.lex_state = 424, .external_lex_state = 3},
  [11780] = {.lex_state = 130, .external_lex_state = 3},
  [11781] = {.lex_state = 130, .external_lex_state = 3},
  [11782] = {.lex_state = 130, .external_lex_state = 3},
  [11783] = {.lex_state = 130, .external_lex_state = 3},
  [11784] = {.lex_state = 130, .external_lex_state = 3},
  [11785] = {.lex_state = 130, .external_lex_state = 3},
  [11786] = {.lex_state = 424, .external_lex_state = 3},
  [11787] = {.lex_state = 130, .external_lex_state = 3},
  [11788] = {.lex_state = 130, .external_lex_state = 3},
  [11789] = {.lex_state = 130, .external_lex_state = 3},
  [11790] = {.lex_state = 130, .external_lex_state = 3},
  [11791] = {.lex_state = 130, .external_lex_state = 3},
  [11792] = {.lex_state = 424, .external_lex_state = 3},
  [11793] = {.lex_state = 136, .external_lex_state = 3},
  [11794] = {.lex_state = 424, .external_lex_state = 3},
  [11795] = {.lex_state = 130, .external_lex_state = 3},
  [11796] = {.lex_state = 424, .external_lex_state = 3},
  [11797] = {.lex_state = 424, .external_lex_state = 3},
  [11798] = {.lex_state = 131, .external_lex_state = 3},
  [11799] = {.lex_state = 173, .external_lex_state = 3},
  [11800] = {.lex_state = 424, .external_lex_state = 3},
  [11801] = {.lex_state = 130, .external_lex_state = 3},
  [11802] = {.lex_state = 173, .external_lex_state = 3},
  [11803] = {.lex_state = 424, .external_lex_state = 3},
  [11804] = {.lex_state = 424, .external_lex_state = 3},
  [11805] = {.lex_state = 185, .external_lex_state = 3},
  [11806] = {.lex_state = 173, .external_lex_state = 3},
  [11807] = {.lex_state = 173, .external_lex_state = 3},
  [11808] = {.lex_state = 424, .external_lex_state = 3},
  [11809] = {.lex_state = 173, .external_lex_state = 3},
  [11810] = {.lex_state = 428, .external_lex_state = 3},
  [11811] = {.lex_state = 428, .external_lex_state = 3},
  [11812] = {.lex_state = 428, .external_lex_state = 3},
  [11813] = {.lex_state = 424, .external_lex_state = 3},
  [11814] = {.lex_state = 424, .external_lex_state = 3},
  [11815] = {.lex_state = 424, .external_lex_state = 3},
  [11816] = {.lex_state = 424, .external_lex_state = 3},
  [11817] = {.lex_state = 424, .external_lex_state = 3},
  [11818] = {.lex_state = 161, .external_lex_state = 3},
  [11819] = {.lex_state = 129, .external_lex_state = 3},
  [11820] = {.lex_state = 150, .external_lex_state = 2},
  [11821] = {.lex_state = 130, .external_lex_state = 3},
  [11822] = {.lex_state = 130, .external_lex_state = 3},
  [11823] = {.lex_state = 424, .external_lex_state = 3},
  [11824] = {.lex_state = 424, .external_lex_state = 3},
  [11825] = {.lex_state = 150, .external_lex_state = 2},
  [11826] = {.lex_state = 161, .external_lex_state = 3},
  [11827] = {.lex_state = 161, .external_lex_state = 3},
  [11828] = {.lex_state = 161, .external_lex_state = 3},
  [11829] = {.lex_state = 150, .external_lex_state = 2},
  [11830] = {.lex_state = 181, .external_lex_state = 3},
  [11831] = {.lex_state = 181, .external_lex_state = 3},
  [11832] = {.lex_state = 187, .external_lex_state = 3},
  [11833] = {.lex_state = 129, .external_lex_state = 3},
  [11834] = {.lex_state = 129, .external_lex_state = 3},
  [11835] = {.lex_state = 130, .external_lex_state = 3},
  [11836] = {.lex_state = 130, .external_lex_state = 3},
  [11837] = {.lex_state = 181, .external_lex_state = 3},
  [11838] = {.lex_state = 424, .external_lex_state = 3},
  [11839] = {.lex_state = 189, .external_lex_state = 3},
  [11840] = {.lex_state = 181, .external_lex_state = 3},
  [11841] = {.lex_state = 181, .external_lex_state = 3},
  [11842] = {.lex_state = 181, .external_lex_state = 3},
  [11843] = {.lex_state = 426, .external_lex_state = 3},
  [11844] = {.lex_state = 424, .external_lex_state = 3},
  [11845] = {.lex_state = 424, .external_lex_state = 3},
  [11846] = {.lex_state = 424, .external_lex_state = 3},
  [11847] = {.lex_state = 424, .external_lex_state = 3},
  [11848] = {.lex_state = 181, .external_lex_state = 3},
  [11849] = {.lex_state = 411, .external_lex_state = 3},
  [11850] = {.lex_state = 424, .external_lex_state = 3},
  [11851] = {.lex_state = 173, .external_lex_state = 3},
  [11852] = {.lex_state = 424, .external_lex_state = 3},
  [11853] = {.lex_state = 424, .external_lex_state = 3},
  [11854] = {.lex_state = 424, .external_lex_state = 3},
  [11855] = {.lex_state = 424, .external_lex_state = 3},
  [11856] = {.lex_state = 424, .external_lex_state = 3},
  [11857] = {.lex_state = 181, .external_lex_state = 3},
  [11858] = {.lex_state = 424, .external_lex_state = 3},
  [11859] = {.lex_state = 424, .external_lex_state = 3},
  [11860] = {.lex_state = 424, .external_lex_state = 3},
  [11861] = {.lex_state = 424, .external_lex_state = 3},
  [11862] = {.lex_state = 424, .external_lex_state = 3},
  [11863] = {.lex_state = 424, .external_lex_state = 3},
  [11864] = {.lex_state = 424, .external_lex_state = 3},
  [11865] = {.lex_state = 424, .external_lex_state = 3},
  [11866] = {.lex_state = 424, .external_lex_state = 3},
  [11867] = {.lex_state = 424, .external_lex_state = 3},
  [11868] = {.lex_state = 424, .external_lex_state = 3},
  [11869] = {.lex_state = 424, .external_lex_state = 3},
  [11870] = {.lex_state = 413, .external_lex_state = 3},
  [11871] = {.lex_state = 424, .external_lex_state = 3},
  [11872] = {.lex_state = 424, .external_lex_state = 3},
  [11873] = {.lex_state = 424, .external_lex_state = 3},
  [11874] = {.lex_state = 176, .external_lex_state = 3},
  [11875] = {.lex_state = 424, .external_lex_state = 3},
  [11876] = {.lex_state = 177, .external_lex_state = 3},
  [11877] = {.lex_state = 129, .external_lex_state = 3},
  [11878] = {.lex_state = 129, .external_lex_state = 3},
  [11879] = {.lex_state = 424, .external_lex_state = 3},
  [11880] = {.lex_state = 34, .external_lex_state = 2},
  [11881] = {.lex_state = 426, .external_lex_state = 3},
  [11882] = {.lex_state = 424, .external_lex_state = 3},
  [11883] = {.lex_state = 34, .external_lex_state = 2},
  [11884] = {.lex_state = 130, .external_lex_state = 3},
  [11885] = {.lex_state = 424, .external_lex_state = 3},
  [11886] = {.lex_state = 424, .external_lex_state = 3},
  [11887] = {.lex_state = 424, .external_lex_state = 3},
  [11888] = {.lex_state = 424, .external_lex_state = 3},
  [11889] = {.lex_state = 424, .external_lex_state = 3},
  [11890] = {.lex_state = 433, .external_lex_state = 3},
  [11891] = {.lex_state = 433, .external_lex_state = 3},
  [11892] = {.lex_state = 424, .external_lex_state = 3},
  [11893] = {.lex_state = 424, .external_lex_state = 3},
  [11894] = {.lex_state = 424, .external_lex_state = 3},
  [11895] = {.lex_state = 424, .external_lex_state = 3},
  [11896] = {.lex_state = 424, .external_lex_state = 3},
  [11897] = {.lex_state = 424, .external_lex_state = 3},
  [11898] = {.lex_state = 424, .external_lex_state = 3},
  [11899] = {.lex_state = 424, .external_lex_state = 3},
  [11900] = {.lex_state = 424, .external_lex_state = 3},
  [11901] = {.lex_state = 424, .external_lex_state = 3},
  [11902] = {.lex_state = 424, .external_lex_state = 3},
  [11903] = {.lex_state = 424, .external_lex_state = 3},
  [11904] = {.lex_state = 424, .external_lex_state = 3},
  [11905] = {.lex_state = 6, .external_lex_state = 2},
  [11906] = {.lex_state = 185, .external_lex_state = 3},
  [11907] = {.lex_state = 161, .external_lex_state = 3},
  [11908] = {.lex_state = 17, .external_lex_state = 3},
  [11909] = {.lex_state = 17, .external_lex_state = 3},
  [11910] = {.lex_state = 17, .external_lex_state = 3},
  [11911] = {.lex_state = 17, .external_lex_state = 3},
  [11912] = {.lex_state = 185, .external_lex_state = 3},
  [11913] = {.lex_state = 18, .external_lex_state = 3},
  [11914] = {.lex_state = 17, .external_lex_state = 3},
  [11915] = {.lex_state = 17, .external_lex_state = 3},
  [11916] = {.lex_state = 185, .external_lex_state = 3},
  [11917] = {.lex_state = 129, .external_lex_state = 3},
  [11918] = {.lex_state = 129, .external_lex_state = 3},
  [11919] = {.lex_state = 129, .external_lex_state = 3},
  [11920] = {.lex_state = 129, .external_lex_state = 3},
  [11921] = {.lex_state = 129, .external_lex_state = 3},
  [11922] = {.lex_state = 129, .external_lex_state = 3},
  [11923] = {.lex_state = 129, .external_lex_state = 3},
  [11924] = {.lex_state = 129, .external_lex_state = 3},
  [11925] = {.lex_state = 129, .external_lex_state = 3},
  [11926] = {.lex_state = 129, .external_lex_state = 3},
  [11927] = {.lex_state = 129, .external_lex_state = 3},
  [11928] = {.lex_state = 17, .external_lex_state = 3},
  [11929] = {.lex_state = 424, .external_lex_state = 3},
  [11930] = {.lex_state = 424, .external_lex_state = 3},
  [11931] = {.lex_state = 424, .external_lex_state = 3},
  [11932] = {.lex_state = 17, .external_lex_state = 3},
  [11933] = {.lex_state = 161, .external_lex_state = 3},
  [11934] = {.lex_state = 162, .external_lex_state = 3},
  [11935] = {.lex_state = 162, .external_lex_state = 3},
  [11936] = {.lex_state = 162, .external_lex_state = 3},
  [11937] = {.lex_state = 150, .external_lex_state = 2},
  [11938] = {.lex_state = 17, .external_lex_state = 3},
  [11939] = {.lex_state = 181, .external_lex_state = 3},
  [11940] = {.lex_state = 426, .external_lex_state = 3},
  [11941] = {.lex_state = 185, .external_lex_state = 3},
  [11942] = {.lex_state = 17, .external_lex_state = 3},
  [11943] = {.lex_state = 17, .external_lex_state = 3},
  [11944] = {.lex_state = 17, .external_lex_state = 3},
  [11945] = {.lex_state = 18, .external_lex_state = 3},
  [11946] = {.lex_state = 17, .external_lex_state = 3},
  [11947] = {.lex_state = 411, .external_lex_state = 3},
  [11948] = {.lex_state = 18, .external_lex_state = 3},
  [11949] = {.lex_state = 173, .external_lex_state = 3},
  [11950] = {.lex_state = 411, .external_lex_state = 3},
  [11951] = {.lex_state = 411, .external_lex_state = 3},
  [11952] = {.lex_state = 17, .external_lex_state = 3},
  [11953] = {.lex_state = 17, .external_lex_state = 3},
  [11954] = {.lex_state = 17, .external_lex_state = 3},
  [11955] = {.lex_state = 424, .external_lex_state = 3},
  [11956] = {.lex_state = 17, .external_lex_state = 3},
  [11957] = {.lex_state = 185, .external_lex_state = 3},
  [11958] = {.lex_state = 129, .external_lex_state = 3},
  [11959] = {.lex_state = 17, .external_lex_state = 3},
  [11960] = {.lex_state = 185, .external_lex_state = 3},
  [11961] = {.lex_state = 17, .external_lex_state = 3},
  [11962] = {.lex_state = 187, .external_lex_state = 3},
  [11963] = {.lex_state = 185, .external_lex_state = 3},
  [11964] = {.lex_state = 181, .external_lex_state = 3},
  [11965] = {.lex_state = 187, .external_lex_state = 3},
  [11966] = {.lex_state = 17, .external_lex_state = 3},
  [11967] = {.lex_state = 185, .external_lex_state = 3},
  [11968] = {.lex_state = 411, .external_lex_state = 3},
  [11969] = {.lex_state = 187, .external_lex_state = 3},
  [11970] = {.lex_state = 18, .external_lex_state = 3},
  [11971] = {.lex_state = 17, .external_lex_state = 3},
  [11972] = {.lex_state = 17, .external_lex_state = 3},
  [11973] = {.lex_state = 18, .external_lex_state = 3},
  [11974] = {.lex_state = 18, .external_lex_state = 3},
  [11975] = {.lex_state = 18, .external_lex_state = 3},
  [11976] = {.lex_state = 18, .external_lex_state = 3},
  [11977] = {.lex_state = 17, .external_lex_state = 3},
  [11978] = {.lex_state = 411, .external_lex_state = 3},
  [11979] = {.lex_state = 411, .external_lex_state = 3},
  [11980] = {.lex_state = 185, .external_lex_state = 3},
  [11981] = {.lex_state = 185, .external_lex_state = 3},
  [11982] = {.lex_state = 185, .external_lex_state = 3},
  [11983] = {.lex_state = 185, .external_lex_state = 3},
  [11984] = {.lex_state = 18, .external_lex_state = 3},
  [11985] = {.lex_state = 18, .external_lex_state = 3},
  [11986] = {.lex_state = 18, .external_lex_state = 3},
  [11987] = {.lex_state = 18, .external_lex_state = 3},
  [11988] = {.lex_state = 7, .external_lex_state = 3},
  [11989] = {.lex_state = 411, .external_lex_state = 3},
  [11990] = {.lex_state = 18, .external_lex_state = 3},
  [11991] = {.lex_state = 18, .external_lex_state = 3},
  [11992] = {.lex_state = 18, .external_lex_state = 3},
  [11993] = {.lex_state = 18, .external_lex_state = 3},
  [11994] = {.lex_state = 18, .external_lex_state = 3},
  [11995] = {.lex_state = 18, .external_lex_state = 3},
  [11996] = {.lex_state = 18, .external_lex_state = 3},
  [11997] = {.lex_state = 18, .external_lex_state = 3},
  [11998] = {.lex_state = 18, .external_lex_state = 3},
  [11999] = {.lex_state = 18, .external_lex_state = 3},
  [12000] = {.lex_state = 18, .external_lex_state = 3},
  [12001] = {.lex_state = 18, .external_lex_state = 3},
  [12002] = {.lex_state = 18, .external_lex_state = 3},
  [12003] = {.lex_state = 18, .external_lex_state = 3},
  [12004] = {.lex_state = 424, .external_lex_state = 3},
  [12005] = {.lex_state = 185, .external_lex_state = 3},
  [12006] = {.lex_state = 185, .external_lex_state = 3},
  [12007] = {.lex_state = 185, .external_lex_state = 3},
  [12008] = {.lex_state = 411, .external_lex_state = 3},
  [12009] = {.lex_state = 185, .external_lex_state = 3},
  [12010] = {.lex_state = 18, .external_lex_state = 3},
  [12011] = {.lex_state = 18, .external_lex_state = 3},
  [12012] = {.lex_state = 173, .external_lex_state = 3},
  [12013] = {.lex_state = 17, .external_lex_state = 3},
  [12014] = {.lex_state = 18, .external_lex_state = 3},
  [12015] = {.lex_state = 424, .external_lex_state = 3},
  [12016] = {.lex_state = 411, .external_lex_state = 3},
  [12017] = {.lex_state = 17, .external_lex_state = 3},
  [12018] = {.lex_state = 411, .external_lex_state = 3},
  [12019] = {.lex_state = 185, .external_lex_state = 3},
  [12020] = {.lex_state = 18, .external_lex_state = 3},
  [12021] = {.lex_state = 17, .external_lex_state = 3},
  [12022] = {.lex_state = 18, .external_lex_state = 3},
  [12023] = {.lex_state = 18, .external_lex_state = 3},
  [12024] = {.lex_state = 185, .external_lex_state = 3},
  [12025] = {.lex_state = 411, .external_lex_state = 3},
  [12026] = {.lex_state = 18, .external_lex_state = 3},
  [12027] = {.lex_state = 424, .external_lex_state = 3},
  [12028] = {.lex_state = 424, .external_lex_state = 3},
  [12029] = {.lex_state = 424, .external_lex_state = 3},
  [12030] = {.lex_state = 424, .external_lex_state = 3},
  [12031] = {.lex_state = 187, .external_lex_state = 3},
  [12032] = {.lex_state = 411, .external_lex_state = 3},
  [12033] = {.lex_state = 17, .external_lex_state = 3},
  [12034] = {.lex_state = 411, .external_lex_state = 3},
  [12035] = {.lex_state = 17, .external_lex_state = 3},
  [12036] = {.lex_state = 185, .external_lex_state = 3},
  [12037] = {.lex_state = 129, .external_lex_state = 3},
  [12038] = {.lex_state = 411, .external_lex_state = 3},
  [12039] = {.lex_state = 185, .external_lex_state = 3},
  [12040] = {.lex_state = 185, .external_lex_state = 3},
  [12041] = {.lex_state = 185, .external_lex_state = 3},
  [12042] = {.lex_state = 17, .external_lex_state = 3},
  [12043] = {.lex_state = 185, .external_lex_state = 3},
  [12044] = {.lex_state = 185, .external_lex_state = 3},
  [12045] = {.lex_state = 185, .external_lex_state = 3},
  [12046] = {.lex_state = 18, .external_lex_state = 3},
  [12047] = {.lex_state = 185, .external_lex_state = 3},
  [12048] = {.lex_state = 185, .external_lex_state = 3},
  [12049] = {.lex_state = 185, .external_lex_state = 3},
  [12050] = {.lex_state = 185, .external_lex_state = 3},
  [12051] = {.lex_state = 185, .external_lex_state = 3},
  [12052] = {.lex_state = 185, .external_lex_state = 3},
  [12053] = {.lex_state = 185, .external_lex_state = 3},
  [12054] = {.lex_state = 185, .external_lex_state = 3},
  [12055] = {.lex_state = 411, .external_lex_state = 3},
  [12056] = {.lex_state = 18, .external_lex_state = 3},
  [12057] = {.lex_state = 189, .external_lex_state = 3},
  [12058] = {.lex_state = 411, .external_lex_state = 3},
  [12059] = {.lex_state = 411, .external_lex_state = 3},
  [12060] = {.lex_state = 424, .external_lex_state = 3},
  [12061] = {.lex_state = 189, .external_lex_state = 3},
  [12062] = {.lex_state = 424, .external_lex_state = 3},
  [12063] = {.lex_state = 411, .external_lex_state = 3},
  [12064] = {.lex_state = 424, .external_lex_state = 3},
  [12065] = {.lex_state = 424, .external_lex_state = 3},
  [12066] = {.lex_state = 189, .external_lex_state = 3},
  [12067] = {.lex_state = 411, .external_lex_state = 3},
  [12068] = {.lex_state = 161, .external_lex_state = 3},
  [12069] = {.lex_state = 185, .external_lex_state = 3},
  [12070] = {.lex_state = 185, .external_lex_state = 3},
  [12071] = {.lex_state = 129, .external_lex_state = 3},
  [12072] = {.lex_state = 189, .external_lex_state = 3},
  [12073] = {.lex_state = 17, .external_lex_state = 3},
  [12074] = {.lex_state = 411, .external_lex_state = 3},
  [12075] = {.lex_state = 17, .external_lex_state = 3},
  [12076] = {.lex_state = 17, .external_lex_state = 3},
  [12077] = {.lex_state = 17, .external_lex_state = 3},
  [12078] = {.lex_state = 424, .external_lex_state = 3},
  [12079] = {.lex_state = 424, .external_lex_state = 3},
  [12080] = {.lex_state = 34, .external_lex_state = 2},
  [12081] = {.lex_state = 17, .external_lex_state = 3},
  [12082] = {.lex_state = 185, .external_lex_state = 3},
  [12083] = {.lex_state = 17, .external_lex_state = 3},
  [12084] = {.lex_state = 424, .external_lex_state = 3},
  [12085] = {.lex_state = 424, .external_lex_state = 3},
  [12086] = {.lex_state = 411, .external_lex_state = 3},
  [12087] = {.lex_state = 424, .external_lex_state = 3},
  [12088] = {.lex_state = 424, .external_lex_state = 3},
  [12089] = {.lex_state = 424, .external_lex_state = 3},
  [12090] = {.lex_state = 185, .external_lex_state = 3},
  [12091] = {.lex_state = 424, .external_lex_state = 3},
  [12092] = {.lex_state = 173, .external_lex_state = 3},
  [12093] = {.lex_state = 411, .external_lex_state = 3},
  [12094] = {.lex_state = 411, .external_lex_state = 3},
  [12095] = {.lex_state = 411, .external_lex_state = 3},
  [12096] = {.lex_state = 424, .external_lex_state = 3},
  [12097] = {.lex_state = 424, .external_lex_state = 3},
  [12098] = {.lex_state = 411, .external_lex_state = 3},
  [12099] = {.lex_state = 411, .external_lex_state = 3},
  [12100] = {.lex_state = 173, .external_lex_state = 3},
  [12101] = {.lex_state = 173, .external_lex_state = 3},
  [12102] = {.lex_state = 411, .external_lex_state = 3},
  [12103] = {.lex_state = 411, .external_lex_state = 3},
  [12104] = {.lex_state = 173, .external_lex_state = 3},
  [12105] = {.lex_state = 411, .external_lex_state = 3},
  [12106] = {.lex_state = 173, .external_lex_state = 3},
  [12107] = {.lex_state = 131, .external_lex_state = 3},
  [12108] = {.lex_state = 411, .external_lex_state = 3},
  [12109] = {.lex_state = 411, .external_lex_state = 3},
  [12110] = {.lex_state = 161, .external_lex_state = 3},
  [12111] = {.lex_state = 411, .external_lex_state = 3},
  [12112] = {.lex_state = 8, .external_lex_state = 3},
  [12113] = {.lex_state = 411, .external_lex_state = 3},
  [12114] = {.lex_state = 411, .external_lex_state = 3},
  [12115] = {.lex_state = 173, .external_lex_state = 3},
  [12116] = {.lex_state = 411, .external_lex_state = 3},
  [12117] = {.lex_state = 173, .external_lex_state = 3},
  [12118] = {.lex_state = 411, .external_lex_state = 3},
  [12119] = {.lex_state = 173, .external_lex_state = 3},
  [12120] = {.lex_state = 173, .external_lex_state = 3},
  [12121] = {.lex_state = 173, .external_lex_state = 3},
  [12122] = {.lex_state = 411, .external_lex_state = 3},
  [12123] = {.lex_state = 424, .external_lex_state = 3},
  [12124] = {.lex_state = 411, .external_lex_state = 2},
  [12125] = {.lex_state = 424, .external_lex_state = 3},
  [12126] = {.lex_state = 411, .external_lex_state = 3},
  [12127] = {.lex_state = 411, .external_lex_state = 3},
  [12128] = {.lex_state = 411, .external_lex_state = 2},
  [12129] = {.lex_state = 424, .external_lex_state = 3},
  [12130] = {.lex_state = 424, .external_lex_state = 3},
  [12131] = {.lex_state = 411, .external_lex_state = 3},
  [12132] = {.lex_state = 411, .external_lex_state = 3},
  [12133] = {.lex_state = 424, .external_lex_state = 3},
  [12134] = {.lex_state = 411, .external_lex_state = 3},
  [12135] = {.lex_state = 173, .external_lex_state = 3},
  [12136] = {.lex_state = 173, .external_lex_state = 3},
  [12137] = {.lex_state = 173, .external_lex_state = 3},
  [12138] = {.lex_state = 173, .external_lex_state = 3},
  [12139] = {.lex_state = 411, .external_lex_state = 3},
  [12140] = {.lex_state = 173, .external_lex_state = 3},
  [12141] = {.lex_state = 411, .external_lex_state = 3},
  [12142] = {.lex_state = 411, .external_lex_state = 3},
  [12143] = {.lex_state = 181, .external_lex_state = 3},
  [12144] = {.lex_state = 173, .external_lex_state = 3},
  [12145] = {.lex_state = 173, .external_lex_state = 3},
  [12146] = {.lex_state = 173, .external_lex_state = 3},
  [12147] = {.lex_state = 411, .external_lex_state = 3},
  [12148] = {.lex_state = 411, .external_lex_state = 3},
  [12149] = {.lex_state = 173, .external_lex_state = 3},
  [12150] = {.lex_state = 173, .external_lex_state = 3},
  [12151] = {.lex_state = 181, .external_lex_state = 3},
  [12152] = {.lex_state = 181, .external_lex_state = 3},
  [12153] = {.lex_state = 411, .external_lex_state = 3},
  [12154] = {.lex_state = 181, .external_lex_state = 3},
  [12155] = {.lex_state = 181, .external_lex_state = 3},
  [12156] = {.lex_state = 411, .external_lex_state = 3},
  [12157] = {.lex_state = 411, .external_lex_state = 3},
  [12158] = {.lex_state = 411, .external_lex_state = 3},
  [12159] = {.lex_state = 173, .external_lex_state = 3},
  [12160] = {.lex_state = 181, .external_lex_state = 3},
  [12161] = {.lex_state = 181, .external_lex_state = 3},
  [12162] = {.lex_state = 181, .external_lex_state = 3},
  [12163] = {.lex_state = 411, .external_lex_state = 3},
  [12164] = {.lex_state = 173, .external_lex_state = 3},
  [12165] = {.lex_state = 173, .external_lex_state = 3},
  [12166] = {.lex_state = 173, .external_lex_state = 3},
  [12167] = {.lex_state = 173, .external_lex_state = 3},
  [12168] = {.lex_state = 181, .external_lex_state = 3},
  [12169] = {.lex_state = 411, .external_lex_state = 3},
  [12170] = {.lex_state = 411, .external_lex_state = 3},
  [12171] = {.lex_state = 173, .external_lex_state = 3},
  [12172] = {.lex_state = 411, .external_lex_state = 3},
  [12173] = {.lex_state = 173, .external_lex_state = 3},
  [12174] = {.lex_state = 181, .external_lex_state = 3},
  [12175] = {.lex_state = 181, .external_lex_state = 3},
  [12176] = {.lex_state = 181, .external_lex_state = 3},
  [12177] = {.lex_state = 411, .external_lex_state = 3},
  [12178] = {.lex_state = 424, .external_lex_state = 3},
  [12179] = {.lex_state = 424, .external_lex_state = 3},
  [12180] = {.lex_state = 424, .external_lex_state = 3},
  [12181] = {.lex_state = 170, .external_lex_state = 3},
  [12182] = {.lex_state = 181, .external_lex_state = 3},
  [12183] = {.lex_state = 424, .external_lex_state = 3},
  [12184] = {.lex_state = 424, .external_lex_state = 3},
  [12185] = {.lex_state = 424, .external_lex_state = 3},
  [12186] = {.lex_state = 424, .external_lex_state = 3},
  [12187] = {.lex_state = 424, .external_lex_state = 3},
  [12188] = {.lex_state = 424, .external_lex_state = 3},
  [12189] = {.lex_state = 424, .external_lex_state = 3},
  [12190] = {.lex_state = 173, .external_lex_state = 3},
  [12191] = {.lex_state = 181, .external_lex_state = 3},
  [12192] = {.lex_state = 181, .external_lex_state = 3},
  [12193] = {.lex_state = 411, .external_lex_state = 3},
  [12194] = {.lex_state = 131, .external_lex_state = 3},
  [12195] = {.lex_state = 411, .external_lex_state = 3},
  [12196] = {.lex_state = 181, .external_lex_state = 3},
  [12197] = {.lex_state = 181, .external_lex_state = 3},
  [12198] = {.lex_state = 424, .external_lex_state = 3},
  [12199] = {.lex_state = 181, .external_lex_state = 3},
  [12200] = {.lex_state = 181, .external_lex_state = 3},
  [12201] = {.lex_state = 424, .external_lex_state = 3},
  [12202] = {.lex_state = 416, .external_lex_state = 3},
  [12203] = {.lex_state = 424, .external_lex_state = 3},
  [12204] = {.lex_state = 170, .external_lex_state = 3},
  [12205] = {.lex_state = 131, .external_lex_state = 3},
  [12206] = {.lex_state = 181, .external_lex_state = 3},
  [12207] = {.lex_state = 181, .external_lex_state = 3},
  [12208] = {.lex_state = 131, .external_lex_state = 3},
  [12209] = {.lex_state = 131, .external_lex_state = 3},
  [12210] = {.lex_state = 181, .external_lex_state = 3},
  [12211] = {.lex_state = 181, .external_lex_state = 3},
  [12212] = {.lex_state = 181, .external_lex_state = 3},
  [12213] = {.lex_state = 170, .external_lex_state = 3},
  [12214] = {.lex_state = 411, .external_lex_state = 3},
  [12215] = {.lex_state = 8, .external_lex_state = 3},
  [12216] = {.lex_state = 131, .external_lex_state = 3},
  [12217] = {.lex_state = 131, .external_lex_state = 3},
  [12218] = {.lex_state = 131, .external_lex_state = 3},
  [12219] = {.lex_state = 131, .external_lex_state = 3},
  [12220] = {.lex_state = 131, .external_lex_state = 3},
  [12221] = {.lex_state = 131, .external_lex_state = 3},
  [12222] = {.lex_state = 131, .external_lex_state = 3},
  [12223] = {.lex_state = 131, .external_lex_state = 3},
  [12224] = {.lex_state = 131, .external_lex_state = 3},
  [12225] = {.lex_state = 131, .external_lex_state = 3},
  [12226] = {.lex_state = 131, .external_lex_state = 3},
  [12227] = {.lex_state = 131, .external_lex_state = 3},
  [12228] = {.lex_state = 131, .external_lex_state = 3},
  [12229] = {.lex_state = 424, .external_lex_state = 3},
  [12230] = {.lex_state = 170, .external_lex_state = 3},
  [12231] = {.lex_state = 174, .external_lex_state = 3},
  [12232] = {.lex_state = 170, .external_lex_state = 3},
  [12233] = {.lex_state = 416, .external_lex_state = 3},
  [12234] = {.lex_state = 411, .external_lex_state = 3},
  [12235] = {.lex_state = 170, .external_lex_state = 3},
  [12236] = {.lex_state = 15, .external_lex_state = 2},
  [12237] = {.lex_state = 131, .external_lex_state = 3},
  [12238] = {.lex_state = 131, .external_lex_state = 3},
  [12239] = {.lex_state = 131, .external_lex_state = 3},
  [12240] = {.lex_state = 131, .external_lex_state = 3},
  [12241] = {.lex_state = 131, .external_lex_state = 3},
  [12242] = {.lex_state = 411, .external_lex_state = 3},
  [12243] = {.lex_state = 175, .external_lex_state = 3},
  [12244] = {.lex_state = 170, .external_lex_state = 3},
  [12245] = {.lex_state = 424, .external_lex_state = 3},
  [12246] = {.lex_state = 424, .external_lex_state = 3},
  [12247] = {.lex_state = 424, .external_lex_state = 3},
  [12248] = {.lex_state = 170, .external_lex_state = 3},
  [12249] = {.lex_state = 174, .external_lex_state = 3},
  [12250] = {.lex_state = 174, .external_lex_state = 3},
  [12251] = {.lex_state = 173, .external_lex_state = 3},
  [12252] = {.lex_state = 174, .external_lex_state = 3},
  [12253] = {.lex_state = 170, .external_lex_state = 3},
  [12254] = {.lex_state = 170, .external_lex_state = 3},
  [12255] = {.lex_state = 175, .external_lex_state = 3},
  [12256] = {.lex_state = 175, .external_lex_state = 3},
  [12257] = {.lex_state = 175, .external_lex_state = 3},
  [12258] = {.lex_state = 131, .external_lex_state = 3},
  [12259] = {.lex_state = 170, .external_lex_state = 3},
  [12260] = {.lex_state = 170, .external_lex_state = 3},
  [12261] = {.lex_state = 416, .external_lex_state = 3},
  [12262] = {.lex_state = 411, .external_lex_state = 3},
  [12263] = {.lex_state = 170, .external_lex_state = 3},
  [12264] = {.lex_state = 170, .external_lex_state = 3},
  [12265] = {.lex_state = 173, .external_lex_state = 3},
  [12266] = {.lex_state = 170, .external_lex_state = 3},
  [12267] = {.lex_state = 170, .external_lex_state = 3},
  [12268] = {.lex_state = 170, .external_lex_state = 3},
  [12269] = {.lex_state = 170, .external_lex_state = 3},
  [12270] = {.lex_state = 170, .external_lex_state = 3},
  [12271] = {.lex_state = 170, .external_lex_state = 3},
  [12272] = {.lex_state = 170, .external_lex_state = 3},
  [12273] = {.lex_state = 170, .external_lex_state = 3},
  [12274] = {.lex_state = 411, .external_lex_state = 3},
  [12275] = {.lex_state = 411, .external_lex_state = 3},
  [12276] = {.lex_state = 411, .external_lex_state = 3},
  [12277] = {.lex_state = 181, .external_lex_state = 3},
  [12278] = {.lex_state = 411, .external_lex_state = 3},
  [12279] = {.lex_state = 424, .external_lex_state = 3},
  [12280] = {.lex_state = 133, .external_lex_state = 2},
  [12281] = {.lex_state = 183, .external_lex_state = 3},
  [12282] = {.lex_state = 411, .external_lex_state = 3},
  [12283] = {.lex_state = 413, .external_lex_state = 3},
  [12284] = {.lex_state = 424, .external_lex_state = 3},
  [12285] = {.lex_state = 411, .external_lex_state = 3},
  [12286] = {.lex_state = 424, .external_lex_state = 3},
  [12287] = {.lex_state = 424, .external_lex_state = 3},
  [12288] = {.lex_state = 181, .external_lex_state = 3},
  [12289] = {.lex_state = 424, .external_lex_state = 3},
  [12290] = {.lex_state = 424, .external_lex_state = 3},
  [12291] = {.lex_state = 424, .external_lex_state = 3},
  [12292] = {.lex_state = 424, .external_lex_state = 3},
  [12293] = {.lex_state = 424, .external_lex_state = 3},
  [12294] = {.lex_state = 424, .external_lex_state = 3},
  [12295] = {.lex_state = 424, .external_lex_state = 3},
  [12296] = {.lex_state = 181, .external_lex_state = 3},
  [12297] = {.lex_state = 181, .external_lex_state = 3},
  [12298] = {.lex_state = 424, .external_lex_state = 3},
  [12299] = {.lex_state = 181, .external_lex_state = 3},
  [12300] = {.lex_state = 181, .external_lex_state = 3},
  [12301] = {.lex_state = 424, .external_lex_state = 3},
  [12302] = {.lex_state = 424, .external_lex_state = 3},
  [12303] = {.lex_state = 424, .external_lex_state = 3},
  [12304] = {.lex_state = 424, .external_lex_state = 3},
  [12305] = {.lex_state = 424, .external_lex_state = 3},
  [12306] = {.lex_state = 424, .external_lex_state = 3},
  [12307] = {.lex_state = 8, .external_lex_state = 3},
  [12308] = {.lex_state = 19, .external_lex_state = 3},
  [12309] = {.lex_state = 424, .external_lex_state = 3},
  [12310] = {.lex_state = 424, .external_lex_state = 3},
  [12311] = {.lex_state = 424, .external_lex_state = 3},
  [12312] = {.lex_state = 424, .external_lex_state = 3},
  [12313] = {.lex_state = 411, .external_lex_state = 3},
  [12314] = {.lex_state = 424, .external_lex_state = 3},
  [12315] = {.lex_state = 424, .external_lex_state = 3},
  [12316] = {.lex_state = 424, .external_lex_state = 3},
  [12317] = {.lex_state = 424, .external_lex_state = 3},
  [12318] = {.lex_state = 424, .external_lex_state = 3},
  [12319] = {.lex_state = 424, .external_lex_state = 3},
  [12320] = {.lex_state = 424, .external_lex_state = 3},
  [12321] = {.lex_state = 424, .external_lex_state = 3},
  [12322] = {.lex_state = 424, .external_lex_state = 3},
  [12323] = {.lex_state = 424, .external_lex_state = 3},
  [12324] = {.lex_state = 424, .external_lex_state = 3},
  [12325] = {.lex_state = 424, .external_lex_state = 3},
  [12326] = {.lex_state = 424, .external_lex_state = 3},
  [12327] = {.lex_state = 424, .external_lex_state = 3},
  [12328] = {.lex_state = 424, .external_lex_state = 3},
  [12329] = {.lex_state = 424, .external_lex_state = 3},
  [12330] = {.lex_state = 424, .external_lex_state = 3},
  [12331] = {.lex_state = 424, .external_lex_state = 3},
  [12332] = {.lex_state = 424, .external_lex_state = 3},
  [12333] = {.lex_state = 424, .external_lex_state = 3},
  [12334] = {.lex_state = 424, .external_lex_state = 3},
  [12335] = {.lex_state = 424, .external_lex_state = 3},
  [12336] = {.lex_state = 424, .external_lex_state = 3},
  [12337] = {.lex_state = 424, .external_lex_state = 3},
  [12338] = {.lex_state = 424, .external_lex_state = 3},
  [12339] = {.lex_state = 424, .external_lex_state = 3},
  [12340] = {.lex_state = 424, .external_lex_state = 3},
  [12341] = {.lex_state = 424, .external_lex_state = 3},
  [12342] = {.lex_state = 424, .external_lex_state = 3},
  [12343] = {.lex_state = 424, .external_lex_state = 3},
  [12344] = {.lex_state = 424, .external_lex_state = 3},
  [12345] = {.lex_state = 424, .external_lex_state = 3},
  [12346] = {.lex_state = 424, .external_lex_state = 3},
  [12347] = {.lex_state = 424, .external_lex_state = 3},
  [12348] = {.lex_state = 181, .external_lex_state = 3},
  [12349] = {.lex_state = 181, .external_lex_state = 3},
  [12350] = {.lex_state = 173, .external_lex_state = 3},
  [12351] = {.lex_state = 411, .external_lex_state = 3},
  [12352] = {.lex_state = 173, .external_lex_state = 3},
  [12353] = {.lex_state = 411, .external_lex_state = 3},
  [12354] = {.lex_state = 411, .external_lex_state = 3},
  [12355] = {.lex_state = 411, .external_lex_state = 3},
  [12356] = {.lex_state = 411, .external_lex_state = 2},
  [12357] = {.lex_state = 6, .external_lex_state = 3},
  [12358] = {.lex_state = 411, .external_lex_state = 3},
  [12359] = {.lex_state = 6, .external_lex_state = 3},
  [12360] = {.lex_state = 411, .external_lex_state = 3},
  [12361] = {.lex_state = 15, .external_lex_state = 3},
  [12362] = {.lex_state = 19, .external_lex_state = 3},
  [12363] = {.lex_state = 424, .external_lex_state = 3},
  [12364] = {.lex_state = 411, .external_lex_state = 3},
  [12365] = {.lex_state = 424, .external_lex_state = 3},
  [12366] = {.lex_state = 424, .external_lex_state = 3},
  [12367] = {.lex_state = 424, .external_lex_state = 3},
  [12368] = {.lex_state = 411, .external_lex_state = 3},
  [12369] = {.lex_state = 424, .external_lex_state = 3},
  [12370] = {.lex_state = 424, .external_lex_state = 3},
  [12371] = {.lex_state = 424, .external_lex_state = 3},
  [12372] = {.lex_state = 424, .external_lex_state = 3},
  [12373] = {.lex_state = 19, .external_lex_state = 3},
  [12374] = {.lex_state = 170, .external_lex_state = 3},
  [12375] = {.lex_state = 424, .external_lex_state = 3},
  [12376] = {.lex_state = 170, .external_lex_state = 3},
  [12377] = {.lex_state = 411, .external_lex_state = 3},
  [12378] = {.lex_state = 170, .external_lex_state = 3},
  [12379] = {.lex_state = 411, .external_lex_state = 3},
  [12380] = {.lex_state = 411, .external_lex_state = 3},
  [12381] = {.lex_state = 411, .external_lex_state = 3},
  [12382] = {.lex_state = 411, .external_lex_state = 3},
  [12383] = {.lex_state = 411, .external_lex_state = 3},
  [12384] = {.lex_state = 411, .external_lex_state = 3},
  [12385] = {.lex_state = 411, .external_lex_state = 3},
  [12386] = {.lex_state = 411, .external_lex_state = 3},
  [12387] = {.lex_state = 411, .external_lex_state = 3},
  [12388] = {.lex_state = 411, .external_lex_state = 3},
  [12389] = {.lex_state = 411, .external_lex_state = 3},
  [12390] = {.lex_state = 411, .external_lex_state = 3},
  [12391] = {.lex_state = 411, .external_lex_state = 3},
  [12392] = {.lex_state = 411, .external_lex_state = 3},
  [12393] = {.lex_state = 411, .external_lex_state = 3},
  [12394] = {.lex_state = 411, .external_lex_state = 3},
  [12395] = {.lex_state = 411, .external_lex_state = 3},
  [12396] = {.lex_state = 424, .external_lex_state = 3},
  [12397] = {.lex_state = 411, .external_lex_state = 3},
  [12398] = {.lex_state = 411, .external_lex_state = 3},
  [12399] = {.lex_state = 411, .external_lex_state = 3},
  [12400] = {.lex_state = 411, .external_lex_state = 3},
  [12401] = {.lex_state = 411, .external_lex_state = 3},
  [12402] = {.lex_state = 411, .external_lex_state = 3},
  [12403] = {.lex_state = 411, .external_lex_state = 3},
  [12404] = {.lex_state = 411, .external_lex_state = 3},
  [12405] = {.lex_state = 411, .external_lex_state = 3},
  [12406] = {.lex_state = 411, .external_lex_state = 3},
  [12407] = {.lex_state = 411, .external_lex_state = 3},
  [12408] = {.lex_state = 411, .external_lex_state = 3},
  [12409] = {.lex_state = 411, .external_lex_state = 3},
  [12410] = {.lex_state = 411, .external_lex_state = 3},
  [12411] = {.lex_state = 411, .external_lex_state = 3},
  [12412] = {.lex_state = 411, .external_lex_state = 3},
  [12413] = {.lex_state = 411, .external_lex_state = 3},
  [12414] = {.lex_state = 411, .external_lex_state = 3},
  [12415] = {.lex_state = 411, .external_lex_state = 3},
  [12416] = {.lex_state = 411, .external_lex_state = 3},
  [12417] = {.lex_state = 411, .external_lex_state = 3},
  [12418] = {.lex_state = 411, .external_lex_state = 3},
  [12419] = {.lex_state = 411, .external_lex_state = 3},
  [12420] = {.lex_state = 411, .external_lex_state = 3},
  [12421] = {.lex_state = 411, .external_lex_state = 3},
  [12422] = {.lex_state = 411, .external_lex_state = 3},
  [12423] = {.lex_state = 411, .external_lex_state = 3},
  [12424] = {.lex_state = 411, .external_lex_state = 3},
  [12425] = {.lex_state = 411, .external_lex_state = 3},
  [12426] = {.lex_state = 411, .external_lex_state = 3},
  [12427] = {.lex_state = 411, .external_lex_state = 3},
  [12428] = {.lex_state = 411, .external_lex_state = 3},
  [12429] = {.lex_state = 411, .external_lex_state = 3},
  [12430] = {.lex_state = 411, .external_lex_state = 3},
  [12431] = {.lex_state = 411, .external_lex_state = 3},
  [12432] = {.lex_state = 411, .external_lex_state = 3},
  [12433] = {.lex_state = 411, .external_lex_state = 3},
  [12434] = {.lex_state = 411, .external_lex_state = 3},
  [12435] = {.lex_state = 411, .external_lex_state = 3},
  [12436] = {.lex_state = 411, .external_lex_state = 3},
  [12437] = {.lex_state = 411, .external_lex_state = 3},
  [12438] = {.lex_state = 411, .external_lex_state = 3},
  [12439] = {.lex_state = 129, .external_lex_state = 3},
  [12440] = {.lex_state = 411, .external_lex_state = 3},
  [12441] = {.lex_state = 411, .external_lex_state = 3},
  [12442] = {.lex_state = 411, .external_lex_state = 3},
  [12443] = {.lex_state = 411, .external_lex_state = 3},
  [12444] = {.lex_state = 411, .external_lex_state = 3},
  [12445] = {.lex_state = 411, .external_lex_state = 3},
  [12446] = {.lex_state = 411, .external_lex_state = 3},
  [12447] = {.lex_state = 411, .external_lex_state = 3},
  [12448] = {.lex_state = 411, .external_lex_state = 3},
  [12449] = {.lex_state = 411, .external_lex_state = 3},
  [12450] = {.lex_state = 411, .external_lex_state = 3},
  [12451] = {.lex_state = 411, .external_lex_state = 3},
  [12452] = {.lex_state = 411, .external_lex_state = 3},
  [12453] = {.lex_state = 411, .external_lex_state = 3},
  [12454] = {.lex_state = 411, .external_lex_state = 3},
  [12455] = {.lex_state = 411, .external_lex_state = 3},
  [12456] = {.lex_state = 411, .external_lex_state = 3},
  [12457] = {.lex_state = 411, .external_lex_state = 3},
  [12458] = {.lex_state = 411, .external_lex_state = 3},
  [12459] = {.lex_state = 411, .external_lex_state = 3},
  [12460] = {.lex_state = 411, .external_lex_state = 3},
  [12461] = {.lex_state = 411, .external_lex_state = 3},
  [12462] = {.lex_state = 411, .external_lex_state = 3},
  [12463] = {.lex_state = 411, .external_lex_state = 3},
  [12464] = {.lex_state = 411, .external_lex_state = 3},
  [12465] = {.lex_state = 411, .external_lex_state = 3},
  [12466] = {.lex_state = 411, .external_lex_state = 3},
  [12467] = {.lex_state = 411, .external_lex_state = 3},
  [12468] = {.lex_state = 411, .external_lex_state = 3},
  [12469] = {.lex_state = 128, .external_lex_state = 3},
  [12470] = {.lex_state = 411, .external_lex_state = 3},
  [12471] = {.lex_state = 411, .external_lex_state = 3},
  [12472] = {.lex_state = 411, .external_lex_state = 3},
  [12473] = {.lex_state = 411, .external_lex_state = 3},
  [12474] = {.lex_state = 411, .external_lex_state = 3},
  [12475] = {.lex_state = 411, .external_lex_state = 3},
  [12476] = {.lex_state = 411, .external_lex_state = 3},
  [12477] = {.lex_state = 411, .external_lex_state = 3},
  [12478] = {.lex_state = 411, .external_lex_state = 3},
  [12479] = {.lex_state = 411, .external_lex_state = 3},
  [12480] = {.lex_state = 411, .external_lex_state = 3},
  [12481] = {.lex_state = 411, .external_lex_state = 3},
  [12482] = {.lex_state = 411, .external_lex_state = 3},
  [12483] = {.lex_state = 411, .external_lex_state = 3},
  [12484] = {.lex_state = 411, .external_lex_state = 3},
  [12485] = {.lex_state = 411, .external_lex_state = 3},
  [12486] = {.lex_state = 411, .external_lex_state = 3},
  [12487] = {.lex_state = 411, .external_lex_state = 3},
  [12488] = {.lex_state = 411, .external_lex_state = 3},
  [12489] = {.lex_state = 411, .external_lex_state = 3},
  [12490] = {.lex_state = 411, .external_lex_state = 3},
  [12491] = {.lex_state = 411, .external_lex_state = 3},
  [12492] = {.lex_state = 411, .external_lex_state = 3},
  [12493] = {.lex_state = 411, .external_lex_state = 3},
  [12494] = {.lex_state = 411, .external_lex_state = 3},
  [12495] = {.lex_state = 411, .external_lex_state = 3},
  [12496] = {.lex_state = 411, .external_lex_state = 3},
  [12497] = {.lex_state = 411, .external_lex_state = 3},
  [12498] = {.lex_state = 411, .external_lex_state = 3},
  [12499] = {.lex_state = 411, .external_lex_state = 3},
  [12500] = {.lex_state = 411, .external_lex_state = 3},
  [12501] = {.lex_state = 411, .external_lex_state = 3},
  [12502] = {.lex_state = 411, .external_lex_state = 3},
  [12503] = {.lex_state = 411, .external_lex_state = 3},
  [12504] = {.lex_state = 411, .external_lex_state = 3},
  [12505] = {.lex_state = 411, .external_lex_state = 3},
  [12506] = {.lex_state = 411, .external_lex_state = 3},
  [12507] = {.lex_state = 411, .external_lex_state = 3},
  [12508] = {.lex_state = 411, .external_lex_state = 3},
  [12509] = {.lex_state = 411, .external_lex_state = 3},
  [12510] = {.lex_state = 411, .external_lex_state = 3},
  [12511] = {.lex_state = 411, .external_lex_state = 3},
  [12512] = {.lex_state = 411, .external_lex_state = 3},
  [12513] = {.lex_state = 411, .external_lex_state = 3},
  [12514] = {.lex_state = 411, .external_lex_state = 3},
  [12515] = {.lex_state = 411, .external_lex_state = 3},
  [12516] = {.lex_state = 411, .external_lex_state = 3},
  [12517] = {.lex_state = 411, .external_lex_state = 3},
  [12518] = {.lex_state = 411, .external_lex_state = 3},
  [12519] = {.lex_state = 15, .external_lex_state = 3},
  [12520] = {.lex_state = 411, .external_lex_state = 3},
  [12521] = {.lex_state = 411, .external_lex_state = 3},
  [12522] = {.lex_state = 413, .external_lex_state = 3},
  [12523] = {.lex_state = 411, .external_lex_state = 3},
  [12524] = {.lex_state = 170, .external_lex_state = 3},
  [12525] = {.lex_state = 411, .external_lex_state = 3},
  [12526] = {.lex_state = 411, .external_lex_state = 3},
  [12527] = {.lex_state = 413, .external_lex_state = 3},
  [12528] = {.lex_state = 413, .external_lex_state = 3},
  [12529] = {.lex_state = 413, .external_lex_state = 3},
  [12530] = {.lex_state = 170, .external_lex_state = 3},
  [12531] = {.lex_state = 411, .external_lex_state = 3},
  [12532] = {.lex_state = 411, .external_lex_state = 3},
  [12533] = {.lex_state = 411, .external_lex_state = 3},
  [12534] = {.lex_state = 424, .external_lex_state = 3},
  [12535] = {.lex_state = 413, .external_lex_state = 3},
  [12536] = {.lex_state = 411, .external_lex_state = 3},
  [12537] = {.lex_state = 411, .external_lex_state = 3},
  [12538] = {.lex_state = 411, .external_lex_state = 3},
  [12539] = {.lex_state = 411, .external_lex_state = 3},
  [12540] = {.lex_state = 424, .external_lex_state = 3},
  [12541] = {.lex_state = 411, .external_lex_state = 3},
  [12542] = {.lex_state = 411, .external_lex_state = 3},
  [12543] = {.lex_state = 411, .external_lex_state = 3},
  [12544] = {.lex_state = 411, .external_lex_state = 3},
  [12545] = {.lex_state = 411, .external_lex_state = 3},
  [12546] = {.lex_state = 411, .external_lex_state = 3},
  [12547] = {.lex_state = 413, .external_lex_state = 3},
  [12548] = {.lex_state = 413, .external_lex_state = 3},
  [12549] = {.lex_state = 413, .external_lex_state = 3},
  [12550] = {.lex_state = 413, .external_lex_state = 3},
  [12551] = {.lex_state = 413, .external_lex_state = 3},
  [12552] = {.lex_state = 411, .external_lex_state = 3},
  [12553] = {.lex_state = 131, .external_lex_state = 3},
  [12554] = {.lex_state = 131, .external_lex_state = 3},
  [12555] = {.lex_state = 131, .external_lex_state = 3},
  [12556] = {.lex_state = 131, .external_lex_state = 3},
  [12557] = {.lex_state = 131, .external_lex_state = 3},
  [12558] = {.lex_state = 131, .external_lex_state = 3},
  [12559] = {.lex_state = 131, .external_lex_state = 3},
  [12560] = {.lex_state = 131, .external_lex_state = 3},
  [12561] = {.lex_state = 131, .external_lex_state = 3},
  [12562] = {.lex_state = 131, .external_lex_state = 3},
  [12563] = {.lex_state = 131, .external_lex_state = 3},
  [12564] = {.lex_state = 411, .external_lex_state = 3},
  [12565] = {.lex_state = 131, .external_lex_state = 3},
  [12566] = {.lex_state = 174, .external_lex_state = 3},
  [12567] = {.lex_state = 411, .external_lex_state = 3},
  [12568] = {.lex_state = 411, .external_lex_state = 3},
  [12569] = {.lex_state = 173, .external_lex_state = 3},
  [12570] = {.lex_state = 411, .external_lex_state = 3},
  [12571] = {.lex_state = 411, .external_lex_state = 3},
  [12572] = {.lex_state = 173, .external_lex_state = 3},
  [12573] = {.lex_state = 413, .external_lex_state = 3},
  [12574] = {.lex_state = 413, .external_lex_state = 3},
  [12575] = {.lex_state = 411, .external_lex_state = 3},
  [12576] = {.lex_state = 411, .external_lex_state = 3},
  [12577] = {.lex_state = 411, .external_lex_state = 3},
  [12578] = {.lex_state = 411, .external_lex_state = 3},
  [12579] = {.lex_state = 132, .external_lex_state = 3},
  [12580] = {.lex_state = 174, .external_lex_state = 3},
  [12581] = {.lex_state = 411, .external_lex_state = 3},
  [12582] = {.lex_state = 411, .external_lex_state = 3},
  [12583] = {.lex_state = 411, .external_lex_state = 3},
  [12584] = {.lex_state = 411, .external_lex_state = 3},
  [12585] = {.lex_state = 411, .external_lex_state = 3},
  [12586] = {.lex_state = 173, .external_lex_state = 3},
  [12587] = {.lex_state = 15, .external_lex_state = 3},
  [12588] = {.lex_state = 411, .external_lex_state = 3},
  [12589] = {.lex_state = 411, .external_lex_state = 3},
  [12590] = {.lex_state = 411, .external_lex_state = 3},
  [12591] = {.lex_state = 411, .external_lex_state = 3},
  [12592] = {.lex_state = 411, .external_lex_state = 3},
  [12593] = {.lex_state = 173, .external_lex_state = 3},
  [12594] = {.lex_state = 411, .external_lex_state = 3},
  [12595] = {.lex_state = 173, .external_lex_state = 3},
  [12596] = {.lex_state = 132, .external_lex_state = 3},
  [12597] = {.lex_state = 132, .external_lex_state = 3},
  [12598] = {.lex_state = 132, .external_lex_state = 3},
  [12599] = {.lex_state = 132, .external_lex_state = 3},
  [12600] = {.lex_state = 132, .external_lex_state = 3},
  [12601] = {.lex_state = 132, .external_lex_state = 3},
  [12602] = {.lex_state = 132, .external_lex_state = 3},
  [12603] = {.lex_state = 132, .external_lex_state = 3},
  [12604] = {.lex_state = 132, .external_lex_state = 3},
  [12605] = {.lex_state = 132, .external_lex_state = 3},
  [12606] = {.lex_state = 132, .external_lex_state = 3},
  [12607] = {.lex_state = 132, .external_lex_state = 3},
  [12608] = {.lex_state = 132, .external_lex_state = 3},
  [12609] = {.lex_state = 411, .external_lex_state = 3},
  [12610] = {.lex_state = 411, .external_lex_state = 3},
  [12611] = {.lex_state = 411, .external_lex_state = 3},
  [12612] = {.lex_state = 411, .external_lex_state = 3},
  [12613] = {.lex_state = 411, .external_lex_state = 3},
  [12614] = {.lex_state = 173, .external_lex_state = 3},
  [12615] = {.lex_state = 15, .external_lex_state = 3},
  [12616] = {.lex_state = 415, .external_lex_state = 3},
  [12617] = {.lex_state = 415, .external_lex_state = 3},
  [12618] = {.lex_state = 411, .external_lex_state = 3},
  [12619] = {.lex_state = 415, .external_lex_state = 3},
  [12620] = {.lex_state = 411, .external_lex_state = 3},
  [12621] = {.lex_state = 411, .external_lex_state = 3},
  [12622] = {.lex_state = 411, .external_lex_state = 3},
  [12623] = {.lex_state = 411, .external_lex_state = 3},
  [12624] = {.lex_state = 132, .external_lex_state = 3},
  [12625] = {.lex_state = 411, .external_lex_state = 3},
  [12626] = {.lex_state = 424, .external_lex_state = 3},
  [12627] = {.lex_state = 411, .external_lex_state = 3},
  [12628] = {.lex_state = 411, .external_lex_state = 3},
  [12629] = {.lex_state = 411, .external_lex_state = 3},
  [12630] = {.lex_state = 411, .external_lex_state = 3},
  [12631] = {.lex_state = 411, .external_lex_state = 3},
  [12632] = {.lex_state = 411, .external_lex_state = 3},
  [12633] = {.lex_state = 411, .external_lex_state = 3},
  [12634] = {.lex_state = 411, .external_lex_state = 3},
  [12635] = {.lex_state = 411, .external_lex_state = 3},
  [12636] = {.lex_state = 411, .external_lex_state = 3},
  [12637] = {.lex_state = 411, .external_lex_state = 3},
  [12638] = {.lex_state = 411, .external_lex_state = 3},
  [12639] = {.lex_state = 424, .external_lex_state = 3},
  [12640] = {.lex_state = 132, .external_lex_state = 3},
  [12641] = {.lex_state = 132, .external_lex_state = 3},
  [12642] = {.lex_state = 15, .external_lex_state = 3},
  [12643] = {.lex_state = 411, .external_lex_state = 3},
  [12644] = {.lex_state = 411, .external_lex_state = 3},
  [12645] = {.lex_state = 8, .external_lex_state = 3},
  [12646] = {.lex_state = 411, .external_lex_state = 3},
  [12647] = {.lex_state = 131, .external_lex_state = 3},
  [12648] = {.lex_state = 131, .external_lex_state = 3},
  [12649] = {.lex_state = 131, .external_lex_state = 3},
  [12650] = {.lex_state = 131, .external_lex_state = 3},
  [12651] = {.lex_state = 131, .external_lex_state = 3},
  [12652] = {.lex_state = 411, .external_lex_state = 3},
  [12653] = {.lex_state = 411, .external_lex_state = 3},
  [12654] = {.lex_state = 411, .external_lex_state = 3},
  [12655] = {.lex_state = 411, .external_lex_state = 3},
  [12656] = {.lex_state = 411, .external_lex_state = 3},
  [12657] = {.lex_state = 411, .external_lex_state = 3},
  [12658] = {.lex_state = 413, .external_lex_state = 3},
  [12659] = {.lex_state = 15, .external_lex_state = 3},
  [12660] = {.lex_state = 411, .external_lex_state = 3},
  [12661] = {.lex_state = 411, .external_lex_state = 3},
  [12662] = {.lex_state = 411, .external_lex_state = 3},
  [12663] = {.lex_state = 411, .external_lex_state = 3},
  [12664] = {.lex_state = 411, .external_lex_state = 3},
  [12665] = {.lex_state = 411, .external_lex_state = 3},
  [12666] = {.lex_state = 15, .external_lex_state = 3},
  [12667] = {.lex_state = 411, .external_lex_state = 3},
  [12668] = {.lex_state = 132, .external_lex_state = 3},
  [12669] = {.lex_state = 411, .external_lex_state = 3},
  [12670] = {.lex_state = 411, .external_lex_state = 3},
  [12671] = {.lex_state = 175, .external_lex_state = 3},
  [12672] = {.lex_state = 411, .external_lex_state = 3},
  [12673] = {.lex_state = 411, .external_lex_state = 3},
  [12674] = {.lex_state = 411, .external_lex_state = 3},
  [12675] = {.lex_state = 411, .external_lex_state = 3},
  [12676] = {.lex_state = 15, .external_lex_state = 3},
  [12677] = {.lex_state = 411, .external_lex_state = 3},
  [12678] = {.lex_state = 202, .external_lex_state = 3},
  [12679] = {.lex_state = 411, .external_lex_state = 3},
  [12680] = {.lex_state = 175, .external_lex_state = 3},
  [12681] = {.lex_state = 411, .external_lex_state = 3},
  [12682] = {.lex_state = 411, .external_lex_state = 3},
  [12683] = {.lex_state = 424, .external_lex_state = 3},
  [12684] = {.lex_state = 424, .external_lex_state = 3},
  [12685] = {.lex_state = 15, .external_lex_state = 3},
  [12686] = {.lex_state = 411, .external_lex_state = 3},
  [12687] = {.lex_state = 411, .external_lex_state = 3},
  [12688] = {.lex_state = 411, .external_lex_state = 3},
  [12689] = {.lex_state = 411, .external_lex_state = 3},
  [12690] = {.lex_state = 411, .external_lex_state = 3},
  [12691] = {.lex_state = 411, .external_lex_state = 3},
  [12692] = {.lex_state = 411, .external_lex_state = 3},
  [12693] = {.lex_state = 15, .external_lex_state = 3},
  [12694] = {.lex_state = 138, .external_lex_state = 3},
  [12695] = {.lex_state = 138, .external_lex_state = 3},
  [12696] = {.lex_state = 138, .external_lex_state = 3},
  [12697] = {.lex_state = 411, .external_lex_state = 3},
  [12698] = {.lex_state = 411, .external_lex_state = 3},
  [12699] = {.lex_state = 411, .external_lex_state = 3},
  [12700] = {.lex_state = 411, .external_lex_state = 3},
  [12701] = {.lex_state = 411, .external_lex_state = 3},
  [12702] = {.lex_state = 424, .external_lex_state = 3},
  [12703] = {.lex_state = 424, .external_lex_state = 3},
  [12704] = {.lex_state = 15, .external_lex_state = 3},
  [12705] = {.lex_state = 411, .external_lex_state = 3},
  [12706] = {.lex_state = 411, .external_lex_state = 3},
  [12707] = {.lex_state = 131, .external_lex_state = 3},
  [12708] = {.lex_state = 411, .external_lex_state = 3},
  [12709] = {.lex_state = 411, .external_lex_state = 3},
  [12710] = {.lex_state = 411, .external_lex_state = 3},
  [12711] = {.lex_state = 411, .external_lex_state = 3},
  [12712] = {.lex_state = 411, .external_lex_state = 3},
  [12713] = {.lex_state = 413, .external_lex_state = 3},
  [12714] = {.lex_state = 413, .external_lex_state = 3},
  [12715] = {.lex_state = 15, .external_lex_state = 3},
  [12716] = {.lex_state = 140, .external_lex_state = 3},
  [12717] = {.lex_state = 140, .external_lex_state = 3},
  [12718] = {.lex_state = 140, .external_lex_state = 3},
  [12719] = {.lex_state = 132, .external_lex_state = 3},
  [12720] = {.lex_state = 175, .external_lex_state = 3},
  [12721] = {.lex_state = 411, .external_lex_state = 3},
  [12722] = {.lex_state = 15, .external_lex_state = 3},
  [12723] = {.lex_state = 15, .external_lex_state = 3},
  [12724] = {.lex_state = 411, .external_lex_state = 3},
  [12725] = {.lex_state = 411, .external_lex_state = 3},
  [12726] = {.lex_state = 15, .external_lex_state = 3},
  [12727] = {.lex_state = 411, .external_lex_state = 3},
  [12728] = {.lex_state = 181, .external_lex_state = 3},
  [12729] = {.lex_state = 411, .external_lex_state = 3},
  [12730] = {.lex_state = 181, .external_lex_state = 3},
  [12731] = {.lex_state = 411, .external_lex_state = 3},
  [12732] = {.lex_state = 15, .external_lex_state = 3},
  [12733] = {.lex_state = 411, .external_lex_state = 3},
  [12734] = {.lex_state = 15, .external_lex_state = 3},
  [12735] = {.lex_state = 181, .external_lex_state = 3},
  [12736] = {.lex_state = 411, .external_lex_state = 3},
  [12737] = {.lex_state = 411, .external_lex_state = 3},
  [12738] = {.lex_state = 15, .external_lex_state = 3},
  [12739] = {.lex_state = 411, .external_lex_state = 3},
  [12740] = {.lex_state = 15, .external_lex_state = 3},
  [12741] = {.lex_state = 411, .external_lex_state = 3},
  [12742] = {.lex_state = 181, .external_lex_state = 3},
  [12743] = {.lex_state = 411, .external_lex_state = 3},
  [12744] = {.lex_state = 181, .external_lex_state = 3},
  [12745] = {.lex_state = 15, .external_lex_state = 3},
  [12746] = {.lex_state = 411, .external_lex_state = 3},
  [12747] = {.lex_state = 411, .external_lex_state = 3},
  [12748] = {.lex_state = 15, .external_lex_state = 3},
  [12749] = {.lex_state = 411, .external_lex_state = 3},
  [12750] = {.lex_state = 181, .external_lex_state = 3},
  [12751] = {.lex_state = 15, .external_lex_state = 3},
  [12752] = {.lex_state = 411, .external_lex_state = 3},
  [12753] = {.lex_state = 15, .external_lex_state = 3},
  [12754] = {.lex_state = 15, .external_lex_state = 3},
  [12755] = {.lex_state = 15, .external_lex_state = 3},
  [12756] = {.lex_state = 411, .external_lex_state = 3},
  [12757] = {.lex_state = 411, .external_lex_state = 3},
  [12758] = {.lex_state = 15, .external_lex_state = 3},
  [12759] = {.lex_state = 15, .external_lex_state = 3},
  [12760] = {.lex_state = 15, .external_lex_state = 3},
  [12761] = {.lex_state = 411, .external_lex_state = 3},
  [12762] = {.lex_state = 15, .external_lex_state = 3},
  [12763] = {.lex_state = 15, .external_lex_state = 3},
  [12764] = {.lex_state = 15, .external_lex_state = 3},
  [12765] = {.lex_state = 411, .external_lex_state = 3},
  [12766] = {.lex_state = 15, .external_lex_state = 3},
  [12767] = {.lex_state = 411, .external_lex_state = 3},
  [12768] = {.lex_state = 15, .external_lex_state = 3},
  [12769] = {.lex_state = 15, .external_lex_state = 3},
  [12770] = {.lex_state = 202, .external_lex_state = 3},
  [12771] = {.lex_state = 411, .external_lex_state = 3},
  [12772] = {.lex_state = 15, .external_lex_state = 3},
  [12773] = {.lex_state = 411, .external_lex_state = 3},
  [12774] = {.lex_state = 411, .external_lex_state = 3},
  [12775] = {.lex_state = 411, .external_lex_state = 3},
  [12776] = {.lex_state = 411, .external_lex_state = 3},
  [12777] = {.lex_state = 411, .external_lex_state = 3},
  [12778] = {.lex_state = 15, .external_lex_state = 3},
  [12779] = {.lex_state = 174, .external_lex_state = 3},
  [12780] = {.lex_state = 15, .external_lex_state = 3},
  [12781] = {.lex_state = 411, .external_lex_state = 3},
  [12782] = {.lex_state = 411, .external_lex_state = 3},
  [12783] = {.lex_state = 15, .external_lex_state = 3},
  [12784] = {.lex_state = 411, .external_lex_state = 3},
  [12785] = {.lex_state = 411, .external_lex_state = 3},
  [12786] = {.lex_state = 15, .external_lex_state = 3},
  [12787] = {.lex_state = 411, .external_lex_state = 3},
  [12788] = {.lex_state = 15, .external_lex_state = 3},
  [12789] = {.lex_state = 411, .external_lex_state = 3},
  [12790] = {.lex_state = 15, .external_lex_state = 3},
  [12791] = {.lex_state = 15, .external_lex_state = 3},
  [12792] = {.lex_state = 411, .external_lex_state = 3},
  [12793] = {.lex_state = 411, .external_lex_state = 3},
  [12794] = {.lex_state = 411, .external_lex_state = 3},
  [12795] = {.lex_state = 411, .external_lex_state = 3},
  [12796] = {.lex_state = 15, .external_lex_state = 3},
  [12797] = {.lex_state = 411, .external_lex_state = 3},
  [12798] = {.lex_state = 411, .external_lex_state = 3},
  [12799] = {.lex_state = 411, .external_lex_state = 3},
  [12800] = {.lex_state = 411, .external_lex_state = 3},
  [12801] = {.lex_state = 15, .external_lex_state = 3},
  [12802] = {.lex_state = 15, .external_lex_state = 3},
  [12803] = {.lex_state = 15, .external_lex_state = 3},
  [12804] = {.lex_state = 411, .external_lex_state = 3},
  [12805] = {.lex_state = 411, .external_lex_state = 3},
  [12806] = {.lex_state = 411, .external_lex_state = 3},
  [12807] = {.lex_state = 15, .external_lex_state = 3},
  [12808] = {.lex_state = 411, .external_lex_state = 3},
  [12809] = {.lex_state = 15, .external_lex_state = 3},
  [12810] = {.lex_state = 15, .external_lex_state = 3},
  [12811] = {.lex_state = 413, .external_lex_state = 3},
  [12812] = {.lex_state = 411, .external_lex_state = 3},
  [12813] = {.lex_state = 411, .external_lex_state = 3},
  [12814] = {.lex_state = 411, .external_lex_state = 3},
  [12815] = {.lex_state = 15, .external_lex_state = 3},
  [12816] = {.lex_state = 411, .external_lex_state = 3},
  [12817] = {.lex_state = 411, .external_lex_state = 3},
  [12818] = {.lex_state = 411, .external_lex_state = 3},
  [12819] = {.lex_state = 413, .external_lex_state = 3},
  [12820] = {.lex_state = 413, .external_lex_state = 3},
  [12821] = {.lex_state = 411, .external_lex_state = 3},
  [12822] = {.lex_state = 411, .external_lex_state = 3},
  [12823] = {.lex_state = 411, .external_lex_state = 3},
  [12824] = {.lex_state = 411, .external_lex_state = 3},
  [12825] = {.lex_state = 411, .external_lex_state = 3},
  [12826] = {.lex_state = 411, .external_lex_state = 3},
  [12827] = {.lex_state = 411, .external_lex_state = 3},
  [12828] = {.lex_state = 411, .external_lex_state = 3},
  [12829] = {.lex_state = 411, .external_lex_state = 3},
  [12830] = {.lex_state = 411, .external_lex_state = 3},
  [12831] = {.lex_state = 411, .external_lex_state = 3},
  [12832] = {.lex_state = 411, .external_lex_state = 3},
  [12833] = {.lex_state = 411, .external_lex_state = 3},
  [12834] = {.lex_state = 411, .external_lex_state = 3},
  [12835] = {.lex_state = 411, .external_lex_state = 3},
  [12836] = {.lex_state = 15, .external_lex_state = 3},
  [12837] = {.lex_state = 411, .external_lex_state = 3},
  [12838] = {.lex_state = 183, .external_lex_state = 3},
  [12839] = {.lex_state = 411, .external_lex_state = 3},
  [12840] = {.lex_state = 411, .external_lex_state = 3},
  [12841] = {.lex_state = 15, .external_lex_state = 3},
  [12842] = {.lex_state = 411, .external_lex_state = 3},
  [12843] = {.lex_state = 424, .external_lex_state = 3},
  [12844] = {.lex_state = 411, .external_lex_state = 3},
  [12845] = {.lex_state = 411, .external_lex_state = 3},
  [12846] = {.lex_state = 411, .external_lex_state = 3},
  [12847] = {.lex_state = 411, .external_lex_state = 3},
  [12848] = {.lex_state = 411, .external_lex_state = 3},
  [12849] = {.lex_state = 411, .external_lex_state = 3},
  [12850] = {.lex_state = 411, .external_lex_state = 3},
  [12851] = {.lex_state = 411, .external_lex_state = 3},
  [12852] = {.lex_state = 411, .external_lex_state = 3},
  [12853] = {.lex_state = 411, .external_lex_state = 3},
  [12854] = {.lex_state = 411, .external_lex_state = 3},
  [12855] = {.lex_state = 411, .external_lex_state = 3},
  [12856] = {.lex_state = 411, .external_lex_state = 3},
  [12857] = {.lex_state = 411, .external_lex_state = 3},
  [12858] = {.lex_state = 411, .external_lex_state = 3},
  [12859] = {.lex_state = 411, .external_lex_state = 3},
  [12860] = {.lex_state = 411, .external_lex_state = 3},
  [12861] = {.lex_state = 411, .external_lex_state = 3},
  [12862] = {.lex_state = 133, .external_lex_state = 2},
  [12863] = {.lex_state = 411, .external_lex_state = 3},
  [12864] = {.lex_state = 411, .external_lex_state = 3},
  [12865] = {.lex_state = 411, .external_lex_state = 3},
  [12866] = {.lex_state = 411, .external_lex_state = 3},
  [12867] = {.lex_state = 411, .external_lex_state = 3},
  [12868] = {.lex_state = 411, .external_lex_state = 3},
  [12869] = {.lex_state = 411, .external_lex_state = 3},
  [12870] = {.lex_state = 411, .external_lex_state = 3},
  [12871] = {.lex_state = 411, .external_lex_state = 3},
  [12872] = {.lex_state = 411, .external_lex_state = 3},
  [12873] = {.lex_state = 411, .external_lex_state = 3},
  [12874] = {.lex_state = 411, .external_lex_state = 3},
  [12875] = {.lex_state = 424, .external_lex_state = 3},
  [12876] = {.lex_state = 411, .external_lex_state = 3},
  [12877] = {.lex_state = 411, .external_lex_state = 3},
  [12878] = {.lex_state = 411, .external_lex_state = 3},
  [12879] = {.lex_state = 424, .external_lex_state = 3},
  [12880] = {.lex_state = 424, .external_lex_state = 3},
  [12881] = {.lex_state = 411, .external_lex_state = 3},
  [12882] = {.lex_state = 411, .external_lex_state = 3},
  [12883] = {.lex_state = 411, .external_lex_state = 3},
  [12884] = {.lex_state = 411, .external_lex_state = 3},
  [12885] = {.lex_state = 411, .external_lex_state = 3},
  [12886] = {.lex_state = 411, .external_lex_state = 3},
  [12887] = {.lex_state = 411, .external_lex_state = 3},
  [12888] = {.lex_state = 411, .external_lex_state = 3},
  [12889] = {.lex_state = 411, .external_lex_state = 3},
  [12890] = {.lex_state = 411, .external_lex_state = 3},
  [12891] = {.lex_state = 411, .external_lex_state = 3},
  [12892] = {.lex_state = 411, .external_lex_state = 3},
  [12893] = {.lex_state = 411, .external_lex_state = 3},
  [12894] = {.lex_state = 411, .external_lex_state = 3},
  [12895] = {.lex_state = 411, .external_lex_state = 3},
  [12896] = {.lex_state = 411, .external_lex_state = 3},
  [12897] = {.lex_state = 411, .external_lex_state = 3},
  [12898] = {.lex_state = 411, .external_lex_state = 3},
  [12899] = {.lex_state = 411, .external_lex_state = 3},
  [12900] = {.lex_state = 411, .external_lex_state = 3},
  [12901] = {.lex_state = 411, .external_lex_state = 3},
  [12902] = {.lex_state = 411, .external_lex_state = 3},
  [12903] = {.lex_state = 411, .external_lex_state = 3},
  [12904] = {.lex_state = 411, .external_lex_state = 3},
  [12905] = {.lex_state = 411, .external_lex_state = 3},
  [12906] = {.lex_state = 413, .external_lex_state = 3},
  [12907] = {.lex_state = 411, .external_lex_state = 3},
  [12908] = {.lex_state = 411, .external_lex_state = 3},
  [12909] = {.lex_state = 411, .external_lex_state = 3},
  [12910] = {.lex_state = 411, .external_lex_state = 3},
  [12911] = {.lex_state = 411, .external_lex_state = 3},
  [12912] = {.lex_state = 411, .external_lex_state = 3},
  [12913] = {.lex_state = 411, .external_lex_state = 3},
  [12914] = {.lex_state = 413, .external_lex_state = 3},
  [12915] = {.lex_state = 411, .external_lex_state = 3},
  [12916] = {.lex_state = 411, .external_lex_state = 3},
  [12917] = {.lex_state = 411, .external_lex_state = 3},
  [12918] = {.lex_state = 411, .external_lex_state = 3},
  [12919] = {.lex_state = 411, .external_lex_state = 3},
  [12920] = {.lex_state = 411, .external_lex_state = 3},
  [12921] = {.lex_state = 413, .external_lex_state = 3},
  [12922] = {.lex_state = 411, .external_lex_state = 3},
  [12923] = {.lex_state = 411, .external_lex_state = 3},
  [12924] = {.lex_state = 411, .external_lex_state = 3},
  [12925] = {.lex_state = 411, .external_lex_state = 3},
  [12926] = {.lex_state = 411, .external_lex_state = 3},
  [12927] = {.lex_state = 411, .external_lex_state = 3},
  [12928] = {.lex_state = 411, .external_lex_state = 3},
  [12929] = {.lex_state = 411, .external_lex_state = 3},
  [12930] = {.lex_state = 411, .external_lex_state = 3},
  [12931] = {.lex_state = 411, .external_lex_state = 3},
  [12932] = {.lex_state = 411, .external_lex_state = 3},
  [12933] = {.lex_state = 411, .external_lex_state = 3},
  [12934] = {.lex_state = 15, .external_lex_state = 3},
  [12935] = {.lex_state = 136, .external_lex_state = 3},
  [12936] = {.lex_state = 411, .external_lex_state = 3},
  [12937] = {.lex_state = 411, .external_lex_state = 3},
  [12938] = {.lex_state = 411, .external_lex_state = 3},
  [12939] = {.lex_state = 411, .external_lex_state = 3},
  [12940] = {.lex_state = 411, .external_lex_state = 3},
  [12941] = {.lex_state = 411, .external_lex_state = 3},
  [12942] = {.lex_state = 411, .external_lex_state = 3},
  [12943] = {.lex_state = 411, .external_lex_state = 3},
  [12944] = {.lex_state = 411, .external_lex_state = 3},
  [12945] = {.lex_state = 424, .external_lex_state = 3},
  [12946] = {.lex_state = 411, .external_lex_state = 3},
  [12947] = {.lex_state = 424, .external_lex_state = 3},
  [12948] = {.lex_state = 15, .external_lex_state = 3},
  [12949] = {.lex_state = 411, .external_lex_state = 3},
  [12950] = {.lex_state = 411, .external_lex_state = 3},
  [12951] = {.lex_state = 411, .external_lex_state = 3},
  [12952] = {.lex_state = 411, .external_lex_state = 3},
  [12953] = {.lex_state = 411, .external_lex_state = 3},
  [12954] = {.lex_state = 424, .external_lex_state = 3},
  [12955] = {.lex_state = 424, .external_lex_state = 3},
  [12956] = {.lex_state = 424, .external_lex_state = 3},
  [12957] = {.lex_state = 424, .external_lex_state = 3},
  [12958] = {.lex_state = 411, .external_lex_state = 3},
  [12959] = {.lex_state = 170, .external_lex_state = 3},
  [12960] = {.lex_state = 411, .external_lex_state = 3},
  [12961] = {.lex_state = 424, .external_lex_state = 3},
  [12962] = {.lex_state = 424, .external_lex_state = 3},
  [12963] = {.lex_state = 411, .external_lex_state = 3},
  [12964] = {.lex_state = 131, .external_lex_state = 3},
  [12965] = {.lex_state = 170, .external_lex_state = 3},
  [12966] = {.lex_state = 170, .external_lex_state = 3},
  [12967] = {.lex_state = 411, .external_lex_state = 3},
  [12968] = {.lex_state = 19, .external_lex_state = 3},
  [12969] = {.lex_state = 424, .external_lex_state = 3},
  [12970] = {.lex_state = 424, .external_lex_state = 3},
  [12971] = {.lex_state = 170, .external_lex_state = 3},
  [12972] = {.lex_state = 411, .external_lex_state = 3},
  [12973] = {.lex_state = 170, .external_lex_state = 3},
  [12974] = {.lex_state = 128, .external_lex_state = 3},
  [12975] = {.lex_state = 15, .external_lex_state = 2},
  [12976] = {.lex_state = 174, .external_lex_state = 3},
  [12977] = {.lex_state = 424, .external_lex_state = 3},
  [12978] = {.lex_state = 170, .external_lex_state = 3},
  [12979] = {.lex_state = 424, .external_lex_state = 3},
  [12980] = {.lex_state = 424, .external_lex_state = 3},
  [12981] = {.lex_state = 424, .external_lex_state = 3},
  [12982] = {.lex_state = 424, .external_lex_state = 3},
  [12983] = {.lex_state = 170, .external_lex_state = 3},
  [12984] = {.lex_state = 424, .external_lex_state = 3},
  [12985] = {.lex_state = 170, .external_lex_state = 3},
  [12986] = {.lex_state = 411, .external_lex_state = 3},
  [12987] = {.lex_state = 424, .external_lex_state = 3},
  [12988] = {.lex_state = 19, .external_lex_state = 3},
  [12989] = {.lex_state = 170, .external_lex_state = 3},
  [12990] = {.lex_state = 19, .external_lex_state = 3},
  [12991] = {.lex_state = 424, .external_lex_state = 3},
  [12992] = {.lex_state = 19, .external_lex_state = 3},
  [12993] = {.lex_state = 170, .external_lex_state = 3},
  [12994] = {.lex_state = 15, .external_lex_state = 2},
  [12995] = {.lex_state = 424, .external_lex_state = 3},
  [12996] = {.lex_state = 424, .external_lex_state = 3},
  [12997] = {.lex_state = 424, .external_lex_state = 3},
  [12998] = {.lex_state = 170, .external_lex_state = 3},
  [12999] = {.lex_state = 424, .external_lex_state = 3},
  [13000] = {.lex_state = 411, .external_lex_state = 3},
  [13001] = {.lex_state = 411, .external_lex_state = 3},
  [13002] = {.lex_state = 170, .external_lex_state = 3},
  [13003] = {.lex_state = 411, .external_lex_state = 3},
  [13004] = {.lex_state = 411, .external_lex_state = 3},
  [13005] = {.lex_state = 170, .external_lex_state = 3},
  [13006] = {.lex_state = 170, .external_lex_state = 3},
  [13007] = {.lex_state = 411, .external_lex_state = 3},
  [13008] = {.lex_state = 19, .external_lex_state = 3},
  [13009] = {.lex_state = 170, .external_lex_state = 3},
  [13010] = {.lex_state = 170, .external_lex_state = 3},
  [13011] = {.lex_state = 424, .external_lex_state = 3},
  [13012] = {.lex_state = 170, .external_lex_state = 3},
  [13013] = {.lex_state = 424, .external_lex_state = 3},
  [13014] = {.lex_state = 170, .external_lex_state = 3},
  [13015] = {.lex_state = 19, .external_lex_state = 3},
  [13016] = {.lex_state = 19, .external_lex_state = 3},
  [13017] = {.lex_state = 170, .external_lex_state = 3},
  [13018] = {.lex_state = 424, .external_lex_state = 3},
  [13019] = {.lex_state = 170, .external_lex_state = 3},
  [13020] = {.lex_state = 424, .external_lex_state = 3},
  [13021] = {.lex_state = 411, .external_lex_state = 3},
  [13022] = {.lex_state = 170, .external_lex_state = 3},
  [13023] = {.lex_state = 170, .external_lex_state = 3},
  [13024] = {.lex_state = 424, .external_lex_state = 3},
  [13025] = {.lex_state = 411, .external_lex_state = 3},
  [13026] = {.lex_state = 411, .external_lex_state = 3},
  [13027] = {.lex_state = 15, .external_lex_state = 2},
  [13028] = {.lex_state = 411, .external_lex_state = 3},
  [13029] = {.lex_state = 424, .external_lex_state = 3},
  [13030] = {.lex_state = 424, .external_lex_state = 3},
  [13031] = {.lex_state = 170, .external_lex_state = 3},
  [13032] = {.lex_state = 19, .external_lex_state = 3},
  [13033] = {.lex_state = 424, .external_lex_state = 3},
  [13034] = {.lex_state = 128, .external_lex_state = 3},
  [13035] = {.lex_state = 411, .external_lex_state = 3},
  [13036] = {.lex_state = 424, .external_lex_state = 3},
  [13037] = {.lex_state = 131, .external_lex_state = 3},
  [13038] = {.lex_state = 424, .external_lex_state = 3},
  [13039] = {.lex_state = 19, .external_lex_state = 3},
  [13040] = {.lex_state = 131, .external_lex_state = 3},
  [13041] = {.lex_state = 424, .external_lex_state = 3},
  [13042] = {.lex_state = 424, .external_lex_state = 3},
  [13043] = {.lex_state = 170, .external_lex_state = 3},
  [13044] = {.lex_state = 15, .external_lex_state = 3},
  [13045] = {.lex_state = 424, .external_lex_state = 3},
  [13046] = {.lex_state = 424, .external_lex_state = 3},
  [13047] = {.lex_state = 424, .external_lex_state = 3},
  [13048] = {.lex_state = 170, .external_lex_state = 3},
  [13049] = {.lex_state = 424, .external_lex_state = 3},
  [13050] = {.lex_state = 424, .external_lex_state = 3},
  [13051] = {.lex_state = 424, .external_lex_state = 3},
  [13052] = {.lex_state = 424, .external_lex_state = 3},
  [13053] = {.lex_state = 19, .external_lex_state = 3},
  [13054] = {.lex_state = 424, .external_lex_state = 3},
  [13055] = {.lex_state = 424, .external_lex_state = 3},
  [13056] = {.lex_state = 15, .external_lex_state = 2},
  [13057] = {.lex_state = 131, .external_lex_state = 3},
  [13058] = {.lex_state = 131, .external_lex_state = 3},
  [13059] = {.lex_state = 131, .external_lex_state = 3},
  [13060] = {.lex_state = 131, .external_lex_state = 3},
  [13061] = {.lex_state = 131, .external_lex_state = 3},
  [13062] = {.lex_state = 170, .external_lex_state = 3},
  [13063] = {.lex_state = 131, .external_lex_state = 3},
  [13064] = {.lex_state = 19, .external_lex_state = 3},
  [13065] = {.lex_state = 411, .external_lex_state = 3},
  [13066] = {.lex_state = 202, .external_lex_state = 3},
  [13067] = {.lex_state = 170, .external_lex_state = 3},
  [13068] = {.lex_state = 19, .external_lex_state = 3},
  [13069] = {.lex_state = 128, .external_lex_state = 3},
  [13070] = {.lex_state = 8, .external_lex_state = 3},
  [13071] = {.lex_state = 172, .external_lex_state = 3},
  [13072] = {.lex_state = 19, .external_lex_state = 3},
  [13073] = {.lex_state = 424, .external_lex_state = 3},
  [13074] = {.lex_state = 424, .external_lex_state = 3},
  [13075] = {.lex_state = 15, .external_lex_state = 2},
  [13076] = {.lex_state = 170, .external_lex_state = 3},
  [13077] = {.lex_state = 19, .external_lex_state = 3},
  [13078] = {.lex_state = 170, .external_lex_state = 3},
  [13079] = {.lex_state = 170, .external_lex_state = 3},
  [13080] = {.lex_state = 170, .external_lex_state = 3},
  [13081] = {.lex_state = 170, .external_lex_state = 3},
  [13082] = {.lex_state = 170, .external_lex_state = 3},
  [13083] = {.lex_state = 128, .external_lex_state = 3},
  [13084] = {.lex_state = 170, .external_lex_state = 3},
  [13085] = {.lex_state = 411, .external_lex_state = 3},
  [13086] = {.lex_state = 411, .external_lex_state = 3},
  [13087] = {.lex_state = 411, .external_lex_state = 3},
  [13088] = {.lex_state = 411, .external_lex_state = 3},
  [13089] = {.lex_state = 411, .external_lex_state = 3},
  [13090] = {.lex_state = 411, .external_lex_state = 3},
  [13091] = {.lex_state = 411, .external_lex_state = 3},
  [13092] = {.lex_state = 170, .external_lex_state = 3},
  [13093] = {.lex_state = 424, .external_lex_state = 3},
  [13094] = {.lex_state = 424, .external_lex_state = 3},
  [13095] = {.lex_state = 128, .external_lex_state = 3},
  [13096] = {.lex_state = 202, .external_lex_state = 3},
  [13097] = {.lex_state = 19, .external_lex_state = 3},
  [13098] = {.lex_state = 170, .external_lex_state = 3},
  [13099] = {.lex_state = 424, .external_lex_state = 3},
  [13100] = {.lex_state = 19, .external_lex_state = 3},
  [13101] = {.lex_state = 19, .external_lex_state = 3},
  [13102] = {.lex_state = 424, .external_lex_state = 3},
  [13103] = {.lex_state = 170, .external_lex_state = 3},
  [13104] = {.lex_state = 19, .external_lex_state = 3},
  [13105] = {.lex_state = 170, .external_lex_state = 3},
  [13106] = {.lex_state = 424, .external_lex_state = 3},
  [13107] = {.lex_state = 424, .external_lex_state = 3},
  [13108] = {.lex_state = 15, .external_lex_state = 2},
  [13109] = {.lex_state = 19, .external_lex_state = 3},
  [13110] = {.lex_state = 170, .external_lex_state = 3},
  [13111] = {.lex_state = 170, .external_lex_state = 3},
  [13112] = {.lex_state = 131, .external_lex_state = 3},
  [13113] = {.lex_state = 424, .external_lex_state = 3},
  [13114] = {.lex_state = 424, .external_lex_state = 3},
  [13115] = {.lex_state = 424, .external_lex_state = 3},
  [13116] = {.lex_state = 424, .external_lex_state = 3},
  [13117] = {.lex_state = 424, .external_lex_state = 3},
  [13118] = {.lex_state = 424, .external_lex_state = 3},
  [13119] = {.lex_state = 19, .external_lex_state = 3},
  [13120] = {.lex_state = 19, .external_lex_state = 3},
  [13121] = {.lex_state = 19, .external_lex_state = 3},
  [13122] = {.lex_state = 132, .external_lex_state = 3},
  [13123] = {.lex_state = 128, .external_lex_state = 3},
  [13124] = {.lex_state = 19, .external_lex_state = 3},
  [13125] = {.lex_state = 15, .external_lex_state = 3},
  [13126] = {.lex_state = 15, .external_lex_state = 2},
  [13127] = {.lex_state = 170, .external_lex_state = 3},
  [13128] = {.lex_state = 15, .external_lex_state = 3},
  [13129] = {.lex_state = 19, .external_lex_state = 3},
  [13130] = {.lex_state = 19, .external_lex_state = 3},
  [13131] = {.lex_state = 128, .external_lex_state = 3},
  [13132] = {.lex_state = 411, .external_lex_state = 3},
  [13133] = {.lex_state = 131, .external_lex_state = 3},
  [13134] = {.lex_state = 131, .external_lex_state = 3},
  [13135] = {.lex_state = 131, .external_lex_state = 3},
  [13136] = {.lex_state = 131, .external_lex_state = 3},
  [13137] = {.lex_state = 131, .external_lex_state = 3},
  [13138] = {.lex_state = 131, .external_lex_state = 3},
  [13139] = {.lex_state = 170, .external_lex_state = 3},
  [13140] = {.lex_state = 131, .external_lex_state = 3},
  [13141] = {.lex_state = 411, .external_lex_state = 3},
  [13142] = {.lex_state = 132, .external_lex_state = 3},
  [13143] = {.lex_state = 132, .external_lex_state = 3},
  [13144] = {.lex_state = 132, .external_lex_state = 3},
  [13145] = {.lex_state = 424, .external_lex_state = 3},
  [13146] = {.lex_state = 131, .external_lex_state = 3},
  [13147] = {.lex_state = 131, .external_lex_state = 3},
  [13148] = {.lex_state = 131, .external_lex_state = 3},
  [13149] = {.lex_state = 128, .external_lex_state = 3},
  [13150] = {.lex_state = 131, .external_lex_state = 3},
  [13151] = {.lex_state = 131, .external_lex_state = 3},
  [13152] = {.lex_state = 131, .external_lex_state = 3},
  [13153] = {.lex_state = 19, .external_lex_state = 3},
  [13154] = {.lex_state = 170, .external_lex_state = 3},
  [13155] = {.lex_state = 132, .external_lex_state = 3},
  [13156] = {.lex_state = 19, .external_lex_state = 3},
  [13157] = {.lex_state = 132, .external_lex_state = 3},
  [13158] = {.lex_state = 19, .external_lex_state = 3},
  [13159] = {.lex_state = 424, .external_lex_state = 3},
  [13160] = {.lex_state = 411, .external_lex_state = 3},
  [13161] = {.lex_state = 131, .external_lex_state = 3},
  [13162] = {.lex_state = 131, .external_lex_state = 3},
  [13163] = {.lex_state = 132, .external_lex_state = 3},
  [13164] = {.lex_state = 132, .external_lex_state = 3},
  [13165] = {.lex_state = 132, .external_lex_state = 3},
  [13166] = {.lex_state = 132, .external_lex_state = 3},
  [13167] = {.lex_state = 424, .external_lex_state = 3},
  [13168] = {.lex_state = 424, .external_lex_state = 3},
  [13169] = {.lex_state = 132, .external_lex_state = 3},
  [13170] = {.lex_state = 132, .external_lex_state = 3},
  [13171] = {.lex_state = 424, .external_lex_state = 3},
  [13172] = {.lex_state = 424, .external_lex_state = 3},
  [13173] = {.lex_state = 132, .external_lex_state = 3},
  [13174] = {.lex_state = 424, .external_lex_state = 3},
  [13175] = {.lex_state = 170, .external_lex_state = 3},
  [13176] = {.lex_state = 170, .external_lex_state = 3},
  [13177] = {.lex_state = 424, .external_lex_state = 3},
  [13178] = {.lex_state = 170, .external_lex_state = 3},
  [13179] = {.lex_state = 424, .external_lex_state = 3},
  [13180] = {.lex_state = 132, .external_lex_state = 3},
  [13181] = {.lex_state = 19, .external_lex_state = 3},
  [13182] = {.lex_state = 132, .external_lex_state = 3},
  [13183] = {.lex_state = 424, .external_lex_state = 3},
  [13184] = {.lex_state = 170, .external_lex_state = 3},
  [13185] = {.lex_state = 170, .external_lex_state = 3},
  [13186] = {.lex_state = 170, .external_lex_state = 3},
  [13187] = {.lex_state = 424, .external_lex_state = 3},
  [13188] = {.lex_state = 170, .external_lex_state = 3},
  [13189] = {.lex_state = 170, .external_lex_state = 3},
  [13190] = {.lex_state = 170, .external_lex_state = 3},
  [13191] = {.lex_state = 170, .external_lex_state = 3},
  [13192] = {.lex_state = 19, .external_lex_state = 3},
  [13193] = {.lex_state = 175, .external_lex_state = 3},
  [13194] = {.lex_state = 170, .external_lex_state = 3},
  [13195] = {.lex_state = 424, .external_lex_state = 3},
  [13196] = {.lex_state = 170, .external_lex_state = 3},
  [13197] = {.lex_state = 170, .external_lex_state = 3},
  [13198] = {.lex_state = 170, .external_lex_state = 3},
  [13199] = {.lex_state = 170, .external_lex_state = 3},
  [13200] = {.lex_state = 424, .external_lex_state = 3},
  [13201] = {.lex_state = 170, .external_lex_state = 3},
  [13202] = {.lex_state = 170, .external_lex_state = 3},
  [13203] = {.lex_state = 170, .external_lex_state = 3},
  [13204] = {.lex_state = 424, .external_lex_state = 3},
  [13205] = {.lex_state = 170, .external_lex_state = 3},
  [13206] = {.lex_state = 170, .external_lex_state = 3},
  [13207] = {.lex_state = 424, .external_lex_state = 3},
  [13208] = {.lex_state = 19, .external_lex_state = 3},
  [13209] = {.lex_state = 411, .external_lex_state = 3},
  [13210] = {.lex_state = 15, .external_lex_state = 3},
  [13211] = {.lex_state = 130, .external_lex_state = 3},
  [13212] = {.lex_state = 15, .external_lex_state = 3},
  [13213] = {.lex_state = 130, .external_lex_state = 3},
  [13214] = {.lex_state = 131, .external_lex_state = 3},
  [13215] = {.lex_state = 15, .external_lex_state = 3},
  [13216] = {.lex_state = 131, .external_lex_state = 3},
  [13217] = {.lex_state = 15, .external_lex_state = 3},
  [13218] = {.lex_state = 411, .external_lex_state = 3},
  [13219] = {.lex_state = 411, .external_lex_state = 3},
  [13220] = {.lex_state = 15, .external_lex_state = 3},
  [13221] = {.lex_state = 130, .external_lex_state = 3},
  [13222] = {.lex_state = 15, .external_lex_state = 3},
  [13223] = {.lex_state = 130, .external_lex_state = 3},
  [13224] = {.lex_state = 130, .external_lex_state = 3},
  [13225] = {.lex_state = 15, .external_lex_state = 3},
  [13226] = {.lex_state = 130, .external_lex_state = 3},
  [13227] = {.lex_state = 424, .external_lex_state = 3},
  [13228] = {.lex_state = 15, .external_lex_state = 3},
  [13229] = {.lex_state = 166, .external_lex_state = 3},
  [13230] = {.lex_state = 424, .external_lex_state = 3},
  [13231] = {.lex_state = 15, .external_lex_state = 3},
  [13232] = {.lex_state = 15, .external_lex_state = 3},
  [13233] = {.lex_state = 15, .external_lex_state = 3},
  [13234] = {.lex_state = 182, .external_lex_state = 3},
  [13235] = {.lex_state = 130, .external_lex_state = 3},
  [13236] = {.lex_state = 411, .external_lex_state = 3},
  [13237] = {.lex_state = 131, .external_lex_state = 3},
  [13238] = {.lex_state = 131, .external_lex_state = 3},
  [13239] = {.lex_state = 8, .external_lex_state = 3},
  [13240] = {.lex_state = 131, .external_lex_state = 3},
  [13241] = {.lex_state = 131, .external_lex_state = 3},
  [13242] = {.lex_state = 424, .external_lex_state = 3},
  [13243] = {.lex_state = 130, .external_lex_state = 3},
  [13244] = {.lex_state = 411, .external_lex_state = 3},
  [13245] = {.lex_state = 424, .external_lex_state = 3},
  [13246] = {.lex_state = 131, .external_lex_state = 3},
  [13247] = {.lex_state = 131, .external_lex_state = 3},
  [13248] = {.lex_state = 411, .external_lex_state = 3},
  [13249] = {.lex_state = 424, .external_lex_state = 3},
  [13250] = {.lex_state = 424, .external_lex_state = 3},
  [13251] = {.lex_state = 411, .external_lex_state = 3},
  [13252] = {.lex_state = 130, .external_lex_state = 3},
  [13253] = {.lex_state = 8, .external_lex_state = 3},
  [13254] = {.lex_state = 15, .external_lex_state = 3},
  [13255] = {.lex_state = 15, .external_lex_state = 3},
  [13256] = {.lex_state = 130, .external_lex_state = 3},
  [13257] = {.lex_state = 131, .external_lex_state = 3},
  [13258] = {.lex_state = 15, .external_lex_state = 3},
  [13259] = {.lex_state = 166, .external_lex_state = 3},
  [13260] = {.lex_state = 166, .external_lex_state = 3},
  [13261] = {.lex_state = 131, .external_lex_state = 3},
  [13262] = {.lex_state = 424, .external_lex_state = 3},
  [13263] = {.lex_state = 424, .external_lex_state = 3},
  [13264] = {.lex_state = 130, .external_lex_state = 3},
  [13265] = {.lex_state = 130, .external_lex_state = 3},
  [13266] = {.lex_state = 131, .external_lex_state = 3},
  [13267] = {.lex_state = 131, .external_lex_state = 3},
  [13268] = {.lex_state = 15, .external_lex_state = 3},
  [13269] = {.lex_state = 15, .external_lex_state = 3},
  [13270] = {.lex_state = 130, .external_lex_state = 3},
  [13271] = {.lex_state = 130, .external_lex_state = 3},
  [13272] = {.lex_state = 15, .external_lex_state = 3},
  [13273] = {.lex_state = 411, .external_lex_state = 3},
  [13274] = {.lex_state = 424, .external_lex_state = 3},
  [13275] = {.lex_state = 411, .external_lex_state = 3},
  [13276] = {.lex_state = 166, .external_lex_state = 3},
  [13277] = {.lex_state = 15, .external_lex_state = 3},
  [13278] = {.lex_state = 182, .external_lex_state = 3},
  [13279] = {.lex_state = 15, .external_lex_state = 3},
  [13280] = {.lex_state = 15, .external_lex_state = 3},
  [13281] = {.lex_state = 130, .external_lex_state = 3},
  [13282] = {.lex_state = 130, .external_lex_state = 3},
  [13283] = {.lex_state = 411, .external_lex_state = 3},
  [13284] = {.lex_state = 130, .external_lex_state = 3},
  [13285] = {.lex_state = 424, .external_lex_state = 3},
  [13286] = {.lex_state = 130, .external_lex_state = 3},
  [13287] = {.lex_state = 166, .external_lex_state = 3},
  [13288] = {.lex_state = 130, .external_lex_state = 3},
  [13289] = {.lex_state = 130, .external_lex_state = 3},
  [13290] = {.lex_state = 130, .external_lex_state = 3},
  [13291] = {.lex_state = 15, .external_lex_state = 3},
  [13292] = {.lex_state = 130, .external_lex_state = 3},
  [13293] = {.lex_state = 129, .external_lex_state = 3},
  [13294] = {.lex_state = 129, .external_lex_state = 3},
  [13295] = {.lex_state = 15, .external_lex_state = 3},
  [13296] = {.lex_state = 130, .external_lex_state = 3},
  [13297] = {.lex_state = 411, .external_lex_state = 3},
  [13298] = {.lex_state = 129, .external_lex_state = 3},
  [13299] = {.lex_state = 131, .external_lex_state = 3},
  [13300] = {.lex_state = 130, .external_lex_state = 3},
  [13301] = {.lex_state = 131, .external_lex_state = 3},
  [13302] = {.lex_state = 131, .external_lex_state = 3},
  [13303] = {.lex_state = 130, .external_lex_state = 3},
  [13304] = {.lex_state = 8, .external_lex_state = 3},
  [13305] = {.lex_state = 130, .external_lex_state = 3},
  [13306] = {.lex_state = 129, .external_lex_state = 3},
  [13307] = {.lex_state = 130, .external_lex_state = 3},
  [13308] = {.lex_state = 130, .external_lex_state = 3},
  [13309] = {.lex_state = 130, .external_lex_state = 3},
  [13310] = {.lex_state = 131, .external_lex_state = 3},
  [13311] = {.lex_state = 15, .external_lex_state = 3},
  [13312] = {.lex_state = 131, .external_lex_state = 3},
  [13313] = {.lex_state = 173, .external_lex_state = 3},
  [13314] = {.lex_state = 173, .external_lex_state = 3},
  [13315] = {.lex_state = 424, .external_lex_state = 3},
  [13316] = {.lex_state = 130, .external_lex_state = 3},
  [13317] = {.lex_state = 130, .external_lex_state = 3},
  [13318] = {.lex_state = 130, .external_lex_state = 3},
  [13319] = {.lex_state = 15, .external_lex_state = 3},
  [13320] = {.lex_state = 131, .external_lex_state = 3},
  [13321] = {.lex_state = 173, .external_lex_state = 3},
  [13322] = {.lex_state = 131, .external_lex_state = 3},
  [13323] = {.lex_state = 130, .external_lex_state = 3},
  [13324] = {.lex_state = 130, .external_lex_state = 3},
  [13325] = {.lex_state = 15, .external_lex_state = 3},
  [13326] = {.lex_state = 130, .external_lex_state = 3},
  [13327] = {.lex_state = 131, .external_lex_state = 3},
  [13328] = {.lex_state = 131, .external_lex_state = 3},
  [13329] = {.lex_state = 8, .external_lex_state = 3},
  [13330] = {.lex_state = 131, .external_lex_state = 3},
  [13331] = {.lex_state = 130, .external_lex_state = 3},
  [13332] = {.lex_state = 131, .external_lex_state = 3},
  [13333] = {.lex_state = 131, .external_lex_state = 3},
  [13334] = {.lex_state = 130, .external_lex_state = 3},
  [13335] = {.lex_state = 130, .external_lex_state = 3},
  [13336] = {.lex_state = 129, .external_lex_state = 3},
  [13337] = {.lex_state = 130, .external_lex_state = 3},
  [13338] = {.lex_state = 411, .external_lex_state = 3},
  [13339] = {.lex_state = 15, .external_lex_state = 3},
  [13340] = {.lex_state = 424, .external_lex_state = 3},
  [13341] = {.lex_state = 130, .external_lex_state = 3},
  [13342] = {.lex_state = 15, .external_lex_state = 3},
  [13343] = {.lex_state = 131, .external_lex_state = 3},
  [13344] = {.lex_state = 129, .external_lex_state = 3},
  [13345] = {.lex_state = 129, .external_lex_state = 3},
  [13346] = {.lex_state = 15, .external_lex_state = 3},
  [13347] = {.lex_state = 129, .external_lex_state = 3},
  [13348] = {.lex_state = 129, .external_lex_state = 3},
  [13349] = {.lex_state = 131, .external_lex_state = 3},
  [13350] = {.lex_state = 182, .external_lex_state = 3},
  [13351] = {.lex_state = 131, .external_lex_state = 3},
  [13352] = {.lex_state = 129, .external_lex_state = 3},
  [13353] = {.lex_state = 130, .external_lex_state = 3},
  [13354] = {.lex_state = 130, .external_lex_state = 3},
  [13355] = {.lex_state = 130, .external_lex_state = 3},
  [13356] = {.lex_state = 130, .external_lex_state = 3},
  [13357] = {.lex_state = 130, .external_lex_state = 3},
  [13358] = {.lex_state = 130, .external_lex_state = 3},
  [13359] = {.lex_state = 131, .external_lex_state = 3},
  [13360] = {.lex_state = 131, .external_lex_state = 3},
  [13361] = {.lex_state = 131, .external_lex_state = 3},
  [13362] = {.lex_state = 411, .external_lex_state = 3},
  [13363] = {.lex_state = 130, .external_lex_state = 3},
  [13364] = {.lex_state = 130, .external_lex_state = 3},
  [13365] = {.lex_state = 130, .external_lex_state = 3},
  [13366] = {.lex_state = 130, .external_lex_state = 3},
  [13367] = {.lex_state = 15, .external_lex_state = 3},
  [13368] = {.lex_state = 424, .external_lex_state = 3},
  [13369] = {.lex_state = 424, .external_lex_state = 3},
  [13370] = {.lex_state = 424, .external_lex_state = 3},
  [13371] = {.lex_state = 130, .external_lex_state = 3},
  [13372] = {.lex_state = 130, .external_lex_state = 3},
  [13373] = {.lex_state = 15, .external_lex_state = 3},
  [13374] = {.lex_state = 411, .external_lex_state = 3},
  [13375] = {.lex_state = 130, .external_lex_state = 3},
  [13376] = {.lex_state = 424, .external_lex_state = 3},
  [13377] = {.lex_state = 130, .external_lex_state = 3},
  [13378] = {.lex_state = 130, .external_lex_state = 3},
  [13379] = {.lex_state = 424, .external_lex_state = 3},
  [13380] = {.lex_state = 424, .external_lex_state = 3},
  [13381] = {.lex_state = 424, .external_lex_state = 3},
  [13382] = {.lex_state = 129, .external_lex_state = 3},
  [13383] = {.lex_state = 411, .external_lex_state = 3},
  [13384] = {.lex_state = 166, .external_lex_state = 3},
  [13385] = {.lex_state = 129, .external_lex_state = 3},
  [13386] = {.lex_state = 15, .external_lex_state = 3},
  [13387] = {.lex_state = 15, .external_lex_state = 3},
  [13388] = {.lex_state = 130, .external_lex_state = 3},
  [13389] = {.lex_state = 130, .external_lex_state = 3},
  [13390] = {.lex_state = 131, .external_lex_state = 3},
  [13391] = {.lex_state = 130, .external_lex_state = 3},
  [13392] = {.lex_state = 130, .external_lex_state = 3},
  [13393] = {.lex_state = 129, .external_lex_state = 3},
  [13394] = {.lex_state = 129, .external_lex_state = 3},
  [13395] = {.lex_state = 15, .external_lex_state = 3},
  [13396] = {.lex_state = 181, .external_lex_state = 3},
  [13397] = {.lex_state = 181, .external_lex_state = 3},
  [13398] = {.lex_state = 411, .external_lex_state = 3},
  [13399] = {.lex_state = 15, .external_lex_state = 3},
  [13400] = {.lex_state = 130, .external_lex_state = 3},
  [13401] = {.lex_state = 181, .external_lex_state = 3},
  [13402] = {.lex_state = 173, .external_lex_state = 3},
  [13403] = {.lex_state = 129, .external_lex_state = 3},
  [13404] = {.lex_state = 411, .external_lex_state = 3},
  [13405] = {.lex_state = 15, .external_lex_state = 3},
  [13406] = {.lex_state = 130, .external_lex_state = 3},
  [13407] = {.lex_state = 15, .external_lex_state = 3},
  [13408] = {.lex_state = 129, .external_lex_state = 3},
  [13409] = {.lex_state = 129, .external_lex_state = 3},
  [13410] = {.lex_state = 129, .external_lex_state = 3},
  [13411] = {.lex_state = 411, .external_lex_state = 3},
  [13412] = {.lex_state = 129, .external_lex_state = 3},
  [13413] = {.lex_state = 129, .external_lex_state = 3},
  [13414] = {.lex_state = 424, .external_lex_state = 3},
  [13415] = {.lex_state = 15, .external_lex_state = 3},
  [13416] = {.lex_state = 129, .external_lex_state = 3},
  [13417] = {.lex_state = 411, .external_lex_state = 3},
  [13418] = {.lex_state = 411, .external_lex_state = 3},
  [13419] = {.lex_state = 15, .external_lex_state = 3},
  [13420] = {.lex_state = 411, .external_lex_state = 3},
  [13421] = {.lex_state = 411, .external_lex_state = 3},
  [13422] = {.lex_state = 130, .external_lex_state = 3},
  [13423] = {.lex_state = 130, .external_lex_state = 3},
  [13424] = {.lex_state = 15, .external_lex_state = 3},
  [13425] = {.lex_state = 130, .external_lex_state = 3},
  [13426] = {.lex_state = 130, .external_lex_state = 3},
  [13427] = {.lex_state = 15, .external_lex_state = 3},
  [13428] = {.lex_state = 15, .external_lex_state = 3},
  [13429] = {.lex_state = 424, .external_lex_state = 3},
  [13430] = {.lex_state = 130, .external_lex_state = 3},
  [13431] = {.lex_state = 15, .external_lex_state = 3},
  [13432] = {.lex_state = 15, .external_lex_state = 3},
  [13433] = {.lex_state = 15, .external_lex_state = 3},
  [13434] = {.lex_state = 130, .external_lex_state = 3},
  [13435] = {.lex_state = 15, .external_lex_state = 3},
  [13436] = {.lex_state = 182, .external_lex_state = 3},
  [13437] = {.lex_state = 129, .external_lex_state = 3},
  [13438] = {.lex_state = 130, .external_lex_state = 3},
  [13439] = {.lex_state = 424, .external_lex_state = 3},
  [13440] = {.lex_state = 15, .external_lex_state = 3},
  [13441] = {.lex_state = 130, .external_lex_state = 3},
  [13442] = {.lex_state = 15, .external_lex_state = 3},
  [13443] = {.lex_state = 130, .external_lex_state = 3},
  [13444] = {.lex_state = 15, .external_lex_state = 3},
  [13445] = {.lex_state = 15, .external_lex_state = 3},
  [13446] = {.lex_state = 15, .external_lex_state = 3},
  [13447] = {.lex_state = 130, .external_lex_state = 3},
  [13448] = {.lex_state = 181, .external_lex_state = 3},
  [13449] = {.lex_state = 411, .external_lex_state = 3},
  [13450] = {.lex_state = 424, .external_lex_state = 3},
  [13451] = {.lex_state = 411, .external_lex_state = 3},
  [13452] = {.lex_state = 15, .external_lex_state = 3},
  [13453] = {.lex_state = 130, .external_lex_state = 3},
  [13454] = {.lex_state = 130, .external_lex_state = 3},
  [13455] = {.lex_state = 130, .external_lex_state = 3},
  [13456] = {.lex_state = 130, .external_lex_state = 3},
  [13457] = {.lex_state = 130, .external_lex_state = 3},
  [13458] = {.lex_state = 130, .external_lex_state = 3},
  [13459] = {.lex_state = 411, .external_lex_state = 3},
  [13460] = {.lex_state = 424, .external_lex_state = 3},
  [13461] = {.lex_state = 15, .external_lex_state = 3},
  [13462] = {.lex_state = 411, .external_lex_state = 3},
  [13463] = {.lex_state = 130, .external_lex_state = 3},
  [13464] = {.lex_state = 411, .external_lex_state = 3},
  [13465] = {.lex_state = 130, .external_lex_state = 3},
  [13466] = {.lex_state = 130, .external_lex_state = 3},
  [13467] = {.lex_state = 130, .external_lex_state = 3},
  [13468] = {.lex_state = 15, .external_lex_state = 3},
  [13469] = {.lex_state = 424, .external_lex_state = 3},
  [13470] = {.lex_state = 424, .external_lex_state = 3},
  [13471] = {.lex_state = 130, .external_lex_state = 3},
  [13472] = {.lex_state = 130, .external_lex_state = 3},
  [13473] = {.lex_state = 130, .external_lex_state = 3},
  [13474] = {.lex_state = 130, .external_lex_state = 3},
  [13475] = {.lex_state = 15, .external_lex_state = 3},
  [13476] = {.lex_state = 130, .external_lex_state = 3},
  [13477] = {.lex_state = 129, .external_lex_state = 3},
  [13478] = {.lex_state = 131, .external_lex_state = 3},
  [13479] = {.lex_state = 15, .external_lex_state = 3},
  [13480] = {.lex_state = 130, .external_lex_state = 3},
  [13481] = {.lex_state = 424, .external_lex_state = 3},
  [13482] = {.lex_state = 424, .external_lex_state = 3},
  [13483] = {.lex_state = 424, .external_lex_state = 3},
  [13484] = {.lex_state = 131, .external_lex_state = 3},
  [13485] = {.lex_state = 424, .external_lex_state = 3},
  [13486] = {.lex_state = 424, .external_lex_state = 3},
  [13487] = {.lex_state = 424, .external_lex_state = 3},
  [13488] = {.lex_state = 15, .external_lex_state = 3},
  [13489] = {.lex_state = 130, .external_lex_state = 3},
  [13490] = {.lex_state = 15, .external_lex_state = 3},
  [13491] = {.lex_state = 130, .external_lex_state = 3},
  [13492] = {.lex_state = 15, .external_lex_state = 3},
  [13493] = {.lex_state = 166, .external_lex_state = 3},
  [13494] = {.lex_state = 15, .external_lex_state = 3},
  [13495] = {.lex_state = 129, .external_lex_state = 3},
  [13496] = {.lex_state = 15, .external_lex_state = 3},
  [13497] = {.lex_state = 129, .external_lex_state = 3},
  [13498] = {.lex_state = 131, .external_lex_state = 3},
  [13499] = {.lex_state = 15, .external_lex_state = 3},
  [13500] = {.lex_state = 131, .external_lex_state = 3},
  [13501] = {.lex_state = 411, .external_lex_state = 3},
  [13502] = {.lex_state = 15, .external_lex_state = 3},
  [13503] = {.lex_state = 129, .external_lex_state = 3},
  [13504] = {.lex_state = 130, .external_lex_state = 3},
  [13505] = {.lex_state = 15, .external_lex_state = 3},
  [13506] = {.lex_state = 15, .external_lex_state = 3},
  [13507] = {.lex_state = 131, .external_lex_state = 3},
  [13508] = {.lex_state = 130, .external_lex_state = 3},
  [13509] = {.lex_state = 131, .external_lex_state = 3},
  [13510] = {.lex_state = 411, .external_lex_state = 3},
  [13511] = {.lex_state = 131, .external_lex_state = 3},
  [13512] = {.lex_state = 131, .external_lex_state = 3},
  [13513] = {.lex_state = 131, .external_lex_state = 3},
  [13514] = {.lex_state = 130, .external_lex_state = 3},
  [13515] = {.lex_state = 15, .external_lex_state = 3},
  [13516] = {.lex_state = 15, .external_lex_state = 3},
  [13517] = {.lex_state = 131, .external_lex_state = 3},
  [13518] = {.lex_state = 411, .external_lex_state = 3},
  [13519] = {.lex_state = 15, .external_lex_state = 3},
  [13520] = {.lex_state = 182, .external_lex_state = 3},
  [13521] = {.lex_state = 131, .external_lex_state = 3},
  [13522] = {.lex_state = 130, .external_lex_state = 3},
  [13523] = {.lex_state = 15, .external_lex_state = 3},
  [13524] = {.lex_state = 424, .external_lex_state = 3},
  [13525] = {.lex_state = 424, .external_lex_state = 3},
  [13526] = {.lex_state = 166, .external_lex_state = 3},
  [13527] = {.lex_state = 424, .external_lex_state = 3},
  [13528] = {.lex_state = 424, .external_lex_state = 3},
  [13529] = {.lex_state = 424, .external_lex_state = 3},
  [13530] = {.lex_state = 130, .external_lex_state = 3},
  [13531] = {.lex_state = 130, .external_lex_state = 3},
  [13532] = {.lex_state = 131, .external_lex_state = 3},
  [13533] = {.lex_state = 130, .external_lex_state = 3},
  [13534] = {.lex_state = 424, .external_lex_state = 3},
  [13535] = {.lex_state = 424, .external_lex_state = 3},
  [13536] = {.lex_state = 129, .external_lex_state = 3},
  [13537] = {.lex_state = 130, .external_lex_state = 3},
  [13538] = {.lex_state = 130, .external_lex_state = 3},
  [13539] = {.lex_state = 159, .external_lex_state = 5},
  [13540] = {.lex_state = 130, .external_lex_state = 3},
  [13541] = {.lex_state = 130, .external_lex_state = 3},
  [13542] = {.lex_state = 130, .external_lex_state = 3},
  [13543] = {.lex_state = 129, .external_lex_state = 3},
  [13544] = {.lex_state = 129, .external_lex_state = 3},
  [13545] = {.lex_state = 130, .external_lex_state = 3},
  [13546] = {.lex_state = 159, .external_lex_state = 5},
  [13547] = {.lex_state = 129, .external_lex_state = 3},
  [13548] = {.lex_state = 129, .external_lex_state = 3},
  [13549] = {.lex_state = 159, .external_lex_state = 5},
  [13550] = {.lex_state = 129, .external_lex_state = 3},
  [13551] = {.lex_state = 129, .external_lex_state = 3},
  [13552] = {.lex_state = 424, .external_lex_state = 3},
  [13553] = {.lex_state = 159, .external_lex_state = 5},
  [13554] = {.lex_state = 129, .external_lex_state = 3},
  [13555] = {.lex_state = 129, .external_lex_state = 3},
  [13556] = {.lex_state = 159, .external_lex_state = 5},
  [13557] = {.lex_state = 129, .external_lex_state = 3},
  [13558] = {.lex_state = 159, .external_lex_state = 5},
  [13559] = {.lex_state = 129, .external_lex_state = 3},
  [13560] = {.lex_state = 129, .external_lex_state = 3},
  [13561] = {.lex_state = 129, .external_lex_state = 3},
  [13562] = {.lex_state = 129, .external_lex_state = 3},
  [13563] = {.lex_state = 129, .external_lex_state = 3},
  [13564] = {.lex_state = 129, .external_lex_state = 3},
  [13565] = {.lex_state = 129, .external_lex_state = 3},
  [13566] = {.lex_state = 129, .external_lex_state = 3},
  [13567] = {.lex_state = 129, .external_lex_state = 3},
  [13568] = {.lex_state = 129, .external_lex_state = 3},
  [13569] = {.lex_state = 129, .external_lex_state = 3},
  [13570] = {.lex_state = 129, .external_lex_state = 3},
  [13571] = {.lex_state = 159, .external_lex_state = 5},
  [13572] = {.lex_state = 129, .external_lex_state = 3},
  [13573] = {.lex_state = 129, .external_lex_state = 3},
  [13574] = {.lex_state = 129, .external_lex_state = 3},
  [13575] = {.lex_state = 129, .external_lex_state = 3},
  [13576] = {.lex_state = 129, .external_lex_state = 3},
  [13577] = {.lex_state = 15, .external_lex_state = 3},
  [13578] = {.lex_state = 159, .external_lex_state = 5},
  [13579] = {.lex_state = 129, .external_lex_state = 3},
  [13580] = {.lex_state = 131, .external_lex_state = 3},
  [13581] = {.lex_state = 129, .external_lex_state = 3},
  [13582] = {.lex_state = 131, .external_lex_state = 3},
  [13583] = {.lex_state = 159, .external_lex_state = 5},
  [13584] = {.lex_state = 159, .external_lex_state = 5},
  [13585] = {.lex_state = 159, .external_lex_state = 5},
  [13586] = {.lex_state = 129, .external_lex_state = 3},
  [13587] = {.lex_state = 129, .external_lex_state = 3},
  [13588] = {.lex_state = 130, .external_lex_state = 3},
  [13589] = {.lex_state = 129, .external_lex_state = 3},
  [13590] = {.lex_state = 129, .external_lex_state = 3},
  [13591] = {.lex_state = 159, .external_lex_state = 5},
  [13592] = {.lex_state = 159, .external_lex_state = 5},
  [13593] = {.lex_state = 159, .external_lex_state = 5},
  [13594] = {.lex_state = 159, .external_lex_state = 5},
  [13595] = {.lex_state = 159, .external_lex_state = 5},
  [13596] = {.lex_state = 159, .external_lex_state = 5},
  [13597] = {.lex_state = 159, .external_lex_state = 5},
  [13598] = {.lex_state = 159, .external_lex_state = 5},
  [13599] = {.lex_state = 159, .external_lex_state = 5},
  [13600] = {.lex_state = 159, .external_lex_state = 5},
  [13601] = {.lex_state = 159, .external_lex_state = 5},
  [13602] = {.lex_state = 159, .external_lex_state = 5},
  [13603] = {.lex_state = 159, .external_lex_state = 5},
  [13604] = {.lex_state = 129, .external_lex_state = 3},
  [13605] = {.lex_state = 159, .external_lex_state = 5},
  [13606] = {.lex_state = 129, .external_lex_state = 3},
  [13607] = {.lex_state = 159, .external_lex_state = 5},
  [13608] = {.lex_state = 413, .external_lex_state = 3},
  [13609] = {.lex_state = 15, .external_lex_state = 3},
  [13610] = {.lex_state = 15, .external_lex_state = 3},
  [13611] = {.lex_state = 129, .external_lex_state = 3},
  [13612] = {.lex_state = 129, .external_lex_state = 3},
  [13613] = {.lex_state = 129, .external_lex_state = 3},
  [13614] = {.lex_state = 15, .external_lex_state = 3},
  [13615] = {.lex_state = 129, .external_lex_state = 3},
  [13616] = {.lex_state = 159, .external_lex_state = 5},
  [13617] = {.lex_state = 173, .external_lex_state = 3},
  [13618] = {.lex_state = 15, .external_lex_state = 3},
  [13619] = {.lex_state = 159, .external_lex_state = 5},
  [13620] = {.lex_state = 15, .external_lex_state = 3},
  [13621] = {.lex_state = 15, .external_lex_state = 3},
  [13622] = {.lex_state = 129, .external_lex_state = 3},
  [13623] = {.lex_state = 130, .external_lex_state = 3},
  [13624] = {.lex_state = 129, .external_lex_state = 3},
  [13625] = {.lex_state = 129, .external_lex_state = 3},
  [13626] = {.lex_state = 129, .external_lex_state = 3},
  [13627] = {.lex_state = 130, .external_lex_state = 3},
  [13628] = {.lex_state = 130, .external_lex_state = 3},
  [13629] = {.lex_state = 129, .external_lex_state = 3},
  [13630] = {.lex_state = 129, .external_lex_state = 3},
  [13631] = {.lex_state = 129, .external_lex_state = 3},
  [13632] = {.lex_state = 129, .external_lex_state = 3},
  [13633] = {.lex_state = 129, .external_lex_state = 3},
  [13634] = {.lex_state = 129, .external_lex_state = 3},
  [13635] = {.lex_state = 129, .external_lex_state = 3},
  [13636] = {.lex_state = 129, .external_lex_state = 3},
  [13637] = {.lex_state = 129, .external_lex_state = 3},
  [13638] = {.lex_state = 129, .external_lex_state = 3},
  [13639] = {.lex_state = 129, .external_lex_state = 3},
  [13640] = {.lex_state = 130, .external_lex_state = 3},
  [13641] = {.lex_state = 130, .external_lex_state = 3},
  [13642] = {.lex_state = 129, .external_lex_state = 3},
  [13643] = {.lex_state = 15, .external_lex_state = 3},
  [13644] = {.lex_state = 129, .external_lex_state = 3},
  [13645] = {.lex_state = 15, .external_lex_state = 3},
  [13646] = {.lex_state = 15, .external_lex_state = 3},
  [13647] = {.lex_state = 129, .external_lex_state = 3},
  [13648] = {.lex_state = 159, .external_lex_state = 5},
  [13649] = {.lex_state = 129, .external_lex_state = 3},
  [13650] = {.lex_state = 129, .external_lex_state = 3},
  [13651] = {.lex_state = 129, .external_lex_state = 3},
  [13652] = {.lex_state = 129, .external_lex_state = 3},
  [13653] = {.lex_state = 159, .external_lex_state = 5},
  [13654] = {.lex_state = 129, .external_lex_state = 3},
  [13655] = {.lex_state = 159, .external_lex_state = 5},
  [13656] = {.lex_state = 413, .external_lex_state = 3},
  [13657] = {.lex_state = 159, .external_lex_state = 5},
  [13658] = {.lex_state = 129, .external_lex_state = 3},
  [13659] = {.lex_state = 129, .external_lex_state = 3},
  [13660] = {.lex_state = 129, .external_lex_state = 3},
  [13661] = {.lex_state = 130, .external_lex_state = 3},
  [13662] = {.lex_state = 130, .external_lex_state = 3},
  [13663] = {.lex_state = 130, .external_lex_state = 3},
  [13664] = {.lex_state = 130, .external_lex_state = 3},
  [13665] = {.lex_state = 130, .external_lex_state = 3},
  [13666] = {.lex_state = 129, .external_lex_state = 3},
  [13667] = {.lex_state = 129, .external_lex_state = 3},
  [13668] = {.lex_state = 159, .external_lex_state = 5},
  [13669] = {.lex_state = 129, .external_lex_state = 3},
  [13670] = {.lex_state = 130, .external_lex_state = 3},
  [13671] = {.lex_state = 129, .external_lex_state = 3},
  [13672] = {.lex_state = 129, .external_lex_state = 3},
  [13673] = {.lex_state = 129, .external_lex_state = 3},
  [13674] = {.lex_state = 129, .external_lex_state = 3},
  [13675] = {.lex_state = 159, .external_lex_state = 5},
  [13676] = {.lex_state = 129, .external_lex_state = 3},
  [13677] = {.lex_state = 129, .external_lex_state = 3},
  [13678] = {.lex_state = 159, .external_lex_state = 5},
  [13679] = {.lex_state = 129, .external_lex_state = 3},
  [13680] = {.lex_state = 129, .external_lex_state = 3},
  [13681] = {.lex_state = 181, .external_lex_state = 3},
  [13682] = {.lex_state = 129, .external_lex_state = 3},
  [13683] = {.lex_state = 181, .external_lex_state = 3},
  [13684] = {.lex_state = 131, .external_lex_state = 3},
  [13685] = {.lex_state = 130, .external_lex_state = 3},
  [13686] = {.lex_state = 129, .external_lex_state = 3},
  [13687] = {.lex_state = 129, .external_lex_state = 3},
  [13688] = {.lex_state = 129, .external_lex_state = 3},
  [13689] = {.lex_state = 129, .external_lex_state = 3},
  [13690] = {.lex_state = 129, .external_lex_state = 3},
  [13691] = {.lex_state = 129, .external_lex_state = 3},
  [13692] = {.lex_state = 129, .external_lex_state = 3},
  [13693] = {.lex_state = 129, .external_lex_state = 3},
  [13694] = {.lex_state = 130, .external_lex_state = 3},
  [13695] = {.lex_state = 130, .external_lex_state = 3},
  [13696] = {.lex_state = 130, .external_lex_state = 3},
  [13697] = {.lex_state = 130, .external_lex_state = 3},
  [13698] = {.lex_state = 130, .external_lex_state = 3},
  [13699] = {.lex_state = 131, .external_lex_state = 3},
  [13700] = {.lex_state = 129, .external_lex_state = 3},
  [13701] = {.lex_state = 129, .external_lex_state = 3},
  [13702] = {.lex_state = 129, .external_lex_state = 3},
  [13703] = {.lex_state = 129, .external_lex_state = 3},
  [13704] = {.lex_state = 129, .external_lex_state = 3},
  [13705] = {.lex_state = 159, .external_lex_state = 5},
  [13706] = {.lex_state = 131, .external_lex_state = 3},
  [13707] = {.lex_state = 129, .external_lex_state = 3},
  [13708] = {.lex_state = 129, .external_lex_state = 3},
  [13709] = {.lex_state = 129, .external_lex_state = 3},
  [13710] = {.lex_state = 129, .external_lex_state = 3},
  [13711] = {.lex_state = 129, .external_lex_state = 3},
  [13712] = {.lex_state = 129, .external_lex_state = 3},
  [13713] = {.lex_state = 424, .external_lex_state = 3},
  [13714] = {.lex_state = 424, .external_lex_state = 3},
  [13715] = {.lex_state = 129, .external_lex_state = 3},
  [13716] = {.lex_state = 129, .external_lex_state = 3},
  [13717] = {.lex_state = 129, .external_lex_state = 3},
  [13718] = {.lex_state = 129, .external_lex_state = 3},
  [13719] = {.lex_state = 129, .external_lex_state = 3},
  [13720] = {.lex_state = 129, .external_lex_state = 3},
  [13721] = {.lex_state = 129, .external_lex_state = 3},
  [13722] = {.lex_state = 129, .external_lex_state = 3},
  [13723] = {.lex_state = 129, .external_lex_state = 3},
  [13724] = {.lex_state = 129, .external_lex_state = 3},
  [13725] = {.lex_state = 129, .external_lex_state = 3},
  [13726] = {.lex_state = 129, .external_lex_state = 3},
  [13727] = {.lex_state = 129, .external_lex_state = 3},
  [13728] = {.lex_state = 159, .external_lex_state = 5},
  [13729] = {.lex_state = 129, .external_lex_state = 3},
  [13730] = {.lex_state = 129, .external_lex_state = 3},
  [13731] = {.lex_state = 129, .external_lex_state = 3},
  [13732] = {.lex_state = 159, .external_lex_state = 5},
  [13733] = {.lex_state = 15, .external_lex_state = 3},
  [13734] = {.lex_state = 130, .external_lex_state = 3},
  [13735] = {.lex_state = 130, .external_lex_state = 3},
  [13736] = {.lex_state = 130, .external_lex_state = 3},
  [13737] = {.lex_state = 130, .external_lex_state = 3},
  [13738] = {.lex_state = 130, .external_lex_state = 3},
  [13739] = {.lex_state = 129, .external_lex_state = 3},
  [13740] = {.lex_state = 129, .external_lex_state = 3},
  [13741] = {.lex_state = 424, .external_lex_state = 3},
  [13742] = {.lex_state = 424, .external_lex_state = 3},
  [13743] = {.lex_state = 129, .external_lex_state = 3},
  [13744] = {.lex_state = 129, .external_lex_state = 3},
  [13745] = {.lex_state = 159, .external_lex_state = 5},
  [13746] = {.lex_state = 130, .external_lex_state = 3},
  [13747] = {.lex_state = 129, .external_lex_state = 3},
  [13748] = {.lex_state = 129, .external_lex_state = 3},
  [13749] = {.lex_state = 15, .external_lex_state = 3},
  [13750] = {.lex_state = 173, .external_lex_state = 3},
  [13751] = {.lex_state = 131, .external_lex_state = 3},
  [13752] = {.lex_state = 15, .external_lex_state = 3},
  [13753] = {.lex_state = 15, .external_lex_state = 3},
  [13754] = {.lex_state = 131, .external_lex_state = 3},
  [13755] = {.lex_state = 131, .external_lex_state = 3},
  [13756] = {.lex_state = 159, .external_lex_state = 5},
  [13757] = {.lex_state = 129, .external_lex_state = 3},
  [13758] = {.lex_state = 131, .external_lex_state = 3},
  [13759] = {.lex_state = 129, .external_lex_state = 3},
  [13760] = {.lex_state = 131, .external_lex_state = 3},
  [13761] = {.lex_state = 159, .external_lex_state = 5},
  [13762] = {.lex_state = 131, .external_lex_state = 3},
  [13763] = {.lex_state = 131, .external_lex_state = 3},
  [13764] = {.lex_state = 131, .external_lex_state = 3},
  [13765] = {.lex_state = 131, .external_lex_state = 3},
  [13766] = {.lex_state = 129, .external_lex_state = 3},
  [13767] = {.lex_state = 131, .external_lex_state = 3},
  [13768] = {.lex_state = 129, .external_lex_state = 3},
  [13769] = {.lex_state = 15, .external_lex_state = 3},
  [13770] = {.lex_state = 159, .external_lex_state = 5},
  [13771] = {.lex_state = 129, .external_lex_state = 3},
  [13772] = {.lex_state = 131, .external_lex_state = 3},
  [13773] = {.lex_state = 129, .external_lex_state = 3},
  [13774] = {.lex_state = 424, .external_lex_state = 3},
  [13775] = {.lex_state = 129, .external_lex_state = 3},
  [13776] = {.lex_state = 129, .external_lex_state = 3},
  [13777] = {.lex_state = 130, .external_lex_state = 3},
  [13778] = {.lex_state = 159, .external_lex_state = 5},
  [13779] = {.lex_state = 129, .external_lex_state = 3},
  [13780] = {.lex_state = 129, .external_lex_state = 3},
  [13781] = {.lex_state = 129, .external_lex_state = 3},
  [13782] = {.lex_state = 129, .external_lex_state = 3},
  [13783] = {.lex_state = 129, .external_lex_state = 3},
  [13784] = {.lex_state = 129, .external_lex_state = 3},
  [13785] = {.lex_state = 129, .external_lex_state = 3},
  [13786] = {.lex_state = 129, .external_lex_state = 3},
  [13787] = {.lex_state = 129, .external_lex_state = 3},
  [13788] = {.lex_state = 129, .external_lex_state = 3},
  [13789] = {.lex_state = 129, .external_lex_state = 3},
  [13790] = {.lex_state = 129, .external_lex_state = 3},
  [13791] = {.lex_state = 129, .external_lex_state = 3},
  [13792] = {.lex_state = 129, .external_lex_state = 3},
  [13793] = {.lex_state = 129, .external_lex_state = 3},
  [13794] = {.lex_state = 159, .external_lex_state = 5},
  [13795] = {.lex_state = 129, .external_lex_state = 3},
  [13796] = {.lex_state = 129, .external_lex_state = 3},
  [13797] = {.lex_state = 15, .external_lex_state = 3},
  [13798] = {.lex_state = 159, .external_lex_state = 5},
  [13799] = {.lex_state = 129, .external_lex_state = 3},
  [13800] = {.lex_state = 15, .external_lex_state = 3},
  [13801] = {.lex_state = 129, .external_lex_state = 3},
  [13802] = {.lex_state = 165, .external_lex_state = 3},
  [13803] = {.lex_state = 129, .external_lex_state = 3},
  [13804] = {.lex_state = 129, .external_lex_state = 3},
  [13805] = {.lex_state = 15, .external_lex_state = 3},
  [13806] = {.lex_state = 159, .external_lex_state = 5},
  [13807] = {.lex_state = 129, .external_lex_state = 3},
  [13808] = {.lex_state = 129, .external_lex_state = 3},
  [13809] = {.lex_state = 129, .external_lex_state = 3},
  [13810] = {.lex_state = 129, .external_lex_state = 3},
  [13811] = {.lex_state = 130, .external_lex_state = 3},
  [13812] = {.lex_state = 129, .external_lex_state = 3},
  [13813] = {.lex_state = 15, .external_lex_state = 3},
  [13814] = {.lex_state = 15, .external_lex_state = 3},
  [13815] = {.lex_state = 15, .external_lex_state = 3},
  [13816] = {.lex_state = 413, .external_lex_state = 3},
  [13817] = {.lex_state = 129, .external_lex_state = 3},
  [13818] = {.lex_state = 159, .external_lex_state = 5},
  [13819] = {.lex_state = 129, .external_lex_state = 3},
  [13820] = {.lex_state = 159, .external_lex_state = 5},
  [13821] = {.lex_state = 129, .external_lex_state = 3},
  [13822] = {.lex_state = 129, .external_lex_state = 3},
  [13823] = {.lex_state = 130, .external_lex_state = 3},
  [13824] = {.lex_state = 129, .external_lex_state = 3},
  [13825] = {.lex_state = 159, .external_lex_state = 5},
  [13826] = {.lex_state = 129, .external_lex_state = 3},
  [13827] = {.lex_state = 159, .external_lex_state = 5},
  [13828] = {.lex_state = 131, .external_lex_state = 3},
  [13829] = {.lex_state = 129, .external_lex_state = 3},
  [13830] = {.lex_state = 129, .external_lex_state = 3},
  [13831] = {.lex_state = 15, .external_lex_state = 3},
  [13832] = {.lex_state = 129, .external_lex_state = 3},
  [13833] = {.lex_state = 159, .external_lex_state = 5},
  [13834] = {.lex_state = 129, .external_lex_state = 3},
  [13835] = {.lex_state = 129, .external_lex_state = 3},
  [13836] = {.lex_state = 165, .external_lex_state = 3},
  [13837] = {.lex_state = 15, .external_lex_state = 3},
  [13838] = {.lex_state = 159, .external_lex_state = 5},
  [13839] = {.lex_state = 129, .external_lex_state = 3},
  [13840] = {.lex_state = 129, .external_lex_state = 3},
  [13841] = {.lex_state = 129, .external_lex_state = 3},
  [13842] = {.lex_state = 181, .external_lex_state = 3},
  [13843] = {.lex_state = 159, .external_lex_state = 5},
  [13844] = {.lex_state = 129, .external_lex_state = 3},
  [13845] = {.lex_state = 129, .external_lex_state = 3},
  [13846] = {.lex_state = 129, .external_lex_state = 3},
  [13847] = {.lex_state = 129, .external_lex_state = 3},
  [13848] = {.lex_state = 159, .external_lex_state = 5},
  [13849] = {.lex_state = 173, .external_lex_state = 3},
  [13850] = {.lex_state = 173, .external_lex_state = 3},
  [13851] = {.lex_state = 131, .external_lex_state = 3},
  [13852] = {.lex_state = 15, .external_lex_state = 3},
  [13853] = {.lex_state = 129, .external_lex_state = 3},
  [13854] = {.lex_state = 15, .external_lex_state = 3},
  [13855] = {.lex_state = 159, .external_lex_state = 5},
  [13856] = {.lex_state = 181, .external_lex_state = 3},
  [13857] = {.lex_state = 129, .external_lex_state = 3},
  [13858] = {.lex_state = 130, .external_lex_state = 3},
  [13859] = {.lex_state = 129, .external_lex_state = 3},
  [13860] = {.lex_state = 129, .external_lex_state = 3},
  [13861] = {.lex_state = 130, .external_lex_state = 3},
  [13862] = {.lex_state = 130, .external_lex_state = 3},
  [13863] = {.lex_state = 130, .external_lex_state = 3},
  [13864] = {.lex_state = 130, .external_lex_state = 3},
  [13865] = {.lex_state = 130, .external_lex_state = 3},
  [13866] = {.lex_state = 130, .external_lex_state = 3},
  [13867] = {.lex_state = 130, .external_lex_state = 3},
  [13868] = {.lex_state = 130, .external_lex_state = 3},
  [13869] = {.lex_state = 131, .external_lex_state = 3},
  [13870] = {.lex_state = 159, .external_lex_state = 5},
  [13871] = {.lex_state = 130, .external_lex_state = 3},
  [13872] = {.lex_state = 130, .external_lex_state = 3},
  [13873] = {.lex_state = 130, .external_lex_state = 3},
  [13874] = {.lex_state = 159, .external_lex_state = 5},
  [13875] = {.lex_state = 129, .external_lex_state = 3},
  [13876] = {.lex_state = 129, .external_lex_state = 3},
  [13877] = {.lex_state = 129, .external_lex_state = 3},
  [13878] = {.lex_state = 130, .external_lex_state = 3},
  [13879] = {.lex_state = 159, .external_lex_state = 5},
  [13880] = {.lex_state = 129, .external_lex_state = 3},
  [13881] = {.lex_state = 129, .external_lex_state = 3},
  [13882] = {.lex_state = 15, .external_lex_state = 3},
  [13883] = {.lex_state = 159, .external_lex_state = 5},
  [13884] = {.lex_state = 129, .external_lex_state = 3},
  [13885] = {.lex_state = 129, .external_lex_state = 3},
  [13886] = {.lex_state = 130, .external_lex_state = 3},
  [13887] = {.lex_state = 129, .external_lex_state = 3},
  [13888] = {.lex_state = 130, .external_lex_state = 3},
  [13889] = {.lex_state = 130, .external_lex_state = 3},
  [13890] = {.lex_state = 130, .external_lex_state = 3},
  [13891] = {.lex_state = 130, .external_lex_state = 3},
  [13892] = {.lex_state = 130, .external_lex_state = 3},
  [13893] = {.lex_state = 130, .external_lex_state = 3},
  [13894] = {.lex_state = 130, .external_lex_state = 3},
  [13895] = {.lex_state = 130, .external_lex_state = 3},
  [13896] = {.lex_state = 130, .external_lex_state = 3},
  [13897] = {.lex_state = 130, .external_lex_state = 3},
  [13898] = {.lex_state = 15, .external_lex_state = 3},
  [13899] = {.lex_state = 159, .external_lex_state = 5},
  [13900] = {.lex_state = 129, .external_lex_state = 3},
  [13901] = {.lex_state = 129, .external_lex_state = 3},
  [13902] = {.lex_state = 129, .external_lex_state = 3},
  [13903] = {.lex_state = 159, .external_lex_state = 5},
  [13904] = {.lex_state = 130, .external_lex_state = 3},
  [13905] = {.lex_state = 129, .external_lex_state = 3},
  [13906] = {.lex_state = 129, .external_lex_state = 3},
  [13907] = {.lex_state = 129, .external_lex_state = 3},
  [13908] = {.lex_state = 15, .external_lex_state = 3},
  [13909] = {.lex_state = 424, .external_lex_state = 3},
  [13910] = {.lex_state = 129, .external_lex_state = 3},
  [13911] = {.lex_state = 129, .external_lex_state = 3},
  [13912] = {.lex_state = 182, .external_lex_state = 3},
  [13913] = {.lex_state = 159, .external_lex_state = 5},
  [13914] = {.lex_state = 129, .external_lex_state = 3},
  [13915] = {.lex_state = 130, .external_lex_state = 3},
  [13916] = {.lex_state = 159, .external_lex_state = 5},
  [13917] = {.lex_state = 130, .external_lex_state = 3},
  [13918] = {.lex_state = 130, .external_lex_state = 3},
  [13919] = {.lex_state = 129, .external_lex_state = 3},
  [13920] = {.lex_state = 130, .external_lex_state = 3},
  [13921] = {.lex_state = 129, .external_lex_state = 3},
  [13922] = {.lex_state = 130, .external_lex_state = 3},
  [13923] = {.lex_state = 130, .external_lex_state = 3},
  [13924] = {.lex_state = 130, .external_lex_state = 3},
  [13925] = {.lex_state = 129, .external_lex_state = 3},
  [13926] = {.lex_state = 130, .external_lex_state = 3},
  [13927] = {.lex_state = 130, .external_lex_state = 3},
  [13928] = {.lex_state = 130, .external_lex_state = 3},
  [13929] = {.lex_state = 130, .external_lex_state = 3},
  [13930] = {.lex_state = 130, .external_lex_state = 3},
  [13931] = {.lex_state = 130, .external_lex_state = 3},
  [13932] = {.lex_state = 131, .external_lex_state = 3},
  [13933] = {.lex_state = 159, .external_lex_state = 5},
  [13934] = {.lex_state = 129, .external_lex_state = 3},
  [13935] = {.lex_state = 129, .external_lex_state = 3},
  [13936] = {.lex_state = 159, .external_lex_state = 5},
  [13937] = {.lex_state = 129, .external_lex_state = 3},
  [13938] = {.lex_state = 129, .external_lex_state = 3},
  [13939] = {.lex_state = 130, .external_lex_state = 3},
  [13940] = {.lex_state = 130, .external_lex_state = 3},
  [13941] = {.lex_state = 130, .external_lex_state = 3},
  [13942] = {.lex_state = 130, .external_lex_state = 3},
  [13943] = {.lex_state = 15, .external_lex_state = 3},
  [13944] = {.lex_state = 130, .external_lex_state = 3},
  [13945] = {.lex_state = 129, .external_lex_state = 3},
  [13946] = {.lex_state = 15, .external_lex_state = 3},
  [13947] = {.lex_state = 424, .external_lex_state = 3},
  [13948] = {.lex_state = 129, .external_lex_state = 3},
  [13949] = {.lex_state = 182, .external_lex_state = 3},
  [13950] = {.lex_state = 129, .external_lex_state = 3},
  [13951] = {.lex_state = 15, .external_lex_state = 3},
  [13952] = {.lex_state = 8, .external_lex_state = 3},
  [13953] = {.lex_state = 129, .external_lex_state = 3},
  [13954] = {.lex_state = 129, .external_lex_state = 3},
  [13955] = {.lex_state = 129, .external_lex_state = 3},
  [13956] = {.lex_state = 203, .external_lex_state = 3},
  [13957] = {.lex_state = 182, .external_lex_state = 3},
  [13958] = {.lex_state = 15, .external_lex_state = 3},
  [13959] = {.lex_state = 424, .external_lex_state = 3},
  [13960] = {.lex_state = 182, .external_lex_state = 3},
  [13961] = {.lex_state = 182, .external_lex_state = 3},
  [13962] = {.lex_state = 182, .external_lex_state = 3},
  [13963] = {.lex_state = 15, .external_lex_state = 3},
  [13964] = {.lex_state = 129, .external_lex_state = 3},
  [13965] = {.lex_state = 129, .external_lex_state = 3},
  [13966] = {.lex_state = 129, .external_lex_state = 3},
  [13967] = {.lex_state = 15, .external_lex_state = 3},
  [13968] = {.lex_state = 129, .external_lex_state = 3},
  [13969] = {.lex_state = 129, .external_lex_state = 3},
  [13970] = {.lex_state = 129, .external_lex_state = 3},
  [13971] = {.lex_state = 182, .external_lex_state = 3},
  [13972] = {.lex_state = 129, .external_lex_state = 3},
  [13973] = {.lex_state = 129, .external_lex_state = 3},
  [13974] = {.lex_state = 424, .external_lex_state = 3},
  [13975] = {.lex_state = 424, .external_lex_state = 3},
  [13976] = {.lex_state = 15, .external_lex_state = 3},
  [13977] = {.lex_state = 129, .external_lex_state = 3},
  [13978] = {.lex_state = 129, .external_lex_state = 3},
  [13979] = {.lex_state = 190, .external_lex_state = 3},
  [13980] = {.lex_state = 182, .external_lex_state = 3},
  [13981] = {.lex_state = 129, .external_lex_state = 3},
  [13982] = {.lex_state = 129, .external_lex_state = 3},
  [13983] = {.lex_state = 129, .external_lex_state = 3},
  [13984] = {.lex_state = 129, .external_lex_state = 3},
  [13985] = {.lex_state = 15, .external_lex_state = 3},
  [13986] = {.lex_state = 129, .external_lex_state = 3},
  [13987] = {.lex_state = 15, .external_lex_state = 3},
  [13988] = {.lex_state = 15, .external_lex_state = 3},
  [13989] = {.lex_state = 129, .external_lex_state = 3},
  [13990] = {.lex_state = 129, .external_lex_state = 3},
  [13991] = {.lex_state = 129, .external_lex_state = 3},
  [13992] = {.lex_state = 15, .external_lex_state = 3},
  [13993] = {.lex_state = 15, .external_lex_state = 3},
  [13994] = {.lex_state = 129, .external_lex_state = 3},
  [13995] = {.lex_state = 129, .external_lex_state = 3},
  [13996] = {.lex_state = 8, .external_lex_state = 3},
  [13997] = {.lex_state = 129, .external_lex_state = 3},
  [13998] = {.lex_state = 129, .external_lex_state = 3},
  [13999] = {.lex_state = 129, .external_lex_state = 3},
  [14000] = {.lex_state = 15, .external_lex_state = 3},
  [14001] = {.lex_state = 424, .external_lex_state = 3},
  [14002] = {.lex_state = 15, .external_lex_state = 3},
  [14003] = {.lex_state = 19, .external_lex_state = 3},
  [14004] = {.lex_state = 129, .external_lex_state = 3},
  [14005] = {.lex_state = 129, .external_lex_state = 3},
  [14006] = {.lex_state = 129, .external_lex_state = 3},
  [14007] = {.lex_state = 424, .external_lex_state = 3},
  [14008] = {.lex_state = 159, .external_lex_state = 5},
  [14009] = {.lex_state = 424, .external_lex_state = 3},
  [14010] = {.lex_state = 424, .external_lex_state = 3},
  [14011] = {.lex_state = 424, .external_lex_state = 3},
  [14012] = {.lex_state = 424, .external_lex_state = 3},
  [14013] = {.lex_state = 424, .external_lex_state = 3},
  [14014] = {.lex_state = 15, .external_lex_state = 3},
  [14015] = {.lex_state = 15, .external_lex_state = 3},
  [14016] = {.lex_state = 8, .external_lex_state = 3},
  [14017] = {.lex_state = 15, .external_lex_state = 3},
  [14018] = {.lex_state = 190, .external_lex_state = 3},
  [14019] = {.lex_state = 129, .external_lex_state = 3},
  [14020] = {.lex_state = 182, .external_lex_state = 3},
  [14021] = {.lex_state = 182, .external_lex_state = 3},
  [14022] = {.lex_state = 182, .external_lex_state = 3},
  [14023] = {.lex_state = 182, .external_lex_state = 3},
  [14024] = {.lex_state = 228, .external_lex_state = 3},
  [14025] = {.lex_state = 15, .external_lex_state = 3},
  [14026] = {.lex_state = 182, .external_lex_state = 3},
  [14027] = {.lex_state = 182, .external_lex_state = 3},
  [14028] = {.lex_state = 182, .external_lex_state = 3},
  [14029] = {.lex_state = 15, .external_lex_state = 3},
  [14030] = {.lex_state = 129, .external_lex_state = 3},
  [14031] = {.lex_state = 19, .external_lex_state = 3},
  [14032] = {.lex_state = 129, .external_lex_state = 3},
  [14033] = {.lex_state = 129, .external_lex_state = 3},
  [14034] = {.lex_state = 228, .external_lex_state = 3},
  [14035] = {.lex_state = 424, .external_lex_state = 3},
  [14036] = {.lex_state = 15, .external_lex_state = 3},
  [14037] = {.lex_state = 129, .external_lex_state = 3},
  [14038] = {.lex_state = 182, .external_lex_state = 3},
  [14039] = {.lex_state = 129, .external_lex_state = 3},
  [14040] = {.lex_state = 15, .external_lex_state = 3},
  [14041] = {.lex_state = 15, .external_lex_state = 3},
  [14042] = {.lex_state = 129, .external_lex_state = 3},
  [14043] = {.lex_state = 129, .external_lex_state = 3},
  [14044] = {.lex_state = 182, .external_lex_state = 3},
  [14045] = {.lex_state = 15, .external_lex_state = 3},
  [14046] = {.lex_state = 15, .external_lex_state = 3},
  [14047] = {.lex_state = 129, .external_lex_state = 3},
  [14048] = {.lex_state = 15, .external_lex_state = 3},
  [14049] = {.lex_state = 15, .external_lex_state = 3},
  [14050] = {.lex_state = 15, .external_lex_state = 3},
  [14051] = {.lex_state = 182, .external_lex_state = 3},
  [14052] = {.lex_state = 129, .external_lex_state = 3},
  [14053] = {.lex_state = 228, .external_lex_state = 3},
  [14054] = {.lex_state = 182, .external_lex_state = 3},
  [14055] = {.lex_state = 129, .external_lex_state = 3},
  [14056] = {.lex_state = 424, .external_lex_state = 3},
  [14057] = {.lex_state = 129, .external_lex_state = 3},
  [14058] = {.lex_state = 19, .external_lex_state = 3},
  [14059] = {.lex_state = 228, .external_lex_state = 3},
  [14060] = {.lex_state = 15, .external_lex_state = 3},
  [14061] = {.lex_state = 182, .external_lex_state = 3},
  [14062] = {.lex_state = 129, .external_lex_state = 3},
  [14063] = {.lex_state = 129, .external_lex_state = 3},
  [14064] = {.lex_state = 15, .external_lex_state = 3},
  [14065] = {.lex_state = 15, .external_lex_state = 3},
  [14066] = {.lex_state = 129, .external_lex_state = 3},
  [14067] = {.lex_state = 129, .external_lex_state = 3},
  [14068] = {.lex_state = 15, .external_lex_state = 3},
  [14069] = {.lex_state = 15, .external_lex_state = 3},
  [14070] = {.lex_state = 182, .external_lex_state = 3},
  [14071] = {.lex_state = 129, .external_lex_state = 3},
  [14072] = {.lex_state = 228, .external_lex_state = 3},
  [14073] = {.lex_state = 129, .external_lex_state = 3},
  [14074] = {.lex_state = 129, .external_lex_state = 3},
  [14075] = {.lex_state = 424, .external_lex_state = 3},
  [14076] = {.lex_state = 129, .external_lex_state = 3},
  [14077] = {.lex_state = 424, .external_lex_state = 3},
  [14078] = {.lex_state = 15, .external_lex_state = 3},
  [14079] = {.lex_state = 129, .external_lex_state = 3},
  [14080] = {.lex_state = 129, .external_lex_state = 3},
  [14081] = {.lex_state = 182, .external_lex_state = 3},
  [14082] = {.lex_state = 182, .external_lex_state = 3},
  [14083] = {.lex_state = 182, .external_lex_state = 3},
  [14084] = {.lex_state = 129, .external_lex_state = 3},
  [14085] = {.lex_state = 129, .external_lex_state = 3},
  [14086] = {.lex_state = 129, .external_lex_state = 3},
  [14087] = {.lex_state = 129, .external_lex_state = 3},
  [14088] = {.lex_state = 215, .external_lex_state = 3},
  [14089] = {.lex_state = 424, .external_lex_state = 3},
  [14090] = {.lex_state = 424, .external_lex_state = 3},
  [14091] = {.lex_state = 129, .external_lex_state = 3},
  [14092] = {.lex_state = 15, .external_lex_state = 3},
  [14093] = {.lex_state = 228, .external_lex_state = 3},
  [14094] = {.lex_state = 15, .external_lex_state = 3},
  [14095] = {.lex_state = 15, .external_lex_state = 3},
  [14096] = {.lex_state = 19, .external_lex_state = 3},
  [14097] = {.lex_state = 15, .external_lex_state = 3},
  [14098] = {.lex_state = 215, .external_lex_state = 3},
  [14099] = {.lex_state = 182, .external_lex_state = 3},
  [14100] = {.lex_state = 182, .external_lex_state = 3},
  [14101] = {.lex_state = 15, .external_lex_state = 3},
  [14102] = {.lex_state = 19, .external_lex_state = 3},
  [14103] = {.lex_state = 15, .external_lex_state = 3},
  [14104] = {.lex_state = 19, .external_lex_state = 3},
  [14105] = {.lex_state = 424, .external_lex_state = 3},
  [14106] = {.lex_state = 15, .external_lex_state = 3},
  [14107] = {.lex_state = 131, .external_lex_state = 3},
  [14108] = {.lex_state = 228, .external_lex_state = 3},
  [14109] = {.lex_state = 15, .external_lex_state = 3},
  [14110] = {.lex_state = 228, .external_lex_state = 3},
  [14111] = {.lex_state = 190, .external_lex_state = 3},
  [14112] = {.lex_state = 15, .external_lex_state = 3},
  [14113] = {.lex_state = 129, .external_lex_state = 3},
  [14114] = {.lex_state = 15, .external_lex_state = 3},
  [14115] = {.lex_state = 15, .external_lex_state = 3},
  [14116] = {.lex_state = 15, .external_lex_state = 3},
  [14117] = {.lex_state = 411, .external_lex_state = 3},
  [14118] = {.lex_state = 15, .external_lex_state = 3},
  [14119] = {.lex_state = 129, .external_lex_state = 3},
  [14120] = {.lex_state = 411, .external_lex_state = 3},
  [14121] = {.lex_state = 411, .external_lex_state = 3},
  [14122] = {.lex_state = 424, .external_lex_state = 3},
  [14123] = {.lex_state = 424, .external_lex_state = 3},
  [14124] = {.lex_state = 129, .external_lex_state = 3},
  [14125] = {.lex_state = 129, .external_lex_state = 3},
  [14126] = {.lex_state = 15, .external_lex_state = 3},
  [14127] = {.lex_state = 159, .external_lex_state = 5},
  [14128] = {.lex_state = 129, .external_lex_state = 3},
  [14129] = {.lex_state = 15, .external_lex_state = 3},
  [14130] = {.lex_state = 182, .external_lex_state = 3},
  [14131] = {.lex_state = 182, .external_lex_state = 3},
  [14132] = {.lex_state = 424, .external_lex_state = 3},
  [14133] = {.lex_state = 15, .external_lex_state = 3},
  [14134] = {.lex_state = 182, .external_lex_state = 3},
  [14135] = {.lex_state = 8, .external_lex_state = 3},
  [14136] = {.lex_state = 182, .external_lex_state = 3},
  [14137] = {.lex_state = 15, .external_lex_state = 3},
  [14138] = {.lex_state = 182, .external_lex_state = 3},
  [14139] = {.lex_state = 424, .external_lex_state = 3},
  [14140] = {.lex_state = 129, .external_lex_state = 3},
  [14141] = {.lex_state = 129, .external_lex_state = 3},
  [14142] = {.lex_state = 15, .external_lex_state = 3},
  [14143] = {.lex_state = 19, .external_lex_state = 3},
  [14144] = {.lex_state = 424, .external_lex_state = 3},
  [14145] = {.lex_state = 424, .external_lex_state = 3},
  [14146] = {.lex_state = 424, .external_lex_state = 3},
  [14147] = {.lex_state = 129, .external_lex_state = 3},
  [14148] = {.lex_state = 15, .external_lex_state = 3},
  [14149] = {.lex_state = 424, .external_lex_state = 3},
  [14150] = {.lex_state = 424, .external_lex_state = 3},
  [14151] = {.lex_state = 424, .external_lex_state = 3},
  [14152] = {.lex_state = 424, .external_lex_state = 3},
  [14153] = {.lex_state = 424, .external_lex_state = 3},
  [14154] = {.lex_state = 424, .external_lex_state = 3},
  [14155] = {.lex_state = 424, .external_lex_state = 3},
  [14156] = {.lex_state = 182, .external_lex_state = 3},
  [14157] = {.lex_state = 424, .external_lex_state = 3},
  [14158] = {.lex_state = 424, .external_lex_state = 3},
  [14159] = {.lex_state = 424, .external_lex_state = 3},
  [14160] = {.lex_state = 424, .external_lex_state = 3},
  [14161] = {.lex_state = 424, .external_lex_state = 3},
  [14162] = {.lex_state = 424, .external_lex_state = 3},
  [14163] = {.lex_state = 424, .external_lex_state = 3},
  [14164] = {.lex_state = 15, .external_lex_state = 3},
  [14165] = {.lex_state = 411, .external_lex_state = 3},
  [14166] = {.lex_state = 411, .external_lex_state = 3},
  [14167] = {.lex_state = 411, .external_lex_state = 3},
  [14168] = {.lex_state = 19, .external_lex_state = 3},
  [14169] = {.lex_state = 411, .external_lex_state = 3},
  [14170] = {.lex_state = 190, .external_lex_state = 3},
  [14171] = {.lex_state = 19, .external_lex_state = 3},
  [14172] = {.lex_state = 165, .external_lex_state = 3},
  [14173] = {.lex_state = 165, .external_lex_state = 3},
  [14174] = {.lex_state = 424, .external_lex_state = 3},
  [14175] = {.lex_state = 19, .external_lex_state = 3},
  [14176] = {.lex_state = 8, .external_lex_state = 3},
  [14177] = {.lex_state = 424, .external_lex_state = 3},
  [14178] = {.lex_state = 8, .external_lex_state = 3},
  [14179] = {.lex_state = 8, .external_lex_state = 3},
  [14180] = {.lex_state = 8, .external_lex_state = 3},
  [14181] = {.lex_state = 165, .external_lex_state = 3},
  [14182] = {.lex_state = 8, .external_lex_state = 3},
  [14183] = {.lex_state = 8, .external_lex_state = 3},
  [14184] = {.lex_state = 8, .external_lex_state = 3},
  [14185] = {.lex_state = 8, .external_lex_state = 3},
  [14186] = {.lex_state = 424, .external_lex_state = 3},
  [14187] = {.lex_state = 8, .external_lex_state = 3},
  [14188] = {.lex_state = 8, .external_lex_state = 3},
  [14189] = {.lex_state = 424, .external_lex_state = 3},
  [14190] = {.lex_state = 8, .external_lex_state = 3},
  [14191] = {.lex_state = 8, .external_lex_state = 3},
  [14192] = {.lex_state = 186, .external_lex_state = 3},
  [14193] = {.lex_state = 190, .external_lex_state = 3},
  [14194] = {.lex_state = 190, .external_lex_state = 3},
  [14195] = {.lex_state = 132, .external_lex_state = 3},
  [14196] = {.lex_state = 190, .external_lex_state = 3},
  [14197] = {.lex_state = 159, .external_lex_state = 5},
  [14198] = {.lex_state = 8, .external_lex_state = 3},
  [14199] = {.lex_state = 168, .external_lex_state = 3},
  [14200] = {.lex_state = 204, .external_lex_state = 3},
  [14201] = {.lex_state = 19, .external_lex_state = 3},
  [14202] = {.lex_state = 8, .external_lex_state = 3},
  [14203] = {.lex_state = 190, .external_lex_state = 3},
  [14204] = {.lex_state = 190, .external_lex_state = 3},
  [14205] = {.lex_state = 204, .external_lex_state = 3},
  [14206] = {.lex_state = 182, .external_lex_state = 3},
  [14207] = {.lex_state = 7, .external_lex_state = 3},
  [14208] = {.lex_state = 204, .external_lex_state = 3},
  [14209] = {.lex_state = 179, .external_lex_state = 3},
  [14210] = {.lex_state = 424, .external_lex_state = 3},
  [14211] = {.lex_state = 190, .external_lex_state = 3},
  [14212] = {.lex_state = 190, .external_lex_state = 3},
  [14213] = {.lex_state = 7, .external_lex_state = 3},
  [14214] = {.lex_state = 190, .external_lex_state = 3},
  [14215] = {.lex_state = 190, .external_lex_state = 3},
  [14216] = {.lex_state = 186, .external_lex_state = 3},
  [14217] = {.lex_state = 190, .external_lex_state = 3},
  [14218] = {.lex_state = 190, .external_lex_state = 3},
  [14219] = {.lex_state = 424, .external_lex_state = 3},
  [14220] = {.lex_state = 19, .external_lex_state = 3},
  [14221] = {.lex_state = 190, .external_lex_state = 3},
  [14222] = {.lex_state = 159, .external_lex_state = 5},
  [14223] = {.lex_state = 424, .external_lex_state = 3},
  [14224] = {.lex_state = 424, .external_lex_state = 3},
  [14225] = {.lex_state = 190, .external_lex_state = 3},
  [14226] = {.lex_state = 190, .external_lex_state = 3},
  [14227] = {.lex_state = 424, .external_lex_state = 3},
  [14228] = {.lex_state = 186, .external_lex_state = 3},
  [14229] = {.lex_state = 190, .external_lex_state = 3},
  [14230] = {.lex_state = 190, .external_lex_state = 3},
  [14231] = {.lex_state = 190, .external_lex_state = 3},
  [14232] = {.lex_state = 190, .external_lex_state = 3},
  [14233] = {.lex_state = 179, .external_lex_state = 3},
  [14234] = {.lex_state = 204, .external_lex_state = 3},
  [14235] = {.lex_state = 190, .external_lex_state = 3},
  [14236] = {.lex_state = 424, .external_lex_state = 3},
  [14237] = {.lex_state = 179, .external_lex_state = 3},
  [14238] = {.lex_state = 19, .external_lex_state = 3},
  [14239] = {.lex_state = 190, .external_lex_state = 3},
  [14240] = {.lex_state = 204, .external_lex_state = 3},
  [14241] = {.lex_state = 179, .external_lex_state = 3},
  [14242] = {.lex_state = 204, .external_lex_state = 3},
  [14243] = {.lex_state = 132, .external_lex_state = 3},
  [14244] = {.lex_state = 19, .external_lex_state = 3},
  [14245] = {.lex_state = 190, .external_lex_state = 3},
  [14246] = {.lex_state = 179, .external_lex_state = 3},
  [14247] = {.lex_state = 8, .external_lex_state = 3},
  [14248] = {.lex_state = 190, .external_lex_state = 3},
  [14249] = {.lex_state = 8, .external_lex_state = 3},
  [14250] = {.lex_state = 190, .external_lex_state = 3},
  [14251] = {.lex_state = 132, .external_lex_state = 3},
  [14252] = {.lex_state = 190, .external_lex_state = 3},
  [14253] = {.lex_state = 7, .external_lex_state = 3},
  [14254] = {.lex_state = 19, .external_lex_state = 3},
  [14255] = {.lex_state = 190, .external_lex_state = 3},
  [14256] = {.lex_state = 172, .external_lex_state = 3},
  [14257] = {.lex_state = 190, .external_lex_state = 3},
  [14258] = {.lex_state = 190, .external_lex_state = 3},
  [14259] = {.lex_state = 179, .external_lex_state = 3},
  [14260] = {.lex_state = 204, .external_lex_state = 3},
  [14261] = {.lex_state = 190, .external_lex_state = 3},
  [14262] = {.lex_state = 190, .external_lex_state = 3},
  [14263] = {.lex_state = 204, .external_lex_state = 3},
  [14264] = {.lex_state = 190, .external_lex_state = 3},
  [14265] = {.lex_state = 190, .external_lex_state = 3},
  [14266] = {.lex_state = 8, .external_lex_state = 3},
  [14267] = {.lex_state = 190, .external_lex_state = 3},
  [14268] = {.lex_state = 190, .external_lex_state = 3},
  [14269] = {.lex_state = 8, .external_lex_state = 3},
  [14270] = {.lex_state = 381, .external_lex_state = 3},
  [14271] = {.lex_state = 381, .external_lex_state = 3},
  [14272] = {.lex_state = 381, .external_lex_state = 3},
  [14273] = {.lex_state = 381, .external_lex_state = 3},
  [14274] = {.lex_state = 381, .external_lex_state = 3},
  [14275] = {.lex_state = 381, .external_lex_state = 3},
  [14276] = {.lex_state = 381, .external_lex_state = 3},
  [14277] = {.lex_state = 411, .external_lex_state = 3},
  [14278] = {.lex_state = 411, .external_lex_state = 3},
  [14279] = {.lex_state = 381, .external_lex_state = 3},
  [14280] = {.lex_state = 411, .external_lex_state = 3},
  [14281] = {.lex_state = 381, .external_lex_state = 3},
  [14282] = {.lex_state = 381, .external_lex_state = 3},
  [14283] = {.lex_state = 15, .external_lex_state = 3},
  [14284] = {.lex_state = 381, .external_lex_state = 3},
  [14285] = {.lex_state = 381, .external_lex_state = 3},
  [14286] = {.lex_state = 381, .external_lex_state = 3},
  [14287] = {.lex_state = 381, .external_lex_state = 3},
  [14288] = {.lex_state = 381, .external_lex_state = 3},
  [14289] = {.lex_state = 381, .external_lex_state = 3},
  [14290] = {.lex_state = 15, .external_lex_state = 3},
  [14291] = {.lex_state = 381, .external_lex_state = 3},
  [14292] = {.lex_state = 381, .external_lex_state = 3},
  [14293] = {.lex_state = 381, .external_lex_state = 3},
  [14294] = {.lex_state = 381, .external_lex_state = 3},
  [14295] = {.lex_state = 182, .external_lex_state = 3},
  [14296] = {.lex_state = 381, .external_lex_state = 3},
  [14297] = {.lex_state = 381, .external_lex_state = 3},
  [14298] = {.lex_state = 411, .external_lex_state = 3},
  [14299] = {.lex_state = 165, .external_lex_state = 3},
  [14300] = {.lex_state = 381, .external_lex_state = 3},
  [14301] = {.lex_state = 381, .external_lex_state = 3},
  [14302] = {.lex_state = 411, .external_lex_state = 3},
  [14303] = {.lex_state = 411, .external_lex_state = 3},
  [14304] = {.lex_state = 411, .external_lex_state = 3},
  [14305] = {.lex_state = 381, .external_lex_state = 3},
  [14306] = {.lex_state = 411, .external_lex_state = 3},
  [14307] = {.lex_state = 15, .external_lex_state = 3},
  [14308] = {.lex_state = 15, .external_lex_state = 3},
  [14309] = {.lex_state = 381, .external_lex_state = 3},
  [14310] = {.lex_state = 15, .external_lex_state = 3},
  [14311] = {.lex_state = 15, .external_lex_state = 3},
  [14312] = {.lex_state = 203, .external_lex_state = 3},
  [14313] = {.lex_state = 381, .external_lex_state = 3},
  [14314] = {.lex_state = 15, .external_lex_state = 3},
  [14315] = {.lex_state = 381, .external_lex_state = 3},
  [14316] = {.lex_state = 186, .external_lex_state = 3},
  [14317] = {.lex_state = 381, .external_lex_state = 3},
  [14318] = {.lex_state = 381, .external_lex_state = 3},
  [14319] = {.lex_state = 411, .external_lex_state = 3},
  [14320] = {.lex_state = 381, .external_lex_state = 3},
  [14321] = {.lex_state = 411, .external_lex_state = 3},
  [14322] = {.lex_state = 381, .external_lex_state = 3},
  [14323] = {.lex_state = 381, .external_lex_state = 3},
  [14324] = {.lex_state = 411, .external_lex_state = 3},
  [14325] = {.lex_state = 411, .external_lex_state = 3},
  [14326] = {.lex_state = 411, .external_lex_state = 3},
  [14327] = {.lex_state = 381, .external_lex_state = 3},
  [14328] = {.lex_state = 411, .external_lex_state = 3},
  [14329] = {.lex_state = 411, .external_lex_state = 3},
  [14330] = {.lex_state = 381, .external_lex_state = 3},
  [14331] = {.lex_state = 381, .external_lex_state = 3},
  [14332] = {.lex_state = 411, .external_lex_state = 3},
  [14333] = {.lex_state = 411, .external_lex_state = 3},
  [14334] = {.lex_state = 381, .external_lex_state = 3},
  [14335] = {.lex_state = 381, .external_lex_state = 3},
  [14336] = {.lex_state = 381, .external_lex_state = 3},
  [14337] = {.lex_state = 411, .external_lex_state = 3},
  [14338] = {.lex_state = 411, .external_lex_state = 3},
  [14339] = {.lex_state = 381, .external_lex_state = 3},
  [14340] = {.lex_state = 15, .external_lex_state = 3},
  [14341] = {.lex_state = 411, .external_lex_state = 3},
  [14342] = {.lex_state = 381, .external_lex_state = 3},
  [14343] = {.lex_state = 381, .external_lex_state = 3},
  [14344] = {.lex_state = 411, .external_lex_state = 3},
  [14345] = {.lex_state = 411, .external_lex_state = 3},
  [14346] = {.lex_state = 411, .external_lex_state = 3},
  [14347] = {.lex_state = 190, .external_lex_state = 3},
  [14348] = {.lex_state = 411, .external_lex_state = 3},
  [14349] = {.lex_state = 411, .external_lex_state = 3},
  [14350] = {.lex_state = 15, .external_lex_state = 3},
  [14351] = {.lex_state = 15, .external_lex_state = 3},
  [14352] = {.lex_state = 411, .external_lex_state = 3},
  [14353] = {.lex_state = 411, .external_lex_state = 3},
  [14354] = {.lex_state = 411, .external_lex_state = 3},
  [14355] = {.lex_state = 381, .external_lex_state = 3},
  [14356] = {.lex_state = 411, .external_lex_state = 3},
  [14357] = {.lex_state = 381, .external_lex_state = 3},
  [14358] = {.lex_state = 381, .external_lex_state = 3},
  [14359] = {.lex_state = 15, .external_lex_state = 3},
  [14360] = {.lex_state = 15, .external_lex_state = 3},
  [14361] = {.lex_state = 15, .external_lex_state = 3},
  [14362] = {.lex_state = 411, .external_lex_state = 3},
  [14363] = {.lex_state = 15, .external_lex_state = 3},
  [14364] = {.lex_state = 411, .external_lex_state = 3},
  [14365] = {.lex_state = 381, .external_lex_state = 3},
  [14366] = {.lex_state = 381, .external_lex_state = 3},
  [14367] = {.lex_state = 15, .external_lex_state = 3},
  [14368] = {.lex_state = 15, .external_lex_state = 3},
  [14369] = {.lex_state = 411, .external_lex_state = 3},
  [14370] = {.lex_state = 411, .external_lex_state = 3},
  [14371] = {.lex_state = 411, .external_lex_state = 3},
  [14372] = {.lex_state = 381, .external_lex_state = 3},
  [14373] = {.lex_state = 381, .external_lex_state = 3},
  [14374] = {.lex_state = 381, .external_lex_state = 3},
  [14375] = {.lex_state = 15, .external_lex_state = 3},
  [14376] = {.lex_state = 381, .external_lex_state = 3},
  [14377] = {.lex_state = 15, .external_lex_state = 3},
  [14378] = {.lex_state = 381, .external_lex_state = 3},
  [14379] = {.lex_state = 411, .external_lex_state = 3},
  [14380] = {.lex_state = 411, .external_lex_state = 3},
  [14381] = {.lex_state = 411, .external_lex_state = 3},
  [14382] = {.lex_state = 411, .external_lex_state = 3},
  [14383] = {.lex_state = 411, .external_lex_state = 3},
  [14384] = {.lex_state = 381, .external_lex_state = 3},
  [14385] = {.lex_state = 15, .external_lex_state = 3},
  [14386] = {.lex_state = 15, .external_lex_state = 3},
  [14387] = {.lex_state = 381, .external_lex_state = 3},
  [14388] = {.lex_state = 381, .external_lex_state = 3},
  [14389] = {.lex_state = 411, .external_lex_state = 3},
  [14390] = {.lex_state = 15, .external_lex_state = 3},
  [14391] = {.lex_state = 15, .external_lex_state = 3},
  [14392] = {.lex_state = 411, .external_lex_state = 3},
  [14393] = {.lex_state = 15, .external_lex_state = 3},
  [14394] = {.lex_state = 15, .external_lex_state = 3},
  [14395] = {.lex_state = 381, .external_lex_state = 3},
  [14396] = {.lex_state = 15, .external_lex_state = 3},
  [14397] = {.lex_state = 15, .external_lex_state = 3},
  [14398] = {.lex_state = 15, .external_lex_state = 3},
  [14399] = {.lex_state = 411, .external_lex_state = 3},
  [14400] = {.lex_state = 411, .external_lex_state = 3},
  [14401] = {.lex_state = 381, .external_lex_state = 3},
  [14402] = {.lex_state = 411, .external_lex_state = 3},
  [14403] = {.lex_state = 411, .external_lex_state = 3},
  [14404] = {.lex_state = 15, .external_lex_state = 3},
  [14405] = {.lex_state = 411, .external_lex_state = 3},
  [14406] = {.lex_state = 411, .external_lex_state = 3},
  [14407] = {.lex_state = 381, .external_lex_state = 3},
  [14408] = {.lex_state = 411, .external_lex_state = 3},
  [14409] = {.lex_state = 381, .external_lex_state = 3},
  [14410] = {.lex_state = 411, .external_lex_state = 3},
  [14411] = {.lex_state = 15, .external_lex_state = 3},
  [14412] = {.lex_state = 411, .external_lex_state = 3},
  [14413] = {.lex_state = 411, .external_lex_state = 3},
  [14414] = {.lex_state = 411, .external_lex_state = 3},
  [14415] = {.lex_state = 381, .external_lex_state = 3},
  [14416] = {.lex_state = 203, .external_lex_state = 3},
  [14417] = {.lex_state = 411, .external_lex_state = 3},
  [14418] = {.lex_state = 381, .external_lex_state = 3},
  [14419] = {.lex_state = 381, .external_lex_state = 3},
  [14420] = {.lex_state = 165, .external_lex_state = 3},
  [14421] = {.lex_state = 381, .external_lex_state = 3},
  [14422] = {.lex_state = 381, .external_lex_state = 3},
  [14423] = {.lex_state = 204, .external_lex_state = 3},
  [14424] = {.lex_state = 411, .external_lex_state = 3},
  [14425] = {.lex_state = 204, .external_lex_state = 3},
  [14426] = {.lex_state = 381, .external_lex_state = 3},
  [14427] = {.lex_state = 411, .external_lex_state = 3},
  [14428] = {.lex_state = 381, .external_lex_state = 3},
  [14429] = {.lex_state = 381, .external_lex_state = 3},
  [14430] = {.lex_state = 381, .external_lex_state = 3},
  [14431] = {.lex_state = 204, .external_lex_state = 3},
  [14432] = {.lex_state = 381, .external_lex_state = 3},
  [14433] = {.lex_state = 381, .external_lex_state = 3},
  [14434] = {.lex_state = 381, .external_lex_state = 3},
  [14435] = {.lex_state = 204, .external_lex_state = 3},
  [14436] = {.lex_state = 381, .external_lex_state = 3},
  [14437] = {.lex_state = 204, .external_lex_state = 3},
  [14438] = {.lex_state = 15, .external_lex_state = 3},
  [14439] = {.lex_state = 381, .external_lex_state = 3},
  [14440] = {.lex_state = 381, .external_lex_state = 3},
  [14441] = {.lex_state = 411, .external_lex_state = 3},
  [14442] = {.lex_state = 204, .external_lex_state = 3},
  [14443] = {.lex_state = 411, .external_lex_state = 3},
  [14444] = {.lex_state = 381, .external_lex_state = 3},
  [14445] = {.lex_state = 204, .external_lex_state = 3},
  [14446] = {.lex_state = 411, .external_lex_state = 3},
  [14447] = {.lex_state = 381, .external_lex_state = 3},
  [14448] = {.lex_state = 411, .external_lex_state = 3},
  [14449] = {.lex_state = 381, .external_lex_state = 3},
  [14450] = {.lex_state = 381, .external_lex_state = 3},
  [14451] = {.lex_state = 381, .external_lex_state = 3},
  [14452] = {.lex_state = 381, .external_lex_state = 3},
  [14453] = {.lex_state = 411, .external_lex_state = 3},
  [14454] = {.lex_state = 381, .external_lex_state = 3},
  [14455] = {.lex_state = 190, .external_lex_state = 3},
  [14456] = {.lex_state = 411, .external_lex_state = 3},
  [14457] = {.lex_state = 381, .external_lex_state = 3},
  [14458] = {.lex_state = 411, .external_lex_state = 3},
  [14459] = {.lex_state = 203, .external_lex_state = 3},
  [14460] = {.lex_state = 381, .external_lex_state = 3},
  [14461] = {.lex_state = 381, .external_lex_state = 3},
  [14462] = {.lex_state = 381, .external_lex_state = 3},
  [14463] = {.lex_state = 411, .external_lex_state = 3},
  [14464] = {.lex_state = 381, .external_lex_state = 3},
  [14465] = {.lex_state = 381, .external_lex_state = 3},
  [14466] = {.lex_state = 411, .external_lex_state = 3},
  [14467] = {.lex_state = 204, .external_lex_state = 3},
  [14468] = {.lex_state = 411, .external_lex_state = 3},
  [14469] = {.lex_state = 411, .external_lex_state = 3},
  [14470] = {.lex_state = 411, .external_lex_state = 3},
  [14471] = {.lex_state = 411, .external_lex_state = 3},
  [14472] = {.lex_state = 411, .external_lex_state = 3},
  [14473] = {.lex_state = 411, .external_lex_state = 3},
  [14474] = {.lex_state = 15, .external_lex_state = 3},
  [14475] = {.lex_state = 381, .external_lex_state = 3},
  [14476] = {.lex_state = 381, .external_lex_state = 3},
  [14477] = {.lex_state = 15, .external_lex_state = 3},
  [14478] = {.lex_state = 411, .external_lex_state = 3},
  [14479] = {.lex_state = 15, .external_lex_state = 3},
  [14480] = {.lex_state = 411, .external_lex_state = 3},
  [14481] = {.lex_state = 15, .external_lex_state = 3},
  [14482] = {.lex_state = 15, .external_lex_state = 3},
  [14483] = {.lex_state = 381, .external_lex_state = 3},
  [14484] = {.lex_state = 381, .external_lex_state = 3},
  [14485] = {.lex_state = 411, .external_lex_state = 3},
  [14486] = {.lex_state = 381, .external_lex_state = 3},
  [14487] = {.lex_state = 411, .external_lex_state = 3},
  [14488] = {.lex_state = 411, .external_lex_state = 3},
  [14489] = {.lex_state = 381, .external_lex_state = 3},
  [14490] = {.lex_state = 381, .external_lex_state = 3},
  [14491] = {.lex_state = 411, .external_lex_state = 3},
  [14492] = {.lex_state = 15, .external_lex_state = 3},
  [14493] = {.lex_state = 381, .external_lex_state = 3},
  [14494] = {.lex_state = 411, .external_lex_state = 3},
  [14495] = {.lex_state = 411, .external_lex_state = 3},
  [14496] = {.lex_state = 411, .external_lex_state = 3},
  [14497] = {.lex_state = 381, .external_lex_state = 3},
  [14498] = {.lex_state = 411, .external_lex_state = 3},
  [14499] = {.lex_state = 381, .external_lex_state = 3},
  [14500] = {.lex_state = 381, .external_lex_state = 3},
  [14501] = {.lex_state = 15, .external_lex_state = 3},
  [14502] = {.lex_state = 381, .external_lex_state = 3},
  [14503] = {.lex_state = 381, .external_lex_state = 3},
  [14504] = {.lex_state = 381, .external_lex_state = 3},
  [14505] = {.lex_state = 381, .external_lex_state = 3},
  [14506] = {.lex_state = 411, .external_lex_state = 3},
  [14507] = {.lex_state = 186, .external_lex_state = 3},
  [14508] = {.lex_state = 411, .external_lex_state = 3},
  [14509] = {.lex_state = 186, .external_lex_state = 3},
  [14510] = {.lex_state = 186, .external_lex_state = 3},
  [14511] = {.lex_state = 186, .external_lex_state = 3},
  [14512] = {.lex_state = 203, .external_lex_state = 3},
  [14513] = {.lex_state = 411, .external_lex_state = 3},
  [14514] = {.lex_state = 411, .external_lex_state = 3},
  [14515] = {.lex_state = 186, .external_lex_state = 3},
  [14516] = {.lex_state = 186, .external_lex_state = 3},
  [14517] = {.lex_state = 411, .external_lex_state = 3},
  [14518] = {.lex_state = 411, .external_lex_state = 3},
  [14519] = {.lex_state = 168, .external_lex_state = 3},
  [14520] = {.lex_state = 182, .external_lex_state = 3},
  [14521] = {.lex_state = 165, .external_lex_state = 3},
  [14522] = {.lex_state = 186, .external_lex_state = 3},
  [14523] = {.lex_state = 411, .external_lex_state = 3},
  [14524] = {.lex_state = 411, .external_lex_state = 3},
  [14525] = {.lex_state = 186, .external_lex_state = 3},
  [14526] = {.lex_state = 15, .external_lex_state = 3},
  [14527] = {.lex_state = 186, .external_lex_state = 3},
  [14528] = {.lex_state = 186, .external_lex_state = 3},
  [14529] = {.lex_state = 182, .external_lex_state = 3},
  [14530] = {.lex_state = 186, .external_lex_state = 3},
  [14531] = {.lex_state = 186, .external_lex_state = 3},
  [14532] = {.lex_state = 165, .external_lex_state = 3},
  [14533] = {.lex_state = 186, .external_lex_state = 3},
  [14534] = {.lex_state = 186, .external_lex_state = 3},
  [14535] = {.lex_state = 186, .external_lex_state = 3},
  [14536] = {.lex_state = 186, .external_lex_state = 3},
  [14537] = {.lex_state = 165, .external_lex_state = 3},
  [14538] = {.lex_state = 182, .external_lex_state = 3},
  [14539] = {.lex_state = 186, .external_lex_state = 3},
  [14540] = {.lex_state = 186, .external_lex_state = 3},
  [14541] = {.lex_state = 186, .external_lex_state = 3},
  [14542] = {.lex_state = 411, .external_lex_state = 3},
  [14543] = {.lex_state = 186, .external_lex_state = 3},
  [14544] = {.lex_state = 186, .external_lex_state = 3},
  [14545] = {.lex_state = 182, .external_lex_state = 3},
  [14546] = {.lex_state = 186, .external_lex_state = 3},
  [14547] = {.lex_state = 182, .external_lex_state = 3},
  [14548] = {.lex_state = 186, .external_lex_state = 3},
  [14549] = {.lex_state = 186, .external_lex_state = 3},
  [14550] = {.lex_state = 186, .external_lex_state = 3},
  [14551] = {.lex_state = 186, .external_lex_state = 3},
  [14552] = {.lex_state = 186, .external_lex_state = 3},
  [14553] = {.lex_state = 186, .external_lex_state = 3},
  [14554] = {.lex_state = 186, .external_lex_state = 3},
  [14555] = {.lex_state = 411, .external_lex_state = 3},
  [14556] = {.lex_state = 186, .external_lex_state = 3},
  [14557] = {.lex_state = 186, .external_lex_state = 3},
  [14558] = {.lex_state = 186, .external_lex_state = 3},
  [14559] = {.lex_state = 165, .external_lex_state = 3},
  [14560] = {.lex_state = 179, .external_lex_state = 3},
  [14561] = {.lex_state = 7, .external_lex_state = 3},
  [14562] = {.lex_state = 411, .external_lex_state = 3},
  [14563] = {.lex_state = 190, .external_lex_state = 3},
  [14564] = {.lex_state = 8, .external_lex_state = 3},
  [14565] = {.lex_state = 165, .external_lex_state = 3},
  [14566] = {.lex_state = 165, .external_lex_state = 3},
  [14567] = {.lex_state = 165, .external_lex_state = 3},
  [14568] = {.lex_state = 179, .external_lex_state = 3},
  [14569] = {.lex_state = 165, .external_lex_state = 3},
  [14570] = {.lex_state = 179, .external_lex_state = 3},
  [14571] = {.lex_state = 165, .external_lex_state = 3},
  [14572] = {.lex_state = 165, .external_lex_state = 3},
  [14573] = {.lex_state = 8, .external_lex_state = 3},
  [14574] = {.lex_state = 8, .external_lex_state = 3},
  [14575] = {.lex_state = 165, .external_lex_state = 3},
  [14576] = {.lex_state = 165, .external_lex_state = 3},
  [14577] = {.lex_state = 8, .external_lex_state = 3},
  [14578] = {.lex_state = 165, .external_lex_state = 3},
  [14579] = {.lex_state = 165, .external_lex_state = 3},
  [14580] = {.lex_state = 170, .external_lex_state = 3},
  [14581] = {.lex_state = 8, .external_lex_state = 3},
  [14582] = {.lex_state = 15, .external_lex_state = 3},
  [14583] = {.lex_state = 8, .external_lex_state = 3},
  [14584] = {.lex_state = 179, .external_lex_state = 3},
  [14585] = {.lex_state = 179, .external_lex_state = 3},
  [14586] = {.lex_state = 165, .external_lex_state = 3},
  [14587] = {.lex_state = 8, .external_lex_state = 3},
  [14588] = {.lex_state = 170, .external_lex_state = 3},
  [14589] = {.lex_state = 179, .external_lex_state = 3},
  [14590] = {.lex_state = 165, .external_lex_state = 3},
  [14591] = {.lex_state = 165, .external_lex_state = 3},
  [14592] = {.lex_state = 170, .external_lex_state = 3},
  [14593] = {.lex_state = 165, .external_lex_state = 3},
  [14594] = {.lex_state = 165, .external_lex_state = 3},
  [14595] = {.lex_state = 165, .external_lex_state = 3},
  [14596] = {.lex_state = 8, .external_lex_state = 3},
  [14597] = {.lex_state = 4, .external_lex_state = 6},
  [14598] = {.lex_state = 4, .external_lex_state = 6},
  [14599] = {.lex_state = 4, .external_lex_state = 6},
  [14600] = {.lex_state = 205, .external_lex_state = 3},
  [14601] = {.lex_state = 205, .external_lex_state = 3},
  [14602] = {.lex_state = 190, .external_lex_state = 3},
  [14603] = {.lex_state = 165, .external_lex_state = 3},
  [14604] = {.lex_state = 4, .external_lex_state = 6},
  [14605] = {.lex_state = 8, .external_lex_state = 3},
  [14606] = {.lex_state = 4, .external_lex_state = 6},
  [14607] = {.lex_state = 15, .external_lex_state = 3},
  [14608] = {.lex_state = 4, .external_lex_state = 6},
  [14609] = {.lex_state = 170, .external_lex_state = 3},
  [14610] = {.lex_state = 205, .external_lex_state = 3},
  [14611] = {.lex_state = 8, .external_lex_state = 3},
  [14612] = {.lex_state = 205, .external_lex_state = 3},
  [14613] = {.lex_state = 205, .external_lex_state = 3},
  [14614] = {.lex_state = 381, .external_lex_state = 3},
  [14615] = {.lex_state = 4, .external_lex_state = 6},
  [14616] = {.lex_state = 4, .external_lex_state = 6},
  [14617] = {.lex_state = 205, .external_lex_state = 3},
  [14618] = {.lex_state = 205, .external_lex_state = 3},
  [14619] = {.lex_state = 15, .external_lex_state = 3},
  [14620] = {.lex_state = 4, .external_lex_state = 6},
  [14621] = {.lex_state = 4, .external_lex_state = 6},
  [14622] = {.lex_state = 4, .external_lex_state = 6},
  [14623] = {.lex_state = 179, .external_lex_state = 3},
  [14624] = {.lex_state = 15, .external_lex_state = 3},
  [14625] = {.lex_state = 4, .external_lex_state = 6},
  [14626] = {.lex_state = 4, .external_lex_state = 6},
  [14627] = {.lex_state = 4, .external_lex_state = 6},
  [14628] = {.lex_state = 15, .external_lex_state = 3},
  [14629] = {.lex_state = 4, .external_lex_state = 6},
  [14630] = {.lex_state = 4, .external_lex_state = 6},
  [14631] = {.lex_state = 15, .external_lex_state = 3},
  [14632] = {.lex_state = 205, .external_lex_state = 3},
  [14633] = {.lex_state = 15, .external_lex_state = 3},
  [14634] = {.lex_state = 4, .external_lex_state = 6},
  [14635] = {.lex_state = 15, .external_lex_state = 3},
  [14636] = {.lex_state = 381, .external_lex_state = 3},
  [14637] = {.lex_state = 15, .external_lex_state = 3},
  [14638] = {.lex_state = 381, .external_lex_state = 3},
  [14639] = {.lex_state = 4, .external_lex_state = 6},
  [14640] = {.lex_state = 4, .external_lex_state = 6},
  [14641] = {.lex_state = 381, .external_lex_state = 3},
  [14642] = {.lex_state = 4, .external_lex_state = 6},
  [14643] = {.lex_state = 4, .external_lex_state = 6},
  [14644] = {.lex_state = 4, .external_lex_state = 6},
  [14645] = {.lex_state = 4, .external_lex_state = 6},
  [14646] = {.lex_state = 4, .external_lex_state = 6},
  [14647] = {.lex_state = 4, .external_lex_state = 6},
  [14648] = {.lex_state = 4, .external_lex_state = 6},
  [14649] = {.lex_state = 4, .external_lex_state = 6},
  [14650] = {.lex_state = 4, .external_lex_state = 6},
  [14651] = {.lex_state = 4, .external_lex_state = 6},
  [14652] = {.lex_state = 4, .external_lex_state = 6},
  [14653] = {.lex_state = 4, .external_lex_state = 6},
  [14654] = {.lex_state = 4, .external_lex_state = 6},
  [14655] = {.lex_state = 4, .external_lex_state = 6},
  [14656] = {.lex_state = 8, .external_lex_state = 3},
  [14657] = {.lex_state = 4, .external_lex_state = 6},
  [14658] = {.lex_state = 205, .external_lex_state = 3},
  [14659] = {.lex_state = 205, .external_lex_state = 3},
  [14660] = {.lex_state = 205, .external_lex_state = 3},
  [14661] = {.lex_state = 4, .external_lex_state = 6},
  [14662] = {.lex_state = 205, .external_lex_state = 3},
  [14663] = {.lex_state = 205, .external_lex_state = 3},
  [14664] = {.lex_state = 8, .external_lex_state = 3},
  [14665] = {.lex_state = 15, .external_lex_state = 3},
  [14666] = {.lex_state = 205, .external_lex_state = 3},
  [14667] = {.lex_state = 8, .external_lex_state = 3},
  [14668] = {.lex_state = 4, .external_lex_state = 6},
  [14669] = {.lex_state = 4, .external_lex_state = 6},
  [14670] = {.lex_state = 205, .external_lex_state = 3},
  [14671] = {.lex_state = 205, .external_lex_state = 3},
  [14672] = {.lex_state = 4, .external_lex_state = 6},
  [14673] = {.lex_state = 205, .external_lex_state = 3},
  [14674] = {.lex_state = 205, .external_lex_state = 3},
  [14675] = {.lex_state = 205, .external_lex_state = 3},
  [14676] = {.lex_state = 8, .external_lex_state = 3},
  [14677] = {.lex_state = 205, .external_lex_state = 3},
  [14678] = {.lex_state = 15, .external_lex_state = 3},
  [14679] = {.lex_state = 411, .external_lex_state = 3},
  [14680] = {.lex_state = 190, .external_lex_state = 3},
  [14681] = {.lex_state = 8, .external_lex_state = 3},
  [14682] = {.lex_state = 15, .external_lex_state = 3},
  [14683] = {.lex_state = 165, .external_lex_state = 3},
  [14684] = {.lex_state = 4, .external_lex_state = 6},
  [14685] = {.lex_state = 8, .external_lex_state = 3},
  [14686] = {.lex_state = 169, .external_lex_state = 3},
  [14687] = {.lex_state = 15, .external_lex_state = 3},
  [14688] = {.lex_state = 8, .external_lex_state = 3},
  [14689] = {.lex_state = 8, .external_lex_state = 3},
  [14690] = {.lex_state = 179, .external_lex_state = 3},
  [14691] = {.lex_state = 205, .external_lex_state = 3},
  [14692] = {.lex_state = 205, .external_lex_state = 3},
  [14693] = {.lex_state = 15, .external_lex_state = 3},
  [14694] = {.lex_state = 4, .external_lex_state = 6},
  [14695] = {.lex_state = 8, .external_lex_state = 3},
  [14696] = {.lex_state = 15, .external_lex_state = 3},
  [14697] = {.lex_state = 4, .external_lex_state = 6},
  [14698] = {.lex_state = 179, .external_lex_state = 3},
  [14699] = {.lex_state = 8, .external_lex_state = 3},
  [14700] = {.lex_state = 411, .external_lex_state = 3},
  [14701] = {.lex_state = 15, .external_lex_state = 3},
  [14702] = {.lex_state = 15, .external_lex_state = 3},
  [14703] = {.lex_state = 381, .external_lex_state = 3},
  [14704] = {.lex_state = 15, .external_lex_state = 3},
  [14705] = {.lex_state = 15, .external_lex_state = 3},
  [14706] = {.lex_state = 205, .external_lex_state = 3},
  [14707] = {.lex_state = 4, .external_lex_state = 6},
  [14708] = {.lex_state = 165, .external_lex_state = 3},
  [14709] = {.lex_state = 4, .external_lex_state = 6},
  [14710] = {.lex_state = 4, .external_lex_state = 6},
  [14711] = {.lex_state = 205, .external_lex_state = 3},
  [14712] = {.lex_state = 205, .external_lex_state = 3},
  [14713] = {.lex_state = 4, .external_lex_state = 6},
  [14714] = {.lex_state = 4, .external_lex_state = 6},
  [14715] = {.lex_state = 205, .external_lex_state = 3},
  [14716] = {.lex_state = 205, .external_lex_state = 3},
  [14717] = {.lex_state = 15, .external_lex_state = 3},
  [14718] = {.lex_state = 205, .external_lex_state = 3},
  [14719] = {.lex_state = 205, .external_lex_state = 3},
  [14720] = {.lex_state = 205, .external_lex_state = 3},
  [14721] = {.lex_state = 381, .external_lex_state = 3},
  [14722] = {.lex_state = 205, .external_lex_state = 3},
  [14723] = {.lex_state = 190, .external_lex_state = 3},
  [14724] = {.lex_state = 205, .external_lex_state = 3},
  [14725] = {.lex_state = 205, .external_lex_state = 3},
  [14726] = {.lex_state = 205, .external_lex_state = 3},
  [14727] = {.lex_state = 165, .external_lex_state = 3},
  [14728] = {.lex_state = 205, .external_lex_state = 3},
  [14729] = {.lex_state = 4, .external_lex_state = 6},
  [14730] = {.lex_state = 4, .external_lex_state = 6},
  [14731] = {.lex_state = 205, .external_lex_state = 3},
  [14732] = {.lex_state = 205, .external_lex_state = 3},
  [14733] = {.lex_state = 381, .external_lex_state = 3},
  [14734] = {.lex_state = 381, .external_lex_state = 3},
  [14735] = {.lex_state = 4, .external_lex_state = 6},
  [14736] = {.lex_state = 205, .external_lex_state = 3},
  [14737] = {.lex_state = 190, .external_lex_state = 3},
  [14738] = {.lex_state = 205, .external_lex_state = 3},
  [14739] = {.lex_state = 205, .external_lex_state = 3},
  [14740] = {.lex_state = 165, .external_lex_state = 3},
  [14741] = {.lex_state = 4, .external_lex_state = 6},
  [14742] = {.lex_state = 4, .external_lex_state = 6},
  [14743] = {.lex_state = 381, .external_lex_state = 3},
  [14744] = {.lex_state = 15, .external_lex_state = 3},
  [14745] = {.lex_state = 381, .external_lex_state = 3},
  [14746] = {.lex_state = 4, .external_lex_state = 6},
  [14747] = {.lex_state = 4, .external_lex_state = 6},
  [14748] = {.lex_state = 205, .external_lex_state = 3},
  [14749] = {.lex_state = 4, .external_lex_state = 6},
  [14750] = {.lex_state = 4, .external_lex_state = 6},
  [14751] = {.lex_state = 8, .external_lex_state = 3},
  [14752] = {.lex_state = 15, .external_lex_state = 3},
  [14753] = {.lex_state = 4, .external_lex_state = 6},
  [14754] = {.lex_state = 205, .external_lex_state = 3},
  [14755] = {.lex_state = 15, .external_lex_state = 3},
  [14756] = {.lex_state = 381, .external_lex_state = 3},
  [14757] = {.lex_state = 190, .external_lex_state = 3},
  [14758] = {.lex_state = 4, .external_lex_state = 6},
  [14759] = {.lex_state = 15, .external_lex_state = 3},
  [14760] = {.lex_state = 205, .external_lex_state = 3},
  [14761] = {.lex_state = 205, .external_lex_state = 3},
  [14762] = {.lex_state = 4, .external_lex_state = 6},
  [14763] = {.lex_state = 165, .external_lex_state = 3},
  [14764] = {.lex_state = 381, .external_lex_state = 3},
  [14765] = {.lex_state = 4, .external_lex_state = 6},
  [14766] = {.lex_state = 165, .external_lex_state = 3},
  [14767] = {.lex_state = 15, .external_lex_state = 3},
  [14768] = {.lex_state = 381, .external_lex_state = 3},
  [14769] = {.lex_state = 205, .external_lex_state = 3},
  [14770] = {.lex_state = 381, .external_lex_state = 3},
  [14771] = {.lex_state = 4, .external_lex_state = 6},
  [14772] = {.lex_state = 205, .external_lex_state = 3},
  [14773] = {.lex_state = 15, .external_lex_state = 3},
  [14774] = {.lex_state = 205, .external_lex_state = 3},
  [14775] = {.lex_state = 4, .external_lex_state = 6},
  [14776] = {.lex_state = 205, .external_lex_state = 3},
  [14777] = {.lex_state = 381, .external_lex_state = 3},
  [14778] = {.lex_state = 179, .external_lex_state = 3},
  [14779] = {.lex_state = 4, .external_lex_state = 6},
  [14780] = {.lex_state = 199, .external_lex_state = 7},
  [14781] = {.lex_state = 205, .external_lex_state = 3},
  [14782] = {.lex_state = 205, .external_lex_state = 3},
  [14783] = {.lex_state = 15, .external_lex_state = 3},
  [14784] = {.lex_state = 4, .external_lex_state = 6},
  [14785] = {.lex_state = 205, .external_lex_state = 3},
  [14786] = {.lex_state = 4, .external_lex_state = 6},
  [14787] = {.lex_state = 15, .external_lex_state = 3},
  [14788] = {.lex_state = 170, .external_lex_state = 3},
  [14789] = {.lex_state = 15, .external_lex_state = 3},
  [14790] = {.lex_state = 7, .external_lex_state = 3},
  [14791] = {.lex_state = 7, .external_lex_state = 3},
  [14792] = {.lex_state = 7, .external_lex_state = 3},
  [14793] = {.lex_state = 7, .external_lex_state = 3},
  [14794] = {.lex_state = 199, .external_lex_state = 7},
  [14795] = {.lex_state = 411, .external_lex_state = 3},
  [14796] = {.lex_state = 165, .external_lex_state = 3},
  [14797] = {.lex_state = 15, .external_lex_state = 3},
  [14798] = {.lex_state = 7, .external_lex_state = 3},
  [14799] = {.lex_state = 7, .external_lex_state = 3},
  [14800] = {.lex_state = 15, .external_lex_state = 3},
  [14801] = {.lex_state = 15, .external_lex_state = 3},
  [14802] = {.lex_state = 15, .external_lex_state = 3},
  [14803] = {.lex_state = 15, .external_lex_state = 3},
  [14804] = {.lex_state = 7, .external_lex_state = 3},
  [14805] = {.lex_state = 7, .external_lex_state = 3},
  [14806] = {.lex_state = 7, .external_lex_state = 3},
  [14807] = {.lex_state = 7, .external_lex_state = 3},
  [14808] = {.lex_state = 15, .external_lex_state = 3},
  [14809] = {.lex_state = 15, .external_lex_state = 3},
  [14810] = {.lex_state = 15, .external_lex_state = 3},
  [14811] = {.lex_state = 7, .external_lex_state = 3},
  [14812] = {.lex_state = 165, .external_lex_state = 3},
  [14813] = {.lex_state = 15, .external_lex_state = 3},
  [14814] = {.lex_state = 165, .external_lex_state = 3},
  [14815] = {.lex_state = 7, .external_lex_state = 3},
  [14816] = {.lex_state = 15, .external_lex_state = 3},
  [14817] = {.lex_state = 7, .external_lex_state = 3},
  [14818] = {.lex_state = 424, .external_lex_state = 3},
  [14819] = {.lex_state = 15, .external_lex_state = 3},
  [14820] = {.lex_state = 15, .external_lex_state = 3},
  [14821] = {.lex_state = 15, .external_lex_state = 3},
  [14822] = {.lex_state = 7, .external_lex_state = 3},
  [14823] = {.lex_state = 7, .external_lex_state = 3},
  [14824] = {.lex_state = 15, .external_lex_state = 3},
  [14825] = {.lex_state = 424, .external_lex_state = 3},
  [14826] = {.lex_state = 424, .external_lex_state = 3},
  [14827] = {.lex_state = 424, .external_lex_state = 3},
  [14828] = {.lex_state = 15, .external_lex_state = 3},
  [14829] = {.lex_state = 15, .external_lex_state = 3},
  [14830] = {.lex_state = 165, .external_lex_state = 3},
  [14831] = {.lex_state = 15, .external_lex_state = 3},
  [14832] = {.lex_state = 165, .external_lex_state = 3},
  [14833] = {.lex_state = 7, .external_lex_state = 3},
  [14834] = {.lex_state = 7, .external_lex_state = 3},
  [14835] = {.lex_state = 15, .external_lex_state = 3},
  [14836] = {.lex_state = 165, .external_lex_state = 3},
  [14837] = {.lex_state = 7, .external_lex_state = 3},
  [14838] = {.lex_state = 7, .external_lex_state = 3},
  [14839] = {.lex_state = 15, .external_lex_state = 3},
  [14840] = {.lex_state = 15, .external_lex_state = 3},
  [14841] = {.lex_state = 165, .external_lex_state = 3},
  [14842] = {.lex_state = 15, .external_lex_state = 3},
  [14843] = {.lex_state = 7, .external_lex_state = 3},
  [14844] = {.lex_state = 199, .external_lex_state = 7},
  [14845] = {.lex_state = 7, .external_lex_state = 3},
  [14846] = {.lex_state = 7, .external_lex_state = 3},
  [14847] = {.lex_state = 179, .external_lex_state = 3},
  [14848] = {.lex_state = 7, .external_lex_state = 3},
  [14849] = {.lex_state = 7, .external_lex_state = 3},
  [14850] = {.lex_state = 15, .external_lex_state = 3},
  [14851] = {.lex_state = 15, .external_lex_state = 3},
  [14852] = {.lex_state = 411, .external_lex_state = 3},
  [14853] = {.lex_state = 15, .external_lex_state = 3},
  [14854] = {.lex_state = 15, .external_lex_state = 3},
  [14855] = {.lex_state = 7, .external_lex_state = 3},
  [14856] = {.lex_state = 186, .external_lex_state = 3},
  [14857] = {.lex_state = 15, .external_lex_state = 3},
  [14858] = {.lex_state = 15, .external_lex_state = 3},
  [14859] = {.lex_state = 7, .external_lex_state = 3},
  [14860] = {.lex_state = 7, .external_lex_state = 3},
  [14861] = {.lex_state = 165, .external_lex_state = 3},
  [14862] = {.lex_state = 424, .external_lex_state = 3},
  [14863] = {.lex_state = 142, .external_lex_state = 3},
  [14864] = {.lex_state = 15, .external_lex_state = 3},
  [14865] = {.lex_state = 199, .external_lex_state = 7},
  [14866] = {.lex_state = 15, .external_lex_state = 3},
  [14867] = {.lex_state = 15, .external_lex_state = 3},
  [14868] = {.lex_state = 15, .external_lex_state = 3},
  [14869] = {.lex_state = 6, .external_lex_state = 3},
  [14870] = {.lex_state = 15, .external_lex_state = 3},
  [14871] = {.lex_state = 15, .external_lex_state = 3},
  [14872] = {.lex_state = 191, .external_lex_state = 3},
  [14873] = {.lex_state = 15, .external_lex_state = 3},
  [14874] = {.lex_state = 8, .external_lex_state = 3},
  [14875] = {.lex_state = 15, .external_lex_state = 8},
  [14876] = {.lex_state = 15, .external_lex_state = 3},
  [14877] = {.lex_state = 15, .external_lex_state = 3},
  [14878] = {.lex_state = 15, .external_lex_state = 3},
  [14879] = {.lex_state = 165, .external_lex_state = 3},
  [14880] = {.lex_state = 15, .external_lex_state = 3},
  [14881] = {.lex_state = 165, .external_lex_state = 3},
  [14882] = {.lex_state = 142, .external_lex_state = 3},
  [14883] = {.lex_state = 15, .external_lex_state = 3},
  [14884] = {.lex_state = 15, .external_lex_state = 3},
  [14885] = {.lex_state = 165, .external_lex_state = 3},
  [14886] = {.lex_state = 15, .external_lex_state = 3},
  [14887] = {.lex_state = 15, .external_lex_state = 3},
  [14888] = {.lex_state = 15, .external_lex_state = 3},
  [14889] = {.lex_state = 165, .external_lex_state = 3},
  [14890] = {.lex_state = 15, .external_lex_state = 3},
  [14891] = {.lex_state = 165, .external_lex_state = 3},
  [14892] = {.lex_state = 15, .external_lex_state = 3},
  [14893] = {.lex_state = 15, .external_lex_state = 3},
  [14894] = {.lex_state = 15, .external_lex_state = 3},
  [14895] = {.lex_state = 15, .external_lex_state = 3},
  [14896] = {.lex_state = 179, .external_lex_state = 3},
  [14897] = {.lex_state = 15, .external_lex_state = 3},
  [14898] = {.lex_state = 15, .external_lex_state = 3},
  [14899] = {.lex_state = 15, .external_lex_state = 3},
  [14900] = {.lex_state = 6, .external_lex_state = 3},
  [14901] = {.lex_state = 15, .external_lex_state = 3},
  [14902] = {.lex_state = 15, .external_lex_state = 3},
  [14903] = {.lex_state = 15, .external_lex_state = 3},
  [14904] = {.lex_state = 15, .external_lex_state = 3},
  [14905] = {.lex_state = 15, .external_lex_state = 3},
  [14906] = {.lex_state = 15, .external_lex_state = 3},
  [14907] = {.lex_state = 15, .external_lex_state = 3},
  [14908] = {.lex_state = 15, .external_lex_state = 3},
  [14909] = {.lex_state = 15, .external_lex_state = 3},
  [14910] = {.lex_state = 15, .external_lex_state = 3},
  [14911] = {.lex_state = 6, .external_lex_state = 3},
  [14912] = {.lex_state = 15, .external_lex_state = 3},
  [14913] = {.lex_state = 15, .external_lex_state = 3},
  [14914] = {.lex_state = 15, .external_lex_state = 3},
  [14915] = {.lex_state = 15, .external_lex_state = 3},
  [14916] = {.lex_state = 15, .external_lex_state = 3},
  [14917] = {.lex_state = 15, .external_lex_state = 3},
  [14918] = {.lex_state = 15, .external_lex_state = 3},
  [14919] = {.lex_state = 15, .external_lex_state = 3},
  [14920] = {.lex_state = 15, .external_lex_state = 3},
  [14921] = {.lex_state = 15, .external_lex_state = 3},
  [14922] = {.lex_state = 15, .external_lex_state = 3},
  [14923] = {.lex_state = 6, .external_lex_state = 3},
  [14924] = {.lex_state = 15, .external_lex_state = 3},
  [14925] = {.lex_state = 179, .external_lex_state = 3},
  [14926] = {.lex_state = 15, .external_lex_state = 3},
  [14927] = {.lex_state = 15, .external_lex_state = 3},
  [14928] = {.lex_state = 179, .external_lex_state = 3},
  [14929] = {.lex_state = 15, .external_lex_state = 3},
  [14930] = {.lex_state = 179, .external_lex_state = 3},
  [14931] = {.lex_state = 15, .external_lex_state = 3},
  [14932] = {.lex_state = 15, .external_lex_state = 3},
  [14933] = {.lex_state = 165, .external_lex_state = 3},
  [14934] = {.lex_state = 8, .external_lex_state = 3},
  [14935] = {.lex_state = 165, .external_lex_state = 3},
  [14936] = {.lex_state = 142, .external_lex_state = 3},
  [14937] = {.lex_state = 15, .external_lex_state = 3},
  [14938] = {.lex_state = 165, .external_lex_state = 3},
  [14939] = {.lex_state = 15, .external_lex_state = 3},
  [14940] = {.lex_state = 165, .external_lex_state = 3},
  [14941] = {.lex_state = 15, .external_lex_state = 3},
  [14942] = {.lex_state = 15, .external_lex_state = 3},
  [14943] = {.lex_state = 15, .external_lex_state = 3},
  [14944] = {.lex_state = 165, .external_lex_state = 3},
  [14945] = {.lex_state = 15, .external_lex_state = 3},
  [14946] = {.lex_state = 15, .external_lex_state = 3},
  [14947] = {.lex_state = 15, .external_lex_state = 3},
  [14948] = {.lex_state = 15, .external_lex_state = 3},
  [14949] = {.lex_state = 15, .external_lex_state = 3},
  [14950] = {.lex_state = 15, .external_lex_state = 3},
  [14951] = {.lex_state = 15, .external_lex_state = 3},
  [14952] = {.lex_state = 15, .external_lex_state = 3},
  [14953] = {.lex_state = 15, .external_lex_state = 3},
  [14954] = {.lex_state = 15, .external_lex_state = 3},
  [14955] = {.lex_state = 8, .external_lex_state = 3},
  [14956] = {.lex_state = 15, .external_lex_state = 3},
  [14957] = {.lex_state = 15, .external_lex_state = 3},
  [14958] = {.lex_state = 15, .external_lex_state = 8},
  [14959] = {.lex_state = 15, .external_lex_state = 3},
  [14960] = {.lex_state = 15, .external_lex_state = 3},
  [14961] = {.lex_state = 15, .external_lex_state = 3},
  [14962] = {.lex_state = 15, .external_lex_state = 3},
  [14963] = {.lex_state = 8, .external_lex_state = 3},
  [14964] = {.lex_state = 15, .external_lex_state = 3},
  [14965] = {.lex_state = 15, .external_lex_state = 3},
  [14966] = {.lex_state = 15, .external_lex_state = 3},
  [14967] = {.lex_state = 15, .external_lex_state = 3},
  [14968] = {.lex_state = 15, .external_lex_state = 3},
  [14969] = {.lex_state = 15, .external_lex_state = 3},
  [14970] = {.lex_state = 15, .external_lex_state = 3},
  [14971] = {.lex_state = 15, .external_lex_state = 3},
  [14972] = {.lex_state = 15, .external_lex_state = 3},
  [14973] = {.lex_state = 6, .external_lex_state = 3},
  [14974] = {.lex_state = 15, .external_lex_state = 3},
  [14975] = {.lex_state = 15, .external_lex_state = 3},
  [14976] = {.lex_state = 15, .external_lex_state = 8},
  [14977] = {.lex_state = 15, .external_lex_state = 3},
  [14978] = {.lex_state = 15, .external_lex_state = 3},
  [14979] = {.lex_state = 15, .external_lex_state = 3},
  [14980] = {.lex_state = 179, .external_lex_state = 3},
  [14981] = {.lex_state = 179, .external_lex_state = 3},
  [14982] = {.lex_state = 15, .external_lex_state = 8},
  [14983] = {.lex_state = 179, .external_lex_state = 3},
  [14984] = {.lex_state = 15, .external_lex_state = 3},
  [14985] = {.lex_state = 15, .external_lex_state = 3},
  [14986] = {.lex_state = 179, .external_lex_state = 3},
  [14987] = {.lex_state = 165, .external_lex_state = 3},
  [14988] = {.lex_state = 15, .external_lex_state = 3},
  [14989] = {.lex_state = 15, .external_lex_state = 3},
  [14990] = {.lex_state = 165, .external_lex_state = 3},
  [14991] = {.lex_state = 165, .external_lex_state = 3},
  [14992] = {.lex_state = 15, .external_lex_state = 3},
  [14993] = {.lex_state = 15, .external_lex_state = 3},
  [14994] = {.lex_state = 15, .external_lex_state = 3},
  [14995] = {.lex_state = 15, .external_lex_state = 3},
  [14996] = {.lex_state = 15, .external_lex_state = 3},
  [14997] = {.lex_state = 179, .external_lex_state = 3},
  [14998] = {.lex_state = 15, .external_lex_state = 8},
  [14999] = {.lex_state = 15, .external_lex_state = 8},
  [15000] = {.lex_state = 15, .external_lex_state = 3},
  [15001] = {.lex_state = 15, .external_lex_state = 3},
  [15002] = {.lex_state = 15, .external_lex_state = 3},
  [15003] = {.lex_state = 15, .external_lex_state = 3},
  [15004] = {.lex_state = 15, .external_lex_state = 8},
  [15005] = {.lex_state = 15, .external_lex_state = 3},
  [15006] = {.lex_state = 8, .external_lex_state = 3},
  [15007] = {.lex_state = 15, .external_lex_state = 3},
  [15008] = {.lex_state = 191, .external_lex_state = 3},
  [15009] = {.lex_state = 15, .external_lex_state = 3},
  [15010] = {.lex_state = 15, .external_lex_state = 3},
  [15011] = {.lex_state = 15, .external_lex_state = 3},
  [15012] = {.lex_state = 15, .external_lex_state = 3},
  [15013] = {.lex_state = 15, .external_lex_state = 3},
  [15014] = {.lex_state = 15, .external_lex_state = 3},
  [15015] = {.lex_state = 15, .external_lex_state = 3},
  [15016] = {.lex_state = 6, .external_lex_state = 3},
  [15017] = {.lex_state = 15, .external_lex_state = 8},
  [15018] = {.lex_state = 15, .external_lex_state = 3},
  [15019] = {.lex_state = 15, .external_lex_state = 3},
  [15020] = {.lex_state = 15, .external_lex_state = 3},
  [15021] = {.lex_state = 15, .external_lex_state = 3},
  [15022] = {.lex_state = 179, .external_lex_state = 3},
  [15023] = {.lex_state = 179, .external_lex_state = 3},
  [15024] = {.lex_state = 15, .external_lex_state = 3},
  [15025] = {.lex_state = 15, .external_lex_state = 3},
  [15026] = {.lex_state = 15, .external_lex_state = 3},
  [15027] = {.lex_state = 15, .external_lex_state = 3},
  [15028] = {.lex_state = 15, .external_lex_state = 3},
  [15029] = {.lex_state = 15, .external_lex_state = 3},
  [15030] = {.lex_state = 6, .external_lex_state = 3},
  [15031] = {.lex_state = 15, .external_lex_state = 3},
  [15032] = {.lex_state = 15, .external_lex_state = 8},
  [15033] = {.lex_state = 15, .external_lex_state = 3},
  [15034] = {.lex_state = 15, .external_lex_state = 3},
  [15035] = {.lex_state = 15, .external_lex_state = 3},
  [15036] = {.lex_state = 15, .external_lex_state = 3},
  [15037] = {.lex_state = 15, .external_lex_state = 3},
  [15038] = {.lex_state = 15, .external_lex_state = 3},
  [15039] = {.lex_state = 15, .external_lex_state = 3},
  [15040] = {.lex_state = 15, .external_lex_state = 3},
  [15041] = {.lex_state = 15, .external_lex_state = 3},
  [15042] = {.lex_state = 15, .external_lex_state = 3},
  [15043] = {.lex_state = 15, .external_lex_state = 3},
  [15044] = {.lex_state = 165, .external_lex_state = 3},
  [15045] = {.lex_state = 15, .external_lex_state = 3},
  [15046] = {.lex_state = 8, .external_lex_state = 3},
  [15047] = {.lex_state = 15, .external_lex_state = 3},
  [15048] = {.lex_state = 15, .external_lex_state = 3},
  [15049] = {.lex_state = 15, .external_lex_state = 3},
  [15050] = {.lex_state = 15, .external_lex_state = 3},
  [15051] = {.lex_state = 171, .external_lex_state = 3},
  [15052] = {.lex_state = 15, .external_lex_state = 3},
  [15053] = {.lex_state = 186, .external_lex_state = 3},
  [15054] = {.lex_state = 15, .external_lex_state = 3},
  [15055] = {.lex_state = 6, .external_lex_state = 3},
  [15056] = {.lex_state = 8, .external_lex_state = 3},
  [15057] = {.lex_state = 142, .external_lex_state = 3},
  [15058] = {.lex_state = 15, .external_lex_state = 3},
  [15059] = {.lex_state = 8, .external_lex_state = 3},
  [15060] = {.lex_state = 15, .external_lex_state = 3},
  [15061] = {.lex_state = 15, .external_lex_state = 3},
  [15062] = {.lex_state = 171, .external_lex_state = 3},
  [15063] = {.lex_state = 15, .external_lex_state = 3},
  [15064] = {.lex_state = 15, .external_lex_state = 3},
  [15065] = {.lex_state = 15, .external_lex_state = 3},
  [15066] = {.lex_state = 15, .external_lex_state = 3},
  [15067] = {.lex_state = 186, .external_lex_state = 3},
  [15068] = {.lex_state = 191, .external_lex_state = 3},
  [15069] = {.lex_state = 179, .external_lex_state = 3},
  [15070] = {.lex_state = 6, .external_lex_state = 3},
  [15071] = {.lex_state = 15, .external_lex_state = 3},
  [15072] = {.lex_state = 8, .external_lex_state = 3},
  [15073] = {.lex_state = 15, .external_lex_state = 3},
  [15074] = {.lex_state = 15, .external_lex_state = 3},
  [15075] = {.lex_state = 8, .external_lex_state = 3},
  [15076] = {.lex_state = 8, .external_lex_state = 3},
  [15077] = {.lex_state = 15, .external_lex_state = 3},
  [15078] = {.lex_state = 8, .external_lex_state = 3},
  [15079] = {.lex_state = 15, .external_lex_state = 3},
  [15080] = {.lex_state = 15, .external_lex_state = 3},
  [15081] = {.lex_state = 179, .external_lex_state = 3},
  [15082] = {.lex_state = 15, .external_lex_state = 3},
  [15083] = {.lex_state = 15, .external_lex_state = 3},
  [15084] = {.lex_state = 15, .external_lex_state = 3},
  [15085] = {.lex_state = 8, .external_lex_state = 3},
  [15086] = {.lex_state = 15, .external_lex_state = 3},
  [15087] = {.lex_state = 6, .external_lex_state = 3},
  [15088] = {.lex_state = 15, .external_lex_state = 3},
  [15089] = {.lex_state = 15, .external_lex_state = 3},
  [15090] = {.lex_state = 8, .external_lex_state = 3},
  [15091] = {.lex_state = 8, .external_lex_state = 3},
  [15092] = {.lex_state = 15, .external_lex_state = 3},
  [15093] = {.lex_state = 8, .external_lex_state = 3},
  [15094] = {.lex_state = 186, .external_lex_state = 3},
  [15095] = {.lex_state = 6, .external_lex_state = 3},
  [15096] = {.lex_state = 179, .external_lex_state = 3},
  [15097] = {.lex_state = 179, .external_lex_state = 3},
  [15098] = {.lex_state = 179, .external_lex_state = 3},
  [15099] = {.lex_state = 8, .external_lex_state = 3},
  [15100] = {.lex_state = 8, .external_lex_state = 3},
  [15101] = {.lex_state = 179, .external_lex_state = 3},
  [15102] = {.lex_state = 179, .external_lex_state = 3},
  [15103] = {.lex_state = 15, .external_lex_state = 3},
  [15104] = {.lex_state = 15, .external_lex_state = 3},
  [15105] = {.lex_state = 15, .external_lex_state = 3},
  [15106] = {.lex_state = 15, .external_lex_state = 3},
  [15107] = {.lex_state = 15, .external_lex_state = 3},
  [15108] = {.lex_state = 15, .external_lex_state = 3},
  [15109] = {.lex_state = 6, .external_lex_state = 3},
  [15110] = {.lex_state = 179, .external_lex_state = 3},
  [15111] = {.lex_state = 8, .external_lex_state = 3},
  [15112] = {.lex_state = 179, .external_lex_state = 3},
  [15113] = {.lex_state = 15, .external_lex_state = 3},
  [15114] = {.lex_state = 179, .external_lex_state = 3},
  [15115] = {.lex_state = 15, .external_lex_state = 3},
  [15116] = {.lex_state = 165, .external_lex_state = 3},
  [15117] = {.lex_state = 186, .external_lex_state = 3},
  [15118] = {.lex_state = 179, .external_lex_state = 3},
  [15119] = {.lex_state = 8, .external_lex_state = 3},
  [15120] = {.lex_state = 179, .external_lex_state = 3},
  [15121] = {.lex_state = 179, .external_lex_state = 3},
  [15122] = {.lex_state = 179, .external_lex_state = 3},
  [15123] = {.lex_state = 179, .external_lex_state = 3},
  [15124] = {.lex_state = 8, .external_lex_state = 3},
  [15125] = {.lex_state = 15, .external_lex_state = 3},
  [15126] = {.lex_state = 8, .external_lex_state = 3},
  [15127] = {.lex_state = 15, .external_lex_state = 3},
  [15128] = {.lex_state = 15, .external_lex_state = 3},
  [15129] = {.lex_state = 15, .external_lex_state = 3},
  [15130] = {.lex_state = 15, .external_lex_state = 3},
  [15131] = {.lex_state = 15, .external_lex_state = 3},
  [15132] = {.lex_state = 15, .external_lex_state = 3},
  [15133] = {.lex_state = 15, .external_lex_state = 3},
  [15134] = {.lex_state = 6, .external_lex_state = 3},
  [15135] = {.lex_state = 8, .external_lex_state = 3},
  [15136] = {.lex_state = 15, .external_lex_state = 3},
  [15137] = {.lex_state = 15, .external_lex_state = 8},
  [15138] = {.lex_state = 142, .external_lex_state = 3},
  [15139] = {.lex_state = 15, .external_lex_state = 3},
  [15140] = {.lex_state = 15, .external_lex_state = 3},
  [15141] = {.lex_state = 15, .external_lex_state = 3},
  [15142] = {.lex_state = 15, .external_lex_state = 3},
  [15143] = {.lex_state = 15, .external_lex_state = 8},
  [15144] = {.lex_state = 15, .external_lex_state = 8},
  [15145] = {.lex_state = 15, .external_lex_state = 3},
  [15146] = {.lex_state = 15, .external_lex_state = 3},
  [15147] = {.lex_state = 15, .external_lex_state = 3},
  [15148] = {.lex_state = 6, .external_lex_state = 3},
  [15149] = {.lex_state = 15, .external_lex_state = 3},
  [15150] = {.lex_state = 179, .external_lex_state = 3},
  [15151] = {.lex_state = 15, .external_lex_state = 3},
  [15152] = {.lex_state = 15, .external_lex_state = 8},
  [15153] = {.lex_state = 15, .external_lex_state = 3},
  [15154] = {.lex_state = 15, .external_lex_state = 3},
  [15155] = {.lex_state = 15, .external_lex_state = 8},
  [15156] = {.lex_state = 8, .external_lex_state = 3},
  [15157] = {.lex_state = 15, .external_lex_state = 3},
  [15158] = {.lex_state = 15, .external_lex_state = 3},
  [15159] = {.lex_state = 15, .external_lex_state = 3},
  [15160] = {.lex_state = 15, .external_lex_state = 3},
  [15161] = {.lex_state = 165, .external_lex_state = 3},
  [15162] = {.lex_state = 15, .external_lex_state = 3},
  [15163] = {.lex_state = 15, .external_lex_state = 3},
  [15164] = {.lex_state = 6, .external_lex_state = 3},
  [15165] = {.lex_state = 179, .external_lex_state = 3},
  [15166] = {.lex_state = 15, .external_lex_state = 3},
  [15167] = {.lex_state = 15, .external_lex_state = 3},
  [15168] = {.lex_state = 179, .external_lex_state = 3},
  [15169] = {.lex_state = 179, .external_lex_state = 3},
  [15170] = {.lex_state = 15, .external_lex_state = 3},
  [15171] = {.lex_state = 15, .external_lex_state = 3},
  [15172] = {.lex_state = 191, .external_lex_state = 3},
  [15173] = {.lex_state = 15, .external_lex_state = 3},
  [15174] = {.lex_state = 15, .external_lex_state = 8},
  [15175] = {.lex_state = 179, .external_lex_state = 3},
  [15176] = {.lex_state = 15, .external_lex_state = 3},
  [15177] = {.lex_state = 15, .external_lex_state = 3},
  [15178] = {.lex_state = 15, .external_lex_state = 3},
  [15179] = {.lex_state = 15, .external_lex_state = 3},
  [15180] = {.lex_state = 15, .external_lex_state = 3},
  [15181] = {.lex_state = 15, .external_lex_state = 3},
  [15182] = {.lex_state = 15, .external_lex_state = 3},
  [15183] = {.lex_state = 142, .external_lex_state = 3},
  [15184] = {.lex_state = 142, .external_lex_state = 3},
  [15185] = {.lex_state = 142, .external_lex_state = 3},
  [15186] = {.lex_state = 15, .external_lex_state = 3},
  [15187] = {.lex_state = 142, .external_lex_state = 3},
  [15188] = {.lex_state = 15, .external_lex_state = 3},
  [15189] = {.lex_state = 15, .external_lex_state = 3},
  [15190] = {.lex_state = 8, .external_lex_state = 3},
  [15191] = {.lex_state = 142, .external_lex_state = 3},
  [15192] = {.lex_state = 8, .external_lex_state = 3},
  [15193] = {.lex_state = 15, .external_lex_state = 3},
  [15194] = {.lex_state = 15, .external_lex_state = 3},
  [15195] = {.lex_state = 142, .external_lex_state = 3},
  [15196] = {.lex_state = 15, .external_lex_state = 3},
  [15197] = {.lex_state = 15, .external_lex_state = 3},
  [15198] = {.lex_state = 15, .external_lex_state = 3},
  [15199] = {.lex_state = 142, .external_lex_state = 3},
  [15200] = {.lex_state = 191, .external_lex_state = 3},
  [15201] = {.lex_state = 15, .external_lex_state = 3},
  [15202] = {.lex_state = 15, .external_lex_state = 3},
  [15203] = {.lex_state = 171, .external_lex_state = 3},
  [15204] = {.lex_state = 171, .external_lex_state = 3},
  [15205] = {.lex_state = 8, .external_lex_state = 3},
  [15206] = {.lex_state = 15, .external_lex_state = 3},
  [15207] = {.lex_state = 15, .external_lex_state = 3},
  [15208] = {.lex_state = 6, .external_lex_state = 3},
  [15209] = {.lex_state = 15, .external_lex_state = 3},
  [15210] = {.lex_state = 6, .external_lex_state = 3},
  [15211] = {.lex_state = 6, .external_lex_state = 3},
  [15212] = {.lex_state = 15, .external_lex_state = 3},
  [15213] = {.lex_state = 15, .external_lex_state = 3},
  [15214] = {.lex_state = 15, .external_lex_state = 3},
  [15215] = {.lex_state = 15, .external_lex_state = 3},
  [15216] = {.lex_state = 15, .external_lex_state = 3},
  [15217] = {.lex_state = 15, .external_lex_state = 3},
  [15218] = {.lex_state = 15, .external_lex_state = 3},
  [15219] = {.lex_state = 6, .external_lex_state = 3},
  [15220] = {.lex_state = 15, .external_lex_state = 3},
  [15221] = {.lex_state = 15, .external_lex_state = 3},
  [15222] = {.lex_state = 15, .external_lex_state = 3},
  [15223] = {.lex_state = 6, .external_lex_state = 3},
  [15224] = {.lex_state = 15, .external_lex_state = 3},
  [15225] = {.lex_state = 15, .external_lex_state = 3},
  [15226] = {.lex_state = 6, .external_lex_state = 3},
  [15227] = {.lex_state = 15, .external_lex_state = 3},
  [15228] = {.lex_state = 15, .external_lex_state = 3},
  [15229] = {.lex_state = 6, .external_lex_state = 3},
  [15230] = {.lex_state = 15, .external_lex_state = 3},
  [15231] = {.lex_state = 15, .external_lex_state = 3},
  [15232] = {.lex_state = 132, .external_lex_state = 3},
  [15233] = {.lex_state = 15, .external_lex_state = 3},
  [15234] = {.lex_state = 6, .external_lex_state = 3},
  [15235] = {.lex_state = 6, .external_lex_state = 3},
  [15236] = {.lex_state = 6, .external_lex_state = 3},
  [15237] = {.lex_state = 15, .external_lex_state = 3},
  [15238] = {.lex_state = 15, .external_lex_state = 3},
  [15239] = {.lex_state = 6, .external_lex_state = 3},
  [15240] = {.lex_state = 15, .external_lex_state = 3},
  [15241] = {.lex_state = 6, .external_lex_state = 3},
  [15242] = {.lex_state = 15, .external_lex_state = 3},
  [15243] = {.lex_state = 15, .external_lex_state = 3},
  [15244] = {.lex_state = 132, .external_lex_state = 3},
  [15245] = {.lex_state = 132, .external_lex_state = 3},
  [15246] = {.lex_state = 15, .external_lex_state = 3},
  [15247] = {.lex_state = 6, .external_lex_state = 3},
  [15248] = {.lex_state = 15, .external_lex_state = 3},
  [15249] = {.lex_state = 6, .external_lex_state = 3},
  [15250] = {.lex_state = 15, .external_lex_state = 3},
  [15251] = {.lex_state = 15, .external_lex_state = 3},
  [15252] = {.lex_state = 15, .external_lex_state = 3},
  [15253] = {.lex_state = 6, .external_lex_state = 3},
  [15254] = {.lex_state = 6, .external_lex_state = 3},
  [15255] = {.lex_state = 15, .external_lex_state = 3},
  [15256] = {.lex_state = 15, .external_lex_state = 3},
  [15257] = {.lex_state = 15, .external_lex_state = 3},
  [15258] = {.lex_state = 15, .external_lex_state = 3},
  [15259] = {.lex_state = 15, .external_lex_state = 3},
  [15260] = {.lex_state = 15, .external_lex_state = 3},
  [15261] = {.lex_state = 15, .external_lex_state = 3},
  [15262] = {.lex_state = 15, .external_lex_state = 3},
  [15263] = {.lex_state = 15, .external_lex_state = 3},
  [15264] = {.lex_state = 15, .external_lex_state = 3},
  [15265] = {.lex_state = 6, .external_lex_state = 3},
  [15266] = {.lex_state = 15, .external_lex_state = 3},
  [15267] = {.lex_state = 6, .external_lex_state = 3},
  [15268] = {.lex_state = 15, .external_lex_state = 3},
  [15269] = {.lex_state = 6, .external_lex_state = 3},
  [15270] = {.lex_state = 15, .external_lex_state = 3},
  [15271] = {.lex_state = 6, .external_lex_state = 3},
  [15272] = {.lex_state = 6, .external_lex_state = 3},
  [15273] = {.lex_state = 15, .external_lex_state = 3},
  [15274] = {.lex_state = 15, .external_lex_state = 3},
  [15275] = {.lex_state = 6, .external_lex_state = 3},
  [15276] = {.lex_state = 15, .external_lex_state = 3},
  [15277] = {.lex_state = 15, .external_lex_state = 3},
  [15278] = {.lex_state = 15, .external_lex_state = 3},
  [15279] = {.lex_state = 15, .external_lex_state = 3},
  [15280] = {.lex_state = 15, .external_lex_state = 3},
  [15281] = {.lex_state = 15, .external_lex_state = 3},
  [15282] = {.lex_state = 15, .external_lex_state = 3},
  [15283] = {.lex_state = 15, .external_lex_state = 3},
  [15284] = {.lex_state = 6, .external_lex_state = 3},
  [15285] = {.lex_state = 15, .external_lex_state = 3},
  [15286] = {.lex_state = 15, .external_lex_state = 3},
  [15287] = {.lex_state = 15, .external_lex_state = 3},
  [15288] = {.lex_state = 15, .external_lex_state = 3},
  [15289] = {.lex_state = 15, .external_lex_state = 3},
  [15290] = {.lex_state = 15, .external_lex_state = 3},
  [15291] = {.lex_state = 15, .external_lex_state = 3},
  [15292] = {.lex_state = 15, .external_lex_state = 3},
  [15293] = {.lex_state = 8, .external_lex_state = 3},
  [15294] = {.lex_state = 15, .external_lex_state = 3},
  [15295] = {.lex_state = 15, .external_lex_state = 3},
  [15296] = {.lex_state = 15, .external_lex_state = 3},
  [15297] = {.lex_state = 15, .external_lex_state = 3},
  [15298] = {.lex_state = 6, .external_lex_state = 3},
  [15299] = {.lex_state = 15, .external_lex_state = 3},
  [15300] = {.lex_state = 15, .external_lex_state = 3},
  [15301] = {.lex_state = 15, .external_lex_state = 3},
  [15302] = {.lex_state = 6, .external_lex_state = 3},
  [15303] = {.lex_state = 15, .external_lex_state = 3},
  [15304] = {.lex_state = 15, .external_lex_state = 3},
  [15305] = {.lex_state = 6, .external_lex_state = 3},
  [15306] = {.lex_state = 15, .external_lex_state = 3},
  [15307] = {.lex_state = 6, .external_lex_state = 3},
  [15308] = {.lex_state = 15, .external_lex_state = 3},
  [15309] = {.lex_state = 15, .external_lex_state = 3},
  [15310] = {.lex_state = 15, .external_lex_state = 3},
  [15311] = {.lex_state = 15, .external_lex_state = 3},
  [15312] = {.lex_state = 15, .external_lex_state = 3},
  [15313] = {.lex_state = 15, .external_lex_state = 3},
  [15314] = {.lex_state = 15, .external_lex_state = 3},
  [15315] = {.lex_state = 15, .external_lex_state = 3},
  [15316] = {.lex_state = 6, .external_lex_state = 3},
  [15317] = {.lex_state = 15, .external_lex_state = 3},
  [15318] = {.lex_state = 15, .external_lex_state = 3},
  [15319] = {.lex_state = 15, .external_lex_state = 3},
  [15320] = {.lex_state = 15, .external_lex_state = 3},
  [15321] = {.lex_state = 15, .external_lex_state = 3},
  [15322] = {.lex_state = 6, .external_lex_state = 3},
  [15323] = {.lex_state = 15, .external_lex_state = 3},
  [15324] = {.lex_state = 15, .external_lex_state = 3},
  [15325] = {.lex_state = 15, .external_lex_state = 3},
  [15326] = {.lex_state = 15, .external_lex_state = 3},
  [15327] = {.lex_state = 15, .external_lex_state = 3},
  [15328] = {.lex_state = 15, .external_lex_state = 3},
  [15329] = {.lex_state = 15, .external_lex_state = 3},
  [15330] = {.lex_state = 6, .external_lex_state = 3},
  [15331] = {.lex_state = 15, .external_lex_state = 3},
  [15332] = {.lex_state = 15, .external_lex_state = 3},
  [15333] = {.lex_state = 15, .external_lex_state = 3},
  [15334] = {.lex_state = 6, .external_lex_state = 3},
  [15335] = {.lex_state = 15, .external_lex_state = 3},
  [15336] = {.lex_state = 15, .external_lex_state = 3},
  [15337] = {.lex_state = 15, .external_lex_state = 3},
  [15338] = {.lex_state = 6, .external_lex_state = 3},
  [15339] = {.lex_state = 15, .external_lex_state = 3},
  [15340] = {.lex_state = 6, .external_lex_state = 3},
  [15341] = {.lex_state = 15, .external_lex_state = 3},
  [15342] = {.lex_state = 6, .external_lex_state = 3},
  [15343] = {.lex_state = 15, .external_lex_state = 3},
  [15344] = {.lex_state = 15, .external_lex_state = 3},
  [15345] = {.lex_state = 6, .external_lex_state = 3},
  [15346] = {.lex_state = 15, .external_lex_state = 3},
  [15347] = {.lex_state = 6, .external_lex_state = 3},
  [15348] = {.lex_state = 15, .external_lex_state = 3},
  [15349] = {.lex_state = 15, .external_lex_state = 3},
  [15350] = {.lex_state = 15, .external_lex_state = 3},
  [15351] = {.lex_state = 15, .external_lex_state = 3},
  [15352] = {.lex_state = 6, .external_lex_state = 3},
  [15353] = {.lex_state = 15, .external_lex_state = 3},
  [15354] = {.lex_state = 15, .external_lex_state = 3},
  [15355] = {.lex_state = 424, .external_lex_state = 3},
  [15356] = {.lex_state = 424, .external_lex_state = 3},
  [15357] = {.lex_state = 15, .external_lex_state = 3},
  [15358] = {.lex_state = 15, .external_lex_state = 3},
  [15359] = {.lex_state = 15, .external_lex_state = 3},
  [15360] = {.lex_state = 15, .external_lex_state = 3},
  [15361] = {.lex_state = 15, .external_lex_state = 3},
  [15362] = {.lex_state = 132, .external_lex_state = 3},
  [15363] = {.lex_state = 15, .external_lex_state = 3},
  [15364] = {.lex_state = 15, .external_lex_state = 3},
  [15365] = {.lex_state = 15, .external_lex_state = 3},
  [15366] = {.lex_state = 15, .external_lex_state = 3},
  [15367] = {.lex_state = 6, .external_lex_state = 3},
  [15368] = {.lex_state = 15, .external_lex_state = 3},
  [15369] = {.lex_state = 15, .external_lex_state = 3},
  [15370] = {.lex_state = 15, .external_lex_state = 3},
  [15371] = {.lex_state = 6, .external_lex_state = 3},
  [15372] = {.lex_state = 132, .external_lex_state = 3},
  [15373] = {.lex_state = 15, .external_lex_state = 3},
  [15374] = {.lex_state = 15, .external_lex_state = 3},
  [15375] = {.lex_state = 15, .external_lex_state = 3},
  [15376] = {.lex_state = 6, .external_lex_state = 3},
  [15377] = {.lex_state = 132, .external_lex_state = 3},
  [15378] = {.lex_state = 15, .external_lex_state = 3},
  [15379] = {.lex_state = 15, .external_lex_state = 3},
  [15380] = {.lex_state = 6, .external_lex_state = 3},
  [15381] = {.lex_state = 15, .external_lex_state = 3},
  [15382] = {.lex_state = 15, .external_lex_state = 3},
  [15383] = {.lex_state = 15, .external_lex_state = 3},
  [15384] = {.lex_state = 132, .external_lex_state = 3},
  [15385] = {.lex_state = 15, .external_lex_state = 3},
  [15386] = {.lex_state = 15, .external_lex_state = 3},
  [15387] = {.lex_state = 6, .external_lex_state = 3},
  [15388] = {.lex_state = 15, .external_lex_state = 3},
  [15389] = {.lex_state = 15, .external_lex_state = 3},
  [15390] = {.lex_state = 15, .external_lex_state = 3},
  [15391] = {.lex_state = 15, .external_lex_state = 3},
  [15392] = {.lex_state = 15, .external_lex_state = 3},
  [15393] = {.lex_state = 15, .external_lex_state = 3},
  [15394] = {.lex_state = 15, .external_lex_state = 3},
  [15395] = {.lex_state = 15, .external_lex_state = 3},
  [15396] = {.lex_state = 6, .external_lex_state = 3},
  [15397] = {.lex_state = 6, .external_lex_state = 3},
  [15398] = {.lex_state = 15, .external_lex_state = 3},
  [15399] = {.lex_state = 15, .external_lex_state = 3},
  [15400] = {.lex_state = 15, .external_lex_state = 3},
  [15401] = {.lex_state = 6, .external_lex_state = 3},
  [15402] = {.lex_state = 15, .external_lex_state = 3},
  [15403] = {.lex_state = 15, .external_lex_state = 3},
  [15404] = {.lex_state = 6, .external_lex_state = 3},
  [15405] = {.lex_state = 6, .external_lex_state = 3},
  [15406] = {.lex_state = 132, .external_lex_state = 3},
  [15407] = {.lex_state = 15, .external_lex_state = 3},
  [15408] = {.lex_state = 6, .external_lex_state = 3},
  [15409] = {.lex_state = 15, .external_lex_state = 3},
  [15410] = {.lex_state = 15, .external_lex_state = 3},
  [15411] = {.lex_state = 132, .external_lex_state = 3},
  [15412] = {.lex_state = 15, .external_lex_state = 3},
  [15413] = {.lex_state = 15, .external_lex_state = 3},
  [15414] = {.lex_state = 6, .external_lex_state = 3},
  [15415] = {.lex_state = 15, .external_lex_state = 3},
  [15416] = {.lex_state = 6, .external_lex_state = 3},
  [15417] = {.lex_state = 15, .external_lex_state = 3},
  [15418] = {.lex_state = 15, .external_lex_state = 3},
  [15419] = {.lex_state = 15, .external_lex_state = 3},
  [15420] = {.lex_state = 15, .external_lex_state = 3},
  [15421] = {.lex_state = 15, .external_lex_state = 3},
  [15422] = {.lex_state = 15, .external_lex_state = 3},
  [15423] = {.lex_state = 15, .external_lex_state = 3},
  [15424] = {.lex_state = 132, .external_lex_state = 3},
  [15425] = {.lex_state = 15, .external_lex_state = 3},
  [15426] = {.lex_state = 15, .external_lex_state = 3},
  [15427] = {.lex_state = 15, .external_lex_state = 3},
  [15428] = {.lex_state = 15, .external_lex_state = 3},
  [15429] = {.lex_state = 15, .external_lex_state = 3},
  [15430] = {.lex_state = 15, .external_lex_state = 3},
  [15431] = {.lex_state = 15, .external_lex_state = 3},
  [15432] = {.lex_state = 15, .external_lex_state = 3},
  [15433] = {.lex_state = 15, .external_lex_state = 3},
  [15434] = {.lex_state = 6, .external_lex_state = 3},
  [15435] = {.lex_state = 6, .external_lex_state = 3},
  [15436] = {.lex_state = 6, .external_lex_state = 3},
  [15437] = {.lex_state = 6, .external_lex_state = 3},
  [15438] = {.lex_state = 6, .external_lex_state = 3},
  [15439] = {.lex_state = 6, .external_lex_state = 3},
  [15440] = {.lex_state = 15, .external_lex_state = 3},
  [15441] = {.lex_state = 15, .external_lex_state = 3},
  [15442] = {.lex_state = 15, .external_lex_state = 3},
  [15443] = {.lex_state = 15, .external_lex_state = 3},
  [15444] = {.lex_state = 15, .external_lex_state = 3},
  [15445] = {.lex_state = 15, .external_lex_state = 3},
  [15446] = {.lex_state = 15, .external_lex_state = 3},
  [15447] = {.lex_state = 15, .external_lex_state = 3},
  [15448] = {.lex_state = 15, .external_lex_state = 3},
  [15449] = {.lex_state = 15, .external_lex_state = 3},
  [15450] = {.lex_state = 15, .external_lex_state = 3},
  [15451] = {.lex_state = 15, .external_lex_state = 3},
  [15452] = {.lex_state = 15, .external_lex_state = 3},
  [15453] = {.lex_state = 15, .external_lex_state = 3},
  [15454] = {.lex_state = 15, .external_lex_state = 3},
  [15455] = {.lex_state = 15, .external_lex_state = 3},
  [15456] = {.lex_state = 15, .external_lex_state = 3},
  [15457] = {.lex_state = 6, .external_lex_state = 3},
  [15458] = {.lex_state = 15, .external_lex_state = 3},
  [15459] = {.lex_state = 15, .external_lex_state = 3},
  [15460] = {.lex_state = 15, .external_lex_state = 3},
  [15461] = {.lex_state = 15, .external_lex_state = 3},
  [15462] = {.lex_state = 15, .external_lex_state = 3},
  [15463] = {.lex_state = 15, .external_lex_state = 3},
  [15464] = {.lex_state = 6, .external_lex_state = 3},
  [15465] = {.lex_state = 15, .external_lex_state = 3},
  [15466] = {.lex_state = 15, .external_lex_state = 3},
  [15467] = {.lex_state = 6, .external_lex_state = 3},
  [15468] = {.lex_state = 15, .external_lex_state = 3},
  [15469] = {.lex_state = 15, .external_lex_state = 3},
  [15470] = {.lex_state = 15, .external_lex_state = 3},
  [15471] = {.lex_state = 132, .external_lex_state = 3},
  [15472] = {.lex_state = 15, .external_lex_state = 3},
  [15473] = {.lex_state = 6, .external_lex_state = 3},
  [15474] = {.lex_state = 15, .external_lex_state = 3},
  [15475] = {.lex_state = 15, .external_lex_state = 3},
  [15476] = {.lex_state = 15, .external_lex_state = 3},
  [15477] = {.lex_state = 15, .external_lex_state = 3},
  [15478] = {.lex_state = 6, .external_lex_state = 3},
  [15479] = {.lex_state = 6, .external_lex_state = 3},
  [15480] = {.lex_state = 15, .external_lex_state = 3},
  [15481] = {.lex_state = 6, .external_lex_state = 3},
  [15482] = {.lex_state = 15, .external_lex_state = 3},
  [15483] = {.lex_state = 15, .external_lex_state = 3},
  [15484] = {.lex_state = 132, .external_lex_state = 3},
  [15485] = {.lex_state = 15, .external_lex_state = 3},
  [15486] = {.lex_state = 15, .external_lex_state = 3},
  [15487] = {.lex_state = 15, .external_lex_state = 3},
  [15488] = {.lex_state = 15, .external_lex_state = 3},
  [15489] = {.lex_state = 15, .external_lex_state = 3},
  [15490] = {.lex_state = 6, .external_lex_state = 3},
  [15491] = {.lex_state = 6, .external_lex_state = 3},
  [15492] = {.lex_state = 15, .external_lex_state = 3},
  [15493] = {.lex_state = 15, .external_lex_state = 3},
  [15494] = {.lex_state = 15, .external_lex_state = 3},
  [15495] = {.lex_state = 15, .external_lex_state = 3},
  [15496] = {.lex_state = 15, .external_lex_state = 3},
  [15497] = {.lex_state = 15, .external_lex_state = 3},
  [15498] = {.lex_state = 15, .external_lex_state = 3},
  [15499] = {.lex_state = 6, .external_lex_state = 3},
  [15500] = {.lex_state = 6, .external_lex_state = 3},
  [15501] = {.lex_state = 15, .external_lex_state = 3},
  [15502] = {.lex_state = 15, .external_lex_state = 3},
  [15503] = {.lex_state = 15, .external_lex_state = 3},
  [15504] = {.lex_state = 15, .external_lex_state = 3},
  [15505] = {.lex_state = 15, .external_lex_state = 3},
  [15506] = {.lex_state = 15, .external_lex_state = 3},
  [15507] = {.lex_state = 15, .external_lex_state = 3},
  [15508] = {.lex_state = 15, .external_lex_state = 3},
  [15509] = {.lex_state = 15, .external_lex_state = 3},
  [15510] = {.lex_state = 15, .external_lex_state = 3},
  [15511] = {.lex_state = 15, .external_lex_state = 3},
  [15512] = {.lex_state = 15, .external_lex_state = 3},
  [15513] = {.lex_state = 15, .external_lex_state = 3},
  [15514] = {.lex_state = 15, .external_lex_state = 3},
  [15515] = {.lex_state = 15, .external_lex_state = 3},
  [15516] = {.lex_state = 15, .external_lex_state = 3},
  [15517] = {.lex_state = 424, .external_lex_state = 3},
  [15518] = {.lex_state = 15, .external_lex_state = 3},
  [15519] = {.lex_state = 6, .external_lex_state = 3},
  [15520] = {.lex_state = 15, .external_lex_state = 3},
  [15521] = {.lex_state = 15, .external_lex_state = 3},
  [15522] = {.lex_state = 15, .external_lex_state = 3},
  [15523] = {.lex_state = 15, .external_lex_state = 3},
  [15524] = {.lex_state = 15, .external_lex_state = 3},
  [15525] = {.lex_state = 6, .external_lex_state = 3},
  [15526] = {.lex_state = 15, .external_lex_state = 3},
  [15527] = {.lex_state = 15, .external_lex_state = 3},
  [15528] = {.lex_state = 15, .external_lex_state = 3},
  [15529] = {.lex_state = 15, .external_lex_state = 3},
  [15530] = {.lex_state = 15, .external_lex_state = 3},
  [15531] = {.lex_state = 15, .external_lex_state = 3},
  [15532] = {.lex_state = 15, .external_lex_state = 3},
  [15533] = {.lex_state = 15, .external_lex_state = 3},
  [15534] = {.lex_state = 15, .external_lex_state = 3},
  [15535] = {.lex_state = 6, .external_lex_state = 3},
  [15536] = {.lex_state = 6, .external_lex_state = 3},
  [15537] = {.lex_state = 15, .external_lex_state = 3},
  [15538] = {.lex_state = 15, .external_lex_state = 3},
  [15539] = {.lex_state = 15, .external_lex_state = 3},
  [15540] = {.lex_state = 6, .external_lex_state = 3},
  [15541] = {.lex_state = 15, .external_lex_state = 3},
  [15542] = {.lex_state = 6, .external_lex_state = 3},
  [15543] = {.lex_state = 15, .external_lex_state = 3},
  [15544] = {.lex_state = 15, .external_lex_state = 3},
  [15545] = {.lex_state = 15, .external_lex_state = 3},
  [15546] = {.lex_state = 15, .external_lex_state = 3},
  [15547] = {.lex_state = 15, .external_lex_state = 3},
  [15548] = {.lex_state = 15, .external_lex_state = 3},
  [15549] = {.lex_state = 15, .external_lex_state = 3},
  [15550] = {.lex_state = 15, .external_lex_state = 3},
  [15551] = {.lex_state = 15, .external_lex_state = 3},
  [15552] = {.lex_state = 15, .external_lex_state = 3},
  [15553] = {.lex_state = 6, .external_lex_state = 3},
  [15554] = {.lex_state = 15, .external_lex_state = 3},
  [15555] = {.lex_state = 6, .external_lex_state = 3},
  [15556] = {.lex_state = 15, .external_lex_state = 3},
  [15557] = {.lex_state = 15, .external_lex_state = 3},
  [15558] = {.lex_state = 15, .external_lex_state = 3},
  [15559] = {.lex_state = 15, .external_lex_state = 3},
  [15560] = {.lex_state = 15, .external_lex_state = 3},
  [15561] = {.lex_state = 15, .external_lex_state = 3},
  [15562] = {.lex_state = 6, .external_lex_state = 3},
  [15563] = {.lex_state = 15, .external_lex_state = 3},
  [15564] = {.lex_state = 15, .external_lex_state = 3},
  [15565] = {.lex_state = 15, .external_lex_state = 3},
  [15566] = {.lex_state = 15, .external_lex_state = 3},
  [15567] = {.lex_state = 6, .external_lex_state = 3},
  [15568] = {.lex_state = 15, .external_lex_state = 3},
  [15569] = {.lex_state = 15, .external_lex_state = 3},
  [15570] = {.lex_state = 15, .external_lex_state = 3},
  [15571] = {.lex_state = 15, .external_lex_state = 3},
  [15572] = {.lex_state = 15, .external_lex_state = 3},
  [15573] = {.lex_state = 6, .external_lex_state = 3},
  [15574] = {.lex_state = 15, .external_lex_state = 3},
  [15575] = {.lex_state = 6, .external_lex_state = 3},
  [15576] = {.lex_state = 15, .external_lex_state = 3},
  [15577] = {.lex_state = 6, .external_lex_state = 3},
  [15578] = {.lex_state = 6, .external_lex_state = 3},
  [15579] = {.lex_state = 6, .external_lex_state = 3},
  [15580] = {.lex_state = 15, .external_lex_state = 3},
  [15581] = {.lex_state = 15, .external_lex_state = 3},
  [15582] = {.lex_state = 15, .external_lex_state = 3},
  [15583] = {.lex_state = 15, .external_lex_state = 3},
  [15584] = {.lex_state = 15, .external_lex_state = 3},
  [15585] = {.lex_state = 15, .external_lex_state = 3},
  [15586] = {.lex_state = 15, .external_lex_state = 3},
  [15587] = {.lex_state = 6, .external_lex_state = 3},
  [15588] = {.lex_state = 15, .external_lex_state = 3},
  [15589] = {.lex_state = 6, .external_lex_state = 3},
  [15590] = {.lex_state = 15, .external_lex_state = 3},
  [15591] = {.lex_state = 6, .external_lex_state = 3},
  [15592] = {.lex_state = 6, .external_lex_state = 3},
  [15593] = {.lex_state = 15, .external_lex_state = 3},
  [15594] = {.lex_state = 6, .external_lex_state = 3},
  [15595] = {.lex_state = 15, .external_lex_state = 3},
  [15596] = {.lex_state = 15, .external_lex_state = 3},
  [15597] = {.lex_state = 6, .external_lex_state = 3},
  [15598] = {.lex_state = 15, .external_lex_state = 3},
  [15599] = {.lex_state = 6, .external_lex_state = 3},
  [15600] = {.lex_state = 15, .external_lex_state = 3},
  [15601] = {.lex_state = 15, .external_lex_state = 3},
  [15602] = {.lex_state = 15, .external_lex_state = 3},
  [15603] = {.lex_state = 15, .external_lex_state = 3},
  [15604] = {.lex_state = 6, .external_lex_state = 3},
  [15605] = {.lex_state = 15, .external_lex_state = 3},
  [15606] = {.lex_state = 15, .external_lex_state = 3},
  [15607] = {.lex_state = 15, .external_lex_state = 3},
  [15608] = {.lex_state = 411, .external_lex_state = 3},
  [15609] = {.lex_state = 15, .external_lex_state = 3},
  [15610] = {.lex_state = 165, .external_lex_state = 3},
  [15611] = {.lex_state = 15, .external_lex_state = 3},
  [15612] = {.lex_state = 15, .external_lex_state = 3},
  [15613] = {.lex_state = 15, .external_lex_state = 3},
  [15614] = {.lex_state = 15, .external_lex_state = 3},
  [15615] = {.lex_state = 15, .external_lex_state = 3},
  [15616] = {.lex_state = 15, .external_lex_state = 3},
  [15617] = {.lex_state = 15, .external_lex_state = 3},
  [15618] = {.lex_state = 15, .external_lex_state = 3},
  [15619] = {.lex_state = 6, .external_lex_state = 3},
  [15620] = {.lex_state = 15, .external_lex_state = 3},
  [15621] = {.lex_state = 15, .external_lex_state = 3},
  [15622] = {.lex_state = 179, .external_lex_state = 3},
  [15623] = {.lex_state = 15, .external_lex_state = 3},
  [15624] = {.lex_state = 381, .external_lex_state = 3},
  [15625] = {.lex_state = 15, .external_lex_state = 3},
  [15626] = {.lex_state = 179, .external_lex_state = 3},
  [15627] = {.lex_state = 15, .external_lex_state = 3},
  [15628] = {.lex_state = 15, .external_lex_state = 3},
  [15629] = {.lex_state = 6, .external_lex_state = 3},
  [15630] = {.lex_state = 15, .external_lex_state = 3},
  [15631] = {.lex_state = 15, .external_lex_state = 3},
  [15632] = {.lex_state = 15, .external_lex_state = 3},
  [15633] = {.lex_state = 15, .external_lex_state = 3},
  [15634] = {.lex_state = 15, .external_lex_state = 3},
  [15635] = {.lex_state = 15, .external_lex_state = 3},
  [15636] = {.lex_state = 411, .external_lex_state = 3},
  [15637] = {.lex_state = 6, .external_lex_state = 3},
  [15638] = {.lex_state = 179, .external_lex_state = 3},
  [15639] = {.lex_state = 15, .external_lex_state = 3},
  [15640] = {.lex_state = 411, .external_lex_state = 3},
  [15641] = {.lex_state = 165, .external_lex_state = 3},
  [15642] = {.lex_state = 15, .external_lex_state = 3},
  [15643] = {.lex_state = 15, .external_lex_state = 3},
  [15644] = {.lex_state = 25, .external_lex_state = 3},
  [15645] = {.lex_state = 15, .external_lex_state = 3},
  [15646] = {.lex_state = 15, .external_lex_state = 3},
  [15647] = {.lex_state = 6, .external_lex_state = 3},
  [15648] = {.lex_state = 6, .external_lex_state = 3},
  [15649] = {.lex_state = 15, .external_lex_state = 3},
  [15650] = {.lex_state = 15, .external_lex_state = 3},
  [15651] = {.lex_state = 15, .external_lex_state = 3},
  [15652] = {.lex_state = 15, .external_lex_state = 3},
  [15653] = {.lex_state = 381, .external_lex_state = 3},
  [15654] = {.lex_state = 15, .external_lex_state = 3},
  [15655] = {.lex_state = 15, .external_lex_state = 3},
  [15656] = {.lex_state = 15, .external_lex_state = 3},
  [15657] = {.lex_state = 411, .external_lex_state = 3},
  [15658] = {.lex_state = 15, .external_lex_state = 3},
  [15659] = {.lex_state = 6, .external_lex_state = 3},
  [15660] = {.lex_state = 15, .external_lex_state = 3},
  [15661] = {.lex_state = 6, .external_lex_state = 3},
  [15662] = {.lex_state = 165, .external_lex_state = 3},
  [15663] = {.lex_state = 381, .external_lex_state = 3},
  [15664] = {.lex_state = 15, .external_lex_state = 3},
  [15665] = {.lex_state = 15, .external_lex_state = 3},
  [15666] = {.lex_state = 15, .external_lex_state = 3},
  [15667] = {.lex_state = 381, .external_lex_state = 3},
  [15668] = {.lex_state = 15, .external_lex_state = 3},
  [15669] = {.lex_state = 15, .external_lex_state = 3},
  [15670] = {.lex_state = 424, .external_lex_state = 3},
  [15671] = {.lex_state = 15, .external_lex_state = 3},
  [15672] = {.lex_state = 15, .external_lex_state = 3},
  [15673] = {.lex_state = 15, .external_lex_state = 3},
  [15674] = {.lex_state = 15, .external_lex_state = 3},
  [15675] = {.lex_state = 15, .external_lex_state = 3},
  [15676] = {.lex_state = 15, .external_lex_state = 3},
  [15677] = {.lex_state = 15, .external_lex_state = 3},
  [15678] = {.lex_state = 15, .external_lex_state = 3},
  [15679] = {.lex_state = 15, .external_lex_state = 3},
  [15680] = {.lex_state = 15, .external_lex_state = 3},
  [15681] = {.lex_state = 15, .external_lex_state = 3},
  [15682] = {.lex_state = 15, .external_lex_state = 3},
  [15683] = {.lex_state = 381, .external_lex_state = 3},
  [15684] = {.lex_state = 6, .external_lex_state = 3},
  [15685] = {.lex_state = 165, .external_lex_state = 3},
  [15686] = {.lex_state = 424, .external_lex_state = 3},
  [15687] = {.lex_state = 15, .external_lex_state = 3},
  [15688] = {.lex_state = 15, .external_lex_state = 3},
  [15689] = {.lex_state = 15, .external_lex_state = 3},
  [15690] = {.lex_state = 6, .external_lex_state = 3},
  [15691] = {.lex_state = 411, .external_lex_state = 3},
  [15692] = {.lex_state = 15, .external_lex_state = 3},
  [15693] = {.lex_state = 15, .external_lex_state = 3},
  [15694] = {.lex_state = 6, .external_lex_state = 3},
  [15695] = {.lex_state = 381, .external_lex_state = 3},
  [15696] = {.lex_state = 411, .external_lex_state = 3},
  [15697] = {.lex_state = 15, .external_lex_state = 3},
  [15698] = {.lex_state = 15, .external_lex_state = 3},
  [15699] = {.lex_state = 6, .external_lex_state = 3},
  [15700] = {.lex_state = 6, .external_lex_state = 3},
  [15701] = {.lex_state = 15, .external_lex_state = 3},
  [15702] = {.lex_state = 15, .external_lex_state = 3},
  [15703] = {.lex_state = 411, .external_lex_state = 3},
  [15704] = {.lex_state = 15, .external_lex_state = 3},
  [15705] = {.lex_state = 15, .external_lex_state = 3},
  [15706] = {.lex_state = 15, .external_lex_state = 3},
  [15707] = {.lex_state = 15, .external_lex_state = 3},
  [15708] = {.lex_state = 15, .external_lex_state = 3},
  [15709] = {.lex_state = 15, .external_lex_state = 3},
  [15710] = {.lex_state = 15, .external_lex_state = 3},
  [15711] = {.lex_state = 15, .external_lex_state = 3},
  [15712] = {.lex_state = 25, .external_lex_state = 3},
  [15713] = {.lex_state = 15, .external_lex_state = 3},
  [15714] = {.lex_state = 6, .external_lex_state = 3},
  [15715] = {.lex_state = 15, .external_lex_state = 3},
  [15716] = {.lex_state = 15, .external_lex_state = 3},
  [15717] = {.lex_state = 411, .external_lex_state = 3},
  [15718] = {.lex_state = 6, .external_lex_state = 3},
  [15719] = {.lex_state = 15, .external_lex_state = 3},
  [15720] = {.lex_state = 15, .external_lex_state = 3},
  [15721] = {.lex_state = 15, .external_lex_state = 3},
  [15722] = {.lex_state = 15, .external_lex_state = 3},
  [15723] = {.lex_state = 15, .external_lex_state = 3},
  [15724] = {.lex_state = 15, .external_lex_state = 3},
  [15725] = {.lex_state = 15, .external_lex_state = 3},
  [15726] = {.lex_state = 15, .external_lex_state = 3},
  [15727] = {.lex_state = 6, .external_lex_state = 3},
  [15728] = {.lex_state = 15, .external_lex_state = 3},
  [15729] = {.lex_state = 15, .external_lex_state = 3},
  [15730] = {.lex_state = 411, .external_lex_state = 3},
  [15731] = {.lex_state = 411, .external_lex_state = 3},
  [15732] = {.lex_state = 15, .external_lex_state = 3},
  [15733] = {.lex_state = 6, .external_lex_state = 3},
  [15734] = {.lex_state = 15, .external_lex_state = 3},
  [15735] = {.lex_state = 15, .external_lex_state = 3},
  [15736] = {.lex_state = 15, .external_lex_state = 3},
  [15737] = {.lex_state = 15, .external_lex_state = 3},
  [15738] = {.lex_state = 411, .external_lex_state = 3},
  [15739] = {.lex_state = 15, .external_lex_state = 3},
  [15740] = {.lex_state = 15, .external_lex_state = 3},
  [15741] = {.lex_state = 15, .external_lex_state = 3},
  [15742] = {.lex_state = 15, .external_lex_state = 3},
  [15743] = {.lex_state = 6, .external_lex_state = 3},
  [15744] = {.lex_state = 15, .external_lex_state = 3},
  [15745] = {.lex_state = 15, .external_lex_state = 3},
  [15746] = {.lex_state = 15, .external_lex_state = 3},
  [15747] = {.lex_state = 6, .external_lex_state = 3},
  [15748] = {.lex_state = 15, .external_lex_state = 3},
  [15749] = {.lex_state = 6, .external_lex_state = 3},
  [15750] = {.lex_state = 381, .external_lex_state = 3},
  [15751] = {.lex_state = 15, .external_lex_state = 3},
  [15752] = {.lex_state = 381, .external_lex_state = 3},
  [15753] = {.lex_state = 15, .external_lex_state = 3},
  [15754] = {.lex_state = 15, .external_lex_state = 3},
  [15755] = {.lex_state = 6, .external_lex_state = 3},
  [15756] = {.lex_state = 6, .external_lex_state = 3},
  [15757] = {.lex_state = 15, .external_lex_state = 3},
  [15758] = {.lex_state = 15, .external_lex_state = 3},
  [15759] = {.lex_state = 15, .external_lex_state = 3},
  [15760] = {.lex_state = 15, .external_lex_state = 3},
  [15761] = {.lex_state = 15, .external_lex_state = 3},
  [15762] = {.lex_state = 6, .external_lex_state = 3},
  [15763] = {.lex_state = 6, .external_lex_state = 3},
  [15764] = {.lex_state = 165, .external_lex_state = 3},
  [15765] = {.lex_state = 381, .external_lex_state = 3},
  [15766] = {.lex_state = 15, .external_lex_state = 3},
  [15767] = {.lex_state = 15, .external_lex_state = 3},
  [15768] = {.lex_state = 25, .external_lex_state = 3},
  [15769] = {.lex_state = 15, .external_lex_state = 3},
  [15770] = {.lex_state = 15, .external_lex_state = 3},
  [15771] = {.lex_state = 6, .external_lex_state = 3},
  [15772] = {.lex_state = 6, .external_lex_state = 3},
  [15773] = {.lex_state = 6, .external_lex_state = 3},
  [15774] = {.lex_state = 6, .external_lex_state = 3},
  [15775] = {.lex_state = 15, .external_lex_state = 3},
  [15776] = {.lex_state = 6, .external_lex_state = 3},
  [15777] = {.lex_state = 15, .external_lex_state = 3},
  [15778] = {.lex_state = 6, .external_lex_state = 3},
  [15779] = {.lex_state = 165, .external_lex_state = 3},
  [15780] = {.lex_state = 15, .external_lex_state = 3},
  [15781] = {.lex_state = 165, .external_lex_state = 3},
  [15782] = {.lex_state = 15, .external_lex_state = 3},
  [15783] = {.lex_state = 15, .external_lex_state = 3},
  [15784] = {.lex_state = 15, .external_lex_state = 3},
  [15785] = {.lex_state = 15, .external_lex_state = 3},
  [15786] = {.lex_state = 15, .external_lex_state = 3},
  [15787] = {.lex_state = 381, .external_lex_state = 3},
  [15788] = {.lex_state = 6, .external_lex_state = 3},
  [15789] = {.lex_state = 15, .external_lex_state = 3},
  [15790] = {.lex_state = 15, .external_lex_state = 3},
  [15791] = {.lex_state = 15, .external_lex_state = 3},
  [15792] = {.lex_state = 6, .external_lex_state = 3},
  [15793] = {.lex_state = 15, .external_lex_state = 3},
  [15794] = {.lex_state = 15, .external_lex_state = 3},
  [15795] = {.lex_state = 6, .external_lex_state = 3},
  [15796] = {.lex_state = 8, .external_lex_state = 3},
  [15797] = {.lex_state = 15, .external_lex_state = 3},
  [15798] = {.lex_state = 6, .external_lex_state = 3},
  [15799] = {.lex_state = 6, .external_lex_state = 3},
  [15800] = {.lex_state = 15, .external_lex_state = 3},
  [15801] = {.lex_state = 15, .external_lex_state = 3},
  [15802] = {.lex_state = 381, .external_lex_state = 3},
  [15803] = {.lex_state = 179, .external_lex_state = 3},
  [15804] = {.lex_state = 6, .external_lex_state = 3},
  [15805] = {.lex_state = 15, .external_lex_state = 3},
  [15806] = {.lex_state = 381, .external_lex_state = 3},
  [15807] = {.lex_state = 15, .external_lex_state = 3},
  [15808] = {.lex_state = 15, .external_lex_state = 3},
  [15809] = {.lex_state = 15, .external_lex_state = 3},
  [15810] = {.lex_state = 6, .external_lex_state = 3},
  [15811] = {.lex_state = 6, .external_lex_state = 3},
  [15812] = {.lex_state = 6, .external_lex_state = 3},
  [15813] = {.lex_state = 6, .external_lex_state = 3},
  [15814] = {.lex_state = 15, .external_lex_state = 3},
  [15815] = {.lex_state = 15, .external_lex_state = 3},
  [15816] = {.lex_state = 15, .external_lex_state = 3},
  [15817] = {.lex_state = 15, .external_lex_state = 3},
  [15818] = {.lex_state = 15, .external_lex_state = 3},
  [15819] = {.lex_state = 411, .external_lex_state = 3},
  [15820] = {.lex_state = 15, .external_lex_state = 3},
  [15821] = {.lex_state = 6, .external_lex_state = 3},
  [15822] = {.lex_state = 15, .external_lex_state = 3},
  [15823] = {.lex_state = 381, .external_lex_state = 3},
  [15824] = {.lex_state = 15, .external_lex_state = 3},
  [15825] = {.lex_state = 6, .external_lex_state = 3},
  [15826] = {.lex_state = 381, .external_lex_state = 3},
  [15827] = {.lex_state = 381, .external_lex_state = 3},
  [15828] = {.lex_state = 381, .external_lex_state = 3},
  [15829] = {.lex_state = 6, .external_lex_state = 3},
  [15830] = {.lex_state = 15, .external_lex_state = 3},
  [15831] = {.lex_state = 15, .external_lex_state = 3},
  [15832] = {.lex_state = 15, .external_lex_state = 3},
  [15833] = {.lex_state = 381, .external_lex_state = 3},
  [15834] = {.lex_state = 381, .external_lex_state = 3},
  [15835] = {.lex_state = 15, .external_lex_state = 3},
  [15836] = {.lex_state = 381, .external_lex_state = 3},
  [15837] = {.lex_state = 381, .external_lex_state = 3},
  [15838] = {.lex_state = 381, .external_lex_state = 3},
  [15839] = {.lex_state = 15, .external_lex_state = 3},
  [15840] = {.lex_state = 15, .external_lex_state = 3},
  [15841] = {.lex_state = 381, .external_lex_state = 3},
  [15842] = {.lex_state = 7, .external_lex_state = 3},
  [15843] = {.lex_state = 15, .external_lex_state = 3},
  [15844] = {.lex_state = 15, .external_lex_state = 3},
  [15845] = {.lex_state = 15, .external_lex_state = 3},
  [15846] = {.lex_state = 15, .external_lex_state = 3},
  [15847] = {.lex_state = 15, .external_lex_state = 3},
  [15848] = {.lex_state = 381, .external_lex_state = 3},
  [15849] = {.lex_state = 6, .external_lex_state = 3},
  [15850] = {.lex_state = 15, .external_lex_state = 3},
  [15851] = {.lex_state = 15, .external_lex_state = 3},
  [15852] = {.lex_state = 381, .external_lex_state = 3},
  [15853] = {.lex_state = 6, .external_lex_state = 3},
  [15854] = {.lex_state = 381, .external_lex_state = 3},
  [15855] = {.lex_state = 15, .external_lex_state = 3},
  [15856] = {.lex_state = 15, .external_lex_state = 3},
  [15857] = {.lex_state = 15, .external_lex_state = 3},
  [15858] = {.lex_state = 15, .external_lex_state = 3},
  [15859] = {.lex_state = 15, .external_lex_state = 3},
  [15860] = {.lex_state = 381, .external_lex_state = 3},
  [15861] = {.lex_state = 15, .external_lex_state = 3},
  [15862] = {.lex_state = 381, .external_lex_state = 3},
  [15863] = {.lex_state = 15, .external_lex_state = 3},
  [15864] = {.lex_state = 6, .external_lex_state = 3},
  [15865] = {.lex_state = 6, .external_lex_state = 3},
  [15866] = {.lex_state = 381, .external_lex_state = 3},
  [15867] = {.lex_state = 6, .external_lex_state = 3},
  [15868] = {.lex_state = 15, .external_lex_state = 3},
  [15869] = {.lex_state = 15, .external_lex_state = 3},
  [15870] = {.lex_state = 15, .external_lex_state = 3},
  [15871] = {.lex_state = 15, .external_lex_state = 3},
  [15872] = {.lex_state = 381, .external_lex_state = 3},
  [15873] = {.lex_state = 15, .external_lex_state = 3},
  [15874] = {.lex_state = 15, .external_lex_state = 3},
  [15875] = {.lex_state = 15, .external_lex_state = 3},
  [15876] = {.lex_state = 6, .external_lex_state = 3},
  [15877] = {.lex_state = 6, .external_lex_state = 3},
  [15878] = {.lex_state = 6, .external_lex_state = 3},
  [15879] = {.lex_state = 15, .external_lex_state = 3},
  [15880] = {.lex_state = 381, .external_lex_state = 3},
  [15881] = {.lex_state = 15, .external_lex_state = 3},
  [15882] = {.lex_state = 6, .external_lex_state = 3},
  [15883] = {.lex_state = 381, .external_lex_state = 3},
  [15884] = {.lex_state = 8, .external_lex_state = 3},
  [15885] = {.lex_state = 381, .external_lex_state = 3},
  [15886] = {.lex_state = 381, .external_lex_state = 3},
  [15887] = {.lex_state = 6, .external_lex_state = 3},
  [15888] = {.lex_state = 6, .external_lex_state = 3},
  [15889] = {.lex_state = 381, .external_lex_state = 3},
  [15890] = {.lex_state = 381, .external_lex_state = 3},
  [15891] = {.lex_state = 15, .external_lex_state = 3},
  [15892] = {.lex_state = 381, .external_lex_state = 3},
  [15893] = {.lex_state = 381, .external_lex_state = 3},
  [15894] = {.lex_state = 381, .external_lex_state = 3},
  [15895] = {.lex_state = 15, .external_lex_state = 3},
  [15896] = {.lex_state = 15, .external_lex_state = 3},
  [15897] = {.lex_state = 15, .external_lex_state = 3},
  [15898] = {.lex_state = 15, .external_lex_state = 3},
  [15899] = {.lex_state = 6, .external_lex_state = 3},
  [15900] = {.lex_state = 6, .external_lex_state = 3},
  [15901] = {.lex_state = 15, .external_lex_state = 3},
  [15902] = {.lex_state = 6, .external_lex_state = 3},
  [15903] = {.lex_state = 381, .external_lex_state = 3},
  [15904] = {.lex_state = 381, .external_lex_state = 3},
  [15905] = {.lex_state = 15, .external_lex_state = 3},
  [15906] = {.lex_state = 381, .external_lex_state = 3},
  [15907] = {.lex_state = 15, .external_lex_state = 3},
  [15908] = {.lex_state = 381, .external_lex_state = 3},
  [15909] = {.lex_state = 381, .external_lex_state = 3},
  [15910] = {.lex_state = 6, .external_lex_state = 3},
  [15911] = {.lex_state = 6, .external_lex_state = 3},
  [15912] = {.lex_state = 6, .external_lex_state = 3},
  [15913] = {.lex_state = 6, .external_lex_state = 3},
  [15914] = {.lex_state = 15, .external_lex_state = 3},
  [15915] = {.lex_state = 15, .external_lex_state = 3},
  [15916] = {.lex_state = 381, .external_lex_state = 3},
  [15917] = {.lex_state = 6, .external_lex_state = 3},
  [15918] = {.lex_state = 6, .external_lex_state = 3},
  [15919] = {.lex_state = 8, .external_lex_state = 3},
  [15920] = {.lex_state = 15, .external_lex_state = 3},
  [15921] = {.lex_state = 6, .external_lex_state = 3},
  [15922] = {.lex_state = 381, .external_lex_state = 3},
  [15923] = {.lex_state = 15, .external_lex_state = 3},
  [15924] = {.lex_state = 210, .external_lex_state = 8},
  [15925] = {.lex_state = 132, .external_lex_state = 3},
  [15926] = {.lex_state = 6, .external_lex_state = 3},
  [15927] = {.lex_state = 381, .external_lex_state = 3},
  [15928] = {.lex_state = 381, .external_lex_state = 3},
  [15929] = {.lex_state = 6, .external_lex_state = 3},
  [15930] = {.lex_state = 381, .external_lex_state = 3},
  [15931] = {.lex_state = 6, .external_lex_state = 3},
  [15932] = {.lex_state = 381, .external_lex_state = 3},
  [15933] = {.lex_state = 381, .external_lex_state = 3},
  [15934] = {.lex_state = 381, .external_lex_state = 3},
  [15935] = {.lex_state = 381, .external_lex_state = 3},
  [15936] = {.lex_state = 381, .external_lex_state = 3},
  [15937] = {.lex_state = 381, .external_lex_state = 3},
  [15938] = {.lex_state = 381, .external_lex_state = 3},
  [15939] = {.lex_state = 15, .external_lex_state = 3},
  [15940] = {.lex_state = 132, .external_lex_state = 3},
  [15941] = {.lex_state = 15, .external_lex_state = 3},
  [15942] = {.lex_state = 6, .external_lex_state = 3},
  [15943] = {.lex_state = 381, .external_lex_state = 3},
  [15944] = {.lex_state = 381, .external_lex_state = 3},
  [15945] = {.lex_state = 6, .external_lex_state = 3},
  [15946] = {.lex_state = 15, .external_lex_state = 3},
  [15947] = {.lex_state = 15, .external_lex_state = 3},
  [15948] = {.lex_state = 381, .external_lex_state = 3},
  [15949] = {.lex_state = 381, .external_lex_state = 3},
  [15950] = {.lex_state = 15, .external_lex_state = 3},
  [15951] = {.lex_state = 381, .external_lex_state = 3},
  [15952] = {.lex_state = 381, .external_lex_state = 3},
  [15953] = {.lex_state = 6, .external_lex_state = 3},
  [15954] = {.lex_state = 15, .external_lex_state = 3},
  [15955] = {.lex_state = 6, .external_lex_state = 3},
  [15956] = {.lex_state = 15, .external_lex_state = 3},
  [15957] = {.lex_state = 15, .external_lex_state = 3},
  [15958] = {.lex_state = 15, .external_lex_state = 3},
  [15959] = {.lex_state = 8, .external_lex_state = 3},
  [15960] = {.lex_state = 15, .external_lex_state = 3},
  [15961] = {.lex_state = 15, .external_lex_state = 3},
  [15962] = {.lex_state = 15, .external_lex_state = 3},
  [15963] = {.lex_state = 381, .external_lex_state = 3},
  [15964] = {.lex_state = 15, .external_lex_state = 3},
  [15965] = {.lex_state = 132, .external_lex_state = 3},
  [15966] = {.lex_state = 381, .external_lex_state = 3},
  [15967] = {.lex_state = 6, .external_lex_state = 3},
  [15968] = {.lex_state = 6, .external_lex_state = 3},
  [15969] = {.lex_state = 6, .external_lex_state = 3},
  [15970] = {.lex_state = 381, .external_lex_state = 3},
  [15971] = {.lex_state = 6, .external_lex_state = 3},
  [15972] = {.lex_state = 381, .external_lex_state = 3},
  [15973] = {.lex_state = 381, .external_lex_state = 3},
  [15974] = {.lex_state = 381, .external_lex_state = 3},
  [15975] = {.lex_state = 381, .external_lex_state = 3},
  [15976] = {.lex_state = 15, .external_lex_state = 3},
  [15977] = {.lex_state = 381, .external_lex_state = 3},
  [15978] = {.lex_state = 173, .external_lex_state = 3},
  [15979] = {.lex_state = 381, .external_lex_state = 3},
  [15980] = {.lex_state = 15, .external_lex_state = 3},
  [15981] = {.lex_state = 15, .external_lex_state = 3},
  [15982] = {.lex_state = 15, .external_lex_state = 3},
  [15983] = {.lex_state = 15, .external_lex_state = 3},
  [15984] = {.lex_state = 173, .external_lex_state = 3},
  [15985] = {.lex_state = 15, .external_lex_state = 3},
  [15986] = {.lex_state = 15, .external_lex_state = 3},
  [15987] = {.lex_state = 15, .external_lex_state = 3},
  [15988] = {.lex_state = 8, .external_lex_state = 3},
  [15989] = {.lex_state = 15, .external_lex_state = 3},
  [15990] = {.lex_state = 381, .external_lex_state = 3},
  [15991] = {.lex_state = 15, .external_lex_state = 3},
  [15992] = {.lex_state = 381, .external_lex_state = 3},
  [15993] = {.lex_state = 381, .external_lex_state = 3},
  [15994] = {.lex_state = 381, .external_lex_state = 3},
  [15995] = {.lex_state = 173, .external_lex_state = 3},
  [15996] = {.lex_state = 173, .external_lex_state = 3},
  [15997] = {.lex_state = 173, .external_lex_state = 3},
  [15998] = {.lex_state = 173, .external_lex_state = 3},
  [15999] = {.lex_state = 15, .external_lex_state = 3},
  [16000] = {.lex_state = 15, .external_lex_state = 3},
  [16001] = {.lex_state = 15, .external_lex_state = 3},
  [16002] = {.lex_state = 15, .external_lex_state = 3},
  [16003] = {.lex_state = 15, .external_lex_state = 3},
  [16004] = {.lex_state = 6, .external_lex_state = 3},
  [16005] = {.lex_state = 15, .external_lex_state = 3},
  [16006] = {.lex_state = 15, .external_lex_state = 3},
  [16007] = {.lex_state = 210, .external_lex_state = 8},
  [16008] = {.lex_state = 381, .external_lex_state = 3},
  [16009] = {.lex_state = 15, .external_lex_state = 3},
  [16010] = {.lex_state = 6, .external_lex_state = 3},
  [16011] = {.lex_state = 132, .external_lex_state = 3},
  [16012] = {.lex_state = 6, .external_lex_state = 3},
  [16013] = {.lex_state = 6, .external_lex_state = 3},
  [16014] = {.lex_state = 381, .external_lex_state = 3},
  [16015] = {.lex_state = 381, .external_lex_state = 3},
  [16016] = {.lex_state = 381, .external_lex_state = 3},
  [16017] = {.lex_state = 381, .external_lex_state = 3},
  [16018] = {.lex_state = 173, .external_lex_state = 3},
  [16019] = {.lex_state = 381, .external_lex_state = 3},
  [16020] = {.lex_state = 381, .external_lex_state = 3},
  [16021] = {.lex_state = 381, .external_lex_state = 3},
  [16022] = {.lex_state = 15, .external_lex_state = 3},
  [16023] = {.lex_state = 381, .external_lex_state = 3},
  [16024] = {.lex_state = 15, .external_lex_state = 3},
  [16025] = {.lex_state = 6, .external_lex_state = 3},
  [16026] = {.lex_state = 132, .external_lex_state = 3},
  [16027] = {.lex_state = 381, .external_lex_state = 3},
  [16028] = {.lex_state = 381, .external_lex_state = 3},
  [16029] = {.lex_state = 6, .external_lex_state = 3},
  [16030] = {.lex_state = 381, .external_lex_state = 3},
  [16031] = {.lex_state = 15, .external_lex_state = 3},
  [16032] = {.lex_state = 15, .external_lex_state = 3},
  [16033] = {.lex_state = 381, .external_lex_state = 3},
  [16034] = {.lex_state = 8, .external_lex_state = 3},
  [16035] = {.lex_state = 6, .external_lex_state = 3},
  [16036] = {.lex_state = 6, .external_lex_state = 3},
  [16037] = {.lex_state = 132, .external_lex_state = 3},
  [16038] = {.lex_state = 132, .external_lex_state = 3},
  [16039] = {.lex_state = 381, .external_lex_state = 3},
  [16040] = {.lex_state = 381, .external_lex_state = 3},
  [16041] = {.lex_state = 381, .external_lex_state = 3},
  [16042] = {.lex_state = 15, .external_lex_state = 3},
  [16043] = {.lex_state = 381, .external_lex_state = 3},
  [16044] = {.lex_state = 381, .external_lex_state = 3},
  [16045] = {.lex_state = 6, .external_lex_state = 3},
  [16046] = {.lex_state = 15, .external_lex_state = 3},
  [16047] = {.lex_state = 381, .external_lex_state = 3},
  [16048] = {.lex_state = 15, .external_lex_state = 3},
  [16049] = {.lex_state = 6, .external_lex_state = 3},
  [16050] = {.lex_state = 173, .external_lex_state = 3},
  [16051] = {.lex_state = 173, .external_lex_state = 3},
  [16052] = {.lex_state = 381, .external_lex_state = 3},
  [16053] = {.lex_state = 381, .external_lex_state = 3},
  [16054] = {.lex_state = 173, .external_lex_state = 3},
  [16055] = {.lex_state = 15, .external_lex_state = 3},
  [16056] = {.lex_state = 381, .external_lex_state = 3},
  [16057] = {.lex_state = 381, .external_lex_state = 3},
  [16058] = {.lex_state = 15, .external_lex_state = 3},
  [16059] = {.lex_state = 381, .external_lex_state = 3},
  [16060] = {.lex_state = 381, .external_lex_state = 3},
  [16061] = {.lex_state = 15, .external_lex_state = 3},
  [16062] = {.lex_state = 381, .external_lex_state = 3},
  [16063] = {.lex_state = 15, .external_lex_state = 3},
  [16064] = {.lex_state = 132, .external_lex_state = 3},
  [16065] = {.lex_state = 15, .external_lex_state = 3},
  [16066] = {.lex_state = 381, .external_lex_state = 3},
  [16067] = {.lex_state = 381, .external_lex_state = 3},
  [16068] = {.lex_state = 15, .external_lex_state = 3},
  [16069] = {.lex_state = 15, .external_lex_state = 3},
  [16070] = {.lex_state = 15, .external_lex_state = 3},
  [16071] = {.lex_state = 381, .external_lex_state = 3},
  [16072] = {.lex_state = 381, .external_lex_state = 3},
  [16073] = {.lex_state = 8, .external_lex_state = 3},
  [16074] = {.lex_state = 381, .external_lex_state = 3},
  [16075] = {.lex_state = 173, .external_lex_state = 3},
  [16076] = {.lex_state = 6, .external_lex_state = 3},
  [16077] = {.lex_state = 15, .external_lex_state = 3},
  [16078] = {.lex_state = 15, .external_lex_state = 3},
  [16079] = {.lex_state = 15, .external_lex_state = 3},
  [16080] = {.lex_state = 6, .external_lex_state = 3},
  [16081] = {.lex_state = 173, .external_lex_state = 3},
  [16082] = {.lex_state = 173, .external_lex_state = 3},
  [16083] = {.lex_state = 6, .external_lex_state = 3},
  [16084] = {.lex_state = 15, .external_lex_state = 3},
  [16085] = {.lex_state = 173, .external_lex_state = 3},
  [16086] = {.lex_state = 15, .external_lex_state = 3},
  [16087] = {.lex_state = 15, .external_lex_state = 3},
  [16088] = {.lex_state = 15, .external_lex_state = 3},
  [16089] = {.lex_state = 15, .external_lex_state = 3},
  [16090] = {.lex_state = 381, .external_lex_state = 3},
  [16091] = {.lex_state = 15, .external_lex_state = 3},
  [16092] = {.lex_state = 15, .external_lex_state = 3},
  [16093] = {.lex_state = 15, .external_lex_state = 3},
  [16094] = {.lex_state = 381, .external_lex_state = 3},
  [16095] = {.lex_state = 381, .external_lex_state = 3},
  [16096] = {.lex_state = 381, .external_lex_state = 3},
  [16097] = {.lex_state = 15, .external_lex_state = 3},
  [16098] = {.lex_state = 15, .external_lex_state = 3},
  [16099] = {.lex_state = 381, .external_lex_state = 3},
  [16100] = {.lex_state = 6, .external_lex_state = 3},
  [16101] = {.lex_state = 173, .external_lex_state = 3},
  [16102] = {.lex_state = 173, .external_lex_state = 3},
  [16103] = {.lex_state = 173, .external_lex_state = 3},
  [16104] = {.lex_state = 15, .external_lex_state = 3},
  [16105] = {.lex_state = 15, .external_lex_state = 3},
  [16106] = {.lex_state = 6, .external_lex_state = 3},
  [16107] = {.lex_state = 381, .external_lex_state = 3},
  [16108] = {.lex_state = 15, .external_lex_state = 3},
  [16109] = {.lex_state = 6, .external_lex_state = 3},
  [16110] = {.lex_state = 381, .external_lex_state = 3},
  [16111] = {.lex_state = 15, .external_lex_state = 3},
  [16112] = {.lex_state = 381, .external_lex_state = 3},
  [16113] = {.lex_state = 381, .external_lex_state = 3},
  [16114] = {.lex_state = 173, .external_lex_state = 3},
  [16115] = {.lex_state = 173, .external_lex_state = 3},
  [16116] = {.lex_state = 173, .external_lex_state = 3},
  [16117] = {.lex_state = 381, .external_lex_state = 3},
  [16118] = {.lex_state = 210, .external_lex_state = 8},
  [16119] = {.lex_state = 381, .external_lex_state = 3},
  [16120] = {.lex_state = 132, .external_lex_state = 3},
  [16121] = {.lex_state = 6, .external_lex_state = 3},
  [16122] = {.lex_state = 15, .external_lex_state = 3},
  [16123] = {.lex_state = 132, .external_lex_state = 3},
  [16124] = {.lex_state = 6, .external_lex_state = 3},
  [16125] = {.lex_state = 15, .external_lex_state = 3},
  [16126] = {.lex_state = 173, .external_lex_state = 3},
  [16127] = {.lex_state = 132, .external_lex_state = 3},
  [16128] = {.lex_state = 6, .external_lex_state = 3},
  [16129] = {.lex_state = 173, .external_lex_state = 3},
  [16130] = {.lex_state = 173, .external_lex_state = 3},
  [16131] = {.lex_state = 381, .external_lex_state = 3},
  [16132] = {.lex_state = 381, .external_lex_state = 3},
  [16133] = {.lex_state = 173, .external_lex_state = 3},
  [16134] = {.lex_state = 6, .external_lex_state = 3},
  [16135] = {.lex_state = 15, .external_lex_state = 3},
  [16136] = {.lex_state = 381, .external_lex_state = 3},
  [16137] = {.lex_state = 381, .external_lex_state = 3},
  [16138] = {.lex_state = 132, .external_lex_state = 3},
  [16139] = {.lex_state = 6, .external_lex_state = 3},
  [16140] = {.lex_state = 15, .external_lex_state = 3},
  [16141] = {.lex_state = 381, .external_lex_state = 3},
  [16142] = {.lex_state = 173, .external_lex_state = 3},
  [16143] = {.lex_state = 173, .external_lex_state = 3},
  [16144] = {.lex_state = 15, .external_lex_state = 3},
  [16145] = {.lex_state = 173, .external_lex_state = 3},
  [16146] = {.lex_state = 381, .external_lex_state = 3},
  [16147] = {.lex_state = 381, .external_lex_state = 3},
  [16148] = {.lex_state = 414, .external_lex_state = 3},
  [16149] = {.lex_state = 381, .external_lex_state = 3},
  [16150] = {.lex_state = 381, .external_lex_state = 3},
  [16151] = {.lex_state = 381, .external_lex_state = 3},
  [16152] = {.lex_state = 381, .external_lex_state = 3},
  [16153] = {.lex_state = 15, .external_lex_state = 3},
  [16154] = {.lex_state = 381, .external_lex_state = 3},
  [16155] = {.lex_state = 15, .external_lex_state = 3},
  [16156] = {.lex_state = 381, .external_lex_state = 3},
  [16157] = {.lex_state = 15, .external_lex_state = 3},
  [16158] = {.lex_state = 132, .external_lex_state = 3},
  [16159] = {.lex_state = 15, .external_lex_state = 3},
  [16160] = {.lex_state = 173, .external_lex_state = 3},
  [16161] = {.lex_state = 173, .external_lex_state = 3},
  [16162] = {.lex_state = 381, .external_lex_state = 3},
  [16163] = {.lex_state = 173, .external_lex_state = 3},
  [16164] = {.lex_state = 15, .external_lex_state = 3},
  [16165] = {.lex_state = 15, .external_lex_state = 3},
  [16166] = {.lex_state = 15, .external_lex_state = 3},
  [16167] = {.lex_state = 15, .external_lex_state = 3},
  [16168] = {.lex_state = 381, .external_lex_state = 3},
  [16169] = {.lex_state = 381, .external_lex_state = 3},
  [16170] = {.lex_state = 15, .external_lex_state = 3},
  [16171] = {.lex_state = 381, .external_lex_state = 3},
  [16172] = {.lex_state = 15, .external_lex_state = 3},
  [16173] = {.lex_state = 15, .external_lex_state = 3},
  [16174] = {.lex_state = 15, .external_lex_state = 3},
  [16175] = {.lex_state = 173, .external_lex_state = 3},
  [16176] = {.lex_state = 173, .external_lex_state = 3},
  [16177] = {.lex_state = 381, .external_lex_state = 3},
  [16178] = {.lex_state = 173, .external_lex_state = 3},
  [16179] = {.lex_state = 6, .external_lex_state = 3},
  [16180] = {.lex_state = 15, .external_lex_state = 3},
  [16181] = {.lex_state = 15, .external_lex_state = 3},
  [16182] = {.lex_state = 15, .external_lex_state = 3},
  [16183] = {.lex_state = 15, .external_lex_state = 3},
  [16184] = {.lex_state = 15, .external_lex_state = 3},
  [16185] = {.lex_state = 6, .external_lex_state = 3},
  [16186] = {.lex_state = 15, .external_lex_state = 3},
  [16187] = {.lex_state = 15, .external_lex_state = 3},
  [16188] = {.lex_state = 15, .external_lex_state = 3},
  [16189] = {.lex_state = 15, .external_lex_state = 3},
  [16190] = {.lex_state = 15, .external_lex_state = 3},
  [16191] = {.lex_state = 15, .external_lex_state = 3},
  [16192] = {.lex_state = 15, .external_lex_state = 3},
  [16193] = {.lex_state = 173, .external_lex_state = 3},
  [16194] = {.lex_state = 173, .external_lex_state = 3},
  [16195] = {.lex_state = 15, .external_lex_state = 3},
  [16196] = {.lex_state = 173, .external_lex_state = 3},
  [16197] = {.lex_state = 15, .external_lex_state = 3},
  [16198] = {.lex_state = 15, .external_lex_state = 3},
  [16199] = {.lex_state = 15, .external_lex_state = 3},
  [16200] = {.lex_state = 6, .external_lex_state = 3},
  [16201] = {.lex_state = 6, .external_lex_state = 3},
  [16202] = {.lex_state = 15, .external_lex_state = 3},
  [16203] = {.lex_state = 381, .external_lex_state = 3},
  [16204] = {.lex_state = 15, .external_lex_state = 3},
  [16205] = {.lex_state = 381, .external_lex_state = 3},
  [16206] = {.lex_state = 173, .external_lex_state = 3},
  [16207] = {.lex_state = 173, .external_lex_state = 3},
  [16208] = {.lex_state = 173, .external_lex_state = 3},
  [16209] = {.lex_state = 15, .external_lex_state = 3},
  [16210] = {.lex_state = 15, .external_lex_state = 3},
  [16211] = {.lex_state = 381, .external_lex_state = 3},
  [16212] = {.lex_state = 15, .external_lex_state = 3},
  [16213] = {.lex_state = 6, .external_lex_state = 3},
  [16214] = {.lex_state = 15, .external_lex_state = 3},
  [16215] = {.lex_state = 15, .external_lex_state = 3},
  [16216] = {.lex_state = 173, .external_lex_state = 3},
  [16217] = {.lex_state = 173, .external_lex_state = 3},
  [16218] = {.lex_state = 6, .external_lex_state = 3},
  [16219] = {.lex_state = 173, .external_lex_state = 3},
  [16220] = {.lex_state = 15, .external_lex_state = 3},
  [16221] = {.lex_state = 15, .external_lex_state = 3},
  [16222] = {.lex_state = 15, .external_lex_state = 3},
  [16223] = {.lex_state = 173, .external_lex_state = 3},
  [16224] = {.lex_state = 381, .external_lex_state = 3},
  [16225] = {.lex_state = 381, .external_lex_state = 3},
  [16226] = {.lex_state = 132, .external_lex_state = 3},
  [16227] = {.lex_state = 6, .external_lex_state = 3},
  [16228] = {.lex_state = 173, .external_lex_state = 3},
  [16229] = {.lex_state = 381, .external_lex_state = 3},
  [16230] = {.lex_state = 15, .external_lex_state = 3},
  [16231] = {.lex_state = 15, .external_lex_state = 3},
  [16232] = {.lex_state = 381, .external_lex_state = 3},
  [16233] = {.lex_state = 381, .external_lex_state = 3},
  [16234] = {.lex_state = 165, .external_lex_state = 3},
  [16235] = {.lex_state = 6, .external_lex_state = 3},
  [16236] = {.lex_state = 15, .external_lex_state = 3},
  [16237] = {.lex_state = 6, .external_lex_state = 3},
  [16238] = {.lex_state = 132, .external_lex_state = 3},
  [16239] = {.lex_state = 6, .external_lex_state = 3},
  [16240] = {.lex_state = 381, .external_lex_state = 3},
  [16241] = {.lex_state = 381, .external_lex_state = 3},
  [16242] = {.lex_state = 15, .external_lex_state = 3},
  [16243] = {.lex_state = 381, .external_lex_state = 3},
  [16244] = {.lex_state = 6, .external_lex_state = 3},
  [16245] = {.lex_state = 381, .external_lex_state = 3},
  [16246] = {.lex_state = 381, .external_lex_state = 3},
  [16247] = {.lex_state = 15, .external_lex_state = 3},
  [16248] = {.lex_state = 15, .external_lex_state = 3},
  [16249] = {.lex_state = 381, .external_lex_state = 3},
  [16250] = {.lex_state = 132, .external_lex_state = 3},
  [16251] = {.lex_state = 381, .external_lex_state = 3},
  [16252] = {.lex_state = 381, .external_lex_state = 3},
  [16253] = {.lex_state = 15, .external_lex_state = 3},
  [16254] = {.lex_state = 381, .external_lex_state = 3},
  [16255] = {.lex_state = 381, .external_lex_state = 3},
  [16256] = {.lex_state = 381, .external_lex_state = 3},
  [16257] = {.lex_state = 6, .external_lex_state = 3},
  [16258] = {.lex_state = 15, .external_lex_state = 3},
  [16259] = {.lex_state = 15, .external_lex_state = 3},
  [16260] = {.lex_state = 15, .external_lex_state = 3},
  [16261] = {.lex_state = 15, .external_lex_state = 3},
  [16262] = {.lex_state = 6, .external_lex_state = 3},
  [16263] = {.lex_state = 381, .external_lex_state = 3},
  [16264] = {.lex_state = 6, .external_lex_state = 3},
  [16265] = {.lex_state = 381, .external_lex_state = 3},
  [16266] = {.lex_state = 381, .external_lex_state = 3},
  [16267] = {.lex_state = 381, .external_lex_state = 3},
  [16268] = {.lex_state = 15, .external_lex_state = 3},
  [16269] = {.lex_state = 15, .external_lex_state = 3},
  [16270] = {.lex_state = 381, .external_lex_state = 3},
  [16271] = {.lex_state = 15, .external_lex_state = 3},
  [16272] = {.lex_state = 381, .external_lex_state = 3},
  [16273] = {.lex_state = 381, .external_lex_state = 3},
  [16274] = {.lex_state = 381, .external_lex_state = 3},
  [16275] = {.lex_state = 15, .external_lex_state = 3},
  [16276] = {.lex_state = 6, .external_lex_state = 3},
  [16277] = {.lex_state = 381, .external_lex_state = 3},
  [16278] = {.lex_state = 15, .external_lex_state = 3},
  [16279] = {.lex_state = 381, .external_lex_state = 3},
  [16280] = {.lex_state = 6, .external_lex_state = 3},
  [16281] = {.lex_state = 165, .external_lex_state = 3},
  [16282] = {.lex_state = 6, .external_lex_state = 3},
  [16283] = {.lex_state = 6, .external_lex_state = 3},
  [16284] = {.lex_state = 15, .external_lex_state = 3},
  [16285] = {.lex_state = 15, .external_lex_state = 3},
  [16286] = {.lex_state = 15, .external_lex_state = 3},
  [16287] = {.lex_state = 15, .external_lex_state = 3},
  [16288] = {.lex_state = 381, .external_lex_state = 3},
  [16289] = {.lex_state = 381, .external_lex_state = 3},
  [16290] = {.lex_state = 15, .external_lex_state = 3},
  [16291] = {.lex_state = 15, .external_lex_state = 3},
  [16292] = {.lex_state = 381, .external_lex_state = 3},
  [16293] = {.lex_state = 6, .external_lex_state = 3},
  [16294] = {.lex_state = 381, .external_lex_state = 3},
  [16295] = {.lex_state = 15, .external_lex_state = 3},
  [16296] = {.lex_state = 381, .external_lex_state = 3},
  [16297] = {.lex_state = 381, .external_lex_state = 3},
  [16298] = {.lex_state = 381, .external_lex_state = 3},
  [16299] = {.lex_state = 15, .external_lex_state = 3},
  [16300] = {.lex_state = 15, .external_lex_state = 3},
  [16301] = {.lex_state = 15, .external_lex_state = 3},
  [16302] = {.lex_state = 6, .external_lex_state = 3},
  [16303] = {.lex_state = 15, .external_lex_state = 3},
  [16304] = {.lex_state = 6, .external_lex_state = 3},
  [16305] = {.lex_state = 381, .external_lex_state = 3},
  [16306] = {.lex_state = 381, .external_lex_state = 3},
  [16307] = {.lex_state = 15, .external_lex_state = 3},
  [16308] = {.lex_state = 381, .external_lex_state = 3},
  [16309] = {.lex_state = 6, .external_lex_state = 3},
  [16310] = {.lex_state = 381, .external_lex_state = 3},
  [16311] = {.lex_state = 6, .external_lex_state = 3},
  [16312] = {.lex_state = 15, .external_lex_state = 3},
  [16313] = {.lex_state = 15, .external_lex_state = 3},
  [16314] = {.lex_state = 15, .external_lex_state = 3},
  [16315] = {.lex_state = 15, .external_lex_state = 3},
  [16316] = {.lex_state = 15, .external_lex_state = 3},
  [16317] = {.lex_state = 15, .external_lex_state = 3},
  [16318] = {.lex_state = 381, .external_lex_state = 3},
  [16319] = {.lex_state = 381, .external_lex_state = 3},
  [16320] = {.lex_state = 381, .external_lex_state = 3},
  [16321] = {.lex_state = 15, .external_lex_state = 3},
  [16322] = {.lex_state = 6, .external_lex_state = 3},
  [16323] = {.lex_state = 8, .external_lex_state = 3},
  [16324] = {.lex_state = 15, .external_lex_state = 3},
  [16325] = {.lex_state = 15, .external_lex_state = 3},
  [16326] = {.lex_state = 381, .external_lex_state = 3},
  [16327] = {.lex_state = 381, .external_lex_state = 3},
  [16328] = {.lex_state = 381, .external_lex_state = 3},
  [16329] = {.lex_state = 6, .external_lex_state = 3},
  [16330] = {.lex_state = 15, .external_lex_state = 3},
  [16331] = {.lex_state = 6, .external_lex_state = 3},
  [16332] = {.lex_state = 15, .external_lex_state = 3},
  [16333] = {.lex_state = 15, .external_lex_state = 3},
  [16334] = {.lex_state = 15, .external_lex_state = 3},
  [16335] = {.lex_state = 15, .external_lex_state = 3},
  [16336] = {.lex_state = 381, .external_lex_state = 3},
  [16337] = {.lex_state = 6, .external_lex_state = 3},
  [16338] = {.lex_state = 381, .external_lex_state = 3},
  [16339] = {.lex_state = 6, .external_lex_state = 3},
  [16340] = {.lex_state = 15, .external_lex_state = 3},
  [16341] = {.lex_state = 414, .external_lex_state = 3},
  [16342] = {.lex_state = 8, .external_lex_state = 3},
  [16343] = {.lex_state = 8, .external_lex_state = 3},
  [16344] = {.lex_state = 6, .external_lex_state = 3},
  [16345] = {.lex_state = 381, .external_lex_state = 3},
  [16346] = {.lex_state = 15, .external_lex_state = 3},
  [16347] = {.lex_state = 6, .external_lex_state = 3},
  [16348] = {.lex_state = 15, .external_lex_state = 3},
  [16349] = {.lex_state = 381, .external_lex_state = 3},
  [16350] = {.lex_state = 414, .external_lex_state = 3},
  [16351] = {.lex_state = 15, .external_lex_state = 3},
  [16352] = {.lex_state = 381, .external_lex_state = 3},
  [16353] = {.lex_state = 6, .external_lex_state = 3},
  [16354] = {.lex_state = 15, .external_lex_state = 3},
  [16355] = {.lex_state = 381, .external_lex_state = 3},
  [16356] = {.lex_state = 381, .external_lex_state = 3},
  [16357] = {.lex_state = 6, .external_lex_state = 3},
  [16358] = {.lex_state = 414, .external_lex_state = 3},
  [16359] = {.lex_state = 6, .external_lex_state = 3},
  [16360] = {.lex_state = 381, .external_lex_state = 3},
  [16361] = {.lex_state = 381, .external_lex_state = 3},
  [16362] = {.lex_state = 381, .external_lex_state = 3},
  [16363] = {.lex_state = 381, .external_lex_state = 3},
  [16364] = {.lex_state = 6, .external_lex_state = 3},
  [16365] = {.lex_state = 15, .external_lex_state = 3},
  [16366] = {.lex_state = 15, .external_lex_state = 3},
  [16367] = {.lex_state = 6, .external_lex_state = 3},
  [16368] = {.lex_state = 414, .external_lex_state = 3},
  [16369] = {.lex_state = 15, .external_lex_state = 3},
  [16370] = {.lex_state = 381, .external_lex_state = 3},
  [16371] = {.lex_state = 381, .external_lex_state = 3},
  [16372] = {.lex_state = 15, .external_lex_state = 3},
  [16373] = {.lex_state = 15, .external_lex_state = 3},
  [16374] = {.lex_state = 381, .external_lex_state = 3},
  [16375] = {.lex_state = 381, .external_lex_state = 3},
  [16376] = {.lex_state = 414, .external_lex_state = 3},
  [16377] = {.lex_state = 381, .external_lex_state = 3},
  [16378] = {.lex_state = 381, .external_lex_state = 3},
  [16379] = {.lex_state = 15, .external_lex_state = 3},
  [16380] = {.lex_state = 381, .external_lex_state = 3},
  [16381] = {.lex_state = 15, .external_lex_state = 3},
  [16382] = {.lex_state = 414, .external_lex_state = 3},
  [16383] = {.lex_state = 15, .external_lex_state = 3},
  [16384] = {.lex_state = 15, .external_lex_state = 3},
  [16385] = {.lex_state = 381, .external_lex_state = 3},
  [16386] = {.lex_state = 414, .external_lex_state = 3},
  [16387] = {.lex_state = 381, .external_lex_state = 3},
  [16388] = {.lex_state = 381, .external_lex_state = 3},
  [16389] = {.lex_state = 6, .external_lex_state = 3},
  [16390] = {.lex_state = 8, .external_lex_state = 3},
  [16391] = {.lex_state = 414, .external_lex_state = 3},
  [16392] = {.lex_state = 381, .external_lex_state = 3},
  [16393] = {.lex_state = 15, .external_lex_state = 3},
  [16394] = {.lex_state = 381, .external_lex_state = 3},
  [16395] = {.lex_state = 414, .external_lex_state = 3},
  [16396] = {.lex_state = 15, .external_lex_state = 3},
  [16397] = {.lex_state = 15, .external_lex_state = 3},
  [16398] = {.lex_state = 15, .external_lex_state = 3},
  [16399] = {.lex_state = 6, .external_lex_state = 3},
  [16400] = {.lex_state = 414, .external_lex_state = 3},
  [16401] = {.lex_state = 15, .external_lex_state = 3},
  [16402] = {.lex_state = 15, .external_lex_state = 3},
  [16403] = {.lex_state = 414, .external_lex_state = 3},
  [16404] = {.lex_state = 15, .external_lex_state = 3},
  [16405] = {.lex_state = 15, .external_lex_state = 3},
  [16406] = {.lex_state = 414, .external_lex_state = 3},
  [16407] = {.lex_state = 15, .external_lex_state = 3},
  [16408] = {.lex_state = 132, .external_lex_state = 3},
  [16409] = {.lex_state = 414, .external_lex_state = 3},
  [16410] = {.lex_state = 381, .external_lex_state = 3},
  [16411] = {.lex_state = 414, .external_lex_state = 3},
  [16412] = {.lex_state = 15, .external_lex_state = 3},
  [16413] = {.lex_state = 381, .external_lex_state = 3},
  [16414] = {.lex_state = 414, .external_lex_state = 3},
  [16415] = {.lex_state = 15, .external_lex_state = 3},
  [16416] = {.lex_state = 414, .external_lex_state = 3},
  [16417] = {.lex_state = 15, .external_lex_state = 3},
  [16418] = {.lex_state = 381, .external_lex_state = 3},
  [16419] = {.lex_state = 414, .external_lex_state = 3},
  [16420] = {.lex_state = 381, .external_lex_state = 3},
  [16421] = {.lex_state = 381, .external_lex_state = 3},
  [16422] = {.lex_state = 414, .external_lex_state = 3},
  [16423] = {.lex_state = 8, .external_lex_state = 3},
  [16424] = {.lex_state = 173, .external_lex_state = 3},
  [16425] = {.lex_state = 414, .external_lex_state = 3},
  [16426] = {.lex_state = 414, .external_lex_state = 3},
  [16427] = {.lex_state = 414, .external_lex_state = 3},
  [16428] = {.lex_state = 414, .external_lex_state = 3},
  [16429] = {.lex_state = 381, .external_lex_state = 3},
  [16430] = {.lex_state = 381, .external_lex_state = 3},
  [16431] = {.lex_state = 15, .external_lex_state = 3},
  [16432] = {.lex_state = 414, .external_lex_state = 3},
  [16433] = {.lex_state = 15, .external_lex_state = 3},
  [16434] = {.lex_state = 381, .external_lex_state = 3},
  [16435] = {.lex_state = 381, .external_lex_state = 3},
  [16436] = {.lex_state = 414, .external_lex_state = 3},
  [16437] = {.lex_state = 414, .external_lex_state = 3},
  [16438] = {.lex_state = 414, .external_lex_state = 3},
  [16439] = {.lex_state = 6, .external_lex_state = 3},
  [16440] = {.lex_state = 414, .external_lex_state = 3},
  [16441] = {.lex_state = 414, .external_lex_state = 3},
  [16442] = {.lex_state = 381, .external_lex_state = 3},
  [16443] = {.lex_state = 414, .external_lex_state = 3},
  [16444] = {.lex_state = 381, .external_lex_state = 3},
  [16445] = {.lex_state = 414, .external_lex_state = 3},
  [16446] = {.lex_state = 414, .external_lex_state = 3},
  [16447] = {.lex_state = 381, .external_lex_state = 3},
  [16448] = {.lex_state = 6, .external_lex_state = 3},
  [16449] = {.lex_state = 414, .external_lex_state = 3},
  [16450] = {.lex_state = 414, .external_lex_state = 3},
  [16451] = {.lex_state = 414, .external_lex_state = 3},
  [16452] = {.lex_state = 414, .external_lex_state = 3},
  [16453] = {.lex_state = 381, .external_lex_state = 3},
  [16454] = {.lex_state = 381, .external_lex_state = 3},
  [16455] = {.lex_state = 414, .external_lex_state = 3},
  [16456] = {.lex_state = 414, .external_lex_state = 3},
  [16457] = {.lex_state = 6, .external_lex_state = 3},
  [16458] = {.lex_state = 414, .external_lex_state = 3},
  [16459] = {.lex_state = 414, .external_lex_state = 3},
  [16460] = {.lex_state = 381, .external_lex_state = 3},
  [16461] = {.lex_state = 381, .external_lex_state = 3},
  [16462] = {.lex_state = 15, .external_lex_state = 3},
  [16463] = {.lex_state = 414, .external_lex_state = 3},
  [16464] = {.lex_state = 381, .external_lex_state = 3},
  [16465] = {.lex_state = 381, .external_lex_state = 3},
  [16466] = {.lex_state = 414, .external_lex_state = 3},
  [16467] = {.lex_state = 381, .external_lex_state = 3},
  [16468] = {.lex_state = 414, .external_lex_state = 3},
  [16469] = {.lex_state = 381, .external_lex_state = 3},
  [16470] = {.lex_state = 6, .external_lex_state = 3},
  [16471] = {.lex_state = 414, .external_lex_state = 3},
  [16472] = {.lex_state = 15, .external_lex_state = 3},
  [16473] = {.lex_state = 15, .external_lex_state = 3},
  [16474] = {.lex_state = 15, .external_lex_state = 3},
  [16475] = {.lex_state = 15, .external_lex_state = 3},
  [16476] = {.lex_state = 414, .external_lex_state = 3},
  [16477] = {.lex_state = 414, .external_lex_state = 3},
  [16478] = {.lex_state = 8, .external_lex_state = 3},
  [16479] = {.lex_state = 414, .external_lex_state = 3},
  [16480] = {.lex_state = 414, .external_lex_state = 3},
  [16481] = {.lex_state = 15, .external_lex_state = 3},
  [16482] = {.lex_state = 381, .external_lex_state = 3},
  [16483] = {.lex_state = 381, .external_lex_state = 3},
  [16484] = {.lex_state = 414, .external_lex_state = 3},
  [16485] = {.lex_state = 15, .external_lex_state = 3},
  [16486] = {.lex_state = 414, .external_lex_state = 3},
  [16487] = {.lex_state = 173, .external_lex_state = 3},
  [16488] = {.lex_state = 414, .external_lex_state = 3},
  [16489] = {.lex_state = 381, .external_lex_state = 3},
  [16490] = {.lex_state = 381, .external_lex_state = 3},
  [16491] = {.lex_state = 381, .external_lex_state = 3},
  [16492] = {.lex_state = 424, .external_lex_state = 3},
  [16493] = {.lex_state = 381, .external_lex_state = 3},
  [16494] = {.lex_state = 381, .external_lex_state = 3},
  [16495] = {.lex_state = 15, .external_lex_state = 3},
  [16496] = {.lex_state = 15, .external_lex_state = 3},
  [16497] = {.lex_state = 381, .external_lex_state = 3},
  [16498] = {.lex_state = 6, .external_lex_state = 3},
  [16499] = {.lex_state = 15, .external_lex_state = 3},
  [16500] = {.lex_state = 6, .external_lex_state = 3},
  [16501] = {.lex_state = 6, .external_lex_state = 3},
  [16502] = {.lex_state = 15, .external_lex_state = 3},
  [16503] = {.lex_state = 381, .external_lex_state = 3},
  [16504] = {.lex_state = 381, .external_lex_state = 3},
  [16505] = {.lex_state = 15, .external_lex_state = 3},
  [16506] = {.lex_state = 381, .external_lex_state = 3},
  [16507] = {.lex_state = 381, .external_lex_state = 3},
  [16508] = {.lex_state = 15, .external_lex_state = 3},
  [16509] = {.lex_state = 381, .external_lex_state = 3},
  [16510] = {.lex_state = 381, .external_lex_state = 3},
  [16511] = {.lex_state = 15, .external_lex_state = 3},
  [16512] = {.lex_state = 381, .external_lex_state = 3},
  [16513] = {.lex_state = 15, .external_lex_state = 3},
  [16514] = {.lex_state = 15, .external_lex_state = 3},
  [16515] = {.lex_state = 15, .external_lex_state = 3},
  [16516] = {.lex_state = 381, .external_lex_state = 3},
  [16517] = {.lex_state = 15, .external_lex_state = 3},
  [16518] = {.lex_state = 15, .external_lex_state = 3},
  [16519] = {.lex_state = 15, .external_lex_state = 3},
  [16520] = {.lex_state = 15, .external_lex_state = 3},
  [16521] = {.lex_state = 15, .external_lex_state = 3},
  [16522] = {.lex_state = 381, .external_lex_state = 3},
  [16523] = {.lex_state = 381, .external_lex_state = 3},
  [16524] = {.lex_state = 381, .external_lex_state = 3},
  [16525] = {.lex_state = 100, .external_lex_state = 3},
  [16526] = {.lex_state = 100, .external_lex_state = 3},
  [16527] = {.lex_state = 100, .external_lex_state = 3},
  [16528] = {.lex_state = 99, .external_lex_state = 3},
  [16529] = {.lex_state = 15, .external_lex_state = 3},
  [16530] = {.lex_state = 15, .external_lex_state = 3},
  [16531] = {.lex_state = 100, .external_lex_state = 3},
  [16532] = {.lex_state = 381, .external_lex_state = 3},
  [16533] = {.lex_state = 205, .external_lex_state = 3},
  [16534] = {.lex_state = 100, .external_lex_state = 3},
  [16535] = {.lex_state = 100, .external_lex_state = 3},
  [16536] = {.lex_state = 381, .external_lex_state = 3},
  [16537] = {.lex_state = 381, .external_lex_state = 3},
  [16538] = {.lex_state = 381, .external_lex_state = 3},
  [16539] = {.lex_state = 99, .external_lex_state = 3},
  [16540] = {.lex_state = 15, .external_lex_state = 3},
  [16541] = {.lex_state = 411, .external_lex_state = 3},
  [16542] = {.lex_state = 100, .external_lex_state = 3},
  [16543] = {.lex_state = 100, .external_lex_state = 3},
  [16544] = {.lex_state = 381, .external_lex_state = 3},
  [16545] = {.lex_state = 100, .external_lex_state = 3},
  [16546] = {.lex_state = 381, .external_lex_state = 3},
  [16547] = {.lex_state = 99, .external_lex_state = 3},
  [16548] = {.lex_state = 100, .external_lex_state = 3},
  [16549] = {.lex_state = 381, .external_lex_state = 3},
  [16550] = {.lex_state = 15, .external_lex_state = 3},
  [16551] = {.lex_state = 381, .external_lex_state = 3},
  [16552] = {.lex_state = 100, .external_lex_state = 3},
  [16553] = {.lex_state = 100, .external_lex_state = 3},
  [16554] = {.lex_state = 165, .external_lex_state = 3},
  [16555] = {.lex_state = 381, .external_lex_state = 3},
  [16556] = {.lex_state = 15, .external_lex_state = 3},
  [16557] = {.lex_state = 100, .external_lex_state = 3},
  [16558] = {.lex_state = 100, .external_lex_state = 3},
  [16559] = {.lex_state = 100, .external_lex_state = 3},
  [16560] = {.lex_state = 100, .external_lex_state = 3},
  [16561] = {.lex_state = 99, .external_lex_state = 3},
  [16562] = {.lex_state = 100, .external_lex_state = 3},
  [16563] = {.lex_state = 381, .external_lex_state = 3},
  [16564] = {.lex_state = 25, .external_lex_state = 3},
  [16565] = {.lex_state = 100, .external_lex_state = 3},
  [16566] = {.lex_state = 25, .external_lex_state = 3},
  [16567] = {.lex_state = 100, .external_lex_state = 3},
  [16568] = {.lex_state = 100, .external_lex_state = 3},
  [16569] = {.lex_state = 205, .external_lex_state = 3},
  [16570] = {.lex_state = 15, .external_lex_state = 3},
  [16571] = {.lex_state = 15, .external_lex_state = 3},
  [16572] = {.lex_state = 100, .external_lex_state = 3},
  [16573] = {.lex_state = 100, .external_lex_state = 3},
  [16574] = {.lex_state = 100, .external_lex_state = 3},
  [16575] = {.lex_state = 424, .external_lex_state = 3},
  [16576] = {.lex_state = 381, .external_lex_state = 3},
  [16577] = {.lex_state = 381, .external_lex_state = 3},
  [16578] = {.lex_state = 205, .external_lex_state = 3},
  [16579] = {.lex_state = 25, .external_lex_state = 3},
  [16580] = {.lex_state = 99, .external_lex_state = 3},
  [16581] = {.lex_state = 424, .external_lex_state = 3},
  [16582] = {.lex_state = 381, .external_lex_state = 3},
  [16583] = {.lex_state = 100, .external_lex_state = 3},
  [16584] = {.lex_state = 100, .external_lex_state = 3},
  [16585] = {.lex_state = 381, .external_lex_state = 3},
  [16586] = {.lex_state = 100, .external_lex_state = 3},
  [16587] = {.lex_state = 381, .external_lex_state = 3},
  [16588] = {.lex_state = 99, .external_lex_state = 3},
  [16589] = {.lex_state = 15, .external_lex_state = 3},
  [16590] = {.lex_state = 100, .external_lex_state = 3},
  [16591] = {.lex_state = 100, .external_lex_state = 3},
  [16592] = {.lex_state = 15, .external_lex_state = 3},
  [16593] = {.lex_state = 381, .external_lex_state = 3},
  [16594] = {.lex_state = 100, .external_lex_state = 3},
  [16595] = {.lex_state = 100, .external_lex_state = 3},
  [16596] = {.lex_state = 100, .external_lex_state = 3},
  [16597] = {.lex_state = 424, .external_lex_state = 3},
  [16598] = {.lex_state = 15, .external_lex_state = 3},
  [16599] = {.lex_state = 381, .external_lex_state = 3},
  [16600] = {.lex_state = 381, .external_lex_state = 3},
  [16601] = {.lex_state = 100, .external_lex_state = 3},
  [16602] = {.lex_state = 381, .external_lex_state = 3},
  [16603] = {.lex_state = 100, .external_lex_state = 3},
  [16604] = {.lex_state = 100, .external_lex_state = 3},
  [16605] = {.lex_state = 15, .external_lex_state = 3},
  [16606] = {.lex_state = 100, .external_lex_state = 3},
  [16607] = {.lex_state = 100, .external_lex_state = 3},
  [16608] = {.lex_state = 99, .external_lex_state = 3},
  [16609] = {.lex_state = 381, .external_lex_state = 3},
  [16610] = {.lex_state = 99, .external_lex_state = 3},
  [16611] = {.lex_state = 25, .external_lex_state = 3},
  [16612] = {.lex_state = 424, .external_lex_state = 3},
  [16613] = {.lex_state = 381, .external_lex_state = 3},
  [16614] = {.lex_state = 381, .external_lex_state = 3},
  [16615] = {.lex_state = 381, .external_lex_state = 3},
  [16616] = {.lex_state = 25, .external_lex_state = 3},
  [16617] = {.lex_state = 25, .external_lex_state = 3},
  [16618] = {.lex_state = 381, .external_lex_state = 3},
  [16619] = {.lex_state = 100, .external_lex_state = 3},
  [16620] = {.lex_state = 100, .external_lex_state = 3},
  [16621] = {.lex_state = 99, .external_lex_state = 3},
  [16622] = {.lex_state = 381, .external_lex_state = 3},
  [16623] = {.lex_state = 100, .external_lex_state = 3},
  [16624] = {.lex_state = 100, .external_lex_state = 3},
  [16625] = {.lex_state = 205, .external_lex_state = 3},
  [16626] = {.lex_state = 25, .external_lex_state = 3},
  [16627] = {.lex_state = 205, .external_lex_state = 3},
  [16628] = {.lex_state = 381, .external_lex_state = 3},
  [16629] = {.lex_state = 15, .external_lex_state = 3},
  [16630] = {.lex_state = 100, .external_lex_state = 3},
  [16631] = {.lex_state = 100, .external_lex_state = 3},
  [16632] = {.lex_state = 15, .external_lex_state = 3},
  [16633] = {.lex_state = 100, .external_lex_state = 3},
  [16634] = {.lex_state = 100, .external_lex_state = 3},
  [16635] = {.lex_state = 381, .external_lex_state = 3},
  [16636] = {.lex_state = 381, .external_lex_state = 3},
  [16637] = {.lex_state = 381, .external_lex_state = 3},
  [16638] = {.lex_state = 424, .external_lex_state = 3},
  [16639] = {.lex_state = 100, .external_lex_state = 3},
  [16640] = {.lex_state = 381, .external_lex_state = 3},
  [16641] = {.lex_state = 100, .external_lex_state = 3},
  [16642] = {.lex_state = 381, .external_lex_state = 3},
  [16643] = {.lex_state = 381, .external_lex_state = 3},
  [16644] = {.lex_state = 15, .external_lex_state = 3},
  [16645] = {.lex_state = 100, .external_lex_state = 3},
  [16646] = {.lex_state = 99, .external_lex_state = 3},
  [16647] = {.lex_state = 99, .external_lex_state = 3},
  [16648] = {.lex_state = 381, .external_lex_state = 3},
  [16649] = {.lex_state = 424, .external_lex_state = 3},
  [16650] = {.lex_state = 381, .external_lex_state = 3},
  [16651] = {.lex_state = 381, .external_lex_state = 3},
  [16652] = {.lex_state = 205, .external_lex_state = 3},
  [16653] = {.lex_state = 165, .external_lex_state = 3},
  [16654] = {.lex_state = 25, .external_lex_state = 3},
  [16655] = {.lex_state = 15, .external_lex_state = 3},
  [16656] = {.lex_state = 100, .external_lex_state = 3},
  [16657] = {.lex_state = 424, .external_lex_state = 3},
  [16658] = {.lex_state = 381, .external_lex_state = 3},
  [16659] = {.lex_state = 381, .external_lex_state = 3},
  [16660] = {.lex_state = 15, .external_lex_state = 3},
  [16661] = {.lex_state = 100, .external_lex_state = 3},
  [16662] = {.lex_state = 381, .external_lex_state = 3},
  [16663] = {.lex_state = 25, .external_lex_state = 3},
  [16664] = {.lex_state = 15, .external_lex_state = 3},
  [16665] = {.lex_state = 210, .external_lex_state = 8},
  [16666] = {.lex_state = 15, .external_lex_state = 3},
  [16667] = {.lex_state = 100, .external_lex_state = 3},
  [16668] = {.lex_state = 381, .external_lex_state = 3},
  [16669] = {.lex_state = 100, .external_lex_state = 3},
  [16670] = {.lex_state = 15, .external_lex_state = 3},
  [16671] = {.lex_state = 165, .external_lex_state = 3},
  [16672] = {.lex_state = 15, .external_lex_state = 3},
  [16673] = {.lex_state = 205, .external_lex_state = 3},
  [16674] = {.lex_state = 15, .external_lex_state = 3},
  [16675] = {.lex_state = 424, .external_lex_state = 3},
  [16676] = {.lex_state = 381, .external_lex_state = 3},
  [16677] = {.lex_state = 15, .external_lex_state = 3},
  [16678] = {.lex_state = 15, .external_lex_state = 3},
  [16679] = {.lex_state = 15, .external_lex_state = 3},
  [16680] = {.lex_state = 381, .external_lex_state = 3},
  [16681] = {.lex_state = 381, .external_lex_state = 3},
  [16682] = {.lex_state = 100, .external_lex_state = 3},
  [16683] = {.lex_state = 381, .external_lex_state = 3},
  [16684] = {.lex_state = 15, .external_lex_state = 3},
  [16685] = {.lex_state = 15, .external_lex_state = 3},
  [16686] = {.lex_state = 15, .external_lex_state = 3},
  [16687] = {.lex_state = 381, .external_lex_state = 3},
  [16688] = {.lex_state = 381, .external_lex_state = 3},
  [16689] = {.lex_state = 205, .external_lex_state = 3},
  [16690] = {.lex_state = 381, .external_lex_state = 3},
  [16691] = {.lex_state = 381, .external_lex_state = 3},
  [16692] = {.lex_state = 381, .external_lex_state = 3},
  [16693] = {.lex_state = 15, .external_lex_state = 3},
  [16694] = {.lex_state = 424, .external_lex_state = 3},
  [16695] = {.lex_state = 381, .external_lex_state = 3},
  [16696] = {.lex_state = 381, .external_lex_state = 3},
  [16697] = {.lex_state = 381, .external_lex_state = 3},
  [16698] = {.lex_state = 381, .external_lex_state = 3},
  [16699] = {.lex_state = 381, .external_lex_state = 3},
  [16700] = {.lex_state = 381, .external_lex_state = 3},
  [16701] = {.lex_state = 100, .external_lex_state = 3},
  [16702] = {.lex_state = 381, .external_lex_state = 3},
  [16703] = {.lex_state = 15, .external_lex_state = 3},
  [16704] = {.lex_state = 381, .external_lex_state = 3},
  [16705] = {.lex_state = 381, .external_lex_state = 3},
  [16706] = {.lex_state = 100, .external_lex_state = 3},
  [16707] = {.lex_state = 15, .external_lex_state = 3},
  [16708] = {.lex_state = 100, .external_lex_state = 3},
  [16709] = {.lex_state = 100, .external_lex_state = 3},
  [16710] = {.lex_state = 15, .external_lex_state = 3},
  [16711] = {.lex_state = 100, .external_lex_state = 3},
  [16712] = {.lex_state = 100, .external_lex_state = 3},
  [16713] = {.lex_state = 381, .external_lex_state = 3},
  [16714] = {.lex_state = 15, .external_lex_state = 3},
  [16715] = {.lex_state = 99, .external_lex_state = 3},
  [16716] = {.lex_state = 381, .external_lex_state = 3},
  [16717] = {.lex_state = 381, .external_lex_state = 3},
  [16718] = {.lex_state = 100, .external_lex_state = 3},
  [16719] = {.lex_state = 100, .external_lex_state = 3},
  [16720] = {.lex_state = 411, .external_lex_state = 3},
  [16721] = {.lex_state = 381, .external_lex_state = 3},
  [16722] = {.lex_state = 25, .external_lex_state = 3},
  [16723] = {.lex_state = 100, .external_lex_state = 3},
  [16724] = {.lex_state = 100, .external_lex_state = 3},
  [16725] = {.lex_state = 24, .external_lex_state = 3},
  [16726] = {.lex_state = 99, .external_lex_state = 3},
  [16727] = {.lex_state = 100, .external_lex_state = 3},
  [16728] = {.lex_state = 15, .external_lex_state = 3},
  [16729] = {.lex_state = 100, .external_lex_state = 3},
  [16730] = {.lex_state = 205, .external_lex_state = 3},
  [16731] = {.lex_state = 100, .external_lex_state = 3},
  [16732] = {.lex_state = 99, .external_lex_state = 3},
  [16733] = {.lex_state = 381, .external_lex_state = 3},
  [16734] = {.lex_state = 210, .external_lex_state = 8},
  [16735] = {.lex_state = 15, .external_lex_state = 3},
  [16736] = {.lex_state = 100, .external_lex_state = 3},
  [16737] = {.lex_state = 15, .external_lex_state = 3},
  [16738] = {.lex_state = 100, .external_lex_state = 3},
  [16739] = {.lex_state = 100, .external_lex_state = 3},
  [16740] = {.lex_state = 381, .external_lex_state = 3},
  [16741] = {.lex_state = 100, .external_lex_state = 3},
  [16742] = {.lex_state = 15, .external_lex_state = 3},
  [16743] = {.lex_state = 25, .external_lex_state = 3},
  [16744] = {.lex_state = 100, .external_lex_state = 3},
  [16745] = {.lex_state = 15, .external_lex_state = 3},
  [16746] = {.lex_state = 15, .external_lex_state = 3},
  [16747] = {.lex_state = 100, .external_lex_state = 3},
  [16748] = {.lex_state = 100, .external_lex_state = 3},
  [16749] = {.lex_state = 381, .external_lex_state = 3},
  [16750] = {.lex_state = 381, .external_lex_state = 3},
  [16751] = {.lex_state = 15, .external_lex_state = 3},
  [16752] = {.lex_state = 100, .external_lex_state = 3},
  [16753] = {.lex_state = 205, .external_lex_state = 3},
  [16754] = {.lex_state = 15, .external_lex_state = 3},
  [16755] = {.lex_state = 381, .external_lex_state = 3},
  [16756] = {.lex_state = 15, .external_lex_state = 3},
  [16757] = {.lex_state = 205, .external_lex_state = 3},
  [16758] = {.lex_state = 381, .external_lex_state = 3},
  [16759] = {.lex_state = 381, .external_lex_state = 3},
  [16760] = {.lex_state = 381, .external_lex_state = 3},
  [16761] = {.lex_state = 381, .external_lex_state = 3},
  [16762] = {.lex_state = 100, .external_lex_state = 3},
  [16763] = {.lex_state = 15, .external_lex_state = 3},
  [16764] = {.lex_state = 205, .external_lex_state = 3},
  [16765] = {.lex_state = 381, .external_lex_state = 3},
  [16766] = {.lex_state = 381, .external_lex_state = 3},
  [16767] = {.lex_state = 381, .external_lex_state = 3},
  [16768] = {.lex_state = 381, .external_lex_state = 3},
  [16769] = {.lex_state = 15, .external_lex_state = 3},
  [16770] = {.lex_state = 100, .external_lex_state = 3},
  [16771] = {.lex_state = 100, .external_lex_state = 3},
  [16772] = {.lex_state = 424, .external_lex_state = 3},
  [16773] = {.lex_state = 381, .external_lex_state = 3},
  [16774] = {.lex_state = 381, .external_lex_state = 3},
  [16775] = {.lex_state = 100, .external_lex_state = 3},
  [16776] = {.lex_state = 15, .external_lex_state = 3},
  [16777] = {.lex_state = 15, .external_lex_state = 3},
  [16778] = {.lex_state = 381, .external_lex_state = 3},
  [16779] = {.lex_state = 100, .external_lex_state = 3},
  [16780] = {.lex_state = 15, .external_lex_state = 3},
  [16781] = {.lex_state = 15, .external_lex_state = 3},
  [16782] = {.lex_state = 25, .external_lex_state = 3},
  [16783] = {.lex_state = 100, .external_lex_state = 3},
  [16784] = {.lex_state = 100, .external_lex_state = 3},
  [16785] = {.lex_state = 100, .external_lex_state = 3},
  [16786] = {.lex_state = 100, .external_lex_state = 3},
  [16787] = {.lex_state = 15, .external_lex_state = 3},
  [16788] = {.lex_state = 100, .external_lex_state = 3},
  [16789] = {.lex_state = 100, .external_lex_state = 3},
  [16790] = {.lex_state = 381, .external_lex_state = 3},
  [16791] = {.lex_state = 99, .external_lex_state = 3},
  [16792] = {.lex_state = 210, .external_lex_state = 8},
  [16793] = {.lex_state = 25, .external_lex_state = 3},
  [16794] = {.lex_state = 100, .external_lex_state = 3},
  [16795] = {.lex_state = 100, .external_lex_state = 3},
  [16796] = {.lex_state = 100, .external_lex_state = 3},
  [16797] = {.lex_state = 15, .external_lex_state = 3},
  [16798] = {.lex_state = 15, .external_lex_state = 3},
  [16799] = {.lex_state = 15, .external_lex_state = 3},
  [16800] = {.lex_state = 100, .external_lex_state = 3},
  [16801] = {.lex_state = 15, .external_lex_state = 3},
  [16802] = {.lex_state = 381, .external_lex_state = 3},
  [16803] = {.lex_state = 381, .external_lex_state = 3},
  [16804] = {.lex_state = 100, .external_lex_state = 3},
  [16805] = {.lex_state = 381, .external_lex_state = 3},
  [16806] = {.lex_state = 15, .external_lex_state = 3},
  [16807] = {.lex_state = 15, .external_lex_state = 3},
  [16808] = {.lex_state = 381, .external_lex_state = 3},
  [16809] = {.lex_state = 99, .external_lex_state = 3},
  [16810] = {.lex_state = 381, .external_lex_state = 3},
  [16811] = {.lex_state = 381, .external_lex_state = 3},
  [16812] = {.lex_state = 381, .external_lex_state = 3},
  [16813] = {.lex_state = 15, .external_lex_state = 3},
  [16814] = {.lex_state = 205, .external_lex_state = 3},
  [16815] = {.lex_state = 15, .external_lex_state = 3},
  [16816] = {.lex_state = 99, .external_lex_state = 3},
  [16817] = {.lex_state = 100, .external_lex_state = 3},
  [16818] = {.lex_state = 100, .external_lex_state = 3},
  [16819] = {.lex_state = 100, .external_lex_state = 3},
  [16820] = {.lex_state = 411, .external_lex_state = 3},
  [16821] = {.lex_state = 15, .external_lex_state = 3},
  [16822] = {.lex_state = 100, .external_lex_state = 3},
  [16823] = {.lex_state = 15, .external_lex_state = 3},
  [16824] = {.lex_state = 100, .external_lex_state = 3},
  [16825] = {.lex_state = 15, .external_lex_state = 3},
  [16826] = {.lex_state = 411, .external_lex_state = 3},
  [16827] = {.lex_state = 100, .external_lex_state = 3},
  [16828] = {.lex_state = 424, .external_lex_state = 3},
  [16829] = {.lex_state = 15, .external_lex_state = 3},
  [16830] = {.lex_state = 100, .external_lex_state = 3},
  [16831] = {.lex_state = 15, .external_lex_state = 3},
  [16832] = {.lex_state = 381, .external_lex_state = 3},
  [16833] = {.lex_state = 381, .external_lex_state = 3},
  [16834] = {.lex_state = 381, .external_lex_state = 3},
  [16835] = {.lex_state = 411, .external_lex_state = 3},
  [16836] = {.lex_state = 100, .external_lex_state = 3},
  [16837] = {.lex_state = 100, .external_lex_state = 3},
  [16838] = {.lex_state = 381, .external_lex_state = 3},
  [16839] = {.lex_state = 210, .external_lex_state = 8},
  [16840] = {.lex_state = 100, .external_lex_state = 3},
  [16841] = {.lex_state = 25, .external_lex_state = 3},
  [16842] = {.lex_state = 381, .external_lex_state = 3},
  [16843] = {.lex_state = 15, .external_lex_state = 3},
  [16844] = {.lex_state = 100, .external_lex_state = 3},
  [16845] = {.lex_state = 15, .external_lex_state = 3},
  [16846] = {.lex_state = 100, .external_lex_state = 3},
  [16847] = {.lex_state = 381, .external_lex_state = 3},
  [16848] = {.lex_state = 15, .external_lex_state = 3},
  [16849] = {.lex_state = 381, .external_lex_state = 3},
  [16850] = {.lex_state = 381, .external_lex_state = 3},
  [16851] = {.lex_state = 381, .external_lex_state = 3},
  [16852] = {.lex_state = 100, .external_lex_state = 3},
  [16853] = {.lex_state = 15, .external_lex_state = 3},
  [16854] = {.lex_state = 381, .external_lex_state = 3},
  [16855] = {.lex_state = 381, .external_lex_state = 3},
  [16856] = {.lex_state = 210, .external_lex_state = 8},
  [16857] = {.lex_state = 100, .external_lex_state = 3},
  [16858] = {.lex_state = 100, .external_lex_state = 3},
  [16859] = {.lex_state = 100, .external_lex_state = 3},
  [16860] = {.lex_state = 25, .external_lex_state = 3},
  [16861] = {.lex_state = 100, .external_lex_state = 3},
  [16862] = {.lex_state = 15, .external_lex_state = 3},
  [16863] = {.lex_state = 99, .external_lex_state = 3},
  [16864] = {.lex_state = 132, .external_lex_state = 3},
  [16865] = {.lex_state = 100, .external_lex_state = 3},
  [16866] = {.lex_state = 100, .external_lex_state = 3},
  [16867] = {.lex_state = 99, .external_lex_state = 3},
  [16868] = {.lex_state = 205, .external_lex_state = 3},
  [16869] = {.lex_state = 100, .external_lex_state = 3},
  [16870] = {.lex_state = 411, .external_lex_state = 3},
  [16871] = {.lex_state = 100, .external_lex_state = 3},
  [16872] = {.lex_state = 15, .external_lex_state = 3},
  [16873] = {.lex_state = 100, .external_lex_state = 3},
  [16874] = {.lex_state = 25, .external_lex_state = 3},
  [16875] = {.lex_state = 381, .external_lex_state = 3},
  [16876] = {.lex_state = 100, .external_lex_state = 3},
  [16877] = {.lex_state = 15, .external_lex_state = 3},
  [16878] = {.lex_state = 100, .external_lex_state = 3},
  [16879] = {.lex_state = 99, .external_lex_state = 3},
  [16880] = {.lex_state = 381, .external_lex_state = 3},
  [16881] = {.lex_state = 100, .external_lex_state = 3},
  [16882] = {.lex_state = 100, .external_lex_state = 3},
  [16883] = {.lex_state = 99, .external_lex_state = 3},
  [16884] = {.lex_state = 210, .external_lex_state = 8},
  [16885] = {.lex_state = 100, .external_lex_state = 3},
  [16886] = {.lex_state = 100, .external_lex_state = 3},
  [16887] = {.lex_state = 424, .external_lex_state = 3},
  [16888] = {.lex_state = 15, .external_lex_state = 3},
  [16889] = {.lex_state = 15, .external_lex_state = 3},
  [16890] = {.lex_state = 15, .external_lex_state = 3},
  [16891] = {.lex_state = 381, .external_lex_state = 3},
  [16892] = {.lex_state = 15, .external_lex_state = 3},
  [16893] = {.lex_state = 15, .external_lex_state = 3},
  [16894] = {.lex_state = 100, .external_lex_state = 3},
  [16895] = {.lex_state = 15, .external_lex_state = 3},
  [16896] = {.lex_state = 381, .external_lex_state = 3},
  [16897] = {.lex_state = 100, .external_lex_state = 3},
  [16898] = {.lex_state = 100, .external_lex_state = 3},
  [16899] = {.lex_state = 100, .external_lex_state = 3},
  [16900] = {.lex_state = 15, .external_lex_state = 3},
  [16901] = {.lex_state = 381, .external_lex_state = 3},
  [16902] = {.lex_state = 25, .external_lex_state = 3},
  [16903] = {.lex_state = 381, .external_lex_state = 3},
  [16904] = {.lex_state = 15, .external_lex_state = 3},
  [16905] = {.lex_state = 381, .external_lex_state = 3},
  [16906] = {.lex_state = 381, .external_lex_state = 3},
  [16907] = {.lex_state = 424, .external_lex_state = 3},
  [16908] = {.lex_state = 205, .external_lex_state = 3},
  [16909] = {.lex_state = 381, .external_lex_state = 3},
  [16910] = {.lex_state = 25, .external_lex_state = 3},
  [16911] = {.lex_state = 381, .external_lex_state = 3},
  [16912] = {.lex_state = 15, .external_lex_state = 3},
  [16913] = {.lex_state = 100, .external_lex_state = 3},
  [16914] = {.lex_state = 205, .external_lex_state = 3},
  [16915] = {.lex_state = 100, .external_lex_state = 3},
  [16916] = {.lex_state = 99, .external_lex_state = 3},
  [16917] = {.lex_state = 100, .external_lex_state = 3},
  [16918] = {.lex_state = 15, .external_lex_state = 3},
  [16919] = {.lex_state = 165, .external_lex_state = 3},
  [16920] = {.lex_state = 100, .external_lex_state = 3},
  [16921] = {.lex_state = 15, .external_lex_state = 3},
  [16922] = {.lex_state = 100, .external_lex_state = 3},
  [16923] = {.lex_state = 205, .external_lex_state = 3},
  [16924] = {.lex_state = 210, .external_lex_state = 8},
  [16925] = {.lex_state = 381, .external_lex_state = 3},
  [16926] = {.lex_state = 381, .external_lex_state = 3},
  [16927] = {.lex_state = 424, .external_lex_state = 3},
  [16928] = {.lex_state = 15, .external_lex_state = 3},
  [16929] = {.lex_state = 15, .external_lex_state = 3},
  [16930] = {.lex_state = 15, .external_lex_state = 3},
  [16931] = {.lex_state = 381, .external_lex_state = 3},
  [16932] = {.lex_state = 100, .external_lex_state = 3},
  [16933] = {.lex_state = 381, .external_lex_state = 3},
  [16934] = {.lex_state = 381, .external_lex_state = 3},
  [16935] = {.lex_state = 381, .external_lex_state = 3},
  [16936] = {.lex_state = 100, .external_lex_state = 3},
  [16937] = {.lex_state = 381, .external_lex_state = 3},
  [16938] = {.lex_state = 381, .external_lex_state = 3},
  [16939] = {.lex_state = 100, .external_lex_state = 3},
  [16940] = {.lex_state = 99, .external_lex_state = 3},
  [16941] = {.lex_state = 100, .external_lex_state = 3},
  [16942] = {.lex_state = 15, .external_lex_state = 3},
  [16943] = {.lex_state = 100, .external_lex_state = 3},
  [16944] = {.lex_state = 15, .external_lex_state = 3},
  [16945] = {.lex_state = 15, .external_lex_state = 3},
  [16946] = {.lex_state = 381, .external_lex_state = 3},
  [16947] = {.lex_state = 205, .external_lex_state = 3},
  [16948] = {.lex_state = 424, .external_lex_state = 3},
  [16949] = {.lex_state = 381, .external_lex_state = 3},
  [16950] = {.lex_state = 381, .external_lex_state = 3},
  [16951] = {.lex_state = 381, .external_lex_state = 3},
  [16952] = {.lex_state = 25, .external_lex_state = 3},
  [16953] = {.lex_state = 165, .external_lex_state = 3},
  [16954] = {.lex_state = 99, .external_lex_state = 3},
  [16955] = {.lex_state = 165, .external_lex_state = 3},
  [16956] = {.lex_state = 15, .external_lex_state = 3},
  [16957] = {.lex_state = 100, .external_lex_state = 3},
  [16958] = {.lex_state = 381, .external_lex_state = 3},
  [16959] = {.lex_state = 381, .external_lex_state = 3},
  [16960] = {.lex_state = 100, .external_lex_state = 3},
  [16961] = {.lex_state = 210, .external_lex_state = 8},
  [16962] = {.lex_state = 15, .external_lex_state = 3},
  [16963] = {.lex_state = 100, .external_lex_state = 3},
  [16964] = {.lex_state = 36, .external_lex_state = 3},
  [16965] = {.lex_state = 100, .external_lex_state = 3},
  [16966] = {.lex_state = 381, .external_lex_state = 3},
  [16967] = {.lex_state = 100, .external_lex_state = 3},
  [16968] = {.lex_state = 381, .external_lex_state = 3},
  [16969] = {.lex_state = 381, .external_lex_state = 3},
  [16970] = {.lex_state = 381, .external_lex_state = 3},
  [16971] = {.lex_state = 100, .external_lex_state = 3},
  [16972] = {.lex_state = 424, .external_lex_state = 3},
  [16973] = {.lex_state = 100, .external_lex_state = 3},
  [16974] = {.lex_state = 99, .external_lex_state = 3},
  [16975] = {.lex_state = 424, .external_lex_state = 3},
  [16976] = {.lex_state = 15, .external_lex_state = 3},
  [16977] = {.lex_state = 381, .external_lex_state = 3},
  [16978] = {.lex_state = 381, .external_lex_state = 3},
  [16979] = {.lex_state = 15, .external_lex_state = 3},
  [16980] = {.lex_state = 100, .external_lex_state = 3},
  [16981] = {.lex_state = 100, .external_lex_state = 3},
  [16982] = {.lex_state = 100, .external_lex_state = 3},
  [16983] = {.lex_state = 15, .external_lex_state = 3},
  [16984] = {.lex_state = 381, .external_lex_state = 3},
  [16985] = {.lex_state = 15, .external_lex_state = 3},
  [16986] = {.lex_state = 210, .external_lex_state = 8},
  [16987] = {.lex_state = 381, .external_lex_state = 3},
  [16988] = {.lex_state = 15, .external_lex_state = 3},
  [16989] = {.lex_state = 100, .external_lex_state = 3},
  [16990] = {.lex_state = 99, .external_lex_state = 3},
  [16991] = {.lex_state = 100, .external_lex_state = 3},
  [16992] = {.lex_state = 15, .external_lex_state = 3},
  [16993] = {.lex_state = 15, .external_lex_state = 3},
  [16994] = {.lex_state = 15, .external_lex_state = 3},
  [16995] = {.lex_state = 100, .external_lex_state = 3},
  [16996] = {.lex_state = 100, .external_lex_state = 3},
  [16997] = {.lex_state = 99, .external_lex_state = 3},
  [16998] = {.lex_state = 100, .external_lex_state = 3},
  [16999] = {.lex_state = 381, .external_lex_state = 3},
  [17000] = {.lex_state = 381, .external_lex_state = 3},
  [17001] = {.lex_state = 381, .external_lex_state = 3},
  [17002] = {.lex_state = 99, .external_lex_state = 3},
  [17003] = {.lex_state = 381, .external_lex_state = 3},
  [17004] = {.lex_state = 381, .external_lex_state = 3},
  [17005] = {.lex_state = 100, .external_lex_state = 3},
  [17006] = {.lex_state = 100, .external_lex_state = 3},
  [17007] = {.lex_state = 205, .external_lex_state = 3},
  [17008] = {.lex_state = 205, .external_lex_state = 3},
  [17009] = {.lex_state = 15, .external_lex_state = 3},
  [17010] = {.lex_state = 100, .external_lex_state = 3},
  [17011] = {.lex_state = 15, .external_lex_state = 3},
  [17012] = {.lex_state = 100, .external_lex_state = 3},
  [17013] = {.lex_state = 99, .external_lex_state = 3},
  [17014] = {.lex_state = 25, .external_lex_state = 3},
  [17015] = {.lex_state = 15, .external_lex_state = 3},
  [17016] = {.lex_state = 205, .external_lex_state = 3},
  [17017] = {.lex_state = 15, .external_lex_state = 3},
  [17018] = {.lex_state = 100, .external_lex_state = 3},
  [17019] = {.lex_state = 381, .external_lex_state = 3},
  [17020] = {.lex_state = 210, .external_lex_state = 8},
  [17021] = {.lex_state = 381, .external_lex_state = 3},
  [17022] = {.lex_state = 381, .external_lex_state = 3},
  [17023] = {.lex_state = 100, .external_lex_state = 3},
  [17024] = {.lex_state = 100, .external_lex_state = 3},
  [17025] = {.lex_state = 424, .external_lex_state = 3},
  [17026] = {.lex_state = 100, .external_lex_state = 3},
  [17027] = {.lex_state = 25, .external_lex_state = 3},
  [17028] = {.lex_state = 15, .external_lex_state = 3},
  [17029] = {.lex_state = 381, .external_lex_state = 3},
  [17030] = {.lex_state = 100, .external_lex_state = 3},
  [17031] = {.lex_state = 381, .external_lex_state = 3},
  [17032] = {.lex_state = 381, .external_lex_state = 3},
  [17033] = {.lex_state = 381, .external_lex_state = 3},
  [17034] = {.lex_state = 381, .external_lex_state = 3},
  [17035] = {.lex_state = 381, .external_lex_state = 3},
  [17036] = {.lex_state = 100, .external_lex_state = 3},
  [17037] = {.lex_state = 100, .external_lex_state = 3},
  [17038] = {.lex_state = 100, .external_lex_state = 3},
  [17039] = {.lex_state = 100, .external_lex_state = 3},
  [17040] = {.lex_state = 15, .external_lex_state = 3},
  [17041] = {.lex_state = 25, .external_lex_state = 3},
  [17042] = {.lex_state = 100, .external_lex_state = 3},
  [17043] = {.lex_state = 210, .external_lex_state = 8},
  [17044] = {.lex_state = 205, .external_lex_state = 3},
  [17045] = {.lex_state = 100, .external_lex_state = 3},
  [17046] = {.lex_state = 15, .external_lex_state = 3},
  [17047] = {.lex_state = 100, .external_lex_state = 3},
  [17048] = {.lex_state = 100, .external_lex_state = 3},
  [17049] = {.lex_state = 15, .external_lex_state = 3},
  [17050] = {.lex_state = 100, .external_lex_state = 3},
  [17051] = {.lex_state = 100, .external_lex_state = 3},
  [17052] = {.lex_state = 99, .external_lex_state = 3},
  [17053] = {.lex_state = 381, .external_lex_state = 3},
  [17054] = {.lex_state = 381, .external_lex_state = 3},
  [17055] = {.lex_state = 100, .external_lex_state = 3},
  [17056] = {.lex_state = 381, .external_lex_state = 3},
  [17057] = {.lex_state = 381, .external_lex_state = 3},
  [17058] = {.lex_state = 100, .external_lex_state = 3},
  [17059] = {.lex_state = 424, .external_lex_state = 3},
  [17060] = {.lex_state = 15, .external_lex_state = 3},
  [17061] = {.lex_state = 165, .external_lex_state = 3},
  [17062] = {.lex_state = 15, .external_lex_state = 3},
  [17063] = {.lex_state = 100, .external_lex_state = 3},
  [17064] = {.lex_state = 381, .external_lex_state = 3},
  [17065] = {.lex_state = 100, .external_lex_state = 3},
  [17066] = {.lex_state = 381, .external_lex_state = 3},
  [17067] = {.lex_state = 15, .external_lex_state = 3},
  [17068] = {.lex_state = 424, .external_lex_state = 3},
  [17069] = {.lex_state = 100, .external_lex_state = 3},
  [17070] = {.lex_state = 15, .external_lex_state = 3},
  [17071] = {.lex_state = 210, .external_lex_state = 8},
  [17072] = {.lex_state = 381, .external_lex_state = 3},
  [17073] = {.lex_state = 210, .external_lex_state = 8},
  [17074] = {.lex_state = 15, .external_lex_state = 3},
  [17075] = {.lex_state = 100, .external_lex_state = 3},
  [17076] = {.lex_state = 100, .external_lex_state = 3},
  [17077] = {.lex_state = 381, .external_lex_state = 3},
  [17078] = {.lex_state = 100, .external_lex_state = 3},
  [17079] = {.lex_state = 99, .external_lex_state = 3},
  [17080] = {.lex_state = 381, .external_lex_state = 3},
  [17081] = {.lex_state = 100, .external_lex_state = 3},
  [17082] = {.lex_state = 381, .external_lex_state = 3},
  [17083] = {.lex_state = 381, .external_lex_state = 3},
  [17084] = {.lex_state = 381, .external_lex_state = 3},
  [17085] = {.lex_state = 381, .external_lex_state = 3},
  [17086] = {.lex_state = 381, .external_lex_state = 3},
  [17087] = {.lex_state = 100, .external_lex_state = 3},
  [17088] = {.lex_state = 205, .external_lex_state = 3},
  [17089] = {.lex_state = 15, .external_lex_state = 3},
  [17090] = {.lex_state = 100, .external_lex_state = 3},
  [17091] = {.lex_state = 100, .external_lex_state = 3},
  [17092] = {.lex_state = 100, .external_lex_state = 3},
  [17093] = {.lex_state = 100, .external_lex_state = 3},
  [17094] = {.lex_state = 15, .external_lex_state = 3},
  [17095] = {.lex_state = 100, .external_lex_state = 3},
  [17096] = {.lex_state = 210, .external_lex_state = 8},
  [17097] = {.lex_state = 99, .external_lex_state = 3},
  [17098] = {.lex_state = 100, .external_lex_state = 3},
  [17099] = {.lex_state = 100, .external_lex_state = 3},
  [17100] = {.lex_state = 381, .external_lex_state = 3},
  [17101] = {.lex_state = 99, .external_lex_state = 3},
  [17102] = {.lex_state = 25, .external_lex_state = 3},
  [17103] = {.lex_state = 15, .external_lex_state = 3},
  [17104] = {.lex_state = 15, .external_lex_state = 3},
  [17105] = {.lex_state = 100, .external_lex_state = 3},
  [17106] = {.lex_state = 381, .external_lex_state = 3},
  [17107] = {.lex_state = 381, .external_lex_state = 3},
  [17108] = {.lex_state = 381, .external_lex_state = 3},
  [17109] = {.lex_state = 381, .external_lex_state = 3},
  [17110] = {.lex_state = 100, .external_lex_state = 3},
  [17111] = {.lex_state = 100, .external_lex_state = 3},
  [17112] = {.lex_state = 381, .external_lex_state = 3},
  [17113] = {.lex_state = 15, .external_lex_state = 3},
  [17114] = {.lex_state = 100, .external_lex_state = 3},
  [17115] = {.lex_state = 100, .external_lex_state = 3},
  [17116] = {.lex_state = 100, .external_lex_state = 3},
  [17117] = {.lex_state = 210, .external_lex_state = 8},
  [17118] = {.lex_state = 15, .external_lex_state = 3},
  [17119] = {.lex_state = 15, .external_lex_state = 3},
  [17120] = {.lex_state = 99, .external_lex_state = 3},
  [17121] = {.lex_state = 205, .external_lex_state = 3},
  [17122] = {.lex_state = 100, .external_lex_state = 3},
  [17123] = {.lex_state = 100, .external_lex_state = 3},
  [17124] = {.lex_state = 15, .external_lex_state = 3},
  [17125] = {.lex_state = 100, .external_lex_state = 3},
  [17126] = {.lex_state = 381, .external_lex_state = 3},
  [17127] = {.lex_state = 100, .external_lex_state = 3},
  [17128] = {.lex_state = 381, .external_lex_state = 3},
  [17129] = {.lex_state = 15, .external_lex_state = 3},
  [17130] = {.lex_state = 381, .external_lex_state = 3},
  [17131] = {.lex_state = 381, .external_lex_state = 3},
  [17132] = {.lex_state = 100, .external_lex_state = 3},
  [17133] = {.lex_state = 381, .external_lex_state = 3},
  [17134] = {.lex_state = 15, .external_lex_state = 3},
  [17135] = {.lex_state = 99, .external_lex_state = 3},
  [17136] = {.lex_state = 25, .external_lex_state = 3},
  [17137] = {.lex_state = 210, .external_lex_state = 8},
  [17138] = {.lex_state = 381, .external_lex_state = 3},
  [17139] = {.lex_state = 99, .external_lex_state = 3},
  [17140] = {.lex_state = 100, .external_lex_state = 3},
  [17141] = {.lex_state = 100, .external_lex_state = 3},
  [17142] = {.lex_state = 100, .external_lex_state = 3},
  [17143] = {.lex_state = 99, .external_lex_state = 3},
  [17144] = {.lex_state = 100, .external_lex_state = 3},
  [17145] = {.lex_state = 100, .external_lex_state = 3},
  [17146] = {.lex_state = 15, .external_lex_state = 3},
  [17147] = {.lex_state = 381, .external_lex_state = 3},
  [17148] = {.lex_state = 381, .external_lex_state = 3},
  [17149] = {.lex_state = 381, .external_lex_state = 3},
  [17150] = {.lex_state = 381, .external_lex_state = 3},
  [17151] = {.lex_state = 424, .external_lex_state = 3},
  [17152] = {.lex_state = 205, .external_lex_state = 3},
  [17153] = {.lex_state = 15, .external_lex_state = 3},
  [17154] = {.lex_state = 36, .external_lex_state = 3},
  [17155] = {.lex_state = 99, .external_lex_state = 3},
  [17156] = {.lex_state = 381, .external_lex_state = 3},
  [17157] = {.lex_state = 381, .external_lex_state = 3},
  [17158] = {.lex_state = 100, .external_lex_state = 3},
  [17159] = {.lex_state = 210, .external_lex_state = 8},
  [17160] = {.lex_state = 165, .external_lex_state = 3},
  [17161] = {.lex_state = 381, .external_lex_state = 3},
  [17162] = {.lex_state = 15, .external_lex_state = 3},
  [17163] = {.lex_state = 100, .external_lex_state = 3},
  [17164] = {.lex_state = 100, .external_lex_state = 3},
  [17165] = {.lex_state = 15, .external_lex_state = 3},
  [17166] = {.lex_state = 100, .external_lex_state = 3},
  [17167] = {.lex_state = 100, .external_lex_state = 3},
  [17168] = {.lex_state = 15, .external_lex_state = 3},
  [17169] = {.lex_state = 381, .external_lex_state = 3},
  [17170] = {.lex_state = 381, .external_lex_state = 3},
  [17171] = {.lex_state = 100, .external_lex_state = 3},
  [17172] = {.lex_state = 381, .external_lex_state = 3},
  [17173] = {.lex_state = 381, .external_lex_state = 3},
  [17174] = {.lex_state = 424, .external_lex_state = 3},
  [17175] = {.lex_state = 381, .external_lex_state = 3},
  [17176] = {.lex_state = 381, .external_lex_state = 3},
  [17177] = {.lex_state = 100, .external_lex_state = 3},
  [17178] = {.lex_state = 25, .external_lex_state = 3},
  [17179] = {.lex_state = 25, .external_lex_state = 3},
  [17180] = {.lex_state = 15, .external_lex_state = 3},
  [17181] = {.lex_state = 100, .external_lex_state = 3},
  [17182] = {.lex_state = 25, .external_lex_state = 3},
  [17183] = {.lex_state = 210, .external_lex_state = 8},
  [17184] = {.lex_state = 15, .external_lex_state = 3},
  [17185] = {.lex_state = 205, .external_lex_state = 3},
  [17186] = {.lex_state = 381, .external_lex_state = 3},
  [17187] = {.lex_state = 99, .external_lex_state = 3},
  [17188] = {.lex_state = 381, .external_lex_state = 3},
  [17189] = {.lex_state = 381, .external_lex_state = 3},
  [17190] = {.lex_state = 381, .external_lex_state = 3},
  [17191] = {.lex_state = 15, .external_lex_state = 3},
  [17192] = {.lex_state = 15, .external_lex_state = 3},
  [17193] = {.lex_state = 100, .external_lex_state = 3},
  [17194] = {.lex_state = 15, .external_lex_state = 3},
  [17195] = {.lex_state = 424, .external_lex_state = 3},
  [17196] = {.lex_state = 210, .external_lex_state = 8},
  [17197] = {.lex_state = 381, .external_lex_state = 3},
  [17198] = {.lex_state = 381, .external_lex_state = 3},
  [17199] = {.lex_state = 381, .external_lex_state = 3},
  [17200] = {.lex_state = 15, .external_lex_state = 3},
  [17201] = {.lex_state = 100, .external_lex_state = 3},
  [17202] = {.lex_state = 381, .external_lex_state = 3},
  [17203] = {.lex_state = 381, .external_lex_state = 3},
  [17204] = {.lex_state = 381, .external_lex_state = 3},
  [17205] = {.lex_state = 411, .external_lex_state = 3},
  [17206] = {.lex_state = 15, .external_lex_state = 3},
  [17207] = {.lex_state = 381, .external_lex_state = 3},
  [17208] = {.lex_state = 15, .external_lex_state = 3},
  [17209] = {.lex_state = 210, .external_lex_state = 8},
  [17210] = {.lex_state = 15, .external_lex_state = 3},
  [17211] = {.lex_state = 100, .external_lex_state = 3},
  [17212] = {.lex_state = 381, .external_lex_state = 3},
  [17213] = {.lex_state = 100, .external_lex_state = 3},
  [17214] = {.lex_state = 15, .external_lex_state = 3},
  [17215] = {.lex_state = 15, .external_lex_state = 3},
  [17216] = {.lex_state = 25, .external_lex_state = 3},
  [17217] = {.lex_state = 381, .external_lex_state = 3},
  [17218] = {.lex_state = 381, .external_lex_state = 3},
  [17219] = {.lex_state = 381, .external_lex_state = 3},
  [17220] = {.lex_state = 381, .external_lex_state = 3},
  [17221] = {.lex_state = 15, .external_lex_state = 3},
  [17222] = {.lex_state = 381, .external_lex_state = 3},
  [17223] = {.lex_state = 100, .external_lex_state = 3},
  [17224] = {.lex_state = 210, .external_lex_state = 8},
  [17225] = {.lex_state = 100, .external_lex_state = 3},
  [17226] = {.lex_state = 100, .external_lex_state = 3},
  [17227] = {.lex_state = 100, .external_lex_state = 3},
  [17228] = {.lex_state = 100, .external_lex_state = 3},
  [17229] = {.lex_state = 381, .external_lex_state = 3},
  [17230] = {.lex_state = 100, .external_lex_state = 3},
  [17231] = {.lex_state = 25, .external_lex_state = 3},
  [17232] = {.lex_state = 381, .external_lex_state = 3},
  [17233] = {.lex_state = 381, .external_lex_state = 3},
  [17234] = {.lex_state = 100, .external_lex_state = 3},
  [17235] = {.lex_state = 381, .external_lex_state = 3},
  [17236] = {.lex_state = 381, .external_lex_state = 3},
  [17237] = {.lex_state = 205, .external_lex_state = 3},
  [17238] = {.lex_state = 15, .external_lex_state = 3},
  [17239] = {.lex_state = 100, .external_lex_state = 3},
  [17240] = {.lex_state = 210, .external_lex_state = 8},
  [17241] = {.lex_state = 100, .external_lex_state = 3},
  [17242] = {.lex_state = 15, .external_lex_state = 3},
  [17243] = {.lex_state = 100, .external_lex_state = 3},
  [17244] = {.lex_state = 99, .external_lex_state = 3},
  [17245] = {.lex_state = 381, .external_lex_state = 3},
  [17246] = {.lex_state = 100, .external_lex_state = 3},
  [17247] = {.lex_state = 99, .external_lex_state = 3},
  [17248] = {.lex_state = 100, .external_lex_state = 3},
  [17249] = {.lex_state = 15, .external_lex_state = 3},
  [17250] = {.lex_state = 381, .external_lex_state = 3},
  [17251] = {.lex_state = 381, .external_lex_state = 3},
  [17252] = {.lex_state = 15, .external_lex_state = 3},
  [17253] = {.lex_state = 381, .external_lex_state = 3},
  [17254] = {.lex_state = 381, .external_lex_state = 3},
  [17255] = {.lex_state = 15, .external_lex_state = 3},
  [17256] = {.lex_state = 15, .external_lex_state = 3},
  [17257] = {.lex_state = 15, .external_lex_state = 3},
  [17258] = {.lex_state = 100, .external_lex_state = 3},
  [17259] = {.lex_state = 210, .external_lex_state = 8},
  [17260] = {.lex_state = 424, .external_lex_state = 3},
  [17261] = {.lex_state = 381, .external_lex_state = 3},
  [17262] = {.lex_state = 100, .external_lex_state = 3},
  [17263] = {.lex_state = 381, .external_lex_state = 3},
  [17264] = {.lex_state = 100, .external_lex_state = 3},
  [17265] = {.lex_state = 205, .external_lex_state = 3},
  [17266] = {.lex_state = 165, .external_lex_state = 3},
  [17267] = {.lex_state = 15, .external_lex_state = 3},
  [17268] = {.lex_state = 15, .external_lex_state = 3},
  [17269] = {.lex_state = 100, .external_lex_state = 3},
  [17270] = {.lex_state = 100, .external_lex_state = 3},
  [17271] = {.lex_state = 210, .external_lex_state = 8},
  [17272] = {.lex_state = 100, .external_lex_state = 3},
  [17273] = {.lex_state = 25, .external_lex_state = 3},
  [17274] = {.lex_state = 15, .external_lex_state = 3},
  [17275] = {.lex_state = 15, .external_lex_state = 3},
  [17276] = {.lex_state = 210, .external_lex_state = 8},
  [17277] = {.lex_state = 424, .external_lex_state = 3},
  [17278] = {.lex_state = 99, .external_lex_state = 3},
  [17279] = {.lex_state = 15, .external_lex_state = 3},
  [17280] = {.lex_state = 100, .external_lex_state = 3},
  [17281] = {.lex_state = 381, .external_lex_state = 2},
  [17282] = {.lex_state = 15, .external_lex_state = 3},
  [17283] = {.lex_state = 15, .external_lex_state = 3},
  [17284] = {.lex_state = 100, .external_lex_state = 3},
  [17285] = {.lex_state = 15, .external_lex_state = 3},
  [17286] = {.lex_state = 424, .external_lex_state = 3},
  [17287] = {.lex_state = 210, .external_lex_state = 8},
  [17288] = {.lex_state = 100, .external_lex_state = 3},
  [17289] = {.lex_state = 381, .external_lex_state = 3},
  [17290] = {.lex_state = 15, .external_lex_state = 3},
  [17291] = {.lex_state = 381, .external_lex_state = 3},
  [17292] = {.lex_state = 381, .external_lex_state = 3},
  [17293] = {.lex_state = 381, .external_lex_state = 3},
  [17294] = {.lex_state = 210, .external_lex_state = 8},
  [17295] = {.lex_state = 100, .external_lex_state = 3},
  [17296] = {.lex_state = 100, .external_lex_state = 3},
  [17297] = {.lex_state = 15, .external_lex_state = 3},
  [17298] = {.lex_state = 381, .external_lex_state = 3},
  [17299] = {.lex_state = 100, .external_lex_state = 3},
  [17300] = {.lex_state = 100, .external_lex_state = 3},
  [17301] = {.lex_state = 15, .external_lex_state = 3},
  [17302] = {.lex_state = 100, .external_lex_state = 3},
  [17303] = {.lex_state = 210, .external_lex_state = 8},
  [17304] = {.lex_state = 100, .external_lex_state = 3},
  [17305] = {.lex_state = 381, .external_lex_state = 3},
  [17306] = {.lex_state = 205, .external_lex_state = 3},
  [17307] = {.lex_state = 100, .external_lex_state = 3},
  [17308] = {.lex_state = 100, .external_lex_state = 3},
  [17309] = {.lex_state = 15, .external_lex_state = 3},
  [17310] = {.lex_state = 15, .external_lex_state = 3},
  [17311] = {.lex_state = 210, .external_lex_state = 8},
  [17312] = {.lex_state = 99, .external_lex_state = 3},
  [17313] = {.lex_state = 100, .external_lex_state = 3},
  [17314] = {.lex_state = 100, .external_lex_state = 3},
  [17315] = {.lex_state = 99, .external_lex_state = 3},
  [17316] = {.lex_state = 100, .external_lex_state = 3},
  [17317] = {.lex_state = 381, .external_lex_state = 3},
  [17318] = {.lex_state = 15, .external_lex_state = 3},
  [17319] = {.lex_state = 205, .external_lex_state = 3},
  [17320] = {.lex_state = 210, .external_lex_state = 8},
  [17321] = {.lex_state = 205, .external_lex_state = 3},
  [17322] = {.lex_state = 381, .external_lex_state = 3},
  [17323] = {.lex_state = 15, .external_lex_state = 3},
  [17324] = {.lex_state = 100, .external_lex_state = 3},
  [17325] = {.lex_state = 100, .external_lex_state = 3},
  [17326] = {.lex_state = 100, .external_lex_state = 3},
  [17327] = {.lex_state = 381, .external_lex_state = 3},
  [17328] = {.lex_state = 15, .external_lex_state = 3},
  [17329] = {.lex_state = 100, .external_lex_state = 3},
  [17330] = {.lex_state = 15, .external_lex_state = 3},
  [17331] = {.lex_state = 381, .external_lex_state = 3},
  [17332] = {.lex_state = 100, .external_lex_state = 3},
  [17333] = {.lex_state = 99, .external_lex_state = 3},
  [17334] = {.lex_state = 210, .external_lex_state = 8},
  [17335] = {.lex_state = 15, .external_lex_state = 3},
  [17336] = {.lex_state = 205, .external_lex_state = 3},
  [17337] = {.lex_state = 15, .external_lex_state = 3},
  [17338] = {.lex_state = 15, .external_lex_state = 3},
  [17339] = {.lex_state = 100, .external_lex_state = 3},
  [17340] = {.lex_state = 100, .external_lex_state = 3},
  [17341] = {.lex_state = 15, .external_lex_state = 3},
  [17342] = {.lex_state = 210, .external_lex_state = 8},
  [17343] = {.lex_state = 210, .external_lex_state = 8},
  [17344] = {.lex_state = 381, .external_lex_state = 3},
  [17345] = {.lex_state = 100, .external_lex_state = 3},
  [17346] = {.lex_state = 381, .external_lex_state = 3},
  [17347] = {.lex_state = 25, .external_lex_state = 3},
  [17348] = {.lex_state = 381, .external_lex_state = 3},
  [17349] = {.lex_state = 15, .external_lex_state = 3},
  [17350] = {.lex_state = 100, .external_lex_state = 3},
  [17351] = {.lex_state = 210, .external_lex_state = 8},
  [17352] = {.lex_state = 15, .external_lex_state = 3},
  [17353] = {.lex_state = 100, .external_lex_state = 3},
  [17354] = {.lex_state = 99, .external_lex_state = 3},
  [17355] = {.lex_state = 100, .external_lex_state = 3},
  [17356] = {.lex_state = 15, .external_lex_state = 3},
  [17357] = {.lex_state = 210, .external_lex_state = 8},
  [17358] = {.lex_state = 205, .external_lex_state = 3},
  [17359] = {.lex_state = 381, .external_lex_state = 3},
  [17360] = {.lex_state = 15, .external_lex_state = 3},
  [17361] = {.lex_state = 165, .external_lex_state = 3},
  [17362] = {.lex_state = 15, .external_lex_state = 3},
  [17363] = {.lex_state = 100, .external_lex_state = 3},
  [17364] = {.lex_state = 15, .external_lex_state = 3},
  [17365] = {.lex_state = 25, .external_lex_state = 3},
  [17366] = {.lex_state = 100, .external_lex_state = 3},
  [17367] = {.lex_state = 210, .external_lex_state = 8},
  [17368] = {.lex_state = 100, .external_lex_state = 3},
  [17369] = {.lex_state = 381, .external_lex_state = 3},
  [17370] = {.lex_state = 100, .external_lex_state = 3},
  [17371] = {.lex_state = 100, .external_lex_state = 3},
  [17372] = {.lex_state = 100, .external_lex_state = 3},
  [17373] = {.lex_state = 100, .external_lex_state = 3},
  [17374] = {.lex_state = 424, .external_lex_state = 3},
  [17375] = {.lex_state = 381, .external_lex_state = 3},
  [17376] = {.lex_state = 15, .external_lex_state = 3},
  [17377] = {.lex_state = 100, .external_lex_state = 3},
  [17378] = {.lex_state = 381, .external_lex_state = 3},
  [17379] = {.lex_state = 100, .external_lex_state = 3},
  [17380] = {.lex_state = 210, .external_lex_state = 8},
  [17381] = {.lex_state = 100, .external_lex_state = 3},
  [17382] = {.lex_state = 25, .external_lex_state = 3},
  [17383] = {.lex_state = 100, .external_lex_state = 3},
  [17384] = {.lex_state = 100, .external_lex_state = 3},
  [17385] = {.lex_state = 15, .external_lex_state = 3},
  [17386] = {.lex_state = 100, .external_lex_state = 3},
  [17387] = {.lex_state = 100, .external_lex_state = 3},
  [17388] = {.lex_state = 100, .external_lex_state = 3},
  [17389] = {.lex_state = 210, .external_lex_state = 8},
  [17390] = {.lex_state = 381, .external_lex_state = 3},
  [17391] = {.lex_state = 99, .external_lex_state = 3},
  [17392] = {.lex_state = 381, .external_lex_state = 3},
  [17393] = {.lex_state = 15, .external_lex_state = 3},
  [17394] = {.lex_state = 100, .external_lex_state = 3},
  [17395] = {.lex_state = 100, .external_lex_state = 3},
  [17396] = {.lex_state = 210, .external_lex_state = 8},
  [17397] = {.lex_state = 424, .external_lex_state = 3},
  [17398] = {.lex_state = 99, .external_lex_state = 3},
  [17399] = {.lex_state = 381, .external_lex_state = 3},
  [17400] = {.lex_state = 411, .external_lex_state = 3},
  [17401] = {.lex_state = 100, .external_lex_state = 3},
  [17402] = {.lex_state = 15, .external_lex_state = 3},
  [17403] = {.lex_state = 15, .external_lex_state = 3},
  [17404] = {.lex_state = 15, .external_lex_state = 3},
  [17405] = {.lex_state = 210, .external_lex_state = 8},
  [17406] = {.lex_state = 100, .external_lex_state = 3},
  [17407] = {.lex_state = 99, .external_lex_state = 3},
  [17408] = {.lex_state = 424, .external_lex_state = 3},
  [17409] = {.lex_state = 381, .external_lex_state = 3},
  [17410] = {.lex_state = 100, .external_lex_state = 3},
  [17411] = {.lex_state = 15, .external_lex_state = 3},
  [17412] = {.lex_state = 210, .external_lex_state = 8},
  [17413] = {.lex_state = 205, .external_lex_state = 3},
  [17414] = {.lex_state = 15, .external_lex_state = 3},
  [17415] = {.lex_state = 100, .external_lex_state = 3},
  [17416] = {.lex_state = 15, .external_lex_state = 3},
  [17417] = {.lex_state = 100, .external_lex_state = 3},
  [17418] = {.lex_state = 15, .external_lex_state = 3},
  [17419] = {.lex_state = 210, .external_lex_state = 8},
  [17420] = {.lex_state = 100, .external_lex_state = 3},
  [17421] = {.lex_state = 100, .external_lex_state = 3},
  [17422] = {.lex_state = 100, .external_lex_state = 3},
  [17423] = {.lex_state = 15, .external_lex_state = 3},
  [17424] = {.lex_state = 100, .external_lex_state = 3},
  [17425] = {.lex_state = 205, .external_lex_state = 3},
  [17426] = {.lex_state = 210, .external_lex_state = 8},
  [17427] = {.lex_state = 381, .external_lex_state = 3},
  [17428] = {.lex_state = 15, .external_lex_state = 3},
  [17429] = {.lex_state = 100, .external_lex_state = 3},
  [17430] = {.lex_state = 15, .external_lex_state = 3},
  [17431] = {.lex_state = 210, .external_lex_state = 8},
  [17432] = {.lex_state = 100, .external_lex_state = 3},
  [17433] = {.lex_state = 100, .external_lex_state = 3},
  [17434] = {.lex_state = 100, .external_lex_state = 3},
  [17435] = {.lex_state = 100, .external_lex_state = 3},
  [17436] = {.lex_state = 15, .external_lex_state = 3},
  [17437] = {.lex_state = 100, .external_lex_state = 3},
  [17438] = {.lex_state = 100, .external_lex_state = 3},
  [17439] = {.lex_state = 210, .external_lex_state = 8},
  [17440] = {.lex_state = 424, .external_lex_state = 3},
  [17441] = {.lex_state = 424, .external_lex_state = 3},
  [17442] = {.lex_state = 381, .external_lex_state = 3},
  [17443] = {.lex_state = 15, .external_lex_state = 3},
  [17444] = {.lex_state = 100, .external_lex_state = 3},
  [17445] = {.lex_state = 15, .external_lex_state = 3},
  [17446] = {.lex_state = 210, .external_lex_state = 8},
  [17447] = {.lex_state = 100, .external_lex_state = 3},
  [17448] = {.lex_state = 381, .external_lex_state = 3},
  [17449] = {.lex_state = 381, .external_lex_state = 3},
  [17450] = {.lex_state = 99, .external_lex_state = 3},
  [17451] = {.lex_state = 15, .external_lex_state = 3},
  [17452] = {.lex_state = 100, .external_lex_state = 3},
  [17453] = {.lex_state = 210, .external_lex_state = 8},
  [17454] = {.lex_state = 100, .external_lex_state = 3},
  [17455] = {.lex_state = 25, .external_lex_state = 3},
  [17456] = {.lex_state = 100, .external_lex_state = 3},
  [17457] = {.lex_state = 15, .external_lex_state = 3},
  [17458] = {.lex_state = 15, .external_lex_state = 3},
  [17459] = {.lex_state = 100, .external_lex_state = 3},
  [17460] = {.lex_state = 210, .external_lex_state = 8},
  [17461] = {.lex_state = 205, .external_lex_state = 3},
  [17462] = {.lex_state = 100, .external_lex_state = 3},
  [17463] = {.lex_state = 100, .external_lex_state = 3},
  [17464] = {.lex_state = 15, .external_lex_state = 3},
  [17465] = {.lex_state = 205, .external_lex_state = 3},
  [17466] = {.lex_state = 210, .external_lex_state = 8},
  [17467] = {.lex_state = 15, .external_lex_state = 3},
  [17468] = {.lex_state = 381, .external_lex_state = 3},
  [17469] = {.lex_state = 100, .external_lex_state = 3},
  [17470] = {.lex_state = 100, .external_lex_state = 3},
  [17471] = {.lex_state = 100, .external_lex_state = 3},
  [17472] = {.lex_state = 100, .external_lex_state = 3},
  [17473] = {.lex_state = 205, .external_lex_state = 3},
  [17474] = {.lex_state = 15, .external_lex_state = 3},
  [17475] = {.lex_state = 100, .external_lex_state = 3},
  [17476] = {.lex_state = 15, .external_lex_state = 3},
  [17477] = {.lex_state = 210, .external_lex_state = 8},
  [17478] = {.lex_state = 100, .external_lex_state = 3},
  [17479] = {.lex_state = 100, .external_lex_state = 3},
  [17480] = {.lex_state = 100, .external_lex_state = 3},
  [17481] = {.lex_state = 381, .external_lex_state = 3},
  [17482] = {.lex_state = 15, .external_lex_state = 3},
  [17483] = {.lex_state = 100, .external_lex_state = 3},
  [17484] = {.lex_state = 210, .external_lex_state = 8},
  [17485] = {.lex_state = 99, .external_lex_state = 3},
  [17486] = {.lex_state = 99, .external_lex_state = 3},
  [17487] = {.lex_state = 100, .external_lex_state = 3},
  [17488] = {.lex_state = 100, .external_lex_state = 3},
  [17489] = {.lex_state = 15, .external_lex_state = 3},
  [17490] = {.lex_state = 100, .external_lex_state = 3},
  [17491] = {.lex_state = 210, .external_lex_state = 8},
  [17492] = {.lex_state = 15, .external_lex_state = 3},
  [17493] = {.lex_state = 210, .external_lex_state = 8},
  [17494] = {.lex_state = 15, .external_lex_state = 3},
  [17495] = {.lex_state = 15, .external_lex_state = 3},
  [17496] = {.lex_state = 100, .external_lex_state = 3},
  [17497] = {.lex_state = 210, .external_lex_state = 8},
  [17498] = {.lex_state = 15, .external_lex_state = 3},
  [17499] = {.lex_state = 210, .external_lex_state = 8},
  [17500] = {.lex_state = 15, .external_lex_state = 3},
  [17501] = {.lex_state = 210, .external_lex_state = 8},
  [17502] = {.lex_state = 15, .external_lex_state = 3},
  [17503] = {.lex_state = 100, .external_lex_state = 3},
  [17504] = {.lex_state = 210, .external_lex_state = 8},
  [17505] = {.lex_state = 15, .external_lex_state = 3},
  [17506] = {.lex_state = 100, .external_lex_state = 3},
  [17507] = {.lex_state = 210, .external_lex_state = 8},
  [17508] = {.lex_state = 15, .external_lex_state = 3},
  [17509] = {.lex_state = 210, .external_lex_state = 8},
  [17510] = {.lex_state = 15, .external_lex_state = 3},
  [17511] = {.lex_state = 210, .external_lex_state = 8},
  [17512] = {.lex_state = 15, .external_lex_state = 3},
  [17513] = {.lex_state = 210, .external_lex_state = 8},
  [17514] = {.lex_state = 15, .external_lex_state = 3},
  [17515] = {.lex_state = 210, .external_lex_state = 8},
  [17516] = {.lex_state = 15, .external_lex_state = 3},
  [17517] = {.lex_state = 100, .external_lex_state = 3},
  [17518] = {.lex_state = 210, .external_lex_state = 8},
  [17519] = {.lex_state = 15, .external_lex_state = 3},
  [17520] = {.lex_state = 210, .external_lex_state = 8},
  [17521] = {.lex_state = 15, .external_lex_state = 3},
  [17522] = {.lex_state = 210, .external_lex_state = 8},
  [17523] = {.lex_state = 15, .external_lex_state = 3},
  [17524] = {.lex_state = 210, .external_lex_state = 8},
  [17525] = {.lex_state = 15, .external_lex_state = 3},
  [17526] = {.lex_state = 210, .external_lex_state = 8},
  [17527] = {.lex_state = 15, .external_lex_state = 3},
  [17528] = {.lex_state = 210, .external_lex_state = 8},
  [17529] = {.lex_state = 15, .external_lex_state = 3},
  [17530] = {.lex_state = 210, .external_lex_state = 8},
  [17531] = {.lex_state = 15, .external_lex_state = 3},
  [17532] = {.lex_state = 210, .external_lex_state = 8},
  [17533] = {.lex_state = 15, .external_lex_state = 3},
  [17534] = {.lex_state = 210, .external_lex_state = 8},
  [17535] = {.lex_state = 15, .external_lex_state = 3},
  [17536] = {.lex_state = 210, .external_lex_state = 8},
  [17537] = {.lex_state = 15, .external_lex_state = 3},
  [17538] = {.lex_state = 210, .external_lex_state = 8},
  [17539] = {.lex_state = 15, .external_lex_state = 3},
  [17540] = {.lex_state = 210, .external_lex_state = 8},
  [17541] = {.lex_state = 15, .external_lex_state = 3},
  [17542] = {.lex_state = 210, .external_lex_state = 8},
  [17543] = {.lex_state = 15, .external_lex_state = 3},
  [17544] = {.lex_state = 210, .external_lex_state = 8},
  [17545] = {.lex_state = 15, .external_lex_state = 3},
  [17546] = {.lex_state = 210, .external_lex_state = 8},
  [17547] = {.lex_state = 15, .external_lex_state = 3},
  [17548] = {.lex_state = 210, .external_lex_state = 8},
  [17549] = {.lex_state = 15, .external_lex_state = 3},
  [17550] = {.lex_state = 210, .external_lex_state = 8},
  [17551] = {.lex_state = 15, .external_lex_state = 3},
  [17552] = {.lex_state = 210, .external_lex_state = 8},
  [17553] = {.lex_state = 15, .external_lex_state = 3},
  [17554] = {.lex_state = 210, .external_lex_state = 8},
  [17555] = {.lex_state = 15, .external_lex_state = 3},
  [17556] = {.lex_state = 210, .external_lex_state = 8},
  [17557] = {.lex_state = 15, .external_lex_state = 3},
  [17558] = {.lex_state = 210, .external_lex_state = 8},
  [17559] = {.lex_state = 15, .external_lex_state = 3},
  [17560] = {.lex_state = 210, .external_lex_state = 8},
  [17561] = {.lex_state = 15, .external_lex_state = 3},
  [17562] = {.lex_state = 210, .external_lex_state = 8},
  [17563] = {.lex_state = 15, .external_lex_state = 3},
  [17564] = {.lex_state = 210, .external_lex_state = 8},
  [17565] = {.lex_state = 15, .external_lex_state = 3},
  [17566] = {.lex_state = 210, .external_lex_state = 8},
  [17567] = {.lex_state = 15, .external_lex_state = 3},
  [17568] = {.lex_state = 210, .external_lex_state = 8},
  [17569] = {.lex_state = 15, .external_lex_state = 3},
  [17570] = {.lex_state = 15, .external_lex_state = 3},
  [17571] = {.lex_state = 381, .external_lex_state = 3},
  [17572] = {.lex_state = 381, .external_lex_state = 3},
  [17573] = {.lex_state = 100, .external_lex_state = 3},
  [17574] = {.lex_state = 99, .external_lex_state = 3},
  [17575] = {.lex_state = 100, .external_lex_state = 3},
  [17576] = {.lex_state = 100, .external_lex_state = 3},
  [17577] = {.lex_state = 99, .external_lex_state = 3},
  [17578] = {.lex_state = 210, .external_lex_state = 8},
  [17579] = {.lex_state = 100, .external_lex_state = 3},
  [17580] = {.lex_state = 411, .external_lex_state = 3},
  [17581] = {.lex_state = 99, .external_lex_state = 3},
  [17582] = {.lex_state = 15, .external_lex_state = 3},
  [17583] = {.lex_state = 100, .external_lex_state = 3},
  [17584] = {.lex_state = 15, .external_lex_state = 3},
  [17585] = {.lex_state = 100, .external_lex_state = 3},
  [17586] = {.lex_state = 100, .external_lex_state = 3},
  [17587] = {.lex_state = 411, .external_lex_state = 3},
  [17588] = {.lex_state = 100, .external_lex_state = 3},
  [17589] = {.lex_state = 381, .external_lex_state = 3},
  [17590] = {.lex_state = 100, .external_lex_state = 3},
  [17591] = {.lex_state = 15, .external_lex_state = 3},
  [17592] = {.lex_state = 100, .external_lex_state = 3},
  [17593] = {.lex_state = 100, .external_lex_state = 3},
  [17594] = {.lex_state = 99, .external_lex_state = 3},
  [17595] = {.lex_state = 424, .external_lex_state = 3},
  [17596] = {.lex_state = 100, .external_lex_state = 3},
  [17597] = {.lex_state = 205, .external_lex_state = 3},
  [17598] = {.lex_state = 15, .external_lex_state = 3},
  [17599] = {.lex_state = 25, .external_lex_state = 3},
  [17600] = {.lex_state = 100, .external_lex_state = 3},
  [17601] = {.lex_state = 381, .external_lex_state = 3},
  [17602] = {.lex_state = 100, .external_lex_state = 3},
  [17603] = {.lex_state = 25, .external_lex_state = 3},
  [17604] = {.lex_state = 100, .external_lex_state = 3},
  [17605] = {.lex_state = 100, .external_lex_state = 3},
  [17606] = {.lex_state = 381, .external_lex_state = 3},
  [17607] = {.lex_state = 424, .external_lex_state = 3},
  [17608] = {.lex_state = 100, .external_lex_state = 3},
  [17609] = {.lex_state = 205, .external_lex_state = 3},
  [17610] = {.lex_state = 381, .external_lex_state = 3},
  [17611] = {.lex_state = 99, .external_lex_state = 3},
  [17612] = {.lex_state = 381, .external_lex_state = 3},
  [17613] = {.lex_state = 100, .external_lex_state = 3},
  [17614] = {.lex_state = 25, .external_lex_state = 3},
  [17615] = {.lex_state = 15, .external_lex_state = 3},
  [17616] = {.lex_state = 100, .external_lex_state = 3},
  [17617] = {.lex_state = 100, .external_lex_state = 3},
  [17618] = {.lex_state = 381, .external_lex_state = 3},
  [17619] = {.lex_state = 100, .external_lex_state = 3},
  [17620] = {.lex_state = 99, .external_lex_state = 3},
  [17621] = {.lex_state = 15, .external_lex_state = 3},
  [17622] = {.lex_state = 100, .external_lex_state = 3},
  [17623] = {.lex_state = 424, .external_lex_state = 3},
  [17624] = {.lex_state = 100, .external_lex_state = 3},
  [17625] = {.lex_state = 411, .external_lex_state = 3},
  [17626] = {.lex_state = 424, .external_lex_state = 3},
  [17627] = {.lex_state = 381, .external_lex_state = 3},
  [17628] = {.lex_state = 381, .external_lex_state = 3},
  [17629] = {.lex_state = 411, .external_lex_state = 3},
  [17630] = {.lex_state = 205, .external_lex_state = 3},
  [17631] = {.lex_state = 15, .external_lex_state = 3},
  [17632] = {.lex_state = 100, .external_lex_state = 3},
  [17633] = {.lex_state = 100, .external_lex_state = 3},
  [17634] = {.lex_state = 100, .external_lex_state = 3},
  [17635] = {.lex_state = 381, .external_lex_state = 3},
  [17636] = {.lex_state = 381, .external_lex_state = 3},
  [17637] = {.lex_state = 99, .external_lex_state = 3},
  [17638] = {.lex_state = 15, .external_lex_state = 3},
  [17639] = {.lex_state = 15, .external_lex_state = 3},
  [17640] = {.lex_state = 100, .external_lex_state = 3},
  [17641] = {.lex_state = 100, .external_lex_state = 3},
  [17642] = {.lex_state = 25, .external_lex_state = 3},
  [17643] = {.lex_state = 15, .external_lex_state = 3},
  [17644] = {.lex_state = 15, .external_lex_state = 3},
  [17645] = {.lex_state = 100, .external_lex_state = 3},
  [17646] = {.lex_state = 205, .external_lex_state = 3},
  [17647] = {.lex_state = 381, .external_lex_state = 3},
  [17648] = {.lex_state = 15, .external_lex_state = 3},
  [17649] = {.lex_state = 205, .external_lex_state = 3},
  [17650] = {.lex_state = 15, .external_lex_state = 3},
  [17651] = {.lex_state = 15, .external_lex_state = 3},
  [17652] = {.lex_state = 411, .external_lex_state = 3},
  [17653] = {.lex_state = 100, .external_lex_state = 3},
  [17654] = {.lex_state = 15, .external_lex_state = 3},
  [17655] = {.lex_state = 411, .external_lex_state = 3},
  [17656] = {.lex_state = 100, .external_lex_state = 3},
  [17657] = {.lex_state = 424, .external_lex_state = 3},
  [17658] = {.lex_state = 205, .external_lex_state = 3},
  [17659] = {.lex_state = 381, .external_lex_state = 3},
  [17660] = {.lex_state = 381, .external_lex_state = 3},
  [17661] = {.lex_state = 100, .external_lex_state = 3},
  [17662] = {.lex_state = 100, .external_lex_state = 3},
  [17663] = {.lex_state = 15, .external_lex_state = 3},
  [17664] = {.lex_state = 100, .external_lex_state = 3},
  [17665] = {.lex_state = 381, .external_lex_state = 3},
  [17666] = {.lex_state = 381, .external_lex_state = 3},
  [17667] = {.lex_state = 381, .external_lex_state = 3},
  [17668] = {.lex_state = 100, .external_lex_state = 3},
  [17669] = {.lex_state = 100, .external_lex_state = 3},
  [17670] = {.lex_state = 381, .external_lex_state = 3},
  [17671] = {.lex_state = 15, .external_lex_state = 3},
  [17672] = {.lex_state = 10, .external_lex_state = 3},
  [17673] = {.lex_state = 25, .external_lex_state = 3},
  [17674] = {.lex_state = 424, .external_lex_state = 3},
  [17675] = {.lex_state = 381, .external_lex_state = 3},
  [17676] = {.lex_state = 381, .external_lex_state = 3},
  [17677] = {.lex_state = 411, .external_lex_state = 3},
  [17678] = {.lex_state = 25, .external_lex_state = 3},
  [17679] = {.lex_state = 411, .external_lex_state = 3},
  [17680] = {.lex_state = 100, .external_lex_state = 3},
  [17681] = {.lex_state = 100, .external_lex_state = 3},
  [17682] = {.lex_state = 424, .external_lex_state = 3},
  [17683] = {.lex_state = 205, .external_lex_state = 3},
  [17684] = {.lex_state = 15, .external_lex_state = 3},
  [17685] = {.lex_state = 15, .external_lex_state = 3},
  [17686] = {.lex_state = 15, .external_lex_state = 3},
  [17687] = {.lex_state = 411, .external_lex_state = 3},
  [17688] = {.lex_state = 381, .external_lex_state = 3},
  [17689] = {.lex_state = 411, .external_lex_state = 3},
  [17690] = {.lex_state = 100, .external_lex_state = 3},
  [17691] = {.lex_state = 424, .external_lex_state = 3},
  [17692] = {.lex_state = 100, .external_lex_state = 3},
  [17693] = {.lex_state = 205, .external_lex_state = 3},
  [17694] = {.lex_state = 99, .external_lex_state = 3},
  [17695] = {.lex_state = 381, .external_lex_state = 3},
  [17696] = {.lex_state = 424, .external_lex_state = 3},
  [17697] = {.lex_state = 15, .external_lex_state = 3},
  [17698] = {.lex_state = 15, .external_lex_state = 3},
  [17699] = {.lex_state = 381, .external_lex_state = 3},
  [17700] = {.lex_state = 381, .external_lex_state = 3},
  [17701] = {.lex_state = 100, .external_lex_state = 3},
  [17702] = {.lex_state = 411, .external_lex_state = 3},
  [17703] = {.lex_state = 15, .external_lex_state = 3},
  [17704] = {.lex_state = 411, .external_lex_state = 3},
  [17705] = {.lex_state = 424, .external_lex_state = 3},
  [17706] = {.lex_state = 100, .external_lex_state = 3},
  [17707] = {.lex_state = 381, .external_lex_state = 3},
  [17708] = {.lex_state = 15, .external_lex_state = 3},
  [17709] = {.lex_state = 381, .external_lex_state = 3},
  [17710] = {.lex_state = 381, .external_lex_state = 3},
  [17711] = {.lex_state = 411, .external_lex_state = 3},
  [17712] = {.lex_state = 411, .external_lex_state = 3},
  [17713] = {.lex_state = 100, .external_lex_state = 3},
  [17714] = {.lex_state = 100, .external_lex_state = 3},
  [17715] = {.lex_state = 15, .external_lex_state = 3},
  [17716] = {.lex_state = 99, .external_lex_state = 3},
  [17717] = {.lex_state = 15, .external_lex_state = 3},
  [17718] = {.lex_state = 100, .external_lex_state = 3},
  [17719] = {.lex_state = 25, .external_lex_state = 3},
  [17720] = {.lex_state = 411, .external_lex_state = 3},
  [17721] = {.lex_state = 411, .external_lex_state = 3},
  [17722] = {.lex_state = 381, .external_lex_state = 3},
  [17723] = {.lex_state = 15, .external_lex_state = 3},
  [17724] = {.lex_state = 411, .external_lex_state = 3},
  [17725] = {.lex_state = 205, .external_lex_state = 3},
  [17726] = {.lex_state = 411, .external_lex_state = 3},
  [17727] = {.lex_state = 15, .external_lex_state = 3},
  [17728] = {.lex_state = 100, .external_lex_state = 3},
  [17729] = {.lex_state = 411, .external_lex_state = 3},
  [17730] = {.lex_state = 411, .external_lex_state = 3},
  [17731] = {.lex_state = 15, .external_lex_state = 3},
  [17732] = {.lex_state = 100, .external_lex_state = 3},
  [17733] = {.lex_state = 15, .external_lex_state = 3},
  [17734] = {.lex_state = 100, .external_lex_state = 3},
  [17735] = {.lex_state = 100, .external_lex_state = 3},
  [17736] = {.lex_state = 411, .external_lex_state = 3},
  [17737] = {.lex_state = 411, .external_lex_state = 3},
  [17738] = {.lex_state = 424, .external_lex_state = 3},
  [17739] = {.lex_state = 15, .external_lex_state = 3},
  [17740] = {.lex_state = 411, .external_lex_state = 3},
  [17741] = {.lex_state = 411, .external_lex_state = 3},
  [17742] = {.lex_state = 424, .external_lex_state = 3},
  [17743] = {.lex_state = 15, .external_lex_state = 3},
  [17744] = {.lex_state = 381, .external_lex_state = 3},
  [17745] = {.lex_state = 381, .external_lex_state = 3},
  [17746] = {.lex_state = 381, .external_lex_state = 3},
  [17747] = {.lex_state = 411, .external_lex_state = 3},
  [17748] = {.lex_state = 411, .external_lex_state = 3},
  [17749] = {.lex_state = 381, .external_lex_state = 3},
  [17750] = {.lex_state = 381, .external_lex_state = 3},
  [17751] = {.lex_state = 381, .external_lex_state = 3},
  [17752] = {.lex_state = 15, .external_lex_state = 3},
  [17753] = {.lex_state = 15, .external_lex_state = 3},
  [17754] = {.lex_state = 424, .external_lex_state = 3},
  [17755] = {.lex_state = 411, .external_lex_state = 3},
  [17756] = {.lex_state = 411, .external_lex_state = 3},
  [17757] = {.lex_state = 381, .external_lex_state = 3},
  [17758] = {.lex_state = 15, .external_lex_state = 3},
  [17759] = {.lex_state = 381, .external_lex_state = 3},
  [17760] = {.lex_state = 411, .external_lex_state = 3},
  [17761] = {.lex_state = 411, .external_lex_state = 3},
  [17762] = {.lex_state = 15, .external_lex_state = 3},
  [17763] = {.lex_state = 381, .external_lex_state = 3},
  [17764] = {.lex_state = 411, .external_lex_state = 3},
  [17765] = {.lex_state = 411, .external_lex_state = 3},
  [17766] = {.lex_state = 100, .external_lex_state = 3},
  [17767] = {.lex_state = 15, .external_lex_state = 3},
  [17768] = {.lex_state = 411, .external_lex_state = 3},
  [17769] = {.lex_state = 411, .external_lex_state = 3},
  [17770] = {.lex_state = 15, .external_lex_state = 3},
  [17771] = {.lex_state = 15, .external_lex_state = 3},
  [17772] = {.lex_state = 411, .external_lex_state = 3},
  [17773] = {.lex_state = 100, .external_lex_state = 3},
  [17774] = {.lex_state = 411, .external_lex_state = 3},
  [17775] = {.lex_state = 15, .external_lex_state = 3},
  [17776] = {.lex_state = 15, .external_lex_state = 3},
  [17777] = {.lex_state = 411, .external_lex_state = 3},
  [17778] = {.lex_state = 411, .external_lex_state = 3},
  [17779] = {.lex_state = 381, .external_lex_state = 3},
  [17780] = {.lex_state = 15, .external_lex_state = 3},
  [17781] = {.lex_state = 381, .external_lex_state = 3},
  [17782] = {.lex_state = 411, .external_lex_state = 3},
  [17783] = {.lex_state = 411, .external_lex_state = 3},
  [17784] = {.lex_state = 15, .external_lex_state = 3},
  [17785] = {.lex_state = 100, .external_lex_state = 3},
  [17786] = {.lex_state = 15, .external_lex_state = 3},
  [17787] = {.lex_state = 15, .external_lex_state = 3},
  [17788] = {.lex_state = 100, .external_lex_state = 3},
  [17789] = {.lex_state = 100, .external_lex_state = 3},
  [17790] = {.lex_state = 411, .external_lex_state = 3},
  [17791] = {.lex_state = 100, .external_lex_state = 3},
  [17792] = {.lex_state = 411, .external_lex_state = 3},
  [17793] = {.lex_state = 15, .external_lex_state = 3},
  [17794] = {.lex_state = 411, .external_lex_state = 3},
  [17795] = {.lex_state = 411, .external_lex_state = 3},
  [17796] = {.lex_state = 381, .external_lex_state = 3},
  [17797] = {.lex_state = 15, .external_lex_state = 3},
  [17798] = {.lex_state = 100, .external_lex_state = 3},
  [17799] = {.lex_state = 25, .external_lex_state = 3},
  [17800] = {.lex_state = 411, .external_lex_state = 3},
  [17801] = {.lex_state = 411, .external_lex_state = 3},
  [17802] = {.lex_state = 99, .external_lex_state = 3},
  [17803] = {.lex_state = 15, .external_lex_state = 3},
  [17804] = {.lex_state = 411, .external_lex_state = 3},
  [17805] = {.lex_state = 411, .external_lex_state = 3},
  [17806] = {.lex_state = 15, .external_lex_state = 3},
  [17807] = {.lex_state = 15, .external_lex_state = 3},
  [17808] = {.lex_state = 381, .external_lex_state = 3},
  [17809] = {.lex_state = 100, .external_lex_state = 3},
  [17810] = {.lex_state = 411, .external_lex_state = 3},
  [17811] = {.lex_state = 411, .external_lex_state = 3},
  [17812] = {.lex_state = 381, .external_lex_state = 2},
  [17813] = {.lex_state = 15, .external_lex_state = 3},
  [17814] = {.lex_state = 381, .external_lex_state = 3},
  [17815] = {.lex_state = 381, .external_lex_state = 3},
  [17816] = {.lex_state = 411, .external_lex_state = 3},
  [17817] = {.lex_state = 15, .external_lex_state = 3},
  [17818] = {.lex_state = 411, .external_lex_state = 3},
  [17819] = {.lex_state = 100, .external_lex_state = 3},
  [17820] = {.lex_state = 15, .external_lex_state = 3},
  [17821] = {.lex_state = 381, .external_lex_state = 3},
  [17822] = {.lex_state = 100, .external_lex_state = 3},
  [17823] = {.lex_state = 411, .external_lex_state = 3},
  [17824] = {.lex_state = 411, .external_lex_state = 3},
  [17825] = {.lex_state = 15, .external_lex_state = 3},
  [17826] = {.lex_state = 381, .external_lex_state = 3},
  [17827] = {.lex_state = 100, .external_lex_state = 3},
  [17828] = {.lex_state = 411, .external_lex_state = 3},
  [17829] = {.lex_state = 411, .external_lex_state = 3},
  [17830] = {.lex_state = 25, .external_lex_state = 3},
  [17831] = {.lex_state = 15, .external_lex_state = 3},
  [17832] = {.lex_state = 100, .external_lex_state = 3},
  [17833] = {.lex_state = 411, .external_lex_state = 3},
  [17834] = {.lex_state = 411, .external_lex_state = 3},
  [17835] = {.lex_state = 100, .external_lex_state = 3},
  [17836] = {.lex_state = 15, .external_lex_state = 3},
  [17837] = {.lex_state = 99, .external_lex_state = 3},
  [17838] = {.lex_state = 411, .external_lex_state = 3},
  [17839] = {.lex_state = 411, .external_lex_state = 3},
  [17840] = {.lex_state = 100, .external_lex_state = 3},
  [17841] = {.lex_state = 15, .external_lex_state = 3},
  [17842] = {.lex_state = 411, .external_lex_state = 3},
  [17843] = {.lex_state = 411, .external_lex_state = 3},
  [17844] = {.lex_state = 205, .external_lex_state = 3},
  [17845] = {.lex_state = 15, .external_lex_state = 3},
  [17846] = {.lex_state = 381, .external_lex_state = 3},
  [17847] = {.lex_state = 411, .external_lex_state = 3},
  [17848] = {.lex_state = 15, .external_lex_state = 3},
  [17849] = {.lex_state = 411, .external_lex_state = 3},
  [17850] = {.lex_state = 100, .external_lex_state = 3},
  [17851] = {.lex_state = 15, .external_lex_state = 3},
  [17852] = {.lex_state = 100, .external_lex_state = 3},
  [17853] = {.lex_state = 99, .external_lex_state = 3},
  [17854] = {.lex_state = 100, .external_lex_state = 3},
  [17855] = {.lex_state = 15, .external_lex_state = 3},
  [17856] = {.lex_state = 411, .external_lex_state = 3},
  [17857] = {.lex_state = 411, .external_lex_state = 3},
  [17858] = {.lex_state = 15, .external_lex_state = 3},
  [17859] = {.lex_state = 99, .external_lex_state = 3},
  [17860] = {.lex_state = 424, .external_lex_state = 3},
  [17861] = {.lex_state = 381, .external_lex_state = 3},
  [17862] = {.lex_state = 411, .external_lex_state = 3},
  [17863] = {.lex_state = 381, .external_lex_state = 3},
  [17864] = {.lex_state = 411, .external_lex_state = 3},
  [17865] = {.lex_state = 25, .external_lex_state = 3},
  [17866] = {.lex_state = 15, .external_lex_state = 3},
  [17867] = {.lex_state = 381, .external_lex_state = 3},
  [17868] = {.lex_state = 25, .external_lex_state = 3},
  [17869] = {.lex_state = 411, .external_lex_state = 3},
  [17870] = {.lex_state = 411, .external_lex_state = 3},
  [17871] = {.lex_state = 15, .external_lex_state = 3},
  [17872] = {.lex_state = 411, .external_lex_state = 3},
  [17873] = {.lex_state = 411, .external_lex_state = 3},
  [17874] = {.lex_state = 15, .external_lex_state = 3},
  [17875] = {.lex_state = 100, .external_lex_state = 3},
  [17876] = {.lex_state = 15, .external_lex_state = 3},
  [17877] = {.lex_state = 100, .external_lex_state = 3},
  [17878] = {.lex_state = 411, .external_lex_state = 3},
  [17879] = {.lex_state = 411, .external_lex_state = 3},
  [17880] = {.lex_state = 424, .external_lex_state = 3},
  [17881] = {.lex_state = 15, .external_lex_state = 3},
  [17882] = {.lex_state = 381, .external_lex_state = 3},
  [17883] = {.lex_state = 381, .external_lex_state = 3},
  [17884] = {.lex_state = 100, .external_lex_state = 3},
  [17885] = {.lex_state = 381, .external_lex_state = 3},
  [17886] = {.lex_state = 411, .external_lex_state = 3},
  [17887] = {.lex_state = 411, .external_lex_state = 3},
  [17888] = {.lex_state = 100, .external_lex_state = 3},
  [17889] = {.lex_state = 15, .external_lex_state = 3},
  [17890] = {.lex_state = 15, .external_lex_state = 3},
  [17891] = {.lex_state = 15, .external_lex_state = 3},
  [17892] = {.lex_state = 411, .external_lex_state = 3},
  [17893] = {.lex_state = 10, .external_lex_state = 3},
  [17894] = {.lex_state = 411, .external_lex_state = 3},
  [17895] = {.lex_state = 15, .external_lex_state = 3},
  [17896] = {.lex_state = 381, .external_lex_state = 3},
  [17897] = {.lex_state = 15, .external_lex_state = 3},
  [17898] = {.lex_state = 15, .external_lex_state = 3},
  [17899] = {.lex_state = 15, .external_lex_state = 3},
  [17900] = {.lex_state = 411, .external_lex_state = 3},
  [17901] = {.lex_state = 411, .external_lex_state = 3},
  [17902] = {.lex_state = 100, .external_lex_state = 3},
  [17903] = {.lex_state = 99, .external_lex_state = 3},
  [17904] = {.lex_state = 15, .external_lex_state = 3},
  [17905] = {.lex_state = 25, .external_lex_state = 3},
  [17906] = {.lex_state = 411, .external_lex_state = 3},
  [17907] = {.lex_state = 100, .external_lex_state = 3},
  [17908] = {.lex_state = 411, .external_lex_state = 3},
  [17909] = {.lex_state = 424, .external_lex_state = 3},
  [17910] = {.lex_state = 15, .external_lex_state = 3},
  [17911] = {.lex_state = 7, .external_lex_state = 3},
  [17912] = {.lex_state = 411, .external_lex_state = 3},
  [17913] = {.lex_state = 411, .external_lex_state = 3},
  [17914] = {.lex_state = 381, .external_lex_state = 3},
  [17915] = {.lex_state = 381, .external_lex_state = 3},
  [17916] = {.lex_state = 15, .external_lex_state = 3},
  [17917] = {.lex_state = 205, .external_lex_state = 3},
  [17918] = {.lex_state = 411, .external_lex_state = 3},
  [17919] = {.lex_state = 411, .external_lex_state = 3},
  [17920] = {.lex_state = 15, .external_lex_state = 3},
  [17921] = {.lex_state = 15, .external_lex_state = 3},
  [17922] = {.lex_state = 100, .external_lex_state = 3},
  [17923] = {.lex_state = 100, .external_lex_state = 3},
  [17924] = {.lex_state = 411, .external_lex_state = 3},
  [17925] = {.lex_state = 411, .external_lex_state = 3},
  [17926] = {.lex_state = 100, .external_lex_state = 3},
  [17927] = {.lex_state = 15, .external_lex_state = 3},
  [17928] = {.lex_state = 424, .external_lex_state = 3},
  [17929] = {.lex_state = 411, .external_lex_state = 3},
  [17930] = {.lex_state = 411, .external_lex_state = 3},
  [17931] = {.lex_state = 381, .external_lex_state = 3},
  [17932] = {.lex_state = 15, .external_lex_state = 3},
  [17933] = {.lex_state = 210, .external_lex_state = 8},
  [17934] = {.lex_state = 100, .external_lex_state = 3},
  [17935] = {.lex_state = 381, .external_lex_state = 3},
  [17936] = {.lex_state = 411, .external_lex_state = 3},
  [17937] = {.lex_state = 411, .external_lex_state = 3},
  [17938] = {.lex_state = 15, .external_lex_state = 3},
  [17939] = {.lex_state = 15, .external_lex_state = 3},
  [17940] = {.lex_state = 100, .external_lex_state = 3},
  [17941] = {.lex_state = 100, .external_lex_state = 3},
  [17942] = {.lex_state = 411, .external_lex_state = 3},
  [17943] = {.lex_state = 411, .external_lex_state = 3},
  [17944] = {.lex_state = 15, .external_lex_state = 3},
  [17945] = {.lex_state = 411, .external_lex_state = 3},
  [17946] = {.lex_state = 411, .external_lex_state = 3},
  [17947] = {.lex_state = 15, .external_lex_state = 3},
  [17948] = {.lex_state = 15, .external_lex_state = 3},
  [17949] = {.lex_state = 381, .external_lex_state = 3},
  [17950] = {.lex_state = 411, .external_lex_state = 3},
  [17951] = {.lex_state = 411, .external_lex_state = 3},
  [17952] = {.lex_state = 15, .external_lex_state = 3},
  [17953] = {.lex_state = 205, .external_lex_state = 3},
  [17954] = {.lex_state = 411, .external_lex_state = 3},
  [17955] = {.lex_state = 15, .external_lex_state = 3},
  [17956] = {.lex_state = 411, .external_lex_state = 3},
  [17957] = {.lex_state = 100, .external_lex_state = 3},
  [17958] = {.lex_state = 15, .external_lex_state = 3},
  [17959] = {.lex_state = 411, .external_lex_state = 3},
  [17960] = {.lex_state = 15, .external_lex_state = 3},
  [17961] = {.lex_state = 411, .external_lex_state = 3},
  [17962] = {.lex_state = 15, .external_lex_state = 3},
  [17963] = {.lex_state = 411, .external_lex_state = 3},
  [17964] = {.lex_state = 15, .external_lex_state = 3},
  [17965] = {.lex_state = 411, .external_lex_state = 3},
  [17966] = {.lex_state = 15, .external_lex_state = 3},
  [17967] = {.lex_state = 411, .external_lex_state = 3},
  [17968] = {.lex_state = 15, .external_lex_state = 3},
  [17969] = {.lex_state = 411, .external_lex_state = 3},
  [17970] = {.lex_state = 15, .external_lex_state = 3},
  [17971] = {.lex_state = 411, .external_lex_state = 3},
  [17972] = {.lex_state = 15, .external_lex_state = 3},
  [17973] = {.lex_state = 411, .external_lex_state = 3},
  [17974] = {.lex_state = 15, .external_lex_state = 3},
  [17975] = {.lex_state = 411, .external_lex_state = 3},
  [17976] = {.lex_state = 15, .external_lex_state = 3},
  [17977] = {.lex_state = 411, .external_lex_state = 3},
  [17978] = {.lex_state = 15, .external_lex_state = 3},
  [17979] = {.lex_state = 411, .external_lex_state = 3},
  [17980] = {.lex_state = 15, .external_lex_state = 3},
  [17981] = {.lex_state = 411, .external_lex_state = 3},
  [17982] = {.lex_state = 15, .external_lex_state = 3},
  [17983] = {.lex_state = 15, .external_lex_state = 3},
  [17984] = {.lex_state = 15, .external_lex_state = 3},
  [17985] = {.lex_state = 15, .external_lex_state = 3},
  [17986] = {.lex_state = 15, .external_lex_state = 3},
  [17987] = {.lex_state = 15, .external_lex_state = 3},
  [17988] = {.lex_state = 15, .external_lex_state = 3},
  [17989] = {.lex_state = 15, .external_lex_state = 3},
  [17990] = {.lex_state = 15, .external_lex_state = 3},
  [17991] = {.lex_state = 15, .external_lex_state = 3},
  [17992] = {.lex_state = 15, .external_lex_state = 3},
  [17993] = {.lex_state = 15, .external_lex_state = 3},
  [17994] = {.lex_state = 15, .external_lex_state = 3},
  [17995] = {.lex_state = 15, .external_lex_state = 3},
  [17996] = {.lex_state = 15, .external_lex_state = 3},
  [17997] = {.lex_state = 15, .external_lex_state = 3},
  [17998] = {.lex_state = 15, .external_lex_state = 3},
  [17999] = {.lex_state = 15, .external_lex_state = 3},
  [18000] = {.lex_state = 15, .external_lex_state = 3},
  [18001] = {.lex_state = 15, .external_lex_state = 3},
  [18002] = {.lex_state = 15, .external_lex_state = 3},
  [18003] = {.lex_state = 15, .external_lex_state = 3},
  [18004] = {.lex_state = 15, .external_lex_state = 3},
  [18005] = {.lex_state = 15, .external_lex_state = 3},
  [18006] = {.lex_state = 15, .external_lex_state = 3},
  [18007] = {.lex_state = 381, .external_lex_state = 3},
  [18008] = {.lex_state = 100, .external_lex_state = 3},
  [18009] = {.lex_state = 100, .external_lex_state = 3},
  [18010] = {.lex_state = 100, .external_lex_state = 3},
  [18011] = {.lex_state = 100, .external_lex_state = 3},
  [18012] = {.lex_state = 100, .external_lex_state = 3},
  [18013] = {.lex_state = 100, .external_lex_state = 3},
  [18014] = {.lex_state = 100, .external_lex_state = 3},
  [18015] = {.lex_state = 381, .external_lex_state = 3},
  [18016] = {.lex_state = 99, .external_lex_state = 3},
  [18017] = {.lex_state = 99, .external_lex_state = 3},
  [18018] = {.lex_state = 15, .external_lex_state = 3},
  [18019] = {.lex_state = 381, .external_lex_state = 3},
  [18020] = {.lex_state = 381, .external_lex_state = 3},
  [18021] = {.lex_state = 381, .external_lex_state = 3},
  [18022] = {.lex_state = 381, .external_lex_state = 3},
  [18023] = {.lex_state = 100, .external_lex_state = 3},
  [18024] = {.lex_state = 381, .external_lex_state = 3},
  [18025] = {.lex_state = 25, .external_lex_state = 3},
  [18026] = {.lex_state = 15, .external_lex_state = 3},
  [18027] = {.lex_state = 100, .external_lex_state = 3},
  [18028] = {.lex_state = 100, .external_lex_state = 3},
  [18029] = {.lex_state = 100, .external_lex_state = 3},
  [18030] = {.lex_state = 100, .external_lex_state = 3},
  [18031] = {.lex_state = 205, .external_lex_state = 3},
  [18032] = {.lex_state = 15, .external_lex_state = 3},
  [18033] = {.lex_state = 411, .external_lex_state = 3},
  [18034] = {.lex_state = 15, .external_lex_state = 3},
  [18035] = {.lex_state = 15, .external_lex_state = 3},
  [18036] = {.lex_state = 100, .external_lex_state = 3},
  [18037] = {.lex_state = 15, .external_lex_state = 3},
  [18038] = {.lex_state = 15, .external_lex_state = 3},
  [18039] = {.lex_state = 15, .external_lex_state = 3},
  [18040] = {.lex_state = 100, .external_lex_state = 3},
  [18041] = {.lex_state = 15, .external_lex_state = 3},
  [18042] = {.lex_state = 15, .external_lex_state = 3},
  [18043] = {.lex_state = 15, .external_lex_state = 3},
  [18044] = {.lex_state = 15, .external_lex_state = 3},
  [18045] = {.lex_state = 15, .external_lex_state = 3},
  [18046] = {.lex_state = 100, .external_lex_state = 3},
  [18047] = {.lex_state = 15, .external_lex_state = 3},
  [18048] = {.lex_state = 424, .external_lex_state = 3},
  [18049] = {.lex_state = 100, .external_lex_state = 3},
  [18050] = {.lex_state = 381, .external_lex_state = 3},
  [18051] = {.lex_state = 15, .external_lex_state = 3},
  [18052] = {.lex_state = 100, .external_lex_state = 3},
  [18053] = {.lex_state = 15, .external_lex_state = 3},
  [18054] = {.lex_state = 15, .external_lex_state = 3},
  [18055] = {.lex_state = 100, .external_lex_state = 3},
  [18056] = {.lex_state = 381, .external_lex_state = 3},
  [18057] = {.lex_state = 15, .external_lex_state = 3},
  [18058] = {.lex_state = 424, .external_lex_state = 3},
  [18059] = {.lex_state = 25, .external_lex_state = 3},
  [18060] = {.lex_state = 15, .external_lex_state = 3},
  [18061] = {.lex_state = 381, .external_lex_state = 3},
  [18062] = {.lex_state = 381, .external_lex_state = 3},
  [18063] = {.lex_state = 15, .external_lex_state = 3},
  [18064] = {.lex_state = 411, .external_lex_state = 3},
  [18065] = {.lex_state = 381, .external_lex_state = 3},
  [18066] = {.lex_state = 381, .external_lex_state = 3},
  [18067] = {.lex_state = 381, .external_lex_state = 3},
  [18068] = {.lex_state = 25, .external_lex_state = 3},
  [18069] = {.lex_state = 381, .external_lex_state = 3},
  [18070] = {.lex_state = 381, .external_lex_state = 8},
  [18071] = {.lex_state = 36, .external_lex_state = 3},
  [18072] = {.lex_state = 15, .external_lex_state = 3},
  [18073] = {.lex_state = 100, .external_lex_state = 3},
  [18074] = {.lex_state = 100, .external_lex_state = 3},
  [18075] = {.lex_state = 100, .external_lex_state = 3},
  [18076] = {.lex_state = 15, .external_lex_state = 3},
  [18077] = {.lex_state = 381, .external_lex_state = 3},
  [18078] = {.lex_state = 15, .external_lex_state = 3},
  [18079] = {.lex_state = 36, .external_lex_state = 3},
  [18080] = {.lex_state = 381, .external_lex_state = 3},
  [18081] = {.lex_state = 381, .external_lex_state = 3},
  [18082] = {.lex_state = 381, .external_lex_state = 3},
  [18083] = {.lex_state = 15, .external_lex_state = 3},
  [18084] = {.lex_state = 15, .external_lex_state = 3},
  [18085] = {.lex_state = 381, .external_lex_state = 3},
  [18086] = {.lex_state = 381, .external_lex_state = 3},
  [18087] = {.lex_state = 411, .external_lex_state = 3},
  [18088] = {.lex_state = 381, .external_lex_state = 3},
  [18089] = {.lex_state = 100, .external_lex_state = 3},
  [18090] = {.lex_state = 381, .external_lex_state = 3},
  [18091] = {.lex_state = 381, .external_lex_state = 8},
  [18092] = {.lex_state = 381, .external_lex_state = 3},
  [18093] = {.lex_state = 15, .external_lex_state = 3},
  [18094] = {.lex_state = 15, .external_lex_state = 3},
  [18095] = {.lex_state = 100, .external_lex_state = 3},
  [18096] = {.lex_state = 100, .external_lex_state = 3},
  [18097] = {.lex_state = 100, .external_lex_state = 3},
  [18098] = {.lex_state = 15, .external_lex_state = 3},
  [18099] = {.lex_state = 381, .external_lex_state = 3},
  [18100] = {.lex_state = 411, .external_lex_state = 3},
  [18101] = {.lex_state = 381, .external_lex_state = 3},
  [18102] = {.lex_state = 381, .external_lex_state = 3},
  [18103] = {.lex_state = 100, .external_lex_state = 3},
  [18104] = {.lex_state = 15, .external_lex_state = 3},
  [18105] = {.lex_state = 381, .external_lex_state = 3},
  [18106] = {.lex_state = 411, .external_lex_state = 3},
  [18107] = {.lex_state = 100, .external_lex_state = 3},
  [18108] = {.lex_state = 381, .external_lex_state = 3},
  [18109] = {.lex_state = 411, .external_lex_state = 3},
  [18110] = {.lex_state = 100, .external_lex_state = 3},
  [18111] = {.lex_state = 411, .external_lex_state = 3},
  [18112] = {.lex_state = 381, .external_lex_state = 8},
  [18113] = {.lex_state = 100, .external_lex_state = 3},
  [18114] = {.lex_state = 100, .external_lex_state = 3},
  [18115] = {.lex_state = 100, .external_lex_state = 3},
  [18116] = {.lex_state = 381, .external_lex_state = 3},
  [18117] = {.lex_state = 100, .external_lex_state = 3},
  [18118] = {.lex_state = 36, .external_lex_state = 3},
  [18119] = {.lex_state = 36, .external_lex_state = 3},
  [18120] = {.lex_state = 381, .external_lex_state = 3},
  [18121] = {.lex_state = 15, .external_lex_state = 3},
  [18122] = {.lex_state = 15, .external_lex_state = 3},
  [18123] = {.lex_state = 411, .external_lex_state = 3},
  [18124] = {.lex_state = 411, .external_lex_state = 3},
  [18125] = {.lex_state = 15, .external_lex_state = 3},
  [18126] = {.lex_state = 381, .external_lex_state = 3},
  [18127] = {.lex_state = 15, .external_lex_state = 3},
  [18128] = {.lex_state = 381, .external_lex_state = 8},
  [18129] = {.lex_state = 381, .external_lex_state = 3},
  [18130] = {.lex_state = 411, .external_lex_state = 3},
  [18131] = {.lex_state = 36, .external_lex_state = 3},
  [18132] = {.lex_state = 100, .external_lex_state = 3},
  [18133] = {.lex_state = 100, .external_lex_state = 3},
  [18134] = {.lex_state = 100, .external_lex_state = 3},
  [18135] = {.lex_state = 36, .external_lex_state = 3},
  [18136] = {.lex_state = 381, .external_lex_state = 3},
  [18137] = {.lex_state = 100, .external_lex_state = 3},
  [18138] = {.lex_state = 100, .external_lex_state = 3},
  [18139] = {.lex_state = 381, .external_lex_state = 3},
  [18140] = {.lex_state = 15, .external_lex_state = 3},
  [18141] = {.lex_state = 381, .external_lex_state = 3},
  [18142] = {.lex_state = 15, .external_lex_state = 3},
  [18143] = {.lex_state = 100, .external_lex_state = 3},
  [18144] = {.lex_state = 381, .external_lex_state = 8},
  [18145] = {.lex_state = 411, .external_lex_state = 3},
  [18146] = {.lex_state = 15, .external_lex_state = 3},
  [18147] = {.lex_state = 15, .external_lex_state = 3},
  [18148] = {.lex_state = 381, .external_lex_state = 8},
  [18149] = {.lex_state = 381, .external_lex_state = 3},
  [18150] = {.lex_state = 100, .external_lex_state = 3},
  [18151] = {.lex_state = 100, .external_lex_state = 3},
  [18152] = {.lex_state = 100, .external_lex_state = 3},
  [18153] = {.lex_state = 381, .external_lex_state = 3},
  [18154] = {.lex_state = 15, .external_lex_state = 3},
  [18155] = {.lex_state = 381, .external_lex_state = 3},
  [18156] = {.lex_state = 100, .external_lex_state = 3},
  [18157] = {.lex_state = 100, .external_lex_state = 3},
  [18158] = {.lex_state = 381, .external_lex_state = 3},
  [18159] = {.lex_state = 100, .external_lex_state = 3},
  [18160] = {.lex_state = 15, .external_lex_state = 3},
  [18161] = {.lex_state = 381, .external_lex_state = 8},
  [18162] = {.lex_state = 381, .external_lex_state = 3},
  [18163] = {.lex_state = 411, .external_lex_state = 3},
  [18164] = {.lex_state = 100, .external_lex_state = 3},
  [18165] = {.lex_state = 100, .external_lex_state = 3},
  [18166] = {.lex_state = 100, .external_lex_state = 3},
  [18167] = {.lex_state = 381, .external_lex_state = 3},
  [18168] = {.lex_state = 381, .external_lex_state = 3},
  [18169] = {.lex_state = 381, .external_lex_state = 3},
  [18170] = {.lex_state = 8, .external_lex_state = 3},
  [18171] = {.lex_state = 36, .external_lex_state = 3},
  [18172] = {.lex_state = 36, .external_lex_state = 3},
  [18173] = {.lex_state = 411, .external_lex_state = 3},
  [18174] = {.lex_state = 381, .external_lex_state = 8},
  [18175] = {.lex_state = 381, .external_lex_state = 3},
  [18176] = {.lex_state = 100, .external_lex_state = 3},
  [18177] = {.lex_state = 100, .external_lex_state = 3},
  [18178] = {.lex_state = 100, .external_lex_state = 3},
  [18179] = {.lex_state = 381, .external_lex_state = 3},
  [18180] = {.lex_state = 132, .external_lex_state = 3},
  [18181] = {.lex_state = 411, .external_lex_state = 3},
  [18182] = {.lex_state = 411, .external_lex_state = 3},
  [18183] = {.lex_state = 15, .external_lex_state = 3},
  [18184] = {.lex_state = 381, .external_lex_state = 3},
  [18185] = {.lex_state = 15, .external_lex_state = 3},
  [18186] = {.lex_state = 15, .external_lex_state = 3},
  [18187] = {.lex_state = 411, .external_lex_state = 3},
  [18188] = {.lex_state = 15, .external_lex_state = 3},
  [18189] = {.lex_state = 411, .external_lex_state = 3},
  [18190] = {.lex_state = 411, .external_lex_state = 3},
  [18191] = {.lex_state = 381, .external_lex_state = 8},
  [18192] = {.lex_state = 381, .external_lex_state = 3},
  [18193] = {.lex_state = 15, .external_lex_state = 3},
  [18194] = {.lex_state = 100, .external_lex_state = 3},
  [18195] = {.lex_state = 100, .external_lex_state = 3},
  [18196] = {.lex_state = 100, .external_lex_state = 3},
  [18197] = {.lex_state = 100, .external_lex_state = 3},
  [18198] = {.lex_state = 15, .external_lex_state = 3},
  [18199] = {.lex_state = 15, .external_lex_state = 3},
  [18200] = {.lex_state = 15, .external_lex_state = 3},
  [18201] = {.lex_state = 414, .external_lex_state = 3},
  [18202] = {.lex_state = 100, .external_lex_state = 3},
  [18203] = {.lex_state = 381, .external_lex_state = 3},
  [18204] = {.lex_state = 15, .external_lex_state = 3},
  [18205] = {.lex_state = 381, .external_lex_state = 8},
  [18206] = {.lex_state = 15, .external_lex_state = 3},
  [18207] = {.lex_state = 15, .external_lex_state = 3},
  [18208] = {.lex_state = 411, .external_lex_state = 3},
  [18209] = {.lex_state = 100, .external_lex_state = 3},
  [18210] = {.lex_state = 100, .external_lex_state = 3},
  [18211] = {.lex_state = 100, .external_lex_state = 3},
  [18212] = {.lex_state = 15, .external_lex_state = 3},
  [18213] = {.lex_state = 381, .external_lex_state = 3},
  [18214] = {.lex_state = 381, .external_lex_state = 3},
  [18215] = {.lex_state = 15, .external_lex_state = 3},
  [18216] = {.lex_state = 8, .external_lex_state = 3},
  [18217] = {.lex_state = 15, .external_lex_state = 3},
  [18218] = {.lex_state = 15, .external_lex_state = 3},
  [18219] = {.lex_state = 381, .external_lex_state = 3},
  [18220] = {.lex_state = 381, .external_lex_state = 3},
  [18221] = {.lex_state = 381, .external_lex_state = 8},
  [18222] = {.lex_state = 15, .external_lex_state = 3},
  [18223] = {.lex_state = 15, .external_lex_state = 3},
  [18224] = {.lex_state = 15, .external_lex_state = 3},
  [18225] = {.lex_state = 100, .external_lex_state = 3},
  [18226] = {.lex_state = 100, .external_lex_state = 3},
  [18227] = {.lex_state = 100, .external_lex_state = 3},
  [18228] = {.lex_state = 381, .external_lex_state = 3},
  [18229] = {.lex_state = 411, .external_lex_state = 3},
  [18230] = {.lex_state = 15, .external_lex_state = 3},
  [18231] = {.lex_state = 381, .external_lex_state = 3},
  [18232] = {.lex_state = 381, .external_lex_state = 3},
  [18233] = {.lex_state = 36, .external_lex_state = 3},
  [18234] = {.lex_state = 411, .external_lex_state = 3},
  [18235] = {.lex_state = 15, .external_lex_state = 3},
  [18236] = {.lex_state = 381, .external_lex_state = 3},
  [18237] = {.lex_state = 381, .external_lex_state = 8},
  [18238] = {.lex_state = 100, .external_lex_state = 3},
  [18239] = {.lex_state = 100, .external_lex_state = 3},
  [18240] = {.lex_state = 100, .external_lex_state = 3},
  [18241] = {.lex_state = 381, .external_lex_state = 3},
  [18242] = {.lex_state = 8, .external_lex_state = 3},
  [18243] = {.lex_state = 381, .external_lex_state = 3},
  [18244] = {.lex_state = 381, .external_lex_state = 3},
  [18245] = {.lex_state = 15, .external_lex_state = 3},
  [18246] = {.lex_state = 411, .external_lex_state = 3},
  [18247] = {.lex_state = 15, .external_lex_state = 3},
  [18248] = {.lex_state = 381, .external_lex_state = 3},
  [18249] = {.lex_state = 15, .external_lex_state = 3},
  [18250] = {.lex_state = 381, .external_lex_state = 3},
  [18251] = {.lex_state = 381, .external_lex_state = 3},
  [18252] = {.lex_state = 15, .external_lex_state = 3},
  [18253] = {.lex_state = 15, .external_lex_state = 3},
  [18254] = {.lex_state = 381, .external_lex_state = 3},
  [18255] = {.lex_state = 381, .external_lex_state = 3},
  [18256] = {.lex_state = 381, .external_lex_state = 8},
  [18257] = {.lex_state = 15, .external_lex_state = 3},
  [18258] = {.lex_state = 100, .external_lex_state = 3},
  [18259] = {.lex_state = 100, .external_lex_state = 3},
  [18260] = {.lex_state = 100, .external_lex_state = 3},
  [18261] = {.lex_state = 381, .external_lex_state = 8},
  [18262] = {.lex_state = 15, .external_lex_state = 3},
  [18263] = {.lex_state = 411, .external_lex_state = 3},
  [18264] = {.lex_state = 15, .external_lex_state = 3},
  [18265] = {.lex_state = 15, .external_lex_state = 3},
  [18266] = {.lex_state = 381, .external_lex_state = 3},
  [18267] = {.lex_state = 15, .external_lex_state = 3},
  [18268] = {.lex_state = 100, .external_lex_state = 3},
  [18269] = {.lex_state = 100, .external_lex_state = 3},
  [18270] = {.lex_state = 381, .external_lex_state = 8},
  [18271] = {.lex_state = 15, .external_lex_state = 3},
  [18272] = {.lex_state = 381, .external_lex_state = 3},
  [18273] = {.lex_state = 100, .external_lex_state = 3},
  [18274] = {.lex_state = 100, .external_lex_state = 3},
  [18275] = {.lex_state = 100, .external_lex_state = 3},
  [18276] = {.lex_state = 15, .external_lex_state = 3},
  [18277] = {.lex_state = 100, .external_lex_state = 3},
  [18278] = {.lex_state = 15, .external_lex_state = 3},
  [18279] = {.lex_state = 381, .external_lex_state = 3},
  [18280] = {.lex_state = 381, .external_lex_state = 3},
  [18281] = {.lex_state = 381, .external_lex_state = 3},
  [18282] = {.lex_state = 381, .external_lex_state = 3},
  [18283] = {.lex_state = 411, .external_lex_state = 3},
  [18284] = {.lex_state = 15, .external_lex_state = 3},
  [18285] = {.lex_state = 36, .external_lex_state = 3},
  [18286] = {.lex_state = 381, .external_lex_state = 3},
  [18287] = {.lex_state = 411, .external_lex_state = 3},
  [18288] = {.lex_state = 381, .external_lex_state = 8},
  [18289] = {.lex_state = 381, .external_lex_state = 3},
  [18290] = {.lex_state = 15, .external_lex_state = 3},
  [18291] = {.lex_state = 100, .external_lex_state = 3},
  [18292] = {.lex_state = 100, .external_lex_state = 3},
  [18293] = {.lex_state = 100, .external_lex_state = 3},
  [18294] = {.lex_state = 15, .external_lex_state = 3},
  [18295] = {.lex_state = 411, .external_lex_state = 3},
  [18296] = {.lex_state = 381, .external_lex_state = 3},
  [18297] = {.lex_state = 132, .external_lex_state = 3},
  [18298] = {.lex_state = 411, .external_lex_state = 3},
  [18299] = {.lex_state = 411, .external_lex_state = 3},
  [18300] = {.lex_state = 411, .external_lex_state = 3},
  [18301] = {.lex_state = 411, .external_lex_state = 3},
  [18302] = {.lex_state = 381, .external_lex_state = 3},
  [18303] = {.lex_state = 15, .external_lex_state = 3},
  [18304] = {.lex_state = 15, .external_lex_state = 3},
  [18305] = {.lex_state = 381, .external_lex_state = 8},
  [18306] = {.lex_state = 15, .external_lex_state = 3},
  [18307] = {.lex_state = 36, .external_lex_state = 3},
  [18308] = {.lex_state = 100, .external_lex_state = 3},
  [18309] = {.lex_state = 100, .external_lex_state = 3},
  [18310] = {.lex_state = 100, .external_lex_state = 3},
  [18311] = {.lex_state = 411, .external_lex_state = 3},
  [18312] = {.lex_state = 36, .external_lex_state = 3},
  [18313] = {.lex_state = 381, .external_lex_state = 3},
  [18314] = {.lex_state = 15, .external_lex_state = 3},
  [18315] = {.lex_state = 15, .external_lex_state = 3},
  [18316] = {.lex_state = 381, .external_lex_state = 3},
  [18317] = {.lex_state = 100, .external_lex_state = 3},
  [18318] = {.lex_state = 381, .external_lex_state = 3},
  [18319] = {.lex_state = 381, .external_lex_state = 3},
  [18320] = {.lex_state = 381, .external_lex_state = 3},
  [18321] = {.lex_state = 36, .external_lex_state = 3},
  [18322] = {.lex_state = 411, .external_lex_state = 3},
  [18323] = {.lex_state = 411, .external_lex_state = 3},
  [18324] = {.lex_state = 15, .external_lex_state = 3},
  [18325] = {.lex_state = 381, .external_lex_state = 8},
  [18326] = {.lex_state = 15, .external_lex_state = 3},
  [18327] = {.lex_state = 100, .external_lex_state = 3},
  [18328] = {.lex_state = 100, .external_lex_state = 3},
  [18329] = {.lex_state = 100, .external_lex_state = 3},
  [18330] = {.lex_state = 411, .external_lex_state = 3},
  [18331] = {.lex_state = 15, .external_lex_state = 3},
  [18332] = {.lex_state = 15, .external_lex_state = 3},
  [18333] = {.lex_state = 411, .external_lex_state = 3},
  [18334] = {.lex_state = 15, .external_lex_state = 3},
  [18335] = {.lex_state = 411, .external_lex_state = 3},
  [18336] = {.lex_state = 15, .external_lex_state = 3},
  [18337] = {.lex_state = 15, .external_lex_state = 3},
  [18338] = {.lex_state = 381, .external_lex_state = 8},
  [18339] = {.lex_state = 100, .external_lex_state = 3},
  [18340] = {.lex_state = 100, .external_lex_state = 3},
  [18341] = {.lex_state = 100, .external_lex_state = 3},
  [18342] = {.lex_state = 381, .external_lex_state = 3},
  [18343] = {.lex_state = 381, .external_lex_state = 8},
  [18344] = {.lex_state = 36, .external_lex_state = 3},
  [18345] = {.lex_state = 381, .external_lex_state = 8},
  [18346] = {.lex_state = 100, .external_lex_state = 3},
  [18347] = {.lex_state = 100, .external_lex_state = 3},
  [18348] = {.lex_state = 100, .external_lex_state = 3},
  [18349] = {.lex_state = 411, .external_lex_state = 3},
  [18350] = {.lex_state = 36, .external_lex_state = 3},
  [18351] = {.lex_state = 411, .external_lex_state = 3},
  [18352] = {.lex_state = 411, .external_lex_state = 3},
  [18353] = {.lex_state = 381, .external_lex_state = 8},
  [18354] = {.lex_state = 100, .external_lex_state = 3},
  [18355] = {.lex_state = 100, .external_lex_state = 3},
  [18356] = {.lex_state = 100, .external_lex_state = 3},
  [18357] = {.lex_state = 381, .external_lex_state = 3},
  [18358] = {.lex_state = 381, .external_lex_state = 3},
  [18359] = {.lex_state = 381, .external_lex_state = 8},
  [18360] = {.lex_state = 100, .external_lex_state = 3},
  [18361] = {.lex_state = 100, .external_lex_state = 3},
  [18362] = {.lex_state = 100, .external_lex_state = 3},
  [18363] = {.lex_state = 15, .external_lex_state = 3},
  [18364] = {.lex_state = 15, .external_lex_state = 3},
  [18365] = {.lex_state = 15, .external_lex_state = 3},
  [18366] = {.lex_state = 381, .external_lex_state = 8},
  [18367] = {.lex_state = 100, .external_lex_state = 3},
  [18368] = {.lex_state = 100, .external_lex_state = 3},
  [18369] = {.lex_state = 100, .external_lex_state = 3},
  [18370] = {.lex_state = 381, .external_lex_state = 3},
  [18371] = {.lex_state = 36, .external_lex_state = 3},
  [18372] = {.lex_state = 15, .external_lex_state = 3},
  [18373] = {.lex_state = 381, .external_lex_state = 8},
  [18374] = {.lex_state = 100, .external_lex_state = 3},
  [18375] = {.lex_state = 100, .external_lex_state = 3},
  [18376] = {.lex_state = 100, .external_lex_state = 3},
  [18377] = {.lex_state = 15, .external_lex_state = 3},
  [18378] = {.lex_state = 411, .external_lex_state = 3},
  [18379] = {.lex_state = 381, .external_lex_state = 8},
  [18380] = {.lex_state = 381, .external_lex_state = 8},
  [18381] = {.lex_state = 100, .external_lex_state = 3},
  [18382] = {.lex_state = 100, .external_lex_state = 3},
  [18383] = {.lex_state = 100, .external_lex_state = 3},
  [18384] = {.lex_state = 15, .external_lex_state = 3},
  [18385] = {.lex_state = 100, .external_lex_state = 3},
  [18386] = {.lex_state = 381, .external_lex_state = 8},
  [18387] = {.lex_state = 100, .external_lex_state = 3},
  [18388] = {.lex_state = 100, .external_lex_state = 3},
  [18389] = {.lex_state = 100, .external_lex_state = 3},
  [18390] = {.lex_state = 100, .external_lex_state = 3},
  [18391] = {.lex_state = 100, .external_lex_state = 3},
  [18392] = {.lex_state = 381, .external_lex_state = 8},
  [18393] = {.lex_state = 100, .external_lex_state = 3},
  [18394] = {.lex_state = 100, .external_lex_state = 3},
  [18395] = {.lex_state = 100, .external_lex_state = 3},
  [18396] = {.lex_state = 15, .external_lex_state = 3},
  [18397] = {.lex_state = 381, .external_lex_state = 8},
  [18398] = {.lex_state = 381, .external_lex_state = 8},
  [18399] = {.lex_state = 100, .external_lex_state = 3},
  [18400] = {.lex_state = 100, .external_lex_state = 3},
  [18401] = {.lex_state = 100, .external_lex_state = 3},
  [18402] = {.lex_state = 15, .external_lex_state = 3},
  [18403] = {.lex_state = 15, .external_lex_state = 3},
  [18404] = {.lex_state = 381, .external_lex_state = 8},
  [18405] = {.lex_state = 100, .external_lex_state = 3},
  [18406] = {.lex_state = 100, .external_lex_state = 3},
  [18407] = {.lex_state = 100, .external_lex_state = 3},
  [18408] = {.lex_state = 15, .external_lex_state = 3},
  [18409] = {.lex_state = 36, .external_lex_state = 3},
  [18410] = {.lex_state = 15, .external_lex_state = 3},
  [18411] = {.lex_state = 381, .external_lex_state = 8},
  [18412] = {.lex_state = 100, .external_lex_state = 3},
  [18413] = {.lex_state = 100, .external_lex_state = 3},
  [18414] = {.lex_state = 100, .external_lex_state = 3},
  [18415] = {.lex_state = 381, .external_lex_state = 3},
  [18416] = {.lex_state = 15, .external_lex_state = 3},
  [18417] = {.lex_state = 381, .external_lex_state = 8},
  [18418] = {.lex_state = 100, .external_lex_state = 3},
  [18419] = {.lex_state = 100, .external_lex_state = 3},
  [18420] = {.lex_state = 100, .external_lex_state = 3},
  [18421] = {.lex_state = 15, .external_lex_state = 3},
  [18422] = {.lex_state = 15, .external_lex_state = 3},
  [18423] = {.lex_state = 381, .external_lex_state = 8},
  [18424] = {.lex_state = 100, .external_lex_state = 3},
  [18425] = {.lex_state = 100, .external_lex_state = 3},
  [18426] = {.lex_state = 100, .external_lex_state = 3},
  [18427] = {.lex_state = 381, .external_lex_state = 3},
  [18428] = {.lex_state = 100, .external_lex_state = 3},
  [18429] = {.lex_state = 381, .external_lex_state = 8},
  [18430] = {.lex_state = 100, .external_lex_state = 3},
  [18431] = {.lex_state = 100, .external_lex_state = 3},
  [18432] = {.lex_state = 381, .external_lex_state = 8},
  [18433] = {.lex_state = 15, .external_lex_state = 3},
  [18434] = {.lex_state = 15, .external_lex_state = 3},
  [18435] = {.lex_state = 381, .external_lex_state = 8},
  [18436] = {.lex_state = 381, .external_lex_state = 3},
  [18437] = {.lex_state = 381, .external_lex_state = 3},
  [18438] = {.lex_state = 381, .external_lex_state = 8},
  [18439] = {.lex_state = 381, .external_lex_state = 3},
  [18440] = {.lex_state = 411, .external_lex_state = 3},
  [18441] = {.lex_state = 381, .external_lex_state = 8},
  [18442] = {.lex_state = 15, .external_lex_state = 3},
  [18443] = {.lex_state = 411, .external_lex_state = 3},
  [18444] = {.lex_state = 381, .external_lex_state = 8},
  [18445] = {.lex_state = 36, .external_lex_state = 3},
  [18446] = {.lex_state = 381, .external_lex_state = 3},
  [18447] = {.lex_state = 381, .external_lex_state = 8},
  [18448] = {.lex_state = 15, .external_lex_state = 3},
  [18449] = {.lex_state = 36, .external_lex_state = 3},
  [18450] = {.lex_state = 381, .external_lex_state = 8},
  [18451] = {.lex_state = 15, .external_lex_state = 3},
  [18452] = {.lex_state = 411, .external_lex_state = 3},
  [18453] = {.lex_state = 381, .external_lex_state = 8},
  [18454] = {.lex_state = 36, .external_lex_state = 3},
  [18455] = {.lex_state = 381, .external_lex_state = 3},
  [18456] = {.lex_state = 381, .external_lex_state = 8},
  [18457] = {.lex_state = 381, .external_lex_state = 3},
  [18458] = {.lex_state = 15, .external_lex_state = 3},
  [18459] = {.lex_state = 381, .external_lex_state = 8},
  [18460] = {.lex_state = 15, .external_lex_state = 3},
  [18461] = {.lex_state = 15, .external_lex_state = 3},
  [18462] = {.lex_state = 381, .external_lex_state = 8},
  [18463] = {.lex_state = 381, .external_lex_state = 3},
  [18464] = {.lex_state = 15, .external_lex_state = 3},
  [18465] = {.lex_state = 381, .external_lex_state = 8},
  [18466] = {.lex_state = 381, .external_lex_state = 3},
  [18467] = {.lex_state = 381, .external_lex_state = 8},
  [18468] = {.lex_state = 381, .external_lex_state = 8},
  [18469] = {.lex_state = 15, .external_lex_state = 3},
  [18470] = {.lex_state = 100, .external_lex_state = 3},
  [18471] = {.lex_state = 381, .external_lex_state = 8},
  [18472] = {.lex_state = 100, .external_lex_state = 3},
  [18473] = {.lex_state = 100, .external_lex_state = 3},
  [18474] = {.lex_state = 381, .external_lex_state = 8},
  [18475] = {.lex_state = 36, .external_lex_state = 3},
  [18476] = {.lex_state = 15, .external_lex_state = 3},
  [18477] = {.lex_state = 381, .external_lex_state = 8},
  [18478] = {.lex_state = 381, .external_lex_state = 3},
  [18479] = {.lex_state = 411, .external_lex_state = 3},
  [18480] = {.lex_state = 381, .external_lex_state = 8},
  [18481] = {.lex_state = 36, .external_lex_state = 3},
  [18482] = {.lex_state = 15, .external_lex_state = 3},
  [18483] = {.lex_state = 381, .external_lex_state = 8},
  [18484] = {.lex_state = 381, .external_lex_state = 3},
  [18485] = {.lex_state = 411, .external_lex_state = 3},
  [18486] = {.lex_state = 381, .external_lex_state = 8},
  [18487] = {.lex_state = 15, .external_lex_state = 3},
  [18488] = {.lex_state = 411, .external_lex_state = 3},
  [18489] = {.lex_state = 381, .external_lex_state = 8},
  [18490] = {.lex_state = 15, .external_lex_state = 3},
  [18491] = {.lex_state = 15, .external_lex_state = 3},
  [18492] = {.lex_state = 381, .external_lex_state = 8},
  [18493] = {.lex_state = 411, .external_lex_state = 3},
  [18494] = {.lex_state = 15, .external_lex_state = 3},
  [18495] = {.lex_state = 381, .external_lex_state = 8},
  [18496] = {.lex_state = 15, .external_lex_state = 3},
  [18497] = {.lex_state = 381, .external_lex_state = 3},
  [18498] = {.lex_state = 411, .external_lex_state = 3},
  [18499] = {.lex_state = 381, .external_lex_state = 3},
  [18500] = {.lex_state = 15, .external_lex_state = 3},
  [18501] = {.lex_state = 100, .external_lex_state = 3},
  [18502] = {.lex_state = 381, .external_lex_state = 3},
  [18503] = {.lex_state = 411, .external_lex_state = 3},
  [18504] = {.lex_state = 381, .external_lex_state = 3},
  [18505] = {.lex_state = 381, .external_lex_state = 3},
  [18506] = {.lex_state = 411, .external_lex_state = 3},
  [18507] = {.lex_state = 15, .external_lex_state = 3},
  [18508] = {.lex_state = 36, .external_lex_state = 3},
  [18509] = {.lex_state = 411, .external_lex_state = 3},
  [18510] = {.lex_state = 381, .external_lex_state = 3},
  [18511] = {.lex_state = 411, .external_lex_state = 3},
  [18512] = {.lex_state = 381, .external_lex_state = 3},
  [18513] = {.lex_state = 411, .external_lex_state = 3},
  [18514] = {.lex_state = 36, .external_lex_state = 3},
  [18515] = {.lex_state = 411, .external_lex_state = 3},
  [18516] = {.lex_state = 15, .external_lex_state = 3},
  [18517] = {.lex_state = 381, .external_lex_state = 3},
  [18518] = {.lex_state = 100, .external_lex_state = 3},
  [18519] = {.lex_state = 15, .external_lex_state = 3},
  [18520] = {.lex_state = 15, .external_lex_state = 3},
  [18521] = {.lex_state = 381, .external_lex_state = 8},
  [18522] = {.lex_state = 411, .external_lex_state = 3},
  [18523] = {.lex_state = 381, .external_lex_state = 8},
  [18524] = {.lex_state = 15, .external_lex_state = 3},
  [18525] = {.lex_state = 100, .external_lex_state = 3},
  [18526] = {.lex_state = 100, .external_lex_state = 3},
  [18527] = {.lex_state = 100, .external_lex_state = 3},
  [18528] = {.lex_state = 411, .external_lex_state = 3},
  [18529] = {.lex_state = 15, .external_lex_state = 3},
  [18530] = {.lex_state = 381, .external_lex_state = 3},
  [18531] = {.lex_state = 36, .external_lex_state = 3},
  [18532] = {.lex_state = 381, .external_lex_state = 3},
  [18533] = {.lex_state = 15, .external_lex_state = 3},
  [18534] = {.lex_state = 381, .external_lex_state = 3},
  [18535] = {.lex_state = 381, .external_lex_state = 3},
  [18536] = {.lex_state = 381, .external_lex_state = 8},
  [18537] = {.lex_state = 414, .external_lex_state = 3},
  [18538] = {.lex_state = 381, .external_lex_state = 3},
  [18539] = {.lex_state = 381, .external_lex_state = 3},
  [18540] = {.lex_state = 381, .external_lex_state = 3},
  [18541] = {.lex_state = 36, .external_lex_state = 3},
  [18542] = {.lex_state = 411, .external_lex_state = 3},
  [18543] = {.lex_state = 381, .external_lex_state = 3},
  [18544] = {.lex_state = 411, .external_lex_state = 3},
  [18545] = {.lex_state = 15, .external_lex_state = 3},
  [18546] = {.lex_state = 414, .external_lex_state = 3},
  [18547] = {.lex_state = 381, .external_lex_state = 3},
  [18548] = {.lex_state = 36, .external_lex_state = 3},
  [18549] = {.lex_state = 381, .external_lex_state = 3},
  [18550] = {.lex_state = 15, .external_lex_state = 3},
  [18551] = {.lex_state = 381, .external_lex_state = 3},
  [18552] = {.lex_state = 15, .external_lex_state = 3},
  [18553] = {.lex_state = 381, .external_lex_state = 3},
  [18554] = {.lex_state = 15, .external_lex_state = 3},
  [18555] = {.lex_state = 381, .external_lex_state = 3},
  [18556] = {.lex_state = 411, .external_lex_state = 3},
  [18557] = {.lex_state = 411, .external_lex_state = 3},
  [18558] = {.lex_state = 36, .external_lex_state = 3},
  [18559] = {.lex_state = 381, .external_lex_state = 3},
  [18560] = {.lex_state = 15, .external_lex_state = 3},
  [18561] = {.lex_state = 381, .external_lex_state = 3},
  [18562] = {.lex_state = 411, .external_lex_state = 3},
  [18563] = {.lex_state = 15, .external_lex_state = 3},
  [18564] = {.lex_state = 15, .external_lex_state = 3},
  [18565] = {.lex_state = 381, .external_lex_state = 3},
  [18566] = {.lex_state = 411, .external_lex_state = 3},
  [18567] = {.lex_state = 411, .external_lex_state = 3},
  [18568] = {.lex_state = 411, .external_lex_state = 3},
  [18569] = {.lex_state = 411, .external_lex_state = 3},
  [18570] = {.lex_state = 411, .external_lex_state = 3},
  [18571] = {.lex_state = 381, .external_lex_state = 3},
  [18572] = {.lex_state = 381, .external_lex_state = 3},
  [18573] = {.lex_state = 381, .external_lex_state = 3},
  [18574] = {.lex_state = 132, .external_lex_state = 3},
  [18575] = {.lex_state = 381, .external_lex_state = 8},
  [18576] = {.lex_state = 381, .external_lex_state = 8},
  [18577] = {.lex_state = 15, .external_lex_state = 3},
  [18578] = {.lex_state = 381, .external_lex_state = 3},
  [18579] = {.lex_state = 15, .external_lex_state = 3},
  [18580] = {.lex_state = 100, .external_lex_state = 3},
  [18581] = {.lex_state = 381, .external_lex_state = 3},
  [18582] = {.lex_state = 15, .external_lex_state = 3},
  [18583] = {.lex_state = 100, .external_lex_state = 3},
  [18584] = {.lex_state = 100, .external_lex_state = 3},
  [18585] = {.lex_state = 15, .external_lex_state = 3},
  [18586] = {.lex_state = 411, .external_lex_state = 3},
  [18587] = {.lex_state = 15, .external_lex_state = 3},
  [18588] = {.lex_state = 381, .external_lex_state = 3},
  [18589] = {.lex_state = 381, .external_lex_state = 3},
  [18590] = {.lex_state = 36, .external_lex_state = 3},
  [18591] = {.lex_state = 411, .external_lex_state = 3},
  [18592] = {.lex_state = 381, .external_lex_state = 3},
  [18593] = {.lex_state = 36, .external_lex_state = 3},
  [18594] = {.lex_state = 411, .external_lex_state = 3},
  [18595] = {.lex_state = 381, .external_lex_state = 3},
  [18596] = {.lex_state = 411, .external_lex_state = 3},
  [18597] = {.lex_state = 414, .external_lex_state = 3},
  [18598] = {.lex_state = 411, .external_lex_state = 3},
  [18599] = {.lex_state = 411, .external_lex_state = 3},
  [18600] = {.lex_state = 381, .external_lex_state = 3},
  [18601] = {.lex_state = 100, .external_lex_state = 3},
  [18602] = {.lex_state = 15, .external_lex_state = 3},
  [18603] = {.lex_state = 15, .external_lex_state = 3},
  [18604] = {.lex_state = 15, .external_lex_state = 3},
  [18605] = {.lex_state = 414, .external_lex_state = 3},
  [18606] = {.lex_state = 381, .external_lex_state = 8},
  [18607] = {.lex_state = 15, .external_lex_state = 3},
  [18608] = {.lex_state = 15, .external_lex_state = 3},
  [18609] = {.lex_state = 381, .external_lex_state = 3},
  [18610] = {.lex_state = 36, .external_lex_state = 3},
  [18611] = {.lex_state = 36, .external_lex_state = 3},
  [18612] = {.lex_state = 381, .external_lex_state = 3},
  [18613] = {.lex_state = 381, .external_lex_state = 3},
  [18614] = {.lex_state = 411, .external_lex_state = 3},
  [18615] = {.lex_state = 100, .external_lex_state = 3},
  [18616] = {.lex_state = 411, .external_lex_state = 3},
  [18617] = {.lex_state = 100, .external_lex_state = 3},
  [18618] = {.lex_state = 15, .external_lex_state = 3},
  [18619] = {.lex_state = 381, .external_lex_state = 3},
  [18620] = {.lex_state = 381, .external_lex_state = 3},
  [18621] = {.lex_state = 411, .external_lex_state = 3},
  [18622] = {.lex_state = 381, .external_lex_state = 3},
  [18623] = {.lex_state = 15, .external_lex_state = 3},
  [18624] = {.lex_state = 411, .external_lex_state = 3},
  [18625] = {.lex_state = 15, .external_lex_state = 3},
  [18626] = {.lex_state = 15, .external_lex_state = 3},
  [18627] = {.lex_state = 381, .external_lex_state = 3},
  [18628] = {.lex_state = 381, .external_lex_state = 8},
  [18629] = {.lex_state = 381, .external_lex_state = 8},
  [18630] = {.lex_state = 15, .external_lex_state = 3},
  [18631] = {.lex_state = 381, .external_lex_state = 3},
  [18632] = {.lex_state = 100, .external_lex_state = 3},
  [18633] = {.lex_state = 100, .external_lex_state = 3},
  [18634] = {.lex_state = 414, .external_lex_state = 3},
  [18635] = {.lex_state = 100, .external_lex_state = 3},
  [18636] = {.lex_state = 411, .external_lex_state = 3},
  [18637] = {.lex_state = 100, .external_lex_state = 3},
  [18638] = {.lex_state = 381, .external_lex_state = 3},
  [18639] = {.lex_state = 381, .external_lex_state = 3},
  [18640] = {.lex_state = 15, .external_lex_state = 3},
  [18641] = {.lex_state = 381, .external_lex_state = 3},
  [18642] = {.lex_state = 414, .external_lex_state = 3},
  [18643] = {.lex_state = 15, .external_lex_state = 3},
  [18644] = {.lex_state = 381, .external_lex_state = 3},
  [18645] = {.lex_state = 15, .external_lex_state = 3},
  [18646] = {.lex_state = 36, .external_lex_state = 3},
  [18647] = {.lex_state = 15, .external_lex_state = 3},
  [18648] = {.lex_state = 381, .external_lex_state = 3},
  [18649] = {.lex_state = 381, .external_lex_state = 3},
  [18650] = {.lex_state = 15, .external_lex_state = 3},
  [18651] = {.lex_state = 381, .external_lex_state = 3},
  [18652] = {.lex_state = 100, .external_lex_state = 3},
  [18653] = {.lex_state = 100, .external_lex_state = 3},
  [18654] = {.lex_state = 100, .external_lex_state = 3},
  [18655] = {.lex_state = 381, .external_lex_state = 3},
  [18656] = {.lex_state = 381, .external_lex_state = 8},
  [18657] = {.lex_state = 381, .external_lex_state = 3},
  [18658] = {.lex_state = 411, .external_lex_state = 3},
  [18659] = {.lex_state = 381, .external_lex_state = 3},
  [18660] = {.lex_state = 15, .external_lex_state = 3},
  [18661] = {.lex_state = 15, .external_lex_state = 3},
  [18662] = {.lex_state = 15, .external_lex_state = 3},
  [18663] = {.lex_state = 15, .external_lex_state = 3},
  [18664] = {.lex_state = 15, .external_lex_state = 3},
  [18665] = {.lex_state = 15, .external_lex_state = 3},
  [18666] = {.lex_state = 381, .external_lex_state = 3},
  [18667] = {.lex_state = 36, .external_lex_state = 3},
  [18668] = {.lex_state = 381, .external_lex_state = 3},
  [18669] = {.lex_state = 100, .external_lex_state = 3},
  [18670] = {.lex_state = 36, .external_lex_state = 3},
  [18671] = {.lex_state = 381, .external_lex_state = 3},
  [18672] = {.lex_state = 100, .external_lex_state = 3},
  [18673] = {.lex_state = 15, .external_lex_state = 3},
  [18674] = {.lex_state = 36, .external_lex_state = 3},
  [18675] = {.lex_state = 15, .external_lex_state = 3},
  [18676] = {.lex_state = 411, .external_lex_state = 3},
  [18677] = {.lex_state = 15, .external_lex_state = 3},
  [18678] = {.lex_state = 381, .external_lex_state = 3},
  [18679] = {.lex_state = 381, .external_lex_state = 3},
  [18680] = {.lex_state = 100, .external_lex_state = 3},
  [18681] = {.lex_state = 381, .external_lex_state = 3},
  [18682] = {.lex_state = 100, .external_lex_state = 3},
  [18683] = {.lex_state = 15, .external_lex_state = 3},
  [18684] = {.lex_state = 100, .external_lex_state = 3},
  [18685] = {.lex_state = 381, .external_lex_state = 3},
  [18686] = {.lex_state = 15, .external_lex_state = 3},
  [18687] = {.lex_state = 381, .external_lex_state = 3},
  [18688] = {.lex_state = 100, .external_lex_state = 3},
  [18689] = {.lex_state = 381, .external_lex_state = 3},
  [18690] = {.lex_state = 381, .external_lex_state = 8},
  [18691] = {.lex_state = 411, .external_lex_state = 3},
  [18692] = {.lex_state = 15, .external_lex_state = 3},
  [18693] = {.lex_state = 100, .external_lex_state = 3},
  [18694] = {.lex_state = 100, .external_lex_state = 3},
  [18695] = {.lex_state = 381, .external_lex_state = 3},
  [18696] = {.lex_state = 100, .external_lex_state = 3},
  [18697] = {.lex_state = 381, .external_lex_state = 3},
  [18698] = {.lex_state = 36, .external_lex_state = 3},
  [18699] = {.lex_state = 381, .external_lex_state = 3},
  [18700] = {.lex_state = 381, .external_lex_state = 3},
  [18701] = {.lex_state = 381, .external_lex_state = 3},
  [18702] = {.lex_state = 100, .external_lex_state = 3},
  [18703] = {.lex_state = 15, .external_lex_state = 3},
  [18704] = {.lex_state = 15, .external_lex_state = 3},
  [18705] = {.lex_state = 100, .external_lex_state = 3},
  [18706] = {.lex_state = 15, .external_lex_state = 3},
  [18707] = {.lex_state = 36, .external_lex_state = 3},
  [18708] = {.lex_state = 411, .external_lex_state = 3},
  [18709] = {.lex_state = 411, .external_lex_state = 3},
  [18710] = {.lex_state = 381, .external_lex_state = 3},
  [18711] = {.lex_state = 15, .external_lex_state = 3},
  [18712] = {.lex_state = 15, .external_lex_state = 3},
  [18713] = {.lex_state = 381, .external_lex_state = 3},
  [18714] = {.lex_state = 411, .external_lex_state = 3},
  [18715] = {.lex_state = 15, .external_lex_state = 3},
  [18716] = {.lex_state = 381, .external_lex_state = 3},
  [18717] = {.lex_state = 36, .external_lex_state = 3},
  [18718] = {.lex_state = 381, .external_lex_state = 3},
  [18719] = {.lex_state = 36, .external_lex_state = 3},
  [18720] = {.lex_state = 381, .external_lex_state = 3},
  [18721] = {.lex_state = 36, .external_lex_state = 3},
  [18722] = {.lex_state = 381, .external_lex_state = 3},
  [18723] = {.lex_state = 381, .external_lex_state = 3},
  [18724] = {.lex_state = 381, .external_lex_state = 8},
  [18725] = {.lex_state = 381, .external_lex_state = 3},
  [18726] = {.lex_state = 411, .external_lex_state = 3},
  [18727] = {.lex_state = 381, .external_lex_state = 3},
  [18728] = {.lex_state = 381, .external_lex_state = 8},
  [18729] = {.lex_state = 411, .external_lex_state = 3},
  [18730] = {.lex_state = 381, .external_lex_state = 3},
  [18731] = {.lex_state = 381, .external_lex_state = 3},
  [18732] = {.lex_state = 100, .external_lex_state = 3},
  [18733] = {.lex_state = 15, .external_lex_state = 3},
  [18734] = {.lex_state = 100, .external_lex_state = 3},
  [18735] = {.lex_state = 15, .external_lex_state = 3},
  [18736] = {.lex_state = 381, .external_lex_state = 3},
  [18737] = {.lex_state = 381, .external_lex_state = 3},
  [18738] = {.lex_state = 100, .external_lex_state = 3},
  [18739] = {.lex_state = 132, .external_lex_state = 3},
  [18740] = {.lex_state = 15, .external_lex_state = 3},
  [18741] = {.lex_state = 15, .external_lex_state = 3},
  [18742] = {.lex_state = 381, .external_lex_state = 3},
  [18743] = {.lex_state = 173, .external_lex_state = 3},
  [18744] = {.lex_state = 381, .external_lex_state = 3},
  [18745] = {.lex_state = 381, .external_lex_state = 3},
  [18746] = {.lex_state = 15, .external_lex_state = 3},
  [18747] = {.lex_state = 381, .external_lex_state = 3},
  [18748] = {.lex_state = 36, .external_lex_state = 3},
  [18749] = {.lex_state = 381, .external_lex_state = 3},
  [18750] = {.lex_state = 100, .external_lex_state = 3},
  [18751] = {.lex_state = 100, .external_lex_state = 3},
  [18752] = {.lex_state = 381, .external_lex_state = 3},
  [18753] = {.lex_state = 100, .external_lex_state = 3},
  [18754] = {.lex_state = 381, .external_lex_state = 3},
  [18755] = {.lex_state = 36, .external_lex_state = 3},
  [18756] = {.lex_state = 381, .external_lex_state = 3},
  [18757] = {.lex_state = 381, .external_lex_state = 3},
  [18758] = {.lex_state = 132, .external_lex_state = 3},
  [18759] = {.lex_state = 381, .external_lex_state = 3},
  [18760] = {.lex_state = 411, .external_lex_state = 3},
  [18761] = {.lex_state = 381, .external_lex_state = 3},
  [18762] = {.lex_state = 381, .external_lex_state = 3},
  [18763] = {.lex_state = 381, .external_lex_state = 3},
  [18764] = {.lex_state = 381, .external_lex_state = 3},
  [18765] = {.lex_state = 15, .external_lex_state = 3},
  [18766] = {.lex_state = 15, .external_lex_state = 3},
  [18767] = {.lex_state = 381, .external_lex_state = 3},
  [18768] = {.lex_state = 36, .external_lex_state = 3},
  [18769] = {.lex_state = 100, .external_lex_state = 3},
  [18770] = {.lex_state = 15, .external_lex_state = 3},
  [18771] = {.lex_state = 381, .external_lex_state = 3},
  [18772] = {.lex_state = 381, .external_lex_state = 3},
  [18773] = {.lex_state = 381, .external_lex_state = 3},
  [18774] = {.lex_state = 381, .external_lex_state = 3},
  [18775] = {.lex_state = 381, .external_lex_state = 3},
  [18776] = {.lex_state = 381, .external_lex_state = 3},
  [18777] = {.lex_state = 381, .external_lex_state = 3},
  [18778] = {.lex_state = 381, .external_lex_state = 3},
  [18779] = {.lex_state = 381, .external_lex_state = 8},
  [18780] = {.lex_state = 132, .external_lex_state = 3},
  [18781] = {.lex_state = 36, .external_lex_state = 3},
  [18782] = {.lex_state = 100, .external_lex_state = 3},
  [18783] = {.lex_state = 100, .external_lex_state = 3},
  [18784] = {.lex_state = 15, .external_lex_state = 3},
  [18785] = {.lex_state = 381, .external_lex_state = 3},
  [18786] = {.lex_state = 100, .external_lex_state = 3},
  [18787] = {.lex_state = 381, .external_lex_state = 8},
  [18788] = {.lex_state = 15, .external_lex_state = 3},
  [18789] = {.lex_state = 36, .external_lex_state = 3},
  [18790] = {.lex_state = 381, .external_lex_state = 3},
  [18791] = {.lex_state = 381, .external_lex_state = 3},
  [18792] = {.lex_state = 381, .external_lex_state = 3},
  [18793] = {.lex_state = 36, .external_lex_state = 3},
  [18794] = {.lex_state = 381, .external_lex_state = 3},
  [18795] = {.lex_state = 15, .external_lex_state = 3},
  [18796] = {.lex_state = 36, .external_lex_state = 3},
  [18797] = {.lex_state = 15, .external_lex_state = 3},
  [18798] = {.lex_state = 15, .external_lex_state = 3},
  [18799] = {.lex_state = 381, .external_lex_state = 3},
  [18800] = {.lex_state = 381, .external_lex_state = 3},
  [18801] = {.lex_state = 411, .external_lex_state = 3},
  [18802] = {.lex_state = 381, .external_lex_state = 3},
  [18803] = {.lex_state = 381, .external_lex_state = 3},
  [18804] = {.lex_state = 15, .external_lex_state = 3},
  [18805] = {.lex_state = 15, .external_lex_state = 3},
  [18806] = {.lex_state = 15, .external_lex_state = 3},
  [18807] = {.lex_state = 381, .external_lex_state = 8},
  [18808] = {.lex_state = 411, .external_lex_state = 3},
  [18809] = {.lex_state = 15, .external_lex_state = 3},
  [18810] = {.lex_state = 411, .external_lex_state = 3},
  [18811] = {.lex_state = 381, .external_lex_state = 3},
  [18812] = {.lex_state = 173, .external_lex_state = 3},
  [18813] = {.lex_state = 36, .external_lex_state = 3},
  [18814] = {.lex_state = 381, .external_lex_state = 3},
  [18815] = {.lex_state = 15, .external_lex_state = 3},
  [18816] = {.lex_state = 381, .external_lex_state = 3},
  [18817] = {.lex_state = 411, .external_lex_state = 3},
  [18818] = {.lex_state = 411, .external_lex_state = 3},
  [18819] = {.lex_state = 15, .external_lex_state = 3},
  [18820] = {.lex_state = 381, .external_lex_state = 3},
  [18821] = {.lex_state = 381, .external_lex_state = 3},
  [18822] = {.lex_state = 381, .external_lex_state = 3},
  [18823] = {.lex_state = 15, .external_lex_state = 3},
  [18824] = {.lex_state = 381, .external_lex_state = 8},
  [18825] = {.lex_state = 381, .external_lex_state = 3},
  [18826] = {.lex_state = 15, .external_lex_state = 3},
  [18827] = {.lex_state = 381, .external_lex_state = 8},
  [18828] = {.lex_state = 381, .external_lex_state = 3},
  [18829] = {.lex_state = 100, .external_lex_state = 3},
  [18830] = {.lex_state = 100, .external_lex_state = 3},
  [18831] = {.lex_state = 15, .external_lex_state = 3},
  [18832] = {.lex_state = 381, .external_lex_state = 3},
  [18833] = {.lex_state = 381, .external_lex_state = 3},
  [18834] = {.lex_state = 100, .external_lex_state = 3},
  [18835] = {.lex_state = 100, .external_lex_state = 3},
  [18836] = {.lex_state = 15, .external_lex_state = 3},
  [18837] = {.lex_state = 381, .external_lex_state = 3},
  [18838] = {.lex_state = 15, .external_lex_state = 3},
  [18839] = {.lex_state = 36, .external_lex_state = 3},
  [18840] = {.lex_state = 100, .external_lex_state = 3},
  [18841] = {.lex_state = 381, .external_lex_state = 3},
  [18842] = {.lex_state = 15, .external_lex_state = 3},
  [18843] = {.lex_state = 15, .external_lex_state = 3},
  [18844] = {.lex_state = 100, .external_lex_state = 3},
  [18845] = {.lex_state = 100, .external_lex_state = 3},
  [18846] = {.lex_state = 36, .external_lex_state = 3},
  [18847] = {.lex_state = 15, .external_lex_state = 3},
  [18848] = {.lex_state = 381, .external_lex_state = 3},
  [18849] = {.lex_state = 381, .external_lex_state = 3},
  [18850] = {.lex_state = 381, .external_lex_state = 3},
  [18851] = {.lex_state = 381, .external_lex_state = 3},
  [18852] = {.lex_state = 381, .external_lex_state = 3},
  [18853] = {.lex_state = 36, .external_lex_state = 3},
  [18854] = {.lex_state = 15, .external_lex_state = 3},
  [18855] = {.lex_state = 381, .external_lex_state = 3},
  [18856] = {.lex_state = 15, .external_lex_state = 3},
  [18857] = {.lex_state = 15, .external_lex_state = 3},
  [18858] = {.lex_state = 381, .external_lex_state = 3},
  [18859] = {.lex_state = 381, .external_lex_state = 3},
  [18860] = {.lex_state = 381, .external_lex_state = 3},
  [18861] = {.lex_state = 15, .external_lex_state = 3},
  [18862] = {.lex_state = 15, .external_lex_state = 3},
  [18863] = {.lex_state = 36, .external_lex_state = 3},
  [18864] = {.lex_state = 381, .external_lex_state = 3},
  [18865] = {.lex_state = 381, .external_lex_state = 3},
  [18866] = {.lex_state = 36, .external_lex_state = 3},
  [18867] = {.lex_state = 381, .external_lex_state = 3},
  [18868] = {.lex_state = 411, .external_lex_state = 3},
  [18869] = {.lex_state = 381, .external_lex_state = 3},
  [18870] = {.lex_state = 173, .external_lex_state = 3},
  [18871] = {.lex_state = 15, .external_lex_state = 3},
  [18872] = {.lex_state = 381, .external_lex_state = 8},
  [18873] = {.lex_state = 15, .external_lex_state = 3},
  [18874] = {.lex_state = 381, .external_lex_state = 8},
  [18875] = {.lex_state = 15, .external_lex_state = 3},
  [18876] = {.lex_state = 411, .external_lex_state = 3},
  [18877] = {.lex_state = 173, .external_lex_state = 3},
  [18878] = {.lex_state = 15, .external_lex_state = 3},
  [18879] = {.lex_state = 100, .external_lex_state = 3},
  [18880] = {.lex_state = 100, .external_lex_state = 3},
  [18881] = {.lex_state = 100, .external_lex_state = 3},
  [18882] = {.lex_state = 381, .external_lex_state = 3},
  [18883] = {.lex_state = 15, .external_lex_state = 3},
  [18884] = {.lex_state = 36, .external_lex_state = 3},
  [18885] = {.lex_state = 15, .external_lex_state = 3},
  [18886] = {.lex_state = 381, .external_lex_state = 3},
  [18887] = {.lex_state = 381, .external_lex_state = 3},
  [18888] = {.lex_state = 15, .external_lex_state = 3},
  [18889] = {.lex_state = 381, .external_lex_state = 3},
  [18890] = {.lex_state = 381, .external_lex_state = 3},
  [18891] = {.lex_state = 15, .external_lex_state = 3},
  [18892] = {.lex_state = 381, .external_lex_state = 3},
  [18893] = {.lex_state = 381, .external_lex_state = 3},
  [18894] = {.lex_state = 15, .external_lex_state = 3},
  [18895] = {.lex_state = 381, .external_lex_state = 3},
  [18896] = {.lex_state = 381, .external_lex_state = 3},
  [18897] = {.lex_state = 15, .external_lex_state = 3},
  [18898] = {.lex_state = 36, .external_lex_state = 3},
  [18899] = {.lex_state = 381, .external_lex_state = 3},
  [18900] = {.lex_state = 36, .external_lex_state = 3},
  [18901] = {.lex_state = 15, .external_lex_state = 3},
  [18902] = {.lex_state = 411, .external_lex_state = 3},
  [18903] = {.lex_state = 15, .external_lex_state = 3},
  [18904] = {.lex_state = 36, .external_lex_state = 3},
  [18905] = {.lex_state = 414, .external_lex_state = 3},
  [18906] = {.lex_state = 381, .external_lex_state = 3},
  [18907] = {.lex_state = 381, .external_lex_state = 3},
  [18908] = {.lex_state = 381, .external_lex_state = 3},
  [18909] = {.lex_state = 100, .external_lex_state = 3},
  [18910] = {.lex_state = 100, .external_lex_state = 3},
  [18911] = {.lex_state = 15, .external_lex_state = 3},
  [18912] = {.lex_state = 381, .external_lex_state = 3},
  [18913] = {.lex_state = 381, .external_lex_state = 3},
  [18914] = {.lex_state = 381, .external_lex_state = 3},
  [18915] = {.lex_state = 411, .external_lex_state = 3},
  [18916] = {.lex_state = 381, .external_lex_state = 8},
  [18917] = {.lex_state = 15, .external_lex_state = 3},
  [18918] = {.lex_state = 381, .external_lex_state = 3},
  [18919] = {.lex_state = 15, .external_lex_state = 3},
  [18920] = {.lex_state = 381, .external_lex_state = 3},
  [18921] = {.lex_state = 15, .external_lex_state = 3},
  [18922] = {.lex_state = 381, .external_lex_state = 3},
  [18923] = {.lex_state = 100, .external_lex_state = 3},
  [18924] = {.lex_state = 100, .external_lex_state = 3},
  [18925] = {.lex_state = 100, .external_lex_state = 3},
  [18926] = {.lex_state = 36, .external_lex_state = 3},
  [18927] = {.lex_state = 381, .external_lex_state = 3},
  [18928] = {.lex_state = 381, .external_lex_state = 3},
  [18929] = {.lex_state = 381, .external_lex_state = 3},
  [18930] = {.lex_state = 15, .external_lex_state = 3},
  [18931] = {.lex_state = 411, .external_lex_state = 3},
  [18932] = {.lex_state = 381, .external_lex_state = 3},
  [18933] = {.lex_state = 15, .external_lex_state = 3},
  [18934] = {.lex_state = 381, .external_lex_state = 3},
  [18935] = {.lex_state = 100, .external_lex_state = 3},
  [18936] = {.lex_state = 36, .external_lex_state = 3},
  [18937] = {.lex_state = 100, .external_lex_state = 3},
  [18938] = {.lex_state = 15, .external_lex_state = 3},
  [18939] = {.lex_state = 15, .external_lex_state = 3},
  [18940] = {.lex_state = 100, .external_lex_state = 3},
  [18941] = {.lex_state = 381, .external_lex_state = 3},
  [18942] = {.lex_state = 165, .external_lex_state = 3},
  [18943] = {.lex_state = 100, .external_lex_state = 3},
  [18944] = {.lex_state = 381, .external_lex_state = 3},
  [18945] = {.lex_state = 411, .external_lex_state = 3},
  [18946] = {.lex_state = 411, .external_lex_state = 3},
  [18947] = {.lex_state = 381, .external_lex_state = 8},
  [18948] = {.lex_state = 100, .external_lex_state = 3},
  [18949] = {.lex_state = 100, .external_lex_state = 3},
  [18950] = {.lex_state = 100, .external_lex_state = 3},
  [18951] = {.lex_state = 100, .external_lex_state = 3},
  [18952] = {.lex_state = 15, .external_lex_state = 3},
  [18953] = {.lex_state = 381, .external_lex_state = 3},
  [18954] = {.lex_state = 15, .external_lex_state = 3},
  [18955] = {.lex_state = 381, .external_lex_state = 3},
  [18956] = {.lex_state = 15, .external_lex_state = 3},
  [18957] = {.lex_state = 15, .external_lex_state = 3},
  [18958] = {.lex_state = 15, .external_lex_state = 3},
  [18959] = {.lex_state = 100, .external_lex_state = 3},
  [18960] = {.lex_state = 36, .external_lex_state = 3},
  [18961] = {.lex_state = 381, .external_lex_state = 3},
  [18962] = {.lex_state = 15, .external_lex_state = 3},
  [18963] = {.lex_state = 15, .external_lex_state = 3},
  [18964] = {.lex_state = 381, .external_lex_state = 3},
  [18965] = {.lex_state = 381, .external_lex_state = 3},
  [18966] = {.lex_state = 381, .external_lex_state = 8},
  [18967] = {.lex_state = 15, .external_lex_state = 3},
  [18968] = {.lex_state = 15, .external_lex_state = 3},
  [18969] = {.lex_state = 100, .external_lex_state = 3},
  [18970] = {.lex_state = 100, .external_lex_state = 3},
  [18971] = {.lex_state = 100, .external_lex_state = 3},
  [18972] = {.lex_state = 15, .external_lex_state = 3},
  [18973] = {.lex_state = 381, .external_lex_state = 3},
  [18974] = {.lex_state = 36, .external_lex_state = 3},
  [18975] = {.lex_state = 15, .external_lex_state = 3},
  [18976] = {.lex_state = 15, .external_lex_state = 3},
  [18977] = {.lex_state = 411, .external_lex_state = 3},
  [18978] = {.lex_state = 15, .external_lex_state = 3},
  [18979] = {.lex_state = 15, .external_lex_state = 3},
  [18980] = {.lex_state = 411, .external_lex_state = 3},
  [18981] = {.lex_state = 36, .external_lex_state = 3},
  [18982] = {.lex_state = 381, .external_lex_state = 3},
  [18983] = {.lex_state = 100, .external_lex_state = 3},
  [18984] = {.lex_state = 15, .external_lex_state = 3},
  [18985] = {.lex_state = 100, .external_lex_state = 3},
  [18986] = {.lex_state = 381, .external_lex_state = 3},
  [18987] = {.lex_state = 15, .external_lex_state = 3},
  [18988] = {.lex_state = 381, .external_lex_state = 8},
  [18989] = {.lex_state = 411, .external_lex_state = 3},
  [18990] = {.lex_state = 100, .external_lex_state = 3},
  [18991] = {.lex_state = 100, .external_lex_state = 3},
  [18992] = {.lex_state = 100, .external_lex_state = 3},
  [18993] = {.lex_state = 411, .external_lex_state = 3},
  [18994] = {.lex_state = 381, .external_lex_state = 3},
  [18995] = {.lex_state = 15, .external_lex_state = 3},
  [18996] = {.lex_state = 15, .external_lex_state = 3},
  [18997] = {.lex_state = 15, .external_lex_state = 3},
  [18998] = {.lex_state = 15, .external_lex_state = 3},
  [18999] = {.lex_state = 381, .external_lex_state = 8},
  [19000] = {.lex_state = 36, .external_lex_state = 3},
  [19001] = {.lex_state = 15, .external_lex_state = 3},
  [19002] = {.lex_state = 100, .external_lex_state = 3},
  [19003] = {.lex_state = 15, .external_lex_state = 3},
  [19004] = {.lex_state = 100, .external_lex_state = 3},
  [19005] = {.lex_state = 15, .external_lex_state = 3},
  [19006] = {.lex_state = 100, .external_lex_state = 3},
  [19007] = {.lex_state = 15, .external_lex_state = 3},
  [19008] = {.lex_state = 15, .external_lex_state = 3},
  [19009] = {.lex_state = 36, .external_lex_state = 3},
  [19010] = {.lex_state = 15, .external_lex_state = 3},
  [19011] = {.lex_state = 381, .external_lex_state = 8},
  [19012] = {.lex_state = 411, .external_lex_state = 3},
  [19013] = {.lex_state = 100, .external_lex_state = 3},
  [19014] = {.lex_state = 100, .external_lex_state = 3},
  [19015] = {.lex_state = 100, .external_lex_state = 3},
  [19016] = {.lex_state = 411, .external_lex_state = 3},
  [19017] = {.lex_state = 100, .external_lex_state = 3},
  [19018] = {.lex_state = 381, .external_lex_state = 3},
  [19019] = {.lex_state = 381, .external_lex_state = 3},
  [19020] = {.lex_state = 15, .external_lex_state = 3},
  [19021] = {.lex_state = 381, .external_lex_state = 3},
  [19022] = {.lex_state = 15, .external_lex_state = 3},
  [19023] = {.lex_state = 411, .external_lex_state = 3},
  [19024] = {.lex_state = 15, .external_lex_state = 3},
  [19025] = {.lex_state = 15, .external_lex_state = 3},
  [19026] = {.lex_state = 36, .external_lex_state = 3},
  [19027] = {.lex_state = 381, .external_lex_state = 3},
  [19028] = {.lex_state = 36, .external_lex_state = 3},
  [19029] = {.lex_state = 36, .external_lex_state = 3},
  [19030] = {.lex_state = 15, .external_lex_state = 3},
  [19031] = {.lex_state = 8, .external_lex_state = 3},
  [19032] = {.lex_state = 132, .external_lex_state = 3},
  [19033] = {.lex_state = 36, .external_lex_state = 3},
  [19034] = {.lex_state = 381, .external_lex_state = 3},
  [19035] = {.lex_state = 15, .external_lex_state = 3},
  [19036] = {.lex_state = 381, .external_lex_state = 3},
  [19037] = {.lex_state = 381, .external_lex_state = 3},
  [19038] = {.lex_state = 381, .external_lex_state = 8},
  [19039] = {.lex_state = 381, .external_lex_state = 3},
  [19040] = {.lex_state = 15, .external_lex_state = 3},
  [19041] = {.lex_state = 411, .external_lex_state = 3},
  [19042] = {.lex_state = 411, .external_lex_state = 3},
  [19043] = {.lex_state = 100, .external_lex_state = 3},
  [19044] = {.lex_state = 15, .external_lex_state = 3},
  [19045] = {.lex_state = 100, .external_lex_state = 3},
  [19046] = {.lex_state = 100, .external_lex_state = 3},
  [19047] = {.lex_state = 381, .external_lex_state = 8},
  [19048] = {.lex_state = 381, .external_lex_state = 3},
  [19049] = {.lex_state = 15, .external_lex_state = 3},
  [19050] = {.lex_state = 381, .external_lex_state = 3},
  [19051] = {.lex_state = 15, .external_lex_state = 3},
  [19052] = {.lex_state = 15, .external_lex_state = 3},
  [19053] = {.lex_state = 381, .external_lex_state = 3},
  [19054] = {.lex_state = 15, .external_lex_state = 3},
  [19055] = {.lex_state = 381, .external_lex_state = 3},
  [19056] = {.lex_state = 36, .external_lex_state = 3},
  [19057] = {.lex_state = 381, .external_lex_state = 3},
  [19058] = {.lex_state = 15, .external_lex_state = 3},
  [19059] = {.lex_state = 15, .external_lex_state = 3},
  [19060] = {.lex_state = 381, .external_lex_state = 3},
  [19061] = {.lex_state = 36, .external_lex_state = 3},
  [19062] = {.lex_state = 411, .external_lex_state = 3},
  [19063] = {.lex_state = 381, .external_lex_state = 3},
  [19064] = {.lex_state = 15, .external_lex_state = 3},
  [19065] = {.lex_state = 411, .external_lex_state = 3},
  [19066] = {.lex_state = 381, .external_lex_state = 8},
  [19067] = {.lex_state = 15, .external_lex_state = 3},
  [19068] = {.lex_state = 100, .external_lex_state = 3},
  [19069] = {.lex_state = 25, .external_lex_state = 3},
  [19070] = {.lex_state = 100, .external_lex_state = 3},
  [19071] = {.lex_state = 100, .external_lex_state = 3},
  [19072] = {.lex_state = 15, .external_lex_state = 3},
  [19073] = {.lex_state = 381, .external_lex_state = 3},
  [19074] = {.lex_state = 36, .external_lex_state = 3},
  [19075] = {.lex_state = 15, .external_lex_state = 3},
  [19076] = {.lex_state = 411, .external_lex_state = 3},
  [19077] = {.lex_state = 381, .external_lex_state = 3},
  [19078] = {.lex_state = 411, .external_lex_state = 3},
  [19079] = {.lex_state = 381, .external_lex_state = 3},
  [19080] = {.lex_state = 15, .external_lex_state = 3},
  [19081] = {.lex_state = 36, .external_lex_state = 3},
  [19082] = {.lex_state = 15, .external_lex_state = 3},
  [19083] = {.lex_state = 15, .external_lex_state = 3},
  [19084] = {.lex_state = 36, .external_lex_state = 3},
  [19085] = {.lex_state = 36, .external_lex_state = 3},
  [19086] = {.lex_state = 15, .external_lex_state = 3},
  [19087] = {.lex_state = 381, .external_lex_state = 8},
  [19088] = {.lex_state = 381, .external_lex_state = 3},
  [19089] = {.lex_state = 100, .external_lex_state = 3},
  [19090] = {.lex_state = 100, .external_lex_state = 3},
  [19091] = {.lex_state = 100, .external_lex_state = 3},
  [19092] = {.lex_state = 381, .external_lex_state = 3},
  [19093] = {.lex_state = 411, .external_lex_state = 3},
  [19094] = {.lex_state = 36, .external_lex_state = 3},
  [19095] = {.lex_state = 411, .external_lex_state = 3},
  [19096] = {.lex_state = 100, .external_lex_state = 3},
  [19097] = {.lex_state = 411, .external_lex_state = 3},
  [19098] = {.lex_state = 411, .external_lex_state = 3},
  [19099] = {.lex_state = 381, .external_lex_state = 3},
  [19100] = {.lex_state = 36, .external_lex_state = 3},
  [19101] = {.lex_state = 381, .external_lex_state = 8},
  [19102] = {.lex_state = 381, .external_lex_state = 3},
  [19103] = {.lex_state = 15, .external_lex_state = 3},
  [19104] = {.lex_state = 36, .external_lex_state = 3},
  [19105] = {.lex_state = 411, .external_lex_state = 3},
  [19106] = {.lex_state = 381, .external_lex_state = 8},
  [19107] = {.lex_state = 381, .external_lex_state = 3},
  [19108] = {.lex_state = 100, .external_lex_state = 3},
  [19109] = {.lex_state = 100, .external_lex_state = 3},
  [19110] = {.lex_state = 100, .external_lex_state = 3},
  [19111] = {.lex_state = 381, .external_lex_state = 3},
  [19112] = {.lex_state = 381, .external_lex_state = 3},
  [19113] = {.lex_state = 381, .external_lex_state = 3},
  [19114] = {.lex_state = 381, .external_lex_state = 3},
  [19115] = {.lex_state = 381, .external_lex_state = 3},
  [19116] = {.lex_state = 381, .external_lex_state = 3},
  [19117] = {.lex_state = 381, .external_lex_state = 3},
  [19118] = {.lex_state = 15, .external_lex_state = 3},
  [19119] = {.lex_state = 381, .external_lex_state = 3},
  [19120] = {.lex_state = 8, .external_lex_state = 3},
  [19121] = {.lex_state = 15, .external_lex_state = 3},
  [19122] = {.lex_state = 15, .external_lex_state = 3},
  [19123] = {.lex_state = 15, .external_lex_state = 3},
  [19124] = {.lex_state = 381, .external_lex_state = 3},
  [19125] = {.lex_state = 381, .external_lex_state = 3},
  [19126] = {.lex_state = 15, .external_lex_state = 3},
  [19127] = {.lex_state = 381, .external_lex_state = 3},
  [19128] = {.lex_state = 36, .external_lex_state = 3},
  [19129] = {.lex_state = 15, .external_lex_state = 3},
  [19130] = {.lex_state = 381, .external_lex_state = 3},
  [19131] = {.lex_state = 15, .external_lex_state = 3},
  [19132] = {.lex_state = 15, .external_lex_state = 3},
  [19133] = {.lex_state = 15, .external_lex_state = 3},
  [19134] = {.lex_state = 381, .external_lex_state = 3},
  [19135] = {.lex_state = 381, .external_lex_state = 8},
  [19136] = {.lex_state = 381, .external_lex_state = 8},
  [19137] = {.lex_state = 381, .external_lex_state = 3},
  [19138] = {.lex_state = 411, .external_lex_state = 3},
  [19139] = {.lex_state = 15, .external_lex_state = 3},
  [19140] = {.lex_state = 411, .external_lex_state = 3},
  [19141] = {.lex_state = 36, .external_lex_state = 3},
  [19142] = {.lex_state = 381, .external_lex_state = 3},
  [19143] = {.lex_state = 381, .external_lex_state = 3},
  [19144] = {.lex_state = 381, .external_lex_state = 3},
  [19145] = {.lex_state = 411, .external_lex_state = 3},
  [19146] = {.lex_state = 15, .external_lex_state = 3},
  [19147] = {.lex_state = 100, .external_lex_state = 3},
  [19148] = {.lex_state = 100, .external_lex_state = 3},
  [19149] = {.lex_state = 100, .external_lex_state = 3},
  [19150] = {.lex_state = 381, .external_lex_state = 3},
  [19151] = {.lex_state = 411, .external_lex_state = 3},
  [19152] = {.lex_state = 381, .external_lex_state = 3},
  [19153] = {.lex_state = 381, .external_lex_state = 3},
  [19154] = {.lex_state = 381, .external_lex_state = 3},
  [19155] = {.lex_state = 381, .external_lex_state = 3},
  [19156] = {.lex_state = 411, .external_lex_state = 3},
  [19157] = {.lex_state = 381, .external_lex_state = 8},
  [19158] = {.lex_state = 411, .external_lex_state = 3},
  [19159] = {.lex_state = 15, .external_lex_state = 3},
  [19160] = {.lex_state = 15, .external_lex_state = 3},
  [19161] = {.lex_state = 100, .external_lex_state = 3},
  [19162] = {.lex_state = 15, .external_lex_state = 3},
  [19163] = {.lex_state = 381, .external_lex_state = 3},
  [19164] = {.lex_state = 381, .external_lex_state = 3},
  [19165] = {.lex_state = 381, .external_lex_state = 3},
  [19166] = {.lex_state = 8, .external_lex_state = 3},
  [19167] = {.lex_state = 36, .external_lex_state = 3},
  [19168] = {.lex_state = 15, .external_lex_state = 3},
  [19169] = {.lex_state = 381, .external_lex_state = 8},
  [19170] = {.lex_state = 15, .external_lex_state = 3},
  [19171] = {.lex_state = 100, .external_lex_state = 3},
  [19172] = {.lex_state = 15, .external_lex_state = 3},
  [19173] = {.lex_state = 381, .external_lex_state = 3},
  [19174] = {.lex_state = 15, .external_lex_state = 3},
  [19175] = {.lex_state = 381, .external_lex_state = 3},
  [19176] = {.lex_state = 15, .external_lex_state = 3},
  [19177] = {.lex_state = 100, .external_lex_state = 3},
  [19178] = {.lex_state = 381, .external_lex_state = 8},
  [19179] = {.lex_state = 100, .external_lex_state = 3},
  [19180] = {.lex_state = 100, .external_lex_state = 3},
  [19181] = {.lex_state = 100, .external_lex_state = 3},
  [19182] = {.lex_state = 381, .external_lex_state = 3},
  [19183] = {.lex_state = 15, .external_lex_state = 3},
  [19184] = {.lex_state = 100, .external_lex_state = 3},
  [19185] = {.lex_state = 100, .external_lex_state = 3},
  [19186] = {.lex_state = 15, .external_lex_state = 3},
  [19187] = {.lex_state = 100, .external_lex_state = 3},
  [19188] = {.lex_state = 36, .external_lex_state = 3},
  [19189] = {.lex_state = 15, .external_lex_state = 3},
  [19190] = {.lex_state = 100, .external_lex_state = 3},
  [19191] = {.lex_state = 100, .external_lex_state = 3},
  [19192] = {.lex_state = 381, .external_lex_state = 3},
  [19193] = {.lex_state = 381, .external_lex_state = 3},
  [19194] = {.lex_state = 381, .external_lex_state = 3},
  [19195] = {.lex_state = 381, .external_lex_state = 3},
  [19196] = {.lex_state = 381, .external_lex_state = 3},
  [19197] = {.lex_state = 15, .external_lex_state = 3},
  [19198] = {.lex_state = 381, .external_lex_state = 8},
  [19199] = {.lex_state = 15, .external_lex_state = 3},
  [19200] = {.lex_state = 15, .external_lex_state = 3},
  [19201] = {.lex_state = 36, .external_lex_state = 3},
  [19202] = {.lex_state = 381, .external_lex_state = 3},
  [19203] = {.lex_state = 15, .external_lex_state = 3},
  [19204] = {.lex_state = 381, .external_lex_state = 3},
  [19205] = {.lex_state = 381, .external_lex_state = 8},
  [19206] = {.lex_state = 381, .external_lex_state = 3},
  [19207] = {.lex_state = 100, .external_lex_state = 3},
  [19208] = {.lex_state = 381, .external_lex_state = 3},
  [19209] = {.lex_state = 100, .external_lex_state = 3},
  [19210] = {.lex_state = 100, .external_lex_state = 3},
  [19211] = {.lex_state = 15, .external_lex_state = 3},
  [19212] = {.lex_state = 100, .external_lex_state = 3},
  [19213] = {.lex_state = 100, .external_lex_state = 3},
  [19214] = {.lex_state = 100, .external_lex_state = 3},
  [19215] = {.lex_state = 15, .external_lex_state = 3},
  [19216] = {.lex_state = 381, .external_lex_state = 3},
  [19217] = {.lex_state = 381, .external_lex_state = 3},
  [19218] = {.lex_state = 100, .external_lex_state = 3},
  [19219] = {.lex_state = 381, .external_lex_state = 3},
  [19220] = {.lex_state = 381, .external_lex_state = 3},
  [19221] = {.lex_state = 36, .external_lex_state = 3},
  [19222] = {.lex_state = 15, .external_lex_state = 3},
  [19223] = {.lex_state = 381, .external_lex_state = 3},
  [19224] = {.lex_state = 36, .external_lex_state = 3},
  [19225] = {.lex_state = 411, .external_lex_state = 3},
  [19226] = {.lex_state = 381, .external_lex_state = 3},
  [19227] = {.lex_state = 173, .external_lex_state = 3},
  [19228] = {.lex_state = 15, .external_lex_state = 3},
  [19229] = {.lex_state = 15, .external_lex_state = 3},
  [19230] = {.lex_state = 100, .external_lex_state = 3},
  [19231] = {.lex_state = 411, .external_lex_state = 3},
  [19232] = {.lex_state = 15, .external_lex_state = 3},
  [19233] = {.lex_state = 381, .external_lex_state = 3},
  [19234] = {.lex_state = 411, .external_lex_state = 3},
  [19235] = {.lex_state = 381, .external_lex_state = 3},
  [19236] = {.lex_state = 381, .external_lex_state = 3},
  [19237] = {.lex_state = 381, .external_lex_state = 3},
  [19238] = {.lex_state = 132, .external_lex_state = 3},
  [19239] = {.lex_state = 381, .external_lex_state = 3},
  [19240] = {.lex_state = 381, .external_lex_state = 3},
  [19241] = {.lex_state = 132, .external_lex_state = 3},
  [19242] = {.lex_state = 36, .external_lex_state = 3},
  [19243] = {.lex_state = 132, .external_lex_state = 3},
  [19244] = {.lex_state = 381, .external_lex_state = 3},
  [19245] = {.lex_state = 381, .external_lex_state = 3},
  [19246] = {.lex_state = 381, .external_lex_state = 3},
  [19247] = {.lex_state = 381, .external_lex_state = 3},
  [19248] = {.lex_state = 411, .external_lex_state = 3},
  [19249] = {.lex_state = 381, .external_lex_state = 3},
  [19250] = {.lex_state = 381, .external_lex_state = 3},
  [19251] = {.lex_state = 411, .external_lex_state = 3},
  [19252] = {.lex_state = 36, .external_lex_state = 3},
  [19253] = {.lex_state = 15, .external_lex_state = 3},
  [19254] = {.lex_state = 381, .external_lex_state = 3},
  [19255] = {.lex_state = 381, .external_lex_state = 3},
  [19256] = {.lex_state = 381, .external_lex_state = 3},
  [19257] = {.lex_state = 381, .external_lex_state = 3},
  [19258] = {.lex_state = 381, .external_lex_state = 3},
  [19259] = {.lex_state = 381, .external_lex_state = 3},
  [19260] = {.lex_state = 36, .external_lex_state = 3},
  [19261] = {.lex_state = 381, .external_lex_state = 3},
  [19262] = {.lex_state = 411, .external_lex_state = 3},
  [19263] = {.lex_state = 132, .external_lex_state = 3},
  [19264] = {.lex_state = 411, .external_lex_state = 3},
  [19265] = {.lex_state = 381, .external_lex_state = 3},
  [19266] = {.lex_state = 381, .external_lex_state = 3},
  [19267] = {.lex_state = 381, .external_lex_state = 3},
  [19268] = {.lex_state = 381, .external_lex_state = 3},
  [19269] = {.lex_state = 36, .external_lex_state = 3},
  [19270] = {.lex_state = 381, .external_lex_state = 3},
  [19271] = {.lex_state = 411, .external_lex_state = 3},
  [19272] = {.lex_state = 381, .external_lex_state = 3},
  [19273] = {.lex_state = 381, .external_lex_state = 3},
  [19274] = {.lex_state = 381, .external_lex_state = 3},
  [19275] = {.lex_state = 381, .external_lex_state = 3},
  [19276] = {.lex_state = 381, .external_lex_state = 3},
  [19277] = {.lex_state = 381, .external_lex_state = 3},
  [19278] = {.lex_state = 381, .external_lex_state = 3},
  [19279] = {.lex_state = 381, .external_lex_state = 3},
  [19280] = {.lex_state = 381, .external_lex_state = 3},
  [19281] = {.lex_state = 132, .external_lex_state = 3},
  [19282] = {.lex_state = 381, .external_lex_state = 3},
  [19283] = {.lex_state = 132, .external_lex_state = 3},
  [19284] = {.lex_state = 381, .external_lex_state = 3},
  [19285] = {.lex_state = 381, .external_lex_state = 3},
  [19286] = {.lex_state = 132, .external_lex_state = 3},
  [19287] = {.lex_state = 381, .external_lex_state = 3},
  [19288] = {.lex_state = 381, .external_lex_state = 3},
  [19289] = {.lex_state = 381, .external_lex_state = 3},
  [19290] = {.lex_state = 381, .external_lex_state = 3},
  [19291] = {.lex_state = 381, .external_lex_state = 3},
  [19292] = {.lex_state = 381, .external_lex_state = 3},
  [19293] = {.lex_state = 381, .external_lex_state = 3},
  [19294] = {.lex_state = 381, .external_lex_state = 3},
  [19295] = {.lex_state = 36, .external_lex_state = 3},
  [19296] = {.lex_state = 381, .external_lex_state = 3},
  [19297] = {.lex_state = 381, .external_lex_state = 3},
  [19298] = {.lex_state = 381, .external_lex_state = 3},
  [19299] = {.lex_state = 411, .external_lex_state = 3},
  [19300] = {.lex_state = 132, .external_lex_state = 3},
  [19301] = {.lex_state = 381, .external_lex_state = 3},
  [19302] = {.lex_state = 381, .external_lex_state = 3},
  [19303] = {.lex_state = 381, .external_lex_state = 3},
  [19304] = {.lex_state = 411, .external_lex_state = 3},
  [19305] = {.lex_state = 36, .external_lex_state = 3},
  [19306] = {.lex_state = 381, .external_lex_state = 2},
  [19307] = {.lex_state = 381, .external_lex_state = 3},
  [19308] = {.lex_state = 381, .external_lex_state = 3},
  [19309] = {.lex_state = 381, .external_lex_state = 3},
  [19310] = {.lex_state = 381, .external_lex_state = 3},
  [19311] = {.lex_state = 411, .external_lex_state = 3},
  [19312] = {.lex_state = 381, .external_lex_state = 3},
  [19313] = {.lex_state = 381, .external_lex_state = 3},
  [19314] = {.lex_state = 411, .external_lex_state = 3},
  [19315] = {.lex_state = 36, .external_lex_state = 3},
  [19316] = {.lex_state = 132, .external_lex_state = 3},
  [19317] = {.lex_state = 381, .external_lex_state = 3},
  [19318] = {.lex_state = 411, .external_lex_state = 3},
  [19319] = {.lex_state = 381, .external_lex_state = 3},
  [19320] = {.lex_state = 15, .external_lex_state = 3},
  [19321] = {.lex_state = 381, .external_lex_state = 3},
  [19322] = {.lex_state = 132, .external_lex_state = 3},
  [19323] = {.lex_state = 132, .external_lex_state = 3},
  [19324] = {.lex_state = 381, .external_lex_state = 3},
  [19325] = {.lex_state = 411, .external_lex_state = 3},
  [19326] = {.lex_state = 381, .external_lex_state = 3},
  [19327] = {.lex_state = 411, .external_lex_state = 3},
  [19328] = {.lex_state = 132, .external_lex_state = 3},
  [19329] = {.lex_state = 381, .external_lex_state = 3},
  [19330] = {.lex_state = 381, .external_lex_state = 3},
  [19331] = {.lex_state = 381, .external_lex_state = 3},
  [19332] = {.lex_state = 36, .external_lex_state = 3},
  [19333] = {.lex_state = 381, .external_lex_state = 3},
  [19334] = {.lex_state = 381, .external_lex_state = 3},
  [19335] = {.lex_state = 132, .external_lex_state = 3},
  [19336] = {.lex_state = 381, .external_lex_state = 3},
  [19337] = {.lex_state = 381, .external_lex_state = 3},
  [19338] = {.lex_state = 381, .external_lex_state = 3},
  [19339] = {.lex_state = 381, .external_lex_state = 3},
  [19340] = {.lex_state = 381, .external_lex_state = 3},
  [19341] = {.lex_state = 381, .external_lex_state = 3},
  [19342] = {.lex_state = 36, .external_lex_state = 3},
  [19343] = {.lex_state = 381, .external_lex_state = 3},
  [19344] = {.lex_state = 381, .external_lex_state = 3},
  [19345] = {.lex_state = 132, .external_lex_state = 3},
  [19346] = {.lex_state = 414, .external_lex_state = 3},
  [19347] = {.lex_state = 411, .external_lex_state = 3},
  [19348] = {.lex_state = 381, .external_lex_state = 3},
  [19349] = {.lex_state = 381, .external_lex_state = 3},
  [19350] = {.lex_state = 381, .external_lex_state = 3},
  [19351] = {.lex_state = 381, .external_lex_state = 3},
  [19352] = {.lex_state = 381, .external_lex_state = 3},
  [19353] = {.lex_state = 381, .external_lex_state = 3},
  [19354] = {.lex_state = 381, .external_lex_state = 3},
  [19355] = {.lex_state = 381, .external_lex_state = 3},
  [19356] = {.lex_state = 132, .external_lex_state = 3},
  [19357] = {.lex_state = 132, .external_lex_state = 3},
  [19358] = {.lex_state = 381, .external_lex_state = 3},
  [19359] = {.lex_state = 381, .external_lex_state = 3},
  [19360] = {.lex_state = 381, .external_lex_state = 3},
  [19361] = {.lex_state = 381, .external_lex_state = 3},
  [19362] = {.lex_state = 132, .external_lex_state = 3},
  [19363] = {.lex_state = 381, .external_lex_state = 3},
  [19364] = {.lex_state = 381, .external_lex_state = 3},
  [19365] = {.lex_state = 411, .external_lex_state = 3},
  [19366] = {.lex_state = 381, .external_lex_state = 2},
  [19367] = {.lex_state = 36, .external_lex_state = 3},
  [19368] = {.lex_state = 381, .external_lex_state = 3},
  [19369] = {.lex_state = 381, .external_lex_state = 3},
  [19370] = {.lex_state = 381, .external_lex_state = 3},
  [19371] = {.lex_state = 381, .external_lex_state = 3},
  [19372] = {.lex_state = 381, .external_lex_state = 3},
  [19373] = {.lex_state = 411, .external_lex_state = 3},
  [19374] = {.lex_state = 381, .external_lex_state = 3},
  [19375] = {.lex_state = 381, .external_lex_state = 3},
  [19376] = {.lex_state = 411, .external_lex_state = 3},
  [19377] = {.lex_state = 36, .external_lex_state = 3},
  [19378] = {.lex_state = 381, .external_lex_state = 3},
  [19379] = {.lex_state = 381, .external_lex_state = 3},
  [19380] = {.lex_state = 381, .external_lex_state = 3},
  [19381] = {.lex_state = 381, .external_lex_state = 3},
  [19382] = {.lex_state = 15, .external_lex_state = 3},
  [19383] = {.lex_state = 381, .external_lex_state = 3},
  [19384] = {.lex_state = 15, .external_lex_state = 3},
  [19385] = {.lex_state = 381, .external_lex_state = 3},
  [19386] = {.lex_state = 381, .external_lex_state = 3},
  [19387] = {.lex_state = 411, .external_lex_state = 3},
  [19388] = {.lex_state = 381, .external_lex_state = 3},
  [19389] = {.lex_state = 411, .external_lex_state = 3},
  [19390] = {.lex_state = 381, .external_lex_state = 3},
  [19391] = {.lex_state = 381, .external_lex_state = 3},
  [19392] = {.lex_state = 411, .external_lex_state = 3},
  [19393] = {.lex_state = 381, .external_lex_state = 3},
  [19394] = {.lex_state = 36, .external_lex_state = 3},
  [19395] = {.lex_state = 36, .external_lex_state = 3},
  [19396] = {.lex_state = 381, .external_lex_state = 3},
  [19397] = {.lex_state = 411, .external_lex_state = 3},
  [19398] = {.lex_state = 381, .external_lex_state = 3},
  [19399] = {.lex_state = 381, .external_lex_state = 3},
  [19400] = {.lex_state = 381, .external_lex_state = 3},
  [19401] = {.lex_state = 411, .external_lex_state = 3},
  [19402] = {.lex_state = 381, .external_lex_state = 2},
  [19403] = {.lex_state = 381, .external_lex_state = 3},
  [19404] = {.lex_state = 381, .external_lex_state = 3},
  [19405] = {.lex_state = 381, .external_lex_state = 3},
  [19406] = {.lex_state = 381, .external_lex_state = 3},
  [19407] = {.lex_state = 381, .external_lex_state = 3},
  [19408] = {.lex_state = 381, .external_lex_state = 3},
  [19409] = {.lex_state = 15, .external_lex_state = 3},
  [19410] = {.lex_state = 15, .external_lex_state = 3},
  [19411] = {.lex_state = 411, .external_lex_state = 3},
  [19412] = {.lex_state = 381, .external_lex_state = 3},
  [19413] = {.lex_state = 411, .external_lex_state = 3},
  [19414] = {.lex_state = 381, .external_lex_state = 3},
  [19415] = {.lex_state = 381, .external_lex_state = 3},
  [19416] = {.lex_state = 381, .external_lex_state = 3},
  [19417] = {.lex_state = 381, .external_lex_state = 3},
  [19418] = {.lex_state = 411, .external_lex_state = 3},
  [19419] = {.lex_state = 381, .external_lex_state = 3},
  [19420] = {.lex_state = 381, .external_lex_state = 3},
  [19421] = {.lex_state = 381, .external_lex_state = 3},
  [19422] = {.lex_state = 381, .external_lex_state = 3},
  [19423] = {.lex_state = 381, .external_lex_state = 3},
  [19424] = {.lex_state = 381, .external_lex_state = 3},
  [19425] = {.lex_state = 411, .external_lex_state = 3},
  [19426] = {.lex_state = 381, .external_lex_state = 3},
  [19427] = {.lex_state = 381, .external_lex_state = 3},
  [19428] = {.lex_state = 381, .external_lex_state = 3},
  [19429] = {.lex_state = 381, .external_lex_state = 3},
  [19430] = {.lex_state = 36, .external_lex_state = 3},
  [19431] = {.lex_state = 381, .external_lex_state = 3},
  [19432] = {.lex_state = 381, .external_lex_state = 3},
  [19433] = {.lex_state = 411, .external_lex_state = 3},
  [19434] = {.lex_state = 381, .external_lex_state = 3},
  [19435] = {.lex_state = 132, .external_lex_state = 3},
  [19436] = {.lex_state = 411, .external_lex_state = 3},
  [19437] = {.lex_state = 381, .external_lex_state = 3},
  [19438] = {.lex_state = 15, .external_lex_state = 3},
  [19439] = {.lex_state = 411, .external_lex_state = 3},
  [19440] = {.lex_state = 36, .external_lex_state = 3},
  [19441] = {.lex_state = 381, .external_lex_state = 3},
  [19442] = {.lex_state = 381, .external_lex_state = 3},
  [19443] = {.lex_state = 381, .external_lex_state = 3},
  [19444] = {.lex_state = 381, .external_lex_state = 3},
  [19445] = {.lex_state = 132, .external_lex_state = 3},
  [19446] = {.lex_state = 381, .external_lex_state = 3},
  [19447] = {.lex_state = 381, .external_lex_state = 3},
  [19448] = {.lex_state = 381, .external_lex_state = 3},
  [19449] = {.lex_state = 381, .external_lex_state = 3},
  [19450] = {.lex_state = 411, .external_lex_state = 3},
  [19451] = {.lex_state = 381, .external_lex_state = 3},
  [19452] = {.lex_state = 411, .external_lex_state = 3},
  [19453] = {.lex_state = 132, .external_lex_state = 3},
  [19454] = {.lex_state = 381, .external_lex_state = 3},
  [19455] = {.lex_state = 381, .external_lex_state = 3},
  [19456] = {.lex_state = 381, .external_lex_state = 3},
  [19457] = {.lex_state = 36, .external_lex_state = 3},
  [19458] = {.lex_state = 381, .external_lex_state = 3},
  [19459] = {.lex_state = 381, .external_lex_state = 3},
  [19460] = {.lex_state = 381, .external_lex_state = 3},
  [19461] = {.lex_state = 381, .external_lex_state = 3},
  [19462] = {.lex_state = 381, .external_lex_state = 3},
  [19463] = {.lex_state = 381, .external_lex_state = 3},
  [19464] = {.lex_state = 381, .external_lex_state = 3},
  [19465] = {.lex_state = 381, .external_lex_state = 3},
  [19466] = {.lex_state = 381, .external_lex_state = 3},
  [19467] = {.lex_state = 411, .external_lex_state = 3},
  [19468] = {.lex_state = 381, .external_lex_state = 3},
  [19469] = {.lex_state = 381, .external_lex_state = 3},
  [19470] = {.lex_state = 381, .external_lex_state = 3},
  [19471] = {.lex_state = 132, .external_lex_state = 3},
  [19472] = {.lex_state = 381, .external_lex_state = 3},
  [19473] = {.lex_state = 132, .external_lex_state = 3},
  [19474] = {.lex_state = 132, .external_lex_state = 3},
  [19475] = {.lex_state = 132, .external_lex_state = 3},
  [19476] = {.lex_state = 381, .external_lex_state = 3},
  [19477] = {.lex_state = 381, .external_lex_state = 3},
  [19478] = {.lex_state = 381, .external_lex_state = 3},
  [19479] = {.lex_state = 381, .external_lex_state = 3},
  [19480] = {.lex_state = 381, .external_lex_state = 3},
  [19481] = {.lex_state = 381, .external_lex_state = 3},
  [19482] = {.lex_state = 381, .external_lex_state = 3},
  [19483] = {.lex_state = 381, .external_lex_state = 3},
  [19484] = {.lex_state = 381, .external_lex_state = 3},
  [19485] = {.lex_state = 381, .external_lex_state = 3},
  [19486] = {.lex_state = 381, .external_lex_state = 3},
  [19487] = {.lex_state = 381, .external_lex_state = 3},
  [19488] = {.lex_state = 381, .external_lex_state = 3},
  [19489] = {.lex_state = 36, .external_lex_state = 3},
  [19490] = {.lex_state = 381, .external_lex_state = 3},
  [19491] = {.lex_state = 381, .external_lex_state = 3},
  [19492] = {.lex_state = 381, .external_lex_state = 3},
  [19493] = {.lex_state = 381, .external_lex_state = 3},
  [19494] = {.lex_state = 411, .external_lex_state = 3},
  [19495] = {.lex_state = 411, .external_lex_state = 3},
  [19496] = {.lex_state = 36, .external_lex_state = 3},
  [19497] = {.lex_state = 381, .external_lex_state = 3},
  [19498] = {.lex_state = 381, .external_lex_state = 3},
  [19499] = {.lex_state = 381, .external_lex_state = 3},
  [19500] = {.lex_state = 381, .external_lex_state = 3},
  [19501] = {.lex_state = 381, .external_lex_state = 3},
  [19502] = {.lex_state = 381, .external_lex_state = 3},
  [19503] = {.lex_state = 381, .external_lex_state = 3},
  [19504] = {.lex_state = 132, .external_lex_state = 3},
  [19505] = {.lex_state = 381, .external_lex_state = 3},
  [19506] = {.lex_state = 411, .external_lex_state = 3},
  [19507] = {.lex_state = 411, .external_lex_state = 3},
  [19508] = {.lex_state = 381, .external_lex_state = 3},
  [19509] = {.lex_state = 381, .external_lex_state = 3},
  [19510] = {.lex_state = 381, .external_lex_state = 3},
  [19511] = {.lex_state = 381, .external_lex_state = 3},
  [19512] = {.lex_state = 36, .external_lex_state = 3},
  [19513] = {.lex_state = 381, .external_lex_state = 3},
  [19514] = {.lex_state = 381, .external_lex_state = 3},
  [19515] = {.lex_state = 381, .external_lex_state = 3},
  [19516] = {.lex_state = 381, .external_lex_state = 3},
  [19517] = {.lex_state = 381, .external_lex_state = 3},
  [19518] = {.lex_state = 381, .external_lex_state = 3},
  [19519] = {.lex_state = 381, .external_lex_state = 3},
  [19520] = {.lex_state = 381, .external_lex_state = 3},
  [19521] = {.lex_state = 381, .external_lex_state = 3},
  [19522] = {.lex_state = 381, .external_lex_state = 3},
  [19523] = {.lex_state = 381, .external_lex_state = 3},
  [19524] = {.lex_state = 381, .external_lex_state = 3},
  [19525] = {.lex_state = 381, .external_lex_state = 3},
  [19526] = {.lex_state = 132, .external_lex_state = 3},
  [19527] = {.lex_state = 381, .external_lex_state = 3},
  [19528] = {.lex_state = 381, .external_lex_state = 3},
  [19529] = {.lex_state = 381, .external_lex_state = 3},
  [19530] = {.lex_state = 381, .external_lex_state = 3},
  [19531] = {.lex_state = 381, .external_lex_state = 3},
  [19532] = {.lex_state = 381, .external_lex_state = 3},
  [19533] = {.lex_state = 381, .external_lex_state = 3},
  [19534] = {.lex_state = 381, .external_lex_state = 3},
  [19535] = {.lex_state = 381, .external_lex_state = 3},
  [19536] = {.lex_state = 381, .external_lex_state = 3},
  [19537] = {.lex_state = 381, .external_lex_state = 3},
  [19538] = {.lex_state = 381, .external_lex_state = 3},
  [19539] = {.lex_state = 381, .external_lex_state = 3},
  [19540] = {.lex_state = 381, .external_lex_state = 3},
  [19541] = {.lex_state = 132, .external_lex_state = 3},
  [19542] = {.lex_state = 36, .external_lex_state = 3},
  [19543] = {.lex_state = 411, .external_lex_state = 3},
  [19544] = {.lex_state = 36, .external_lex_state = 3},
  [19545] = {.lex_state = 15, .external_lex_state = 3},
  [19546] = {.lex_state = 36, .external_lex_state = 3},
  [19547] = {.lex_state = 381, .external_lex_state = 3},
  [19548] = {.lex_state = 381, .external_lex_state = 3},
  [19549] = {.lex_state = 411, .external_lex_state = 3},
  [19550] = {.lex_state = 411, .external_lex_state = 3},
  [19551] = {.lex_state = 36, .external_lex_state = 3},
  [19552] = {.lex_state = 381, .external_lex_state = 3},
  [19553] = {.lex_state = 381, .external_lex_state = 3},
  [19554] = {.lex_state = 381, .external_lex_state = 3},
  [19555] = {.lex_state = 381, .external_lex_state = 3},
  [19556] = {.lex_state = 132, .external_lex_state = 3},
  [19557] = {.lex_state = 381, .external_lex_state = 3},
  [19558] = {.lex_state = 381, .external_lex_state = 3},
  [19559] = {.lex_state = 381, .external_lex_state = 3},
  [19560] = {.lex_state = 381, .external_lex_state = 3},
  [19561] = {.lex_state = 411, .external_lex_state = 3},
  [19562] = {.lex_state = 411, .external_lex_state = 3},
  [19563] = {.lex_state = 381, .external_lex_state = 3},
  [19564] = {.lex_state = 132, .external_lex_state = 3},
  [19565] = {.lex_state = 381, .external_lex_state = 3},
  [19566] = {.lex_state = 381, .external_lex_state = 3},
  [19567] = {.lex_state = 36, .external_lex_state = 3},
  [19568] = {.lex_state = 36, .external_lex_state = 3},
  [19569] = {.lex_state = 132, .external_lex_state = 3},
  [19570] = {.lex_state = 381, .external_lex_state = 3},
  [19571] = {.lex_state = 381, .external_lex_state = 3},
  [19572] = {.lex_state = 381, .external_lex_state = 3},
  [19573] = {.lex_state = 381, .external_lex_state = 3},
  [19574] = {.lex_state = 381, .external_lex_state = 3},
  [19575] = {.lex_state = 132, .external_lex_state = 3},
  [19576] = {.lex_state = 411, .external_lex_state = 3},
  [19577] = {.lex_state = 381, .external_lex_state = 3},
  [19578] = {.lex_state = 381, .external_lex_state = 3},
  [19579] = {.lex_state = 411, .external_lex_state = 3},
  [19580] = {.lex_state = 36, .external_lex_state = 3},
  [19581] = {.lex_state = 381, .external_lex_state = 3},
  [19582] = {.lex_state = 381, .external_lex_state = 3},
  [19583] = {.lex_state = 132, .external_lex_state = 3},
  [19584] = {.lex_state = 132, .external_lex_state = 3},
  [19585] = {.lex_state = 132, .external_lex_state = 3},
  [19586] = {.lex_state = 132, .external_lex_state = 3},
  [19587] = {.lex_state = 381, .external_lex_state = 3},
  [19588] = {.lex_state = 381, .external_lex_state = 3},
  [19589] = {.lex_state = 381, .external_lex_state = 3},
  [19590] = {.lex_state = 381, .external_lex_state = 3},
  [19591] = {.lex_state = 381, .external_lex_state = 3},
  [19592] = {.lex_state = 381, .external_lex_state = 3},
  [19593] = {.lex_state = 132, .external_lex_state = 3},
  [19594] = {.lex_state = 132, .external_lex_state = 3},
  [19595] = {.lex_state = 381, .external_lex_state = 3},
  [19596] = {.lex_state = 381, .external_lex_state = 3},
  [19597] = {.lex_state = 381, .external_lex_state = 3},
  [19598] = {.lex_state = 381, .external_lex_state = 3},
  [19599] = {.lex_state = 36, .external_lex_state = 3},
  [19600] = {.lex_state = 132, .external_lex_state = 3},
  [19601] = {.lex_state = 381, .external_lex_state = 3},
  [19602] = {.lex_state = 381, .external_lex_state = 3},
  [19603] = {.lex_state = 132, .external_lex_state = 3},
  [19604] = {.lex_state = 411, .external_lex_state = 3},
  [19605] = {.lex_state = 411, .external_lex_state = 3},
  [19606] = {.lex_state = 36, .external_lex_state = 3},
  [19607] = {.lex_state = 381, .external_lex_state = 3},
  [19608] = {.lex_state = 381, .external_lex_state = 3},
  [19609] = {.lex_state = 381, .external_lex_state = 3},
  [19610] = {.lex_state = 381, .external_lex_state = 3},
  [19611] = {.lex_state = 132, .external_lex_state = 3},
  [19612] = {.lex_state = 381, .external_lex_state = 3},
  [19613] = {.lex_state = 132, .external_lex_state = 3},
  [19614] = {.lex_state = 381, .external_lex_state = 3},
  [19615] = {.lex_state = 381, .external_lex_state = 3},
  [19616] = {.lex_state = 411, .external_lex_state = 3},
  [19617] = {.lex_state = 411, .external_lex_state = 3},
  [19618] = {.lex_state = 381, .external_lex_state = 3},
  [19619] = {.lex_state = 381, .external_lex_state = 3},
  [19620] = {.lex_state = 381, .external_lex_state = 3},
  [19621] = {.lex_state = 381, .external_lex_state = 3},
  [19622] = {.lex_state = 36, .external_lex_state = 3},
  [19623] = {.lex_state = 381, .external_lex_state = 3},
  [19624] = {.lex_state = 132, .external_lex_state = 3},
  [19625] = {.lex_state = 132, .external_lex_state = 3},
  [19626] = {.lex_state = 36, .external_lex_state = 3},
  [19627] = {.lex_state = 381, .external_lex_state = 3},
  [19628] = {.lex_state = 381, .external_lex_state = 3},
  [19629] = {.lex_state = 36, .external_lex_state = 3},
  [19630] = {.lex_state = 411, .external_lex_state = 3},
  [19631] = {.lex_state = 15, .external_lex_state = 3},
  [19632] = {.lex_state = 411, .external_lex_state = 3},
  [19633] = {.lex_state = 381, .external_lex_state = 3},
  [19634] = {.lex_state = 381, .external_lex_state = 3},
  [19635] = {.lex_state = 411, .external_lex_state = 3},
  [19636] = {.lex_state = 381, .external_lex_state = 3},
  [19637] = {.lex_state = 411, .external_lex_state = 3},
  [19638] = {.lex_state = 15, .external_lex_state = 3},
  [19639] = {.lex_state = 381, .external_lex_state = 2},
  [19640] = {.lex_state = 36, .external_lex_state = 3},
  [19641] = {.lex_state = 381, .external_lex_state = 3},
  [19642] = {.lex_state = 381, .external_lex_state = 3},
  [19643] = {.lex_state = 381, .external_lex_state = 3},
  [19644] = {.lex_state = 381, .external_lex_state = 3},
  [19645] = {.lex_state = 381, .external_lex_state = 3},
  [19646] = {.lex_state = 36, .external_lex_state = 3},
  [19647] = {.lex_state = 132, .external_lex_state = 3},
  [19648] = {.lex_state = 381, .external_lex_state = 3},
  [19649] = {.lex_state = 15, .external_lex_state = 3},
  [19650] = {.lex_state = 381, .external_lex_state = 3},
  [19651] = {.lex_state = 411, .external_lex_state = 3},
  [19652] = {.lex_state = 411, .external_lex_state = 3},
  [19653] = {.lex_state = 411, .external_lex_state = 3},
  [19654] = {.lex_state = 36, .external_lex_state = 3},
  [19655] = {.lex_state = 381, .external_lex_state = 3},
  [19656] = {.lex_state = 381, .external_lex_state = 2},
  [19657] = {.lex_state = 381, .external_lex_state = 3},
  [19658] = {.lex_state = 381, .external_lex_state = 3},
  [19659] = {.lex_state = 411, .external_lex_state = 3},
  [19660] = {.lex_state = 411, .external_lex_state = 3},
  [19661] = {.lex_state = 36, .external_lex_state = 3},
  [19662] = {.lex_state = 15, .external_lex_state = 3},
  [19663] = {.lex_state = 381, .external_lex_state = 3},
  [19664] = {.lex_state = 132, .external_lex_state = 3},
  [19665] = {.lex_state = 381, .external_lex_state = 3},
  [19666] = {.lex_state = 381, .external_lex_state = 3},
  [19667] = {.lex_state = 36, .external_lex_state = 3},
  [19668] = {.lex_state = 381, .external_lex_state = 3},
  [19669] = {.lex_state = 381, .external_lex_state = 3},
  [19670] = {.lex_state = 381, .external_lex_state = 3},
  [19671] = {.lex_state = 411, .external_lex_state = 3},
  [19672] = {.lex_state = 411, .external_lex_state = 3},
  [19673] = {.lex_state = 381, .external_lex_state = 3},
  [19674] = {.lex_state = 381, .external_lex_state = 3},
  [19675] = {.lex_state = 381, .external_lex_state = 3},
  [19676] = {.lex_state = 381, .external_lex_state = 3},
  [19677] = {.lex_state = 36, .external_lex_state = 3},
  [19678] = {.lex_state = 381, .external_lex_state = 3},
  [19679] = {.lex_state = 15, .external_lex_state = 3},
  [19680] = {.lex_state = 381, .external_lex_state = 3},
  [19681] = {.lex_state = 36, .external_lex_state = 3},
  [19682] = {.lex_state = 381, .external_lex_state = 3},
  [19683] = {.lex_state = 381, .external_lex_state = 3},
  [19684] = {.lex_state = 381, .external_lex_state = 3},
  [19685] = {.lex_state = 381, .external_lex_state = 3},
  [19686] = {.lex_state = 381, .external_lex_state = 3},
  [19687] = {.lex_state = 381, .external_lex_state = 3},
  [19688] = {.lex_state = 381, .external_lex_state = 3},
  [19689] = {.lex_state = 132, .external_lex_state = 3},
  [19690] = {.lex_state = 411, .external_lex_state = 3},
  [19691] = {.lex_state = 381, .external_lex_state = 3},
  [19692] = {.lex_state = 381, .external_lex_state = 3},
  [19693] = {.lex_state = 411, .external_lex_state = 3},
  [19694] = {.lex_state = 381, .external_lex_state = 3},
  [19695] = {.lex_state = 36, .external_lex_state = 3},
  [19696] = {.lex_state = 381, .external_lex_state = 3},
  [19697] = {.lex_state = 381, .external_lex_state = 3},
  [19698] = {.lex_state = 381, .external_lex_state = 3},
  [19699] = {.lex_state = 381, .external_lex_state = 3},
  [19700] = {.lex_state = 381, .external_lex_state = 3},
  [19701] = {.lex_state = 381, .external_lex_state = 3},
  [19702] = {.lex_state = 381, .external_lex_state = 3},
  [19703] = {.lex_state = 411, .external_lex_state = 3},
  [19704] = {.lex_state = 414, .external_lex_state = 3},
  [19705] = {.lex_state = 381, .external_lex_state = 3},
  [19706] = {.lex_state = 381, .external_lex_state = 3},
  [19707] = {.lex_state = 381, .external_lex_state = 3},
  [19708] = {.lex_state = 381, .external_lex_state = 3},
  [19709] = {.lex_state = 36, .external_lex_state = 3},
  [19710] = {.lex_state = 381, .external_lex_state = 3},
  [19711] = {.lex_state = 381, .external_lex_state = 3},
  [19712] = {.lex_state = 411, .external_lex_state = 3},
  [19713] = {.lex_state = 411, .external_lex_state = 3},
  [19714] = {.lex_state = 411, .external_lex_state = 3},
  [19715] = {.lex_state = 411, .external_lex_state = 3},
  [19716] = {.lex_state = 36, .external_lex_state = 3},
  [19717] = {.lex_state = 381, .external_lex_state = 3},
  [19718] = {.lex_state = 381, .external_lex_state = 3},
  [19719] = {.lex_state = 381, .external_lex_state = 3},
  [19720] = {.lex_state = 381, .external_lex_state = 3},
  [19721] = {.lex_state = 381, .external_lex_state = 3},
  [19722] = {.lex_state = 381, .external_lex_state = 3},
  [19723] = {.lex_state = 411, .external_lex_state = 3},
  [19724] = {.lex_state = 411, .external_lex_state = 3},
  [19725] = {.lex_state = 381, .external_lex_state = 2},
  [19726] = {.lex_state = 381, .external_lex_state = 3},
  [19727] = {.lex_state = 381, .external_lex_state = 3},
  [19728] = {.lex_state = 381, .external_lex_state = 3},
  [19729] = {.lex_state = 36, .external_lex_state = 3},
  [19730] = {.lex_state = 381, .external_lex_state = 3},
  [19731] = {.lex_state = 381, .external_lex_state = 3},
  [19732] = {.lex_state = 381, .external_lex_state = 3},
  [19733] = {.lex_state = 381, .external_lex_state = 3},
  [19734] = {.lex_state = 381, .external_lex_state = 3},
  [19735] = {.lex_state = 381, .external_lex_state = 3},
  [19736] = {.lex_state = 381, .external_lex_state = 3},
  [19737] = {.lex_state = 381, .external_lex_state = 3},
  [19738] = {.lex_state = 381, .external_lex_state = 3},
  [19739] = {.lex_state = 381, .external_lex_state = 3},
  [19740] = {.lex_state = 381, .external_lex_state = 3},
  [19741] = {.lex_state = 381, .external_lex_state = 3},
  [19742] = {.lex_state = 381, .external_lex_state = 3},
  [19743] = {.lex_state = 381, .external_lex_state = 3},
  [19744] = {.lex_state = 381, .external_lex_state = 3},
  [19745] = {.lex_state = 381, .external_lex_state = 3},
  [19746] = {.lex_state = 381, .external_lex_state = 3},
  [19747] = {.lex_state = 381, .external_lex_state = 3},
  [19748] = {.lex_state = 15, .external_lex_state = 3},
  [19749] = {.lex_state = 381, .external_lex_state = 3},
  [19750] = {.lex_state = 381, .external_lex_state = 3},
  [19751] = {.lex_state = 36, .external_lex_state = 3},
  [19752] = {.lex_state = 381, .external_lex_state = 3},
  [19753] = {.lex_state = 381, .external_lex_state = 3},
  [19754] = {.lex_state = 36, .external_lex_state = 3},
  [19755] = {.lex_state = 381, .external_lex_state = 3},
  [19756] = {.lex_state = 411, .external_lex_state = 3},
  [19757] = {.lex_state = 411, .external_lex_state = 3},
  [19758] = {.lex_state = 36, .external_lex_state = 3},
  [19759] = {.lex_state = 381, .external_lex_state = 3},
  [19760] = {.lex_state = 381, .external_lex_state = 3},
  [19761] = {.lex_state = 411, .external_lex_state = 3},
  [19762] = {.lex_state = 381, .external_lex_state = 3},
  [19763] = {.lex_state = 381, .external_lex_state = 2},
  [19764] = {.lex_state = 381, .external_lex_state = 3},
  [19765] = {.lex_state = 411, .external_lex_state = 3},
  [19766] = {.lex_state = 411, .external_lex_state = 3},
  [19767] = {.lex_state = 411, .external_lex_state = 3},
  [19768] = {.lex_state = 381, .external_lex_state = 3},
  [19769] = {.lex_state = 381, .external_lex_state = 3},
  [19770] = {.lex_state = 411, .external_lex_state = 3},
  [19771] = {.lex_state = 36, .external_lex_state = 3},
  [19772] = {.lex_state = 381, .external_lex_state = 3},
  [19773] = {.lex_state = 381, .external_lex_state = 3},
  [19774] = {.lex_state = 381, .external_lex_state = 3},
  [19775] = {.lex_state = 381, .external_lex_state = 3},
  [19776] = {.lex_state = 381, .external_lex_state = 3},
  [19777] = {.lex_state = 381, .external_lex_state = 3},
  [19778] = {.lex_state = 381, .external_lex_state = 3},
  [19779] = {.lex_state = 381, .external_lex_state = 3},
  [19780] = {.lex_state = 411, .external_lex_state = 3},
  [19781] = {.lex_state = 381, .external_lex_state = 3},
  [19782] = {.lex_state = 381, .external_lex_state = 3},
  [19783] = {.lex_state = 381, .external_lex_state = 3},
  [19784] = {.lex_state = 381, .external_lex_state = 3},
  [19785] = {.lex_state = 381, .external_lex_state = 3},
  [19786] = {.lex_state = 381, .external_lex_state = 3},
  [19787] = {.lex_state = 132, .external_lex_state = 3},
  [19788] = {.lex_state = 132, .external_lex_state = 3},
  [19789] = {.lex_state = 132, .external_lex_state = 3},
  [19790] = {.lex_state = 381, .external_lex_state = 3},
  [19791] = {.lex_state = 381, .external_lex_state = 3},
  [19792] = {.lex_state = 36, .external_lex_state = 3},
  [19793] = {.lex_state = 381, .external_lex_state = 3},
  [19794] = {.lex_state = 381, .external_lex_state = 3},
  [19795] = {.lex_state = 381, .external_lex_state = 3},
  [19796] = {.lex_state = 381, .external_lex_state = 3},
  [19797] = {.lex_state = 411, .external_lex_state = 3},
  [19798] = {.lex_state = 411, .external_lex_state = 3},
  [19799] = {.lex_state = 36, .external_lex_state = 3},
  [19800] = {.lex_state = 381, .external_lex_state = 3},
  [19801] = {.lex_state = 381, .external_lex_state = 3},
  [19802] = {.lex_state = 381, .external_lex_state = 3},
  [19803] = {.lex_state = 381, .external_lex_state = 3},
  [19804] = {.lex_state = 381, .external_lex_state = 3},
  [19805] = {.lex_state = 381, .external_lex_state = 3},
  [19806] = {.lex_state = 411, .external_lex_state = 3},
  [19807] = {.lex_state = 411, .external_lex_state = 3},
  [19808] = {.lex_state = 381, .external_lex_state = 3},
  [19809] = {.lex_state = 381, .external_lex_state = 2},
  [19810] = {.lex_state = 132, .external_lex_state = 3},
  [19811] = {.lex_state = 381, .external_lex_state = 3},
  [19812] = {.lex_state = 36, .external_lex_state = 3},
  [19813] = {.lex_state = 381, .external_lex_state = 3},
  [19814] = {.lex_state = 381, .external_lex_state = 3},
  [19815] = {.lex_state = 36, .external_lex_state = 3},
  [19816] = {.lex_state = 36, .external_lex_state = 3},
  [19817] = {.lex_state = 381, .external_lex_state = 3},
  [19818] = {.lex_state = 381, .external_lex_state = 3},
  [19819] = {.lex_state = 381, .external_lex_state = 3},
  [19820] = {.lex_state = 381, .external_lex_state = 3},
  [19821] = {.lex_state = 381, .external_lex_state = 3},
  [19822] = {.lex_state = 381, .external_lex_state = 3},
  [19823] = {.lex_state = 381, .external_lex_state = 3},
  [19824] = {.lex_state = 381, .external_lex_state = 3},
  [19825] = {.lex_state = 381, .external_lex_state = 3},
  [19826] = {.lex_state = 381, .external_lex_state = 3},
  [19827] = {.lex_state = 381, .external_lex_state = 3},
  [19828] = {.lex_state = 411, .external_lex_state = 3},
  [19829] = {.lex_state = 381, .external_lex_state = 3},
  [19830] = {.lex_state = 381, .external_lex_state = 3},
  [19831] = {.lex_state = 381, .external_lex_state = 3},
  [19832] = {.lex_state = 381, .external_lex_state = 3},
  [19833] = {.lex_state = 36, .external_lex_state = 3},
  [19834] = {.lex_state = 381, .external_lex_state = 3},
  [19835] = {.lex_state = 15, .external_lex_state = 3},
  [19836] = {.lex_state = 381, .external_lex_state = 3},
  [19837] = {.lex_state = 414, .external_lex_state = 3},
  [19838] = {.lex_state = 411, .external_lex_state = 3},
  [19839] = {.lex_state = 411, .external_lex_state = 3},
  [19840] = {.lex_state = 36, .external_lex_state = 3},
  [19841] = {.lex_state = 381, .external_lex_state = 3},
  [19842] = {.lex_state = 381, .external_lex_state = 3},
  [19843] = {.lex_state = 411, .external_lex_state = 3},
  [19844] = {.lex_state = 381, .external_lex_state = 3},
  [19845] = {.lex_state = 132, .external_lex_state = 3},
  [19846] = {.lex_state = 132, .external_lex_state = 3},
  [19847] = {.lex_state = 411, .external_lex_state = 3},
  [19848] = {.lex_state = 411, .external_lex_state = 3},
  [19849] = {.lex_state = 381, .external_lex_state = 3},
  [19850] = {.lex_state = 381, .external_lex_state = 3},
  [19851] = {.lex_state = 132, .external_lex_state = 3},
  [19852] = {.lex_state = 381, .external_lex_state = 3},
  [19853] = {.lex_state = 36, .external_lex_state = 3},
  [19854] = {.lex_state = 381, .external_lex_state = 3},
  [19855] = {.lex_state = 381, .external_lex_state = 3},
  [19856] = {.lex_state = 381, .external_lex_state = 3},
  [19857] = {.lex_state = 36, .external_lex_state = 3},
  [19858] = {.lex_state = 381, .external_lex_state = 3},
  [19859] = {.lex_state = 381, .external_lex_state = 2},
  [19860] = {.lex_state = 381, .external_lex_state = 3},
  [19861] = {.lex_state = 411, .external_lex_state = 3},
  [19862] = {.lex_state = 411, .external_lex_state = 3},
  [19863] = {.lex_state = 381, .external_lex_state = 3},
  [19864] = {.lex_state = 381, .external_lex_state = 3},
  [19865] = {.lex_state = 381, .external_lex_state = 3},
  [19866] = {.lex_state = 381, .external_lex_state = 3},
  [19867] = {.lex_state = 381, .external_lex_state = 3},
  [19868] = {.lex_state = 411, .external_lex_state = 3},
  [19869] = {.lex_state = 381, .external_lex_state = 2},
  [19870] = {.lex_state = 381, .external_lex_state = 3},
  [19871] = {.lex_state = 381, .external_lex_state = 3},
  [19872] = {.lex_state = 381, .external_lex_state = 2},
  [19873] = {.lex_state = 411, .external_lex_state = 3},
  [19874] = {.lex_state = 36, .external_lex_state = 3},
  [19875] = {.lex_state = 132, .external_lex_state = 3},
  [19876] = {.lex_state = 384, .external_lex_state = 3},
  [19877] = {.lex_state = 15, .external_lex_state = 3},
  [19878] = {.lex_state = 132, .external_lex_state = 3},
  [19879] = {.lex_state = 411, .external_lex_state = 3},
  [19880] = {.lex_state = 411, .external_lex_state = 3},
  [19881] = {.lex_state = 36, .external_lex_state = 3},
  [19882] = {.lex_state = 15, .external_lex_state = 3},
  [19883] = {.lex_state = 381, .external_lex_state = 3},
  [19884] = {.lex_state = 132, .external_lex_state = 3},
  [19885] = {.lex_state = 132, .external_lex_state = 3},
  [19886] = {.lex_state = 381, .external_lex_state = 3},
  [19887] = {.lex_state = 132, .external_lex_state = 3},
  [19888] = {.lex_state = 411, .external_lex_state = 3},
  [19889] = {.lex_state = 411, .external_lex_state = 3},
  [19890] = {.lex_state = 381, .external_lex_state = 3},
  [19891] = {.lex_state = 381, .external_lex_state = 3},
  [19892] = {.lex_state = 36, .external_lex_state = 3},
  [19893] = {.lex_state = 384, .external_lex_state = 3},
  [19894] = {.lex_state = 36, .external_lex_state = 3},
  [19895] = {.lex_state = 381, .external_lex_state = 3},
  [19896] = {.lex_state = 381, .external_lex_state = 3},
  [19897] = {.lex_state = 381, .external_lex_state = 3},
  [19898] = {.lex_state = 381, .external_lex_state = 3},
  [19899] = {.lex_state = 381, .external_lex_state = 3},
  [19900] = {.lex_state = 381, .external_lex_state = 3},
  [19901] = {.lex_state = 132, .external_lex_state = 3},
  [19902] = {.lex_state = 132, .external_lex_state = 3},
  [19903] = {.lex_state = 411, .external_lex_state = 3},
  [19904] = {.lex_state = 132, .external_lex_state = 3},
  [19905] = {.lex_state = 381, .external_lex_state = 3},
  [19906] = {.lex_state = 381, .external_lex_state = 3},
  [19907] = {.lex_state = 381, .external_lex_state = 3},
  [19908] = {.lex_state = 381, .external_lex_state = 3},
  [19909] = {.lex_state = 36, .external_lex_state = 3},
  [19910] = {.lex_state = 132, .external_lex_state = 3},
  [19911] = {.lex_state = 381, .external_lex_state = 3},
  [19912] = {.lex_state = 411, .external_lex_state = 3},
  [19913] = {.lex_state = 381, .external_lex_state = 3},
  [19914] = {.lex_state = 381, .external_lex_state = 3},
  [19915] = {.lex_state = 36, .external_lex_state = 3},
  [19916] = {.lex_state = 411, .external_lex_state = 3},
  [19917] = {.lex_state = 381, .external_lex_state = 3},
  [19918] = {.lex_state = 381, .external_lex_state = 3},
  [19919] = {.lex_state = 381, .external_lex_state = 3},
  [19920] = {.lex_state = 411, .external_lex_state = 3},
  [19921] = {.lex_state = 411, .external_lex_state = 3},
  [19922] = {.lex_state = 36, .external_lex_state = 3},
  [19923] = {.lex_state = 381, .external_lex_state = 3},
  [19924] = {.lex_state = 381, .external_lex_state = 3},
  [19925] = {.lex_state = 381, .external_lex_state = 2},
  [19926] = {.lex_state = 381, .external_lex_state = 3},
  [19927] = {.lex_state = 381, .external_lex_state = 3},
  [19928] = {.lex_state = 15, .external_lex_state = 3},
  [19929] = {.lex_state = 411, .external_lex_state = 3},
  [19930] = {.lex_state = 411, .external_lex_state = 3},
  [19931] = {.lex_state = 381, .external_lex_state = 3},
  [19932] = {.lex_state = 132, .external_lex_state = 3},
  [19933] = {.lex_state = 36, .external_lex_state = 3},
  [19934] = {.lex_state = 411, .external_lex_state = 3},
  [19935] = {.lex_state = 36, .external_lex_state = 3},
  [19936] = {.lex_state = 411, .external_lex_state = 3},
  [19937] = {.lex_state = 381, .external_lex_state = 3},
  [19938] = {.lex_state = 411, .external_lex_state = 3},
  [19939] = {.lex_state = 381, .external_lex_state = 2},
  [19940] = {.lex_state = 381, .external_lex_state = 3},
  [19941] = {.lex_state = 381, .external_lex_state = 3},
  [19942] = {.lex_state = 381, .external_lex_state = 3},
  [19943] = {.lex_state = 381, .external_lex_state = 3},
  [19944] = {.lex_state = 381, .external_lex_state = 3},
  [19945] = {.lex_state = 411, .external_lex_state = 3},
  [19946] = {.lex_state = 381, .external_lex_state = 3},
  [19947] = {.lex_state = 381, .external_lex_state = 3},
  [19948] = {.lex_state = 381, .external_lex_state = 3},
  [19949] = {.lex_state = 381, .external_lex_state = 3},
  [19950] = {.lex_state = 381, .external_lex_state = 3},
  [19951] = {.lex_state = 381, .external_lex_state = 3},
  [19952] = {.lex_state = 15, .external_lex_state = 3},
  [19953] = {.lex_state = 381, .external_lex_state = 3},
  [19954] = {.lex_state = 381, .external_lex_state = 3},
  [19955] = {.lex_state = 381, .external_lex_state = 3},
  [19956] = {.lex_state = 36, .external_lex_state = 3},
  [19957] = {.lex_state = 381, .external_lex_state = 3},
  [19958] = {.lex_state = 381, .external_lex_state = 3},
  [19959] = {.lex_state = 381, .external_lex_state = 3},
  [19960] = {.lex_state = 381, .external_lex_state = 3},
  [19961] = {.lex_state = 411, .external_lex_state = 3},
  [19962] = {.lex_state = 411, .external_lex_state = 3},
  [19963] = {.lex_state = 36, .external_lex_state = 3},
  [19964] = {.lex_state = 36, .external_lex_state = 3},
  [19965] = {.lex_state = 36, .external_lex_state = 3},
  [19966] = {.lex_state = 381, .external_lex_state = 3},
  [19967] = {.lex_state = 36, .external_lex_state = 3},
  [19968] = {.lex_state = 15, .external_lex_state = 3},
  [19969] = {.lex_state = 381, .external_lex_state = 3},
  [19970] = {.lex_state = 411, .external_lex_state = 3},
  [19971] = {.lex_state = 411, .external_lex_state = 3},
  [19972] = {.lex_state = 381, .external_lex_state = 3},
  [19973] = {.lex_state = 381, .external_lex_state = 3},
  [19974] = {.lex_state = 381, .external_lex_state = 3},
  [19975] = {.lex_state = 381, .external_lex_state = 3},
  [19976] = {.lex_state = 36, .external_lex_state = 3},
  [19977] = {.lex_state = 36, .external_lex_state = 3},
  [19978] = {.lex_state = 381, .external_lex_state = 3},
  [19979] = {.lex_state = 411, .external_lex_state = 3},
  [19980] = {.lex_state = 381, .external_lex_state = 3},
  [19981] = {.lex_state = 381, .external_lex_state = 3},
  [19982] = {.lex_state = 15, .external_lex_state = 3},
  [19983] = {.lex_state = 411, .external_lex_state = 3},
  [19984] = {.lex_state = 381, .external_lex_state = 3},
  [19985] = {.lex_state = 381, .external_lex_state = 3},
  [19986] = {.lex_state = 15, .external_lex_state = 3},
  [19987] = {.lex_state = 381, .external_lex_state = 3},
  [19988] = {.lex_state = 381, .external_lex_state = 3},
  [19989] = {.lex_state = 381, .external_lex_state = 3},
  [19990] = {.lex_state = 381, .external_lex_state = 3},
  [19991] = {.lex_state = 36, .external_lex_state = 3},
  [19992] = {.lex_state = 381, .external_lex_state = 2},
  [19993] = {.lex_state = 411, .external_lex_state = 3},
  [19994] = {.lex_state = 381, .external_lex_state = 3},
  [19995] = {.lex_state = 381, .external_lex_state = 3},
  [19996] = {.lex_state = 381, .external_lex_state = 3},
  [19997] = {.lex_state = 36, .external_lex_state = 3},
  [19998] = {.lex_state = 381, .external_lex_state = 3},
  [19999] = {.lex_state = 411, .external_lex_state = 3},
  [20000] = {.lex_state = 381, .external_lex_state = 3},
  [20001] = {.lex_state = 381, .external_lex_state = 3},
  [20002] = {.lex_state = 411, .external_lex_state = 3},
  [20003] = {.lex_state = 411, .external_lex_state = 3},
  [20004] = {.lex_state = 36, .external_lex_state = 3},
  [20005] = {.lex_state = 381, .external_lex_state = 3},
  [20006] = {.lex_state = 15, .external_lex_state = 3},
  [20007] = {.lex_state = 381, .external_lex_state = 3},
  [20008] = {.lex_state = 411, .external_lex_state = 3},
  [20009] = {.lex_state = 36, .external_lex_state = 3},
  [20010] = {.lex_state = 381, .external_lex_state = 3},
  [20011] = {.lex_state = 411, .external_lex_state = 3},
  [20012] = {.lex_state = 411, .external_lex_state = 3},
  [20013] = {.lex_state = 381, .external_lex_state = 3},
  [20014] = {.lex_state = 381, .external_lex_state = 3},
  [20015] = {.lex_state = 411, .external_lex_state = 3},
  [20016] = {.lex_state = 381, .external_lex_state = 3},
  [20017] = {.lex_state = 36, .external_lex_state = 3},
  [20018] = {.lex_state = 381, .external_lex_state = 3},
  [20019] = {.lex_state = 381, .external_lex_state = 3},
  [20020] = {.lex_state = 381, .external_lex_state = 3},
  [20021] = {.lex_state = 381, .external_lex_state = 3},
  [20022] = {.lex_state = 381, .external_lex_state = 3},
  [20023] = {.lex_state = 381, .external_lex_state = 3},
  [20024] = {.lex_state = 381, .external_lex_state = 3},
  [20025] = {.lex_state = 381, .external_lex_state = 3},
  [20026] = {.lex_state = 381, .external_lex_state = 3},
  [20027] = {.lex_state = 381, .external_lex_state = 3},
  [20028] = {.lex_state = 381, .external_lex_state = 3},
  [20029] = {.lex_state = 381, .external_lex_state = 3},
  [20030] = {.lex_state = 381, .external_lex_state = 3},
  [20031] = {.lex_state = 381, .external_lex_state = 3},
  [20032] = {.lex_state = 381, .external_lex_state = 3},
  [20033] = {.lex_state = 381, .external_lex_state = 3},
  [20034] = {.lex_state = 381, .external_lex_state = 3},
  [20035] = {.lex_state = 381, .external_lex_state = 3},
  [20036] = {.lex_state = 381, .external_lex_state = 3},
  [20037] = {.lex_state = 381, .external_lex_state = 3},
  [20038] = {.lex_state = 36, .external_lex_state = 3},
  [20039] = {.lex_state = 381, .external_lex_state = 3},
  [20040] = {.lex_state = 411, .external_lex_state = 3},
  [20041] = {.lex_state = 411, .external_lex_state = 3},
  [20042] = {.lex_state = 381, .external_lex_state = 3},
  [20043] = {.lex_state = 411, .external_lex_state = 3},
  [20044] = {.lex_state = 411, .external_lex_state = 3},
  [20045] = {.lex_state = 36, .external_lex_state = 3},
  [20046] = {.lex_state = 381, .external_lex_state = 3},
  [20047] = {.lex_state = 15, .external_lex_state = 3},
  [20048] = {.lex_state = 381, .external_lex_state = 3},
  [20049] = {.lex_state = 381, .external_lex_state = 3},
  [20050] = {.lex_state = 381, .external_lex_state = 3},
  [20051] = {.lex_state = 381, .external_lex_state = 3},
  [20052] = {.lex_state = 411, .external_lex_state = 3},
  [20053] = {.lex_state = 411, .external_lex_state = 3},
  [20054] = {.lex_state = 381, .external_lex_state = 3},
  [20055] = {.lex_state = 381, .external_lex_state = 3},
  [20056] = {.lex_state = 381, .external_lex_state = 3},
  [20057] = {.lex_state = 381, .external_lex_state = 3},
  [20058] = {.lex_state = 36, .external_lex_state = 3},
  [20059] = {.lex_state = 132, .external_lex_state = 3},
  [20060] = {.lex_state = 36, .external_lex_state = 3},
  [20061] = {.lex_state = 411, .external_lex_state = 3},
  [20062] = {.lex_state = 381, .external_lex_state = 3},
  [20063] = {.lex_state = 381, .external_lex_state = 3},
  [20064] = {.lex_state = 381, .external_lex_state = 3},
  [20065] = {.lex_state = 381, .external_lex_state = 3},
  [20066] = {.lex_state = 411, .external_lex_state = 3},
  [20067] = {.lex_state = 411, .external_lex_state = 3},
  [20068] = {.lex_state = 381, .external_lex_state = 3},
  [20069] = {.lex_state = 381, .external_lex_state = 3},
  [20070] = {.lex_state = 381, .external_lex_state = 3},
  [20071] = {.lex_state = 381, .external_lex_state = 3},
  [20072] = {.lex_state = 381, .external_lex_state = 3},
  [20073] = {.lex_state = 381, .external_lex_state = 3},
  [20074] = {.lex_state = 381, .external_lex_state = 3},
  [20075] = {.lex_state = 381, .external_lex_state = 3},
  [20076] = {.lex_state = 36, .external_lex_state = 3},
  [20077] = {.lex_state = 36, .external_lex_state = 3},
  [20078] = {.lex_state = 411, .external_lex_state = 3},
  [20079] = {.lex_state = 36, .external_lex_state = 3},
  [20080] = {.lex_state = 381, .external_lex_state = 3},
  [20081] = {.lex_state = 36, .external_lex_state = 3},
  [20082] = {.lex_state = 381, .external_lex_state = 3},
  [20083] = {.lex_state = 381, .external_lex_state = 3},
  [20084] = {.lex_state = 411, .external_lex_state = 3},
  [20085] = {.lex_state = 411, .external_lex_state = 3},
  [20086] = {.lex_state = 36, .external_lex_state = 3},
  [20087] = {.lex_state = 381, .external_lex_state = 3},
  [20088] = {.lex_state = 381, .external_lex_state = 3},
  [20089] = {.lex_state = 381, .external_lex_state = 3},
  [20090] = {.lex_state = 381, .external_lex_state = 3},
  [20091] = {.lex_state = 381, .external_lex_state = 3},
  [20092] = {.lex_state = 381, .external_lex_state = 3},
  [20093] = {.lex_state = 411, .external_lex_state = 3},
  [20094] = {.lex_state = 411, .external_lex_state = 3},
  [20095] = {.lex_state = 381, .external_lex_state = 3},
  [20096] = {.lex_state = 132, .external_lex_state = 3},
  [20097] = {.lex_state = 381, .external_lex_state = 3},
  [20098] = {.lex_state = 381, .external_lex_state = 3},
  [20099] = {.lex_state = 36, .external_lex_state = 3},
  [20100] = {.lex_state = 381, .external_lex_state = 3},
  [20101] = {.lex_state = 132, .external_lex_state = 3},
  [20102] = {.lex_state = 132, .external_lex_state = 3},
  [20103] = {.lex_state = 381, .external_lex_state = 3},
  [20104] = {.lex_state = 381, .external_lex_state = 3},
  [20105] = {.lex_state = 381, .external_lex_state = 3},
  [20106] = {.lex_state = 381, .external_lex_state = 3},
  [20107] = {.lex_state = 381, .external_lex_state = 3},
  [20108] = {.lex_state = 381, .external_lex_state = 3},
  [20109] = {.lex_state = 381, .external_lex_state = 3},
  [20110] = {.lex_state = 381, .external_lex_state = 3},
  [20111] = {.lex_state = 381, .external_lex_state = 3},
  [20112] = {.lex_state = 381, .external_lex_state = 3},
  [20113] = {.lex_state = 381, .external_lex_state = 3},
  [20114] = {.lex_state = 381, .external_lex_state = 3},
  [20115] = {.lex_state = 381, .external_lex_state = 3},
  [20116] = {.lex_state = 381, .external_lex_state = 3},
  [20117] = {.lex_state = 132, .external_lex_state = 3},
  [20118] = {.lex_state = 381, .external_lex_state = 3},
  [20119] = {.lex_state = 381, .external_lex_state = 3},
  [20120] = {.lex_state = 36, .external_lex_state = 3},
  [20121] = {.lex_state = 411, .external_lex_state = 3},
  [20122] = {.lex_state = 381, .external_lex_state = 3},
  [20123] = {.lex_state = 381, .external_lex_state = 3},
  [20124] = {.lex_state = 381, .external_lex_state = 3},
  [20125] = {.lex_state = 411, .external_lex_state = 3},
  [20126] = {.lex_state = 411, .external_lex_state = 3},
  [20127] = {.lex_state = 36, .external_lex_state = 3},
  [20128] = {.lex_state = 381, .external_lex_state = 3},
  [20129] = {.lex_state = 381, .external_lex_state = 3},
  [20130] = {.lex_state = 381, .external_lex_state = 2},
  [20131] = {.lex_state = 132, .external_lex_state = 3},
  [20132] = {.lex_state = 381, .external_lex_state = 3},
  [20133] = {.lex_state = 381, .external_lex_state = 3},
  [20134] = {.lex_state = 411, .external_lex_state = 3},
  [20135] = {.lex_state = 411, .external_lex_state = 3},
  [20136] = {.lex_state = 381, .external_lex_state = 3},
  [20137] = {.lex_state = 132, .external_lex_state = 3},
  [20138] = {.lex_state = 15, .external_lex_state = 3},
  [20139] = {.lex_state = 381, .external_lex_state = 3},
  [20140] = {.lex_state = 36, .external_lex_state = 3},
  [20141] = {.lex_state = 381, .external_lex_state = 3},
  [20142] = {.lex_state = 132, .external_lex_state = 3},
  [20143] = {.lex_state = 381, .external_lex_state = 3},
  [20144] = {.lex_state = 381, .external_lex_state = 3},
  [20145] = {.lex_state = 381, .external_lex_state = 3},
  [20146] = {.lex_state = 381, .external_lex_state = 3},
  [20147] = {.lex_state = 381, .external_lex_state = 3},
  [20148] = {.lex_state = 381, .external_lex_state = 3},
  [20149] = {.lex_state = 381, .external_lex_state = 3},
  [20150] = {.lex_state = 15, .external_lex_state = 3},
  [20151] = {.lex_state = 381, .external_lex_state = 3},
  [20152] = {.lex_state = 381, .external_lex_state = 3},
  [20153] = {.lex_state = 381, .external_lex_state = 3},
  [20154] = {.lex_state = 381, .external_lex_state = 3},
  [20155] = {.lex_state = 381, .external_lex_state = 3},
  [20156] = {.lex_state = 381, .external_lex_state = 3},
  [20157] = {.lex_state = 381, .external_lex_state = 3},
  [20158] = {.lex_state = 381, .external_lex_state = 3},
  [20159] = {.lex_state = 381, .external_lex_state = 3},
  [20160] = {.lex_state = 132, .external_lex_state = 3},
  [20161] = {.lex_state = 36, .external_lex_state = 3},
  [20162] = {.lex_state = 132, .external_lex_state = 3},
  [20163] = {.lex_state = 381, .external_lex_state = 3},
  [20164] = {.lex_state = 381, .external_lex_state = 3},
  [20165] = {.lex_state = 411, .external_lex_state = 3},
  [20166] = {.lex_state = 411, .external_lex_state = 3},
  [20167] = {.lex_state = 36, .external_lex_state = 3},
  [20168] = {.lex_state = 381, .external_lex_state = 3},
  [20169] = {.lex_state = 381, .external_lex_state = 3},
  [20170] = {.lex_state = 132, .external_lex_state = 3},
  [20171] = {.lex_state = 381, .external_lex_state = 3},
  [20172] = {.lex_state = 381, .external_lex_state = 3},
  [20173] = {.lex_state = 381, .external_lex_state = 3},
  [20174] = {.lex_state = 411, .external_lex_state = 3},
  [20175] = {.lex_state = 411, .external_lex_state = 3},
  [20176] = {.lex_state = 381, .external_lex_state = 3},
  [20177] = {.lex_state = 381, .external_lex_state = 3},
  [20178] = {.lex_state = 381, .external_lex_state = 3},
  [20179] = {.lex_state = 381, .external_lex_state = 3},
  [20180] = {.lex_state = 36, .external_lex_state = 3},
  [20181] = {.lex_state = 381, .external_lex_state = 3},
  [20182] = {.lex_state = 381, .external_lex_state = 3},
  [20183] = {.lex_state = 381, .external_lex_state = 3},
  [20184] = {.lex_state = 381, .external_lex_state = 3},
  [20185] = {.lex_state = 381, .external_lex_state = 3},
  [20186] = {.lex_state = 381, .external_lex_state = 3},
  [20187] = {.lex_state = 381, .external_lex_state = 3},
  [20188] = {.lex_state = 381, .external_lex_state = 3},
  [20189] = {.lex_state = 381, .external_lex_state = 3},
  [20190] = {.lex_state = 132, .external_lex_state = 3},
  [20191] = {.lex_state = 381, .external_lex_state = 3},
  [20192] = {.lex_state = 381, .external_lex_state = 3},
  [20193] = {.lex_state = 381, .external_lex_state = 3},
  [20194] = {.lex_state = 381, .external_lex_state = 3},
  [20195] = {.lex_state = 381, .external_lex_state = 3},
  [20196] = {.lex_state = 381, .external_lex_state = 3},
  [20197] = {.lex_state = 381, .external_lex_state = 3},
  [20198] = {.lex_state = 381, .external_lex_state = 3},
  [20199] = {.lex_state = 381, .external_lex_state = 3},
  [20200] = {.lex_state = 381, .external_lex_state = 3},
  [20201] = {.lex_state = 36, .external_lex_state = 3},
  [20202] = {.lex_state = 381, .external_lex_state = 3},
  [20203] = {.lex_state = 381, .external_lex_state = 3},
  [20204] = {.lex_state = 381, .external_lex_state = 3},
  [20205] = {.lex_state = 411, .external_lex_state = 3},
  [20206] = {.lex_state = 411, .external_lex_state = 3},
  [20207] = {.lex_state = 36, .external_lex_state = 3},
  [20208] = {.lex_state = 381, .external_lex_state = 3},
  [20209] = {.lex_state = 381, .external_lex_state = 3},
  [20210] = {.lex_state = 381, .external_lex_state = 3},
  [20211] = {.lex_state = 381, .external_lex_state = 3},
  [20212] = {.lex_state = 381, .external_lex_state = 3},
  [20213] = {.lex_state = 381, .external_lex_state = 3},
  [20214] = {.lex_state = 411, .external_lex_state = 3},
  [20215] = {.lex_state = 411, .external_lex_state = 3},
  [20216] = {.lex_state = 381, .external_lex_state = 3},
  [20217] = {.lex_state = 381, .external_lex_state = 3},
  [20218] = {.lex_state = 36, .external_lex_state = 3},
  [20219] = {.lex_state = 381, .external_lex_state = 3},
  [20220] = {.lex_state = 36, .external_lex_state = 3},
  [20221] = {.lex_state = 132, .external_lex_state = 3},
  [20222] = {.lex_state = 381, .external_lex_state = 3},
  [20223] = {.lex_state = 381, .external_lex_state = 3},
  [20224] = {.lex_state = 132, .external_lex_state = 3},
  [20225] = {.lex_state = 381, .external_lex_state = 3},
  [20226] = {.lex_state = 411, .external_lex_state = 3},
  [20227] = {.lex_state = 381, .external_lex_state = 3},
  [20228] = {.lex_state = 381, .external_lex_state = 3},
  [20229] = {.lex_state = 411, .external_lex_state = 3},
  [20230] = {.lex_state = 381, .external_lex_state = 2},
  [20231] = {.lex_state = 381, .external_lex_state = 3},
  [20232] = {.lex_state = 381, .external_lex_state = 3},
  [20233] = {.lex_state = 381, .external_lex_state = 3},
  [20234] = {.lex_state = 381, .external_lex_state = 3},
  [20235] = {.lex_state = 381, .external_lex_state = 3},
  [20236] = {.lex_state = 381, .external_lex_state = 3},
  [20237] = {.lex_state = 381, .external_lex_state = 3},
  [20238] = {.lex_state = 381, .external_lex_state = 3},
  [20239] = {.lex_state = 381, .external_lex_state = 3},
  [20240] = {.lex_state = 36, .external_lex_state = 3},
  [20241] = {.lex_state = 15, .external_lex_state = 3},
  [20242] = {.lex_state = 381, .external_lex_state = 3},
  [20243] = {.lex_state = 381, .external_lex_state = 3},
  [20244] = {.lex_state = 411, .external_lex_state = 3},
  [20245] = {.lex_state = 411, .external_lex_state = 3},
  [20246] = {.lex_state = 36, .external_lex_state = 3},
  [20247] = {.lex_state = 381, .external_lex_state = 3},
  [20248] = {.lex_state = 381, .external_lex_state = 3},
  [20249] = {.lex_state = 381, .external_lex_state = 3},
  [20250] = {.lex_state = 381, .external_lex_state = 3},
  [20251] = {.lex_state = 381, .external_lex_state = 3},
  [20252] = {.lex_state = 381, .external_lex_state = 3},
  [20253] = {.lex_state = 411, .external_lex_state = 3},
  [20254] = {.lex_state = 411, .external_lex_state = 3},
  [20255] = {.lex_state = 381, .external_lex_state = 3},
  [20256] = {.lex_state = 381, .external_lex_state = 3},
  [20257] = {.lex_state = 381, .external_lex_state = 3},
  [20258] = {.lex_state = 411, .external_lex_state = 3},
  [20259] = {.lex_state = 36, .external_lex_state = 3},
  [20260] = {.lex_state = 381, .external_lex_state = 3},
  [20261] = {.lex_state = 381, .external_lex_state = 2},
  [20262] = {.lex_state = 381, .external_lex_state = 3},
  [20263] = {.lex_state = 381, .external_lex_state = 3},
  [20264] = {.lex_state = 381, .external_lex_state = 3},
  [20265] = {.lex_state = 381, .external_lex_state = 3},
  [20266] = {.lex_state = 381, .external_lex_state = 3},
  [20267] = {.lex_state = 36, .external_lex_state = 3},
  [20268] = {.lex_state = 411, .external_lex_state = 3},
  [20269] = {.lex_state = 381, .external_lex_state = 3},
  [20270] = {.lex_state = 381, .external_lex_state = 3},
  [20271] = {.lex_state = 381, .external_lex_state = 3},
  [20272] = {.lex_state = 381, .external_lex_state = 3},
  [20273] = {.lex_state = 381, .external_lex_state = 3},
  [20274] = {.lex_state = 132, .external_lex_state = 3},
  [20275] = {.lex_state = 381, .external_lex_state = 3},
  [20276] = {.lex_state = 381, .external_lex_state = 3},
  [20277] = {.lex_state = 381, .external_lex_state = 3},
  [20278] = {.lex_state = 381, .external_lex_state = 3},
  [20279] = {.lex_state = 36, .external_lex_state = 3},
  [20280] = {.lex_state = 411, .external_lex_state = 3},
  [20281] = {.lex_state = 381, .external_lex_state = 3},
  [20282] = {.lex_state = 132, .external_lex_state = 3},
  [20283] = {.lex_state = 411, .external_lex_state = 3},
  [20284] = {.lex_state = 411, .external_lex_state = 3},
  [20285] = {.lex_state = 36, .external_lex_state = 3},
  [20286] = {.lex_state = 381, .external_lex_state = 3},
  [20287] = {.lex_state = 411, .external_lex_state = 3},
  [20288] = {.lex_state = 381, .external_lex_state = 2},
  [20289] = {.lex_state = 381, .external_lex_state = 3},
  [20290] = {.lex_state = 381, .external_lex_state = 3},
  [20291] = {.lex_state = 381, .external_lex_state = 3},
  [20292] = {.lex_state = 411, .external_lex_state = 3},
  [20293] = {.lex_state = 411, .external_lex_state = 3},
  [20294] = {.lex_state = 411, .external_lex_state = 3},
  [20295] = {.lex_state = 381, .external_lex_state = 3},
  [20296] = {.lex_state = 381, .external_lex_state = 3},
  [20297] = {.lex_state = 381, .external_lex_state = 3},
  [20298] = {.lex_state = 36, .external_lex_state = 3},
  [20299] = {.lex_state = 15, .external_lex_state = 3},
  [20300] = {.lex_state = 132, .external_lex_state = 3},
  [20301] = {.lex_state = 381, .external_lex_state = 3},
  [20302] = {.lex_state = 381, .external_lex_state = 3},
  [20303] = {.lex_state = 381, .external_lex_state = 3},
  [20304] = {.lex_state = 381, .external_lex_state = 3},
  [20305] = {.lex_state = 381, .external_lex_state = 3},
  [20306] = {.lex_state = 381, .external_lex_state = 3},
  [20307] = {.lex_state = 132, .external_lex_state = 3},
  [20308] = {.lex_state = 132, .external_lex_state = 3},
  [20309] = {.lex_state = 381, .external_lex_state = 3},
  [20310] = {.lex_state = 381, .external_lex_state = 3},
  [20311] = {.lex_state = 381, .external_lex_state = 3},
  [20312] = {.lex_state = 381, .external_lex_state = 3},
  [20313] = {.lex_state = 381, .external_lex_state = 3},
  [20314] = {.lex_state = 381, .external_lex_state = 3},
  [20315] = {.lex_state = 132, .external_lex_state = 3},
  [20316] = {.lex_state = 381, .external_lex_state = 3},
  [20317] = {.lex_state = 381, .external_lex_state = 3},
  [20318] = {.lex_state = 36, .external_lex_state = 3},
  [20319] = {.lex_state = 381, .external_lex_state = 3},
  [20320] = {.lex_state = 132, .external_lex_state = 3},
  [20321] = {.lex_state = 132, .external_lex_state = 3},
  [20322] = {.lex_state = 411, .external_lex_state = 3},
  [20323] = {.lex_state = 411, .external_lex_state = 3},
  [20324] = {.lex_state = 36, .external_lex_state = 3},
  [20325] = {.lex_state = 411, .external_lex_state = 3},
  [20326] = {.lex_state = 132, .external_lex_state = 3},
  [20327] = {.lex_state = 381, .external_lex_state = 3},
  [20328] = {.lex_state = 381, .external_lex_state = 3},
  [20329] = {.lex_state = 381, .external_lex_state = 3},
  [20330] = {.lex_state = 381, .external_lex_state = 3},
  [20331] = {.lex_state = 411, .external_lex_state = 3},
  [20332] = {.lex_state = 411, .external_lex_state = 3},
  [20333] = {.lex_state = 381, .external_lex_state = 3},
  [20334] = {.lex_state = 381, .external_lex_state = 3},
  [20335] = {.lex_state = 381, .external_lex_state = 3},
  [20336] = {.lex_state = 132, .external_lex_state = 3},
  [20337] = {.lex_state = 36, .external_lex_state = 3},
  [20338] = {.lex_state = 132, .external_lex_state = 3},
  [20339] = {.lex_state = 381, .external_lex_state = 3},
  [20340] = {.lex_state = 381, .external_lex_state = 3},
  [20341] = {.lex_state = 132, .external_lex_state = 3},
  [20342] = {.lex_state = 381, .external_lex_state = 3},
  [20343] = {.lex_state = 381, .external_lex_state = 3},
  [20344] = {.lex_state = 132, .external_lex_state = 3},
  [20345] = {.lex_state = 36, .external_lex_state = 3},
  [20346] = {.lex_state = 381, .external_lex_state = 3},
  [20347] = {.lex_state = 132, .external_lex_state = 3},
  [20348] = {.lex_state = 381, .external_lex_state = 3},
  [20349] = {.lex_state = 381, .external_lex_state = 3},
  [20350] = {.lex_state = 381, .external_lex_state = 3},
  [20351] = {.lex_state = 381, .external_lex_state = 3},
  [20352] = {.lex_state = 411, .external_lex_state = 3},
  [20353] = {.lex_state = 381, .external_lex_state = 3},
  [20354] = {.lex_state = 381, .external_lex_state = 3},
  [20355] = {.lex_state = 411, .external_lex_state = 3},
  [20356] = {.lex_state = 381, .external_lex_state = 2},
  [20357] = {.lex_state = 36, .external_lex_state = 3},
  [20358] = {.lex_state = 381, .external_lex_state = 3},
  [20359] = {.lex_state = 381, .external_lex_state = 3},
  [20360] = {.lex_state = 381, .external_lex_state = 3},
  [20361] = {.lex_state = 411, .external_lex_state = 3},
  [20362] = {.lex_state = 411, .external_lex_state = 3},
  [20363] = {.lex_state = 36, .external_lex_state = 3},
  [20364] = {.lex_state = 381, .external_lex_state = 3},
  [20365] = {.lex_state = 381, .external_lex_state = 3},
  [20366] = {.lex_state = 15, .external_lex_state = 3},
  [20367] = {.lex_state = 381, .external_lex_state = 3},
  [20368] = {.lex_state = 381, .external_lex_state = 3},
  [20369] = {.lex_state = 381, .external_lex_state = 3},
  [20370] = {.lex_state = 411, .external_lex_state = 3},
  [20371] = {.lex_state = 411, .external_lex_state = 3},
  [20372] = {.lex_state = 381, .external_lex_state = 3},
  [20373] = {.lex_state = 381, .external_lex_state = 3},
  [20374] = {.lex_state = 381, .external_lex_state = 3},
  [20375] = {.lex_state = 381, .external_lex_state = 3},
  [20376] = {.lex_state = 36, .external_lex_state = 3},
  [20377] = {.lex_state = 381, .external_lex_state = 3},
  [20378] = {.lex_state = 381, .external_lex_state = 3},
  [20379] = {.lex_state = 381, .external_lex_state = 3},
  [20380] = {.lex_state = 381, .external_lex_state = 3},
  [20381] = {.lex_state = 381, .external_lex_state = 3},
  [20382] = {.lex_state = 381, .external_lex_state = 3},
  [20383] = {.lex_state = 36, .external_lex_state = 3},
  [20384] = {.lex_state = 381, .external_lex_state = 3},
  [20385] = {.lex_state = 381, .external_lex_state = 3},
  [20386] = {.lex_state = 381, .external_lex_state = 3},
  [20387] = {.lex_state = 381, .external_lex_state = 3},
  [20388] = {.lex_state = 381, .external_lex_state = 3},
  [20389] = {.lex_state = 381, .external_lex_state = 3},
  [20390] = {.lex_state = 36, .external_lex_state = 3},
  [20391] = {.lex_state = 381, .external_lex_state = 3},
  [20392] = {.lex_state = 381, .external_lex_state = 3},
  [20393] = {.lex_state = 411, .external_lex_state = 3},
  [20394] = {.lex_state = 381, .external_lex_state = 3},
  [20395] = {.lex_state = 36, .external_lex_state = 3},
  [20396] = {.lex_state = 381, .external_lex_state = 3},
  [20397] = {.lex_state = 381, .external_lex_state = 3},
  [20398] = {.lex_state = 381, .external_lex_state = 3},
  [20399] = {.lex_state = 411, .external_lex_state = 3},
  [20400] = {.lex_state = 411, .external_lex_state = 3},
  [20401] = {.lex_state = 36, .external_lex_state = 3},
  [20402] = {.lex_state = 381, .external_lex_state = 2},
  [20403] = {.lex_state = 381, .external_lex_state = 3},
  [20404] = {.lex_state = 381, .external_lex_state = 3},
  [20405] = {.lex_state = 381, .external_lex_state = 3},
  [20406] = {.lex_state = 381, .external_lex_state = 3},
  [20407] = {.lex_state = 381, .external_lex_state = 3},
  [20408] = {.lex_state = 411, .external_lex_state = 3},
  [20409] = {.lex_state = 411, .external_lex_state = 3},
  [20410] = {.lex_state = 381, .external_lex_state = 3},
  [20411] = {.lex_state = 381, .external_lex_state = 3},
  [20412] = {.lex_state = 381, .external_lex_state = 3},
  [20413] = {.lex_state = 381, .external_lex_state = 3},
  [20414] = {.lex_state = 36, .external_lex_state = 3},
  [20415] = {.lex_state = 36, .external_lex_state = 3},
  [20416] = {.lex_state = 381, .external_lex_state = 3},
  [20417] = {.lex_state = 381, .external_lex_state = 3},
  [20418] = {.lex_state = 381, .external_lex_state = 3},
  [20419] = {.lex_state = 381, .external_lex_state = 3},
  [20420] = {.lex_state = 411, .external_lex_state = 3},
  [20421] = {.lex_state = 381, .external_lex_state = 3},
  [20422] = {.lex_state = 381, .external_lex_state = 3},
  [20423] = {.lex_state = 381, .external_lex_state = 3},
  [20424] = {.lex_state = 381, .external_lex_state = 3},
  [20425] = {.lex_state = 381, .external_lex_state = 3},
  [20426] = {.lex_state = 381, .external_lex_state = 3},
  [20427] = {.lex_state = 381, .external_lex_state = 3},
  [20428] = {.lex_state = 411, .external_lex_state = 3},
  [20429] = {.lex_state = 36, .external_lex_state = 3},
  [20430] = {.lex_state = 381, .external_lex_state = 3},
  [20431] = {.lex_state = 132, .external_lex_state = 3},
  [20432] = {.lex_state = 132, .external_lex_state = 3},
  [20433] = {.lex_state = 36, .external_lex_state = 3},
  [20434] = {.lex_state = 132, .external_lex_state = 3},
  [20435] = {.lex_state = 381, .external_lex_state = 3},
  [20436] = {.lex_state = 381, .external_lex_state = 3},
  [20437] = {.lex_state = 411, .external_lex_state = 3},
  [20438] = {.lex_state = 411, .external_lex_state = 3},
  [20439] = {.lex_state = 36, .external_lex_state = 3},
  [20440] = {.lex_state = 381, .external_lex_state = 3},
  [20441] = {.lex_state = 381, .external_lex_state = 3},
  [20442] = {.lex_state = 381, .external_lex_state = 3},
  [20443] = {.lex_state = 381, .external_lex_state = 3},
  [20444] = {.lex_state = 132, .external_lex_state = 3},
  [20445] = {.lex_state = 381, .external_lex_state = 3},
  [20446] = {.lex_state = 411, .external_lex_state = 3},
  [20447] = {.lex_state = 411, .external_lex_state = 3},
  [20448] = {.lex_state = 381, .external_lex_state = 3},
  [20449] = {.lex_state = 381, .external_lex_state = 3},
  [20450] = {.lex_state = 381, .external_lex_state = 3},
  [20451] = {.lex_state = 132, .external_lex_state = 3},
  [20452] = {.lex_state = 36, .external_lex_state = 3},
  [20453] = {.lex_state = 381, .external_lex_state = 3},
  [20454] = {.lex_state = 381, .external_lex_state = 3},
  [20455] = {.lex_state = 381, .external_lex_state = 3},
  [20456] = {.lex_state = 381, .external_lex_state = 3},
  [20457] = {.lex_state = 381, .external_lex_state = 3},
  [20458] = {.lex_state = 381, .external_lex_state = 3},
  [20459] = {.lex_state = 381, .external_lex_state = 3},
  [20460] = {.lex_state = 381, .external_lex_state = 3},
  [20461] = {.lex_state = 381, .external_lex_state = 3},
  [20462] = {.lex_state = 381, .external_lex_state = 3},
  [20463] = {.lex_state = 381, .external_lex_state = 3},
  [20464] = {.lex_state = 381, .external_lex_state = 3},
  [20465] = {.lex_state = 381, .external_lex_state = 3},
  [20466] = {.lex_state = 36, .external_lex_state = 3},
  [20467] = {.lex_state = 381, .external_lex_state = 3},
  [20468] = {.lex_state = 15, .external_lex_state = 3},
  [20469] = {.lex_state = 411, .external_lex_state = 3},
  [20470] = {.lex_state = 381, .external_lex_state = 3},
  [20471] = {.lex_state = 36, .external_lex_state = 3},
  [20472] = {.lex_state = 411, .external_lex_state = 3},
  [20473] = {.lex_state = 381, .external_lex_state = 3},
  [20474] = {.lex_state = 381, .external_lex_state = 3},
  [20475] = {.lex_state = 411, .external_lex_state = 3},
  [20476] = {.lex_state = 411, .external_lex_state = 3},
  [20477] = {.lex_state = 36, .external_lex_state = 3},
  [20478] = {.lex_state = 132, .external_lex_state = 3},
  [20479] = {.lex_state = 381, .external_lex_state = 3},
  [20480] = {.lex_state = 411, .external_lex_state = 3},
  [20481] = {.lex_state = 381, .external_lex_state = 3},
  [20482] = {.lex_state = 15, .external_lex_state = 3},
  [20483] = {.lex_state = 132, .external_lex_state = 3},
  [20484] = {.lex_state = 411, .external_lex_state = 3},
  [20485] = {.lex_state = 411, .external_lex_state = 3},
  [20486] = {.lex_state = 381, .external_lex_state = 3},
  [20487] = {.lex_state = 411, .external_lex_state = 3},
  [20488] = {.lex_state = 381, .external_lex_state = 3},
  [20489] = {.lex_state = 381, .external_lex_state = 3},
  [20490] = {.lex_state = 36, .external_lex_state = 3},
  [20491] = {.lex_state = 381, .external_lex_state = 3},
  [20492] = {.lex_state = 381, .external_lex_state = 3},
  [20493] = {.lex_state = 36, .external_lex_state = 3},
  [20494] = {.lex_state = 381, .external_lex_state = 3},
  [20495] = {.lex_state = 381, .external_lex_state = 3},
  [20496] = {.lex_state = 381, .external_lex_state = 3},
  [20497] = {.lex_state = 132, .external_lex_state = 3},
  [20498] = {.lex_state = 132, .external_lex_state = 3},
  [20499] = {.lex_state = 132, .external_lex_state = 3},
  [20500] = {.lex_state = 381, .external_lex_state = 3},
  [20501] = {.lex_state = 381, .external_lex_state = 3},
  [20502] = {.lex_state = 381, .external_lex_state = 3},
  [20503] = {.lex_state = 381, .external_lex_state = 3},
  [20504] = {.lex_state = 381, .external_lex_state = 3},
  [20505] = {.lex_state = 132, .external_lex_state = 3},
  [20506] = {.lex_state = 381, .external_lex_state = 3},
  [20507] = {.lex_state = 381, .external_lex_state = 3},
  [20508] = {.lex_state = 381, .external_lex_state = 3},
  [20509] = {.lex_state = 36, .external_lex_state = 3},
  [20510] = {.lex_state = 381, .external_lex_state = 3},
  [20511] = {.lex_state = 132, .external_lex_state = 3},
  [20512] = {.lex_state = 381, .external_lex_state = 3},
  [20513] = {.lex_state = 411, .external_lex_state = 3},
  [20514] = {.lex_state = 411, .external_lex_state = 3},
  [20515] = {.lex_state = 36, .external_lex_state = 3},
  [20516] = {.lex_state = 381, .external_lex_state = 3},
  [20517] = {.lex_state = 411, .external_lex_state = 3},
  [20518] = {.lex_state = 381, .external_lex_state = 2},
  [20519] = {.lex_state = 381, .external_lex_state = 3},
  [20520] = {.lex_state = 381, .external_lex_state = 3},
  [20521] = {.lex_state = 381, .external_lex_state = 3},
  [20522] = {.lex_state = 411, .external_lex_state = 3},
  [20523] = {.lex_state = 411, .external_lex_state = 3},
  [20524] = {.lex_state = 381, .external_lex_state = 3},
  [20525] = {.lex_state = 381, .external_lex_state = 3},
  [20526] = {.lex_state = 381, .external_lex_state = 3},
  [20527] = {.lex_state = 381, .external_lex_state = 3},
  [20528] = {.lex_state = 36, .external_lex_state = 3},
  [20529] = {.lex_state = 411, .external_lex_state = 3},
  [20530] = {.lex_state = 381, .external_lex_state = 3},
  [20531] = {.lex_state = 381, .external_lex_state = 3},
  [20532] = {.lex_state = 381, .external_lex_state = 3},
  [20533] = {.lex_state = 381, .external_lex_state = 3},
  [20534] = {.lex_state = 381, .external_lex_state = 3},
  [20535] = {.lex_state = 411, .external_lex_state = 3},
  [20536] = {.lex_state = 36, .external_lex_state = 3},
  [20537] = {.lex_state = 36, .external_lex_state = 3},
  [20538] = {.lex_state = 381, .external_lex_state = 3},
  [20539] = {.lex_state = 381, .external_lex_state = 3},
  [20540] = {.lex_state = 381, .external_lex_state = 3},
  [20541] = {.lex_state = 381, .external_lex_state = 3},
  [20542] = {.lex_state = 411, .external_lex_state = 3},
  [20543] = {.lex_state = 36, .external_lex_state = 3},
  [20544] = {.lex_state = 411, .external_lex_state = 3},
  [20545] = {.lex_state = 381, .external_lex_state = 3},
  [20546] = {.lex_state = 381, .external_lex_state = 2},
  [20547] = {.lex_state = 36, .external_lex_state = 3},
  [20548] = {.lex_state = 381, .external_lex_state = 3},
  [20549] = {.lex_state = 132, .external_lex_state = 3},
  [20550] = {.lex_state = 381, .external_lex_state = 3},
  [20551] = {.lex_state = 411, .external_lex_state = 3},
  [20552] = {.lex_state = 411, .external_lex_state = 3},
  [20553] = {.lex_state = 36, .external_lex_state = 3},
  [20554] = {.lex_state = 15, .external_lex_state = 3},
  [20555] = {.lex_state = 381, .external_lex_state = 3},
  [20556] = {.lex_state = 411, .external_lex_state = 3},
  [20557] = {.lex_state = 381, .external_lex_state = 3},
  [20558] = {.lex_state = 381, .external_lex_state = 3},
  [20559] = {.lex_state = 381, .external_lex_state = 3},
  [20560] = {.lex_state = 411, .external_lex_state = 3},
  [20561] = {.lex_state = 411, .external_lex_state = 3},
  [20562] = {.lex_state = 411, .external_lex_state = 3},
  [20563] = {.lex_state = 381, .external_lex_state = 3},
  [20564] = {.lex_state = 381, .external_lex_state = 3},
  [20565] = {.lex_state = 381, .external_lex_state = 3},
  [20566] = {.lex_state = 36, .external_lex_state = 3},
  [20567] = {.lex_state = 381, .external_lex_state = 3},
  [20568] = {.lex_state = 381, .external_lex_state = 3},
  [20569] = {.lex_state = 381, .external_lex_state = 2},
  [20570] = {.lex_state = 381, .external_lex_state = 3},
  [20571] = {.lex_state = 381, .external_lex_state = 3},
  [20572] = {.lex_state = 411, .external_lex_state = 3},
  [20573] = {.lex_state = 381, .external_lex_state = 2},
  [20574] = {.lex_state = 381, .external_lex_state = 3},
  [20575] = {.lex_state = 381, .external_lex_state = 3},
  [20576] = {.lex_state = 381, .external_lex_state = 3},
  [20577] = {.lex_state = 381, .external_lex_state = 3},
  [20578] = {.lex_state = 381, .external_lex_state = 3},
  [20579] = {.lex_state = 381, .external_lex_state = 3},
  [20580] = {.lex_state = 381, .external_lex_state = 3},
  [20581] = {.lex_state = 381, .external_lex_state = 3},
  [20582] = {.lex_state = 411, .external_lex_state = 3},
  [20583] = {.lex_state = 381, .external_lex_state = 3},
  [20584] = {.lex_state = 381, .external_lex_state = 3},
  [20585] = {.lex_state = 36, .external_lex_state = 3},
  [20586] = {.lex_state = 411, .external_lex_state = 3},
  [20587] = {.lex_state = 381, .external_lex_state = 3},
  [20588] = {.lex_state = 381, .external_lex_state = 3},
  [20589] = {.lex_state = 411, .external_lex_state = 3},
  [20590] = {.lex_state = 411, .external_lex_state = 3},
  [20591] = {.lex_state = 36, .external_lex_state = 3},
  [20592] = {.lex_state = 132, .external_lex_state = 3},
  [20593] = {.lex_state = 381, .external_lex_state = 3},
  [20594] = {.lex_state = 36, .external_lex_state = 3},
  [20595] = {.lex_state = 132, .external_lex_state = 3},
  [20596] = {.lex_state = 381, .external_lex_state = 2},
  [20597] = {.lex_state = 381, .external_lex_state = 3},
  [20598] = {.lex_state = 411, .external_lex_state = 3},
  [20599] = {.lex_state = 411, .external_lex_state = 3},
  [20600] = {.lex_state = 381, .external_lex_state = 3},
  [20601] = {.lex_state = 132, .external_lex_state = 3},
  [20602] = {.lex_state = 381, .external_lex_state = 3},
  [20603] = {.lex_state = 381, .external_lex_state = 3},
  [20604] = {.lex_state = 36, .external_lex_state = 3},
  [20605] = {.lex_state = 381, .external_lex_state = 3},
  [20606] = {.lex_state = 381, .external_lex_state = 3},
  [20607] = {.lex_state = 381, .external_lex_state = 3},
  [20608] = {.lex_state = 381, .external_lex_state = 3},
  [20609] = {.lex_state = 381, .external_lex_state = 3},
  [20610] = {.lex_state = 381, .external_lex_state = 3},
  [20611] = {.lex_state = 15, .external_lex_state = 3},
  [20612] = {.lex_state = 381, .external_lex_state = 3},
  [20613] = {.lex_state = 132, .external_lex_state = 3},
  [20614] = {.lex_state = 381, .external_lex_state = 3},
  [20615] = {.lex_state = 381, .external_lex_state = 3},
  [20616] = {.lex_state = 381, .external_lex_state = 3},
  [20617] = {.lex_state = 381, .external_lex_state = 3},
  [20618] = {.lex_state = 381, .external_lex_state = 3},
  [20619] = {.lex_state = 381, .external_lex_state = 3},
  [20620] = {.lex_state = 411, .external_lex_state = 3},
  [20621] = {.lex_state = 381, .external_lex_state = 3},
  [20622] = {.lex_state = 411, .external_lex_state = 3},
  [20623] = {.lex_state = 36, .external_lex_state = 3},
  [20624] = {.lex_state = 381, .external_lex_state = 3},
  [20625] = {.lex_state = 381, .external_lex_state = 3},
  [20626] = {.lex_state = 381, .external_lex_state = 3},
  [20627] = {.lex_state = 411, .external_lex_state = 3},
  [20628] = {.lex_state = 411, .external_lex_state = 3},
  [20629] = {.lex_state = 36, .external_lex_state = 3},
  [20630] = {.lex_state = 381, .external_lex_state = 3},
  [20631] = {.lex_state = 381, .external_lex_state = 3},
  [20632] = {.lex_state = 381, .external_lex_state = 3},
  [20633] = {.lex_state = 381, .external_lex_state = 3},
  [20634] = {.lex_state = 381, .external_lex_state = 3},
  [20635] = {.lex_state = 381, .external_lex_state = 3},
  [20636] = {.lex_state = 411, .external_lex_state = 3},
  [20637] = {.lex_state = 411, .external_lex_state = 3},
  [20638] = {.lex_state = 381, .external_lex_state = 3},
  [20639] = {.lex_state = 411, .external_lex_state = 3},
  [20640] = {.lex_state = 411, .external_lex_state = 3},
  [20641] = {.lex_state = 381, .external_lex_state = 3},
  [20642] = {.lex_state = 36, .external_lex_state = 3},
  [20643] = {.lex_state = 381, .external_lex_state = 3},
  [20644] = {.lex_state = 381, .external_lex_state = 3},
  [20645] = {.lex_state = 381, .external_lex_state = 2},
  [20646] = {.lex_state = 381, .external_lex_state = 3},
  [20647] = {.lex_state = 381, .external_lex_state = 3},
  [20648] = {.lex_state = 381, .external_lex_state = 3},
  [20649] = {.lex_state = 381, .external_lex_state = 3},
  [20650] = {.lex_state = 381, .external_lex_state = 3},
  [20651] = {.lex_state = 381, .external_lex_state = 3},
  [20652] = {.lex_state = 381, .external_lex_state = 3},
  [20653] = {.lex_state = 381, .external_lex_state = 3},
  [20654] = {.lex_state = 381, .external_lex_state = 3},
  [20655] = {.lex_state = 381, .external_lex_state = 3},
  [20656] = {.lex_state = 381, .external_lex_state = 3},
  [20657] = {.lex_state = 36, .external_lex_state = 3},
  [20658] = {.lex_state = 132, .external_lex_state = 3},
  [20659] = {.lex_state = 132, .external_lex_state = 3},
  [20660] = {.lex_state = 132, .external_lex_state = 3},
  [20661] = {.lex_state = 36, .external_lex_state = 3},
  [20662] = {.lex_state = 15, .external_lex_state = 3},
  [20663] = {.lex_state = 411, .external_lex_state = 3},
  [20664] = {.lex_state = 381, .external_lex_state = 3},
  [20665] = {.lex_state = 411, .external_lex_state = 3},
  [20666] = {.lex_state = 411, .external_lex_state = 3},
  [20667] = {.lex_state = 36, .external_lex_state = 3},
  [20668] = {.lex_state = 411, .external_lex_state = 3},
  [20669] = {.lex_state = 381, .external_lex_state = 3},
  [20670] = {.lex_state = 381, .external_lex_state = 3},
  [20671] = {.lex_state = 381, .external_lex_state = 2},
  [20672] = {.lex_state = 381, .external_lex_state = 3},
  [20673] = {.lex_state = 381, .external_lex_state = 3},
  [20674] = {.lex_state = 411, .external_lex_state = 3},
  [20675] = {.lex_state = 411, .external_lex_state = 3},
  [20676] = {.lex_state = 381, .external_lex_state = 3},
  [20677] = {.lex_state = 381, .external_lex_state = 3},
  [20678] = {.lex_state = 132, .external_lex_state = 3},
  [20679] = {.lex_state = 15, .external_lex_state = 3},
  [20680] = {.lex_state = 36, .external_lex_state = 3},
  [20681] = {.lex_state = 381, .external_lex_state = 3},
  [20682] = {.lex_state = 381, .external_lex_state = 3},
  [20683] = {.lex_state = 381, .external_lex_state = 3},
  [20684] = {.lex_state = 381, .external_lex_state = 3},
  [20685] = {.lex_state = 381, .external_lex_state = 3},
  [20686] = {.lex_state = 381, .external_lex_state = 3},
  [20687] = {.lex_state = 381, .external_lex_state = 3},
  [20688] = {.lex_state = 381, .external_lex_state = 3},
  [20689] = {.lex_state = 381, .external_lex_state = 3},
  [20690] = {.lex_state = 381, .external_lex_state = 3},
  [20691] = {.lex_state = 381, .external_lex_state = 3},
  [20692] = {.lex_state = 381, .external_lex_state = 3},
  [20693] = {.lex_state = 381, .external_lex_state = 3},
  [20694] = {.lex_state = 381, .external_lex_state = 3},
  [20695] = {.lex_state = 381, .external_lex_state = 3},
  [20696] = {.lex_state = 381, .external_lex_state = 3},
  [20697] = {.lex_state = 381, .external_lex_state = 3},
  [20698] = {.lex_state = 381, .external_lex_state = 3},
  [20699] = {.lex_state = 36, .external_lex_state = 3},
  [20700] = {.lex_state = 411, .external_lex_state = 3},
  [20701] = {.lex_state = 381, .external_lex_state = 3},
  [20702] = {.lex_state = 381, .external_lex_state = 3},
  [20703] = {.lex_state = 411, .external_lex_state = 3},
  [20704] = {.lex_state = 411, .external_lex_state = 3},
  [20705] = {.lex_state = 36, .external_lex_state = 3},
  [20706] = {.lex_state = 381, .external_lex_state = 3},
  [20707] = {.lex_state = 381, .external_lex_state = 3},
  [20708] = {.lex_state = 381, .external_lex_state = 3},
  [20709] = {.lex_state = 381, .external_lex_state = 3},
  [20710] = {.lex_state = 381, .external_lex_state = 3},
  [20711] = {.lex_state = 381, .external_lex_state = 3},
  [20712] = {.lex_state = 411, .external_lex_state = 3},
  [20713] = {.lex_state = 411, .external_lex_state = 3},
  [20714] = {.lex_state = 381, .external_lex_state = 3},
  [20715] = {.lex_state = 381, .external_lex_state = 3},
  [20716] = {.lex_state = 381, .external_lex_state = 3},
  [20717] = {.lex_state = 411, .external_lex_state = 3},
  [20718] = {.lex_state = 36, .external_lex_state = 3},
  [20719] = {.lex_state = 381, .external_lex_state = 2},
  [20720] = {.lex_state = 381, .external_lex_state = 3},
  [20721] = {.lex_state = 411, .external_lex_state = 3},
  [20722] = {.lex_state = 381, .external_lex_state = 3},
  [20723] = {.lex_state = 381, .external_lex_state = 3},
  [20724] = {.lex_state = 381, .external_lex_state = 3},
  [20725] = {.lex_state = 381, .external_lex_state = 3},
  [20726] = {.lex_state = 381, .external_lex_state = 3},
  [20727] = {.lex_state = 381, .external_lex_state = 3},
  [20728] = {.lex_state = 381, .external_lex_state = 3},
  [20729] = {.lex_state = 381, .external_lex_state = 3},
  [20730] = {.lex_state = 381, .external_lex_state = 3},
  [20731] = {.lex_state = 381, .external_lex_state = 3},
  [20732] = {.lex_state = 381, .external_lex_state = 3},
  [20733] = {.lex_state = 381, .external_lex_state = 3},
  [20734] = {.lex_state = 381, .external_lex_state = 3},
  [20735] = {.lex_state = 381, .external_lex_state = 2},
  [20736] = {.lex_state = 381, .external_lex_state = 3},
  [20737] = {.lex_state = 36, .external_lex_state = 3},
  [20738] = {.lex_state = 381, .external_lex_state = 3},
  [20739] = {.lex_state = 381, .external_lex_state = 3},
  [20740] = {.lex_state = 411, .external_lex_state = 3},
  [20741] = {.lex_state = 411, .external_lex_state = 3},
  [20742] = {.lex_state = 36, .external_lex_state = 3},
  [20743] = {.lex_state = 381, .external_lex_state = 3},
  [20744] = {.lex_state = 132, .external_lex_state = 3},
  [20745] = {.lex_state = 381, .external_lex_state = 3},
  [20746] = {.lex_state = 15, .external_lex_state = 3},
  [20747] = {.lex_state = 381, .external_lex_state = 3},
  [20748] = {.lex_state = 381, .external_lex_state = 3},
  [20749] = {.lex_state = 411, .external_lex_state = 3},
  [20750] = {.lex_state = 411, .external_lex_state = 3},
  [20751] = {.lex_state = 381, .external_lex_state = 3},
  [20752] = {.lex_state = 381, .external_lex_state = 3},
  [20753] = {.lex_state = 381, .external_lex_state = 3},
  [20754] = {.lex_state = 381, .external_lex_state = 3},
  [20755] = {.lex_state = 36, .external_lex_state = 3},
  [20756] = {.lex_state = 381, .external_lex_state = 3},
  [20757] = {.lex_state = 381, .external_lex_state = 3},
  [20758] = {.lex_state = 411, .external_lex_state = 3},
  [20759] = {.lex_state = 36, .external_lex_state = 3},
  [20760] = {.lex_state = 381, .external_lex_state = 3},
  [20761] = {.lex_state = 381, .external_lex_state = 2},
  [20762] = {.lex_state = 381, .external_lex_state = 3},
  [20763] = {.lex_state = 36, .external_lex_state = 3},
  [20764] = {.lex_state = 381, .external_lex_state = 3},
  [20765] = {.lex_state = 381, .external_lex_state = 3},
  [20766] = {.lex_state = 381, .external_lex_state = 3},
  [20767] = {.lex_state = 381, .external_lex_state = 3},
  [20768] = {.lex_state = 381, .external_lex_state = 3},
  [20769] = {.lex_state = 381, .external_lex_state = 3},
  [20770] = {.lex_state = 381, .external_lex_state = 3},
  [20771] = {.lex_state = 381, .external_lex_state = 3},
  [20772] = {.lex_state = 36, .external_lex_state = 3},
  [20773] = {.lex_state = 381, .external_lex_state = 3},
  [20774] = {.lex_state = 36, .external_lex_state = 3},
  [20775] = {.lex_state = 381, .external_lex_state = 3},
  [20776] = {.lex_state = 411, .external_lex_state = 3},
  [20777] = {.lex_state = 411, .external_lex_state = 3},
  [20778] = {.lex_state = 411, .external_lex_state = 3},
  [20779] = {.lex_state = 36, .external_lex_state = 3},
  [20780] = {.lex_state = 381, .external_lex_state = 3},
  [20781] = {.lex_state = 36, .external_lex_state = 3},
  [20782] = {.lex_state = 132, .external_lex_state = 3},
  [20783] = {.lex_state = 381, .external_lex_state = 3},
  [20784] = {.lex_state = 36, .external_lex_state = 3},
  [20785] = {.lex_state = 411, .external_lex_state = 3},
  [20786] = {.lex_state = 411, .external_lex_state = 3},
  [20787] = {.lex_state = 411, .external_lex_state = 3},
  [20788] = {.lex_state = 381, .external_lex_state = 3},
  [20789] = {.lex_state = 411, .external_lex_state = 3},
  [20790] = {.lex_state = 381, .external_lex_state = 3},
  [20791] = {.lex_state = 132, .external_lex_state = 3},
  [20792] = {.lex_state = 36, .external_lex_state = 3},
  [20793] = {.lex_state = 411, .external_lex_state = 3},
  [20794] = {.lex_state = 36, .external_lex_state = 3},
  [20795] = {.lex_state = 411, .external_lex_state = 3},
  [20796] = {.lex_state = 132, .external_lex_state = 3},
  [20797] = {.lex_state = 381, .external_lex_state = 3},
  [20798] = {.lex_state = 132, .external_lex_state = 3},
  [20799] = {.lex_state = 132, .external_lex_state = 3},
  [20800] = {.lex_state = 381, .external_lex_state = 3},
  [20801] = {.lex_state = 381, .external_lex_state = 3},
  [20802] = {.lex_state = 381, .external_lex_state = 3},
  [20803] = {.lex_state = 381, .external_lex_state = 3},
  [20804] = {.lex_state = 381, .external_lex_state = 3},
  [20805] = {.lex_state = 381, .external_lex_state = 3},
  [20806] = {.lex_state = 381, .external_lex_state = 3},
  [20807] = {.lex_state = 381, .external_lex_state = 3},
  [20808] = {.lex_state = 381, .external_lex_state = 3},
  [20809] = {.lex_state = 411, .external_lex_state = 3},
  [20810] = {.lex_state = 381, .external_lex_state = 3},
  [20811] = {.lex_state = 36, .external_lex_state = 3},
  [20812] = {.lex_state = 381, .external_lex_state = 3},
  [20813] = {.lex_state = 36, .external_lex_state = 3},
  [20814] = {.lex_state = 381, .external_lex_state = 2},
  [20815] = {.lex_state = 411, .external_lex_state = 3},
  [20816] = {.lex_state = 381, .external_lex_state = 3},
  [20817] = {.lex_state = 36, .external_lex_state = 3},
  [20818] = {.lex_state = 411, .external_lex_state = 3},
  [20819] = {.lex_state = 381, .external_lex_state = 2},
  [20820] = {.lex_state = 381, .external_lex_state = 2},
  [20821] = {.lex_state = 381, .external_lex_state = 3},
  [20822] = {.lex_state = 381, .external_lex_state = 3},
  [20823] = {.lex_state = 381, .external_lex_state = 3},
  [20824] = {.lex_state = 381, .external_lex_state = 3},
  [20825] = {.lex_state = 381, .external_lex_state = 3},
  [20826] = {.lex_state = 381, .external_lex_state = 3},
  [20827] = {.lex_state = 411, .external_lex_state = 3},
  [20828] = {.lex_state = 15, .external_lex_state = 3},
  [20829] = {.lex_state = 132, .external_lex_state = 3},
  [20830] = {.lex_state = 381, .external_lex_state = 3},
  [20831] = {.lex_state = 36, .external_lex_state = 3},
  [20832] = {.lex_state = 381, .external_lex_state = 3},
  [20833] = {.lex_state = 381, .external_lex_state = 3},
  [20834] = {.lex_state = 132, .external_lex_state = 3},
  [20835] = {.lex_state = 381, .external_lex_state = 3},
  [20836] = {.lex_state = 411, .external_lex_state = 3},
  [20837] = {.lex_state = 381, .external_lex_state = 3},
  [20838] = {.lex_state = 381, .external_lex_state = 3},
  [20839] = {.lex_state = 411, .external_lex_state = 3},
  [20840] = {.lex_state = 381, .external_lex_state = 3},
  [20841] = {.lex_state = 381, .external_lex_state = 3},
  [20842] = {.lex_state = 381, .external_lex_state = 3},
  [20843] = {.lex_state = 381, .external_lex_state = 3},
  [20844] = {.lex_state = 381, .external_lex_state = 3},
  [20845] = {.lex_state = 381, .external_lex_state = 3},
  [20846] = {.lex_state = 36, .external_lex_state = 3},
  [20847] = {.lex_state = 381, .external_lex_state = 3},
  [20848] = {.lex_state = 36, .external_lex_state = 3},
  [20849] = {.lex_state = 381, .external_lex_state = 3},
  [20850] = {.lex_state = 381, .external_lex_state = 3},
  [20851] = {.lex_state = 381, .external_lex_state = 3},
  [20852] = {.lex_state = 381, .external_lex_state = 3},
  [20853] = {.lex_state = 381, .external_lex_state = 3},
  [20854] = {.lex_state = 381, .external_lex_state = 3},
  [20855] = {.lex_state = 381, .external_lex_state = 3},
  [20856] = {.lex_state = 381, .external_lex_state = 3},
  [20857] = {.lex_state = 381, .external_lex_state = 3},
  [20858] = {.lex_state = 381, .external_lex_state = 3},
  [20859] = {.lex_state = 381, .external_lex_state = 3},
  [20860] = {.lex_state = 411, .external_lex_state = 3},
  [20861] = {.lex_state = 381, .external_lex_state = 3},
  [20862] = {.lex_state = 381, .external_lex_state = 3},
  [20863] = {.lex_state = 381, .external_lex_state = 3},
  [20864] = {.lex_state = 381, .external_lex_state = 3},
  [20865] = {.lex_state = 381, .external_lex_state = 2},
  [20866] = {.lex_state = 381, .external_lex_state = 3},
  [20867] = {.lex_state = 381, .external_lex_state = 3},
  [20868] = {.lex_state = 381, .external_lex_state = 3},
  [20869] = {.lex_state = 132, .external_lex_state = 3},
  [20870] = {.lex_state = 132, .external_lex_state = 3},
  [20871] = {.lex_state = 381, .external_lex_state = 3},
  [20872] = {.lex_state = 381, .external_lex_state = 3},
  [20873] = {.lex_state = 381, .external_lex_state = 3},
  [20874] = {.lex_state = 381, .external_lex_state = 3},
  [20875] = {.lex_state = 381, .external_lex_state = 3},
  [20876] = {.lex_state = 132, .external_lex_state = 3},
  [20877] = {.lex_state = 132, .external_lex_state = 3},
  [20878] = {.lex_state = 381, .external_lex_state = 3},
  [20879] = {.lex_state = 381, .external_lex_state = 3},
  [20880] = {.lex_state = 411, .external_lex_state = 3},
  [20881] = {.lex_state = 381, .external_lex_state = 3},
  [20882] = {.lex_state = 381, .external_lex_state = 3},
  [20883] = {.lex_state = 381, .external_lex_state = 3},
  [20884] = {.lex_state = 381, .external_lex_state = 3},
  [20885] = {.lex_state = 381, .external_lex_state = 3},
  [20886] = {.lex_state = 381, .external_lex_state = 3},
  [20887] = {.lex_state = 381, .external_lex_state = 3},
  [20888] = {.lex_state = 381, .external_lex_state = 3},
  [20889] = {.lex_state = 381, .external_lex_state = 3},
  [20890] = {.lex_state = 132, .external_lex_state = 3},
  [20891] = {.lex_state = 381, .external_lex_state = 3},
  [20892] = {.lex_state = 381, .external_lex_state = 3},
  [20893] = {.lex_state = 381, .external_lex_state = 3},
  [20894] = {.lex_state = 381, .external_lex_state = 3},
  [20895] = {.lex_state = 411, .external_lex_state = 3},
  [20896] = {.lex_state = 381, .external_lex_state = 3},
  [20897] = {.lex_state = 381, .external_lex_state = 3},
  [20898] = {.lex_state = 381, .external_lex_state = 3},
  [20899] = {.lex_state = 381, .external_lex_state = 3},
  [20900] = {.lex_state = 381, .external_lex_state = 3},
  [20901] = {.lex_state = 381, .external_lex_state = 3},
  [20902] = {.lex_state = 381, .external_lex_state = 3},
  [20903] = {.lex_state = 381, .external_lex_state = 3},
  [20904] = {.lex_state = 381, .external_lex_state = 3},
  [20905] = {.lex_state = 381, .external_lex_state = 3},
  [20906] = {.lex_state = 411, .external_lex_state = 3},
  [20907] = {.lex_state = 381, .external_lex_state = 3},
  [20908] = {.lex_state = 381, .external_lex_state = 3},
  [20909] = {.lex_state = 381, .external_lex_state = 3},
  [20910] = {.lex_state = 381, .external_lex_state = 3},
  [20911] = {.lex_state = 381, .external_lex_state = 3},
  [20912] = {.lex_state = 381, .external_lex_state = 3},
  [20913] = {.lex_state = 381, .external_lex_state = 3},
  [20914] = {.lex_state = 381, .external_lex_state = 3},
  [20915] = {.lex_state = 381, .external_lex_state = 3},
  [20916] = {.lex_state = 411, .external_lex_state = 3},
  [20917] = {.lex_state = 381, .external_lex_state = 3},
  [20918] = {.lex_state = 381, .external_lex_state = 3},
  [20919] = {.lex_state = 381, .external_lex_state = 2},
  [20920] = {.lex_state = 381, .external_lex_state = 3},
  [20921] = {.lex_state = 381, .external_lex_state = 3},
  [20922] = {.lex_state = 381, .external_lex_state = 3},
  [20923] = {.lex_state = 381, .external_lex_state = 3},
  [20924] = {.lex_state = 381, .external_lex_state = 3},
  [20925] = {.lex_state = 36, .external_lex_state = 3},
  [20926] = {.lex_state = 381, .external_lex_state = 3},
  [20927] = {.lex_state = 381, .external_lex_state = 3},
  [20928] = {.lex_state = 381, .external_lex_state = 3},
  [20929] = {.lex_state = 36, .external_lex_state = 3},
  [20930] = {.lex_state = 381, .external_lex_state = 3},
  [20931] = {.lex_state = 381, .external_lex_state = 3},
  [20932] = {.lex_state = 381, .external_lex_state = 3},
  [20933] = {.lex_state = 381, .external_lex_state = 3},
  [20934] = {.lex_state = 381, .external_lex_state = 3},
  [20935] = {.lex_state = 381, .external_lex_state = 3},
  [20936] = {.lex_state = 381, .external_lex_state = 3},
  [20937] = {.lex_state = 381, .external_lex_state = 3},
  [20938] = {.lex_state = 381, .external_lex_state = 3},
  [20939] = {.lex_state = 15, .external_lex_state = 3},
  [20940] = {.lex_state = 381, .external_lex_state = 3},
  [20941] = {.lex_state = 381, .external_lex_state = 3},
  [20942] = {.lex_state = 381, .external_lex_state = 3},
  [20943] = {.lex_state = 381, .external_lex_state = 3},
  [20944] = {.lex_state = 381, .external_lex_state = 3},
  [20945] = {.lex_state = 411, .external_lex_state = 3},
  [20946] = {.lex_state = 381, .external_lex_state = 3},
  [20947] = {.lex_state = 381, .external_lex_state = 3},
  [20948] = {.lex_state = 36, .external_lex_state = 3},
  [20949] = {.lex_state = 381, .external_lex_state = 3},
  [20950] = {.lex_state = 381, .external_lex_state = 2},
  [20951] = {.lex_state = 381, .external_lex_state = 3},
  [20952] = {.lex_state = 381, .external_lex_state = 3},
  [20953] = {.lex_state = 381, .external_lex_state = 3},
  [20954] = {.lex_state = 381, .external_lex_state = 3},
  [20955] = {.lex_state = 381, .external_lex_state = 3},
  [20956] = {.lex_state = 411, .external_lex_state = 3},
  [20957] = {.lex_state = 381, .external_lex_state = 2},
  [20958] = {.lex_state = 381, .external_lex_state = 3},
  [20959] = {.lex_state = 411, .external_lex_state = 3},
  [20960] = {.lex_state = 381, .external_lex_state = 3},
  [20961] = {.lex_state = 381, .external_lex_state = 3},
  [20962] = {.lex_state = 381, .external_lex_state = 3},
  [20963] = {.lex_state = 381, .external_lex_state = 3},
  [20964] = {.lex_state = 381, .external_lex_state = 3},
  [20965] = {.lex_state = 411, .external_lex_state = 3},
  [20966] = {.lex_state = 381, .external_lex_state = 3},
  [20967] = {.lex_state = 381, .external_lex_state = 2},
  [20968] = {.lex_state = 381, .external_lex_state = 3},
  [20969] = {.lex_state = 381, .external_lex_state = 3},
  [20970] = {.lex_state = 411, .external_lex_state = 3},
  [20971] = {.lex_state = 381, .external_lex_state = 3},
  [20972] = {.lex_state = 15, .external_lex_state = 3},
  [20973] = {.lex_state = 381, .external_lex_state = 3},
  [20974] = {.lex_state = 381, .external_lex_state = 3},
  [20975] = {.lex_state = 381, .external_lex_state = 3},
  [20976] = {.lex_state = 381, .external_lex_state = 3},
  [20977] = {.lex_state = 411, .external_lex_state = 3},
  [20978] = {.lex_state = 381, .external_lex_state = 3},
  [20979] = {.lex_state = 381, .external_lex_state = 3},
  [20980] = {.lex_state = 381, .external_lex_state = 3},
  [20981] = {.lex_state = 381, .external_lex_state = 3},
  [20982] = {.lex_state = 381, .external_lex_state = 3},
  [20983] = {.lex_state = 381, .external_lex_state = 2},
  [20984] = {.lex_state = 411, .external_lex_state = 3},
  [20985] = {.lex_state = 411, .external_lex_state = 3},
  [20986] = {.lex_state = 381, .external_lex_state = 3},
  [20987] = {.lex_state = 381, .external_lex_state = 3},
  [20988] = {.lex_state = 381, .external_lex_state = 2},
  [20989] = {.lex_state = 381, .external_lex_state = 3},
  [20990] = {.lex_state = 381, .external_lex_state = 3},
  [20991] = {.lex_state = 381, .external_lex_state = 3},
  [20992] = {.lex_state = 381, .external_lex_state = 3},
  [20993] = {.lex_state = 381, .external_lex_state = 3},
  [20994] = {.lex_state = 15, .external_lex_state = 3},
  [20995] = {.lex_state = 381, .external_lex_state = 3},
  [20996] = {.lex_state = 381, .external_lex_state = 3},
  [20997] = {.lex_state = 381, .external_lex_state = 3},
  [20998] = {.lex_state = 36, .external_lex_state = 3},
  [20999] = {.lex_state = 381, .external_lex_state = 3},
  [21000] = {.lex_state = 36, .external_lex_state = 3},
  [21001] = {.lex_state = 381, .external_lex_state = 3},
  [21002] = {.lex_state = 381, .external_lex_state = 3},
  [21003] = {.lex_state = 381, .external_lex_state = 3},
  [21004] = {.lex_state = 381, .external_lex_state = 3},
  [21005] = {.lex_state = 381, .external_lex_state = 3},
  [21006] = {.lex_state = 381, .external_lex_state = 3},
  [21007] = {.lex_state = 381, .external_lex_state = 3},
  [21008] = {.lex_state = 36, .external_lex_state = 3},
  [21009] = {.lex_state = 411, .external_lex_state = 3},
  [21010] = {.lex_state = 381, .external_lex_state = 2},
  [21011] = {.lex_state = 411, .external_lex_state = 3},
  [21012] = {.lex_state = 381, .external_lex_state = 3},
  [21013] = {.lex_state = 381, .external_lex_state = 3},
  [21014] = {.lex_state = 411, .external_lex_state = 3},
  [21015] = {.lex_state = 36, .external_lex_state = 3},
  [21016] = {.lex_state = 36, .external_lex_state = 3},
  [21017] = {.lex_state = 381, .external_lex_state = 3},
  [21018] = {.lex_state = 381, .external_lex_state = 3},
  [21019] = {.lex_state = 381, .external_lex_state = 3},
  [21020] = {.lex_state = 381, .external_lex_state = 3},
  [21021] = {.lex_state = 381, .external_lex_state = 3},
  [21022] = {.lex_state = 381, .external_lex_state = 3},
  [21023] = {.lex_state = 381, .external_lex_state = 3},
  [21024] = {.lex_state = 381, .external_lex_state = 3},
  [21025] = {.lex_state = 381, .external_lex_state = 3},
  [21026] = {.lex_state = 411, .external_lex_state = 3},
  [21027] = {.lex_state = 381, .external_lex_state = 3},
  [21028] = {.lex_state = 381, .external_lex_state = 3},
  [21029] = {.lex_state = 381, .external_lex_state = 3},
  [21030] = {.lex_state = 381, .external_lex_state = 3},
  [21031] = {.lex_state = 132, .external_lex_state = 3},
  [21032] = {.lex_state = 411, .external_lex_state = 3},
  [21033] = {.lex_state = 411, .external_lex_state = 3},
  [21034] = {.lex_state = 381, .external_lex_state = 2},
  [21035] = {.lex_state = 381, .external_lex_state = 3},
  [21036] = {.lex_state = 381, .external_lex_state = 3},
  [21037] = {.lex_state = 411, .external_lex_state = 3},
  [21038] = {.lex_state = 381, .external_lex_state = 3},
  [21039] = {.lex_state = 411, .external_lex_state = 3},
  [21040] = {.lex_state = 381, .external_lex_state = 2},
  [21041] = {.lex_state = 381, .external_lex_state = 3},
  [21042] = {.lex_state = 381, .external_lex_state = 3},
  [21043] = {.lex_state = 15, .external_lex_state = 3},
  [21044] = {.lex_state = 132, .external_lex_state = 3},
  [21045] = {.lex_state = 381, .external_lex_state = 3},
  [21046] = {.lex_state = 36, .external_lex_state = 3},
  [21047] = {.lex_state = 381, .external_lex_state = 3},
  [21048] = {.lex_state = 381, .external_lex_state = 3},
  [21049] = {.lex_state = 381, .external_lex_state = 3},
  [21050] = {.lex_state = 381, .external_lex_state = 3},
  [21051] = {.lex_state = 381, .external_lex_state = 3},
  [21052] = {.lex_state = 381, .external_lex_state = 3},
  [21053] = {.lex_state = 381, .external_lex_state = 3},
  [21054] = {.lex_state = 381, .external_lex_state = 3},
  [21055] = {.lex_state = 381, .external_lex_state = 3},
  [21056] = {.lex_state = 381, .external_lex_state = 3},
  [21057] = {.lex_state = 381, .external_lex_state = 3},
  [21058] = {.lex_state = 381, .external_lex_state = 3},
  [21059] = {.lex_state = 381, .external_lex_state = 3},
  [21060] = {.lex_state = 381, .external_lex_state = 3},
  [21061] = {.lex_state = 381, .external_lex_state = 3},
  [21062] = {.lex_state = 381, .external_lex_state = 3},
  [21063] = {.lex_state = 381, .external_lex_state = 3},
  [21064] = {.lex_state = 381, .external_lex_state = 3},
  [21065] = {.lex_state = 381, .external_lex_state = 3},
  [21066] = {.lex_state = 411, .external_lex_state = 3},
  [21067] = {.lex_state = 381, .external_lex_state = 3},
  [21068] = {.lex_state = 381, .external_lex_state = 2},
  [21069] = {.lex_state = 381, .external_lex_state = 3},
  [21070] = {.lex_state = 381, .external_lex_state = 3},
  [21071] = {.lex_state = 381, .external_lex_state = 3},
  [21072] = {.lex_state = 381, .external_lex_state = 3},
  [21073] = {.lex_state = 381, .external_lex_state = 3},
  [21074] = {.lex_state = 381, .external_lex_state = 3},
  [21075] = {.lex_state = 132, .external_lex_state = 3},
  [21076] = {.lex_state = 132, .external_lex_state = 3},
  [21077] = {.lex_state = 381, .external_lex_state = 3},
  [21078] = {.lex_state = 411, .external_lex_state = 3},
  [21079] = {.lex_state = 381, .external_lex_state = 3},
  [21080] = {.lex_state = 15, .external_lex_state = 3},
  [21081] = {.lex_state = 381, .external_lex_state = 3},
  [21082] = {.lex_state = 381, .external_lex_state = 3},
  [21083] = {.lex_state = 411, .external_lex_state = 3},
  [21084] = {.lex_state = 381, .external_lex_state = 3},
  [21085] = {.lex_state = 381, .external_lex_state = 3},
  [21086] = {.lex_state = 381, .external_lex_state = 3},
  [21087] = {.lex_state = 381, .external_lex_state = 3},
  [21088] = {.lex_state = 381, .external_lex_state = 3},
  [21089] = {.lex_state = 381, .external_lex_state = 3},
  [21090] = {.lex_state = 381, .external_lex_state = 3},
  [21091] = {.lex_state = 381, .external_lex_state = 3},
  [21092] = {.lex_state = 381, .external_lex_state = 3},
  [21093] = {.lex_state = 381, .external_lex_state = 3},
  [21094] = {.lex_state = 381, .external_lex_state = 3},
  [21095] = {.lex_state = 381, .external_lex_state = 3},
  [21096] = {.lex_state = 381, .external_lex_state = 3},
  [21097] = {.lex_state = 15, .external_lex_state = 3},
  [21098] = {.lex_state = 381, .external_lex_state = 3},
  [21099] = {.lex_state = 381, .external_lex_state = 3},
  [21100] = {.lex_state = 381, .external_lex_state = 3},
  [21101] = {.lex_state = 381, .external_lex_state = 3},
  [21102] = {.lex_state = 381, .external_lex_state = 3},
  [21103] = {.lex_state = 381, .external_lex_state = 3},
  [21104] = {.lex_state = 381, .external_lex_state = 3},
  [21105] = {.lex_state = 387, .external_lex_state = 3},
  [21106] = {.lex_state = 387, .external_lex_state = 3},
  [21107] = {.lex_state = 387, .external_lex_state = 3},
  [21108] = {.lex_state = 381, .external_lex_state = 3},
  [21109] = {.lex_state = 381, .external_lex_state = 3},
  [21110] = {.lex_state = 381, .external_lex_state = 3},
  [21111] = {.lex_state = 381, .external_lex_state = 3},
  [21112] = {.lex_state = 381, .external_lex_state = 3},
  [21113] = {.lex_state = 381, .external_lex_state = 3},
  [21114] = {.lex_state = 381, .external_lex_state = 3},
  [21115] = {.lex_state = 381, .external_lex_state = 3},
  [21116] = {.lex_state = 381, .external_lex_state = 3},
  [21117] = {.lex_state = 15, .external_lex_state = 3},
  [21118] = {.lex_state = 381, .external_lex_state = 3},
  [21119] = {.lex_state = 381, .external_lex_state = 3},
  [21120] = {.lex_state = 381, .external_lex_state = 3},
  [21121] = {.lex_state = 381, .external_lex_state = 3},
  [21122] = {.lex_state = 381, .external_lex_state = 3},
  [21123] = {.lex_state = 381, .external_lex_state = 3},
  [21124] = {.lex_state = 381, .external_lex_state = 3},
  [21125] = {.lex_state = 381, .external_lex_state = 3},
  [21126] = {.lex_state = 381, .external_lex_state = 3},
  [21127] = {.lex_state = 381, .external_lex_state = 3},
  [21128] = {.lex_state = 381, .external_lex_state = 3},
  [21129] = {.lex_state = 381, .external_lex_state = 3},
  [21130] = {.lex_state = 381, .external_lex_state = 3},
  [21131] = {.lex_state = 381, .external_lex_state = 3},
  [21132] = {.lex_state = 381, .external_lex_state = 3},
  [21133] = {.lex_state = 381, .external_lex_state = 3},
  [21134] = {.lex_state = 411, .external_lex_state = 3},
  [21135] = {.lex_state = 381, .external_lex_state = 3},
  [21136] = {.lex_state = 381, .external_lex_state = 3},
  [21137] = {.lex_state = 381, .external_lex_state = 3},
  [21138] = {.lex_state = 381, .external_lex_state = 3},
  [21139] = {.lex_state = 381, .external_lex_state = 3},
  [21140] = {.lex_state = 381, .external_lex_state = 3},
  [21141] = {.lex_state = 381, .external_lex_state = 3},
  [21142] = {.lex_state = 381, .external_lex_state = 3},
  [21143] = {.lex_state = 381, .external_lex_state = 3},
  [21144] = {.lex_state = 381, .external_lex_state = 3},
  [21145] = {.lex_state = 381, .external_lex_state = 3},
  [21146] = {.lex_state = 381, .external_lex_state = 3},
  [21147] = {.lex_state = 381, .external_lex_state = 3},
  [21148] = {.lex_state = 381, .external_lex_state = 3},
  [21149] = {.lex_state = 381, .external_lex_state = 3},
  [21150] = {.lex_state = 381, .external_lex_state = 3},
  [21151] = {.lex_state = 132, .external_lex_state = 3},
  [21152] = {.lex_state = 132, .external_lex_state = 3},
  [21153] = {.lex_state = 381, .external_lex_state = 3},
  [21154] = {.lex_state = 132, .external_lex_state = 3},
  [21155] = {.lex_state = 381, .external_lex_state = 3},
  [21156] = {.lex_state = 15, .external_lex_state = 3},
  [21157] = {.lex_state = 381, .external_lex_state = 3},
  [21158] = {.lex_state = 381, .external_lex_state = 3},
  [21159] = {.lex_state = 381, .external_lex_state = 3},
  [21160] = {.lex_state = 132, .external_lex_state = 3},
  [21161] = {.lex_state = 381, .external_lex_state = 3},
  [21162] = {.lex_state = 381, .external_lex_state = 3},
  [21163] = {.lex_state = 381, .external_lex_state = 3},
  [21164] = {.lex_state = 381, .external_lex_state = 3},
  [21165] = {.lex_state = 381, .external_lex_state = 3},
  [21166] = {.lex_state = 381, .external_lex_state = 3},
  [21167] = {.lex_state = 381, .external_lex_state = 3},
  [21168] = {.lex_state = 36, .external_lex_state = 3},
  [21169] = {.lex_state = 411, .external_lex_state = 3},
  [21170] = {.lex_state = 381, .external_lex_state = 3},
  [21171] = {.lex_state = 381, .external_lex_state = 3},
  [21172] = {.lex_state = 381, .external_lex_state = 3},
  [21173] = {.lex_state = 381, .external_lex_state = 3},
  [21174] = {.lex_state = 381, .external_lex_state = 3},
  [21175] = {.lex_state = 381, .external_lex_state = 3},
  [21176] = {.lex_state = 381, .external_lex_state = 3},
  [21177] = {.lex_state = 381, .external_lex_state = 3},
  [21178] = {.lex_state = 414, .external_lex_state = 3},
  [21179] = {.lex_state = 381, .external_lex_state = 3},
  [21180] = {.lex_state = 36, .external_lex_state = 3},
  [21181] = {.lex_state = 381, .external_lex_state = 3},
  [21182] = {.lex_state = 381, .external_lex_state = 3},
  [21183] = {.lex_state = 381, .external_lex_state = 3},
  [21184] = {.lex_state = 381, .external_lex_state = 3},
  [21185] = {.lex_state = 381, .external_lex_state = 3},
  [21186] = {.lex_state = 411, .external_lex_state = 3},
  [21187] = {.lex_state = 411, .external_lex_state = 3},
  [21188] = {.lex_state = 381, .external_lex_state = 3},
  [21189] = {.lex_state = 36, .external_lex_state = 3},
  [21190] = {.lex_state = 381, .external_lex_state = 3},
  [21191] = {.lex_state = 411, .external_lex_state = 3},
  [21192] = {.lex_state = 381, .external_lex_state = 2},
  [21193] = {.lex_state = 381, .external_lex_state = 3},
  [21194] = {.lex_state = 381, .external_lex_state = 3},
  [21195] = {.lex_state = 381, .external_lex_state = 3},
  [21196] = {.lex_state = 381, .external_lex_state = 3},
  [21197] = {.lex_state = 381, .external_lex_state = 3},
  [21198] = {.lex_state = 381, .external_lex_state = 3},
  [21199] = {.lex_state = 15, .external_lex_state = 3},
  [21200] = {.lex_state = 381, .external_lex_state = 3},
  [21201] = {.lex_state = 381, .external_lex_state = 3},
  [21202] = {.lex_state = 381, .external_lex_state = 3},
  [21203] = {.lex_state = 381, .external_lex_state = 3},
  [21204] = {.lex_state = 381, .external_lex_state = 3},
  [21205] = {.lex_state = 381, .external_lex_state = 3},
  [21206] = {.lex_state = 381, .external_lex_state = 3},
  [21207] = {.lex_state = 15, .external_lex_state = 3},
  [21208] = {.lex_state = 36, .external_lex_state = 3},
  [21209] = {.lex_state = 381, .external_lex_state = 3},
  [21210] = {.lex_state = 381, .external_lex_state = 3},
  [21211] = {.lex_state = 381, .external_lex_state = 3},
  [21212] = {.lex_state = 411, .external_lex_state = 3},
  [21213] = {.lex_state = 381, .external_lex_state = 3},
  [21214] = {.lex_state = 381, .external_lex_state = 3},
  [21215] = {.lex_state = 381, .external_lex_state = 3},
  [21216] = {.lex_state = 411, .external_lex_state = 3},
  [21217] = {.lex_state = 381, .external_lex_state = 3},
  [21218] = {.lex_state = 36, .external_lex_state = 3},
  [21219] = {.lex_state = 381, .external_lex_state = 3},
  [21220] = {.lex_state = 381, .external_lex_state = 3},
  [21221] = {.lex_state = 381, .external_lex_state = 3},
  [21222] = {.lex_state = 387, .external_lex_state = 3},
  [21223] = {.lex_state = 387, .external_lex_state = 3},
  [21224] = {.lex_state = 387, .external_lex_state = 3},
  [21225] = {.lex_state = 381, .external_lex_state = 3},
  [21226] = {.lex_state = 381, .external_lex_state = 3},
  [21227] = {.lex_state = 381, .external_lex_state = 3},
  [21228] = {.lex_state = 381, .external_lex_state = 3},
  [21229] = {.lex_state = 381, .external_lex_state = 3},
  [21230] = {.lex_state = 381, .external_lex_state = 3},
  [21231] = {.lex_state = 381, .external_lex_state = 3},
  [21232] = {.lex_state = 381, .external_lex_state = 3},
  [21233] = {.lex_state = 381, .external_lex_state = 3},
  [21234] = {.lex_state = 381, .external_lex_state = 3},
  [21235] = {.lex_state = 381, .external_lex_state = 3},
  [21236] = {.lex_state = 411, .external_lex_state = 3},
  [21237] = {.lex_state = 381, .external_lex_state = 3},
  [21238] = {.lex_state = 381, .external_lex_state = 3},
  [21239] = {.lex_state = 381, .external_lex_state = 3},
  [21240] = {.lex_state = 381, .external_lex_state = 3},
  [21241] = {.lex_state = 381, .external_lex_state = 3},
  [21242] = {.lex_state = 381, .external_lex_state = 3},
  [21243] = {.lex_state = 381, .external_lex_state = 3},
  [21244] = {.lex_state = 411, .external_lex_state = 3},
  [21245] = {.lex_state = 381, .external_lex_state = 3},
  [21246] = {.lex_state = 381, .external_lex_state = 3},
  [21247] = {.lex_state = 411, .external_lex_state = 3},
  [21248] = {.lex_state = 381, .external_lex_state = 3},
  [21249] = {.lex_state = 381, .external_lex_state = 3},
  [21250] = {.lex_state = 381, .external_lex_state = 3},
  [21251] = {.lex_state = 381, .external_lex_state = 3},
  [21252] = {.lex_state = 381, .external_lex_state = 3},
  [21253] = {.lex_state = 381, .external_lex_state = 3},
  [21254] = {.lex_state = 381, .external_lex_state = 3},
  [21255] = {.lex_state = 132, .external_lex_state = 3},
  [21256] = {.lex_state = 381, .external_lex_state = 3},
  [21257] = {.lex_state = 381, .external_lex_state = 3},
  [21258] = {.lex_state = 381, .external_lex_state = 3},
  [21259] = {.lex_state = 381, .external_lex_state = 3},
  [21260] = {.lex_state = 381, .external_lex_state = 3},
  [21261] = {.lex_state = 36, .external_lex_state = 3},
  [21262] = {.lex_state = 381, .external_lex_state = 3},
  [21263] = {.lex_state = 381, .external_lex_state = 3},
  [21264] = {.lex_state = 381, .external_lex_state = 3},
  [21265] = {.lex_state = 381, .external_lex_state = 3},
  [21266] = {.lex_state = 411, .external_lex_state = 3},
  [21267] = {.lex_state = 381, .external_lex_state = 3},
  [21268] = {.lex_state = 381, .external_lex_state = 3},
  [21269] = {.lex_state = 381, .external_lex_state = 3},
  [21270] = {.lex_state = 381, .external_lex_state = 3},
  [21271] = {.lex_state = 381, .external_lex_state = 3},
  [21272] = {.lex_state = 381, .external_lex_state = 3},
  [21273] = {.lex_state = 381, .external_lex_state = 3},
  [21274] = {.lex_state = 381, .external_lex_state = 3},
  [21275] = {.lex_state = 381, .external_lex_state = 3},
  [21276] = {.lex_state = 381, .external_lex_state = 3},
  [21277] = {.lex_state = 381, .external_lex_state = 3},
  [21278] = {.lex_state = 381, .external_lex_state = 3},
  [21279] = {.lex_state = 381, .external_lex_state = 3},
  [21280] = {.lex_state = 381, .external_lex_state = 3},
  [21281] = {.lex_state = 15, .external_lex_state = 3},
  [21282] = {.lex_state = 381, .external_lex_state = 3},
  [21283] = {.lex_state = 381, .external_lex_state = 3},
  [21284] = {.lex_state = 381, .external_lex_state = 3},
  [21285] = {.lex_state = 381, .external_lex_state = 3},
  [21286] = {.lex_state = 381, .external_lex_state = 3},
  [21287] = {.lex_state = 381, .external_lex_state = 3},
  [21288] = {.lex_state = 381, .external_lex_state = 3},
  [21289] = {.lex_state = 381, .external_lex_state = 3},
  [21290] = {.lex_state = 381, .external_lex_state = 3},
  [21291] = {.lex_state = 381, .external_lex_state = 3},
  [21292] = {.lex_state = 381, .external_lex_state = 3},
  [21293] = {.lex_state = 381, .external_lex_state = 3},
  [21294] = {.lex_state = 381, .external_lex_state = 3},
  [21295] = {.lex_state = 381, .external_lex_state = 3},
  [21296] = {.lex_state = 387, .external_lex_state = 3},
  [21297] = {.lex_state = 387, .external_lex_state = 3},
  [21298] = {.lex_state = 387, .external_lex_state = 3},
  [21299] = {.lex_state = 381, .external_lex_state = 3},
  [21300] = {.lex_state = 381, .external_lex_state = 3},
  [21301] = {.lex_state = 381, .external_lex_state = 3},
  [21302] = {.lex_state = 381, .external_lex_state = 3},
  [21303] = {.lex_state = 381, .external_lex_state = 3},
  [21304] = {.lex_state = 381, .external_lex_state = 3},
  [21305] = {.lex_state = 381, .external_lex_state = 3},
  [21306] = {.lex_state = 381, .external_lex_state = 3},
  [21307] = {.lex_state = 381, .external_lex_state = 3},
  [21308] = {.lex_state = 381, .external_lex_state = 3},
  [21309] = {.lex_state = 381, .external_lex_state = 3},
  [21310] = {.lex_state = 381, .external_lex_state = 3},
  [21311] = {.lex_state = 381, .external_lex_state = 3},
  [21312] = {.lex_state = 381, .external_lex_state = 3},
  [21313] = {.lex_state = 132, .external_lex_state = 3},
  [21314] = {.lex_state = 132, .external_lex_state = 3},
  [21315] = {.lex_state = 132, .external_lex_state = 3},
  [21316] = {.lex_state = 381, .external_lex_state = 3},
  [21317] = {.lex_state = 381, .external_lex_state = 3},
  [21318] = {.lex_state = 381, .external_lex_state = 3},
  [21319] = {.lex_state = 381, .external_lex_state = 3},
  [21320] = {.lex_state = 381, .external_lex_state = 3},
  [21321] = {.lex_state = 381, .external_lex_state = 3},
  [21322] = {.lex_state = 132, .external_lex_state = 3},
  [21323] = {.lex_state = 381, .external_lex_state = 3},
  [21324] = {.lex_state = 381, .external_lex_state = 3},
  [21325] = {.lex_state = 381, .external_lex_state = 3},
  [21326] = {.lex_state = 381, .external_lex_state = 3},
  [21327] = {.lex_state = 381, .external_lex_state = 3},
  [21328] = {.lex_state = 381, .external_lex_state = 3},
  [21329] = {.lex_state = 381, .external_lex_state = 3},
  [21330] = {.lex_state = 411, .external_lex_state = 3},
  [21331] = {.lex_state = 381, .external_lex_state = 3},
  [21332] = {.lex_state = 381, .external_lex_state = 3},
  [21333] = {.lex_state = 381, .external_lex_state = 3},
  [21334] = {.lex_state = 381, .external_lex_state = 3},
  [21335] = {.lex_state = 381, .external_lex_state = 3},
  [21336] = {.lex_state = 381, .external_lex_state = 3},
  [21337] = {.lex_state = 381, .external_lex_state = 3},
  [21338] = {.lex_state = 381, .external_lex_state = 3},
  [21339] = {.lex_state = 381, .external_lex_state = 3},
  [21340] = {.lex_state = 381, .external_lex_state = 3},
  [21341] = {.lex_state = 381, .external_lex_state = 2},
  [21342] = {.lex_state = 381, .external_lex_state = 3},
  [21343] = {.lex_state = 381, .external_lex_state = 3},
  [21344] = {.lex_state = 15, .external_lex_state = 3},
  [21345] = {.lex_state = 381, .external_lex_state = 3},
  [21346] = {.lex_state = 15, .external_lex_state = 3},
  [21347] = {.lex_state = 411, .external_lex_state = 3},
  [21348] = {.lex_state = 381, .external_lex_state = 3},
  [21349] = {.lex_state = 381, .external_lex_state = 3},
  [21350] = {.lex_state = 411, .external_lex_state = 3},
  [21351] = {.lex_state = 387, .external_lex_state = 3},
  [21352] = {.lex_state = 387, .external_lex_state = 3},
  [21353] = {.lex_state = 387, .external_lex_state = 3},
  [21354] = {.lex_state = 36, .external_lex_state = 3},
  [21355] = {.lex_state = 381, .external_lex_state = 3},
  [21356] = {.lex_state = 381, .external_lex_state = 3},
  [21357] = {.lex_state = 411, .external_lex_state = 3},
  [21358] = {.lex_state = 381, .external_lex_state = 3},
  [21359] = {.lex_state = 411, .external_lex_state = 3},
  [21360] = {.lex_state = 381, .external_lex_state = 3},
  [21361] = {.lex_state = 381, .external_lex_state = 2},
  [21362] = {.lex_state = 381, .external_lex_state = 3},
  [21363] = {.lex_state = 381, .external_lex_state = 3},
  [21364] = {.lex_state = 15, .external_lex_state = 3},
  [21365] = {.lex_state = 381, .external_lex_state = 3},
  [21366] = {.lex_state = 132, .external_lex_state = 3},
  [21367] = {.lex_state = 132, .external_lex_state = 3},
  [21368] = {.lex_state = 381, .external_lex_state = 3},
  [21369] = {.lex_state = 132, .external_lex_state = 3},
  [21370] = {.lex_state = 381, .external_lex_state = 3},
  [21371] = {.lex_state = 381, .external_lex_state = 3},
  [21372] = {.lex_state = 381, .external_lex_state = 3},
  [21373] = {.lex_state = 381, .external_lex_state = 3},
  [21374] = {.lex_state = 381, .external_lex_state = 3},
  [21375] = {.lex_state = 381, .external_lex_state = 3},
  [21376] = {.lex_state = 381, .external_lex_state = 3},
  [21377] = {.lex_state = 381, .external_lex_state = 3},
  [21378] = {.lex_state = 381, .external_lex_state = 3},
  [21379] = {.lex_state = 381, .external_lex_state = 3},
  [21380] = {.lex_state = 381, .external_lex_state = 3},
  [21381] = {.lex_state = 381, .external_lex_state = 3},
  [21382] = {.lex_state = 15, .external_lex_state = 3},
  [21383] = {.lex_state = 381, .external_lex_state = 3},
  [21384] = {.lex_state = 36, .external_lex_state = 3},
  [21385] = {.lex_state = 381, .external_lex_state = 3},
  [21386] = {.lex_state = 381, .external_lex_state = 3},
  [21387] = {.lex_state = 381, .external_lex_state = 3},
  [21388] = {.lex_state = 381, .external_lex_state = 3},
  [21389] = {.lex_state = 387, .external_lex_state = 3},
  [21390] = {.lex_state = 387, .external_lex_state = 3},
  [21391] = {.lex_state = 387, .external_lex_state = 3},
  [21392] = {.lex_state = 381, .external_lex_state = 3},
  [21393] = {.lex_state = 381, .external_lex_state = 3},
  [21394] = {.lex_state = 36, .external_lex_state = 3},
  [21395] = {.lex_state = 36, .external_lex_state = 3},
  [21396] = {.lex_state = 381, .external_lex_state = 3},
  [21397] = {.lex_state = 411, .external_lex_state = 3},
  [21398] = {.lex_state = 381, .external_lex_state = 3},
  [21399] = {.lex_state = 381, .external_lex_state = 3},
  [21400] = {.lex_state = 132, .external_lex_state = 3},
  [21401] = {.lex_state = 381, .external_lex_state = 3},
  [21402] = {.lex_state = 411, .external_lex_state = 3},
  [21403] = {.lex_state = 381, .external_lex_state = 3},
  [21404] = {.lex_state = 381, .external_lex_state = 3},
  [21405] = {.lex_state = 381, .external_lex_state = 3},
  [21406] = {.lex_state = 411, .external_lex_state = 3},
  [21407] = {.lex_state = 36, .external_lex_state = 3},
  [21408] = {.lex_state = 132, .external_lex_state = 3},
  [21409] = {.lex_state = 381, .external_lex_state = 3},
  [21410] = {.lex_state = 411, .external_lex_state = 3},
  [21411] = {.lex_state = 132, .external_lex_state = 3},
  [21412] = {.lex_state = 381, .external_lex_state = 3},
  [21413] = {.lex_state = 15, .external_lex_state = 3},
  [21414] = {.lex_state = 132, .external_lex_state = 3},
  [21415] = {.lex_state = 381, .external_lex_state = 3},
  [21416] = {.lex_state = 381, .external_lex_state = 3},
  [21417] = {.lex_state = 381, .external_lex_state = 3},
  [21418] = {.lex_state = 381, .external_lex_state = 3},
  [21419] = {.lex_state = 381, .external_lex_state = 3},
  [21420] = {.lex_state = 387, .external_lex_state = 3},
  [21421] = {.lex_state = 387, .external_lex_state = 3},
  [21422] = {.lex_state = 387, .external_lex_state = 3},
  [21423] = {.lex_state = 381, .external_lex_state = 3},
  [21424] = {.lex_state = 381, .external_lex_state = 3},
  [21425] = {.lex_state = 132, .external_lex_state = 3},
  [21426] = {.lex_state = 411, .external_lex_state = 3},
  [21427] = {.lex_state = 132, .external_lex_state = 3},
  [21428] = {.lex_state = 381, .external_lex_state = 3},
  [21429] = {.lex_state = 381, .external_lex_state = 3},
  [21430] = {.lex_state = 381, .external_lex_state = 3},
  [21431] = {.lex_state = 381, .external_lex_state = 3},
  [21432] = {.lex_state = 381, .external_lex_state = 3},
  [21433] = {.lex_state = 132, .external_lex_state = 3},
  [21434] = {.lex_state = 381, .external_lex_state = 3},
  [21435] = {.lex_state = 411, .external_lex_state = 3},
  [21436] = {.lex_state = 381, .external_lex_state = 3},
  [21437] = {.lex_state = 381, .external_lex_state = 3},
  [21438] = {.lex_state = 411, .external_lex_state = 3},
  [21439] = {.lex_state = 381, .external_lex_state = 3},
  [21440] = {.lex_state = 381, .external_lex_state = 3},
  [21441] = {.lex_state = 15, .external_lex_state = 3},
  [21442] = {.lex_state = 381, .external_lex_state = 3},
  [21443] = {.lex_state = 381, .external_lex_state = 3},
  [21444] = {.lex_state = 381, .external_lex_state = 3},
  [21445] = {.lex_state = 387, .external_lex_state = 3},
  [21446] = {.lex_state = 387, .external_lex_state = 3},
  [21447] = {.lex_state = 387, .external_lex_state = 3},
  [21448] = {.lex_state = 381, .external_lex_state = 3},
  [21449] = {.lex_state = 381, .external_lex_state = 3},
  [21450] = {.lex_state = 381, .external_lex_state = 3},
  [21451] = {.lex_state = 381, .external_lex_state = 3},
  [21452] = {.lex_state = 381, .external_lex_state = 3},
  [21453] = {.lex_state = 381, .external_lex_state = 3},
  [21454] = {.lex_state = 36, .external_lex_state = 3},
  [21455] = {.lex_state = 36, .external_lex_state = 3},
  [21456] = {.lex_state = 381, .external_lex_state = 3},
  [21457] = {.lex_state = 132, .external_lex_state = 3},
  [21458] = {.lex_state = 15, .external_lex_state = 3},
  [21459] = {.lex_state = 381, .external_lex_state = 3},
  [21460] = {.lex_state = 381, .external_lex_state = 3},
  [21461] = {.lex_state = 411, .external_lex_state = 3},
  [21462] = {.lex_state = 381, .external_lex_state = 3},
  [21463] = {.lex_state = 381, .external_lex_state = 3},
  [21464] = {.lex_state = 132, .external_lex_state = 3},
  [21465] = {.lex_state = 381, .external_lex_state = 3},
  [21466] = {.lex_state = 15, .external_lex_state = 3},
  [21467] = {.lex_state = 381, .external_lex_state = 3},
  [21468] = {.lex_state = 381, .external_lex_state = 3},
  [21469] = {.lex_state = 387, .external_lex_state = 3},
  [21470] = {.lex_state = 387, .external_lex_state = 3},
  [21471] = {.lex_state = 387, .external_lex_state = 3},
  [21472] = {.lex_state = 381, .external_lex_state = 3},
  [21473] = {.lex_state = 381, .external_lex_state = 3},
  [21474] = {.lex_state = 411, .external_lex_state = 3},
  [21475] = {.lex_state = 381, .external_lex_state = 3},
  [21476] = {.lex_state = 381, .external_lex_state = 3},
  [21477] = {.lex_state = 36, .external_lex_state = 3},
  [21478] = {.lex_state = 132, .external_lex_state = 3},
  [21479] = {.lex_state = 381, .external_lex_state = 3},
  [21480] = {.lex_state = 381, .external_lex_state = 3},
  [21481] = {.lex_state = 381, .external_lex_state = 3},
  [21482] = {.lex_state = 381, .external_lex_state = 3},
  [21483] = {.lex_state = 381, .external_lex_state = 3},
  [21484] = {.lex_state = 381, .external_lex_state = 3},
  [21485] = {.lex_state = 381, .external_lex_state = 3},
  [21486] = {.lex_state = 15, .external_lex_state = 3},
  [21487] = {.lex_state = 132, .external_lex_state = 3},
  [21488] = {.lex_state = 381, .external_lex_state = 3},
  [21489] = {.lex_state = 387, .external_lex_state = 3},
  [21490] = {.lex_state = 387, .external_lex_state = 3},
  [21491] = {.lex_state = 387, .external_lex_state = 3},
  [21492] = {.lex_state = 381, .external_lex_state = 3},
  [21493] = {.lex_state = 381, .external_lex_state = 3},
  [21494] = {.lex_state = 381, .external_lex_state = 3},
  [21495] = {.lex_state = 381, .external_lex_state = 3},
  [21496] = {.lex_state = 15, .external_lex_state = 3},
  [21497] = {.lex_state = 381, .external_lex_state = 3},
  [21498] = {.lex_state = 381, .external_lex_state = 3},
  [21499] = {.lex_state = 381, .external_lex_state = 3},
  [21500] = {.lex_state = 381, .external_lex_state = 3},
  [21501] = {.lex_state = 132, .external_lex_state = 3},
  [21502] = {.lex_state = 15, .external_lex_state = 3},
  [21503] = {.lex_state = 381, .external_lex_state = 3},
  [21504] = {.lex_state = 381, .external_lex_state = 3},
  [21505] = {.lex_state = 15, .external_lex_state = 3},
  [21506] = {.lex_state = 381, .external_lex_state = 3},
  [21507] = {.lex_state = 381, .external_lex_state = 3},
  [21508] = {.lex_state = 387, .external_lex_state = 3},
  [21509] = {.lex_state = 387, .external_lex_state = 3},
  [21510] = {.lex_state = 387, .external_lex_state = 3},
  [21511] = {.lex_state = 381, .external_lex_state = 3},
  [21512] = {.lex_state = 381, .external_lex_state = 3},
  [21513] = {.lex_state = 381, .external_lex_state = 3},
  [21514] = {.lex_state = 381, .external_lex_state = 3},
  [21515] = {.lex_state = 381, .external_lex_state = 3},
  [21516] = {.lex_state = 381, .external_lex_state = 3},
  [21517] = {.lex_state = 381, .external_lex_state = 3},
  [21518] = {.lex_state = 381, .external_lex_state = 3},
  [21519] = {.lex_state = 381, .external_lex_state = 3},
  [21520] = {.lex_state = 132, .external_lex_state = 3},
  [21521] = {.lex_state = 381, .external_lex_state = 3},
  [21522] = {.lex_state = 15, .external_lex_state = 3},
  [21523] = {.lex_state = 132, .external_lex_state = 3},
  [21524] = {.lex_state = 15, .external_lex_state = 3},
  [21525] = {.lex_state = 381, .external_lex_state = 3},
  [21526] = {.lex_state = 381, .external_lex_state = 3},
  [21527] = {.lex_state = 387, .external_lex_state = 3},
  [21528] = {.lex_state = 387, .external_lex_state = 3},
  [21529] = {.lex_state = 387, .external_lex_state = 3},
  [21530] = {.lex_state = 381, .external_lex_state = 3},
  [21531] = {.lex_state = 381, .external_lex_state = 3},
  [21532] = {.lex_state = 381, .external_lex_state = 3},
  [21533] = {.lex_state = 381, .external_lex_state = 3},
  [21534] = {.lex_state = 381, .external_lex_state = 3},
  [21535] = {.lex_state = 381, .external_lex_state = 3},
  [21536] = {.lex_state = 381, .external_lex_state = 3},
  [21537] = {.lex_state = 381, .external_lex_state = 3},
  [21538] = {.lex_state = 381, .external_lex_state = 3},
  [21539] = {.lex_state = 381, .external_lex_state = 3},
  [21540] = {.lex_state = 36, .external_lex_state = 3},
  [21541] = {.lex_state = 15, .external_lex_state = 3},
  [21542] = {.lex_state = 132, .external_lex_state = 3},
  [21543] = {.lex_state = 381, .external_lex_state = 3},
  [21544] = {.lex_state = 387, .external_lex_state = 3},
  [21545] = {.lex_state = 387, .external_lex_state = 3},
  [21546] = {.lex_state = 387, .external_lex_state = 3},
  [21547] = {.lex_state = 411, .external_lex_state = 3},
  [21548] = {.lex_state = 381, .external_lex_state = 3},
  [21549] = {.lex_state = 411, .external_lex_state = 3},
  [21550] = {.lex_state = 381, .external_lex_state = 3},
  [21551] = {.lex_state = 36, .external_lex_state = 3},
  [21552] = {.lex_state = 132, .external_lex_state = 3},
  [21553] = {.lex_state = 381, .external_lex_state = 3},
  [21554] = {.lex_state = 132, .external_lex_state = 3},
  [21555] = {.lex_state = 381, .external_lex_state = 3},
  [21556] = {.lex_state = 381, .external_lex_state = 3},
  [21557] = {.lex_state = 381, .external_lex_state = 3},
  [21558] = {.lex_state = 15, .external_lex_state = 3},
  [21559] = {.lex_state = 36, .external_lex_state = 3},
  [21560] = {.lex_state = 381, .external_lex_state = 3},
  [21561] = {.lex_state = 387, .external_lex_state = 3},
  [21562] = {.lex_state = 387, .external_lex_state = 3},
  [21563] = {.lex_state = 387, .external_lex_state = 3},
  [21564] = {.lex_state = 381, .external_lex_state = 3},
  [21565] = {.lex_state = 381, .external_lex_state = 3},
  [21566] = {.lex_state = 411, .external_lex_state = 3},
  [21567] = {.lex_state = 15, .external_lex_state = 3},
  [21568] = {.lex_state = 411, .external_lex_state = 3},
  [21569] = {.lex_state = 411, .external_lex_state = 3},
  [21570] = {.lex_state = 381, .external_lex_state = 9},
  [21571] = {.lex_state = 381, .external_lex_state = 2},
  [21572] = {.lex_state = 381, .external_lex_state = 3},
  [21573] = {.lex_state = 381, .external_lex_state = 3},
  [21574] = {.lex_state = 381, .external_lex_state = 3},
  [21575] = {.lex_state = 15, .external_lex_state = 3},
  [21576] = {.lex_state = 36, .external_lex_state = 3},
  [21577] = {.lex_state = 381, .external_lex_state = 3},
  [21578] = {.lex_state = 387, .external_lex_state = 3},
  [21579] = {.lex_state = 387, .external_lex_state = 3},
  [21580] = {.lex_state = 387, .external_lex_state = 3},
  [21581] = {.lex_state = 381, .external_lex_state = 3},
  [21582] = {.lex_state = 381, .external_lex_state = 3},
  [21583] = {.lex_state = 132, .external_lex_state = 3},
  [21584] = {.lex_state = 15, .external_lex_state = 3},
  [21585] = {.lex_state = 411, .external_lex_state = 3},
  [21586] = {.lex_state = 381, .external_lex_state = 3},
  [21587] = {.lex_state = 381, .external_lex_state = 3},
  [21588] = {.lex_state = 132, .external_lex_state = 3},
  [21589] = {.lex_state = 132, .external_lex_state = 3},
  [21590] = {.lex_state = 381, .external_lex_state = 3},
  [21591] = {.lex_state = 132, .external_lex_state = 3},
  [21592] = {.lex_state = 15, .external_lex_state = 3},
  [21593] = {.lex_state = 381, .external_lex_state = 3},
  [21594] = {.lex_state = 381, .external_lex_state = 3},
  [21595] = {.lex_state = 387, .external_lex_state = 3},
  [21596] = {.lex_state = 387, .external_lex_state = 3},
  [21597] = {.lex_state = 387, .external_lex_state = 3},
  [21598] = {.lex_state = 381, .external_lex_state = 3},
  [21599] = {.lex_state = 411, .external_lex_state = 3},
  [21600] = {.lex_state = 381, .external_lex_state = 3},
  [21601] = {.lex_state = 411, .external_lex_state = 3},
  [21602] = {.lex_state = 411, .external_lex_state = 3},
  [21603] = {.lex_state = 411, .external_lex_state = 3},
  [21604] = {.lex_state = 411, .external_lex_state = 3},
  [21605] = {.lex_state = 132, .external_lex_state = 3},
  [21606] = {.lex_state = 36, .external_lex_state = 3},
  [21607] = {.lex_state = 381, .external_lex_state = 2},
  [21608] = {.lex_state = 381, .external_lex_state = 3},
  [21609] = {.lex_state = 15, .external_lex_state = 3},
  [21610] = {.lex_state = 381, .external_lex_state = 3},
  [21611] = {.lex_state = 381, .external_lex_state = 3},
  [21612] = {.lex_state = 387, .external_lex_state = 3},
  [21613] = {.lex_state = 387, .external_lex_state = 3},
  [21614] = {.lex_state = 387, .external_lex_state = 3},
  [21615] = {.lex_state = 381, .external_lex_state = 3},
  [21616] = {.lex_state = 381, .external_lex_state = 3},
  [21617] = {.lex_state = 381, .external_lex_state = 3},
  [21618] = {.lex_state = 411, .external_lex_state = 3},
  [21619] = {.lex_state = 36, .external_lex_state = 3},
  [21620] = {.lex_state = 36, .external_lex_state = 3},
  [21621] = {.lex_state = 381, .external_lex_state = 3},
  [21622] = {.lex_state = 15, .external_lex_state = 3},
  [21623] = {.lex_state = 381, .external_lex_state = 3},
  [21624] = {.lex_state = 381, .external_lex_state = 3},
  [21625] = {.lex_state = 411, .external_lex_state = 3},
  [21626] = {.lex_state = 15, .external_lex_state = 3},
  [21627] = {.lex_state = 411, .external_lex_state = 3},
  [21628] = {.lex_state = 381, .external_lex_state = 3},
  [21629] = {.lex_state = 387, .external_lex_state = 3},
  [21630] = {.lex_state = 387, .external_lex_state = 3},
  [21631] = {.lex_state = 387, .external_lex_state = 3},
  [21632] = {.lex_state = 381, .external_lex_state = 3},
  [21633] = {.lex_state = 132, .external_lex_state = 3},
  [21634] = {.lex_state = 411, .external_lex_state = 3},
  [21635] = {.lex_state = 381, .external_lex_state = 3},
  [21636] = {.lex_state = 381, .external_lex_state = 3},
  [21637] = {.lex_state = 132, .external_lex_state = 3},
  [21638] = {.lex_state = 132, .external_lex_state = 3},
  [21639] = {.lex_state = 36, .external_lex_state = 3},
  [21640] = {.lex_state = 132, .external_lex_state = 3},
  [21641] = {.lex_state = 381, .external_lex_state = 3},
  [21642] = {.lex_state = 15, .external_lex_state = 3},
  [21643] = {.lex_state = 36, .external_lex_state = 3},
  [21644] = {.lex_state = 381, .external_lex_state = 3},
  [21645] = {.lex_state = 387, .external_lex_state = 3},
  [21646] = {.lex_state = 387, .external_lex_state = 3},
  [21647] = {.lex_state = 387, .external_lex_state = 3},
  [21648] = {.lex_state = 411, .external_lex_state = 3},
  [21649] = {.lex_state = 381, .external_lex_state = 3},
  [21650] = {.lex_state = 36, .external_lex_state = 3},
  [21651] = {.lex_state = 411, .external_lex_state = 3},
  [21652] = {.lex_state = 36, .external_lex_state = 3},
  [21653] = {.lex_state = 381, .external_lex_state = 2},
  [21654] = {.lex_state = 381, .external_lex_state = 3},
  [21655] = {.lex_state = 381, .external_lex_state = 3},
  [21656] = {.lex_state = 381, .external_lex_state = 3},
  [21657] = {.lex_state = 15, .external_lex_state = 3},
  [21658] = {.lex_state = 15, .external_lex_state = 3},
  [21659] = {.lex_state = 411, .external_lex_state = 3},
  [21660] = {.lex_state = 381, .external_lex_state = 3},
  [21661] = {.lex_state = 387, .external_lex_state = 3},
  [21662] = {.lex_state = 387, .external_lex_state = 3},
  [21663] = {.lex_state = 387, .external_lex_state = 3},
  [21664] = {.lex_state = 381, .external_lex_state = 3},
  [21665] = {.lex_state = 381, .external_lex_state = 3},
  [21666] = {.lex_state = 381, .external_lex_state = 3},
  [21667] = {.lex_state = 381, .external_lex_state = 3},
  [21668] = {.lex_state = 381, .external_lex_state = 3},
  [21669] = {.lex_state = 381, .external_lex_state = 3},
  [21670] = {.lex_state = 381, .external_lex_state = 3},
  [21671] = {.lex_state = 381, .external_lex_state = 3},
  [21672] = {.lex_state = 132, .external_lex_state = 3},
  [21673] = {.lex_state = 381, .external_lex_state = 3},
  [21674] = {.lex_state = 15, .external_lex_state = 3},
  [21675] = {.lex_state = 381, .external_lex_state = 3},
  [21676] = {.lex_state = 381, .external_lex_state = 3},
  [21677] = {.lex_state = 387, .external_lex_state = 3},
  [21678] = {.lex_state = 387, .external_lex_state = 3},
  [21679] = {.lex_state = 387, .external_lex_state = 3},
  [21680] = {.lex_state = 381, .external_lex_state = 3},
  [21681] = {.lex_state = 411, .external_lex_state = 3},
  [21682] = {.lex_state = 381, .external_lex_state = 2},
  [21683] = {.lex_state = 132, .external_lex_state = 3},
  [21684] = {.lex_state = 381, .external_lex_state = 3},
  [21685] = {.lex_state = 381, .external_lex_state = 3},
  [21686] = {.lex_state = 381, .external_lex_state = 3},
  [21687] = {.lex_state = 381, .external_lex_state = 3},
  [21688] = {.lex_state = 411, .external_lex_state = 3},
  [21689] = {.lex_state = 381, .external_lex_state = 3},
  [21690] = {.lex_state = 15, .external_lex_state = 3},
  [21691] = {.lex_state = 381, .external_lex_state = 3},
  [21692] = {.lex_state = 381, .external_lex_state = 3},
  [21693] = {.lex_state = 387, .external_lex_state = 3},
  [21694] = {.lex_state = 387, .external_lex_state = 3},
  [21695] = {.lex_state = 387, .external_lex_state = 3},
  [21696] = {.lex_state = 381, .external_lex_state = 2},
  [21697] = {.lex_state = 387, .external_lex_state = 3},
  [21698] = {.lex_state = 381, .external_lex_state = 3},
  [21699] = {.lex_state = 381, .external_lex_state = 3},
  [21700] = {.lex_state = 381, .external_lex_state = 3},
  [21701] = {.lex_state = 381, .external_lex_state = 3},
  [21702] = {.lex_state = 381, .external_lex_state = 3},
  [21703] = {.lex_state = 381, .external_lex_state = 3},
  [21704] = {.lex_state = 381, .external_lex_state = 3},
  [21705] = {.lex_state = 381, .external_lex_state = 3},
  [21706] = {.lex_state = 15, .external_lex_state = 3},
  [21707] = {.lex_state = 381, .external_lex_state = 3},
  [21708] = {.lex_state = 387, .external_lex_state = 3},
  [21709] = {.lex_state = 387, .external_lex_state = 3},
  [21710] = {.lex_state = 387, .external_lex_state = 3},
  [21711] = {.lex_state = 36, .external_lex_state = 3},
  [21712] = {.lex_state = 381, .external_lex_state = 3},
  [21713] = {.lex_state = 381, .external_lex_state = 3},
  [21714] = {.lex_state = 381, .external_lex_state = 3},
  [21715] = {.lex_state = 381, .external_lex_state = 3},
  [21716] = {.lex_state = 381, .external_lex_state = 3},
  [21717] = {.lex_state = 387, .external_lex_state = 3},
  [21718] = {.lex_state = 411, .external_lex_state = 3},
  [21719] = {.lex_state = 381, .external_lex_state = 3},
  [21720] = {.lex_state = 381, .external_lex_state = 3},
  [21721] = {.lex_state = 15, .external_lex_state = 3},
  [21722] = {.lex_state = 381, .external_lex_state = 3},
  [21723] = {.lex_state = 387, .external_lex_state = 3},
  [21724] = {.lex_state = 387, .external_lex_state = 3},
  [21725] = {.lex_state = 387, .external_lex_state = 3},
  [21726] = {.lex_state = 387, .external_lex_state = 3},
  [21727] = {.lex_state = 381, .external_lex_state = 3},
  [21728] = {.lex_state = 381, .external_lex_state = 3},
  [21729] = {.lex_state = 381, .external_lex_state = 3},
  [21730] = {.lex_state = 411, .external_lex_state = 3},
  [21731] = {.lex_state = 381, .external_lex_state = 3},
  [21732] = {.lex_state = 381, .external_lex_state = 3},
  [21733] = {.lex_state = 381, .external_lex_state = 3},
  [21734] = {.lex_state = 411, .external_lex_state = 3},
  [21735] = {.lex_state = 202, .external_lex_state = 3},
  [21736] = {.lex_state = 15, .external_lex_state = 3},
  [21737] = {.lex_state = 381, .external_lex_state = 3},
  [21738] = {.lex_state = 387, .external_lex_state = 3},
  [21739] = {.lex_state = 387, .external_lex_state = 3},
  [21740] = {.lex_state = 387, .external_lex_state = 3},
  [21741] = {.lex_state = 381, .external_lex_state = 3},
  [21742] = {.lex_state = 381, .external_lex_state = 3},
  [21743] = {.lex_state = 381, .external_lex_state = 3},
  [21744] = {.lex_state = 381, .external_lex_state = 3},
  [21745] = {.lex_state = 381, .external_lex_state = 3},
  [21746] = {.lex_state = 381, .external_lex_state = 3},
  [21747] = {.lex_state = 132, .external_lex_state = 3},
  [21748] = {.lex_state = 411, .external_lex_state = 3},
  [21749] = {.lex_state = 132, .external_lex_state = 3},
  [21750] = {.lex_state = 381, .external_lex_state = 3},
  [21751] = {.lex_state = 15, .external_lex_state = 3},
  [21752] = {.lex_state = 381, .external_lex_state = 3},
  [21753] = {.lex_state = 387, .external_lex_state = 3},
  [21754] = {.lex_state = 387, .external_lex_state = 3},
  [21755] = {.lex_state = 387, .external_lex_state = 3},
  [21756] = {.lex_state = 381, .external_lex_state = 3},
  [21757] = {.lex_state = 15, .external_lex_state = 3},
  [21758] = {.lex_state = 132, .external_lex_state = 3},
  [21759] = {.lex_state = 381, .external_lex_state = 3},
  [21760] = {.lex_state = 132, .external_lex_state = 3},
  [21761] = {.lex_state = 381, .external_lex_state = 3},
  [21762] = {.lex_state = 381, .external_lex_state = 3},
  [21763] = {.lex_state = 36, .external_lex_state = 3},
  [21764] = {.lex_state = 381, .external_lex_state = 3},
  [21765] = {.lex_state = 381, .external_lex_state = 3},
  [21766] = {.lex_state = 15, .external_lex_state = 3},
  [21767] = {.lex_state = 381, .external_lex_state = 3},
  [21768] = {.lex_state = 387, .external_lex_state = 3},
  [21769] = {.lex_state = 387, .external_lex_state = 3},
  [21770] = {.lex_state = 387, .external_lex_state = 3},
  [21771] = {.lex_state = 381, .external_lex_state = 3},
  [21772] = {.lex_state = 411, .external_lex_state = 3},
  [21773] = {.lex_state = 381, .external_lex_state = 3},
  [21774] = {.lex_state = 381, .external_lex_state = 3},
  [21775] = {.lex_state = 36, .external_lex_state = 3},
  [21776] = {.lex_state = 381, .external_lex_state = 3},
  [21777] = {.lex_state = 381, .external_lex_state = 3},
  [21778] = {.lex_state = 36, .external_lex_state = 3},
  [21779] = {.lex_state = 381, .external_lex_state = 3},
  [21780] = {.lex_state = 381, .external_lex_state = 3},
  [21781] = {.lex_state = 15, .external_lex_state = 3},
  [21782] = {.lex_state = 132, .external_lex_state = 3},
  [21783] = {.lex_state = 387, .external_lex_state = 3},
  [21784] = {.lex_state = 387, .external_lex_state = 3},
  [21785] = {.lex_state = 387, .external_lex_state = 3},
  [21786] = {.lex_state = 411, .external_lex_state = 3},
  [21787] = {.lex_state = 381, .external_lex_state = 2},
  [21788] = {.lex_state = 381, .external_lex_state = 3},
  [21789] = {.lex_state = 411, .external_lex_state = 3},
  [21790] = {.lex_state = 381, .external_lex_state = 3},
  [21791] = {.lex_state = 15, .external_lex_state = 3},
  [21792] = {.lex_state = 411, .external_lex_state = 3},
  [21793] = {.lex_state = 36, .external_lex_state = 3},
  [21794] = {.lex_state = 381, .external_lex_state = 3},
  [21795] = {.lex_state = 381, .external_lex_state = 3},
  [21796] = {.lex_state = 15, .external_lex_state = 3},
  [21797] = {.lex_state = 411, .external_lex_state = 3},
  [21798] = {.lex_state = 387, .external_lex_state = 3},
  [21799] = {.lex_state = 387, .external_lex_state = 3},
  [21800] = {.lex_state = 387, .external_lex_state = 3},
  [21801] = {.lex_state = 36, .external_lex_state = 3},
  [21802] = {.lex_state = 381, .external_lex_state = 3},
  [21803] = {.lex_state = 411, .external_lex_state = 3},
  [21804] = {.lex_state = 381, .external_lex_state = 3},
  [21805] = {.lex_state = 381, .external_lex_state = 2},
  [21806] = {.lex_state = 381, .external_lex_state = 3},
  [21807] = {.lex_state = 15, .external_lex_state = 3},
  [21808] = {.lex_state = 411, .external_lex_state = 3},
  [21809] = {.lex_state = 381, .external_lex_state = 3},
  [21810] = {.lex_state = 381, .external_lex_state = 3},
  [21811] = {.lex_state = 15, .external_lex_state = 3},
  [21812] = {.lex_state = 381, .external_lex_state = 3},
  [21813] = {.lex_state = 387, .external_lex_state = 3},
  [21814] = {.lex_state = 387, .external_lex_state = 3},
  [21815] = {.lex_state = 387, .external_lex_state = 3},
  [21816] = {.lex_state = 381, .external_lex_state = 3},
  [21817] = {.lex_state = 381, .external_lex_state = 3},
  [21818] = {.lex_state = 381, .external_lex_state = 3},
  [21819] = {.lex_state = 381, .external_lex_state = 3},
  [21820] = {.lex_state = 381, .external_lex_state = 3},
  [21821] = {.lex_state = 381, .external_lex_state = 3},
  [21822] = {.lex_state = 381, .external_lex_state = 3},
  [21823] = {.lex_state = 381, .external_lex_state = 3},
  [21824] = {.lex_state = 411, .external_lex_state = 3},
  [21825] = {.lex_state = 15, .external_lex_state = 3},
  [21826] = {.lex_state = 15, .external_lex_state = 3},
  [21827] = {.lex_state = 411, .external_lex_state = 3},
  [21828] = {.lex_state = 387, .external_lex_state = 3},
  [21829] = {.lex_state = 387, .external_lex_state = 3},
  [21830] = {.lex_state = 387, .external_lex_state = 3},
  [21831] = {.lex_state = 411, .external_lex_state = 3},
  [21832] = {.lex_state = 381, .external_lex_state = 3},
  [21833] = {.lex_state = 381, .external_lex_state = 3},
  [21834] = {.lex_state = 15, .external_lex_state = 3},
  [21835] = {.lex_state = 411, .external_lex_state = 3},
  [21836] = {.lex_state = 381, .external_lex_state = 3},
  [21837] = {.lex_state = 381, .external_lex_state = 3},
  [21838] = {.lex_state = 381, .external_lex_state = 3},
  [21839] = {.lex_state = 36, .external_lex_state = 3},
  [21840] = {.lex_state = 381, .external_lex_state = 3},
  [21841] = {.lex_state = 15, .external_lex_state = 3},
  [21842] = {.lex_state = 381, .external_lex_state = 3},
  [21843] = {.lex_state = 387, .external_lex_state = 3},
  [21844] = {.lex_state = 387, .external_lex_state = 3},
  [21845] = {.lex_state = 387, .external_lex_state = 3},
  [21846] = {.lex_state = 381, .external_lex_state = 3},
  [21847] = {.lex_state = 381, .external_lex_state = 3},
  [21848] = {.lex_state = 132, .external_lex_state = 3},
  [21849] = {.lex_state = 381, .external_lex_state = 3},
  [21850] = {.lex_state = 381, .external_lex_state = 3},
  [21851] = {.lex_state = 381, .external_lex_state = 3},
  [21852] = {.lex_state = 381, .external_lex_state = 3},
  [21853] = {.lex_state = 381, .external_lex_state = 3},
  [21854] = {.lex_state = 132, .external_lex_state = 3},
  [21855] = {.lex_state = 381, .external_lex_state = 3},
  [21856] = {.lex_state = 15, .external_lex_state = 3},
  [21857] = {.lex_state = 381, .external_lex_state = 3},
  [21858] = {.lex_state = 387, .external_lex_state = 3},
  [21859] = {.lex_state = 387, .external_lex_state = 3},
  [21860] = {.lex_state = 387, .external_lex_state = 3},
  [21861] = {.lex_state = 381, .external_lex_state = 3},
  [21862] = {.lex_state = 381, .external_lex_state = 3},
  [21863] = {.lex_state = 381, .external_lex_state = 3},
  [21864] = {.lex_state = 411, .external_lex_state = 3},
  [21865] = {.lex_state = 381, .external_lex_state = 3},
  [21866] = {.lex_state = 411, .external_lex_state = 3},
  [21867] = {.lex_state = 132, .external_lex_state = 3},
  [21868] = {.lex_state = 36, .external_lex_state = 3},
  [21869] = {.lex_state = 381, .external_lex_state = 3},
  [21870] = {.lex_state = 132, .external_lex_state = 3},
  [21871] = {.lex_state = 15, .external_lex_state = 3},
  [21872] = {.lex_state = 381, .external_lex_state = 3},
  [21873] = {.lex_state = 387, .external_lex_state = 3},
  [21874] = {.lex_state = 387, .external_lex_state = 3},
  [21875] = {.lex_state = 387, .external_lex_state = 3},
  [21876] = {.lex_state = 381, .external_lex_state = 3},
  [21877] = {.lex_state = 381, .external_lex_state = 3},
  [21878] = {.lex_state = 381, .external_lex_state = 3},
  [21879] = {.lex_state = 381, .external_lex_state = 3},
  [21880] = {.lex_state = 381, .external_lex_state = 3},
  [21881] = {.lex_state = 381, .external_lex_state = 3},
  [21882] = {.lex_state = 381, .external_lex_state = 3},
  [21883] = {.lex_state = 381, .external_lex_state = 2},
  [21884] = {.lex_state = 381, .external_lex_state = 3},
  [21885] = {.lex_state = 381, .external_lex_state = 3},
  [21886] = {.lex_state = 15, .external_lex_state = 3},
  [21887] = {.lex_state = 381, .external_lex_state = 3},
  [21888] = {.lex_state = 387, .external_lex_state = 3},
  [21889] = {.lex_state = 387, .external_lex_state = 3},
  [21890] = {.lex_state = 387, .external_lex_state = 3},
  [21891] = {.lex_state = 381, .external_lex_state = 3},
  [21892] = {.lex_state = 381, .external_lex_state = 3},
  [21893] = {.lex_state = 381, .external_lex_state = 3},
  [21894] = {.lex_state = 132, .external_lex_state = 3},
  [21895] = {.lex_state = 381, .external_lex_state = 3},
  [21896] = {.lex_state = 381, .external_lex_state = 3},
  [21897] = {.lex_state = 381, .external_lex_state = 3},
  [21898] = {.lex_state = 132, .external_lex_state = 3},
  [21899] = {.lex_state = 411, .external_lex_state = 3},
  [21900] = {.lex_state = 15, .external_lex_state = 3},
  [21901] = {.lex_state = 381, .external_lex_state = 3},
  [21902] = {.lex_state = 387, .external_lex_state = 3},
  [21903] = {.lex_state = 387, .external_lex_state = 3},
  [21904] = {.lex_state = 387, .external_lex_state = 3},
  [21905] = {.lex_state = 381, .external_lex_state = 3},
  [21906] = {.lex_state = 132, .external_lex_state = 3},
  [21907] = {.lex_state = 132, .external_lex_state = 3},
  [21908] = {.lex_state = 381, .external_lex_state = 3},
  [21909] = {.lex_state = 36, .external_lex_state = 3},
  [21910] = {.lex_state = 381, .external_lex_state = 3},
  [21911] = {.lex_state = 381, .external_lex_state = 3},
  [21912] = {.lex_state = 381, .external_lex_state = 3},
  [21913] = {.lex_state = 381, .external_lex_state = 3},
  [21914] = {.lex_state = 381, .external_lex_state = 3},
  [21915] = {.lex_state = 15, .external_lex_state = 3},
  [21916] = {.lex_state = 381, .external_lex_state = 3},
  [21917] = {.lex_state = 387, .external_lex_state = 3},
  [21918] = {.lex_state = 387, .external_lex_state = 3},
  [21919] = {.lex_state = 387, .external_lex_state = 3},
  [21920] = {.lex_state = 381, .external_lex_state = 3},
  [21921] = {.lex_state = 381, .external_lex_state = 3},
  [21922] = {.lex_state = 381, .external_lex_state = 3},
  [21923] = {.lex_state = 381, .external_lex_state = 3},
  [21924] = {.lex_state = 381, .external_lex_state = 3},
  [21925] = {.lex_state = 381, .external_lex_state = 3},
  [21926] = {.lex_state = 411, .external_lex_state = 3},
  [21927] = {.lex_state = 381, .external_lex_state = 3},
  [21928] = {.lex_state = 381, .external_lex_state = 3},
  [21929] = {.lex_state = 381, .external_lex_state = 3},
  [21930] = {.lex_state = 15, .external_lex_state = 3},
  [21931] = {.lex_state = 381, .external_lex_state = 3},
  [21932] = {.lex_state = 387, .external_lex_state = 3},
  [21933] = {.lex_state = 387, .external_lex_state = 3},
  [21934] = {.lex_state = 387, .external_lex_state = 3},
  [21935] = {.lex_state = 381, .external_lex_state = 3},
  [21936] = {.lex_state = 381, .external_lex_state = 3},
  [21937] = {.lex_state = 381, .external_lex_state = 3},
  [21938] = {.lex_state = 132, .external_lex_state = 3},
  [21939] = {.lex_state = 381, .external_lex_state = 3},
  [21940] = {.lex_state = 132, .external_lex_state = 3},
  [21941] = {.lex_state = 132, .external_lex_state = 3},
  [21942] = {.lex_state = 132, .external_lex_state = 3},
  [21943] = {.lex_state = 381, .external_lex_state = 3},
  [21944] = {.lex_state = 381, .external_lex_state = 3},
  [21945] = {.lex_state = 411, .external_lex_state = 3},
  [21946] = {.lex_state = 387, .external_lex_state = 3},
  [21947] = {.lex_state = 387, .external_lex_state = 3},
  [21948] = {.lex_state = 387, .external_lex_state = 3},
  [21949] = {.lex_state = 381, .external_lex_state = 3},
  [21950] = {.lex_state = 381, .external_lex_state = 3},
  [21951] = {.lex_state = 381, .external_lex_state = 3},
  [21952] = {.lex_state = 381, .external_lex_state = 3},
  [21953] = {.lex_state = 132, .external_lex_state = 3},
  [21954] = {.lex_state = 381, .external_lex_state = 3},
  [21955] = {.lex_state = 15, .external_lex_state = 3},
  [21956] = {.lex_state = 132, .external_lex_state = 3},
  [21957] = {.lex_state = 381, .external_lex_state = 3},
  [21958] = {.lex_state = 381, .external_lex_state = 3},
  [21959] = {.lex_state = 132, .external_lex_state = 3},
  [21960] = {.lex_state = 387, .external_lex_state = 3},
  [21961] = {.lex_state = 387, .external_lex_state = 3},
  [21962] = {.lex_state = 387, .external_lex_state = 3},
  [21963] = {.lex_state = 381, .external_lex_state = 3},
  [21964] = {.lex_state = 36, .external_lex_state = 3},
  [21965] = {.lex_state = 132, .external_lex_state = 3},
  [21966] = {.lex_state = 381, .external_lex_state = 3},
  [21967] = {.lex_state = 132, .external_lex_state = 3},
  [21968] = {.lex_state = 381, .external_lex_state = 3},
  [21969] = {.lex_state = 381, .external_lex_state = 3},
  [21970] = {.lex_state = 381, .external_lex_state = 3},
  [21971] = {.lex_state = 132, .external_lex_state = 3},
  [21972] = {.lex_state = 381, .external_lex_state = 3},
  [21973] = {.lex_state = 381, .external_lex_state = 3},
  [21974] = {.lex_state = 387, .external_lex_state = 3},
  [21975] = {.lex_state = 387, .external_lex_state = 3},
  [21976] = {.lex_state = 387, .external_lex_state = 3},
  [21977] = {.lex_state = 381, .external_lex_state = 3},
  [21978] = {.lex_state = 381, .external_lex_state = 3},
  [21979] = {.lex_state = 411, .external_lex_state = 3},
  [21980] = {.lex_state = 381, .external_lex_state = 3},
  [21981] = {.lex_state = 36, .external_lex_state = 3},
  [21982] = {.lex_state = 381, .external_lex_state = 3},
  [21983] = {.lex_state = 381, .external_lex_state = 3},
  [21984] = {.lex_state = 132, .external_lex_state = 3},
  [21985] = {.lex_state = 411, .external_lex_state = 3},
  [21986] = {.lex_state = 36, .external_lex_state = 3},
  [21987] = {.lex_state = 381, .external_lex_state = 3},
  [21988] = {.lex_state = 387, .external_lex_state = 3},
  [21989] = {.lex_state = 387, .external_lex_state = 3},
  [21990] = {.lex_state = 387, .external_lex_state = 3},
  [21991] = {.lex_state = 381, .external_lex_state = 3},
  [21992] = {.lex_state = 381, .external_lex_state = 3},
  [21993] = {.lex_state = 411, .external_lex_state = 3},
  [21994] = {.lex_state = 381, .external_lex_state = 3},
  [21995] = {.lex_state = 381, .external_lex_state = 3},
  [21996] = {.lex_state = 411, .external_lex_state = 3},
  [21997] = {.lex_state = 381, .external_lex_state = 3},
  [21998] = {.lex_state = 381, .external_lex_state = 2},
  [21999] = {.lex_state = 381, .external_lex_state = 3},
  [22000] = {.lex_state = 381, .external_lex_state = 3},
  [22001] = {.lex_state = 381, .external_lex_state = 3},
  [22002] = {.lex_state = 387, .external_lex_state = 3},
  [22003] = {.lex_state = 387, .external_lex_state = 3},
  [22004] = {.lex_state = 387, .external_lex_state = 3},
  [22005] = {.lex_state = 15, .external_lex_state = 3},
  [22006] = {.lex_state = 132, .external_lex_state = 3},
  [22007] = {.lex_state = 132, .external_lex_state = 3},
  [22008] = {.lex_state = 381, .external_lex_state = 3},
  [22009] = {.lex_state = 411, .external_lex_state = 3},
  [22010] = {.lex_state = 132, .external_lex_state = 3},
  [22011] = {.lex_state = 381, .external_lex_state = 3},
  [22012] = {.lex_state = 411, .external_lex_state = 3},
  [22013] = {.lex_state = 132, .external_lex_state = 3},
  [22014] = {.lex_state = 381, .external_lex_state = 3},
  [22015] = {.lex_state = 381, .external_lex_state = 3},
  [22016] = {.lex_state = 387, .external_lex_state = 3},
  [22017] = {.lex_state = 387, .external_lex_state = 3},
  [22018] = {.lex_state = 387, .external_lex_state = 3},
  [22019] = {.lex_state = 132, .external_lex_state = 3},
  [22020] = {.lex_state = 381, .external_lex_state = 3},
  [22021] = {.lex_state = 36, .external_lex_state = 3},
  [22022] = {.lex_state = 381, .external_lex_state = 3},
  [22023] = {.lex_state = 411, .external_lex_state = 3},
  [22024] = {.lex_state = 381, .external_lex_state = 3},
  [22025] = {.lex_state = 381, .external_lex_state = 3},
  [22026] = {.lex_state = 381, .external_lex_state = 3},
  [22027] = {.lex_state = 132, .external_lex_state = 3},
  [22028] = {.lex_state = 381, .external_lex_state = 3},
  [22029] = {.lex_state = 381, .external_lex_state = 3},
  [22030] = {.lex_state = 387, .external_lex_state = 3},
  [22031] = {.lex_state = 387, .external_lex_state = 3},
  [22032] = {.lex_state = 387, .external_lex_state = 3},
  [22033] = {.lex_state = 381, .external_lex_state = 3},
  [22034] = {.lex_state = 381, .external_lex_state = 3},
  [22035] = {.lex_state = 411, .external_lex_state = 3},
  [22036] = {.lex_state = 381, .external_lex_state = 3},
  [22037] = {.lex_state = 381, .external_lex_state = 3},
  [22038] = {.lex_state = 381, .external_lex_state = 3},
  [22039] = {.lex_state = 381, .external_lex_state = 3},
  [22040] = {.lex_state = 381, .external_lex_state = 3},
  [22041] = {.lex_state = 381, .external_lex_state = 3},
  [22042] = {.lex_state = 381, .external_lex_state = 3},
  [22043] = {.lex_state = 381, .external_lex_state = 3},
  [22044] = {.lex_state = 387, .external_lex_state = 3},
  [22045] = {.lex_state = 387, .external_lex_state = 3},
  [22046] = {.lex_state = 387, .external_lex_state = 3},
  [22047] = {.lex_state = 381, .external_lex_state = 3},
  [22048] = {.lex_state = 411, .external_lex_state = 3},
  [22049] = {.lex_state = 381, .external_lex_state = 3},
  [22050] = {.lex_state = 381, .external_lex_state = 3},
  [22051] = {.lex_state = 381, .external_lex_state = 3},
  [22052] = {.lex_state = 381, .external_lex_state = 3},
  [22053] = {.lex_state = 381, .external_lex_state = 3},
  [22054] = {.lex_state = 381, .external_lex_state = 3},
  [22055] = {.lex_state = 381, .external_lex_state = 3},
  [22056] = {.lex_state = 381, .external_lex_state = 3},
  [22057] = {.lex_state = 381, .external_lex_state = 3},
  [22058] = {.lex_state = 387, .external_lex_state = 3},
  [22059] = {.lex_state = 387, .external_lex_state = 3},
  [22060] = {.lex_state = 387, .external_lex_state = 3},
  [22061] = {.lex_state = 381, .external_lex_state = 3},
  [22062] = {.lex_state = 381, .external_lex_state = 3},
  [22063] = {.lex_state = 381, .external_lex_state = 3},
  [22064] = {.lex_state = 381, .external_lex_state = 3},
  [22065] = {.lex_state = 381, .external_lex_state = 3},
  [22066] = {.lex_state = 36, .external_lex_state = 3},
  [22067] = {.lex_state = 381, .external_lex_state = 3},
  [22068] = {.lex_state = 381, .external_lex_state = 3},
  [22069] = {.lex_state = 381, .external_lex_state = 3},
  [22070] = {.lex_state = 381, .external_lex_state = 3},
  [22071] = {.lex_state = 381, .external_lex_state = 3},
  [22072] = {.lex_state = 387, .external_lex_state = 3},
  [22073] = {.lex_state = 387, .external_lex_state = 3},
  [22074] = {.lex_state = 387, .external_lex_state = 3},
  [22075] = {.lex_state = 132, .external_lex_state = 3},
  [22076] = {.lex_state = 381, .external_lex_state = 3},
  [22077] = {.lex_state = 381, .external_lex_state = 3},
  [22078] = {.lex_state = 381, .external_lex_state = 3},
  [22079] = {.lex_state = 381, .external_lex_state = 3},
  [22080] = {.lex_state = 411, .external_lex_state = 3},
  [22081] = {.lex_state = 381, .external_lex_state = 3},
  [22082] = {.lex_state = 132, .external_lex_state = 3},
  [22083] = {.lex_state = 36, .external_lex_state = 3},
  [22084] = {.lex_state = 132, .external_lex_state = 3},
  [22085] = {.lex_state = 381, .external_lex_state = 3},
  [22086] = {.lex_state = 387, .external_lex_state = 3},
  [22087] = {.lex_state = 387, .external_lex_state = 3},
  [22088] = {.lex_state = 387, .external_lex_state = 3},
  [22089] = {.lex_state = 132, .external_lex_state = 3},
  [22090] = {.lex_state = 381, .external_lex_state = 3},
  [22091] = {.lex_state = 132, .external_lex_state = 3},
  [22092] = {.lex_state = 381, .external_lex_state = 3},
  [22093] = {.lex_state = 381, .external_lex_state = 3},
  [22094] = {.lex_state = 381, .external_lex_state = 3},
  [22095] = {.lex_state = 411, .external_lex_state = 3},
  [22096] = {.lex_state = 381, .external_lex_state = 3},
  [22097] = {.lex_state = 381, .external_lex_state = 3},
  [22098] = {.lex_state = 132, .external_lex_state = 3},
  [22099] = {.lex_state = 381, .external_lex_state = 3},
  [22100] = {.lex_state = 387, .external_lex_state = 3},
  [22101] = {.lex_state = 387, .external_lex_state = 3},
  [22102] = {.lex_state = 387, .external_lex_state = 3},
  [22103] = {.lex_state = 411, .external_lex_state = 3},
  [22104] = {.lex_state = 411, .external_lex_state = 3},
  [22105] = {.lex_state = 381, .external_lex_state = 3},
  [22106] = {.lex_state = 132, .external_lex_state = 3},
  [22107] = {.lex_state = 387, .external_lex_state = 3},
  [22108] = {.lex_state = 387, .external_lex_state = 3},
  [22109] = {.lex_state = 387, .external_lex_state = 3},
  [22110] = {.lex_state = 132, .external_lex_state = 3},
  [22111] = {.lex_state = 132, .external_lex_state = 3},
  [22112] = {.lex_state = 381, .external_lex_state = 3},
  [22113] = {.lex_state = 132, .external_lex_state = 3},
  [22114] = {.lex_state = 387, .external_lex_state = 3},
  [22115] = {.lex_state = 387, .external_lex_state = 3},
  [22116] = {.lex_state = 387, .external_lex_state = 3},
  [22117] = {.lex_state = 381, .external_lex_state = 3},
  [22118] = {.lex_state = 381, .external_lex_state = 3},
  [22119] = {.lex_state = 387, .external_lex_state = 3},
  [22120] = {.lex_state = 387, .external_lex_state = 3},
  [22121] = {.lex_state = 387, .external_lex_state = 3},
  [22122] = {.lex_state = 411, .external_lex_state = 3},
  [22123] = {.lex_state = 132, .external_lex_state = 3},
  [22124] = {.lex_state = 387, .external_lex_state = 3},
  [22125] = {.lex_state = 387, .external_lex_state = 3},
  [22126] = {.lex_state = 387, .external_lex_state = 3},
  [22127] = {.lex_state = 381, .external_lex_state = 2},
  [22128] = {.lex_state = 381, .external_lex_state = 3},
  [22129] = {.lex_state = 387, .external_lex_state = 3},
  [22130] = {.lex_state = 387, .external_lex_state = 3},
  [22131] = {.lex_state = 387, .external_lex_state = 3},
  [22132] = {.lex_state = 15, .external_lex_state = 3},
  [22133] = {.lex_state = 381, .external_lex_state = 3},
  [22134] = {.lex_state = 387, .external_lex_state = 3},
  [22135] = {.lex_state = 387, .external_lex_state = 3},
  [22136] = {.lex_state = 387, .external_lex_state = 3},
  [22137] = {.lex_state = 381, .external_lex_state = 3},
  [22138] = {.lex_state = 381, .external_lex_state = 3},
  [22139] = {.lex_state = 387, .external_lex_state = 3},
  [22140] = {.lex_state = 387, .external_lex_state = 3},
  [22141] = {.lex_state = 387, .external_lex_state = 3},
  [22142] = {.lex_state = 381, .external_lex_state = 3},
  [22143] = {.lex_state = 132, .external_lex_state = 3},
  [22144] = {.lex_state = 387, .external_lex_state = 3},
  [22145] = {.lex_state = 387, .external_lex_state = 3},
  [22146] = {.lex_state = 387, .external_lex_state = 3},
  [22147] = {.lex_state = 36, .external_lex_state = 3},
  [22148] = {.lex_state = 132, .external_lex_state = 3},
  [22149] = {.lex_state = 387, .external_lex_state = 3},
  [22150] = {.lex_state = 387, .external_lex_state = 3},
  [22151] = {.lex_state = 387, .external_lex_state = 3},
  [22152] = {.lex_state = 381, .external_lex_state = 3},
  [22153] = {.lex_state = 132, .external_lex_state = 3},
  [22154] = {.lex_state = 387, .external_lex_state = 3},
  [22155] = {.lex_state = 387, .external_lex_state = 3},
  [22156] = {.lex_state = 387, .external_lex_state = 3},
  [22157] = {.lex_state = 411, .external_lex_state = 3},
  [22158] = {.lex_state = 36, .external_lex_state = 3},
  [22159] = {.lex_state = 387, .external_lex_state = 3},
  [22160] = {.lex_state = 387, .external_lex_state = 3},
  [22161] = {.lex_state = 387, .external_lex_state = 3},
  [22162] = {.lex_state = 381, .external_lex_state = 3},
  [22163] = {.lex_state = 381, .external_lex_state = 3},
  [22164] = {.lex_state = 387, .external_lex_state = 3},
  [22165] = {.lex_state = 387, .external_lex_state = 3},
  [22166] = {.lex_state = 387, .external_lex_state = 3},
  [22167] = {.lex_state = 381, .external_lex_state = 3},
  [22168] = {.lex_state = 411, .external_lex_state = 3},
  [22169] = {.lex_state = 387, .external_lex_state = 3},
  [22170] = {.lex_state = 387, .external_lex_state = 3},
  [22171] = {.lex_state = 387, .external_lex_state = 3},
  [22172] = {.lex_state = 381, .external_lex_state = 3},
  [22173] = {.lex_state = 411, .external_lex_state = 3},
  [22174] = {.lex_state = 387, .external_lex_state = 3},
  [22175] = {.lex_state = 387, .external_lex_state = 3},
  [22176] = {.lex_state = 387, .external_lex_state = 3},
  [22177] = {.lex_state = 381, .external_lex_state = 3},
  [22178] = {.lex_state = 381, .external_lex_state = 3},
  [22179] = {.lex_state = 411, .external_lex_state = 3},
  [22180] = {.lex_state = 36, .external_lex_state = 3},
  [22181] = {.lex_state = 381, .external_lex_state = 3},
  [22182] = {.lex_state = 381, .external_lex_state = 3},
  [22183] = {.lex_state = 381, .external_lex_state = 3},
  [22184] = {.lex_state = 381, .external_lex_state = 3},
  [22185] = {.lex_state = 411, .external_lex_state = 3},
  [22186] = {.lex_state = 381, .external_lex_state = 2},
  [22187] = {.lex_state = 381, .external_lex_state = 3},
  [22188] = {.lex_state = 381, .external_lex_state = 3},
  [22189] = {.lex_state = 36, .external_lex_state = 3},
  [22190] = {.lex_state = 381, .external_lex_state = 3},
  [22191] = {.lex_state = 36, .external_lex_state = 3},
  [22192] = {.lex_state = 411, .external_lex_state = 3},
  [22193] = {.lex_state = 411, .external_lex_state = 3},
  [22194] = {.lex_state = 411, .external_lex_state = 3},
  [22195] = {.lex_state = 381, .external_lex_state = 3},
  [22196] = {.lex_state = 381, .external_lex_state = 3},
  [22197] = {.lex_state = 411, .external_lex_state = 3},
  [22198] = {.lex_state = 381, .external_lex_state = 2},
  [22199] = {.lex_state = 36, .external_lex_state = 3},
  [22200] = {.lex_state = 411, .external_lex_state = 3},
  [22201] = {.lex_state = 381, .external_lex_state = 3},
  [22202] = {.lex_state = 202, .external_lex_state = 3},
  [22203] = {.lex_state = 384, .external_lex_state = 3},
  [22204] = {.lex_state = 381, .external_lex_state = 3},
  [22205] = {.lex_state = 381, .external_lex_state = 2},
  [22206] = {.lex_state = 384, .external_lex_state = 3},
  [22207] = {.lex_state = 15, .external_lex_state = 3},
  [22208] = {.lex_state = 381, .external_lex_state = 3},
  [22209] = {.lex_state = 411, .external_lex_state = 3},
  [22210] = {.lex_state = 411, .external_lex_state = 3},
  [22211] = {.lex_state = 381, .external_lex_state = 3},
  [22212] = {.lex_state = 15, .external_lex_state = 3},
  [22213] = {.lex_state = 15, .external_lex_state = 3},
  [22214] = {.lex_state = 381, .external_lex_state = 3},
  [22215] = {.lex_state = 15, .external_lex_state = 3},
  [22216] = {.lex_state = 381, .external_lex_state = 3},
  [22217] = {.lex_state = 15, .external_lex_state = 3},
  [22218] = {.lex_state = 132, .external_lex_state = 3},
  [22219] = {.lex_state = 381, .external_lex_state = 3},
  [22220] = {.lex_state = 15, .external_lex_state = 3},
  [22221] = {.lex_state = 381, .external_lex_state = 3},
  [22222] = {.lex_state = 132, .external_lex_state = 3},
  [22223] = {.lex_state = 132, .external_lex_state = 3},
  [22224] = {.lex_state = 15, .external_lex_state = 3},
  [22225] = {.lex_state = 132, .external_lex_state = 3},
  [22226] = {.lex_state = 381, .external_lex_state = 3},
  [22227] = {.lex_state = 381, .external_lex_state = 3},
  [22228] = {.lex_state = 381, .external_lex_state = 3},
  [22229] = {.lex_state = 381, .external_lex_state = 3},
  [22230] = {.lex_state = 381, .external_lex_state = 3},
  [22231] = {.lex_state = 381, .external_lex_state = 3},
  [22232] = {.lex_state = 202, .external_lex_state = 3},
  [22233] = {.lex_state = 384, .external_lex_state = 3},
  [22234] = {.lex_state = 384, .external_lex_state = 3},
  [22235] = {.lex_state = 132, .external_lex_state = 3},
  [22236] = {.lex_state = 411, .external_lex_state = 3},
  [22237] = {.lex_state = 15, .external_lex_state = 3},
  [22238] = {.lex_state = 411, .external_lex_state = 3},
  [22239] = {.lex_state = 15, .external_lex_state = 3},
  [22240] = {.lex_state = 381, .external_lex_state = 3},
  [22241] = {.lex_state = 132, .external_lex_state = 3},
  [22242] = {.lex_state = 381, .external_lex_state = 3},
  [22243] = {.lex_state = 381, .external_lex_state = 3},
  [22244] = {.lex_state = 381, .external_lex_state = 3},
  [22245] = {.lex_state = 381, .external_lex_state = 2},
  [22246] = {.lex_state = 381, .external_lex_state = 3},
  [22247] = {.lex_state = 36, .external_lex_state = 3},
  [22248] = {.lex_state = 381, .external_lex_state = 3},
  [22249] = {.lex_state = 411, .external_lex_state = 3},
  [22250] = {.lex_state = 202, .external_lex_state = 3},
  [22251] = {.lex_state = 384, .external_lex_state = 3},
  [22252] = {.lex_state = 384, .external_lex_state = 3},
  [22253] = {.lex_state = 381, .external_lex_state = 3},
  [22254] = {.lex_state = 381, .external_lex_state = 3},
  [22255] = {.lex_state = 15, .external_lex_state = 3},
  [22256] = {.lex_state = 411, .external_lex_state = 3},
  [22257] = {.lex_state = 381, .external_lex_state = 2},
  [22258] = {.lex_state = 381, .external_lex_state = 3},
  [22259] = {.lex_state = 381, .external_lex_state = 3},
  [22260] = {.lex_state = 15, .external_lex_state = 3},
  [22261] = {.lex_state = 381, .external_lex_state = 3},
  [22262] = {.lex_state = 381, .external_lex_state = 3},
  [22263] = {.lex_state = 381, .external_lex_state = 3},
  [22264] = {.lex_state = 202, .external_lex_state = 3},
  [22265] = {.lex_state = 411, .external_lex_state = 3},
  [22266] = {.lex_state = 15, .external_lex_state = 3},
  [22267] = {.lex_state = 381, .external_lex_state = 3},
  [22268] = {.lex_state = 381, .external_lex_state = 3},
  [22269] = {.lex_state = 381, .external_lex_state = 3},
  [22270] = {.lex_state = 381, .external_lex_state = 3},
  [22271] = {.lex_state = 36, .external_lex_state = 3},
  [22272] = {.lex_state = 381, .external_lex_state = 3},
  [22273] = {.lex_state = 411, .external_lex_state = 3},
  [22274] = {.lex_state = 202, .external_lex_state = 3},
  [22275] = {.lex_state = 381, .external_lex_state = 3},
  [22276] = {.lex_state = 381, .external_lex_state = 3},
  [22277] = {.lex_state = 202, .external_lex_state = 3},
  [22278] = {.lex_state = 381, .external_lex_state = 3},
  [22279] = {.lex_state = 381, .external_lex_state = 3},
  [22280] = {.lex_state = 202, .external_lex_state = 3},
  [22281] = {.lex_state = 15, .external_lex_state = 3},
  [22282] = {.lex_state = 381, .external_lex_state = 3},
  [22283] = {.lex_state = 202, .external_lex_state = 3},
  [22284] = {.lex_state = 202, .external_lex_state = 3},
  [22285] = {.lex_state = 202, .external_lex_state = 3},
  [22286] = {.lex_state = 202, .external_lex_state = 3},
  [22287] = {.lex_state = 202, .external_lex_state = 3},
  [22288] = {.lex_state = 202, .external_lex_state = 3},
  [22289] = {.lex_state = 202, .external_lex_state = 3},
  [22290] = {.lex_state = 202, .external_lex_state = 3},
  [22291] = {.lex_state = 202, .external_lex_state = 3},
  [22292] = {.lex_state = 202, .external_lex_state = 3},
  [22293] = {.lex_state = 202, .external_lex_state = 3},
  [22294] = {.lex_state = 202, .external_lex_state = 3},
  [22295] = {.lex_state = 202, .external_lex_state = 3},
  [22296] = {.lex_state = 202, .external_lex_state = 3},
  [22297] = {.lex_state = 202, .external_lex_state = 3},
  [22298] = {.lex_state = 202, .external_lex_state = 3},
  [22299] = {.lex_state = 202, .external_lex_state = 3},
  [22300] = {.lex_state = 202, .external_lex_state = 3},
  [22301] = {.lex_state = 202, .external_lex_state = 3},
  [22302] = {.lex_state = 202, .external_lex_state = 3},
  [22303] = {.lex_state = 202, .external_lex_state = 3},
  [22304] = {.lex_state = 202, .external_lex_state = 3},
  [22305] = {.lex_state = 202, .external_lex_state = 3},
  [22306] = {.lex_state = 202, .external_lex_state = 3},
  [22307] = {.lex_state = 202, .external_lex_state = 3},
  [22308] = {.lex_state = 202, .external_lex_state = 3},
  [22309] = {.lex_state = 202, .external_lex_state = 3},
  [22310] = {.lex_state = 202, .external_lex_state = 3},
  [22311] = {.lex_state = 202, .external_lex_state = 3},
  [22312] = {.lex_state = 202, .external_lex_state = 3},
  [22313] = {.lex_state = 202, .external_lex_state = 3},
  [22314] = {.lex_state = 202, .external_lex_state = 3},
  [22315] = {.lex_state = 202, .external_lex_state = 3},
  [22316] = {.lex_state = 202, .external_lex_state = 3},
  [22317] = {.lex_state = 202, .external_lex_state = 3},
  [22318] = {.lex_state = 202, .external_lex_state = 3},
  [22319] = {.lex_state = 202, .external_lex_state = 3},
  [22320] = {.lex_state = 202, .external_lex_state = 3},
  [22321] = {.lex_state = 202, .external_lex_state = 3},
  [22322] = {.lex_state = 202, .external_lex_state = 3},
  [22323] = {.lex_state = 202, .external_lex_state = 3},
  [22324] = {.lex_state = 202, .external_lex_state = 3},
  [22325] = {.lex_state = 202, .external_lex_state = 3},
  [22326] = {.lex_state = 202, .external_lex_state = 3},
  [22327] = {.lex_state = 202, .external_lex_state = 3},
  [22328] = {.lex_state = 202, .external_lex_state = 3},
  [22329] = {.lex_state = 202, .external_lex_state = 3},
  [22330] = {.lex_state = 202, .external_lex_state = 3},
  [22331] = {.lex_state = 202, .external_lex_state = 3},
  [22332] = {.lex_state = 202, .external_lex_state = 3},
  [22333] = {.lex_state = 202, .external_lex_state = 3},
  [22334] = {.lex_state = 202, .external_lex_state = 3},
  [22335] = {.lex_state = 202, .external_lex_state = 3},
  [22336] = {.lex_state = 202, .external_lex_state = 3},
  [22337] = {.lex_state = 202, .external_lex_state = 3},
  [22338] = {.lex_state = 202, .external_lex_state = 3},
  [22339] = {.lex_state = 411, .external_lex_state = 3},
  [22340] = {.lex_state = 381, .external_lex_state = 3},
  [22341] = {.lex_state = 381, .external_lex_state = 3},
  [22342] = {.lex_state = 381, .external_lex_state = 3},
  [22343] = {.lex_state = 381, .external_lex_state = 3},
  [22344] = {.lex_state = 411, .external_lex_state = 3},
  [22345] = {.lex_state = 381, .external_lex_state = 3},
  [22346] = {.lex_state = 381, .external_lex_state = 3},
  [22347] = {.lex_state = 381, .external_lex_state = 3},
  [22348] = {.lex_state = 381, .external_lex_state = 3},
  [22349] = {.lex_state = 381, .external_lex_state = 3},
  [22350] = {.lex_state = 36, .external_lex_state = 3},
  [22351] = {.lex_state = 381, .external_lex_state = 3},
  [22352] = {.lex_state = 381, .external_lex_state = 3},
  [22353] = {.lex_state = 411, .external_lex_state = 3},
  [22354] = {.lex_state = 381, .external_lex_state = 3},
  [22355] = {.lex_state = 381, .external_lex_state = 3},
  [22356] = {.lex_state = 381, .external_lex_state = 3},
  [22357] = {.lex_state = 381, .external_lex_state = 3},
  [22358] = {.lex_state = 36, .external_lex_state = 3},
  [22359] = {.lex_state = 381, .external_lex_state = 3},
  [22360] = {.lex_state = 381, .external_lex_state = 3},
  [22361] = {.lex_state = 381, .external_lex_state = 3},
  [22362] = {.lex_state = 381, .external_lex_state = 3},
  [22363] = {.lex_state = 381, .external_lex_state = 3},
  [22364] = {.lex_state = 411, .external_lex_state = 3},
  [22365] = {.lex_state = 381, .external_lex_state = 3},
  [22366] = {.lex_state = 381, .external_lex_state = 3},
  [22367] = {.lex_state = 381, .external_lex_state = 3},
  [22368] = {.lex_state = 381, .external_lex_state = 3},
  [22369] = {.lex_state = 381, .external_lex_state = 3},
  [22370] = {.lex_state = 381, .external_lex_state = 3},
  [22371] = {.lex_state = 381, .external_lex_state = 3},
  [22372] = {.lex_state = 381, .external_lex_state = 3},
  [22373] = {.lex_state = 411, .external_lex_state = 3},
  [22374] = {.lex_state = 381, .external_lex_state = 3},
  [22375] = {.lex_state = 381, .external_lex_state = 3},
  [22376] = {.lex_state = 381, .external_lex_state = 3},
  [22377] = {.lex_state = 381, .external_lex_state = 3},
  [22378] = {.lex_state = 381, .external_lex_state = 3},
  [22379] = {.lex_state = 381, .external_lex_state = 3},
  [22380] = {.lex_state = 381, .external_lex_state = 3},
  [22381] = {.lex_state = 381, .external_lex_state = 3},
  [22382] = {.lex_state = 381, .external_lex_state = 3},
  [22383] = {.lex_state = 381, .external_lex_state = 3},
  [22384] = {.lex_state = 381, .external_lex_state = 3},
  [22385] = {.lex_state = 411, .external_lex_state = 3},
  [22386] = {.lex_state = 36, .external_lex_state = 3},
  [22387] = {.lex_state = 381, .external_lex_state = 3},
  [22388] = {.lex_state = 381, .external_lex_state = 2},
  [22389] = {.lex_state = 381, .external_lex_state = 3},
  [22390] = {.lex_state = 381, .external_lex_state = 3},
  [22391] = {.lex_state = 411, .external_lex_state = 3},
  [22392] = {.lex_state = 381, .external_lex_state = 3},
  [22393] = {.lex_state = 381, .external_lex_state = 3},
  [22394] = {.lex_state = 381, .external_lex_state = 3},
  [22395] = {.lex_state = 381, .external_lex_state = 3},
  [22396] = {.lex_state = 381, .external_lex_state = 3},
  [22397] = {.lex_state = 381, .external_lex_state = 3},
  [22398] = {.lex_state = 381, .external_lex_state = 3},
  [22399] = {.lex_state = 411, .external_lex_state = 3},
  [22400] = {.lex_state = 381, .external_lex_state = 3},
  [22401] = {.lex_state = 381, .external_lex_state = 2},
  [22402] = {.lex_state = 381, .external_lex_state = 3},
  [22403] = {.lex_state = 381, .external_lex_state = 3},
  [22404] = {.lex_state = 381, .external_lex_state = 3},
  [22405] = {.lex_state = 381, .external_lex_state = 3},
  [22406] = {.lex_state = 381, .external_lex_state = 3},
  [22407] = {.lex_state = 381, .external_lex_state = 3},
  [22408] = {.lex_state = 411, .external_lex_state = 3},
  [22409] = {.lex_state = 36, .external_lex_state = 3},
  [22410] = {.lex_state = 381, .external_lex_state = 3},
  [22411] = {.lex_state = 381, .external_lex_state = 3},
  [22412] = {.lex_state = 381, .external_lex_state = 2},
  [22413] = {.lex_state = 381, .external_lex_state = 3},
  [22414] = {.lex_state = 381, .external_lex_state = 3},
  [22415] = {.lex_state = 36, .external_lex_state = 3},
  [22416] = {.lex_state = 381, .external_lex_state = 3},
  [22417] = {.lex_state = 36, .external_lex_state = 3},
  [22418] = {.lex_state = 381, .external_lex_state = 3},
  [22419] = {.lex_state = 381, .external_lex_state = 3},
  [22420] = {.lex_state = 381, .external_lex_state = 3},
  [22421] = {.lex_state = 381, .external_lex_state = 3},
  [22422] = {.lex_state = 411, .external_lex_state = 3},
  [22423] = {.lex_state = 381, .external_lex_state = 3},
  [22424] = {.lex_state = 15, .external_lex_state = 3},
  [22425] = {.lex_state = 411, .external_lex_state = 3},
  [22426] = {.lex_state = 381, .external_lex_state = 3},
  [22427] = {.lex_state = 381, .external_lex_state = 3},
  [22428] = {.lex_state = 381, .external_lex_state = 3},
  [22429] = {.lex_state = 381, .external_lex_state = 3},
  [22430] = {.lex_state = 36, .external_lex_state = 3},
  [22431] = {.lex_state = 381, .external_lex_state = 3},
  [22432] = {.lex_state = 381, .external_lex_state = 3},
  [22433] = {.lex_state = 381, .external_lex_state = 3},
  [22434] = {.lex_state = 15, .external_lex_state = 3},
  [22435] = {.lex_state = 381, .external_lex_state = 3},
  [22436] = {.lex_state = 381, .external_lex_state = 3},
  [22437] = {.lex_state = 381, .external_lex_state = 3},
  [22438] = {.lex_state = 15, .external_lex_state = 3},
  [22439] = {.lex_state = 381, .external_lex_state = 3},
  [22440] = {.lex_state = 381, .external_lex_state = 3},
  [22441] = {.lex_state = 381, .external_lex_state = 3},
  [22442] = {.lex_state = 381, .external_lex_state = 3},
  [22443] = {.lex_state = 381, .external_lex_state = 3},
  [22444] = {.lex_state = 132, .external_lex_state = 3},
  [22445] = {.lex_state = 132, .external_lex_state = 3},
  [22446] = {.lex_state = 132, .external_lex_state = 3},
  [22447] = {.lex_state = 132, .external_lex_state = 3},
  [22448] = {.lex_state = 381, .external_lex_state = 3},
  [22449] = {.lex_state = 381, .external_lex_state = 3},
  [22450] = {.lex_state = 381, .external_lex_state = 3},
  [22451] = {.lex_state = 381, .external_lex_state = 3},
  [22452] = {.lex_state = 381, .external_lex_state = 3},
  [22453] = {.lex_state = 381, .external_lex_state = 3},
  [22454] = {.lex_state = 381, .external_lex_state = 3},
  [22455] = {.lex_state = 411, .external_lex_state = 3},
  [22456] = {.lex_state = 381, .external_lex_state = 3},
  [22457] = {.lex_state = 381, .external_lex_state = 3},
  [22458] = {.lex_state = 381, .external_lex_state = 3},
  [22459] = {.lex_state = 132, .external_lex_state = 3},
  [22460] = {.lex_state = 381, .external_lex_state = 3},
  [22461] = {.lex_state = 381, .external_lex_state = 3},
  [22462] = {.lex_state = 381, .external_lex_state = 3},
  [22463] = {.lex_state = 381, .external_lex_state = 3},
  [22464] = {.lex_state = 381, .external_lex_state = 3},
  [22465] = {.lex_state = 381, .external_lex_state = 3},
  [22466] = {.lex_state = 411, .external_lex_state = 3},
  [22467] = {.lex_state = 381, .external_lex_state = 3},
  [22468] = {.lex_state = 381, .external_lex_state = 3},
  [22469] = {(TSStateId)(-1)},
  [22470] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_attribute] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__identifier] = ACTIONS(1),
    [sym_shebang] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_rec] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_COLON_GT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_external] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_nonrec] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_COLON2] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constraint] = ACTIONS(1),
    [anon_sym_exception] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_include] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_val] = ACTIONS(1),
    [anon_sym_sig] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_functor] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_method] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_fun] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACK_GT] = ACTIONS(1),
    [anon_sym_LBRACK_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACK] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_to] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_lazy] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_LBRACE_LT] = ACTIONS(1),
    [anon_sym_begin] = ACTIONS(1),
    [sym_ocamlyacc_value] = ACTIONS(1),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_number_token1] = ACTIONS(1),
    [aux_sym_signed_number_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_content_token2] = ACTIONS(1),
    [aux_sym_string_content_token4] = ACTIONS(1),
    [aux_sym_string_content_token5] = ACTIONS(1),
    [aux_sym_escape_sequence_token1] = ACTIONS(1),
    [aux_sym_escape_sequence_token2] = ACTIONS(1),
    [aux_sym_escape_sequence_token3] = ACTIONS(1),
    [aux_sym_escape_sequence_token4] = ACTIONS(1),
    [sym_pretty_printing_indication] = ACTIONS(1),
    [aux_sym_sign_operator_token1] = ACTIONS(1),
    [sym_hash_operator] = ACTIONS(1),
    [sym_concat_operator] = ACTIONS(1),
    [sym_and_operator] = ACTIONS(1),
    [sym_or_operator] = ACTIONS(1),
    [sym_assign_operator] = ACTIONS(1),
    [sym_let_operator] = ACTIONS(1),
    [sym_let_and_operator] = ACTIONS(1),
    [sym_match_operator] = ACTIONS(1),
    [sym__capitalized_identifier] = ACTIONS(1),
    [aux_sym_directive_token1] = ACTIONS(1),
    [aux_sym_type_variable_token1] = ACTIONS(1),
    [aux_sym_tag_token1] = ACTIONS(1),
    [aux_sym_attribute_id_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__left_quoted_string_delimiter] = ACTIONS(1),
    [sym__right_quoted_string_delimiter] = ACTIONS(1),
    [sym_line_number_directive] = ACTIONS(5),
    [sym__null] = ACTIONS(1),
  },
  [1] = {
    [sym_compilation_unit] = STATE(19426),
    [sym__structure] = STATE(19665),
    [sym_expression_item] = STATE(9528),
    [sym_toplevel_directive] = STATE(9528),
    [sym__structure_item] = STATE(9528),
    [sym_value_definition] = STATE(13816),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(10095),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(1),
    [sym_floating_attribute] = STATE(13459),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5248),
    [aux_sym__structure_repeat1] = STATE(119),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym__identifier] = ACTIONS(9),
    [sym_shebang] = ACTIONS(11),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(91),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(2),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20048),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(3),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(19554),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [4] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(4),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(19944),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [5] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(5),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20339),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(173),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [6] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(6),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21181),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [7] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(7),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(19854),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(177),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [8] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(8),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21950),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(179),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [9] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(9),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20001),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [10] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(10),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(22351),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(183),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [11] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(11),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(19379),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(185),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [12] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(12),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20986),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(187),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [13] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(13),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21231),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [14] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(14),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(19235),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(191),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [15] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(15),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20016),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(193),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [16] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(16),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20830),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [17] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(17),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21750),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(197),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [18] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(18),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(19919),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(199),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [19] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(19),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(22093),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(201),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [20] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(20),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(19557),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(203),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [21] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(21),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20558),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(205),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [22] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(22),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(19941),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(207),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [23] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(23),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(22467),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [24] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(24),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20725),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(211),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [25] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(25),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(19420),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(213),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [26] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(26),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20905),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [27] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(27),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(22390),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(217),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [28] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(28),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21381),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [29] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(29),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21608),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(221),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [30] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(30),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(22040),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(223),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [31] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(31),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(19547),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [32] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(32),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20042),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [33] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(33),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20470),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [34] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(34),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21028),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [35] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(35),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21719),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(233),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [36] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(36),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(22162),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [37] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(37),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(19393),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(237),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [38] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(38),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(19692),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [39] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(39),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(19994),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(241),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [40] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(40),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20327),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [41] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(41),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20641),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [42] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(42),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21082),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(247),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [43] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(43),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21237),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(249),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [44] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(44),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21429),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(251),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [45] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(45),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21927),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(253),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [46] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(46),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(22354),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(255),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [47] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(47),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(22440),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(257),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [48] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(48),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(19707),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(259),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [49] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(49),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(19419),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(261),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [50] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(50),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21142),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(263),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [51] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(51),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(19240),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(265),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [52] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(52),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(19896),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [53] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(53),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20887),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(269),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [54] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(54),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21737),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(271),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [55] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(55),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(22243),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(273),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [56] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(56),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(19427),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(275),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [57] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(57),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(19718),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [58] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(58),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20073),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(279),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [59] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(59),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20276),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(281),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [60] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(60),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20416),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [61] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(61),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20521),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(285),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [62] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(62),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20583),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [63] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(63),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20648),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [64] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(64),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20720),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [65] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(65),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20764),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(293),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [66] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(66),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20832),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(295),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [67] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(67),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20867),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [68] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(68),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20920),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(299),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [69] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(69),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20964),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(301),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [70] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(70),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(20989),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [71] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(71),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21012),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [72] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(72),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21047),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(307),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [73] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(73),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(22468),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(309),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [74] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(74),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21077),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [75] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(75),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21086),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [76] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(76),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21094),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [77] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(77),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21118),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(317),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [78] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(78),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21135),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(319),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [79] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(79),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21145),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(321),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [80] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(80),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21158),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(323),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [81] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(81),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21171),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [82] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(82),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21177),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(327),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [83] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(83),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21188),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(329),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [84] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(84),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21225),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [85] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(85),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21243),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [86] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(86),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21257),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(335),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [87] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(87),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21268),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(337),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [88] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(88),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21283),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(339),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [89] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(89),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21289),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(341),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [90] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(90),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21304),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [91] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(91),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21311),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(345),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [92] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(92),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21331),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(347),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [93] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(93),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21338),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(349),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [94] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(94),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21342),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(351),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [95] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(95),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21348),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(353),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [96] = {
    [sym__structure] = STATE(19752),
    [sym_expression_item] = STATE(9590),
    [sym_toplevel_directive] = STATE(9590),
    [sym__structure_item] = STATE(9590),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(96),
    [sym_floating_attribute] = STATE(13459),
    [sym_attribute_payload] = STATE(21668),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(355),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [97] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9240),
    [sym__sequence_expression] = STATE(8329),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(97),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__attribute] = STATE(855),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(395),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(397),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [98] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(8329),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(98),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__attribute] = STATE(800),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(451),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [99] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9205),
    [sym__sequence_expression] = STATE(8329),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(99),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__attribute] = STATE(843),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(503),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(505),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [100] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(8329),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(100),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__attribute] = STATE(1014),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [101] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9395),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(101),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__attribute] = STATE(861),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(607),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(609),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [102] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9492),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(102),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__attribute] = STATE(837),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(659),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(661),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [103] = {
    [sym__structure] = STATE(21350),
    [sym_expression_item] = STATE(9589),
    [sym_toplevel_directive] = STATE(9589),
    [sym__structure_item] = STATE(9589),
    [sym_value_definition] = STATE(13608),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10119),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(103),
    [sym_floating_attribute] = STATE(13459),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_directive] = STATE(8859),
    [sym_tag] = STATE(5079),
    [aux_sym__structure_repeat1] = STATE(120),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_SEMI_SEMI] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_exception] = ACTIONS(693),
    [anon_sym_module] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(697),
    [anon_sym_end] = ACTIONS(699),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(725),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(735),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_directive_token1] = ACTIONS(741),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [104] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9443),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(104),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__attribute] = STATE(867),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(779),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(781),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [105] = {
    [sym__structure] = STATE(20251),
    [sym_expression_item] = STATE(9528),
    [sym_toplevel_directive] = STATE(9528),
    [sym__structure_item] = STATE(9528),
    [sym_value_definition] = STATE(13816),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(10095),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(105),
    [sym_floating_attribute] = STATE(13459),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5248),
    [aux_sym__structure_repeat1] = STATE(119),
    [ts_builtin_sym_end] = ACTIONS(797),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(91),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [106] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9465),
    [sym__sequence_expression] = STATE(8329),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(106),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__attribute] = STATE(1001),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(833),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(835),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [107] = {
    [sym__structure] = STATE(19903),
    [sym_expression_item] = STATE(9589),
    [sym_toplevel_directive] = STATE(9589),
    [sym__structure_item] = STATE(9589),
    [sym_value_definition] = STATE(13608),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10119),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(107),
    [sym_floating_attribute] = STATE(13459),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_directive] = STATE(8859),
    [sym_tag] = STATE(5079),
    [aux_sym__structure_repeat1] = STATE(120),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_SEMI_SEMI] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_exception] = ACTIONS(693),
    [anon_sym_module] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(697),
    [anon_sym_end] = ACTIONS(851),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(725),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(735),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_directive_token1] = ACTIONS(741),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [108] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9454),
    [sym__sequence_expression] = STATE(8329),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(108),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__attribute] = STATE(1013),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(887),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(889),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [109] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9524),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(109),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__attribute] = STATE(1016),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(941),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [110] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9552),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(110),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__attribute] = STATE(1015),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(991),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(993),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [111] = {
    [sym_expression_item] = STATE(13451),
    [sym_toplevel_directive] = STATE(13451),
    [sym__structure_item] = STATE(13451),
    [sym_value_definition] = STATE(13816),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(10095),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(111),
    [sym_floating_attribute] = STATE(13459),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5248),
    [aux_sym__structure_repeat1] = STATE(5938),
    [ts_builtin_sym_end] = ACTIONS(1009),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(91),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [112] = {
    [sym_expression_item] = STATE(13451),
    [sym_toplevel_directive] = STATE(13451),
    [sym__structure_item] = STATE(13451),
    [sym_value_definition] = STATE(13816),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(10095),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(112),
    [sym_floating_attribute] = STATE(13459),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5248),
    [aux_sym__structure_repeat1] = STATE(5938),
    [ts_builtin_sym_end] = ACTIONS(1011),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(91),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [113] = {
    [sym_expression_item] = STATE(9554),
    [sym_toplevel_directive] = STATE(9554),
    [sym__structure_item] = STATE(9554),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(113),
    [sym_floating_attribute] = STATE(13459),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(5938),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(1013),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [114] = {
    [sym_expression_item] = STATE(13451),
    [sym_toplevel_directive] = STATE(13451),
    [sym__structure_item] = STATE(13451),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(114),
    [sym_floating_attribute] = STATE(13459),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(5938),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [115] = {
    [sym_expression_item] = STATE(13451),
    [sym_toplevel_directive] = STATE(13451),
    [sym__structure_item] = STATE(13451),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(115),
    [sym_floating_attribute] = STATE(13459),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(5938),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(1015),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [116] = {
    [sym_expression_item] = STATE(13451),
    [sym_toplevel_directive] = STATE(13451),
    [sym__structure_item] = STATE(13451),
    [sym_value_definition] = STATE(13608),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10119),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(116),
    [sym_floating_attribute] = STATE(13459),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_directive] = STATE(8859),
    [sym_tag] = STATE(5079),
    [aux_sym__structure_repeat1] = STATE(6133),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_SEMI_SEMI] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_exception] = ACTIONS(693),
    [anon_sym_module] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(697),
    [anon_sym_end] = ACTIONS(1017),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(725),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(735),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_directive_token1] = ACTIONS(741),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [117] = {
    [sym_expression_item] = STATE(13451),
    [sym_toplevel_directive] = STATE(13451),
    [sym__structure_item] = STATE(13451),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(117),
    [sym_floating_attribute] = STATE(13459),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(5938),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [118] = {
    [sym_expression_item] = STATE(13451),
    [sym_toplevel_directive] = STATE(13451),
    [sym__structure_item] = STATE(13451),
    [sym_value_definition] = STATE(13608),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10119),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(118),
    [sym_floating_attribute] = STATE(13459),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_directive] = STATE(8859),
    [sym_tag] = STATE(5079),
    [aux_sym__structure_repeat1] = STATE(6133),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_SEMI_SEMI] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_exception] = ACTIONS(693),
    [anon_sym_module] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(697),
    [anon_sym_end] = ACTIONS(1019),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(725),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(735),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_directive_token1] = ACTIONS(741),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [119] = {
    [sym_expression_item] = STATE(9597),
    [sym_toplevel_directive] = STATE(9597),
    [sym__structure_item] = STATE(9597),
    [sym_value_definition] = STATE(13816),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(10095),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(119),
    [sym_floating_attribute] = STATE(13459),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5248),
    [aux_sym__structure_repeat1] = STATE(5938),
    [ts_builtin_sym_end] = ACTIONS(1013),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(91),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [120] = {
    [sym_expression_item] = STATE(9551),
    [sym_toplevel_directive] = STATE(9551),
    [sym__structure_item] = STATE(9551),
    [sym_value_definition] = STATE(13608),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10119),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(120),
    [sym_floating_attribute] = STATE(13459),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_directive] = STATE(8859),
    [sym_tag] = STATE(5079),
    [aux_sym__structure_repeat1] = STATE(6133),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_SEMI_SEMI] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_exception] = ACTIONS(693),
    [anon_sym_module] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(697),
    [anon_sym_end] = ACTIONS(1021),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(725),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(735),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_directive_token1] = ACTIONS(741),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [121] = {
    [sym_expression_item] = STATE(13451),
    [sym_toplevel_directive] = STATE(13451),
    [sym__structure_item] = STATE(13451),
    [sym_value_definition] = STATE(13608),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10119),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(121),
    [sym_floating_attribute] = STATE(13459),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_directive] = STATE(8859),
    [sym_tag] = STATE(5079),
    [aux_sym__structure_repeat1] = STATE(6133),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_SEMI_SEMI] = ACTIONS(679),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_exception] = ACTIONS(693),
    [anon_sym_module] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(697),
    [anon_sym_end] = ACTIONS(1023),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(725),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(735),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_directive_token1] = ACTIONS(741),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [122] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9580),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(122),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__attribute] = STATE(1012),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1061),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [123] = {
    [sym_expression_item] = STATE(13451),
    [sym_toplevel_directive] = STATE(13451),
    [sym__structure_item] = STATE(13451),
    [sym_value_definition] = STATE(13816),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(10095),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(123),
    [sym_floating_attribute] = STATE(13459),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5248),
    [aux_sym__structure_repeat1] = STATE(5938),
    [ts_builtin_sym_end] = ACTIONS(1015),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(91),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [124] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9631),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(124),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__attribute] = STATE(721),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1113),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [125] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9704),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(125),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__attribute] = STATE(1311),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [126] = {
    [sym_expression_item] = STATE(13451),
    [sym_toplevel_directive] = STATE(13451),
    [sym__structure_item] = STATE(13451),
    [sym_value_definition] = STATE(13608),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10119),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(126),
    [sym_floating_attribute] = STATE(13459),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_directive] = STATE(8859),
    [sym_tag] = STATE(5079),
    [aux_sym__structure_repeat1] = STATE(5938),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(681),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_exception] = ACTIONS(693),
    [anon_sym_module] = ACTIONS(695),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(697),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(725),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(735),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_directive_token1] = ACTIONS(741),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [127] = {
    [sym_expression_item] = STATE(13451),
    [sym_toplevel_directive] = STATE(13451),
    [sym__structure_item] = STATE(13451),
    [sym_value_definition] = STATE(13656),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(127),
    [sym_floating_attribute] = STATE(13459),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5010),
    [aux_sym__structure_repeat1] = STATE(5938),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [128] = {
    [sym_expression_item] = STATE(13451),
    [sym_toplevel_directive] = STATE(13451),
    [sym__structure_item] = STATE(13451),
    [sym_value_definition] = STATE(13816),
    [sym_external] = STATE(13459),
    [sym_type_definition] = STATE(13459),
    [sym_exception_definition] = STATE(13459),
    [sym_module_definition] = STATE(13459),
    [sym_module_type_definition] = STATE(13459),
    [sym_open_module] = STATE(13459),
    [sym_include_module] = STATE(13459),
    [sym_class_definition] = STATE(13459),
    [sym_class_type_definition] = STATE(13459),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(10095),
    [sym__sequence_expression] = STATE(12353),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(128),
    [sym_floating_attribute] = STATE(13459),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym_item_extension] = STATE(13459),
    [sym_quoted_item_extension] = STATE(13459),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_directive] = STATE(8835),
    [sym_tag] = STATE(5248),
    [aux_sym__structure_repeat1] = STATE(5938),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(91),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [129] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9693),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(129),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__attribute] = STATE(681),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1215),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1217),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [130] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(9869),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(130),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__attribute] = STATE(999),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [131] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(9853),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(131),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__attribute] = STATE(731),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [132] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10003),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(132),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__attribute] = STATE(1000),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(725),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [133] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10593),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(133),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__attribute] = STATE(813),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_constraint] = ACTIONS(363),
    [anon_sym_val] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_inherit] = ACTIONS(363),
    [anon_sym_method] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_initializer] = ACTIONS(363),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1281),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1283),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [134] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10984),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(134),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__attribute] = STATE(734),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_constraint] = ACTIONS(363),
    [anon_sym_val] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_inherit] = ACTIONS(363),
    [anon_sym_method] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_initializer] = ACTIONS(363),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1281),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1283),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [135] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10998),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(135),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__attribute] = STATE(900),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_constraint] = ACTIONS(363),
    [anon_sym_val] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_inherit] = ACTIONS(363),
    [anon_sym_method] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_initializer] = ACTIONS(363),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1357),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [136] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11282),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(136),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__attribute] = STATE(835),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_constraint] = ACTIONS(363),
    [anon_sym_val] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_inherit] = ACTIONS(363),
    [anon_sym_method] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_initializer] = ACTIONS(363),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1357),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [137] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(137),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__attribute] = STATE(708),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_COLON_GT] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(359),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_COLON2] = ACTIONS(363),
    [anon_sym_DASH_GT] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_GT_RBRACE] = ACTIONS(359),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [138] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11589),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(138),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__attribute] = STATE(927),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_COLON_GT] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_RPAREN] = ACTIONS(359),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_COLON2] = ACTIONS(363),
    [anon_sym_DASH_GT] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_GT_RBRACE] = ACTIONS(359),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [139] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11597),
    [sym__sequence_expression] = STATE(10079),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(139),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__attribute] = STATE(1557),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_COLON_GT] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(359),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_COLON2] = ACTIONS(363),
    [anon_sym_DASH_GT] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_GT_RBRACE] = ACTIONS(359),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [140] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12037),
    [sym__sequence_expression] = STATE(10079),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(140),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__attribute] = STATE(756),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_COLON_GT] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(359),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_COLON2] = ACTIONS(363),
    [anon_sym_DASH_GT] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_GT_RBRACE] = ACTIONS(359),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [141] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9581),
    [sym__sequence_expression] = STATE(8329),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(141),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__attribute] = STATE(973),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(887),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(889),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [142] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9566),
    [sym__sequence_expression] = STATE(8329),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(142),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__attribute] = STATE(972),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(833),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(835),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [143] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(11774),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(143),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__attribute] = STATE(849),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [144] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9544),
    [sym__sequence_expression] = STATE(8329),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(144),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__attribute] = STATE(1167),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [145] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12668),
    [sym__sequence_expression] = STATE(10079),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(145),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__attribute] = STATE(831),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [146] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9661),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(146),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__attribute] = STATE(950),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1061),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [147] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12964),
    [sym__sequence_expression] = STATE(11774),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(147),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__attribute] = STATE(695),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [148] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9690),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(148),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__attribute] = STATE(1598),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(941),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [149] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9724),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(149),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__attribute] = STATE(1522),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(991),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(993),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [150] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13142),
    [sym__sequence_expression] = STATE(10079),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(150),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__attribute] = STATE(1011),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [151] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13037),
    [sym__sequence_expression] = STATE(11774),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(151),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__attribute] = STATE(825),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_to] = ACTIONS(363),
    [anon_sym_downto] = ACTIONS(363),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [152] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16016),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(152),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21582),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1775),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1785),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1787),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1795),
    [sym_let_and_operator] = ACTIONS(1787),
    [sym_match_operator] = ACTIONS(1797),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [153] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16523),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(153),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20608),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1799),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1803),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1805),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1807),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1809),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1811),
    [sym_let_and_operator] = ACTIONS(1809),
    [sym_match_operator] = ACTIONS(1813),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [154] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21193),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(154),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21582),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1815),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1785),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1787),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1795),
    [sym_let_and_operator] = ACTIONS(1787),
    [sym_match_operator] = ACTIONS(1797),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [155] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19363),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(155),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20608),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1817),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1803),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1805),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1807),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1809),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1811),
    [sym_let_and_operator] = ACTIONS(1809),
    [sym_match_operator] = ACTIONS(1813),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [156] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16270),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(156),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21600),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1819),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1821),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1827),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1829),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1831),
    [sym_let_and_operator] = ACTIONS(1829),
    [sym_match_operator] = ACTIONS(1833),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [157] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20177),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(157),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21600),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1821),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1827),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1829),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1831),
    [sym_let_and_operator] = ACTIONS(1829),
    [sym_match_operator] = ACTIONS(1833),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [158] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16326),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(158),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(22094),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1837),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1843),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1845),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1847),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1849),
    [sym_let_and_operator] = ACTIONS(1847),
    [sym_match_operator] = ACTIONS(1851),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [159] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21211),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(159),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(22094),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1843),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1845),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1847),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1849),
    [sym_let_and_operator] = ACTIONS(1847),
    [sym_match_operator] = ACTIONS(1851),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [160] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16420),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(160),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21850),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1859),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1863),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1865),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1867),
    [sym_let_and_operator] = ACTIONS(1865),
    [sym_match_operator] = ACTIONS(1869),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [161] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21847),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(161),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21850),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1859),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1863),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1865),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1867),
    [sym_let_and_operator] = ACTIONS(1865),
    [sym_match_operator] = ACTIONS(1869),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [162] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16489),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(162),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(19522),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1873),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1875),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1877),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1881),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1883),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1885),
    [sym_let_and_operator] = ACTIONS(1883),
    [sym_match_operator] = ACTIONS(1887),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [163] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13500),
    [sym__sequence_expression] = STATE(11774),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(163),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__attribute] = STATE(1490),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_to] = ACTIONS(363),
    [anon_sym_downto] = ACTIONS(363),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [164] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21987),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(164),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(19522),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1941),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1875),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1877),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1881),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1883),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1885),
    [sym_let_and_operator] = ACTIONS(1883),
    [sym_match_operator] = ACTIONS(1887),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [165] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(15990),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(165),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20203),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1943),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1945),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1947),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1949),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1951),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1953),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1955),
    [sym_let_and_operator] = ACTIONS(1953),
    [sym_match_operator] = ACTIONS(1957),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [166] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19381),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(166),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20203),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1959),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1945),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1947),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1949),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1951),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1953),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1955),
    [sym_let_and_operator] = ACTIONS(1953),
    [sym_match_operator] = ACTIONS(1957),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [167] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16020),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(167),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21995),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1963),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1965),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1969),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1971),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1973),
    [sym_let_and_operator] = ACTIONS(1971),
    [sym_match_operator] = ACTIONS(1975),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [168] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20672),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(168),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21995),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1963),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1965),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1967),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1969),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1971),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1973),
    [sym_let_and_operator] = ACTIONS(1971),
    [sym_match_operator] = ACTIONS(1975),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [169] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(15966),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(169),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21969),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1981),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1983),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1987),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1989),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1991),
    [sym_let_and_operator] = ACTIONS(1989),
    [sym_match_operator] = ACTIONS(1993),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [170] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19984),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(170),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21969),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1995),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1981),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1983),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1987),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1989),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1991),
    [sym_let_and_operator] = ACTIONS(1989),
    [sym_match_operator] = ACTIONS(1993),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [171] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16256),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(171),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20413),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1999),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2001),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2005),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2007),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2009),
    [sym_let_and_operator] = ACTIONS(2007),
    [sym_match_operator] = ACTIONS(2011),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [172] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21305),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(172),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20413),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2013),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1999),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2001),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2003),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2005),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2007),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2009),
    [sym_let_and_operator] = ACTIONS(2007),
    [sym_match_operator] = ACTIONS(2011),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [173] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(15866),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(173),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(19641),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2017),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2019),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2021),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2023),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2025),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2027),
    [sym_let_and_operator] = ACTIONS(2025),
    [sym_match_operator] = ACTIONS(2029),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [174] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21495),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(174),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(19641),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2031),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2017),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2019),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2021),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2023),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2025),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2027),
    [sym_let_and_operator] = ACTIONS(2025),
    [sym_match_operator] = ACTIONS(2029),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [175] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(15992),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(175),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(19331),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2033),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2035),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2037),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2041),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2043),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2045),
    [sym_let_and_operator] = ACTIONS(2043),
    [sym_match_operator] = ACTIONS(2047),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [176] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19348),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(176),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(19331),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2035),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2037),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2041),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2043),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2045),
    [sym_let_and_operator] = ACTIONS(2043),
    [sym_match_operator] = ACTIONS(2047),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [177] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16090),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(177),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20319),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2051),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2059),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2061),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2063),
    [sym_let_and_operator] = ACTIONS(2061),
    [sym_match_operator] = ACTIONS(2065),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [178] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20973),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(178),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20319),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2055),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2059),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2061),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2063),
    [sym_let_and_operator] = ACTIONS(2061),
    [sym_match_operator] = ACTIONS(2065),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [179] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16205),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(179),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20884),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2069),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2071),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2073),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2077),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2079),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2081),
    [sym_let_and_operator] = ACTIONS(2079),
    [sym_match_operator] = ACTIONS(2083),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [180] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19657),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(180),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20884),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2071),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2073),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2075),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2077),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2079),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2081),
    [sym_let_and_operator] = ACTIONS(2079),
    [sym_match_operator] = ACTIONS(2083),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [181] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16319),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(181),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21476),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2087),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2095),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2097),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2099),
    [sym_let_and_operator] = ACTIONS(2097),
    [sym_match_operator] = ACTIONS(2101),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [182] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21146),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(182),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21476),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2103),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2095),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2097),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2099),
    [sym_let_and_operator] = ACTIONS(2097),
    [sym_match_operator] = ACTIONS(2101),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [183] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16469),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(183),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21949),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2107),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2113),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2115),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2117),
    [sym_let_and_operator] = ACTIONS(2115),
    [sym_match_operator] = ACTIONS(2119),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [184] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20403),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(184),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21949),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2107),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2111),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2113),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2115),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2117),
    [sym_let_and_operator] = ACTIONS(2115),
    [sym_match_operator] = ACTIONS(2119),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [185] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(15862),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(185),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(19256),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2125),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2131),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2133),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2135),
    [sym_let_and_operator] = ACTIONS(2133),
    [sym_match_operator] = ACTIONS(2137),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [186] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22133),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(186),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(19256),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2139),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2125),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2129),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2131),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2133),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2135),
    [sym_let_and_operator] = ACTIONS(2133),
    [sym_match_operator] = ACTIONS(2137),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [187] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(15908),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(187),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(19598),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2143),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2145),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2147),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2149),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2151),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2153),
    [sym_let_and_operator] = ACTIONS(2151),
    [sym_match_operator] = ACTIONS(2155),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [188] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22068),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(188),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(19598),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2157),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2143),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2145),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2147),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2149),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2151),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2153),
    [sym_let_and_operator] = ACTIONS(2151),
    [sym_match_operator] = ACTIONS(2155),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [189] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(15951),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(189),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20506),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2159),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2161),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2163),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2167),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2169),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2171),
    [sym_let_and_operator] = ACTIONS(2169),
    [sym_match_operator] = ACTIONS(2173),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [190] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20266),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(190),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20506),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2175),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2161),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2163),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2167),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2169),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2171),
    [sym_let_and_operator] = ACTIONS(2169),
    [sym_match_operator] = ACTIONS(2173),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [191] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(15994),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(191),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20810),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2179),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2181),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2187),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2189),
    [sym_let_and_operator] = ACTIONS(2187),
    [sym_match_operator] = ACTIONS(2191),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [192] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22190),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(192),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20810),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2179),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2181),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2187),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2189),
    [sym_let_and_operator] = ACTIONS(2187),
    [sym_match_operator] = ACTIONS(2191),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [193] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16033),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(193),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21157),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2203),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2205),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2207),
    [sym_let_and_operator] = ACTIONS(2205),
    [sym_match_operator] = ACTIONS(2209),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [194] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19655),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(194),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21157),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2211),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2203),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2205),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2207),
    [sym_let_and_operator] = ACTIONS(2205),
    [sym_match_operator] = ACTIONS(2209),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [195] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16074),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(195),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21318),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2217),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2219),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2223),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2225),
    [sym_let_and_operator] = ACTIONS(2223),
    [sym_match_operator] = ACTIONS(2227),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [196] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20141),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(196),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21318),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2217),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2219),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2223),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2225),
    [sym_let_and_operator] = ACTIONS(2223),
    [sym_match_operator] = ACTIONS(2227),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [197] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16096),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(197),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21665),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2231),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2233),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2235),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2239),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2241),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2243),
    [sym_let_and_operator] = ACTIONS(2241),
    [sym_match_operator] = ACTIONS(2245),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [198] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20638),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(198),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21665),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2247),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2233),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2235),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2239),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2241),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2243),
    [sym_let_and_operator] = ACTIONS(2241),
    [sym_match_operator] = ACTIONS(2245),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [199] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16119),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(199),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(22229),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2249),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2257),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2259),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2261),
    [sym_let_and_operator] = ACTIONS(2259),
    [sym_match_operator] = ACTIONS(2263),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [200] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21170),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(200),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(22229),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2257),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2259),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2261),
    [sym_let_and_operator] = ACTIONS(2259),
    [sym_match_operator] = ACTIONS(2263),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [201] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16162),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(201),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(22453),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2267),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2269),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2271),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2273),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2275),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2277),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2279),
    [sym_let_and_operator] = ACTIONS(2277),
    [sym_match_operator] = ACTIONS(2281),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [202] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(202),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__attribute] = STATE(912),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [203] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21779),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(203),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(22453),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2283),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2269),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2271),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2273),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2275),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2277),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2279),
    [sym_let_and_operator] = ACTIONS(2277),
    [sym_match_operator] = ACTIONS(2281),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [204] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16203),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(204),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21022),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2285),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2293),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2295),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2297),
    [sym_let_and_operator] = ACTIONS(2295),
    [sym_match_operator] = ACTIONS(2299),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [205] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10119),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(205),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__attribute] = STATE(935),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(725),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [206] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22346),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(206),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21022),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2301),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2293),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2295),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2297),
    [sym_let_and_operator] = ACTIONS(2295),
    [sym_match_operator] = ACTIONS(2299),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [207] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16229),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(207),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21822),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2303),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2305),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2307),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2309),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2311),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2313),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2315),
    [sym_let_and_operator] = ACTIONS(2313),
    [sym_match_operator] = ACTIONS(2317),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [208] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19463),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(208),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21822),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2319),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2305),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2307),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2309),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2311),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2313),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2315),
    [sym_let_and_operator] = ACTIONS(2313),
    [sym_match_operator] = ACTIONS(2317),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [209] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16255),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(209),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21991),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2325),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2327),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2331),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2333),
    [sym_let_and_operator] = ACTIONS(2331),
    [sym_match_operator] = ACTIONS(2335),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [210] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19746),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(210),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21991),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2325),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2327),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2331),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2333),
    [sym_let_and_operator] = ACTIONS(2331),
    [sym_match_operator] = ACTIONS(2335),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [211] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16272),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(211),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(19619),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2339),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2341),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2343),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2345),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2347),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2349),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2351),
    [sym_let_and_operator] = ACTIONS(2349),
    [sym_match_operator] = ACTIONS(2353),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [212] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13312),
    [sym__sequence_expression] = STATE(11774),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(212),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__attribute] = STATE(819),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_done] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [213] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20064),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(213),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(19619),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2341),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2343),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2345),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2347),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2349),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2351),
    [sym_let_and_operator] = ACTIONS(2349),
    [sym_match_operator] = ACTIONS(2353),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [214] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13336),
    [sym__sequence_expression] = STATE(10079),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(214),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__attribute] = STATE(1638),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_PIPE_RBRACK] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [215] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20407),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(215),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20333),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2425),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2427),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2431),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2433),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2435),
    [sym_let_and_operator] = ACTIONS(2433),
    [sym_match_operator] = ACTIONS(2437),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [216] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16320),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(216),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21497),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2439),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2443),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2447),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2449),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2451),
    [sym_let_and_operator] = ACTIONS(2449),
    [sym_match_operator] = ACTIONS(2453),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [217] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20701),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(217),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21497),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2455),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2443),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2445),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2447),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2449),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2451),
    [sym_let_and_operator] = ACTIONS(2449),
    [sym_match_operator] = ACTIONS(2453),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [218] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16338),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(218),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(22022),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2457),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2459),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2461),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2463),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2465),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2467),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2469),
    [sym_let_and_operator] = ACTIONS(2467),
    [sym_match_operator] = ACTIONS(2471),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [219] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(10095),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(219),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__attribute] = STATE(717),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [220] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21111),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(220),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(22022),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2473),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2459),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2461),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2463),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2465),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2467),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2469),
    [sym_let_and_operator] = ACTIONS(2467),
    [sym_match_operator] = ACTIONS(2471),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [221] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16356),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(221),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(19294),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2479),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2483),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2485),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2487),
    [sym_let_and_operator] = ACTIONS(2485),
    [sym_match_operator] = ACTIONS(2489),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [222] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21265),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(222),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(19294),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2491),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2479),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2481),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2483),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2485),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2487),
    [sym_let_and_operator] = ACTIONS(2485),
    [sym_match_operator] = ACTIONS(2489),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [223] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16374),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(223),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(19597),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2493),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2497),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2501),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2503),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2505),
    [sym_let_and_operator] = ACTIONS(2503),
    [sym_match_operator] = ACTIONS(2507),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [224] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21493),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(224),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(19597),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2509),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2497),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2501),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2503),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2505),
    [sym_let_and_operator] = ACTIONS(2503),
    [sym_match_operator] = ACTIONS(2507),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [225] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16429),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(225),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(19924),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2513),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2515),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2517),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2519),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2521),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2523),
    [sym_let_and_operator] = ACTIONS(2521),
    [sym_match_operator] = ACTIONS(2525),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [226] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22011),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(226),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(19924),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2513),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2515),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2517),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2519),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2521),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2523),
    [sym_let_and_operator] = ACTIONS(2521),
    [sym_match_operator] = ACTIONS(2525),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [227] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16494),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(227),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20369),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2529),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2533),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2537),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2539),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2541),
    [sym_let_and_operator] = ACTIONS(2539),
    [sym_match_operator] = ACTIONS(2543),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [228] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22381),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(228),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20369),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2545),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2531),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2533),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2537),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2539),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2541),
    [sym_let_and_operator] = ACTIONS(2539),
    [sym_match_operator] = ACTIONS(2543),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [229] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16522),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(229),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20507),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2547),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2551),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2553),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2555),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2557),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2559),
    [sym_let_and_operator] = ACTIONS(2557),
    [sym_match_operator] = ACTIONS(2561),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [230] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16099),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(230),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21388),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2571),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2573),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2575),
    [sym_let_and_operator] = ACTIONS(2573),
    [sym_match_operator] = ACTIONS(2577),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [231] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21666),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(231),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20507),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2551),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2553),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2555),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2557),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2559),
    [sym_let_and_operator] = ACTIONS(2557),
    [sym_match_operator] = ACTIONS(2561),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [232] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(15837),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(232),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20565),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2581),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2585),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2589),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2591),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2593),
    [sym_let_and_operator] = ACTIONS(2591),
    [sym_match_operator] = ACTIONS(2595),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [233] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20421),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(233),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20565),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2583),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2585),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2589),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2591),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2593),
    [sym_let_and_operator] = ACTIONS(2591),
    [sym_match_operator] = ACTIONS(2595),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [234] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(15860),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(234),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20624),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2603),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2605),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2607),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2609),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2611),
    [sym_let_and_operator] = ACTIONS(2609),
    [sym_match_operator] = ACTIONS(2613),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [235] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19696),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(235),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20624),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2603),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2605),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2607),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2609),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2611),
    [sym_let_and_operator] = ACTIONS(2609),
    [sym_match_operator] = ACTIONS(2613),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [236] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(15872),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(236),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20709),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2619),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2621),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2623),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2625),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2627),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2629),
    [sym_let_and_operator] = ACTIONS(2627),
    [sym_match_operator] = ACTIONS(2631),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [237] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21649),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(237),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20709),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2619),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2621),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2623),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2625),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2627),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2629),
    [sym_let_and_operator] = ACTIONS(2627),
    [sym_match_operator] = ACTIONS(2631),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [238] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(15883),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(238),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20752),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2635),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2639),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2641),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2645),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2647),
    [sym_let_and_operator] = ACTIONS(2645),
    [sym_match_operator] = ACTIONS(2649),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [239] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19391),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(239),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20752),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2651),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2639),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2641),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2643),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2645),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2647),
    [sym_let_and_operator] = ACTIONS(2645),
    [sym_match_operator] = ACTIONS(2649),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [240] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(15894),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(240),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20807),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2655),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2657),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2659),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2661),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2663),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2665),
    [sym_let_and_operator] = ACTIONS(2663),
    [sym_match_operator] = ACTIONS(2667),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [241] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20033),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(241),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20807),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2655),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2657),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2659),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2661),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2663),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2665),
    [sym_let_and_operator] = ACTIONS(2663),
    [sym_match_operator] = ACTIONS(2667),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [242] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(15906),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(242),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20857),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2671),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2677),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2679),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2681),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2683),
    [sym_let_and_operator] = ACTIONS(2681),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [243] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21023),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(243),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20857),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2675),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2677),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2679),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2681),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2683),
    [sym_let_and_operator] = ACTIONS(2681),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [244] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(15916),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(244),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20899),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2691),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2693),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2695),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2699),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2701),
    [sym_let_and_operator] = ACTIONS(2699),
    [sym_match_operator] = ACTIONS(2703),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [245] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20023),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(245),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21388),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2705),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2567),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2571),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2573),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2575),
    [sym_let_and_operator] = ACTIONS(2573),
    [sym_match_operator] = ACTIONS(2577),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [246] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21851),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(246),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20899),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2691),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2693),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2695),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2699),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2701),
    [sym_let_and_operator] = ACTIONS(2699),
    [sym_match_operator] = ACTIONS(2703),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [247] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(15927),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(247),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20944),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2709),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2713),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2717),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2719),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2721),
    [sym_let_and_operator] = ACTIONS(2719),
    [sym_match_operator] = ACTIONS(2723),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [248] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22433),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(248),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20944),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2713),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2717),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2719),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2721),
    [sym_let_and_operator] = ACTIONS(2719),
    [sym_match_operator] = ACTIONS(2723),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [249] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(15937),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(249),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20981),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2727),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2729),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2731),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2735),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2737),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2739),
    [sym_let_and_operator] = ACTIONS(2737),
    [sym_match_operator] = ACTIONS(2741),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [250] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19492),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(250),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20981),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2729),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2731),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2735),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2737),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2739),
    [sym_let_and_operator] = ACTIONS(2737),
    [sym_match_operator] = ACTIONS(2741),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [251] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(15949),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(251),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21004),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2751),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2753),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2755),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2757),
    [sym_let_and_operator] = ACTIONS(2755),
    [sym_match_operator] = ACTIONS(2759),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [252] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19791),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(252),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21004),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2761),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2751),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2753),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2755),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2757),
    [sym_let_and_operator] = ACTIONS(2755),
    [sym_match_operator] = ACTIONS(2759),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [253] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(15963),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(253),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21025),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2763),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2767),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2771),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2773),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2775),
    [sym_let_and_operator] = ACTIONS(2773),
    [sym_match_operator] = ACTIONS(2777),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [254] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20139),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(254),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(21025),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2767),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2771),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2773),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2775),
    [sym_let_and_operator] = ACTIONS(2773),
    [sym_match_operator] = ACTIONS(2777),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [255] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13504),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(255),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__attribute] = STATE(748),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_then] = ACTIONS(363),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [256] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13323),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(256),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__attribute] = STATE(761),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_do] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [257] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13331),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(257),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__attribute] = STATE(774),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_with] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [258] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13353),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(258),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__attribute] = STATE(787),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [259] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(15990),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(259),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20670),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1947),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2995),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2997),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2999),
    [sym_let_and_operator] = ACTIONS(2997),
    [sym_match_operator] = ACTIONS(3001),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [260] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19381),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(260),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20670),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1959),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1947),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2995),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2997),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2999),
    [sym_let_and_operator] = ACTIONS(2997),
    [sym_match_operator] = ACTIONS(3001),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [261] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16107),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(261),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(19800),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(3005),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(3007),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(3011),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(3013),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(3015),
    [sym_let_and_operator] = ACTIONS(3013),
    [sym_match_operator] = ACTIONS(3017),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [262] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21239),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(262),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(19800),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(3005),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(3007),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(3011),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(3013),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(3015),
    [sym_let_and_operator] = ACTIONS(3013),
    [sym_match_operator] = ACTIONS(3017),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [263] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(16294),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(263),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__infix_operator] = STATE(20333),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(3021),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2425),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2427),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2431),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2433),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2435),
    [sym_let_and_operator] = ACTIONS(2433),
    [sym_match_operator] = ACTIONS(2437),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [264] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13743),
    [sym__sequence_expression] = STATE(10079),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(264),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__attribute] = STATE(650),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_with] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [265] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13586),
    [sym__sequence_expression] = STATE(10079),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(265),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__attribute] = STATE(1678),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_then] = ACTIONS(363),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [266] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13669),
    [sym__sequence_expression] = STATE(10079),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(266),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__attribute] = STATE(1718),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_do] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [267] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13684),
    [sym__sequence_expression] = STATE(11774),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(267),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__attribute] = STATE(1320),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_done] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [268] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13812),
    [sym__sequence_expression] = STATE(10079),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(268),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__attribute] = STATE(667),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [269] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13670),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(269),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(899),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [270] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13931),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(270),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(893),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_then] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [271] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13654),
    [sym__sequence_expression] = STATE(10079),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(271),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__attribute] = STATE(891),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [272] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13823),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(272),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__attribute] = STATE(895),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_do] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [273] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13588),
    [sym__sequence_expression] = STATE(9213),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(273),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(897),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_with] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [274] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(14147),
    [sym__sequence_expression] = STATE(10079),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(274),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__attribute] = STATE(797),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_do] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [275] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13994),
    [sym__sequence_expression] = STATE(10079),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(275),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(815),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_with] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [276] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13997),
    [sym__sequence_expression] = STATE(10079),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(276),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(826),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [277] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14119),
    [sym__sequence_expression] = STATE(10079),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(277),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(772),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_then] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [278] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(278),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__attribute] = STATE(949),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_constraint] = ACTIONS(363),
    [anon_sym_val] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_inherit] = ACTIONS(363),
    [anon_sym_method] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_initializer] = ACTIONS(363),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1357),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [279] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(279),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__attribute] = STATE(675),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_COLON_GT] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_COLON2] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [280] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13122),
    [sym__sequence_expression] = STATE(10079),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(280),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__attribute] = STATE(901),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [281] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13851),
    [sym__sequence_expression] = STATE(8329),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(281),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__attribute] = STATE(839),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_to] = ACTIONS(363),
    [anon_sym_downto] = ACTIONS(363),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [282] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20945),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(282),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1322),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3409),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [283] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(22023),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(283),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1371),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3411),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [284] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20776),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(284),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(978),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3413),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [285] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21648),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(285),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1088),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3415),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [286] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21566),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(286),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1259),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3417),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [287] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(22210),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(287),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1379),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3419),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [288] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(22095),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(288),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1178),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3421),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [289] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21625),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(289),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1021),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3423),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [290] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20620),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(290),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1387),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3425),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [291] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19936),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(291),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1232),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3427),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [292] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20795),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(292),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1133),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [293] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21993),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(293),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1268),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3431),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [294] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(22168),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(294),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1395),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3433),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [295] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(22193),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(295),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1053),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3435),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [296] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19770),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(296),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1187),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3437),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [297] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21772),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(297),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1347),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3439),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [298] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19703),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(298),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1403),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3441),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [299] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(14107),
    [sym__sequence_expression] = STATE(8329),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(299),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__attribute] = STATE(1158),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_done] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [300] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19299),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(300),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1277),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3443),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [301] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20529),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(301),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1411),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [302] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19862),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(302),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1066),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3447),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [303] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20352),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(303),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1241),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3449),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [304] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20663),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(304),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1079),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3451),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [305] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21569),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(305),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1419),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3453),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [306] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20970),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(306),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1196),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3455),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [307] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19635),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(307),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1286),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3457),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [308] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(22249),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(308),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1355),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3459),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [309] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(22104),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(309),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1427),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3461),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [310] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20078),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(310),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1124),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3463),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [311] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21835),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(311),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1142),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3465),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [312] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19912),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(312),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1295),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3467),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [313] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19347),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(313),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1435),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3469),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [314] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19828),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(314),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1106),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3471),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [315] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19761),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(315),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1205),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3473),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [316] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19651),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(316),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1442),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3475),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [317] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13990),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(317),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__attribute] = STATE(796),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_do] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [318] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20226),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(318),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1304),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3477),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [319] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19979),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(319),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1449),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3479),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [320] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21357),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(320),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1339),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3481),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [321] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(321),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(707),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_then] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [322] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(322),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(884),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [323] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20556),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(323),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1169),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3483),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [324] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19467),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(324),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1363),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3485),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [325] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(22364),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(325),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1160),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3487),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [326] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20280),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(326),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1151),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3489),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [327] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20542),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(327),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1313),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3491),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [328] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21789),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(328),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1214),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3493),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [329] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(22273),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(329),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1097),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3495),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [330] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21186),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(330),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1331),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3497),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [331] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21625),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(331),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1021),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3499),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [332] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21187),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(332),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1115),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3501),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [333] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19397),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(333),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1223),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3503),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [334] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20789),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(334),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1038),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [335] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21827),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(335),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(679),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3507),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [336] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(6168),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(336),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(873),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_with] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [337] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20959),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(337),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__attribute] = STATE(1250),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_end] = ACTIONS(3509),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [338] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14039),
    [sym__sequence_expression] = STATE(22454),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(20238),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(338),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__attribute] = STATE(922),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DASH_GT] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [339] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20165),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(339),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1640),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [340] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20778),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(340),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1721),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [341] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13990),
    [sym__sequence_expression] = STATE(18123),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(341),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__attribute] = STATE(890),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [342] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13504),
    [sym__sequence_expression] = STATE(9329),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9329),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(342),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [343] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13353),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9206),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(343),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [344] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9240),
    [sym__sequence_expression] = STATE(9168),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9168),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(344),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [345] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9240),
    [sym__sequence_expression] = STATE(9179),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9179),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(345),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [346] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(9168),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9168),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(346),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [347] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(9179),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9179),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(347),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [348] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21410),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(348),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(963),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [349] = {
    [sym__simple_expression] = STATE(3297),
    [sym_typed_expression] = STATE(3324),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_labeled_argument] = STATE(4559),
    [sym_prefix_expression] = STATE(3324),
    [sym_hash_expression] = STATE(3324),
    [sym_field_get_expression] = STATE(3324),
    [sym_array_get_expression] = STATE(3324),
    [sym_string_get_expression] = STATE(3324),
    [sym_bigarray_get_expression] = STATE(3324),
    [sym_coercion_expression] = STATE(3324),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(349),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [aux_sym_class_application_repeat1] = STATE(1966),
    [sym__identifier] = ACTIONS(3523),
    [anon_sym_SEMI_SEMI] = ACTIONS(3525),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_and] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(3529),
    [anon_sym_QMARK] = ACTIONS(3529),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_external] = ACTIONS(3527),
    [anon_sym_type] = ACTIONS(3527),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_DOT] = ACTIONS(3531),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym_exception] = ACTIONS(3527),
    [anon_sym_module] = ACTIONS(3527),
    [anon_sym_open] = ACTIONS(3527),
    [anon_sym_include] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_end] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_in] = ACTIONS(3527),
    [anon_sym_POUND] = ACTIONS(3533),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_else] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3527),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(395),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(397),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(3535),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym_let_operator] = ACTIONS(3525),
    [sym_let_and_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_directive_token1] = ACTIONS(3527),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [350] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13670),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9206),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(350),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [351] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10593),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9206),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(351),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [352] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9395),
    [sym__sequence_expression] = STATE(9168),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9168),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(352),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [353] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9395),
    [sym__sequence_expression] = STATE(9179),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9179),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(353),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [354] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10998),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9206),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(354),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [355] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10998),
    [sym__sequence_expression] = STATE(9329),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9329),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(355),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [356] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9454),
    [sym__sequence_expression] = STATE(9168),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9168),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(356),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [357] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13312),
    [sym__sequence_expression] = STATE(11630),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_refutation_case] = STATE(11630),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(357),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_DOT] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [358] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9443),
    [sym__sequence_expression] = STATE(9168),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9168),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(358),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [359] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9443),
    [sym__sequence_expression] = STATE(9179),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9179),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(359),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [360] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12964),
    [sym__sequence_expression] = STATE(11630),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_refutation_case] = STATE(11630),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(360),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_DOT] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [361] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13323),
    [sym__sequence_expression] = STATE(9329),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9329),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(361),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [362] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9631),
    [sym__sequence_expression] = STATE(9168),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9168),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(362),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [363] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9631),
    [sym__sequence_expression] = STATE(9179),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9179),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(363),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [364] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13037),
    [sym__sequence_expression] = STATE(11630),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_refutation_case] = STATE(11630),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(364),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_DOT] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [365] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9454),
    [sym__sequence_expression] = STATE(9179),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9179),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(365),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [366] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(11645),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_refutation_case] = STATE(11645),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(366),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [367] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(11630),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_refutation_case] = STATE(11630),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(367),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [368] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13654),
    [sym__sequence_expression] = STATE(13739),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_refutation_case] = STATE(13739),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(368),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(3563),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [369] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13670),
    [sym__sequence_expression] = STATE(9329),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9329),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(369),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [370] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9206),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(370),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [371] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13331),
    [sym__sequence_expression] = STATE(9329),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9329),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(371),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [372] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9552),
    [sym__sequence_expression] = STATE(9168),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9168),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(372),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [373] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9552),
    [sym__sequence_expression] = STATE(9179),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9179),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(373),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [374] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9580),
    [sym__sequence_expression] = STATE(9168),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9168),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(374),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [375] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(9853),
    [sym__sequence_expression] = STATE(9179),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9179),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(375),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [376] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9580),
    [sym__sequence_expression] = STATE(9179),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9179),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(376),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [377] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13336),
    [sym__sequence_expression] = STATE(13739),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_refutation_case] = STATE(13739),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(377),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_DOT] = ACTIONS(3563),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [378] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13353),
    [sym__sequence_expression] = STATE(9329),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9329),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(378),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [379] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(9869),
    [sym__sequence_expression] = STATE(9168),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9168),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(379),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [380] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(9168),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9168),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(380),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [381] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(9869),
    [sym__sequence_expression] = STATE(9179),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9179),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(381),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [382] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(9179),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9179),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(382),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [383] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13037),
    [sym__sequence_expression] = STATE(11645),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_refutation_case] = STATE(11645),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(383),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_DOT] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [384] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13684),
    [sym__sequence_expression] = STATE(11630),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_refutation_case] = STATE(11630),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(384),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_DOT] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [385] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(9329),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9329),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(385),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [386] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13504),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9206),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(386),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [387] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13684),
    [sym__sequence_expression] = STATE(11645),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_refutation_case] = STATE(11645),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(387),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_DOT] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [388] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10593),
    [sym__sequence_expression] = STATE(9329),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9329),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(388),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [389] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9524),
    [sym__sequence_expression] = STATE(9168),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9168),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(389),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [390] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9524),
    [sym__sequence_expression] = STATE(9179),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9179),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(390),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [391] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13931),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9206),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(391),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [392] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9693),
    [sym__sequence_expression] = STATE(9168),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9168),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(392),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [393] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9693),
    [sym__sequence_expression] = STATE(9179),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9179),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(393),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [394] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13931),
    [sym__sequence_expression] = STATE(9329),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9329),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(394),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [395] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13654),
    [sym__sequence_expression] = STATE(13900),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_refutation_case] = STATE(13900),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(395),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(3563),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [396] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13336),
    [sym__sequence_expression] = STATE(13900),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_refutation_case] = STATE(13900),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(396),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_DOT] = ACTIONS(3563),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [397] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13312),
    [sym__sequence_expression] = STATE(11645),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_refutation_case] = STATE(11645),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(397),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_DOT] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [398] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10003),
    [sym__sequence_expression] = STATE(9168),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9168),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(398),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [399] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10003),
    [sym__sequence_expression] = STATE(9179),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9179),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(399),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [400] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13500),
    [sym__sequence_expression] = STATE(11645),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_refutation_case] = STATE(11645),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(400),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_DOT] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [401] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13323),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9206),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(401),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [402] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9492),
    [sym__sequence_expression] = STATE(9168),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9168),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(402),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [403] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9492),
    [sym__sequence_expression] = STATE(9179),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9179),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(403),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [404] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11589),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9206),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(404),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [405] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11589),
    [sym__sequence_expression] = STATE(9329),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9329),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(405),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [406] = {
    [sym__simple_expression] = STATE(3203),
    [sym_typed_expression] = STATE(3180),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_labeled_argument] = STATE(4217),
    [sym_prefix_expression] = STATE(3180),
    [sym_hash_expression] = STATE(3180),
    [sym_field_get_expression] = STATE(3180),
    [sym_array_get_expression] = STATE(3180),
    [sym_string_get_expression] = STATE(3180),
    [sym_bigarray_get_expression] = STATE(3180),
    [sym_coercion_expression] = STATE(3180),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(406),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [aux_sym_class_application_repeat1] = STATE(2033),
    [sym__identifier] = ACTIONS(3601),
    [anon_sym_SEMI_SEMI] = ACTIONS(3525),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_and] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(3603),
    [anon_sym_QMARK] = ACTIONS(3603),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_external] = ACTIONS(3527),
    [anon_sym_type] = ACTIONS(3527),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_RBRACK] = ACTIONS(3525),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(3605),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym_exception] = ACTIONS(3527),
    [anon_sym_module] = ACTIONS(3527),
    [anon_sym_open] = ACTIONS(3527),
    [anon_sym_include] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_in] = ACTIONS(3527),
    [anon_sym_POUND] = ACTIONS(3607),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_else] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3527),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(503),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(505),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(3609),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym_let_operator] = ACTIONS(3525),
    [sym_let_and_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_directive_token1] = ACTIONS(3527),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [407] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(9853),
    [sym__sequence_expression] = STATE(9168),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9168),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(407),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [408] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13331),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9206),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(408),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [409] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13823),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9206),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(409),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [410] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13823),
    [sym__sequence_expression] = STATE(9329),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9329),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(410),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [411] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9465),
    [sym__sequence_expression] = STATE(9168),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9168),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(411),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [412] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9465),
    [sym__sequence_expression] = STATE(9179),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9179),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(412),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [413] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12964),
    [sym__sequence_expression] = STATE(11645),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_refutation_case] = STATE(11645),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(413),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_DOT] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [414] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9205),
    [sym__sequence_expression] = STATE(9168),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9168),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(414),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [415] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21864),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(415),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(677),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [416] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9205),
    [sym__sequence_expression] = STATE(9179),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9179),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(416),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [417] = {
    [sym__simple_expression] = STATE(3394),
    [sym_typed_expression] = STATE(3289),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_labeled_argument] = STATE(4217),
    [sym_prefix_expression] = STATE(3289),
    [sym_hash_expression] = STATE(3289),
    [sym_field_get_expression] = STATE(3289),
    [sym_array_get_expression] = STATE(3289),
    [sym_string_get_expression] = STATE(3289),
    [sym_bigarray_get_expression] = STATE(3289),
    [sym_coercion_expression] = STATE(3289),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(417),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [aux_sym_class_application_repeat1] = STATE(1851),
    [ts_builtin_sym_end] = ACTIONS(3525),
    [sym__identifier] = ACTIONS(3619),
    [anon_sym_SEMI_SEMI] = ACTIONS(3525),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_and] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(3621),
    [anon_sym_QMARK] = ACTIONS(3621),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_external] = ACTIONS(3527),
    [anon_sym_type] = ACTIONS(3527),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_DOT] = ACTIONS(3623),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym_exception] = ACTIONS(3527),
    [anon_sym_module] = ACTIONS(3527),
    [anon_sym_open] = ACTIONS(3527),
    [anon_sym_include] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_in] = ACTIONS(3527),
    [anon_sym_POUND] = ACTIONS(3625),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_else] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3527),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(451),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(3627),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym_let_operator] = ACTIONS(3525),
    [sym_let_and_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_directive_token1] = ACTIONS(3527),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [418] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13588),
    [sym__sequence_expression] = STATE(9206),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9206),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(418),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [419] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13588),
    [sym__sequence_expression] = STATE(9329),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_refutation_case] = STATE(9329),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(419),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [420] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18283),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(420),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(976),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [421] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13990),
    [sym__sequence_expression] = STATE(18300),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(421),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__attribute] = STATE(977),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [422] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9704),
    [sym__sequence_expression] = STATE(9168),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9168),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(422),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [423] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13500),
    [sym__sequence_expression] = STATE(11630),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_refutation_case] = STATE(11630),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(423),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_DOT] = ACTIONS(3553),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [424] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(19231),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(424),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1019),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [425] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13990),
    [sym__sequence_expression] = STATE(19145),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(425),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__attribute] = STATE(1020),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [426] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(19140),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(426),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1036),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [427] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13990),
    [sym__sequence_expression] = STATE(18295),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(427),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__attribute] = STATE(1037),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [428] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18287),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(428),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1052),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [429] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18352),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(429),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1065),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [430] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18989),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(430),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1078),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [431] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18263),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(431),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1105),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [432] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18818),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(432),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1132),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [433] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(19138),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(433),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1141),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [434] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(19098),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(434),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1150),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [435] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18915),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(435),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1159),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [436] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18993),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(436),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1168),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [437] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18311),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(437),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1177),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [438] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18726),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(438),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1186),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [439] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9704),
    [sym__sequence_expression] = STATE(9179),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_refutation_case] = STATE(9179),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(439),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [440] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18378),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(440),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1204),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [441] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18208),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(441),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1213),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [442] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(19042),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(442),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1222),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [443] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(19012),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(443),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1231),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [444] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18522),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(444),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1240),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [445] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18163),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(445),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1249),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [446] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18443),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(446),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1303),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [447] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18100),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(447),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1312),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [448] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18485),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(448),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1346),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [449] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(19041),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(449),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1354),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [450] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18511),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(450),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1362),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [451] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18322),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(451),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1370),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [452] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18440),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(452),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1378),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [453] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(19076),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(453),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1386),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [454] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18503),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(454),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1394),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [455] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(19062),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(455),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1402),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [456] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18299),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(456),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1410),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [457] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18566),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(457),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1426),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [458] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18621),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(458),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1434),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [459] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(19016),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(459),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1087),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [460] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(460),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1460),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [461] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21474),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(461),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1461),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [462] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18760),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(462),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1096),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [463] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19576),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(463),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1470),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [464] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19579),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(464),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1471),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [465] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18556),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(465),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1114),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [466] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19999),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(466),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1476),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [467] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20008),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(467),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1477),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [468] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(19093),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(468),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1123),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [469] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20420),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(469),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1482),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [470] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20428),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(470),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1483),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [471] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18333),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(471),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1258),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [472] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20785),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(472),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1488),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [473] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20793),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(473),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1489),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [474] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18598),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(474),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1267),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [475] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21011),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(475),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1494),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [476] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21014),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(476),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1495),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [477] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18801),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(477),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1276),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [478] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21212),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(478),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1500),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [479] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21216),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(479),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1501),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [480] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18980),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(480),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1285),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [481] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21402),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(481),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1506),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [482] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21406),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(482),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1507),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [483] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(19105),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(483),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1294),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [484] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21601),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(484),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1512),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [485] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21604),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(485),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1513),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [486] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18124),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(486),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1321),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [487] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21792),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(487),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1518),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [488] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21797),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(488),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1519),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [489] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18234),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(489),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1330),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [490] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21979),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(490),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1524),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [491] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21985),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(491),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1525),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [492] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18351),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(492),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1338),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [493] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(22173),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(493),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1530),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [494] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(22179),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(494),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1531),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [495] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18452),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(495),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1418),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [496] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(22399),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(496),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1536),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [497] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(22408),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(497),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1537),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [498] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18509),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(498),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1462),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [499] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19248),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(499),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1542),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [500] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19251),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(500),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1543),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [501] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18562),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(501),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1463),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [502] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19311),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(502),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1548),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [503] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19314),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(503),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1549),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [504] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18614),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(504),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1464),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [505] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19373),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(505),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1554),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [506] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19376),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(506),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1555),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [507] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18676),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(507),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1465),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [508] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19436),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(508),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1560),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [509] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19439),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(509),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1561),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [510] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19494),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(510),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1565),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [511] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19495),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(511),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1566),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [512] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19549),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(512),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1570),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [513] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19550),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(513),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1571),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [514] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19604),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(514),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1575),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [515] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19605),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(515),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1576),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [516] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19659),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(516),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1580),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [517] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19660),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(517),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1581),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [518] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19714),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(518),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1585),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [519] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19715),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(519),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1586),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [520] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19756),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(520),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1590),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [521] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19757),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(521),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1591),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [522] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19797),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(522),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1595),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [523] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19798),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(523),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1596),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [524] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19838),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(524),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1600),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [525] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19839),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(525),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1601),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [526] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19879),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(526),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1605),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [527] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19880),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(527),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1606),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [528] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19920),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(528),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1610),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [529] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19921),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(529),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1611),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [530] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19961),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(530),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1615),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [531] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19962),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(531),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1616),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [532] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20002),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(532),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1620),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [533] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20003),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(533),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1621),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [534] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20043),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(534),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1625),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [535] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20044),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(535),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1626),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [536] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20084),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(536),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1630),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [537] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20085),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(537),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1631),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [538] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20125),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(538),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1635),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [539] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20126),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(539),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1636),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [540] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(19023),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(540),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(732),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [541] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20166),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(541),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1641),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [542] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20205),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(542),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1645),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [543] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20206),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(543),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1646),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [544] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20244),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(544),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1650),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [545] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20245),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(545),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1651),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [546] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20283),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(546),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1655),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [547] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20284),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(547),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1656),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [548] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20322),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(548),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1660),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [549] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20323),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(549),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1661),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [550] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20361),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(550),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1665),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [551] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20362),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(551),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1666),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [552] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20399),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(552),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1670),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [553] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20400),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(553),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1671),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [554] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20437),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(554),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1675),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [555] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20438),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(555),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1676),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [556] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20475),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(556),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1680),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [557] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20476),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(557),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1681),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [558] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20513),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(558),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1685),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [559] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20514),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(559),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1686),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [560] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20551),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(560),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1690),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [561] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20552),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(561),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1691),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [562] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20589),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(562),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1695),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [563] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20590),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(563),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1696),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [564] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20627),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(564),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1700),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [565] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20628),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(565),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1701),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [566] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20665),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(566),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1705),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [567] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20666),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(567),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1706),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [568] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20703),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(568),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1710),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [569] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20704),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(569),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1711),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [570] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20740),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(570),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1715),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [571] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20741),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(571),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1716),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [572] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20777),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(572),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__attribute] = STATE(1720),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [573] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18902),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(573),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__attribute] = STATE(1195),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [574] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(574),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3633),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [575] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(575),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3635),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [576] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(14107),
    [sym__sequence_expression] = STATE(19704),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(576),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_done] = ACTIONS(3637),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [577] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(577),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3639),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [578] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(578),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3641),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [579] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(579),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3643),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [580] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(580),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3645),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [581] = {
    [sym__simple_expression] = STATE(3988),
    [sym_typed_expression] = STATE(3959),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_labeled_argument] = STATE(5369),
    [sym_prefix_expression] = STATE(3959),
    [sym_hash_expression] = STATE(3959),
    [sym_field_get_expression] = STATE(3959),
    [sym_array_get_expression] = STATE(3959),
    [sym_string_get_expression] = STATE(3959),
    [sym_bigarray_get_expression] = STATE(3959),
    [sym_coercion_expression] = STATE(3959),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(581),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [aux_sym_class_application_repeat1] = STATE(2301),
    [sym__identifier] = ACTIONS(3647),
    [anon_sym_SEMI_SEMI] = ACTIONS(3525),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_and] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(3649),
    [anon_sym_QMARK] = ACTIONS(3649),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_external] = ACTIONS(3527),
    [anon_sym_type] = ACTIONS(3527),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_DOT] = ACTIONS(3651),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym_exception] = ACTIONS(3527),
    [anon_sym_module] = ACTIONS(3527),
    [anon_sym_open] = ACTIONS(3527),
    [anon_sym_include] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_end] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_in] = ACTIONS(3527),
    [anon_sym_POUND] = ACTIONS(3653),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3527),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(3655),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym_let_operator] = ACTIONS(3525),
    [sym_let_and_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_directive_token1] = ACTIONS(3527),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [582] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(14107),
    [sym__sequence_expression] = STATE(19346),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(582),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_done] = ACTIONS(3657),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [583] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(583),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3659),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [584] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(584),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3661),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [585] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(585),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3663),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [586] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(586),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3665),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [587] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(14107),
    [sym__sequence_expression] = STATE(19837),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(587),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_done] = ACTIONS(3667),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [588] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(588),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [589] = {
    [sym__simple_expression] = STATE(3499),
    [sym_typed_expression] = STATE(3566),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_labeled_argument] = STATE(4538),
    [sym_prefix_expression] = STATE(3566),
    [sym_hash_expression] = STATE(3566),
    [sym_field_get_expression] = STATE(3566),
    [sym_array_get_expression] = STATE(3566),
    [sym_string_get_expression] = STATE(3566),
    [sym_bigarray_get_expression] = STATE(3566),
    [sym_coercion_expression] = STATE(3566),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(589),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [aux_sym_class_application_repeat1] = STATE(2746),
    [sym__identifier] = ACTIONS(3671),
    [anon_sym_SEMI_SEMI] = ACTIONS(3525),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_and] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_QMARK] = ACTIONS(3673),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_external] = ACTIONS(3527),
    [anon_sym_type] = ACTIONS(3527),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_RBRACK] = ACTIONS(3525),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_DOT] = ACTIONS(3675),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym_exception] = ACTIONS(3527),
    [anon_sym_module] = ACTIONS(3527),
    [anon_sym_open] = ACTIONS(3527),
    [anon_sym_include] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_POUND] = ACTIONS(3677),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_else] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3527),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(607),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(609),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(3679),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym_let_operator] = ACTIONS(3525),
    [sym_let_and_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_directive_token1] = ACTIONS(3527),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [590] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(590),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3681),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [591] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(591),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3683),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [592] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(592),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [593] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(593),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [594] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(14107),
    [sym__sequence_expression] = STATE(21178),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(594),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_done] = ACTIONS(3689),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [595] = {
    [sym__simple_expression] = STATE(3581),
    [sym_typed_expression] = STATE(3641),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_labeled_argument] = STATE(5020),
    [sym_prefix_expression] = STATE(3641),
    [sym_hash_expression] = STATE(3641),
    [sym_field_get_expression] = STATE(3641),
    [sym_array_get_expression] = STATE(3641),
    [sym_string_get_expression] = STATE(3641),
    [sym_bigarray_get_expression] = STATE(3641),
    [sym_coercion_expression] = STATE(3641),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(595),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [aux_sym_class_application_repeat1] = STATE(2498),
    [sym__identifier] = ACTIONS(3691),
    [anon_sym_SEMI_SEMI] = ACTIONS(3525),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_and] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(3693),
    [anon_sym_QMARK] = ACTIONS(3693),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_external] = ACTIONS(3527),
    [anon_sym_type] = ACTIONS(3527),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_DOT] = ACTIONS(3695),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym_exception] = ACTIONS(3527),
    [anon_sym_module] = ACTIONS(3527),
    [anon_sym_open] = ACTIONS(3527),
    [anon_sym_include] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_end] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_POUND] = ACTIONS(3697),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_else] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3527),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(779),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(781),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(3699),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym_let_operator] = ACTIONS(3525),
    [sym_let_and_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_directive_token1] = ACTIONS(3527),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [596] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(596),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [597] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(597),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [598] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(598),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3705),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [599] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(599),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [600] = {
    [sym__simple_expression] = STATE(4060),
    [sym_typed_expression] = STATE(4050),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_labeled_argument] = STATE(4538),
    [sym_prefix_expression] = STATE(4050),
    [sym_hash_expression] = STATE(4050),
    [sym_field_get_expression] = STATE(4050),
    [sym_array_get_expression] = STATE(4050),
    [sym_string_get_expression] = STATE(4050),
    [sym_bigarray_get_expression] = STATE(4050),
    [sym_coercion_expression] = STATE(4050),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(600),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [aux_sym_class_application_repeat1] = STATE(2476),
    [ts_builtin_sym_end] = ACTIONS(3525),
    [sym__identifier] = ACTIONS(3709),
    [anon_sym_SEMI_SEMI] = ACTIONS(3525),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_and] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(3711),
    [anon_sym_QMARK] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_external] = ACTIONS(3527),
    [anon_sym_type] = ACTIONS(3527),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym_exception] = ACTIONS(3527),
    [anon_sym_module] = ACTIONS(3527),
    [anon_sym_open] = ACTIONS(3527),
    [anon_sym_include] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_POUND] = ACTIONS(3715),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_else] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3527),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(659),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(661),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(3717),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym_let_operator] = ACTIONS(3525),
    [sym_let_and_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_directive_token1] = ACTIONS(3527),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [601] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(601),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3719),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [602] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(602),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3721),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [603] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(603),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3723),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [604] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(604),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [605] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(605),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3727),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [606] = {
    [sym__simple_expression] = STATE(3718),
    [sym_typed_expression] = STATE(3745),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_labeled_argument] = STATE(4695),
    [sym_prefix_expression] = STATE(3745),
    [sym_hash_expression] = STATE(3745),
    [sym_field_get_expression] = STATE(3745),
    [sym_array_get_expression] = STATE(3745),
    [sym_string_get_expression] = STATE(3745),
    [sym_bigarray_get_expression] = STATE(3745),
    [sym_coercion_expression] = STATE(3745),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(606),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [aux_sym_class_application_repeat1] = STATE(2125),
    [ts_builtin_sym_end] = ACTIONS(3525),
    [sym__identifier] = ACTIONS(3729),
    [anon_sym_SEMI_SEMI] = ACTIONS(3525),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_and] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(3731),
    [anon_sym_QMARK] = ACTIONS(3731),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_external] = ACTIONS(3527),
    [anon_sym_type] = ACTIONS(3527),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_DOT] = ACTIONS(3733),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym_exception] = ACTIONS(3527),
    [anon_sym_module] = ACTIONS(3527),
    [anon_sym_open] = ACTIONS(3527),
    [anon_sym_include] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_in] = ACTIONS(3527),
    [anon_sym_POUND] = ACTIONS(3735),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3527),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(833),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(835),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(3737),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym_let_operator] = ACTIONS(3525),
    [sym_let_and_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_directive_token1] = ACTIONS(3527),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [607] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(607),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3739),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [608] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(608),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [609] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(609),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3743),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [610] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(610),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [611] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(611),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3747),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [612] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(612),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3749),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [613] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(613),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [614] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(614),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [615] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(615),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3755),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [616] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(616),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [617] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(617),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3759),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [618] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(618),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3761),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [619] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(619),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3763),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [620] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(620),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3765),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [621] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(621),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3767),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [622] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(622),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3769),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [623] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(623),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3771),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [624] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(624),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3773),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [625] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(625),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3775),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [626] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(626),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3777),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [627] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(627),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3779),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [628] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(628),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [629] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(629),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3783),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [630] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(630),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3785),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [631] = {
    [sym__simple_expression] = STATE(3459),
    [sym_typed_expression] = STATE(3517),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_labeled_argument] = STATE(4695),
    [sym_prefix_expression] = STATE(3517),
    [sym_hash_expression] = STATE(3517),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_coercion_expression] = STATE(3517),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(631),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [aux_sym_class_application_repeat1] = STATE(2701),
    [sym__identifier] = ACTIONS(3787),
    [anon_sym_SEMI_SEMI] = ACTIONS(3525),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_and] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(3789),
    [anon_sym_QMARK] = ACTIONS(3789),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_external] = ACTIONS(3527),
    [anon_sym_type] = ACTIONS(3527),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_RBRACK] = ACTIONS(3525),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym_exception] = ACTIONS(3527),
    [anon_sym_module] = ACTIONS(3527),
    [anon_sym_open] = ACTIONS(3527),
    [anon_sym_include] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_in] = ACTIONS(3527),
    [anon_sym_POUND] = ACTIONS(3793),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3527),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(887),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(889),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(3795),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym_let_operator] = ACTIONS(3525),
    [sym_let_and_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_directive_token1] = ACTIONS(3527),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [632] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(632),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [633] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(633),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3799),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [634] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(634),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_RPAREN] = ACTIONS(3801),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [635] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20359),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(635),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [636] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13037),
    [sym__sequence_expression] = STATE(11614),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(636),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [637] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13037),
    [sym__sequence_expression] = STATE(11615),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(637),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [638] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13037),
    [sym__sequence_expression] = STATE(11616),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(638),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [639] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13037),
    [sym__sequence_expression] = STATE(11622),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(639),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [640] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13037),
    [sym__sequence_expression] = STATE(11641),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(640),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [641] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13037),
    [sym__sequence_expression] = STATE(11652),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(641),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [642] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14408),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(642),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [643] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22230),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(643),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [644] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14458),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(644),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [645] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14463),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(645),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [646] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14473),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(646),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [647] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21517),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(647),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [648] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14496),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(648),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [649] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(9853),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(649),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [650] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13743),
    [sym__sequence_expression] = STATE(9844),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(650),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [651] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12668),
    [sym__sequence_expression] = STATE(11609),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(651),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [652] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12668),
    [sym__sequence_expression] = STATE(11614),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(652),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [653] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12668),
    [sym__sequence_expression] = STATE(11615),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(653),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [654] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12668),
    [sym__sequence_expression] = STATE(11616),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(654),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [655] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12668),
    [sym__sequence_expression] = STATE(11622),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(655),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [656] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12668),
    [sym__sequence_expression] = STATE(11641),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(656),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [657] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12668),
    [sym__sequence_expression] = STATE(11652),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(657),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [658] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(9853),
    [sym__sequence_expression] = STATE(8921),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(658),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [659] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12037),
    [sym__sequence_expression] = STATE(9006),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(659),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [660] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(9853),
    [sym__sequence_expression] = STATE(8924),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(660),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [661] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12037),
    [sym__sequence_expression] = STATE(9130),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(661),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [662] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12037),
    [sym__sequence_expression] = STATE(9131),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(662),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [663] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12037),
    [sym__sequence_expression] = STATE(9148),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(663),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [664] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12037),
    [sym__sequence_expression] = STATE(8987),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(664),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [665] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9566),
    [sym__sequence_expression] = STATE(11424),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(665),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [666] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(9853),
    [sym__sequence_expression] = STATE(9004),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(666),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [667] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13812),
    [sym__sequence_expression] = STATE(9844),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(667),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [668] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(9365),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(668),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [669] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(9340),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(669),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [670] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(670),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [671] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(9349),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(671),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [672] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(9357),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(672),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [673] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(9330),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(673),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [674] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(9294),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(674),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [675] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(675),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [676] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12037),
    [sym__sequence_expression] = STATE(9017),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(676),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [677] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21808),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(677),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [678] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13851),
    [sym__sequence_expression] = STATE(18905),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(678),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [679] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21899),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(679),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [680] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12037),
    [sym__sequence_expression] = STATE(9142),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(680),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [681] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9693),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(681),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [682] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13323),
    [sym__sequence_expression] = STATE(9365),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(682),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [683] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13323),
    [sym__sequence_expression] = STATE(9340),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(683),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [684] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13323),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(684),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [685] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13323),
    [sym__sequence_expression] = STATE(9349),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(685),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [686] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13323),
    [sym__sequence_expression] = STATE(9357),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(686),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [687] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13323),
    [sym__sequence_expression] = STATE(9330),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(687),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [688] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13323),
    [sym__sequence_expression] = STATE(9294),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(688),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [689] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14039),
    [sym__sequence_expression] = STATE(18088),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(20238),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(689),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [690] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21410),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(690),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [691] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14119),
    [sym__sequence_expression] = STATE(9006),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(691),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [692] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20574),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(692),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [693] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14119),
    [sym__sequence_expression] = STATE(9130),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(693),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [694] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14119),
    [sym__sequence_expression] = STATE(9131),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(694),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [695] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12964),
    [sym__sequence_expression] = STATE(11798),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(695),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [696] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13331),
    [sym__sequence_expression] = STATE(9365),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(696),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [697] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13331),
    [sym__sequence_expression] = STATE(9340),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(697),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [698] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13331),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(698),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [699] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13331),
    [sym__sequence_expression] = STATE(9349),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(699),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [700] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13331),
    [sym__sequence_expression] = STATE(9357),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(700),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [701] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13331),
    [sym__sequence_expression] = STATE(9330),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(701),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [702] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13331),
    [sym__sequence_expression] = STATE(9294),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(702),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [703] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14119),
    [sym__sequence_expression] = STATE(9148),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(703),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [704] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14119),
    [sym__sequence_expression] = STATE(8987),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(704),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [705] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20580),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(705),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [706] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20581),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(706),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [707] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(707),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [708] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(9312),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(708),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [709] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13353),
    [sym__sequence_expression] = STATE(9365),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(709),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [710] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13353),
    [sym__sequence_expression] = STATE(9340),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(710),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [711] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13353),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(711),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [712] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13353),
    [sym__sequence_expression] = STATE(9349),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(712),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [713] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13353),
    [sym__sequence_expression] = STATE(9357),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(713),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [714] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13353),
    [sym__sequence_expression] = STATE(9330),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(714),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [715] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13353),
    [sym__sequence_expression] = STATE(9294),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(715),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [716] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14119),
    [sym__sequence_expression] = STATE(9017),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(716),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [717] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(10095),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(717),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [718] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14413),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(718),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [719] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14119),
    [sym__sequence_expression] = STATE(9142),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(719),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [720] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13122),
    [sym__sequence_expression] = STATE(15406),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(720),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [721] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9631),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(721),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [722] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9492),
    [sym__sequence_expression] = STATE(9054),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(722),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [723] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9492),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(723),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [724] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9492),
    [sym__sequence_expression] = STATE(8921),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(724),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [725] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9492),
    [sym__sequence_expression] = STATE(8924),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(725),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [726] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9492),
    [sym__sequence_expression] = STATE(9004),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(726),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [727] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9492),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(727),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [728] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9492),
    [sym__sequence_expression] = STATE(9025),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(728),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [729] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(14147),
    [sym__sequence_expression] = STATE(9006),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(729),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [730] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(18088),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(730),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [731] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(9853),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(731),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [732] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18182),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(732),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [733] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(14147),
    [sym__sequence_expression] = STATE(9130),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(733),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [734] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10984),
    [sym__sequence_expression] = STATE(9312),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(734),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [735] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9205),
    [sym__sequence_expression] = STATE(9054),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(735),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [736] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9205),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(736),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [737] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9205),
    [sym__sequence_expression] = STATE(8921),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(737),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [738] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9205),
    [sym__sequence_expression] = STATE(8924),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(738),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [739] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9205),
    [sym__sequence_expression] = STATE(9004),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(739),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [740] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9205),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(740),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [741] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9205),
    [sym__sequence_expression] = STATE(9025),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(741),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [742] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13122),
    [sym__sequence_expression] = STATE(15411),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(742),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [743] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13122),
    [sym__sequence_expression] = STATE(15377),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(743),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [744] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13122),
    [sym__sequence_expression] = STATE(15484),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(744),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [745] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13122),
    [sym__sequence_expression] = STATE(15245),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(745),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [746] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(14147),
    [sym__sequence_expression] = STATE(9131),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(746),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [747] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(14147),
    [sym__sequence_expression] = STATE(9148),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(747),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [748] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13504),
    [sym__sequence_expression] = STATE(9312),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(748),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [749] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9240),
    [sym__sequence_expression] = STATE(9054),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(749),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [750] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9240),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(750),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [751] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9240),
    [sym__sequence_expression] = STATE(8921),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(751),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [752] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9240),
    [sym__sequence_expression] = STATE(8924),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(752),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [753] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9240),
    [sym__sequence_expression] = STATE(9004),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(753),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [754] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9240),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(754),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [755] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9240),
    [sym__sequence_expression] = STATE(9025),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(755),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [756] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12037),
    [sym__sequence_expression] = STATE(9844),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(756),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [757] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(14147),
    [sym__sequence_expression] = STATE(8987),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(757),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [758] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9566),
    [sym__sequence_expression] = STATE(11540),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(758),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [759] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13931),
    [sym__sequence_expression] = STATE(9365),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(759),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [760] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13931),
    [sym__sequence_expression] = STATE(9340),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(760),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [761] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13323),
    [sym__sequence_expression] = STATE(9312),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(761),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [762] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10593),
    [sym__sequence_expression] = STATE(9365),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(762),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [763] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10593),
    [sym__sequence_expression] = STATE(9340),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(763),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [764] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10593),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(764),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [765] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10593),
    [sym__sequence_expression] = STATE(9349),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(765),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [766] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10593),
    [sym__sequence_expression] = STATE(9357),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(766),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [767] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10593),
    [sym__sequence_expression] = STATE(9330),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(767),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [768] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10593),
    [sym__sequence_expression] = STATE(9294),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(768),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [769] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13931),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(769),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [770] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13931),
    [sym__sequence_expression] = STATE(9349),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(770),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [771] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13931),
    [sym__sequence_expression] = STATE(9357),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(771),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [772] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14119),
    [sym__sequence_expression] = STATE(9844),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(772),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [773] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13931),
    [sym__sequence_expression] = STATE(9330),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(773),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [774] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13331),
    [sym__sequence_expression] = STATE(9312),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(774),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [775] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9395),
    [sym__sequence_expression] = STATE(9054),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(775),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [776] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9395),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(776),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [777] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9395),
    [sym__sequence_expression] = STATE(8921),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(777),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [778] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9395),
    [sym__sequence_expression] = STATE(8924),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(778),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [779] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9395),
    [sym__sequence_expression] = STATE(9004),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(779),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [780] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9395),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(780),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [781] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9395),
    [sym__sequence_expression] = STATE(9025),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(781),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [782] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13931),
    [sym__sequence_expression] = STATE(9294),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(782),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [783] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13823),
    [sym__sequence_expression] = STATE(9365),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(783),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [784] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13823),
    [sym__sequence_expression] = STATE(9340),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(784),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [785] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13823),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(785),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [786] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13823),
    [sym__sequence_expression] = STATE(9349),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(786),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [787] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13353),
    [sym__sequence_expression] = STATE(9312),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(787),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [788] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9443),
    [sym__sequence_expression] = STATE(9054),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(788),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [789] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9443),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(789),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [790] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9443),
    [sym__sequence_expression] = STATE(8921),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(790),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [791] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9443),
    [sym__sequence_expression] = STATE(8924),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(791),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [792] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9443),
    [sym__sequence_expression] = STATE(9004),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(792),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [793] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9443),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(793),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [794] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9443),
    [sym__sequence_expression] = STATE(9025),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(794),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [795] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13823),
    [sym__sequence_expression] = STATE(9357),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(795),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [796] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13990),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(796),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [797] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(14147),
    [sym__sequence_expression] = STATE(9844),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(797),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [798] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13823),
    [sym__sequence_expression] = STATE(9330),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(798),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [799] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(14147),
    [sym__sequence_expression] = STATE(9017),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(799),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [800] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(8452),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(800),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [801] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(11609),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(801),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [802] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(11614),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(802),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [803] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(11615),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(803),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [804] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(11616),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(804),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [805] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(11622),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(805),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [806] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(11641),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(806),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [807] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(11652),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(807),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [808] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13823),
    [sym__sequence_expression] = STATE(9294),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(808),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [809] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13588),
    [sym__sequence_expression] = STATE(9365),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(809),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [810] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13588),
    [sym__sequence_expression] = STATE(9340),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(810),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [811] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13588),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(811),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [812] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13588),
    [sym__sequence_expression] = STATE(9349),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(812),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [813] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10593),
    [sym__sequence_expression] = STATE(9312),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(813),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [814] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13588),
    [sym__sequence_expression] = STATE(9357),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(814),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [815] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13994),
    [sym__sequence_expression] = STATE(9844),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(815),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [816] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13588),
    [sym__sequence_expression] = STATE(9330),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(816),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [817] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14277),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(817),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [818] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13588),
    [sym__sequence_expression] = STATE(9294),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(818),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [819] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13312),
    [sym__sequence_expression] = STATE(11798),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(819),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [820] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13670),
    [sym__sequence_expression] = STATE(9365),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(820),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [821] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13670),
    [sym__sequence_expression] = STATE(9340),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(821),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [822] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13670),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(822),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [823] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13670),
    [sym__sequence_expression] = STATE(9349),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(823),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [824] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13670),
    [sym__sequence_expression] = STATE(9357),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(824),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [825] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13037),
    [sym__sequence_expression] = STATE(11798),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(825),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [826] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13997),
    [sym__sequence_expression] = STATE(9844),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(826),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [827] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13670),
    [sym__sequence_expression] = STATE(9330),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(827),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [828] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13670),
    [sym__sequence_expression] = STATE(9294),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(828),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [829] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10998),
    [sym__sequence_expression] = STATE(9365),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(829),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [830] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10998),
    [sym__sequence_expression] = STATE(9340),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(830),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [831] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12668),
    [sym__sequence_expression] = STATE(9844),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(831),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [832] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10998),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(832),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [833] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10998),
    [sym__sequence_expression] = STATE(9349),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(833),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [834] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10998),
    [sym__sequence_expression] = STATE(9357),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(834),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [835] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11282),
    [sym__sequence_expression] = STATE(9312),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(835),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [836] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10998),
    [sym__sequence_expression] = STATE(9330),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(836),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [837] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9492),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(837),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [838] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10998),
    [sym__sequence_expression] = STATE(9294),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(838),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [839] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13851),
    [sym__sequence_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(839),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [840] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(14147),
    [sym__sequence_expression] = STATE(9142),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(840),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [841] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12964),
    [sym__sequence_expression] = STATE(11609),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(841),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [842] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13994),
    [sym__sequence_expression] = STATE(9006),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(842),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [843] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9205),
    [sym__sequence_expression] = STATE(8452),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(843),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [844] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12964),
    [sym__sequence_expression] = STATE(11614),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(844),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [845] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12964),
    [sym__sequence_expression] = STATE(11615),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(845),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [846] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12964),
    [sym__sequence_expression] = STATE(11616),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(846),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [847] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12964),
    [sym__sequence_expression] = STATE(11622),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(847),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [848] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12964),
    [sym__sequence_expression] = STATE(11641),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(848),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [849] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12107),
    [sym__sequence_expression] = STATE(11798),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(849),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [850] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12964),
    [sym__sequence_expression] = STATE(11652),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(850),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [851] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13669),
    [sym__sequence_expression] = STATE(9006),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(851),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [852] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13669),
    [sym__sequence_expression] = STATE(9130),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(852),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [853] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13669),
    [sym__sequence_expression] = STATE(9131),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(853),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [854] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13669),
    [sym__sequence_expression] = STATE(9148),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(854),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [855] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9240),
    [sym__sequence_expression] = STATE(8452),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(855),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [856] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13669),
    [sym__sequence_expression] = STATE(8987),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(856),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [857] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13669),
    [sym__sequence_expression] = STATE(9017),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(857),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [858] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13669),
    [sym__sequence_expression] = STATE(9142),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(858),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [859] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13504),
    [sym__sequence_expression] = STATE(9365),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(859),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [860] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14338),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(860),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [861] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9395),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(861),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [862] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13504),
    [sym__sequence_expression] = STATE(9340),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(862),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [863] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13504),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(863),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [864] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13504),
    [sym__sequence_expression] = STATE(9349),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(864),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [865] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13504),
    [sym__sequence_expression] = STATE(9357),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(865),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [866] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13504),
    [sym__sequence_expression] = STATE(9330),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(866),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [867] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9443),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(867),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [868] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13504),
    [sym__sequence_expression] = STATE(9294),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(868),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [869] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13994),
    [sym__sequence_expression] = STATE(9130),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(869),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [870] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13994),
    [sym__sequence_expression] = STATE(9131),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(870),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [871] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13994),
    [sym__sequence_expression] = STATE(9148),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(871),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [872] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13994),
    [sym__sequence_expression] = STATE(8987),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(872),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [873] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(873),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [874] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13994),
    [sym__sequence_expression] = STATE(9017),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(874),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [875] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(9853),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(875),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [876] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13994),
    [sym__sequence_expression] = STATE(9142),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(876),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [877] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13997),
    [sym__sequence_expression] = STATE(9006),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(877),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [878] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13851),
    [sym__sequence_expression] = STATE(18201),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(878),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [879] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13997),
    [sym__sequence_expression] = STATE(9130),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(879),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [880] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13997),
    [sym__sequence_expression] = STATE(9131),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(880),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [881] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13997),
    [sym__sequence_expression] = STATE(9148),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(881),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [882] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9661),
    [sym__sequence_expression] = STATE(11424),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(882),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [883] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13997),
    [sym__sequence_expression] = STATE(8987),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(883),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [884] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(884),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [885] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13997),
    [sym__sequence_expression] = STATE(9017),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(885),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [886] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9661),
    [sym__sequence_expression] = STATE(11540),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(886),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [887] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9661),
    [sym__sequence_expression] = STATE(11365),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(887),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [888] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9661),
    [sym__sequence_expression] = STATE(11362),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(888),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [889] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9661),
    [sym__sequence_expression] = STATE(11415),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(889),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [890] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13990),
    [sym__sequence_expression] = STATE(18229),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(890),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [891] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13654),
    [sym__sequence_expression] = STATE(9844),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(891),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [892] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13997),
    [sym__sequence_expression] = STATE(9142),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(892),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [893] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13931),
    [sym__sequence_expression] = STATE(9312),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(893),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [894] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(9869),
    [sym__sequence_expression] = STATE(9054),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(894),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [895] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13823),
    [sym__sequence_expression] = STATE(9312),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(895),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [896] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(9853),
    [sym__sequence_expression] = STATE(9054),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(896),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [897] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13588),
    [sym__sequence_expression] = STATE(9312),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(897),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [898] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(9869),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(898),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [899] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13670),
    [sym__sequence_expression] = STATE(9312),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(899),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [900] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10998),
    [sym__sequence_expression] = STATE(9312),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(900),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [901] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13122),
    [sym__sequence_expression] = STATE(9844),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(901),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [902] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13743),
    [sym__sequence_expression] = STATE(9006),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(902),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [903] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13743),
    [sym__sequence_expression] = STATE(9130),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(903),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [904] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13743),
    [sym__sequence_expression] = STATE(9131),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(904),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [905] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13743),
    [sym__sequence_expression] = STATE(9148),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(905),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [906] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13743),
    [sym__sequence_expression] = STATE(8987),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(906),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [907] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13743),
    [sym__sequence_expression] = STATE(9017),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(907),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [908] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13743),
    [sym__sequence_expression] = STATE(9142),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(908),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [909] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(9869),
    [sym__sequence_expression] = STATE(8921),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(909),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [910] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(9869),
    [sym__sequence_expression] = STATE(8924),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(910),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [911] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(9869),
    [sym__sequence_expression] = STATE(9004),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(911),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [912] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10158),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(912),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [913] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9581),
    [sym__sequence_expression] = STATE(11424),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(913),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [914] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(9869),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(914),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [915] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(9869),
    [sym__sequence_expression] = STATE(9025),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(915),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [916] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10003),
    [sym__sequence_expression] = STATE(9054),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(916),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [917] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9581),
    [sym__sequence_expression] = STATE(11540),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(917),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [918] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9581),
    [sym__sequence_expression] = STATE(11365),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(918),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [919] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9581),
    [sym__sequence_expression] = STATE(11362),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(919),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [920] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9581),
    [sym__sequence_expression] = STATE(11415),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(920),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [921] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19412),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(921),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [922] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14039),
    [sym__sequence_expression] = STATE(20116),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(20238),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(922),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [923] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10003),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(923),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [924] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10003),
    [sym__sequence_expression] = STATE(8921),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(924),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [925] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10003),
    [sym__sequence_expression] = STATE(8924),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(925),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [926] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10003),
    [sym__sequence_expression] = STATE(9004),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(926),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [927] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11589),
    [sym__sequence_expression] = STATE(9312),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(927),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [928] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13812),
    [sym__sequence_expression] = STATE(9006),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(928),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [929] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13812),
    [sym__sequence_expression] = STATE(9130),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(929),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [930] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13812),
    [sym__sequence_expression] = STATE(9131),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(930),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [931] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13812),
    [sym__sequence_expression] = STATE(9148),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(931),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [932] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13812),
    [sym__sequence_expression] = STATE(8987),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(932),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [933] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13812),
    [sym__sequence_expression] = STATE(9017),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(933),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [934] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13812),
    [sym__sequence_expression] = STATE(9142),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(934),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [935] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10119),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(935),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [936] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10003),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(936),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [937] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10003),
    [sym__sequence_expression] = STATE(9025),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(937),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [938] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11282),
    [sym__sequence_expression] = STATE(9006),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(938),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [939] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9544),
    [sym__sequence_expression] = STATE(11424),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(939),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [940] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19421),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(940),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [941] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9544),
    [sym__sequence_expression] = STATE(11540),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(941),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [942] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9544),
    [sym__sequence_expression] = STATE(11365),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(942),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [943] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9544),
    [sym__sequence_expression] = STATE(11362),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(943),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [944] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9544),
    [sym__sequence_expression] = STATE(11415),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(944),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [945] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11282),
    [sym__sequence_expression] = STATE(9130),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(945),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [946] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11282),
    [sym__sequence_expression] = STATE(9131),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(946),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [947] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11282),
    [sym__sequence_expression] = STATE(9148),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(947),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [948] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11282),
    [sym__sequence_expression] = STATE(8987),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(948),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [949] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(949),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [950] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9661),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(950),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [951] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9580),
    [sym__sequence_expression] = STATE(9054),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(951),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [952] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9580),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(952),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [953] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9580),
    [sym__sequence_expression] = STATE(8921),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(953),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [954] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9580),
    [sym__sequence_expression] = STATE(8924),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(954),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [955] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9580),
    [sym__sequence_expression] = STATE(9004),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(955),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [956] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9580),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(956),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [957] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9580),
    [sym__sequence_expression] = STATE(9025),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(957),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [958] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11282),
    [sym__sequence_expression] = STATE(9017),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(958),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [959] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11282),
    [sym__sequence_expression] = STATE(9142),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(959),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [960] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19680),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(960),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [961] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9465),
    [sym__sequence_expression] = STATE(9054),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(961),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [962] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9724),
    [sym__sequence_expression] = STATE(11424),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(962),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [963] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19945),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(963),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [964] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9724),
    [sym__sequence_expression] = STATE(11540),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(964),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [965] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9724),
    [sym__sequence_expression] = STATE(11365),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(965),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [966] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9724),
    [sym__sequence_expression] = STATE(11362),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(966),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [967] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9724),
    [sym__sequence_expression] = STATE(11415),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(967),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [968] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9465),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(968),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [969] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9465),
    [sym__sequence_expression] = STATE(8921),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(969),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [970] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9465),
    [sym__sequence_expression] = STATE(8924),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(970),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [971] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9465),
    [sym__sequence_expression] = STATE(9004),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(971),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [972] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9566),
    [sym__sequence_expression] = STATE(8452),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(972),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [973] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9581),
    [sym__sequence_expression] = STATE(8452),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(973),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [974] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9454),
    [sym__sequence_expression] = STATE(9054),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(974),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [975] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9454),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(975),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [976] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18087),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(976),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [977] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13990),
    [sym__sequence_expression] = STATE(18106),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(977),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [978] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21945),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(978),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [979] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9454),
    [sym__sequence_expression] = STATE(8921),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(979),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [980] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19969),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(980),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [981] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19973),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(981),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [982] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19975),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(982),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [983] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20955),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(983),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [984] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21053),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(984),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [985] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21063),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(985),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [986] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21251),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(986),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [987] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13990),
    [sym__sequence_expression] = STATE(18636),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(987),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [988] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21448),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(988),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [989] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13990),
    [sym__sequence_expression] = STATE(18729),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(989),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [990] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21574),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(990),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [991] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21669),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(991),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [992] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13654),
    [sym__sequence_expression] = STATE(9006),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(992),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [993] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13654),
    [sym__sequence_expression] = STATE(9130),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(993),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [994] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13654),
    [sym__sequence_expression] = STATE(9131),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(994),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [995] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13654),
    [sym__sequence_expression] = STATE(9148),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(995),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [996] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13654),
    [sym__sequence_expression] = STATE(8987),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(996),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [997] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13654),
    [sym__sequence_expression] = STATE(9017),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(997),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [998] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13654),
    [sym__sequence_expression] = STATE(9142),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(998),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [999] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(9869),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(999),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1000] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10003),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(1000),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1001] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9465),
    [sym__sequence_expression] = STATE(8452),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(1001),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1002] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9454),
    [sym__sequence_expression] = STATE(8924),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(1002),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1003] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13336),
    [sym__sequence_expression] = STATE(9006),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(1003),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1004] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13336),
    [sym__sequence_expression] = STATE(9130),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(1004),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1005] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13336),
    [sym__sequence_expression] = STATE(9131),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(1005),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1006] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13336),
    [sym__sequence_expression] = STATE(9148),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(1006),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1007] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13336),
    [sym__sequence_expression] = STATE(8987),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(1007),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1008] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13336),
    [sym__sequence_expression] = STATE(9017),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(1008),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1009] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13336),
    [sym__sequence_expression] = STATE(9142),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(1009),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1010] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9454),
    [sym__sequence_expression] = STATE(9004),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(1010),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1011] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13142),
    [sym__sequence_expression] = STATE(9844),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(1011),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1012] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9580),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(1012),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1013] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9454),
    [sym__sequence_expression] = STATE(8452),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(1013),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1014] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(8452),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(1014),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1015] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9552),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(1015),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1016] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9524),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(1016),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1017] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9454),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(1017),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1018] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9454),
    [sym__sequence_expression] = STATE(9025),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(1018),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1019] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18301),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1019),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1020] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13990),
    [sym__sequence_expression] = STATE(18493),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(1020),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1021] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(22265),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1021),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1022] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19370),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1022),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1023] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19372),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1023),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1024] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19375),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1024),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1025] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19537),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1025),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1026] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19553),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1026),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1027] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19565),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1027),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1028] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19726),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1028),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1029] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13990),
    [sym__sequence_expression] = STATE(18130),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(1029),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1030] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19849),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1030),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1031] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13990),
    [sym__sequence_expression] = STATE(18335),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(1031),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1032] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19897),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1032),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1033] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19911),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1033),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1034] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9465),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(1034),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1035] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9465),
    [sym__sequence_expression] = STATE(9025),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(1035),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1036] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18542),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1036),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1037] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13990),
    [sym__sequence_expression] = STATE(18544),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(1037),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1038] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20985),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1038),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1039] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21210),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1039),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1040] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21213),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1040),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1041] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21214),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1041),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1042] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21430),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1042),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1043] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21432),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1043),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1044] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21436),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1044),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1045] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21556),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1045),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1046] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13990),
    [sym__sequence_expression] = STATE(19097),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(1046),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1047] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21623),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1047),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1048] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13990),
    [sym__sequence_expression] = STATE(19156),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(1048),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1049] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21673),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1049),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1050] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21685),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1050),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1051] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9704),
    [sym__sequence_expression] = STATE(9054),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(1051),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1052] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18479),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1052),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1053] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19234),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1053),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1054] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19359),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1054),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1055] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19360),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1055),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1056] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19361),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1056),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1057] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19461),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1057),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1058] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19464),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1058),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1059] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19465),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1059),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1060] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19524),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1060),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1061] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19558),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1061),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1062] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19566),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1062),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1063] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19571),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1063),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1064] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9566),
    [sym__sequence_expression] = STATE(11365),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(1064),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1065] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(19078),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1065),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1066] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20015),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1066),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1067] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20163),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1067),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1068] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20164),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1068),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1069] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20168),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1069),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1070] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20295),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1070),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1071] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20296),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1071),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1072] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20297),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1072),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1073] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13851),
    [sym__sequence_expression] = STATE(18642),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(1073),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1074] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20391),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1074),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1075] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20405),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1075),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1076] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20411),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1076),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1077] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9690),
    [sym__sequence_expression] = STATE(11424),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(1077),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1078] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18330),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1078),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1079] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20827),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1079),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1080] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21204),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1080),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1081] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21205),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1081),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1082] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21206),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1082),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1083] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21372),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1083),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1084] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21373),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1084),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1085] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21374),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1085),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1086] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9704),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(1086),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1087] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18868),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1087),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1088] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21748),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1088),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1089] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21837),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1089),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1090] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21838),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1090),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1091] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21840),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1091),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1092] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21911),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1092),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1093] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21912),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1093),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1094] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21914),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1094),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1095] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9690),
    [sym__sequence_expression] = STATE(11540),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(1095),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1096] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18145),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1096),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1097] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19271),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1097),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1098] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20005),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1098),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1099] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20036),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1099),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1100] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20188),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1100),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1101] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20249),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1101),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1102] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20650),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1102),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1103] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20710),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1103),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1104] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9690),
    [sym__sequence_expression] = STATE(11365),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(1104),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1105] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18173),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1105),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1106] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(22048),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1106),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1107] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20449),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1107),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1108] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20481),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1108),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1109] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20520),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1109),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1110] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22228),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1110),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1111] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22242),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1111),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1112] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22254),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1112),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1113] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9690),
    [sym__sequence_expression] = STATE(11362),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(1113),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1114] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18708),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1114),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1115] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19413),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1115),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1116] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19953),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1116),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1117] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19958),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1117),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1118] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19972),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1118),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1119] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20372),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1119),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1120] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20384),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1120),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1121] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20474),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1121),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1122] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9690),
    [sym__sequence_expression] = STATE(11415),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(1122),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1123] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18187),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1123),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1124] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20535),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1124),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1125] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21215),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1125),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1126] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21274),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1126),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1127] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21275),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1127),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1128] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21759),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1128),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1129] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21777),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1129),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1130] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21804),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1130),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1131] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9704),
    [sym__sequence_expression] = STATE(8921),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(1131),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1132] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18349),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1132),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1133] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19934),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1133),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1134] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21337),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1134),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1135] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21385),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1135),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1136] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21398),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1136),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1137] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19319),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1137),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1138] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19378),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1138),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1139] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19385),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1139),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1140] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9704),
    [sym__sequence_expression] = STATE(8924),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(1140),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1141] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18190),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1141),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1142] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(22466),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1142),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1143] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19330),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1143),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1144] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19334),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1144),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1145] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19339),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1145),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1146] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19602),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1146),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1147] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19609),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1147),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1148] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19610),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1148),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1149] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9704),
    [sym__sequence_expression] = STATE(9004),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(1149),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1150] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18189),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1150),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1151] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20721),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1151),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1152] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20946),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1152),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1153] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20947),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1153),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1154] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20960),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1154),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1155] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21194),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1155),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1156] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21196),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1156),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1157] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21233),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1157),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1158] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(14107),
    [sym__sequence_expression] = STATE(8452),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(1158),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1159] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18591),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1159),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1160] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19411),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1160),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1161] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19628),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1161),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1162] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19648),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1162),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1163] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19650),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1163),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1164] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19802),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1164),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1165] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19804),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1165),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1166] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19827),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1166),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1167] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9544),
    [sym__sequence_expression] = STATE(8452),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(1167),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1168] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18323),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1168),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1169] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20895),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1169),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1170] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21141),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1170),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1171] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21143),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1171),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1172] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21144),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1172),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1173] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21248),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1173),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1174] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21250),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1174),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1175] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21252),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1175),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1176] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9693),
    [sym__sequence_expression] = STATE(9054),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(1176),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1177] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(19158),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1177),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1178] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(22373),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1178),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1179] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21051),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1179),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1180] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19538),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1180),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1181] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19917),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1181),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1182] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22435),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1182),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1183] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22449),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1183),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1184] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19254),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1184),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1185] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9693),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(1185),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1186] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18810),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1186),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1187] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21330),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1187),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1188] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22024),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1188),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1189] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22065),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1189),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1190] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22099),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1190),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1191] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19275),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1191),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1192] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19278),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1192),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1193] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19293),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1193),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1194] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9693),
    [sym__sequence_expression] = STATE(8921),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(1194),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1195] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18977),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1195),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1196] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21659),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1196),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1197] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22055),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1197),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1198] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22062),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1198),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1199] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22063),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1199),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1200] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22392),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1200),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1201] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22404),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1201),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1202] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22406),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1202),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1203] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9693),
    [sym__sequence_expression] = STATE(8924),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(1203),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1204] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18528),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1204),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1205] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20040),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1205),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1206] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20256),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1206),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1207] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1207),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1208] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20262),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1208),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1209] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20459),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1209),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1210] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20460),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1210),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1211] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20467),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1211),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1212] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9693),
    [sym__sequence_expression] = STATE(9004),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(1212),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1213] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18709),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1213),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1214] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(22035),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1214),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1215] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22183),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1215),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1216] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22184),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1216),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1217] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22187),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1217),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1218] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22343),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1218),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1219] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22347),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1219),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1220] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22349),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1220),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1221] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9693),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(1221),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1222] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18557),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1222),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1223] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19543),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1223),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1224] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19618),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1224),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1225] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19620),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1225),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1226] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19623),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1226),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1227] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19710),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1227),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1228] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19717),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1228),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1229] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19719),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1229),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1230] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9693),
    [sym__sequence_expression] = STATE(9025),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(1230),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1231] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18596),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1231),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1232] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20041),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1232),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1233] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20132),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1233),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1234] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20133),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1234),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1235] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20136),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1235),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1236] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20209),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1236),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1237] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20213),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1237),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1238] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20216),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1238),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1239] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9704),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(1239),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1240] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(19095),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1240),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1241] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20469),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1241),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1242] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20632),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1242),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1243] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20633),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1243),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1244] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20634),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1244),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1245] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20677),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1245),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1246] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20683),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1246),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1247] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20695),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1247),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1248] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9704),
    [sym__sequence_expression] = STATE(9025),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(1248),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1249] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18594),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1249),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1250] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21026),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1250),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1251] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21129),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1251),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1252] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21139),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1252),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1253] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21161),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1253),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1254] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21200),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1254),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1255] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13037),
    [sym__sequence_expression] = STATE(11609),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(1255),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1256] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21228),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1256),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1257] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13684),
    [sym__sequence_expression] = STATE(11609),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(1257),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1258] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(19225),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1258),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1259] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21718),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1259),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1260] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21767),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1260),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1261] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21771),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1261),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1262] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21774),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1262),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1263] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21816),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1263),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1264] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21818),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1264),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1265] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21819),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1265),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1266] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14424),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(1266),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1267] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18298),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1267),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1268] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(22157),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1268),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1269] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22259),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1269),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1270] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22263),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1270),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1271] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22267),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1271),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1272] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22372),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1272),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1273] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22374),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1273),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1274] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22375),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1274),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1275] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13684),
    [sym__sequence_expression] = STATE(11614),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(1275),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1276] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18616),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1276),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1277] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19392),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1277),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1278] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19448),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1278),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1279] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19451),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1279),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1280] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19454),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1280),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1281] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19500),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1281),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1282] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19501),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1282),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1283] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19502),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1283),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1284] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13684),
    [sym__sequence_expression] = STATE(11615),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(1284),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1285] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18876),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1285),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1286] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19690),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1286),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1287] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19736),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1287),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1288] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19738),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1288),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1289] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19739),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1289),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1290] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19768),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1290),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1291] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19769),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1291),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1292] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19775),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1292),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1293] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13684),
    [sym__sequence_expression] = STATE(11616),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(1293),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1294] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(19065),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1294),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1295] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19993),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1295),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1296] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20050),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1296),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1297] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20051),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1297),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1298] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20056),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1298),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1299] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20083),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1299),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1300] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20087),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1300),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1301] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20089),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1301),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1302] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13684),
    [sym__sequence_expression] = STATE(11622),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(1302),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1303] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18111),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1303),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1304] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20325),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1304),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1305] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20396),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1305),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1306] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20398),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1306),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1307] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20404),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1307),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1308] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20436),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1308),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1309] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20440),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1309),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1310] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20442),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1310),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1311] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9704),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(1311),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1312] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18246),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1312),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1313] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20639),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1313),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1314] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20694),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1314),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1315] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20696),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1315),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1316] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20698),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1316),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1317] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20724),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1317),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1318] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20726),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1318),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1319] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20734),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1319),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1320] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13684),
    [sym__sequence_expression] = STATE(11798),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(1320),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1321] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18515),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1321),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1322] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21078),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1322),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1323] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21104),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1323),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1324] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21108),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1324),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1325] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21109),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1325),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1326] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21120),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1326),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1327] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21123),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1327),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1328] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21124),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1328),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1329] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(9054),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(1329),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1330] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18599),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1330),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1331] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21236),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1331),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1332] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21256),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1332),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1333] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21259),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1333),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1334] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21260),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1334),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1335] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21278),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1335),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1336] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21279),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1336),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1337] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21280),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1337),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1338] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18691),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1338),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1339] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21426),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1339),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1340] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21481),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1340),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1341] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21482),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1341),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1342] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21484),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1342),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1343] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21532),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1343),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1344] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21534),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1344),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1345] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21536),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1345),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1346] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18946),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1346),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1347] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21926),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1347),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1348] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21997),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1348),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1349] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22000),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1349),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1350] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22008),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1350),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1351] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22033),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1351),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1352] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22036),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1352),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1353] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22038),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1353),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1354] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(19151),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1354),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1355] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(22353),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1355),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1356] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22377),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1356),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1357] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22378),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1357),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1358] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22379),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1358),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1359] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22400),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1359),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1360] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22402),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1360),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1361] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22403),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1361),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1362] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18808),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1362),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1363] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(22209),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1363),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1364] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21386),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1364),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1365] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21416),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1365),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1366] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21533),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1366),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1367] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19265),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1367),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1368] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19267),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1368),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1369] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19272),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1369),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1370] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18488),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1370),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1371] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19693),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1371),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1372] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20235),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1372),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1373] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20248),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1373),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1374] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20364),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1374),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1375] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20845),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1375),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1376] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20854),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1376),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1377] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20974),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1377),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1378] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18714),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1378),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1379] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19418),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1379),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1380] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19674),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1380),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1381] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19686),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1381),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1382] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19691),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1382),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1383] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19805),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1383),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1384] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19819),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1384),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1385] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19836),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1385),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1386] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18586),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1386),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1387] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21083),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1387),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1388] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21539),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1388),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1389] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21564),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1389),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1390] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21615),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1390),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1391] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21722),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1391),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1392] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21728),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1392),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1393] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21744),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1393),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1394] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18945),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1394),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1395] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(22455),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1395),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1396] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19336),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1396),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1397] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19338),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1397),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1398] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19344),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1398),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1399] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19422),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1399),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1400] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19423),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1400),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1401] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19424),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1401),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1402] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18817),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1402),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1403] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19873),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1403),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1404] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20019),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1404),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1405] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20020),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1405),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1406] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20024),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1406),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1407] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20092),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1407),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1408] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20098),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1408),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1409] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20100),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1409),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1410] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18498),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1410),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1411] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20880),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1411),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1412] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21006),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1412),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1413] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21018),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1413),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1414] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21020),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1414),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1415] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21149),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1415),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1416] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21176),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1416),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1417] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21220),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1417),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1418] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18624),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1418),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1419] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(21734),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1419),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1420] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21832),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1420),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1421] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21833),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1421),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1422] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21842),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1422),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1423] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21872),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1423),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1424] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21879),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1424),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1425] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21881),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1425),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1426] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18513),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1426),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1427] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(22238),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1427),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1428] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22419),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1428),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1429] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22420),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1429),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1430] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22429),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1430),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1431] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22456),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1431),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1432] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22458),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1432),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1433] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(22464),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1433),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1434] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18658),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1434),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1435] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19425),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1435),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1436] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19482),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1436),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1437] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19484),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1437),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1438] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19488),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1438),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1439] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19514),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1439),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1440] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19515),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1440),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1441] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19516),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1441),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1442] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(19713),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1442),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1443] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19774),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1443),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1444] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19778),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1444),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1445] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19779),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1445),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1446] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19821),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1446),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1447] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19829),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1447),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1448] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(19832),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1448),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1449] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(20067),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(1449),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1450] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20124),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1450),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1451] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20128),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1451),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1452] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20129),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1452),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1453] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20176),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1453),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1454] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20179),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1454),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1455] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20181),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1455),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1456] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(1456),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1457] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(8921),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(1457),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1458] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(8924),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(1458),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1459] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1459),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1460] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21599),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1460),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1461] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21603),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1461),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1462] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18567),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1462),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1463] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18568),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1463),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1464] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18569),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1464),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1465] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14033),
    [sym__sequence_expression] = STATE(18570),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(1465),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1466] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(9004),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(1466),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1467] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(1467),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1468] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(9025),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(1468),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1469] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19576),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1469),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1470] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19630),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1470),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1471] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19632),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1471),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1472] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13684),
    [sym__sequence_expression] = STATE(11641),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(1472),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1473] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13684),
    [sym__sequence_expression] = STATE(11652),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(1473),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1474] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13500),
    [sym__sequence_expression] = STATE(11609),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(1474),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1475] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19999),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1475),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1476] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20061),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1476),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1477] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20066),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1477),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1478] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14448),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(1478),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1479] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13500),
    [sym__sequence_expression] = STATE(11614),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(1479),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1480] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13500),
    [sym__sequence_expression] = STATE(11615),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(1480),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1481] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20420),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1481),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1482] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20480),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1482),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1483] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20487),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1483),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1484] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13500),
    [sym__sequence_expression] = STATE(11616),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(1484),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1485] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13500),
    [sym__sequence_expression] = STATE(11622),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(1485),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1486] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13500),
    [sym__sequence_expression] = STATE(11641),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(1486),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1487] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20785),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1487),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1488] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20836),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1488),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1489] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20839),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1489),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1490] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13500),
    [sym__sequence_expression] = STATE(11798),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(1490),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1491] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9631),
    [sym__sequence_expression] = STATE(9054),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(1491),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1492] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9631),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(1492),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1493] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21011),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1493),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1494] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21032),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1494),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1495] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21037),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1495),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1496] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9631),
    [sym__sequence_expression] = STATE(8921),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(1496),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1497] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9631),
    [sym__sequence_expression] = STATE(8924),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(1497),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1498] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9631),
    [sym__sequence_expression] = STATE(9004),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(1498),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1499] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21212),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1499),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1500] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21244),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1500),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1501] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21247),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1501),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1502] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9631),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(1502),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1503] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9631),
    [sym__sequence_expression] = STATE(9025),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(1503),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1504] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13500),
    [sym__sequence_expression] = STATE(11652),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(1504),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1505] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21402),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1505),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1506] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21435),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1506),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1507] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21438),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1507),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1508] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13142),
    [sym__sequence_expression] = STATE(11609),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(1508),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1509] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14478),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(1509),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1510] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13142),
    [sym__sequence_expression] = STATE(11614),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(1510),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1511] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21601),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1511),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1512] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21627),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1512),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1513] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21634),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1513),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1514] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13142),
    [sym__sequence_expression] = STATE(11615),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(1514),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1515] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13142),
    [sym__sequence_expression] = STATE(11616),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(1515),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1516] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13142),
    [sym__sequence_expression] = STATE(11622),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(1516),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1517] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21792),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1517),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1518] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21824),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1518),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1519] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21831),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1519),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1520] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13142),
    [sym__sequence_expression] = STATE(11641),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(1520),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1521] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13142),
    [sym__sequence_expression] = STATE(11652),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(1521),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1522] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9724),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(1522),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1523] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(21979),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1523),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1524] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(22009),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1524),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1525] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(22012),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1525),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1526] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10984),
    [sym__sequence_expression] = STATE(9006),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(1526),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1527] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10984),
    [sym__sequence_expression] = STATE(9130),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(1527),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1528] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10984),
    [sym__sequence_expression] = STATE(9131),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(1528),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1529] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(22173),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1529),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1530] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(22192),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1530),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1531] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(22194),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1531),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1532] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10984),
    [sym__sequence_expression] = STATE(9148),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(1532),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1533] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10984),
    [sym__sequence_expression] = STATE(8987),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(1533),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1534] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10984),
    [sym__sequence_expression] = STATE(9017),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(1534),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1535] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(22399),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1535),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1536] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(22422),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1536),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1537] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(22425),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1537),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1538] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10984),
    [sym__sequence_expression] = STATE(9142),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(1538),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1539] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11597),
    [sym__sequence_expression] = STATE(9006),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(1539),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1540] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14488),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(1540),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1541] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19248),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1541),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1542] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19262),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1542),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1543] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19264),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1543),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1544] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11597),
    [sym__sequence_expression] = STATE(9130),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(1544),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1545] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11597),
    [sym__sequence_expression] = STATE(9131),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(1545),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1546] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11597),
    [sym__sequence_expression] = STATE(9148),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(1546),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1547] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19311),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1547),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1548] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19325),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1548),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1549] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19327),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1549),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1550] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11597),
    [sym__sequence_expression] = STATE(8987),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(1550),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1551] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11597),
    [sym__sequence_expression] = STATE(9017),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(1551),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1552] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11597),
    [sym__sequence_expression] = STATE(9142),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(1552),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1553] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19373),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1553),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1554] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19387),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1554),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1555] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19389),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1555),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1556] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11589),
    [sym__sequence_expression] = STATE(9365),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(1556),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1557] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11597),
    [sym__sequence_expression] = STATE(9844),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(1557),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1558] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9552),
    [sym__sequence_expression] = STATE(9054),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(1558),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1559] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19436),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1559),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1560] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19450),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1560),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1561] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19452),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1561),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1562] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9552),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(1562),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1563] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9552),
    [sym__sequence_expression] = STATE(8921),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(1563),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1564] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19494),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1564),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1565] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19506),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1565),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1566] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19507),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1566),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1567] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9552),
    [sym__sequence_expression] = STATE(8924),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(1567),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1568] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9552),
    [sym__sequence_expression] = STATE(9004),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(1568),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1569] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19549),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1569),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1570] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19561),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1570),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1571] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19562),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1571),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1572] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9552),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(1572),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1573] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9552),
    [sym__sequence_expression] = STATE(9025),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(1573),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1574] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19604),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1574),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1575] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19616),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1575),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1576] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19617),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1576),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1577] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20186),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1577),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1578] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11589),
    [sym__sequence_expression] = STATE(9340),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(1578),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1579] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19659),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1579),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1580] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19671),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1580),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1581] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19672),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1581),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1582] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11589),
    [sym__sequence_expression] = STATE(9341),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(1582),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1583] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11589),
    [sym__sequence_expression] = STATE(9349),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(1583),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1584] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19714),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1584),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1585] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19723),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1585),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1586] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19724),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1586),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1587] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11589),
    [sym__sequence_expression] = STATE(9357),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(1587),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1588] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11589),
    [sym__sequence_expression] = STATE(9330),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(1588),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1589] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19756),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1589),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1590] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19765),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1590),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1591] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19766),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1591),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1592] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11589),
    [sym__sequence_expression] = STATE(9294),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_sequence_expression] = STATE(9302),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(1592),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1593] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13586),
    [sym__sequence_expression] = STATE(9006),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(1593),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1594] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19797),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1594),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1595] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19806),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1595),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1596] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19807),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1596),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1597] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(9853),
    [sym__sequence_expression] = STATE(9025),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(1597),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1598] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9690),
    [sym__sequence_expression] = STATE(6218),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(1598),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1599] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19838),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1599),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1600] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19847),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1600),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1601] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19848),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1601),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1602] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(9054),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(1602),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1603] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(1603),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1604] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19879),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1604),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1605] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19888),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1605),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1606] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19889),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1606),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1607] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(8921),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(1607),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1608] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(8924),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(1608),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1609] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19920),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1609),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1610] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19929),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1610),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1611] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19930),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1611),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1612] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(9004),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(1612),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1613] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(1613),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1614] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19961),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1614),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1615] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19970),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1615),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1616] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(19971),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1616),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1617] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(9025),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(1617),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1618] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13586),
    [sym__sequence_expression] = STATE(9130),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(1618),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1619] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20002),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1619),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1620] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20011),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1620),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1621] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20012),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1621),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1622] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13586),
    [sym__sequence_expression] = STATE(9131),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(1622),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1623] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13586),
    [sym__sequence_expression] = STATE(9148),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(1623),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1624] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20043),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1624),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1625] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20052),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1625),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1626] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20053),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1626),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1627] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13586),
    [sym__sequence_expression] = STATE(8987),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(1627),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1628] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13586),
    [sym__sequence_expression] = STATE(9017),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(1628),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1629] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20084),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1629),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1630] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20093),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1630),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1631] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20094),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1631),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1632] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13586),
    [sym__sequence_expression] = STATE(9142),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(1632),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1633] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13990),
    [sym__sequence_expression] = STATE(18181),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(1633),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1634] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20125),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1634),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1635] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20134),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1635),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1636] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20135),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1636),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1637] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9566),
    [sym__sequence_expression] = STATE(11362),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(1637),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1638] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13336),
    [sym__sequence_expression] = STATE(9844),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(1638),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1639] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20165),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1639),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1640] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20174),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1640),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1641] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20175),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1641),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1642] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9524),
    [sym__sequence_expression] = STATE(9054),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(1642),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1643] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9524),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(1643),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1644] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20205),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1644),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1645] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20214),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1645),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1646] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20215),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1646),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1647] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9524),
    [sym__sequence_expression] = STATE(8921),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(1647),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1648] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9524),
    [sym__sequence_expression] = STATE(8924),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(1648),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1649] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20244),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1649),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1650] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20253),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1650),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1651] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20254),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1651),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1652] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9524),
    [sym__sequence_expression] = STATE(9004),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(1652),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1653] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9524),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(1653),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1654] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20283),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1654),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1655] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20292),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1655),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1656] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20293),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1656),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1657] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9524),
    [sym__sequence_expression] = STATE(9025),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(1657),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1658] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14332),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(1658),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1659] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20322),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1659),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1660] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20331),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1660),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1661] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20332),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1661),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1662] = {
    [sym__simple_expression] = STATE(4489),
    [sym_typed_expression] = STATE(4166),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_labeled_argument] = STATE(5326),
    [sym_prefix_expression] = STATE(4166),
    [sym_hash_expression] = STATE(4166),
    [sym_field_get_expression] = STATE(4166),
    [sym_array_get_expression] = STATE(4166),
    [sym_string_get_expression] = STATE(4166),
    [sym_bigarray_get_expression] = STATE(4166),
    [sym_coercion_expression] = STATE(4166),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(1662),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [aux_sym_class_application_repeat1] = STATE(2763),
    [ts_builtin_sym_end] = ACTIONS(3525),
    [sym__identifier] = ACTIONS(3803),
    [anon_sym_SEMI_SEMI] = ACTIONS(3525),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_and] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(3805),
    [anon_sym_QMARK] = ACTIONS(3805),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_external] = ACTIONS(3527),
    [anon_sym_type] = ACTIONS(3527),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_DOT] = ACTIONS(3807),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym_exception] = ACTIONS(3527),
    [anon_sym_module] = ACTIONS(3527),
    [anon_sym_open] = ACTIONS(3527),
    [anon_sym_include] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_POUND] = ACTIONS(3809),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3527),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1061),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(3811),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym_let_operator] = ACTIONS(3525),
    [sym_let_and_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_directive_token1] = ACTIONS(3527),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1663] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14333),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(1663),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1664] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20361),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1664),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1665] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20370),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1665),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1666] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20371),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1666),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1667] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14344),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(1667),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1668] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14362),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(1668),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1669] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20399),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1669),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1670] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20408),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1670),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1671] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20409),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1671),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1672] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14370),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(1672),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1673] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14383),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(1673),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1674] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20437),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1674),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1675] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20446),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1675),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1676] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20447),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1676),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1677] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(20250),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1677),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1678] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13586),
    [sym__sequence_expression] = STATE(9844),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(1678),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1679] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20475),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1679),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1680] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20484),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1680),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1681] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20485),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1681),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1682] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13312),
    [sym__sequence_expression] = STATE(11609),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(1682),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1683] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13312),
    [sym__sequence_expression] = STATE(11614),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(1683),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1684] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20513),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1684),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1685] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20522),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1685),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1686] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20523),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1686),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1687] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13312),
    [sym__sequence_expression] = STATE(11615),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(1687),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1688] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13312),
    [sym__sequence_expression] = STATE(11616),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(1688),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1689] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20551),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1689),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1690] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20560),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1690),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1691] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20561),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1691),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1692] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13312),
    [sym__sequence_expression] = STATE(11622),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(1692),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1693] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13312),
    [sym__sequence_expression] = STATE(11641),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(1693),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1694] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20589),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1694),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1695] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20598),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1695),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1696] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20599),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1696),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1697] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13312),
    [sym__sequence_expression] = STATE(11652),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(11721),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(1697),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1698] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13990),
    [sym__sequence_expression] = STATE(18931),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(1698),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1699] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20627),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1699),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1700] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20636),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1700),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1701] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20637),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1701),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1702] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9566),
    [sym__sequence_expression] = STATE(11415),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(1702),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1703] = {
    [sym__simple_expression] = STATE(4268),
    [sym_typed_expression] = STATE(4233),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_labeled_argument] = STATE(5326),
    [sym_prefix_expression] = STATE(4233),
    [sym_hash_expression] = STATE(4233),
    [sym_field_get_expression] = STATE(4233),
    [sym_array_get_expression] = STATE(4233),
    [sym_string_get_expression] = STATE(4233),
    [sym_bigarray_get_expression] = STATE(4233),
    [sym_coercion_expression] = STATE(4233),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(1703),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [aux_sym_class_application_repeat1] = STATE(2761),
    [sym__identifier] = ACTIONS(3813),
    [anon_sym_SEMI_SEMI] = ACTIONS(3525),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_and] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(3815),
    [anon_sym_QMARK] = ACTIONS(3815),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_external] = ACTIONS(3527),
    [anon_sym_type] = ACTIONS(3527),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_RBRACK] = ACTIONS(3525),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_DOT] = ACTIONS(3817),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym_exception] = ACTIONS(3527),
    [anon_sym_module] = ACTIONS(3527),
    [anon_sym_open] = ACTIONS(3527),
    [anon_sym_include] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_POUND] = ACTIONS(3819),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3527),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(991),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(993),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(3821),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym_let_operator] = ACTIONS(3525),
    [sym_let_and_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_directive_token1] = ACTIONS(3527),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1704] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20665),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1704),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1705] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20674),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1705),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1706] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20675),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1706),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1707] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14356),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(1707),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1708] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14399),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(1708),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1709] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20703),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1709),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1710] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20712),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1710),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1711] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20713),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1711),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1712] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14402),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(1712),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1713] = {
    [sym__simple_expression] = STATE(4288),
    [sym_typed_expression] = STATE(4277),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_labeled_argument] = STATE(5507),
    [sym_prefix_expression] = STATE(4277),
    [sym_hash_expression] = STATE(4277),
    [sym_field_get_expression] = STATE(4277),
    [sym_array_get_expression] = STATE(4277),
    [sym_string_get_expression] = STATE(4277),
    [sym_bigarray_get_expression] = STATE(4277),
    [sym_coercion_expression] = STATE(4277),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(1713),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [aux_sym_class_application_repeat1] = STATE(2764),
    [sym__identifier] = ACTIONS(3823),
    [anon_sym_SEMI_SEMI] = ACTIONS(3525),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_and] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(3825),
    [anon_sym_QMARK] = ACTIONS(3825),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_external] = ACTIONS(3527),
    [anon_sym_type] = ACTIONS(3527),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_DOT] = ACTIONS(3827),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym_exception] = ACTIONS(3527),
    [anon_sym_module] = ACTIONS(3527),
    [anon_sym_open] = ACTIONS(3527),
    [anon_sym_include] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_end] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_POUND] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3527),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(941),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(3831),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym_let_operator] = ACTIONS(3525),
    [sym_let_and_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_directive_token1] = ACTIONS(3527),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1714] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20740),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1714),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1715] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20749),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1715),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1716] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20750),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1716),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1717] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11160),
    [sym__sequence_expression] = STATE(14405),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(1717),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1718] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13669),
    [sym__sequence_expression] = STATE(9844),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(9897),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(1718),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1719] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20777),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1719),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1720] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20786),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1720),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1721] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13953),
    [sym__sequence_expression] = STATE(20787),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(1721),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1722] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13851),
    [sym__sequence_expression] = STATE(18537),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(1722),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1723] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13851),
    [sym__sequence_expression] = STATE(18546),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(1723),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1724] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13851),
    [sym__sequence_expression] = STATE(18597),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(1724),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1725] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13851),
    [sym__sequence_expression] = STATE(18605),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(1725),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1726] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13851),
    [sym__sequence_expression] = STATE(18634),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_sequence_expression] = STATE(8352),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(1726),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1727] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(21201),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_sequence_expression] = STATE(6153),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1727),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1728] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1728),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3833),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1729] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1729),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3835),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1730] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1730),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3837),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1731] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1731),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3839),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1732] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1732),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3841),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1733] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13740),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1733),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3843),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1734] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13744),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1734),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3845),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1735] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1735),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3847),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1736] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1736),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3849),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1737] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1737),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3851),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1738] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1738),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3853),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1739] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1739),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3855),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1740] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13795),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1740),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3857),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1741] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13796),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1741),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3859),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1742] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1742),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3861),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1743] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1743),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3863),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1744] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1744),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3865),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1745] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1745),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3867),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1746] = {
    [sym__simple_expression] = STATE(4789),
    [sym_typed_expression] = STATE(4780),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_labeled_argument] = STATE(5467),
    [sym_prefix_expression] = STATE(4780),
    [sym_hash_expression] = STATE(4780),
    [sym_field_get_expression] = STATE(4780),
    [sym_array_get_expression] = STATE(4780),
    [sym_string_get_expression] = STATE(4780),
    [sym_bigarray_get_expression] = STATE(4780),
    [sym_coercion_expression] = STATE(4780),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(1746),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [aux_sym_class_application_repeat1] = STATE(2768),
    [ts_builtin_sym_end] = ACTIONS(3525),
    [sym__identifier] = ACTIONS(3869),
    [anon_sym_SEMI_SEMI] = ACTIONS(3525),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(3871),
    [anon_sym_QMARK] = ACTIONS(3871),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_external] = ACTIONS(3527),
    [anon_sym_type] = ACTIONS(3527),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_DOT] = ACTIONS(3873),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym_exception] = ACTIONS(3527),
    [anon_sym_module] = ACTIONS(3527),
    [anon_sym_open] = ACTIONS(3527),
    [anon_sym_include] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_POUND] = ACTIONS(3875),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_else] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3527),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(3877),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym_let_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_directive_token1] = ACTIONS(3527),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1747] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13822),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1747),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3879),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1748] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13824),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1748),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3881),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1749] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1749),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3883),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1750] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1750),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3885),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1751] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1751),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3887),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1752] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1752),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3889),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1753] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1753),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3891),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1754] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13839),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1754),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3893),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1755] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13840),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1755),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3895),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1756] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1756),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3897),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1757] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1757),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3899),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1758] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1758),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3901),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1759] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1759),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3903),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1760] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13901),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1760),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3905),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1761] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13902),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1761),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3907),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1762] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1762),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3909),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1763] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1763),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3911),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1764] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1764),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3913),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1765] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1765),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3915),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1766] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13914),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1766),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3917),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1767] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13925),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1767),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3919),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1768] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1768),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3921),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1769] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1769),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3923),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1770] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1770),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3925),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1771] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1771),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3927),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1772] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13589),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1772),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3929),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1773] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13604),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1773),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3931),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1774] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1774),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3933),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1775] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1775),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3935),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1776] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1776),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3937),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1777] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1777),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3939),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1778] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13875),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1778),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3941),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1779] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13887),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1779),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3943),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1780] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1780),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3945),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1781] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1781),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3947),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1782] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1782),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3949),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1783] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1783),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3951),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1784] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13671),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1784),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3953),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1785] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13674),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1785),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3955),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1786] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1786),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3957),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1787] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1787),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3959),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1788] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1788),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3961),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1789] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1789),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3963),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1790] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13853),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1790),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3965),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1791] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13857),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1791),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3967),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1792] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1792),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3969),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1793] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1793),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3971),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1794] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1794),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3973),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1795] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1795),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3975),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1796] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13550),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1796),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3977),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1797] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13551),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1797),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3979),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1798] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1798),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3981),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1799] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1799),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3983),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1800] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1800),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3985),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1801] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1801),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3987),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1802] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13644),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1802),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3989),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1803] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13647),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1803),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3991),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1804] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1804),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3993),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1805] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1805),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3995),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1806] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1806),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3997),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1807] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1807),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3999),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1808] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13686),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1808),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4001),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1809] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13688),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1809),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4003),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1810] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1810),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1811] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1811),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4007),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1812] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1812),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4009),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1813] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1813),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4011),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1814] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13766),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1814),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4013),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1815] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13768),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1815),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4015),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1816] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1816),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4017),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1817] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1817),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4019),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1818] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1818),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4021),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1819] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13830),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1819),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4023),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1820] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13832),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1820),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4025),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1821] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1821),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4027),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1822] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1822),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4029),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1823] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1823),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4031),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1824] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1824),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4033),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1825] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13880),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1825),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4035),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1826] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13881),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1826),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4037),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1827] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1827),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4039),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1828] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1828),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4041),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1829] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1829),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4043),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1830] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1830),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4045),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1831] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13937),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1831),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4047),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1832] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13938),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1832),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4049),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1833] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1833),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4051),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1834] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1834),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4053),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1835] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1835),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4055),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1836] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1836),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4057),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1837] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13557),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1837),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4059),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1838] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13561),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1838),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4061),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1839] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1839),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4063),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1840] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1840),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4065),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1841] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1841),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4067),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1842] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1842),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4069),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1843] = {
    [sym__simple_expression] = STATE(4511),
    [sym_typed_expression] = STATE(4725),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_labeled_argument] = STATE(5467),
    [sym_prefix_expression] = STATE(4725),
    [sym_hash_expression] = STATE(4725),
    [sym_field_get_expression] = STATE(4725),
    [sym_array_get_expression] = STATE(4725),
    [sym_string_get_expression] = STATE(4725),
    [sym_bigarray_get_expression] = STATE(4725),
    [sym_coercion_expression] = STATE(4725),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(1843),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [aux_sym_class_application_repeat1] = STATE(2767),
    [sym__identifier] = ACTIONS(4071),
    [anon_sym_SEMI_SEMI] = ACTIONS(3525),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(4073),
    [anon_sym_QMARK] = ACTIONS(4073),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_external] = ACTIONS(3527),
    [anon_sym_type] = ACTIONS(3527),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_RBRACK] = ACTIONS(3525),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_DOT] = ACTIONS(4075),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym_exception] = ACTIONS(3527),
    [anon_sym_module] = ACTIONS(3527),
    [anon_sym_open] = ACTIONS(3527),
    [anon_sym_include] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_POUND] = ACTIONS(4077),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_else] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3527),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1215),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1217),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(4079),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym_let_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_directive_token1] = ACTIONS(3527),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1844] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13587),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1844),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4081),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1845] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13590),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1845),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4083),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1846] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1846),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4085),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1847] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1847),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4087),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1848] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1848),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4089),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1849] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1849),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4091),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1850] = {
    [sym__simple_expression] = STATE(4660),
    [sym_typed_expression] = STATE(4534),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_labeled_argument] = STATE(5523),
    [sym_prefix_expression] = STATE(4534),
    [sym_hash_expression] = STATE(4534),
    [sym_field_get_expression] = STATE(4534),
    [sym_array_get_expression] = STATE(4534),
    [sym_string_get_expression] = STATE(4534),
    [sym_bigarray_get_expression] = STATE(4534),
    [sym_coercion_expression] = STATE(4534),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(1850),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [aux_sym_class_application_repeat1] = STATE(2770),
    [sym__identifier] = ACTIONS(4093),
    [anon_sym_SEMI_SEMI] = ACTIONS(3525),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(4095),
    [anon_sym_QMARK] = ACTIONS(4095),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_external] = ACTIONS(3527),
    [anon_sym_type] = ACTIONS(3527),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_DOT] = ACTIONS(4097),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym_exception] = ACTIONS(3527),
    [anon_sym_module] = ACTIONS(3527),
    [anon_sym_open] = ACTIONS(3527),
    [anon_sym_include] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_end] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_POUND] = ACTIONS(4099),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_else] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3527),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1113),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(4101),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym_let_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_directive_token1] = ACTIONS(3527),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1851] = {
    [sym__simple_expression] = STATE(3394),
    [sym_typed_expression] = STATE(3289),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_labeled_argument] = STATE(4217),
    [sym_prefix_expression] = STATE(3289),
    [sym_hash_expression] = STATE(3289),
    [sym_field_get_expression] = STATE(3289),
    [sym_array_get_expression] = STATE(3289),
    [sym_string_get_expression] = STATE(3289),
    [sym_bigarray_get_expression] = STATE(3289),
    [sym_coercion_expression] = STATE(3289),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(1851),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [aux_sym_class_application_repeat1] = STATE(1969),
    [ts_builtin_sym_end] = ACTIONS(4103),
    [sym__identifier] = ACTIONS(3619),
    [anon_sym_SEMI_SEMI] = ACTIONS(4103),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(3621),
    [anon_sym_QMARK] = ACTIONS(3621),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_external] = ACTIONS(4105),
    [anon_sym_type] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_SEMI] = ACTIONS(4105),
    [anon_sym_exception] = ACTIONS(4105),
    [anon_sym_module] = ACTIONS(4105),
    [anon_sym_open] = ACTIONS(4105),
    [anon_sym_include] = ACTIONS(4105),
    [anon_sym_class] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_in] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4105),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(451),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4103),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym_let_operator] = ACTIONS(4103),
    [sym_let_and_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_directive_token1] = ACTIONS(4103),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1852] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13622),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1852),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4107),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1853] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13625),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1853),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4109),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1854] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1854),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4111),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1855] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1855),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4113),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1856] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1856),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4115),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1857] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1857),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4117),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1858] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13649),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1858),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4119),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1859] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13650),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1859),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4121),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1860] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1860),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4123),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1861] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1861),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4125),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1862] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1862),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4127),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1863] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1863),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4129),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1864] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13659),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1864),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4131),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1865] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13660),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1865),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4133),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1866] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1866),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1867] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1867),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4137),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1868] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1868),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4139),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1869] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1869),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4141),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1870] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13676),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1870),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4143),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1871] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13677),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1871),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4145),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1872] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1872),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4147),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1873] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1873),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4149),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1874] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1874),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4151),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1875] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1875),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4153),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1876] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13707),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1876),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4155),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1877] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13710),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1877),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4157),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1878] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1878),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4159),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1879] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1879),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4161),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1880] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1880),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4163),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1881] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1881),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4165),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1882] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13729),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1882),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4167),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1883] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13731),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1883),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4169),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1884] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1884),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4171),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1885] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1885),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4173),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1886] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1886),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4175),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1887] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1887),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4177),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1888] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13945),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1888),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4179),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1889] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13748),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1889),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4181),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1890] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1890),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4183),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1891] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1891),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4185),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1892] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1892),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4187),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1893] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1893),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4189),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1894] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13757),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1894),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4191),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1895] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13759),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1895),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4193),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1896] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13612),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1896),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4195),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1897] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1897),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4197),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1898] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1898),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4199),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1899] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1899),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4201),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1900] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13771),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1900),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4203),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1901] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13773),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1901),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4205),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1902] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1902),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4207),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1903] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1903),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4209),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1904] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1904),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4211),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1905] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1905),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4213),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1906] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13779),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1906),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4215),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1907] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13780),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1907),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4217),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1908] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1908),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4219),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1909] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1909),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4221),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1910] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1910),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4223),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1911] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1911),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4225),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1912] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13799),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1912),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4227),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1913] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13801),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1913),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4229),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1914] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1914),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4231),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1915] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1915),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4233),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1916] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1916),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4235),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1917] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1917),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1918] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13807),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1918),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4239),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1919] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13809),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1919),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4241),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1920] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1920),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4243),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1921] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1921),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4245),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1922] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1922),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4247),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1923] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1923),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4249),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1924] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13819),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1924),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4251),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1925] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13821),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1925),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4253),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1926] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1926),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4255),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1927] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1927),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4257),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1928] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1928),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4259),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1929] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1929),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4261),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1930] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13826),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1930),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4263),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1931] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13829),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1931),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4265),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1932] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1932),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4267),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1933] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1933),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4269),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1934] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1934),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4271),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1935] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1935),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4273),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1936] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13834),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1936),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4275),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1937] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13835),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1937),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4277),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1938] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1938),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4279),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1939] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1939),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4281),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1940] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1940),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4283),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1941] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1941),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4285),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1942] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13845),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1942),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4287),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1943] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13846),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1943),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4289),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1944] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1944),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4291),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1945] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1945),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4293),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1946] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1946),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4295),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1947] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1947),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4297),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1948] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13859),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1948),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4299),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1949] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13860),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1949),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4301),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1950] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1950),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4303),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1951] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1951),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4305),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1952] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1952),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4307),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1953] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1953),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4309),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1954] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13876),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1954),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4311),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1955] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13877),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1955),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4313),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1956] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1956),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4315),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1957] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1957),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4317),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1958] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1958),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4319),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1959] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1959),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4321),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1960] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13884),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1960),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4323),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1961] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13885),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1961),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4325),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1962] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1962),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4327),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1963] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1963),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4329),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1964] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1964),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4331),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1965] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1965),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4333),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1966] = {
    [sym__simple_expression] = STATE(3297),
    [sym_typed_expression] = STATE(3324),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_labeled_argument] = STATE(4559),
    [sym_prefix_expression] = STATE(3324),
    [sym_hash_expression] = STATE(3324),
    [sym_field_get_expression] = STATE(3324),
    [sym_array_get_expression] = STATE(3324),
    [sym_string_get_expression] = STATE(3324),
    [sym_bigarray_get_expression] = STATE(3324),
    [sym_coercion_expression] = STATE(3324),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(1966),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [aux_sym_class_application_repeat1] = STATE(2024),
    [sym__identifier] = ACTIONS(3523),
    [anon_sym_SEMI_SEMI] = ACTIONS(4103),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(3529),
    [anon_sym_QMARK] = ACTIONS(3529),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_external] = ACTIONS(4105),
    [anon_sym_type] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_SEMI] = ACTIONS(4105),
    [anon_sym_exception] = ACTIONS(4105),
    [anon_sym_module] = ACTIONS(4105),
    [anon_sym_open] = ACTIONS(4105),
    [anon_sym_include] = ACTIONS(4105),
    [anon_sym_class] = ACTIONS(4105),
    [anon_sym_end] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_in] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4105),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(395),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(397),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4103),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym_let_operator] = ACTIONS(4103),
    [sym_let_and_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_directive_token1] = ACTIONS(4103),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1967] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13906),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1967),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4335),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1968] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13907),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1968),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4337),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1969] = {
    [sym__simple_expression] = STATE(3394),
    [sym_typed_expression] = STATE(3289),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_labeled_argument] = STATE(4217),
    [sym_prefix_expression] = STATE(3289),
    [sym_hash_expression] = STATE(3289),
    [sym_field_get_expression] = STATE(3289),
    [sym_array_get_expression] = STATE(3289),
    [sym_string_get_expression] = STATE(3289),
    [sym_bigarray_get_expression] = STATE(3289),
    [sym_coercion_expression] = STATE(3289),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(1969),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [aux_sym_class_application_repeat1] = STATE(1969),
    [ts_builtin_sym_end] = ACTIONS(4339),
    [sym__identifier] = ACTIONS(4341),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4344),
    [anon_sym_and] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(4346),
    [anon_sym_QMARK] = ACTIONS(4346),
    [anon_sym_LPAREN] = ACTIONS(4349),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(4352),
    [anon_sym_true] = ACTIONS(4355),
    [anon_sym_false] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4358),
    [anon_sym_SEMI] = ACTIONS(4344),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(4361),
    [anon_sym_in] = ACTIONS(4344),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4364),
    [anon_sym_else] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(4367),
    [anon_sym_LBRACE_LT] = ACTIONS(4370),
    [anon_sym_begin] = ACTIONS(4373),
    [sym_ocamlyacc_value] = ACTIONS(4376),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4382),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(4385),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(4388),
    [anon_sym_DQUOTE] = ACTIONS(4391),
    [sym_prefix_operator] = ACTIONS(4394),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym_let_operator] = ACTIONS(4339),
    [sym_let_and_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(4397),
    [aux_sym_directive_token1] = ACTIONS(4339),
    [aux_sym_tag_token1] = ACTIONS(4400),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1970] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1970),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4403),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1971] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1971),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4405),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1972] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1972),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4407),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1973] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1973),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4409),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1974] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13919),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1974),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4411),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1975] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13921),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1975),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4413),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1976] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1976),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4415),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1977] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1977),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4417),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1978] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1978),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4419),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1979] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1979),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4421),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1980] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13934),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1980),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4423),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1981] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13935),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1981),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4425),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1982] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1982),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4427),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1983] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1983),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4429),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1984] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1984),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1985] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1985),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4433),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1986] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13543),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1986),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4435),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1987] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13544),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1987),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4437),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1988] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1988),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4439),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1989] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1989),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4441),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1990] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1990),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4443),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1991] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1991),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4445),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1992] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13547),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1992),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4447),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1993] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13548),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1993),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4449),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1994] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1994),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4451),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1995] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1995),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4453),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1996] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1996),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4455),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1997] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1997),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4457),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1998] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13554),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1998),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4459),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1999] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13555),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(1999),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4461),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2000] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2000),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4463),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2001] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2001),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4465),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2002] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2002),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4467),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2003] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2003),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4469),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2004] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13559),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2004),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4471),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2005] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13560),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2005),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4473),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2006] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2006),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2007] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2007),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4477),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2008] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2008),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4479),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2009] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2009),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4481),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2010] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13574),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2010),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4483),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2011] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13575),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2011),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4485),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2012] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2012),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4487),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2013] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2013),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4489),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2014] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2014),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4491),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2015] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2015),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4493),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2016] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13579),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2016),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4495),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2017] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13581),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2017),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4497),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2018] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2018),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4499),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2019] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2019),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4501),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2020] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2020),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4503),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2021] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2021),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4505),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2022] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13624),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2022),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4507),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2023] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2023),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4509),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2024] = {
    [sym__simple_expression] = STATE(3297),
    [sym_typed_expression] = STATE(3324),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_labeled_argument] = STATE(4559),
    [sym_prefix_expression] = STATE(3324),
    [sym_hash_expression] = STATE(3324),
    [sym_field_get_expression] = STATE(3324),
    [sym_array_get_expression] = STATE(3324),
    [sym_string_get_expression] = STATE(3324),
    [sym_bigarray_get_expression] = STATE(3324),
    [sym_coercion_expression] = STATE(3324),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(2024),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [aux_sym_class_application_repeat1] = STATE(2024),
    [sym__identifier] = ACTIONS(4511),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4344),
    [anon_sym_and] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(4514),
    [anon_sym_QMARK] = ACTIONS(4514),
    [anon_sym_LPAREN] = ACTIONS(4517),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(4520),
    [anon_sym_true] = ACTIONS(4523),
    [anon_sym_false] = ACTIONS(4523),
    [anon_sym_LBRACE] = ACTIONS(4526),
    [anon_sym_SEMI] = ACTIONS(4344),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_end] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(4529),
    [anon_sym_in] = ACTIONS(4344),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4532),
    [anon_sym_else] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(4535),
    [anon_sym_LBRACE_LT] = ACTIONS(4538),
    [anon_sym_begin] = ACTIONS(4541),
    [sym_ocamlyacc_value] = ACTIONS(4544),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4547),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4550),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(4553),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(4556),
    [anon_sym_DQUOTE] = ACTIONS(4559),
    [sym_prefix_operator] = ACTIONS(4562),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym_let_operator] = ACTIONS(4339),
    [sym_let_and_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(4565),
    [aux_sym_directive_token1] = ACTIONS(4339),
    [aux_sym_tag_token1] = ACTIONS(4568),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2025] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13667),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2025),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4571),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2026] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13672),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2026),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4573),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2027] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2027),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4575),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2028] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2028),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4577),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2029] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2029),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4579),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2030] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2030),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4581),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2031] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2031),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4583),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2032] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13817),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2032),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4585),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2033] = {
    [sym__simple_expression] = STATE(3203),
    [sym_typed_expression] = STATE(3180),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_labeled_argument] = STATE(4217),
    [sym_prefix_expression] = STATE(3180),
    [sym_hash_expression] = STATE(3180),
    [sym_field_get_expression] = STATE(3180),
    [sym_array_get_expression] = STATE(3180),
    [sym_string_get_expression] = STATE(3180),
    [sym_bigarray_get_expression] = STATE(3180),
    [sym_coercion_expression] = STATE(3180),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(2033),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [aux_sym_class_application_repeat1] = STATE(2034),
    [sym__identifier] = ACTIONS(3601),
    [anon_sym_SEMI_SEMI] = ACTIONS(4103),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(3603),
    [anon_sym_QMARK] = ACTIONS(3603),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_external] = ACTIONS(4105),
    [anon_sym_type] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_RBRACK] = ACTIONS(4103),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_SEMI] = ACTIONS(4105),
    [anon_sym_exception] = ACTIONS(4105),
    [anon_sym_module] = ACTIONS(4105),
    [anon_sym_open] = ACTIONS(4105),
    [anon_sym_include] = ACTIONS(4105),
    [anon_sym_class] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_in] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4105),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(503),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(505),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4103),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym_let_operator] = ACTIONS(4103),
    [sym_let_and_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_directive_token1] = ACTIONS(4103),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2034] = {
    [sym__simple_expression] = STATE(3203),
    [sym_typed_expression] = STATE(3180),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_labeled_argument] = STATE(4217),
    [sym_prefix_expression] = STATE(3180),
    [sym_hash_expression] = STATE(3180),
    [sym_field_get_expression] = STATE(3180),
    [sym_array_get_expression] = STATE(3180),
    [sym_string_get_expression] = STATE(3180),
    [sym_bigarray_get_expression] = STATE(3180),
    [sym_coercion_expression] = STATE(3180),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(2034),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [aux_sym_class_application_repeat1] = STATE(2034),
    [sym__identifier] = ACTIONS(4587),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4344),
    [anon_sym_and] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(4590),
    [anon_sym_QMARK] = ACTIONS(4590),
    [anon_sym_LPAREN] = ACTIONS(4593),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(4596),
    [anon_sym_RBRACK] = ACTIONS(4339),
    [anon_sym_true] = ACTIONS(4599),
    [anon_sym_false] = ACTIONS(4599),
    [anon_sym_LBRACE] = ACTIONS(4602),
    [anon_sym_SEMI] = ACTIONS(4344),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(4605),
    [anon_sym_in] = ACTIONS(4344),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4608),
    [anon_sym_else] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(4611),
    [anon_sym_LBRACE_LT] = ACTIONS(4614),
    [anon_sym_begin] = ACTIONS(4617),
    [sym_ocamlyacc_value] = ACTIONS(4620),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4623),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4626),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(4629),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(4632),
    [anon_sym_DQUOTE] = ACTIONS(4635),
    [sym_prefix_operator] = ACTIONS(4638),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym_let_operator] = ACTIONS(4339),
    [sym_let_and_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(4641),
    [aux_sym_directive_token1] = ACTIONS(4339),
    [aux_sym_tag_token1] = ACTIONS(4644),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2035] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13611),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2035),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4647),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2036] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2036),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4649),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2037] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13940),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2037),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2038] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13359),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(2038),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2039] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13361),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(2039),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2040] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(11924),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2040),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2041] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(9858),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(2041),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2042] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(11925),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2042),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2043] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9375),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2043),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2044] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9545),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2044),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2045] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13521),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(2045),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2046] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9563),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2046),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2047] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9518),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2047),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2048] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9519),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2048),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2049] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9569),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2049),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2050] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9570),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2050),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2051] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9572),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2051),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2052] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9573),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2052),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2053] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9574),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2053),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2054] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9575),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2054),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2055] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9577),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2055),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2056] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9579),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2056),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2057] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14087),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2057),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2058] = {
    [sym_value_definition] = STATE(20190),
    [sym__simple_expression] = STATE(1703),
    [sym__expression] = STATE(9591),
    [sym_typed_expression] = STATE(4233),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4233),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4233),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3547),
    [sym_array_get_expression] = STATE(3547),
    [sym_string_get_expression] = STATE(3547),
    [sym_bigarray_get_expression] = STATE(3547),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4233),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2058),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym_sign_operator] = STATE(2044),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [sym__identifier] = ACTIONS(957),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_fun] = ACTIONS(971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1003),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2059] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13182),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2059),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2060] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(11926),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2060),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2061] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(11917),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2061),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2062] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(9770),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(2062),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2063] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13294),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2063),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2064] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13844),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2064),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2065] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13349),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(2065),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2066] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13143),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2066),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2067] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(11927),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2067),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2068] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11087),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2068),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2069] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13970),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2069),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2070] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13144),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2070),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2071] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13155),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2071),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2072] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13157),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2072),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2073] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13163),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2073),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2074] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9368),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2074),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2075] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13164),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2075),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2076] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9226),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2076),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2077] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9227),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2077),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2078] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9228),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2078),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2079] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9229),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2079),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2080] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9230),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2080),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2081] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9231),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2081),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2082] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9232),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2082),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2083] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9233),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2083),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2084] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9234),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2084),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2085] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9235),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2085),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2086] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9236),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2086),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2087] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13165),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2087),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2088] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13166),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2088),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2089] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13169),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2089),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2090] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13170),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2090),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2091] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13173),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2091),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2092] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(417),
    [sym__expression] = STATE(9238),
    [sym_typed_expression] = STATE(3289),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3289),
    [sym_array_expression] = STATE(3289),
    [sym_record_expression] = STATE(3289),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3289),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3289),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3065),
    [sym_array_get_expression] = STATE(3065),
    [sym_string_get_expression] = STATE(3065),
    [sym_bigarray_get_expression] = STATE(3065),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3289),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3289),
    [sym_package_expression] = STATE(3289),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3289),
    [sym_object_copy_expression] = STATE(3289),
    [sym_method_invocation] = STATE(3289),
    [sym_object_expression] = STATE(3289),
    [sym_parenthesized_expression] = STATE(3289),
    [sym_attribute] = STATE(2092),
    [sym_extension] = STATE(3289),
    [sym_quoted_extension] = STATE(3289),
    [sym__constant] = STATE(3289),
    [sym_number] = STATE(3343),
    [sym_character] = STATE(3343),
    [sym_string] = STATE(3343),
    [sym_quoted_string] = STATE(3343),
    [sym_boolean] = STATE(3343),
    [sym_unit] = STATE(3343),
    [sym_sign_operator] = STATE(2074),
    [sym__value_name] = STATE(3393),
    [sym_parenthesized_operator] = STATE(3221),
    [sym_value_path] = STATE(3289),
    [sym_module_path] = STATE(20318),
    [sym_constructor_path] = STATE(3289),
    [sym__instance_variable_name] = STATE(20496),
    [sym__constructor_name] = STATE(3105),
    [sym_tag] = STATE(3289),
    [sym__identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__capitalized_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2093] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13972),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2093),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2094] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14055),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2094),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2095] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14125),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2095),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2096] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13989),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2096),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2097] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13060),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(2097),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2098] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14124),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2098),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2099] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14019),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2099),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2100] = {
    [sym_value_definition] = STATE(21523),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(13180),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6751),
    [sym_array_get_expression] = STATE(6751),
    [sym_string_get_expression] = STATE(6751),
    [sym_bigarray_get_expression] = STATE(6751),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2100),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2059),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(21396),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1717),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1721),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2101] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14042),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2101),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2102] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9596),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(2102),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2103] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(9946),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(2103),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2104] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9553),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(2104),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2105] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9514),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(2105),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2106] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9559),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(2106),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2107] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9561),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(2107),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2108] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9564),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(2108),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2109] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9565),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(2109),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2110] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9567),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(2110),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2111] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9584),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(2111),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2112] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9527),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(2112),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2113] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9532),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(2113),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2114] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9537),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(2114),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2115] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11877),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2115),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2116] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14067),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2116),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2117] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11732),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2117),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2118] = {
    [sym_value_definition] = STATE(20829),
    [sym__simple_expression] = STATE(1713),
    [sym__expression] = STATE(9547),
    [sym_typed_expression] = STATE(4277),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4277),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4277),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3970),
    [sym_array_get_expression] = STATE(3970),
    [sym_string_get_expression] = STATE(3970),
    [sym_bigarray_get_expression] = STATE(3970),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4277),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(2118),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym_sign_operator] = STATE(2102),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__instance_variable_name] = STATE(20790),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [sym__identifier] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_fun] = ACTIONS(919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(951),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2119] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14085),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2119),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2120] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11733),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2120),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2121] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9426),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(2121),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2122] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11735),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2122),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2123] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11736),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2123),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2124] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11737),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2124),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2125] = {
    [sym__simple_expression] = STATE(3718),
    [sym_typed_expression] = STATE(3745),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_labeled_argument] = STATE(4695),
    [sym_prefix_expression] = STATE(3745),
    [sym_hash_expression] = STATE(3745),
    [sym_field_get_expression] = STATE(3745),
    [sym_array_get_expression] = STATE(3745),
    [sym_string_get_expression] = STATE(3745),
    [sym_bigarray_get_expression] = STATE(3745),
    [sym_coercion_expression] = STATE(3745),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(2125),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [aux_sym_class_application_repeat1] = STATE(2421),
    [ts_builtin_sym_end] = ACTIONS(4103),
    [sym__identifier] = ACTIONS(3729),
    [anon_sym_SEMI_SEMI] = ACTIONS(4103),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(3731),
    [anon_sym_QMARK] = ACTIONS(3731),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_external] = ACTIONS(4105),
    [anon_sym_type] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(4105),
    [anon_sym_exception] = ACTIONS(4105),
    [anon_sym_module] = ACTIONS(4105),
    [anon_sym_open] = ACTIONS(4105),
    [anon_sym_include] = ACTIONS(4105),
    [anon_sym_class] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_in] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4105),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(833),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(835),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4103),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym_let_operator] = ACTIONS(4103),
    [sym_let_and_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_directive_token1] = ACTIONS(4103),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2126] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12624),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2126),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2127] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11738),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2127),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2128] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9495),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(2128),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2129] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11739),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2129),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2130] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11740),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2130),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2131] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11741),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2131),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2132] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11742),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2132),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2133] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13512),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(2133),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2134] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11743),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2134),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2135] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13299),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(2135),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2136] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13301),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(2136),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2137] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13302),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(2137),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2138] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13310),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(2138),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2139] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13320),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(2139),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2140] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13322),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(2140),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2141] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13327),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(2141),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2142] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13328),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(2142),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2143] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13330),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(2143),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2144] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13332),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(2144),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2145] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13333),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(2145),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2146] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14062),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2146),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2147] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(10030),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(2147),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2148] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(9986),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(2148),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2149] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(10028),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(2149),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2150] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2809),
    [sym__expression] = STATE(13390),
    [sym_typed_expression] = STATE(7709),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7709),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7709),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6983),
    [sym_array_get_expression] = STATE(6983),
    [sym_string_get_expression] = STATE(6983),
    [sym_bigarray_get_expression] = STATE(6983),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7709),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(2150),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [sym__identifier] = ACTIONS(2355),
    [anon_sym_let] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_fun] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_if] = ACTIONS(2373),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2375),
    [anon_sym_function] = ACTIONS(2377),
    [anon_sym_try] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2401),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2151] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11760),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2151),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2152] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9496),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(2152),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2153] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9499),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(2153),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2154] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9500),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(2154),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2155] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13613),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2155),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2156] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11366),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(2156),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2157] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11884),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(2157),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2158] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9501),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(2158),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2159] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13781),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2159),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2160] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11780),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(2160),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2161] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13161),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(2161),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2162] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(10070),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(2162),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2163] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13133),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(2163),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2164] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13134),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(2164),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2165] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13135),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(2165),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2166] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13136),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(2166),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2167] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13137),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(2167),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2168] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13138),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(2168),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2169] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13140),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(2169),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2170] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13146),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(2170),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2171] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13147),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(2171),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2172] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13148),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(2172),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2173] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13150),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(2173),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2174] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11781),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(2174),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2175] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11782),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(2175),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2176] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11783),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(2176),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2177] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11784),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(2177),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2178] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11785),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(2178),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2179] = {
    [sym_value_definition] = STATE(21322),
    [sym__simple_expression] = STATE(2805),
    [sym__expression] = STATE(13152),
    [sym_typed_expression] = STATE(6852),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6852),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6852),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6822),
    [sym_array_get_expression] = STATE(6822),
    [sym_string_get_expression] = STATE(6822),
    [sym_bigarray_get_expression] = STATE(6822),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6852),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(2179),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym_sign_operator] = STATE(2161),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__instance_variable_name] = STATE(21312),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [sym__identifier] = ACTIONS(1723),
    [anon_sym_let] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_fun] = ACTIONS(1737),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1743),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1747),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1769),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2180] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11787),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(2180),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2181] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11788),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(2181),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2182] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13782),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2182),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2183] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13783),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2183),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2184] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11789),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(2184),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2185] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11790),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(2185),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2186] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11791),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(2186),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2187] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13784),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2187),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2188] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13785),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2188),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2189] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13316),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2189),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2190] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13786),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2190),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2191] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13787),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2191),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2192] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(9976),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(2192),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2193] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14043),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2193),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2194] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12640),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2194),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2195] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12596),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2195),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2196] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12597),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2196),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2197] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12598),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2197),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2198] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12599),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2198),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2199] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12600),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2199),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2200] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12601),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2200),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2201] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12602),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2201),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2202] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12603),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2202),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2203] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12604),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2203),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2204] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12605),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2204),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2205] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12606),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2205),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2206] = {
    [sym_value_definition] = STATE(22007),
    [sym__simple_expression] = STATE(2786),
    [sym__expression] = STATE(11801),
    [sym_typed_expression] = STATE(6355),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6355),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6355),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6198),
    [sym_array_get_expression] = STATE(6198),
    [sym_string_get_expression] = STATE(6198),
    [sym_bigarray_get_expression] = STATE(6198),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6355),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(2206),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym_sign_operator] = STATE(2157),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__instance_variable_name] = STATE(21963),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [sym__identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2207] = {
    [sym_value_definition] = STATE(21683),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12608),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6633),
    [sym_array_get_expression] = STATE(6633),
    [sym_string_get_expression] = STATE(6633),
    [sym_bigarray_get_expression] = STATE(6633),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2207),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2194),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(21621),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2208] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13788),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2208),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2209] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13789),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2209),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2210] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13910),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2210),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2211] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13790),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2211),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2212] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13489),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2212),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2213] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13687),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2213),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2214] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13791),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2214),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2215] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9502),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(2215),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2216] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13689),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2216),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2217] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13690),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2217),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2218] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13691),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2218),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2219] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11422),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(2219),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2220] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13692),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2220),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2221] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11460),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(2221),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2222] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11478),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(2222),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2223] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11486),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(2223),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2224] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11491),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(2224),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2225] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11497),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(2225),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2226] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11508),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(2226),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2227] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11509),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(2227),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2228] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11521),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(2228),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2229] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11523),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(2229),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2230] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11530),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(2230),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2231] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11495),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(2231),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2232] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13693),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2232),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2233] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13700),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2233),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2234] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13701),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2234),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2235] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13702),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2235),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2236] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13703),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2236),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2237] = {
    [sym_value_definition] = STATE(22459),
    [sym__simple_expression] = STATE(2784),
    [sym__expression] = STATE(11393),
    [sym_typed_expression] = STATE(6311),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(6000),
    [sym_array_get_expression] = STATE(6000),
    [sym_string_get_expression] = STATE(6000),
    [sym_bigarray_get_expression] = STATE(6000),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(2237),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym_sign_operator] = STATE(2219),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(22221),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [sym__identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2238] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13704),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2238),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2239] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14084),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2239),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2240] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9503),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(2240),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2241] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9505),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(2241),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2242] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(9795),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(2242),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2243] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9508),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(2243),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2244] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9389),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(2244),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2245] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13224),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2245),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2246] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13793),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2246),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2247] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9463),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(2247),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2248] = {
    [sym_value_definition] = STATE(20483),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13747),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7373),
    [sym_array_get_expression] = STATE(7373),
    [sym_string_get_expression] = STATE(7373),
    [sym_bigarray_get_expression] = STATE(7373),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2248),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2210),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(20422),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3049),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2249] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13522),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2249),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2250] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13441),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2250),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2251] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13443),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2251),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2252] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13447),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2252),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2253] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13453),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2253),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2254] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13463),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2254),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2255] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13465),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2255),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2256] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13466),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2256),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2257] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13467),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2257),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2258] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13471),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2258),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2259] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13472),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2259),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2260] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13473),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2260),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2261] = {
    [sym_value_definition] = STATE(21867),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13474),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7047),
    [sym_array_get_expression] = STATE(7047),
    [sym_string_get_expression] = STATE(7047),
    [sym_bigarray_get_expression] = STATE(7047),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2261),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(20448),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2262] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(9998),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(2262),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2263] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(11918),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2263),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2264] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13226),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2264),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2265] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13221),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2265),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2266] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13281),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2266),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2267] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13282),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2267),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2268] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13284),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2268),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2269] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13286),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2269),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2270] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13288),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2270),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2271] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13289),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2271),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2272] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13290),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2272),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2273] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13292),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2273),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2274] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13303),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2274),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2275] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13305),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2275),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2276] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13307),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2276),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2277] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13308),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7048),
    [sym_array_get_expression] = STATE(7048),
    [sym_string_get_expression] = STATE(7048),
    [sym_bigarray_get_expression] = STATE(7048),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2277),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2265),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(21716),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(2899),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2931),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2278] = {
    [sym__simple_expression] = STATE(5237),
    [sym_typed_expression] = STATE(5248),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_labeled_argument] = STATE(5582),
    [sym_prefix_expression] = STATE(5248),
    [sym_hash_expression] = STATE(5248),
    [sym_field_get_expression] = STATE(5248),
    [sym_array_get_expression] = STATE(5248),
    [sym_string_get_expression] = STATE(5248),
    [sym_bigarray_get_expression] = STATE(5248),
    [sym_coercion_expression] = STATE(5248),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(2278),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [aux_sym_class_application_repeat1] = STATE(2777),
    [ts_builtin_sym_end] = ACTIONS(3525),
    [sym__identifier] = ACTIONS(4651),
    [anon_sym_SEMI_SEMI] = ACTIONS(3525),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(4653),
    [anon_sym_QMARK] = ACTIONS(4653),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(3527),
    [anon_sym_type] = ACTIONS(3527),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(4655),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym_exception] = ACTIONS(3527),
    [anon_sym_module] = ACTIONS(3527),
    [anon_sym_open] = ACTIONS(3527),
    [anon_sym_include] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_POUND] = ACTIONS(4657),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3527),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(4659),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym_let_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(3527),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2279] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9477),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(2279),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2280] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10013),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(2280),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2281] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(11919),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2281),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2282] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13335),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2282),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2283] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13354),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2283),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2284] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13355),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2284),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2285] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13357),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2285),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2286] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13358),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2286),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2287] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13363),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2287),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2288] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13364),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2288),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2289] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13365),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2289),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2290] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13366),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2290),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2291] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13371),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2291),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2292] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13372),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2292),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2293] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13377),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2293),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2294] = {
    [sym_value_definition] = STATE(22019),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7049),
    [sym_array_get_expression] = STATE(7049),
    [sym_string_get_expression] = STATE(7049),
    [sym_bigarray_get_expression] = STATE(7049),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2294),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2282),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(20088),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2957),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2983),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2295] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13680),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2295),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2296] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9210),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(2296),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2297] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11195),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2297),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2298] = {
    [sym_value_definition] = STATE(22098),
    [sym__simple_expression] = STATE(606),
    [sym__expression] = STATE(9468),
    [sym_typed_expression] = STATE(3745),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3745),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3745),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3298),
    [sym_array_get_expression] = STATE(3298),
    [sym_string_get_expression] = STATE(3298),
    [sym_bigarray_get_expression] = STATE(3298),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3745),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(2298),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym_sign_operator] = STATE(2121),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__instance_variable_name] = STATE(20635),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [sym__identifier] = ACTIONS(799),
    [anon_sym_let] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_true] = ACTIONS(807),
    [anon_sym_false] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(809),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_fun] = ACTIONS(813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(815),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_LBRACE_LT] = ACTIONS(827),
    [anon_sym_begin] = ACTIONS(829),
    [sym_ocamlyacc_value] = ACTIONS(831),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3613),
    [aux_sym_number_token1] = ACTIONS(837),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [sym_prefix_operator] = ACTIONS(843),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(845),
    [sym__capitalized_identifier] = ACTIONS(847),
    [aux_sym_tag_token1] = ACTIONS(849),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2299] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13991),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2299),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2300] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9484),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(2300),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2301] = {
    [sym__simple_expression] = STATE(3988),
    [sym_typed_expression] = STATE(3959),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_labeled_argument] = STATE(5369),
    [sym_prefix_expression] = STATE(3959),
    [sym_hash_expression] = STATE(3959),
    [sym_field_get_expression] = STATE(3959),
    [sym_array_get_expression] = STATE(3959),
    [sym_string_get_expression] = STATE(3959),
    [sym_bigarray_get_expression] = STATE(3959),
    [sym_coercion_expression] = STATE(3959),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(2301),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [aux_sym_class_application_repeat1] = STATE(2373),
    [sym__identifier] = ACTIONS(3647),
    [anon_sym_SEMI_SEMI] = ACTIONS(4103),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(3649),
    [anon_sym_QMARK] = ACTIONS(3649),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_external] = ACTIONS(4105),
    [anon_sym_type] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(4105),
    [anon_sym_exception] = ACTIONS(4105),
    [anon_sym_module] = ACTIONS(4105),
    [anon_sym_open] = ACTIONS(4105),
    [anon_sym_include] = ACTIONS(4105),
    [anon_sym_class] = ACTIONS(4105),
    [anon_sym_end] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_in] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4105),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4103),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym_let_operator] = ACTIONS(4103),
    [sym_let_and_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_directive_token1] = ACTIONS(4103),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2302] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9434),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(2302),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2303] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9440),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(2303),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2304] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9441),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(2304),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2305] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9442),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(2305),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2306] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9445),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(2306),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2307] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9446),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(2307),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2308] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9447),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(2308),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2309] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9448),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(2309),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2310] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9449),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(2310),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2311] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9450),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(2311),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2312] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9451),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(2312),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2313] = {
    [sym_value_definition] = STATE(19647),
    [sym__simple_expression] = STATE(600),
    [sym__expression] = STATE(9453),
    [sym_typed_expression] = STATE(4050),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4050),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4050),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3268),
    [sym_array_get_expression] = STATE(3268),
    [sym_string_get_expression] = STATE(3268),
    [sym_bigarray_get_expression] = STATE(3268),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4050),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(2313),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym_sign_operator] = STATE(2300),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__instance_variable_name] = STATE(21937),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [sym__identifier] = ACTIONS(625),
    [anon_sym_let] = ACTIONS(627),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_fun] = ACTIONS(639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(643),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(671),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2314] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(11920),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2314),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2315] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9640),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(2315),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2316] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(10054),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(2316),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2317] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9217),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(2317),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2318] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9673),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(2318),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2319] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9211),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(2319),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2320] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9251),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(2320),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2321] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9252),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(2321),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2322] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9253),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(2322),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2323] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9254),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(2323),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2324] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9255),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(2324),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2325] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9256),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(2325),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2326] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9257),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(2326),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2327] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9258),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(2327),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2328] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9259),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(2328),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2329] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9260),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(2329),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2330] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9261),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(2330),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2331] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9588),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(2331),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2332] = {
    [sym_value_definition] = STATE(20347),
    [sym__simple_expression] = STATE(406),
    [sym__expression] = STATE(9263),
    [sym_typed_expression] = STATE(3180),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3180),
    [sym_array_expression] = STATE(3180),
    [sym_record_expression] = STATE(3180),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3180),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3180),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3075),
    [sym_array_get_expression] = STATE(3075),
    [sym_string_get_expression] = STATE(3075),
    [sym_bigarray_get_expression] = STATE(3075),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3180),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3180),
    [sym_package_expression] = STATE(3180),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3180),
    [sym_object_copy_expression] = STATE(3180),
    [sym_method_invocation] = STATE(3180),
    [sym_object_expression] = STATE(3180),
    [sym_parenthesized_expression] = STATE(3180),
    [sym_attribute] = STATE(2332),
    [sym_extension] = STATE(3180),
    [sym_quoted_extension] = STATE(3180),
    [sym__constant] = STATE(3180),
    [sym_number] = STATE(3144),
    [sym_character] = STATE(3144),
    [sym_string] = STATE(3144),
    [sym_quoted_string] = STATE(3144),
    [sym_boolean] = STATE(3144),
    [sym_unit] = STATE(3144),
    [sym_sign_operator] = STATE(2319),
    [sym__value_name] = STATE(3295),
    [sym_parenthesized_operator] = STATE(3279),
    [sym_value_path] = STATE(3180),
    [sym_module_path] = STATE(20661),
    [sym_constructor_path] = STATE(3180),
    [sym__instance_variable_name] = STATE(19555),
    [sym__constructor_name] = STATE(3170),
    [sym_tag] = STATE(3180),
    [sym__identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3617),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__capitalized_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2333] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9740),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(2333),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2334] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9593),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(2334),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2335] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9516),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(2335),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2336] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9520),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(2336),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2337] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10692),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2337),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2338] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9522),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(2338),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2339] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9523),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(2339),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2340] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9218),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(2340),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2341] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9267),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(2341),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2342] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9268),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(2342),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2343] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9269),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(2343),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2344] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9270),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(2344),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2345] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9271),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(2345),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2346] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9272),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(2346),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2347] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9273),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(2347),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2348] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9274),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(2348),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2349] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9275),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(2349),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2350] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9276),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(2350),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2351] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9277),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(2351),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2352] = {
    [sym_value_definition] = STATE(21501),
    [sym__simple_expression] = STATE(349),
    [sym__expression] = STATE(9279),
    [sym_typed_expression] = STATE(3324),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3324),
    [sym_array_expression] = STATE(3324),
    [sym_record_expression] = STATE(3324),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3324),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3324),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3091),
    [sym_array_get_expression] = STATE(3091),
    [sym_string_get_expression] = STATE(3091),
    [sym_bigarray_get_expression] = STATE(3091),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3324),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3324),
    [sym_package_expression] = STATE(3324),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3324),
    [sym_object_copy_expression] = STATE(3324),
    [sym_method_invocation] = STATE(3324),
    [sym_object_expression] = STATE(3324),
    [sym_parenthesized_expression] = STATE(3324),
    [sym_attribute] = STATE(2352),
    [sym_extension] = STATE(3324),
    [sym_quoted_extension] = STATE(3324),
    [sym__constant] = STATE(3324),
    [sym_number] = STATE(3169),
    [sym_character] = STATE(3169),
    [sym_string] = STATE(3169),
    [sym_quoted_string] = STATE(3169),
    [sym_boolean] = STATE(3169),
    [sym_unit] = STATE(3169),
    [sym_sign_operator] = STATE(2340),
    [sym__value_name] = STATE(3366),
    [sym_parenthesized_operator] = STATE(3117),
    [sym_value_path] = STATE(3324),
    [sym_module_path] = STATE(20737),
    [sym_constructor_path] = STATE(3324),
    [sym__instance_variable_name] = STATE(20265),
    [sym__constructor_name] = STATE(3191),
    [sym_tag] = STATE(3324),
    [sym__identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__capitalized_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2353] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9531),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(2353),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2354] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9540),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(2354),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2355] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9541),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(2355),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2356] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9542),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(2356),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2357] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9379),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(2357),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2358] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9546),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(2358),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2359] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9548),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(2359),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2360] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10633),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2360),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2361] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10700),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2361),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2362] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10650),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2362),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2363] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10651),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2363),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2364] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10652),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2364),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2365] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10653),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2365),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2366] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10656),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2366),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2367] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10657),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2367),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2368] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10658),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2368),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2369] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10660),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2369),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2370] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10664),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2370),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2371] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10667),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2371),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2372] = {
    [sym_value_definition] = STATE(22027),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10674),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5716),
    [sym_array_get_expression] = STATE(5716),
    [sym_string_get_expression] = STATE(5716),
    [sym_bigarray_get_expression] = STATE(5716),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2372),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(21456),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2373] = {
    [sym__simple_expression] = STATE(3988),
    [sym_typed_expression] = STATE(3959),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_labeled_argument] = STATE(5369),
    [sym_prefix_expression] = STATE(3959),
    [sym_hash_expression] = STATE(3959),
    [sym_field_get_expression] = STATE(3959),
    [sym_array_get_expression] = STATE(3959),
    [sym_string_get_expression] = STATE(3959),
    [sym_bigarray_get_expression] = STATE(3959),
    [sym_coercion_expression] = STATE(3959),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(2373),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [aux_sym_class_application_repeat1] = STATE(2373),
    [sym__identifier] = ACTIONS(4661),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4344),
    [anon_sym_and] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(4664),
    [anon_sym_QMARK] = ACTIONS(4664),
    [anon_sym_LPAREN] = ACTIONS(4667),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(4670),
    [anon_sym_true] = ACTIONS(4673),
    [anon_sym_false] = ACTIONS(4673),
    [anon_sym_LBRACE] = ACTIONS(4676),
    [anon_sym_SEMI] = ACTIONS(4344),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_end] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(4679),
    [anon_sym_in] = ACTIONS(4344),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4682),
    [anon_sym_new] = ACTIONS(4685),
    [anon_sym_LBRACE_LT] = ACTIONS(4688),
    [anon_sym_begin] = ACTIONS(4691),
    [sym_ocamlyacc_value] = ACTIONS(4694),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4697),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4700),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(4703),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(4706),
    [anon_sym_DQUOTE] = ACTIONS(4709),
    [sym_prefix_operator] = ACTIONS(4712),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym_let_operator] = ACTIONS(4339),
    [sym_let_and_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(4715),
    [aux_sym_directive_token1] = ACTIONS(4339),
    [aux_sym_tag_token1] = ACTIONS(4718),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2374] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9677),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(2374),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2375] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9678),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(2375),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2376] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9679),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(2376),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2377] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9680),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(2377),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2378] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9421),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(2378),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2379] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9681),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(2379),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2380] = {
    [sym_value_definition] = STATE(20326),
    [sym__simple_expression] = STATE(1662),
    [sym__expression] = STATE(9562),
    [sym_typed_expression] = STATE(4166),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4166),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4166),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3816),
    [sym_array_get_expression] = STATE(3816),
    [sym_string_get_expression] = STATE(3816),
    [sym_bigarray_get_expression] = STATE(3816),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4166),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(2380),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__instance_variable_name] = STATE(20305),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [sym__identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2381] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9380),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(2381),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2382] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9381),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(2382),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2383] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9382),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(2383),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2384] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9383),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(2384),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2385] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9384),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(2385),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2386] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9385),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(2386),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2387] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9386),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(2387),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2388] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9387),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(2388),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2389] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9388),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(2389),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2390] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9513),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(2390),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2391] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9390),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(2391),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2392] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9391),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(2392),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2393] = {
    [sym_value_definition] = STATE(19300),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(9393),
    [sym_typed_expression] = STATE(3566),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3566),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3566),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3402),
    [sym_array_get_expression] = STATE(3402),
    [sym_string_get_expression] = STATE(3402),
    [sym_bigarray_get_expression] = STATE(3402),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3566),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(2393),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym_sign_operator] = STATE(2381),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__instance_variable_name] = STATE(22001),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(575),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_fun] = ACTIONS(587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(593),
    [anon_sym_function] = ACTIONS(595),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(619),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2394] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9682),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(2394),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2395] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9683),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(2395),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2396] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11180),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2396),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2397] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9684),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(2397),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2398] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9424),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(2398),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2399] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9399),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(2399),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2400] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9400),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(2400),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2401] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9401),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(2401),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2402] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9402),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(2402),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2403] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9403),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(2403),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2404] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9404),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(2404),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2405] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9405),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(2405),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2406] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9406),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(2406),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2407] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9407),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(2407),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2408] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9408),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(2408),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2409] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9409),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(2409),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2410] = {
    [sym_value_definition] = STATE(19613),
    [sym__simple_expression] = STATE(595),
    [sym__expression] = STATE(9411),
    [sym_typed_expression] = STATE(3641),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3641),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3641),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3417),
    [sym_array_get_expression] = STATE(3417),
    [sym_string_get_expression] = STATE(3417),
    [sym_bigarray_get_expression] = STATE(3417),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3641),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(2410),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym_sign_operator] = STATE(2398),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__instance_variable_name] = STATE(19280),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [sym__identifier] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_fun] = ACTIONS(759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(791),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2411] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9688),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(2411),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2412] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(14063),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2412),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2413] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(11921),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2413),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2414] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11188),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2414),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2415] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13776),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2415),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2416] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(11958),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2416),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2417] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(10061),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(2417),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2418] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11237),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2418),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2419] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11075),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2419),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2420] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(14113),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2420),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2421] = {
    [sym__simple_expression] = STATE(3718),
    [sym_typed_expression] = STATE(3745),
    [sym_list_expression] = STATE(3745),
    [sym_array_expression] = STATE(3745),
    [sym_record_expression] = STATE(3745),
    [sym_labeled_argument] = STATE(4695),
    [sym_prefix_expression] = STATE(3745),
    [sym_hash_expression] = STATE(3745),
    [sym_field_get_expression] = STATE(3745),
    [sym_array_get_expression] = STATE(3745),
    [sym_string_get_expression] = STATE(3745),
    [sym_bigarray_get_expression] = STATE(3745),
    [sym_coercion_expression] = STATE(3745),
    [sym_local_open_expression] = STATE(3745),
    [sym_package_expression] = STATE(3745),
    [sym_new_expression] = STATE(3745),
    [sym_object_copy_expression] = STATE(3745),
    [sym_method_invocation] = STATE(3745),
    [sym_object_expression] = STATE(3745),
    [sym_parenthesized_expression] = STATE(3745),
    [sym_attribute] = STATE(2421),
    [sym_extension] = STATE(3745),
    [sym_quoted_extension] = STATE(3745),
    [sym__constant] = STATE(3745),
    [sym_number] = STATE(3565),
    [sym_character] = STATE(3565),
    [sym_string] = STATE(3565),
    [sym_quoted_string] = STATE(3565),
    [sym_boolean] = STATE(3565),
    [sym_unit] = STATE(3565),
    [sym__value_name] = STATE(3523),
    [sym_parenthesized_operator] = STATE(3442),
    [sym_value_path] = STATE(3745),
    [sym_module_path] = STATE(22386),
    [sym_constructor_path] = STATE(3745),
    [sym__constructor_name] = STATE(3766),
    [sym_tag] = STATE(3745),
    [aux_sym_class_application_repeat1] = STATE(2421),
    [ts_builtin_sym_end] = ACTIONS(4339),
    [sym__identifier] = ACTIONS(4721),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4344),
    [anon_sym_and] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(4724),
    [anon_sym_QMARK] = ACTIONS(4724),
    [anon_sym_LPAREN] = ACTIONS(4727),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(4730),
    [anon_sym_true] = ACTIONS(4733),
    [anon_sym_false] = ACTIONS(4733),
    [anon_sym_LBRACE] = ACTIONS(4736),
    [anon_sym_SEMI] = ACTIONS(4344),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(4739),
    [anon_sym_in] = ACTIONS(4344),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4742),
    [anon_sym_new] = ACTIONS(4745),
    [anon_sym_LBRACE_LT] = ACTIONS(4748),
    [anon_sym_begin] = ACTIONS(4751),
    [sym_ocamlyacc_value] = ACTIONS(4754),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4760),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(4763),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(4766),
    [anon_sym_DQUOTE] = ACTIONS(4769),
    [sym_prefix_operator] = ACTIONS(4772),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym_let_operator] = ACTIONS(4339),
    [sym_let_and_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(4775),
    [aux_sym_directive_token1] = ACTIONS(4339),
    [aux_sym_tag_token1] = ACTIONS(4778),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2422] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11089),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2422),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2423] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(10008),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(2423),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2424] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9722),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(2424),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2425] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13932),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(2425),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2426] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9497),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2426),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2427] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9475),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2427),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2428] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(14141),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2428),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2429] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9476),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2429),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2430] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9478),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2430),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2431] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9479),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2431),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2432] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9480),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2432),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2433] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9481),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2433),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2434] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9482),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2434),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2435] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9483),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2435),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2436] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9485),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2436),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2437] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9486),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2437),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2438] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9487),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2438),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2439] = {
    [sym_value_definition] = STATE(19810),
    [sym__simple_expression] = STATE(2278),
    [sym__expression] = STATE(10063),
    [sym_typed_expression] = STATE(5248),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5248),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5248),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4619),
    [sym_array_get_expression] = STATE(4619),
    [sym_string_get_expression] = STATE(4619),
    [sym_bigarray_get_expression] = STATE(4619),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5248),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(2439),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym_sign_operator] = STATE(2242),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__instance_variable_name] = STATE(22227),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [sym__identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2440] = {
    [sym_value_definition] = STATE(20890),
    [sym__simple_expression] = STATE(631),
    [sym__expression] = STATE(9489),
    [sym_typed_expression] = STATE(3517),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3517),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3517),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3340),
    [sym_array_get_expression] = STATE(3340),
    [sym_string_get_expression] = STATE(3340),
    [sym_bigarray_get_expression] = STATE(3340),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3517),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2440),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym_sign_operator] = STATE(2426),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__instance_variable_name] = STATE(20847),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [sym__identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2441] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13751),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(2441),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2442] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10816),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2442),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2443] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11092),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2443),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2444] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13754),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(2444),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2445] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13755),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(2445),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2446] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13758),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(2446),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2447] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13711),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2447),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2448] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13712),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2448),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2449] = {
    [sym_value_definition] = STATE(19335),
    [sym__simple_expression] = STATE(2808),
    [sym__expression] = STATE(13810),
    [sym_typed_expression] = STATE(7673),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7673),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7673),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7470),
    [sym_array_get_expression] = STATE(7470),
    [sym_string_get_expression] = STATE(7470),
    [sym_bigarray_get_expression] = STATE(7470),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7673),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2449),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym_sign_operator] = STATE(2155),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__instance_variable_name] = STATE(19321),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [sym__identifier] = ACTIONS(2937),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3123),
    [anon_sym_function] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3127),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3129),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2450] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13760),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(2450),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2451] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13762),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(2451),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2452] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13715),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2452),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2453] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13716),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2453),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2454] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13763),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(2454),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2455] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13764),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(2455),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2456] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13765),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(2456),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2457] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13767),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(2457),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2458] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13772),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(2458),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2459] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9702),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(2459),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2460] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9723),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(2460),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2461] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13948),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2461),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2462] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9725),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(2462),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2463] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9726),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(2463),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2464] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9727),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(2464),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2465] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9728),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(2465),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2466] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9729),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(2466),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2467] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9730),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(2467),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2468] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13950),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2468),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2469] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9600),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(2469),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2470] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9731),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(2470),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2471] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9732),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(2471),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2472] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9733),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(2472),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2473] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9735),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(2473),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2474] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13719),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2474),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2475] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13720),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2475),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2476] = {
    [sym__simple_expression] = STATE(4060),
    [sym_typed_expression] = STATE(4050),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_labeled_argument] = STATE(4538),
    [sym_prefix_expression] = STATE(4050),
    [sym_hash_expression] = STATE(4050),
    [sym_field_get_expression] = STATE(4050),
    [sym_array_get_expression] = STATE(4050),
    [sym_string_get_expression] = STATE(4050),
    [sym_bigarray_get_expression] = STATE(4050),
    [sym_coercion_expression] = STATE(4050),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(2476),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [aux_sym_class_application_repeat1] = STATE(2593),
    [ts_builtin_sym_end] = ACTIONS(4103),
    [sym__identifier] = ACTIONS(3709),
    [anon_sym_SEMI_SEMI] = ACTIONS(4103),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(3711),
    [anon_sym_QMARK] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_external] = ACTIONS(4105),
    [anon_sym_type] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_true] = ACTIONS(633),
    [anon_sym_false] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(635),
    [anon_sym_SEMI] = ACTIONS(4105),
    [anon_sym_exception] = ACTIONS(4105),
    [anon_sym_module] = ACTIONS(4105),
    [anon_sym_open] = ACTIONS(4105),
    [anon_sym_include] = ACTIONS(4105),
    [anon_sym_class] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(637),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(641),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_LBRACE_LT] = ACTIONS(653),
    [anon_sym_begin] = ACTIONS(655),
    [sym_ocamlyacc_value] = ACTIONS(657),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4105),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(659),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(661),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4103),
    [aux_sym_number_token1] = ACTIONS(663),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [sym_prefix_operator] = ACTIONS(669),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym_let_operator] = ACTIONS(4103),
    [sym_let_and_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(673),
    [aux_sym_directive_token1] = ACTIONS(4103),
    [aux_sym_tag_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2477] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13721),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2477),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2478] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13722),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2478),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2479] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13955),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2479),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2480] = {
    [sym_value_definition] = STATE(21487),
    [sym__simple_expression] = STATE(1843),
    [sym__expression] = STATE(9708),
    [sym_typed_expression] = STATE(4725),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4725),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4725),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4485),
    [sym_array_get_expression] = STATE(4485),
    [sym_string_get_expression] = STATE(4485),
    [sym_bigarray_get_expression] = STATE(4485),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4725),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(2480),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym_sign_operator] = STATE(2459),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__instance_variable_name] = STATE(21424),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [sym__identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2481] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13723),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2481),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2482] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13724),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2482),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2483] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9456),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(2483),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2484] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(14037),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8091),
    [sym_array_get_expression] = STATE(8091),
    [sym_string_get_expression] = STATE(8091),
    [sym_bigarray_get_expression] = STATE(8091),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2484),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2484),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21277),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2485] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9493),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(2485),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2486] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9494),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(2486),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2487] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9498),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(2487),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2488] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9506),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(2488),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2489] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9507),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(2489),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2490] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13964),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2490),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2491] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9510),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(2491),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2492] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9396),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(2492),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2493] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9397),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(2493),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2494] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9398),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(2494),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2495] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9458),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(2495),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2496] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9462),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(2496),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2497] = {
    [sym_value_definition] = STATE(19575),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13828),
    [sym_typed_expression] = STATE(8154),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(8154),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(8154),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7290),
    [sym_array_get_expression] = STATE(7290),
    [sym_string_get_expression] = STATE(7290),
    [sym_bigarray_get_expression] = STATE(7290),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(8154),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(2497),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym_sign_operator] = STATE(2425),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__instance_variable_name] = STATE(19284),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [sym__identifier] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3083),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3085),
    [anon_sym_function] = ACTIONS(3087),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3111),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2498] = {
    [sym__simple_expression] = STATE(3581),
    [sym_typed_expression] = STATE(3641),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_labeled_argument] = STATE(5020),
    [sym_prefix_expression] = STATE(3641),
    [sym_hash_expression] = STATE(3641),
    [sym_field_get_expression] = STATE(3641),
    [sym_array_get_expression] = STATE(3641),
    [sym_string_get_expression] = STATE(3641),
    [sym_bigarray_get_expression] = STATE(3641),
    [sym_coercion_expression] = STATE(3641),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(2498),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [aux_sym_class_application_repeat1] = STATE(2596),
    [sym__identifier] = ACTIONS(3691),
    [anon_sym_SEMI_SEMI] = ACTIONS(4103),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(3693),
    [anon_sym_QMARK] = ACTIONS(3693),
    [anon_sym_LPAREN] = ACTIONS(749),
    [anon_sym_external] = ACTIONS(4105),
    [anon_sym_type] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_SEMI] = ACTIONS(4105),
    [anon_sym_exception] = ACTIONS(4105),
    [anon_sym_module] = ACTIONS(4105),
    [anon_sym_open] = ACTIONS(4105),
    [anon_sym_include] = ACTIONS(4105),
    [anon_sym_class] = ACTIONS(4105),
    [anon_sym_end] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(757),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(761),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_LBRACE_LT] = ACTIONS(773),
    [anon_sym_begin] = ACTIONS(775),
    [sym_ocamlyacc_value] = ACTIONS(777),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4105),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(779),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(781),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4103),
    [aux_sym_number_token1] = ACTIONS(783),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE] = ACTIONS(787),
    [sym_prefix_operator] = ACTIONS(789),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym_let_operator] = ACTIONS(4103),
    [sym_let_and_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(793),
    [aux_sym_directive_token1] = ACTIONS(4103),
    [aux_sym_tag_token1] = ACTIONS(795),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2499] = {
    [sym_value_definition] = STATE(21953),
    [sym__simple_expression] = STATE(581),
    [sym__expression] = STATE(9470),
    [sym_typed_expression] = STATE(3959),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(3959),
    [sym_array_expression] = STATE(3959),
    [sym_record_expression] = STATE(3959),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(3959),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(3959),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(3186),
    [sym_array_get_expression] = STATE(3186),
    [sym_string_get_expression] = STATE(3186),
    [sym_bigarray_get_expression] = STATE(3186),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(3959),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(3959),
    [sym_package_expression] = STATE(3959),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(3959),
    [sym_object_copy_expression] = STATE(3959),
    [sym_method_invocation] = STATE(3959),
    [sym_object_expression] = STATE(3959),
    [sym_parenthesized_expression] = STATE(3959),
    [sym_attribute] = STATE(2499),
    [sym_extension] = STATE(3959),
    [sym_quoted_extension] = STATE(3959),
    [sym__constant] = STATE(3959),
    [sym_number] = STATE(4038),
    [sym_character] = STATE(4038),
    [sym_string] = STATE(4038),
    [sym_quoted_string] = STATE(4038),
    [sym_boolean] = STATE(4038),
    [sym_unit] = STATE(4038),
    [sym_sign_operator] = STATE(2483),
    [sym__value_name] = STATE(3462),
    [sym_parenthesized_operator] = STATE(3568),
    [sym_value_path] = STATE(3959),
    [sym_module_path] = STATE(20120),
    [sym_constructor_path] = STATE(3959),
    [sym__instance_variable_name] = STATE(21939),
    [sym__constructor_name] = STATE(4125),
    [sym_tag] = STATE(3959),
    [sym__identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__capitalized_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2500] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13725),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2500),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2501] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13965),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2501),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2502] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11113),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2502),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2503] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11123),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2503),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2504] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11133),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2504),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2505] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9709),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(2505),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2506] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11136),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2506),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2507] = {
    [sym_value_definition] = STATE(20613),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11178),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5897),
    [sym_array_get_expression] = STATE(5897),
    [sym_string_get_expression] = STATE(5897),
    [sym_bigarray_get_expression] = STATE(5897),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2507),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2297),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(22076),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2508] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9668),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(2508),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2509] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9605),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(2509),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2510] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9607),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(2510),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2511] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9610),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(2511),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2512] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13966),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2512),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2513] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9613),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(2513),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2514] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9614),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(2514),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2515] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9616),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(2515),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2516] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9617),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(2516),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2517] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9618),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(2517),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2518] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9619),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(2518),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2519] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9620),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(2519),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2520] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9621),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(2520),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2521] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13969),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2521),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2522] = {
    [sym_value_definition] = STATE(19263),
    [sym__simple_expression] = STATE(1850),
    [sym__expression] = STATE(9624),
    [sym_typed_expression] = STATE(4534),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4534),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4534),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4488),
    [sym_array_get_expression] = STATE(4488),
    [sym_string_get_expression] = STATE(4488),
    [sym_bigarray_get_expression] = STATE(4488),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4534),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(2522),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2508),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__instance_variable_name] = STATE(19237),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [sym__identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2523] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13727),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2523),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2524] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(11922),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2524),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2525] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13351),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(2525),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2526] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(11923),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2526),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2527] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10992),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2527),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2528] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13478),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(2528),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2529] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13498),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(2529),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2530] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13509),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(2530),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2531] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(11012),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2531),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2532] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13532),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(2532),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2533] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10729),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2533),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2534] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13995),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2534),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2535] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10805),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2535),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2536] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10828),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2536),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2537] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13503),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2537),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2538] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14052),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2538),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2539] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13626),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2539),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2540] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13629),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2540),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2541] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13630),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2541),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2542] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13631),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2542),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2543] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13632),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2543),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2544] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13633),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2544),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2545] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13634),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2545),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2546] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13635),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2546),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2547] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13636),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2547),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2548] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13637),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2548),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2549] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13638),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2549),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2550] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13639),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2550),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2551] = {
    [sym_value_definition] = STATE(21044),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13642),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7562),
    [sym_array_get_expression] = STATE(7562),
    [sym_string_get_expression] = STATE(7562),
    [sym_bigarray_get_expression] = STATE(7562),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2551),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2539),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(19350),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3247),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2552] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12707),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2552),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2553] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12553),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2553),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2554] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12554),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2554),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2555] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12555),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2555),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2556] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12556),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2556),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2557] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12557),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2557),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2558] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12558),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2558),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2559] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12559),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2559),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2560] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12560),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2560),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2561] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12561),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2561),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2562] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12562),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2562),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2563] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12563),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2563),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2564] = {
    [sym_value_definition] = STATE(22235),
    [sym__simple_expression] = STATE(2804),
    [sym__expression] = STATE(12565),
    [sym_typed_expression] = STATE(6748),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6748),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6748),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6663),
    [sym_array_get_expression] = STATE(6663),
    [sym_string_get_expression] = STATE(6663),
    [sym_bigarray_get_expression] = STATE(6663),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6748),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2564),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__instance_variable_name] = STATE(19466),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [sym__identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2565] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13298),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2565),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2566] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13344),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2566),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2567] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13345),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2567),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2568] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13347),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2568),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2569] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13348),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2569),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2570] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13352),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2570),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2571] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13382),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2571),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2572] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13385),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2572),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2573] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13393),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2573),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2574] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13403),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2574),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2575] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13409),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2575),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2576] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13410),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2576),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2577] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14032),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2577),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2578] = {
    [sym_value_definition] = STATE(19475),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13416),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7183),
    [sym_array_get_expression] = STATE(7183),
    [sym_string_get_expression] = STATE(7183),
    [sym_bigarray_get_expression] = STATE(7183),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2578),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2565),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(19468),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(2411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2421),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2579] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12205),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2579),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2580] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12208),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2580),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2581] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12216),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2581),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2582] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12217),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2582),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2583] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12218),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2583),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2584] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12219),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2584),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2585] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12220),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2585),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2586] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12221),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2586),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2587] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12222),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2587),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2588] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12223),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2588),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2589] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12224),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2589),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2590] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12225),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2590),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2591] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12226),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2591),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2592] = {
    [sym_value_definition] = STATE(19932),
    [sym__simple_expression] = STATE(2791),
    [sym__expression] = STATE(12228),
    [sym_typed_expression] = STATE(6610),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(6610),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(6610),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(6610),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2592),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym_sign_operator] = STATE(2580),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__instance_variable_name] = STATE(19523),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [sym__identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2593] = {
    [sym__simple_expression] = STATE(4060),
    [sym_typed_expression] = STATE(4050),
    [sym_list_expression] = STATE(4050),
    [sym_array_expression] = STATE(4050),
    [sym_record_expression] = STATE(4050),
    [sym_labeled_argument] = STATE(4538),
    [sym_prefix_expression] = STATE(4050),
    [sym_hash_expression] = STATE(4050),
    [sym_field_get_expression] = STATE(4050),
    [sym_array_get_expression] = STATE(4050),
    [sym_string_get_expression] = STATE(4050),
    [sym_bigarray_get_expression] = STATE(4050),
    [sym_coercion_expression] = STATE(4050),
    [sym_local_open_expression] = STATE(4050),
    [sym_package_expression] = STATE(4050),
    [sym_new_expression] = STATE(4050),
    [sym_object_copy_expression] = STATE(4050),
    [sym_method_invocation] = STATE(4050),
    [sym_object_expression] = STATE(4050),
    [sym_parenthesized_expression] = STATE(4050),
    [sym_attribute] = STATE(2593),
    [sym_extension] = STATE(4050),
    [sym_quoted_extension] = STATE(4050),
    [sym__constant] = STATE(4050),
    [sym_number] = STATE(3787),
    [sym_character] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym_quoted_string] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_unit] = STATE(3787),
    [sym__value_name] = STATE(4120),
    [sym_parenthesized_operator] = STATE(3570),
    [sym_value_path] = STATE(4050),
    [sym_module_path] = STATE(20623),
    [sym_constructor_path] = STATE(4050),
    [sym__constructor_name] = STATE(3812),
    [sym_tag] = STATE(4050),
    [aux_sym_class_application_repeat1] = STATE(2593),
    [ts_builtin_sym_end] = ACTIONS(4339),
    [sym__identifier] = ACTIONS(4781),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4344),
    [anon_sym_and] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(4784),
    [anon_sym_QMARK] = ACTIONS(4784),
    [anon_sym_LPAREN] = ACTIONS(4787),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(4790),
    [anon_sym_true] = ACTIONS(4793),
    [anon_sym_false] = ACTIONS(4793),
    [anon_sym_LBRACE] = ACTIONS(4796),
    [anon_sym_SEMI] = ACTIONS(4344),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(4799),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4802),
    [anon_sym_else] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(4805),
    [anon_sym_LBRACE_LT] = ACTIONS(4808),
    [anon_sym_begin] = ACTIONS(4811),
    [sym_ocamlyacc_value] = ACTIONS(4814),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4817),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4820),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(4823),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(4826),
    [anon_sym_DQUOTE] = ACTIONS(4829),
    [sym_prefix_operator] = ACTIONS(4832),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym_let_operator] = ACTIONS(4339),
    [sym_let_and_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(4835),
    [aux_sym_directive_token1] = ACTIONS(4339),
    [aux_sym_tag_token1] = ACTIONS(4838),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2594] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(13394),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2594),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2595] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10873),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2595),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2596] = {
    [sym__simple_expression] = STATE(3581),
    [sym_typed_expression] = STATE(3641),
    [sym_list_expression] = STATE(3641),
    [sym_array_expression] = STATE(3641),
    [sym_record_expression] = STATE(3641),
    [sym_labeled_argument] = STATE(5020),
    [sym_prefix_expression] = STATE(3641),
    [sym_hash_expression] = STATE(3641),
    [sym_field_get_expression] = STATE(3641),
    [sym_array_get_expression] = STATE(3641),
    [sym_string_get_expression] = STATE(3641),
    [sym_bigarray_get_expression] = STATE(3641),
    [sym_coercion_expression] = STATE(3641),
    [sym_local_open_expression] = STATE(3641),
    [sym_package_expression] = STATE(3641),
    [sym_new_expression] = STATE(3641),
    [sym_object_copy_expression] = STATE(3641),
    [sym_method_invocation] = STATE(3641),
    [sym_object_expression] = STATE(3641),
    [sym_parenthesized_expression] = STATE(3641),
    [sym_attribute] = STATE(2596),
    [sym_extension] = STATE(3641),
    [sym_quoted_extension] = STATE(3641),
    [sym__constant] = STATE(3641),
    [sym_number] = STATE(3867),
    [sym_character] = STATE(3867),
    [sym_string] = STATE(3867),
    [sym_quoted_string] = STATE(3867),
    [sym_boolean] = STATE(3867),
    [sym_unit] = STATE(3867),
    [sym__value_name] = STATE(3716),
    [sym_parenthesized_operator] = STATE(3764),
    [sym_value_path] = STATE(3641),
    [sym_module_path] = STATE(20811),
    [sym_constructor_path] = STATE(3641),
    [sym__constructor_name] = STATE(3901),
    [sym_tag] = STATE(3641),
    [aux_sym_class_application_repeat1] = STATE(2596),
    [sym__identifier] = ACTIONS(4841),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4344),
    [anon_sym_and] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(4844),
    [anon_sym_QMARK] = ACTIONS(4844),
    [anon_sym_LPAREN] = ACTIONS(4847),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(4850),
    [anon_sym_true] = ACTIONS(4853),
    [anon_sym_false] = ACTIONS(4853),
    [anon_sym_LBRACE] = ACTIONS(4856),
    [anon_sym_SEMI] = ACTIONS(4344),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_end] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(4859),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4862),
    [anon_sym_else] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(4865),
    [anon_sym_LBRACE_LT] = ACTIONS(4868),
    [anon_sym_begin] = ACTIONS(4871),
    [sym_ocamlyacc_value] = ACTIONS(4874),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4877),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4880),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(4883),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(4886),
    [anon_sym_DQUOTE] = ACTIONS(4889),
    [sym_prefix_operator] = ACTIONS(4892),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym_let_operator] = ACTIONS(4339),
    [sym_let_and_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(4895),
    [aux_sym_directive_token1] = ACTIONS(4339),
    [aux_sym_tag_token1] = ACTIONS(4898),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2597] = {
    [sym_value_definition] = STATE(21411),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13983),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7787),
    [sym_array_get_expression] = STATE(7787),
    [sym_string_get_expression] = STATE(7787),
    [sym_bigarray_get_expression] = STATE(7787),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2597),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20564),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2598] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13954),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2598),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2599] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10923),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2599),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2600] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10978),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2600),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2601] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13968),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2601),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2602] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13973),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2602),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2603] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10991),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2603),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2604] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(11000),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2604),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2605] = {
    [sym_value_definition] = STATE(20224),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11833),
    [sym_typed_expression] = STATE(6026),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6026),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6026),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6246),
    [sym_array_get_expression] = STATE(6246),
    [sym_string_get_expression] = STATE(6246),
    [sym_bigarray_get_expression] = STATE(6246),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6026),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2605),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(2115),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__instance_variable_name] = STATE(20095),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [sym__identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2606] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13977),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2606),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2607] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13978),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2607),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2608] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13981),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2608),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2609] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13982),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2609),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2610] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13984),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2610),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2611] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13986),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2611),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2612] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(11016),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2612),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2613] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(11042),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2613),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2614] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(14004),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2614),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2615] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(14005),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2615),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2616] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(14006),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2616),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2617] = {
    [sym_value_definition] = STATE(19603),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10988),
    [sym_typed_expression] = STATE(5880),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(5880),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(5880),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(5862),
    [sym_array_get_expression] = STATE(5862),
    [sym_string_get_expression] = STATE(5862),
    [sym_bigarray_get_expression] = STATE(5862),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(5880),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2617),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym_sign_operator] = STATE(2531),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__instance_variable_name] = STATE(19582),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [sym__identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1299),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1319),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2618] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13858),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2618),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2619] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13861),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2619),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2620] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13862),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2620),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2621] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13863),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2621),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2622] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13864),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2622),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2623] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13865),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2623),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2624] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13866),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2624),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2625] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13867),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2625),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2626] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13868),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2626),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2627] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13871),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2627),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2628] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13872),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2628),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2629] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13873),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2629),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2630] = {
    [sym_value_definition] = STATE(19878),
    [sym__simple_expression] = STATE(1746),
    [sym__expression] = STATE(9653),
    [sym_typed_expression] = STATE(4780),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(4780),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(4780),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4442),
    [sym_array_get_expression] = STATE(4442),
    [sym_string_get_expression] = STATE(4442),
    [sym_bigarray_get_expression] = STATE(4442),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(4780),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(2630),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__instance_variable_name] = STATE(19404),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [sym__identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3631),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2631] = {
    [sym_value_definition] = STATE(20678),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(14057),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(8104),
    [sym_array_get_expression] = STATE(8104),
    [sym_string_get_expression] = STATE(8104),
    [sym_bigarray_get_expression] = STATE(8104),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2631),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2598),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(22064),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2632] = {
    [sym_value_definition] = STATE(21984),
    [sym__simple_expression] = STATE(2832),
    [sym__expression] = STATE(13878),
    [sym_typed_expression] = STATE(7776),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7776),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7776),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7776),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2632),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym_sign_operator] = STATE(2618),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__instance_variable_name] = STATE(21877),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [sym__identifier] = ACTIONS(3183),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_fun] = ACTIONS(3197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_function] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3229),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2633] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13685),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2633),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2634] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13886),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2634),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2635] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13888),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2635),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2636] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13889),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2636),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2637] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13890),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2637),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2638] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13891),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2638),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2639] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13892),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2639),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2640] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13893),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2640),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2641] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13894),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2641),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2642] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13895),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2642),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2643] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13896),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2643),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2644] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13897),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2644),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2645] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13999),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2645),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2646] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(14066),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2646),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2647] = {
    [sym_value_definition] = STATE(20451),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13904),
    [sym_typed_expression] = STATE(8096),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8096),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8096),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7387),
    [sym_array_get_expression] = STATE(7387),
    [sym_string_get_expression] = STATE(7387),
    [sym_bigarray_get_expression] = STATE(7387),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8096),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2647),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym_sign_operator] = STATE(2633),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__instance_variable_name] = STATE(20242),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_fun] = ACTIONS(3263),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3269),
    [anon_sym_function] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2648] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(14071),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2648),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2649] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(14073),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2649),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2650] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13777),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2650),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2651] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(14074),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2651),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2652] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13915),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2652),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2653] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13917),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2653),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2654] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13918),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2654),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2655] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13920),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2655),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2656] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13922),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2656),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2657] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13923),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2657),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2658] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13924),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2658),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2659] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13926),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2659),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2660] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13927),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2660),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2661] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13928),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2661),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2662] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13929),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2662),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2663] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(14076),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2663),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2664] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2664),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2665] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(14080),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2665),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2666] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(14086),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2666),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2667] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(14091),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2667),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2668] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(14128),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2668),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2669] = {
    [sym_value_definition] = STATE(21640),
    [sym__simple_expression] = STATE(2818),
    [sym__expression] = STATE(13930),
    [sym_typed_expression] = STATE(7748),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7748),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7748),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7748),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2669),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym_sign_operator] = STATE(2650),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__instance_variable_name] = STATE(21538),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [sym__identifier] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_fun] = ACTIONS(3315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3319),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3321),
    [anon_sym_function] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3347),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2670] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(14140),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2670),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2671] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13811),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2671),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2672] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13939),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2672),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2673] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(9945),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(2673),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2674] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13941),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2674),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2675] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13942),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2675),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2676] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13944),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2676),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2677] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13746),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2677),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2678] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13537),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2678),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2679] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13538),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2679),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2680] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13540),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2680),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2681] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13541),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2681),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2682] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13542),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2682),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2683] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(14030),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2683),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2684] = {
    [sym_value_definition] = STATE(19902),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(13545),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7389),
    [sym_array_get_expression] = STATE(7389),
    [sym_string_get_expression] = STATE(7389),
    [sym_bigarray_get_expression] = STATE(7389),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2684),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2671),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19883),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3151),
    [anon_sym_function] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3155),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3177),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2685] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10999),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2685),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2686] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10821),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2686),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2687] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10792),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2687),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2688] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10907),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2688),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2689] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11007),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2689),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2690] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10748),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2690),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2691] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10755),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2691),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2692] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10780),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2692),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2693] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10787),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2693),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2694] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10793),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2694),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2695] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10800),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2695),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2696] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10806),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2696),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2697] = {
    [sym_value_definition] = STATE(22123),
    [sym__simple_expression] = STATE(2827),
    [sym__expression] = STATE(14047),
    [sym_typed_expression] = STATE(8147),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(8147),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(8147),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7781),
    [sym_array_get_expression] = STATE(7781),
    [sym_string_get_expression] = STATE(7781),
    [sym_bigarray_get_expression] = STATE(7781),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(8147),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2697),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym_sign_operator] = STATE(2645),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__instance_variable_name] = STATE(19762),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [sym__identifier] = ACTIONS(3131),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2698] = {
    [sym__simple_expression] = STATE(4972),
    [sym_typed_expression] = STATE(5010),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_labeled_argument] = STATE(5582),
    [sym_prefix_expression] = STATE(5010),
    [sym_hash_expression] = STATE(5010),
    [sym_field_get_expression] = STATE(5010),
    [sym_array_get_expression] = STATE(5010),
    [sym_string_get_expression] = STATE(5010),
    [sym_bigarray_get_expression] = STATE(5010),
    [sym_coercion_expression] = STATE(5010),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(2698),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [aux_sym_class_application_repeat1] = STATE(2776),
    [sym__identifier] = ACTIONS(4901),
    [anon_sym_SEMI_SEMI] = ACTIONS(3525),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(4903),
    [anon_sym_QMARK] = ACTIONS(4903),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(3527),
    [anon_sym_type] = ACTIONS(3527),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(3525),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_DOT] = ACTIONS(4905),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym_exception] = ACTIONS(3527),
    [anon_sym_module] = ACTIONS(3527),
    [anon_sym_open] = ACTIONS(3527),
    [anon_sym_include] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_POUND] = ACTIONS(4907),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3527),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(4909),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym_let_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(3527),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2699] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(9862),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(2699),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2700] = {
    [sym_value_definition] = STATE(19875),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10707),
    [sym_typed_expression] = STATE(5981),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(5981),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(5981),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(5777),
    [sym_array_get_expression] = STATE(5777),
    [sym_string_get_expression] = STATE(5777),
    [sym_bigarray_get_expression] = STATE(5777),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(5981),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2700),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__instance_variable_name] = STATE(19844),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [sym__identifier] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_fun] = ACTIONS(1335),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1367),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2701] = {
    [sym__simple_expression] = STATE(3459),
    [sym_typed_expression] = STATE(3517),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_labeled_argument] = STATE(4695),
    [sym_prefix_expression] = STATE(3517),
    [sym_hash_expression] = STATE(3517),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_coercion_expression] = STATE(3517),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2701),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [aux_sym_class_application_repeat1] = STATE(2702),
    [sym__identifier] = ACTIONS(3787),
    [anon_sym_SEMI_SEMI] = ACTIONS(4103),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(3789),
    [anon_sym_QMARK] = ACTIONS(3789),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_external] = ACTIONS(4105),
    [anon_sym_type] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_RBRACK] = ACTIONS(4103),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_SEMI] = ACTIONS(4105),
    [anon_sym_exception] = ACTIONS(4105),
    [anon_sym_module] = ACTIONS(4105),
    [anon_sym_open] = ACTIONS(4105),
    [anon_sym_include] = ACTIONS(4105),
    [anon_sym_class] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_in] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4105),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(887),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(889),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4103),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym_let_operator] = ACTIONS(4103),
    [sym_let_and_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(901),
    [aux_sym_directive_token1] = ACTIONS(4103),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2702] = {
    [sym__simple_expression] = STATE(3459),
    [sym_typed_expression] = STATE(3517),
    [sym_list_expression] = STATE(3517),
    [sym_array_expression] = STATE(3517),
    [sym_record_expression] = STATE(3517),
    [sym_labeled_argument] = STATE(4695),
    [sym_prefix_expression] = STATE(3517),
    [sym_hash_expression] = STATE(3517),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_coercion_expression] = STATE(3517),
    [sym_local_open_expression] = STATE(3517),
    [sym_package_expression] = STATE(3517),
    [sym_new_expression] = STATE(3517),
    [sym_object_copy_expression] = STATE(3517),
    [sym_method_invocation] = STATE(3517),
    [sym_object_expression] = STATE(3517),
    [sym_parenthesized_expression] = STATE(3517),
    [sym_attribute] = STATE(2702),
    [sym_extension] = STATE(3517),
    [sym_quoted_extension] = STATE(3517),
    [sym__constant] = STATE(3517),
    [sym_number] = STATE(3920),
    [sym_character] = STATE(3920),
    [sym_string] = STATE(3920),
    [sym_quoted_string] = STATE(3920),
    [sym_boolean] = STATE(3920),
    [sym_unit] = STATE(3920),
    [sym__value_name] = STATE(3885),
    [sym_parenthesized_operator] = STATE(3506),
    [sym_value_path] = STATE(3517),
    [sym_module_path] = STATE(19997),
    [sym_constructor_path] = STATE(3517),
    [sym__constructor_name] = STATE(4030),
    [sym_tag] = STATE(3517),
    [aux_sym_class_application_repeat1] = STATE(2702),
    [sym__identifier] = ACTIONS(4911),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4344),
    [anon_sym_and] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(4914),
    [anon_sym_QMARK] = ACTIONS(4914),
    [anon_sym_LPAREN] = ACTIONS(4917),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(4920),
    [anon_sym_RBRACK] = ACTIONS(4339),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_LBRACE] = ACTIONS(4926),
    [anon_sym_SEMI] = ACTIONS(4344),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(4929),
    [anon_sym_in] = ACTIONS(4344),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4932),
    [anon_sym_new] = ACTIONS(4935),
    [anon_sym_LBRACE_LT] = ACTIONS(4938),
    [anon_sym_begin] = ACTIONS(4941),
    [sym_ocamlyacc_value] = ACTIONS(4944),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4947),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4950),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(4953),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(4956),
    [anon_sym_DQUOTE] = ACTIONS(4959),
    [sym_prefix_operator] = ACTIONS(4962),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym_let_operator] = ACTIONS(4339),
    [sym_let_and_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(4965),
    [aux_sym_directive_token1] = ACTIONS(4339),
    [aux_sym_tag_token1] = ACTIONS(4968),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2703] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10039),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(2703),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2704] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10017),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(2704),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2705] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10050),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(2705),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2706] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10029),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(2706),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2707] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(10034),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(2707),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2708] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(9746),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(2708),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2709] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(9874),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(2709),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2710] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13658),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2710),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2711] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(9764),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(2711),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2712] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13562),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2712),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2713] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13563),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2713),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2714] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13564),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2714),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2715] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13565),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2715),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2716] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13566),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2716),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2717] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13567),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2717),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2718] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13568),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2718),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2719] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13569),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2719),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2720] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13570),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2720),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2721] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13572),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2721),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2722] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13573),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2722),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2723] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(9956),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(2723),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2724] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(9744),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(2724),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2725] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(9752),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(2725),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2726] = {
    [sym_value_definition] = STATE(22091),
    [sym__simple_expression] = STATE(2785),
    [sym__expression] = STATE(12071),
    [sym_typed_expression] = STATE(6160),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(6160),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(6160),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(6368),
    [sym_array_get_expression] = STATE(6368),
    [sym_string_get_expression] = STATE(6368),
    [sym_bigarray_get_expression] = STATE(6368),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(6160),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2726),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym_sign_operator] = STATE(2726),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__instance_variable_name] = STATE(20269),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [sym__identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2727] = {
    [sym_value_definition] = STATE(22446),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13536),
    [sym_typed_expression] = STATE(7557),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7557),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7557),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7435),
    [sym_array_get_expression] = STATE(7435),
    [sym_string_get_expression] = STATE(7435),
    [sym_bigarray_get_expression] = STATE(7435),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7557),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2727),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym_sign_operator] = STATE(2710),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__instance_variable_name] = STATE(22118),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(3051),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(3053),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3057),
    [anon_sym_function] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3061),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3063),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2728] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13214),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(2728),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2729] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13391),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2729),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2730] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13334),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2730),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2731] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13271),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2731),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2732] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13270),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2732),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2733] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13296),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2733),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2734] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13326),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2734),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2735] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13356),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2735),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2736] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13375),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2736),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2737] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13400),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2737),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2738] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13406),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2738),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2739] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13434),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2739),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2740] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13480),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2740),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2741] = {
    [sym_value_definition] = STATE(21605),
    [sym__simple_expression] = STATE(2698),
    [sym__expression] = STATE(9756),
    [sym_typed_expression] = STATE(5010),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5010),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5010),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4604),
    [sym_array_get_expression] = STATE(4604),
    [sym_string_get_expression] = STATE(4604),
    [sym_bigarray_get_expression] = STATE(4604),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5010),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(2741),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__instance_variable_name] = STATE(20570),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [sym__identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2742] = {
    [sym__simple_expression] = STATE(4993),
    [sym_typed_expression] = STATE(5079),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_labeled_argument] = STATE(5603),
    [sym_prefix_expression] = STATE(5079),
    [sym_hash_expression] = STATE(5079),
    [sym_field_get_expression] = STATE(5079),
    [sym_array_get_expression] = STATE(5079),
    [sym_string_get_expression] = STATE(5079),
    [sym_bigarray_get_expression] = STATE(5079),
    [sym_coercion_expression] = STATE(5079),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(2742),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [aux_sym_class_application_repeat1] = STATE(2775),
    [sym__identifier] = ACTIONS(4971),
    [anon_sym_SEMI_SEMI] = ACTIONS(3525),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(4973),
    [anon_sym_QMARK] = ACTIONS(4973),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_external] = ACTIONS(3527),
    [anon_sym_type] = ACTIONS(3527),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_DOT] = ACTIONS(4975),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym_exception] = ACTIONS(3527),
    [anon_sym_module] = ACTIONS(3527),
    [anon_sym_open] = ACTIONS(3527),
    [anon_sym_include] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_end] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_POUND] = ACTIONS(4977),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3527),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(725),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(4979),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym_let_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_directive_token1] = ACTIONS(3527),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2743] = {
    [sym_value_definition] = STATE(21076),
    [sym__simple_expression] = STATE(2812),
    [sym__expression] = STATE(13341),
    [sym_typed_expression] = STATE(7504),
    [sym_product_expression] = STATE(9366),
    [sym_cons_expression] = STATE(9366),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_application_expression] = STATE(9366),
    [sym_prefix_expression] = STATE(7504),
    [sym_sign_expression] = STATE(9366),
    [sym_hash_expression] = STATE(7504),
    [sym_infix_expression] = STATE(9366),
    [sym_field_get_expression] = STATE(7046),
    [sym_array_get_expression] = STATE(7046),
    [sym_string_get_expression] = STATE(7046),
    [sym_bigarray_get_expression] = STATE(7046),
    [sym_set_expression] = STATE(9366),
    [sym_if_expression] = STATE(9366),
    [sym_while_expression] = STATE(9366),
    [sym_for_expression] = STATE(9366),
    [sym_match_expression] = STATE(9366),
    [sym_function_expression] = STATE(9366),
    [sym_fun_expression] = STATE(9366),
    [sym_try_expression] = STATE(9366),
    [sym_let_expression] = STATE(9366),
    [sym_coercion_expression] = STATE(7504),
    [sym_assert_expression] = STATE(9366),
    [sym_lazy_expression] = STATE(9366),
    [sym_let_module_expression] = STATE(9366),
    [sym_let_open_expression] = STATE(9366),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_let_exception_expression] = STATE(9366),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2743),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__instance_variable_name] = STATE(22443),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [sym__identifier] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2783),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_fun] = ACTIONS(2795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2827),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2744] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10077),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(2744),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2745] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13238),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(2745),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2746] = {
    [sym__simple_expression] = STATE(3499),
    [sym_typed_expression] = STATE(3566),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_labeled_argument] = STATE(4538),
    [sym_prefix_expression] = STATE(3566),
    [sym_hash_expression] = STATE(3566),
    [sym_field_get_expression] = STATE(3566),
    [sym_array_get_expression] = STATE(3566),
    [sym_string_get_expression] = STATE(3566),
    [sym_bigarray_get_expression] = STATE(3566),
    [sym_coercion_expression] = STATE(3566),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(2746),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [aux_sym_class_application_repeat1] = STATE(2752),
    [sym__identifier] = ACTIONS(3671),
    [anon_sym_SEMI_SEMI] = ACTIONS(4103),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_QMARK] = ACTIONS(3673),
    [anon_sym_LPAREN] = ACTIONS(577),
    [anon_sym_external] = ACTIONS(4105),
    [anon_sym_type] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_RBRACK] = ACTIONS(4103),
    [anon_sym_true] = ACTIONS(581),
    [anon_sym_false] = ACTIONS(581),
    [anon_sym_LBRACE] = ACTIONS(583),
    [anon_sym_SEMI] = ACTIONS(4105),
    [anon_sym_exception] = ACTIONS(4105),
    [anon_sym_module] = ACTIONS(4105),
    [anon_sym_open] = ACTIONS(4105),
    [anon_sym_include] = ACTIONS(4105),
    [anon_sym_class] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(585),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(589),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(599),
    [anon_sym_LBRACE_LT] = ACTIONS(601),
    [anon_sym_begin] = ACTIONS(603),
    [sym_ocamlyacc_value] = ACTIONS(605),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4105),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(607),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(609),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4103),
    [aux_sym_number_token1] = ACTIONS(611),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(615),
    [sym_prefix_operator] = ACTIONS(617),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym_let_operator] = ACTIONS(4103),
    [sym_let_and_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(621),
    [aux_sym_directive_token1] = ACTIONS(4103),
    [aux_sym_tag_token1] = ACTIONS(623),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2747] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13257),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(2747),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2748] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(9912),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(2748),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2749] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(9918),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(2749),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2750] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(9919),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(2750),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2751] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(9922),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(2751),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2752] = {
    [sym__simple_expression] = STATE(3499),
    [sym_typed_expression] = STATE(3566),
    [sym_list_expression] = STATE(3566),
    [sym_array_expression] = STATE(3566),
    [sym_record_expression] = STATE(3566),
    [sym_labeled_argument] = STATE(4538),
    [sym_prefix_expression] = STATE(3566),
    [sym_hash_expression] = STATE(3566),
    [sym_field_get_expression] = STATE(3566),
    [sym_array_get_expression] = STATE(3566),
    [sym_string_get_expression] = STATE(3566),
    [sym_bigarray_get_expression] = STATE(3566),
    [sym_coercion_expression] = STATE(3566),
    [sym_local_open_expression] = STATE(3566),
    [sym_package_expression] = STATE(3566),
    [sym_new_expression] = STATE(3566),
    [sym_object_copy_expression] = STATE(3566),
    [sym_method_invocation] = STATE(3566),
    [sym_object_expression] = STATE(3566),
    [sym_parenthesized_expression] = STATE(3566),
    [sym_attribute] = STATE(2752),
    [sym_extension] = STATE(3566),
    [sym_quoted_extension] = STATE(3566),
    [sym__constant] = STATE(3566),
    [sym_number] = STATE(3852),
    [sym_character] = STATE(3852),
    [sym_string] = STATE(3852),
    [sym_quoted_string] = STATE(3852),
    [sym_boolean] = STATE(3852),
    [sym_unit] = STATE(3852),
    [sym__value_name] = STATE(3642),
    [sym_parenthesized_operator] = STATE(3761),
    [sym_value_path] = STATE(3566),
    [sym_module_path] = STATE(20774),
    [sym_constructor_path] = STATE(3566),
    [sym__constructor_name] = STATE(3893),
    [sym_tag] = STATE(3566),
    [aux_sym_class_application_repeat1] = STATE(2752),
    [sym__identifier] = ACTIONS(4981),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4344),
    [anon_sym_and] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(4984),
    [anon_sym_QMARK] = ACTIONS(4984),
    [anon_sym_LPAREN] = ACTIONS(4987),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [anon_sym_RBRACK] = ACTIONS(4339),
    [anon_sym_true] = ACTIONS(4993),
    [anon_sym_false] = ACTIONS(4993),
    [anon_sym_LBRACE] = ACTIONS(4996),
    [anon_sym_SEMI] = ACTIONS(4344),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(4999),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5002),
    [anon_sym_else] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(5005),
    [anon_sym_LBRACE_LT] = ACTIONS(5008),
    [anon_sym_begin] = ACTIONS(5011),
    [sym_ocamlyacc_value] = ACTIONS(5014),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5017),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5020),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(5023),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(5026),
    [anon_sym_DQUOTE] = ACTIONS(5029),
    [sym_prefix_operator] = ACTIONS(5032),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym_let_operator] = ACTIONS(4339),
    [sym_let_and_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(5035),
    [aux_sym_directive_token1] = ACTIONS(4339),
    [aux_sym_tag_token1] = ACTIONS(5038),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2753] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(9937),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(2753),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2754] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(10094),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(2754),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2755] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(9941),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(2755),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2756] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13266),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(2756),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2757] = {
    [sym_value_definition] = STATE(19453),
    [sym__simple_expression] = STATE(2811),
    [sym__expression] = STATE(13343),
    [sym_typed_expression] = STATE(7369),
    [sym_product_expression] = STATE(11591),
    [sym_cons_expression] = STATE(11591),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_application_expression] = STATE(11591),
    [sym_prefix_expression] = STATE(7369),
    [sym_sign_expression] = STATE(11591),
    [sym_hash_expression] = STATE(7369),
    [sym_infix_expression] = STATE(11591),
    [sym_field_get_expression] = STATE(7000),
    [sym_array_get_expression] = STATE(7000),
    [sym_string_get_expression] = STATE(7000),
    [sym_bigarray_get_expression] = STATE(7000),
    [sym_set_expression] = STATE(11591),
    [sym_if_expression] = STATE(11591),
    [sym_while_expression] = STATE(11591),
    [sym_for_expression] = STATE(11591),
    [sym_match_expression] = STATE(11591),
    [sym_function_expression] = STATE(11591),
    [sym_fun_expression] = STATE(11591),
    [sym_try_expression] = STATE(11591),
    [sym_let_expression] = STATE(11591),
    [sym_coercion_expression] = STATE(7369),
    [sym_assert_expression] = STATE(11591),
    [sym_lazy_expression] = STATE(11591),
    [sym_let_module_expression] = STATE(11591),
    [sym_let_open_expression] = STATE(11591),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_let_exception_expression] = STATE(11591),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(2757),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym_sign_operator] = STATE(2525),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__instance_variable_name] = STATE(21656),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_fun] = ACTIONS(1903),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1935),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2758] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(9942),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(2758),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2759] = {
    [sym_value_definition] = STATE(22241),
    [sym__simple_expression] = STATE(2742),
    [sym__expression] = STATE(9943),
    [sym_typed_expression] = STATE(5079),
    [sym_product_expression] = STATE(8970),
    [sym_cons_expression] = STATE(8970),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_application_expression] = STATE(8970),
    [sym_prefix_expression] = STATE(5079),
    [sym_sign_expression] = STATE(8970),
    [sym_hash_expression] = STATE(5079),
    [sym_infix_expression] = STATE(8970),
    [sym_field_get_expression] = STATE(4651),
    [sym_array_get_expression] = STATE(4651),
    [sym_string_get_expression] = STATE(4651),
    [sym_bigarray_get_expression] = STATE(4651),
    [sym_set_expression] = STATE(8970),
    [sym_if_expression] = STATE(8970),
    [sym_while_expression] = STATE(8970),
    [sym_for_expression] = STATE(8970),
    [sym_match_expression] = STATE(8970),
    [sym_function_expression] = STATE(8970),
    [sym_fun_expression] = STATE(8970),
    [sym_try_expression] = STATE(8970),
    [sym_let_expression] = STATE(8970),
    [sym_coercion_expression] = STATE(5079),
    [sym_assert_expression] = STATE(8970),
    [sym_lazy_expression] = STATE(8970),
    [sym_let_module_expression] = STATE(8970),
    [sym_let_open_expression] = STATE(8970),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_let_exception_expression] = STATE(8970),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(2759),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__instance_variable_name] = STATE(21581),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [sym__identifier] = ACTIONS(677),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_fun] = ACTIONS(703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(707),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(711),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2760] = {
    [sym_value_definition] = STATE(19664),
    [sym__simple_expression] = STATE(2810),
    [sym__expression] = STATE(13803),
    [sym_typed_expression] = STATE(7621),
    [sym_product_expression] = STATE(9181),
    [sym_cons_expression] = STATE(9181),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_application_expression] = STATE(9181),
    [sym_prefix_expression] = STATE(7621),
    [sym_sign_expression] = STATE(9181),
    [sym_hash_expression] = STATE(7621),
    [sym_infix_expression] = STATE(9181),
    [sym_field_get_expression] = STATE(7452),
    [sym_array_get_expression] = STATE(7452),
    [sym_string_get_expression] = STATE(7452),
    [sym_bigarray_get_expression] = STATE(7452),
    [sym_set_expression] = STATE(9181),
    [sym_if_expression] = STATE(9181),
    [sym_while_expression] = STATE(9181),
    [sym_for_expression] = STATE(9181),
    [sym_match_expression] = STATE(9181),
    [sym_function_expression] = STATE(9181),
    [sym_fun_expression] = STATE(9181),
    [sym_try_expression] = STATE(9181),
    [sym_let_expression] = STATE(9181),
    [sym_coercion_expression] = STATE(7621),
    [sym_assert_expression] = STATE(9181),
    [sym_lazy_expression] = STATE(9181),
    [sym_let_module_expression] = STATE(9181),
    [sym_let_open_expression] = STATE(9181),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_let_exception_expression] = STATE(9181),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2760),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym_sign_operator] = STATE(2760),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__instance_variable_name] = STATE(19592),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [sym__identifier] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(3023),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_fun] = ACTIONS(3025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_match] = ACTIONS(3029),
    [anon_sym_function] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3033),
    [anon_sym_assert] = ACTIONS(1315),
    [anon_sym_lazy] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3035),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2761] = {
    [sym__simple_expression] = STATE(4268),
    [sym_typed_expression] = STATE(4233),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_labeled_argument] = STATE(5326),
    [sym_prefix_expression] = STATE(4233),
    [sym_hash_expression] = STATE(4233),
    [sym_field_get_expression] = STATE(4233),
    [sym_array_get_expression] = STATE(4233),
    [sym_string_get_expression] = STATE(4233),
    [sym_bigarray_get_expression] = STATE(4233),
    [sym_coercion_expression] = STATE(4233),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2761),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [aux_sym_class_application_repeat1] = STATE(2762),
    [sym__identifier] = ACTIONS(3813),
    [anon_sym_SEMI_SEMI] = ACTIONS(4103),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(3815),
    [anon_sym_QMARK] = ACTIONS(3815),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_external] = ACTIONS(4105),
    [anon_sym_type] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_RBRACK] = ACTIONS(4103),
    [anon_sym_true] = ACTIONS(965),
    [anon_sym_false] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_SEMI] = ACTIONS(4105),
    [anon_sym_exception] = ACTIONS(4105),
    [anon_sym_module] = ACTIONS(4105),
    [anon_sym_open] = ACTIONS(4105),
    [anon_sym_include] = ACTIONS(4105),
    [anon_sym_class] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(969),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(973),
    [anon_sym_new] = ACTIONS(983),
    [anon_sym_LBRACE_LT] = ACTIONS(985),
    [anon_sym_begin] = ACTIONS(987),
    [sym_ocamlyacc_value] = ACTIONS(989),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4105),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(991),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(993),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4103),
    [aux_sym_number_token1] = ACTIONS(995),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [sym_prefix_operator] = ACTIONS(1001),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym_let_operator] = ACTIONS(4103),
    [sym_let_and_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(1005),
    [aux_sym_directive_token1] = ACTIONS(4103),
    [aux_sym_tag_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2762] = {
    [sym__simple_expression] = STATE(4268),
    [sym_typed_expression] = STATE(4233),
    [sym_list_expression] = STATE(4233),
    [sym_array_expression] = STATE(4233),
    [sym_record_expression] = STATE(4233),
    [sym_labeled_argument] = STATE(5326),
    [sym_prefix_expression] = STATE(4233),
    [sym_hash_expression] = STATE(4233),
    [sym_field_get_expression] = STATE(4233),
    [sym_array_get_expression] = STATE(4233),
    [sym_string_get_expression] = STATE(4233),
    [sym_bigarray_get_expression] = STATE(4233),
    [sym_coercion_expression] = STATE(4233),
    [sym_local_open_expression] = STATE(4233),
    [sym_package_expression] = STATE(4233),
    [sym_new_expression] = STATE(4233),
    [sym_object_copy_expression] = STATE(4233),
    [sym_method_invocation] = STATE(4233),
    [sym_object_expression] = STATE(4233),
    [sym_parenthesized_expression] = STATE(4233),
    [sym_attribute] = STATE(2762),
    [sym_extension] = STATE(4233),
    [sym_quoted_extension] = STATE(4233),
    [sym__constant] = STATE(4233),
    [sym_number] = STATE(4165),
    [sym_character] = STATE(4165),
    [sym_string] = STATE(4165),
    [sym_quoted_string] = STATE(4165),
    [sym_boolean] = STATE(4165),
    [sym_unit] = STATE(4165),
    [sym__value_name] = STATE(4267),
    [sym_parenthesized_operator] = STATE(4329),
    [sym_value_path] = STATE(4233),
    [sym_module_path] = STATE(20279),
    [sym_constructor_path] = STATE(4233),
    [sym__constructor_name] = STATE(4369),
    [sym_tag] = STATE(4233),
    [aux_sym_class_application_repeat1] = STATE(2762),
    [sym__identifier] = ACTIONS(5041),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4344),
    [anon_sym_and] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(5044),
    [anon_sym_QMARK] = ACTIONS(5044),
    [anon_sym_LPAREN] = ACTIONS(5047),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(5050),
    [anon_sym_RBRACK] = ACTIONS(4339),
    [anon_sym_true] = ACTIONS(5053),
    [anon_sym_false] = ACTIONS(5053),
    [anon_sym_LBRACE] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(4344),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(5059),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5062),
    [anon_sym_new] = ACTIONS(5065),
    [anon_sym_LBRACE_LT] = ACTIONS(5068),
    [anon_sym_begin] = ACTIONS(5071),
    [sym_ocamlyacc_value] = ACTIONS(5074),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5080),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(5083),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(5086),
    [anon_sym_DQUOTE] = ACTIONS(5089),
    [sym_prefix_operator] = ACTIONS(5092),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym_let_operator] = ACTIONS(4339),
    [sym_let_and_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(5095),
    [aux_sym_directive_token1] = ACTIONS(4339),
    [aux_sym_tag_token1] = ACTIONS(5098),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2763] = {
    [sym__simple_expression] = STATE(4489),
    [sym_typed_expression] = STATE(4166),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_labeled_argument] = STATE(5326),
    [sym_prefix_expression] = STATE(4166),
    [sym_hash_expression] = STATE(4166),
    [sym_field_get_expression] = STATE(4166),
    [sym_array_get_expression] = STATE(4166),
    [sym_string_get_expression] = STATE(4166),
    [sym_bigarray_get_expression] = STATE(4166),
    [sym_coercion_expression] = STATE(4166),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(2763),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [aux_sym_class_application_repeat1] = STATE(2765),
    [ts_builtin_sym_end] = ACTIONS(4103),
    [sym__identifier] = ACTIONS(3803),
    [anon_sym_SEMI_SEMI] = ACTIONS(4103),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(3805),
    [anon_sym_QMARK] = ACTIONS(3805),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_external] = ACTIONS(4105),
    [anon_sym_type] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(4105),
    [anon_sym_exception] = ACTIONS(4105),
    [anon_sym_module] = ACTIONS(4105),
    [anon_sym_open] = ACTIONS(4105),
    [anon_sym_include] = ACTIONS(4105),
    [anon_sym_class] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4105),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1061),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4103),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym_let_operator] = ACTIONS(4103),
    [sym_let_and_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(1073),
    [aux_sym_directive_token1] = ACTIONS(4103),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2764] = {
    [sym__simple_expression] = STATE(4288),
    [sym_typed_expression] = STATE(4277),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_labeled_argument] = STATE(5507),
    [sym_prefix_expression] = STATE(4277),
    [sym_hash_expression] = STATE(4277),
    [sym_field_get_expression] = STATE(4277),
    [sym_array_get_expression] = STATE(4277),
    [sym_string_get_expression] = STATE(4277),
    [sym_bigarray_get_expression] = STATE(4277),
    [sym_coercion_expression] = STATE(4277),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(2764),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [aux_sym_class_application_repeat1] = STATE(2766),
    [sym__identifier] = ACTIONS(3823),
    [anon_sym_SEMI_SEMI] = ACTIONS(4103),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(3825),
    [anon_sym_QMARK] = ACTIONS(3825),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_external] = ACTIONS(4105),
    [anon_sym_type] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_SEMI] = ACTIONS(4105),
    [anon_sym_exception] = ACTIONS(4105),
    [anon_sym_module] = ACTIONS(4105),
    [anon_sym_open] = ACTIONS(4105),
    [anon_sym_include] = ACTIONS(4105),
    [anon_sym_class] = ACTIONS(4105),
    [anon_sym_end] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(917),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(921),
    [anon_sym_new] = ACTIONS(931),
    [anon_sym_LBRACE_LT] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [sym_ocamlyacc_value] = ACTIONS(937),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4105),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(939),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(941),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4103),
    [aux_sym_number_token1] = ACTIONS(943),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [sym_prefix_operator] = ACTIONS(949),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym_let_operator] = ACTIONS(4103),
    [sym_let_and_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(953),
    [aux_sym_directive_token1] = ACTIONS(4103),
    [aux_sym_tag_token1] = ACTIONS(955),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2765] = {
    [sym__simple_expression] = STATE(4489),
    [sym_typed_expression] = STATE(4166),
    [sym_list_expression] = STATE(4166),
    [sym_array_expression] = STATE(4166),
    [sym_record_expression] = STATE(4166),
    [sym_labeled_argument] = STATE(5326),
    [sym_prefix_expression] = STATE(4166),
    [sym_hash_expression] = STATE(4166),
    [sym_field_get_expression] = STATE(4166),
    [sym_array_get_expression] = STATE(4166),
    [sym_string_get_expression] = STATE(4166),
    [sym_bigarray_get_expression] = STATE(4166),
    [sym_coercion_expression] = STATE(4166),
    [sym_local_open_expression] = STATE(4166),
    [sym_package_expression] = STATE(4166),
    [sym_new_expression] = STATE(4166),
    [sym_object_copy_expression] = STATE(4166),
    [sym_method_invocation] = STATE(4166),
    [sym_object_expression] = STATE(4166),
    [sym_parenthesized_expression] = STATE(4166),
    [sym_attribute] = STATE(2765),
    [sym_extension] = STATE(4166),
    [sym_quoted_extension] = STATE(4166),
    [sym__constant] = STATE(4166),
    [sym_number] = STATE(4279),
    [sym_character] = STATE(4279),
    [sym_string] = STATE(4279),
    [sym_quoted_string] = STATE(4279),
    [sym_boolean] = STATE(4279),
    [sym_unit] = STATE(4279),
    [sym__value_name] = STATE(4199),
    [sym_parenthesized_operator] = STATE(4220),
    [sym_value_path] = STATE(4166),
    [sym_module_path] = STATE(19956),
    [sym_constructor_path] = STATE(4166),
    [sym__constructor_name] = STATE(4335),
    [sym_tag] = STATE(4166),
    [aux_sym_class_application_repeat1] = STATE(2765),
    [ts_builtin_sym_end] = ACTIONS(4339),
    [sym__identifier] = ACTIONS(5101),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4344),
    [anon_sym_and] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(5104),
    [anon_sym_QMARK] = ACTIONS(5104),
    [anon_sym_LPAREN] = ACTIONS(5107),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [anon_sym_true] = ACTIONS(5113),
    [anon_sym_false] = ACTIONS(5113),
    [anon_sym_LBRACE] = ACTIONS(5116),
    [anon_sym_SEMI] = ACTIONS(4344),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(5119),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5122),
    [anon_sym_new] = ACTIONS(5125),
    [anon_sym_LBRACE_LT] = ACTIONS(5128),
    [anon_sym_begin] = ACTIONS(5131),
    [sym_ocamlyacc_value] = ACTIONS(5134),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5137),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5140),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(5143),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(5146),
    [anon_sym_DQUOTE] = ACTIONS(5149),
    [sym_prefix_operator] = ACTIONS(5152),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym_let_operator] = ACTIONS(4339),
    [sym_let_and_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(5155),
    [aux_sym_directive_token1] = ACTIONS(4339),
    [aux_sym_tag_token1] = ACTIONS(5158),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2766] = {
    [sym__simple_expression] = STATE(4288),
    [sym_typed_expression] = STATE(4277),
    [sym_list_expression] = STATE(4277),
    [sym_array_expression] = STATE(4277),
    [sym_record_expression] = STATE(4277),
    [sym_labeled_argument] = STATE(5507),
    [sym_prefix_expression] = STATE(4277),
    [sym_hash_expression] = STATE(4277),
    [sym_field_get_expression] = STATE(4277),
    [sym_array_get_expression] = STATE(4277),
    [sym_string_get_expression] = STATE(4277),
    [sym_bigarray_get_expression] = STATE(4277),
    [sym_coercion_expression] = STATE(4277),
    [sym_local_open_expression] = STATE(4277),
    [sym_package_expression] = STATE(4277),
    [sym_new_expression] = STATE(4277),
    [sym_object_copy_expression] = STATE(4277),
    [sym_method_invocation] = STATE(4277),
    [sym_object_expression] = STATE(4277),
    [sym_parenthesized_expression] = STATE(4277),
    [sym_attribute] = STATE(2766),
    [sym_extension] = STATE(4277),
    [sym_quoted_extension] = STATE(4277),
    [sym__constant] = STATE(4277),
    [sym_number] = STATE(4381),
    [sym_character] = STATE(4381),
    [sym_string] = STATE(4381),
    [sym_quoted_string] = STATE(4381),
    [sym_boolean] = STATE(4381),
    [sym_unit] = STATE(4381),
    [sym__value_name] = STATE(4328),
    [sym_parenthesized_operator] = STATE(4347),
    [sym_value_path] = STATE(4277),
    [sym_module_path] = STATE(20395),
    [sym_constructor_path] = STATE(4277),
    [sym__constructor_name] = STATE(4389),
    [sym_tag] = STATE(4277),
    [aux_sym_class_application_repeat1] = STATE(2766),
    [sym__identifier] = ACTIONS(5161),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4344),
    [anon_sym_and] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(5164),
    [anon_sym_QMARK] = ACTIONS(5164),
    [anon_sym_LPAREN] = ACTIONS(5167),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(5170),
    [anon_sym_true] = ACTIONS(5173),
    [anon_sym_false] = ACTIONS(5173),
    [anon_sym_LBRACE] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(4344),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_end] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(5179),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5182),
    [anon_sym_new] = ACTIONS(5185),
    [anon_sym_LBRACE_LT] = ACTIONS(5188),
    [anon_sym_begin] = ACTIONS(5191),
    [sym_ocamlyacc_value] = ACTIONS(5194),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5197),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5200),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(5203),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(5206),
    [anon_sym_DQUOTE] = ACTIONS(5209),
    [sym_prefix_operator] = ACTIONS(5212),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym_let_operator] = ACTIONS(4339),
    [sym_let_and_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(5215),
    [aux_sym_directive_token1] = ACTIONS(4339),
    [aux_sym_tag_token1] = ACTIONS(5218),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2767] = {
    [sym__simple_expression] = STATE(4511),
    [sym_typed_expression] = STATE(4725),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_labeled_argument] = STATE(5467),
    [sym_prefix_expression] = STATE(4725),
    [sym_hash_expression] = STATE(4725),
    [sym_field_get_expression] = STATE(4725),
    [sym_array_get_expression] = STATE(4725),
    [sym_string_get_expression] = STATE(4725),
    [sym_bigarray_get_expression] = STATE(4725),
    [sym_coercion_expression] = STATE(4725),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(2767),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [aux_sym_class_application_repeat1] = STATE(2772),
    [sym__identifier] = ACTIONS(4071),
    [anon_sym_SEMI_SEMI] = ACTIONS(4103),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(4073),
    [anon_sym_QMARK] = ACTIONS(4073),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_external] = ACTIONS(4105),
    [anon_sym_type] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_RBRACK] = ACTIONS(4103),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(4105),
    [anon_sym_exception] = ACTIONS(4105),
    [anon_sym_module] = ACTIONS(4105),
    [anon_sym_open] = ACTIONS(4105),
    [anon_sym_include] = ACTIONS(4105),
    [anon_sym_class] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4105),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1215),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1217),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4103),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym_let_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(1229),
    [aux_sym_directive_token1] = ACTIONS(4103),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2768] = {
    [sym__simple_expression] = STATE(4789),
    [sym_typed_expression] = STATE(4780),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_labeled_argument] = STATE(5467),
    [sym_prefix_expression] = STATE(4780),
    [sym_hash_expression] = STATE(4780),
    [sym_field_get_expression] = STATE(4780),
    [sym_array_get_expression] = STATE(4780),
    [sym_string_get_expression] = STATE(4780),
    [sym_bigarray_get_expression] = STATE(4780),
    [sym_coercion_expression] = STATE(4780),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(2768),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [aux_sym_class_application_repeat1] = STATE(2769),
    [ts_builtin_sym_end] = ACTIONS(4103),
    [sym__identifier] = ACTIONS(3869),
    [anon_sym_SEMI_SEMI] = ACTIONS(4103),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(3871),
    [anon_sym_QMARK] = ACTIONS(3871),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_external] = ACTIONS(4105),
    [anon_sym_type] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_SEMI] = ACTIONS(4105),
    [anon_sym_exception] = ACTIONS(4105),
    [anon_sym_module] = ACTIONS(4105),
    [anon_sym_open] = ACTIONS(4105),
    [anon_sym_include] = ACTIONS(4105),
    [anon_sym_class] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4105),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4103),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym_let_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(1177),
    [aux_sym_directive_token1] = ACTIONS(4103),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2769] = {
    [sym__simple_expression] = STATE(4789),
    [sym_typed_expression] = STATE(4780),
    [sym_list_expression] = STATE(4780),
    [sym_array_expression] = STATE(4780),
    [sym_record_expression] = STATE(4780),
    [sym_labeled_argument] = STATE(5467),
    [sym_prefix_expression] = STATE(4780),
    [sym_hash_expression] = STATE(4780),
    [sym_field_get_expression] = STATE(4780),
    [sym_array_get_expression] = STATE(4780),
    [sym_string_get_expression] = STATE(4780),
    [sym_bigarray_get_expression] = STATE(4780),
    [sym_coercion_expression] = STATE(4780),
    [sym_local_open_expression] = STATE(4780),
    [sym_package_expression] = STATE(4780),
    [sym_new_expression] = STATE(4780),
    [sym_object_copy_expression] = STATE(4780),
    [sym_method_invocation] = STATE(4780),
    [sym_object_expression] = STATE(4780),
    [sym_parenthesized_expression] = STATE(4780),
    [sym_attribute] = STATE(2769),
    [sym_extension] = STATE(4780),
    [sym_quoted_extension] = STATE(4780),
    [sym__constant] = STATE(4780),
    [sym_number] = STATE(4912),
    [sym_character] = STATE(4912),
    [sym_string] = STATE(4912),
    [sym_quoted_string] = STATE(4912),
    [sym_boolean] = STATE(4912),
    [sym_unit] = STATE(4912),
    [sym__value_name] = STATE(4841),
    [sym_parenthesized_operator] = STATE(4874),
    [sym_value_path] = STATE(4780),
    [sym_module_path] = STATE(19305),
    [sym_constructor_path] = STATE(4780),
    [sym__constructor_name] = STATE(4925),
    [sym_tag] = STATE(4780),
    [aux_sym_class_application_repeat1] = STATE(2769),
    [ts_builtin_sym_end] = ACTIONS(4339),
    [sym__identifier] = ACTIONS(5221),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(5224),
    [anon_sym_QMARK] = ACTIONS(5224),
    [anon_sym_LPAREN] = ACTIONS(5227),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(5233),
    [anon_sym_false] = ACTIONS(5233),
    [anon_sym_LBRACE] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(4344),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(5239),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5242),
    [anon_sym_else] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(5245),
    [anon_sym_LBRACE_LT] = ACTIONS(5248),
    [anon_sym_begin] = ACTIONS(5251),
    [sym_ocamlyacc_value] = ACTIONS(5254),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5260),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(5263),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(5266),
    [anon_sym_DQUOTE] = ACTIONS(5269),
    [sym_prefix_operator] = ACTIONS(5272),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym_let_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(5275),
    [aux_sym_directive_token1] = ACTIONS(4339),
    [aux_sym_tag_token1] = ACTIONS(5278),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2770] = {
    [sym__simple_expression] = STATE(4660),
    [sym_typed_expression] = STATE(4534),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_labeled_argument] = STATE(5523),
    [sym_prefix_expression] = STATE(4534),
    [sym_hash_expression] = STATE(4534),
    [sym_field_get_expression] = STATE(4534),
    [sym_array_get_expression] = STATE(4534),
    [sym_string_get_expression] = STATE(4534),
    [sym_bigarray_get_expression] = STATE(4534),
    [sym_coercion_expression] = STATE(4534),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(2770),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [aux_sym_class_application_repeat1] = STATE(2771),
    [sym__identifier] = ACTIONS(4093),
    [anon_sym_SEMI_SEMI] = ACTIONS(4103),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(4095),
    [anon_sym_QMARK] = ACTIONS(4095),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_external] = ACTIONS(4105),
    [anon_sym_type] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_SEMI] = ACTIONS(4105),
    [anon_sym_exception] = ACTIONS(4105),
    [anon_sym_module] = ACTIONS(4105),
    [anon_sym_open] = ACTIONS(4105),
    [anon_sym_include] = ACTIONS(4105),
    [anon_sym_class] = ACTIONS(4105),
    [anon_sym_end] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4105),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1113),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4103),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym_let_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(1125),
    [aux_sym_directive_token1] = ACTIONS(4103),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2771] = {
    [sym__simple_expression] = STATE(4660),
    [sym_typed_expression] = STATE(4534),
    [sym_list_expression] = STATE(4534),
    [sym_array_expression] = STATE(4534),
    [sym_record_expression] = STATE(4534),
    [sym_labeled_argument] = STATE(5523),
    [sym_prefix_expression] = STATE(4534),
    [sym_hash_expression] = STATE(4534),
    [sym_field_get_expression] = STATE(4534),
    [sym_array_get_expression] = STATE(4534),
    [sym_string_get_expression] = STATE(4534),
    [sym_bigarray_get_expression] = STATE(4534),
    [sym_coercion_expression] = STATE(4534),
    [sym_local_open_expression] = STATE(4534),
    [sym_package_expression] = STATE(4534),
    [sym_new_expression] = STATE(4534),
    [sym_object_copy_expression] = STATE(4534),
    [sym_method_invocation] = STATE(4534),
    [sym_object_expression] = STATE(4534),
    [sym_parenthesized_expression] = STATE(4534),
    [sym_attribute] = STATE(2771),
    [sym_extension] = STATE(4534),
    [sym_quoted_extension] = STATE(4534),
    [sym__constant] = STATE(4534),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym__value_name] = STATE(4658),
    [sym_parenthesized_operator] = STATE(4525),
    [sym_value_path] = STATE(4534),
    [sym_module_path] = STATE(20161),
    [sym_constructor_path] = STATE(4534),
    [sym__constructor_name] = STATE(4502),
    [sym_tag] = STATE(4534),
    [aux_sym_class_application_repeat1] = STATE(2771),
    [sym__identifier] = ACTIONS(5281),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(5284),
    [anon_sym_QMARK] = ACTIONS(5284),
    [anon_sym_LPAREN] = ACTIONS(5287),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [anon_sym_true] = ACTIONS(5293),
    [anon_sym_false] = ACTIONS(5293),
    [anon_sym_LBRACE] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(4344),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_end] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(5299),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5302),
    [anon_sym_else] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(5305),
    [anon_sym_LBRACE_LT] = ACTIONS(5308),
    [anon_sym_begin] = ACTIONS(5311),
    [sym_ocamlyacc_value] = ACTIONS(5314),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5320),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(5323),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(5326),
    [anon_sym_DQUOTE] = ACTIONS(5329),
    [sym_prefix_operator] = ACTIONS(5332),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym_let_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(5335),
    [aux_sym_directive_token1] = ACTIONS(4339),
    [aux_sym_tag_token1] = ACTIONS(5338),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2772] = {
    [sym__simple_expression] = STATE(4511),
    [sym_typed_expression] = STATE(4725),
    [sym_list_expression] = STATE(4725),
    [sym_array_expression] = STATE(4725),
    [sym_record_expression] = STATE(4725),
    [sym_labeled_argument] = STATE(5467),
    [sym_prefix_expression] = STATE(4725),
    [sym_hash_expression] = STATE(4725),
    [sym_field_get_expression] = STATE(4725),
    [sym_array_get_expression] = STATE(4725),
    [sym_string_get_expression] = STATE(4725),
    [sym_bigarray_get_expression] = STATE(4725),
    [sym_coercion_expression] = STATE(4725),
    [sym_local_open_expression] = STATE(4725),
    [sym_package_expression] = STATE(4725),
    [sym_new_expression] = STATE(4725),
    [sym_object_copy_expression] = STATE(4725),
    [sym_method_invocation] = STATE(4725),
    [sym_object_expression] = STATE(4725),
    [sym_parenthesized_expression] = STATE(4725),
    [sym_attribute] = STATE(2772),
    [sym_extension] = STATE(4725),
    [sym_quoted_extension] = STATE(4725),
    [sym__constant] = STATE(4725),
    [sym_number] = STATE(4766),
    [sym_character] = STATE(4766),
    [sym_string] = STATE(4766),
    [sym_quoted_string] = STATE(4766),
    [sym_boolean] = STATE(4766),
    [sym_unit] = STATE(4766),
    [sym__value_name] = STATE(4509),
    [sym_parenthesized_operator] = STATE(4672),
    [sym_value_path] = STATE(4725),
    [sym_module_path] = STATE(20038),
    [sym_constructor_path] = STATE(4725),
    [sym__constructor_name] = STATE(4910),
    [sym_tag] = STATE(4725),
    [aux_sym_class_application_repeat1] = STATE(2772),
    [sym__identifier] = ACTIONS(5341),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(5344),
    [anon_sym_QMARK] = ACTIONS(5344),
    [anon_sym_LPAREN] = ACTIONS(5347),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(5350),
    [anon_sym_RBRACK] = ACTIONS(4339),
    [anon_sym_true] = ACTIONS(5353),
    [anon_sym_false] = ACTIONS(5353),
    [anon_sym_LBRACE] = ACTIONS(5356),
    [anon_sym_SEMI] = ACTIONS(4344),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(5359),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5362),
    [anon_sym_else] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(5365),
    [anon_sym_LBRACE_LT] = ACTIONS(5368),
    [anon_sym_begin] = ACTIONS(5371),
    [sym_ocamlyacc_value] = ACTIONS(5374),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5380),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(5383),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(5386),
    [anon_sym_DQUOTE] = ACTIONS(5389),
    [sym_prefix_operator] = ACTIONS(5392),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym_let_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(5395),
    [aux_sym_directive_token1] = ACTIONS(4339),
    [aux_sym_tag_token1] = ACTIONS(5398),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2773] = {
    [sym__simple_expression] = STATE(4993),
    [sym_typed_expression] = STATE(5079),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_labeled_argument] = STATE(5603),
    [sym_prefix_expression] = STATE(5079),
    [sym_hash_expression] = STATE(5079),
    [sym_field_get_expression] = STATE(5079),
    [sym_array_get_expression] = STATE(5079),
    [sym_string_get_expression] = STATE(5079),
    [sym_bigarray_get_expression] = STATE(5079),
    [sym_coercion_expression] = STATE(5079),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(2773),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [aux_sym_class_application_repeat1] = STATE(2773),
    [sym__identifier] = ACTIONS(5401),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(5404),
    [anon_sym_QMARK] = ACTIONS(5404),
    [anon_sym_LPAREN] = ACTIONS(5407),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(5410),
    [anon_sym_true] = ACTIONS(5413),
    [anon_sym_false] = ACTIONS(5413),
    [anon_sym_LBRACE] = ACTIONS(5416),
    [anon_sym_SEMI] = ACTIONS(4344),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_end] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(5419),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5422),
    [anon_sym_new] = ACTIONS(5425),
    [anon_sym_LBRACE_LT] = ACTIONS(5428),
    [anon_sym_begin] = ACTIONS(5431),
    [sym_ocamlyacc_value] = ACTIONS(5434),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5440),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(5443),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(5446),
    [anon_sym_DQUOTE] = ACTIONS(5449),
    [sym_prefix_operator] = ACTIONS(5452),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym_let_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(5455),
    [aux_sym_directive_token1] = ACTIONS(4339),
    [aux_sym_tag_token1] = ACTIONS(5458),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2774] = {
    [sym__simple_expression] = STATE(4972),
    [sym_typed_expression] = STATE(5010),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_labeled_argument] = STATE(5582),
    [sym_prefix_expression] = STATE(5010),
    [sym_hash_expression] = STATE(5010),
    [sym_field_get_expression] = STATE(5010),
    [sym_array_get_expression] = STATE(5010),
    [sym_string_get_expression] = STATE(5010),
    [sym_bigarray_get_expression] = STATE(5010),
    [sym_coercion_expression] = STATE(5010),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(2774),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [aux_sym_class_application_repeat1] = STATE(2774),
    [sym__identifier] = ACTIONS(5461),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(5464),
    [anon_sym_QMARK] = ACTIONS(5464),
    [anon_sym_LPAREN] = ACTIONS(5467),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(5470),
    [anon_sym_RBRACK] = ACTIONS(4339),
    [anon_sym_true] = ACTIONS(5473),
    [anon_sym_false] = ACTIONS(5473),
    [anon_sym_LBRACE] = ACTIONS(5476),
    [anon_sym_SEMI] = ACTIONS(4344),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(5479),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5482),
    [anon_sym_new] = ACTIONS(5485),
    [anon_sym_LBRACE_LT] = ACTIONS(5488),
    [anon_sym_begin] = ACTIONS(5491),
    [sym_ocamlyacc_value] = ACTIONS(5494),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5497),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5500),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(5503),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(5506),
    [anon_sym_DQUOTE] = ACTIONS(5509),
    [sym_prefix_operator] = ACTIONS(5512),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym_let_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(5515),
    [aux_sym_directive_token1] = ACTIONS(4339),
    [aux_sym_tag_token1] = ACTIONS(5518),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2775] = {
    [sym__simple_expression] = STATE(4993),
    [sym_typed_expression] = STATE(5079),
    [sym_list_expression] = STATE(5079),
    [sym_array_expression] = STATE(5079),
    [sym_record_expression] = STATE(5079),
    [sym_labeled_argument] = STATE(5603),
    [sym_prefix_expression] = STATE(5079),
    [sym_hash_expression] = STATE(5079),
    [sym_field_get_expression] = STATE(5079),
    [sym_array_get_expression] = STATE(5079),
    [sym_string_get_expression] = STATE(5079),
    [sym_bigarray_get_expression] = STATE(5079),
    [sym_coercion_expression] = STATE(5079),
    [sym_local_open_expression] = STATE(5079),
    [sym_package_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_object_copy_expression] = STATE(5079),
    [sym_method_invocation] = STATE(5079),
    [sym_object_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(5079),
    [sym_attribute] = STATE(2775),
    [sym_extension] = STATE(5079),
    [sym_quoted_extension] = STATE(5079),
    [sym__constant] = STATE(5079),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym__value_name] = STATE(5150),
    [sym_parenthesized_operator] = STATE(5151),
    [sym_value_path] = STATE(5079),
    [sym_module_path] = STATE(21778),
    [sym_constructor_path] = STATE(5079),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5079),
    [aux_sym_class_application_repeat1] = STATE(2773),
    [sym__identifier] = ACTIONS(4971),
    [anon_sym_SEMI_SEMI] = ACTIONS(4103),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(4973),
    [anon_sym_QMARK] = ACTIONS(4973),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_external] = ACTIONS(4105),
    [anon_sym_type] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(687),
    [anon_sym_true] = ACTIONS(689),
    [anon_sym_false] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_SEMI] = ACTIONS(4105),
    [anon_sym_exception] = ACTIONS(4105),
    [anon_sym_module] = ACTIONS(4105),
    [anon_sym_open] = ACTIONS(4105),
    [anon_sym_include] = ACTIONS(4105),
    [anon_sym_class] = ACTIONS(4105),
    [anon_sym_end] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(701),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(705),
    [anon_sym_new] = ACTIONS(715),
    [anon_sym_LBRACE_LT] = ACTIONS(717),
    [anon_sym_begin] = ACTIONS(719),
    [sym_ocamlyacc_value] = ACTIONS(721),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4105),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(725),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4103),
    [aux_sym_number_token1] = ACTIONS(727),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(731),
    [sym_prefix_operator] = ACTIONS(733),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym_let_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_directive_token1] = ACTIONS(4103),
    [aux_sym_tag_token1] = ACTIONS(743),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2776] = {
    [sym__simple_expression] = STATE(4972),
    [sym_typed_expression] = STATE(5010),
    [sym_list_expression] = STATE(5010),
    [sym_array_expression] = STATE(5010),
    [sym_record_expression] = STATE(5010),
    [sym_labeled_argument] = STATE(5582),
    [sym_prefix_expression] = STATE(5010),
    [sym_hash_expression] = STATE(5010),
    [sym_field_get_expression] = STATE(5010),
    [sym_array_get_expression] = STATE(5010),
    [sym_string_get_expression] = STATE(5010),
    [sym_bigarray_get_expression] = STATE(5010),
    [sym_coercion_expression] = STATE(5010),
    [sym_local_open_expression] = STATE(5010),
    [sym_package_expression] = STATE(5010),
    [sym_new_expression] = STATE(5010),
    [sym_object_copy_expression] = STATE(5010),
    [sym_method_invocation] = STATE(5010),
    [sym_object_expression] = STATE(5010),
    [sym_parenthesized_expression] = STATE(5010),
    [sym_attribute] = STATE(2776),
    [sym_extension] = STATE(5010),
    [sym_quoted_extension] = STATE(5010),
    [sym__constant] = STATE(5010),
    [sym_number] = STATE(5176),
    [sym_character] = STATE(5176),
    [sym_string] = STATE(5176),
    [sym_quoted_string] = STATE(5176),
    [sym_boolean] = STATE(5176),
    [sym_unit] = STATE(5176),
    [sym__value_name] = STATE(5082),
    [sym_parenthesized_operator] = STATE(5012),
    [sym_value_path] = STATE(5010),
    [sym_module_path] = STATE(21189),
    [sym_constructor_path] = STATE(5010),
    [sym__constructor_name] = STATE(5177),
    [sym_tag] = STATE(5010),
    [aux_sym_class_application_repeat1] = STATE(2774),
    [sym__identifier] = ACTIONS(4901),
    [anon_sym_SEMI_SEMI] = ACTIONS(4103),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(4903),
    [anon_sym_QMARK] = ACTIONS(4903),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(4105),
    [anon_sym_type] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(4103),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_SEMI] = ACTIONS(4105),
    [anon_sym_exception] = ACTIONS(4105),
    [anon_sym_module] = ACTIONS(4105),
    [anon_sym_open] = ACTIONS(4105),
    [anon_sym_include] = ACTIONS(4105),
    [anon_sym_class] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4105),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4103),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym_let_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(4103),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2777] = {
    [sym__simple_expression] = STATE(5237),
    [sym_typed_expression] = STATE(5248),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_labeled_argument] = STATE(5582),
    [sym_prefix_expression] = STATE(5248),
    [sym_hash_expression] = STATE(5248),
    [sym_field_get_expression] = STATE(5248),
    [sym_array_get_expression] = STATE(5248),
    [sym_string_get_expression] = STATE(5248),
    [sym_bigarray_get_expression] = STATE(5248),
    [sym_coercion_expression] = STATE(5248),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(2777),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [aux_sym_class_application_repeat1] = STATE(2778),
    [ts_builtin_sym_end] = ACTIONS(4103),
    [sym__identifier] = ACTIONS(4651),
    [anon_sym_SEMI_SEMI] = ACTIONS(4103),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(4653),
    [anon_sym_QMARK] = ACTIONS(4653),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(4105),
    [anon_sym_type] = ACTIONS(4105),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(4105),
    [anon_sym_exception] = ACTIONS(4105),
    [anon_sym_module] = ACTIONS(4105),
    [anon_sym_open] = ACTIONS(4105),
    [anon_sym_include] = ACTIONS(4105),
    [anon_sym_class] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4105),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4103),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym_let_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(4103),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2778] = {
    [sym__simple_expression] = STATE(5237),
    [sym_typed_expression] = STATE(5248),
    [sym_list_expression] = STATE(5248),
    [sym_array_expression] = STATE(5248),
    [sym_record_expression] = STATE(5248),
    [sym_labeled_argument] = STATE(5582),
    [sym_prefix_expression] = STATE(5248),
    [sym_hash_expression] = STATE(5248),
    [sym_field_get_expression] = STATE(5248),
    [sym_array_get_expression] = STATE(5248),
    [sym_string_get_expression] = STATE(5248),
    [sym_bigarray_get_expression] = STATE(5248),
    [sym_coercion_expression] = STATE(5248),
    [sym_local_open_expression] = STATE(5248),
    [sym_package_expression] = STATE(5248),
    [sym_new_expression] = STATE(5248),
    [sym_object_copy_expression] = STATE(5248),
    [sym_method_invocation] = STATE(5248),
    [sym_object_expression] = STATE(5248),
    [sym_parenthesized_expression] = STATE(5248),
    [sym_attribute] = STATE(2778),
    [sym_extension] = STATE(5248),
    [sym_quoted_extension] = STATE(5248),
    [sym__constant] = STATE(5248),
    [sym_number] = STATE(5021),
    [sym_character] = STATE(5021),
    [sym_string] = STATE(5021),
    [sym_quoted_string] = STATE(5021),
    [sym_boolean] = STATE(5021),
    [sym_unit] = STATE(5021),
    [sym__value_name] = STATE(5031),
    [sym_parenthesized_operator] = STATE(5169),
    [sym_value_path] = STATE(5248),
    [sym_module_path] = STATE(20077),
    [sym_constructor_path] = STATE(5248),
    [sym__constructor_name] = STATE(5182),
    [sym_tag] = STATE(5248),
    [aux_sym_class_application_repeat1] = STATE(2778),
    [ts_builtin_sym_end] = ACTIONS(4339),
    [sym__identifier] = ACTIONS(5521),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(5524),
    [anon_sym_QMARK] = ACTIONS(5524),
    [anon_sym_LPAREN] = ACTIONS(5527),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [anon_sym_true] = ACTIONS(5533),
    [anon_sym_false] = ACTIONS(5533),
    [anon_sym_LBRACE] = ACTIONS(5536),
    [anon_sym_SEMI] = ACTIONS(4344),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(5539),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5542),
    [anon_sym_new] = ACTIONS(5545),
    [anon_sym_LBRACE_LT] = ACTIONS(5548),
    [anon_sym_begin] = ACTIONS(5551),
    [sym_ocamlyacc_value] = ACTIONS(5554),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5560),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(5563),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(5566),
    [anon_sym_DQUOTE] = ACTIONS(5569),
    [sym_prefix_operator] = ACTIONS(5572),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym_let_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(5575),
    [aux_sym_directive_token1] = ACTIONS(4339),
    [aux_sym_tag_token1] = ACTIONS(5578),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2779] = {
    [sym__simple_expression] = STATE(5756),
    [sym_typed_expression] = STATE(5880),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_labeled_argument] = STATE(6319),
    [sym_prefix_expression] = STATE(5880),
    [sym_hash_expression] = STATE(5880),
    [sym_field_get_expression] = STATE(5880),
    [sym_array_get_expression] = STATE(5880),
    [sym_string_get_expression] = STATE(5880),
    [sym_bigarray_get_expression] = STATE(5880),
    [sym_coercion_expression] = STATE(5880),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2779),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [aux_sym_class_application_repeat1] = STATE(2782),
    [sym__identifier] = ACTIONS(5581),
    [anon_sym_TILDE] = ACTIONS(5583),
    [anon_sym_QMARK] = ACTIONS(5583),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_DOT] = ACTIONS(5585),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_constraint] = ACTIONS(3527),
    [anon_sym_val] = ACTIONS(3527),
    [anon_sym_end] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_inherit] = ACTIONS(3527),
    [anon_sym_method] = ACTIONS(3527),
    [anon_sym_initializer] = ACTIONS(3527),
    [anon_sym_POUND] = ACTIONS(5587),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_else] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3527),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1281),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1283),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(5589),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2780] = {
    [sym__simple_expression] = STATE(5969),
    [sym_typed_expression] = STATE(5981),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_labeled_argument] = STATE(6402),
    [sym_prefix_expression] = STATE(5981),
    [sym_hash_expression] = STATE(5981),
    [sym_field_get_expression] = STATE(5981),
    [sym_array_get_expression] = STATE(5981),
    [sym_string_get_expression] = STATE(5981),
    [sym_bigarray_get_expression] = STATE(5981),
    [sym_coercion_expression] = STATE(5981),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2780),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [aux_sym_class_application_repeat1] = STATE(2787),
    [sym__identifier] = ACTIONS(5591),
    [anon_sym_TILDE] = ACTIONS(5593),
    [anon_sym_QMARK] = ACTIONS(5593),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_DOT] = ACTIONS(5595),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_constraint] = ACTIONS(3527),
    [anon_sym_val] = ACTIONS(3527),
    [anon_sym_end] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_inherit] = ACTIONS(3527),
    [anon_sym_method] = ACTIONS(3527),
    [anon_sym_initializer] = ACTIONS(3527),
    [anon_sym_POUND] = ACTIONS(5597),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3527),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1357),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(5599),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2781] = {
    [sym__simple_expression] = STATE(6034),
    [sym_typed_expression] = STATE(6026),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_labeled_argument] = STATE(6551),
    [sym_prefix_expression] = STATE(6026),
    [sym_hash_expression] = STATE(6026),
    [sym_field_get_expression] = STATE(6026),
    [sym_array_get_expression] = STATE(6026),
    [sym_string_get_expression] = STATE(6026),
    [sym_bigarray_get_expression] = STATE(6026),
    [sym_coercion_expression] = STATE(6026),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2781),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [aux_sym_class_application_repeat1] = STATE(2790),
    [sym__identifier] = ACTIONS(5601),
    [anon_sym_COLON_GT] = ACTIONS(3525),
    [anon_sym_TILDE] = ACTIONS(5603),
    [anon_sym_QMARK] = ACTIONS(5603),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(3525),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_RBRACK] = ACTIONS(3525),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_COLON2] = ACTIONS(3527),
    [anon_sym_DOT] = ACTIONS(5605),
    [anon_sym_DASH_GT] = ACTIONS(3527),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_RBRACE] = ACTIONS(3525),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_POUND] = ACTIONS(5607),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3525),
    [anon_sym_else] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_GT_RBRACE] = ACTIONS(3525),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(5609),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2782] = {
    [sym__simple_expression] = STATE(5756),
    [sym_typed_expression] = STATE(5880),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_labeled_argument] = STATE(6319),
    [sym_prefix_expression] = STATE(5880),
    [sym_hash_expression] = STATE(5880),
    [sym_field_get_expression] = STATE(5880),
    [sym_array_get_expression] = STATE(5880),
    [sym_string_get_expression] = STATE(5880),
    [sym_bigarray_get_expression] = STATE(5880),
    [sym_coercion_expression] = STATE(5880),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2782),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [aux_sym_class_application_repeat1] = STATE(2783),
    [sym__identifier] = ACTIONS(5581),
    [anon_sym_TILDE] = ACTIONS(5583),
    [anon_sym_QMARK] = ACTIONS(5583),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(4103),
    [anon_sym_constraint] = ACTIONS(4105),
    [anon_sym_val] = ACTIONS(4105),
    [anon_sym_end] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_inherit] = ACTIONS(4105),
    [anon_sym_method] = ACTIONS(4105),
    [anon_sym_initializer] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4105),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1281),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1283),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4103),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2783] = {
    [sym__simple_expression] = STATE(5756),
    [sym_typed_expression] = STATE(5880),
    [sym_list_expression] = STATE(5880),
    [sym_array_expression] = STATE(5880),
    [sym_record_expression] = STATE(5880),
    [sym_labeled_argument] = STATE(6319),
    [sym_prefix_expression] = STATE(5880),
    [sym_hash_expression] = STATE(5880),
    [sym_field_get_expression] = STATE(5880),
    [sym_array_get_expression] = STATE(5880),
    [sym_string_get_expression] = STATE(5880),
    [sym_bigarray_get_expression] = STATE(5880),
    [sym_coercion_expression] = STATE(5880),
    [sym_local_open_expression] = STATE(5880),
    [sym_package_expression] = STATE(5880),
    [sym_new_expression] = STATE(5880),
    [sym_object_copy_expression] = STATE(5880),
    [sym_method_invocation] = STATE(5880),
    [sym_object_expression] = STATE(5880),
    [sym_parenthesized_expression] = STATE(5880),
    [sym_attribute] = STATE(2783),
    [sym_extension] = STATE(5880),
    [sym_quoted_extension] = STATE(5880),
    [sym__constant] = STATE(5880),
    [sym_number] = STATE(5873),
    [sym_character] = STATE(5873),
    [sym_string] = STATE(5873),
    [sym_quoted_string] = STATE(5873),
    [sym_boolean] = STATE(5873),
    [sym_unit] = STATE(5873),
    [sym__value_name] = STATE(5879),
    [sym_parenthesized_operator] = STATE(5785),
    [sym_value_path] = STATE(5880),
    [sym_module_path] = STATE(20201),
    [sym_constructor_path] = STATE(5880),
    [sym__constructor_name] = STATE(5779),
    [sym_tag] = STATE(5880),
    [aux_sym_class_application_repeat1] = STATE(2783),
    [sym__identifier] = ACTIONS(5611),
    [anon_sym_TILDE] = ACTIONS(5614),
    [anon_sym_QMARK] = ACTIONS(5614),
    [anon_sym_LPAREN] = ACTIONS(5617),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(5620),
    [anon_sym_true] = ACTIONS(5623),
    [anon_sym_false] = ACTIONS(5623),
    [anon_sym_LBRACE] = ACTIONS(5626),
    [anon_sym_SEMI] = ACTIONS(4339),
    [anon_sym_constraint] = ACTIONS(4344),
    [anon_sym_val] = ACTIONS(4344),
    [anon_sym_end] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(5629),
    [anon_sym_inherit] = ACTIONS(4344),
    [anon_sym_method] = ACTIONS(4344),
    [anon_sym_initializer] = ACTIONS(4344),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5632),
    [anon_sym_else] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(5635),
    [anon_sym_LBRACE_LT] = ACTIONS(5638),
    [anon_sym_begin] = ACTIONS(5641),
    [sym_ocamlyacc_value] = ACTIONS(5644),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5647),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5650),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(5653),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(5656),
    [anon_sym_DQUOTE] = ACTIONS(5659),
    [sym_prefix_operator] = ACTIONS(5662),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(5665),
    [aux_sym_tag_token1] = ACTIONS(5668),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2784] = {
    [sym__simple_expression] = STATE(6177),
    [sym_typed_expression] = STATE(6311),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_labeled_argument] = STATE(6713),
    [sym_prefix_expression] = STATE(6311),
    [sym_hash_expression] = STATE(6311),
    [sym_field_get_expression] = STATE(6311),
    [sym_array_get_expression] = STATE(6311),
    [sym_string_get_expression] = STATE(6311),
    [sym_bigarray_get_expression] = STATE(6311),
    [sym_coercion_expression] = STATE(6311),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(2784),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [aux_sym_class_application_repeat1] = STATE(2794),
    [sym__identifier] = ACTIONS(5671),
    [anon_sym_COLON_GT] = ACTIONS(3525),
    [anon_sym_TILDE] = ACTIONS(5673),
    [anon_sym_QMARK] = ACTIONS(5673),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(3525),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_RBRACK] = ACTIONS(3525),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_COLON2] = ACTIONS(3527),
    [anon_sym_DOT] = ACTIONS(5675),
    [anon_sym_DASH_GT] = ACTIONS(3527),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_RBRACE] = ACTIONS(3525),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_POUND] = ACTIONS(5677),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_else] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_GT_RBRACE] = ACTIONS(3525),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(5679),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2785] = {
    [sym__simple_expression] = STATE(6250),
    [sym_typed_expression] = STATE(6160),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_labeled_argument] = STATE(6618),
    [sym_prefix_expression] = STATE(6160),
    [sym_hash_expression] = STATE(6160),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_coercion_expression] = STATE(6160),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2785),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [aux_sym_class_application_repeat1] = STATE(2795),
    [sym__identifier] = ACTIONS(5681),
    [anon_sym_COLON_GT] = ACTIONS(3525),
    [anon_sym_TILDE] = ACTIONS(5683),
    [anon_sym_QMARK] = ACTIONS(5683),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(3525),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3525),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_COLON2] = ACTIONS(3527),
    [anon_sym_DOT] = ACTIONS(5685),
    [anon_sym_DASH_GT] = ACTIONS(3527),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_RBRACE] = ACTIONS(3525),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_POUND] = ACTIONS(5687),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3525),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_GT_RBRACE] = ACTIONS(3525),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(5689),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2786] = {
    [sym__simple_expression] = STATE(6432),
    [sym_typed_expression] = STATE(6355),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_labeled_argument] = STATE(6810),
    [sym_prefix_expression] = STATE(6355),
    [sym_hash_expression] = STATE(6355),
    [sym_field_get_expression] = STATE(6355),
    [sym_array_get_expression] = STATE(6355),
    [sym_string_get_expression] = STATE(6355),
    [sym_bigarray_get_expression] = STATE(6355),
    [sym_coercion_expression] = STATE(6355),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(2786),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [aux_sym_class_application_repeat1] = STATE(2799),
    [sym__identifier] = ACTIONS(5691),
    [anon_sym_COLON_GT] = ACTIONS(3525),
    [anon_sym_TILDE] = ACTIONS(5693),
    [anon_sym_QMARK] = ACTIONS(5693),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_RPAREN] = ACTIONS(3525),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_RBRACK] = ACTIONS(3525),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_COLON2] = ACTIONS(3527),
    [anon_sym_DOT] = ACTIONS(5695),
    [anon_sym_DASH_GT] = ACTIONS(3527),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_RBRACE] = ACTIONS(3525),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_POUND] = ACTIONS(5697),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_GT_RBRACE] = ACTIONS(3525),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(5699),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2787] = {
    [sym__simple_expression] = STATE(5969),
    [sym_typed_expression] = STATE(5981),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_labeled_argument] = STATE(6402),
    [sym_prefix_expression] = STATE(5981),
    [sym_hash_expression] = STATE(5981),
    [sym_field_get_expression] = STATE(5981),
    [sym_array_get_expression] = STATE(5981),
    [sym_string_get_expression] = STATE(5981),
    [sym_bigarray_get_expression] = STATE(5981),
    [sym_coercion_expression] = STATE(5981),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2787),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [aux_sym_class_application_repeat1] = STATE(2788),
    [sym__identifier] = ACTIONS(5591),
    [anon_sym_TILDE] = ACTIONS(5593),
    [anon_sym_QMARK] = ACTIONS(5593),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_true] = ACTIONS(1329),
    [anon_sym_false] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(4103),
    [anon_sym_constraint] = ACTIONS(4105),
    [anon_sym_val] = ACTIONS(4105),
    [anon_sym_end] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(1333),
    [anon_sym_inherit] = ACTIONS(4105),
    [anon_sym_method] = ACTIONS(4105),
    [anon_sym_initializer] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1337),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACE_LT] = ACTIONS(1349),
    [anon_sym_begin] = ACTIONS(1351),
    [sym_ocamlyacc_value] = ACTIONS(1353),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4105),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1355),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1357),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4103),
    [aux_sym_number_token1] = ACTIONS(1359),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_prefix_operator] = ACTIONS(1365),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(1369),
    [aux_sym_tag_token1] = ACTIONS(1371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2788] = {
    [sym__simple_expression] = STATE(5969),
    [sym_typed_expression] = STATE(5981),
    [sym_list_expression] = STATE(5981),
    [sym_array_expression] = STATE(5981),
    [sym_record_expression] = STATE(5981),
    [sym_labeled_argument] = STATE(6402),
    [sym_prefix_expression] = STATE(5981),
    [sym_hash_expression] = STATE(5981),
    [sym_field_get_expression] = STATE(5981),
    [sym_array_get_expression] = STATE(5981),
    [sym_string_get_expression] = STATE(5981),
    [sym_bigarray_get_expression] = STATE(5981),
    [sym_coercion_expression] = STATE(5981),
    [sym_local_open_expression] = STATE(5981),
    [sym_package_expression] = STATE(5981),
    [sym_new_expression] = STATE(5981),
    [sym_object_copy_expression] = STATE(5981),
    [sym_method_invocation] = STATE(5981),
    [sym_object_expression] = STATE(5981),
    [sym_parenthesized_expression] = STATE(5981),
    [sym_attribute] = STATE(2788),
    [sym_extension] = STATE(5981),
    [sym_quoted_extension] = STATE(5981),
    [sym__constant] = STATE(5981),
    [sym_number] = STATE(5932),
    [sym_character] = STATE(5932),
    [sym_string] = STATE(5932),
    [sym_quoted_string] = STATE(5932),
    [sym_boolean] = STATE(5932),
    [sym_unit] = STATE(5932),
    [sym__value_name] = STATE(5947),
    [sym_parenthesized_operator] = STATE(5948),
    [sym_value_path] = STATE(5981),
    [sym_module_path] = STATE(21964),
    [sym_constructor_path] = STATE(5981),
    [sym__constructor_name] = STATE(5933),
    [sym_tag] = STATE(5981),
    [aux_sym_class_application_repeat1] = STATE(2788),
    [sym__identifier] = ACTIONS(5701),
    [anon_sym_TILDE] = ACTIONS(5704),
    [anon_sym_QMARK] = ACTIONS(5704),
    [anon_sym_LPAREN] = ACTIONS(5707),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(5710),
    [anon_sym_true] = ACTIONS(5713),
    [anon_sym_false] = ACTIONS(5713),
    [anon_sym_LBRACE] = ACTIONS(5716),
    [anon_sym_SEMI] = ACTIONS(4339),
    [anon_sym_constraint] = ACTIONS(4344),
    [anon_sym_val] = ACTIONS(4344),
    [anon_sym_end] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(5719),
    [anon_sym_inherit] = ACTIONS(4344),
    [anon_sym_method] = ACTIONS(4344),
    [anon_sym_initializer] = ACTIONS(4344),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5722),
    [anon_sym_new] = ACTIONS(5725),
    [anon_sym_LBRACE_LT] = ACTIONS(5728),
    [anon_sym_begin] = ACTIONS(5731),
    [sym_ocamlyacc_value] = ACTIONS(5734),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5737),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5740),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(5743),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(5746),
    [anon_sym_DQUOTE] = ACTIONS(5749),
    [sym_prefix_operator] = ACTIONS(5752),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(5755),
    [aux_sym_tag_token1] = ACTIONS(5758),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2789] = {
    [sym__simple_expression] = STATE(6034),
    [sym_typed_expression] = STATE(6026),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_labeled_argument] = STATE(6551),
    [sym_prefix_expression] = STATE(6026),
    [sym_hash_expression] = STATE(6026),
    [sym_field_get_expression] = STATE(6026),
    [sym_array_get_expression] = STATE(6026),
    [sym_string_get_expression] = STATE(6026),
    [sym_bigarray_get_expression] = STATE(6026),
    [sym_coercion_expression] = STATE(6026),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2789),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [aux_sym_class_application_repeat1] = STATE(2789),
    [sym__identifier] = ACTIONS(5761),
    [anon_sym_COLON_GT] = ACTIONS(4339),
    [anon_sym_TILDE] = ACTIONS(5764),
    [anon_sym_QMARK] = ACTIONS(5764),
    [anon_sym_LPAREN] = ACTIONS(5767),
    [anon_sym_RPAREN] = ACTIONS(4339),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(5770),
    [anon_sym_RBRACK] = ACTIONS(4339),
    [anon_sym_true] = ACTIONS(5773),
    [anon_sym_false] = ACTIONS(5773),
    [anon_sym_COLON2] = ACTIONS(4344),
    [anon_sym_DASH_GT] = ACTIONS(4344),
    [anon_sym_LBRACE] = ACTIONS(5776),
    [anon_sym_SEMI] = ACTIONS(4339),
    [anon_sym_RBRACE] = ACTIONS(4339),
    [anon_sym_object] = ACTIONS(5779),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5782),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4339),
    [anon_sym_else] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(5785),
    [anon_sym_LBRACE_LT] = ACTIONS(5788),
    [anon_sym_GT_RBRACE] = ACTIONS(4339),
    [anon_sym_begin] = ACTIONS(5791),
    [sym_ocamlyacc_value] = ACTIONS(5794),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5797),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5800),
    [aux_sym_number_token1] = ACTIONS(5803),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(5806),
    [anon_sym_DQUOTE] = ACTIONS(5809),
    [sym_prefix_operator] = ACTIONS(5812),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(5815),
    [aux_sym_tag_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2790] = {
    [sym__simple_expression] = STATE(6034),
    [sym_typed_expression] = STATE(6026),
    [sym_list_expression] = STATE(6026),
    [sym_array_expression] = STATE(6026),
    [sym_record_expression] = STATE(6026),
    [sym_labeled_argument] = STATE(6551),
    [sym_prefix_expression] = STATE(6026),
    [sym_hash_expression] = STATE(6026),
    [sym_field_get_expression] = STATE(6026),
    [sym_array_get_expression] = STATE(6026),
    [sym_string_get_expression] = STATE(6026),
    [sym_bigarray_get_expression] = STATE(6026),
    [sym_coercion_expression] = STATE(6026),
    [sym_local_open_expression] = STATE(6026),
    [sym_package_expression] = STATE(6026),
    [sym_new_expression] = STATE(6026),
    [sym_object_copy_expression] = STATE(6026),
    [sym_method_invocation] = STATE(6026),
    [sym_object_expression] = STATE(6026),
    [sym_parenthesized_expression] = STATE(6026),
    [sym_attribute] = STATE(2790),
    [sym_extension] = STATE(6026),
    [sym_quoted_extension] = STATE(6026),
    [sym__constant] = STATE(6026),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym__value_name] = STATE(6078),
    [sym_parenthesized_operator] = STATE(6112),
    [sym_value_path] = STATE(6026),
    [sym_module_path] = STATE(19544),
    [sym_constructor_path] = STATE(6026),
    [sym__constructor_name] = STATE(6006),
    [sym_tag] = STATE(6026),
    [aux_sym_class_application_repeat1] = STATE(2789),
    [sym__identifier] = ACTIONS(5601),
    [anon_sym_COLON_GT] = ACTIONS(4103),
    [anon_sym_TILDE] = ACTIONS(5603),
    [anon_sym_QMARK] = ACTIONS(5603),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(4103),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_RBRACK] = ACTIONS(4103),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_COLON2] = ACTIONS(4105),
    [anon_sym_DASH_GT] = ACTIONS(4105),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(4103),
    [anon_sym_RBRACE] = ACTIONS(4103),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4103),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_GT_RBRACE] = ACTIONS(4103),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2791] = {
    [sym__simple_expression] = STATE(6609),
    [sym_typed_expression] = STATE(6610),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_labeled_argument] = STATE(7263),
    [sym_prefix_expression] = STATE(6610),
    [sym_hash_expression] = STATE(6610),
    [sym_field_get_expression] = STATE(6610),
    [sym_array_get_expression] = STATE(6610),
    [sym_string_get_expression] = STATE(6610),
    [sym_bigarray_get_expression] = STATE(6610),
    [sym_coercion_expression] = STATE(6610),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2791),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [aux_sym_class_application_repeat1] = STATE(2815),
    [sym__identifier] = ACTIONS(5821),
    [anon_sym_and] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(5823),
    [anon_sym_QMARK] = ACTIONS(5823),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(5825),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_in] = ACTIONS(3527),
    [anon_sym_POUND] = ACTIONS(5827),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(5829),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym_let_and_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2792] = {
    [sym__simple_expression] = STATE(6250),
    [sym_typed_expression] = STATE(6160),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_labeled_argument] = STATE(6618),
    [sym_prefix_expression] = STATE(6160),
    [sym_hash_expression] = STATE(6160),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_coercion_expression] = STATE(6160),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2792),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [aux_sym_class_application_repeat1] = STATE(2792),
    [sym__identifier] = ACTIONS(5831),
    [anon_sym_COLON_GT] = ACTIONS(4339),
    [anon_sym_TILDE] = ACTIONS(5834),
    [anon_sym_QMARK] = ACTIONS(5834),
    [anon_sym_LPAREN] = ACTIONS(5837),
    [anon_sym_RPAREN] = ACTIONS(4339),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(5840),
    [anon_sym_RBRACK] = ACTIONS(4339),
    [anon_sym_true] = ACTIONS(5843),
    [anon_sym_false] = ACTIONS(5843),
    [anon_sym_COLON2] = ACTIONS(4344),
    [anon_sym_DASH_GT] = ACTIONS(4344),
    [anon_sym_LBRACE] = ACTIONS(5846),
    [anon_sym_SEMI] = ACTIONS(4339),
    [anon_sym_RBRACE] = ACTIONS(4339),
    [anon_sym_object] = ACTIONS(5849),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5852),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4339),
    [anon_sym_new] = ACTIONS(5855),
    [anon_sym_LBRACE_LT] = ACTIONS(5858),
    [anon_sym_GT_RBRACE] = ACTIONS(4339),
    [anon_sym_begin] = ACTIONS(5861),
    [sym_ocamlyacc_value] = ACTIONS(5864),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5870),
    [aux_sym_number_token1] = ACTIONS(5873),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(5876),
    [anon_sym_DQUOTE] = ACTIONS(5879),
    [sym_prefix_operator] = ACTIONS(5882),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(5885),
    [aux_sym_tag_token1] = ACTIONS(5888),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2793] = {
    [sym__simple_expression] = STATE(6177),
    [sym_typed_expression] = STATE(6311),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_labeled_argument] = STATE(6713),
    [sym_prefix_expression] = STATE(6311),
    [sym_hash_expression] = STATE(6311),
    [sym_field_get_expression] = STATE(6311),
    [sym_array_get_expression] = STATE(6311),
    [sym_string_get_expression] = STATE(6311),
    [sym_bigarray_get_expression] = STATE(6311),
    [sym_coercion_expression] = STATE(6311),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(2793),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [aux_sym_class_application_repeat1] = STATE(2793),
    [sym__identifier] = ACTIONS(5891),
    [anon_sym_COLON_GT] = ACTIONS(4339),
    [anon_sym_TILDE] = ACTIONS(5894),
    [anon_sym_QMARK] = ACTIONS(5894),
    [anon_sym_LPAREN] = ACTIONS(5897),
    [anon_sym_RPAREN] = ACTIONS(4339),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(5900),
    [anon_sym_RBRACK] = ACTIONS(4339),
    [anon_sym_true] = ACTIONS(5903),
    [anon_sym_false] = ACTIONS(5903),
    [anon_sym_COLON2] = ACTIONS(4344),
    [anon_sym_DASH_GT] = ACTIONS(4344),
    [anon_sym_LBRACE] = ACTIONS(5906),
    [anon_sym_SEMI] = ACTIONS(4339),
    [anon_sym_RBRACE] = ACTIONS(4339),
    [anon_sym_object] = ACTIONS(5909),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5912),
    [anon_sym_else] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(5915),
    [anon_sym_LBRACE_LT] = ACTIONS(5918),
    [anon_sym_GT_RBRACE] = ACTIONS(4339),
    [anon_sym_begin] = ACTIONS(5921),
    [sym_ocamlyacc_value] = ACTIONS(5924),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5927),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5930),
    [aux_sym_number_token1] = ACTIONS(5933),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(5936),
    [anon_sym_DQUOTE] = ACTIONS(5939),
    [sym_prefix_operator] = ACTIONS(5942),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(5945),
    [aux_sym_tag_token1] = ACTIONS(5948),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2794] = {
    [sym__simple_expression] = STATE(6177),
    [sym_typed_expression] = STATE(6311),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_labeled_argument] = STATE(6713),
    [sym_prefix_expression] = STATE(6311),
    [sym_hash_expression] = STATE(6311),
    [sym_field_get_expression] = STATE(6311),
    [sym_array_get_expression] = STATE(6311),
    [sym_string_get_expression] = STATE(6311),
    [sym_bigarray_get_expression] = STATE(6311),
    [sym_coercion_expression] = STATE(6311),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(2794),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6222),
    [sym_character] = STATE(6222),
    [sym_string] = STATE(6222),
    [sym_quoted_string] = STATE(6222),
    [sym_boolean] = STATE(6222),
    [sym_unit] = STATE(6222),
    [sym__value_name] = STATE(6217),
    [sym_parenthesized_operator] = STATE(6178),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(20585),
    [sym_constructor_path] = STATE(6311),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6311),
    [aux_sym_class_application_repeat1] = STATE(2793),
    [sym__identifier] = ACTIONS(5671),
    [anon_sym_COLON_GT] = ACTIONS(4103),
    [anon_sym_TILDE] = ACTIONS(5673),
    [anon_sym_QMARK] = ACTIONS(5673),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(4103),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_RBRACK] = ACTIONS(4103),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_COLON2] = ACTIONS(4105),
    [anon_sym_DASH_GT] = ACTIONS(4105),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(4103),
    [anon_sym_RBRACE] = ACTIONS(4103),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_GT_RBRACE] = ACTIONS(4103),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2795] = {
    [sym__simple_expression] = STATE(6250),
    [sym_typed_expression] = STATE(6160),
    [sym_list_expression] = STATE(6160),
    [sym_array_expression] = STATE(6160),
    [sym_record_expression] = STATE(6160),
    [sym_labeled_argument] = STATE(6618),
    [sym_prefix_expression] = STATE(6160),
    [sym_hash_expression] = STATE(6160),
    [sym_field_get_expression] = STATE(6160),
    [sym_array_get_expression] = STATE(6160),
    [sym_string_get_expression] = STATE(6160),
    [sym_bigarray_get_expression] = STATE(6160),
    [sym_coercion_expression] = STATE(6160),
    [sym_local_open_expression] = STATE(6160),
    [sym_package_expression] = STATE(6160),
    [sym_new_expression] = STATE(6160),
    [sym_object_copy_expression] = STATE(6160),
    [sym_method_invocation] = STATE(6160),
    [sym_object_expression] = STATE(6160),
    [sym_parenthesized_expression] = STATE(6160),
    [sym_attribute] = STATE(2795),
    [sym_extension] = STATE(6160),
    [sym_quoted_extension] = STATE(6160),
    [sym__constant] = STATE(6160),
    [sym_number] = STATE(6294),
    [sym_character] = STATE(6294),
    [sym_string] = STATE(6294),
    [sym_quoted_string] = STATE(6294),
    [sym_boolean] = STATE(6294),
    [sym_unit] = STATE(6294),
    [sym__value_name] = STATE(6167),
    [sym_parenthesized_operator] = STATE(6308),
    [sym_value_path] = STATE(6160),
    [sym_module_path] = STATE(21384),
    [sym_constructor_path] = STATE(6160),
    [sym__constructor_name] = STATE(6310),
    [sym_tag] = STATE(6160),
    [aux_sym_class_application_repeat1] = STATE(2792),
    [sym__identifier] = ACTIONS(5681),
    [anon_sym_COLON_GT] = ACTIONS(4103),
    [anon_sym_TILDE] = ACTIONS(5683),
    [anon_sym_QMARK] = ACTIONS(5683),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(4103),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4103),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_COLON2] = ACTIONS(4105),
    [anon_sym_DASH_GT] = ACTIONS(4105),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_SEMI] = ACTIONS(4103),
    [anon_sym_RBRACE] = ACTIONS(4103),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4103),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_GT_RBRACE] = ACTIONS(4103),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2796] = {
    [sym__binding_pattern] = STATE(6373),
    [sym_alias_binding_pattern] = STATE(6330),
    [sym_typed_binding_pattern] = STATE(6330),
    [sym_or_binding_pattern] = STATE(6330),
    [sym_constructor_binding_pattern] = STATE(6330),
    [sym_tag_binding_pattern] = STATE(6330),
    [sym_polymorphic_variant_pattern] = STATE(6330),
    [sym_tuple_binding_pattern] = STATE(6330),
    [sym_record_binding_pattern] = STATE(6334),
    [sym_list_binding_pattern] = STATE(6350),
    [sym_cons_binding_pattern] = STATE(6330),
    [sym_array_binding_pattern] = STATE(6352),
    [sym_range_pattern] = STATE(6330),
    [sym_lazy_binding_pattern] = STATE(6330),
    [sym_local_open_binding_pattern] = STATE(6330),
    [sym_package_pattern] = STATE(6330),
    [sym_parenthesized_binding_pattern] = STATE(6330),
    [sym_attribute] = STATE(2796),
    [sym_extension] = STATE(6330),
    [sym_quoted_extension] = STATE(6330),
    [sym__constant] = STATE(6262),
    [sym__signed_constant] = STATE(6295),
    [sym_number] = STATE(6166),
    [sym_signed_number] = STATE(6262),
    [sym_character] = STATE(6166),
    [sym_string] = STATE(6166),
    [sym_quoted_string] = STATE(6166),
    [sym_boolean] = STATE(6166),
    [sym_unit] = STATE(6166),
    [sym__value_name] = STATE(6330),
    [sym_parenthesized_operator] = STATE(6411),
    [sym_module_path] = STATE(21540),
    [sym_constructor_path] = STATE(2796),
    [sym__constructor_name] = STATE(6171),
    [sym_tag] = STATE(2797),
    [ts_builtin_sym_end] = ACTIONS(5951),
    [sym__identifier] = ACTIONS(5953),
    [anon_sym_SEMI_SEMI] = ACTIONS(5951),
    [anon_sym_let] = ACTIONS(5955),
    [anon_sym_and] = ACTIONS(5955),
    [anon_sym_COLON_GT] = ACTIONS(5951),
    [anon_sym_EQ] = ACTIONS(5951),
    [anon_sym_TILDE] = ACTIONS(5951),
    [anon_sym_QMARK] = ACTIONS(5951),
    [anon_sym_LPAREN] = ACTIONS(5957),
    [anon_sym_external] = ACTIONS(5955),
    [anon_sym_type] = ACTIONS(5955),
    [anon_sym_COMMA] = ACTIONS(5951),
    [anon_sym_PIPE] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(5959),
    [anon_sym_RBRACK] = ACTIONS(5951),
    [anon_sym_true] = ACTIONS(5961),
    [anon_sym_false] = ACTIONS(5961),
    [anon_sym_COLON2] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5963),
    [anon_sym_exception] = ACTIONS(5955),
    [anon_sym_module] = ACTIONS(5955),
    [anon_sym_open] = ACTIONS(5955),
    [anon_sym_include] = ACTIONS(5955),
    [anon_sym_class] = ACTIONS(5955),
    [anon_sym_in] = ACTIONS(5955),
    [anon_sym_as] = ACTIONS(5955),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(5951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5967),
    [anon_sym_lazy] = ACTIONS(5969),
    [anon_sym_begin] = ACTIONS(5971),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5955),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5951),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5973),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5975),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5951),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5951),
    [aux_sym_number_token1] = ACTIONS(5977),
    [aux_sym_signed_number_token1] = ACTIONS(5979),
    [anon_sym_SQUOTE] = ACTIONS(5981),
    [anon_sym_DQUOTE] = ACTIONS(5983),
    [sym_let_operator] = ACTIONS(5951),
    [sym_let_and_operator] = ACTIONS(5951),
    [sym__capitalized_identifier] = ACTIONS(5985),
    [aux_sym_directive_token1] = ACTIONS(5955),
    [aux_sym_tag_token1] = ACTIONS(5987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2797] = {
    [sym__binding_pattern] = STATE(6395),
    [sym_alias_binding_pattern] = STATE(6330),
    [sym_typed_binding_pattern] = STATE(6330),
    [sym_or_binding_pattern] = STATE(6330),
    [sym_constructor_binding_pattern] = STATE(6330),
    [sym_tag_binding_pattern] = STATE(6330),
    [sym_polymorphic_variant_pattern] = STATE(6330),
    [sym_tuple_binding_pattern] = STATE(6330),
    [sym_record_binding_pattern] = STATE(6334),
    [sym_list_binding_pattern] = STATE(6350),
    [sym_cons_binding_pattern] = STATE(6330),
    [sym_array_binding_pattern] = STATE(6352),
    [sym_range_pattern] = STATE(6330),
    [sym_lazy_binding_pattern] = STATE(6330),
    [sym_local_open_binding_pattern] = STATE(6330),
    [sym_package_pattern] = STATE(6330),
    [sym_parenthesized_binding_pattern] = STATE(6330),
    [sym_attribute] = STATE(2797),
    [sym_extension] = STATE(6330),
    [sym_quoted_extension] = STATE(6330),
    [sym__constant] = STATE(6262),
    [sym__signed_constant] = STATE(6295),
    [sym_number] = STATE(6166),
    [sym_signed_number] = STATE(6262),
    [sym_character] = STATE(6166),
    [sym_string] = STATE(6166),
    [sym_quoted_string] = STATE(6166),
    [sym_boolean] = STATE(6166),
    [sym_unit] = STATE(6166),
    [sym__value_name] = STATE(6330),
    [sym_parenthesized_operator] = STATE(6411),
    [sym_module_path] = STATE(21540),
    [sym_constructor_path] = STATE(2796),
    [sym__constructor_name] = STATE(6171),
    [sym_tag] = STATE(2797),
    [ts_builtin_sym_end] = ACTIONS(5951),
    [sym__identifier] = ACTIONS(5953),
    [anon_sym_SEMI_SEMI] = ACTIONS(5951),
    [anon_sym_let] = ACTIONS(5955),
    [anon_sym_and] = ACTIONS(5955),
    [anon_sym_COLON_GT] = ACTIONS(5951),
    [anon_sym_EQ] = ACTIONS(5951),
    [anon_sym_TILDE] = ACTIONS(5951),
    [anon_sym_QMARK] = ACTIONS(5951),
    [anon_sym_LPAREN] = ACTIONS(5957),
    [anon_sym_external] = ACTIONS(5955),
    [anon_sym_type] = ACTIONS(5955),
    [anon_sym_COMMA] = ACTIONS(5951),
    [anon_sym_PIPE] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(5959),
    [anon_sym_RBRACK] = ACTIONS(5951),
    [anon_sym_true] = ACTIONS(5961),
    [anon_sym_false] = ACTIONS(5961),
    [anon_sym_COLON2] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5963),
    [anon_sym_exception] = ACTIONS(5955),
    [anon_sym_module] = ACTIONS(5955),
    [anon_sym_open] = ACTIONS(5955),
    [anon_sym_include] = ACTIONS(5955),
    [anon_sym_class] = ACTIONS(5955),
    [anon_sym_in] = ACTIONS(5955),
    [anon_sym_as] = ACTIONS(5955),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(5951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5967),
    [anon_sym_lazy] = ACTIONS(5969),
    [anon_sym_begin] = ACTIONS(5971),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5955),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5951),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5973),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5975),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5951),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5951),
    [aux_sym_number_token1] = ACTIONS(5977),
    [aux_sym_signed_number_token1] = ACTIONS(5979),
    [anon_sym_SQUOTE] = ACTIONS(5981),
    [anon_sym_DQUOTE] = ACTIONS(5983),
    [sym_let_operator] = ACTIONS(5951),
    [sym_let_and_operator] = ACTIONS(5951),
    [sym__capitalized_identifier] = ACTIONS(5985),
    [aux_sym_directive_token1] = ACTIONS(5955),
    [aux_sym_tag_token1] = ACTIONS(5987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2798] = {
    [sym__binding_pattern] = STATE(6495),
    [sym_alias_binding_pattern] = STATE(6484),
    [sym_typed_binding_pattern] = STATE(6484),
    [sym_or_binding_pattern] = STATE(6484),
    [sym_constructor_binding_pattern] = STATE(6484),
    [sym_tag_binding_pattern] = STATE(6484),
    [sym_polymorphic_variant_pattern] = STATE(6484),
    [sym_tuple_binding_pattern] = STATE(6484),
    [sym_record_binding_pattern] = STATE(6519),
    [sym_list_binding_pattern] = STATE(6538),
    [sym_cons_binding_pattern] = STATE(6484),
    [sym_array_binding_pattern] = STATE(6540),
    [sym_range_pattern] = STATE(6484),
    [sym_lazy_binding_pattern] = STATE(6484),
    [sym_local_open_binding_pattern] = STATE(6484),
    [sym_package_pattern] = STATE(6484),
    [sym_parenthesized_binding_pattern] = STATE(6484),
    [sym_attribute] = STATE(2798),
    [sym_extension] = STATE(6484),
    [sym_quoted_extension] = STATE(6484),
    [sym__constant] = STATE(6338),
    [sym__signed_constant] = STATE(6345),
    [sym_number] = STATE(6417),
    [sym_signed_number] = STATE(6338),
    [sym_character] = STATE(6417),
    [sym_string] = STATE(6417),
    [sym_quoted_string] = STATE(6417),
    [sym_boolean] = STATE(6417),
    [sym_unit] = STATE(6417),
    [sym__value_name] = STATE(6484),
    [sym_parenthesized_operator] = STATE(6542),
    [sym_module_path] = STATE(20763),
    [sym_constructor_path] = STATE(2803),
    [sym__constructor_name] = STATE(6363),
    [sym_tag] = STATE(2798),
    [sym__identifier] = ACTIONS(5989),
    [anon_sym_SEMI_SEMI] = ACTIONS(5951),
    [anon_sym_let] = ACTIONS(5955),
    [anon_sym_and] = ACTIONS(5955),
    [anon_sym_COLON_GT] = ACTIONS(5951),
    [anon_sym_EQ] = ACTIONS(5951),
    [anon_sym_TILDE] = ACTIONS(5951),
    [anon_sym_QMARK] = ACTIONS(5951),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_external] = ACTIONS(5955),
    [anon_sym_type] = ACTIONS(5955),
    [anon_sym_COMMA] = ACTIONS(5951),
    [anon_sym_PIPE] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(5993),
    [anon_sym_true] = ACTIONS(5995),
    [anon_sym_false] = ACTIONS(5995),
    [anon_sym_COLON2] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5997),
    [anon_sym_exception] = ACTIONS(5955),
    [anon_sym_module] = ACTIONS(5955),
    [anon_sym_open] = ACTIONS(5955),
    [anon_sym_include] = ACTIONS(5955),
    [anon_sym_class] = ACTIONS(5955),
    [anon_sym_end] = ACTIONS(5955),
    [anon_sym_in] = ACTIONS(5955),
    [anon_sym_as] = ACTIONS(5955),
    [anon_sym_POUND] = ACTIONS(5999),
    [anon_sym_COLON_COLON] = ACTIONS(5951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6001),
    [anon_sym_lazy] = ACTIONS(6003),
    [anon_sym_begin] = ACTIONS(6005),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5955),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5951),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6007),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6009),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5951),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5951),
    [aux_sym_number_token1] = ACTIONS(6011),
    [aux_sym_signed_number_token1] = ACTIONS(6013),
    [anon_sym_SQUOTE] = ACTIONS(6015),
    [anon_sym_DQUOTE] = ACTIONS(6017),
    [sym_let_operator] = ACTIONS(5951),
    [sym_let_and_operator] = ACTIONS(5951),
    [sym__capitalized_identifier] = ACTIONS(6019),
    [aux_sym_directive_token1] = ACTIONS(5955),
    [aux_sym_tag_token1] = ACTIONS(6021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2799] = {
    [sym__simple_expression] = STATE(6432),
    [sym_typed_expression] = STATE(6355),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_labeled_argument] = STATE(6810),
    [sym_prefix_expression] = STATE(6355),
    [sym_hash_expression] = STATE(6355),
    [sym_field_get_expression] = STATE(6355),
    [sym_array_get_expression] = STATE(6355),
    [sym_string_get_expression] = STATE(6355),
    [sym_bigarray_get_expression] = STATE(6355),
    [sym_coercion_expression] = STATE(6355),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(2799),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [aux_sym_class_application_repeat1] = STATE(2800),
    [sym__identifier] = ACTIONS(5691),
    [anon_sym_COLON_GT] = ACTIONS(4103),
    [anon_sym_TILDE] = ACTIONS(5693),
    [anon_sym_QMARK] = ACTIONS(5693),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_RPAREN] = ACTIONS(4103),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_RBRACK] = ACTIONS(4103),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_COLON2] = ACTIONS(4105),
    [anon_sym_DASH_GT] = ACTIONS(4105),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(4103),
    [anon_sym_RBRACE] = ACTIONS(4103),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_GT_RBRACE] = ACTIONS(4103),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2800] = {
    [sym__simple_expression] = STATE(6432),
    [sym_typed_expression] = STATE(6355),
    [sym_list_expression] = STATE(6355),
    [sym_array_expression] = STATE(6355),
    [sym_record_expression] = STATE(6355),
    [sym_labeled_argument] = STATE(6810),
    [sym_prefix_expression] = STATE(6355),
    [sym_hash_expression] = STATE(6355),
    [sym_field_get_expression] = STATE(6355),
    [sym_array_get_expression] = STATE(6355),
    [sym_string_get_expression] = STATE(6355),
    [sym_bigarray_get_expression] = STATE(6355),
    [sym_coercion_expression] = STATE(6355),
    [sym_local_open_expression] = STATE(6355),
    [sym_package_expression] = STATE(6355),
    [sym_new_expression] = STATE(6355),
    [sym_object_copy_expression] = STATE(6355),
    [sym_method_invocation] = STATE(6355),
    [sym_object_expression] = STATE(6355),
    [sym_parenthesized_expression] = STATE(6355),
    [sym_attribute] = STATE(2800),
    [sym_extension] = STATE(6355),
    [sym_quoted_extension] = STATE(6355),
    [sym__constant] = STATE(6355),
    [sym_number] = STATE(6328),
    [sym_character] = STATE(6328),
    [sym_string] = STATE(6328),
    [sym_quoted_string] = STATE(6328),
    [sym_boolean] = STATE(6328),
    [sym_unit] = STATE(6328),
    [sym__value_name] = STATE(6447),
    [sym_parenthesized_operator] = STATE(6385),
    [sym_value_path] = STATE(6355),
    [sym_module_path] = STATE(19599),
    [sym_constructor_path] = STATE(6355),
    [sym__constructor_name] = STATE(6379),
    [sym_tag] = STATE(6355),
    [aux_sym_class_application_repeat1] = STATE(2800),
    [sym__identifier] = ACTIONS(6023),
    [anon_sym_COLON_GT] = ACTIONS(4339),
    [anon_sym_TILDE] = ACTIONS(6026),
    [anon_sym_QMARK] = ACTIONS(6026),
    [anon_sym_LPAREN] = ACTIONS(6029),
    [anon_sym_RPAREN] = ACTIONS(4339),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(6032),
    [anon_sym_RBRACK] = ACTIONS(4339),
    [anon_sym_true] = ACTIONS(6035),
    [anon_sym_false] = ACTIONS(6035),
    [anon_sym_COLON2] = ACTIONS(4344),
    [anon_sym_DASH_GT] = ACTIONS(4344),
    [anon_sym_LBRACE] = ACTIONS(6038),
    [anon_sym_SEMI] = ACTIONS(4339),
    [anon_sym_RBRACE] = ACTIONS(4339),
    [anon_sym_object] = ACTIONS(6041),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6044),
    [anon_sym_new] = ACTIONS(6047),
    [anon_sym_LBRACE_LT] = ACTIONS(6050),
    [anon_sym_GT_RBRACE] = ACTIONS(4339),
    [anon_sym_begin] = ACTIONS(6053),
    [sym_ocamlyacc_value] = ACTIONS(6056),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6062),
    [aux_sym_number_token1] = ACTIONS(6065),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(6068),
    [anon_sym_DQUOTE] = ACTIONS(6071),
    [sym_prefix_operator] = ACTIONS(6074),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(6077),
    [aux_sym_tag_token1] = ACTIONS(6080),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2801] = {
    [sym__binding_pattern] = STATE(6581),
    [sym_alias_binding_pattern] = STATE(6532),
    [sym_typed_binding_pattern] = STATE(6532),
    [sym_or_binding_pattern] = STATE(6532),
    [sym_constructor_binding_pattern] = STATE(6532),
    [sym_tag_binding_pattern] = STATE(6532),
    [sym_polymorphic_variant_pattern] = STATE(6532),
    [sym_tuple_binding_pattern] = STATE(6532),
    [sym_record_binding_pattern] = STATE(6556),
    [sym_list_binding_pattern] = STATE(6588),
    [sym_cons_binding_pattern] = STATE(6532),
    [sym_array_binding_pattern] = STATE(6485),
    [sym_range_pattern] = STATE(6532),
    [sym_lazy_binding_pattern] = STATE(6532),
    [sym_local_open_binding_pattern] = STATE(6532),
    [sym_package_pattern] = STATE(6532),
    [sym_parenthesized_binding_pattern] = STATE(6532),
    [sym_attribute] = STATE(2801),
    [sym_extension] = STATE(6532),
    [sym_quoted_extension] = STATE(6532),
    [sym__constant] = STATE(6421),
    [sym__signed_constant] = STATE(6356),
    [sym_number] = STATE(6340),
    [sym_signed_number] = STATE(6421),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym__value_name] = STATE(6532),
    [sym_parenthesized_operator] = STATE(6516),
    [sym_module_path] = STATE(20390),
    [sym_constructor_path] = STATE(2802),
    [sym__constructor_name] = STATE(6412),
    [sym_tag] = STATE(2801),
    [ts_builtin_sym_end] = ACTIONS(5951),
    [sym__identifier] = ACTIONS(6083),
    [anon_sym_SEMI_SEMI] = ACTIONS(5951),
    [anon_sym_let] = ACTIONS(5955),
    [anon_sym_and] = ACTIONS(5955),
    [anon_sym_COLON_GT] = ACTIONS(5951),
    [anon_sym_EQ] = ACTIONS(5951),
    [anon_sym_TILDE] = ACTIONS(5951),
    [anon_sym_QMARK] = ACTIONS(5951),
    [anon_sym_LPAREN] = ACTIONS(6085),
    [anon_sym_external] = ACTIONS(5955),
    [anon_sym_type] = ACTIONS(5955),
    [anon_sym_COMMA] = ACTIONS(5951),
    [anon_sym_PIPE] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [anon_sym_RBRACK] = ACTIONS(5951),
    [anon_sym_true] = ACTIONS(6089),
    [anon_sym_false] = ACTIONS(6089),
    [anon_sym_COLON2] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(6091),
    [anon_sym_exception] = ACTIONS(5955),
    [anon_sym_module] = ACTIONS(5955),
    [anon_sym_open] = ACTIONS(5955),
    [anon_sym_include] = ACTIONS(5955),
    [anon_sym_class] = ACTIONS(5955),
    [anon_sym_as] = ACTIONS(5955),
    [anon_sym_POUND] = ACTIONS(6093),
    [anon_sym_COLON_COLON] = ACTIONS(5951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6095),
    [anon_sym_lazy] = ACTIONS(6097),
    [anon_sym_begin] = ACTIONS(6099),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5955),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5951),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5951),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5951),
    [aux_sym_number_token1] = ACTIONS(6105),
    [aux_sym_signed_number_token1] = ACTIONS(6107),
    [anon_sym_SQUOTE] = ACTIONS(6109),
    [anon_sym_DQUOTE] = ACTIONS(6111),
    [sym_let_operator] = ACTIONS(5951),
    [sym_let_and_operator] = ACTIONS(5951),
    [sym__capitalized_identifier] = ACTIONS(6113),
    [aux_sym_directive_token1] = ACTIONS(5955),
    [aux_sym_tag_token1] = ACTIONS(6115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2802] = {
    [sym__binding_pattern] = STATE(6580),
    [sym_alias_binding_pattern] = STATE(6532),
    [sym_typed_binding_pattern] = STATE(6532),
    [sym_or_binding_pattern] = STATE(6532),
    [sym_constructor_binding_pattern] = STATE(6532),
    [sym_tag_binding_pattern] = STATE(6532),
    [sym_polymorphic_variant_pattern] = STATE(6532),
    [sym_tuple_binding_pattern] = STATE(6532),
    [sym_record_binding_pattern] = STATE(6556),
    [sym_list_binding_pattern] = STATE(6588),
    [sym_cons_binding_pattern] = STATE(6532),
    [sym_array_binding_pattern] = STATE(6485),
    [sym_range_pattern] = STATE(6532),
    [sym_lazy_binding_pattern] = STATE(6532),
    [sym_local_open_binding_pattern] = STATE(6532),
    [sym_package_pattern] = STATE(6532),
    [sym_parenthesized_binding_pattern] = STATE(6532),
    [sym_attribute] = STATE(2802),
    [sym_extension] = STATE(6532),
    [sym_quoted_extension] = STATE(6532),
    [sym__constant] = STATE(6421),
    [sym__signed_constant] = STATE(6356),
    [sym_number] = STATE(6340),
    [sym_signed_number] = STATE(6421),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym__value_name] = STATE(6532),
    [sym_parenthesized_operator] = STATE(6516),
    [sym_module_path] = STATE(20390),
    [sym_constructor_path] = STATE(2802),
    [sym__constructor_name] = STATE(6412),
    [sym_tag] = STATE(2801),
    [ts_builtin_sym_end] = ACTIONS(5951),
    [sym__identifier] = ACTIONS(6083),
    [anon_sym_SEMI_SEMI] = ACTIONS(5951),
    [anon_sym_let] = ACTIONS(5955),
    [anon_sym_and] = ACTIONS(5955),
    [anon_sym_COLON_GT] = ACTIONS(5951),
    [anon_sym_EQ] = ACTIONS(5951),
    [anon_sym_TILDE] = ACTIONS(5951),
    [anon_sym_QMARK] = ACTIONS(5951),
    [anon_sym_LPAREN] = ACTIONS(6085),
    [anon_sym_external] = ACTIONS(5955),
    [anon_sym_type] = ACTIONS(5955),
    [anon_sym_COMMA] = ACTIONS(5951),
    [anon_sym_PIPE] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [anon_sym_RBRACK] = ACTIONS(5951),
    [anon_sym_true] = ACTIONS(6089),
    [anon_sym_false] = ACTIONS(6089),
    [anon_sym_COLON2] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(6091),
    [anon_sym_exception] = ACTIONS(5955),
    [anon_sym_module] = ACTIONS(5955),
    [anon_sym_open] = ACTIONS(5955),
    [anon_sym_include] = ACTIONS(5955),
    [anon_sym_class] = ACTIONS(5955),
    [anon_sym_as] = ACTIONS(5955),
    [anon_sym_POUND] = ACTIONS(6093),
    [anon_sym_COLON_COLON] = ACTIONS(5951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6095),
    [anon_sym_lazy] = ACTIONS(6097),
    [anon_sym_begin] = ACTIONS(6099),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5955),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5951),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5951),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5951),
    [aux_sym_number_token1] = ACTIONS(6105),
    [aux_sym_signed_number_token1] = ACTIONS(6107),
    [anon_sym_SQUOTE] = ACTIONS(6109),
    [anon_sym_DQUOTE] = ACTIONS(6111),
    [sym_let_operator] = ACTIONS(5951),
    [sym_let_and_operator] = ACTIONS(5951),
    [sym__capitalized_identifier] = ACTIONS(6113),
    [aux_sym_directive_token1] = ACTIONS(5955),
    [aux_sym_tag_token1] = ACTIONS(6115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2803] = {
    [sym__binding_pattern] = STATE(6487),
    [sym_alias_binding_pattern] = STATE(6484),
    [sym_typed_binding_pattern] = STATE(6484),
    [sym_or_binding_pattern] = STATE(6484),
    [sym_constructor_binding_pattern] = STATE(6484),
    [sym_tag_binding_pattern] = STATE(6484),
    [sym_polymorphic_variant_pattern] = STATE(6484),
    [sym_tuple_binding_pattern] = STATE(6484),
    [sym_record_binding_pattern] = STATE(6519),
    [sym_list_binding_pattern] = STATE(6538),
    [sym_cons_binding_pattern] = STATE(6484),
    [sym_array_binding_pattern] = STATE(6540),
    [sym_range_pattern] = STATE(6484),
    [sym_lazy_binding_pattern] = STATE(6484),
    [sym_local_open_binding_pattern] = STATE(6484),
    [sym_package_pattern] = STATE(6484),
    [sym_parenthesized_binding_pattern] = STATE(6484),
    [sym_attribute] = STATE(2803),
    [sym_extension] = STATE(6484),
    [sym_quoted_extension] = STATE(6484),
    [sym__constant] = STATE(6338),
    [sym__signed_constant] = STATE(6345),
    [sym_number] = STATE(6417),
    [sym_signed_number] = STATE(6338),
    [sym_character] = STATE(6417),
    [sym_string] = STATE(6417),
    [sym_quoted_string] = STATE(6417),
    [sym_boolean] = STATE(6417),
    [sym_unit] = STATE(6417),
    [sym__value_name] = STATE(6484),
    [sym_parenthesized_operator] = STATE(6542),
    [sym_module_path] = STATE(20763),
    [sym_constructor_path] = STATE(2803),
    [sym__constructor_name] = STATE(6363),
    [sym_tag] = STATE(2798),
    [sym__identifier] = ACTIONS(5989),
    [anon_sym_SEMI_SEMI] = ACTIONS(5951),
    [anon_sym_let] = ACTIONS(5955),
    [anon_sym_and] = ACTIONS(5955),
    [anon_sym_COLON_GT] = ACTIONS(5951),
    [anon_sym_EQ] = ACTIONS(5951),
    [anon_sym_TILDE] = ACTIONS(5951),
    [anon_sym_QMARK] = ACTIONS(5951),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_external] = ACTIONS(5955),
    [anon_sym_type] = ACTIONS(5955),
    [anon_sym_COMMA] = ACTIONS(5951),
    [anon_sym_PIPE] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(5993),
    [anon_sym_true] = ACTIONS(5995),
    [anon_sym_false] = ACTIONS(5995),
    [anon_sym_COLON2] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5997),
    [anon_sym_exception] = ACTIONS(5955),
    [anon_sym_module] = ACTIONS(5955),
    [anon_sym_open] = ACTIONS(5955),
    [anon_sym_include] = ACTIONS(5955),
    [anon_sym_class] = ACTIONS(5955),
    [anon_sym_end] = ACTIONS(5955),
    [anon_sym_in] = ACTIONS(5955),
    [anon_sym_as] = ACTIONS(5955),
    [anon_sym_POUND] = ACTIONS(5999),
    [anon_sym_COLON_COLON] = ACTIONS(5951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6001),
    [anon_sym_lazy] = ACTIONS(6003),
    [anon_sym_begin] = ACTIONS(6005),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5955),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5951),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6007),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6009),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5951),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5951),
    [aux_sym_number_token1] = ACTIONS(6011),
    [aux_sym_signed_number_token1] = ACTIONS(6013),
    [anon_sym_SQUOTE] = ACTIONS(6015),
    [anon_sym_DQUOTE] = ACTIONS(6017),
    [sym_let_operator] = ACTIONS(5951),
    [sym_let_and_operator] = ACTIONS(5951),
    [sym__capitalized_identifier] = ACTIONS(6019),
    [aux_sym_directive_token1] = ACTIONS(5955),
    [aux_sym_tag_token1] = ACTIONS(6021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2804] = {
    [sym__simple_expression] = STATE(6817),
    [sym_typed_expression] = STATE(6748),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_labeled_argument] = STATE(8266),
    [sym_prefix_expression] = STATE(6748),
    [sym_hash_expression] = STATE(6748),
    [sym_field_get_expression] = STATE(6748),
    [sym_array_get_expression] = STATE(6748),
    [sym_string_get_expression] = STATE(6748),
    [sym_bigarray_get_expression] = STATE(6748),
    [sym_coercion_expression] = STATE(6748),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2804),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [aux_sym_class_application_repeat1] = STATE(2823),
    [sym__identifier] = ACTIONS(6117),
    [anon_sym_and] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(6119),
    [anon_sym_QMARK] = ACTIONS(6119),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_DOT] = ACTIONS(6121),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(3527),
    [anon_sym_POUND] = ACTIONS(6123),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3525),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(6125),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym_let_and_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2805] = {
    [sym__simple_expression] = STATE(6860),
    [sym_typed_expression] = STATE(6852),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_labeled_argument] = STATE(8397),
    [sym_prefix_expression] = STATE(6852),
    [sym_hash_expression] = STATE(6852),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_coercion_expression] = STATE(6852),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(2805),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [aux_sym_class_application_repeat1] = STATE(2842),
    [sym__identifier] = ACTIONS(6127),
    [anon_sym_TILDE] = ACTIONS(6129),
    [anon_sym_QMARK] = ACTIONS(6129),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_DOT] = ACTIONS(6131),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_POUND] = ACTIONS(6133),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_else] = ACTIONS(3527),
    [anon_sym_to] = ACTIONS(3527),
    [anon_sym_downto] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(6135),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2806] = {
    [sym__binding_pattern] = STATE(6704),
    [sym_alias_binding_pattern] = STATE(6743),
    [sym_typed_binding_pattern] = STATE(6743),
    [sym_or_binding_pattern] = STATE(6743),
    [sym_constructor_binding_pattern] = STATE(6743),
    [sym_tag_binding_pattern] = STATE(6743),
    [sym_polymorphic_variant_pattern] = STATE(6743),
    [sym_tuple_binding_pattern] = STATE(6743),
    [sym_record_binding_pattern] = STATE(6675),
    [sym_list_binding_pattern] = STATE(6676),
    [sym_cons_binding_pattern] = STATE(6743),
    [sym_array_binding_pattern] = STATE(6677),
    [sym_range_pattern] = STATE(6743),
    [sym_lazy_binding_pattern] = STATE(6743),
    [sym_local_open_binding_pattern] = STATE(6743),
    [sym_package_pattern] = STATE(6743),
    [sym_parenthesized_binding_pattern] = STATE(6743),
    [sym_attribute] = STATE(2806),
    [sym_extension] = STATE(6743),
    [sym_quoted_extension] = STATE(6743),
    [sym__constant] = STATE(6498),
    [sym__signed_constant] = STATE(6575),
    [sym_number] = STATE(6504),
    [sym_signed_number] = STATE(6498),
    [sym_character] = STATE(6504),
    [sym_string] = STATE(6504),
    [sym_quoted_string] = STATE(6504),
    [sym_boolean] = STATE(6504),
    [sym_unit] = STATE(6504),
    [sym__value_name] = STATE(6743),
    [sym_parenthesized_operator] = STATE(6661),
    [sym_module_path] = STATE(21000),
    [sym_constructor_path] = STATE(2806),
    [sym__constructor_name] = STATE(6558),
    [sym_tag] = STATE(2807),
    [sym__identifier] = ACTIONS(6137),
    [anon_sym_SEMI_SEMI] = ACTIONS(5951),
    [anon_sym_let] = ACTIONS(5955),
    [anon_sym_and] = ACTIONS(5955),
    [anon_sym_COLON_GT] = ACTIONS(5951),
    [anon_sym_EQ] = ACTIONS(5951),
    [anon_sym_TILDE] = ACTIONS(5951),
    [anon_sym_QMARK] = ACTIONS(5951),
    [anon_sym_LPAREN] = ACTIONS(6139),
    [anon_sym_external] = ACTIONS(5955),
    [anon_sym_type] = ACTIONS(5955),
    [anon_sym_COMMA] = ACTIONS(5951),
    [anon_sym_PIPE] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(6141),
    [anon_sym_true] = ACTIONS(6143),
    [anon_sym_false] = ACTIONS(6143),
    [anon_sym_COLON2] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(6145),
    [anon_sym_exception] = ACTIONS(5955),
    [anon_sym_module] = ACTIONS(5955),
    [anon_sym_open] = ACTIONS(5955),
    [anon_sym_include] = ACTIONS(5955),
    [anon_sym_class] = ACTIONS(5955),
    [anon_sym_end] = ACTIONS(5955),
    [anon_sym_as] = ACTIONS(5955),
    [anon_sym_POUND] = ACTIONS(6147),
    [anon_sym_COLON_COLON] = ACTIONS(5951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6149),
    [anon_sym_lazy] = ACTIONS(6151),
    [anon_sym_begin] = ACTIONS(6153),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5955),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5951),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6157),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5951),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5951),
    [aux_sym_number_token1] = ACTIONS(6159),
    [aux_sym_signed_number_token1] = ACTIONS(6161),
    [anon_sym_SQUOTE] = ACTIONS(6163),
    [anon_sym_DQUOTE] = ACTIONS(6165),
    [sym_let_operator] = ACTIONS(5951),
    [sym_let_and_operator] = ACTIONS(5951),
    [sym__capitalized_identifier] = ACTIONS(6167),
    [aux_sym_directive_token1] = ACTIONS(5955),
    [aux_sym_tag_token1] = ACTIONS(6169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2807] = {
    [sym__binding_pattern] = STATE(6706),
    [sym_alias_binding_pattern] = STATE(6743),
    [sym_typed_binding_pattern] = STATE(6743),
    [sym_or_binding_pattern] = STATE(6743),
    [sym_constructor_binding_pattern] = STATE(6743),
    [sym_tag_binding_pattern] = STATE(6743),
    [sym_polymorphic_variant_pattern] = STATE(6743),
    [sym_tuple_binding_pattern] = STATE(6743),
    [sym_record_binding_pattern] = STATE(6675),
    [sym_list_binding_pattern] = STATE(6676),
    [sym_cons_binding_pattern] = STATE(6743),
    [sym_array_binding_pattern] = STATE(6677),
    [sym_range_pattern] = STATE(6743),
    [sym_lazy_binding_pattern] = STATE(6743),
    [sym_local_open_binding_pattern] = STATE(6743),
    [sym_package_pattern] = STATE(6743),
    [sym_parenthesized_binding_pattern] = STATE(6743),
    [sym_attribute] = STATE(2807),
    [sym_extension] = STATE(6743),
    [sym_quoted_extension] = STATE(6743),
    [sym__constant] = STATE(6498),
    [sym__signed_constant] = STATE(6575),
    [sym_number] = STATE(6504),
    [sym_signed_number] = STATE(6498),
    [sym_character] = STATE(6504),
    [sym_string] = STATE(6504),
    [sym_quoted_string] = STATE(6504),
    [sym_boolean] = STATE(6504),
    [sym_unit] = STATE(6504),
    [sym__value_name] = STATE(6743),
    [sym_parenthesized_operator] = STATE(6661),
    [sym_module_path] = STATE(21000),
    [sym_constructor_path] = STATE(2806),
    [sym__constructor_name] = STATE(6558),
    [sym_tag] = STATE(2807),
    [sym__identifier] = ACTIONS(6137),
    [anon_sym_SEMI_SEMI] = ACTIONS(5951),
    [anon_sym_let] = ACTIONS(5955),
    [anon_sym_and] = ACTIONS(5955),
    [anon_sym_COLON_GT] = ACTIONS(5951),
    [anon_sym_EQ] = ACTIONS(5951),
    [anon_sym_TILDE] = ACTIONS(5951),
    [anon_sym_QMARK] = ACTIONS(5951),
    [anon_sym_LPAREN] = ACTIONS(6139),
    [anon_sym_external] = ACTIONS(5955),
    [anon_sym_type] = ACTIONS(5955),
    [anon_sym_COMMA] = ACTIONS(5951),
    [anon_sym_PIPE] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(6141),
    [anon_sym_true] = ACTIONS(6143),
    [anon_sym_false] = ACTIONS(6143),
    [anon_sym_COLON2] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(6145),
    [anon_sym_exception] = ACTIONS(5955),
    [anon_sym_module] = ACTIONS(5955),
    [anon_sym_open] = ACTIONS(5955),
    [anon_sym_include] = ACTIONS(5955),
    [anon_sym_class] = ACTIONS(5955),
    [anon_sym_end] = ACTIONS(5955),
    [anon_sym_as] = ACTIONS(5955),
    [anon_sym_POUND] = ACTIONS(6147),
    [anon_sym_COLON_COLON] = ACTIONS(5951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6149),
    [anon_sym_lazy] = ACTIONS(6151),
    [anon_sym_begin] = ACTIONS(6153),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5955),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5951),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6155),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6157),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5951),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5951),
    [aux_sym_number_token1] = ACTIONS(6159),
    [aux_sym_signed_number_token1] = ACTIONS(6161),
    [anon_sym_SQUOTE] = ACTIONS(6163),
    [anon_sym_DQUOTE] = ACTIONS(6165),
    [sym_let_operator] = ACTIONS(5951),
    [sym_let_and_operator] = ACTIONS(5951),
    [sym__capitalized_identifier] = ACTIONS(6167),
    [aux_sym_directive_token1] = ACTIONS(5955),
    [aux_sym_tag_token1] = ACTIONS(6169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2808] = {
    [sym__simple_expression] = STATE(7631),
    [sym_typed_expression] = STATE(7673),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_labeled_argument] = STATE(8626),
    [sym_prefix_expression] = STATE(7673),
    [sym_hash_expression] = STATE(7673),
    [sym_field_get_expression] = STATE(7673),
    [sym_array_get_expression] = STATE(7673),
    [sym_string_get_expression] = STATE(7673),
    [sym_bigarray_get_expression] = STATE(7673),
    [sym_coercion_expression] = STATE(7673),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2808),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [aux_sym_class_application_repeat1] = STATE(2850),
    [sym__identifier] = ACTIONS(6171),
    [anon_sym_TILDE] = ACTIONS(6173),
    [anon_sym_QMARK] = ACTIONS(6173),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(6175),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_end] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_POUND] = ACTIONS(6177),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(6179),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2809] = {
    [sym__simple_expression] = STATE(7227),
    [sym_typed_expression] = STATE(7709),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_labeled_argument] = STATE(8680),
    [sym_prefix_expression] = STATE(7709),
    [sym_hash_expression] = STATE(7709),
    [sym_field_get_expression] = STATE(7709),
    [sym_array_get_expression] = STATE(7709),
    [sym_string_get_expression] = STATE(7709),
    [sym_bigarray_get_expression] = STATE(7709),
    [sym_coercion_expression] = STATE(7709),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(2809),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [aux_sym_class_application_repeat1] = STATE(2852),
    [sym__identifier] = ACTIONS(6181),
    [anon_sym_TILDE] = ACTIONS(6183),
    [anon_sym_QMARK] = ACTIONS(6183),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_DOT] = ACTIONS(6185),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_POUND] = ACTIONS(6187),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_else] = ACTIONS(3527),
    [anon_sym_done] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(6189),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2810] = {
    [sym__simple_expression] = STATE(7572),
    [sym_typed_expression] = STATE(7621),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_labeled_argument] = STATE(8602),
    [sym_prefix_expression] = STATE(7621),
    [sym_hash_expression] = STATE(7621),
    [sym_field_get_expression] = STATE(7621),
    [sym_array_get_expression] = STATE(7621),
    [sym_string_get_expression] = STATE(7621),
    [sym_bigarray_get_expression] = STATE(7621),
    [sym_coercion_expression] = STATE(7621),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2810),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [aux_sym_class_application_repeat1] = STATE(2853),
    [sym__identifier] = ACTIONS(6191),
    [anon_sym_TILDE] = ACTIONS(6193),
    [anon_sym_QMARK] = ACTIONS(6193),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_DOT] = ACTIONS(6195),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_with] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_POUND] = ACTIONS(6197),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(6199),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2811] = {
    [sym__simple_expression] = STATE(7383),
    [sym_typed_expression] = STATE(7369),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_labeled_argument] = STATE(8499),
    [sym_prefix_expression] = STATE(7369),
    [sym_hash_expression] = STATE(7369),
    [sym_field_get_expression] = STATE(7369),
    [sym_array_get_expression] = STATE(7369),
    [sym_string_get_expression] = STATE(7369),
    [sym_bigarray_get_expression] = STATE(7369),
    [sym_coercion_expression] = STATE(7369),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(2811),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [aux_sym_class_application_repeat1] = STATE(2861),
    [sym__identifier] = ACTIONS(6201),
    [anon_sym_TILDE] = ACTIONS(6203),
    [anon_sym_QMARK] = ACTIONS(6203),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_DOT] = ACTIONS(6205),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_POUND] = ACTIONS(6207),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_to] = ACTIONS(3527),
    [anon_sym_downto] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(6209),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2812] = {
    [sym__simple_expression] = STATE(7496),
    [sym_typed_expression] = STATE(7504),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_labeled_argument] = STATE(8575),
    [sym_prefix_expression] = STATE(7504),
    [sym_hash_expression] = STATE(7504),
    [sym_field_get_expression] = STATE(7504),
    [sym_array_get_expression] = STATE(7504),
    [sym_string_get_expression] = STATE(7504),
    [sym_bigarray_get_expression] = STATE(7504),
    [sym_coercion_expression] = STATE(7504),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2812),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [aux_sym_class_application_repeat1] = STATE(2867),
    [sym__identifier] = ACTIONS(6211),
    [anon_sym_TILDE] = ACTIONS(6213),
    [anon_sym_QMARK] = ACTIONS(6213),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_DOT] = ACTIONS(6215),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_POUND] = ACTIONS(6217),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_then] = ACTIONS(3527),
    [anon_sym_else] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(6219),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2813] = {
    [sym__simple_expression] = STATE(7512),
    [sym_typed_expression] = STATE(7557),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_labeled_argument] = STATE(8590),
    [sym_prefix_expression] = STATE(7557),
    [sym_hash_expression] = STATE(7557),
    [sym_field_get_expression] = STATE(7557),
    [sym_array_get_expression] = STATE(7557),
    [sym_string_get_expression] = STATE(7557),
    [sym_bigarray_get_expression] = STATE(7557),
    [sym_coercion_expression] = STATE(7557),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2813),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [aux_sym_class_application_repeat1] = STATE(2864),
    [sym__identifier] = ACTIONS(6221),
    [anon_sym_TILDE] = ACTIONS(6223),
    [anon_sym_QMARK] = ACTIONS(6223),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_DOT] = ACTIONS(6225),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_POUND] = ACTIONS(6227),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_else] = ACTIONS(3527),
    [anon_sym_do] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(6229),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2814] = {
    [sym__simple_expression] = STATE(6609),
    [sym_typed_expression] = STATE(6610),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_labeled_argument] = STATE(7263),
    [sym_prefix_expression] = STATE(6610),
    [sym_hash_expression] = STATE(6610),
    [sym_field_get_expression] = STATE(6610),
    [sym_array_get_expression] = STATE(6610),
    [sym_string_get_expression] = STATE(6610),
    [sym_bigarray_get_expression] = STATE(6610),
    [sym_coercion_expression] = STATE(6610),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2814),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [aux_sym_class_application_repeat1] = STATE(2814),
    [sym__identifier] = ACTIONS(6231),
    [anon_sym_and] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(6234),
    [anon_sym_QMARK] = ACTIONS(6234),
    [anon_sym_LPAREN] = ACTIONS(6237),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(6240),
    [anon_sym_true] = ACTIONS(6243),
    [anon_sym_false] = ACTIONS(6243),
    [anon_sym_LBRACE] = ACTIONS(6246),
    [anon_sym_SEMI] = ACTIONS(4339),
    [anon_sym_object] = ACTIONS(6249),
    [anon_sym_in] = ACTIONS(4344),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6252),
    [anon_sym_else] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(6255),
    [anon_sym_LBRACE_LT] = ACTIONS(6258),
    [anon_sym_begin] = ACTIONS(6261),
    [sym_ocamlyacc_value] = ACTIONS(6264),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6270),
    [aux_sym_number_token1] = ACTIONS(6273),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(6276),
    [anon_sym_DQUOTE] = ACTIONS(6279),
    [sym_prefix_operator] = ACTIONS(6282),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym_let_and_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(6285),
    [aux_sym_tag_token1] = ACTIONS(6288),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2815] = {
    [sym__simple_expression] = STATE(6609),
    [sym_typed_expression] = STATE(6610),
    [sym_list_expression] = STATE(6610),
    [sym_array_expression] = STATE(6610),
    [sym_record_expression] = STATE(6610),
    [sym_labeled_argument] = STATE(7263),
    [sym_prefix_expression] = STATE(6610),
    [sym_hash_expression] = STATE(6610),
    [sym_field_get_expression] = STATE(6610),
    [sym_array_get_expression] = STATE(6610),
    [sym_string_get_expression] = STATE(6610),
    [sym_bigarray_get_expression] = STATE(6610),
    [sym_coercion_expression] = STATE(6610),
    [sym_local_open_expression] = STATE(6610),
    [sym_package_expression] = STATE(6610),
    [sym_new_expression] = STATE(6610),
    [sym_object_copy_expression] = STATE(6610),
    [sym_method_invocation] = STATE(6610),
    [sym_object_expression] = STATE(6610),
    [sym_parenthesized_expression] = STATE(6610),
    [sym_attribute] = STATE(2815),
    [sym_extension] = STATE(6610),
    [sym_quoted_extension] = STATE(6610),
    [sym__constant] = STATE(6610),
    [sym_number] = STATE(6696),
    [sym_character] = STATE(6696),
    [sym_string] = STATE(6696),
    [sym_quoted_string] = STATE(6696),
    [sym_boolean] = STATE(6696),
    [sym_unit] = STATE(6696),
    [sym__value_name] = STATE(6718),
    [sym_parenthesized_operator] = STATE(6636),
    [sym_value_path] = STATE(6610),
    [sym_module_path] = STATE(20547),
    [sym_constructor_path] = STATE(6610),
    [sym__constructor_name] = STATE(6656),
    [sym_tag] = STATE(6610),
    [aux_sym_class_application_repeat1] = STATE(2814),
    [sym__identifier] = ACTIONS(5821),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(5823),
    [anon_sym_QMARK] = ACTIONS(5823),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(4103),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_in] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym_let_and_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2816] = {
    [sym__abstract_type] = STATE(22061),
    [sym__simple_pattern] = STATE(14477),
    [sym__pattern] = STATE(15083),
    [sym_alias_pattern] = STATE(14477),
    [sym_typed_pattern] = STATE(14481),
    [sym_or_pattern] = STATE(14477),
    [sym_constructor_pattern] = STATE(14477),
    [sym_tag_pattern] = STATE(14477),
    [sym_polymorphic_variant_pattern] = STATE(14481),
    [sym_tuple_pattern] = STATE(14477),
    [sym_record_pattern] = STATE(14481),
    [sym_list_pattern] = STATE(14481),
    [sym_cons_pattern] = STATE(14477),
    [sym_array_pattern] = STATE(14481),
    [sym_range_pattern] = STATE(14477),
    [sym_lazy_pattern] = STATE(14477),
    [sym_local_open_pattern] = STATE(14481),
    [sym_package_pattern] = STATE(14481),
    [sym_parenthesized_pattern] = STATE(14481),
    [sym_exception_pattern] = STATE(14477),
    [sym_attribute] = STATE(2816),
    [sym_extension] = STATE(14481),
    [sym_quoted_extension] = STATE(14481),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14213),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(22432),
    [sym_add_operator] = STATE(19309),
    [sym__simple_value_pattern] = STATE(14481),
    [sym_parenthesized_operator] = STATE(14481),
    [sym_module_path] = STATE(21455),
    [sym_constructor_path] = STATE(2928),
    [sym__constructor_name] = STATE(10069),
    [sym_tag] = STATE(2946),
    [sym__identifier] = ACTIONS(6291),
    [anon_sym_LPAREN] = ACTIONS(6293),
    [anon_sym_RPAREN] = ACTIONS(6295),
    [anon_sym_type] = ACTIONS(6297),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(6303),
    [anon_sym_LBRACE] = ACTIONS(6305),
    [anon_sym_exception] = ACTIONS(6307),
    [anon_sym_module] = ACTIONS(6309),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(6313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6315),
    [anon_sym_lazy] = ACTIONS(6317),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(6333),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6333),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6333),
    [sym_let_and_operator] = ACTIONS(6333),
    [sym_match_operator] = ACTIONS(6333),
    [sym__capitalized_identifier] = ACTIONS(6335),
    [aux_sym_tag_token1] = ACTIONS(6337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2817] = {
    [sym__simple_expression] = STATE(8169),
    [sym_typed_expression] = STATE(8154),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_labeled_argument] = STATE(8813),
    [sym_prefix_expression] = STATE(8154),
    [sym_hash_expression] = STATE(8154),
    [sym_field_get_expression] = STATE(8154),
    [sym_array_get_expression] = STATE(8154),
    [sym_string_get_expression] = STATE(8154),
    [sym_bigarray_get_expression] = STATE(8154),
    [sym_coercion_expression] = STATE(8154),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(2817),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [aux_sym_class_application_repeat1] = STATE(2879),
    [sym__identifier] = ACTIONS(6339),
    [anon_sym_TILDE] = ACTIONS(6341),
    [anon_sym_QMARK] = ACTIONS(6341),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_DOT] = ACTIONS(6343),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_POUND] = ACTIONS(6345),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_done] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(6347),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2818] = {
    [sym__simple_expression] = STATE(7847),
    [sym_typed_expression] = STATE(7748),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_labeled_argument] = STATE(8779),
    [sym_prefix_expression] = STATE(7748),
    [sym_hash_expression] = STATE(7748),
    [sym_field_get_expression] = STATE(7748),
    [sym_array_get_expression] = STATE(7748),
    [sym_string_get_expression] = STATE(7748),
    [sym_bigarray_get_expression] = STATE(7748),
    [sym_coercion_expression] = STATE(7748),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2818),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [aux_sym_class_application_repeat1] = STATE(2872),
    [sym__identifier] = ACTIONS(6349),
    [anon_sym_TILDE] = ACTIONS(6351),
    [anon_sym_QMARK] = ACTIONS(6351),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_DOT] = ACTIONS(6353),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_with] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_POUND] = ACTIONS(6355),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(6357),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2819] = {
    [sym_parameter] = STATE(11417),
    [sym__polymorphic_typed] = STATE(19143),
    [sym__parenthesized_abstract_type] = STATE(11417),
    [sym__simple_pattern] = STATE(11447),
    [sym_typed_pattern] = STATE(11383),
    [sym_polymorphic_variant_pattern] = STATE(11383),
    [sym_record_pattern] = STATE(11383),
    [sym_list_pattern] = STATE(11383),
    [sym_array_pattern] = STATE(11383),
    [sym_local_open_pattern] = STATE(11383),
    [sym_package_pattern] = STATE(11383),
    [sym_parenthesized_pattern] = STATE(11383),
    [sym_attribute] = STATE(2819),
    [sym_item_attribute] = STATE(11635),
    [sym_extension] = STATE(11383),
    [sym_quoted_extension] = STATE(11383),
    [sym__constant] = STATE(11394),
    [sym__signed_constant] = STATE(11383),
    [sym_number] = STATE(11498),
    [sym_signed_number] = STATE(11394),
    [sym_character] = STATE(11498),
    [sym_string] = STATE(11498),
    [sym_quoted_string] = STATE(11498),
    [sym_boolean] = STATE(11498),
    [sym_unit] = STATE(11498),
    [sym__simple_value_pattern] = STATE(11383),
    [sym_parenthesized_operator] = STATE(11383),
    [sym_module_path] = STATE(19681),
    [sym_constructor_path] = STATE(11383),
    [sym__constructor_name] = STATE(9604),
    [sym_tag] = STATE(11383),
    [aux_sym_expression_item_repeat1] = STATE(11404),
    [aux_sym_let_binding_repeat1] = STATE(5631),
    [ts_builtin_sym_end] = ACTIONS(6359),
    [sym__identifier] = ACTIONS(6361),
    [anon_sym_SEMI_SEMI] = ACTIONS(6359),
    [anon_sym_let] = ACTIONS(6363),
    [anon_sym_and] = ACTIONS(6363),
    [anon_sym_COLON_GT] = ACTIONS(6365),
    [anon_sym_EQ] = ACTIONS(6367),
    [anon_sym_TILDE] = ACTIONS(6369),
    [anon_sym_QMARK] = ACTIONS(6369),
    [anon_sym_LPAREN] = ACTIONS(6371),
    [anon_sym_external] = ACTIONS(6363),
    [anon_sym_type] = ACTIONS(6363),
    [anon_sym_COMMA] = ACTIONS(6373),
    [anon_sym_PIPE] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(6377),
    [anon_sym_true] = ACTIONS(6379),
    [anon_sym_false] = ACTIONS(6379),
    [anon_sym_COLON2] = ACTIONS(6381),
    [anon_sym_LBRACE] = ACTIONS(6383),
    [anon_sym_exception] = ACTIONS(6363),
    [anon_sym_module] = ACTIONS(6363),
    [anon_sym_open] = ACTIONS(6363),
    [anon_sym_include] = ACTIONS(6363),
    [anon_sym_class] = ACTIONS(6363),
    [anon_sym_in] = ACTIONS(6363),
    [anon_sym_as] = ACTIONS(6385),
    [anon_sym_POUND] = ACTIONS(6387),
    [anon_sym_COLON_COLON] = ACTIONS(6389),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6391),
    [anon_sym_begin] = ACTIONS(6393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6395),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6399),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6359),
    [aux_sym_number_token1] = ACTIONS(6401),
    [aux_sym_signed_number_token1] = ACTIONS(6403),
    [anon_sym_SQUOTE] = ACTIONS(6405),
    [anon_sym_DQUOTE] = ACTIONS(6407),
    [sym_let_operator] = ACTIONS(6359),
    [sym_let_and_operator] = ACTIONS(6359),
    [sym__capitalized_identifier] = ACTIONS(6409),
    [aux_sym_directive_token1] = ACTIONS(6363),
    [aux_sym_tag_token1] = ACTIONS(6411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2820] = {
    [sym__abstract_type] = STATE(22061),
    [sym__simple_pattern] = STATE(14477),
    [sym__pattern] = STATE(15052),
    [sym_alias_pattern] = STATE(14477),
    [sym_typed_pattern] = STATE(14481),
    [sym_or_pattern] = STATE(14477),
    [sym_constructor_pattern] = STATE(14477),
    [sym_tag_pattern] = STATE(14477),
    [sym_polymorphic_variant_pattern] = STATE(14481),
    [sym_tuple_pattern] = STATE(14477),
    [sym_record_pattern] = STATE(14481),
    [sym_list_pattern] = STATE(14481),
    [sym_cons_pattern] = STATE(14477),
    [sym_array_pattern] = STATE(14481),
    [sym_range_pattern] = STATE(14477),
    [sym_lazy_pattern] = STATE(14477),
    [sym_local_open_pattern] = STATE(14481),
    [sym_package_pattern] = STATE(14481),
    [sym_parenthesized_pattern] = STATE(14481),
    [sym_exception_pattern] = STATE(14477),
    [sym_attribute] = STATE(2820),
    [sym_extension] = STATE(14481),
    [sym_quoted_extension] = STATE(14481),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14213),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(20670),
    [sym_add_operator] = STATE(19309),
    [sym__simple_value_pattern] = STATE(14481),
    [sym_parenthesized_operator] = STATE(14481),
    [sym_module_path] = STATE(21455),
    [sym_constructor_path] = STATE(2928),
    [sym__constructor_name] = STATE(10069),
    [sym_tag] = STATE(2946),
    [sym__identifier] = ACTIONS(6291),
    [anon_sym_LPAREN] = ACTIONS(6293),
    [anon_sym_RPAREN] = ACTIONS(2989),
    [anon_sym_type] = ACTIONS(6297),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(6305),
    [anon_sym_exception] = ACTIONS(6307),
    [anon_sym_module] = ACTIONS(6413),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(6415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6315),
    [anon_sym_lazy] = ACTIONS(6317),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(2997),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(2997),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2997),
    [sym_let_and_operator] = ACTIONS(2997),
    [sym_match_operator] = ACTIONS(2997),
    [sym__capitalized_identifier] = ACTIONS(6335),
    [aux_sym_tag_token1] = ACTIONS(6337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2821] = {
    [sym__simple_expression] = STATE(7886),
    [sym_typed_expression] = STATE(8096),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_labeled_argument] = STATE(8810),
    [sym_prefix_expression] = STATE(8096),
    [sym_hash_expression] = STATE(8096),
    [sym_field_get_expression] = STATE(8096),
    [sym_array_get_expression] = STATE(8096),
    [sym_string_get_expression] = STATE(8096),
    [sym_bigarray_get_expression] = STATE(8096),
    [sym_coercion_expression] = STATE(8096),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2821),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [aux_sym_class_application_repeat1] = STATE(2878),
    [sym__identifier] = ACTIONS(6417),
    [anon_sym_TILDE] = ACTIONS(6419),
    [anon_sym_QMARK] = ACTIONS(6419),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_DOT] = ACTIONS(6421),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_POUND] = ACTIONS(6423),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_do] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(6425),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2822] = {
    [sym__abstract_type] = STATE(20762),
    [sym__simple_pattern] = STATE(14477),
    [sym__pattern] = STATE(15146),
    [sym_alias_pattern] = STATE(14477),
    [sym_typed_pattern] = STATE(14481),
    [sym_or_pattern] = STATE(14477),
    [sym_constructor_pattern] = STATE(14477),
    [sym_tag_pattern] = STATE(14477),
    [sym_polymorphic_variant_pattern] = STATE(14481),
    [sym_tuple_pattern] = STATE(14477),
    [sym_record_pattern] = STATE(14481),
    [sym_list_pattern] = STATE(14481),
    [sym_cons_pattern] = STATE(14477),
    [sym_array_pattern] = STATE(14481),
    [sym_range_pattern] = STATE(14477),
    [sym_lazy_pattern] = STATE(14477),
    [sym_local_open_pattern] = STATE(14481),
    [sym_package_pattern] = STATE(14481),
    [sym_parenthesized_pattern] = STATE(14481),
    [sym_exception_pattern] = STATE(14477),
    [sym_attribute] = STATE(2822),
    [sym_extension] = STATE(14481),
    [sym_quoted_extension] = STATE(14481),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14213),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(20239),
    [sym_add_operator] = STATE(19309),
    [sym__simple_value_pattern] = STATE(14481),
    [sym_parenthesized_operator] = STATE(14481),
    [sym_module_path] = STATE(21455),
    [sym_constructor_path] = STATE(2928),
    [sym__constructor_name] = STATE(10069),
    [sym_tag] = STATE(2946),
    [sym__identifier] = ACTIONS(6291),
    [anon_sym_LPAREN] = ACTIONS(6293),
    [anon_sym_RPAREN] = ACTIONS(6427),
    [anon_sym_type] = ACTIONS(6297),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(6429),
    [anon_sym_LBRACE] = ACTIONS(6305),
    [anon_sym_exception] = ACTIONS(6307),
    [anon_sym_module] = ACTIONS(6431),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(6433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6315),
    [anon_sym_lazy] = ACTIONS(6317),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(6435),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6435),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6435),
    [sym_let_and_operator] = ACTIONS(6435),
    [sym_match_operator] = ACTIONS(6435),
    [sym__capitalized_identifier] = ACTIONS(6335),
    [aux_sym_tag_token1] = ACTIONS(6337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2823] = {
    [sym__simple_expression] = STATE(6817),
    [sym_typed_expression] = STATE(6748),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_labeled_argument] = STATE(8266),
    [sym_prefix_expression] = STATE(6748),
    [sym_hash_expression] = STATE(6748),
    [sym_field_get_expression] = STATE(6748),
    [sym_array_get_expression] = STATE(6748),
    [sym_string_get_expression] = STATE(6748),
    [sym_bigarray_get_expression] = STATE(6748),
    [sym_coercion_expression] = STATE(6748),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2823),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [aux_sym_class_application_repeat1] = STATE(2825),
    [sym__identifier] = ACTIONS(6117),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(6119),
    [anon_sym_QMARK] = ACTIONS(6119),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(4103),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4103),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym_let_and_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2824] = {
    [sym__abstract_type] = STATE(22423),
    [sym__simple_pattern] = STATE(14477),
    [sym__pattern] = STATE(15105),
    [sym_alias_pattern] = STATE(14477),
    [sym_typed_pattern] = STATE(14481),
    [sym_or_pattern] = STATE(14477),
    [sym_constructor_pattern] = STATE(14477),
    [sym_tag_pattern] = STATE(14477),
    [sym_polymorphic_variant_pattern] = STATE(14481),
    [sym_tuple_pattern] = STATE(14477),
    [sym_record_pattern] = STATE(14481),
    [sym_list_pattern] = STATE(14481),
    [sym_cons_pattern] = STATE(14477),
    [sym_array_pattern] = STATE(14481),
    [sym_range_pattern] = STATE(14477),
    [sym_lazy_pattern] = STATE(14477),
    [sym_local_open_pattern] = STATE(14481),
    [sym_package_pattern] = STATE(14481),
    [sym_parenthesized_pattern] = STATE(14481),
    [sym_exception_pattern] = STATE(14477),
    [sym_attribute] = STATE(2824),
    [sym_extension] = STATE(14481),
    [sym_quoted_extension] = STATE(14481),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14213),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(22117),
    [sym_add_operator] = STATE(19309),
    [sym__simple_value_pattern] = STATE(14481),
    [sym_parenthesized_operator] = STATE(14481),
    [sym_module_path] = STATE(21455),
    [sym_constructor_path] = STATE(2928),
    [sym__constructor_name] = STATE(10069),
    [sym_tag] = STATE(2946),
    [sym__identifier] = ACTIONS(6291),
    [anon_sym_LPAREN] = ACTIONS(6293),
    [anon_sym_RPAREN] = ACTIONS(6437),
    [anon_sym_type] = ACTIONS(6297),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(6439),
    [anon_sym_LBRACE] = ACTIONS(6305),
    [anon_sym_exception] = ACTIONS(6307),
    [anon_sym_module] = ACTIONS(6441),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(6443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6315),
    [anon_sym_lazy] = ACTIONS(6317),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(6445),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6445),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6445),
    [sym_let_and_operator] = ACTIONS(6445),
    [sym_match_operator] = ACTIONS(6445),
    [sym__capitalized_identifier] = ACTIONS(6335),
    [aux_sym_tag_token1] = ACTIONS(6337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2825] = {
    [sym__simple_expression] = STATE(6817),
    [sym_typed_expression] = STATE(6748),
    [sym_list_expression] = STATE(6748),
    [sym_array_expression] = STATE(6748),
    [sym_record_expression] = STATE(6748),
    [sym_labeled_argument] = STATE(8266),
    [sym_prefix_expression] = STATE(6748),
    [sym_hash_expression] = STATE(6748),
    [sym_field_get_expression] = STATE(6748),
    [sym_array_get_expression] = STATE(6748),
    [sym_string_get_expression] = STATE(6748),
    [sym_bigarray_get_expression] = STATE(6748),
    [sym_coercion_expression] = STATE(6748),
    [sym_local_open_expression] = STATE(6748),
    [sym_package_expression] = STATE(6748),
    [sym_new_expression] = STATE(6748),
    [sym_object_copy_expression] = STATE(6748),
    [sym_method_invocation] = STATE(6748),
    [sym_object_expression] = STATE(6748),
    [sym_parenthesized_expression] = STATE(6748),
    [sym_attribute] = STATE(2825),
    [sym_extension] = STATE(6748),
    [sym_quoted_extension] = STATE(6748),
    [sym__constant] = STATE(6748),
    [sym_number] = STATE(6832),
    [sym_character] = STATE(6832),
    [sym_string] = STATE(6832),
    [sym_quoted_string] = STATE(6832),
    [sym_boolean] = STATE(6832),
    [sym_unit] = STATE(6832),
    [sym__value_name] = STATE(6811),
    [sym_parenthesized_operator] = STATE(6797),
    [sym_value_path] = STATE(6748),
    [sym_module_path] = STATE(19489),
    [sym_constructor_path] = STATE(6748),
    [sym__constructor_name] = STATE(6774),
    [sym_tag] = STATE(6748),
    [aux_sym_class_application_repeat1] = STATE(2825),
    [sym__identifier] = ACTIONS(6447),
    [anon_sym_and] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(6450),
    [anon_sym_QMARK] = ACTIONS(6450),
    [anon_sym_LPAREN] = ACTIONS(6453),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(6456),
    [anon_sym_true] = ACTIONS(6459),
    [anon_sym_false] = ACTIONS(6459),
    [anon_sym_LBRACE] = ACTIONS(6462),
    [anon_sym_SEMI] = ACTIONS(4339),
    [anon_sym_object] = ACTIONS(6465),
    [anon_sym_in] = ACTIONS(4344),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6468),
    [anon_sym_new] = ACTIONS(6471),
    [anon_sym_LBRACE_LT] = ACTIONS(6474),
    [anon_sym_begin] = ACTIONS(6477),
    [sym_ocamlyacc_value] = ACTIONS(6480),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6483),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6486),
    [aux_sym_number_token1] = ACTIONS(6489),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(6492),
    [anon_sym_DQUOTE] = ACTIONS(6495),
    [sym_prefix_operator] = ACTIONS(6498),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym_let_and_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(6501),
    [aux_sym_tag_token1] = ACTIONS(6504),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2826] = {
    [sym_parameter] = STATE(11417),
    [sym__polymorphic_typed] = STATE(19116),
    [sym__parenthesized_abstract_type] = STATE(11417),
    [sym__simple_pattern] = STATE(11447),
    [sym_typed_pattern] = STATE(11383),
    [sym_polymorphic_variant_pattern] = STATE(11383),
    [sym_record_pattern] = STATE(11383),
    [sym_list_pattern] = STATE(11383),
    [sym_array_pattern] = STATE(11383),
    [sym_local_open_pattern] = STATE(11383),
    [sym_package_pattern] = STATE(11383),
    [sym_parenthesized_pattern] = STATE(11383),
    [sym_attribute] = STATE(2826),
    [sym_item_attribute] = STATE(11635),
    [sym_extension] = STATE(11383),
    [sym_quoted_extension] = STATE(11383),
    [sym__constant] = STATE(11394),
    [sym__signed_constant] = STATE(11383),
    [sym_number] = STATE(11498),
    [sym_signed_number] = STATE(11394),
    [sym_character] = STATE(11498),
    [sym_string] = STATE(11498),
    [sym_quoted_string] = STATE(11498),
    [sym_boolean] = STATE(11498),
    [sym_unit] = STATE(11498),
    [sym__simple_value_pattern] = STATE(11383),
    [sym_parenthesized_operator] = STATE(11383),
    [sym_module_path] = STATE(19681),
    [sym_constructor_path] = STATE(11383),
    [sym__constructor_name] = STATE(9604),
    [sym_tag] = STATE(11383),
    [aux_sym_expression_item_repeat1] = STATE(11404),
    [aux_sym_let_binding_repeat1] = STATE(5616),
    [sym__identifier] = ACTIONS(6361),
    [anon_sym_SEMI_SEMI] = ACTIONS(6359),
    [anon_sym_let] = ACTIONS(6363),
    [anon_sym_and] = ACTIONS(6363),
    [anon_sym_COLON_GT] = ACTIONS(6507),
    [anon_sym_EQ] = ACTIONS(6509),
    [anon_sym_TILDE] = ACTIONS(6369),
    [anon_sym_QMARK] = ACTIONS(6369),
    [anon_sym_LPAREN] = ACTIONS(6371),
    [anon_sym_external] = ACTIONS(6363),
    [anon_sym_type] = ACTIONS(6363),
    [anon_sym_COMMA] = ACTIONS(6511),
    [anon_sym_PIPE] = ACTIONS(6513),
    [anon_sym_LBRACK] = ACTIONS(6377),
    [anon_sym_true] = ACTIONS(6379),
    [anon_sym_false] = ACTIONS(6379),
    [anon_sym_COLON2] = ACTIONS(6381),
    [anon_sym_LBRACE] = ACTIONS(6383),
    [anon_sym_exception] = ACTIONS(6363),
    [anon_sym_module] = ACTIONS(6363),
    [anon_sym_open] = ACTIONS(6363),
    [anon_sym_include] = ACTIONS(6363),
    [anon_sym_class] = ACTIONS(6363),
    [anon_sym_end] = ACTIONS(6363),
    [anon_sym_in] = ACTIONS(6363),
    [anon_sym_as] = ACTIONS(6515),
    [anon_sym_POUND] = ACTIONS(6387),
    [anon_sym_COLON_COLON] = ACTIONS(6517),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6391),
    [anon_sym_begin] = ACTIONS(6393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6395),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6399),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6359),
    [aux_sym_number_token1] = ACTIONS(6401),
    [aux_sym_signed_number_token1] = ACTIONS(6403),
    [anon_sym_SQUOTE] = ACTIONS(6405),
    [anon_sym_DQUOTE] = ACTIONS(6407),
    [sym_let_operator] = ACTIONS(6359),
    [sym_let_and_operator] = ACTIONS(6359),
    [sym__capitalized_identifier] = ACTIONS(6409),
    [aux_sym_directive_token1] = ACTIONS(6363),
    [aux_sym_tag_token1] = ACTIONS(6411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2827] = {
    [sym__simple_expression] = STATE(8030),
    [sym_typed_expression] = STATE(8147),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_labeled_argument] = STATE(8717),
    [sym_prefix_expression] = STATE(8147),
    [sym_hash_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(8147),
    [sym_array_get_expression] = STATE(8147),
    [sym_string_get_expression] = STATE(8147),
    [sym_bigarray_get_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2827),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [aux_sym_class_application_repeat1] = STATE(2876),
    [sym__identifier] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6521),
    [anon_sym_QMARK] = ACTIONS(6521),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_DOT] = ACTIONS(6523),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_end] = ACTIONS(3527),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_POUND] = ACTIONS(6525),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(6527),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2828] = {
    [sym__abstract_type] = STATE(22410),
    [sym__simple_pattern] = STATE(14477),
    [sym__pattern] = STATE(14920),
    [sym_alias_pattern] = STATE(14477),
    [sym_typed_pattern] = STATE(14481),
    [sym_or_pattern] = STATE(14477),
    [sym_constructor_pattern] = STATE(14477),
    [sym_tag_pattern] = STATE(14477),
    [sym_polymorphic_variant_pattern] = STATE(14481),
    [sym_tuple_pattern] = STATE(14477),
    [sym_record_pattern] = STATE(14481),
    [sym_list_pattern] = STATE(14481),
    [sym_cons_pattern] = STATE(14477),
    [sym_array_pattern] = STATE(14481),
    [sym_range_pattern] = STATE(14477),
    [sym_lazy_pattern] = STATE(14477),
    [sym_local_open_pattern] = STATE(14481),
    [sym_package_pattern] = STATE(14481),
    [sym_parenthesized_pattern] = STATE(14481),
    [sym_exception_pattern] = STATE(14477),
    [sym_attribute] = STATE(2828),
    [sym_extension] = STATE(14481),
    [sym_quoted_extension] = STATE(14481),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14213),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(19863),
    [sym_add_operator] = STATE(19309),
    [sym__simple_value_pattern] = STATE(14481),
    [sym_parenthesized_operator] = STATE(14481),
    [sym_module_path] = STATE(21455),
    [sym_constructor_path] = STATE(2928),
    [sym__constructor_name] = STATE(10069),
    [sym_tag] = STATE(2946),
    [sym__identifier] = ACTIONS(6291),
    [anon_sym_LPAREN] = ACTIONS(6293),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_type] = ACTIONS(6297),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(6531),
    [anon_sym_LBRACE] = ACTIONS(6305),
    [anon_sym_exception] = ACTIONS(6307),
    [anon_sym_module] = ACTIONS(6533),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(6535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6315),
    [anon_sym_lazy] = ACTIONS(6317),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(6537),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6537),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6537),
    [sym_let_and_operator] = ACTIONS(6537),
    [sym_match_operator] = ACTIONS(6537),
    [sym__capitalized_identifier] = ACTIONS(6335),
    [aux_sym_tag_token1] = ACTIONS(6337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2829] = {
    [sym__abstract_type] = STATE(21485),
    [sym__simple_pattern] = STATE(14477),
    [sym__pattern] = STATE(14898),
    [sym_alias_pattern] = STATE(14477),
    [sym_typed_pattern] = STATE(14481),
    [sym_or_pattern] = STATE(14477),
    [sym_constructor_pattern] = STATE(14477),
    [sym_tag_pattern] = STATE(14477),
    [sym_polymorphic_variant_pattern] = STATE(14481),
    [sym_tuple_pattern] = STATE(14477),
    [sym_record_pattern] = STATE(14481),
    [sym_list_pattern] = STATE(14481),
    [sym_cons_pattern] = STATE(14477),
    [sym_array_pattern] = STATE(14481),
    [sym_range_pattern] = STATE(14477),
    [sym_lazy_pattern] = STATE(14477),
    [sym_local_open_pattern] = STATE(14481),
    [sym_package_pattern] = STATE(14481),
    [sym_parenthesized_pattern] = STATE(14481),
    [sym_exception_pattern] = STATE(14477),
    [sym_attribute] = STATE(2829),
    [sym_extension] = STATE(14481),
    [sym_quoted_extension] = STATE(14481),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14213),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(20458),
    [sym_add_operator] = STATE(19309),
    [sym__simple_value_pattern] = STATE(14481),
    [sym_parenthesized_operator] = STATE(14481),
    [sym_module_path] = STATE(21455),
    [sym_constructor_path] = STATE(2928),
    [sym__constructor_name] = STATE(10069),
    [sym_tag] = STATE(2946),
    [sym__identifier] = ACTIONS(6291),
    [anon_sym_LPAREN] = ACTIONS(6293),
    [anon_sym_RPAREN] = ACTIONS(6539),
    [anon_sym_type] = ACTIONS(6297),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(6541),
    [anon_sym_LBRACE] = ACTIONS(6305),
    [anon_sym_exception] = ACTIONS(6307),
    [anon_sym_module] = ACTIONS(6543),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(6545),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6315),
    [anon_sym_lazy] = ACTIONS(6317),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(6547),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6547),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6547),
    [sym_let_and_operator] = ACTIONS(6547),
    [sym_match_operator] = ACTIONS(6547),
    [sym__capitalized_identifier] = ACTIONS(6335),
    [aux_sym_tag_token1] = ACTIONS(6337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2830] = {
    [sym_parameter] = STATE(11417),
    [sym__polymorphic_typed] = STATE(18589),
    [sym__parenthesized_abstract_type] = STATE(11417),
    [sym__simple_pattern] = STATE(11447),
    [sym_typed_pattern] = STATE(11383),
    [sym_polymorphic_variant_pattern] = STATE(11383),
    [sym_record_pattern] = STATE(11383),
    [sym_list_pattern] = STATE(11383),
    [sym_array_pattern] = STATE(11383),
    [sym_local_open_pattern] = STATE(11383),
    [sym_package_pattern] = STATE(11383),
    [sym_parenthesized_pattern] = STATE(11383),
    [sym_attribute] = STATE(2830),
    [sym_item_attribute] = STATE(11635),
    [sym_extension] = STATE(11383),
    [sym_quoted_extension] = STATE(11383),
    [sym__constant] = STATE(11394),
    [sym__signed_constant] = STATE(11383),
    [sym_number] = STATE(11498),
    [sym_signed_number] = STATE(11394),
    [sym_character] = STATE(11498),
    [sym_string] = STATE(11498),
    [sym_quoted_string] = STATE(11498),
    [sym_boolean] = STATE(11498),
    [sym_unit] = STATE(11498),
    [sym__simple_value_pattern] = STATE(11383),
    [sym_parenthesized_operator] = STATE(11383),
    [sym_module_path] = STATE(19681),
    [sym_constructor_path] = STATE(11383),
    [sym__constructor_name] = STATE(9604),
    [sym_tag] = STATE(11383),
    [aux_sym_expression_item_repeat1] = STATE(11404),
    [aux_sym_let_binding_repeat1] = STATE(5635),
    [sym__identifier] = ACTIONS(6361),
    [anon_sym_SEMI_SEMI] = ACTIONS(6359),
    [anon_sym_let] = ACTIONS(6363),
    [anon_sym_and] = ACTIONS(6363),
    [anon_sym_COLON_GT] = ACTIONS(6549),
    [anon_sym_EQ] = ACTIONS(6551),
    [anon_sym_TILDE] = ACTIONS(6369),
    [anon_sym_QMARK] = ACTIONS(6369),
    [anon_sym_LPAREN] = ACTIONS(6371),
    [anon_sym_external] = ACTIONS(6363),
    [anon_sym_type] = ACTIONS(6363),
    [anon_sym_COMMA] = ACTIONS(6373),
    [anon_sym_PIPE] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(6377),
    [anon_sym_RBRACK] = ACTIONS(6359),
    [anon_sym_true] = ACTIONS(6379),
    [anon_sym_false] = ACTIONS(6379),
    [anon_sym_COLON2] = ACTIONS(6381),
    [anon_sym_LBRACE] = ACTIONS(6383),
    [anon_sym_exception] = ACTIONS(6363),
    [anon_sym_module] = ACTIONS(6363),
    [anon_sym_open] = ACTIONS(6363),
    [anon_sym_include] = ACTIONS(6363),
    [anon_sym_class] = ACTIONS(6363),
    [anon_sym_in] = ACTIONS(6363),
    [anon_sym_as] = ACTIONS(6385),
    [anon_sym_POUND] = ACTIONS(6387),
    [anon_sym_COLON_COLON] = ACTIONS(6389),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6391),
    [anon_sym_begin] = ACTIONS(6393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6395),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6399),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6359),
    [aux_sym_number_token1] = ACTIONS(6401),
    [aux_sym_signed_number_token1] = ACTIONS(6403),
    [anon_sym_SQUOTE] = ACTIONS(6405),
    [anon_sym_DQUOTE] = ACTIONS(6407),
    [sym_let_operator] = ACTIONS(6359),
    [sym_let_and_operator] = ACTIONS(6359),
    [sym__capitalized_identifier] = ACTIONS(6409),
    [aux_sym_directive_token1] = ACTIONS(6363),
    [aux_sym_tag_token1] = ACTIONS(6411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2831] = {
    [sym__abstract_type] = STATE(20958),
    [sym__simple_pattern] = STATE(14477),
    [sym__pattern] = STATE(15106),
    [sym_alias_pattern] = STATE(14477),
    [sym_typed_pattern] = STATE(14481),
    [sym_or_pattern] = STATE(14477),
    [sym_constructor_pattern] = STATE(14477),
    [sym_tag_pattern] = STATE(14477),
    [sym_polymorphic_variant_pattern] = STATE(14481),
    [sym_tuple_pattern] = STATE(14477),
    [sym_record_pattern] = STATE(14481),
    [sym_list_pattern] = STATE(14481),
    [sym_cons_pattern] = STATE(14477),
    [sym_array_pattern] = STATE(14481),
    [sym_range_pattern] = STATE(14477),
    [sym_lazy_pattern] = STATE(14477),
    [sym_local_open_pattern] = STATE(14481),
    [sym_package_pattern] = STATE(14481),
    [sym_parenthesized_pattern] = STATE(14481),
    [sym_exception_pattern] = STATE(14477),
    [sym_attribute] = STATE(2831),
    [sym_extension] = STATE(14481),
    [sym_quoted_extension] = STATE(14481),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14213),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(19895),
    [sym_add_operator] = STATE(19309),
    [sym__simple_value_pattern] = STATE(14481),
    [sym_parenthesized_operator] = STATE(14481),
    [sym_module_path] = STATE(21455),
    [sym_constructor_path] = STATE(2928),
    [sym__constructor_name] = STATE(10069),
    [sym_tag] = STATE(2946),
    [sym__identifier] = ACTIONS(6291),
    [anon_sym_LPAREN] = ACTIONS(6293),
    [anon_sym_RPAREN] = ACTIONS(6553),
    [anon_sym_type] = ACTIONS(6297),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(6555),
    [anon_sym_LBRACE] = ACTIONS(6305),
    [anon_sym_exception] = ACTIONS(6307),
    [anon_sym_module] = ACTIONS(6557),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(6559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6315),
    [anon_sym_lazy] = ACTIONS(6317),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(6561),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6561),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6561),
    [sym_let_and_operator] = ACTIONS(6561),
    [sym_match_operator] = ACTIONS(6561),
    [sym__capitalized_identifier] = ACTIONS(6335),
    [aux_sym_tag_token1] = ACTIONS(6337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2832] = {
    [sym__simple_expression] = STATE(7742),
    [sym_typed_expression] = STATE(7776),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_labeled_argument] = STATE(8744),
    [sym_prefix_expression] = STATE(7776),
    [sym_hash_expression] = STATE(7776),
    [sym_field_get_expression] = STATE(7776),
    [sym_array_get_expression] = STATE(7776),
    [sym_string_get_expression] = STATE(7776),
    [sym_bigarray_get_expression] = STATE(7776),
    [sym_coercion_expression] = STATE(7776),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2832),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [aux_sym_class_application_repeat1] = STATE(2875),
    [sym__identifier] = ACTIONS(6563),
    [anon_sym_TILDE] = ACTIONS(6565),
    [anon_sym_QMARK] = ACTIONS(6565),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(3525),
    [anon_sym_PIPE] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_DOT] = ACTIONS(6567),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_POUND] = ACTIONS(6569),
    [anon_sym_COLON_COLON] = ACTIONS(3525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_then] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(3527),
    [sym_hash_operator] = ACTIONS(6571),
    [sym_pow_operator] = ACTIONS(3527),
    [sym_mult_operator] = ACTIONS(3527),
    [aux_sym_add_operator_token1] = ACTIONS(3527),
    [sym_concat_operator] = ACTIONS(3525),
    [sym_rel_operator] = ACTIONS(3527),
    [sym_and_operator] = ACTIONS(3527),
    [sym_or_operator] = ACTIONS(3527),
    [sym_assign_operator] = ACTIONS(3525),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2833] = {
    [sym__abstract_type] = STATE(19959),
    [sym__simple_pattern] = STATE(14477),
    [sym__pattern] = STATE(15028),
    [sym_alias_pattern] = STATE(14477),
    [sym_typed_pattern] = STATE(14481),
    [sym_or_pattern] = STATE(14477),
    [sym_constructor_pattern] = STATE(14477),
    [sym_tag_pattern] = STATE(14477),
    [sym_polymorphic_variant_pattern] = STATE(14481),
    [sym_tuple_pattern] = STATE(14477),
    [sym_record_pattern] = STATE(14481),
    [sym_list_pattern] = STATE(14481),
    [sym_cons_pattern] = STATE(14477),
    [sym_array_pattern] = STATE(14481),
    [sym_range_pattern] = STATE(14477),
    [sym_lazy_pattern] = STATE(14477),
    [sym_local_open_pattern] = STATE(14481),
    [sym_package_pattern] = STATE(14481),
    [sym_parenthesized_pattern] = STATE(14481),
    [sym_exception_pattern] = STATE(14477),
    [sym_attribute] = STATE(2833),
    [sym_extension] = STATE(14481),
    [sym_quoted_extension] = STATE(14481),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14213),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(20171),
    [sym_add_operator] = STATE(19309),
    [sym__simple_value_pattern] = STATE(14481),
    [sym_parenthesized_operator] = STATE(14481),
    [sym_module_path] = STATE(21455),
    [sym_constructor_path] = STATE(2928),
    [sym__constructor_name] = STATE(10069),
    [sym_tag] = STATE(2946),
    [sym__identifier] = ACTIONS(6291),
    [anon_sym_LPAREN] = ACTIONS(6293),
    [anon_sym_RPAREN] = ACTIONS(6573),
    [anon_sym_type] = ACTIONS(6297),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(6575),
    [anon_sym_LBRACE] = ACTIONS(6305),
    [anon_sym_exception] = ACTIONS(6307),
    [anon_sym_module] = ACTIONS(6577),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(6579),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6315),
    [anon_sym_lazy] = ACTIONS(6317),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(6581),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6581),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6581),
    [sym_let_and_operator] = ACTIONS(6581),
    [sym_match_operator] = ACTIONS(6581),
    [sym__capitalized_identifier] = ACTIONS(6335),
    [aux_sym_tag_token1] = ACTIONS(6337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2834] = {
    [sym__simple_expression] = STATE(7006),
    [sym_typed_expression] = STATE(6904),
    [sym_list_expression] = STATE(6904),
    [sym_array_expression] = STATE(6904),
    [sym_record_expression] = STATE(6904),
    [sym_labeled_argument] = STATE(7861),
    [sym_prefix_expression] = STATE(6904),
    [sym_hash_expression] = STATE(6904),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_coercion_expression] = STATE(6904),
    [sym_local_open_expression] = STATE(6904),
    [sym_package_expression] = STATE(6904),
    [sym_new_expression] = STATE(6904),
    [sym_object_copy_expression] = STATE(6904),
    [sym_method_invocation] = STATE(6904),
    [sym_object_expression] = STATE(6904),
    [sym_parenthesized_expression] = STATE(6904),
    [sym_attribute] = STATE(2834),
    [sym_extension] = STATE(6904),
    [sym_quoted_extension] = STATE(6904),
    [sym__constant] = STATE(6904),
    [sym_number] = STATE(6969),
    [sym_character] = STATE(6969),
    [sym_string] = STATE(6969),
    [sym_quoted_string] = STATE(6969),
    [sym_boolean] = STATE(6969),
    [sym_unit] = STATE(6969),
    [sym__value_name] = STATE(6965),
    [sym_parenthesized_operator] = STATE(7113),
    [sym_value_path] = STATE(6904),
    [sym_module_path] = STATE(20240),
    [sym_constructor_path] = STATE(6904),
    [sym__constructor_name] = STATE(6987),
    [sym_tag] = STATE(6904),
    [aux_sym_class_application_repeat1] = STATE(2839),
    [sym__identifier] = ACTIONS(6583),
    [anon_sym_SEMI_SEMI] = ACTIONS(6585),
    [anon_sym_let] = ACTIONS(6587),
    [anon_sym_and] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6589),
    [anon_sym_QMARK] = ACTIONS(6589),
    [anon_sym_LPAREN] = ACTIONS(6591),
    [anon_sym_external] = ACTIONS(6587),
    [anon_sym_type] = ACTIONS(6587),
    [anon_sym_LBRACK] = ACTIONS(6593),
    [anon_sym_RBRACK] = ACTIONS(6585),
    [anon_sym_true] = ACTIONS(6595),
    [anon_sym_false] = ACTIONS(6595),
    [anon_sym_LBRACE] = ACTIONS(6597),
    [anon_sym_exception] = ACTIONS(6587),
    [anon_sym_module] = ACTIONS(6587),
    [anon_sym_open] = ACTIONS(6587),
    [anon_sym_include] = ACTIONS(6587),
    [anon_sym_class] = ACTIONS(6587),
    [anon_sym_object] = ACTIONS(6599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6601),
    [anon_sym_new] = ACTIONS(6603),
    [anon_sym_LBRACE_LT] = ACTIONS(6605),
    [anon_sym_begin] = ACTIONS(6607),
    [sym_ocamlyacc_value] = ACTIONS(6609),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6587),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6585),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6613),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6585),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6585),
    [aux_sym_number_token1] = ACTIONS(6615),
    [anon_sym_SQUOTE] = ACTIONS(6617),
    [anon_sym_DQUOTE] = ACTIONS(6619),
    [sym_prefix_operator] = ACTIONS(6621),
    [sym_let_operator] = ACTIONS(6585),
    [sym__capitalized_identifier] = ACTIONS(6623),
    [aux_sym_directive_token1] = ACTIONS(6585),
    [aux_sym_tag_token1] = ACTIONS(6625),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2835] = {
    [sym__simple_expression] = STATE(7005),
    [sym_typed_expression] = STATE(7032),
    [sym_list_expression] = STATE(7032),
    [sym_array_expression] = STATE(7032),
    [sym_record_expression] = STATE(7032),
    [sym_labeled_argument] = STATE(8455),
    [sym_prefix_expression] = STATE(7032),
    [sym_hash_expression] = STATE(7032),
    [sym_field_get_expression] = STATE(7032),
    [sym_array_get_expression] = STATE(7032),
    [sym_string_get_expression] = STATE(7032),
    [sym_bigarray_get_expression] = STATE(7032),
    [sym_coercion_expression] = STATE(7032),
    [sym_local_open_expression] = STATE(7032),
    [sym_package_expression] = STATE(7032),
    [sym_new_expression] = STATE(7032),
    [sym_object_copy_expression] = STATE(7032),
    [sym_method_invocation] = STATE(7032),
    [sym_object_expression] = STATE(7032),
    [sym_parenthesized_expression] = STATE(7032),
    [sym_attribute] = STATE(2835),
    [sym_extension] = STATE(7032),
    [sym_quoted_extension] = STATE(7032),
    [sym__constant] = STATE(7032),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym__value_name] = STATE(7112),
    [sym_parenthesized_operator] = STATE(6898),
    [sym_value_path] = STATE(7032),
    [sym_module_path] = STATE(20357),
    [sym_constructor_path] = STATE(7032),
    [sym__constructor_name] = STATE(7024),
    [sym_tag] = STATE(7032),
    [aux_sym_class_application_repeat1] = STATE(2847),
    [sym__identifier] = ACTIONS(6627),
    [anon_sym_SEMI_SEMI] = ACTIONS(6585),
    [anon_sym_let] = ACTIONS(6587),
    [anon_sym_and] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6629),
    [anon_sym_QMARK] = ACTIONS(6629),
    [anon_sym_LPAREN] = ACTIONS(6631),
    [anon_sym_external] = ACTIONS(6587),
    [anon_sym_type] = ACTIONS(6587),
    [anon_sym_LBRACK] = ACTIONS(6633),
    [anon_sym_true] = ACTIONS(6635),
    [anon_sym_false] = ACTIONS(6635),
    [anon_sym_LBRACE] = ACTIONS(6637),
    [anon_sym_exception] = ACTIONS(6587),
    [anon_sym_module] = ACTIONS(6587),
    [anon_sym_open] = ACTIONS(6587),
    [anon_sym_include] = ACTIONS(6587),
    [anon_sym_class] = ACTIONS(6587),
    [anon_sym_end] = ACTIONS(6587),
    [anon_sym_object] = ACTIONS(6639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6641),
    [anon_sym_new] = ACTIONS(6643),
    [anon_sym_LBRACE_LT] = ACTIONS(6645),
    [anon_sym_begin] = ACTIONS(6647),
    [sym_ocamlyacc_value] = ACTIONS(6649),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6587),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6585),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6651),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6653),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6585),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6585),
    [aux_sym_number_token1] = ACTIONS(6655),
    [anon_sym_SQUOTE] = ACTIONS(6657),
    [anon_sym_DQUOTE] = ACTIONS(6659),
    [sym_prefix_operator] = ACTIONS(6661),
    [sym_let_operator] = ACTIONS(6585),
    [sym__capitalized_identifier] = ACTIONS(6663),
    [aux_sym_directive_token1] = ACTIONS(6585),
    [aux_sym_tag_token1] = ACTIONS(6665),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2836] = {
    [sym_parameter] = STATE(11417),
    [sym__polymorphic_typed] = STATE(18609),
    [sym__parenthesized_abstract_type] = STATE(11417),
    [sym__simple_pattern] = STATE(11447),
    [sym_typed_pattern] = STATE(11383),
    [sym_polymorphic_variant_pattern] = STATE(11383),
    [sym_record_pattern] = STATE(11383),
    [sym_list_pattern] = STATE(11383),
    [sym_array_pattern] = STATE(11383),
    [sym_local_open_pattern] = STATE(11383),
    [sym_package_pattern] = STATE(11383),
    [sym_parenthesized_pattern] = STATE(11383),
    [sym_attribute] = STATE(2836),
    [sym_item_attribute] = STATE(11635),
    [sym_extension] = STATE(11383),
    [sym_quoted_extension] = STATE(11383),
    [sym__constant] = STATE(11394),
    [sym__signed_constant] = STATE(11383),
    [sym_number] = STATE(11498),
    [sym_signed_number] = STATE(11394),
    [sym_character] = STATE(11498),
    [sym_string] = STATE(11498),
    [sym_quoted_string] = STATE(11498),
    [sym_boolean] = STATE(11498),
    [sym_unit] = STATE(11498),
    [sym__simple_value_pattern] = STATE(11383),
    [sym_parenthesized_operator] = STATE(11383),
    [sym_module_path] = STATE(19681),
    [sym_constructor_path] = STATE(11383),
    [sym__constructor_name] = STATE(9604),
    [sym_tag] = STATE(11383),
    [aux_sym_expression_item_repeat1] = STATE(11404),
    [aux_sym_let_binding_repeat1] = STATE(5590),
    [sym__identifier] = ACTIONS(6361),
    [anon_sym_SEMI_SEMI] = ACTIONS(6359),
    [anon_sym_let] = ACTIONS(6363),
    [anon_sym_and] = ACTIONS(6363),
    [anon_sym_COLON_GT] = ACTIONS(6667),
    [anon_sym_EQ] = ACTIONS(6669),
    [anon_sym_TILDE] = ACTIONS(6369),
    [anon_sym_QMARK] = ACTIONS(6369),
    [anon_sym_LPAREN] = ACTIONS(6371),
    [anon_sym_external] = ACTIONS(6363),
    [anon_sym_type] = ACTIONS(6363),
    [anon_sym_COMMA] = ACTIONS(6671),
    [anon_sym_PIPE] = ACTIONS(6673),
    [anon_sym_LBRACK] = ACTIONS(6377),
    [anon_sym_true] = ACTIONS(6379),
    [anon_sym_false] = ACTIONS(6379),
    [anon_sym_COLON2] = ACTIONS(6381),
    [anon_sym_LBRACE] = ACTIONS(6383),
    [anon_sym_exception] = ACTIONS(6363),
    [anon_sym_module] = ACTIONS(6363),
    [anon_sym_open] = ACTIONS(6363),
    [anon_sym_include] = ACTIONS(6363),
    [anon_sym_class] = ACTIONS(6363),
    [anon_sym_end] = ACTIONS(6363),
    [anon_sym_as] = ACTIONS(6675),
    [anon_sym_POUND] = ACTIONS(6387),
    [anon_sym_COLON_COLON] = ACTIONS(6677),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6391),
    [anon_sym_begin] = ACTIONS(6393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6395),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6399),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6359),
    [aux_sym_number_token1] = ACTIONS(6401),
    [aux_sym_signed_number_token1] = ACTIONS(6403),
    [anon_sym_SQUOTE] = ACTIONS(6405),
    [anon_sym_DQUOTE] = ACTIONS(6407),
    [sym_let_operator] = ACTIONS(6359),
    [sym_let_and_operator] = ACTIONS(6359),
    [sym__capitalized_identifier] = ACTIONS(6409),
    [aux_sym_directive_token1] = ACTIONS(6363),
    [aux_sym_tag_token1] = ACTIONS(6411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2837] = {
    [sym__simple_expression] = STATE(6993),
    [sym_typed_expression] = STATE(7110),
    [sym_list_expression] = STATE(7110),
    [sym_array_expression] = STATE(7110),
    [sym_record_expression] = STATE(7110),
    [sym_labeled_argument] = STATE(7861),
    [sym_prefix_expression] = STATE(7110),
    [sym_hash_expression] = STATE(7110),
    [sym_field_get_expression] = STATE(7110),
    [sym_array_get_expression] = STATE(7110),
    [sym_string_get_expression] = STATE(7110),
    [sym_bigarray_get_expression] = STATE(7110),
    [sym_coercion_expression] = STATE(7110),
    [sym_local_open_expression] = STATE(7110),
    [sym_package_expression] = STATE(7110),
    [sym_new_expression] = STATE(7110),
    [sym_object_copy_expression] = STATE(7110),
    [sym_method_invocation] = STATE(7110),
    [sym_object_expression] = STATE(7110),
    [sym_parenthesized_expression] = STATE(7110),
    [sym_attribute] = STATE(2837),
    [sym_extension] = STATE(7110),
    [sym_quoted_extension] = STATE(7110),
    [sym__constant] = STATE(7110),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym__value_name] = STATE(7159),
    [sym_parenthesized_operator] = STATE(7200),
    [sym_value_path] = STATE(7110),
    [sym_module_path] = STATE(19654),
    [sym_constructor_path] = STATE(7110),
    [sym__constructor_name] = STATE(6906),
    [sym_tag] = STATE(7110),
    [aux_sym_class_application_repeat1] = STATE(2837),
    [ts_builtin_sym_end] = ACTIONS(4339),
    [sym__identifier] = ACTIONS(6679),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4344),
    [anon_sym_and] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(6682),
    [anon_sym_QMARK] = ACTIONS(6682),
    [anon_sym_LPAREN] = ACTIONS(6685),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(6688),
    [anon_sym_true] = ACTIONS(6691),
    [anon_sym_false] = ACTIONS(6691),
    [anon_sym_LBRACE] = ACTIONS(6694),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(6697),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6700),
    [anon_sym_new] = ACTIONS(6703),
    [anon_sym_LBRACE_LT] = ACTIONS(6706),
    [anon_sym_begin] = ACTIONS(6709),
    [sym_ocamlyacc_value] = ACTIONS(6712),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6715),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6718),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(6721),
    [anon_sym_SQUOTE] = ACTIONS(6724),
    [anon_sym_DQUOTE] = ACTIONS(6727),
    [sym_prefix_operator] = ACTIONS(6730),
    [sym_let_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(6733),
    [aux_sym_directive_token1] = ACTIONS(4339),
    [aux_sym_tag_token1] = ACTIONS(6736),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2838] = {
    [sym_parameter] = STATE(11417),
    [sym__polymorphic_typed] = STATE(18357),
    [sym__parenthesized_abstract_type] = STATE(11417),
    [sym__simple_pattern] = STATE(11447),
    [sym_typed_pattern] = STATE(11383),
    [sym_polymorphic_variant_pattern] = STATE(11383),
    [sym_record_pattern] = STATE(11383),
    [sym_list_pattern] = STATE(11383),
    [sym_array_pattern] = STATE(11383),
    [sym_local_open_pattern] = STATE(11383),
    [sym_package_pattern] = STATE(11383),
    [sym_parenthesized_pattern] = STATE(11383),
    [sym_attribute] = STATE(2838),
    [sym_item_attribute] = STATE(11635),
    [sym_extension] = STATE(11383),
    [sym_quoted_extension] = STATE(11383),
    [sym__constant] = STATE(11394),
    [sym__signed_constant] = STATE(11383),
    [sym_number] = STATE(11498),
    [sym_signed_number] = STATE(11394),
    [sym_character] = STATE(11498),
    [sym_string] = STATE(11498),
    [sym_quoted_string] = STATE(11498),
    [sym_boolean] = STATE(11498),
    [sym_unit] = STATE(11498),
    [sym__simple_value_pattern] = STATE(11383),
    [sym_parenthesized_operator] = STATE(11383),
    [sym_module_path] = STATE(19681),
    [sym_constructor_path] = STATE(11383),
    [sym__constructor_name] = STATE(9604),
    [sym_tag] = STATE(11383),
    [aux_sym_expression_item_repeat1] = STATE(11404),
    [aux_sym_let_binding_repeat1] = STATE(5617),
    [sym__identifier] = ACTIONS(6361),
    [anon_sym_SEMI_SEMI] = ACTIONS(6359),
    [anon_sym_let] = ACTIONS(6363),
    [anon_sym_and] = ACTIONS(6363),
    [anon_sym_COLON_GT] = ACTIONS(6739),
    [anon_sym_EQ] = ACTIONS(6741),
    [anon_sym_TILDE] = ACTIONS(6369),
    [anon_sym_QMARK] = ACTIONS(6369),
    [anon_sym_LPAREN] = ACTIONS(6371),
    [anon_sym_external] = ACTIONS(6363),
    [anon_sym_type] = ACTIONS(6363),
    [anon_sym_COMMA] = ACTIONS(6743),
    [anon_sym_PIPE] = ACTIONS(6745),
    [anon_sym_LBRACK] = ACTIONS(6377),
    [anon_sym_RBRACK] = ACTIONS(6359),
    [anon_sym_true] = ACTIONS(6379),
    [anon_sym_false] = ACTIONS(6379),
    [anon_sym_COLON2] = ACTIONS(6381),
    [anon_sym_LBRACE] = ACTIONS(6383),
    [anon_sym_exception] = ACTIONS(6363),
    [anon_sym_module] = ACTIONS(6363),
    [anon_sym_open] = ACTIONS(6363),
    [anon_sym_include] = ACTIONS(6363),
    [anon_sym_class] = ACTIONS(6363),
    [anon_sym_as] = ACTIONS(6747),
    [anon_sym_POUND] = ACTIONS(6387),
    [anon_sym_COLON_COLON] = ACTIONS(6749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6391),
    [anon_sym_begin] = ACTIONS(6393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6395),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6399),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6359),
    [aux_sym_number_token1] = ACTIONS(6401),
    [aux_sym_signed_number_token1] = ACTIONS(6403),
    [anon_sym_SQUOTE] = ACTIONS(6405),
    [anon_sym_DQUOTE] = ACTIONS(6407),
    [sym_let_operator] = ACTIONS(6359),
    [sym_let_and_operator] = ACTIONS(6359),
    [sym__capitalized_identifier] = ACTIONS(6409),
    [aux_sym_directive_token1] = ACTIONS(6363),
    [aux_sym_tag_token1] = ACTIONS(6411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2839] = {
    [sym__simple_expression] = STATE(7006),
    [sym_typed_expression] = STATE(6904),
    [sym_list_expression] = STATE(6904),
    [sym_array_expression] = STATE(6904),
    [sym_record_expression] = STATE(6904),
    [sym_labeled_argument] = STATE(7861),
    [sym_prefix_expression] = STATE(6904),
    [sym_hash_expression] = STATE(6904),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_coercion_expression] = STATE(6904),
    [sym_local_open_expression] = STATE(6904),
    [sym_package_expression] = STATE(6904),
    [sym_new_expression] = STATE(6904),
    [sym_object_copy_expression] = STATE(6904),
    [sym_method_invocation] = STATE(6904),
    [sym_object_expression] = STATE(6904),
    [sym_parenthesized_expression] = STATE(6904),
    [sym_attribute] = STATE(2839),
    [sym_extension] = STATE(6904),
    [sym_quoted_extension] = STATE(6904),
    [sym__constant] = STATE(6904),
    [sym_number] = STATE(6969),
    [sym_character] = STATE(6969),
    [sym_string] = STATE(6969),
    [sym_quoted_string] = STATE(6969),
    [sym_boolean] = STATE(6969),
    [sym_unit] = STATE(6969),
    [sym__value_name] = STATE(6965),
    [sym_parenthesized_operator] = STATE(7113),
    [sym_value_path] = STATE(6904),
    [sym_module_path] = STATE(20240),
    [sym_constructor_path] = STATE(6904),
    [sym__constructor_name] = STATE(6987),
    [sym_tag] = STATE(6904),
    [aux_sym_class_application_repeat1] = STATE(2844),
    [sym__identifier] = ACTIONS(6583),
    [anon_sym_SEMI_SEMI] = ACTIONS(6751),
    [anon_sym_let] = ACTIONS(6753),
    [anon_sym_and] = ACTIONS(6753),
    [anon_sym_TILDE] = ACTIONS(6589),
    [anon_sym_QMARK] = ACTIONS(6589),
    [anon_sym_LPAREN] = ACTIONS(6591),
    [anon_sym_external] = ACTIONS(6753),
    [anon_sym_type] = ACTIONS(6753),
    [anon_sym_LBRACK] = ACTIONS(6593),
    [anon_sym_RBRACK] = ACTIONS(6751),
    [anon_sym_true] = ACTIONS(6595),
    [anon_sym_false] = ACTIONS(6595),
    [anon_sym_LBRACE] = ACTIONS(6597),
    [anon_sym_exception] = ACTIONS(6753),
    [anon_sym_module] = ACTIONS(6753),
    [anon_sym_open] = ACTIONS(6753),
    [anon_sym_include] = ACTIONS(6753),
    [anon_sym_class] = ACTIONS(6753),
    [anon_sym_object] = ACTIONS(6599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6601),
    [anon_sym_new] = ACTIONS(6603),
    [anon_sym_LBRACE_LT] = ACTIONS(6605),
    [anon_sym_begin] = ACTIONS(6607),
    [sym_ocamlyacc_value] = ACTIONS(6609),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6753),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6751),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6611),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6613),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6751),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6751),
    [aux_sym_number_token1] = ACTIONS(6615),
    [anon_sym_SQUOTE] = ACTIONS(6617),
    [anon_sym_DQUOTE] = ACTIONS(6619),
    [sym_prefix_operator] = ACTIONS(6621),
    [sym_let_operator] = ACTIONS(6751),
    [sym__capitalized_identifier] = ACTIONS(6623),
    [aux_sym_directive_token1] = ACTIONS(6751),
    [aux_sym_tag_token1] = ACTIONS(6625),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2840] = {
    [sym__simple_expression] = STATE(6993),
    [sym_typed_expression] = STATE(7110),
    [sym_list_expression] = STATE(7110),
    [sym_array_expression] = STATE(7110),
    [sym_record_expression] = STATE(7110),
    [sym_labeled_argument] = STATE(7861),
    [sym_prefix_expression] = STATE(7110),
    [sym_hash_expression] = STATE(7110),
    [sym_field_get_expression] = STATE(7110),
    [sym_array_get_expression] = STATE(7110),
    [sym_string_get_expression] = STATE(7110),
    [sym_bigarray_get_expression] = STATE(7110),
    [sym_coercion_expression] = STATE(7110),
    [sym_local_open_expression] = STATE(7110),
    [sym_package_expression] = STATE(7110),
    [sym_new_expression] = STATE(7110),
    [sym_object_copy_expression] = STATE(7110),
    [sym_method_invocation] = STATE(7110),
    [sym_object_expression] = STATE(7110),
    [sym_parenthesized_expression] = STATE(7110),
    [sym_attribute] = STATE(2840),
    [sym_extension] = STATE(7110),
    [sym_quoted_extension] = STATE(7110),
    [sym__constant] = STATE(7110),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym__value_name] = STATE(7159),
    [sym_parenthesized_operator] = STATE(7200),
    [sym_value_path] = STATE(7110),
    [sym_module_path] = STATE(19654),
    [sym_constructor_path] = STATE(7110),
    [sym__constructor_name] = STATE(6906),
    [sym_tag] = STATE(7110),
    [aux_sym_class_application_repeat1] = STATE(2837),
    [ts_builtin_sym_end] = ACTIONS(6751),
    [sym__identifier] = ACTIONS(6755),
    [anon_sym_SEMI_SEMI] = ACTIONS(6751),
    [anon_sym_let] = ACTIONS(6753),
    [anon_sym_and] = ACTIONS(6753),
    [anon_sym_TILDE] = ACTIONS(6757),
    [anon_sym_QMARK] = ACTIONS(6757),
    [anon_sym_LPAREN] = ACTIONS(6759),
    [anon_sym_external] = ACTIONS(6753),
    [anon_sym_type] = ACTIONS(6753),
    [anon_sym_LBRACK] = ACTIONS(6761),
    [anon_sym_true] = ACTIONS(6763),
    [anon_sym_false] = ACTIONS(6763),
    [anon_sym_LBRACE] = ACTIONS(6765),
    [anon_sym_exception] = ACTIONS(6753),
    [anon_sym_module] = ACTIONS(6753),
    [anon_sym_open] = ACTIONS(6753),
    [anon_sym_include] = ACTIONS(6753),
    [anon_sym_class] = ACTIONS(6753),
    [anon_sym_object] = ACTIONS(6767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6769),
    [anon_sym_new] = ACTIONS(6771),
    [anon_sym_LBRACE_LT] = ACTIONS(6773),
    [anon_sym_begin] = ACTIONS(6775),
    [sym_ocamlyacc_value] = ACTIONS(6777),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6753),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6751),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6779),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6781),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6751),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6751),
    [aux_sym_number_token1] = ACTIONS(6783),
    [anon_sym_SQUOTE] = ACTIONS(6785),
    [anon_sym_DQUOTE] = ACTIONS(6787),
    [sym_prefix_operator] = ACTIONS(6789),
    [sym_let_operator] = ACTIONS(6751),
    [sym__capitalized_identifier] = ACTIONS(6791),
    [aux_sym_directive_token1] = ACTIONS(6751),
    [aux_sym_tag_token1] = ACTIONS(6793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2841] = {
    [sym__simple_expression] = STATE(7005),
    [sym_typed_expression] = STATE(7032),
    [sym_list_expression] = STATE(7032),
    [sym_array_expression] = STATE(7032),
    [sym_record_expression] = STATE(7032),
    [sym_labeled_argument] = STATE(8455),
    [sym_prefix_expression] = STATE(7032),
    [sym_hash_expression] = STATE(7032),
    [sym_field_get_expression] = STATE(7032),
    [sym_array_get_expression] = STATE(7032),
    [sym_string_get_expression] = STATE(7032),
    [sym_bigarray_get_expression] = STATE(7032),
    [sym_coercion_expression] = STATE(7032),
    [sym_local_open_expression] = STATE(7032),
    [sym_package_expression] = STATE(7032),
    [sym_new_expression] = STATE(7032),
    [sym_object_copy_expression] = STATE(7032),
    [sym_method_invocation] = STATE(7032),
    [sym_object_expression] = STATE(7032),
    [sym_parenthesized_expression] = STATE(7032),
    [sym_attribute] = STATE(2841),
    [sym_extension] = STATE(7032),
    [sym_quoted_extension] = STATE(7032),
    [sym__constant] = STATE(7032),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym__value_name] = STATE(7112),
    [sym_parenthesized_operator] = STATE(6898),
    [sym_value_path] = STATE(7032),
    [sym_module_path] = STATE(20357),
    [sym_constructor_path] = STATE(7032),
    [sym__constructor_name] = STATE(7024),
    [sym_tag] = STATE(7032),
    [aux_sym_class_application_repeat1] = STATE(2841),
    [sym__identifier] = ACTIONS(6795),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4344),
    [anon_sym_and] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(6798),
    [anon_sym_QMARK] = ACTIONS(6798),
    [anon_sym_LPAREN] = ACTIONS(6801),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(6804),
    [anon_sym_true] = ACTIONS(6807),
    [anon_sym_false] = ACTIONS(6807),
    [anon_sym_LBRACE] = ACTIONS(6810),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_end] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(6813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6816),
    [anon_sym_new] = ACTIONS(6819),
    [anon_sym_LBRACE_LT] = ACTIONS(6822),
    [anon_sym_begin] = ACTIONS(6825),
    [sym_ocamlyacc_value] = ACTIONS(6828),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6834),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(6837),
    [anon_sym_SQUOTE] = ACTIONS(6840),
    [anon_sym_DQUOTE] = ACTIONS(6843),
    [sym_prefix_operator] = ACTIONS(6846),
    [sym_let_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(6849),
    [aux_sym_directive_token1] = ACTIONS(4339),
    [aux_sym_tag_token1] = ACTIONS(6852),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2842] = {
    [sym__simple_expression] = STATE(6860),
    [sym_typed_expression] = STATE(6852),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_labeled_argument] = STATE(8397),
    [sym_prefix_expression] = STATE(6852),
    [sym_hash_expression] = STATE(6852),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_coercion_expression] = STATE(6852),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(2842),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [aux_sym_class_application_repeat1] = STATE(2845),
    [sym__identifier] = ACTIONS(6127),
    [anon_sym_TILDE] = ACTIONS(6129),
    [anon_sym_QMARK] = ACTIONS(6129),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1731),
    [anon_sym_false] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_SEMI] = ACTIONS(4103),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1739),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_to] = ACTIONS(4105),
    [anon_sym_downto] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_LBRACE_LT] = ACTIONS(1751),
    [anon_sym_begin] = ACTIONS(1753),
    [sym_ocamlyacc_value] = ACTIONS(1755),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1759),
    [aux_sym_number_token1] = ACTIONS(1761),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1765),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(1771),
    [aux_sym_tag_token1] = ACTIONS(1773),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2843] = {
    [sym_parameter] = STATE(11417),
    [sym__polymorphic_typed] = STATE(18803),
    [sym__parenthesized_abstract_type] = STATE(11417),
    [sym__simple_pattern] = STATE(11447),
    [sym_typed_pattern] = STATE(11383),
    [sym_polymorphic_variant_pattern] = STATE(11383),
    [sym_record_pattern] = STATE(11383),
    [sym_list_pattern] = STATE(11383),
    [sym_array_pattern] = STATE(11383),
    [sym_local_open_pattern] = STATE(11383),
    [sym_package_pattern] = STATE(11383),
    [sym_parenthesized_pattern] = STATE(11383),
    [sym_attribute] = STATE(2843),
    [sym_item_attribute] = STATE(11635),
    [sym_extension] = STATE(11383),
    [sym_quoted_extension] = STATE(11383),
    [sym__constant] = STATE(11394),
    [sym__signed_constant] = STATE(11383),
    [sym_number] = STATE(11498),
    [sym_signed_number] = STATE(11394),
    [sym_character] = STATE(11498),
    [sym_string] = STATE(11498),
    [sym_quoted_string] = STATE(11498),
    [sym_boolean] = STATE(11498),
    [sym_unit] = STATE(11498),
    [sym__simple_value_pattern] = STATE(11383),
    [sym_parenthesized_operator] = STATE(11383),
    [sym_module_path] = STATE(19681),
    [sym_constructor_path] = STATE(11383),
    [sym__constructor_name] = STATE(9604),
    [sym_tag] = STATE(11383),
    [aux_sym_expression_item_repeat1] = STATE(11404),
    [aux_sym_let_binding_repeat1] = STATE(5602),
    [ts_builtin_sym_end] = ACTIONS(6359),
    [sym__identifier] = ACTIONS(6361),
    [anon_sym_SEMI_SEMI] = ACTIONS(6359),
    [anon_sym_let] = ACTIONS(6363),
    [anon_sym_and] = ACTIONS(6363),
    [anon_sym_COLON_GT] = ACTIONS(6855),
    [anon_sym_EQ] = ACTIONS(6857),
    [anon_sym_TILDE] = ACTIONS(6369),
    [anon_sym_QMARK] = ACTIONS(6369),
    [anon_sym_LPAREN] = ACTIONS(6371),
    [anon_sym_external] = ACTIONS(6363),
    [anon_sym_type] = ACTIONS(6363),
    [anon_sym_COMMA] = ACTIONS(6743),
    [anon_sym_PIPE] = ACTIONS(6745),
    [anon_sym_LBRACK] = ACTIONS(6377),
    [anon_sym_true] = ACTIONS(6379),
    [anon_sym_false] = ACTIONS(6379),
    [anon_sym_COLON2] = ACTIONS(6381),
    [anon_sym_LBRACE] = ACTIONS(6383),
    [anon_sym_exception] = ACTIONS(6363),
    [anon_sym_module] = ACTIONS(6363),
    [anon_sym_open] = ACTIONS(6363),
    [anon_sym_include] = ACTIONS(6363),
    [anon_sym_class] = ACTIONS(6363),
    [anon_sym_as] = ACTIONS(6747),
    [anon_sym_POUND] = ACTIONS(6387),
    [anon_sym_COLON_COLON] = ACTIONS(6749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6391),
    [anon_sym_begin] = ACTIONS(6393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6395),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6399),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6359),
    [aux_sym_number_token1] = ACTIONS(6401),
    [aux_sym_signed_number_token1] = ACTIONS(6403),
    [anon_sym_SQUOTE] = ACTIONS(6405),
    [anon_sym_DQUOTE] = ACTIONS(6407),
    [sym_let_operator] = ACTIONS(6359),
    [sym_let_and_operator] = ACTIONS(6359),
    [sym__capitalized_identifier] = ACTIONS(6409),
    [aux_sym_directive_token1] = ACTIONS(6363),
    [aux_sym_tag_token1] = ACTIONS(6411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2844] = {
    [sym__simple_expression] = STATE(7006),
    [sym_typed_expression] = STATE(6904),
    [sym_list_expression] = STATE(6904),
    [sym_array_expression] = STATE(6904),
    [sym_record_expression] = STATE(6904),
    [sym_labeled_argument] = STATE(7861),
    [sym_prefix_expression] = STATE(6904),
    [sym_hash_expression] = STATE(6904),
    [sym_field_get_expression] = STATE(6904),
    [sym_array_get_expression] = STATE(6904),
    [sym_string_get_expression] = STATE(6904),
    [sym_bigarray_get_expression] = STATE(6904),
    [sym_coercion_expression] = STATE(6904),
    [sym_local_open_expression] = STATE(6904),
    [sym_package_expression] = STATE(6904),
    [sym_new_expression] = STATE(6904),
    [sym_object_copy_expression] = STATE(6904),
    [sym_method_invocation] = STATE(6904),
    [sym_object_expression] = STATE(6904),
    [sym_parenthesized_expression] = STATE(6904),
    [sym_attribute] = STATE(2844),
    [sym_extension] = STATE(6904),
    [sym_quoted_extension] = STATE(6904),
    [sym__constant] = STATE(6904),
    [sym_number] = STATE(6969),
    [sym_character] = STATE(6969),
    [sym_string] = STATE(6969),
    [sym_quoted_string] = STATE(6969),
    [sym_boolean] = STATE(6969),
    [sym_unit] = STATE(6969),
    [sym__value_name] = STATE(6965),
    [sym_parenthesized_operator] = STATE(7113),
    [sym_value_path] = STATE(6904),
    [sym_module_path] = STATE(20240),
    [sym_constructor_path] = STATE(6904),
    [sym__constructor_name] = STATE(6987),
    [sym_tag] = STATE(6904),
    [aux_sym_class_application_repeat1] = STATE(2844),
    [sym__identifier] = ACTIONS(6859),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4344),
    [anon_sym_and] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(6862),
    [anon_sym_QMARK] = ACTIONS(6862),
    [anon_sym_LPAREN] = ACTIONS(6865),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(6868),
    [anon_sym_RBRACK] = ACTIONS(4339),
    [anon_sym_true] = ACTIONS(6871),
    [anon_sym_false] = ACTIONS(6871),
    [anon_sym_LBRACE] = ACTIONS(6874),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(6877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6880),
    [anon_sym_new] = ACTIONS(6883),
    [anon_sym_LBRACE_LT] = ACTIONS(6886),
    [anon_sym_begin] = ACTIONS(6889),
    [sym_ocamlyacc_value] = ACTIONS(6892),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6895),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6898),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(6901),
    [anon_sym_SQUOTE] = ACTIONS(6904),
    [anon_sym_DQUOTE] = ACTIONS(6907),
    [sym_prefix_operator] = ACTIONS(6910),
    [sym_let_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(6913),
    [aux_sym_directive_token1] = ACTIONS(4339),
    [aux_sym_tag_token1] = ACTIONS(6916),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2845] = {
    [sym__simple_expression] = STATE(6860),
    [sym_typed_expression] = STATE(6852),
    [sym_list_expression] = STATE(6852),
    [sym_array_expression] = STATE(6852),
    [sym_record_expression] = STATE(6852),
    [sym_labeled_argument] = STATE(8397),
    [sym_prefix_expression] = STATE(6852),
    [sym_hash_expression] = STATE(6852),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_coercion_expression] = STATE(6852),
    [sym_local_open_expression] = STATE(6852),
    [sym_package_expression] = STATE(6852),
    [sym_new_expression] = STATE(6852),
    [sym_object_copy_expression] = STATE(6852),
    [sym_method_invocation] = STATE(6852),
    [sym_object_expression] = STATE(6852),
    [sym_parenthesized_expression] = STATE(6852),
    [sym_attribute] = STATE(2845),
    [sym_extension] = STATE(6852),
    [sym_quoted_extension] = STATE(6852),
    [sym__constant] = STATE(6852),
    [sym_number] = STATE(7030),
    [sym_character] = STATE(7030),
    [sym_string] = STATE(7030),
    [sym_quoted_string] = STATE(7030),
    [sym_boolean] = STATE(7030),
    [sym_unit] = STATE(7030),
    [sym__value_name] = STATE(6897),
    [sym_parenthesized_operator] = STATE(6963),
    [sym_value_path] = STATE(6852),
    [sym_module_path] = STATE(20471),
    [sym_constructor_path] = STATE(6852),
    [sym__constructor_name] = STATE(7071),
    [sym_tag] = STATE(6852),
    [aux_sym_class_application_repeat1] = STATE(2845),
    [sym__identifier] = ACTIONS(6919),
    [anon_sym_TILDE] = ACTIONS(6922),
    [anon_sym_QMARK] = ACTIONS(6922),
    [anon_sym_LPAREN] = ACTIONS(6925),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(6928),
    [anon_sym_true] = ACTIONS(6931),
    [anon_sym_false] = ACTIONS(6931),
    [anon_sym_LBRACE] = ACTIONS(6934),
    [anon_sym_SEMI] = ACTIONS(4339),
    [anon_sym_object] = ACTIONS(6937),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6940),
    [anon_sym_else] = ACTIONS(4344),
    [anon_sym_to] = ACTIONS(4344),
    [anon_sym_downto] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(6943),
    [anon_sym_LBRACE_LT] = ACTIONS(6946),
    [anon_sym_begin] = ACTIONS(6949),
    [sym_ocamlyacc_value] = ACTIONS(6952),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6955),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6958),
    [aux_sym_number_token1] = ACTIONS(6961),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(6964),
    [anon_sym_DQUOTE] = ACTIONS(6967),
    [sym_prefix_operator] = ACTIONS(6970),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(6973),
    [aux_sym_tag_token1] = ACTIONS(6976),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2846] = {
    [sym__simple_expression] = STATE(6993),
    [sym_typed_expression] = STATE(7110),
    [sym_list_expression] = STATE(7110),
    [sym_array_expression] = STATE(7110),
    [sym_record_expression] = STATE(7110),
    [sym_labeled_argument] = STATE(7861),
    [sym_prefix_expression] = STATE(7110),
    [sym_hash_expression] = STATE(7110),
    [sym_field_get_expression] = STATE(7110),
    [sym_array_get_expression] = STATE(7110),
    [sym_string_get_expression] = STATE(7110),
    [sym_bigarray_get_expression] = STATE(7110),
    [sym_coercion_expression] = STATE(7110),
    [sym_local_open_expression] = STATE(7110),
    [sym_package_expression] = STATE(7110),
    [sym_new_expression] = STATE(7110),
    [sym_object_copy_expression] = STATE(7110),
    [sym_method_invocation] = STATE(7110),
    [sym_object_expression] = STATE(7110),
    [sym_parenthesized_expression] = STATE(7110),
    [sym_attribute] = STATE(2846),
    [sym_extension] = STATE(7110),
    [sym_quoted_extension] = STATE(7110),
    [sym__constant] = STATE(7110),
    [sym_number] = STATE(6984),
    [sym_character] = STATE(6984),
    [sym_string] = STATE(6984),
    [sym_quoted_string] = STATE(6984),
    [sym_boolean] = STATE(6984),
    [sym_unit] = STATE(6984),
    [sym__value_name] = STATE(7159),
    [sym_parenthesized_operator] = STATE(7200),
    [sym_value_path] = STATE(7110),
    [sym_module_path] = STATE(19654),
    [sym_constructor_path] = STATE(7110),
    [sym__constructor_name] = STATE(6906),
    [sym_tag] = STATE(7110),
    [aux_sym_class_application_repeat1] = STATE(2840),
    [ts_builtin_sym_end] = ACTIONS(6585),
    [sym__identifier] = ACTIONS(6755),
    [anon_sym_SEMI_SEMI] = ACTIONS(6585),
    [anon_sym_let] = ACTIONS(6587),
    [anon_sym_and] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(6757),
    [anon_sym_QMARK] = ACTIONS(6757),
    [anon_sym_LPAREN] = ACTIONS(6759),
    [anon_sym_external] = ACTIONS(6587),
    [anon_sym_type] = ACTIONS(6587),
    [anon_sym_LBRACK] = ACTIONS(6761),
    [anon_sym_true] = ACTIONS(6763),
    [anon_sym_false] = ACTIONS(6763),
    [anon_sym_LBRACE] = ACTIONS(6765),
    [anon_sym_exception] = ACTIONS(6587),
    [anon_sym_module] = ACTIONS(6587),
    [anon_sym_open] = ACTIONS(6587),
    [anon_sym_include] = ACTIONS(6587),
    [anon_sym_class] = ACTIONS(6587),
    [anon_sym_object] = ACTIONS(6767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6769),
    [anon_sym_new] = ACTIONS(6771),
    [anon_sym_LBRACE_LT] = ACTIONS(6773),
    [anon_sym_begin] = ACTIONS(6775),
    [sym_ocamlyacc_value] = ACTIONS(6777),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6587),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6585),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6779),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6781),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6585),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6585),
    [aux_sym_number_token1] = ACTIONS(6783),
    [anon_sym_SQUOTE] = ACTIONS(6785),
    [anon_sym_DQUOTE] = ACTIONS(6787),
    [sym_prefix_operator] = ACTIONS(6789),
    [sym_let_operator] = ACTIONS(6585),
    [sym__capitalized_identifier] = ACTIONS(6791),
    [aux_sym_directive_token1] = ACTIONS(6585),
    [aux_sym_tag_token1] = ACTIONS(6793),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2847] = {
    [sym__simple_expression] = STATE(7005),
    [sym_typed_expression] = STATE(7032),
    [sym_list_expression] = STATE(7032),
    [sym_array_expression] = STATE(7032),
    [sym_record_expression] = STATE(7032),
    [sym_labeled_argument] = STATE(8455),
    [sym_prefix_expression] = STATE(7032),
    [sym_hash_expression] = STATE(7032),
    [sym_field_get_expression] = STATE(7032),
    [sym_array_get_expression] = STATE(7032),
    [sym_string_get_expression] = STATE(7032),
    [sym_bigarray_get_expression] = STATE(7032),
    [sym_coercion_expression] = STATE(7032),
    [sym_local_open_expression] = STATE(7032),
    [sym_package_expression] = STATE(7032),
    [sym_new_expression] = STATE(7032),
    [sym_object_copy_expression] = STATE(7032),
    [sym_method_invocation] = STATE(7032),
    [sym_object_expression] = STATE(7032),
    [sym_parenthesized_expression] = STATE(7032),
    [sym_attribute] = STATE(2847),
    [sym_extension] = STATE(7032),
    [sym_quoted_extension] = STATE(7032),
    [sym__constant] = STATE(7032),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym__value_name] = STATE(7112),
    [sym_parenthesized_operator] = STATE(6898),
    [sym_value_path] = STATE(7032),
    [sym_module_path] = STATE(20357),
    [sym_constructor_path] = STATE(7032),
    [sym__constructor_name] = STATE(7024),
    [sym_tag] = STATE(7032),
    [aux_sym_class_application_repeat1] = STATE(2841),
    [sym__identifier] = ACTIONS(6627),
    [anon_sym_SEMI_SEMI] = ACTIONS(6751),
    [anon_sym_let] = ACTIONS(6753),
    [anon_sym_and] = ACTIONS(6753),
    [anon_sym_TILDE] = ACTIONS(6629),
    [anon_sym_QMARK] = ACTIONS(6629),
    [anon_sym_LPAREN] = ACTIONS(6631),
    [anon_sym_external] = ACTIONS(6753),
    [anon_sym_type] = ACTIONS(6753),
    [anon_sym_LBRACK] = ACTIONS(6633),
    [anon_sym_true] = ACTIONS(6635),
    [anon_sym_false] = ACTIONS(6635),
    [anon_sym_LBRACE] = ACTIONS(6637),
    [anon_sym_exception] = ACTIONS(6753),
    [anon_sym_module] = ACTIONS(6753),
    [anon_sym_open] = ACTIONS(6753),
    [anon_sym_include] = ACTIONS(6753),
    [anon_sym_class] = ACTIONS(6753),
    [anon_sym_end] = ACTIONS(6753),
    [anon_sym_object] = ACTIONS(6639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6641),
    [anon_sym_new] = ACTIONS(6643),
    [anon_sym_LBRACE_LT] = ACTIONS(6645),
    [anon_sym_begin] = ACTIONS(6647),
    [sym_ocamlyacc_value] = ACTIONS(6649),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6753),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6751),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6651),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6653),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6751),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6751),
    [aux_sym_number_token1] = ACTIONS(6655),
    [anon_sym_SQUOTE] = ACTIONS(6657),
    [anon_sym_DQUOTE] = ACTIONS(6659),
    [sym_prefix_operator] = ACTIONS(6661),
    [sym_let_operator] = ACTIONS(6751),
    [sym__capitalized_identifier] = ACTIONS(6663),
    [aux_sym_directive_token1] = ACTIONS(6751),
    [aux_sym_tag_token1] = ACTIONS(6665),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2848] = {
    [sym__simple_pattern] = STATE(14477),
    [sym__pattern] = STATE(14850),
    [sym_alias_pattern] = STATE(14477),
    [sym_typed_pattern] = STATE(14481),
    [sym_or_pattern] = STATE(14477),
    [sym_constructor_pattern] = STATE(14477),
    [sym_tag_pattern] = STATE(14477),
    [sym_polymorphic_variant_pattern] = STATE(14481),
    [sym_tuple_pattern] = STATE(14477),
    [sym_record_pattern] = STATE(14481),
    [sym_list_pattern] = STATE(14481),
    [sym_cons_pattern] = STATE(14477),
    [sym_array_pattern] = STATE(14481),
    [sym_range_pattern] = STATE(14477),
    [sym_lazy_pattern] = STATE(14477),
    [sym_local_open_pattern] = STATE(14481),
    [sym_package_pattern] = STATE(14481),
    [sym_parenthesized_pattern] = STATE(14481),
    [sym_exception_pattern] = STATE(14477),
    [sym_attribute] = STATE(2848),
    [sym_extension] = STATE(14481),
    [sym_quoted_extension] = STATE(14481),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14213),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(22117),
    [sym_add_operator] = STATE(19309),
    [sym__simple_value_pattern] = STATE(14481),
    [sym_parenthesized_operator] = STATE(14481),
    [sym_module_path] = STATE(21455),
    [sym_constructor_path] = STATE(2928),
    [sym__constructor_name] = STATE(10069),
    [sym_tag] = STATE(2946),
    [sym__identifier] = ACTIONS(6291),
    [anon_sym_LPAREN] = ACTIONS(6293),
    [anon_sym_RPAREN] = ACTIONS(6437),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(6439),
    [anon_sym_LBRACE] = ACTIONS(6305),
    [anon_sym_exception] = ACTIONS(6307),
    [anon_sym_module] = ACTIONS(6441),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(6443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6315),
    [anon_sym_lazy] = ACTIONS(6317),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(6445),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6445),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6445),
    [sym_let_and_operator] = ACTIONS(6445),
    [sym_match_operator] = ACTIONS(6445),
    [sym__capitalized_identifier] = ACTIONS(6335),
    [aux_sym_tag_token1] = ACTIONS(6337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2849] = {
    [sym__simple_pattern] = STATE(14477),
    [sym__pattern] = STATE(15052),
    [sym_alias_pattern] = STATE(14477),
    [sym_typed_pattern] = STATE(14481),
    [sym_or_pattern] = STATE(14477),
    [sym_constructor_pattern] = STATE(14477),
    [sym_tag_pattern] = STATE(14477),
    [sym_polymorphic_variant_pattern] = STATE(14481),
    [sym_tuple_pattern] = STATE(14477),
    [sym_record_pattern] = STATE(14481),
    [sym_list_pattern] = STATE(14481),
    [sym_cons_pattern] = STATE(14477),
    [sym_array_pattern] = STATE(14481),
    [sym_range_pattern] = STATE(14477),
    [sym_lazy_pattern] = STATE(14477),
    [sym_local_open_pattern] = STATE(14481),
    [sym_package_pattern] = STATE(14481),
    [sym_parenthesized_pattern] = STATE(14481),
    [sym_exception_pattern] = STATE(14477),
    [sym_attribute] = STATE(2849),
    [sym_extension] = STATE(14481),
    [sym_quoted_extension] = STATE(14481),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14213),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(20670),
    [sym_add_operator] = STATE(19309),
    [sym__simple_value_pattern] = STATE(14481),
    [sym_parenthesized_operator] = STATE(14481),
    [sym_module_path] = STATE(21455),
    [sym_constructor_path] = STATE(2928),
    [sym__constructor_name] = STATE(10069),
    [sym_tag] = STATE(2946),
    [sym__identifier] = ACTIONS(6291),
    [anon_sym_LPAREN] = ACTIONS(6293),
    [anon_sym_RPAREN] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(6305),
    [anon_sym_exception] = ACTIONS(6307),
    [anon_sym_module] = ACTIONS(6413),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(6415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6315),
    [anon_sym_lazy] = ACTIONS(6317),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(2997),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(2997),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2997),
    [sym_let_and_operator] = ACTIONS(2997),
    [sym_match_operator] = ACTIONS(2997),
    [sym__capitalized_identifier] = ACTIONS(6335),
    [aux_sym_tag_token1] = ACTIONS(6337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2850] = {
    [sym__simple_expression] = STATE(7631),
    [sym_typed_expression] = STATE(7673),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_labeled_argument] = STATE(8626),
    [sym_prefix_expression] = STATE(7673),
    [sym_hash_expression] = STATE(7673),
    [sym_field_get_expression] = STATE(7673),
    [sym_array_get_expression] = STATE(7673),
    [sym_string_get_expression] = STATE(7673),
    [sym_bigarray_get_expression] = STATE(7673),
    [sym_coercion_expression] = STATE(7673),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2850),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [aux_sym_class_application_repeat1] = STATE(2865),
    [sym__identifier] = ACTIONS(6171),
    [anon_sym_TILDE] = ACTIONS(6173),
    [anon_sym_QMARK] = ACTIONS(6173),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_true] = ACTIONS(2945),
    [anon_sym_false] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(4103),
    [anon_sym_end] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_LBRACE_LT] = ACTIONS(2965),
    [anon_sym_begin] = ACTIONS(2967),
    [sym_ocamlyacc_value] = ACTIONS(2969),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2973),
    [aux_sym_number_token1] = ACTIONS(2975),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_prefix_operator] = ACTIONS(2981),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(2985),
    [aux_sym_tag_token1] = ACTIONS(2987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2851] = {
    [sym__simple_pattern] = STATE(14477),
    [sym__pattern] = STATE(14816),
    [sym_alias_pattern] = STATE(14477),
    [sym_typed_pattern] = STATE(14481),
    [sym_or_pattern] = STATE(14477),
    [sym_constructor_pattern] = STATE(14477),
    [sym_tag_pattern] = STATE(14477),
    [sym_polymorphic_variant_pattern] = STATE(14481),
    [sym_tuple_pattern] = STATE(14477),
    [sym_record_pattern] = STATE(14481),
    [sym_list_pattern] = STATE(14481),
    [sym_cons_pattern] = STATE(14477),
    [sym_array_pattern] = STATE(14481),
    [sym_range_pattern] = STATE(14477),
    [sym_lazy_pattern] = STATE(14477),
    [sym_local_open_pattern] = STATE(14481),
    [sym_package_pattern] = STATE(14481),
    [sym_parenthesized_pattern] = STATE(14481),
    [sym_exception_pattern] = STATE(14477),
    [sym_attribute] = STATE(2851),
    [sym_extension] = STATE(14481),
    [sym_quoted_extension] = STATE(14481),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14213),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(19863),
    [sym_add_operator] = STATE(19309),
    [sym__simple_value_pattern] = STATE(14481),
    [sym_parenthesized_operator] = STATE(14481),
    [sym_module_path] = STATE(21455),
    [sym_constructor_path] = STATE(2928),
    [sym__constructor_name] = STATE(10069),
    [sym_tag] = STATE(2946),
    [sym__identifier] = ACTIONS(6291),
    [anon_sym_LPAREN] = ACTIONS(6293),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(6531),
    [anon_sym_LBRACE] = ACTIONS(6305),
    [anon_sym_exception] = ACTIONS(6307),
    [anon_sym_module] = ACTIONS(6533),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(6535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6315),
    [anon_sym_lazy] = ACTIONS(6317),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(6537),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6537),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6537),
    [sym_let_and_operator] = ACTIONS(6537),
    [sym_match_operator] = ACTIONS(6537),
    [sym__capitalized_identifier] = ACTIONS(6335),
    [aux_sym_tag_token1] = ACTIONS(6337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2852] = {
    [sym__simple_expression] = STATE(7227),
    [sym_typed_expression] = STATE(7709),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_labeled_argument] = STATE(8680),
    [sym_prefix_expression] = STATE(7709),
    [sym_hash_expression] = STATE(7709),
    [sym_field_get_expression] = STATE(7709),
    [sym_array_get_expression] = STATE(7709),
    [sym_string_get_expression] = STATE(7709),
    [sym_bigarray_get_expression] = STATE(7709),
    [sym_coercion_expression] = STATE(7709),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(2852),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [aux_sym_class_application_repeat1] = STATE(2860),
    [sym__identifier] = ACTIONS(6181),
    [anon_sym_TILDE] = ACTIONS(6183),
    [anon_sym_QMARK] = ACTIONS(6183),
    [anon_sym_LPAREN] = ACTIONS(2359),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_true] = ACTIONS(2363),
    [anon_sym_false] = ACTIONS(2363),
    [anon_sym_LBRACE] = ACTIONS(2365),
    [anon_sym_SEMI] = ACTIONS(4103),
    [anon_sym_object] = ACTIONS(2367),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2371),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_done] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACE_LT] = ACTIONS(2383),
    [anon_sym_begin] = ACTIONS(2385),
    [sym_ocamlyacc_value] = ACTIONS(2387),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2391),
    [aux_sym_number_token1] = ACTIONS(2393),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(2403),
    [aux_sym_tag_token1] = ACTIONS(2405),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2853] = {
    [sym__simple_expression] = STATE(7572),
    [sym_typed_expression] = STATE(7621),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_labeled_argument] = STATE(8602),
    [sym_prefix_expression] = STATE(7621),
    [sym_hash_expression] = STATE(7621),
    [sym_field_get_expression] = STATE(7621),
    [sym_array_get_expression] = STATE(7621),
    [sym_string_get_expression] = STATE(7621),
    [sym_bigarray_get_expression] = STATE(7621),
    [sym_coercion_expression] = STATE(7621),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2853),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [aux_sym_class_application_repeat1] = STATE(2856),
    [sym__identifier] = ACTIONS(6191),
    [anon_sym_TILDE] = ACTIONS(6193),
    [anon_sym_QMARK] = ACTIONS(6193),
    [anon_sym_LPAREN] = ACTIONS(2889),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(4103),
    [anon_sym_with] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_LBRACE_LT] = ACTIONS(2913),
    [anon_sym_begin] = ACTIONS(2915),
    [sym_ocamlyacc_value] = ACTIONS(2917),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2921),
    [aux_sym_number_token1] = ACTIONS(2923),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(2933),
    [aux_sym_tag_token1] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2854] = {
    [sym__simple_expression] = STATE(7496),
    [sym_typed_expression] = STATE(7504),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_labeled_argument] = STATE(8575),
    [sym_prefix_expression] = STATE(7504),
    [sym_hash_expression] = STATE(7504),
    [sym_field_get_expression] = STATE(7504),
    [sym_array_get_expression] = STATE(7504),
    [sym_string_get_expression] = STATE(7504),
    [sym_bigarray_get_expression] = STATE(7504),
    [sym_coercion_expression] = STATE(7504),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2854),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [aux_sym_class_application_repeat1] = STATE(2854),
    [sym__identifier] = ACTIONS(6979),
    [anon_sym_TILDE] = ACTIONS(6982),
    [anon_sym_QMARK] = ACTIONS(6982),
    [anon_sym_LPAREN] = ACTIONS(6985),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(6988),
    [anon_sym_true] = ACTIONS(6991),
    [anon_sym_false] = ACTIONS(6991),
    [anon_sym_LBRACE] = ACTIONS(6994),
    [anon_sym_SEMI] = ACTIONS(4339),
    [anon_sym_object] = ACTIONS(6997),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7000),
    [anon_sym_then] = ACTIONS(4344),
    [anon_sym_else] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(7003),
    [anon_sym_LBRACE_LT] = ACTIONS(7006),
    [anon_sym_begin] = ACTIONS(7009),
    [sym_ocamlyacc_value] = ACTIONS(7012),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7015),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7018),
    [aux_sym_number_token1] = ACTIONS(7021),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(7024),
    [anon_sym_DQUOTE] = ACTIONS(7027),
    [sym_prefix_operator] = ACTIONS(7030),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(7033),
    [aux_sym_tag_token1] = ACTIONS(7036),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2855] = {
    [sym__simple_pattern] = STATE(14477),
    [sym__pattern] = STATE(14824),
    [sym_alias_pattern] = STATE(14477),
    [sym_typed_pattern] = STATE(14481),
    [sym_or_pattern] = STATE(14477),
    [sym_constructor_pattern] = STATE(14477),
    [sym_tag_pattern] = STATE(14477),
    [sym_polymorphic_variant_pattern] = STATE(14481),
    [sym_tuple_pattern] = STATE(14477),
    [sym_record_pattern] = STATE(14481),
    [sym_list_pattern] = STATE(14481),
    [sym_cons_pattern] = STATE(14477),
    [sym_array_pattern] = STATE(14481),
    [sym_range_pattern] = STATE(14477),
    [sym_lazy_pattern] = STATE(14477),
    [sym_local_open_pattern] = STATE(14481),
    [sym_package_pattern] = STATE(14481),
    [sym_parenthesized_pattern] = STATE(14481),
    [sym_exception_pattern] = STATE(14477),
    [sym_attribute] = STATE(2855),
    [sym_extension] = STATE(14481),
    [sym_quoted_extension] = STATE(14481),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14213),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(20239),
    [sym_add_operator] = STATE(19309),
    [sym__simple_value_pattern] = STATE(14481),
    [sym_parenthesized_operator] = STATE(14481),
    [sym_module_path] = STATE(21455),
    [sym_constructor_path] = STATE(2928),
    [sym__constructor_name] = STATE(10069),
    [sym_tag] = STATE(2946),
    [sym__identifier] = ACTIONS(6291),
    [anon_sym_LPAREN] = ACTIONS(6293),
    [anon_sym_RPAREN] = ACTIONS(6427),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(6429),
    [anon_sym_LBRACE] = ACTIONS(6305),
    [anon_sym_exception] = ACTIONS(6307),
    [anon_sym_module] = ACTIONS(6431),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(6433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6315),
    [anon_sym_lazy] = ACTIONS(6317),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(6435),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6435),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6435),
    [sym_let_and_operator] = ACTIONS(6435),
    [sym_match_operator] = ACTIONS(6435),
    [sym__capitalized_identifier] = ACTIONS(6335),
    [aux_sym_tag_token1] = ACTIONS(6337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2856] = {
    [sym__simple_expression] = STATE(7572),
    [sym_typed_expression] = STATE(7621),
    [sym_list_expression] = STATE(7621),
    [sym_array_expression] = STATE(7621),
    [sym_record_expression] = STATE(7621),
    [sym_labeled_argument] = STATE(8602),
    [sym_prefix_expression] = STATE(7621),
    [sym_hash_expression] = STATE(7621),
    [sym_field_get_expression] = STATE(7621),
    [sym_array_get_expression] = STATE(7621),
    [sym_string_get_expression] = STATE(7621),
    [sym_bigarray_get_expression] = STATE(7621),
    [sym_coercion_expression] = STATE(7621),
    [sym_local_open_expression] = STATE(7621),
    [sym_package_expression] = STATE(7621),
    [sym_new_expression] = STATE(7621),
    [sym_object_copy_expression] = STATE(7621),
    [sym_method_invocation] = STATE(7621),
    [sym_object_expression] = STATE(7621),
    [sym_parenthesized_expression] = STATE(7621),
    [sym_attribute] = STATE(2856),
    [sym_extension] = STATE(7621),
    [sym_quoted_extension] = STATE(7621),
    [sym__constant] = STATE(7621),
    [sym_number] = STATE(7317),
    [sym_character] = STATE(7317),
    [sym_string] = STATE(7317),
    [sym_quoted_string] = STATE(7317),
    [sym_boolean] = STATE(7317),
    [sym_unit] = STATE(7317),
    [sym__value_name] = STATE(7677),
    [sym_parenthesized_operator] = STATE(7268),
    [sym_value_path] = STATE(7621),
    [sym_module_path] = STATE(19874),
    [sym_constructor_path] = STATE(7621),
    [sym__constructor_name] = STATE(7474),
    [sym_tag] = STATE(7621),
    [aux_sym_class_application_repeat1] = STATE(2856),
    [sym__identifier] = ACTIONS(7039),
    [anon_sym_TILDE] = ACTIONS(7042),
    [anon_sym_QMARK] = ACTIONS(7042),
    [anon_sym_LPAREN] = ACTIONS(7045),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(7048),
    [anon_sym_true] = ACTIONS(7051),
    [anon_sym_false] = ACTIONS(7051),
    [anon_sym_LBRACE] = ACTIONS(7054),
    [anon_sym_SEMI] = ACTIONS(4339),
    [anon_sym_with] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(7057),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7060),
    [anon_sym_else] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(7063),
    [anon_sym_LBRACE_LT] = ACTIONS(7066),
    [anon_sym_begin] = ACTIONS(7069),
    [sym_ocamlyacc_value] = ACTIONS(7072),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7078),
    [aux_sym_number_token1] = ACTIONS(7081),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(7084),
    [anon_sym_DQUOTE] = ACTIONS(7087),
    [sym_prefix_operator] = ACTIONS(7090),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(7093),
    [aux_sym_tag_token1] = ACTIONS(7096),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2857] = {
    [sym__simple_expression] = STATE(7383),
    [sym_typed_expression] = STATE(7369),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_labeled_argument] = STATE(8499),
    [sym_prefix_expression] = STATE(7369),
    [sym_hash_expression] = STATE(7369),
    [sym_field_get_expression] = STATE(7369),
    [sym_array_get_expression] = STATE(7369),
    [sym_string_get_expression] = STATE(7369),
    [sym_bigarray_get_expression] = STATE(7369),
    [sym_coercion_expression] = STATE(7369),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(2857),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [aux_sym_class_application_repeat1] = STATE(2857),
    [sym__identifier] = ACTIONS(7099),
    [anon_sym_TILDE] = ACTIONS(7102),
    [anon_sym_QMARK] = ACTIONS(7102),
    [anon_sym_LPAREN] = ACTIONS(7105),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(7108),
    [anon_sym_true] = ACTIONS(7111),
    [anon_sym_false] = ACTIONS(7111),
    [anon_sym_LBRACE] = ACTIONS(7114),
    [anon_sym_SEMI] = ACTIONS(4339),
    [anon_sym_object] = ACTIONS(7117),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7120),
    [anon_sym_to] = ACTIONS(4344),
    [anon_sym_downto] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(7123),
    [anon_sym_LBRACE_LT] = ACTIONS(7126),
    [anon_sym_begin] = ACTIONS(7129),
    [sym_ocamlyacc_value] = ACTIONS(7132),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7135),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7138),
    [aux_sym_number_token1] = ACTIONS(7141),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(7144),
    [anon_sym_DQUOTE] = ACTIONS(7147),
    [sym_prefix_operator] = ACTIONS(7150),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(7153),
    [aux_sym_tag_token1] = ACTIONS(7156),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2858] = {
    [sym__simple_pattern] = STATE(14477),
    [sym__pattern] = STATE(14800),
    [sym_alias_pattern] = STATE(14477),
    [sym_typed_pattern] = STATE(14481),
    [sym_or_pattern] = STATE(14477),
    [sym_constructor_pattern] = STATE(14477),
    [sym_tag_pattern] = STATE(14477),
    [sym_polymorphic_variant_pattern] = STATE(14481),
    [sym_tuple_pattern] = STATE(14477),
    [sym_record_pattern] = STATE(14481),
    [sym_list_pattern] = STATE(14481),
    [sym_cons_pattern] = STATE(14477),
    [sym_array_pattern] = STATE(14481),
    [sym_range_pattern] = STATE(14477),
    [sym_lazy_pattern] = STATE(14477),
    [sym_local_open_pattern] = STATE(14481),
    [sym_package_pattern] = STATE(14481),
    [sym_parenthesized_pattern] = STATE(14481),
    [sym_exception_pattern] = STATE(14477),
    [sym_attribute] = STATE(2858),
    [sym_extension] = STATE(14481),
    [sym_quoted_extension] = STATE(14481),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14213),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(20171),
    [sym_add_operator] = STATE(19309),
    [sym__simple_value_pattern] = STATE(14481),
    [sym_parenthesized_operator] = STATE(14481),
    [sym_module_path] = STATE(21455),
    [sym_constructor_path] = STATE(2928),
    [sym__constructor_name] = STATE(10069),
    [sym_tag] = STATE(2946),
    [sym__identifier] = ACTIONS(6291),
    [anon_sym_LPAREN] = ACTIONS(6293),
    [anon_sym_RPAREN] = ACTIONS(6573),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(6575),
    [anon_sym_LBRACE] = ACTIONS(6305),
    [anon_sym_exception] = ACTIONS(6307),
    [anon_sym_module] = ACTIONS(6577),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(6579),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6315),
    [anon_sym_lazy] = ACTIONS(6317),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(6581),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6581),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6581),
    [sym_let_and_operator] = ACTIONS(6581),
    [sym_match_operator] = ACTIONS(6581),
    [sym__capitalized_identifier] = ACTIONS(6335),
    [aux_sym_tag_token1] = ACTIONS(6337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2859] = {
    [sym__simple_pattern] = STATE(14477),
    [sym__pattern] = STATE(15083),
    [sym_alias_pattern] = STATE(14477),
    [sym_typed_pattern] = STATE(14481),
    [sym_or_pattern] = STATE(14477),
    [sym_constructor_pattern] = STATE(14477),
    [sym_tag_pattern] = STATE(14477),
    [sym_polymorphic_variant_pattern] = STATE(14481),
    [sym_tuple_pattern] = STATE(14477),
    [sym_record_pattern] = STATE(14481),
    [sym_list_pattern] = STATE(14481),
    [sym_cons_pattern] = STATE(14477),
    [sym_array_pattern] = STATE(14481),
    [sym_range_pattern] = STATE(14477),
    [sym_lazy_pattern] = STATE(14477),
    [sym_local_open_pattern] = STATE(14481),
    [sym_package_pattern] = STATE(14481),
    [sym_parenthesized_pattern] = STATE(14481),
    [sym_exception_pattern] = STATE(14477),
    [sym_attribute] = STATE(2859),
    [sym_extension] = STATE(14481),
    [sym_quoted_extension] = STATE(14481),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14213),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(22432),
    [sym_add_operator] = STATE(19309),
    [sym__simple_value_pattern] = STATE(14481),
    [sym_parenthesized_operator] = STATE(14481),
    [sym_module_path] = STATE(21455),
    [sym_constructor_path] = STATE(2928),
    [sym__constructor_name] = STATE(10069),
    [sym_tag] = STATE(2946),
    [sym__identifier] = ACTIONS(6291),
    [anon_sym_LPAREN] = ACTIONS(6293),
    [anon_sym_RPAREN] = ACTIONS(6295),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(6303),
    [anon_sym_LBRACE] = ACTIONS(6305),
    [anon_sym_exception] = ACTIONS(6307),
    [anon_sym_module] = ACTIONS(6309),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(6313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6315),
    [anon_sym_lazy] = ACTIONS(6317),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(6333),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6333),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6333),
    [sym_let_and_operator] = ACTIONS(6333),
    [sym_match_operator] = ACTIONS(6333),
    [sym__capitalized_identifier] = ACTIONS(6335),
    [aux_sym_tag_token1] = ACTIONS(6337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2860] = {
    [sym__simple_expression] = STATE(7227),
    [sym_typed_expression] = STATE(7709),
    [sym_list_expression] = STATE(7709),
    [sym_array_expression] = STATE(7709),
    [sym_record_expression] = STATE(7709),
    [sym_labeled_argument] = STATE(8680),
    [sym_prefix_expression] = STATE(7709),
    [sym_hash_expression] = STATE(7709),
    [sym_field_get_expression] = STATE(7709),
    [sym_array_get_expression] = STATE(7709),
    [sym_string_get_expression] = STATE(7709),
    [sym_bigarray_get_expression] = STATE(7709),
    [sym_coercion_expression] = STATE(7709),
    [sym_local_open_expression] = STATE(7709),
    [sym_package_expression] = STATE(7709),
    [sym_new_expression] = STATE(7709),
    [sym_object_copy_expression] = STATE(7709),
    [sym_method_invocation] = STATE(7709),
    [sym_object_expression] = STATE(7709),
    [sym_parenthesized_expression] = STATE(7709),
    [sym_attribute] = STATE(2860),
    [sym_extension] = STATE(7709),
    [sym_quoted_extension] = STATE(7709),
    [sym__constant] = STATE(7709),
    [sym_number] = STATE(7348),
    [sym_character] = STATE(7348),
    [sym_string] = STATE(7348),
    [sym_quoted_string] = STATE(7348),
    [sym_boolean] = STATE(7348),
    [sym_unit] = STATE(7348),
    [sym__value_name] = STATE(7275),
    [sym_parenthesized_operator] = STATE(7721),
    [sym_value_path] = STATE(7709),
    [sym_module_path] = STATE(20433),
    [sym_constructor_path] = STATE(7709),
    [sym__constructor_name] = STATE(7434),
    [sym_tag] = STATE(7709),
    [aux_sym_class_application_repeat1] = STATE(2860),
    [sym__identifier] = ACTIONS(7159),
    [anon_sym_TILDE] = ACTIONS(7162),
    [anon_sym_QMARK] = ACTIONS(7162),
    [anon_sym_LPAREN] = ACTIONS(7165),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(7168),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7174),
    [anon_sym_SEMI] = ACTIONS(4339),
    [anon_sym_object] = ACTIONS(7177),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7180),
    [anon_sym_else] = ACTIONS(4344),
    [anon_sym_done] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(7183),
    [anon_sym_LBRACE_LT] = ACTIONS(7186),
    [anon_sym_begin] = ACTIONS(7189),
    [sym_ocamlyacc_value] = ACTIONS(7192),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7195),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7198),
    [aux_sym_number_token1] = ACTIONS(7201),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(7204),
    [anon_sym_DQUOTE] = ACTIONS(7207),
    [sym_prefix_operator] = ACTIONS(7210),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(7213),
    [aux_sym_tag_token1] = ACTIONS(7216),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2861] = {
    [sym__simple_expression] = STATE(7383),
    [sym_typed_expression] = STATE(7369),
    [sym_list_expression] = STATE(7369),
    [sym_array_expression] = STATE(7369),
    [sym_record_expression] = STATE(7369),
    [sym_labeled_argument] = STATE(8499),
    [sym_prefix_expression] = STATE(7369),
    [sym_hash_expression] = STATE(7369),
    [sym_field_get_expression] = STATE(7369),
    [sym_array_get_expression] = STATE(7369),
    [sym_string_get_expression] = STATE(7369),
    [sym_bigarray_get_expression] = STATE(7369),
    [sym_coercion_expression] = STATE(7369),
    [sym_local_open_expression] = STATE(7369),
    [sym_package_expression] = STATE(7369),
    [sym_new_expression] = STATE(7369),
    [sym_object_copy_expression] = STATE(7369),
    [sym_method_invocation] = STATE(7369),
    [sym_object_expression] = STATE(7369),
    [sym_parenthesized_expression] = STATE(7369),
    [sym_attribute] = STATE(2861),
    [sym_extension] = STATE(7369),
    [sym_quoted_extension] = STATE(7369),
    [sym__constant] = STATE(7369),
    [sym_number] = STATE(7676),
    [sym_character] = STATE(7676),
    [sym_string] = STATE(7676),
    [sym_quoted_string] = STATE(7676),
    [sym_boolean] = STATE(7676),
    [sym_unit] = STATE(7676),
    [sym__value_name] = STATE(7437),
    [sym_parenthesized_operator] = STATE(7471),
    [sym_value_path] = STATE(7369),
    [sym_module_path] = STATE(19430),
    [sym_constructor_path] = STATE(7369),
    [sym__constructor_name] = STATE(7269),
    [sym_tag] = STATE(7369),
    [aux_sym_class_application_repeat1] = STATE(2857),
    [sym__identifier] = ACTIONS(6201),
    [anon_sym_TILDE] = ACTIONS(6203),
    [anon_sym_QMARK] = ACTIONS(6203),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_true] = ACTIONS(1897),
    [anon_sym_false] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_SEMI] = ACTIONS(4103),
    [anon_sym_object] = ACTIONS(1901),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1905),
    [anon_sym_to] = ACTIONS(4105),
    [anon_sym_downto] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_LBRACE_LT] = ACTIONS(1917),
    [anon_sym_begin] = ACTIONS(1919),
    [sym_ocamlyacc_value] = ACTIONS(1921),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1925),
    [aux_sym_number_token1] = ACTIONS(1927),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [sym_prefix_operator] = ACTIONS(1933),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(1937),
    [aux_sym_tag_token1] = ACTIONS(1939),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2862] = {
    [sym__simple_pattern] = STATE(14477),
    [sym__pattern] = STATE(14835),
    [sym_alias_pattern] = STATE(14477),
    [sym_typed_pattern] = STATE(14481),
    [sym_or_pattern] = STATE(14477),
    [sym_constructor_pattern] = STATE(14477),
    [sym_tag_pattern] = STATE(14477),
    [sym_polymorphic_variant_pattern] = STATE(14481),
    [sym_tuple_pattern] = STATE(14477),
    [sym_record_pattern] = STATE(14481),
    [sym_list_pattern] = STATE(14481),
    [sym_cons_pattern] = STATE(14477),
    [sym_array_pattern] = STATE(14481),
    [sym_range_pattern] = STATE(14477),
    [sym_lazy_pattern] = STATE(14477),
    [sym_local_open_pattern] = STATE(14481),
    [sym_package_pattern] = STATE(14481),
    [sym_parenthesized_pattern] = STATE(14481),
    [sym_exception_pattern] = STATE(14477),
    [sym_attribute] = STATE(2862),
    [sym_extension] = STATE(14481),
    [sym_quoted_extension] = STATE(14481),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14213),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(19895),
    [sym_add_operator] = STATE(19309),
    [sym__simple_value_pattern] = STATE(14481),
    [sym_parenthesized_operator] = STATE(14481),
    [sym_module_path] = STATE(21455),
    [sym_constructor_path] = STATE(2928),
    [sym__constructor_name] = STATE(10069),
    [sym_tag] = STATE(2946),
    [sym__identifier] = ACTIONS(6291),
    [anon_sym_LPAREN] = ACTIONS(6293),
    [anon_sym_RPAREN] = ACTIONS(6553),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(6555),
    [anon_sym_LBRACE] = ACTIONS(6305),
    [anon_sym_exception] = ACTIONS(6307),
    [anon_sym_module] = ACTIONS(6557),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(6559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6315),
    [anon_sym_lazy] = ACTIONS(6317),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(6561),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6561),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6561),
    [sym_let_and_operator] = ACTIONS(6561),
    [sym_match_operator] = ACTIONS(6561),
    [sym__capitalized_identifier] = ACTIONS(6335),
    [aux_sym_tag_token1] = ACTIONS(6337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2863] = {
    [sym__simple_expression] = STATE(7512),
    [sym_typed_expression] = STATE(7557),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_labeled_argument] = STATE(8590),
    [sym_prefix_expression] = STATE(7557),
    [sym_hash_expression] = STATE(7557),
    [sym_field_get_expression] = STATE(7557),
    [sym_array_get_expression] = STATE(7557),
    [sym_string_get_expression] = STATE(7557),
    [sym_bigarray_get_expression] = STATE(7557),
    [sym_coercion_expression] = STATE(7557),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2863),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [aux_sym_class_application_repeat1] = STATE(2863),
    [sym__identifier] = ACTIONS(7219),
    [anon_sym_TILDE] = ACTIONS(7222),
    [anon_sym_QMARK] = ACTIONS(7222),
    [anon_sym_LPAREN] = ACTIONS(7225),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(7228),
    [anon_sym_true] = ACTIONS(7231),
    [anon_sym_false] = ACTIONS(7231),
    [anon_sym_LBRACE] = ACTIONS(7234),
    [anon_sym_SEMI] = ACTIONS(4339),
    [anon_sym_object] = ACTIONS(7237),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7240),
    [anon_sym_else] = ACTIONS(4344),
    [anon_sym_do] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(7243),
    [anon_sym_LBRACE_LT] = ACTIONS(7246),
    [anon_sym_begin] = ACTIONS(7249),
    [sym_ocamlyacc_value] = ACTIONS(7252),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7258),
    [aux_sym_number_token1] = ACTIONS(7261),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(7264),
    [anon_sym_DQUOTE] = ACTIONS(7267),
    [sym_prefix_operator] = ACTIONS(7270),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(7273),
    [aux_sym_tag_token1] = ACTIONS(7276),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2864] = {
    [sym__simple_expression] = STATE(7512),
    [sym_typed_expression] = STATE(7557),
    [sym_list_expression] = STATE(7557),
    [sym_array_expression] = STATE(7557),
    [sym_record_expression] = STATE(7557),
    [sym_labeled_argument] = STATE(8590),
    [sym_prefix_expression] = STATE(7557),
    [sym_hash_expression] = STATE(7557),
    [sym_field_get_expression] = STATE(7557),
    [sym_array_get_expression] = STATE(7557),
    [sym_string_get_expression] = STATE(7557),
    [sym_bigarray_get_expression] = STATE(7557),
    [sym_coercion_expression] = STATE(7557),
    [sym_local_open_expression] = STATE(7557),
    [sym_package_expression] = STATE(7557),
    [sym_new_expression] = STATE(7557),
    [sym_object_copy_expression] = STATE(7557),
    [sym_method_invocation] = STATE(7557),
    [sym_object_expression] = STATE(7557),
    [sym_parenthesized_expression] = STATE(7557),
    [sym_attribute] = STATE(2864),
    [sym_extension] = STATE(7557),
    [sym_quoted_extension] = STATE(7557),
    [sym__constant] = STATE(7557),
    [sym_number] = STATE(7255),
    [sym_character] = STATE(7255),
    [sym_string] = STATE(7255),
    [sym_quoted_string] = STATE(7255),
    [sym_boolean] = STATE(7255),
    [sym_unit] = STATE(7255),
    [sym__value_name] = STATE(7622),
    [sym_parenthesized_operator] = STATE(7249),
    [sym_value_path] = STATE(7557),
    [sym_module_path] = STATE(19792),
    [sym_constructor_path] = STATE(7557),
    [sym__constructor_name] = STATE(7380),
    [sym_tag] = STATE(7557),
    [aux_sym_class_application_repeat1] = STATE(2863),
    [sym__identifier] = ACTIONS(6221),
    [anon_sym_TILDE] = ACTIONS(6223),
    [anon_sym_QMARK] = ACTIONS(6223),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_SEMI] = ACTIONS(4103),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_do] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2865] = {
    [sym__simple_expression] = STATE(7631),
    [sym_typed_expression] = STATE(7673),
    [sym_list_expression] = STATE(7673),
    [sym_array_expression] = STATE(7673),
    [sym_record_expression] = STATE(7673),
    [sym_labeled_argument] = STATE(8626),
    [sym_prefix_expression] = STATE(7673),
    [sym_hash_expression] = STATE(7673),
    [sym_field_get_expression] = STATE(7673),
    [sym_array_get_expression] = STATE(7673),
    [sym_string_get_expression] = STATE(7673),
    [sym_bigarray_get_expression] = STATE(7673),
    [sym_coercion_expression] = STATE(7673),
    [sym_local_open_expression] = STATE(7673),
    [sym_package_expression] = STATE(7673),
    [sym_new_expression] = STATE(7673),
    [sym_object_copy_expression] = STATE(7673),
    [sym_method_invocation] = STATE(7673),
    [sym_object_expression] = STATE(7673),
    [sym_parenthesized_expression] = STATE(7673),
    [sym_attribute] = STATE(2865),
    [sym_extension] = STATE(7673),
    [sym_quoted_extension] = STATE(7673),
    [sym__constant] = STATE(7673),
    [sym_number] = STATE(7374),
    [sym_character] = STATE(7374),
    [sym_string] = STATE(7374),
    [sym_quoted_string] = STATE(7374),
    [sym_boolean] = STATE(7374),
    [sym_unit] = STATE(7374),
    [sym__value_name] = STATE(7467),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7673),
    [sym_module_path] = STATE(19915),
    [sym_constructor_path] = STATE(7673),
    [sym__constructor_name] = STATE(7222),
    [sym_tag] = STATE(7673),
    [aux_sym_class_application_repeat1] = STATE(2865),
    [sym__identifier] = ACTIONS(7279),
    [anon_sym_TILDE] = ACTIONS(7282),
    [anon_sym_QMARK] = ACTIONS(7282),
    [anon_sym_LPAREN] = ACTIONS(7285),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(7288),
    [anon_sym_true] = ACTIONS(7291),
    [anon_sym_false] = ACTIONS(7291),
    [anon_sym_LBRACE] = ACTIONS(7294),
    [anon_sym_SEMI] = ACTIONS(4339),
    [anon_sym_end] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(7297),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7300),
    [anon_sym_else] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(7303),
    [anon_sym_LBRACE_LT] = ACTIONS(7306),
    [anon_sym_begin] = ACTIONS(7309),
    [sym_ocamlyacc_value] = ACTIONS(7312),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7315),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7318),
    [aux_sym_number_token1] = ACTIONS(7321),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(7324),
    [anon_sym_DQUOTE] = ACTIONS(7327),
    [sym_prefix_operator] = ACTIONS(7330),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(7333),
    [aux_sym_tag_token1] = ACTIONS(7336),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2866] = {
    [sym__simple_pattern] = STATE(14477),
    [sym__pattern] = STATE(14853),
    [sym_alias_pattern] = STATE(14477),
    [sym_typed_pattern] = STATE(14481),
    [sym_or_pattern] = STATE(14477),
    [sym_constructor_pattern] = STATE(14477),
    [sym_tag_pattern] = STATE(14477),
    [sym_polymorphic_variant_pattern] = STATE(14481),
    [sym_tuple_pattern] = STATE(14477),
    [sym_record_pattern] = STATE(14481),
    [sym_list_pattern] = STATE(14481),
    [sym_cons_pattern] = STATE(14477),
    [sym_array_pattern] = STATE(14481),
    [sym_range_pattern] = STATE(14477),
    [sym_lazy_pattern] = STATE(14477),
    [sym_local_open_pattern] = STATE(14481),
    [sym_package_pattern] = STATE(14481),
    [sym_parenthesized_pattern] = STATE(14481),
    [sym_exception_pattern] = STATE(14477),
    [sym_attribute] = STATE(2866),
    [sym_extension] = STATE(14481),
    [sym_quoted_extension] = STATE(14481),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14213),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(20458),
    [sym_add_operator] = STATE(19309),
    [sym__simple_value_pattern] = STATE(14481),
    [sym_parenthesized_operator] = STATE(14481),
    [sym_module_path] = STATE(21455),
    [sym_constructor_path] = STATE(2928),
    [sym__constructor_name] = STATE(10069),
    [sym_tag] = STATE(2946),
    [sym__identifier] = ACTIONS(6291),
    [anon_sym_LPAREN] = ACTIONS(6293),
    [anon_sym_RPAREN] = ACTIONS(6539),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(6541),
    [anon_sym_LBRACE] = ACTIONS(6305),
    [anon_sym_exception] = ACTIONS(6307),
    [anon_sym_module] = ACTIONS(6543),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(6545),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6315),
    [anon_sym_lazy] = ACTIONS(6317),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(6547),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6547),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6547),
    [sym_let_and_operator] = ACTIONS(6547),
    [sym_match_operator] = ACTIONS(6547),
    [sym__capitalized_identifier] = ACTIONS(6335),
    [aux_sym_tag_token1] = ACTIONS(6337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2867] = {
    [sym__simple_expression] = STATE(7496),
    [sym_typed_expression] = STATE(7504),
    [sym_list_expression] = STATE(7504),
    [sym_array_expression] = STATE(7504),
    [sym_record_expression] = STATE(7504),
    [sym_labeled_argument] = STATE(8575),
    [sym_prefix_expression] = STATE(7504),
    [sym_hash_expression] = STATE(7504),
    [sym_field_get_expression] = STATE(7504),
    [sym_array_get_expression] = STATE(7504),
    [sym_string_get_expression] = STATE(7504),
    [sym_bigarray_get_expression] = STATE(7504),
    [sym_coercion_expression] = STATE(7504),
    [sym_local_open_expression] = STATE(7504),
    [sym_package_expression] = STATE(7504),
    [sym_new_expression] = STATE(7504),
    [sym_object_copy_expression] = STATE(7504),
    [sym_method_invocation] = STATE(7504),
    [sym_object_expression] = STATE(7504),
    [sym_parenthesized_expression] = STATE(7504),
    [sym_attribute] = STATE(2867),
    [sym_extension] = STATE(7504),
    [sym_quoted_extension] = STATE(7504),
    [sym__constant] = STATE(7504),
    [sym_number] = STATE(7486),
    [sym_character] = STATE(7486),
    [sym_string] = STATE(7486),
    [sym_quoted_string] = STATE(7486),
    [sym_boolean] = STATE(7486),
    [sym_unit] = STATE(7486),
    [sym__value_name] = STATE(7560),
    [sym_parenthesized_operator] = STATE(7476),
    [sym_value_path] = STATE(7504),
    [sym_module_path] = STATE(19751),
    [sym_constructor_path] = STATE(7504),
    [sym__constructor_name] = STATE(7320),
    [sym_tag] = STATE(7504),
    [aux_sym_class_application_repeat1] = STATE(2854),
    [sym__identifier] = ACTIONS(6211),
    [anon_sym_TILDE] = ACTIONS(6213),
    [anon_sym_QMARK] = ACTIONS(6213),
    [anon_sym_LPAREN] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [anon_sym_true] = ACTIONS(2789),
    [anon_sym_false] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_SEMI] = ACTIONS(4103),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2797),
    [anon_sym_then] = ACTIONS(4105),
    [anon_sym_else] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(2807),
    [anon_sym_LBRACE_LT] = ACTIONS(2809),
    [anon_sym_begin] = ACTIONS(2811),
    [sym_ocamlyacc_value] = ACTIONS(2813),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2817),
    [aux_sym_number_token1] = ACTIONS(2819),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_prefix_operator] = ACTIONS(2825),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(2829),
    [aux_sym_tag_token1] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2868] = {
    [sym__simple_expression] = STATE(8169),
    [sym_typed_expression] = STATE(8154),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_labeled_argument] = STATE(8813),
    [sym_prefix_expression] = STATE(8154),
    [sym_hash_expression] = STATE(8154),
    [sym_field_get_expression] = STATE(8154),
    [sym_array_get_expression] = STATE(8154),
    [sym_string_get_expression] = STATE(8154),
    [sym_bigarray_get_expression] = STATE(8154),
    [sym_coercion_expression] = STATE(8154),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(2868),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [aux_sym_class_application_repeat1] = STATE(2868),
    [sym__identifier] = ACTIONS(7339),
    [anon_sym_TILDE] = ACTIONS(7342),
    [anon_sym_QMARK] = ACTIONS(7342),
    [anon_sym_LPAREN] = ACTIONS(7345),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(7348),
    [anon_sym_true] = ACTIONS(7351),
    [anon_sym_false] = ACTIONS(7351),
    [anon_sym_LBRACE] = ACTIONS(7354),
    [anon_sym_SEMI] = ACTIONS(4339),
    [anon_sym_object] = ACTIONS(7357),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7360),
    [anon_sym_done] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(7363),
    [anon_sym_LBRACE_LT] = ACTIONS(7366),
    [anon_sym_begin] = ACTIONS(7369),
    [sym_ocamlyacc_value] = ACTIONS(7372),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7375),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7378),
    [aux_sym_number_token1] = ACTIONS(7381),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(7384),
    [anon_sym_DQUOTE] = ACTIONS(7387),
    [sym_prefix_operator] = ACTIONS(7390),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(7393),
    [aux_sym_tag_token1] = ACTIONS(7396),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2869] = {
    [sym__simple_expression] = STATE(7977),
    [sym_typed_expression] = STATE(8202),
    [sym_list_expression] = STATE(8202),
    [sym_array_expression] = STATE(8202),
    [sym_record_expression] = STATE(8202),
    [sym_labeled_argument] = STATE(8741),
    [sym_prefix_expression] = STATE(8202),
    [sym_hash_expression] = STATE(8202),
    [sym_field_get_expression] = STATE(8202),
    [sym_array_get_expression] = STATE(8202),
    [sym_string_get_expression] = STATE(8202),
    [sym_bigarray_get_expression] = STATE(8202),
    [sym_coercion_expression] = STATE(8202),
    [sym_local_open_expression] = STATE(8202),
    [sym_package_expression] = STATE(8202),
    [sym_new_expression] = STATE(8202),
    [sym_object_copy_expression] = STATE(8202),
    [sym_method_invocation] = STATE(8202),
    [sym_object_expression] = STATE(8202),
    [sym_parenthesized_expression] = STATE(8202),
    [sym_attribute] = STATE(2869),
    [sym_extension] = STATE(8202),
    [sym_quoted_extension] = STATE(8202),
    [sym__constant] = STATE(8202),
    [sym_number] = STATE(7880),
    [sym_character] = STATE(7880),
    [sym_string] = STATE(7880),
    [sym_quoted_string] = STATE(7880),
    [sym_boolean] = STATE(7880),
    [sym_unit] = STATE(7880),
    [sym__value_name] = STATE(7780),
    [sym_parenthesized_operator] = STATE(8061),
    [sym_value_path] = STATE(8202),
    [sym_module_path] = STATE(20699),
    [sym_constructor_path] = STATE(8202),
    [sym__constructor_name] = STATE(7917),
    [sym_tag] = STATE(8202),
    [aux_sym_class_application_repeat1] = STATE(2877),
    [sym__identifier] = ACTIONS(7399),
    [anon_sym_SEMI_SEMI] = ACTIONS(6751),
    [anon_sym_and] = ACTIONS(6753),
    [anon_sym_TILDE] = ACTIONS(7401),
    [anon_sym_QMARK] = ACTIONS(7401),
    [anon_sym_LPAREN] = ACTIONS(7403),
    [anon_sym_external] = ACTIONS(6753),
    [anon_sym_type] = ACTIONS(6753),
    [anon_sym_LBRACK] = ACTIONS(7405),
    [anon_sym_true] = ACTIONS(7407),
    [anon_sym_false] = ACTIONS(7407),
    [anon_sym_LBRACE] = ACTIONS(7409),
    [anon_sym_exception] = ACTIONS(6753),
    [anon_sym_module] = ACTIONS(6753),
    [anon_sym_open] = ACTIONS(6753),
    [anon_sym_include] = ACTIONS(6753),
    [anon_sym_class] = ACTIONS(6753),
    [anon_sym_val] = ACTIONS(6753),
    [anon_sym_end] = ACTIONS(6753),
    [anon_sym_object] = ACTIONS(7411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7413),
    [anon_sym_new] = ACTIONS(7415),
    [anon_sym_LBRACE_LT] = ACTIONS(7417),
    [anon_sym_begin] = ACTIONS(7419),
    [sym_ocamlyacc_value] = ACTIONS(7421),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6753),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6751),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7425),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6751),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6751),
    [aux_sym_number_token1] = ACTIONS(7427),
    [anon_sym_SQUOTE] = ACTIONS(7429),
    [anon_sym_DQUOTE] = ACTIONS(7431),
    [sym_prefix_operator] = ACTIONS(7433),
    [sym__capitalized_identifier] = ACTIONS(7435),
    [aux_sym_tag_token1] = ACTIONS(7437),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2870] = {
    [sym__simple_expression] = STATE(7977),
    [sym_typed_expression] = STATE(8202),
    [sym_list_expression] = STATE(8202),
    [sym_array_expression] = STATE(8202),
    [sym_record_expression] = STATE(8202),
    [sym_labeled_argument] = STATE(8741),
    [sym_prefix_expression] = STATE(8202),
    [sym_hash_expression] = STATE(8202),
    [sym_field_get_expression] = STATE(8202),
    [sym_array_get_expression] = STATE(8202),
    [sym_string_get_expression] = STATE(8202),
    [sym_bigarray_get_expression] = STATE(8202),
    [sym_coercion_expression] = STATE(8202),
    [sym_local_open_expression] = STATE(8202),
    [sym_package_expression] = STATE(8202),
    [sym_new_expression] = STATE(8202),
    [sym_object_copy_expression] = STATE(8202),
    [sym_method_invocation] = STATE(8202),
    [sym_object_expression] = STATE(8202),
    [sym_parenthesized_expression] = STATE(8202),
    [sym_attribute] = STATE(2870),
    [sym_extension] = STATE(8202),
    [sym_quoted_extension] = STATE(8202),
    [sym__constant] = STATE(8202),
    [sym_number] = STATE(7880),
    [sym_character] = STATE(7880),
    [sym_string] = STATE(7880),
    [sym_quoted_string] = STATE(7880),
    [sym_boolean] = STATE(7880),
    [sym_unit] = STATE(7880),
    [sym__value_name] = STATE(7780),
    [sym_parenthesized_operator] = STATE(8061),
    [sym_value_path] = STATE(8202),
    [sym_module_path] = STATE(20699),
    [sym_constructor_path] = STATE(8202),
    [sym__constructor_name] = STATE(7917),
    [sym_tag] = STATE(8202),
    [aux_sym_class_application_repeat1] = STATE(2869),
    [sym__identifier] = ACTIONS(7399),
    [anon_sym_SEMI_SEMI] = ACTIONS(6585),
    [anon_sym_and] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(7401),
    [anon_sym_QMARK] = ACTIONS(7401),
    [anon_sym_LPAREN] = ACTIONS(7403),
    [anon_sym_external] = ACTIONS(6587),
    [anon_sym_type] = ACTIONS(6587),
    [anon_sym_LBRACK] = ACTIONS(7405),
    [anon_sym_true] = ACTIONS(7407),
    [anon_sym_false] = ACTIONS(7407),
    [anon_sym_LBRACE] = ACTIONS(7409),
    [anon_sym_exception] = ACTIONS(6587),
    [anon_sym_module] = ACTIONS(6587),
    [anon_sym_open] = ACTIONS(6587),
    [anon_sym_include] = ACTIONS(6587),
    [anon_sym_class] = ACTIONS(6587),
    [anon_sym_val] = ACTIONS(6587),
    [anon_sym_end] = ACTIONS(6587),
    [anon_sym_object] = ACTIONS(7411),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7413),
    [anon_sym_new] = ACTIONS(7415),
    [anon_sym_LBRACE_LT] = ACTIONS(7417),
    [anon_sym_begin] = ACTIONS(7419),
    [sym_ocamlyacc_value] = ACTIONS(7421),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6587),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6585),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7425),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6585),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6585),
    [aux_sym_number_token1] = ACTIONS(7427),
    [anon_sym_SQUOTE] = ACTIONS(7429),
    [anon_sym_DQUOTE] = ACTIONS(7431),
    [sym_prefix_operator] = ACTIONS(7433),
    [sym__capitalized_identifier] = ACTIONS(7435),
    [aux_sym_tag_token1] = ACTIONS(7437),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2871] = {
    [sym__simple_expression] = STATE(8127),
    [sym_typed_expression] = STATE(7785),
    [sym_list_expression] = STATE(7785),
    [sym_array_expression] = STATE(7785),
    [sym_record_expression] = STATE(7785),
    [sym_labeled_argument] = STATE(8815),
    [sym_prefix_expression] = STATE(7785),
    [sym_hash_expression] = STATE(7785),
    [sym_field_get_expression] = STATE(7785),
    [sym_array_get_expression] = STATE(7785),
    [sym_string_get_expression] = STATE(7785),
    [sym_bigarray_get_expression] = STATE(7785),
    [sym_coercion_expression] = STATE(7785),
    [sym_local_open_expression] = STATE(7785),
    [sym_package_expression] = STATE(7785),
    [sym_new_expression] = STATE(7785),
    [sym_object_copy_expression] = STATE(7785),
    [sym_method_invocation] = STATE(7785),
    [sym_object_expression] = STATE(7785),
    [sym_parenthesized_expression] = STATE(7785),
    [sym_attribute] = STATE(2871),
    [sym_extension] = STATE(7785),
    [sym_quoted_extension] = STATE(7785),
    [sym__constant] = STATE(7785),
    [sym_number] = STATE(7774),
    [sym_character] = STATE(7774),
    [sym_string] = STATE(7774),
    [sym_quoted_string] = STATE(7774),
    [sym_boolean] = STATE(7774),
    [sym_unit] = STATE(7774),
    [sym__value_name] = STATE(7966),
    [sym_parenthesized_operator] = STATE(8230),
    [sym_value_path] = STATE(7785),
    [sym_module_path] = STATE(20509),
    [sym_constructor_path] = STATE(7785),
    [sym__constructor_name] = STATE(7839),
    [sym_tag] = STATE(7785),
    [aux_sym_class_application_repeat1] = STATE(2883),
    [sym__identifier] = ACTIONS(7439),
    [anon_sym_SEMI_SEMI] = ACTIONS(6585),
    [anon_sym_and] = ACTIONS(6587),
    [anon_sym_TILDE] = ACTIONS(7441),
    [anon_sym_QMARK] = ACTIONS(7441),
    [anon_sym_LPAREN] = ACTIONS(7443),
    [anon_sym_external] = ACTIONS(6587),
    [anon_sym_type] = ACTIONS(6587),
    [anon_sym_LBRACK] = ACTIONS(7445),
    [anon_sym_RBRACK] = ACTIONS(6585),
    [anon_sym_true] = ACTIONS(7447),
    [anon_sym_false] = ACTIONS(7447),
    [anon_sym_LBRACE] = ACTIONS(7449),
    [anon_sym_exception] = ACTIONS(6587),
    [anon_sym_module] = ACTIONS(6587),
    [anon_sym_open] = ACTIONS(6587),
    [anon_sym_include] = ACTIONS(6587),
    [anon_sym_class] = ACTIONS(6587),
    [anon_sym_val] = ACTIONS(6587),
    [anon_sym_object] = ACTIONS(7451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7453),
    [anon_sym_new] = ACTIONS(7455),
    [anon_sym_LBRACE_LT] = ACTIONS(7457),
    [anon_sym_begin] = ACTIONS(7459),
    [sym_ocamlyacc_value] = ACTIONS(7461),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6587),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6585),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7463),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7465),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6585),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6585),
    [aux_sym_number_token1] = ACTIONS(7467),
    [anon_sym_SQUOTE] = ACTIONS(7469),
    [anon_sym_DQUOTE] = ACTIONS(7471),
    [sym_prefix_operator] = ACTIONS(7473),
    [sym__capitalized_identifier] = ACTIONS(7475),
    [aux_sym_tag_token1] = ACTIONS(7477),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2872] = {
    [sym__simple_expression] = STATE(7847),
    [sym_typed_expression] = STATE(7748),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_labeled_argument] = STATE(8779),
    [sym_prefix_expression] = STATE(7748),
    [sym_hash_expression] = STATE(7748),
    [sym_field_get_expression] = STATE(7748),
    [sym_array_get_expression] = STATE(7748),
    [sym_string_get_expression] = STATE(7748),
    [sym_bigarray_get_expression] = STATE(7748),
    [sym_coercion_expression] = STATE(7748),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2872),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [aux_sym_class_application_repeat1] = STATE(2882),
    [sym__identifier] = ACTIONS(6349),
    [anon_sym_TILDE] = ACTIONS(6351),
    [anon_sym_QMARK] = ACTIONS(6351),
    [anon_sym_LPAREN] = ACTIONS(3305),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_SEMI] = ACTIONS(4103),
    [anon_sym_with] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(3313),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_LBRACE_LT] = ACTIONS(3329),
    [anon_sym_begin] = ACTIONS(3331),
    [sym_ocamlyacc_value] = ACTIONS(3333),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3337),
    [aux_sym_number_token1] = ACTIONS(3339),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [sym_prefix_operator] = ACTIONS(3345),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(3349),
    [aux_sym_tag_token1] = ACTIONS(3351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2873] = {
    [sym__simple_expression] = STATE(8030),
    [sym_typed_expression] = STATE(8147),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_labeled_argument] = STATE(8717),
    [sym_prefix_expression] = STATE(8147),
    [sym_hash_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(8147),
    [sym_array_get_expression] = STATE(8147),
    [sym_string_get_expression] = STATE(8147),
    [sym_bigarray_get_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2873),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [aux_sym_class_application_repeat1] = STATE(2873),
    [sym__identifier] = ACTIONS(7479),
    [anon_sym_TILDE] = ACTIONS(7482),
    [anon_sym_QMARK] = ACTIONS(7482),
    [anon_sym_LPAREN] = ACTIONS(7485),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(7488),
    [anon_sym_true] = ACTIONS(7491),
    [anon_sym_false] = ACTIONS(7491),
    [anon_sym_LBRACE] = ACTIONS(7494),
    [anon_sym_SEMI] = ACTIONS(4339),
    [anon_sym_end] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(7497),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7500),
    [anon_sym_new] = ACTIONS(7503),
    [anon_sym_LBRACE_LT] = ACTIONS(7506),
    [anon_sym_begin] = ACTIONS(7509),
    [sym_ocamlyacc_value] = ACTIONS(7512),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7518),
    [aux_sym_number_token1] = ACTIONS(7521),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(7524),
    [anon_sym_DQUOTE] = ACTIONS(7527),
    [sym_prefix_operator] = ACTIONS(7530),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(7533),
    [aux_sym_tag_token1] = ACTIONS(7536),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2874] = {
    [sym__simple_expression] = STATE(7886),
    [sym_typed_expression] = STATE(8096),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_labeled_argument] = STATE(8810),
    [sym_prefix_expression] = STATE(8096),
    [sym_hash_expression] = STATE(8096),
    [sym_field_get_expression] = STATE(8096),
    [sym_array_get_expression] = STATE(8096),
    [sym_string_get_expression] = STATE(8096),
    [sym_bigarray_get_expression] = STATE(8096),
    [sym_coercion_expression] = STATE(8096),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2874),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [aux_sym_class_application_repeat1] = STATE(2874),
    [sym__identifier] = ACTIONS(7539),
    [anon_sym_TILDE] = ACTIONS(7542),
    [anon_sym_QMARK] = ACTIONS(7542),
    [anon_sym_LPAREN] = ACTIONS(7545),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(7548),
    [anon_sym_true] = ACTIONS(7551),
    [anon_sym_false] = ACTIONS(7551),
    [anon_sym_LBRACE] = ACTIONS(7554),
    [anon_sym_SEMI] = ACTIONS(4339),
    [anon_sym_object] = ACTIONS(7557),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7560),
    [anon_sym_do] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(7563),
    [anon_sym_LBRACE_LT] = ACTIONS(7566),
    [anon_sym_begin] = ACTIONS(7569),
    [sym_ocamlyacc_value] = ACTIONS(7572),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7575),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7578),
    [aux_sym_number_token1] = ACTIONS(7581),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(7584),
    [anon_sym_DQUOTE] = ACTIONS(7587),
    [sym_prefix_operator] = ACTIONS(7590),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(7593),
    [aux_sym_tag_token1] = ACTIONS(7596),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2875] = {
    [sym__simple_expression] = STATE(7742),
    [sym_typed_expression] = STATE(7776),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_labeled_argument] = STATE(8744),
    [sym_prefix_expression] = STATE(7776),
    [sym_hash_expression] = STATE(7776),
    [sym_field_get_expression] = STATE(7776),
    [sym_array_get_expression] = STATE(7776),
    [sym_string_get_expression] = STATE(7776),
    [sym_bigarray_get_expression] = STATE(7776),
    [sym_coercion_expression] = STATE(7776),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2875),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [aux_sym_class_application_repeat1] = STATE(2881),
    [sym__identifier] = ACTIONS(6563),
    [anon_sym_TILDE] = ACTIONS(6565),
    [anon_sym_QMARK] = ACTIONS(6565),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_true] = ACTIONS(3191),
    [anon_sym_false] = ACTIONS(3191),
    [anon_sym_LBRACE] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(4103),
    [anon_sym_object] = ACTIONS(3195),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3199),
    [anon_sym_then] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_LBRACE_LT] = ACTIONS(3211),
    [anon_sym_begin] = ACTIONS(3213),
    [sym_ocamlyacc_value] = ACTIONS(3215),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3219),
    [aux_sym_number_token1] = ACTIONS(3221),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_prefix_operator] = ACTIONS(3227),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(3231),
    [aux_sym_tag_token1] = ACTIONS(3233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2876] = {
    [sym__simple_expression] = STATE(8030),
    [sym_typed_expression] = STATE(8147),
    [sym_list_expression] = STATE(8147),
    [sym_array_expression] = STATE(8147),
    [sym_record_expression] = STATE(8147),
    [sym_labeled_argument] = STATE(8717),
    [sym_prefix_expression] = STATE(8147),
    [sym_hash_expression] = STATE(8147),
    [sym_field_get_expression] = STATE(8147),
    [sym_array_get_expression] = STATE(8147),
    [sym_string_get_expression] = STATE(8147),
    [sym_bigarray_get_expression] = STATE(8147),
    [sym_coercion_expression] = STATE(8147),
    [sym_local_open_expression] = STATE(8147),
    [sym_package_expression] = STATE(8147),
    [sym_new_expression] = STATE(8147),
    [sym_object_copy_expression] = STATE(8147),
    [sym_method_invocation] = STATE(8147),
    [sym_object_expression] = STATE(8147),
    [sym_parenthesized_expression] = STATE(8147),
    [sym_attribute] = STATE(2876),
    [sym_extension] = STATE(8147),
    [sym_quoted_extension] = STATE(8147),
    [sym__constant] = STATE(8147),
    [sym_number] = STATE(8224),
    [sym_character] = STATE(8224),
    [sym_string] = STATE(8224),
    [sym_quoted_string] = STATE(8224),
    [sym_boolean] = STATE(8224),
    [sym_unit] = STATE(8224),
    [sym__value_name] = STATE(8206),
    [sym_parenthesized_operator] = STATE(8207),
    [sym_value_path] = STATE(8147),
    [sym_module_path] = STATE(20998),
    [sym_constructor_path] = STATE(8147),
    [sym__constructor_name] = STATE(7806),
    [sym_tag] = STATE(8147),
    [aux_sym_class_application_repeat1] = STATE(2873),
    [sym__identifier] = ACTIONS(6519),
    [anon_sym_TILDE] = ACTIONS(6521),
    [anon_sym_QMARK] = ACTIONS(6521),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(3137),
    [anon_sym_true] = ACTIONS(3139),
    [anon_sym_false] = ACTIONS(3139),
    [anon_sym_LBRACE] = ACTIONS(3141),
    [anon_sym_SEMI] = ACTIONS(4103),
    [anon_sym_end] = ACTIONS(4105),
    [anon_sym_object] = ACTIONS(3143),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3147),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_LBRACE_LT] = ACTIONS(3159),
    [anon_sym_begin] = ACTIONS(3161),
    [sym_ocamlyacc_value] = ACTIONS(3163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3167),
    [aux_sym_number_token1] = ACTIONS(3169),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [sym_prefix_operator] = ACTIONS(3175),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(3179),
    [aux_sym_tag_token1] = ACTIONS(3181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2877] = {
    [sym__simple_expression] = STATE(7977),
    [sym_typed_expression] = STATE(8202),
    [sym_list_expression] = STATE(8202),
    [sym_array_expression] = STATE(8202),
    [sym_record_expression] = STATE(8202),
    [sym_labeled_argument] = STATE(8741),
    [sym_prefix_expression] = STATE(8202),
    [sym_hash_expression] = STATE(8202),
    [sym_field_get_expression] = STATE(8202),
    [sym_array_get_expression] = STATE(8202),
    [sym_string_get_expression] = STATE(8202),
    [sym_bigarray_get_expression] = STATE(8202),
    [sym_coercion_expression] = STATE(8202),
    [sym_local_open_expression] = STATE(8202),
    [sym_package_expression] = STATE(8202),
    [sym_new_expression] = STATE(8202),
    [sym_object_copy_expression] = STATE(8202),
    [sym_method_invocation] = STATE(8202),
    [sym_object_expression] = STATE(8202),
    [sym_parenthesized_expression] = STATE(8202),
    [sym_attribute] = STATE(2877),
    [sym_extension] = STATE(8202),
    [sym_quoted_extension] = STATE(8202),
    [sym__constant] = STATE(8202),
    [sym_number] = STATE(7880),
    [sym_character] = STATE(7880),
    [sym_string] = STATE(7880),
    [sym_quoted_string] = STATE(7880),
    [sym_boolean] = STATE(7880),
    [sym_unit] = STATE(7880),
    [sym__value_name] = STATE(7780),
    [sym_parenthesized_operator] = STATE(8061),
    [sym_value_path] = STATE(8202),
    [sym_module_path] = STATE(20699),
    [sym_constructor_path] = STATE(8202),
    [sym__constructor_name] = STATE(7917),
    [sym_tag] = STATE(8202),
    [aux_sym_class_application_repeat1] = STATE(2877),
    [sym__identifier] = ACTIONS(7599),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_and] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(7602),
    [anon_sym_QMARK] = ACTIONS(7602),
    [anon_sym_LPAREN] = ACTIONS(7605),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(7608),
    [anon_sym_true] = ACTIONS(7611),
    [anon_sym_false] = ACTIONS(7611),
    [anon_sym_LBRACE] = ACTIONS(7614),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_val] = ACTIONS(4344),
    [anon_sym_end] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(7617),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7620),
    [anon_sym_new] = ACTIONS(7623),
    [anon_sym_LBRACE_LT] = ACTIONS(7626),
    [anon_sym_begin] = ACTIONS(7629),
    [sym_ocamlyacc_value] = ACTIONS(7632),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7638),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(7641),
    [anon_sym_SQUOTE] = ACTIONS(7644),
    [anon_sym_DQUOTE] = ACTIONS(7647),
    [sym_prefix_operator] = ACTIONS(7650),
    [sym__capitalized_identifier] = ACTIONS(7653),
    [aux_sym_tag_token1] = ACTIONS(7656),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2878] = {
    [sym__simple_expression] = STATE(7886),
    [sym_typed_expression] = STATE(8096),
    [sym_list_expression] = STATE(8096),
    [sym_array_expression] = STATE(8096),
    [sym_record_expression] = STATE(8096),
    [sym_labeled_argument] = STATE(8810),
    [sym_prefix_expression] = STATE(8096),
    [sym_hash_expression] = STATE(8096),
    [sym_field_get_expression] = STATE(8096),
    [sym_array_get_expression] = STATE(8096),
    [sym_string_get_expression] = STATE(8096),
    [sym_bigarray_get_expression] = STATE(8096),
    [sym_coercion_expression] = STATE(8096),
    [sym_local_open_expression] = STATE(8096),
    [sym_package_expression] = STATE(8096),
    [sym_new_expression] = STATE(8096),
    [sym_object_copy_expression] = STATE(8096),
    [sym_method_invocation] = STATE(8096),
    [sym_object_expression] = STATE(8096),
    [sym_parenthesized_expression] = STATE(8096),
    [sym_attribute] = STATE(2878),
    [sym_extension] = STATE(8096),
    [sym_quoted_extension] = STATE(8096),
    [sym__constant] = STATE(8096),
    [sym_number] = STATE(7746),
    [sym_character] = STATE(7746),
    [sym_string] = STATE(7746),
    [sym_quoted_string] = STATE(7746),
    [sym_boolean] = STATE(7746),
    [sym_unit] = STATE(7746),
    [sym__value_name] = STATE(8111),
    [sym_parenthesized_operator] = STATE(7810),
    [sym_value_path] = STATE(8096),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(8096),
    [sym__constructor_name] = STATE(7766),
    [sym_tag] = STATE(8096),
    [aux_sym_class_application_repeat1] = STATE(2874),
    [sym__identifier] = ACTIONS(6417),
    [anon_sym_TILDE] = ACTIONS(6419),
    [anon_sym_QMARK] = ACTIONS(6419),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(3255),
    [anon_sym_true] = ACTIONS(3257),
    [anon_sym_false] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_SEMI] = ACTIONS(4103),
    [anon_sym_object] = ACTIONS(3261),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3265),
    [anon_sym_do] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_LBRACE_LT] = ACTIONS(3277),
    [anon_sym_begin] = ACTIONS(3279),
    [sym_ocamlyacc_value] = ACTIONS(3281),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3285),
    [aux_sym_number_token1] = ACTIONS(3287),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_prefix_operator] = ACTIONS(3293),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(3297),
    [aux_sym_tag_token1] = ACTIONS(3299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2879] = {
    [sym__simple_expression] = STATE(8169),
    [sym_typed_expression] = STATE(8154),
    [sym_list_expression] = STATE(8154),
    [sym_array_expression] = STATE(8154),
    [sym_record_expression] = STATE(8154),
    [sym_labeled_argument] = STATE(8813),
    [sym_prefix_expression] = STATE(8154),
    [sym_hash_expression] = STATE(8154),
    [sym_field_get_expression] = STATE(8154),
    [sym_array_get_expression] = STATE(8154),
    [sym_string_get_expression] = STATE(8154),
    [sym_bigarray_get_expression] = STATE(8154),
    [sym_coercion_expression] = STATE(8154),
    [sym_local_open_expression] = STATE(8154),
    [sym_package_expression] = STATE(8154),
    [sym_new_expression] = STATE(8154),
    [sym_object_copy_expression] = STATE(8154),
    [sym_method_invocation] = STATE(8154),
    [sym_object_expression] = STATE(8154),
    [sym_parenthesized_expression] = STATE(8154),
    [sym_attribute] = STATE(2879),
    [sym_extension] = STATE(8154),
    [sym_quoted_extension] = STATE(8154),
    [sym__constant] = STATE(8154),
    [sym_number] = STATE(8145),
    [sym_character] = STATE(8145),
    [sym_string] = STATE(8145),
    [sym_quoted_string] = STATE(8145),
    [sym_boolean] = STATE(8145),
    [sym_unit] = STATE(8145),
    [sym__value_name] = STATE(8251),
    [sym_parenthesized_operator] = STATE(7858),
    [sym_value_path] = STATE(8154),
    [sym_module_path] = STATE(19367),
    [sym_constructor_path] = STATE(8154),
    [sym__constructor_name] = STATE(7960),
    [sym_tag] = STATE(8154),
    [aux_sym_class_application_repeat1] = STATE(2868),
    [sym__identifier] = ACTIONS(6339),
    [anon_sym_TILDE] = ACTIONS(6341),
    [anon_sym_QMARK] = ACTIONS(6341),
    [anon_sym_LPAREN] = ACTIONS(3069),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(3071),
    [anon_sym_true] = ACTIONS(3073),
    [anon_sym_false] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_SEMI] = ACTIONS(4103),
    [anon_sym_object] = ACTIONS(3077),
    [anon_sym_COLON_COLON] = ACTIONS(4103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3081),
    [anon_sym_done] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_LBRACE_LT] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(3095),
    [sym_ocamlyacc_value] = ACTIONS(3097),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3101),
    [aux_sym_number_token1] = ACTIONS(3103),
    [aux_sym_signed_number_token1] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [sym_prefix_operator] = ACTIONS(3109),
    [aux_sym_sign_operator_token1] = ACTIONS(4105),
    [sym_pow_operator] = ACTIONS(4105),
    [sym_mult_operator] = ACTIONS(4105),
    [aux_sym_add_operator_token1] = ACTIONS(4105),
    [sym_concat_operator] = ACTIONS(4103),
    [sym_rel_operator] = ACTIONS(4105),
    [sym_and_operator] = ACTIONS(4105),
    [sym_or_operator] = ACTIONS(4105),
    [sym_assign_operator] = ACTIONS(4103),
    [sym__capitalized_identifier] = ACTIONS(3113),
    [aux_sym_tag_token1] = ACTIONS(3115),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2880] = {
    [sym__simple_expression] = STATE(8127),
    [sym_typed_expression] = STATE(7785),
    [sym_list_expression] = STATE(7785),
    [sym_array_expression] = STATE(7785),
    [sym_record_expression] = STATE(7785),
    [sym_labeled_argument] = STATE(8815),
    [sym_prefix_expression] = STATE(7785),
    [sym_hash_expression] = STATE(7785),
    [sym_field_get_expression] = STATE(7785),
    [sym_array_get_expression] = STATE(7785),
    [sym_string_get_expression] = STATE(7785),
    [sym_bigarray_get_expression] = STATE(7785),
    [sym_coercion_expression] = STATE(7785),
    [sym_local_open_expression] = STATE(7785),
    [sym_package_expression] = STATE(7785),
    [sym_new_expression] = STATE(7785),
    [sym_object_copy_expression] = STATE(7785),
    [sym_method_invocation] = STATE(7785),
    [sym_object_expression] = STATE(7785),
    [sym_parenthesized_expression] = STATE(7785),
    [sym_attribute] = STATE(2880),
    [sym_extension] = STATE(7785),
    [sym_quoted_extension] = STATE(7785),
    [sym__constant] = STATE(7785),
    [sym_number] = STATE(7774),
    [sym_character] = STATE(7774),
    [sym_string] = STATE(7774),
    [sym_quoted_string] = STATE(7774),
    [sym_boolean] = STATE(7774),
    [sym_unit] = STATE(7774),
    [sym__value_name] = STATE(7966),
    [sym_parenthesized_operator] = STATE(8230),
    [sym_value_path] = STATE(7785),
    [sym_module_path] = STATE(20509),
    [sym_constructor_path] = STATE(7785),
    [sym__constructor_name] = STATE(7839),
    [sym_tag] = STATE(7785),
    [aux_sym_class_application_repeat1] = STATE(2880),
    [sym__identifier] = ACTIONS(7659),
    [anon_sym_SEMI_SEMI] = ACTIONS(4339),
    [anon_sym_and] = ACTIONS(4344),
    [anon_sym_TILDE] = ACTIONS(7662),
    [anon_sym_QMARK] = ACTIONS(7662),
    [anon_sym_LPAREN] = ACTIONS(7665),
    [anon_sym_external] = ACTIONS(4344),
    [anon_sym_type] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(7668),
    [anon_sym_RBRACK] = ACTIONS(4339),
    [anon_sym_true] = ACTIONS(7671),
    [anon_sym_false] = ACTIONS(7671),
    [anon_sym_LBRACE] = ACTIONS(7674),
    [anon_sym_exception] = ACTIONS(4344),
    [anon_sym_module] = ACTIONS(4344),
    [anon_sym_open] = ACTIONS(4344),
    [anon_sym_include] = ACTIONS(4344),
    [anon_sym_class] = ACTIONS(4344),
    [anon_sym_val] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(7677),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7680),
    [anon_sym_new] = ACTIONS(7683),
    [anon_sym_LBRACE_LT] = ACTIONS(7686),
    [anon_sym_begin] = ACTIONS(7689),
    [sym_ocamlyacc_value] = ACTIONS(7692),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7698),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(7701),
    [anon_sym_SQUOTE] = ACTIONS(7704),
    [anon_sym_DQUOTE] = ACTIONS(7707),
    [sym_prefix_operator] = ACTIONS(7710),
    [sym__capitalized_identifier] = ACTIONS(7713),
    [aux_sym_tag_token1] = ACTIONS(7716),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2881] = {
    [sym__simple_expression] = STATE(7742),
    [sym_typed_expression] = STATE(7776),
    [sym_list_expression] = STATE(7776),
    [sym_array_expression] = STATE(7776),
    [sym_record_expression] = STATE(7776),
    [sym_labeled_argument] = STATE(8744),
    [sym_prefix_expression] = STATE(7776),
    [sym_hash_expression] = STATE(7776),
    [sym_field_get_expression] = STATE(7776),
    [sym_array_get_expression] = STATE(7776),
    [sym_string_get_expression] = STATE(7776),
    [sym_bigarray_get_expression] = STATE(7776),
    [sym_coercion_expression] = STATE(7776),
    [sym_local_open_expression] = STATE(7776),
    [sym_package_expression] = STATE(7776),
    [sym_new_expression] = STATE(7776),
    [sym_object_copy_expression] = STATE(7776),
    [sym_method_invocation] = STATE(7776),
    [sym_object_expression] = STATE(7776),
    [sym_parenthesized_expression] = STATE(7776),
    [sym_attribute] = STATE(2881),
    [sym_extension] = STATE(7776),
    [sym_quoted_extension] = STATE(7776),
    [sym__constant] = STATE(7776),
    [sym_number] = STATE(7784),
    [sym_character] = STATE(7784),
    [sym_string] = STATE(7784),
    [sym_quoted_string] = STATE(7784),
    [sym_boolean] = STATE(7784),
    [sym_unit] = STATE(7784),
    [sym__value_name] = STATE(7790),
    [sym_parenthesized_operator] = STATE(8112),
    [sym_value_path] = STATE(7776),
    [sym_module_path] = STATE(19542),
    [sym_constructor_path] = STATE(7776),
    [sym__constructor_name] = STATE(7819),
    [sym_tag] = STATE(7776),
    [aux_sym_class_application_repeat1] = STATE(2881),
    [sym__identifier] = ACTIONS(7719),
    [anon_sym_TILDE] = ACTIONS(7722),
    [anon_sym_QMARK] = ACTIONS(7722),
    [anon_sym_LPAREN] = ACTIONS(7725),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(7728),
    [anon_sym_true] = ACTIONS(7731),
    [anon_sym_false] = ACTIONS(7731),
    [anon_sym_LBRACE] = ACTIONS(7734),
    [anon_sym_SEMI] = ACTIONS(4339),
    [anon_sym_object] = ACTIONS(7737),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7740),
    [anon_sym_then] = ACTIONS(4344),
    [anon_sym_new] = ACTIONS(7743),
    [anon_sym_LBRACE_LT] = ACTIONS(7746),
    [anon_sym_begin] = ACTIONS(7749),
    [sym_ocamlyacc_value] = ACTIONS(7752),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7755),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7758),
    [aux_sym_number_token1] = ACTIONS(7761),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(7764),
    [anon_sym_DQUOTE] = ACTIONS(7767),
    [sym_prefix_operator] = ACTIONS(7770),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(7773),
    [aux_sym_tag_token1] = ACTIONS(7776),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2882] = {
    [sym__simple_expression] = STATE(7847),
    [sym_typed_expression] = STATE(7748),
    [sym_list_expression] = STATE(7748),
    [sym_array_expression] = STATE(7748),
    [sym_record_expression] = STATE(7748),
    [sym_labeled_argument] = STATE(8779),
    [sym_prefix_expression] = STATE(7748),
    [sym_hash_expression] = STATE(7748),
    [sym_field_get_expression] = STATE(7748),
    [sym_array_get_expression] = STATE(7748),
    [sym_string_get_expression] = STATE(7748),
    [sym_bigarray_get_expression] = STATE(7748),
    [sym_coercion_expression] = STATE(7748),
    [sym_local_open_expression] = STATE(7748),
    [sym_package_expression] = STATE(7748),
    [sym_new_expression] = STATE(7748),
    [sym_object_copy_expression] = STATE(7748),
    [sym_method_invocation] = STATE(7748),
    [sym_object_expression] = STATE(7748),
    [sym_parenthesized_expression] = STATE(7748),
    [sym_attribute] = STATE(2882),
    [sym_extension] = STATE(7748),
    [sym_quoted_extension] = STATE(7748),
    [sym__constant] = STATE(7748),
    [sym_number] = STATE(8195),
    [sym_character] = STATE(8195),
    [sym_string] = STATE(8195),
    [sym_quoted_string] = STATE(8195),
    [sym_boolean] = STATE(8195),
    [sym_unit] = STATE(8195),
    [sym__value_name] = STATE(7796),
    [sym_parenthesized_operator] = STATE(7765),
    [sym_value_path] = STATE(7748),
    [sym_module_path] = STATE(20383),
    [sym_constructor_path] = STATE(7748),
    [sym__constructor_name] = STATE(8215),
    [sym_tag] = STATE(7748),
    [aux_sym_class_application_repeat1] = STATE(2882),
    [sym__identifier] = ACTIONS(7779),
    [anon_sym_TILDE] = ACTIONS(7782),
    [anon_sym_QMARK] = ACTIONS(7782),
    [anon_sym_LPAREN] = ACTIONS(7785),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_PIPE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(7788),
    [anon_sym_true] = ACTIONS(7791),
    [anon_sym_false] = ACTIONS(7791),
    [anon_sym_LBRACE] = ACTIONS(7794),
    [anon_sym_SEMI] = ACTIONS(4339),
    [anon_sym_with] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(7797),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7800),
    [anon_sym_new] = ACTIONS(7803),
    [anon_sym_LBRACE_LT] = ACTIONS(7806),
    [anon_sym_begin] = ACTIONS(7809),
    [sym_ocamlyacc_value] = ACTIONS(7812),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7818),
    [aux_sym_number_token1] = ACTIONS(7821),
    [aux_sym_signed_number_token1] = ACTIONS(4344),
    [anon_sym_SQUOTE] = ACTIONS(7824),
    [anon_sym_DQUOTE] = ACTIONS(7827),
    [sym_prefix_operator] = ACTIONS(7830),
    [aux_sym_sign_operator_token1] = ACTIONS(4344),
    [sym_pow_operator] = ACTIONS(4344),
    [sym_mult_operator] = ACTIONS(4344),
    [aux_sym_add_operator_token1] = ACTIONS(4344),
    [sym_concat_operator] = ACTIONS(4339),
    [sym_rel_operator] = ACTIONS(4344),
    [sym_and_operator] = ACTIONS(4344),
    [sym_or_operator] = ACTIONS(4344),
    [sym_assign_operator] = ACTIONS(4339),
    [sym__capitalized_identifier] = ACTIONS(7833),
    [aux_sym_tag_token1] = ACTIONS(7836),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2883] = {
    [sym__simple_expression] = STATE(8127),
    [sym_typed_expression] = STATE(7785),
    [sym_list_expression] = STATE(7785),
    [sym_array_expression] = STATE(7785),
    [sym_record_expression] = STATE(7785),
    [sym_labeled_argument] = STATE(8815),
    [sym_prefix_expression] = STATE(7785),
    [sym_hash_expression] = STATE(7785),
    [sym_field_get_expression] = STATE(7785),
    [sym_array_get_expression] = STATE(7785),
    [sym_string_get_expression] = STATE(7785),
    [sym_bigarray_get_expression] = STATE(7785),
    [sym_coercion_expression] = STATE(7785),
    [sym_local_open_expression] = STATE(7785),
    [sym_package_expression] = STATE(7785),
    [sym_new_expression] = STATE(7785),
    [sym_object_copy_expression] = STATE(7785),
    [sym_method_invocation] = STATE(7785),
    [sym_object_expression] = STATE(7785),
    [sym_parenthesized_expression] = STATE(7785),
    [sym_attribute] = STATE(2883),
    [sym_extension] = STATE(7785),
    [sym_quoted_extension] = STATE(7785),
    [sym__constant] = STATE(7785),
    [sym_number] = STATE(7774),
    [sym_character] = STATE(7774),
    [sym_string] = STATE(7774),
    [sym_quoted_string] = STATE(7774),
    [sym_boolean] = STATE(7774),
    [sym_unit] = STATE(7774),
    [sym__value_name] = STATE(7966),
    [sym_parenthesized_operator] = STATE(8230),
    [sym_value_path] = STATE(7785),
    [sym_module_path] = STATE(20509),
    [sym_constructor_path] = STATE(7785),
    [sym__constructor_name] = STATE(7839),
    [sym_tag] = STATE(7785),
    [aux_sym_class_application_repeat1] = STATE(2880),
    [sym__identifier] = ACTIONS(7439),
    [anon_sym_SEMI_SEMI] = ACTIONS(6751),
    [anon_sym_and] = ACTIONS(6753),
    [anon_sym_TILDE] = ACTIONS(7441),
    [anon_sym_QMARK] = ACTIONS(7441),
    [anon_sym_LPAREN] = ACTIONS(7443),
    [anon_sym_external] = ACTIONS(6753),
    [anon_sym_type] = ACTIONS(6753),
    [anon_sym_LBRACK] = ACTIONS(7445),
    [anon_sym_RBRACK] = ACTIONS(6751),
    [anon_sym_true] = ACTIONS(7447),
    [anon_sym_false] = ACTIONS(7447),
    [anon_sym_LBRACE] = ACTIONS(7449),
    [anon_sym_exception] = ACTIONS(6753),
    [anon_sym_module] = ACTIONS(6753),
    [anon_sym_open] = ACTIONS(6753),
    [anon_sym_include] = ACTIONS(6753),
    [anon_sym_class] = ACTIONS(6753),
    [anon_sym_val] = ACTIONS(6753),
    [anon_sym_object] = ACTIONS(7451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7453),
    [anon_sym_new] = ACTIONS(7455),
    [anon_sym_LBRACE_LT] = ACTIONS(7457),
    [anon_sym_begin] = ACTIONS(7459),
    [sym_ocamlyacc_value] = ACTIONS(7461),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6753),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6751),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7463),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7465),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6751),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6751),
    [aux_sym_number_token1] = ACTIONS(7467),
    [anon_sym_SQUOTE] = ACTIONS(7469),
    [anon_sym_DQUOTE] = ACTIONS(7471),
    [sym_prefix_operator] = ACTIONS(7473),
    [sym__capitalized_identifier] = ACTIONS(7475),
    [aux_sym_tag_token1] = ACTIONS(7477),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2884] = {
    [sym__binding_pattern] = STATE(15079),
    [sym_alias_binding_pattern] = STATE(14705),
    [sym_typed_binding_pattern] = STATE(14705),
    [sym_or_binding_pattern] = STATE(14705),
    [sym_constructor_binding_pattern] = STATE(14705),
    [sym_tag_binding_pattern] = STATE(14705),
    [sym_polymorphic_variant_pattern] = STATE(14705),
    [sym_tuple_binding_pattern] = STATE(14705),
    [sym_record_binding_pattern] = STATE(14752),
    [sym_list_binding_pattern] = STATE(14744),
    [sym_cons_binding_pattern] = STATE(14705),
    [sym_array_binding_pattern] = STATE(14682),
    [sym_range_pattern] = STATE(14705),
    [sym_lazy_binding_pattern] = STATE(14705),
    [sym_local_open_binding_pattern] = STATE(14705),
    [sym_package_pattern] = STATE(14705),
    [sym_parenthesized_binding_pattern] = STATE(14705),
    [sym_attribute] = STATE(2884),
    [sym_extension] = STATE(14705),
    [sym_quoted_extension] = STATE(14705),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14561),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(20406),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(14705),
    [sym_parenthesized_operator] = STATE(14199),
    [sym_module_path] = STATE(21395),
    [sym_constructor_path] = STATE(4132),
    [sym__constructor_name] = STATE(9604),
    [sym_tag] = STATE(4133),
    [sym__identifier] = ACTIONS(7839),
    [anon_sym_LPAREN] = ACTIONS(7841),
    [anon_sym_RPAREN] = ACTIONS(7843),
    [anon_sym_LBRACK] = ACTIONS(7845),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(7847),
    [anon_sym_LBRACE] = ACTIONS(7849),
    [anon_sym_module] = ACTIONS(7851),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(7853),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7855),
    [anon_sym_lazy] = ACTIONS(7857),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(7859),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(7859),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(7859),
    [sym_let_and_operator] = ACTIONS(7859),
    [sym_match_operator] = ACTIONS(7859),
    [sym__capitalized_identifier] = ACTIONS(6409),
    [aux_sym_tag_token1] = ACTIONS(6411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2885] = {
    [sym__binding_pattern] = STATE(14909),
    [sym_alias_binding_pattern] = STATE(14705),
    [sym_typed_binding_pattern] = STATE(14705),
    [sym_or_binding_pattern] = STATE(14705),
    [sym_constructor_binding_pattern] = STATE(14705),
    [sym_tag_binding_pattern] = STATE(14705),
    [sym_polymorphic_variant_pattern] = STATE(14705),
    [sym_tuple_binding_pattern] = STATE(14705),
    [sym_record_binding_pattern] = STATE(14752),
    [sym_list_binding_pattern] = STATE(14744),
    [sym_cons_binding_pattern] = STATE(14705),
    [sym_array_binding_pattern] = STATE(14682),
    [sym_range_pattern] = STATE(14705),
    [sym_lazy_binding_pattern] = STATE(14705),
    [sym_local_open_binding_pattern] = STATE(14705),
    [sym_package_pattern] = STATE(14705),
    [sym_parenthesized_binding_pattern] = STATE(14705),
    [sym_attribute] = STATE(2885),
    [sym_extension] = STATE(14705),
    [sym_quoted_extension] = STATE(14705),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14561),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(21573),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(14705),
    [sym_parenthesized_operator] = STATE(14199),
    [sym_module_path] = STATE(21395),
    [sym_constructor_path] = STATE(4132),
    [sym__constructor_name] = STATE(9604),
    [sym_tag] = STATE(4133),
    [sym__identifier] = ACTIONS(7839),
    [anon_sym_LPAREN] = ACTIONS(7841),
    [anon_sym_RPAREN] = ACTIONS(7861),
    [anon_sym_LBRACK] = ACTIONS(7845),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(7863),
    [anon_sym_LBRACE] = ACTIONS(7849),
    [anon_sym_module] = ACTIONS(7865),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(7867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7855),
    [anon_sym_lazy] = ACTIONS(7857),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(7869),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(7869),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(7869),
    [sym_let_and_operator] = ACTIONS(7869),
    [sym_match_operator] = ACTIONS(7869),
    [sym__capitalized_identifier] = ACTIONS(6409),
    [aux_sym_tag_token1] = ACTIONS(6411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2886] = {
    [sym__binding_pattern] = STATE(15151),
    [sym_alias_binding_pattern] = STATE(14705),
    [sym_typed_binding_pattern] = STATE(14705),
    [sym_or_binding_pattern] = STATE(14705),
    [sym_constructor_binding_pattern] = STATE(14705),
    [sym_tag_binding_pattern] = STATE(14705),
    [sym_polymorphic_variant_pattern] = STATE(14705),
    [sym_tuple_binding_pattern] = STATE(14705),
    [sym_record_binding_pattern] = STATE(14752),
    [sym_list_binding_pattern] = STATE(14744),
    [sym_cons_binding_pattern] = STATE(14705),
    [sym_array_binding_pattern] = STATE(14682),
    [sym_range_pattern] = STATE(14705),
    [sym_lazy_binding_pattern] = STATE(14705),
    [sym_local_open_binding_pattern] = STATE(14705),
    [sym_package_pattern] = STATE(14705),
    [sym_parenthesized_binding_pattern] = STATE(14705),
    [sym_attribute] = STATE(2886),
    [sym_extension] = STATE(14705),
    [sym_quoted_extension] = STATE(14705),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14561),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(20670),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(14705),
    [sym_parenthesized_operator] = STATE(14199),
    [sym_module_path] = STATE(21395),
    [sym_constructor_path] = STATE(4132),
    [sym__constructor_name] = STATE(9604),
    [sym_tag] = STATE(4133),
    [sym__identifier] = ACTIONS(7839),
    [anon_sym_LPAREN] = ACTIONS(7841),
    [anon_sym_RPAREN] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(7845),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(7849),
    [anon_sym_module] = ACTIONS(6413),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(6443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7855),
    [anon_sym_lazy] = ACTIONS(7857),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(2997),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(2997),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2997),
    [sym_let_and_operator] = ACTIONS(2997),
    [sym_match_operator] = ACTIONS(2997),
    [sym__capitalized_identifier] = ACTIONS(6409),
    [aux_sym_tag_token1] = ACTIONS(6411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2887] = {
    [sym__binding_pattern] = STATE(14964),
    [sym_alias_binding_pattern] = STATE(14705),
    [sym_typed_binding_pattern] = STATE(14705),
    [sym_or_binding_pattern] = STATE(14705),
    [sym_constructor_binding_pattern] = STATE(14705),
    [sym_tag_binding_pattern] = STATE(14705),
    [sym_polymorphic_variant_pattern] = STATE(14705),
    [sym_tuple_binding_pattern] = STATE(14705),
    [sym_record_binding_pattern] = STATE(14752),
    [sym_list_binding_pattern] = STATE(14744),
    [sym_cons_binding_pattern] = STATE(14705),
    [sym_array_binding_pattern] = STATE(14682),
    [sym_range_pattern] = STATE(14705),
    [sym_lazy_binding_pattern] = STATE(14705),
    [sym_local_open_binding_pattern] = STATE(14705),
    [sym_package_pattern] = STATE(14705),
    [sym_parenthesized_binding_pattern] = STATE(14705),
    [sym_attribute] = STATE(2887),
    [sym_extension] = STATE(14705),
    [sym_quoted_extension] = STATE(14705),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14561),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(22432),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(14705),
    [sym_parenthesized_operator] = STATE(14199),
    [sym_module_path] = STATE(21395),
    [sym_constructor_path] = STATE(4132),
    [sym__constructor_name] = STATE(9604),
    [sym_tag] = STATE(4133),
    [sym__identifier] = ACTIONS(7839),
    [anon_sym_LPAREN] = ACTIONS(7841),
    [anon_sym_RPAREN] = ACTIONS(6295),
    [anon_sym_LBRACK] = ACTIONS(7845),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(6303),
    [anon_sym_LBRACE] = ACTIONS(7849),
    [anon_sym_module] = ACTIONS(6309),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(2183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7855),
    [anon_sym_lazy] = ACTIONS(7857),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(6333),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6333),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6333),
    [sym_let_and_operator] = ACTIONS(6333),
    [sym_match_operator] = ACTIONS(6333),
    [sym__capitalized_identifier] = ACTIONS(6409),
    [aux_sym_tag_token1] = ACTIONS(6411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2888] = {
    [sym__binding_pattern] = STATE(15084),
    [sym_alias_binding_pattern] = STATE(14705),
    [sym_typed_binding_pattern] = STATE(14705),
    [sym_or_binding_pattern] = STATE(14705),
    [sym_constructor_binding_pattern] = STATE(14705),
    [sym_tag_binding_pattern] = STATE(14705),
    [sym_polymorphic_variant_pattern] = STATE(14705),
    [sym_tuple_binding_pattern] = STATE(14705),
    [sym_record_binding_pattern] = STATE(14752),
    [sym_list_binding_pattern] = STATE(14744),
    [sym_cons_binding_pattern] = STATE(14705),
    [sym_array_binding_pattern] = STATE(14682),
    [sym_range_pattern] = STATE(14705),
    [sym_lazy_binding_pattern] = STATE(14705),
    [sym_local_open_binding_pattern] = STATE(14705),
    [sym_package_pattern] = STATE(14705),
    [sym_parenthesized_binding_pattern] = STATE(14705),
    [sym_attribute] = STATE(2888),
    [sym_extension] = STATE(14705),
    [sym_quoted_extension] = STATE(14705),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14561),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(22365),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(14705),
    [sym_parenthesized_operator] = STATE(14199),
    [sym_module_path] = STATE(21395),
    [sym_constructor_path] = STATE(4132),
    [sym__constructor_name] = STATE(9604),
    [sym_tag] = STATE(4133),
    [sym__identifier] = ACTIONS(7839),
    [anon_sym_LPAREN] = ACTIONS(7841),
    [anon_sym_RPAREN] = ACTIONS(7871),
    [anon_sym_LBRACK] = ACTIONS(7845),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(7873),
    [anon_sym_LBRACE] = ACTIONS(7849),
    [anon_sym_module] = ACTIONS(7875),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(7877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7855),
    [anon_sym_lazy] = ACTIONS(7857),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(7879),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(7879),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(7879),
    [sym_let_and_operator] = ACTIONS(7879),
    [sym_match_operator] = ACTIONS(7879),
    [sym__capitalized_identifier] = ACTIONS(6409),
    [aux_sym_tag_token1] = ACTIONS(6411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2889] = {
    [sym__binding_pattern] = STATE(15045),
    [sym_alias_binding_pattern] = STATE(14705),
    [sym_typed_binding_pattern] = STATE(14705),
    [sym_or_binding_pattern] = STATE(14705),
    [sym_constructor_binding_pattern] = STATE(14705),
    [sym_tag_binding_pattern] = STATE(14705),
    [sym_polymorphic_variant_pattern] = STATE(14705),
    [sym_tuple_binding_pattern] = STATE(14705),
    [sym_record_binding_pattern] = STATE(14752),
    [sym_list_binding_pattern] = STATE(14744),
    [sym_cons_binding_pattern] = STATE(14705),
    [sym_array_binding_pattern] = STATE(14682),
    [sym_range_pattern] = STATE(14705),
    [sym_lazy_binding_pattern] = STATE(14705),
    [sym_local_open_binding_pattern] = STATE(14705),
    [sym_package_pattern] = STATE(14705),
    [sym_parenthesized_binding_pattern] = STATE(14705),
    [sym_attribute] = STATE(2889),
    [sym_extension] = STATE(14705),
    [sym_quoted_extension] = STATE(14705),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14561),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(21515),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(14705),
    [sym_parenthesized_operator] = STATE(14199),
    [sym_module_path] = STATE(21395),
    [sym_constructor_path] = STATE(4132),
    [sym__constructor_name] = STATE(9604),
    [sym_tag] = STATE(4133),
    [sym__identifier] = ACTIONS(7839),
    [anon_sym_LPAREN] = ACTIONS(7841),
    [anon_sym_RPAREN] = ACTIONS(7881),
    [anon_sym_LBRACK] = ACTIONS(7845),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(7883),
    [anon_sym_LBRACE] = ACTIONS(7849),
    [anon_sym_module] = ACTIONS(7885),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(7887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7855),
    [anon_sym_lazy] = ACTIONS(7857),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(7889),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(7889),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(7889),
    [sym_let_and_operator] = ACTIONS(7889),
    [sym_match_operator] = ACTIONS(7889),
    [sym__capitalized_identifier] = ACTIONS(6409),
    [aux_sym_tag_token1] = ACTIONS(6411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2890] = {
    [sym__binding_pattern] = STATE(15014),
    [sym_alias_binding_pattern] = STATE(14705),
    [sym_typed_binding_pattern] = STATE(14705),
    [sym_or_binding_pattern] = STATE(14705),
    [sym_constructor_binding_pattern] = STATE(14705),
    [sym_tag_binding_pattern] = STATE(14705),
    [sym_polymorphic_variant_pattern] = STATE(14705),
    [sym_tuple_binding_pattern] = STATE(14705),
    [sym_record_binding_pattern] = STATE(14752),
    [sym_list_binding_pattern] = STATE(14744),
    [sym_cons_binding_pattern] = STATE(14705),
    [sym_array_binding_pattern] = STATE(14682),
    [sym_range_pattern] = STATE(14705),
    [sym_lazy_binding_pattern] = STATE(14705),
    [sym_local_open_binding_pattern] = STATE(14705),
    [sym_package_pattern] = STATE(14705),
    [sym_parenthesized_binding_pattern] = STATE(14705),
    [sym_attribute] = STATE(2890),
    [sym_extension] = STATE(14705),
    [sym_quoted_extension] = STATE(14705),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14561),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__infix_operator] = STATE(20184),
    [sym_add_operator] = STATE(19309),
    [sym__value_name] = STATE(14705),
    [sym_parenthesized_operator] = STATE(14199),
    [sym_module_path] = STATE(21395),
    [sym_constructor_path] = STATE(4132),
    [sym__constructor_name] = STATE(9604),
    [sym_tag] = STATE(4133),
    [sym__identifier] = ACTIONS(7839),
    [anon_sym_LPAREN] = ACTIONS(7841),
    [anon_sym_RPAREN] = ACTIONS(7891),
    [anon_sym_LBRACK] = ACTIONS(7845),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_DOT] = ACTIONS(7893),
    [anon_sym_LBRACE] = ACTIONS(7849),
    [anon_sym_module] = ACTIONS(7895),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(7897),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7855),
    [anon_sym_lazy] = ACTIONS(7857),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(6327),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym_prefix_operator] = ACTIONS(7899),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(7899),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(7899),
    [sym_let_and_operator] = ACTIONS(7899),
    [sym_match_operator] = ACTIONS(7899),
    [sym__capitalized_identifier] = ACTIONS(6409),
    [aux_sym_tag_token1] = ACTIONS(6411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2891] = {
    [sym_parameter] = STATE(8515),
    [sym__class_typed] = STATE(12189),
    [sym__parenthesized_abstract_type] = STATE(8515),
    [sym__simple_pattern] = STATE(8519),
    [sym_typed_pattern] = STATE(8494),
    [sym_polymorphic_variant_pattern] = STATE(8494),
    [sym_record_pattern] = STATE(8494),
    [sym_list_pattern] = STATE(8494),
    [sym_array_pattern] = STATE(8494),
    [sym_local_open_pattern] = STATE(8494),
    [sym_package_pattern] = STATE(8494),
    [sym_parenthesized_pattern] = STATE(8494),
    [sym_attribute] = STATE(2891),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8494),
    [sym_quoted_extension] = STATE(8494),
    [sym__constant] = STATE(8591),
    [sym__signed_constant] = STATE(8494),
    [sym_number] = STATE(8487),
    [sym_signed_number] = STATE(8591),
    [sym_character] = STATE(8487),
    [sym_string] = STATE(8487),
    [sym_quoted_string] = STATE(8487),
    [sym_boolean] = STATE(8487),
    [sym_unit] = STATE(8487),
    [sym__simple_value_pattern] = STATE(8494),
    [sym_parenthesized_operator] = STATE(8494),
    [sym_module_path] = STATE(20781),
    [sym_constructor_path] = STATE(8494),
    [sym__constructor_name] = STATE(8546),
    [sym_tag] = STATE(8494),
    [aux_sym_expression_item_repeat1] = STATE(11746),
    [aux_sym_let_binding_repeat1] = STATE(2947),
    [sym__identifier] = ACTIONS(7901),
    [anon_sym_SEMI_SEMI] = ACTIONS(7903),
    [anon_sym_let] = ACTIONS(7905),
    [anon_sym_and] = ACTIONS(7905),
    [anon_sym_EQ] = ACTIONS(7907),
    [anon_sym_TILDE] = ACTIONS(7909),
    [anon_sym_QMARK] = ACTIONS(7909),
    [anon_sym_LPAREN] = ACTIONS(7911),
    [anon_sym_external] = ACTIONS(7905),
    [anon_sym_type] = ACTIONS(7905),
    [anon_sym_LBRACK] = ACTIONS(7913),
    [anon_sym_true] = ACTIONS(7915),
    [anon_sym_false] = ACTIONS(7915),
    [anon_sym_COLON2] = ACTIONS(7917),
    [anon_sym_LBRACE] = ACTIONS(7919),
    [anon_sym_exception] = ACTIONS(7905),
    [anon_sym_module] = ACTIONS(7905),
    [anon_sym_open] = ACTIONS(7905),
    [anon_sym_include] = ACTIONS(7905),
    [anon_sym_class] = ACTIONS(7905),
    [anon_sym_end] = ACTIONS(7905),
    [anon_sym_POUND] = ACTIONS(7921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7923),
    [anon_sym_begin] = ACTIONS(7925),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7903),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7931),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7903),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7903),
    [aux_sym_number_token1] = ACTIONS(7933),
    [aux_sym_signed_number_token1] = ACTIONS(7935),
    [anon_sym_SQUOTE] = ACTIONS(7937),
    [anon_sym_DQUOTE] = ACTIONS(7939),
    [sym_let_operator] = ACTIONS(7903),
    [sym__capitalized_identifier] = ACTIONS(7941),
    [aux_sym_directive_token1] = ACTIONS(7905),
    [aux_sym_tag_token1] = ACTIONS(7943),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2892] = {
    [sym__simple_expression] = STATE(9191),
    [sym_typed_expression] = STATE(8992),
    [sym_list_expression] = STATE(8992),
    [sym_array_expression] = STATE(8992),
    [sym_record_expression] = STATE(8992),
    [sym_labeled_argument] = STATE(9592),
    [sym_prefix_expression] = STATE(8992),
    [sym_hash_expression] = STATE(8992),
    [sym_field_get_expression] = STATE(8992),
    [sym_array_get_expression] = STATE(8992),
    [sym_string_get_expression] = STATE(8992),
    [sym_bigarray_get_expression] = STATE(8992),
    [sym_coercion_expression] = STATE(8992),
    [sym_local_open_expression] = STATE(8992),
    [sym_package_expression] = STATE(8992),
    [sym_new_expression] = STATE(8992),
    [sym_object_copy_expression] = STATE(8992),
    [sym_method_invocation] = STATE(8992),
    [sym_object_expression] = STATE(8992),
    [sym_parenthesized_expression] = STATE(8992),
    [sym_attribute] = STATE(2892),
    [sym_extension] = STATE(8992),
    [sym_quoted_extension] = STATE(8992),
    [sym__constant] = STATE(8992),
    [sym_number] = STATE(8999),
    [sym_character] = STATE(8999),
    [sym_string] = STATE(8999),
    [sym_quoted_string] = STATE(8999),
    [sym_boolean] = STATE(8999),
    [sym_unit] = STATE(8999),
    [sym__value_name] = STATE(9026),
    [sym_parenthesized_operator] = STATE(8875),
    [sym_value_path] = STATE(8992),
    [sym_module_path] = STATE(19242),
    [sym_constructor_path] = STATE(8992),
    [sym__constructor_name] = STATE(9086),
    [sym_tag] = STATE(8992),
    [aux_sym_class_application_repeat1] = STATE(2892),
    [sym__identifier] = ACTIONS(7945),
    [anon_sym_TILDE] = ACTIONS(7948),
    [anon_sym_QMARK] = ACTIONS(7948),
    [anon_sym_LPAREN] = ACTIONS(7951),
    [anon_sym_LBRACK] = ACTIONS(7954),
    [anon_sym_true] = ACTIONS(7957),
    [anon_sym_false] = ACTIONS(7957),
    [anon_sym_LBRACE] = ACTIONS(7960),
    [anon_sym_constraint] = ACTIONS(4344),
    [anon_sym_val] = ACTIONS(4344),
    [anon_sym_end] = ACTIONS(4344),
    [anon_sym_object] = ACTIONS(7963),
    [anon_sym_inherit] = ACTIONS(4344),
    [anon_sym_method] = ACTIONS(4344),
    [anon_sym_as] = ACTIONS(4344),
    [anon_sym_initializer] = ACTIONS(4344),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7966),
    [anon_sym_new] = ACTIONS(7969),
    [anon_sym_LBRACE_LT] = ACTIONS(7972),
    [anon_sym_begin] = ACTIONS(7975),
    [sym_ocamlyacc_value] = ACTIONS(7978),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4344),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4339),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7984),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4339),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4339),
    [aux_sym_number_token1] = ACTIONS(7987),
    [anon_sym_SQUOTE] = ACTIONS(7990),
    [anon_sym_DQUOTE] = ACTIONS(7993),
    [sym_prefix_operator] = ACTIONS(7996),
    [sym__capitalized_identifier] = ACTIONS(7999),
    [aux_sym_tag_token1] = ACTIONS(8002),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2893] = {
    [sym_parameter] = STATE(8515),
    [sym__class_typed] = STATE(12186),
    [sym__parenthesized_abstract_type] = STATE(8515),
    [sym__simple_pattern] = STATE(8519),
    [sym_typed_pattern] = STATE(8494),
    [sym_polymorphic_variant_pattern] = STATE(8494),
    [sym_record_pattern] = STATE(8494),
    [sym_list_pattern] = STATE(8494),
    [sym_array_pattern] = STATE(8494),
    [sym_local_open_pattern] = STATE(8494),
    [sym_package_pattern] = STATE(8494),
    [sym_parenthesized_pattern] = STATE(8494),
    [sym_attribute] = STATE(2893),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8494),
    [sym_quoted_extension] = STATE(8494),
    [sym__constant] = STATE(8591),
    [sym__signed_constant] = STATE(8494),
    [sym_number] = STATE(8487),
    [sym_signed_number] = STATE(8591),
    [sym_character] = STATE(8487),
    [sym_string] = STATE(8487),
    [sym_quoted_string] = STATE(8487),
    [sym_boolean] = STATE(8487),
    [sym_unit] = STATE(8487),
    [sym__simple_value_pattern] = STATE(8494),
    [sym_parenthesized_operator] = STATE(8494),
    [sym_module_path] = STATE(20781),
    [sym_constructor_path] = STATE(8494),
    [sym__constructor_name] = STATE(8546),
    [sym_tag] = STATE(8494),
    [aux_sym_expression_item_repeat1] = STATE(11679),
    [aux_sym_let_binding_repeat1] = STATE(2895),
    [sym__identifier] = ACTIONS(7901),
    [anon_sym_SEMI_SEMI] = ACTIONS(8005),
    [anon_sym_let] = ACTIONS(8007),
    [anon_sym_and] = ACTIONS(8007),
    [anon_sym_EQ] = ACTIONS(8009),
    [anon_sym_TILDE] = ACTIONS(7909),
    [anon_sym_QMARK] = ACTIONS(7909),
    [anon_sym_LPAREN] = ACTIONS(7911),
    [anon_sym_external] = ACTIONS(8007),
    [anon_sym_type] = ACTIONS(8007),
    [anon_sym_LBRACK] = ACTIONS(7913),
    [anon_sym_true] = ACTIONS(7915),
    [anon_sym_false] = ACTIONS(7915),
    [anon_sym_COLON2] = ACTIONS(7917),
    [anon_sym_LBRACE] = ACTIONS(7919),
    [anon_sym_exception] = ACTIONS(8007),
    [anon_sym_module] = ACTIONS(8007),
    [anon_sym_open] = ACTIONS(8007),
    [anon_sym_include] = ACTIONS(8007),
    [anon_sym_class] = ACTIONS(8007),
    [anon_sym_end] = ACTIONS(8007),
    [anon_sym_POUND] = ACTIONS(7921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7923),
    [anon_sym_begin] = ACTIONS(7925),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8005),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7931),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8005),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8005),
    [aux_sym_number_token1] = ACTIONS(7933),
    [aux_sym_signed_number_token1] = ACTIONS(7935),
    [anon_sym_SQUOTE] = ACTIONS(7937),
    [anon_sym_DQUOTE] = ACTIONS(7939),
    [sym_let_operator] = ACTIONS(8005),
    [sym__capitalized_identifier] = ACTIONS(7941),
    [aux_sym_directive_token1] = ACTIONS(8007),
    [aux_sym_tag_token1] = ACTIONS(7943),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2894] = {
    [sym_parameter] = STATE(8515),
    [sym__class_typed] = STATE(12184),
    [sym__parenthesized_abstract_type] = STATE(8515),
    [sym__simple_pattern] = STATE(8519),
    [sym_typed_pattern] = STATE(8494),
    [sym_polymorphic_variant_pattern] = STATE(8494),
    [sym_record_pattern] = STATE(8494),
    [sym_list_pattern] = STATE(8494),
    [sym_array_pattern] = STATE(8494),
    [sym_local_open_pattern] = STATE(8494),
    [sym_package_pattern] = STATE(8494),
    [sym_parenthesized_pattern] = STATE(8494),
    [sym_attribute] = STATE(2894),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8494),
    [sym_quoted_extension] = STATE(8494),
    [sym__constant] = STATE(8591),
    [sym__signed_constant] = STATE(8494),
    [sym_number] = STATE(8487),
    [sym_signed_number] = STATE(8591),
    [sym_character] = STATE(8487),
    [sym_string] = STATE(8487),
    [sym_quoted_string] = STATE(8487),
    [sym_boolean] = STATE(8487),
    [sym_unit] = STATE(8487),
    [sym__simple_value_pattern] = STATE(8494),
    [sym_parenthesized_operator] = STATE(8494),
    [sym_module_path] = STATE(20781),
    [sym_constructor_path] = STATE(8494),
    [sym__constructor_name] = STATE(8546),
    [sym_tag] = STATE(8494),
    [aux_sym_expression_item_repeat1] = STATE(11631),
    [aux_sym_let_binding_repeat1] = STATE(2919),
    [sym__identifier] = ACTIONS(7901),
    [anon_sym_SEMI_SEMI] = ACTIONS(8011),
    [anon_sym_let] = ACTIONS(8013),
    [anon_sym_and] = ACTIONS(8013),
    [anon_sym_EQ] = ACTIONS(8015),
    [anon_sym_TILDE] = ACTIONS(7909),
    [anon_sym_QMARK] = ACTIONS(7909),
    [anon_sym_LPAREN] = ACTIONS(7911),
    [anon_sym_external] = ACTIONS(8013),
    [anon_sym_type] = ACTIONS(8013),
    [anon_sym_LBRACK] = ACTIONS(7913),
    [anon_sym_true] = ACTIONS(7915),
    [anon_sym_false] = ACTIONS(7915),
    [anon_sym_COLON2] = ACTIONS(7917),
    [anon_sym_LBRACE] = ACTIONS(7919),
    [anon_sym_exception] = ACTIONS(8013),
    [anon_sym_module] = ACTIONS(8013),
    [anon_sym_open] = ACTIONS(8013),
    [anon_sym_include] = ACTIONS(8013),
    [anon_sym_class] = ACTIONS(8013),
    [anon_sym_end] = ACTIONS(8013),
    [anon_sym_POUND] = ACTIONS(7921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7923),
    [anon_sym_begin] = ACTIONS(7925),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8011),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7931),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8011),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8011),
    [aux_sym_number_token1] = ACTIONS(7933),
    [aux_sym_signed_number_token1] = ACTIONS(7935),
    [anon_sym_SQUOTE] = ACTIONS(7937),
    [anon_sym_DQUOTE] = ACTIONS(7939),
    [sym_let_operator] = ACTIONS(8011),
    [sym__capitalized_identifier] = ACTIONS(7941),
    [aux_sym_directive_token1] = ACTIONS(8013),
    [aux_sym_tag_token1] = ACTIONS(7943),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2895] = {
    [sym_parameter] = STATE(8515),
    [sym__class_typed] = STATE(12187),
    [sym__parenthesized_abstract_type] = STATE(8515),
    [sym__simple_pattern] = STATE(8519),
    [sym_typed_pattern] = STATE(8494),
    [sym_polymorphic_variant_pattern] = STATE(8494),
    [sym_record_pattern] = STATE(8494),
    [sym_list_pattern] = STATE(8494),
    [sym_array_pattern] = STATE(8494),
    [sym_local_open_pattern] = STATE(8494),
    [sym_package_pattern] = STATE(8494),
    [sym_parenthesized_pattern] = STATE(8494),
    [sym_attribute] = STATE(2895),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8494),
    [sym_quoted_extension] = STATE(8494),
    [sym__constant] = STATE(8591),
    [sym__signed_constant] = STATE(8494),
    [sym_number] = STATE(8487),
    [sym_signed_number] = STATE(8591),
    [sym_character] = STATE(8487),
    [sym_string] = STATE(8487),
    [sym_quoted_string] = STATE(8487),
    [sym_boolean] = STATE(8487),
    [sym_unit] = STATE(8487),
    [sym__simple_value_pattern] = STATE(8494),
    [sym_parenthesized_operator] = STATE(8494),
    [sym_module_path] = STATE(20781),
    [sym_constructor_path] = STATE(8494),
    [sym__constructor_name] = STATE(8546),
    [sym_tag] = STATE(8494),
    [aux_sym_expression_item_repeat1] = STATE(11706),
    [aux_sym_let_binding_repeat1] = STATE(2947),
    [sym__identifier] = ACTIONS(7901),
    [anon_sym_SEMI_SEMI] = ACTIONS(8017),
    [anon_sym_let] = ACTIONS(8019),
    [anon_sym_and] = ACTIONS(8019),
    [anon_sym_EQ] = ACTIONS(8021),
    [anon_sym_TILDE] = ACTIONS(7909),
    [anon_sym_QMARK] = ACTIONS(7909),
    [anon_sym_LPAREN] = ACTIONS(7911),
    [anon_sym_external] = ACTIONS(8019),
    [anon_sym_type] = ACTIONS(8019),
    [anon_sym_LBRACK] = ACTIONS(7913),
    [anon_sym_true] = ACTIONS(7915),
    [anon_sym_false] = ACTIONS(7915),
    [anon_sym_COLON2] = ACTIONS(7917),
    [anon_sym_LBRACE] = ACTIONS(7919),
    [anon_sym_exception] = ACTIONS(8019),
    [anon_sym_module] = ACTIONS(8019),
    [anon_sym_open] = ACTIONS(8019),
    [anon_sym_include] = ACTIONS(8019),
    [anon_sym_class] = ACTIONS(8019),
    [anon_sym_end] = ACTIONS(8019),
    [anon_sym_POUND] = ACTIONS(7921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7923),
    [anon_sym_begin] = ACTIONS(7925),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8017),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7931),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8017),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8017),
    [aux_sym_number_token1] = ACTIONS(7933),
    [aux_sym_signed_number_token1] = ACTIONS(7935),
    [anon_sym_SQUOTE] = ACTIONS(7937),
    [anon_sym_DQUOTE] = ACTIONS(7939),
    [sym_let_operator] = ACTIONS(8017),
    [sym__capitalized_identifier] = ACTIONS(7941),
    [aux_sym_directive_token1] = ACTIONS(8019),
    [aux_sym_tag_token1] = ACTIONS(7943),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2896] = {
    [sym_parameter] = STATE(8403),
    [sym__class_typed] = STATE(12290),
    [sym__parenthesized_abstract_type] = STATE(8403),
    [sym__simple_pattern] = STATE(8404),
    [sym_typed_pattern] = STATE(8362),
    [sym_polymorphic_variant_pattern] = STATE(8362),
    [sym_record_pattern] = STATE(8362),
    [sym_list_pattern] = STATE(8362),
    [sym_array_pattern] = STATE(8362),
    [sym_local_open_pattern] = STATE(8362),
    [sym_package_pattern] = STATE(8362),
    [sym_parenthesized_pattern] = STATE(8362),
    [sym_attribute] = STATE(2896),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8362),
    [sym_quoted_extension] = STATE(8362),
    [sym__constant] = STATE(8302),
    [sym__signed_constant] = STATE(8362),
    [sym_number] = STATE(8366),
    [sym_signed_number] = STATE(8302),
    [sym_character] = STATE(8366),
    [sym_string] = STATE(8366),
    [sym_quoted_string] = STATE(8366),
    [sym_boolean] = STATE(8366),
    [sym_unit] = STATE(8366),
    [sym__simple_value_pattern] = STATE(8362),
    [sym_parenthesized_operator] = STATE(8362),
    [sym_module_path] = STATE(19568),
    [sym_constructor_path] = STATE(8362),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(8362),
    [aux_sym_expression_item_repeat1] = STATE(11814),
    [aux_sym_let_binding_repeat1] = STATE(2899),
    [sym__identifier] = ACTIONS(8023),
    [anon_sym_SEMI_SEMI] = ACTIONS(8025),
    [anon_sym_let] = ACTIONS(8027),
    [anon_sym_and] = ACTIONS(8027),
    [anon_sym_EQ] = ACTIONS(8029),
    [anon_sym_TILDE] = ACTIONS(8031),
    [anon_sym_QMARK] = ACTIONS(8031),
    [anon_sym_LPAREN] = ACTIONS(8033),
    [anon_sym_external] = ACTIONS(8027),
    [anon_sym_type] = ACTIONS(8027),
    [anon_sym_LBRACK] = ACTIONS(8035),
    [anon_sym_RBRACK] = ACTIONS(8025),
    [anon_sym_true] = ACTIONS(8037),
    [anon_sym_false] = ACTIONS(8037),
    [anon_sym_COLON2] = ACTIONS(8039),
    [anon_sym_LBRACE] = ACTIONS(8041),
    [anon_sym_exception] = ACTIONS(8027),
    [anon_sym_module] = ACTIONS(8027),
    [anon_sym_open] = ACTIONS(8027),
    [anon_sym_include] = ACTIONS(8027),
    [anon_sym_class] = ACTIONS(8027),
    [anon_sym_POUND] = ACTIONS(8043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8045),
    [anon_sym_begin] = ACTIONS(8047),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8025),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8051),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8025),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8025),
    [aux_sym_number_token1] = ACTIONS(8053),
    [aux_sym_signed_number_token1] = ACTIONS(8055),
    [anon_sym_SQUOTE] = ACTIONS(8057),
    [anon_sym_DQUOTE] = ACTIONS(8059),
    [sym_let_operator] = ACTIONS(8025),
    [sym__capitalized_identifier] = ACTIONS(8061),
    [aux_sym_directive_token1] = ACTIONS(8027),
    [aux_sym_tag_token1] = ACTIONS(8063),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2897] = {
    [sym_parameter] = STATE(8403),
    [sym__class_typed] = STATE(12291),
    [sym__parenthesized_abstract_type] = STATE(8403),
    [sym__simple_pattern] = STATE(8404),
    [sym_typed_pattern] = STATE(8362),
    [sym_polymorphic_variant_pattern] = STATE(8362),
    [sym_record_pattern] = STATE(8362),
    [sym_list_pattern] = STATE(8362),
    [sym_array_pattern] = STATE(8362),
    [sym_local_open_pattern] = STATE(8362),
    [sym_package_pattern] = STATE(8362),
    [sym_parenthesized_pattern] = STATE(8362),
    [sym_attribute] = STATE(2897),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8362),
    [sym_quoted_extension] = STATE(8362),
    [sym__constant] = STATE(8302),
    [sym__signed_constant] = STATE(8362),
    [sym_number] = STATE(8366),
    [sym_signed_number] = STATE(8302),
    [sym_character] = STATE(8366),
    [sym_string] = STATE(8366),
    [sym_quoted_string] = STATE(8366),
    [sym_boolean] = STATE(8366),
    [sym_unit] = STATE(8366),
    [sym__simple_value_pattern] = STATE(8362),
    [sym_parenthesized_operator] = STATE(8362),
    [sym_module_path] = STATE(19568),
    [sym_constructor_path] = STATE(8362),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(8362),
    [aux_sym_expression_item_repeat1] = STATE(11823),
    [aux_sym_let_binding_repeat1] = STATE(2937),
    [sym__identifier] = ACTIONS(8023),
    [anon_sym_SEMI_SEMI] = ACTIONS(8065),
    [anon_sym_let] = ACTIONS(8067),
    [anon_sym_and] = ACTIONS(8067),
    [anon_sym_EQ] = ACTIONS(8069),
    [anon_sym_TILDE] = ACTIONS(8031),
    [anon_sym_QMARK] = ACTIONS(8031),
    [anon_sym_LPAREN] = ACTIONS(8033),
    [anon_sym_external] = ACTIONS(8067),
    [anon_sym_type] = ACTIONS(8067),
    [anon_sym_LBRACK] = ACTIONS(8035),
    [anon_sym_RBRACK] = ACTIONS(8065),
    [anon_sym_true] = ACTIONS(8037),
    [anon_sym_false] = ACTIONS(8037),
    [anon_sym_COLON2] = ACTIONS(8039),
    [anon_sym_LBRACE] = ACTIONS(8041),
    [anon_sym_exception] = ACTIONS(8067),
    [anon_sym_module] = ACTIONS(8067),
    [anon_sym_open] = ACTIONS(8067),
    [anon_sym_include] = ACTIONS(8067),
    [anon_sym_class] = ACTIONS(8067),
    [anon_sym_POUND] = ACTIONS(8043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8045),
    [anon_sym_begin] = ACTIONS(8047),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8065),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8051),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8065),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8065),
    [aux_sym_number_token1] = ACTIONS(8053),
    [aux_sym_signed_number_token1] = ACTIONS(8055),
    [anon_sym_SQUOTE] = ACTIONS(8057),
    [anon_sym_DQUOTE] = ACTIONS(8059),
    [sym_let_operator] = ACTIONS(8065),
    [sym__capitalized_identifier] = ACTIONS(8061),
    [aux_sym_directive_token1] = ACTIONS(8067),
    [aux_sym_tag_token1] = ACTIONS(8063),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2898] = {
    [sym__simple_expression] = STATE(9191),
    [sym_typed_expression] = STATE(8992),
    [sym_list_expression] = STATE(8992),
    [sym_array_expression] = STATE(8992),
    [sym_record_expression] = STATE(8992),
    [sym_labeled_argument] = STATE(9592),
    [sym_prefix_expression] = STATE(8992),
    [sym_hash_expression] = STATE(8992),
    [sym_field_get_expression] = STATE(8992),
    [sym_array_get_expression] = STATE(8992),
    [sym_string_get_expression] = STATE(8992),
    [sym_bigarray_get_expression] = STATE(8992),
    [sym_coercion_expression] = STATE(8992),
    [sym_local_open_expression] = STATE(8992),
    [sym_package_expression] = STATE(8992),
    [sym_new_expression] = STATE(8992),
    [sym_object_copy_expression] = STATE(8992),
    [sym_method_invocation] = STATE(8992),
    [sym_object_expression] = STATE(8992),
    [sym_parenthesized_expression] = STATE(8992),
    [sym_attribute] = STATE(2898),
    [sym_extension] = STATE(8992),
    [sym_quoted_extension] = STATE(8992),
    [sym__constant] = STATE(8992),
    [sym_number] = STATE(8999),
    [sym_character] = STATE(8999),
    [sym_string] = STATE(8999),
    [sym_quoted_string] = STATE(8999),
    [sym_boolean] = STATE(8999),
    [sym_unit] = STATE(8999),
    [sym__value_name] = STATE(9026),
    [sym_parenthesized_operator] = STATE(8875),
    [sym_value_path] = STATE(8992),
    [sym_module_path] = STATE(19242),
    [sym_constructor_path] = STATE(8992),
    [sym__constructor_name] = STATE(9086),
    [sym_tag] = STATE(8992),
    [aux_sym_class_application_repeat1] = STATE(2892),
    [sym__identifier] = ACTIONS(8071),
    [anon_sym_TILDE] = ACTIONS(8073),
    [anon_sym_QMARK] = ACTIONS(8073),
    [anon_sym_LPAREN] = ACTIONS(8075),
    [anon_sym_LBRACK] = ACTIONS(8077),
    [anon_sym_true] = ACTIONS(8079),
    [anon_sym_false] = ACTIONS(8079),
    [anon_sym_LBRACE] = ACTIONS(8081),
    [anon_sym_constraint] = ACTIONS(6753),
    [anon_sym_val] = ACTIONS(6753),
    [anon_sym_end] = ACTIONS(6753),
    [anon_sym_object] = ACTIONS(8083),
    [anon_sym_inherit] = ACTIONS(6753),
    [anon_sym_method] = ACTIONS(6753),
    [anon_sym_as] = ACTIONS(6753),
    [anon_sym_initializer] = ACTIONS(6753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8085),
    [anon_sym_new] = ACTIONS(8087),
    [anon_sym_LBRACE_LT] = ACTIONS(8089),
    [anon_sym_begin] = ACTIONS(8091),
    [sym_ocamlyacc_value] = ACTIONS(8093),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6753),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6751),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8097),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6751),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6751),
    [aux_sym_number_token1] = ACTIONS(8099),
    [anon_sym_SQUOTE] = ACTIONS(8101),
    [anon_sym_DQUOTE] = ACTIONS(8103),
    [sym_prefix_operator] = ACTIONS(8105),
    [sym__capitalized_identifier] = ACTIONS(8107),
    [aux_sym_tag_token1] = ACTIONS(8109),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2899] = {
    [sym_parameter] = STATE(8403),
    [sym__class_typed] = STATE(12293),
    [sym__parenthesized_abstract_type] = STATE(8403),
    [sym__simple_pattern] = STATE(8404),
    [sym_typed_pattern] = STATE(8362),
    [sym_polymorphic_variant_pattern] = STATE(8362),
    [sym_record_pattern] = STATE(8362),
    [sym_list_pattern] = STATE(8362),
    [sym_array_pattern] = STATE(8362),
    [sym_local_open_pattern] = STATE(8362),
    [sym_package_pattern] = STATE(8362),
    [sym_parenthesized_pattern] = STATE(8362),
    [sym_attribute] = STATE(2899),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8362),
    [sym_quoted_extension] = STATE(8362),
    [sym__constant] = STATE(8302),
    [sym__signed_constant] = STATE(8362),
    [sym_number] = STATE(8366),
    [sym_signed_number] = STATE(8302),
    [sym_character] = STATE(8366),
    [sym_string] = STATE(8366),
    [sym_quoted_string] = STATE(8366),
    [sym_boolean] = STATE(8366),
    [sym_unit] = STATE(8366),
    [sym__simple_value_pattern] = STATE(8362),
    [sym_parenthesized_operator] = STATE(8362),
    [sym_module_path] = STATE(19568),
    [sym_constructor_path] = STATE(8362),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(8362),
    [aux_sym_expression_item_repeat1] = STATE(11558),
    [aux_sym_let_binding_repeat1] = STATE(2937),
    [sym__identifier] = ACTIONS(8023),
    [anon_sym_SEMI_SEMI] = ACTIONS(8111),
    [anon_sym_let] = ACTIONS(8113),
    [anon_sym_and] = ACTIONS(8113),
    [anon_sym_EQ] = ACTIONS(8115),
    [anon_sym_TILDE] = ACTIONS(8031),
    [anon_sym_QMARK] = ACTIONS(8031),
    [anon_sym_LPAREN] = ACTIONS(8033),
    [anon_sym_external] = ACTIONS(8113),
    [anon_sym_type] = ACTIONS(8113),
    [anon_sym_LBRACK] = ACTIONS(8035),
    [anon_sym_RBRACK] = ACTIONS(8111),
    [anon_sym_true] = ACTIONS(8037),
    [anon_sym_false] = ACTIONS(8037),
    [anon_sym_COLON2] = ACTIONS(8039),
    [anon_sym_LBRACE] = ACTIONS(8041),
    [anon_sym_exception] = ACTIONS(8113),
    [anon_sym_module] = ACTIONS(8113),
    [anon_sym_open] = ACTIONS(8113),
    [anon_sym_include] = ACTIONS(8113),
    [anon_sym_class] = ACTIONS(8113),
    [anon_sym_POUND] = ACTIONS(8043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8045),
    [anon_sym_begin] = ACTIONS(8047),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8111),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8051),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8111),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8111),
    [aux_sym_number_token1] = ACTIONS(8053),
    [aux_sym_signed_number_token1] = ACTIONS(8055),
    [anon_sym_SQUOTE] = ACTIONS(8057),
    [anon_sym_DQUOTE] = ACTIONS(8059),
    [sym_let_operator] = ACTIONS(8111),
    [sym__capitalized_identifier] = ACTIONS(8061),
    [aux_sym_directive_token1] = ACTIONS(8113),
    [aux_sym_tag_token1] = ACTIONS(8063),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2900] = {
    [sym__simple_expression] = STATE(9191),
    [sym_typed_expression] = STATE(8992),
    [sym_list_expression] = STATE(8992),
    [sym_array_expression] = STATE(8992),
    [sym_record_expression] = STATE(8992),
    [sym_labeled_argument] = STATE(9592),
    [sym_prefix_expression] = STATE(8992),
    [sym_hash_expression] = STATE(8992),
    [sym_field_get_expression] = STATE(8992),
    [sym_array_get_expression] = STATE(8992),
    [sym_string_get_expression] = STATE(8992),
    [sym_bigarray_get_expression] = STATE(8992),
    [sym_coercion_expression] = STATE(8992),
    [sym_local_open_expression] = STATE(8992),
    [sym_package_expression] = STATE(8992),
    [sym_new_expression] = STATE(8992),
    [sym_object_copy_expression] = STATE(8992),
    [sym_method_invocation] = STATE(8992),
    [sym_object_expression] = STATE(8992),
    [sym_parenthesized_expression] = STATE(8992),
    [sym_attribute] = STATE(2900),
    [sym_extension] = STATE(8992),
    [sym_quoted_extension] = STATE(8992),
    [sym__constant] = STATE(8992),
    [sym_number] = STATE(8999),
    [sym_character] = STATE(8999),
    [sym_string] = STATE(8999),
    [sym_quoted_string] = STATE(8999),
    [sym_boolean] = STATE(8999),
    [sym_unit] = STATE(8999),
    [sym__value_name] = STATE(9026),
    [sym_parenthesized_operator] = STATE(8875),
    [sym_value_path] = STATE(8992),
    [sym_module_path] = STATE(19242),
    [sym_constructor_path] = STATE(8992),
    [sym__constructor_name] = STATE(9086),
    [sym_tag] = STATE(8992),
    [aux_sym_class_application_repeat1] = STATE(2898),
    [sym__identifier] = ACTIONS(8071),
    [anon_sym_TILDE] = ACTIONS(8073),
    [anon_sym_QMARK] = ACTIONS(8073),
    [anon_sym_LPAREN] = ACTIONS(8075),
    [anon_sym_LBRACK] = ACTIONS(8077),
    [anon_sym_true] = ACTIONS(8079),
    [anon_sym_false] = ACTIONS(8079),
    [anon_sym_LBRACE] = ACTIONS(8081),
    [anon_sym_constraint] = ACTIONS(6587),
    [anon_sym_val] = ACTIONS(6587),
    [anon_sym_end] = ACTIONS(6587),
    [anon_sym_object] = ACTIONS(8083),
    [anon_sym_inherit] = ACTIONS(6587),
    [anon_sym_method] = ACTIONS(6587),
    [anon_sym_as] = ACTIONS(6587),
    [anon_sym_initializer] = ACTIONS(6587),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8085),
    [anon_sym_new] = ACTIONS(8087),
    [anon_sym_LBRACE_LT] = ACTIONS(8089),
    [anon_sym_begin] = ACTIONS(8091),
    [sym_ocamlyacc_value] = ACTIONS(8093),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6587),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6585),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8095),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8097),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6585),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6585),
    [aux_sym_number_token1] = ACTIONS(8099),
    [anon_sym_SQUOTE] = ACTIONS(8101),
    [anon_sym_DQUOTE] = ACTIONS(8103),
    [sym_prefix_operator] = ACTIONS(8105),
    [sym__capitalized_identifier] = ACTIONS(8107),
    [aux_sym_tag_token1] = ACTIONS(8109),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2901] = {
    [sym_parameter] = STATE(8403),
    [sym__class_typed] = STATE(12129),
    [sym__parenthesized_abstract_type] = STATE(8403),
    [sym__simple_pattern] = STATE(8404),
    [sym_typed_pattern] = STATE(8362),
    [sym_polymorphic_variant_pattern] = STATE(8362),
    [sym_record_pattern] = STATE(8362),
    [sym_list_pattern] = STATE(8362),
    [sym_array_pattern] = STATE(8362),
    [sym_local_open_pattern] = STATE(8362),
    [sym_package_pattern] = STATE(8362),
    [sym_parenthesized_pattern] = STATE(8362),
    [sym_attribute] = STATE(2901),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8362),
    [sym_quoted_extension] = STATE(8362),
    [sym__constant] = STATE(8302),
    [sym__signed_constant] = STATE(8362),
    [sym_number] = STATE(8366),
    [sym_signed_number] = STATE(8302),
    [sym_character] = STATE(8366),
    [sym_string] = STATE(8366),
    [sym_quoted_string] = STATE(8366),
    [sym_boolean] = STATE(8366),
    [sym_unit] = STATE(8366),
    [sym__simple_value_pattern] = STATE(8362),
    [sym_parenthesized_operator] = STATE(8362),
    [sym_module_path] = STATE(19568),
    [sym_constructor_path] = STATE(8362),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(8362),
    [aux_sym_expression_item_repeat1] = STATE(11746),
    [aux_sym_let_binding_repeat1] = STATE(2937),
    [ts_builtin_sym_end] = ACTIONS(7903),
    [sym__identifier] = ACTIONS(8023),
    [anon_sym_SEMI_SEMI] = ACTIONS(7903),
    [anon_sym_let] = ACTIONS(7905),
    [anon_sym_and] = ACTIONS(7905),
    [anon_sym_EQ] = ACTIONS(8117),
    [anon_sym_TILDE] = ACTIONS(8031),
    [anon_sym_QMARK] = ACTIONS(8031),
    [anon_sym_LPAREN] = ACTIONS(8033),
    [anon_sym_external] = ACTIONS(7905),
    [anon_sym_type] = ACTIONS(7905),
    [anon_sym_LBRACK] = ACTIONS(8035),
    [anon_sym_true] = ACTIONS(8037),
    [anon_sym_false] = ACTIONS(8037),
    [anon_sym_COLON2] = ACTIONS(8039),
    [anon_sym_LBRACE] = ACTIONS(8041),
    [anon_sym_exception] = ACTIONS(7905),
    [anon_sym_module] = ACTIONS(7905),
    [anon_sym_open] = ACTIONS(7905),
    [anon_sym_include] = ACTIONS(7905),
    [anon_sym_class] = ACTIONS(7905),
    [anon_sym_POUND] = ACTIONS(8043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8045),
    [anon_sym_begin] = ACTIONS(8047),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7903),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8051),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7903),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7903),
    [aux_sym_number_token1] = ACTIONS(8053),
    [aux_sym_signed_number_token1] = ACTIONS(8055),
    [anon_sym_SQUOTE] = ACTIONS(8057),
    [anon_sym_DQUOTE] = ACTIONS(8059),
    [sym_let_operator] = ACTIONS(7903),
    [sym__capitalized_identifier] = ACTIONS(8061),
    [aux_sym_directive_token1] = ACTIONS(7905),
    [aux_sym_tag_token1] = ACTIONS(8063),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2902] = {
    [sym_parameter] = STATE(8403),
    [sym__class_typed] = STATE(12096),
    [sym__parenthesized_abstract_type] = STATE(8403),
    [sym__simple_pattern] = STATE(8404),
    [sym_typed_pattern] = STATE(8362),
    [sym_polymorphic_variant_pattern] = STATE(8362),
    [sym_record_pattern] = STATE(8362),
    [sym_list_pattern] = STATE(8362),
    [sym_array_pattern] = STATE(8362),
    [sym_local_open_pattern] = STATE(8362),
    [sym_package_pattern] = STATE(8362),
    [sym_parenthesized_pattern] = STATE(8362),
    [sym_attribute] = STATE(2902),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8362),
    [sym_quoted_extension] = STATE(8362),
    [sym__constant] = STATE(8302),
    [sym__signed_constant] = STATE(8362),
    [sym_number] = STATE(8366),
    [sym_signed_number] = STATE(8302),
    [sym_character] = STATE(8366),
    [sym_string] = STATE(8366),
    [sym_quoted_string] = STATE(8366),
    [sym_boolean] = STATE(8366),
    [sym_unit] = STATE(8366),
    [sym__simple_value_pattern] = STATE(8362),
    [sym_parenthesized_operator] = STATE(8362),
    [sym_module_path] = STATE(19568),
    [sym_constructor_path] = STATE(8362),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(8362),
    [aux_sym_expression_item_repeat1] = STATE(11706),
    [aux_sym_let_binding_repeat1] = STATE(2937),
    [ts_builtin_sym_end] = ACTIONS(8017),
    [sym__identifier] = ACTIONS(8023),
    [anon_sym_SEMI_SEMI] = ACTIONS(8017),
    [anon_sym_let] = ACTIONS(8019),
    [anon_sym_and] = ACTIONS(8019),
    [anon_sym_EQ] = ACTIONS(8119),
    [anon_sym_TILDE] = ACTIONS(8031),
    [anon_sym_QMARK] = ACTIONS(8031),
    [anon_sym_LPAREN] = ACTIONS(8033),
    [anon_sym_external] = ACTIONS(8019),
    [anon_sym_type] = ACTIONS(8019),
    [anon_sym_LBRACK] = ACTIONS(8035),
    [anon_sym_true] = ACTIONS(8037),
    [anon_sym_false] = ACTIONS(8037),
    [anon_sym_COLON2] = ACTIONS(8039),
    [anon_sym_LBRACE] = ACTIONS(8041),
    [anon_sym_exception] = ACTIONS(8019),
    [anon_sym_module] = ACTIONS(8019),
    [anon_sym_open] = ACTIONS(8019),
    [anon_sym_include] = ACTIONS(8019),
    [anon_sym_class] = ACTIONS(8019),
    [anon_sym_POUND] = ACTIONS(8043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8045),
    [anon_sym_begin] = ACTIONS(8047),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8017),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8051),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8017),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8017),
    [aux_sym_number_token1] = ACTIONS(8053),
    [aux_sym_signed_number_token1] = ACTIONS(8055),
    [anon_sym_SQUOTE] = ACTIONS(8057),
    [anon_sym_DQUOTE] = ACTIONS(8059),
    [sym_let_operator] = ACTIONS(8017),
    [sym__capitalized_identifier] = ACTIONS(8061),
    [aux_sym_directive_token1] = ACTIONS(8019),
    [aux_sym_tag_token1] = ACTIONS(8063),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2903] = {
    [sym_parameter] = STATE(8403),
    [sym__class_typed] = STATE(12298),
    [sym__parenthesized_abstract_type] = STATE(8403),
    [sym__simple_pattern] = STATE(8404),
    [sym_typed_pattern] = STATE(8362),
    [sym_polymorphic_variant_pattern] = STATE(8362),
    [sym_record_pattern] = STATE(8362),
    [sym_list_pattern] = STATE(8362),
    [sym_array_pattern] = STATE(8362),
    [sym_local_open_pattern] = STATE(8362),
    [sym_package_pattern] = STATE(8362),
    [sym_parenthesized_pattern] = STATE(8362),
    [sym_attribute] = STATE(2903),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8362),
    [sym_quoted_extension] = STATE(8362),
    [sym__constant] = STATE(8302),
    [sym__signed_constant] = STATE(8362),
    [sym_number] = STATE(8366),
    [sym_signed_number] = STATE(8302),
    [sym_character] = STATE(8366),
    [sym_string] = STATE(8366),
    [sym_quoted_string] = STATE(8366),
    [sym_boolean] = STATE(8366),
    [sym_unit] = STATE(8366),
    [sym__simple_value_pattern] = STATE(8362),
    [sym_parenthesized_operator] = STATE(8362),
    [sym_module_path] = STATE(19568),
    [sym_constructor_path] = STATE(8362),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(8362),
    [aux_sym_expression_item_repeat1] = STATE(11631),
    [aux_sym_let_binding_repeat1] = STATE(2908),
    [sym__identifier] = ACTIONS(8023),
    [anon_sym_SEMI_SEMI] = ACTIONS(8011),
    [anon_sym_let] = ACTIONS(8013),
    [anon_sym_and] = ACTIONS(8013),
    [anon_sym_EQ] = ACTIONS(8121),
    [anon_sym_TILDE] = ACTIONS(8031),
    [anon_sym_QMARK] = ACTIONS(8031),
    [anon_sym_LPAREN] = ACTIONS(8033),
    [anon_sym_external] = ACTIONS(8013),
    [anon_sym_type] = ACTIONS(8013),
    [anon_sym_LBRACK] = ACTIONS(8035),
    [anon_sym_RBRACK] = ACTIONS(8011),
    [anon_sym_true] = ACTIONS(8037),
    [anon_sym_false] = ACTIONS(8037),
    [anon_sym_COLON2] = ACTIONS(8039),
    [anon_sym_LBRACE] = ACTIONS(8041),
    [anon_sym_exception] = ACTIONS(8013),
    [anon_sym_module] = ACTIONS(8013),
    [anon_sym_open] = ACTIONS(8013),
    [anon_sym_include] = ACTIONS(8013),
    [anon_sym_class] = ACTIONS(8013),
    [anon_sym_POUND] = ACTIONS(8043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8045),
    [anon_sym_begin] = ACTIONS(8047),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8011),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8051),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8011),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8011),
    [aux_sym_number_token1] = ACTIONS(8053),
    [aux_sym_signed_number_token1] = ACTIONS(8055),
    [anon_sym_SQUOTE] = ACTIONS(8057),
    [anon_sym_DQUOTE] = ACTIONS(8059),
    [sym_let_operator] = ACTIONS(8011),
    [sym__capitalized_identifier] = ACTIONS(8061),
    [aux_sym_directive_token1] = ACTIONS(8013),
    [aux_sym_tag_token1] = ACTIONS(8063),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2904] = {
    [sym_parameter] = STATE(8403),
    [sym__class_typed] = STATE(12097),
    [sym__parenthesized_abstract_type] = STATE(8403),
    [sym__simple_pattern] = STATE(8404),
    [sym_typed_pattern] = STATE(8362),
    [sym_polymorphic_variant_pattern] = STATE(8362),
    [sym_record_pattern] = STATE(8362),
    [sym_list_pattern] = STATE(8362),
    [sym_array_pattern] = STATE(8362),
    [sym_local_open_pattern] = STATE(8362),
    [sym_package_pattern] = STATE(8362),
    [sym_parenthesized_pattern] = STATE(8362),
    [sym_attribute] = STATE(2904),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8362),
    [sym_quoted_extension] = STATE(8362),
    [sym__constant] = STATE(8302),
    [sym__signed_constant] = STATE(8362),
    [sym_number] = STATE(8366),
    [sym_signed_number] = STATE(8302),
    [sym_character] = STATE(8366),
    [sym_string] = STATE(8366),
    [sym_quoted_string] = STATE(8366),
    [sym_boolean] = STATE(8366),
    [sym_unit] = STATE(8366),
    [sym__simple_value_pattern] = STATE(8362),
    [sym_parenthesized_operator] = STATE(8362),
    [sym_module_path] = STATE(19568),
    [sym_constructor_path] = STATE(8362),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(8362),
    [aux_sym_expression_item_repeat1] = STATE(11708),
    [aux_sym_let_binding_repeat1] = STATE(2901),
    [ts_builtin_sym_end] = ACTIONS(8123),
    [sym__identifier] = ACTIONS(8023),
    [anon_sym_SEMI_SEMI] = ACTIONS(8123),
    [anon_sym_let] = ACTIONS(8125),
    [anon_sym_and] = ACTIONS(8125),
    [anon_sym_EQ] = ACTIONS(8127),
    [anon_sym_TILDE] = ACTIONS(8031),
    [anon_sym_QMARK] = ACTIONS(8031),
    [anon_sym_LPAREN] = ACTIONS(8033),
    [anon_sym_external] = ACTIONS(8125),
    [anon_sym_type] = ACTIONS(8125),
    [anon_sym_LBRACK] = ACTIONS(8035),
    [anon_sym_true] = ACTIONS(8037),
    [anon_sym_false] = ACTIONS(8037),
    [anon_sym_COLON2] = ACTIONS(8039),
    [anon_sym_LBRACE] = ACTIONS(8041),
    [anon_sym_exception] = ACTIONS(8125),
    [anon_sym_module] = ACTIONS(8125),
    [anon_sym_open] = ACTIONS(8125),
    [anon_sym_include] = ACTIONS(8125),
    [anon_sym_class] = ACTIONS(8125),
    [anon_sym_POUND] = ACTIONS(8043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8045),
    [anon_sym_begin] = ACTIONS(8047),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8123),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8051),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8123),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8123),
    [aux_sym_number_token1] = ACTIONS(8053),
    [aux_sym_signed_number_token1] = ACTIONS(8055),
    [anon_sym_SQUOTE] = ACTIONS(8057),
    [anon_sym_DQUOTE] = ACTIONS(8059),
    [sym_let_operator] = ACTIONS(8123),
    [sym__capitalized_identifier] = ACTIONS(8061),
    [aux_sym_directive_token1] = ACTIONS(8125),
    [aux_sym_tag_token1] = ACTIONS(8063),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2905] = {
    [sym_parameter] = STATE(8515),
    [sym__class_typed] = STATE(12188),
    [sym__parenthesized_abstract_type] = STATE(8515),
    [sym__simple_pattern] = STATE(8519),
    [sym_typed_pattern] = STATE(8494),
    [sym_polymorphic_variant_pattern] = STATE(8494),
    [sym_record_pattern] = STATE(8494),
    [sym_list_pattern] = STATE(8494),
    [sym_array_pattern] = STATE(8494),
    [sym_local_open_pattern] = STATE(8494),
    [sym_package_pattern] = STATE(8494),
    [sym_parenthesized_pattern] = STATE(8494),
    [sym_attribute] = STATE(2905),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8494),
    [sym_quoted_extension] = STATE(8494),
    [sym__constant] = STATE(8591),
    [sym__signed_constant] = STATE(8494),
    [sym_number] = STATE(8487),
    [sym_signed_number] = STATE(8591),
    [sym_character] = STATE(8487),
    [sym_string] = STATE(8487),
    [sym_quoted_string] = STATE(8487),
    [sym_boolean] = STATE(8487),
    [sym_unit] = STATE(8487),
    [sym__simple_value_pattern] = STATE(8494),
    [sym_parenthesized_operator] = STATE(8494),
    [sym_module_path] = STATE(20781),
    [sym_constructor_path] = STATE(8494),
    [sym__constructor_name] = STATE(8546),
    [sym_tag] = STATE(8494),
    [aux_sym_expression_item_repeat1] = STATE(11708),
    [aux_sym_let_binding_repeat1] = STATE(2891),
    [sym__identifier] = ACTIONS(7901),
    [anon_sym_SEMI_SEMI] = ACTIONS(8123),
    [anon_sym_let] = ACTIONS(8125),
    [anon_sym_and] = ACTIONS(8125),
    [anon_sym_EQ] = ACTIONS(8129),
    [anon_sym_TILDE] = ACTIONS(7909),
    [anon_sym_QMARK] = ACTIONS(7909),
    [anon_sym_LPAREN] = ACTIONS(7911),
    [anon_sym_external] = ACTIONS(8125),
    [anon_sym_type] = ACTIONS(8125),
    [anon_sym_LBRACK] = ACTIONS(7913),
    [anon_sym_true] = ACTIONS(7915),
    [anon_sym_false] = ACTIONS(7915),
    [anon_sym_COLON2] = ACTIONS(7917),
    [anon_sym_LBRACE] = ACTIONS(7919),
    [anon_sym_exception] = ACTIONS(8125),
    [anon_sym_module] = ACTIONS(8125),
    [anon_sym_open] = ACTIONS(8125),
    [anon_sym_include] = ACTIONS(8125),
    [anon_sym_class] = ACTIONS(8125),
    [anon_sym_end] = ACTIONS(8125),
    [anon_sym_POUND] = ACTIONS(7921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7923),
    [anon_sym_begin] = ACTIONS(7925),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8123),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7931),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8123),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8123),
    [aux_sym_number_token1] = ACTIONS(7933),
    [aux_sym_signed_number_token1] = ACTIONS(7935),
    [anon_sym_SQUOTE] = ACTIONS(7937),
    [anon_sym_DQUOTE] = ACTIONS(7939),
    [sym_let_operator] = ACTIONS(8123),
    [sym__capitalized_identifier] = ACTIONS(7941),
    [aux_sym_directive_token1] = ACTIONS(8125),
    [aux_sym_tag_token1] = ACTIONS(7943),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2906] = {
    [sym_parameter] = STATE(8515),
    [sym__class_typed] = STATE(12183),
    [sym__parenthesized_abstract_type] = STATE(8515),
    [sym__simple_pattern] = STATE(8519),
    [sym_typed_pattern] = STATE(8494),
    [sym_polymorphic_variant_pattern] = STATE(8494),
    [sym_record_pattern] = STATE(8494),
    [sym_list_pattern] = STATE(8494),
    [sym_array_pattern] = STATE(8494),
    [sym_local_open_pattern] = STATE(8494),
    [sym_package_pattern] = STATE(8494),
    [sym_parenthesized_pattern] = STATE(8494),
    [sym_attribute] = STATE(2906),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8494),
    [sym_quoted_extension] = STATE(8494),
    [sym__constant] = STATE(8591),
    [sym__signed_constant] = STATE(8494),
    [sym_number] = STATE(8487),
    [sym_signed_number] = STATE(8591),
    [sym_character] = STATE(8487),
    [sym_string] = STATE(8487),
    [sym_quoted_string] = STATE(8487),
    [sym_boolean] = STATE(8487),
    [sym_unit] = STATE(8487),
    [sym__simple_value_pattern] = STATE(8494),
    [sym_parenthesized_operator] = STATE(8494),
    [sym_module_path] = STATE(20781),
    [sym_constructor_path] = STATE(8494),
    [sym__constructor_name] = STATE(8546),
    [sym_tag] = STATE(8494),
    [aux_sym_expression_item_repeat1] = STATE(11558),
    [aux_sym_let_binding_repeat1] = STATE(2947),
    [sym__identifier] = ACTIONS(7901),
    [anon_sym_SEMI_SEMI] = ACTIONS(8111),
    [anon_sym_let] = ACTIONS(8113),
    [anon_sym_and] = ACTIONS(8113),
    [anon_sym_EQ] = ACTIONS(8131),
    [anon_sym_TILDE] = ACTIONS(7909),
    [anon_sym_QMARK] = ACTIONS(7909),
    [anon_sym_LPAREN] = ACTIONS(7911),
    [anon_sym_external] = ACTIONS(8113),
    [anon_sym_type] = ACTIONS(8113),
    [anon_sym_LBRACK] = ACTIONS(7913),
    [anon_sym_true] = ACTIONS(7915),
    [anon_sym_false] = ACTIONS(7915),
    [anon_sym_COLON2] = ACTIONS(7917),
    [anon_sym_LBRACE] = ACTIONS(7919),
    [anon_sym_exception] = ACTIONS(8113),
    [anon_sym_module] = ACTIONS(8113),
    [anon_sym_open] = ACTIONS(8113),
    [anon_sym_include] = ACTIONS(8113),
    [anon_sym_class] = ACTIONS(8113),
    [anon_sym_end] = ACTIONS(8113),
    [anon_sym_POUND] = ACTIONS(7921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7923),
    [anon_sym_begin] = ACTIONS(7925),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8111),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7931),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8111),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8111),
    [aux_sym_number_token1] = ACTIONS(7933),
    [aux_sym_signed_number_token1] = ACTIONS(7935),
    [anon_sym_SQUOTE] = ACTIONS(7937),
    [anon_sym_DQUOTE] = ACTIONS(7939),
    [sym_let_operator] = ACTIONS(8111),
    [sym__capitalized_identifier] = ACTIONS(7941),
    [aux_sym_directive_token1] = ACTIONS(8113),
    [aux_sym_tag_token1] = ACTIONS(7943),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2907] = {
    [sym_parameter] = STATE(8403),
    [sym__class_typed] = STATE(12284),
    [sym__parenthesized_abstract_type] = STATE(8403),
    [sym__simple_pattern] = STATE(8404),
    [sym_typed_pattern] = STATE(8362),
    [sym_polymorphic_variant_pattern] = STATE(8362),
    [sym_record_pattern] = STATE(8362),
    [sym_list_pattern] = STATE(8362),
    [sym_array_pattern] = STATE(8362),
    [sym_local_open_pattern] = STATE(8362),
    [sym_package_pattern] = STATE(8362),
    [sym_parenthesized_pattern] = STATE(8362),
    [sym_attribute] = STATE(2907),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8362),
    [sym_quoted_extension] = STATE(8362),
    [sym__constant] = STATE(8302),
    [sym__signed_constant] = STATE(8362),
    [sym_number] = STATE(8366),
    [sym_signed_number] = STATE(8302),
    [sym_character] = STATE(8366),
    [sym_string] = STATE(8366),
    [sym_quoted_string] = STATE(8366),
    [sym_boolean] = STATE(8366),
    [sym_unit] = STATE(8366),
    [sym__simple_value_pattern] = STATE(8362),
    [sym_parenthesized_operator] = STATE(8362),
    [sym_module_path] = STATE(19568),
    [sym_constructor_path] = STATE(8362),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(8362),
    [aux_sym_expression_item_repeat1] = STATE(11678),
    [aux_sym_let_binding_repeat1] = STATE(2937),
    [ts_builtin_sym_end] = ACTIONS(8133),
    [sym__identifier] = ACTIONS(8023),
    [anon_sym_SEMI_SEMI] = ACTIONS(8133),
    [anon_sym_let] = ACTIONS(8135),
    [anon_sym_and] = ACTIONS(8135),
    [anon_sym_EQ] = ACTIONS(8137),
    [anon_sym_TILDE] = ACTIONS(8031),
    [anon_sym_QMARK] = ACTIONS(8031),
    [anon_sym_LPAREN] = ACTIONS(8033),
    [anon_sym_external] = ACTIONS(8135),
    [anon_sym_type] = ACTIONS(8135),
    [anon_sym_LBRACK] = ACTIONS(8035),
    [anon_sym_true] = ACTIONS(8037),
    [anon_sym_false] = ACTIONS(8037),
    [anon_sym_COLON2] = ACTIONS(8039),
    [anon_sym_LBRACE] = ACTIONS(8041),
    [anon_sym_exception] = ACTIONS(8135),
    [anon_sym_module] = ACTIONS(8135),
    [anon_sym_open] = ACTIONS(8135),
    [anon_sym_include] = ACTIONS(8135),
    [anon_sym_class] = ACTIONS(8135),
    [anon_sym_POUND] = ACTIONS(8043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8045),
    [anon_sym_begin] = ACTIONS(8047),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8133),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8051),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8133),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8133),
    [aux_sym_number_token1] = ACTIONS(8053),
    [aux_sym_signed_number_token1] = ACTIONS(8055),
    [anon_sym_SQUOTE] = ACTIONS(8057),
    [anon_sym_DQUOTE] = ACTIONS(8059),
    [sym_let_operator] = ACTIONS(8133),
    [sym__capitalized_identifier] = ACTIONS(8061),
    [aux_sym_directive_token1] = ACTIONS(8135),
    [aux_sym_tag_token1] = ACTIONS(8063),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2908] = {
    [sym_parameter] = STATE(8403),
    [sym__class_typed] = STATE(12091),
    [sym__parenthesized_abstract_type] = STATE(8403),
    [sym__simple_pattern] = STATE(8404),
    [sym_typed_pattern] = STATE(8362),
    [sym_polymorphic_variant_pattern] = STATE(8362),
    [sym_record_pattern] = STATE(8362),
    [sym_list_pattern] = STATE(8362),
    [sym_array_pattern] = STATE(8362),
    [sym_local_open_pattern] = STATE(8362),
    [sym_package_pattern] = STATE(8362),
    [sym_parenthesized_pattern] = STATE(8362),
    [sym_attribute] = STATE(2908),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8362),
    [sym_quoted_extension] = STATE(8362),
    [sym__constant] = STATE(8302),
    [sym__signed_constant] = STATE(8362),
    [sym_number] = STATE(8366),
    [sym_signed_number] = STATE(8302),
    [sym_character] = STATE(8366),
    [sym_string] = STATE(8366),
    [sym_quoted_string] = STATE(8366),
    [sym_boolean] = STATE(8366),
    [sym_unit] = STATE(8366),
    [sym__simple_value_pattern] = STATE(8362),
    [sym_parenthesized_operator] = STATE(8362),
    [sym_module_path] = STATE(19568),
    [sym_constructor_path] = STATE(8362),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(8362),
    [aux_sym_expression_item_repeat1] = STATE(11678),
    [aux_sym_let_binding_repeat1] = STATE(2937),
    [sym__identifier] = ACTIONS(8023),
    [anon_sym_SEMI_SEMI] = ACTIONS(8133),
    [anon_sym_let] = ACTIONS(8135),
    [anon_sym_and] = ACTIONS(8135),
    [anon_sym_EQ] = ACTIONS(8139),
    [anon_sym_TILDE] = ACTIONS(8031),
    [anon_sym_QMARK] = ACTIONS(8031),
    [anon_sym_LPAREN] = ACTIONS(8033),
    [anon_sym_external] = ACTIONS(8135),
    [anon_sym_type] = ACTIONS(8135),
    [anon_sym_LBRACK] = ACTIONS(8035),
    [anon_sym_RBRACK] = ACTIONS(8133),
    [anon_sym_true] = ACTIONS(8037),
    [anon_sym_false] = ACTIONS(8037),
    [anon_sym_COLON2] = ACTIONS(8039),
    [anon_sym_LBRACE] = ACTIONS(8041),
    [anon_sym_exception] = ACTIONS(8135),
    [anon_sym_module] = ACTIONS(8135),
    [anon_sym_open] = ACTIONS(8135),
    [anon_sym_include] = ACTIONS(8135),
    [anon_sym_class] = ACTIONS(8135),
    [anon_sym_POUND] = ACTIONS(8043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8045),
    [anon_sym_begin] = ACTIONS(8047),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8133),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8051),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8133),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8133),
    [aux_sym_number_token1] = ACTIONS(8053),
    [aux_sym_signed_number_token1] = ACTIONS(8055),
    [anon_sym_SQUOTE] = ACTIONS(8057),
    [anon_sym_DQUOTE] = ACTIONS(8059),
    [sym_let_operator] = ACTIONS(8133),
    [sym__capitalized_identifier] = ACTIONS(8061),
    [aux_sym_directive_token1] = ACTIONS(8135),
    [aux_sym_tag_token1] = ACTIONS(8063),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2909] = {
    [sym_parameter] = STATE(8403),
    [sym__class_typed] = STATE(12302),
    [sym__parenthesized_abstract_type] = STATE(8403),
    [sym__simple_pattern] = STATE(8404),
    [sym_typed_pattern] = STATE(8362),
    [sym_polymorphic_variant_pattern] = STATE(8362),
    [sym_record_pattern] = STATE(8362),
    [sym_list_pattern] = STATE(8362),
    [sym_array_pattern] = STATE(8362),
    [sym_local_open_pattern] = STATE(8362),
    [sym_package_pattern] = STATE(8362),
    [sym_parenthesized_pattern] = STATE(8362),
    [sym_attribute] = STATE(2909),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8362),
    [sym_quoted_extension] = STATE(8362),
    [sym__constant] = STATE(8302),
    [sym__signed_constant] = STATE(8362),
    [sym_number] = STATE(8366),
    [sym_signed_number] = STATE(8302),
    [sym_character] = STATE(8366),
    [sym_string] = STATE(8366),
    [sym_quoted_string] = STATE(8366),
    [sym_boolean] = STATE(8366),
    [sym_unit] = STATE(8366),
    [sym__simple_value_pattern] = STATE(8362),
    [sym_parenthesized_operator] = STATE(8362),
    [sym_module_path] = STATE(19568),
    [sym_constructor_path] = STATE(8362),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(8362),
    [aux_sym_expression_item_repeat1] = STATE(11679),
    [aux_sym_let_binding_repeat1] = STATE(2912),
    [sym__identifier] = ACTIONS(8023),
    [anon_sym_SEMI_SEMI] = ACTIONS(8005),
    [anon_sym_let] = ACTIONS(8007),
    [anon_sym_and] = ACTIONS(8007),
    [anon_sym_EQ] = ACTIONS(8141),
    [anon_sym_TILDE] = ACTIONS(8031),
    [anon_sym_QMARK] = ACTIONS(8031),
    [anon_sym_LPAREN] = ACTIONS(8033),
    [anon_sym_external] = ACTIONS(8007),
    [anon_sym_type] = ACTIONS(8007),
    [anon_sym_LBRACK] = ACTIONS(8035),
    [anon_sym_RBRACK] = ACTIONS(8005),
    [anon_sym_true] = ACTIONS(8037),
    [anon_sym_false] = ACTIONS(8037),
    [anon_sym_COLON2] = ACTIONS(8039),
    [anon_sym_LBRACE] = ACTIONS(8041),
    [anon_sym_exception] = ACTIONS(8007),
    [anon_sym_module] = ACTIONS(8007),
    [anon_sym_open] = ACTIONS(8007),
    [anon_sym_include] = ACTIONS(8007),
    [anon_sym_class] = ACTIONS(8007),
    [anon_sym_POUND] = ACTIONS(8043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8045),
    [anon_sym_begin] = ACTIONS(8047),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8005),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8051),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8005),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8005),
    [aux_sym_number_token1] = ACTIONS(8053),
    [aux_sym_signed_number_token1] = ACTIONS(8055),
    [anon_sym_SQUOTE] = ACTIONS(8057),
    [anon_sym_DQUOTE] = ACTIONS(8059),
    [sym_let_operator] = ACTIONS(8005),
    [sym__capitalized_identifier] = ACTIONS(8061),
    [aux_sym_directive_token1] = ACTIONS(8007),
    [aux_sym_tag_token1] = ACTIONS(8063),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2910] = {
    [sym_parameter] = STATE(8403),
    [sym__class_typed] = STATE(12286),
    [sym__parenthesized_abstract_type] = STATE(8403),
    [sym__simple_pattern] = STATE(8404),
    [sym_typed_pattern] = STATE(8362),
    [sym_polymorphic_variant_pattern] = STATE(8362),
    [sym_record_pattern] = STATE(8362),
    [sym_list_pattern] = STATE(8362),
    [sym_array_pattern] = STATE(8362),
    [sym_local_open_pattern] = STATE(8362),
    [sym_package_pattern] = STATE(8362),
    [sym_parenthesized_pattern] = STATE(8362),
    [sym_attribute] = STATE(2910),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8362),
    [sym_quoted_extension] = STATE(8362),
    [sym__constant] = STATE(8302),
    [sym__signed_constant] = STATE(8362),
    [sym_number] = STATE(8366),
    [sym_signed_number] = STATE(8302),
    [sym_character] = STATE(8366),
    [sym_string] = STATE(8366),
    [sym_quoted_string] = STATE(8366),
    [sym_boolean] = STATE(8366),
    [sym_unit] = STATE(8366),
    [sym__simple_value_pattern] = STATE(8362),
    [sym_parenthesized_operator] = STATE(8362),
    [sym_module_path] = STATE(19568),
    [sym_constructor_path] = STATE(8362),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(8362),
    [aux_sym_expression_item_repeat1] = STATE(11679),
    [aux_sym_let_binding_repeat1] = STATE(2902),
    [ts_builtin_sym_end] = ACTIONS(8005),
    [sym__identifier] = ACTIONS(8023),
    [anon_sym_SEMI_SEMI] = ACTIONS(8005),
    [anon_sym_let] = ACTIONS(8007),
    [anon_sym_and] = ACTIONS(8007),
    [anon_sym_EQ] = ACTIONS(8143),
    [anon_sym_TILDE] = ACTIONS(8031),
    [anon_sym_QMARK] = ACTIONS(8031),
    [anon_sym_LPAREN] = ACTIONS(8033),
    [anon_sym_external] = ACTIONS(8007),
    [anon_sym_type] = ACTIONS(8007),
    [anon_sym_LBRACK] = ACTIONS(8035),
    [anon_sym_true] = ACTIONS(8037),
    [anon_sym_false] = ACTIONS(8037),
    [anon_sym_COLON2] = ACTIONS(8039),
    [anon_sym_LBRACE] = ACTIONS(8041),
    [anon_sym_exception] = ACTIONS(8007),
    [anon_sym_module] = ACTIONS(8007),
    [anon_sym_open] = ACTIONS(8007),
    [anon_sym_include] = ACTIONS(8007),
    [anon_sym_class] = ACTIONS(8007),
    [anon_sym_POUND] = ACTIONS(8043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8045),
    [anon_sym_begin] = ACTIONS(8047),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8005),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8051),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8005),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8005),
    [aux_sym_number_token1] = ACTIONS(8053),
    [aux_sym_signed_number_token1] = ACTIONS(8055),
    [anon_sym_SQUOTE] = ACTIONS(8057),
    [anon_sym_DQUOTE] = ACTIONS(8059),
    [sym_let_operator] = ACTIONS(8005),
    [sym__capitalized_identifier] = ACTIONS(8061),
    [aux_sym_directive_token1] = ACTIONS(8007),
    [aux_sym_tag_token1] = ACTIONS(8063),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2911] = {
    [sym_parameter] = STATE(8403),
    [sym__class_typed] = STATE(12309),
    [sym__parenthesized_abstract_type] = STATE(8403),
    [sym__simple_pattern] = STATE(8404),
    [sym_typed_pattern] = STATE(8362),
    [sym_polymorphic_variant_pattern] = STATE(8362),
    [sym_record_pattern] = STATE(8362),
    [sym_list_pattern] = STATE(8362),
    [sym_array_pattern] = STATE(8362),
    [sym_local_open_pattern] = STATE(8362),
    [sym_package_pattern] = STATE(8362),
    [sym_parenthesized_pattern] = STATE(8362),
    [sym_attribute] = STATE(2911),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8362),
    [sym_quoted_extension] = STATE(8362),
    [sym__constant] = STATE(8302),
    [sym__signed_constant] = STATE(8362),
    [sym_number] = STATE(8366),
    [sym_signed_number] = STATE(8302),
    [sym_character] = STATE(8366),
    [sym_string] = STATE(8366),
    [sym_quoted_string] = STATE(8366),
    [sym_boolean] = STATE(8366),
    [sym_unit] = STATE(8366),
    [sym__simple_value_pattern] = STATE(8362),
    [sym_parenthesized_operator] = STATE(8362),
    [sym_module_path] = STATE(19568),
    [sym_constructor_path] = STATE(8362),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(8362),
    [aux_sym_expression_item_repeat1] = STATE(11871),
    [aux_sym_let_binding_repeat1] = STATE(2920),
    [ts_builtin_sym_end] = ACTIONS(8145),
    [sym__identifier] = ACTIONS(8023),
    [anon_sym_SEMI_SEMI] = ACTIONS(8145),
    [anon_sym_let] = ACTIONS(8147),
    [anon_sym_and] = ACTIONS(8147),
    [anon_sym_EQ] = ACTIONS(8149),
    [anon_sym_TILDE] = ACTIONS(8031),
    [anon_sym_QMARK] = ACTIONS(8031),
    [anon_sym_LPAREN] = ACTIONS(8033),
    [anon_sym_external] = ACTIONS(8147),
    [anon_sym_type] = ACTIONS(8147),
    [anon_sym_LBRACK] = ACTIONS(8035),
    [anon_sym_true] = ACTIONS(8037),
    [anon_sym_false] = ACTIONS(8037),
    [anon_sym_COLON2] = ACTIONS(8039),
    [anon_sym_LBRACE] = ACTIONS(8041),
    [anon_sym_exception] = ACTIONS(8147),
    [anon_sym_module] = ACTIONS(8147),
    [anon_sym_open] = ACTIONS(8147),
    [anon_sym_include] = ACTIONS(8147),
    [anon_sym_class] = ACTIONS(8147),
    [anon_sym_POUND] = ACTIONS(8043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8045),
    [anon_sym_begin] = ACTIONS(8047),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8145),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8051),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8145),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8145),
    [aux_sym_number_token1] = ACTIONS(8053),
    [aux_sym_signed_number_token1] = ACTIONS(8055),
    [anon_sym_SQUOTE] = ACTIONS(8057),
    [anon_sym_DQUOTE] = ACTIONS(8059),
    [sym_let_operator] = ACTIONS(8145),
    [sym__capitalized_identifier] = ACTIONS(8061),
    [aux_sym_directive_token1] = ACTIONS(8147),
    [aux_sym_tag_token1] = ACTIONS(8063),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2912] = {
    [sym_parameter] = STATE(8403),
    [sym__class_typed] = STATE(12304),
    [sym__parenthesized_abstract_type] = STATE(8403),
    [sym__simple_pattern] = STATE(8404),
    [sym_typed_pattern] = STATE(8362),
    [sym_polymorphic_variant_pattern] = STATE(8362),
    [sym_record_pattern] = STATE(8362),
    [sym_list_pattern] = STATE(8362),
    [sym_array_pattern] = STATE(8362),
    [sym_local_open_pattern] = STATE(8362),
    [sym_package_pattern] = STATE(8362),
    [sym_parenthesized_pattern] = STATE(8362),
    [sym_attribute] = STATE(2912),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8362),
    [sym_quoted_extension] = STATE(8362),
    [sym__constant] = STATE(8302),
    [sym__signed_constant] = STATE(8362),
    [sym_number] = STATE(8366),
    [sym_signed_number] = STATE(8302),
    [sym_character] = STATE(8366),
    [sym_string] = STATE(8366),
    [sym_quoted_string] = STATE(8366),
    [sym_boolean] = STATE(8366),
    [sym_unit] = STATE(8366),
    [sym__simple_value_pattern] = STATE(8362),
    [sym_parenthesized_operator] = STATE(8362),
    [sym_module_path] = STATE(19568),
    [sym_constructor_path] = STATE(8362),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(8362),
    [aux_sym_expression_item_repeat1] = STATE(11706),
    [aux_sym_let_binding_repeat1] = STATE(2937),
    [sym__identifier] = ACTIONS(8023),
    [anon_sym_SEMI_SEMI] = ACTIONS(8017),
    [anon_sym_let] = ACTIONS(8019),
    [anon_sym_and] = ACTIONS(8019),
    [anon_sym_EQ] = ACTIONS(8151),
    [anon_sym_TILDE] = ACTIONS(8031),
    [anon_sym_QMARK] = ACTIONS(8031),
    [anon_sym_LPAREN] = ACTIONS(8033),
    [anon_sym_external] = ACTIONS(8019),
    [anon_sym_type] = ACTIONS(8019),
    [anon_sym_LBRACK] = ACTIONS(8035),
    [anon_sym_RBRACK] = ACTIONS(8017),
    [anon_sym_true] = ACTIONS(8037),
    [anon_sym_false] = ACTIONS(8037),
    [anon_sym_COLON2] = ACTIONS(8039),
    [anon_sym_LBRACE] = ACTIONS(8041),
    [anon_sym_exception] = ACTIONS(8019),
    [anon_sym_module] = ACTIONS(8019),
    [anon_sym_open] = ACTIONS(8019),
    [anon_sym_include] = ACTIONS(8019),
    [anon_sym_class] = ACTIONS(8019),
    [anon_sym_POUND] = ACTIONS(8043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8045),
    [anon_sym_begin] = ACTIONS(8047),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8017),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8051),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8017),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8017),
    [aux_sym_number_token1] = ACTIONS(8053),
    [aux_sym_signed_number_token1] = ACTIONS(8055),
    [anon_sym_SQUOTE] = ACTIONS(8057),
    [anon_sym_DQUOTE] = ACTIONS(8059),
    [sym_let_operator] = ACTIONS(8017),
    [sym__capitalized_identifier] = ACTIONS(8061),
    [aux_sym_directive_token1] = ACTIONS(8019),
    [aux_sym_tag_token1] = ACTIONS(8063),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2913] = {
    [sym_parameter] = STATE(8403),
    [sym__class_typed] = STATE(12130),
    [sym__parenthesized_abstract_type] = STATE(8403),
    [sym__simple_pattern] = STATE(8404),
    [sym_typed_pattern] = STATE(8362),
    [sym_polymorphic_variant_pattern] = STATE(8362),
    [sym_record_pattern] = STATE(8362),
    [sym_list_pattern] = STATE(8362),
    [sym_array_pattern] = STATE(8362),
    [sym_local_open_pattern] = STATE(8362),
    [sym_package_pattern] = STATE(8362),
    [sym_parenthesized_pattern] = STATE(8362),
    [sym_attribute] = STATE(2913),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8362),
    [sym_quoted_extension] = STATE(8362),
    [sym__constant] = STATE(8302),
    [sym__signed_constant] = STATE(8362),
    [sym_number] = STATE(8366),
    [sym_signed_number] = STATE(8302),
    [sym_character] = STATE(8366),
    [sym_string] = STATE(8366),
    [sym_quoted_string] = STATE(8366),
    [sym_boolean] = STATE(8366),
    [sym_unit] = STATE(8366),
    [sym__simple_value_pattern] = STATE(8362),
    [sym_parenthesized_operator] = STATE(8362),
    [sym_module_path] = STATE(19568),
    [sym_constructor_path] = STATE(8362),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(8362),
    [aux_sym_expression_item_repeat1] = STATE(11631),
    [aux_sym_let_binding_repeat1] = STATE(2907),
    [ts_builtin_sym_end] = ACTIONS(8011),
    [sym__identifier] = ACTIONS(8023),
    [anon_sym_SEMI_SEMI] = ACTIONS(8011),
    [anon_sym_let] = ACTIONS(8013),
    [anon_sym_and] = ACTIONS(8013),
    [anon_sym_EQ] = ACTIONS(8153),
    [anon_sym_TILDE] = ACTIONS(8031),
    [anon_sym_QMARK] = ACTIONS(8031),
    [anon_sym_LPAREN] = ACTIONS(8033),
    [anon_sym_external] = ACTIONS(8013),
    [anon_sym_type] = ACTIONS(8013),
    [anon_sym_LBRACK] = ACTIONS(8035),
    [anon_sym_true] = ACTIONS(8037),
    [anon_sym_false] = ACTIONS(8037),
    [anon_sym_COLON2] = ACTIONS(8039),
    [anon_sym_LBRACE] = ACTIONS(8041),
    [anon_sym_exception] = ACTIONS(8013),
    [anon_sym_module] = ACTIONS(8013),
    [anon_sym_open] = ACTIONS(8013),
    [anon_sym_include] = ACTIONS(8013),
    [anon_sym_class] = ACTIONS(8013),
    [anon_sym_POUND] = ACTIONS(8043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8045),
    [anon_sym_begin] = ACTIONS(8047),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8011),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8051),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8011),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8011),
    [aux_sym_number_token1] = ACTIONS(8053),
    [aux_sym_signed_number_token1] = ACTIONS(8055),
    [anon_sym_SQUOTE] = ACTIONS(8057),
    [anon_sym_DQUOTE] = ACTIONS(8059),
    [sym_let_operator] = ACTIONS(8011),
    [sym__capitalized_identifier] = ACTIONS(8061),
    [aux_sym_directive_token1] = ACTIONS(8013),
    [aux_sym_tag_token1] = ACTIONS(8063),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2914] = {
    [sym_parameter] = STATE(8515),
    [sym__class_typed] = STATE(12178),
    [sym__parenthesized_abstract_type] = STATE(8515),
    [sym__simple_pattern] = STATE(8519),
    [sym_typed_pattern] = STATE(8494),
    [sym_polymorphic_variant_pattern] = STATE(8494),
    [sym_record_pattern] = STATE(8494),
    [sym_list_pattern] = STATE(8494),
    [sym_array_pattern] = STATE(8494),
    [sym_local_open_pattern] = STATE(8494),
    [sym_package_pattern] = STATE(8494),
    [sym_parenthesized_pattern] = STATE(8494),
    [sym_attribute] = STATE(2914),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8494),
    [sym_quoted_extension] = STATE(8494),
    [sym__constant] = STATE(8591),
    [sym__signed_constant] = STATE(8494),
    [sym_number] = STATE(8487),
    [sym_signed_number] = STATE(8591),
    [sym_character] = STATE(8487),
    [sym_string] = STATE(8487),
    [sym_quoted_string] = STATE(8487),
    [sym_boolean] = STATE(8487),
    [sym_unit] = STATE(8487),
    [sym__simple_value_pattern] = STATE(8494),
    [sym_parenthesized_operator] = STATE(8494),
    [sym_module_path] = STATE(20781),
    [sym_constructor_path] = STATE(8494),
    [sym__constructor_name] = STATE(8546),
    [sym_tag] = STATE(8494),
    [aux_sym_expression_item_repeat1] = STATE(11871),
    [aux_sym_let_binding_repeat1] = STATE(2917),
    [sym__identifier] = ACTIONS(7901),
    [anon_sym_SEMI_SEMI] = ACTIONS(8145),
    [anon_sym_let] = ACTIONS(8147),
    [anon_sym_and] = ACTIONS(8147),
    [anon_sym_EQ] = ACTIONS(8155),
    [anon_sym_TILDE] = ACTIONS(7909),
    [anon_sym_QMARK] = ACTIONS(7909),
    [anon_sym_LPAREN] = ACTIONS(7911),
    [anon_sym_external] = ACTIONS(8147),
    [anon_sym_type] = ACTIONS(8147),
    [anon_sym_LBRACK] = ACTIONS(7913),
    [anon_sym_true] = ACTIONS(7915),
    [anon_sym_false] = ACTIONS(7915),
    [anon_sym_COLON2] = ACTIONS(7917),
    [anon_sym_LBRACE] = ACTIONS(7919),
    [anon_sym_exception] = ACTIONS(8147),
    [anon_sym_module] = ACTIONS(8147),
    [anon_sym_open] = ACTIONS(8147),
    [anon_sym_include] = ACTIONS(8147),
    [anon_sym_class] = ACTIONS(8147),
    [anon_sym_end] = ACTIONS(8147),
    [anon_sym_POUND] = ACTIONS(7921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7923),
    [anon_sym_begin] = ACTIONS(7925),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8145),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7931),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8145),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8145),
    [aux_sym_number_token1] = ACTIONS(7933),
    [aux_sym_signed_number_token1] = ACTIONS(7935),
    [anon_sym_SQUOTE] = ACTIONS(7937),
    [anon_sym_DQUOTE] = ACTIONS(7939),
    [sym_let_operator] = ACTIONS(8145),
    [sym__capitalized_identifier] = ACTIONS(7941),
    [aux_sym_directive_token1] = ACTIONS(8147),
    [aux_sym_tag_token1] = ACTIONS(7943),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2915] = {
    [sym_parameter] = STATE(8403),
    [sym__class_typed] = STATE(12305),
    [sym__parenthesized_abstract_type] = STATE(8403),
    [sym__simple_pattern] = STATE(8404),
    [sym_typed_pattern] = STATE(8362),
    [sym_polymorphic_variant_pattern] = STATE(8362),
    [sym_record_pattern] = STATE(8362),
    [sym_list_pattern] = STATE(8362),
    [sym_array_pattern] = STATE(8362),
    [sym_local_open_pattern] = STATE(8362),
    [sym_package_pattern] = STATE(8362),
    [sym_parenthesized_pattern] = STATE(8362),
    [sym_attribute] = STATE(2915),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8362),
    [sym_quoted_extension] = STATE(8362),
    [sym__constant] = STATE(8302),
    [sym__signed_constant] = STATE(8362),
    [sym_number] = STATE(8366),
    [sym_signed_number] = STATE(8302),
    [sym_character] = STATE(8366),
    [sym_string] = STATE(8366),
    [sym_quoted_string] = STATE(8366),
    [sym_boolean] = STATE(8366),
    [sym_unit] = STATE(8366),
    [sym__simple_value_pattern] = STATE(8362),
    [sym_parenthesized_operator] = STATE(8362),
    [sym_module_path] = STATE(19568),
    [sym_constructor_path] = STATE(8362),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(8362),
    [aux_sym_expression_item_repeat1] = STATE(11708),
    [aux_sym_let_binding_repeat1] = STATE(2916),
    [sym__identifier] = ACTIONS(8023),
    [anon_sym_SEMI_SEMI] = ACTIONS(8123),
    [anon_sym_let] = ACTIONS(8125),
    [anon_sym_and] = ACTIONS(8125),
    [anon_sym_EQ] = ACTIONS(8157),
    [anon_sym_TILDE] = ACTIONS(8031),
    [anon_sym_QMARK] = ACTIONS(8031),
    [anon_sym_LPAREN] = ACTIONS(8033),
    [anon_sym_external] = ACTIONS(8125),
    [anon_sym_type] = ACTIONS(8125),
    [anon_sym_LBRACK] = ACTIONS(8035),
    [anon_sym_RBRACK] = ACTIONS(8123),
    [anon_sym_true] = ACTIONS(8037),
    [anon_sym_false] = ACTIONS(8037),
    [anon_sym_COLON2] = ACTIONS(8039),
    [anon_sym_LBRACE] = ACTIONS(8041),
    [anon_sym_exception] = ACTIONS(8125),
    [anon_sym_module] = ACTIONS(8125),
    [anon_sym_open] = ACTIONS(8125),
    [anon_sym_include] = ACTIONS(8125),
    [anon_sym_class] = ACTIONS(8125),
    [anon_sym_POUND] = ACTIONS(8043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8045),
    [anon_sym_begin] = ACTIONS(8047),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8123),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8051),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8123),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8123),
    [aux_sym_number_token1] = ACTIONS(8053),
    [aux_sym_signed_number_token1] = ACTIONS(8055),
    [anon_sym_SQUOTE] = ACTIONS(8057),
    [anon_sym_DQUOTE] = ACTIONS(8059),
    [sym_let_operator] = ACTIONS(8123),
    [sym__capitalized_identifier] = ACTIONS(8061),
    [aux_sym_directive_token1] = ACTIONS(8125),
    [aux_sym_tag_token1] = ACTIONS(8063),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2916] = {
    [sym_parameter] = STATE(8403),
    [sym__class_typed] = STATE(12306),
    [sym__parenthesized_abstract_type] = STATE(8403),
    [sym__simple_pattern] = STATE(8404),
    [sym_typed_pattern] = STATE(8362),
    [sym_polymorphic_variant_pattern] = STATE(8362),
    [sym_record_pattern] = STATE(8362),
    [sym_list_pattern] = STATE(8362),
    [sym_array_pattern] = STATE(8362),
    [sym_local_open_pattern] = STATE(8362),
    [sym_package_pattern] = STATE(8362),
    [sym_parenthesized_pattern] = STATE(8362),
    [sym_attribute] = STATE(2916),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8362),
    [sym_quoted_extension] = STATE(8362),
    [sym__constant] = STATE(8302),
    [sym__signed_constant] = STATE(8362),
    [sym_number] = STATE(8366),
    [sym_signed_number] = STATE(8302),
    [sym_character] = STATE(8366),
    [sym_string] = STATE(8366),
    [sym_quoted_string] = STATE(8366),
    [sym_boolean] = STATE(8366),
    [sym_unit] = STATE(8366),
    [sym__simple_value_pattern] = STATE(8362),
    [sym_parenthesized_operator] = STATE(8362),
    [sym_module_path] = STATE(19568),
    [sym_constructor_path] = STATE(8362),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(8362),
    [aux_sym_expression_item_repeat1] = STATE(11746),
    [aux_sym_let_binding_repeat1] = STATE(2937),
    [sym__identifier] = ACTIONS(8023),
    [anon_sym_SEMI_SEMI] = ACTIONS(7903),
    [anon_sym_let] = ACTIONS(7905),
    [anon_sym_and] = ACTIONS(7905),
    [anon_sym_EQ] = ACTIONS(8159),
    [anon_sym_TILDE] = ACTIONS(8031),
    [anon_sym_QMARK] = ACTIONS(8031),
    [anon_sym_LPAREN] = ACTIONS(8033),
    [anon_sym_external] = ACTIONS(7905),
    [anon_sym_type] = ACTIONS(7905),
    [anon_sym_LBRACK] = ACTIONS(8035),
    [anon_sym_RBRACK] = ACTIONS(7903),
    [anon_sym_true] = ACTIONS(8037),
    [anon_sym_false] = ACTIONS(8037),
    [anon_sym_COLON2] = ACTIONS(8039),
    [anon_sym_LBRACE] = ACTIONS(8041),
    [anon_sym_exception] = ACTIONS(7905),
    [anon_sym_module] = ACTIONS(7905),
    [anon_sym_open] = ACTIONS(7905),
    [anon_sym_include] = ACTIONS(7905),
    [anon_sym_class] = ACTIONS(7905),
    [anon_sym_POUND] = ACTIONS(8043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8045),
    [anon_sym_begin] = ACTIONS(8047),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7903),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8051),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7903),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7903),
    [aux_sym_number_token1] = ACTIONS(8053),
    [aux_sym_signed_number_token1] = ACTIONS(8055),
    [anon_sym_SQUOTE] = ACTIONS(8057),
    [anon_sym_DQUOTE] = ACTIONS(8059),
    [sym_let_operator] = ACTIONS(7903),
    [sym__capitalized_identifier] = ACTIONS(8061),
    [aux_sym_directive_token1] = ACTIONS(7905),
    [aux_sym_tag_token1] = ACTIONS(8063),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2917] = {
    [sym_parameter] = STATE(8515),
    [sym__class_typed] = STATE(12180),
    [sym__parenthesized_abstract_type] = STATE(8515),
    [sym__simple_pattern] = STATE(8519),
    [sym_typed_pattern] = STATE(8494),
    [sym_polymorphic_variant_pattern] = STATE(8494),
    [sym_record_pattern] = STATE(8494),
    [sym_list_pattern] = STATE(8494),
    [sym_array_pattern] = STATE(8494),
    [sym_local_open_pattern] = STATE(8494),
    [sym_package_pattern] = STATE(8494),
    [sym_parenthesized_pattern] = STATE(8494),
    [sym_attribute] = STATE(2917),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8494),
    [sym_quoted_extension] = STATE(8494),
    [sym__constant] = STATE(8591),
    [sym__signed_constant] = STATE(8494),
    [sym_number] = STATE(8487),
    [sym_signed_number] = STATE(8591),
    [sym_character] = STATE(8487),
    [sym_string] = STATE(8487),
    [sym_quoted_string] = STATE(8487),
    [sym_boolean] = STATE(8487),
    [sym_unit] = STATE(8487),
    [sym__simple_value_pattern] = STATE(8494),
    [sym_parenthesized_operator] = STATE(8494),
    [sym_module_path] = STATE(20781),
    [sym_constructor_path] = STATE(8494),
    [sym__constructor_name] = STATE(8546),
    [sym_tag] = STATE(8494),
    [aux_sym_expression_item_repeat1] = STATE(11823),
    [aux_sym_let_binding_repeat1] = STATE(2947),
    [sym__identifier] = ACTIONS(7901),
    [anon_sym_SEMI_SEMI] = ACTIONS(8065),
    [anon_sym_let] = ACTIONS(8067),
    [anon_sym_and] = ACTIONS(8067),
    [anon_sym_EQ] = ACTIONS(8161),
    [anon_sym_TILDE] = ACTIONS(7909),
    [anon_sym_QMARK] = ACTIONS(7909),
    [anon_sym_LPAREN] = ACTIONS(7911),
    [anon_sym_external] = ACTIONS(8067),
    [anon_sym_type] = ACTIONS(8067),
    [anon_sym_LBRACK] = ACTIONS(7913),
    [anon_sym_true] = ACTIONS(7915),
    [anon_sym_false] = ACTIONS(7915),
    [anon_sym_COLON2] = ACTIONS(7917),
    [anon_sym_LBRACE] = ACTIONS(7919),
    [anon_sym_exception] = ACTIONS(8067),
    [anon_sym_module] = ACTIONS(8067),
    [anon_sym_open] = ACTIONS(8067),
    [anon_sym_include] = ACTIONS(8067),
    [anon_sym_class] = ACTIONS(8067),
    [anon_sym_end] = ACTIONS(8067),
    [anon_sym_POUND] = ACTIONS(7921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7923),
    [anon_sym_begin] = ACTIONS(7925),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8065),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7931),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8065),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8065),
    [aux_sym_number_token1] = ACTIONS(7933),
    [aux_sym_signed_number_token1] = ACTIONS(7935),
    [anon_sym_SQUOTE] = ACTIONS(7937),
    [anon_sym_DQUOTE] = ACTIONS(7939),
    [sym_let_operator] = ACTIONS(8065),
    [sym__capitalized_identifier] = ACTIONS(7941),
    [aux_sym_directive_token1] = ACTIONS(8067),
    [aux_sym_tag_token1] = ACTIONS(7943),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2918] = {
    [sym_parameter] = STATE(8515),
    [sym__class_typed] = STATE(12179),
    [sym__parenthesized_abstract_type] = STATE(8515),
    [sym__simple_pattern] = STATE(8519),
    [sym_typed_pattern] = STATE(8494),
    [sym_polymorphic_variant_pattern] = STATE(8494),
    [sym_record_pattern] = STATE(8494),
    [sym_list_pattern] = STATE(8494),
    [sym_array_pattern] = STATE(8494),
    [sym_local_open_pattern] = STATE(8494),
    [sym_package_pattern] = STATE(8494),
    [sym_parenthesized_pattern] = STATE(8494),
    [sym_attribute] = STATE(2918),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8494),
    [sym_quoted_extension] = STATE(8494),
    [sym__constant] = STATE(8591),
    [sym__signed_constant] = STATE(8494),
    [sym_number] = STATE(8487),
    [sym_signed_number] = STATE(8591),
    [sym_character] = STATE(8487),
    [sym_string] = STATE(8487),
    [sym_quoted_string] = STATE(8487),
    [sym_boolean] = STATE(8487),
    [sym_unit] = STATE(8487),
    [sym__simple_value_pattern] = STATE(8494),
    [sym_parenthesized_operator] = STATE(8494),
    [sym_module_path] = STATE(20781),
    [sym_constructor_path] = STATE(8494),
    [sym__constructor_name] = STATE(8546),
    [sym_tag] = STATE(8494),
    [aux_sym_expression_item_repeat1] = STATE(11814),
    [aux_sym_let_binding_repeat1] = STATE(2906),
    [sym__identifier] = ACTIONS(7901),
    [anon_sym_SEMI_SEMI] = ACTIONS(8025),
    [anon_sym_let] = ACTIONS(8027),
    [anon_sym_and] = ACTIONS(8027),
    [anon_sym_EQ] = ACTIONS(8163),
    [anon_sym_TILDE] = ACTIONS(7909),
    [anon_sym_QMARK] = ACTIONS(7909),
    [anon_sym_LPAREN] = ACTIONS(7911),
    [anon_sym_external] = ACTIONS(8027),
    [anon_sym_type] = ACTIONS(8027),
    [anon_sym_LBRACK] = ACTIONS(7913),
    [anon_sym_true] = ACTIONS(7915),
    [anon_sym_false] = ACTIONS(7915),
    [anon_sym_COLON2] = ACTIONS(7917),
    [anon_sym_LBRACE] = ACTIONS(7919),
    [anon_sym_exception] = ACTIONS(8027),
    [anon_sym_module] = ACTIONS(8027),
    [anon_sym_open] = ACTIONS(8027),
    [anon_sym_include] = ACTIONS(8027),
    [anon_sym_class] = ACTIONS(8027),
    [anon_sym_end] = ACTIONS(8027),
    [anon_sym_POUND] = ACTIONS(7921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7923),
    [anon_sym_begin] = ACTIONS(7925),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8025),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7931),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8025),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8025),
    [aux_sym_number_token1] = ACTIONS(7933),
    [aux_sym_signed_number_token1] = ACTIONS(7935),
    [anon_sym_SQUOTE] = ACTIONS(7937),
    [anon_sym_DQUOTE] = ACTIONS(7939),
    [sym_let_operator] = ACTIONS(8025),
    [sym__capitalized_identifier] = ACTIONS(7941),
    [aux_sym_directive_token1] = ACTIONS(8027),
    [aux_sym_tag_token1] = ACTIONS(7943),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2919] = {
    [sym_parameter] = STATE(8515),
    [sym__class_typed] = STATE(12185),
    [sym__parenthesized_abstract_type] = STATE(8515),
    [sym__simple_pattern] = STATE(8519),
    [sym_typed_pattern] = STATE(8494),
    [sym_polymorphic_variant_pattern] = STATE(8494),
    [sym_record_pattern] = STATE(8494),
    [sym_list_pattern] = STATE(8494),
    [sym_array_pattern] = STATE(8494),
    [sym_local_open_pattern] = STATE(8494),
    [sym_package_pattern] = STATE(8494),
    [sym_parenthesized_pattern] = STATE(8494),
    [sym_attribute] = STATE(2919),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8494),
    [sym_quoted_extension] = STATE(8494),
    [sym__constant] = STATE(8591),
    [sym__signed_constant] = STATE(8494),
    [sym_number] = STATE(8487),
    [sym_signed_number] = STATE(8591),
    [sym_character] = STATE(8487),
    [sym_string] = STATE(8487),
    [sym_quoted_string] = STATE(8487),
    [sym_boolean] = STATE(8487),
    [sym_unit] = STATE(8487),
    [sym__simple_value_pattern] = STATE(8494),
    [sym_parenthesized_operator] = STATE(8494),
    [sym_module_path] = STATE(20781),
    [sym_constructor_path] = STATE(8494),
    [sym__constructor_name] = STATE(8546),
    [sym_tag] = STATE(8494),
    [aux_sym_expression_item_repeat1] = STATE(11678),
    [aux_sym_let_binding_repeat1] = STATE(2947),
    [sym__identifier] = ACTIONS(7901),
    [anon_sym_SEMI_SEMI] = ACTIONS(8133),
    [anon_sym_let] = ACTIONS(8135),
    [anon_sym_and] = ACTIONS(8135),
    [anon_sym_EQ] = ACTIONS(8165),
    [anon_sym_TILDE] = ACTIONS(7909),
    [anon_sym_QMARK] = ACTIONS(7909),
    [anon_sym_LPAREN] = ACTIONS(7911),
    [anon_sym_external] = ACTIONS(8135),
    [anon_sym_type] = ACTIONS(8135),
    [anon_sym_LBRACK] = ACTIONS(7913),
    [anon_sym_true] = ACTIONS(7915),
    [anon_sym_false] = ACTIONS(7915),
    [anon_sym_COLON2] = ACTIONS(7917),
    [anon_sym_LBRACE] = ACTIONS(7919),
    [anon_sym_exception] = ACTIONS(8135),
    [anon_sym_module] = ACTIONS(8135),
    [anon_sym_open] = ACTIONS(8135),
    [anon_sym_include] = ACTIONS(8135),
    [anon_sym_class] = ACTIONS(8135),
    [anon_sym_end] = ACTIONS(8135),
    [anon_sym_POUND] = ACTIONS(7921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7923),
    [anon_sym_begin] = ACTIONS(7925),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8133),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7931),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8133),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8133),
    [aux_sym_number_token1] = ACTIONS(7933),
    [aux_sym_signed_number_token1] = ACTIONS(7935),
    [anon_sym_SQUOTE] = ACTIONS(7937),
    [anon_sym_DQUOTE] = ACTIONS(7939),
    [sym_let_operator] = ACTIONS(8133),
    [sym__capitalized_identifier] = ACTIONS(7941),
    [aux_sym_directive_token1] = ACTIONS(8135),
    [aux_sym_tag_token1] = ACTIONS(7943),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2920] = {
    [sym_parameter] = STATE(8403),
    [sym__class_typed] = STATE(12229),
    [sym__parenthesized_abstract_type] = STATE(8403),
    [sym__simple_pattern] = STATE(8404),
    [sym_typed_pattern] = STATE(8362),
    [sym_polymorphic_variant_pattern] = STATE(8362),
    [sym_record_pattern] = STATE(8362),
    [sym_list_pattern] = STATE(8362),
    [sym_array_pattern] = STATE(8362),
    [sym_local_open_pattern] = STATE(8362),
    [sym_package_pattern] = STATE(8362),
    [sym_parenthesized_pattern] = STATE(8362),
    [sym_attribute] = STATE(2920),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8362),
    [sym_quoted_extension] = STATE(8362),
    [sym__constant] = STATE(8302),
    [sym__signed_constant] = STATE(8362),
    [sym_number] = STATE(8366),
    [sym_signed_number] = STATE(8302),
    [sym_character] = STATE(8366),
    [sym_string] = STATE(8366),
    [sym_quoted_string] = STATE(8366),
    [sym_boolean] = STATE(8366),
    [sym_unit] = STATE(8366),
    [sym__simple_value_pattern] = STATE(8362),
    [sym_parenthesized_operator] = STATE(8362),
    [sym_module_path] = STATE(19568),
    [sym_constructor_path] = STATE(8362),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(8362),
    [aux_sym_expression_item_repeat1] = STATE(11823),
    [aux_sym_let_binding_repeat1] = STATE(2937),
    [ts_builtin_sym_end] = ACTIONS(8065),
    [sym__identifier] = ACTIONS(8023),
    [anon_sym_SEMI_SEMI] = ACTIONS(8065),
    [anon_sym_let] = ACTIONS(8067),
    [anon_sym_and] = ACTIONS(8067),
    [anon_sym_EQ] = ACTIONS(8167),
    [anon_sym_TILDE] = ACTIONS(8031),
    [anon_sym_QMARK] = ACTIONS(8031),
    [anon_sym_LPAREN] = ACTIONS(8033),
    [anon_sym_external] = ACTIONS(8067),
    [anon_sym_type] = ACTIONS(8067),
    [anon_sym_LBRACK] = ACTIONS(8035),
    [anon_sym_true] = ACTIONS(8037),
    [anon_sym_false] = ACTIONS(8037),
    [anon_sym_COLON2] = ACTIONS(8039),
    [anon_sym_LBRACE] = ACTIONS(8041),
    [anon_sym_exception] = ACTIONS(8067),
    [anon_sym_module] = ACTIONS(8067),
    [anon_sym_open] = ACTIONS(8067),
    [anon_sym_include] = ACTIONS(8067),
    [anon_sym_class] = ACTIONS(8067),
    [anon_sym_POUND] = ACTIONS(8043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8045),
    [anon_sym_begin] = ACTIONS(8047),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8065),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8051),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8065),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8065),
    [aux_sym_number_token1] = ACTIONS(8053),
    [aux_sym_signed_number_token1] = ACTIONS(8055),
    [anon_sym_SQUOTE] = ACTIONS(8057),
    [anon_sym_DQUOTE] = ACTIONS(8059),
    [sym_let_operator] = ACTIONS(8065),
    [sym__capitalized_identifier] = ACTIONS(8061),
    [aux_sym_directive_token1] = ACTIONS(8067),
    [aux_sym_tag_token1] = ACTIONS(8063),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2921] = {
    [sym_parameter] = STATE(8403),
    [sym__class_typed] = STATE(12203),
    [sym__parenthesized_abstract_type] = STATE(8403),
    [sym__simple_pattern] = STATE(8404),
    [sym_typed_pattern] = STATE(8362),
    [sym_polymorphic_variant_pattern] = STATE(8362),
    [sym_record_pattern] = STATE(8362),
    [sym_list_pattern] = STATE(8362),
    [sym_array_pattern] = STATE(8362),
    [sym_local_open_pattern] = STATE(8362),
    [sym_package_pattern] = STATE(8362),
    [sym_parenthesized_pattern] = STATE(8362),
    [sym_attribute] = STATE(2921),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8362),
    [sym_quoted_extension] = STATE(8362),
    [sym__constant] = STATE(8302),
    [sym__signed_constant] = STATE(8362),
    [sym_number] = STATE(8366),
    [sym_signed_number] = STATE(8302),
    [sym_character] = STATE(8366),
    [sym_string] = STATE(8366),
    [sym_quoted_string] = STATE(8366),
    [sym_boolean] = STATE(8366),
    [sym_unit] = STATE(8366),
    [sym__simple_value_pattern] = STATE(8362),
    [sym_parenthesized_operator] = STATE(8362),
    [sym_module_path] = STATE(19568),
    [sym_constructor_path] = STATE(8362),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(8362),
    [aux_sym_expression_item_repeat1] = STATE(11814),
    [aux_sym_let_binding_repeat1] = STATE(2923),
    [ts_builtin_sym_end] = ACTIONS(8025),
    [sym__identifier] = ACTIONS(8023),
    [anon_sym_SEMI_SEMI] = ACTIONS(8025),
    [anon_sym_let] = ACTIONS(8027),
    [anon_sym_and] = ACTIONS(8027),
    [anon_sym_EQ] = ACTIONS(8169),
    [anon_sym_TILDE] = ACTIONS(8031),
    [anon_sym_QMARK] = ACTIONS(8031),
    [anon_sym_LPAREN] = ACTIONS(8033),
    [anon_sym_external] = ACTIONS(8027),
    [anon_sym_type] = ACTIONS(8027),
    [anon_sym_LBRACK] = ACTIONS(8035),
    [anon_sym_true] = ACTIONS(8037),
    [anon_sym_false] = ACTIONS(8037),
    [anon_sym_COLON2] = ACTIONS(8039),
    [anon_sym_LBRACE] = ACTIONS(8041),
    [anon_sym_exception] = ACTIONS(8027),
    [anon_sym_module] = ACTIONS(8027),
    [anon_sym_open] = ACTIONS(8027),
    [anon_sym_include] = ACTIONS(8027),
    [anon_sym_class] = ACTIONS(8027),
    [anon_sym_POUND] = ACTIONS(8043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8045),
    [anon_sym_begin] = ACTIONS(8047),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8025),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8051),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8025),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8025),
    [aux_sym_number_token1] = ACTIONS(8053),
    [aux_sym_signed_number_token1] = ACTIONS(8055),
    [anon_sym_SQUOTE] = ACTIONS(8057),
    [anon_sym_DQUOTE] = ACTIONS(8059),
    [sym_let_operator] = ACTIONS(8025),
    [sym__capitalized_identifier] = ACTIONS(8061),
    [aux_sym_directive_token1] = ACTIONS(8027),
    [aux_sym_tag_token1] = ACTIONS(8063),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2922] = {
    [sym_parameter] = STATE(8403),
    [sym__class_typed] = STATE(12287),
    [sym__parenthesized_abstract_type] = STATE(8403),
    [sym__simple_pattern] = STATE(8404),
    [sym_typed_pattern] = STATE(8362),
    [sym_polymorphic_variant_pattern] = STATE(8362),
    [sym_record_pattern] = STATE(8362),
    [sym_list_pattern] = STATE(8362),
    [sym_array_pattern] = STATE(8362),
    [sym_local_open_pattern] = STATE(8362),
    [sym_package_pattern] = STATE(8362),
    [sym_parenthesized_pattern] = STATE(8362),
    [sym_attribute] = STATE(2922),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8362),
    [sym_quoted_extension] = STATE(8362),
    [sym__constant] = STATE(8302),
    [sym__signed_constant] = STATE(8362),
    [sym_number] = STATE(8366),
    [sym_signed_number] = STATE(8302),
    [sym_character] = STATE(8366),
    [sym_string] = STATE(8366),
    [sym_quoted_string] = STATE(8366),
    [sym_boolean] = STATE(8366),
    [sym_unit] = STATE(8366),
    [sym__simple_value_pattern] = STATE(8362),
    [sym_parenthesized_operator] = STATE(8362),
    [sym_module_path] = STATE(19568),
    [sym_constructor_path] = STATE(8362),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(8362),
    [aux_sym_expression_item_repeat1] = STATE(11871),
    [aux_sym_let_binding_repeat1] = STATE(2897),
    [sym__identifier] = ACTIONS(8023),
    [anon_sym_SEMI_SEMI] = ACTIONS(8145),
    [anon_sym_let] = ACTIONS(8147),
    [anon_sym_and] = ACTIONS(8147),
    [anon_sym_EQ] = ACTIONS(8171),
    [anon_sym_TILDE] = ACTIONS(8031),
    [anon_sym_QMARK] = ACTIONS(8031),
    [anon_sym_LPAREN] = ACTIONS(8033),
    [anon_sym_external] = ACTIONS(8147),
    [anon_sym_type] = ACTIONS(8147),
    [anon_sym_LBRACK] = ACTIONS(8035),
    [anon_sym_RBRACK] = ACTIONS(8145),
    [anon_sym_true] = ACTIONS(8037),
    [anon_sym_false] = ACTIONS(8037),
    [anon_sym_COLON2] = ACTIONS(8039),
    [anon_sym_LBRACE] = ACTIONS(8041),
    [anon_sym_exception] = ACTIONS(8147),
    [anon_sym_module] = ACTIONS(8147),
    [anon_sym_open] = ACTIONS(8147),
    [anon_sym_include] = ACTIONS(8147),
    [anon_sym_class] = ACTIONS(8147),
    [anon_sym_POUND] = ACTIONS(8043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8045),
    [anon_sym_begin] = ACTIONS(8047),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8145),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8051),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8145),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8145),
    [aux_sym_number_token1] = ACTIONS(8053),
    [aux_sym_signed_number_token1] = ACTIONS(8055),
    [anon_sym_SQUOTE] = ACTIONS(8057),
    [anon_sym_DQUOTE] = ACTIONS(8059),
    [sym_let_operator] = ACTIONS(8145),
    [sym__capitalized_identifier] = ACTIONS(8061),
    [aux_sym_directive_token1] = ACTIONS(8147),
    [aux_sym_tag_token1] = ACTIONS(8063),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2923] = {
    [sym_parameter] = STATE(8403),
    [sym__class_typed] = STATE(12133),
    [sym__parenthesized_abstract_type] = STATE(8403),
    [sym__simple_pattern] = STATE(8404),
    [sym_typed_pattern] = STATE(8362),
    [sym_polymorphic_variant_pattern] = STATE(8362),
    [sym_record_pattern] = STATE(8362),
    [sym_list_pattern] = STATE(8362),
    [sym_array_pattern] = STATE(8362),
    [sym_local_open_pattern] = STATE(8362),
    [sym_package_pattern] = STATE(8362),
    [sym_parenthesized_pattern] = STATE(8362),
    [sym_attribute] = STATE(2923),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8362),
    [sym_quoted_extension] = STATE(8362),
    [sym__constant] = STATE(8302),
    [sym__signed_constant] = STATE(8362),
    [sym_number] = STATE(8366),
    [sym_signed_number] = STATE(8302),
    [sym_character] = STATE(8366),
    [sym_string] = STATE(8366),
    [sym_quoted_string] = STATE(8366),
    [sym_boolean] = STATE(8366),
    [sym_unit] = STATE(8366),
    [sym__simple_value_pattern] = STATE(8362),
    [sym_parenthesized_operator] = STATE(8362),
    [sym_module_path] = STATE(19568),
    [sym_constructor_path] = STATE(8362),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(8362),
    [aux_sym_expression_item_repeat1] = STATE(11558),
    [aux_sym_let_binding_repeat1] = STATE(2937),
    [ts_builtin_sym_end] = ACTIONS(8111),
    [sym__identifier] = ACTIONS(8023),
    [anon_sym_SEMI_SEMI] = ACTIONS(8111),
    [anon_sym_let] = ACTIONS(8113),
    [anon_sym_and] = ACTIONS(8113),
    [anon_sym_EQ] = ACTIONS(8173),
    [anon_sym_TILDE] = ACTIONS(8031),
    [anon_sym_QMARK] = ACTIONS(8031),
    [anon_sym_LPAREN] = ACTIONS(8033),
    [anon_sym_external] = ACTIONS(8113),
    [anon_sym_type] = ACTIONS(8113),
    [anon_sym_LBRACK] = ACTIONS(8035),
    [anon_sym_true] = ACTIONS(8037),
    [anon_sym_false] = ACTIONS(8037),
    [anon_sym_COLON2] = ACTIONS(8039),
    [anon_sym_LBRACE] = ACTIONS(8041),
    [anon_sym_exception] = ACTIONS(8113),
    [anon_sym_module] = ACTIONS(8113),
    [anon_sym_open] = ACTIONS(8113),
    [anon_sym_include] = ACTIONS(8113),
    [anon_sym_class] = ACTIONS(8113),
    [anon_sym_POUND] = ACTIONS(8043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8045),
    [anon_sym_begin] = ACTIONS(8047),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8111),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8051),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8111),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8111),
    [aux_sym_number_token1] = ACTIONS(8053),
    [aux_sym_signed_number_token1] = ACTIONS(8055),
    [anon_sym_SQUOTE] = ACTIONS(8057),
    [anon_sym_DQUOTE] = ACTIONS(8059),
    [sym_let_operator] = ACTIONS(8111),
    [sym__capitalized_identifier] = ACTIONS(8061),
    [aux_sym_directive_token1] = ACTIONS(8113),
    [aux_sym_tag_token1] = ACTIONS(8063),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2924] = {
    [sym_parameter] = STATE(8905),
    [sym__class_typed] = STATE(13041),
    [sym__parenthesized_abstract_type] = STATE(8905),
    [sym__simple_pattern] = STATE(9012),
    [sym_typed_pattern] = STATE(8976),
    [sym_polymorphic_variant_pattern] = STATE(8976),
    [sym_record_pattern] = STATE(8976),
    [sym_list_pattern] = STATE(8976),
    [sym_array_pattern] = STATE(8976),
    [sym_local_open_pattern] = STATE(8976),
    [sym_package_pattern] = STATE(8976),
    [sym_parenthesized_pattern] = STATE(8976),
    [sym_attribute] = STATE(2924),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8976),
    [sym_quoted_extension] = STATE(8976),
    [sym__constant] = STATE(8993),
    [sym__signed_constant] = STATE(8976),
    [sym_number] = STATE(9174),
    [sym_signed_number] = STATE(8993),
    [sym_character] = STATE(9174),
    [sym_string] = STATE(9174),
    [sym_quoted_string] = STATE(9174),
    [sym_boolean] = STATE(9174),
    [sym_unit] = STATE(9174),
    [sym__simple_value_pattern] = STATE(8976),
    [sym_parenthesized_operator] = STATE(8976),
    [sym_module_path] = STATE(21208),
    [sym_constructor_path] = STATE(8976),
    [sym__constructor_name] = STATE(9002),
    [sym_tag] = STATE(8976),
    [aux_sym_expression_item_repeat1] = STATE(11814),
    [aux_sym_let_binding_repeat1] = STATE(2938),
    [sym__identifier] = ACTIONS(8175),
    [anon_sym_SEMI_SEMI] = ACTIONS(8025),
    [anon_sym_and] = ACTIONS(8027),
    [anon_sym_EQ] = ACTIONS(8177),
    [anon_sym_TILDE] = ACTIONS(8179),
    [anon_sym_QMARK] = ACTIONS(8179),
    [anon_sym_LPAREN] = ACTIONS(8181),
    [anon_sym_external] = ACTIONS(8027),
    [anon_sym_type] = ACTIONS(8027),
    [anon_sym_LBRACK] = ACTIONS(8183),
    [anon_sym_true] = ACTIONS(8185),
    [anon_sym_false] = ACTIONS(8185),
    [anon_sym_COLON2] = ACTIONS(8187),
    [anon_sym_LBRACE] = ACTIONS(8189),
    [anon_sym_exception] = ACTIONS(8027),
    [anon_sym_module] = ACTIONS(8027),
    [anon_sym_open] = ACTIONS(8027),
    [anon_sym_include] = ACTIONS(8027),
    [anon_sym_class] = ACTIONS(8027),
    [anon_sym_val] = ACTIONS(8027),
    [anon_sym_end] = ACTIONS(8027),
    [anon_sym_POUND] = ACTIONS(8191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8193),
    [anon_sym_begin] = ACTIONS(8195),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8025),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8197),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8199),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8025),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8025),
    [aux_sym_number_token1] = ACTIONS(8201),
    [aux_sym_signed_number_token1] = ACTIONS(8203),
    [anon_sym_SQUOTE] = ACTIONS(8205),
    [anon_sym_DQUOTE] = ACTIONS(8207),
    [sym__capitalized_identifier] = ACTIONS(8209),
    [aux_sym_tag_token1] = ACTIONS(8211),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2925] = {
    [sym_parameter] = STATE(8905),
    [sym__class_typed] = STATE(13042),
    [sym__parenthesized_abstract_type] = STATE(8905),
    [sym__simple_pattern] = STATE(9012),
    [sym_typed_pattern] = STATE(8976),
    [sym_polymorphic_variant_pattern] = STATE(8976),
    [sym_record_pattern] = STATE(8976),
    [sym_list_pattern] = STATE(8976),
    [sym_array_pattern] = STATE(8976),
    [sym_local_open_pattern] = STATE(8976),
    [sym_package_pattern] = STATE(8976),
    [sym_parenthesized_pattern] = STATE(8976),
    [sym_attribute] = STATE(2925),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8976),
    [sym_quoted_extension] = STATE(8976),
    [sym__constant] = STATE(8993),
    [sym__signed_constant] = STATE(8976),
    [sym_number] = STATE(9174),
    [sym_signed_number] = STATE(8993),
    [sym_character] = STATE(9174),
    [sym_string] = STATE(9174),
    [sym_quoted_string] = STATE(9174),
    [sym_boolean] = STATE(9174),
    [sym_unit] = STATE(9174),
    [sym__simple_value_pattern] = STATE(8976),
    [sym_parenthesized_operator] = STATE(8976),
    [sym_module_path] = STATE(21208),
    [sym_constructor_path] = STATE(8976),
    [sym__constructor_name] = STATE(9002),
    [sym_tag] = STATE(8976),
    [aux_sym_expression_item_repeat1] = STATE(11823),
    [aux_sym_let_binding_repeat1] = STATE(2950),
    [sym__identifier] = ACTIONS(8175),
    [anon_sym_SEMI_SEMI] = ACTIONS(8065),
    [anon_sym_and] = ACTIONS(8067),
    [anon_sym_EQ] = ACTIONS(8213),
    [anon_sym_TILDE] = ACTIONS(8179),
    [anon_sym_QMARK] = ACTIONS(8179),
    [anon_sym_LPAREN] = ACTIONS(8181),
    [anon_sym_external] = ACTIONS(8067),
    [anon_sym_type] = ACTIONS(8067),
    [anon_sym_LBRACK] = ACTIONS(8183),
    [anon_sym_true] = ACTIONS(8185),
    [anon_sym_false] = ACTIONS(8185),
    [anon_sym_COLON2] = ACTIONS(8187),
    [anon_sym_LBRACE] = ACTIONS(8189),
    [anon_sym_exception] = ACTIONS(8067),
    [anon_sym_module] = ACTIONS(8067),
    [anon_sym_open] = ACTIONS(8067),
    [anon_sym_include] = ACTIONS(8067),
    [anon_sym_class] = ACTIONS(8067),
    [anon_sym_val] = ACTIONS(8067),
    [anon_sym_end] = ACTIONS(8067),
    [anon_sym_POUND] = ACTIONS(8191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8193),
    [anon_sym_begin] = ACTIONS(8195),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8065),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8197),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8199),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8065),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8065),
    [aux_sym_number_token1] = ACTIONS(8201),
    [aux_sym_signed_number_token1] = ACTIONS(8203),
    [anon_sym_SQUOTE] = ACTIONS(8205),
    [anon_sym_DQUOTE] = ACTIONS(8207),
    [sym__capitalized_identifier] = ACTIONS(8209),
    [aux_sym_tag_token1] = ACTIONS(8211),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2926] = {
    [sym_parameter] = STATE(8856),
    [sym__class_typed] = STATE(12997),
    [sym__parenthesized_abstract_type] = STATE(8856),
    [sym__simple_pattern] = STATE(8858),
    [sym_typed_pattern] = STATE(9065),
    [sym_polymorphic_variant_pattern] = STATE(9065),
    [sym_record_pattern] = STATE(9065),
    [sym_list_pattern] = STATE(9065),
    [sym_array_pattern] = STATE(9065),
    [sym_local_open_pattern] = STATE(9065),
    [sym_package_pattern] = STATE(9065),
    [sym_parenthesized_pattern] = STATE(9065),
    [sym_attribute] = STATE(2926),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(9065),
    [sym_quoted_extension] = STATE(9065),
    [sym__constant] = STATE(9146),
    [sym__signed_constant] = STATE(9065),
    [sym_number] = STATE(8909),
    [sym_signed_number] = STATE(9146),
    [sym_character] = STATE(8909),
    [sym_string] = STATE(8909),
    [sym_quoted_string] = STATE(8909),
    [sym_boolean] = STATE(8909),
    [sym_unit] = STATE(8909),
    [sym__simple_value_pattern] = STATE(9065),
    [sym_parenthesized_operator] = STATE(9065),
    [sym_module_path] = STATE(21008),
    [sym_constructor_path] = STATE(9065),
    [sym__constructor_name] = STATE(8889),
    [sym_tag] = STATE(9065),
    [aux_sym_expression_item_repeat1] = STATE(11708),
    [aux_sym_let_binding_repeat1] = STATE(2930),
    [sym__identifier] = ACTIONS(8215),
    [anon_sym_SEMI_SEMI] = ACTIONS(8123),
    [anon_sym_and] = ACTIONS(8125),
    [anon_sym_EQ] = ACTIONS(8217),
    [anon_sym_TILDE] = ACTIONS(8219),
    [anon_sym_QMARK] = ACTIONS(8219),
    [anon_sym_LPAREN] = ACTIONS(8221),
    [anon_sym_external] = ACTIONS(8125),
    [anon_sym_type] = ACTIONS(8125),
    [anon_sym_LBRACK] = ACTIONS(8223),
    [anon_sym_RBRACK] = ACTIONS(8123),
    [anon_sym_true] = ACTIONS(8225),
    [anon_sym_false] = ACTIONS(8225),
    [anon_sym_COLON2] = ACTIONS(8227),
    [anon_sym_LBRACE] = ACTIONS(8229),
    [anon_sym_exception] = ACTIONS(8125),
    [anon_sym_module] = ACTIONS(8125),
    [anon_sym_open] = ACTIONS(8125),
    [anon_sym_include] = ACTIONS(8125),
    [anon_sym_class] = ACTIONS(8125),
    [anon_sym_val] = ACTIONS(8125),
    [anon_sym_POUND] = ACTIONS(8231),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8233),
    [anon_sym_begin] = ACTIONS(8235),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8123),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8237),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8239),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8123),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8123),
    [aux_sym_number_token1] = ACTIONS(8241),
    [aux_sym_signed_number_token1] = ACTIONS(8243),
    [anon_sym_SQUOTE] = ACTIONS(8245),
    [anon_sym_DQUOTE] = ACTIONS(8247),
    [sym__capitalized_identifier] = ACTIONS(8249),
    [aux_sym_tag_token1] = ACTIONS(8251),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2927] = {
    [sym_parameter] = STATE(8905),
    [sym__class_typed] = STATE(13055),
    [sym__parenthesized_abstract_type] = STATE(8905),
    [sym__simple_pattern] = STATE(9012),
    [sym_typed_pattern] = STATE(8976),
    [sym_polymorphic_variant_pattern] = STATE(8976),
    [sym_record_pattern] = STATE(8976),
    [sym_list_pattern] = STATE(8976),
    [sym_array_pattern] = STATE(8976),
    [sym_local_open_pattern] = STATE(8976),
    [sym_package_pattern] = STATE(8976),
    [sym_parenthesized_pattern] = STATE(8976),
    [sym_attribute] = STATE(2927),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8976),
    [sym_quoted_extension] = STATE(8976),
    [sym__constant] = STATE(8993),
    [sym__signed_constant] = STATE(8976),
    [sym_number] = STATE(9174),
    [sym_signed_number] = STATE(8993),
    [sym_character] = STATE(9174),
    [sym_string] = STATE(9174),
    [sym_quoted_string] = STATE(9174),
    [sym_boolean] = STATE(9174),
    [sym_unit] = STATE(9174),
    [sym__simple_value_pattern] = STATE(8976),
    [sym_parenthesized_operator] = STATE(8976),
    [sym_module_path] = STATE(21208),
    [sym_constructor_path] = STATE(8976),
    [sym__constructor_name] = STATE(9002),
    [sym_tag] = STATE(8976),
    [aux_sym_expression_item_repeat1] = STATE(11746),
    [aux_sym_let_binding_repeat1] = STATE(2950),
    [sym__identifier] = ACTIONS(8175),
    [anon_sym_SEMI_SEMI] = ACTIONS(7903),
    [anon_sym_and] = ACTIONS(7905),
    [anon_sym_EQ] = ACTIONS(8253),
    [anon_sym_TILDE] = ACTIONS(8179),
    [anon_sym_QMARK] = ACTIONS(8179),
    [anon_sym_LPAREN] = ACTIONS(8181),
    [anon_sym_external] = ACTIONS(7905),
    [anon_sym_type] = ACTIONS(7905),
    [anon_sym_LBRACK] = ACTIONS(8183),
    [anon_sym_true] = ACTIONS(8185),
    [anon_sym_false] = ACTIONS(8185),
    [anon_sym_COLON2] = ACTIONS(8187),
    [anon_sym_LBRACE] = ACTIONS(8189),
    [anon_sym_exception] = ACTIONS(7905),
    [anon_sym_module] = ACTIONS(7905),
    [anon_sym_open] = ACTIONS(7905),
    [anon_sym_include] = ACTIONS(7905),
    [anon_sym_class] = ACTIONS(7905),
    [anon_sym_val] = ACTIONS(7905),
    [anon_sym_end] = ACTIONS(7905),
    [anon_sym_POUND] = ACTIONS(8191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8193),
    [anon_sym_begin] = ACTIONS(8195),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7903),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8197),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8199),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7903),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7903),
    [aux_sym_number_token1] = ACTIONS(8201),
    [aux_sym_signed_number_token1] = ACTIONS(8203),
    [anon_sym_SQUOTE] = ACTIONS(8205),
    [anon_sym_DQUOTE] = ACTIONS(8207),
    [sym__capitalized_identifier] = ACTIONS(8209),
    [aux_sym_tag_token1] = ACTIONS(8211),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2928] = {
    [sym__parenthesized_abstract_type] = STATE(5302),
    [sym__simple_pattern] = STATE(14477),
    [sym__pattern] = STATE(14398),
    [sym_alias_pattern] = STATE(14477),
    [sym_typed_pattern] = STATE(14481),
    [sym_or_pattern] = STATE(14477),
    [sym_constructor_pattern] = STATE(14477),
    [sym_tag_pattern] = STATE(14477),
    [sym_polymorphic_variant_pattern] = STATE(14481),
    [sym_tuple_pattern] = STATE(14477),
    [sym_record_pattern] = STATE(14481),
    [sym_list_pattern] = STATE(14481),
    [sym_cons_pattern] = STATE(14477),
    [sym_array_pattern] = STATE(14481),
    [sym_range_pattern] = STATE(14477),
    [sym_lazy_pattern] = STATE(14477),
    [sym_local_open_pattern] = STATE(14481),
    [sym_package_pattern] = STATE(14481),
    [sym_parenthesized_pattern] = STATE(14481),
    [sym_exception_pattern] = STATE(14477),
    [sym_attribute] = STATE(2928),
    [sym_extension] = STATE(14481),
    [sym_quoted_extension] = STATE(14481),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14213),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__simple_value_pattern] = STATE(14481),
    [sym_parenthesized_operator] = STATE(14481),
    [sym_module_path] = STATE(21455),
    [sym_constructor_path] = STATE(2928),
    [sym__constructor_name] = STATE(10069),
    [sym_tag] = STATE(2946),
    [sym__identifier] = ACTIONS(6291),
    [anon_sym_EQ] = ACTIONS(8255),
    [anon_sym_LPAREN] = ACTIONS(8257),
    [anon_sym_RPAREN] = ACTIONS(8255),
    [anon_sym_COMMA] = ACTIONS(8255),
    [anon_sym_PIPE] = ACTIONS(8255),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [anon_sym_RBRACK] = ACTIONS(8255),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_COLON2] = ACTIONS(8259),
    [anon_sym_DASH_GT] = ACTIONS(8255),
    [anon_sym_LBRACE] = ACTIONS(6305),
    [anon_sym_SEMI] = ACTIONS(8255),
    [anon_sym_RBRACE] = ACTIONS(8255),
    [anon_sym_exception] = ACTIONS(6307),
    [anon_sym_as] = ACTIONS(8259),
    [anon_sym_POUND] = ACTIONS(8261),
    [anon_sym_COLON_COLON] = ACTIONS(8255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6315),
    [anon_sym_when] = ACTIONS(8259),
    [anon_sym_lazy] = ACTIONS(6317),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(8263),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym__capitalized_identifier] = ACTIONS(6335),
    [aux_sym_tag_token1] = ACTIONS(6337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2929] = {
    [sym_parameter] = STATE(8856),
    [sym__class_typed] = STATE(12991),
    [sym__parenthesized_abstract_type] = STATE(8856),
    [sym__simple_pattern] = STATE(8858),
    [sym_typed_pattern] = STATE(9065),
    [sym_polymorphic_variant_pattern] = STATE(9065),
    [sym_record_pattern] = STATE(9065),
    [sym_list_pattern] = STATE(9065),
    [sym_array_pattern] = STATE(9065),
    [sym_local_open_pattern] = STATE(9065),
    [sym_package_pattern] = STATE(9065),
    [sym_parenthesized_pattern] = STATE(9065),
    [sym_attribute] = STATE(2929),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(9065),
    [sym_quoted_extension] = STATE(9065),
    [sym__constant] = STATE(9146),
    [sym__signed_constant] = STATE(9065),
    [sym_number] = STATE(8909),
    [sym_signed_number] = STATE(9146),
    [sym_character] = STATE(8909),
    [sym_string] = STATE(8909),
    [sym_quoted_string] = STATE(8909),
    [sym_boolean] = STATE(8909),
    [sym_unit] = STATE(8909),
    [sym__simple_value_pattern] = STATE(9065),
    [sym_parenthesized_operator] = STATE(9065),
    [sym_module_path] = STATE(21008),
    [sym_constructor_path] = STATE(9065),
    [sym__constructor_name] = STATE(8889),
    [sym_tag] = STATE(9065),
    [aux_sym_expression_item_repeat1] = STATE(11678),
    [aux_sym_let_binding_repeat1] = STATE(2951),
    [sym__identifier] = ACTIONS(8215),
    [anon_sym_SEMI_SEMI] = ACTIONS(8133),
    [anon_sym_and] = ACTIONS(8135),
    [anon_sym_EQ] = ACTIONS(8265),
    [anon_sym_TILDE] = ACTIONS(8219),
    [anon_sym_QMARK] = ACTIONS(8219),
    [anon_sym_LPAREN] = ACTIONS(8221),
    [anon_sym_external] = ACTIONS(8135),
    [anon_sym_type] = ACTIONS(8135),
    [anon_sym_LBRACK] = ACTIONS(8223),
    [anon_sym_RBRACK] = ACTIONS(8133),
    [anon_sym_true] = ACTIONS(8225),
    [anon_sym_false] = ACTIONS(8225),
    [anon_sym_COLON2] = ACTIONS(8227),
    [anon_sym_LBRACE] = ACTIONS(8229),
    [anon_sym_exception] = ACTIONS(8135),
    [anon_sym_module] = ACTIONS(8135),
    [anon_sym_open] = ACTIONS(8135),
    [anon_sym_include] = ACTIONS(8135),
    [anon_sym_class] = ACTIONS(8135),
    [anon_sym_val] = ACTIONS(8135),
    [anon_sym_POUND] = ACTIONS(8231),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8233),
    [anon_sym_begin] = ACTIONS(8235),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8133),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8237),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8239),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8133),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8133),
    [aux_sym_number_token1] = ACTIONS(8241),
    [aux_sym_signed_number_token1] = ACTIONS(8243),
    [anon_sym_SQUOTE] = ACTIONS(8245),
    [anon_sym_DQUOTE] = ACTIONS(8247),
    [sym__capitalized_identifier] = ACTIONS(8249),
    [aux_sym_tag_token1] = ACTIONS(8251),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2930] = {
    [sym_parameter] = STATE(8856),
    [sym__class_typed] = STATE(12999),
    [sym__parenthesized_abstract_type] = STATE(8856),
    [sym__simple_pattern] = STATE(8858),
    [sym_typed_pattern] = STATE(9065),
    [sym_polymorphic_variant_pattern] = STATE(9065),
    [sym_record_pattern] = STATE(9065),
    [sym_list_pattern] = STATE(9065),
    [sym_array_pattern] = STATE(9065),
    [sym_local_open_pattern] = STATE(9065),
    [sym_package_pattern] = STATE(9065),
    [sym_parenthesized_pattern] = STATE(9065),
    [sym_attribute] = STATE(2930),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(9065),
    [sym_quoted_extension] = STATE(9065),
    [sym__constant] = STATE(9146),
    [sym__signed_constant] = STATE(9065),
    [sym_number] = STATE(8909),
    [sym_signed_number] = STATE(9146),
    [sym_character] = STATE(8909),
    [sym_string] = STATE(8909),
    [sym_quoted_string] = STATE(8909),
    [sym_boolean] = STATE(8909),
    [sym_unit] = STATE(8909),
    [sym__simple_value_pattern] = STATE(9065),
    [sym_parenthesized_operator] = STATE(9065),
    [sym_module_path] = STATE(21008),
    [sym_constructor_path] = STATE(9065),
    [sym__constructor_name] = STATE(8889),
    [sym_tag] = STATE(9065),
    [aux_sym_expression_item_repeat1] = STATE(11746),
    [aux_sym_let_binding_repeat1] = STATE(2951),
    [sym__identifier] = ACTIONS(8215),
    [anon_sym_SEMI_SEMI] = ACTIONS(7903),
    [anon_sym_and] = ACTIONS(7905),
    [anon_sym_EQ] = ACTIONS(8267),
    [anon_sym_TILDE] = ACTIONS(8219),
    [anon_sym_QMARK] = ACTIONS(8219),
    [anon_sym_LPAREN] = ACTIONS(8221),
    [anon_sym_external] = ACTIONS(7905),
    [anon_sym_type] = ACTIONS(7905),
    [anon_sym_LBRACK] = ACTIONS(8223),
    [anon_sym_RBRACK] = ACTIONS(7903),
    [anon_sym_true] = ACTIONS(8225),
    [anon_sym_false] = ACTIONS(8225),
    [anon_sym_COLON2] = ACTIONS(8227),
    [anon_sym_LBRACE] = ACTIONS(8229),
    [anon_sym_exception] = ACTIONS(7905),
    [anon_sym_module] = ACTIONS(7905),
    [anon_sym_open] = ACTIONS(7905),
    [anon_sym_include] = ACTIONS(7905),
    [anon_sym_class] = ACTIONS(7905),
    [anon_sym_val] = ACTIONS(7905),
    [anon_sym_POUND] = ACTIONS(8231),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8233),
    [anon_sym_begin] = ACTIONS(8235),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7903),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8237),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8239),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7903),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7903),
    [aux_sym_number_token1] = ACTIONS(8241),
    [aux_sym_signed_number_token1] = ACTIONS(8243),
    [anon_sym_SQUOTE] = ACTIONS(8245),
    [anon_sym_DQUOTE] = ACTIONS(8247),
    [sym__capitalized_identifier] = ACTIONS(8249),
    [aux_sym_tag_token1] = ACTIONS(8251),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2931] = {
    [sym_parameter] = STATE(8856),
    [sym__class_typed] = STATE(12996),
    [sym__parenthesized_abstract_type] = STATE(8856),
    [sym__simple_pattern] = STATE(8858),
    [sym_typed_pattern] = STATE(9065),
    [sym_polymorphic_variant_pattern] = STATE(9065),
    [sym_record_pattern] = STATE(9065),
    [sym_list_pattern] = STATE(9065),
    [sym_array_pattern] = STATE(9065),
    [sym_local_open_pattern] = STATE(9065),
    [sym_package_pattern] = STATE(9065),
    [sym_parenthesized_pattern] = STATE(9065),
    [sym_attribute] = STATE(2931),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(9065),
    [sym_quoted_extension] = STATE(9065),
    [sym__constant] = STATE(9146),
    [sym__signed_constant] = STATE(9065),
    [sym_number] = STATE(8909),
    [sym_signed_number] = STATE(9146),
    [sym_character] = STATE(8909),
    [sym_string] = STATE(8909),
    [sym_quoted_string] = STATE(8909),
    [sym_boolean] = STATE(8909),
    [sym_unit] = STATE(8909),
    [sym__simple_value_pattern] = STATE(9065),
    [sym_parenthesized_operator] = STATE(9065),
    [sym_module_path] = STATE(21008),
    [sym_constructor_path] = STATE(9065),
    [sym__constructor_name] = STATE(8889),
    [sym_tag] = STATE(9065),
    [aux_sym_expression_item_repeat1] = STATE(11706),
    [aux_sym_let_binding_repeat1] = STATE(2951),
    [sym__identifier] = ACTIONS(8215),
    [anon_sym_SEMI_SEMI] = ACTIONS(8017),
    [anon_sym_and] = ACTIONS(8019),
    [anon_sym_EQ] = ACTIONS(8269),
    [anon_sym_TILDE] = ACTIONS(8219),
    [anon_sym_QMARK] = ACTIONS(8219),
    [anon_sym_LPAREN] = ACTIONS(8221),
    [anon_sym_external] = ACTIONS(8019),
    [anon_sym_type] = ACTIONS(8019),
    [anon_sym_LBRACK] = ACTIONS(8223),
    [anon_sym_RBRACK] = ACTIONS(8017),
    [anon_sym_true] = ACTIONS(8225),
    [anon_sym_false] = ACTIONS(8225),
    [anon_sym_COLON2] = ACTIONS(8227),
    [anon_sym_LBRACE] = ACTIONS(8229),
    [anon_sym_exception] = ACTIONS(8019),
    [anon_sym_module] = ACTIONS(8019),
    [anon_sym_open] = ACTIONS(8019),
    [anon_sym_include] = ACTIONS(8019),
    [anon_sym_class] = ACTIONS(8019),
    [anon_sym_val] = ACTIONS(8019),
    [anon_sym_POUND] = ACTIONS(8231),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8233),
    [anon_sym_begin] = ACTIONS(8235),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8017),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8237),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8239),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8017),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8017),
    [aux_sym_number_token1] = ACTIONS(8241),
    [aux_sym_signed_number_token1] = ACTIONS(8243),
    [anon_sym_SQUOTE] = ACTIONS(8245),
    [anon_sym_DQUOTE] = ACTIONS(8247),
    [sym__capitalized_identifier] = ACTIONS(8249),
    [aux_sym_tag_token1] = ACTIONS(8251),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2932] = {
    [sym_parameter] = STATE(8905),
    [sym__class_typed] = STATE(13049),
    [sym__parenthesized_abstract_type] = STATE(8905),
    [sym__simple_pattern] = STATE(9012),
    [sym_typed_pattern] = STATE(8976),
    [sym_polymorphic_variant_pattern] = STATE(8976),
    [sym_record_pattern] = STATE(8976),
    [sym_list_pattern] = STATE(8976),
    [sym_array_pattern] = STATE(8976),
    [sym_local_open_pattern] = STATE(8976),
    [sym_package_pattern] = STATE(8976),
    [sym_parenthesized_pattern] = STATE(8976),
    [sym_attribute] = STATE(2932),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8976),
    [sym_quoted_extension] = STATE(8976),
    [sym__constant] = STATE(8993),
    [sym__signed_constant] = STATE(8976),
    [sym_number] = STATE(9174),
    [sym_signed_number] = STATE(8993),
    [sym_character] = STATE(9174),
    [sym_string] = STATE(9174),
    [sym_quoted_string] = STATE(9174),
    [sym_boolean] = STATE(9174),
    [sym_unit] = STATE(9174),
    [sym__simple_value_pattern] = STATE(8976),
    [sym_parenthesized_operator] = STATE(8976),
    [sym_module_path] = STATE(21208),
    [sym_constructor_path] = STATE(8976),
    [sym__constructor_name] = STATE(9002),
    [sym_tag] = STATE(8976),
    [aux_sym_expression_item_repeat1] = STATE(11631),
    [aux_sym_let_binding_repeat1] = STATE(2939),
    [sym__identifier] = ACTIONS(8175),
    [anon_sym_SEMI_SEMI] = ACTIONS(8011),
    [anon_sym_and] = ACTIONS(8013),
    [anon_sym_EQ] = ACTIONS(8271),
    [anon_sym_TILDE] = ACTIONS(8179),
    [anon_sym_QMARK] = ACTIONS(8179),
    [anon_sym_LPAREN] = ACTIONS(8181),
    [anon_sym_external] = ACTIONS(8013),
    [anon_sym_type] = ACTIONS(8013),
    [anon_sym_LBRACK] = ACTIONS(8183),
    [anon_sym_true] = ACTIONS(8185),
    [anon_sym_false] = ACTIONS(8185),
    [anon_sym_COLON2] = ACTIONS(8187),
    [anon_sym_LBRACE] = ACTIONS(8189),
    [anon_sym_exception] = ACTIONS(8013),
    [anon_sym_module] = ACTIONS(8013),
    [anon_sym_open] = ACTIONS(8013),
    [anon_sym_include] = ACTIONS(8013),
    [anon_sym_class] = ACTIONS(8013),
    [anon_sym_val] = ACTIONS(8013),
    [anon_sym_end] = ACTIONS(8013),
    [anon_sym_POUND] = ACTIONS(8191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8193),
    [anon_sym_begin] = ACTIONS(8195),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8011),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8197),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8199),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8011),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8011),
    [aux_sym_number_token1] = ACTIONS(8201),
    [aux_sym_signed_number_token1] = ACTIONS(8203),
    [anon_sym_SQUOTE] = ACTIONS(8205),
    [anon_sym_DQUOTE] = ACTIONS(8207),
    [sym__capitalized_identifier] = ACTIONS(8209),
    [aux_sym_tag_token1] = ACTIONS(8211),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2933] = {
    [sym_parameter] = STATE(8856),
    [sym__class_typed] = STATE(12984),
    [sym__parenthesized_abstract_type] = STATE(8856),
    [sym__simple_pattern] = STATE(8858),
    [sym_typed_pattern] = STATE(9065),
    [sym_polymorphic_variant_pattern] = STATE(9065),
    [sym_record_pattern] = STATE(9065),
    [sym_list_pattern] = STATE(9065),
    [sym_array_pattern] = STATE(9065),
    [sym_local_open_pattern] = STATE(9065),
    [sym_package_pattern] = STATE(9065),
    [sym_parenthesized_pattern] = STATE(9065),
    [sym_attribute] = STATE(2933),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(9065),
    [sym_quoted_extension] = STATE(9065),
    [sym__constant] = STATE(9146),
    [sym__signed_constant] = STATE(9065),
    [sym_number] = STATE(8909),
    [sym_signed_number] = STATE(9146),
    [sym_character] = STATE(8909),
    [sym_string] = STATE(8909),
    [sym_quoted_string] = STATE(8909),
    [sym_boolean] = STATE(8909),
    [sym_unit] = STATE(8909),
    [sym__simple_value_pattern] = STATE(9065),
    [sym_parenthesized_operator] = STATE(9065),
    [sym_module_path] = STATE(21008),
    [sym_constructor_path] = STATE(9065),
    [sym__constructor_name] = STATE(8889),
    [sym_tag] = STATE(9065),
    [aux_sym_expression_item_repeat1] = STATE(11558),
    [aux_sym_let_binding_repeat1] = STATE(2951),
    [sym__identifier] = ACTIONS(8215),
    [anon_sym_SEMI_SEMI] = ACTIONS(8111),
    [anon_sym_and] = ACTIONS(8113),
    [anon_sym_EQ] = ACTIONS(8273),
    [anon_sym_TILDE] = ACTIONS(8219),
    [anon_sym_QMARK] = ACTIONS(8219),
    [anon_sym_LPAREN] = ACTIONS(8221),
    [anon_sym_external] = ACTIONS(8113),
    [anon_sym_type] = ACTIONS(8113),
    [anon_sym_LBRACK] = ACTIONS(8223),
    [anon_sym_RBRACK] = ACTIONS(8111),
    [anon_sym_true] = ACTIONS(8225),
    [anon_sym_false] = ACTIONS(8225),
    [anon_sym_COLON2] = ACTIONS(8227),
    [anon_sym_LBRACE] = ACTIONS(8229),
    [anon_sym_exception] = ACTIONS(8113),
    [anon_sym_module] = ACTIONS(8113),
    [anon_sym_open] = ACTIONS(8113),
    [anon_sym_include] = ACTIONS(8113),
    [anon_sym_class] = ACTIONS(8113),
    [anon_sym_val] = ACTIONS(8113),
    [anon_sym_POUND] = ACTIONS(8231),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8233),
    [anon_sym_begin] = ACTIONS(8235),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8111),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8237),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8239),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8111),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8111),
    [aux_sym_number_token1] = ACTIONS(8241),
    [aux_sym_signed_number_token1] = ACTIONS(8243),
    [anon_sym_SQUOTE] = ACTIONS(8245),
    [anon_sym_DQUOTE] = ACTIONS(8247),
    [sym__capitalized_identifier] = ACTIONS(8249),
    [aux_sym_tag_token1] = ACTIONS(8251),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2934] = {
    [sym_parameter] = STATE(8856),
    [sym__class_typed] = STATE(12979),
    [sym__parenthesized_abstract_type] = STATE(8856),
    [sym__simple_pattern] = STATE(8858),
    [sym_typed_pattern] = STATE(9065),
    [sym_polymorphic_variant_pattern] = STATE(9065),
    [sym_record_pattern] = STATE(9065),
    [sym_list_pattern] = STATE(9065),
    [sym_array_pattern] = STATE(9065),
    [sym_local_open_pattern] = STATE(9065),
    [sym_package_pattern] = STATE(9065),
    [sym_parenthesized_pattern] = STATE(9065),
    [sym_attribute] = STATE(2934),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(9065),
    [sym_quoted_extension] = STATE(9065),
    [sym__constant] = STATE(9146),
    [sym__signed_constant] = STATE(9065),
    [sym_number] = STATE(8909),
    [sym_signed_number] = STATE(9146),
    [sym_character] = STATE(8909),
    [sym_string] = STATE(8909),
    [sym_quoted_string] = STATE(8909),
    [sym_boolean] = STATE(8909),
    [sym_unit] = STATE(8909),
    [sym__simple_value_pattern] = STATE(9065),
    [sym_parenthesized_operator] = STATE(9065),
    [sym_module_path] = STATE(21008),
    [sym_constructor_path] = STATE(9065),
    [sym__constructor_name] = STATE(8889),
    [sym_tag] = STATE(9065),
    [aux_sym_expression_item_repeat1] = STATE(11814),
    [aux_sym_let_binding_repeat1] = STATE(2933),
    [sym__identifier] = ACTIONS(8215),
    [anon_sym_SEMI_SEMI] = ACTIONS(8025),
    [anon_sym_and] = ACTIONS(8027),
    [anon_sym_EQ] = ACTIONS(8275),
    [anon_sym_TILDE] = ACTIONS(8219),
    [anon_sym_QMARK] = ACTIONS(8219),
    [anon_sym_LPAREN] = ACTIONS(8221),
    [anon_sym_external] = ACTIONS(8027),
    [anon_sym_type] = ACTIONS(8027),
    [anon_sym_LBRACK] = ACTIONS(8223),
    [anon_sym_RBRACK] = ACTIONS(8025),
    [anon_sym_true] = ACTIONS(8225),
    [anon_sym_false] = ACTIONS(8225),
    [anon_sym_COLON2] = ACTIONS(8227),
    [anon_sym_LBRACE] = ACTIONS(8229),
    [anon_sym_exception] = ACTIONS(8027),
    [anon_sym_module] = ACTIONS(8027),
    [anon_sym_open] = ACTIONS(8027),
    [anon_sym_include] = ACTIONS(8027),
    [anon_sym_class] = ACTIONS(8027),
    [anon_sym_val] = ACTIONS(8027),
    [anon_sym_POUND] = ACTIONS(8231),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8233),
    [anon_sym_begin] = ACTIONS(8235),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8025),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8237),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8239),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8025),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8025),
    [aux_sym_number_token1] = ACTIONS(8241),
    [aux_sym_signed_number_token1] = ACTIONS(8243),
    [anon_sym_SQUOTE] = ACTIONS(8245),
    [anon_sym_DQUOTE] = ACTIONS(8247),
    [sym__capitalized_identifier] = ACTIONS(8249),
    [aux_sym_tag_token1] = ACTIONS(8251),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2935] = {
    [sym_parameter] = STATE(8856),
    [sym__class_typed] = STATE(12987),
    [sym__parenthesized_abstract_type] = STATE(8856),
    [sym__simple_pattern] = STATE(8858),
    [sym_typed_pattern] = STATE(9065),
    [sym_polymorphic_variant_pattern] = STATE(9065),
    [sym_record_pattern] = STATE(9065),
    [sym_list_pattern] = STATE(9065),
    [sym_array_pattern] = STATE(9065),
    [sym_local_open_pattern] = STATE(9065),
    [sym_package_pattern] = STATE(9065),
    [sym_parenthesized_pattern] = STATE(9065),
    [sym_attribute] = STATE(2935),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(9065),
    [sym_quoted_extension] = STATE(9065),
    [sym__constant] = STATE(9146),
    [sym__signed_constant] = STATE(9065),
    [sym_number] = STATE(8909),
    [sym_signed_number] = STATE(9146),
    [sym_character] = STATE(8909),
    [sym_string] = STATE(8909),
    [sym_quoted_string] = STATE(8909),
    [sym_boolean] = STATE(8909),
    [sym_unit] = STATE(8909),
    [sym__simple_value_pattern] = STATE(9065),
    [sym_parenthesized_operator] = STATE(9065),
    [sym_module_path] = STATE(21008),
    [sym_constructor_path] = STATE(9065),
    [sym__constructor_name] = STATE(8889),
    [sym_tag] = STATE(9065),
    [aux_sym_expression_item_repeat1] = STATE(11631),
    [aux_sym_let_binding_repeat1] = STATE(2929),
    [sym__identifier] = ACTIONS(8215),
    [anon_sym_SEMI_SEMI] = ACTIONS(8011),
    [anon_sym_and] = ACTIONS(8013),
    [anon_sym_EQ] = ACTIONS(8277),
    [anon_sym_TILDE] = ACTIONS(8219),
    [anon_sym_QMARK] = ACTIONS(8219),
    [anon_sym_LPAREN] = ACTIONS(8221),
    [anon_sym_external] = ACTIONS(8013),
    [anon_sym_type] = ACTIONS(8013),
    [anon_sym_LBRACK] = ACTIONS(8223),
    [anon_sym_RBRACK] = ACTIONS(8011),
    [anon_sym_true] = ACTIONS(8225),
    [anon_sym_false] = ACTIONS(8225),
    [anon_sym_COLON2] = ACTIONS(8227),
    [anon_sym_LBRACE] = ACTIONS(8229),
    [anon_sym_exception] = ACTIONS(8013),
    [anon_sym_module] = ACTIONS(8013),
    [anon_sym_open] = ACTIONS(8013),
    [anon_sym_include] = ACTIONS(8013),
    [anon_sym_class] = ACTIONS(8013),
    [anon_sym_val] = ACTIONS(8013),
    [anon_sym_POUND] = ACTIONS(8231),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8233),
    [anon_sym_begin] = ACTIONS(8235),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8011),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8237),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8239),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8011),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8011),
    [aux_sym_number_token1] = ACTIONS(8241),
    [aux_sym_signed_number_token1] = ACTIONS(8243),
    [anon_sym_SQUOTE] = ACTIONS(8245),
    [anon_sym_DQUOTE] = ACTIONS(8247),
    [sym__capitalized_identifier] = ACTIONS(8249),
    [aux_sym_tag_token1] = ACTIONS(8251),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2936] = {
    [sym_parameter] = STATE(8905),
    [sym__class_typed] = STATE(13036),
    [sym__parenthesized_abstract_type] = STATE(8905),
    [sym__simple_pattern] = STATE(9012),
    [sym_typed_pattern] = STATE(8976),
    [sym_polymorphic_variant_pattern] = STATE(8976),
    [sym_record_pattern] = STATE(8976),
    [sym_list_pattern] = STATE(8976),
    [sym_array_pattern] = STATE(8976),
    [sym_local_open_pattern] = STATE(8976),
    [sym_package_pattern] = STATE(8976),
    [sym_parenthesized_pattern] = STATE(8976),
    [sym_attribute] = STATE(2936),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8976),
    [sym_quoted_extension] = STATE(8976),
    [sym__constant] = STATE(8993),
    [sym__signed_constant] = STATE(8976),
    [sym_number] = STATE(9174),
    [sym_signed_number] = STATE(8993),
    [sym_character] = STATE(9174),
    [sym_string] = STATE(9174),
    [sym_quoted_string] = STATE(9174),
    [sym_boolean] = STATE(9174),
    [sym_unit] = STATE(9174),
    [sym__simple_value_pattern] = STATE(8976),
    [sym_parenthesized_operator] = STATE(8976),
    [sym_module_path] = STATE(21208),
    [sym_constructor_path] = STATE(8976),
    [sym__constructor_name] = STATE(9002),
    [sym_tag] = STATE(8976),
    [aux_sym_expression_item_repeat1] = STATE(11871),
    [aux_sym_let_binding_repeat1] = STATE(2925),
    [sym__identifier] = ACTIONS(8175),
    [anon_sym_SEMI_SEMI] = ACTIONS(8145),
    [anon_sym_and] = ACTIONS(8147),
    [anon_sym_EQ] = ACTIONS(8279),
    [anon_sym_TILDE] = ACTIONS(8179),
    [anon_sym_QMARK] = ACTIONS(8179),
    [anon_sym_LPAREN] = ACTIONS(8181),
    [anon_sym_external] = ACTIONS(8147),
    [anon_sym_type] = ACTIONS(8147),
    [anon_sym_LBRACK] = ACTIONS(8183),
    [anon_sym_true] = ACTIONS(8185),
    [anon_sym_false] = ACTIONS(8185),
    [anon_sym_COLON2] = ACTIONS(8187),
    [anon_sym_LBRACE] = ACTIONS(8189),
    [anon_sym_exception] = ACTIONS(8147),
    [anon_sym_module] = ACTIONS(8147),
    [anon_sym_open] = ACTIONS(8147),
    [anon_sym_include] = ACTIONS(8147),
    [anon_sym_class] = ACTIONS(8147),
    [anon_sym_val] = ACTIONS(8147),
    [anon_sym_end] = ACTIONS(8147),
    [anon_sym_POUND] = ACTIONS(8191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8193),
    [anon_sym_begin] = ACTIONS(8195),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8145),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8197),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8199),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8145),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8145),
    [aux_sym_number_token1] = ACTIONS(8201),
    [aux_sym_signed_number_token1] = ACTIONS(8203),
    [anon_sym_SQUOTE] = ACTIONS(8205),
    [anon_sym_DQUOTE] = ACTIONS(8207),
    [sym__capitalized_identifier] = ACTIONS(8209),
    [aux_sym_tag_token1] = ACTIONS(8211),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2937] = {
    [sym_parameter] = STATE(8403),
    [sym__parenthesized_abstract_type] = STATE(8403),
    [sym__simple_pattern] = STATE(8404),
    [sym_typed_pattern] = STATE(8362),
    [sym_polymorphic_variant_pattern] = STATE(8362),
    [sym_record_pattern] = STATE(8362),
    [sym_list_pattern] = STATE(8362),
    [sym_array_pattern] = STATE(8362),
    [sym_local_open_pattern] = STATE(8362),
    [sym_package_pattern] = STATE(8362),
    [sym_parenthesized_pattern] = STATE(8362),
    [sym_attribute] = STATE(2937),
    [sym_extension] = STATE(8362),
    [sym_quoted_extension] = STATE(8362),
    [sym__constant] = STATE(8302),
    [sym__signed_constant] = STATE(8362),
    [sym_number] = STATE(8366),
    [sym_signed_number] = STATE(8302),
    [sym_character] = STATE(8366),
    [sym_string] = STATE(8366),
    [sym_quoted_string] = STATE(8366),
    [sym_boolean] = STATE(8366),
    [sym_unit] = STATE(8366),
    [sym__simple_value_pattern] = STATE(8362),
    [sym_parenthesized_operator] = STATE(8362),
    [sym_module_path] = STATE(19568),
    [sym_constructor_path] = STATE(8362),
    [sym__constructor_name] = STATE(8367),
    [sym_tag] = STATE(8362),
    [aux_sym_let_binding_repeat1] = STATE(2937),
    [ts_builtin_sym_end] = ACTIONS(8281),
    [sym__identifier] = ACTIONS(8283),
    [anon_sym_SEMI_SEMI] = ACTIONS(8281),
    [anon_sym_let] = ACTIONS(8286),
    [anon_sym_and] = ACTIONS(8286),
    [anon_sym_EQ] = ACTIONS(8281),
    [anon_sym_TILDE] = ACTIONS(8288),
    [anon_sym_QMARK] = ACTIONS(8288),
    [anon_sym_LPAREN] = ACTIONS(8291),
    [anon_sym_external] = ACTIONS(8286),
    [anon_sym_type] = ACTIONS(8286),
    [anon_sym_LBRACK] = ACTIONS(8294),
    [anon_sym_RBRACK] = ACTIONS(8281),
    [anon_sym_true] = ACTIONS(8297),
    [anon_sym_false] = ACTIONS(8297),
    [anon_sym_COLON2] = ACTIONS(8281),
    [anon_sym_LBRACE] = ACTIONS(8300),
    [anon_sym_exception] = ACTIONS(8286),
    [anon_sym_module] = ACTIONS(8286),
    [anon_sym_open] = ACTIONS(8286),
    [anon_sym_include] = ACTIONS(8286),
    [anon_sym_class] = ACTIONS(8286),
    [anon_sym_POUND] = ACTIONS(8303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8306),
    [anon_sym_begin] = ACTIONS(8309),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(8286),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8281),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8312),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8315),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8281),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8281),
    [aux_sym_number_token1] = ACTIONS(8318),
    [aux_sym_signed_number_token1] = ACTIONS(8321),
    [anon_sym_SQUOTE] = ACTIONS(8324),
    [anon_sym_DQUOTE] = ACTIONS(8327),
    [sym_let_operator] = ACTIONS(8281),
    [sym__capitalized_identifier] = ACTIONS(8330),
    [aux_sym_directive_token1] = ACTIONS(8286),
    [aux_sym_tag_token1] = ACTIONS(8333),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2938] = {
    [sym_parameter] = STATE(8905),
    [sym__class_typed] = STATE(13047),
    [sym__parenthesized_abstract_type] = STATE(8905),
    [sym__simple_pattern] = STATE(9012),
    [sym_typed_pattern] = STATE(8976),
    [sym_polymorphic_variant_pattern] = STATE(8976),
    [sym_record_pattern] = STATE(8976),
    [sym_list_pattern] = STATE(8976),
    [sym_array_pattern] = STATE(8976),
    [sym_local_open_pattern] = STATE(8976),
    [sym_package_pattern] = STATE(8976),
    [sym_parenthesized_pattern] = STATE(8976),
    [sym_attribute] = STATE(2938),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8976),
    [sym_quoted_extension] = STATE(8976),
    [sym__constant] = STATE(8993),
    [sym__signed_constant] = STATE(8976),
    [sym_number] = STATE(9174),
    [sym_signed_number] = STATE(8993),
    [sym_character] = STATE(9174),
    [sym_string] = STATE(9174),
    [sym_quoted_string] = STATE(9174),
    [sym_boolean] = STATE(9174),
    [sym_unit] = STATE(9174),
    [sym__simple_value_pattern] = STATE(8976),
    [sym_parenthesized_operator] = STATE(8976),
    [sym_module_path] = STATE(21208),
    [sym_constructor_path] = STATE(8976),
    [sym__constructor_name] = STATE(9002),
    [sym_tag] = STATE(8976),
    [aux_sym_expression_item_repeat1] = STATE(11558),
    [aux_sym_let_binding_repeat1] = STATE(2950),
    [sym__identifier] = ACTIONS(8175),
    [anon_sym_SEMI_SEMI] = ACTIONS(8111),
    [anon_sym_and] = ACTIONS(8113),
    [anon_sym_EQ] = ACTIONS(8336),
    [anon_sym_TILDE] = ACTIONS(8179),
    [anon_sym_QMARK] = ACTIONS(8179),
    [anon_sym_LPAREN] = ACTIONS(8181),
    [anon_sym_external] = ACTIONS(8113),
    [anon_sym_type] = ACTIONS(8113),
    [anon_sym_LBRACK] = ACTIONS(8183),
    [anon_sym_true] = ACTIONS(8185),
    [anon_sym_false] = ACTIONS(8185),
    [anon_sym_COLON2] = ACTIONS(8187),
    [anon_sym_LBRACE] = ACTIONS(8189),
    [anon_sym_exception] = ACTIONS(8113),
    [anon_sym_module] = ACTIONS(8113),
    [anon_sym_open] = ACTIONS(8113),
    [anon_sym_include] = ACTIONS(8113),
    [anon_sym_class] = ACTIONS(8113),
    [anon_sym_val] = ACTIONS(8113),
    [anon_sym_end] = ACTIONS(8113),
    [anon_sym_POUND] = ACTIONS(8191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8193),
    [anon_sym_begin] = ACTIONS(8195),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8111),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8197),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8199),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8111),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8111),
    [aux_sym_number_token1] = ACTIONS(8201),
    [aux_sym_signed_number_token1] = ACTIONS(8203),
    [anon_sym_SQUOTE] = ACTIONS(8205),
    [anon_sym_DQUOTE] = ACTIONS(8207),
    [sym__capitalized_identifier] = ACTIONS(8209),
    [aux_sym_tag_token1] = ACTIONS(8211),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2939] = {
    [sym_parameter] = STATE(8905),
    [sym__class_typed] = STATE(13050),
    [sym__parenthesized_abstract_type] = STATE(8905),
    [sym__simple_pattern] = STATE(9012),
    [sym_typed_pattern] = STATE(8976),
    [sym_polymorphic_variant_pattern] = STATE(8976),
    [sym_record_pattern] = STATE(8976),
    [sym_list_pattern] = STATE(8976),
    [sym_array_pattern] = STATE(8976),
    [sym_local_open_pattern] = STATE(8976),
    [sym_package_pattern] = STATE(8976),
    [sym_parenthesized_pattern] = STATE(8976),
    [sym_attribute] = STATE(2939),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8976),
    [sym_quoted_extension] = STATE(8976),
    [sym__constant] = STATE(8993),
    [sym__signed_constant] = STATE(8976),
    [sym_number] = STATE(9174),
    [sym_signed_number] = STATE(8993),
    [sym_character] = STATE(9174),
    [sym_string] = STATE(9174),
    [sym_quoted_string] = STATE(9174),
    [sym_boolean] = STATE(9174),
    [sym_unit] = STATE(9174),
    [sym__simple_value_pattern] = STATE(8976),
    [sym_parenthesized_operator] = STATE(8976),
    [sym_module_path] = STATE(21208),
    [sym_constructor_path] = STATE(8976),
    [sym__constructor_name] = STATE(9002),
    [sym_tag] = STATE(8976),
    [aux_sym_expression_item_repeat1] = STATE(11678),
    [aux_sym_let_binding_repeat1] = STATE(2950),
    [sym__identifier] = ACTIONS(8175),
    [anon_sym_SEMI_SEMI] = ACTIONS(8133),
    [anon_sym_and] = ACTIONS(8135),
    [anon_sym_EQ] = ACTIONS(8338),
    [anon_sym_TILDE] = ACTIONS(8179),
    [anon_sym_QMARK] = ACTIONS(8179),
    [anon_sym_LPAREN] = ACTIONS(8181),
    [anon_sym_external] = ACTIONS(8135),
    [anon_sym_type] = ACTIONS(8135),
    [anon_sym_LBRACK] = ACTIONS(8183),
    [anon_sym_true] = ACTIONS(8185),
    [anon_sym_false] = ACTIONS(8185),
    [anon_sym_COLON2] = ACTIONS(8187),
    [anon_sym_LBRACE] = ACTIONS(8189),
    [anon_sym_exception] = ACTIONS(8135),
    [anon_sym_module] = ACTIONS(8135),
    [anon_sym_open] = ACTIONS(8135),
    [anon_sym_include] = ACTIONS(8135),
    [anon_sym_class] = ACTIONS(8135),
    [anon_sym_val] = ACTIONS(8135),
    [anon_sym_end] = ACTIONS(8135),
    [anon_sym_POUND] = ACTIONS(8191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8193),
    [anon_sym_begin] = ACTIONS(8195),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8133),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8197),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8199),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8133),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8133),
    [aux_sym_number_token1] = ACTIONS(8201),
    [aux_sym_signed_number_token1] = ACTIONS(8203),
    [anon_sym_SQUOTE] = ACTIONS(8205),
    [anon_sym_DQUOTE] = ACTIONS(8207),
    [sym__capitalized_identifier] = ACTIONS(8209),
    [aux_sym_tag_token1] = ACTIONS(8211),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2940] = {
    [sym_parameter] = STATE(8856),
    [sym__class_typed] = STATE(12982),
    [sym__parenthesized_abstract_type] = STATE(8856),
    [sym__simple_pattern] = STATE(8858),
    [sym_typed_pattern] = STATE(9065),
    [sym_polymorphic_variant_pattern] = STATE(9065),
    [sym_record_pattern] = STATE(9065),
    [sym_list_pattern] = STATE(9065),
    [sym_array_pattern] = STATE(9065),
    [sym_local_open_pattern] = STATE(9065),
    [sym_package_pattern] = STATE(9065),
    [sym_parenthesized_pattern] = STATE(9065),
    [sym_attribute] = STATE(2940),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(9065),
    [sym_quoted_extension] = STATE(9065),
    [sym__constant] = STATE(9146),
    [sym__signed_constant] = STATE(9065),
    [sym_number] = STATE(8909),
    [sym_signed_number] = STATE(9146),
    [sym_character] = STATE(8909),
    [sym_string] = STATE(8909),
    [sym_quoted_string] = STATE(8909),
    [sym_boolean] = STATE(8909),
    [sym_unit] = STATE(8909),
    [sym__simple_value_pattern] = STATE(9065),
    [sym_parenthesized_operator] = STATE(9065),
    [sym_module_path] = STATE(21008),
    [sym_constructor_path] = STATE(9065),
    [sym__constructor_name] = STATE(8889),
    [sym_tag] = STATE(9065),
    [aux_sym_expression_item_repeat1] = STATE(11823),
    [aux_sym_let_binding_repeat1] = STATE(2951),
    [sym__identifier] = ACTIONS(8215),
    [anon_sym_SEMI_SEMI] = ACTIONS(8065),
    [anon_sym_and] = ACTIONS(8067),
    [anon_sym_EQ] = ACTIONS(8340),
    [anon_sym_TILDE] = ACTIONS(8219),
    [anon_sym_QMARK] = ACTIONS(8219),
    [anon_sym_LPAREN] = ACTIONS(8221),
    [anon_sym_external] = ACTIONS(8067),
    [anon_sym_type] = ACTIONS(8067),
    [anon_sym_LBRACK] = ACTIONS(8223),
    [anon_sym_RBRACK] = ACTIONS(8065),
    [anon_sym_true] = ACTIONS(8225),
    [anon_sym_false] = ACTIONS(8225),
    [anon_sym_COLON2] = ACTIONS(8227),
    [anon_sym_LBRACE] = ACTIONS(8229),
    [anon_sym_exception] = ACTIONS(8067),
    [anon_sym_module] = ACTIONS(8067),
    [anon_sym_open] = ACTIONS(8067),
    [anon_sym_include] = ACTIONS(8067),
    [anon_sym_class] = ACTIONS(8067),
    [anon_sym_val] = ACTIONS(8067),
    [anon_sym_POUND] = ACTIONS(8231),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8233),
    [anon_sym_begin] = ACTIONS(8235),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8065),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8237),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8239),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8065),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8065),
    [aux_sym_number_token1] = ACTIONS(8241),
    [aux_sym_signed_number_token1] = ACTIONS(8243),
    [anon_sym_SQUOTE] = ACTIONS(8245),
    [anon_sym_DQUOTE] = ACTIONS(8247),
    [sym__capitalized_identifier] = ACTIONS(8249),
    [aux_sym_tag_token1] = ACTIONS(8251),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2941] = {
    [sym_parameter] = STATE(8856),
    [sym__class_typed] = STATE(12995),
    [sym__parenthesized_abstract_type] = STATE(8856),
    [sym__simple_pattern] = STATE(8858),
    [sym_typed_pattern] = STATE(9065),
    [sym_polymorphic_variant_pattern] = STATE(9065),
    [sym_record_pattern] = STATE(9065),
    [sym_list_pattern] = STATE(9065),
    [sym_array_pattern] = STATE(9065),
    [sym_local_open_pattern] = STATE(9065),
    [sym_package_pattern] = STATE(9065),
    [sym_parenthesized_pattern] = STATE(9065),
    [sym_attribute] = STATE(2941),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(9065),
    [sym_quoted_extension] = STATE(9065),
    [sym__constant] = STATE(9146),
    [sym__signed_constant] = STATE(9065),
    [sym_number] = STATE(8909),
    [sym_signed_number] = STATE(9146),
    [sym_character] = STATE(8909),
    [sym_string] = STATE(8909),
    [sym_quoted_string] = STATE(8909),
    [sym_boolean] = STATE(8909),
    [sym_unit] = STATE(8909),
    [sym__simple_value_pattern] = STATE(9065),
    [sym_parenthesized_operator] = STATE(9065),
    [sym_module_path] = STATE(21008),
    [sym_constructor_path] = STATE(9065),
    [sym__constructor_name] = STATE(8889),
    [sym_tag] = STATE(9065),
    [aux_sym_expression_item_repeat1] = STATE(11679),
    [aux_sym_let_binding_repeat1] = STATE(2931),
    [sym__identifier] = ACTIONS(8215),
    [anon_sym_SEMI_SEMI] = ACTIONS(8005),
    [anon_sym_and] = ACTIONS(8007),
    [anon_sym_EQ] = ACTIONS(8342),
    [anon_sym_TILDE] = ACTIONS(8219),
    [anon_sym_QMARK] = ACTIONS(8219),
    [anon_sym_LPAREN] = ACTIONS(8221),
    [anon_sym_external] = ACTIONS(8007),
    [anon_sym_type] = ACTIONS(8007),
    [anon_sym_LBRACK] = ACTIONS(8223),
    [anon_sym_RBRACK] = ACTIONS(8005),
    [anon_sym_true] = ACTIONS(8225),
    [anon_sym_false] = ACTIONS(8225),
    [anon_sym_COLON2] = ACTIONS(8227),
    [anon_sym_LBRACE] = ACTIONS(8229),
    [anon_sym_exception] = ACTIONS(8007),
    [anon_sym_module] = ACTIONS(8007),
    [anon_sym_open] = ACTIONS(8007),
    [anon_sym_include] = ACTIONS(8007),
    [anon_sym_class] = ACTIONS(8007),
    [anon_sym_val] = ACTIONS(8007),
    [anon_sym_POUND] = ACTIONS(8231),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8233),
    [anon_sym_begin] = ACTIONS(8235),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8005),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8237),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8239),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8005),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8005),
    [aux_sym_number_token1] = ACTIONS(8241),
    [aux_sym_signed_number_token1] = ACTIONS(8243),
    [anon_sym_SQUOTE] = ACTIONS(8245),
    [anon_sym_DQUOTE] = ACTIONS(8247),
    [sym__capitalized_identifier] = ACTIONS(8249),
    [aux_sym_tag_token1] = ACTIONS(8251),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2942] = {
    [sym_parameter] = STATE(8905),
    [sym__class_typed] = STATE(13054),
    [sym__parenthesized_abstract_type] = STATE(8905),
    [sym__simple_pattern] = STATE(9012),
    [sym_typed_pattern] = STATE(8976),
    [sym_polymorphic_variant_pattern] = STATE(8976),
    [sym_record_pattern] = STATE(8976),
    [sym_list_pattern] = STATE(8976),
    [sym_array_pattern] = STATE(8976),
    [sym_local_open_pattern] = STATE(8976),
    [sym_package_pattern] = STATE(8976),
    [sym_parenthesized_pattern] = STATE(8976),
    [sym_attribute] = STATE(2942),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8976),
    [sym_quoted_extension] = STATE(8976),
    [sym__constant] = STATE(8993),
    [sym__signed_constant] = STATE(8976),
    [sym_number] = STATE(9174),
    [sym_signed_number] = STATE(8993),
    [sym_character] = STATE(9174),
    [sym_string] = STATE(9174),
    [sym_quoted_string] = STATE(9174),
    [sym_boolean] = STATE(9174),
    [sym_unit] = STATE(9174),
    [sym__simple_value_pattern] = STATE(8976),
    [sym_parenthesized_operator] = STATE(8976),
    [sym_module_path] = STATE(21208),
    [sym_constructor_path] = STATE(8976),
    [sym__constructor_name] = STATE(9002),
    [sym_tag] = STATE(8976),
    [aux_sym_expression_item_repeat1] = STATE(11708),
    [aux_sym_let_binding_repeat1] = STATE(2927),
    [sym__identifier] = ACTIONS(8175),
    [anon_sym_SEMI_SEMI] = ACTIONS(8123),
    [anon_sym_and] = ACTIONS(8125),
    [anon_sym_EQ] = ACTIONS(8344),
    [anon_sym_TILDE] = ACTIONS(8179),
    [anon_sym_QMARK] = ACTIONS(8179),
    [anon_sym_LPAREN] = ACTIONS(8181),
    [anon_sym_external] = ACTIONS(8125),
    [anon_sym_type] = ACTIONS(8125),
    [anon_sym_LBRACK] = ACTIONS(8183),
    [anon_sym_true] = ACTIONS(8185),
    [anon_sym_false] = ACTIONS(8185),
    [anon_sym_COLON2] = ACTIONS(8187),
    [anon_sym_LBRACE] = ACTIONS(8189),
    [anon_sym_exception] = ACTIONS(8125),
    [anon_sym_module] = ACTIONS(8125),
    [anon_sym_open] = ACTIONS(8125),
    [anon_sym_include] = ACTIONS(8125),
    [anon_sym_class] = ACTIONS(8125),
    [anon_sym_val] = ACTIONS(8125),
    [anon_sym_end] = ACTIONS(8125),
    [anon_sym_POUND] = ACTIONS(8191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8193),
    [anon_sym_begin] = ACTIONS(8195),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8123),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8197),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8199),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8123),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8123),
    [aux_sym_number_token1] = ACTIONS(8201),
    [aux_sym_signed_number_token1] = ACTIONS(8203),
    [anon_sym_SQUOTE] = ACTIONS(8205),
    [anon_sym_DQUOTE] = ACTIONS(8207),
    [sym__capitalized_identifier] = ACTIONS(8209),
    [aux_sym_tag_token1] = ACTIONS(8211),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2943] = {
    [sym_parameter] = STATE(8856),
    [sym__class_typed] = STATE(12977),
    [sym__parenthesized_abstract_type] = STATE(8856),
    [sym__simple_pattern] = STATE(8858),
    [sym_typed_pattern] = STATE(9065),
    [sym_polymorphic_variant_pattern] = STATE(9065),
    [sym_record_pattern] = STATE(9065),
    [sym_list_pattern] = STATE(9065),
    [sym_array_pattern] = STATE(9065),
    [sym_local_open_pattern] = STATE(9065),
    [sym_package_pattern] = STATE(9065),
    [sym_parenthesized_pattern] = STATE(9065),
    [sym_attribute] = STATE(2943),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(9065),
    [sym_quoted_extension] = STATE(9065),
    [sym__constant] = STATE(9146),
    [sym__signed_constant] = STATE(9065),
    [sym_number] = STATE(8909),
    [sym_signed_number] = STATE(9146),
    [sym_character] = STATE(8909),
    [sym_string] = STATE(8909),
    [sym_quoted_string] = STATE(8909),
    [sym_boolean] = STATE(8909),
    [sym_unit] = STATE(8909),
    [sym__simple_value_pattern] = STATE(9065),
    [sym_parenthesized_operator] = STATE(9065),
    [sym_module_path] = STATE(21008),
    [sym_constructor_path] = STATE(9065),
    [sym__constructor_name] = STATE(8889),
    [sym_tag] = STATE(9065),
    [aux_sym_expression_item_repeat1] = STATE(11871),
    [aux_sym_let_binding_repeat1] = STATE(2940),
    [sym__identifier] = ACTIONS(8215),
    [anon_sym_SEMI_SEMI] = ACTIONS(8145),
    [anon_sym_and] = ACTIONS(8147),
    [anon_sym_EQ] = ACTIONS(8346),
    [anon_sym_TILDE] = ACTIONS(8219),
    [anon_sym_QMARK] = ACTIONS(8219),
    [anon_sym_LPAREN] = ACTIONS(8221),
    [anon_sym_external] = ACTIONS(8147),
    [anon_sym_type] = ACTIONS(8147),
    [anon_sym_LBRACK] = ACTIONS(8223),
    [anon_sym_RBRACK] = ACTIONS(8145),
    [anon_sym_true] = ACTIONS(8225),
    [anon_sym_false] = ACTIONS(8225),
    [anon_sym_COLON2] = ACTIONS(8227),
    [anon_sym_LBRACE] = ACTIONS(8229),
    [anon_sym_exception] = ACTIONS(8147),
    [anon_sym_module] = ACTIONS(8147),
    [anon_sym_open] = ACTIONS(8147),
    [anon_sym_include] = ACTIONS(8147),
    [anon_sym_class] = ACTIONS(8147),
    [anon_sym_val] = ACTIONS(8147),
    [anon_sym_POUND] = ACTIONS(8231),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8233),
    [anon_sym_begin] = ACTIONS(8235),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8145),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8237),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8239),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8145),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8145),
    [aux_sym_number_token1] = ACTIONS(8241),
    [aux_sym_signed_number_token1] = ACTIONS(8243),
    [anon_sym_SQUOTE] = ACTIONS(8245),
    [anon_sym_DQUOTE] = ACTIONS(8247),
    [sym__capitalized_identifier] = ACTIONS(8249),
    [aux_sym_tag_token1] = ACTIONS(8251),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2944] = {
    [sym_parameter] = STATE(8905),
    [sym__class_typed] = STATE(13051),
    [sym__parenthesized_abstract_type] = STATE(8905),
    [sym__simple_pattern] = STATE(9012),
    [sym_typed_pattern] = STATE(8976),
    [sym_polymorphic_variant_pattern] = STATE(8976),
    [sym_record_pattern] = STATE(8976),
    [sym_list_pattern] = STATE(8976),
    [sym_array_pattern] = STATE(8976),
    [sym_local_open_pattern] = STATE(8976),
    [sym_package_pattern] = STATE(8976),
    [sym_parenthesized_pattern] = STATE(8976),
    [sym_attribute] = STATE(2944),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8976),
    [sym_quoted_extension] = STATE(8976),
    [sym__constant] = STATE(8993),
    [sym__signed_constant] = STATE(8976),
    [sym_number] = STATE(9174),
    [sym_signed_number] = STATE(8993),
    [sym_character] = STATE(9174),
    [sym_string] = STATE(9174),
    [sym_quoted_string] = STATE(9174),
    [sym_boolean] = STATE(9174),
    [sym_unit] = STATE(9174),
    [sym__simple_value_pattern] = STATE(8976),
    [sym_parenthesized_operator] = STATE(8976),
    [sym_module_path] = STATE(21208),
    [sym_constructor_path] = STATE(8976),
    [sym__constructor_name] = STATE(9002),
    [sym_tag] = STATE(8976),
    [aux_sym_expression_item_repeat1] = STATE(11679),
    [aux_sym_let_binding_repeat1] = STATE(2945),
    [sym__identifier] = ACTIONS(8175),
    [anon_sym_SEMI_SEMI] = ACTIONS(8005),
    [anon_sym_and] = ACTIONS(8007),
    [anon_sym_EQ] = ACTIONS(8348),
    [anon_sym_TILDE] = ACTIONS(8179),
    [anon_sym_QMARK] = ACTIONS(8179),
    [anon_sym_LPAREN] = ACTIONS(8181),
    [anon_sym_external] = ACTIONS(8007),
    [anon_sym_type] = ACTIONS(8007),
    [anon_sym_LBRACK] = ACTIONS(8183),
    [anon_sym_true] = ACTIONS(8185),
    [anon_sym_false] = ACTIONS(8185),
    [anon_sym_COLON2] = ACTIONS(8187),
    [anon_sym_LBRACE] = ACTIONS(8189),
    [anon_sym_exception] = ACTIONS(8007),
    [anon_sym_module] = ACTIONS(8007),
    [anon_sym_open] = ACTIONS(8007),
    [anon_sym_include] = ACTIONS(8007),
    [anon_sym_class] = ACTIONS(8007),
    [anon_sym_val] = ACTIONS(8007),
    [anon_sym_end] = ACTIONS(8007),
    [anon_sym_POUND] = ACTIONS(8191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8193),
    [anon_sym_begin] = ACTIONS(8195),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8005),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8197),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8199),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8005),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8005),
    [aux_sym_number_token1] = ACTIONS(8201),
    [aux_sym_signed_number_token1] = ACTIONS(8203),
    [anon_sym_SQUOTE] = ACTIONS(8205),
    [anon_sym_DQUOTE] = ACTIONS(8207),
    [sym__capitalized_identifier] = ACTIONS(8209),
    [aux_sym_tag_token1] = ACTIONS(8211),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2945] = {
    [sym_parameter] = STATE(8905),
    [sym__class_typed] = STATE(13052),
    [sym__parenthesized_abstract_type] = STATE(8905),
    [sym__simple_pattern] = STATE(9012),
    [sym_typed_pattern] = STATE(8976),
    [sym_polymorphic_variant_pattern] = STATE(8976),
    [sym_record_pattern] = STATE(8976),
    [sym_list_pattern] = STATE(8976),
    [sym_array_pattern] = STATE(8976),
    [sym_local_open_pattern] = STATE(8976),
    [sym_package_pattern] = STATE(8976),
    [sym_parenthesized_pattern] = STATE(8976),
    [sym_attribute] = STATE(2945),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(8976),
    [sym_quoted_extension] = STATE(8976),
    [sym__constant] = STATE(8993),
    [sym__signed_constant] = STATE(8976),
    [sym_number] = STATE(9174),
    [sym_signed_number] = STATE(8993),
    [sym_character] = STATE(9174),
    [sym_string] = STATE(9174),
    [sym_quoted_string] = STATE(9174),
    [sym_boolean] = STATE(9174),
    [sym_unit] = STATE(9174),
    [sym__simple_value_pattern] = STATE(8976),
    [sym_parenthesized_operator] = STATE(8976),
    [sym_module_path] = STATE(21208),
    [sym_constructor_path] = STATE(8976),
    [sym__constructor_name] = STATE(9002),
    [sym_tag] = STATE(8976),
    [aux_sym_expression_item_repeat1] = STATE(11706),
    [aux_sym_let_binding_repeat1] = STATE(2950),
    [sym__identifier] = ACTIONS(8175),
    [anon_sym_SEMI_SEMI] = ACTIONS(8017),
    [anon_sym_and] = ACTIONS(8019),
    [anon_sym_EQ] = ACTIONS(8350),
    [anon_sym_TILDE] = ACTIONS(8179),
    [anon_sym_QMARK] = ACTIONS(8179),
    [anon_sym_LPAREN] = ACTIONS(8181),
    [anon_sym_external] = ACTIONS(8019),
    [anon_sym_type] = ACTIONS(8019),
    [anon_sym_LBRACK] = ACTIONS(8183),
    [anon_sym_true] = ACTIONS(8185),
    [anon_sym_false] = ACTIONS(8185),
    [anon_sym_COLON2] = ACTIONS(8187),
    [anon_sym_LBRACE] = ACTIONS(8189),
    [anon_sym_exception] = ACTIONS(8019),
    [anon_sym_module] = ACTIONS(8019),
    [anon_sym_open] = ACTIONS(8019),
    [anon_sym_include] = ACTIONS(8019),
    [anon_sym_class] = ACTIONS(8019),
    [anon_sym_val] = ACTIONS(8019),
    [anon_sym_end] = ACTIONS(8019),
    [anon_sym_POUND] = ACTIONS(8191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8193),
    [anon_sym_begin] = ACTIONS(8195),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8017),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8197),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8199),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8017),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8017),
    [aux_sym_number_token1] = ACTIONS(8201),
    [aux_sym_signed_number_token1] = ACTIONS(8203),
    [anon_sym_SQUOTE] = ACTIONS(8205),
    [anon_sym_DQUOTE] = ACTIONS(8207),
    [sym__capitalized_identifier] = ACTIONS(8209),
    [aux_sym_tag_token1] = ACTIONS(8211),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2946] = {
    [sym__simple_pattern] = STATE(14477),
    [sym__pattern] = STATE(14404),
    [sym_alias_pattern] = STATE(14477),
    [sym_typed_pattern] = STATE(14481),
    [sym_or_pattern] = STATE(14477),
    [sym_constructor_pattern] = STATE(14477),
    [sym_tag_pattern] = STATE(14477),
    [sym_polymorphic_variant_pattern] = STATE(14481),
    [sym_tuple_pattern] = STATE(14477),
    [sym_record_pattern] = STATE(14481),
    [sym_list_pattern] = STATE(14481),
    [sym_cons_pattern] = STATE(14477),
    [sym_array_pattern] = STATE(14481),
    [sym_range_pattern] = STATE(14477),
    [sym_lazy_pattern] = STATE(14477),
    [sym_local_open_pattern] = STATE(14481),
    [sym_package_pattern] = STATE(14481),
    [sym_parenthesized_pattern] = STATE(14481),
    [sym_exception_pattern] = STATE(14477),
    [sym_attribute] = STATE(2946),
    [sym_extension] = STATE(14481),
    [sym_quoted_extension] = STATE(14481),
    [sym__constant] = STATE(14253),
    [sym__signed_constant] = STATE(14213),
    [sym_number] = STATE(13229),
    [sym_signed_number] = STATE(14253),
    [sym_character] = STATE(13229),
    [sym_string] = STATE(13229),
    [sym_quoted_string] = STATE(13229),
    [sym_boolean] = STATE(13229),
    [sym_unit] = STATE(13229),
    [sym__simple_value_pattern] = STATE(14481),
    [sym_parenthesized_operator] = STATE(14481),
    [sym_module_path] = STATE(21455),
    [sym_constructor_path] = STATE(2928),
    [sym__constructor_name] = STATE(10069),
    [sym_tag] = STATE(2946),
    [sym__identifier] = ACTIONS(6291),
    [anon_sym_EQ] = ACTIONS(8255),
    [anon_sym_LPAREN] = ACTIONS(6293),
    [anon_sym_RPAREN] = ACTIONS(8255),
    [anon_sym_COMMA] = ACTIONS(8255),
    [anon_sym_PIPE] = ACTIONS(8255),
    [anon_sym_LBRACK] = ACTIONS(6299),
    [anon_sym_RBRACK] = ACTIONS(8255),
    [anon_sym_true] = ACTIONS(6301),
    [anon_sym_false] = ACTIONS(6301),
    [anon_sym_COLON2] = ACTIONS(8259),
    [anon_sym_DASH_GT] = ACTIONS(8255),
    [anon_sym_LBRACE] = ACTIONS(6305),
    [anon_sym_SEMI] = ACTIONS(8255),
    [anon_sym_RBRACE] = ACTIONS(8255),
    [anon_sym_exception] = ACTIONS(6307),
    [anon_sym_as] = ACTIONS(8259),
    [anon_sym_POUND] = ACTIONS(8261),
    [anon_sym_COLON_COLON] = ACTIONS(8255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6315),
    [anon_sym_when] = ACTIONS(8259),
    [anon_sym_lazy] = ACTIONS(6317),
    [anon_sym_begin] = ACTIONS(6319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6323),
    [aux_sym_number_token1] = ACTIONS(6325),
    [aux_sym_signed_number_token1] = ACTIONS(8263),
    [anon_sym_SQUOTE] = ACTIONS(6329),
    [anon_sym_DQUOTE] = ACTIONS(6331),
    [sym__capitalized_identifier] = ACTIONS(6335),
    [aux_sym_tag_token1] = ACTIONS(6337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2947] = {
    [sym_parameter] = STATE(8515),
    [sym__parenthesized_abstract_type] = STATE(8515),
    [sym__simple_pattern] = STATE(8519),
    [sym_typed_pattern] = STATE(8494),
    [sym_polymorphic_variant_pattern] = STATE(8494),
    [sym_record_pattern] = STATE(8494),
    [sym_list_pattern] = STATE(8494),
    [sym_array_pattern] = STATE(8494),
    [sym_local_open_pattern] = STATE(8494),
    [sym_package_pattern] = STATE(8494),
    [sym_parenthesized_pattern] = STATE(8494),
    [sym_attribute] = STATE(2947),
    [sym_extension] = STATE(8494),
    [sym_quoted_extension] = STATE(8494),
    [sym__constant] = STATE(8591),
    [sym__signed_constant] = STATE(8494),
    [sym_number] = STATE(8487),
    [sym_signed_number] = STATE(8591),
    [sym_character] = STATE(8487),
    [sym_string] = STATE(8487),
    [sym_quoted_string] = STATE(8487),
    [sym_boolean] = STATE(8487),
    [sym_unit] = STATE(8487),
    [sym__simple_value_pattern] = STATE(8494),
    [sym_parenthesized_operator] = STATE(8494),
    [sym_module_path] = STATE(20781),
    [sym_constructor_path] = STATE(8494),
    [sym__constructor_name] = STATE(8546),
    [sym_tag] = STATE(8494),
    [aux_sym_let_binding_repeat1] = STATE(2947),
    [sym__identifier] = ACTIONS(8352),
    [anon_sym_SEMI_SEMI] = ACTIONS(8281),
    [anon_sym_let] = ACTIONS(8286),
    [anon_sym_and] = ACTIONS(8286),
    [anon_sym_EQ] = ACTIONS(8281),
    [anon_sym_TILDE] = ACTIONS(8355),
    [anon_sym_QMARK] = ACTIONS(8355),
    [anon_sym_LPAREN] = ACTIONS(8358),
    [anon_sym_external] = ACTIONS(8286),
    [anon_sym_type] = ACTIONS(8286),
    [anon_sym_LBRACK] = ACTIONS(8361),
    [anon_sym_true] = ACTIONS(8364),
    [anon_sym_false] = ACTIONS(8364),
    [anon_sym_COLON2] = ACTIONS(8281),
    [anon_sym_LBRACE] = ACTIONS(8367),
    [anon_sym_exception] = ACTIONS(8286),
    [anon_sym_module] = ACTIONS(8286),
    [anon_sym_open] = ACTIONS(8286),
    [anon_sym_include] = ACTIONS(8286),
    [anon_sym_class] = ACTIONS(8286),
    [anon_sym_end] = ACTIONS(8286),
    [anon_sym_POUND] = ACTIONS(8370),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8373),
    [anon_sym_begin] = ACTIONS(8376),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(8286),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8281),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8379),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8382),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8281),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8281),
    [aux_sym_number_token1] = ACTIONS(8385),
    [aux_sym_signed_number_token1] = ACTIONS(8388),
    [anon_sym_SQUOTE] = ACTIONS(8391),
    [anon_sym_DQUOTE] = ACTIONS(8394),
    [sym_let_operator] = ACTIONS(8281),
    [sym__capitalized_identifier] = ACTIONS(8397),
    [aux_sym_directive_token1] = ACTIONS(8286),
    [aux_sym_tag_token1] = ACTIONS(8400),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2948] = {
    [sym__binding_pattern] = STATE(10128),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2948),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_and] = ACTIONS(5955),
    [anon_sym_COLON_GT] = ACTIONS(5951),
    [anon_sym_EQ] = ACTIONS(5951),
    [anon_sym_TILDE] = ACTIONS(5951),
    [anon_sym_QMARK] = ACTIONS(5951),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_COMMA] = ACTIONS(5951),
    [anon_sym_PIPE] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_COLON2] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_in] = ACTIONS(5955),
    [anon_sym_as] = ACTIONS(5955),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_COLON_COLON] = ACTIONS(5951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5951),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym_let_and_operator] = ACTIONS(5951),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2949] = {
    [sym__binding_pattern] = STATE(10169),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2949),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_and] = ACTIONS(5955),
    [anon_sym_COLON_GT] = ACTIONS(5951),
    [anon_sym_EQ] = ACTIONS(5951),
    [anon_sym_TILDE] = ACTIONS(5951),
    [anon_sym_QMARK] = ACTIONS(5951),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_COMMA] = ACTIONS(5951),
    [anon_sym_PIPE] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_COLON2] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_in] = ACTIONS(5955),
    [anon_sym_as] = ACTIONS(5955),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_COLON_COLON] = ACTIONS(5951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5951),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym_let_and_operator] = ACTIONS(5951),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2950] = {
    [sym_parameter] = STATE(8905),
    [sym__parenthesized_abstract_type] = STATE(8905),
    [sym__simple_pattern] = STATE(9012),
    [sym_typed_pattern] = STATE(8976),
    [sym_polymorphic_variant_pattern] = STATE(8976),
    [sym_record_pattern] = STATE(8976),
    [sym_list_pattern] = STATE(8976),
    [sym_array_pattern] = STATE(8976),
    [sym_local_open_pattern] = STATE(8976),
    [sym_package_pattern] = STATE(8976),
    [sym_parenthesized_pattern] = STATE(8976),
    [sym_attribute] = STATE(2950),
    [sym_extension] = STATE(8976),
    [sym_quoted_extension] = STATE(8976),
    [sym__constant] = STATE(8993),
    [sym__signed_constant] = STATE(8976),
    [sym_number] = STATE(9174),
    [sym_signed_number] = STATE(8993),
    [sym_character] = STATE(9174),
    [sym_string] = STATE(9174),
    [sym_quoted_string] = STATE(9174),
    [sym_boolean] = STATE(9174),
    [sym_unit] = STATE(9174),
    [sym__simple_value_pattern] = STATE(8976),
    [sym_parenthesized_operator] = STATE(8976),
    [sym_module_path] = STATE(21208),
    [sym_constructor_path] = STATE(8976),
    [sym__constructor_name] = STATE(9002),
    [sym_tag] = STATE(8976),
    [aux_sym_let_binding_repeat1] = STATE(2950),
    [sym__identifier] = ACTIONS(8437),
    [anon_sym_SEMI_SEMI] = ACTIONS(8281),
    [anon_sym_and] = ACTIONS(8286),
    [anon_sym_EQ] = ACTIONS(8281),
    [anon_sym_TILDE] = ACTIONS(8440),
    [anon_sym_QMARK] = ACTIONS(8440),
    [anon_sym_LPAREN] = ACTIONS(8443),
    [anon_sym_external] = ACTIONS(8286),
    [anon_sym_type] = ACTIONS(8286),
    [anon_sym_LBRACK] = ACTIONS(8446),
    [anon_sym_true] = ACTIONS(8449),
    [anon_sym_false] = ACTIONS(8449),
    [anon_sym_COLON2] = ACTIONS(8281),
    [anon_sym_LBRACE] = ACTIONS(8452),
    [anon_sym_exception] = ACTIONS(8286),
    [anon_sym_module] = ACTIONS(8286),
    [anon_sym_open] = ACTIONS(8286),
    [anon_sym_include] = ACTIONS(8286),
    [anon_sym_class] = ACTIONS(8286),
    [anon_sym_val] = ACTIONS(8286),
    [anon_sym_end] = ACTIONS(8286),
    [anon_sym_POUND] = ACTIONS(8455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8458),
    [anon_sym_begin] = ACTIONS(8461),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(8286),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8281),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8464),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8467),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8281),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8281),
    [aux_sym_number_token1] = ACTIONS(8470),
    [aux_sym_signed_number_token1] = ACTIONS(8473),
    [anon_sym_SQUOTE] = ACTIONS(8476),
    [anon_sym_DQUOTE] = ACTIONS(8479),
    [sym__capitalized_identifier] = ACTIONS(8482),
    [aux_sym_tag_token1] = ACTIONS(8485),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2951] = {
    [sym_parameter] = STATE(8856),
    [sym__parenthesized_abstract_type] = STATE(8856),
    [sym__simple_pattern] = STATE(8858),
    [sym_typed_pattern] = STATE(9065),
    [sym_polymorphic_variant_pattern] = STATE(9065),
    [sym_record_pattern] = STATE(9065),
    [sym_list_pattern] = STATE(9065),
    [sym_array_pattern] = STATE(9065),
    [sym_local_open_pattern] = STATE(9065),
    [sym_package_pattern] = STATE(9065),
    [sym_parenthesized_pattern] = STATE(9065),
    [sym_attribute] = STATE(2951),
    [sym_extension] = STATE(9065),
    [sym_quoted_extension] = STATE(9065),
    [sym__constant] = STATE(9146),
    [sym__signed_constant] = STATE(9065),
    [sym_number] = STATE(8909),
    [sym_signed_number] = STATE(9146),
    [sym_character] = STATE(8909),
    [sym_string] = STATE(8909),
    [sym_quoted_string] = STATE(8909),
    [sym_boolean] = STATE(8909),
    [sym_unit] = STATE(8909),
    [sym__simple_value_pattern] = STATE(9065),
    [sym_parenthesized_operator] = STATE(9065),
    [sym_module_path] = STATE(21008),
    [sym_constructor_path] = STATE(9065),
    [sym__constructor_name] = STATE(8889),
    [sym_tag] = STATE(9065),
    [aux_sym_let_binding_repeat1] = STATE(2951),
    [sym__identifier] = ACTIONS(8488),
    [anon_sym_SEMI_SEMI] = ACTIONS(8281),
    [anon_sym_and] = ACTIONS(8286),
    [anon_sym_EQ] = ACTIONS(8281),
    [anon_sym_TILDE] = ACTIONS(8491),
    [anon_sym_QMARK] = ACTIONS(8491),
    [anon_sym_LPAREN] = ACTIONS(8494),
    [anon_sym_external] = ACTIONS(8286),
    [anon_sym_type] = ACTIONS(8286),
    [anon_sym_LBRACK] = ACTIONS(8497),
    [anon_sym_RBRACK] = ACTIONS(8281),
    [anon_sym_true] = ACTIONS(8500),
    [anon_sym_false] = ACTIONS(8500),
    [anon_sym_COLON2] = ACTIONS(8281),
    [anon_sym_LBRACE] = ACTIONS(8503),
    [anon_sym_exception] = ACTIONS(8286),
    [anon_sym_module] = ACTIONS(8286),
    [anon_sym_open] = ACTIONS(8286),
    [anon_sym_include] = ACTIONS(8286),
    [anon_sym_class] = ACTIONS(8286),
    [anon_sym_val] = ACTIONS(8286),
    [anon_sym_POUND] = ACTIONS(8506),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8509),
    [anon_sym_begin] = ACTIONS(8512),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(8286),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8281),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8518),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8281),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8281),
    [aux_sym_number_token1] = ACTIONS(8521),
    [aux_sym_signed_number_token1] = ACTIONS(8524),
    [anon_sym_SQUOTE] = ACTIONS(8527),
    [anon_sym_DQUOTE] = ACTIONS(8530),
    [sym__capitalized_identifier] = ACTIONS(8533),
    [aux_sym_tag_token1] = ACTIONS(8536),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2952] = {
    [sym_parameter] = STATE(10006),
    [sym__polymorphic_typed] = STATE(14224),
    [sym__parenthesized_abstract_type] = STATE(10006),
    [sym__simple_pattern] = STATE(10023),
    [sym_typed_pattern] = STATE(10089),
    [sym_polymorphic_variant_pattern] = STATE(10089),
    [sym_record_pattern] = STATE(10089),
    [sym_list_pattern] = STATE(10089),
    [sym_array_pattern] = STATE(10089),
    [sym_local_open_pattern] = STATE(10089),
    [sym_package_pattern] = STATE(10089),
    [sym_parenthesized_pattern] = STATE(10089),
    [sym_attribute] = STATE(2952),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(10089),
    [sym_quoted_extension] = STATE(10089),
    [sym__constant] = STATE(10071),
    [sym__signed_constant] = STATE(10089),
    [sym_number] = STATE(9850),
    [sym_signed_number] = STATE(10071),
    [sym_character] = STATE(9850),
    [sym_string] = STATE(9850),
    [sym_quoted_string] = STATE(9850),
    [sym_boolean] = STATE(9850),
    [sym_unit] = STATE(9850),
    [sym__simple_value_pattern] = STATE(10089),
    [sym_parenthesized_operator] = STATE(10089),
    [sym_module_path] = STATE(20415),
    [sym_constructor_path] = STATE(10089),
    [sym__constructor_name] = STATE(10007),
    [sym_tag] = STATE(10089),
    [aux_sym_expression_item_repeat1] = STATE(14337),
    [aux_sym_let_binding_repeat1] = STATE(2953),
    [sym__identifier] = ACTIONS(8539),
    [anon_sym_EQ] = ACTIONS(8541),
    [anon_sym_TILDE] = ACTIONS(8543),
    [anon_sym_QMARK] = ACTIONS(8543),
    [anon_sym_LPAREN] = ACTIONS(8545),
    [anon_sym_LBRACK] = ACTIONS(8547),
    [anon_sym_true] = ACTIONS(8549),
    [anon_sym_false] = ACTIONS(8549),
    [anon_sym_COLON2] = ACTIONS(8551),
    [anon_sym_LBRACE] = ACTIONS(8553),
    [anon_sym_constraint] = ACTIONS(8555),
    [anon_sym_val] = ACTIONS(8555),
    [anon_sym_end] = ACTIONS(8555),
    [anon_sym_inherit] = ACTIONS(8555),
    [anon_sym_method] = ACTIONS(8555),
    [anon_sym_initializer] = ACTIONS(8555),
    [anon_sym_POUND] = ACTIONS(8557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8559),
    [anon_sym_begin] = ACTIONS(8561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8563),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8567),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8563),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8563),
    [aux_sym_number_token1] = ACTIONS(8569),
    [aux_sym_signed_number_token1] = ACTIONS(8571),
    [anon_sym_SQUOTE] = ACTIONS(8573),
    [anon_sym_DQUOTE] = ACTIONS(8575),
    [sym__capitalized_identifier] = ACTIONS(8577),
    [aux_sym_tag_token1] = ACTIONS(8579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2953] = {
    [sym_parameter] = STATE(10006),
    [sym__polymorphic_typed] = STATE(14223),
    [sym__parenthesized_abstract_type] = STATE(10006),
    [sym__simple_pattern] = STATE(10023),
    [sym_typed_pattern] = STATE(10089),
    [sym_polymorphic_variant_pattern] = STATE(10089),
    [sym_record_pattern] = STATE(10089),
    [sym_list_pattern] = STATE(10089),
    [sym_array_pattern] = STATE(10089),
    [sym_local_open_pattern] = STATE(10089),
    [sym_package_pattern] = STATE(10089),
    [sym_parenthesized_pattern] = STATE(10089),
    [sym_attribute] = STATE(2953),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(10089),
    [sym_quoted_extension] = STATE(10089),
    [sym__constant] = STATE(10071),
    [sym__signed_constant] = STATE(10089),
    [sym_number] = STATE(9850),
    [sym_signed_number] = STATE(10071),
    [sym_character] = STATE(9850),
    [sym_string] = STATE(9850),
    [sym_quoted_string] = STATE(9850),
    [sym_boolean] = STATE(9850),
    [sym_unit] = STATE(9850),
    [sym__simple_value_pattern] = STATE(10089),
    [sym_parenthesized_operator] = STATE(10089),
    [sym_module_path] = STATE(20415),
    [sym_constructor_path] = STATE(10089),
    [sym__constructor_name] = STATE(10007),
    [sym_tag] = STATE(10089),
    [aux_sym_expression_item_repeat1] = STATE(14480),
    [aux_sym_let_binding_repeat1] = STATE(3068),
    [sym__identifier] = ACTIONS(8539),
    [anon_sym_EQ] = ACTIONS(8581),
    [anon_sym_TILDE] = ACTIONS(8543),
    [anon_sym_QMARK] = ACTIONS(8543),
    [anon_sym_LPAREN] = ACTIONS(8545),
    [anon_sym_LBRACK] = ACTIONS(8547),
    [anon_sym_true] = ACTIONS(8549),
    [anon_sym_false] = ACTIONS(8549),
    [anon_sym_COLON2] = ACTIONS(8551),
    [anon_sym_LBRACE] = ACTIONS(8553),
    [anon_sym_constraint] = ACTIONS(8583),
    [anon_sym_val] = ACTIONS(8583),
    [anon_sym_end] = ACTIONS(8583),
    [anon_sym_inherit] = ACTIONS(8583),
    [anon_sym_method] = ACTIONS(8583),
    [anon_sym_initializer] = ACTIONS(8583),
    [anon_sym_POUND] = ACTIONS(8557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8559),
    [anon_sym_begin] = ACTIONS(8561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8585),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8567),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8585),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8585),
    [aux_sym_number_token1] = ACTIONS(8569),
    [aux_sym_signed_number_token1] = ACTIONS(8571),
    [anon_sym_SQUOTE] = ACTIONS(8573),
    [anon_sym_DQUOTE] = ACTIONS(8575),
    [sym__capitalized_identifier] = ACTIONS(8577),
    [aux_sym_tag_token1] = ACTIONS(8579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2954] = {
    [sym_parameter] = STATE(10006),
    [sym__polymorphic_typed] = STATE(14210),
    [sym__parenthesized_abstract_type] = STATE(10006),
    [sym__simple_pattern] = STATE(10023),
    [sym_typed_pattern] = STATE(10089),
    [sym_polymorphic_variant_pattern] = STATE(10089),
    [sym_record_pattern] = STATE(10089),
    [sym_list_pattern] = STATE(10089),
    [sym_array_pattern] = STATE(10089),
    [sym_local_open_pattern] = STATE(10089),
    [sym_package_pattern] = STATE(10089),
    [sym_parenthesized_pattern] = STATE(10089),
    [sym_attribute] = STATE(2954),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(10089),
    [sym_quoted_extension] = STATE(10089),
    [sym__constant] = STATE(10071),
    [sym__signed_constant] = STATE(10089),
    [sym_number] = STATE(9850),
    [sym_signed_number] = STATE(10071),
    [sym_character] = STATE(9850),
    [sym_string] = STATE(9850),
    [sym_quoted_string] = STATE(9850),
    [sym_boolean] = STATE(9850),
    [sym_unit] = STATE(9850),
    [sym__simple_value_pattern] = STATE(10089),
    [sym_parenthesized_operator] = STATE(10089),
    [sym_module_path] = STATE(20415),
    [sym_constructor_path] = STATE(10089),
    [sym__constructor_name] = STATE(10007),
    [sym_tag] = STATE(10089),
    [aux_sym_expression_item_repeat1] = STATE(14328),
    [aux_sym_let_binding_repeat1] = STATE(2955),
    [sym__identifier] = ACTIONS(8539),
    [anon_sym_EQ] = ACTIONS(8587),
    [anon_sym_TILDE] = ACTIONS(8543),
    [anon_sym_QMARK] = ACTIONS(8543),
    [anon_sym_LPAREN] = ACTIONS(8545),
    [anon_sym_LBRACK] = ACTIONS(8547),
    [anon_sym_true] = ACTIONS(8549),
    [anon_sym_false] = ACTIONS(8549),
    [anon_sym_COLON2] = ACTIONS(8551),
    [anon_sym_LBRACE] = ACTIONS(8553),
    [anon_sym_constraint] = ACTIONS(8589),
    [anon_sym_val] = ACTIONS(8589),
    [anon_sym_end] = ACTIONS(8589),
    [anon_sym_inherit] = ACTIONS(8589),
    [anon_sym_method] = ACTIONS(8589),
    [anon_sym_initializer] = ACTIONS(8589),
    [anon_sym_POUND] = ACTIONS(8557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8559),
    [anon_sym_begin] = ACTIONS(8561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8591),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8567),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8591),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8591),
    [aux_sym_number_token1] = ACTIONS(8569),
    [aux_sym_signed_number_token1] = ACTIONS(8571),
    [anon_sym_SQUOTE] = ACTIONS(8573),
    [anon_sym_DQUOTE] = ACTIONS(8575),
    [sym__capitalized_identifier] = ACTIONS(8577),
    [aux_sym_tag_token1] = ACTIONS(8579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2955] = {
    [sym_parameter] = STATE(10006),
    [sym__polymorphic_typed] = STATE(14219),
    [sym__parenthesized_abstract_type] = STATE(10006),
    [sym__simple_pattern] = STATE(10023),
    [sym_typed_pattern] = STATE(10089),
    [sym_polymorphic_variant_pattern] = STATE(10089),
    [sym_record_pattern] = STATE(10089),
    [sym_list_pattern] = STATE(10089),
    [sym_array_pattern] = STATE(10089),
    [sym_local_open_pattern] = STATE(10089),
    [sym_package_pattern] = STATE(10089),
    [sym_parenthesized_pattern] = STATE(10089),
    [sym_attribute] = STATE(2955),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(10089),
    [sym_quoted_extension] = STATE(10089),
    [sym__constant] = STATE(10071),
    [sym__signed_constant] = STATE(10089),
    [sym_number] = STATE(9850),
    [sym_signed_number] = STATE(10071),
    [sym_character] = STATE(9850),
    [sym_string] = STATE(9850),
    [sym_quoted_string] = STATE(9850),
    [sym_boolean] = STATE(9850),
    [sym_unit] = STATE(9850),
    [sym__simple_value_pattern] = STATE(10089),
    [sym_parenthesized_operator] = STATE(10089),
    [sym_module_path] = STATE(20415),
    [sym_constructor_path] = STATE(10089),
    [sym__constructor_name] = STATE(10007),
    [sym_tag] = STATE(10089),
    [aux_sym_expression_item_repeat1] = STATE(14364),
    [aux_sym_let_binding_repeat1] = STATE(3068),
    [sym__identifier] = ACTIONS(8539),
    [anon_sym_EQ] = ACTIONS(8593),
    [anon_sym_TILDE] = ACTIONS(8543),
    [anon_sym_QMARK] = ACTIONS(8543),
    [anon_sym_LPAREN] = ACTIONS(8545),
    [anon_sym_LBRACK] = ACTIONS(8547),
    [anon_sym_true] = ACTIONS(8549),
    [anon_sym_false] = ACTIONS(8549),
    [anon_sym_COLON2] = ACTIONS(8551),
    [anon_sym_LBRACE] = ACTIONS(8553),
    [anon_sym_constraint] = ACTIONS(8595),
    [anon_sym_val] = ACTIONS(8595),
    [anon_sym_end] = ACTIONS(8595),
    [anon_sym_inherit] = ACTIONS(8595),
    [anon_sym_method] = ACTIONS(8595),
    [anon_sym_initializer] = ACTIONS(8595),
    [anon_sym_POUND] = ACTIONS(8557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8559),
    [anon_sym_begin] = ACTIONS(8561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8597),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8567),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8597),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8597),
    [aux_sym_number_token1] = ACTIONS(8569),
    [aux_sym_signed_number_token1] = ACTIONS(8571),
    [anon_sym_SQUOTE] = ACTIONS(8573),
    [anon_sym_DQUOTE] = ACTIONS(8575),
    [sym__capitalized_identifier] = ACTIONS(8577),
    [aux_sym_tag_token1] = ACTIONS(8579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2956] = {
    [sym_parameter] = STATE(10006),
    [sym__polymorphic_typed] = STATE(14236),
    [sym__parenthesized_abstract_type] = STATE(10006),
    [sym__simple_pattern] = STATE(10023),
    [sym_typed_pattern] = STATE(10089),
    [sym_polymorphic_variant_pattern] = STATE(10089),
    [sym_record_pattern] = STATE(10089),
    [sym_list_pattern] = STATE(10089),
    [sym_array_pattern] = STATE(10089),
    [sym_local_open_pattern] = STATE(10089),
    [sym_package_pattern] = STATE(10089),
    [sym_parenthesized_pattern] = STATE(10089),
    [sym_attribute] = STATE(2956),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(10089),
    [sym_quoted_extension] = STATE(10089),
    [sym__constant] = STATE(10071),
    [sym__signed_constant] = STATE(10089),
    [sym_number] = STATE(9850),
    [sym_signed_number] = STATE(10071),
    [sym_character] = STATE(9850),
    [sym_string] = STATE(9850),
    [sym_quoted_string] = STATE(9850),
    [sym_boolean] = STATE(9850),
    [sym_unit] = STATE(9850),
    [sym__simple_value_pattern] = STATE(10089),
    [sym_parenthesized_operator] = STATE(10089),
    [sym_module_path] = STATE(20415),
    [sym_constructor_path] = STATE(10089),
    [sym__constructor_name] = STATE(10007),
    [sym_tag] = STATE(10089),
    [aux_sym_expression_item_repeat1] = STATE(14485),
    [aux_sym_let_binding_repeat1] = STATE(2957),
    [sym__identifier] = ACTIONS(8539),
    [anon_sym_EQ] = ACTIONS(8599),
    [anon_sym_TILDE] = ACTIONS(8543),
    [anon_sym_QMARK] = ACTIONS(8543),
    [anon_sym_LPAREN] = ACTIONS(8545),
    [anon_sym_LBRACK] = ACTIONS(8547),
    [anon_sym_true] = ACTIONS(8549),
    [anon_sym_false] = ACTIONS(8549),
    [anon_sym_COLON2] = ACTIONS(8551),
    [anon_sym_LBRACE] = ACTIONS(8553),
    [anon_sym_constraint] = ACTIONS(8601),
    [anon_sym_val] = ACTIONS(8601),
    [anon_sym_end] = ACTIONS(8601),
    [anon_sym_inherit] = ACTIONS(8601),
    [anon_sym_method] = ACTIONS(8601),
    [anon_sym_initializer] = ACTIONS(8601),
    [anon_sym_POUND] = ACTIONS(8557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8559),
    [anon_sym_begin] = ACTIONS(8561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8603),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8567),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8603),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8603),
    [aux_sym_number_token1] = ACTIONS(8569),
    [aux_sym_signed_number_token1] = ACTIONS(8571),
    [anon_sym_SQUOTE] = ACTIONS(8573),
    [anon_sym_DQUOTE] = ACTIONS(8575),
    [sym__capitalized_identifier] = ACTIONS(8577),
    [aux_sym_tag_token1] = ACTIONS(8579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2957] = {
    [sym_parameter] = STATE(10006),
    [sym__polymorphic_typed] = STATE(14227),
    [sym__parenthesized_abstract_type] = STATE(10006),
    [sym__simple_pattern] = STATE(10023),
    [sym_typed_pattern] = STATE(10089),
    [sym_polymorphic_variant_pattern] = STATE(10089),
    [sym_record_pattern] = STATE(10089),
    [sym_list_pattern] = STATE(10089),
    [sym_array_pattern] = STATE(10089),
    [sym_local_open_pattern] = STATE(10089),
    [sym_package_pattern] = STATE(10089),
    [sym_parenthesized_pattern] = STATE(10089),
    [sym_attribute] = STATE(2957),
    [sym_item_attribute] = STATE(11117),
    [sym_extension] = STATE(10089),
    [sym_quoted_extension] = STATE(10089),
    [sym__constant] = STATE(10071),
    [sym__signed_constant] = STATE(10089),
    [sym_number] = STATE(9850),
    [sym_signed_number] = STATE(10071),
    [sym_character] = STATE(9850),
    [sym_string] = STATE(9850),
    [sym_quoted_string] = STATE(9850),
    [sym_boolean] = STATE(9850),
    [sym_unit] = STATE(9850),
    [sym__simple_value_pattern] = STATE(10089),
    [sym_parenthesized_operator] = STATE(10089),
    [sym_module_path] = STATE(20415),
    [sym_constructor_path] = STATE(10089),
    [sym__constructor_name] = STATE(10007),
    [sym_tag] = STATE(10089),
    [aux_sym_expression_item_repeat1] = STATE(14371),
    [aux_sym_let_binding_repeat1] = STATE(3068),
    [sym__identifier] = ACTIONS(8539),
    [anon_sym_EQ] = ACTIONS(8605),
    [anon_sym_TILDE] = ACTIONS(8543),
    [anon_sym_QMARK] = ACTIONS(8543),
    [anon_sym_LPAREN] = ACTIONS(8545),
    [anon_sym_LBRACK] = ACTIONS(8547),
    [anon_sym_true] = ACTIONS(8549),
    [anon_sym_false] = ACTIONS(8549),
    [anon_sym_COLON2] = ACTIONS(8551),
    [anon_sym_LBRACE] = ACTIONS(8553),
    [anon_sym_constraint] = ACTIONS(8607),
    [anon_sym_val] = ACTIONS(8607),
    [anon_sym_end] = ACTIONS(8607),
    [anon_sym_inherit] = ACTIONS(8607),
    [anon_sym_method] = ACTIONS(8607),
    [anon_sym_initializer] = ACTIONS(8607),
    [anon_sym_POUND] = ACTIONS(8557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8559),
    [anon_sym_begin] = ACTIONS(8561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7927),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8609),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8567),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8609),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8609),
    [aux_sym_number_token1] = ACTIONS(8569),
    [aux_sym_signed_number_token1] = ACTIONS(8571),
    [anon_sym_SQUOTE] = ACTIONS(8573),
    [anon_sym_DQUOTE] = ACTIONS(8575),
    [sym__capitalized_identifier] = ACTIONS(8577),
    [aux_sym_tag_token1] = ACTIONS(8579),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2958] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(21151),
    [sym_module_definition] = STATE(21152),
    [sym_open_module] = STATE(21154),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2958),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2959] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(19471),
    [sym_module_definition] = STATE(19473),
    [sym_open_module] = STATE(19474),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2959),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2960] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(20117),
    [sym_module_definition] = STATE(20137),
    [sym_open_module] = STATE(20142),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2960),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2961] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(21894),
    [sym_module_definition] = STATE(21898),
    [sym_open_module] = STATE(21906),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2961),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2962] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(19356),
    [sym_module_definition] = STATE(19357),
    [sym_open_module] = STATE(19362),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2962),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2963] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(21938),
    [sym_module_definition] = STATE(21956),
    [sym_open_module] = STATE(21959),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2963),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2964] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(20321),
    [sym_module_definition] = STATE(20338),
    [sym_open_module] = STATE(20344),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2964),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2965] = {
    [sym_let_binding] = STATE(12714),
    [sym_exception_definition] = STATE(22113),
    [sym_module_definition] = STATE(22148),
    [sym_open_module] = STATE(19316),
    [sym__binding_pattern] = STATE(2819),
    [sym_alias_binding_pattern] = STATE(6330),
    [sym_typed_binding_pattern] = STATE(6330),
    [sym_or_binding_pattern] = STATE(6330),
    [sym_constructor_binding_pattern] = STATE(6330),
    [sym_tag_binding_pattern] = STATE(6330),
    [sym_polymorphic_variant_pattern] = STATE(6330),
    [sym_tuple_binding_pattern] = STATE(6330),
    [sym_record_binding_pattern] = STATE(6334),
    [sym_list_binding_pattern] = STATE(6350),
    [sym_cons_binding_pattern] = STATE(6330),
    [sym_array_binding_pattern] = STATE(6352),
    [sym_range_pattern] = STATE(6330),
    [sym_lazy_binding_pattern] = STATE(6330),
    [sym_local_open_binding_pattern] = STATE(6330),
    [sym_package_pattern] = STATE(6330),
    [sym_parenthesized_binding_pattern] = STATE(6330),
    [sym_attribute] = STATE(2965),
    [sym_extension] = STATE(6330),
    [sym_quoted_extension] = STATE(6330),
    [sym__attribute] = STATE(5493),
    [sym__constant] = STATE(6262),
    [sym__signed_constant] = STATE(6295),
    [sym_number] = STATE(6166),
    [sym_signed_number] = STATE(6262),
    [sym_character] = STATE(6166),
    [sym_string] = STATE(6166),
    [sym_quoted_string] = STATE(6166),
    [sym_boolean] = STATE(6166),
    [sym_unit] = STATE(6166),
    [sym__value_name] = STATE(6330),
    [sym_parenthesized_operator] = STATE(6411),
    [sym_module_path] = STATE(21540),
    [sym_constructor_path] = STATE(2796),
    [sym__constructor_name] = STATE(6171),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(5953),
    [anon_sym_rec] = ACTIONS(8621),
    [anon_sym_LPAREN] = ACTIONS(5957),
    [anon_sym_LBRACK] = ACTIONS(5959),
    [anon_sym_true] = ACTIONS(5961),
    [anon_sym_false] = ACTIONS(5961),
    [anon_sym_LBRACE] = ACTIONS(5963),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5967),
    [anon_sym_lazy] = ACTIONS(5969),
    [anon_sym_begin] = ACTIONS(5971),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8623),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8625),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(5977),
    [aux_sym_signed_number_token1] = ACTIONS(5979),
    [anon_sym_SQUOTE] = ACTIONS(5981),
    [anon_sym_DQUOTE] = ACTIONS(5983),
    [sym__capitalized_identifier] = ACTIONS(5985),
    [aux_sym_tag_token1] = ACTIONS(5987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2966] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(21366),
    [sym_module_definition] = STATE(21367),
    [sym_open_module] = STATE(21369),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2966),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2967] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(19238),
    [sym_module_definition] = STATE(19241),
    [sym_open_module] = STATE(19243),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2967),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2968] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(19586),
    [sym_module_definition] = STATE(19593),
    [sym_open_module] = STATE(19594),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2968),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2969] = {
    [sym_let_binding] = STATE(12573),
    [sym_exception_definition] = STATE(21588),
    [sym_module_definition] = STATE(21589),
    [sym_open_module] = STATE(21591),
    [sym__binding_pattern] = STATE(2826),
    [sym_alias_binding_pattern] = STATE(6484),
    [sym_typed_binding_pattern] = STATE(6484),
    [sym_or_binding_pattern] = STATE(6484),
    [sym_constructor_binding_pattern] = STATE(6484),
    [sym_tag_binding_pattern] = STATE(6484),
    [sym_polymorphic_variant_pattern] = STATE(6484),
    [sym_tuple_binding_pattern] = STATE(6484),
    [sym_record_binding_pattern] = STATE(6519),
    [sym_list_binding_pattern] = STATE(6538),
    [sym_cons_binding_pattern] = STATE(6484),
    [sym_array_binding_pattern] = STATE(6540),
    [sym_range_pattern] = STATE(6484),
    [sym_lazy_binding_pattern] = STATE(6484),
    [sym_local_open_binding_pattern] = STATE(6484),
    [sym_package_pattern] = STATE(6484),
    [sym_parenthesized_binding_pattern] = STATE(6484),
    [sym_attribute] = STATE(2969),
    [sym_extension] = STATE(6484),
    [sym_quoted_extension] = STATE(6484),
    [sym__attribute] = STATE(5488),
    [sym__constant] = STATE(6338),
    [sym__signed_constant] = STATE(6345),
    [sym_number] = STATE(6417),
    [sym_signed_number] = STATE(6338),
    [sym_character] = STATE(6417),
    [sym_string] = STATE(6417),
    [sym_quoted_string] = STATE(6417),
    [sym_boolean] = STATE(6417),
    [sym_unit] = STATE(6417),
    [sym__value_name] = STATE(6484),
    [sym_parenthesized_operator] = STATE(6542),
    [sym_module_path] = STATE(20763),
    [sym_constructor_path] = STATE(2803),
    [sym__constructor_name] = STATE(6363),
    [sym_tag] = STATE(2798),
    [sym__identifier] = ACTIONS(5989),
    [anon_sym_rec] = ACTIONS(8627),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_LBRACK] = ACTIONS(5993),
    [anon_sym_true] = ACTIONS(5995),
    [anon_sym_false] = ACTIONS(5995),
    [anon_sym_LBRACE] = ACTIONS(5997),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(5999),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6001),
    [anon_sym_lazy] = ACTIONS(6003),
    [anon_sym_begin] = ACTIONS(6005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8631),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(6011),
    [aux_sym_signed_number_token1] = ACTIONS(6013),
    [anon_sym_SQUOTE] = ACTIONS(6015),
    [anon_sym_DQUOTE] = ACTIONS(6017),
    [sym__capitalized_identifier] = ACTIONS(6019),
    [aux_sym_tag_token1] = ACTIONS(6021),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2970] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(21747),
    [sym_module_definition] = STATE(21749),
    [sym_open_module] = STATE(21758),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2970),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2971] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(19845),
    [sym_module_definition] = STATE(19846),
    [sym_open_module] = STATE(19851),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2971),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2972] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(20160),
    [sym_module_definition] = STATE(20162),
    [sym_open_module] = STATE(20170),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2972),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2973] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(20497),
    [sym_module_definition] = STATE(20498),
    [sym_open_module] = STATE(20499),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2973),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2974] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(20658),
    [sym_module_definition] = STATE(20659),
    [sym_open_module] = STATE(20660),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2974),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2975] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(20791),
    [sym_module_definition] = STATE(20798),
    [sym_open_module] = STATE(20799),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2975),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2976] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(19556),
    [sym_module_definition] = STATE(19564),
    [sym_open_module] = STATE(19569),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2976),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2977] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(22106),
    [sym_module_definition] = STATE(22110),
    [sym_open_module] = STATE(22111),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2977),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2978] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(22143),
    [sym_module_definition] = STATE(22153),
    [sym_open_module] = STATE(22218),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2978),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2979] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(19787),
    [sym_module_definition] = STATE(19788),
    [sym_open_module] = STATE(19789),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2979),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2980] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(21965),
    [sym_module_definition] = STATE(21967),
    [sym_open_module] = STATE(21971),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2980),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2981] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(19322),
    [sym_module_definition] = STATE(19323),
    [sym_open_module] = STATE(19328),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2981),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2982] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(22082),
    [sym_module_definition] = STATE(22084),
    [sym_open_module] = STATE(22089),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2982),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2983] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(20592),
    [sym_module_definition] = STATE(20595),
    [sym_open_module] = STATE(20601),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2983),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2984] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(21255),
    [sym_module_definition] = STATE(21520),
    [sym_open_module] = STATE(21672),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2984),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2985] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(21588),
    [sym_module_definition] = STATE(21589),
    [sym_open_module] = STATE(21591),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2985),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2986] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(21457),
    [sym_module_definition] = STATE(21464),
    [sym_open_module] = STATE(21478),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2986),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2987] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(21313),
    [sym_module_definition] = STATE(21314),
    [sym_open_module] = STATE(21315),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2987),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2988] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(21633),
    [sym_module_definition] = STATE(21637),
    [sym_open_module] = STATE(21638),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2988),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2989] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(19504),
    [sym_module_definition] = STATE(19526),
    [sym_open_module] = STATE(19541),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2989),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2990] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(19345),
    [sym_module_definition] = STATE(19435),
    [sym_open_module] = STATE(19445),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2990),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2991] = {
    [sym_parameter] = STATE(11417),
    [sym__polymorphic_typed] = STATE(19055),
    [sym__parenthesized_abstract_type] = STATE(11417),
    [sym__simple_pattern] = STATE(11447),
    [sym_typed_pattern] = STATE(11383),
    [sym_polymorphic_variant_pattern] = STATE(11383),
    [sym_record_pattern] = STATE(11383),
    [sym_list_pattern] = STATE(11383),
    [sym_array_pattern] = STATE(11383),
    [sym_local_open_pattern] = STATE(11383),
    [sym_package_pattern] = STATE(11383),
    [sym_parenthesized_pattern] = STATE(11383),
    [sym_attribute] = STATE(2991),
    [sym_item_attribute] = STATE(15965),
    [sym_extension] = STATE(11383),
    [sym_quoted_extension] = STATE(11383),
    [sym__constant] = STATE(11394),
    [sym__signed_constant] = STATE(11383),
    [sym_number] = STATE(11498),
    [sym_signed_number] = STATE(11394),
    [sym_character] = STATE(11498),
    [sym_string] = STATE(11498),
    [sym_quoted_string] = STATE(11498),
    [sym_boolean] = STATE(11498),
    [sym_unit] = STATE(11498),
    [sym__simple_value_pattern] = STATE(11383),
    [sym_parenthesized_operator] = STATE(11383),
    [sym_module_path] = STATE(19681),
    [sym_constructor_path] = STATE(11383),
    [sym__constructor_name] = STATE(9604),
    [sym_tag] = STATE(11383),
    [aux_sym_expression_item_repeat1] = STATE(15232),
    [aux_sym_let_binding_repeat1] = STATE(5633),
    [sym__identifier] = ACTIONS(6361),
    [anon_sym_and] = ACTIONS(6363),
    [anon_sym_COLON_GT] = ACTIONS(8633),
    [anon_sym_EQ] = ACTIONS(8635),
    [anon_sym_TILDE] = ACTIONS(6369),
    [anon_sym_QMARK] = ACTIONS(6369),
    [anon_sym_LPAREN] = ACTIONS(6371),
    [anon_sym_COMMA] = ACTIONS(8637),
    [anon_sym_PIPE] = ACTIONS(8639),
    [anon_sym_LBRACK] = ACTIONS(6377),
    [anon_sym_true] = ACTIONS(6379),
    [anon_sym_false] = ACTIONS(6379),
    [anon_sym_COLON2] = ACTIONS(6381),
    [anon_sym_LBRACE] = ACTIONS(6383),
    [anon_sym_in] = ACTIONS(6363),
    [anon_sym_as] = ACTIONS(8641),
    [anon_sym_POUND] = ACTIONS(6387),
    [anon_sym_COLON_COLON] = ACTIONS(8643),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6391),
    [anon_sym_begin] = ACTIONS(6393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(8645),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8647),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8649),
    [aux_sym_number_token1] = ACTIONS(6401),
    [aux_sym_signed_number_token1] = ACTIONS(6403),
    [anon_sym_SQUOTE] = ACTIONS(6405),
    [anon_sym_DQUOTE] = ACTIONS(6407),
    [sym_let_and_operator] = ACTIONS(6359),
    [sym__capitalized_identifier] = ACTIONS(6409),
    [aux_sym_tag_token1] = ACTIONS(6411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2992] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(19884),
    [sym_module_definition] = STATE(19885),
    [sym_open_module] = STATE(19887),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2992),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2993] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(20320),
    [sym_module_definition] = STATE(20336),
    [sym_open_module] = STATE(20341),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2993),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2994] = {
    [sym_let_binding] = STATE(12819),
    [sym_exception_definition] = STATE(20592),
    [sym_module_definition] = STATE(20595),
    [sym_open_module] = STATE(20601),
    [sym__binding_pattern] = STATE(2830),
    [sym_alias_binding_pattern] = STATE(6330),
    [sym_typed_binding_pattern] = STATE(6330),
    [sym_or_binding_pattern] = STATE(6330),
    [sym_constructor_binding_pattern] = STATE(6330),
    [sym_tag_binding_pattern] = STATE(6330),
    [sym_polymorphic_variant_pattern] = STATE(6330),
    [sym_tuple_binding_pattern] = STATE(6330),
    [sym_record_binding_pattern] = STATE(6334),
    [sym_list_binding_pattern] = STATE(6350),
    [sym_cons_binding_pattern] = STATE(6330),
    [sym_array_binding_pattern] = STATE(6352),
    [sym_range_pattern] = STATE(6330),
    [sym_lazy_binding_pattern] = STATE(6330),
    [sym_local_open_binding_pattern] = STATE(6330),
    [sym_package_pattern] = STATE(6330),
    [sym_parenthesized_binding_pattern] = STATE(6330),
    [sym_attribute] = STATE(2994),
    [sym_extension] = STATE(6330),
    [sym_quoted_extension] = STATE(6330),
    [sym__attribute] = STATE(5497),
    [sym__constant] = STATE(6262),
    [sym__signed_constant] = STATE(6295),
    [sym_number] = STATE(6166),
    [sym_signed_number] = STATE(6262),
    [sym_character] = STATE(6166),
    [sym_string] = STATE(6166),
    [sym_quoted_string] = STATE(6166),
    [sym_boolean] = STATE(6166),
    [sym_unit] = STATE(6166),
    [sym__value_name] = STATE(6330),
    [sym_parenthesized_operator] = STATE(6411),
    [sym_module_path] = STATE(21540),
    [sym_constructor_path] = STATE(2796),
    [sym__constructor_name] = STATE(6171),
    [sym_tag] = STATE(2797),
    [sym__identifier] = ACTIONS(5953),
    [anon_sym_rec] = ACTIONS(8651),
    [anon_sym_LPAREN] = ACTIONS(5957),
    [anon_sym_LBRACK] = ACTIONS(5959),
    [anon_sym_true] = ACTIONS(5961),
    [anon_sym_false] = ACTIONS(5961),
    [anon_sym_LBRACE] = ACTIONS(5963),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5967),
    [anon_sym_lazy] = ACTIONS(5969),
    [anon_sym_begin] = ACTIONS(5971),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8623),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8625),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(5977),
    [aux_sym_signed_number_token1] = ACTIONS(5979),
    [anon_sym_SQUOTE] = ACTIONS(5981),
    [anon_sym_DQUOTE] = ACTIONS(5983),
    [sym__capitalized_identifier] = ACTIONS(5985),
    [aux_sym_tag_token1] = ACTIONS(5987),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2995] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(21848),
    [sym_module_definition] = STATE(21854),
    [sym_open_module] = STATE(21907),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2995),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2996] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(22006),
    [sym_module_definition] = STATE(22010),
    [sym_open_module] = STATE(22013),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2996),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2997] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(20432),
    [sym_module_definition] = STATE(20434),
    [sym_open_module] = STATE(20444),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2997),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2998] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(22222),
    [sym_module_definition] = STATE(22223),
    [sym_open_module] = STATE(22225),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(2998),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2999] = {
    [sym__parenthesized_abstract_type] = STATE(4944),
    [sym__simple_pattern] = STATE(15540),
    [sym__pattern] = STATE(15265),
    [sym_alias_pattern] = STATE(15540),
    [sym_typed_pattern] = STATE(15338),
    [sym_or_pattern] = STATE(15540),
    [sym_constructor_pattern] = STATE(15540),
    [sym_tag_pattern] = STATE(15540),
    [sym_polymorphic_variant_pattern] = STATE(15338),
    [sym_tuple_pattern] = STATE(15540),
    [sym_record_pattern] = STATE(15338),
    [sym_list_pattern] = STATE(15338),
    [sym_cons_pattern] = STATE(15540),
    [sym_array_pattern] = STATE(15338),
    [sym_range_pattern] = STATE(15540),
    [sym_lazy_pattern] = STATE(15540),
    [sym_local_open_pattern] = STATE(15338),
    [sym_package_pattern] = STATE(15338),
    [sym_parenthesized_pattern] = STATE(15338),
    [sym_exception_pattern] = STATE(15540),
    [sym_attribute] = STATE(2999),
    [sym_extension] = STATE(15338),
    [sym_quoted_extension] = STATE(15338),
    [sym__constant] = STATE(15057),
    [sym__signed_constant] = STATE(15191),
    [sym_number] = STATE(15185),
    [sym_signed_number] = STATE(15057),
    [sym_character] = STATE(15185),
    [sym_string] = STATE(15185),
    [sym_quoted_string] = STATE(15185),
    [sym_boolean] = STATE(15185),
    [sym_unit] = STATE(15185),
    [sym__simple_value_pattern] = STATE(15338),
    [sym_parenthesized_operator] = STATE(15338),
    [sym_module_path] = STATE(19991),
    [sym_constructor_path] = STATE(2999),
    [sym__constructor_name] = STATE(10855),
    [sym_tag] = STATE(3016),
    [sym__identifier] = ACTIONS(8653),
    [anon_sym_LPAREN] = ACTIONS(8655),
    [anon_sym_COMMA] = ACTIONS(8255),
    [anon_sym_PIPE] = ACTIONS(8259),
    [anon_sym_LBRACK] = ACTIONS(8657),
    [anon_sym_true] = ACTIONS(8659),
    [anon_sym_false] = ACTIONS(8659),
    [anon_sym_LBRACE] = ACTIONS(8661),
    [anon_sym_SEMI] = ACTIONS(8255),
    [anon_sym_exception] = ACTIONS(8663),
    [anon_sym_as] = ACTIONS(8259),
    [anon_sym_POUND] = ACTIONS(8665),
    [anon_sym_COLON_COLON] = ACTIONS(8255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8667),
    [anon_sym_PIPE_RBRACK] = ACTIONS(8255),
    [anon_sym_lazy] = ACTIONS(8669),
    [anon_sym_begin] = ACTIONS(8671),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8673),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8675),
    [aux_sym_number_token1] = ACTIONS(8677),
    [aux_sym_signed_number_token1] = ACTIONS(8679),
    [anon_sym_SQUOTE] = ACTIONS(8681),
    [anon_sym_DQUOTE] = ACTIONS(8683),
    [sym__capitalized_identifier] = ACTIONS(8685),
    [aux_sym_tag_token1] = ACTIONS(8687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3000] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(19281),
    [sym_module_definition] = STATE(19283),
    [sym_open_module] = STATE(19286),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(3000),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3001] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(20307),
    [sym_module_definition] = STATE(20308),
    [sym_open_module] = STATE(20315),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(3001),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3002] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(20869),
    [sym_module_definition] = STATE(20870),
    [sym_open_module] = STATE(20877),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(3002),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3003] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(21425),
    [sym_module_definition] = STATE(21427),
    [sym_open_module] = STATE(21433),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(3003),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3004] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(19583),
    [sym_module_definition] = STATE(19584),
    [sym_open_module] = STATE(19585),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(3004),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3005] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(21400),
    [sym_module_definition] = STATE(21408),
    [sym_open_module] = STATE(21414),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(3005),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3006] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(19901),
    [sym_module_definition] = STATE(19904),
    [sym_open_module] = STATE(19910),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(3006),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3007] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(22113),
    [sym_module_definition] = STATE(22148),
    [sym_open_module] = STATE(19316),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(3007),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3008] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(22444),
    [sym_module_definition] = STATE(22445),
    [sym_open_module] = STATE(22447),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(3008),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3009] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(21940),
    [sym_module_definition] = STATE(21941),
    [sym_open_module] = STATE(21942),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(3009),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3010] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(19600),
    [sym_module_definition] = STATE(19611),
    [sym_open_module] = STATE(19624),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(3010),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3011] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(20744),
    [sym_module_definition] = STATE(20782),
    [sym_open_module] = STATE(20796),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(3011),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3012] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(21542),
    [sym_module_definition] = STATE(21552),
    [sym_open_module] = STATE(21554),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(3012),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3013] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(20096),
    [sym_module_definition] = STATE(20101),
    [sym_open_module] = STATE(20102),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(3013),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3014] = {
    [sym_let_binding] = STATE(15925),
    [sym_exception_definition] = STATE(20274),
    [sym_module_definition] = STATE(20282),
    [sym_open_module] = STATE(20300),
    [sym__binding_pattern] = STATE(2991),
    [sym_alias_binding_pattern] = STATE(10096),
    [sym_typed_binding_pattern] = STATE(10096),
    [sym_or_binding_pattern] = STATE(10096),
    [sym_constructor_binding_pattern] = STATE(10096),
    [sym_tag_binding_pattern] = STATE(10096),
    [sym_polymorphic_variant_pattern] = STATE(10096),
    [sym_tuple_binding_pattern] = STATE(10096),
    [sym_record_binding_pattern] = STATE(10121),
    [sym_list_binding_pattern] = STATE(10166),
    [sym_cons_binding_pattern] = STATE(10096),
    [sym_array_binding_pattern] = STATE(10156),
    [sym_range_pattern] = STATE(10096),
    [sym_lazy_binding_pattern] = STATE(10096),
    [sym_local_open_binding_pattern] = STATE(10096),
    [sym_package_pattern] = STATE(10096),
    [sym_parenthesized_binding_pattern] = STATE(10096),
    [sym_attribute] = STATE(3014),
    [sym_extension] = STATE(10096),
    [sym_quoted_extension] = STATE(10096),
    [sym__attribute] = STATE(5502),
    [sym__constant] = STATE(9877),
    [sym__signed_constant] = STATE(9975),
    [sym_number] = STATE(9773),
    [sym_signed_number] = STATE(9877),
    [sym_character] = STATE(9773),
    [sym_string] = STATE(9773),
    [sym_quoted_string] = STATE(9773),
    [sym_boolean] = STATE(9773),
    [sym_unit] = STATE(9773),
    [sym__value_name] = STATE(10096),
    [sym_parenthesized_operator] = STATE(10144),
    [sym_module_path] = STATE(19967),
    [sym_constructor_path] = STATE(2948),
    [sym__constructor_name] = STATE(9777),
    [sym_tag] = STATE(2949),
    [sym__identifier] = ACTIONS(8403),
    [anon_sym_rec] = ACTIONS(8611),
    [anon_sym_LPAREN] = ACTIONS(8405),
    [anon_sym_LBRACK] = ACTIONS(8407),
    [anon_sym_true] = ACTIONS(8409),
    [anon_sym_false] = ACTIONS(8409),
    [anon_sym_LBRACE] = ACTIONS(8411),
    [anon_sym_exception] = ACTIONS(8613),
    [anon_sym_module] = ACTIONS(8615),
    [anon_sym_open] = ACTIONS(8617),
    [anon_sym_POUND] = ACTIONS(8413),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8415),
    [anon_sym_lazy] = ACTIONS(8417),
    [anon_sym_begin] = ACTIONS(8419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8421),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8423),
    [anon_sym_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8425),
    [aux_sym_signed_number_token1] = ACTIONS(8427),
    [anon_sym_SQUOTE] = ACTIONS(8429),
    [anon_sym_DQUOTE] = ACTIONS(8431),
    [sym__capitalized_identifier] = ACTIONS(8433),
    [aux_sym_tag_token1] = ACTIONS(8435),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3015] = {
    [sym__signature] = STATE(21593),
    [sym_external] = STATE(14169),
    [sym_type_definition] = STATE(14169),
    [sym_exception_definition] = STATE(14169),
    [sym_module_definition] = STATE(14169),
    [sym_module_type_definition] = STATE(14169),
    [sym_open_module] = STATE(14169),
    [sym_class_definition] = STATE(14169),
    [sym_class_type_definition] = STATE(14169),
    [sym__signature_item] = STATE(14165),
    [sym_value_specification] = STATE(14169),
    [sym_include_module_type] = STATE(14169),
    [sym__simple_type] = STATE(13128),
    [sym__tuple_type] = STATE(14526),
    [sym__type] = STATE(17028),
    [sym_function_type] = STATE(9355),
    [sym_typed_label] = STATE(21729),
    [sym_tuple_type] = STATE(9024),
    [sym_constructed_type] = STATE(13908),
    [sym_aliased_type] = STATE(9355),
    [sym_local_open_type] = STATE(13908),
    [sym_polymorphic_variant_type] = STATE(13908),
    [sym_package_type] = STATE(13908),
    [sym_object_type] = STATE(13908),
    [sym_hash_type] = STATE(13908),
    [sym_parenthesized_type] = STATE(13908),
    [sym_attribute] = STATE(3015),
    [sym_floating_attribute] = STATE(14169),
    [sym_extension] = STATE(13908),
    [sym_quoted_extension] = STATE(13908),
    [sym_item_extension] = STATE(14169),
    [sym_quoted_item_extension] = STATE(14169),
    [sym_extended_module_path] = STATE(18898),
    [sym_type_constructor_path] = STATE(13908),
    [sym_type_variable] = STATE(13908),
    [aux_sym__structure_repeat1] = STATE(10192),
    [aux_sym__signature_repeat1] = STATE(10180),
    [sym__identifier] = ACTIONS(8689),
    [anon_sym_SEMI_SEMI] = ACTIONS(8691),
    [anon_sym_QMARK] = ACTIONS(8693),
    [anon_sym_LPAREN] = ACTIONS(8695),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(8699),
    [anon_sym_RBRACK] = ACTIONS(8701),
    [anon_sym_exception] = ACTIONS(8703),
    [anon_sym_module] = ACTIONS(8705),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(8707),
    [anon_sym_class] = ACTIONS(8709),
    [anon_sym_val] = ACTIONS(8711),
    [anon_sym_LBRACK_GT] = ACTIONS(8713),
    [anon_sym_LBRACK_LT] = ACTIONS(8715),
    [anon_sym_LT] = ACTIONS(8717),
    [anon_sym_POUND] = ACTIONS(8719),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8723),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [sym__capitalized_identifier] = ACTIONS(8725),
    [aux_sym_type_variable_token1] = ACTIONS(8727),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3016] = {
    [sym__simple_pattern] = STATE(15540),
    [sym__pattern] = STATE(15464),
    [sym_alias_pattern] = STATE(15540),
    [sym_typed_pattern] = STATE(15338),
    [sym_or_pattern] = STATE(15540),
    [sym_constructor_pattern] = STATE(15540),
    [sym_tag_pattern] = STATE(15540),
    [sym_polymorphic_variant_pattern] = STATE(15338),
    [sym_tuple_pattern] = STATE(15540),
    [sym_record_pattern] = STATE(15338),
    [sym_list_pattern] = STATE(15338),
    [sym_cons_pattern] = STATE(15540),
    [sym_array_pattern] = STATE(15338),
    [sym_range_pattern] = STATE(15540),
    [sym_lazy_pattern] = STATE(15540),
    [sym_local_open_pattern] = STATE(15338),
    [sym_package_pattern] = STATE(15338),
    [sym_parenthesized_pattern] = STATE(15338),
    [sym_exception_pattern] = STATE(15540),
    [sym_attribute] = STATE(3016),
    [sym_extension] = STATE(15338),
    [sym_quoted_extension] = STATE(15338),
    [sym__constant] = STATE(15057),
    [sym__signed_constant] = STATE(15191),
    [sym_number] = STATE(15185),
    [sym_signed_number] = STATE(15057),
    [sym_character] = STATE(15185),
    [sym_string] = STATE(15185),
    [sym_quoted_string] = STATE(15185),
    [sym_boolean] = STATE(15185),
    [sym_unit] = STATE(15185),
    [sym__simple_value_pattern] = STATE(15338),
    [sym_parenthesized_operator] = STATE(15338),
    [sym_module_path] = STATE(19991),
    [sym_constructor_path] = STATE(2999),
    [sym__constructor_name] = STATE(10855),
    [sym_tag] = STATE(3016),
    [sym__identifier] = ACTIONS(8653),
    [anon_sym_LPAREN] = ACTIONS(8729),
    [anon_sym_COMMA] = ACTIONS(8255),
    [anon_sym_PIPE] = ACTIONS(8259),
    [anon_sym_LBRACK] = ACTIONS(8657),
    [anon_sym_true] = ACTIONS(8659),
    [anon_sym_false] = ACTIONS(8659),
    [anon_sym_LBRACE] = ACTIONS(8661),
    [anon_sym_SEMI] = ACTIONS(8255),
    [anon_sym_exception] = ACTIONS(8663),
    [anon_sym_as] = ACTIONS(8259),
    [anon_sym_POUND] = ACTIONS(8665),
    [anon_sym_COLON_COLON] = ACTIONS(8255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8667),
    [anon_sym_PIPE_RBRACK] = ACTIONS(8255),
    [anon_sym_lazy] = ACTIONS(8669),
    [anon_sym_begin] = ACTIONS(8671),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8673),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8675),
    [aux_sym_number_token1] = ACTIONS(8677),
    [aux_sym_signed_number_token1] = ACTIONS(8679),
    [anon_sym_SQUOTE] = ACTIONS(8681),
    [anon_sym_DQUOTE] = ACTIONS(8683),
    [sym__capitalized_identifier] = ACTIONS(8685),
    [aux_sym_tag_token1] = ACTIONS(8687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3017] = {
    [sym__simple_expression] = STATE(10388),
    [sym_typed_expression] = STATE(10389),
    [sym_list_expression] = STATE(10389),
    [sym_array_expression] = STATE(10389),
    [sym_record_expression] = STATE(10389),
    [sym_labeled_argument] = STATE(11064),
    [sym_prefix_expression] = STATE(10389),
    [sym_hash_expression] = STATE(10389),
    [sym_field_get_expression] = STATE(10389),
    [sym_array_get_expression] = STATE(10389),
    [sym_string_get_expression] = STATE(10389),
    [sym_bigarray_get_expression] = STATE(10389),
    [sym_coercion_expression] = STATE(10389),
    [sym_local_open_expression] = STATE(10389),
    [sym_package_expression] = STATE(10389),
    [sym_new_expression] = STATE(10389),
    [sym_object_copy_expression] = STATE(10389),
    [sym_method_invocation] = STATE(10389),
    [sym_object_expression] = STATE(10389),
    [sym_parenthesized_expression] = STATE(10389),
    [sym_attribute] = STATE(3017),
    [sym_extension] = STATE(10389),
    [sym_quoted_extension] = STATE(10389),
    [sym__constant] = STATE(10389),
    [sym_number] = STATE(10490),
    [sym_character] = STATE(10490),
    [sym_string] = STATE(10490),
    [sym_quoted_string] = STATE(10490),
    [sym_boolean] = STATE(10490),
    [sym_unit] = STATE(10490),
    [sym__value_name] = STATE(10449),
    [sym_parenthesized_operator] = STATE(10574),
    [sym_value_path] = STATE(10389),
    [sym_module_path] = STATE(19709),
    [sym_constructor_path] = STATE(10389),
    [sym__constructor_name] = STATE(9310),
    [sym_tag] = STATE(10389),
    [aux_sym_class_application_repeat1] = STATE(3019),
    [sym__identifier] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8733),
    [anon_sym_QMARK] = ACTIONS(8733),
    [anon_sym_LPAREN] = ACTIONS(8735),
    [anon_sym_RPAREN] = ACTIONS(6585),
    [anon_sym_LBRACK] = ACTIONS(8737),
    [anon_sym_true] = ACTIONS(8739),
    [anon_sym_false] = ACTIONS(8739),
    [anon_sym_COLON2] = ACTIONS(6585),
    [anon_sym_LBRACE] = ACTIONS(8741),
    [anon_sym_object] = ACTIONS(8743),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8745),
    [anon_sym_new] = ACTIONS(8747),
    [anon_sym_LBRACE_LT] = ACTIONS(8749),
    [anon_sym_begin] = ACTIONS(8751),
    [sym_ocamlyacc_value] = ACTIONS(8753),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8755),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8757),
    [aux_sym_number_token1] = ACTIONS(8759),
    [anon_sym_SQUOTE] = ACTIONS(8761),
    [anon_sym_DQUOTE] = ACTIONS(8763),
    [sym_prefix_operator] = ACTIONS(8765),
    [sym__capitalized_identifier] = ACTIONS(8767),
    [aux_sym_tag_token1] = ACTIONS(8769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3018] = {
    [sym__simple_expression] = STATE(10388),
    [sym_typed_expression] = STATE(10389),
    [sym_list_expression] = STATE(10389),
    [sym_array_expression] = STATE(10389),
    [sym_record_expression] = STATE(10389),
    [sym_labeled_argument] = STATE(11064),
    [sym_prefix_expression] = STATE(10389),
    [sym_hash_expression] = STATE(10389),
    [sym_field_get_expression] = STATE(10389),
    [sym_array_get_expression] = STATE(10389),
    [sym_string_get_expression] = STATE(10389),
    [sym_bigarray_get_expression] = STATE(10389),
    [sym_coercion_expression] = STATE(10389),
    [sym_local_open_expression] = STATE(10389),
    [sym_package_expression] = STATE(10389),
    [sym_new_expression] = STATE(10389),
    [sym_object_copy_expression] = STATE(10389),
    [sym_method_invocation] = STATE(10389),
    [sym_object_expression] = STATE(10389),
    [sym_parenthesized_expression] = STATE(10389),
    [sym_attribute] = STATE(3018),
    [sym_extension] = STATE(10389),
    [sym_quoted_extension] = STATE(10389),
    [sym__constant] = STATE(10389),
    [sym_number] = STATE(10490),
    [sym_character] = STATE(10490),
    [sym_string] = STATE(10490),
    [sym_quoted_string] = STATE(10490),
    [sym_boolean] = STATE(10490),
    [sym_unit] = STATE(10490),
    [sym__value_name] = STATE(10449),
    [sym_parenthesized_operator] = STATE(10574),
    [sym_value_path] = STATE(10389),
    [sym_module_path] = STATE(19709),
    [sym_constructor_path] = STATE(10389),
    [sym__constructor_name] = STATE(9310),
    [sym_tag] = STATE(10389),
    [aux_sym_class_application_repeat1] = STATE(3018),
    [sym__identifier] = ACTIONS(8771),
    [anon_sym_TILDE] = ACTIONS(8774),
    [anon_sym_QMARK] = ACTIONS(8774),
    [anon_sym_LPAREN] = ACTIONS(8777),
    [anon_sym_RPAREN] = ACTIONS(4339),
    [anon_sym_LBRACK] = ACTIONS(8780),
    [anon_sym_true] = ACTIONS(8783),
    [anon_sym_false] = ACTIONS(8783),
    [anon_sym_COLON2] = ACTIONS(4339),
    [anon_sym_LBRACE] = ACTIONS(8786),
    [anon_sym_object] = ACTIONS(8789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8792),
    [anon_sym_new] = ACTIONS(8795),
    [anon_sym_LBRACE_LT] = ACTIONS(8798),
    [anon_sym_begin] = ACTIONS(8801),
    [sym_ocamlyacc_value] = ACTIONS(8804),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8807),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8810),
    [aux_sym_number_token1] = ACTIONS(8813),
    [anon_sym_SQUOTE] = ACTIONS(8816),
    [anon_sym_DQUOTE] = ACTIONS(8819),
    [sym_prefix_operator] = ACTIONS(8822),
    [sym__capitalized_identifier] = ACTIONS(8825),
    [aux_sym_tag_token1] = ACTIONS(8828),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3019] = {
    [sym__simple_expression] = STATE(10388),
    [sym_typed_expression] = STATE(10389),
    [sym_list_expression] = STATE(10389),
    [sym_array_expression] = STATE(10389),
    [sym_record_expression] = STATE(10389),
    [sym_labeled_argument] = STATE(11064),
    [sym_prefix_expression] = STATE(10389),
    [sym_hash_expression] = STATE(10389),
    [sym_field_get_expression] = STATE(10389),
    [sym_array_get_expression] = STATE(10389),
    [sym_string_get_expression] = STATE(10389),
    [sym_bigarray_get_expression] = STATE(10389),
    [sym_coercion_expression] = STATE(10389),
    [sym_local_open_expression] = STATE(10389),
    [sym_package_expression] = STATE(10389),
    [sym_new_expression] = STATE(10389),
    [sym_object_copy_expression] = STATE(10389),
    [sym_method_invocation] = STATE(10389),
    [sym_object_expression] = STATE(10389),
    [sym_parenthesized_expression] = STATE(10389),
    [sym_attribute] = STATE(3019),
    [sym_extension] = STATE(10389),
    [sym_quoted_extension] = STATE(10389),
    [sym__constant] = STATE(10389),
    [sym_number] = STATE(10490),
    [sym_character] = STATE(10490),
    [sym_string] = STATE(10490),
    [sym_quoted_string] = STATE(10490),
    [sym_boolean] = STATE(10490),
    [sym_unit] = STATE(10490),
    [sym__value_name] = STATE(10449),
    [sym_parenthesized_operator] = STATE(10574),
    [sym_value_path] = STATE(10389),
    [sym_module_path] = STATE(19709),
    [sym_constructor_path] = STATE(10389),
    [sym__constructor_name] = STATE(9310),
    [sym_tag] = STATE(10389),
    [aux_sym_class_application_repeat1] = STATE(3018),
    [sym__identifier] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8733),
    [anon_sym_QMARK] = ACTIONS(8733),
    [anon_sym_LPAREN] = ACTIONS(8735),
    [anon_sym_RPAREN] = ACTIONS(6751),
    [anon_sym_LBRACK] = ACTIONS(8737),
    [anon_sym_true] = ACTIONS(8739),
    [anon_sym_false] = ACTIONS(8739),
    [anon_sym_COLON2] = ACTIONS(6751),
    [anon_sym_LBRACE] = ACTIONS(8741),
    [anon_sym_object] = ACTIONS(8743),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8745),
    [anon_sym_new] = ACTIONS(8747),
    [anon_sym_LBRACE_LT] = ACTIONS(8749),
    [anon_sym_begin] = ACTIONS(8751),
    [sym_ocamlyacc_value] = ACTIONS(8753),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8755),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8757),
    [aux_sym_number_token1] = ACTIONS(8759),
    [anon_sym_SQUOTE] = ACTIONS(8761),
    [anon_sym_DQUOTE] = ACTIONS(8763),
    [sym_prefix_operator] = ACTIONS(8765),
    [sym__capitalized_identifier] = ACTIONS(8767),
    [aux_sym_tag_token1] = ACTIONS(8769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8831), 1,
      anon_sym_PIPE,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3020), 1,
      sym_attribute,
    STATE(3509), 1,
      sym__attribute,
    STATE(9343), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11470), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15197), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [362] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8849), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3024), 1,
      sym_attribute,
    STATE(4158), 1,
      sym__attribute,
    STATE(8961), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13661), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15074), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [499] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8851), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3025), 1,
      sym_attribute,
    STATE(3518), 1,
      sym__attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11593), 1,
      sym__match_cases,
    STATE(12647), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15041), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [636] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8853), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3026), 1,
      sym_attribute,
    STATE(3527), 1,
      sym__attribute,
    STATE(9343), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13454), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14968), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [848] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8859), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3028), 1,
      sym_attribute,
    STATE(3880), 1,
      sym__attribute,
    STATE(9039), 1,
      sym__match_cases,
    STATE(9415), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15136), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [985] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8861), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3029), 1,
      sym_attribute,
    STATE(3697), 1,
      sym__attribute,
    STATE(8961), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13623), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14985), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1122] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8863), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3030), 1,
      sym_attribute,
    STATE(3454), 1,
      sym__attribute,
    STATE(8961), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13412), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14941), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [1334] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8869), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3032), 1,
      sym_attribute,
    STATE(3763), 1,
      sym__attribute,
    STATE(8961), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13694), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14904), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1471] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8871), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3033), 1,
      sym_attribute,
    STATE(3456), 1,
      sym__attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11593), 1,
      sym__match_cases,
    STATE(13237), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14947), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1608] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8873), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3034), 1,
      sym_attribute,
    STATE(3549), 1,
      sym__attribute,
    STATE(9343), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13531), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15104), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1745] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8875), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3035), 1,
      sym_attribute,
    STATE(3447), 1,
      sym__attribute,
    STATE(9039), 1,
      sym__match_cases,
    STATE(9662), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15127), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1882] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8869), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3036), 1,
      sym_attribute,
    STATE(3571), 1,
      sym__attribute,
    STATE(9343), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13694), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14904), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2019] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8877), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3037), 1,
      sym_attribute,
    STATE(4039), 1,
      sym__attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11593), 1,
      sym__match_cases,
    STATE(13507), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15201), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2156] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8879), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3038), 1,
      sym_attribute,
    STATE(3817), 1,
      sym__attribute,
    STATE(8961), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13734), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15011), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2293] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8881), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3039), 1,
      sym_attribute,
    STATE(3473), 1,
      sym__attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11593), 1,
      sym__match_cases,
    STATE(13057), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15019), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2430] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8883), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3040), 1,
      sym_attribute,
    STATE(3569), 1,
      sym__attribute,
    STATE(9343), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13423), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15196), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2567] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8885), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3041), 1,
      sym_attribute,
    STATE(3883), 1,
      sym__attribute,
    STATE(9039), 1,
      sym__match_cases,
    STATE(9598), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15131), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2704] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8887), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3042), 1,
      sym_attribute,
    STATE(3525), 1,
      sym__attribute,
    STATE(8961), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10959), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14919), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2841] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8889), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3043), 1,
      sym_attribute,
    STATE(3489), 1,
      sym__attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11593), 1,
      sym__match_cases,
    STATE(12237), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15145), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2978] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8891), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3044), 1,
      sym_attribute,
    STATE(3604), 1,
      sym__attribute,
    STATE(9343), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13235), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15043), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3115] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8893), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3045), 1,
      sym_attribute,
    STATE(3950), 1,
      sym__attribute,
    STATE(9039), 1,
      sym__match_cases,
    STATE(9469), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14915), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3252] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8831), 1,
      anon_sym_PIPE,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3046), 1,
      sym_attribute,
    STATE(3792), 1,
      sym__attribute,
    STATE(8961), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11470), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15197), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3389] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8895), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3047), 1,
      sym_attribute,
    STATE(3439), 1,
      sym__attribute,
    STATE(9343), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10697), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15061), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3526] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8897), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3048), 1,
      sym_attribute,
    STATE(3972), 1,
      sym__attribute,
    STATE(9039), 1,
      sym__match_cases,
    STATE(9737), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14868), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3663] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8853), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3049), 1,
      sym_attribute,
    STATE(3639), 1,
      sym__attribute,
    STATE(8961), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13454), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14968), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3800] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8899), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3050), 1,
      sym_attribute,
    STATE(3989), 1,
      sym__attribute,
    STATE(9039), 1,
      sym__match_cases,
    STATE(9427), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15071), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3937] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8901), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3051), 1,
      sym_attribute,
    STATE(3945), 1,
      sym__attribute,
    STATE(8961), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11795), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15113), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [4149] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8861), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3053), 1,
      sym_attribute,
    STATE(3815), 1,
      sym__attribute,
    STATE(9343), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13623), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14985), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4286] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8873), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3054), 1,
      sym_attribute,
    STATE(3968), 1,
      sym__attribute,
    STATE(8961), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13531), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15104), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4423] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8907), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3055), 1,
      sym_attribute,
    STATE(4017), 1,
      sym__attribute,
    STATE(9039), 1,
      sym__match_cases,
    STATE(9694), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15128), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4560] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8883), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3056), 1,
      sym_attribute,
    STATE(3486), 1,
      sym__attribute,
    STATE(8961), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13423), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15196), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4697] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8909), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3057), 1,
      sym_attribute,
    STATE(4122), 1,
      sym__attribute,
    STATE(9039), 1,
      sym__match_cases,
    STATE(9536), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14902), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4834] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8911), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3058), 1,
      sym_attribute,
    STATE(3755), 1,
      sym__attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11593), 1,
      sym__match_cases,
    STATE(13869), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15066), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4971] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8891), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3059), 1,
      sym_attribute,
    STATE(3708), 1,
      sym__attribute,
    STATE(8961), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13235), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15043), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5108] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(3060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [5185] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8919), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3061), 1,
      sym_attribute,
    STATE(4143), 1,
      sym__attribute,
    STATE(9039), 1,
      sym__match_cases,
    STATE(9283), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15040), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [5397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [5472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [5547] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8937), 1,
      anon_sym_LT_DASH,
    STATE(3065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [5624] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8879), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3066), 1,
      sym_attribute,
    STATE(3807), 1,
      sym__attribute,
    STATE(9343), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13734), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15011), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [5836] = 29,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8939), 1,
      sym__identifier,
    ACTIONS(8945), 1,
      anon_sym_LPAREN,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(8954), 1,
      anon_sym_LBRACE,
    ACTIONS(8957), 1,
      anon_sym_POUND,
    ACTIONS(8960), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8963), 1,
      anon_sym_begin,
    ACTIONS(8966), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8969), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8972), 1,
      aux_sym_number_token1,
    ACTIONS(8975), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8978), 1,
      anon_sym_SQUOTE,
    ACTIONS(8981), 1,
      anon_sym_DQUOTE,
    ACTIONS(8984), 1,
      sym__capitalized_identifier,
    ACTIONS(8987), 1,
      aux_sym_tag_token1,
    STATE(10007), 1,
      sym__constructor_name,
    STATE(10023), 1,
      sym__simple_pattern,
    STATE(20415), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8942), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(8951), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3068), 2,
      sym_attribute,
      aux_sym_let_binding_repeat1,
    STATE(10006), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10071), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(8281), 5,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(9850), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(8286), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
    STATE(10089), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [5959] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8895), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3069), 1,
      sym_attribute,
    STATE(4046), 1,
      sym__attribute,
    STATE(8961), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10697), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15061), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6096] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8990), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3070), 1,
      sym_attribute,
    STATE(3992), 1,
      sym__attribute,
    STATE(9039), 1,
      sym__match_cases,
    STATE(9911), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15167), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [6308] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8992), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3072), 1,
      sym_attribute,
    STATE(3847), 1,
      sym__attribute,
    STATE(9039), 1,
      sym__match_cases,
    STATE(9550), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14886), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [6520] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(3074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [6597] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8994), 1,
      anon_sym_LT_DASH,
    STATE(3075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [6674] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8996), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3076), 1,
      sym_attribute,
    STATE(3637), 1,
      sym__attribute,
    STATE(9039), 1,
      sym__match_cases,
    STATE(9377), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14866), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6811] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8887), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3077), 1,
      sym_attribute,
    STATE(4090), 1,
      sym__attribute,
    STATE(9343), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10959), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14919), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6948] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8998), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3078), 1,
      sym_attribute,
    STATE(3667), 1,
      sym__attribute,
    STATE(9039), 1,
      sym__match_cases,
    STATE(9301), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14894), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7235] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9000), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3081), 1,
      sym_attribute,
    STATE(3704), 1,
      sym__attribute,
    STATE(9039), 1,
      sym__match_cases,
    STATE(9311), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14951), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7447] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9002), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3083), 1,
      sym_attribute,
    STATE(3765), 1,
      sym__attribute,
    STATE(9039), 1,
      sym__match_cases,
    STATE(9432), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14992), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8034] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(3090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8111] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9004), 1,
      anon_sym_LT_DASH,
    STATE(3091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8263] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9006), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3093), 1,
      sym_attribute,
    STATE(4126), 1,
      sym__attribute,
    STATE(9039), 1,
      sym__match_cases,
    STATE(9873), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15142), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8400] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9008), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3094), 1,
      sym_attribute,
    STATE(3793), 1,
      sym__attribute,
    STATE(9039), 1,
      sym__match_cases,
    STATE(9438), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15048), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8687] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8901), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3097), 1,
      sym_attribute,
    STATE(4012), 1,
      sym__attribute,
    STATE(9343), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11795), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15113), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8824] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8849), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3098), 1,
      sym_attribute,
    STATE(4124), 1,
      sym__attribute,
    STATE(9343), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13661), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15074), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9111] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9010), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3101), 1,
      sym_attribute,
    STATE(3856), 1,
      sym__attribute,
    STATE(9039), 1,
      sym__match_cases,
    STATE(10057), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15177), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9248] = 36,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9012), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3102), 1,
      sym_attribute,
    STATE(4163), 1,
      sym__attribute,
    STATE(8961), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13905), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15182), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9460] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3104), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16419), 1,
      sym__simple_expression,
    STATE(17429), 1,
      sym_field_expression,
    STATE(21519), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [9590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9738] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3107), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16376), 1,
      sym__simple_expression,
    STATE(17065), 1,
      sym_field_expression,
    STATE(20626), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [9868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10090] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3111), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16452), 1,
      sym__simple_expression,
    STATE(17613), 1,
      sym_field_expression,
    STATE(19312), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [10220] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(3112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10444] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3115), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16455), 1,
      sym__simple_expression,
    STATE(17669), 1,
      sym_field_expression,
    STATE(19633), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [10574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10870] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3120), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16456), 1,
      sym__simple_expression,
    STATE(17791), 1,
      sym_field_expression,
    STATE(19942), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [11000] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3121), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16428), 1,
      sym__simple_expression,
    STATE(18040), 1,
      sym_field_expression,
    STATE(20855), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [11130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11352] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3125), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16458), 1,
      sym__simple_expression,
    STATE(18008), 1,
      sym_field_expression,
    STATE(20374), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [11482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11630] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3128), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16459), 1,
      sym__simple_expression,
    STATE(17234), 1,
      sym_field_expression,
    STATE(20508), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [11760] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3129), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16382), 1,
      sym__simple_expression,
    STATE(17280), 1,
      sym_field_expression,
    STATE(21617), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [11890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12038] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3132), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16463), 1,
      sym__simple_expression,
    STATE(17437), 1,
      sym_field_expression,
    STATE(20568), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [12168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12686] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3140), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16466), 1,
      sym__simple_expression,
    STATE(17023), 1,
      sym_field_expression,
    STATE(20625), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [12816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13112] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3145), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16432), 1,
      sym__simple_expression,
    STATE(16624), 1,
      sym_field_expression,
    STATE(21165), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [13242] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3146), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16468), 1,
      sym__simple_expression,
    STATE(17605), 1,
      sym_field_expression,
    STATE(20714), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [13372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13816] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3153), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16471), 1,
      sym__simple_expression,
    STATE(16573), 1,
      sym_field_expression,
    STATE(20756), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [13946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14390] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3160), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16386), 1,
      sym__simple_expression,
    STATE(17452), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    STATE(22208), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [14520] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3161), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16476), 1,
      sym__simple_expression,
    STATE(16706), 1,
      sym_field_expression,
    STATE(20808), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [14650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14872] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3165), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16477), 1,
      sym__simple_expression,
    STATE(16818), 1,
      sym_field_expression,
    STATE(20858), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [15002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15150] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(3168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15522] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3173), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16479), 1,
      sym__simple_expression,
    STATE(16957), 1,
      sym_field_expression,
    STATE(20904), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [15652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15948] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(3178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16172] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3181), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16480), 1,
      sym__simple_expression,
    STATE(17038), 1,
      sym_field_expression,
    STATE(20949), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [16302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16450] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3184), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16484), 1,
      sym__simple_expression,
    STATE(17211), 1,
      sym_field_expression,
    STATE(20982), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [16580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16654] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9138), 1,
      anon_sym_LT_DASH,
    STATE(3186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16804] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3188), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16436), 1,
      sym__simple_expression,
    STATE(16723), 1,
      sym_field_expression,
    STATE(21326), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [16934] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3189), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16486), 1,
      sym__simple_expression,
    STATE(17355), 1,
      sym_field_expression,
    STATE(21005), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [17064] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(3190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17288] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3193), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16391), 1,
      sym__simple_expression,
    STATE(17766), 1,
      sym_field_expression,
    STATE(19268), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [17418] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3194), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16488), 1,
      sym__simple_expression,
    STATE(17503), 1,
      sym_field_expression,
    STATE(21030), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [17548] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(3195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18142] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3605), 1,
      anon_sym_DOT,
    ACTIONS(3607), 1,
      anon_sym_POUND,
    ACTIONS(3609), 1,
      sym_hash_operator,
    STATE(3203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18444] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3207), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16395), 1,
      sym__simple_expression,
    STATE(17957), 1,
      sym_field_expression,
    STATE(19708), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [18574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19758] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3224), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16437), 1,
      sym__simple_expression,
    STATE(16783), 1,
      sym_field_expression,
    STATE(21705), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [19888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20332] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3605), 1,
      anon_sym_DOT,
    STATE(3231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20778] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3237), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16358), 1,
      sym__simple_expression,
    STATE(17926), 1,
      sym_field_expression,
    STATE(20243), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [20908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21574] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5955), 1,
      anon_sym_as,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    STATE(3248), 1,
      sym_tag,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14687), 1,
      sym__binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3247), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(5951), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [21706] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5955), 1,
      anon_sym_as,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14696), 1,
      sym__binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3248), 2,
      sym_attribute,
      sym_tag,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(5951), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [21838] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3249), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16426), 1,
      sym__simple_expression,
    STATE(16846), 1,
      sym_field_expression,
    STATE(19612), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [21968] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3250), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16400), 1,
      sym__simple_expression,
    STATE(16607), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    STATE(22092), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22172] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3252), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16438), 1,
      sym__simple_expression,
    STATE(16861), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    STATE(22240), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22968] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(3262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23340] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3267), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16403), 1,
      sym__simple_expression,
    STATE(17661), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    STATE(22026), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [23470] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9296), 1,
      anon_sym_LT_DASH,
    STATE(3268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23546] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3605), 1,
      anon_sym_DOT,
    ACTIONS(3607), 1,
      anon_sym_POUND,
    ACTIONS(3609), 1,
      sym_hash_operator,
    STATE(3269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23848] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3273), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16440), 1,
      sym__simple_expression,
    STATE(16967), 1,
      sym_field_expression,
    STATE(21072), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [23978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24644] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3283), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16368), 1,
      sym__simple_expression,
    STATE(16819), 1,
      sym_field_expression,
    STATE(19822), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [24774] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3284), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16441), 1,
      sym__simple_expression,
    STATE(17039), 1,
      sym_field_expression,
    STATE(21451), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [24904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25274] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3290), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16406), 1,
      sym__simple_expression,
    STATE(17243), 1,
      sym_field_expression,
    STATE(20684), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [25404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25848] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    ACTIONS(3533), 1,
      anon_sym_POUND,
    ACTIONS(3535), 1,
      sym_hash_operator,
    STATE(3297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25928] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9330), 1,
      anon_sym_LT_DASH,
    STATE(3298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26670] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3308), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16409), 1,
      sym__simple_expression,
    STATE(17299), 1,
      sym_field_expression,
    STATE(19687), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [26800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26874] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(3310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27172] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3314), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16443), 1,
      sym__simple_expression,
    STATE(17123), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    STATE(21992), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [27302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27450] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    ACTIONS(3533), 1,
      anon_sym_POUND,
    ACTIONS(3535), 1,
      sym_hash_operator,
    STATE(3317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [28048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [28122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [28196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [28270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [28344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [28418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [28492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [28566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [28640] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3333), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16411), 1,
      sym__simple_expression,
    STATE(18029), 1,
      sym_field_expression,
    STATE(19343), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [28770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [28844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [28918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [28992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [29066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [29140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [29214] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_LT_DASH,
    STATE(3340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [29290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [29364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [29438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [29512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [29586] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3623), 1,
      anon_sym_DOT,
    STATE(3345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [29662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [29736] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3347), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16414), 1,
      sym__simple_expression,
    STATE(16771), 1,
      sym_field_expression,
    STATE(20334), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [29866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [29940] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3349), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16445), 1,
      sym__simple_expression,
    STATE(17225), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    STATE(22049), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [30070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [30144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [30218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [30292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [30366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [30440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [30514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [30588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [30662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [30736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [30810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [30884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [30958] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3362), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16416), 1,
      sym__simple_expression,
    STATE(17051), 1,
      sym_field_expression,
    STATE(20936), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [31088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [31162] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3364), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16148), 1,
      sym__simple_expression,
    STATE(16965), 1,
      sym_field_expression,
    STATE(21586), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [31292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [31366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [31440] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3531), 1,
      anon_sym_DOT,
    STATE(3367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [31516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [31590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [31664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [31738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [31812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [31886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [31960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [32034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [32108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [32182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [32256] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3378), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16446), 1,
      sym__simple_expression,
    STATE(17295), 1,
      sym_field_expression,
    STATE(19675), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [32386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [32460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [32534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [32608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [32682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [32756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [32830] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3385), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16427), 1,
      sym__simple_expression,
    STATE(17394), 1,
      sym_field_expression,
    STATE(20519), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [32960] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3386), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16449), 1,
      sym__simple_expression,
    STATE(17363), 1,
      sym_field_expression,
    STATE(20382), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [33090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [33164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [33238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [33312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [33386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [33460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [33534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [33608] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3623), 1,
      anon_sym_DOT,
    ACTIONS(3625), 1,
      anon_sym_POUND,
    ACTIONS(3627), 1,
      sym_hash_operator,
    STATE(3394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [33688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [33762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [33836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [33910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [33984] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3623), 1,
      anon_sym_DOT,
    ACTIONS(3625), 1,
      anon_sym_POUND,
    ACTIONS(3627), 1,
      sym_hash_operator,
    STATE(3399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [34064] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(3400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [34140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [34214] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9334), 1,
      anon_sym_LT_DASH,
    STATE(3402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [34290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [34364] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(3404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [34440] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3405), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16341), 1,
      sym__simple_expression,
    STATE(16796), 1,
      sym_field_expression,
    STATE(21467), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [34570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [34644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [34718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [34792] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3409), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16450), 1,
      sym__simple_expression,
    STATE(17432), 1,
      sym_field_expression,
    STATE(21525), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [34922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [34996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [35070] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(3412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [35146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [35220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [35294] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(3415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [35370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [35444] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9336), 1,
      anon_sym_LT_DASH,
    STATE(3417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [35520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [35594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [35668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [35742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [35816] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3422), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16358), 1,
      sym__simple_expression,
    STATE(17926), 1,
      sym_field_expression,
    STATE(20687), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [35946] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3423), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16422), 1,
      sym__simple_expression,
    STATE(17923), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    STATE(21958), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [36076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [36150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [36224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [36298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [36372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [36446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [36520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [36594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [36668] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(3432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [36744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [36818] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3434), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16425), 1,
      sym__simple_expression,
    STATE(17177), 1,
      sym_field_expression,
    STATE(19276), 1,
      sym__quoted_string,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [36948] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(3435), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16451), 1,
      sym__simple_expression,
    STATE(17496), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    STATE(22053), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [37078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [37152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [37226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [37300] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8895), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3439), 1,
      sym_attribute,
    STATE(9203), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10697), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15061), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [37504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [37577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [37650] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8992), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3443), 1,
      sym_attribute,
    STATE(9052), 1,
      sym__match_cases,
    STATE(9550), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14886), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37781] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8992), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3444), 1,
      sym_attribute,
    STATE(9189), 1,
      sym__match_cases,
    STATE(9550), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14886), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [37985] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9006), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3446), 1,
      sym_attribute,
    STATE(9052), 1,
      sym__match_cases,
    STATE(9873), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15142), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38116] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8875), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3447), 1,
      sym_attribute,
    STATE(8906), 1,
      sym__match_cases,
    STATE(9662), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15127), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38247] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8992), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3448), 1,
      sym_attribute,
    STATE(9177), 1,
      sym__match_cases,
    STATE(9550), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14886), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38378] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8992), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3449), 1,
      sym_attribute,
    STATE(9180), 1,
      sym__match_cases,
    STATE(9550), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14886), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38509] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9006), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3450), 1,
      sym_attribute,
    STATE(9189), 1,
      sym__match_cases,
    STATE(9873), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15142), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38640] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8879), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3451), 1,
      sym_attribute,
    STATE(9105), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13734), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15011), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38771] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9012), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3452), 1,
      sym_attribute,
    STATE(9105), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13905), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15182), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [38975] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8863), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3454), 1,
      sym_attribute,
    STATE(9010), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13412), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14941), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [39179] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8871), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3456), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11605), 1,
      sym__match_cases,
    STATE(13237), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14947), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39310] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8875), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3457), 1,
      sym_attribute,
    STATE(9052), 1,
      sym__match_cases,
    STATE(9662), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15127), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39441] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8875), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3458), 1,
      sym_attribute,
    STATE(9189), 1,
      sym__match_cases,
    STATE(9662), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15127), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39572] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3791), 1,
      anon_sym_DOT,
    ACTIONS(3793), 1,
      anon_sym_POUND,
    ACTIONS(3795), 1,
      sym_hash_operator,
    STATE(3459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [39651] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8871), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3460), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11627), 1,
      sym__match_cases,
    STATE(13237), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14947), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39782] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8871), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3461), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11632), 1,
      sym__match_cases,
    STATE(13237), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14947), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [39986] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8869), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3463), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13694), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14904), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40117] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9006), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3464), 1,
      sym_attribute,
    STATE(9177), 1,
      sym__match_cases,
    STATE(9873), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15142), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40248] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8871), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3465), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11644), 1,
      sym__match_cases,
    STATE(13237), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14947), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40379] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8871), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3466), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11646), 1,
      sym__match_cases,
    STATE(13237), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14947), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [40583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [40656] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8863), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3469), 1,
      sym_attribute,
    STATE(9018), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13412), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14941), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40787] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8863), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3470), 1,
      sym_attribute,
    STATE(8901), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13412), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14941), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40918] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3791), 1,
      anon_sym_DOT,
    ACTIONS(3793), 1,
      anon_sym_POUND,
    ACTIONS(3795), 1,
      sym_hash_operator,
    STATE(3471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [40997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [41070] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8881), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3473), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11605), 1,
      sym__match_cases,
    STATE(13057), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15019), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [41201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [41274] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9006), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3475), 1,
      sym_attribute,
    STATE(9180), 1,
      sym__match_cases,
    STATE(9873), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15142), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [41405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [41478] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8881), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3477), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11627), 1,
      sym__match_cases,
    STATE(13057), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15019), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [41609] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8881), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3478), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11632), 1,
      sym__match_cases,
    STATE(13057), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15019), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [41740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [41813] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8875), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3480), 1,
      sym_attribute,
    STATE(9177), 1,
      sym__match_cases,
    STATE(9662), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15127), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [41944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [42017] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8881), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3482), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11644), 1,
      sym__match_cases,
    STATE(13057), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15019), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42148] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8881), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3483), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11646), 1,
      sym__match_cases,
    STATE(13057), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15019), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [42352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [42425] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8883), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3486), 1,
      sym_attribute,
    STATE(9010), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13423), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15196), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [42629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [42702] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8889), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3489), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11605), 1,
      sym__match_cases,
    STATE(12237), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15145), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [42906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [42979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [43052] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8875), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3493), 1,
      sym_attribute,
    STATE(9180), 1,
      sym__match_cases,
    STATE(9662), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15127), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43183] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8889), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3494), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11627), 1,
      sym__match_cases,
    STATE(12237), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15145), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [43387] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8889), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3496), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11632), 1,
      sym__match_cases,
    STATE(12237), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15145), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [43591] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8863), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3498), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13412), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14941), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43722] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3675), 1,
      anon_sym_DOT,
    ACTIONS(3677), 1,
      anon_sym_POUND,
    ACTIONS(3679), 1,
      sym_hash_operator,
    STATE(3499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [43801] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8863), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3500), 1,
      sym_attribute,
    STATE(9105), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13412), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14941), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43932] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8889), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3501), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11644), 1,
      sym__match_cases,
    STATE(12237), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15145), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44063] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8889), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3502), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11646), 1,
      sym__match_cases,
    STATE(12237), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15145), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44194] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8883), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3503), 1,
      sym_attribute,
    STATE(9018), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13423), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15196), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44325] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8883), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3504), 1,
      sym_attribute,
    STATE(8901), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13423), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15196), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [44529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [44602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [44675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [44748] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8831), 1,
      anon_sym_PIPE,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3509), 1,
      sym_attribute,
    STATE(9203), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11470), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15197), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [44952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [45025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [45098] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8883), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3513), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13423), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15196), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45229] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8831), 1,
      anon_sym_PIPE,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3514), 1,
      sym_attribute,
    STATE(9361), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11470), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15197), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45360] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8831), 1,
      anon_sym_PIPE,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3515), 1,
      sym_attribute,
    STATE(9362), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11470), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15197), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45491] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8883), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3516), 1,
      sym_attribute,
    STATE(9105), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13423), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15196), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [45695] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8851), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3518), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11605), 1,
      sym__match_cases,
    STATE(12647), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15041), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45826] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8831), 1,
      anon_sym_PIPE,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3519), 1,
      sym_attribute,
    STATE(9293), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11470), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15197), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45957] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8831), 1,
      anon_sym_PIPE,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3520), 1,
      sym_attribute,
    STATE(9339), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11470), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15197), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46088] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(3521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [46163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [46236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [46309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [46382] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8887), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3525), 1,
      sym_attribute,
    STATE(9010), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10959), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14919), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [46586] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8853), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3527), 1,
      sym_attribute,
    STATE(9203), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13454), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14968), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [46790] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8851), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3529), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11627), 1,
      sym__match_cases,
    STATE(12647), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15041), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46921] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8851), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3530), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11632), 1,
      sym__match_cases,
    STATE(12647), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15041), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [47052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47271] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8853), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3534), 1,
      sym_attribute,
    STATE(9361), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13454), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14968), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [47402] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8853), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3535), 1,
      sym_attribute,
    STATE(9362), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13454), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14968), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [47533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47752] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8853), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3539), 1,
      sym_attribute,
    STATE(9293), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13454), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14968), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [47883] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8853), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3540), 1,
      sym_attribute,
    STATE(9339), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13454), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14968), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [48014] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8851), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3541), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11644), 1,
      sym__match_cases,
    STATE(12647), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15041), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [48145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48218] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8851), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3543), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11646), 1,
      sym__match_cases,
    STATE(12647), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15041), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [48349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48495] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3675), 1,
      anon_sym_DOT,
    ACTIONS(3677), 1,
      anon_sym_POUND,
    ACTIONS(3679), 1,
      sym_hash_operator,
    STATE(3546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48574] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9338), 1,
      anon_sym_LT_DASH,
    STATE(3547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48722] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8873), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3549), 1,
      sym_attribute,
    STATE(9203), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13531), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15104), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [48853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [49072] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8873), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3553), 1,
      sym_attribute,
    STATE(9361), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13531), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15104), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [49203] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8873), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3554), 1,
      sym_attribute,
    STATE(9362), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13531), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15104), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [49334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [49407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [49480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [49553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [49626] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8873), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3559), 1,
      sym_attribute,
    STATE(9293), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13531), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15104), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [49757] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8873), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3560), 1,
      sym_attribute,
    STATE(9339), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13531), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15104), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [49888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [49961] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8887), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3562), 1,
      sym_attribute,
    STATE(9018), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10959), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14919), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [50092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [50165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [50238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [50311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [50384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [50457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [50530] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8883), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3569), 1,
      sym_attribute,
    STATE(9203), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13423), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15196), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [50661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [50734] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8869), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3571), 1,
      sym_attribute,
    STATE(9203), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13694), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14904), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [50865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [50938] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8887), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3573), 1,
      sym_attribute,
    STATE(8901), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10959), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14919), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [51142] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8883), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3575), 1,
      sym_attribute,
    STATE(9361), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13423), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15196), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [51346] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8883), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3577), 1,
      sym_attribute,
    STATE(9362), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13423), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15196), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [51550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [51623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [51696] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3695), 1,
      anon_sym_DOT,
    ACTIONS(3697), 1,
      anon_sym_POUND,
    ACTIONS(3699), 1,
      sym_hash_operator,
    STATE(3581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [51775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [51848] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8869), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3583), 1,
      sym_attribute,
    STATE(9105), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13694), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14904), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51979] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8869), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3584), 1,
      sym_attribute,
    STATE(9361), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13694), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14904), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [52183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [52256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [52329] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8883), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3588), 1,
      sym_attribute,
    STATE(9293), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13423), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15196), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52460] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8883), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3589), 1,
      sym_attribute,
    STATE(9339), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13423), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15196), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [52664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [52737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [52810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [52883] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8869), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3594), 1,
      sym_attribute,
    STATE(9362), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13694), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14904), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [53014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53233] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3675), 1,
      anon_sym_DOT,
    STATE(3598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53673] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8891), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3604), 1,
      sym_attribute,
    STATE(9203), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13235), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15043), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [53804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54096] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8869), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3609), 1,
      sym_attribute,
    STATE(9293), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13694), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14904), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [54227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54592] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8891), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3615), 1,
      sym_attribute,
    STATE(9361), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13235), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15043), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [54723] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8891), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3616), 1,
      sym_attribute,
    STATE(9362), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13235), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15043), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [54854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55219] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3695), 1,
      anon_sym_DOT,
    ACTIONS(3697), 1,
      anon_sym_POUND,
    ACTIONS(3699), 1,
      sym_hash_operator,
    STATE(3622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55298] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8869), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3623), 1,
      sym_attribute,
    STATE(9339), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13694), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14904), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55502] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8891), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3625), 1,
      sym_attribute,
    STATE(9293), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13235), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15043), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55633] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8891), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3626), 1,
      sym_attribute,
    STATE(9339), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13235), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15043), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56129] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8887), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3632), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10959), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14919), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [56260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56552] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8996), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3637), 1,
      sym_attribute,
    STATE(8906), 1,
      sym__match_cases,
    STATE(9377), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14866), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [56683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56756] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8853), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3639), 1,
      sym_attribute,
    STATE(9010), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13454), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14968), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [56887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57106] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8996), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3643), 1,
      sym_attribute,
    STATE(9052), 1,
      sym__match_cases,
    STATE(9377), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14866), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [57237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57383] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8996), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3646), 1,
      sym_attribute,
    STATE(9189), 1,
      sym__match_cases,
    STATE(9377), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14866), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [57514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57587] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8887), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3648), 1,
      sym_attribute,
    STATE(9105), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10959), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14919), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [57718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58010] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8996), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3653), 1,
      sym_attribute,
    STATE(9177), 1,
      sym__match_cases,
    STATE(9377), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14866), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [58141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58214] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8996), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3655), 1,
      sym_attribute,
    STATE(9180), 1,
      sym__match_cases,
    STATE(9377), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14866), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [58345] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8853), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3656), 1,
      sym_attribute,
    STATE(9018), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13454), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14968), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [58476] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8853), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3657), 1,
      sym_attribute,
    STATE(8901), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13454), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14968), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [58607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58753] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    STATE(3878), 1,
      sym_tag,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15490), 1,
      sym__binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_PIPE,
      anon_sym_as,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3660), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(5951), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [58884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59322] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8998), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3667), 1,
      sym_attribute,
    STATE(8906), 1,
      sym__match_cases,
    STATE(9301), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14894), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [59453] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9012), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3668), 1,
      sym_attribute,
    STATE(8901), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13905), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15182), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [59584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59803] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3695), 1,
      anon_sym_DOT,
    STATE(3672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60316] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8998), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3679), 1,
      sym_attribute,
    STATE(9052), 1,
      sym__match_cases,
    STATE(9301), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14894), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [60447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60520] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8998), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3681), 1,
      sym_attribute,
    STATE(9189), 1,
      sym__match_cases,
    STATE(9301), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14894), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [60651] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8853), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3682), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13454), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14968), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [60782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61074] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3791), 1,
      anon_sym_DOT,
    STATE(3687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61441] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8998), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3692), 1,
      sym_attribute,
    STATE(9177), 1,
      sym__match_cases,
    STATE(9301), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14894), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61572] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8998), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3693), 1,
      sym_attribute,
    STATE(9180), 1,
      sym__match_cases,
    STATE(9301), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14894), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61703] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8853), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3694), 1,
      sym_attribute,
    STATE(9105), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13454), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14968), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61980] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8861), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3697), 1,
      sym_attribute,
    STATE(9010), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13623), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14985), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [62184] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(3699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [62259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [62332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [62405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [62478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [62551] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9000), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3704), 1,
      sym_attribute,
    STATE(8906), 1,
      sym__match_cases,
    STATE(9311), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14951), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [62755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [62828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [62901] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8891), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3708), 1,
      sym_attribute,
    STATE(9010), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13235), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15043), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63032] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9000), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3709), 1,
      sym_attribute,
    STATE(9052), 1,
      sym__match_cases,
    STATE(9311), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14951), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [63236] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9000), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3711), 1,
      sym_attribute,
    STATE(9189), 1,
      sym__match_cases,
    STATE(9311), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14951), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [63440] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9012), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3713), 1,
      sym_attribute,
    STATE(9018), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13905), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15182), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63571] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8861), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3714), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13623), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14985), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63702] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9000), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3715), 1,
      sym_attribute,
    STATE(9177), 1,
      sym__match_cases,
    STATE(9311), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14951), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [63906] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9000), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3717), 1,
      sym_attribute,
    STATE(9180), 1,
      sym__match_cases,
    STATE(9311), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14951), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64037] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3733), 1,
      anon_sym_DOT,
    ACTIONS(3735), 1,
      anon_sym_POUND,
    ACTIONS(3737), 1,
      sym_hash_operator,
    STATE(3718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64262] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8891), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3721), 1,
      sym_attribute,
    STATE(9018), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13235), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15043), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64393] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8891), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3722), 1,
      sym_attribute,
    STATE(8901), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13235), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15043), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64670] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8849), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3725), 1,
      sym_attribute,
    STATE(9018), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13661), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15074), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64801] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3733), 1,
      anon_sym_DOT,
    ACTIONS(3735), 1,
      anon_sym_POUND,
    ACTIONS(3737), 1,
      sym_hash_operator,
    STATE(3726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64953] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8891), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3728), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13235), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15043), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [65157] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8891), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3730), 1,
      sym_attribute,
    STATE(9105), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13235), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15043), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [65361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [65434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [65507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [65580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [65653] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8895), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3736), 1,
      sym_attribute,
    STATE(9361), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10697), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15061), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65784] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8895), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3737), 1,
      sym_attribute,
    STATE(9362), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10697), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15061), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [65988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66499] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8895), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3746), 1,
      sym_attribute,
    STATE(9293), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10697), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15061), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [66630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66776] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8895), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3749), 1,
      sym_attribute,
    STATE(9339), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10697), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15061), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [66907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67272] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8911), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3755), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11605), 1,
      sym__match_cases,
    STATE(13869), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15066), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [67403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67914] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8869), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3763), 1,
      sym_attribute,
    STATE(9010), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13694), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14904), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68118] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9002), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3765), 1,
      sym_attribute,
    STATE(8906), 1,
      sym__match_cases,
    STATE(9432), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14992), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68906] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9002), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3775), 1,
      sym_attribute,
    STATE(9052), 1,
      sym__match_cases,
    STATE(9432), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14992), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [69037] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9002), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3776), 1,
      sym_attribute,
    STATE(9189), 1,
      sym__match_cases,
    STATE(9432), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14992), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [69168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69241] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8911), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3778), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11627), 1,
      sym__match_cases,
    STATE(13869), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15066), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [69372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69445] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9002), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3780), 1,
      sym_attribute,
    STATE(9177), 1,
      sym__match_cases,
    STATE(9432), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14992), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [69576] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9002), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3781), 1,
      sym_attribute,
    STATE(9180), 1,
      sym__match_cases,
    STATE(9432), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14992), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [69707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70437] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8831), 1,
      anon_sym_PIPE,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3792), 1,
      sym_attribute,
    STATE(9010), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11470), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15197), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [70568] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9008), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3793), 1,
      sym_attribute,
    STATE(8906), 1,
      sym__match_cases,
    STATE(9438), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15048), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [70699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70845] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(3796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70920] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9008), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3797), 1,
      sym_attribute,
    STATE(9052), 1,
      sym__match_cases,
    STATE(9438), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15048), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71197] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9008), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3800), 1,
      sym_attribute,
    STATE(9189), 1,
      sym__match_cases,
    STATE(9438), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15048), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71474] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8911), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3803), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11632), 1,
      sym__match_cases,
    STATE(13869), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15066), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71678] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9008), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3805), 1,
      sym_attribute,
    STATE(9177), 1,
      sym__match_cases,
    STATE(9438), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15048), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71809] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9008), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3806), 1,
      sym_attribute,
    STATE(9180), 1,
      sym__match_cases,
    STATE(9438), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15048), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71940] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8879), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3807), 1,
      sym_attribute,
    STATE(9203), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13734), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15011), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72071] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8849), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3808), 1,
      sym_attribute,
    STATE(8901), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13661), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15074), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72202] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(3809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [72277] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8861), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3810), 1,
      sym_attribute,
    STATE(9105), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13623), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14985), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72408] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(3811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [72483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [72556] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8879), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3813), 1,
      sym_attribute,
    STATE(9361), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13734), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15011), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72687] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8879), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3814), 1,
      sym_attribute,
    STATE(9362), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13734), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15011), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72818] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8861), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3815), 1,
      sym_attribute,
    STATE(9203), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13623), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14985), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72949] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9352), 1,
      anon_sym_LT_DASH,
    STATE(3816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [73024] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8879), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3817), 1,
      sym_attribute,
    STATE(9010), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13734), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15011), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [73228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [73301] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8879), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3820), 1,
      sym_attribute,
    STATE(9293), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13734), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15011), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73432] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(3821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [73507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [73580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [73653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [73726] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8879), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3825), 1,
      sym_attribute,
    STATE(9339), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13734), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15011), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [73930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [74003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [74076] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8831), 1,
      anon_sym_PIPE,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3829), 1,
      sym_attribute,
    STATE(9018), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11470), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15197), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [74280] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8831), 1,
      anon_sym_PIPE,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3831), 1,
      sym_attribute,
    STATE(8901), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11470), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15197), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74411] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8861), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3832), 1,
      sym_attribute,
    STATE(9361), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13623), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14985), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74542] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8861), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3833), 1,
      sym_attribute,
    STATE(9362), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13623), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14985), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74673] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8911), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3834), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11644), 1,
      sym__match_cases,
    STATE(13869), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15066), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74804] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8911), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3835), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11646), 1,
      sym__match_cases,
    STATE(13869), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15066), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [75008] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8861), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3837), 1,
      sym_attribute,
    STATE(9293), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13623), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14985), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75139] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8861), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3838), 1,
      sym_attribute,
    STATE(9339), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13623), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14985), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [75343] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8831), 1,
      anon_sym_PIPE,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3840), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11470), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15197), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75474] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8831), 1,
      anon_sym_PIPE,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3841), 1,
      sym_attribute,
    STATE(9105), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11470), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15197), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [75678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [75751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [75824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [75897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [75970] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8992), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3847), 1,
      sym_attribute,
    STATE(8906), 1,
      sym__match_cases,
    STATE(9550), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14886), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [76174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [76247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [76320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [76393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [76466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [76539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [76612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [76685] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9010), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3856), 1,
      sym_attribute,
    STATE(8906), 1,
      sym__match_cases,
    STATE(10057), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15177), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [76889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [76962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [77035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [77108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [77181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [77254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [77327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [77400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [77473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [77546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [77619] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8990), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3868), 1,
      sym_attribute,
    STATE(9177), 1,
      sym__match_cases,
    STATE(9911), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15167), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [77823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [77896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [77969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [78042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [78115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [78188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [78261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [78334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [78407] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15491), 1,
      sym__binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_PIPE,
      anon_sym_as,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3878), 2,
      sym_attribute,
      sym_tag,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(5951), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [78538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [78611] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8859), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3880), 1,
      sym_attribute,
    STATE(8906), 1,
      sym__match_cases,
    STATE(9415), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15136), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [78742] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(3881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [78817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [78890] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8885), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3883), 1,
      sym_attribute,
    STATE(8906), 1,
      sym__match_cases,
    STATE(9598), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15131), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [79021] = 39,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    ACTIONS(8611), 1,
      anon_sym_rec,
    ACTIONS(8617), 1,
      anon_sym_open,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(3884), 1,
      sym_attribute,
    STATE(5502), 1,
      sym__attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    STATE(21782), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [79162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [79235] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9010), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3886), 1,
      sym_attribute,
    STATE(9052), 1,
      sym__match_cases,
    STATE(10057), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15177), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [79366] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9010), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3887), 1,
      sym_attribute,
    STATE(9189), 1,
      sym__match_cases,
    STATE(10057), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15177), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [79497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [79570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [79643] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8885), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3890), 1,
      sym_attribute,
    STATE(9052), 1,
      sym__match_cases,
    STATE(9598), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15131), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [79774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [79847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [79920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [79993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80285] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(3898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80433] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(3900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80654] = 39,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    ACTIONS(8611), 1,
      anon_sym_rec,
    ACTIONS(8617), 1,
      anon_sym_open,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(3903), 1,
      sym_attribute,
    STATE(5502), 1,
      sym__attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19689), 1,
      sym_open_module,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [80795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80868] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(3905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81235] = 39,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    ACTIONS(8611), 1,
      anon_sym_rec,
    ACTIONS(8617), 1,
      anon_sym_open,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(3910), 1,
      sym_attribute,
    STATE(5502), 1,
      sym__attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    STATE(20131), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [81376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81668] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8885), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3915), 1,
      sym_attribute,
    STATE(9189), 1,
      sym__match_cases,
    STATE(9598), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15131), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [81799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81872] = 39,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    ACTIONS(8611), 1,
      anon_sym_rec,
    ACTIONS(8617), 1,
      anon_sym_open,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(3917), 1,
      sym_attribute,
    STATE(5502), 1,
      sym__attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    STATE(20549), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [82013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82305] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8885), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3922), 1,
      sym_attribute,
    STATE(9177), 1,
      sym__match_cases,
    STATE(9598), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15131), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [82436] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8885), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3923), 1,
      sym_attribute,
    STATE(9180), 1,
      sym__match_cases,
    STATE(9598), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15131), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [82567] = 39,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    ACTIONS(8611), 1,
      anon_sym_rec,
    ACTIONS(8617), 1,
      anon_sym_open,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(3924), 1,
      sym_attribute,
    STATE(5502), 1,
      sym__attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    STATE(20876), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [82708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83146] = 39,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    ACTIONS(8611), 1,
      anon_sym_rec,
    ACTIONS(8617), 1,
      anon_sym_open,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(3931), 1,
      sym_attribute,
    STATE(5502), 1,
      sym__attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    STATE(21075), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [83287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83798] = 39,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    ACTIONS(8611), 1,
      anon_sym_rec,
    ACTIONS(8617), 1,
      anon_sym_open,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(3939), 1,
      sym_attribute,
    STATE(5502), 1,
      sym__attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    STATE(21760), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [83939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84231] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8861), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3944), 1,
      sym_attribute,
    STATE(9018), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13623), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14985), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [84362] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8901), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3945), 1,
      sym_attribute,
    STATE(9010), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11795), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15113), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [84493] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8859), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3946), 1,
      sym_attribute,
    STATE(9052), 1,
      sym__match_cases,
    STATE(9415), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15136), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [84624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84843] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8893), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3950), 1,
      sym_attribute,
    STATE(8906), 1,
      sym__match_cases,
    STATE(9469), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14915), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [84974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [85047] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8901), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3952), 1,
      sym_attribute,
    STATE(9018), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11795), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15113), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [85178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [85251] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8901), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3954), 1,
      sym_attribute,
    STATE(8901), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11795), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15113), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [85382] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8859), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3955), 1,
      sym_attribute,
    STATE(9189), 1,
      sym__match_cases,
    STATE(9415), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15136), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [85513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [85586] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8893), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3957), 1,
      sym_attribute,
    STATE(9052), 1,
      sym__match_cases,
    STATE(9469), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14915), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [85717] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8893), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3958), 1,
      sym_attribute,
    STATE(9189), 1,
      sym__match_cases,
    STATE(9469), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14915), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [85848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [85921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [85994] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8901), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3961), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11795), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15113), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [86125] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8901), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3962), 1,
      sym_attribute,
    STATE(9105), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11795), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15113), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [86256] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9010), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3963), 1,
      sym_attribute,
    STATE(9177), 1,
      sym__match_cases,
    STATE(10057), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15177), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [86387] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8893), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3964), 1,
      sym_attribute,
    STATE(9177), 1,
      sym__match_cases,
    STATE(9469), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14915), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [86518] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8893), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3965), 1,
      sym_attribute,
    STATE(9180), 1,
      sym__match_cases,
    STATE(9469), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14915), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [86649] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(3966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86797] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8873), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3968), 1,
      sym_attribute,
    STATE(9010), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13531), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15104), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [86928] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8859), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3969), 1,
      sym_attribute,
    STATE(9177), 1,
      sym__match_cases,
    STATE(9415), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15136), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [87059] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9354), 1,
      anon_sym_LT_DASH,
    STATE(3970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87207] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8897), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3972), 1,
      sym_attribute,
    STATE(8906), 1,
      sym__match_cases,
    STATE(9737), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14868), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [87338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87557] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8897), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3976), 1,
      sym_attribute,
    STATE(9052), 1,
      sym__match_cases,
    STATE(9737), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14868), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [87688] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8897), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3977), 1,
      sym_attribute,
    STATE(9189), 1,
      sym__match_cases,
    STATE(9737), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14868), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [87819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87892] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8859), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3979), 1,
      sym_attribute,
    STATE(9180), 1,
      sym__match_cases,
    STATE(9415), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15136), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [88023] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8873), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3980), 1,
      sym_attribute,
    STATE(9018), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13531), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15104), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [88154] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8897), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3981), 1,
      sym_attribute,
    STATE(9177), 1,
      sym__match_cases,
    STATE(9737), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14868), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [88285] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8897), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3982), 1,
      sym_attribute,
    STATE(9180), 1,
      sym__match_cases,
    STATE(9737), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14868), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [88416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [88489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [88562] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8873), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3985), 1,
      sym_attribute,
    STATE(8901), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13531), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15104), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [88693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [88766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [88839] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3651), 1,
      anon_sym_DOT,
    ACTIONS(3653), 1,
      anon_sym_POUND,
    ACTIONS(3655), 1,
      sym_hash_operator,
    STATE(3988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [88918] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8899), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3989), 1,
      sym_attribute,
    STATE(8906), 1,
      sym__match_cases,
    STATE(9427), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15071), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [89049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89122] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8990), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3991), 1,
      sym_attribute,
    STATE(9180), 1,
      sym__match_cases,
    STATE(9911), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15167), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [89253] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8990), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3992), 1,
      sym_attribute,
    STATE(8906), 1,
      sym__match_cases,
    STATE(9911), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15167), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [89384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89530] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8873), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3995), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13531), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15104), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [89661] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8899), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3996), 1,
      sym_attribute,
    STATE(9052), 1,
      sym__match_cases,
    STATE(9427), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15071), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [89792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89938] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8899), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(3999), 1,
      sym_attribute,
    STATE(9189), 1,
      sym__match_cases,
    STATE(9427), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15071), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [90069] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8873), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4000), 1,
      sym_attribute,
    STATE(9105), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13531), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15104), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [90200] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9010), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4001), 1,
      sym_attribute,
    STATE(9180), 1,
      sym__match_cases,
    STATE(10057), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15177), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [90331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90477] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8899), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4004), 1,
      sym_attribute,
    STATE(9177), 1,
      sym__match_cases,
    STATE(9427), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15071), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [90608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90754] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8899), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4007), 1,
      sym_attribute,
    STATE(9180), 1,
      sym__match_cases,
    STATE(9427), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15071), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [90885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91177] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8901), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4012), 1,
      sym_attribute,
    STATE(9203), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11795), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15113), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [91308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91527] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8990), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4016), 1,
      sym_attribute,
    STATE(9052), 1,
      sym__match_cases,
    STATE(9911), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15167), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [91658] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8907), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4017), 1,
      sym_attribute,
    STATE(8906), 1,
      sym__match_cases,
    STATE(9694), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15128), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [91789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91935] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8861), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4020), 1,
      sym_attribute,
    STATE(8901), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13623), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14985), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [92066] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8907), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4021), 1,
      sym_attribute,
    STATE(9052), 1,
      sym__match_cases,
    STATE(9694), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15128), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [92197] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8907), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4022), 1,
      sym_attribute,
    STATE(9189), 1,
      sym__match_cases,
    STATE(9694), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15128), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [92328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [92401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [92474] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8901), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4025), 1,
      sym_attribute,
    STATE(9361), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11795), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15113), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [92605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [92678] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(4027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [92753] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8907), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4028), 1,
      sym_attribute,
    STATE(9177), 1,
      sym__match_cases,
    STATE(9694), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15128), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [92884] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8907), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4029), 1,
      sym_attribute,
    STATE(9180), 1,
      sym__match_cases,
    STATE(9694), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15128), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [93015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [93088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [93161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [93234] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8901), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4033), 1,
      sym_attribute,
    STATE(9362), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11795), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15113), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [93365] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(4034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [93440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [93513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [93586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [93659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [93732] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8877), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4039), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11605), 1,
      sym__match_cases,
    STATE(13507), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15201), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [93863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [93936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [94009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [94082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [94155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [94228] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3651), 1,
      anon_sym_DOT,
    STATE(4045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [94303] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8895), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4046), 1,
      sym_attribute,
    STATE(9010), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10697), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15061), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [94434] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9012), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4047), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13905), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15182), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [94565] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8901), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4048), 1,
      sym_attribute,
    STATE(9293), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11795), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15113), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [94696] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8901), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4049), 1,
      sym_attribute,
    STATE(9339), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11795), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15113), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [94827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [94900] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8895), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4051), 1,
      sym_attribute,
    STATE(9018), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10697), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15061), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [95031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95250] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8990), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4055), 1,
      sym_attribute,
    STATE(9189), 1,
      sym__match_cases,
    STATE(9911), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15167), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [95381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95673] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3713), 1,
      anon_sym_DOT,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3717), 1,
      sym_hash_operator,
    STATE(4060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95752] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8895), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4061), 1,
      sym_attribute,
    STATE(8901), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10697), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15061), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [95883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [96029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [96102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [96175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [96248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [96321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [96394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [96467] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8869), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4070), 1,
      sym_attribute,
    STATE(9018), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13694), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14904), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [96598] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8895), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4071), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10697), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15061), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [96729] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8895), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4072), 1,
      sym_attribute,
    STATE(9105), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10697), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15061), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [96860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [96933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97152] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3713), 1,
      anon_sym_DOT,
    STATE(4077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97227] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8877), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4078), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11627), 1,
      sym__match_cases,
    STATE(13507), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15201), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [97358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97942] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8877), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4087), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11632), 1,
      sym__match_cases,
    STATE(13507), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15201), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [98073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [98146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [98219] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8887), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4090), 1,
      sym_attribute,
    STATE(9203), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10959), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14919), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [98350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [98423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [98496] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8879), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4093), 1,
      sym_attribute,
    STATE(9018), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13734), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15011), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [98627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [98700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [98773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [98846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [98919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [98992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [99065] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3713), 1,
      anon_sym_DOT,
    ACTIONS(3715), 1,
      anon_sym_POUND,
    ACTIONS(3717), 1,
      sym_hash_operator,
    STATE(4100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [99144] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8879), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4101), 1,
      sym_attribute,
    STATE(8901), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13734), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15011), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [99275] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8887), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4102), 1,
      sym_attribute,
    STATE(9361), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10959), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14919), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [99406] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8887), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4103), 1,
      sym_attribute,
    STATE(9362), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10959), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14919), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [99537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [99610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [99683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [99756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [99829] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8877), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4108), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11644), 1,
      sym__match_cases,
    STATE(13507), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15201), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [99960] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8887), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4109), 1,
      sym_attribute,
    STATE(9293), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10959), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14919), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [100091] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8887), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4110), 1,
      sym_attribute,
    STATE(9339), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10959), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14919), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [100222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100514] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8877), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4115), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11646), 1,
      sym__match_cases,
    STATE(13507), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15201), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [100645] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3733), 1,
      anon_sym_DOT,
    STATE(4116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100866] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(4119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [101014] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8869), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4121), 1,
      sym_attribute,
    STATE(8901), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13694), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14904), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [101145] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8909), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4122), 1,
      sym_attribute,
    STATE(8906), 1,
      sym__match_cases,
    STATE(9536), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14902), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [101276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [101349] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8849), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4124), 1,
      sym_attribute,
    STATE(9203), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13661), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15074), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [101480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [101553] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9006), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4126), 1,
      sym_attribute,
    STATE(8906), 1,
      sym__match_cases,
    STATE(9873), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15142), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [101684] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8909), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4127), 1,
      sym_attribute,
    STATE(9052), 1,
      sym__match_cases,
    STATE(9536), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14902), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [101815] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8909), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4128), 1,
      sym_attribute,
    STATE(9189), 1,
      sym__match_cases,
    STATE(9536), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14902), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [101946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [102019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [102092] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8849), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4131), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13661), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15074), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [102223] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7839), 1,
      sym__identifier,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7857), 1,
      anon_sym_lazy,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(4133), 1,
      sym_tag,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14687), 1,
      sym__binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_COLON2,
      anon_sym_as,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4132), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(5951), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_COLON_COLON,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [102354] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7839), 1,
      sym__identifier,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7857), 1,
      anon_sym_lazy,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(4132), 1,
      sym_constructor_path,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14696), 1,
      sym__binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_COLON2,
      anon_sym_as,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4133), 2,
      sym_attribute,
      sym_tag,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(5951), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_COLON_COLON,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [102485] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8909), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4134), 1,
      sym_attribute,
    STATE(9177), 1,
      sym__match_cases,
    STATE(9536), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14902), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [102616] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8909), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4135), 1,
      sym_attribute,
    STATE(9180), 1,
      sym__match_cases,
    STATE(9536), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14902), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [102747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [102820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [102893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [102966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [103039] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8849), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4140), 1,
      sym_attribute,
    STATE(9361), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13661), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15074), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [103170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [103243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [103316] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8919), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4143), 1,
      sym_attribute,
    STATE(8906), 1,
      sym__match_cases,
    STATE(9283), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15040), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [103447] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3651), 1,
      anon_sym_DOT,
    ACTIONS(3653), 1,
      anon_sym_POUND,
    ACTIONS(3655), 1,
      sym_hash_operator,
    STATE(4144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [103526] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8849), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4145), 1,
      sym_attribute,
    STATE(9362), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13661), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15074), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [103657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [103730] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8919), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4147), 1,
      sym_attribute,
    STATE(9052), 1,
      sym__match_cases,
    STATE(9283), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15040), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [103861] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8919), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4148), 1,
      sym_attribute,
    STATE(9189), 1,
      sym__match_cases,
    STATE(9283), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15040), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [103992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [104065] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8849), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4150), 1,
      sym_attribute,
    STATE(9105), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13661), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15074), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [104196] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8849), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4151), 1,
      sym_attribute,
    STATE(9293), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13661), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15074), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [104327] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8919), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4152), 1,
      sym_attribute,
    STATE(9177), 1,
      sym__match_cases,
    STATE(9283), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15040), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [104458] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(4153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [104533] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8919), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4154), 1,
      sym_attribute,
    STATE(9180), 1,
      sym__match_cases,
    STATE(9283), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15040), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [104664] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8849), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4155), 1,
      sym_attribute,
    STATE(9339), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13661), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15074), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [104795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [104868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [104941] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8849), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4158), 1,
      sym_attribute,
    STATE(9010), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13661), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15074), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [105072] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8879), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4159), 1,
      sym_attribute,
    STATE(9081), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13734), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15011), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [105203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [105276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [105349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [105422] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9012), 1,
      anon_sym_PIPE,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4163), 1,
      sym_attribute,
    STATE(9010), 1,
      sym__match_cases,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13905), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15182), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [105553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [105626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [105698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [105770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [105842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [105914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [105986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106562] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3807), 1,
      anon_sym_DOT,
    STATE(4178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [107068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [107140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [107212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [107284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [107356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [107428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [107500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [107572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [107644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [107716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [107788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [107860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [107932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9164), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [109444] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9360), 1,
      anon_sym_COLON,
    STATE(4218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9358), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [109518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9364), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [109590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111462] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    STATE(4246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113048] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_POUND,
    ACTIONS(3821), 1,
      sym_hash_operator,
    STATE(4268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113270] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_POUND,
    ACTIONS(3821), 1,
      sym_hash_operator,
    STATE(4271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114500] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3827), 1,
      anon_sym_DOT,
    ACTIONS(3829), 1,
      anon_sym_POUND,
    ACTIONS(3831), 1,
      sym_hash_operator,
    STATE(4288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115226] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9366), 1,
      anon_sym_COLON,
    STATE(4298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9358), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [115300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115372] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3827), 1,
      anon_sym_DOT,
    STATE(4300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116742] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3827), 1,
      anon_sym_DOT,
    ACTIONS(3829), 1,
      anon_sym_POUND,
    ACTIONS(3831), 1,
      sym_hash_operator,
    STATE(4319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117828] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(4334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118046] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(4337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120280] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(4368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120570] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(4372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120716] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4374), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16148), 1,
      sym__simple_expression,
    STATE(16965), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [121056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [121128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [121200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [121272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [121344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [121416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [121488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [121560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [121632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [121704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [121776] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(4388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [121850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [121922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [121994] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(4391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [122068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [122140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [122212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [122284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [122356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [122428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [122500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [122572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [122644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [122716] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9368), 1,
      sym__identifier,
    ACTIONS(9370), 1,
      anon_sym_LPAREN,
    ACTIONS(9374), 1,
      anon_sym_LBRACE,
    ACTIONS(9376), 1,
      anon_sym_begin,
    ACTIONS(9378), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9380), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_number_token1,
    ACTIONS(9386), 1,
      anon_sym_SQUOTE,
    ACTIONS(9388), 1,
      anon_sym_DQUOTE,
    ACTIONS(9390), 1,
      sym_prefix_operator,
    STATE(4401), 1,
      sym_attribute,
    STATE(4936), 1,
      sym__attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(8407), 1,
      sym_parenthesized_operator,
    STATE(8408), 1,
      sym__simple_expression,
    STATE(21394), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8424), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122840] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9368), 1,
      sym__identifier,
    ACTIONS(9370), 1,
      anon_sym_LPAREN,
    ACTIONS(9374), 1,
      anon_sym_LBRACE,
    ACTIONS(9376), 1,
      anon_sym_begin,
    ACTIONS(9378), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9380), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_number_token1,
    ACTIONS(9386), 1,
      anon_sym_SQUOTE,
    ACTIONS(9388), 1,
      anon_sym_DQUOTE,
    ACTIONS(9390), 1,
      sym_prefix_operator,
    STATE(4402), 1,
      sym_attribute,
    STATE(4937), 1,
      sym__attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(8407), 1,
      sym_parenthesized_operator,
    STATE(8409), 1,
      sym__simple_expression,
    STATE(21394), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8424), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122964] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4403), 1,
      sym_attribute,
    STATE(4938), 1,
      sym__attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15298), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [123092] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4404), 1,
      sym_attribute,
    STATE(4939), 1,
      sym__attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15347), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [123220] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4405), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16341), 1,
      sym__simple_expression,
    STATE(16796), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123344] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(6415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9392), 1,
      anon_sym_RPAREN,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4406), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15789), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [123472] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9382), 1,
      anon_sym_PERCENT,
    ACTIONS(9394), 1,
      sym__identifier,
    ACTIONS(9396), 1,
      anon_sym_LPAREN,
    ACTIONS(9398), 1,
      anon_sym_LBRACK,
    ACTIONS(9402), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_object,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9408), 1,
      anon_sym_new,
    ACTIONS(9410), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9412), 1,
      anon_sym_begin,
    ACTIONS(9414), 1,
      sym_ocamlyacc_value,
    ACTIONS(9416), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9418), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9420), 1,
      aux_sym_number_token1,
    ACTIONS(9422), 1,
      anon_sym_SQUOTE,
    ACTIONS(9424), 1,
      anon_sym_DQUOTE,
    ACTIONS(9426), 1,
      sym_prefix_operator,
    ACTIONS(9428), 1,
      sym__capitalized_identifier,
    ACTIONS(9430), 1,
      aux_sym_tag_token1,
    STATE(4407), 1,
      sym_attribute,
    STATE(4956), 1,
      sym__attribute,
    STATE(8502), 1,
      sym__simple_expression,
    STATE(8584), 1,
      sym_parenthesized_operator,
    STATE(8636), 1,
      sym__constructor_name,
    STATE(8681), 1,
      sym__value_name,
    STATE(22158), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8634), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8571), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123596] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9382), 1,
      anon_sym_PERCENT,
    ACTIONS(9394), 1,
      sym__identifier,
    ACTIONS(9396), 1,
      anon_sym_LPAREN,
    ACTIONS(9398), 1,
      anon_sym_LBRACK,
    ACTIONS(9402), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_object,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9408), 1,
      anon_sym_new,
    ACTIONS(9410), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9412), 1,
      anon_sym_begin,
    ACTIONS(9414), 1,
      sym_ocamlyacc_value,
    ACTIONS(9416), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9418), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9420), 1,
      aux_sym_number_token1,
    ACTIONS(9422), 1,
      anon_sym_SQUOTE,
    ACTIONS(9424), 1,
      anon_sym_DQUOTE,
    ACTIONS(9426), 1,
      sym_prefix_operator,
    ACTIONS(9428), 1,
      sym__capitalized_identifier,
    ACTIONS(9430), 1,
      aux_sym_tag_token1,
    STATE(4408), 1,
      sym_attribute,
    STATE(4957), 1,
      sym__attribute,
    STATE(8503), 1,
      sym__simple_expression,
    STATE(8584), 1,
      sym_parenthesized_operator,
    STATE(8636), 1,
      sym__constructor_name,
    STATE(8681), 1,
      sym__value_name,
    STATE(22158), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8634), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8571), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123720] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4409), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16358), 1,
      sym__simple_expression,
    STATE(17926), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123844] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(6545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9432), 1,
      anon_sym_RPAREN,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4410), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15775), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [123972] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9382), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      sym__identifier,
    ACTIONS(9436), 1,
      anon_sym_LPAREN,
    ACTIONS(9438), 1,
      anon_sym_LBRACK,
    ACTIONS(9442), 1,
      anon_sym_LBRACE,
    ACTIONS(9444), 1,
      anon_sym_object,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9448), 1,
      anon_sym_new,
    ACTIONS(9450), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9452), 1,
      anon_sym_begin,
    ACTIONS(9454), 1,
      sym_ocamlyacc_value,
    ACTIONS(9456), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9458), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9460), 1,
      aux_sym_number_token1,
    ACTIONS(9462), 1,
      anon_sym_SQUOTE,
    ACTIONS(9464), 1,
      anon_sym_DQUOTE,
    ACTIONS(9466), 1,
      sym_prefix_operator,
    ACTIONS(9468), 1,
      sym__capitalized_identifier,
    ACTIONS(9470), 1,
      aux_sym_tag_token1,
    STATE(4411), 1,
      sym_attribute,
    STATE(4963), 1,
      sym__attribute,
    STATE(10740), 1,
      sym_parenthesized_operator,
    STATE(10913), 1,
      sym__constructor_name,
    STATE(11045), 1,
      sym__simple_expression,
    STATE(11051), 1,
      sym__value_name,
    STATE(19833), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9440), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10912), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10782), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124096] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9382), 1,
      anon_sym_PERCENT,
    ACTIONS(9434), 1,
      sym__identifier,
    ACTIONS(9436), 1,
      anon_sym_LPAREN,
    ACTIONS(9438), 1,
      anon_sym_LBRACK,
    ACTIONS(9442), 1,
      anon_sym_LBRACE,
    ACTIONS(9444), 1,
      anon_sym_object,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9448), 1,
      anon_sym_new,
    ACTIONS(9450), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9452), 1,
      anon_sym_begin,
    ACTIONS(9454), 1,
      sym_ocamlyacc_value,
    ACTIONS(9456), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9458), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9460), 1,
      aux_sym_number_token1,
    ACTIONS(9462), 1,
      anon_sym_SQUOTE,
    ACTIONS(9464), 1,
      anon_sym_DQUOTE,
    ACTIONS(9466), 1,
      sym_prefix_operator,
    ACTIONS(9468), 1,
      sym__capitalized_identifier,
    ACTIONS(9470), 1,
      aux_sym_tag_token1,
    STATE(4412), 1,
      sym_attribute,
    STATE(4964), 1,
      sym__attribute,
    STATE(10716), 1,
      sym__simple_expression,
    STATE(10740), 1,
      sym_parenthesized_operator,
    STATE(10913), 1,
      sym__constructor_name,
    STATE(11051), 1,
      sym__value_name,
    STATE(19833), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9440), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10912), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10782), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124220] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4413), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16368), 1,
      sym__simple_expression,
    STATE(16819), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124344] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6313), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9472), 1,
      anon_sym_RPAREN,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4414), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15680), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [124472] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9382), 1,
      anon_sym_PERCENT,
    ACTIONS(9474), 1,
      sym__identifier,
    ACTIONS(9476), 1,
      anon_sym_LPAREN,
    ACTIONS(9478), 1,
      anon_sym_LBRACK,
    ACTIONS(9482), 1,
      anon_sym_LBRACE,
    ACTIONS(9484), 1,
      anon_sym_object,
    ACTIONS(9486), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9488), 1,
      anon_sym_new,
    ACTIONS(9490), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9492), 1,
      anon_sym_begin,
    ACTIONS(9494), 1,
      sym_ocamlyacc_value,
    ACTIONS(9496), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9498), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9500), 1,
      aux_sym_number_token1,
    ACTIONS(9502), 1,
      anon_sym_SQUOTE,
    ACTIONS(9504), 1,
      anon_sym_DQUOTE,
    ACTIONS(9506), 1,
      sym_prefix_operator,
    ACTIONS(9508), 1,
      sym__capitalized_identifier,
    ACTIONS(9510), 1,
      aux_sym_tag_token1,
    STATE(4415), 1,
      sym_attribute,
    STATE(4973), 1,
      sym__attribute,
    STATE(8504), 1,
      sym__value_name,
    STATE(8520), 1,
      sym__simple_expression,
    STATE(8597), 1,
      sym_parenthesized_operator,
    STATE(8651), 1,
      sym__constructor_name,
    STATE(20079), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8662), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8679), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124596] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9382), 1,
      anon_sym_PERCENT,
    ACTIONS(9474), 1,
      sym__identifier,
    ACTIONS(9476), 1,
      anon_sym_LPAREN,
    ACTIONS(9478), 1,
      anon_sym_LBRACK,
    ACTIONS(9482), 1,
      anon_sym_LBRACE,
    ACTIONS(9484), 1,
      anon_sym_object,
    ACTIONS(9486), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9488), 1,
      anon_sym_new,
    ACTIONS(9490), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9492), 1,
      anon_sym_begin,
    ACTIONS(9494), 1,
      sym_ocamlyacc_value,
    ACTIONS(9496), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9498), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9500), 1,
      aux_sym_number_token1,
    ACTIONS(9502), 1,
      anon_sym_SQUOTE,
    ACTIONS(9504), 1,
      anon_sym_DQUOTE,
    ACTIONS(9506), 1,
      sym_prefix_operator,
    ACTIONS(9508), 1,
      sym__capitalized_identifier,
    ACTIONS(9510), 1,
      aux_sym_tag_token1,
    STATE(4416), 1,
      sym_attribute,
    STATE(4974), 1,
      sym__attribute,
    STATE(8504), 1,
      sym__value_name,
    STATE(8524), 1,
      sym__simple_expression,
    STATE(8597), 1,
      sym_parenthesized_operator,
    STATE(8651), 1,
      sym__constructor_name,
    STATE(20079), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8662), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8679), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124720] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4417), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16376), 1,
      sym__simple_expression,
    STATE(17065), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124844] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(6559), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9512), 1,
      anon_sym_RPAREN,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4418), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15740), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [124972] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4419), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16382), 1,
      sym__simple_expression,
    STATE(17280), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125096] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(6535), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9514), 1,
      anon_sym_RPAREN,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4420), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15735), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [125224] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4421), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16386), 1,
      sym__simple_expression,
    STATE(17452), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125348] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(6579), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9516), 1,
      anon_sym_RPAREN,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4422), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15737), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [125476] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4423), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16391), 1,
      sym__simple_expression,
    STATE(17766), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125600] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(6433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9518), 1,
      anon_sym_RPAREN,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4424), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15646), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [125728] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4425), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16395), 1,
      sym__simple_expression,
    STATE(17957), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125852] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(6443), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9520), 1,
      anon_sym_RPAREN,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4426), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15814), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [125980] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4427), 1,
      sym_attribute,
    STATE(5276), 1,
      sym__attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14492), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [126108] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8833), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4428), 1,
      sym_attribute,
    STATE(5283), 1,
      sym__attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14283), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [126236] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4429), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16400), 1,
      sym__simple_expression,
    STATE(16607), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126360] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4430), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16403), 1,
      sym__simple_expression,
    STATE(17661), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126484] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4431), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16406), 1,
      sym__simple_expression,
    STATE(17243), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126608] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4432), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16409), 1,
      sym__simple_expression,
    STATE(17299), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126732] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9382), 1,
      anon_sym_PERCENT,
    ACTIONS(9522), 1,
      sym__identifier,
    ACTIONS(9524), 1,
      anon_sym_LPAREN,
    ACTIONS(9526), 1,
      anon_sym_LBRACK,
    ACTIONS(9530), 1,
      anon_sym_LBRACE,
    ACTIONS(9532), 1,
      anon_sym_object,
    ACTIONS(9534), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9536), 1,
      anon_sym_new,
    ACTIONS(9538), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9540), 1,
      anon_sym_begin,
    ACTIONS(9542), 1,
      sym_ocamlyacc_value,
    ACTIONS(9544), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9546), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9548), 1,
      aux_sym_number_token1,
    ACTIONS(9550), 1,
      anon_sym_SQUOTE,
    ACTIONS(9552), 1,
      anon_sym_DQUOTE,
    ACTIONS(9554), 1,
      sym_prefix_operator,
    ACTIONS(9556), 1,
      sym__capitalized_identifier,
    ACTIONS(9558), 1,
      aux_sym_tag_token1,
    STATE(4433), 1,
      sym_attribute,
    STATE(5032), 1,
      sym__attribute,
    STATE(8231), 1,
      sym__constructor_name,
    STATE(8737), 1,
      sym__value_name,
    STATE(8763), 1,
      sym_parenthesized_operator,
    STATE(8806), 1,
      sym__simple_expression,
    STATE(20759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8841), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8836), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126856] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4434), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16411), 1,
      sym__simple_expression,
    STATE(18029), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126980] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4435), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16414), 1,
      sym__simple_expression,
    STATE(16771), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127104] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4436), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16416), 1,
      sym__simple_expression,
    STATE(17051), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127228] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4437), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16419), 1,
      sym__simple_expression,
    STATE(17429), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127352] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4438), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16422), 1,
      sym__simple_expression,
    STATE(17923), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127476] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4439), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16425), 1,
      sym__simple_expression,
    STATE(17177), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127600] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4440), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16426), 1,
      sym__simple_expression,
    STATE(16846), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127724] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(4441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [127798] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9560), 1,
      anon_sym_LT_DASH,
    STATE(4442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [127872] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4443), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16427), 1,
      sym__simple_expression,
    STATE(17394), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127996] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4444), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16428), 1,
      sym__simple_expression,
    STATE(18040), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128120] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4445), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16432), 1,
      sym__simple_expression,
    STATE(16624), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128244] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4446), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16436), 1,
      sym__simple_expression,
    STATE(16723), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128368] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4447), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16437), 1,
      sym__simple_expression,
    STATE(16783), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128492] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9382), 1,
      anon_sym_PERCENT,
    ACTIONS(9522), 1,
      sym__identifier,
    ACTIONS(9524), 1,
      anon_sym_LPAREN,
    ACTIONS(9526), 1,
      anon_sym_LBRACK,
    ACTIONS(9530), 1,
      anon_sym_LBRACE,
    ACTIONS(9532), 1,
      anon_sym_object,
    ACTIONS(9534), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9536), 1,
      anon_sym_new,
    ACTIONS(9538), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9540), 1,
      anon_sym_begin,
    ACTIONS(9542), 1,
      sym_ocamlyacc_value,
    ACTIONS(9544), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9546), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9548), 1,
      aux_sym_number_token1,
    ACTIONS(9550), 1,
      anon_sym_SQUOTE,
    ACTIONS(9552), 1,
      anon_sym_DQUOTE,
    ACTIONS(9554), 1,
      sym_prefix_operator,
    ACTIONS(9556), 1,
      sym__capitalized_identifier,
    ACTIONS(9558), 1,
      aux_sym_tag_token1,
    STATE(4448), 1,
      sym_attribute,
    STATE(5081), 1,
      sym__attribute,
    STATE(8231), 1,
      sym__constructor_name,
    STATE(8737), 1,
      sym__value_name,
    STATE(8763), 1,
      sym_parenthesized_operator,
    STATE(8834), 1,
      sym__simple_expression,
    STATE(20759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8841), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8836), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128616] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4449), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16438), 1,
      sym__simple_expression,
    STATE(16861), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128740] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4450), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16440), 1,
      sym__simple_expression,
    STATE(16967), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128864] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4451), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16441), 1,
      sym__simple_expression,
    STATE(17039), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128988] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4452), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16443), 1,
      sym__simple_expression,
    STATE(17123), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129112] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4453), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16445), 1,
      sym__simple_expression,
    STATE(17225), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129236] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4454), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16446), 1,
      sym__simple_expression,
    STATE(17295), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129360] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4455), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16449), 1,
      sym__simple_expression,
    STATE(17363), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129484] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4456), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16450), 1,
      sym__simple_expression,
    STATE(17432), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129608] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4457), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16451), 1,
      sym__simple_expression,
    STATE(17496), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129732] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4458), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16452), 1,
      sym__simple_expression,
    STATE(17613), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129856] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4459), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16455), 1,
      sym__simple_expression,
    STATE(17669), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129980] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4460), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16456), 1,
      sym__simple_expression,
    STATE(17791), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130104] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4461), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16458), 1,
      sym__simple_expression,
    STATE(18008), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130228] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4462), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16459), 1,
      sym__simple_expression,
    STATE(17234), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130352] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4463), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16463), 1,
      sym__simple_expression,
    STATE(17437), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130476] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4464), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16466), 1,
      sym__simple_expression,
    STATE(17023), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130600] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4465), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16468), 1,
      sym__simple_expression,
    STATE(17605), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [130796] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4467), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16471), 1,
      sym__simple_expression,
    STATE(16573), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130920] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4468), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16476), 1,
      sym__simple_expression,
    STATE(16706), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [131116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [131188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [131260] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4472), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16477), 1,
      sym__simple_expression,
    STATE(16818), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [131456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [131528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [131600] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4476), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16479), 1,
      sym__simple_expression,
    STATE(16957), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131724] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4477), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16480), 1,
      sym__simple_expression,
    STATE(17038), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131848] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4478), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16484), 1,
      sym__simple_expression,
    STATE(17211), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131972] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4479), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16486), 1,
      sym__simple_expression,
    STATE(17355), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132096] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9014), 1,
      sym__identifier,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(4480), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15768), 1,
      sym_field_path,
    STATE(16488), 1,
      sym__simple_expression,
    STATE(17503), 1,
      sym_field_expression,
    STATE(21909), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [132292] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9562), 1,
      anon_sym_COLON,
    STATE(4482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9358), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [132366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [132438] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(4484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [132512] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9564), 1,
      anon_sym_LT_DASH,
    STATE(4485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [132586] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3807), 1,
      anon_sym_DOT,
    ACTIONS(3809), 1,
      anon_sym_POUND,
    ACTIONS(3811), 1,
      sym_hash_operator,
    STATE(4486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [132664] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(4487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [132738] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9566), 1,
      anon_sym_LT_DASH,
    STATE(4488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [132812] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3807), 1,
      anon_sym_DOT,
    ACTIONS(3809), 1,
      anon_sym_POUND,
    ACTIONS(3811), 1,
      sym_hash_operator,
    STATE(4489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [132890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [132962] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3725), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4491), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133083] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4492), 1,
      sym_attribute,
    STATE(9102), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15167), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [133208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133776] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(4501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133920] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(4503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134135] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(4506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134492] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4075), 1,
      anon_sym_DOT,
    ACTIONS(4077), 1,
      anon_sym_POUND,
    ACTIONS(4079), 1,
      sym_hash_operator,
    STATE(4511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134924] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9568), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4517), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14977), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [135049] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9570), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4518), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15070), 1,
      sym__pattern,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [135174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9164), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [136594] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9572), 1,
      anon_sym_COLON,
    STATE(4539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9358), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [136667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9364), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [136738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9164), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [138087] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4097), 1,
      anon_sym_DOT,
    STATE(4560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138444] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3767), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4565), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138565] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9574), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4566), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15063), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [138690] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9576), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4567), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(14869), 1,
      sym__pattern,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [138815] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4568), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11821), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15113), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [138940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [139011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [139082] = 37,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6137), 1,
      sym__identifier,
    ACTIONS(6139), 1,
      anon_sym_LPAREN,
    ACTIONS(6141), 1,
      anon_sym_LBRACK,
    ACTIONS(6145), 1,
      anon_sym_LBRACE,
    ACTIONS(6147), 1,
      anon_sym_POUND,
    ACTIONS(6149), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6151), 1,
      anon_sym_lazy,
    ACTIONS(6153), 1,
      anon_sym_begin,
    ACTIONS(6159), 1,
      aux_sym_number_token1,
    ACTIONS(6161), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6163), 1,
      anon_sym_SQUOTE,
    ACTIONS(6165), 1,
      anon_sym_DQUOTE,
    ACTIONS(6167), 1,
      sym__capitalized_identifier,
    ACTIONS(6169), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(9578), 1,
      anon_sym_rec,
    ACTIONS(9580), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9582), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2806), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(2836), 1,
      sym__binding_pattern,
    STATE(4571), 1,
      sym_attribute,
    STATE(5504), 1,
      sym__attribute,
    STATE(6558), 1,
      sym__constructor_name,
    STATE(6575), 1,
      sym__signed_constant,
    STATE(6661), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6676), 1,
      sym_list_binding_pattern,
    STATE(6677), 1,
      sym_array_binding_pattern,
    STATE(13026), 1,
      sym_let_binding,
    STATE(21000), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6143), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6498), 2,
      sym__constant,
      sym_signed_number,
    STATE(6504), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6743), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [139217] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4572), 1,
      sym_attribute,
    STATE(9352), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15113), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [139342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [139413] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9584), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4574), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15523), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [139538] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9586), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4575), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15405), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [139663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [139734] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9588), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4577), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15523), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [139859] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9590), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4578), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15405), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [139984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [140055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [140126] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3645), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4581), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140247] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9592), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4582), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14899), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [140372] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9594), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4583), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(14900), 1,
      sym__pattern,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [140497] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4584), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13847), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15182), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [140622] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4585), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13709), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15182), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [140747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [140818] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9596), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4587), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15523), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [140943] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9598), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4588), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15405), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [141068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [141139] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9600), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4590), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15523), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [141264] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9602), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4591), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15405), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [141389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [141460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [141531] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3685), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4594), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [141652] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9604), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4595), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15089), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [141777] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9606), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4596), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15095), 1,
      sym__pattern,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [141902] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4597), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13580), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15066), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [142027] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4598), 1,
      sym_attribute,
    STATE(9352), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14985), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [142152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [142223] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(4600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [142296] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9608), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4601), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15523), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [142421] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9610), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4602), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15405), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [142546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [142617] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9612), 1,
      anon_sym_LT_DASH,
    STATE(4604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [142690] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9614), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4605), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15523), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [142815] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9616), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4606), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15405), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [142940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [143011] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4075), 1,
      anon_sym_DOT,
    STATE(4608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [143084] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3797), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4609), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [143205] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9618), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4610), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15108), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [143330] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9620), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4611), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15109), 1,
      sym__pattern,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [143455] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4612), 1,
      sym_attribute,
    STATE(9352), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15074), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [143580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [143651] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9622), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4614), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15523), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [143776] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9624), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4615), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15405), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [143901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [143972] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9626), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4617), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15523), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [144097] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9628), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4618), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15405), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [144222] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9630), 1,
      anon_sym_LT_DASH,
    STATE(4619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [144295] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3643), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4620), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [144416] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9632), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4621), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14921), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [144541] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9634), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4622), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(14923), 1,
      sym__pattern,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [144666] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4623), 1,
      sym_attribute,
    STATE(9352), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14904), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [144791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [144862] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9636), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4625), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15523), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [144987] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9638), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4626), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15405), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [145112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [145183] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9640), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4628), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15523), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [145308] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9642), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4629), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15405), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [145433] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3773), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4630), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [145554] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9644), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4631), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15029), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [145679] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9646), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4632), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15030), 1,
      sym__pattern,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [145804] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4633), 1,
      sym_attribute,
    STATE(9352), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15011), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [145929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [146000] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9648), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4635), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15523), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [146125] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9650), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4636), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15405), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [146250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [146321] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9652), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4638), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15523), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [146446] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9654), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4639), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15405), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [146571] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3799), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4640), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [146692] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9656), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4641), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15147), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [146817] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9658), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4642), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15148), 1,
      sym__pattern,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [146942] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4643), 1,
      sym_attribute,
    STATE(9102), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15142), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [147067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [147138] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9660), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4645), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15523), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [147263] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9662), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4646), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15405), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [147388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [147459] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9664), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4648), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15523), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [147584] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9666), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4649), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15405), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [147709] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(4650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [147782] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9668), 1,
      anon_sym_LT_DASH,
    STATE(4651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [147855] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9670), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4652), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15523), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [147980] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3785), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4653), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [148101] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4654), 1,
      sym_attribute,
    STATE(9102), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15177), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [148226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [148297] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9672), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4656), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15405), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [148422] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4657), 1,
      sym_attribute,
    STATE(9994), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15167), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [148547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [148618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [148689] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4097), 1,
      anon_sym_DOT,
    ACTIONS(4099), 1,
      anon_sym_POUND,
    ACTIONS(4101), 1,
      sym_hash_operator,
    STATE(4660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [148766] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3701), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4661), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [148887] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4662), 1,
      sym_attribute,
    STATE(9352), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14919), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [149012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [149083] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3777), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4664), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [149204] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4665), 1,
      sym_attribute,
    STATE(9102), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15136), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [149329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [149400] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3705), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4667), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [149521] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4668), 1,
      sym_attribute,
    STATE(9102), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15127), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [149646] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4097), 1,
      anon_sym_DOT,
    ACTIONS(4099), 1,
      anon_sym_POUND,
    ACTIONS(4101), 1,
      sym_hash_operator,
    STATE(4669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [149723] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3759), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4670), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [149844] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4671), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11628), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15066), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [149969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [150040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [150111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [150182] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3721), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4675), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [150303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [150374] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4677), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11628), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15201), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [150499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9364), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [150570] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3723), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4679), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [150691] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4680), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11628), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15041), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [150816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [150887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [150958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [151029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [151100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [151171] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3739), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4686), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [151292] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4687), 1,
      sym_attribute,
    STATE(9352), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15197), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [151417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [151488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [151559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [151630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [151701] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3641), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4692), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [151822] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4693), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13709), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14941), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [151947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [152018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9164), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [152089] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3771), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4696), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152210] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4697), 1,
      sym_attribute,
    STATE(9352), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14968), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [152335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [152406] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9674), 1,
      anon_sym_COLON,
    STATE(4699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9358), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [152479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [152550] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3681), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4701), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152671] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4702), 1,
      sym_attribute,
    STATE(9352), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15104), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [152796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [152867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [152938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [153009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [153080] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3741), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4707), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153201] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4708), 1,
      sym_attribute,
    STATE(9352), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15196), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [153326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [153397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9364), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [153468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [153539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [153610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [153681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [153752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [153823] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3769), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4716), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153944] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4717), 1,
      sym_attribute,
    STATE(9352), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15043), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [154069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [154140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [154211] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3783), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4720), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154332] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4721), 1,
      sym_attribute,
    STATE(9102), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15131), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [154457] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9676), 1,
      anon_sym_COLON,
    STATE(4722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9358), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [154530] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3669), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4723), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154651] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4724), 1,
      sym_attribute,
    STATE(9102), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14915), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [154776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [154847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [154918] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3703), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4727), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155039] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4728), 1,
      sym_attribute,
    STATE(9102), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14868), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [155164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [155235] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(4730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [155308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [155379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [155450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [155521] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9678), 1,
      anon_sym_RBRACK,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4734), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15523), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [155646] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    ACTIONS(9680), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4735), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15405), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [155771] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3749), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4736), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155892] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4737), 1,
      sym_attribute,
    STATE(9102), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15128), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [156017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [156088] = 37,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6083), 1,
      sym__identifier,
    ACTIONS(6085), 1,
      anon_sym_LPAREN,
    ACTIONS(6087), 1,
      anon_sym_LBRACK,
    ACTIONS(6091), 1,
      anon_sym_LBRACE,
    ACTIONS(6093), 1,
      anon_sym_POUND,
    ACTIONS(6095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6097), 1,
      anon_sym_lazy,
    ACTIONS(6099), 1,
      anon_sym_begin,
    ACTIONS(6105), 1,
      aux_sym_number_token1,
    ACTIONS(6107), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6109), 1,
      anon_sym_SQUOTE,
    ACTIONS(6111), 1,
      anon_sym_DQUOTE,
    ACTIONS(6113), 1,
      sym__capitalized_identifier,
    ACTIONS(6115), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(9682), 1,
      anon_sym_rec,
    ACTIONS(9684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9686), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2801), 1,
      sym_tag,
    STATE(2802), 1,
      sym_constructor_path,
    STATE(2843), 1,
      sym__binding_pattern,
    STATE(4739), 1,
      sym_attribute,
    STATE(5462), 1,
      sym__attribute,
    STATE(6356), 1,
      sym__signed_constant,
    STATE(6412), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym_array_binding_pattern,
    STATE(6516), 1,
      sym_parenthesized_operator,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(6588), 1,
      sym_list_binding_pattern,
    STATE(13132), 1,
      sym_let_binding,
    STATE(20390), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6089), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6421), 2,
      sym__constant,
      sym_signed_number,
    STATE(6340), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [156294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [156365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [156436] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3763), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4743), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156557] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4744), 1,
      sym_attribute,
    STATE(9352), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15061), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [156682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [156753] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3781), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4746), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156874] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4747), 1,
      sym_attribute,
    STATE(9102), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14902), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [156999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [157070] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3635), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4749), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157191] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4750), 1,
      sym_attribute,
    STATE(9102), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15040), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [157316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [157387] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3683), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4752), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157508] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4753), 1,
      sym_attribute,
    STATE(9102), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14886), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [157633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [157704] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3719), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4755), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157825] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4756), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11628), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14947), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [157950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [158021] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3751), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4758), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158142] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4759), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11628), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15019), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [158267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [158338] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3757), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4761), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158459] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4762), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11628), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15145), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [158584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [158655] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3659), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4764), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158776] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4765), 1,
      sym_attribute,
    STATE(9102), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14866), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [158901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [158972] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3753), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4767), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [159093] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4768), 1,
      sym_attribute,
    STATE(9102), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14894), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [159218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [159289] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3661), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4770), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [159410] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4771), 1,
      sym_attribute,
    STATE(9102), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14951), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [159535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [159606] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3747), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4773), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [159727] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4774), 1,
      sym_attribute,
    STATE(9102), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14992), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [159852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [159923] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3779), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4776), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160044] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4777), 1,
      sym_attribute,
    STATE(9102), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15048), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [160169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [160240] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3663), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4779), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [160432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [160503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [160574] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3633), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4783), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [160766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [160837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [160908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [160979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [161050] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3873), 1,
      anon_sym_DOT,
    ACTIONS(3875), 1,
      anon_sym_POUND,
    ACTIONS(3877), 1,
      sym_hash_operator,
    STATE(4789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [161127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [161198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [161269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [161340] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3743), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4793), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [161461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [161532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [161603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [161674] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3761), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4797), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [161795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [161866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [161937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162292] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3873), 1,
      anon_sym_DOT,
    STATE(4805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162365] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3775), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4806), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [162486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [162983] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3639), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4814), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [163175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [163246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [163317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [163388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [163459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [163530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [163601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [163672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [163743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [163814] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3665), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4825), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163935] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3873), 1,
      anon_sym_DOT,
    ACTIONS(3875), 1,
      anon_sym_POUND,
    ACTIONS(3877), 1,
      sym_hash_operator,
    STATE(4826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [164012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [164083] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4075), 1,
      anon_sym_DOT,
    ACTIONS(4077), 1,
      anon_sym_POUND,
    ACTIONS(4079), 1,
      sym_hash_operator,
    STATE(4828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [164160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [164231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [164302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [164373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [164444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [164515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [164586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [164657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [164728] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3801), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4837), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [164849] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3687), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4838), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [164970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [165041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [165112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [165183] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3707), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4842), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [165304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [165375] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3727), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4844), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [165496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [165567] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3745), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4846), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [165688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [165759] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3755), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4848), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [165880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [165951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [166022] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3765), 1,
      anon_sym_RPAREN,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(4851), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [166143] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4852), 1,
      sym_attribute,
    STATE(9887), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15142), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [166268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [166339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [166410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [166481] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9688), 1,
      anon_sym_COLON,
    STATE(4856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9358), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [166554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [166625] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(4858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [166698] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9690), 1,
      anon_sym_COLON,
    STATE(4859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9358), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [166771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [166842] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4861), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13627), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14985), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [166967] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4862), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13437), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14941), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [167092] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4863), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13511), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15201), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [167217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [167288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [167359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [167430] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4867), 1,
      sym_attribute,
    STATE(10062), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15177), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [167555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [167626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [167697] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4870), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13662), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15074), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [167822] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4871), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(12648), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15041), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [167947] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4872), 1,
      sym_attribute,
    STATE(9491), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15136), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [168143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [168214] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4875), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13695), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14904), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168339] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4876), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13246), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14947), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168464] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4877), 1,
      sym_attribute,
    STATE(9675), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15127), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168589] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4878), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13735), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15011), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168714] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4879), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13058), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15019), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168839] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4880), 1,
      sym_attribute,
    STATE(9599), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15131), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168964] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4881), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10962), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14919), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169089] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4882), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(12238), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15145), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169214] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4883), 1,
      sym_attribute,
    STATE(9472), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14915), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169339] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4884), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(11471), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15197), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169464] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4885), 1,
      sym_attribute,
    STATE(9602), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14868), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169589] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4886), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13455), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14968), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169714] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4887), 1,
      sym_attribute,
    STATE(9428), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15071), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169839] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4888), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13533), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15104), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169964] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4889), 1,
      sym_attribute,
    STATE(9700), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15128), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170089] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4890), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13425), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15196), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170214] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4891), 1,
      sym_attribute,
    STATE(9539), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14902), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170339] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4892), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(13243), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15043), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170464] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4893), 1,
      sym_attribute,
    STATE(9284), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15040), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170589] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4894), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(10596), 1,
      sym_match_case,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15061), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170714] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4895), 1,
      sym_attribute,
    STATE(9555), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14886), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170839] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4896), 1,
      sym_attribute,
    STATE(9416), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14866), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170964] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4897), 1,
      sym_attribute,
    STATE(9303), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14894), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [171089] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4898), 1,
      sym_attribute,
    STATE(9313), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14951), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [171214] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4899), 1,
      sym_attribute,
    STATE(9433), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14992), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [171339] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4900), 1,
      sym_attribute,
    STATE(9439), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15048), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [171464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [171535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [171606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [171677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [171748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [171819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [171890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [171961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [172032] = 37,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6083), 1,
      sym__identifier,
    ACTIONS(6085), 1,
      anon_sym_LPAREN,
    ACTIONS(6087), 1,
      anon_sym_LBRACK,
    ACTIONS(6091), 1,
      anon_sym_LBRACE,
    ACTIONS(6093), 1,
      anon_sym_POUND,
    ACTIONS(6095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6097), 1,
      anon_sym_lazy,
    ACTIONS(6099), 1,
      anon_sym_begin,
    ACTIONS(6105), 1,
      aux_sym_number_token1,
    ACTIONS(6107), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6109), 1,
      anon_sym_SQUOTE,
    ACTIONS(6111), 1,
      anon_sym_DQUOTE,
    ACTIONS(6113), 1,
      sym__capitalized_identifier,
    ACTIONS(6115), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(9684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9692), 1,
      anon_sym_rec,
    STATE(2801), 1,
      sym_tag,
    STATE(2802), 1,
      sym_constructor_path,
    STATE(2838), 1,
      sym__binding_pattern,
    STATE(4909), 1,
      sym_attribute,
    STATE(5499), 1,
      sym__attribute,
    STATE(6356), 1,
      sym__signed_constant,
    STATE(6412), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym_array_binding_pattern,
    STATE(6516), 1,
      sym_parenthesized_operator,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(6588), 1,
      sym_list_binding_pattern,
    STATE(13090), 1,
      sym_let_binding,
    STATE(20390), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6089), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6421), 2,
      sym__constant,
      sym_signed_number,
    STATE(6340), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [172167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [172238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [172309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [172380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [172451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [172522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [172593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [172664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [172735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [172806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [172877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [172948] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9694), 1,
      anon_sym_COLON,
    STATE(4921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9358), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [173021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [173092] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(4923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [173165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [173236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [173307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [173378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [173449] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(4928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [173522] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4929), 1,
      sym_attribute,
    STATE(9102), 1,
      sym_match_case,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15071), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [173647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [173717] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4931), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15038), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [173839] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3253), 1,
      anon_sym_LPAREN,
    ACTIONS(3255), 1,
      anon_sym_LBRACK,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3261), 1,
      anon_sym_object,
    ACTIONS(3265), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3275), 1,
      anon_sym_new,
    ACTIONS(3277), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3279), 1,
      anon_sym_begin,
    ACTIONS(3281), 1,
      sym_ocamlyacc_value,
    ACTIONS(3283), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3285), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3287), 1,
      aux_sym_number_token1,
    ACTIONS(3289), 1,
      anon_sym_SQUOTE,
    ACTIONS(3291), 1,
      anon_sym_DQUOTE,
    ACTIONS(3293), 1,
      sym_prefix_operator,
    ACTIONS(3297), 1,
      sym__capitalized_identifier,
    ACTIONS(3299), 1,
      aux_sym_tag_token1,
    ACTIONS(6417), 1,
      sym__identifier,
    STATE(4932), 1,
      sym_attribute,
    STATE(7766), 1,
      sym__constructor_name,
    STATE(7810), 1,
      sym_parenthesized_operator,
    STATE(7837), 1,
      sym__simple_expression,
    STATE(8111), 1,
      sym__value_name,
    STATE(19965), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3257), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7746), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8096), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [173957] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3253), 1,
      anon_sym_LPAREN,
    ACTIONS(3255), 1,
      anon_sym_LBRACK,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3261), 1,
      anon_sym_object,
    ACTIONS(3265), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3275), 1,
      anon_sym_new,
    ACTIONS(3277), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3279), 1,
      anon_sym_begin,
    ACTIONS(3281), 1,
      sym_ocamlyacc_value,
    ACTIONS(3283), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3285), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3287), 1,
      aux_sym_number_token1,
    ACTIONS(3289), 1,
      anon_sym_SQUOTE,
    ACTIONS(3291), 1,
      anon_sym_DQUOTE,
    ACTIONS(3293), 1,
      sym_prefix_operator,
    ACTIONS(3297), 1,
      sym__capitalized_identifier,
    ACTIONS(3299), 1,
      aux_sym_tag_token1,
    ACTIONS(6417), 1,
      sym__identifier,
    STATE(4933), 1,
      sym_attribute,
    STATE(7766), 1,
      sym__constructor_name,
    STATE(7810), 1,
      sym_parenthesized_operator,
    STATE(7928), 1,
      sym__simple_expression,
    STATE(8111), 1,
      sym__value_name,
    STATE(19965), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3257), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7746), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8096), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [174075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [174145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [174215] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9368), 1,
      sym__identifier,
    ACTIONS(9370), 1,
      anon_sym_LPAREN,
    ACTIONS(9374), 1,
      anon_sym_LBRACE,
    ACTIONS(9376), 1,
      anon_sym_begin,
    ACTIONS(9378), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9380), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_number_token1,
    ACTIONS(9386), 1,
      anon_sym_SQUOTE,
    ACTIONS(9388), 1,
      anon_sym_DQUOTE,
    ACTIONS(9390), 1,
      sym_prefix_operator,
    STATE(4936), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(8398), 1,
      sym__simple_expression,
    STATE(8407), 1,
      sym_parenthesized_operator,
    STATE(21394), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8424), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [174333] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9368), 1,
      sym__identifier,
    ACTIONS(9370), 1,
      anon_sym_LPAREN,
    ACTIONS(9374), 1,
      anon_sym_LBRACE,
    ACTIONS(9376), 1,
      anon_sym_begin,
    ACTIONS(9378), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9380), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_number_token1,
    ACTIONS(9386), 1,
      anon_sym_SQUOTE,
    ACTIONS(9388), 1,
      anon_sym_DQUOTE,
    ACTIONS(9390), 1,
      sym_prefix_operator,
    STATE(4937), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(8407), 1,
      sym_parenthesized_operator,
    STATE(8410), 1,
      sym__simple_expression,
    STATE(21394), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8424), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [174451] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4938), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15234), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [174573] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4939), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15236), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [174695] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    STATE(4940), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(8386), 1,
      sym__simple_expression,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(21576), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [174813] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4941), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15239), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [174935] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4942), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15241), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [175057] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4943), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15269), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [175179] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4944), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15272), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [175301] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8653), 1,
      sym__identifier,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    ACTIONS(8663), 1,
      anon_sym_exception,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8669), 1,
      anon_sym_lazy,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8685), 1,
      sym__capitalized_identifier,
    ACTIONS(8687), 1,
      aux_sym_tag_token1,
    ACTIONS(8729), 1,
      anon_sym_LPAREN,
    STATE(2999), 1,
      sym_constructor_path,
    STATE(3016), 1,
      sym_tag,
    STATE(4945), 1,
      sym_attribute,
    STATE(10855), 1,
      sym__constructor_name,
    STATE(15191), 1,
      sym__signed_constant,
    STATE(15405), 1,
      sym__pattern,
    STATE(19991), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15540), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(15338), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [175423] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9368), 1,
      sym__identifier,
    ACTIONS(9370), 1,
      anon_sym_LPAREN,
    ACTIONS(9374), 1,
      anon_sym_LBRACE,
    ACTIONS(9376), 1,
      anon_sym_begin,
    ACTIONS(9378), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9380), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_number_token1,
    ACTIONS(9386), 1,
      anon_sym_SQUOTE,
    ACTIONS(9388), 1,
      anon_sym_DQUOTE,
    ACTIONS(9390), 1,
      sym_prefix_operator,
    STATE(4946), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(8386), 1,
      sym__simple_expression,
    STATE(8407), 1,
      sym_parenthesized_operator,
    STATE(21394), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8424), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [175541] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9368), 1,
      sym__identifier,
    ACTIONS(9370), 1,
      anon_sym_LPAREN,
    ACTIONS(9374), 1,
      anon_sym_LBRACE,
    ACTIONS(9376), 1,
      anon_sym_begin,
    ACTIONS(9378), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9380), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_number_token1,
    ACTIONS(9386), 1,
      anon_sym_SQUOTE,
    ACTIONS(9388), 1,
      anon_sym_DQUOTE,
    ACTIONS(9390), 1,
      sym_prefix_operator,
    STATE(4947), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(8390), 1,
      sym__simple_expression,
    STATE(8407), 1,
      sym_parenthesized_operator,
    STATE(21394), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8424), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [175659] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3253), 1,
      anon_sym_LPAREN,
    ACTIONS(3255), 1,
      anon_sym_LBRACK,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3261), 1,
      anon_sym_object,
    ACTIONS(3265), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3275), 1,
      anon_sym_new,
    ACTIONS(3277), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3279), 1,
      anon_sym_begin,
    ACTIONS(3281), 1,
      sym_ocamlyacc_value,
    ACTIONS(3283), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3285), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3287), 1,
      aux_sym_number_token1,
    ACTIONS(3289), 1,
      anon_sym_SQUOTE,
    ACTIONS(3291), 1,
      anon_sym_DQUOTE,
    ACTIONS(3293), 1,
      sym_prefix_operator,
    ACTIONS(3297), 1,
      sym__capitalized_identifier,
    ACTIONS(3299), 1,
      aux_sym_tag_token1,
    ACTIONS(6417), 1,
      sym__identifier,
    STATE(4948), 1,
      sym_attribute,
    STATE(7766), 1,
      sym__constructor_name,
    STATE(7810), 1,
      sym_parenthesized_operator,
    STATE(8028), 1,
      sym__simple_expression,
    STATE(8111), 1,
      sym__value_name,
    STATE(19965), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3257), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7746), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8096), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [175777] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3305), 1,
      anon_sym_LPAREN,
    ACTIONS(3307), 1,
      anon_sym_LBRACK,
    ACTIONS(3311), 1,
      anon_sym_LBRACE,
    ACTIONS(3313), 1,
      anon_sym_object,
    ACTIONS(3317), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3327), 1,
      anon_sym_new,
    ACTIONS(3329), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3331), 1,
      anon_sym_begin,
    ACTIONS(3333), 1,
      sym_ocamlyacc_value,
    ACTIONS(3335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3339), 1,
      aux_sym_number_token1,
    ACTIONS(3341), 1,
      anon_sym_SQUOTE,
    ACTIONS(3343), 1,
      anon_sym_DQUOTE,
    ACTIONS(3345), 1,
      sym_prefix_operator,
    ACTIONS(3349), 1,
      sym__capitalized_identifier,
    ACTIONS(3351), 1,
      aux_sym_tag_token1,
    ACTIONS(6349), 1,
      sym__identifier,
    STATE(4949), 1,
      sym_attribute,
    STATE(7765), 1,
      sym_parenthesized_operator,
    STATE(7796), 1,
      sym__value_name,
    STATE(8004), 1,
      sym__simple_expression,
    STATE(8215), 1,
      sym__constructor_name,
    STATE(20383), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3309), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8195), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7748), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [175895] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3305), 1,
      anon_sym_LPAREN,
    ACTIONS(3307), 1,
      anon_sym_LBRACK,
    ACTIONS(3311), 1,
      anon_sym_LBRACE,
    ACTIONS(3313), 1,
      anon_sym_object,
    ACTIONS(3317), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3327), 1,
      anon_sym_new,
    ACTIONS(3329), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3331), 1,
      anon_sym_begin,
    ACTIONS(3333), 1,
      sym_ocamlyacc_value,
    ACTIONS(3335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3339), 1,
      aux_sym_number_token1,
    ACTIONS(3341), 1,
      anon_sym_SQUOTE,
    ACTIONS(3343), 1,
      anon_sym_DQUOTE,
    ACTIONS(3345), 1,
      sym_prefix_operator,
    ACTIONS(3349), 1,
      sym__capitalized_identifier,
    ACTIONS(3351), 1,
      aux_sym_tag_token1,
    ACTIONS(6349), 1,
      sym__identifier,
    STATE(4950), 1,
      sym_attribute,
    STATE(7765), 1,
      sym_parenthesized_operator,
    STATE(7796), 1,
      sym__value_name,
    STATE(8181), 1,
      sym__simple_expression,
    STATE(8215), 1,
      sym__constructor_name,
    STATE(20383), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3309), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8195), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7748), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [176013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [176083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [176153] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8071), 1,
      sym__identifier,
    ACTIONS(8075), 1,
      anon_sym_LPAREN,
    ACTIONS(8077), 1,
      anon_sym_LBRACK,
    ACTIONS(8081), 1,
      anon_sym_LBRACE,
    ACTIONS(8083), 1,
      anon_sym_object,
    ACTIONS(8085), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8087), 1,
      anon_sym_new,
    ACTIONS(8089), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8091), 1,
      anon_sym_begin,
    ACTIONS(8093), 1,
      sym_ocamlyacc_value,
    ACTIONS(8099), 1,
      aux_sym_number_token1,
    ACTIONS(8101), 1,
      anon_sym_SQUOTE,
    ACTIONS(8103), 1,
      anon_sym_DQUOTE,
    ACTIONS(8105), 1,
      sym_prefix_operator,
    ACTIONS(8107), 1,
      sym__capitalized_identifier,
    ACTIONS(8109), 1,
      aux_sym_tag_token1,
    ACTIONS(9696), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9698), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4953), 1,
      sym_attribute,
    STATE(8875), 1,
      sym_parenthesized_operator,
    STATE(9026), 1,
      sym__value_name,
    STATE(9058), 1,
      sym__simple_expression,
    STATE(9086), 1,
      sym__constructor_name,
    STATE(19242), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8079), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8992), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [176271] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8071), 1,
      sym__identifier,
    ACTIONS(8075), 1,
      anon_sym_LPAREN,
    ACTIONS(8077), 1,
      anon_sym_LBRACK,
    ACTIONS(8081), 1,
      anon_sym_LBRACE,
    ACTIONS(8083), 1,
      anon_sym_object,
    ACTIONS(8085), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8087), 1,
      anon_sym_new,
    ACTIONS(8089), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8091), 1,
      anon_sym_begin,
    ACTIONS(8093), 1,
      sym_ocamlyacc_value,
    ACTIONS(8099), 1,
      aux_sym_number_token1,
    ACTIONS(8101), 1,
      anon_sym_SQUOTE,
    ACTIONS(8103), 1,
      anon_sym_DQUOTE,
    ACTIONS(8105), 1,
      sym_prefix_operator,
    ACTIONS(8107), 1,
      sym__capitalized_identifier,
    ACTIONS(8109), 1,
      aux_sym_tag_token1,
    ACTIONS(9696), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9698), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4954), 1,
      sym_attribute,
    STATE(8875), 1,
      sym_parenthesized_operator,
    STATE(8995), 1,
      sym__simple_expression,
    STATE(9026), 1,
      sym__value_name,
    STATE(9086), 1,
      sym__constructor_name,
    STATE(19242), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8079), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8992), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [176389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [176459] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9394), 1,
      sym__identifier,
    ACTIONS(9396), 1,
      anon_sym_LPAREN,
    ACTIONS(9398), 1,
      anon_sym_LBRACK,
    ACTIONS(9402), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_object,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9408), 1,
      anon_sym_new,
    ACTIONS(9410), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9412), 1,
      anon_sym_begin,
    ACTIONS(9414), 1,
      sym_ocamlyacc_value,
    ACTIONS(9416), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9418), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9420), 1,
      aux_sym_number_token1,
    ACTIONS(9422), 1,
      anon_sym_SQUOTE,
    ACTIONS(9424), 1,
      anon_sym_DQUOTE,
    ACTIONS(9426), 1,
      sym_prefix_operator,
    ACTIONS(9428), 1,
      sym__capitalized_identifier,
    ACTIONS(9430), 1,
      aux_sym_tag_token1,
    STATE(4956), 1,
      sym_attribute,
    STATE(8566), 1,
      sym__simple_expression,
    STATE(8584), 1,
      sym_parenthesized_operator,
    STATE(8636), 1,
      sym__constructor_name,
    STATE(8681), 1,
      sym__value_name,
    STATE(22158), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8634), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8571), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [176577] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9394), 1,
      sym__identifier,
    ACTIONS(9396), 1,
      anon_sym_LPAREN,
    ACTIONS(9398), 1,
      anon_sym_LBRACK,
    ACTIONS(9402), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_object,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9408), 1,
      anon_sym_new,
    ACTIONS(9410), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9412), 1,
      anon_sym_begin,
    ACTIONS(9414), 1,
      sym_ocamlyacc_value,
    ACTIONS(9416), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9418), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9420), 1,
      aux_sym_number_token1,
    ACTIONS(9422), 1,
      anon_sym_SQUOTE,
    ACTIONS(9424), 1,
      anon_sym_DQUOTE,
    ACTIONS(9426), 1,
      sym_prefix_operator,
    ACTIONS(9428), 1,
      sym__capitalized_identifier,
    ACTIONS(9430), 1,
      aux_sym_tag_token1,
    STATE(4957), 1,
      sym_attribute,
    STATE(8572), 1,
      sym__simple_expression,
    STATE(8584), 1,
      sym_parenthesized_operator,
    STATE(8636), 1,
      sym__constructor_name,
    STATE(8681), 1,
      sym__value_name,
    STATE(22158), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8634), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8571), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [176695] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3305), 1,
      anon_sym_LPAREN,
    ACTIONS(3307), 1,
      anon_sym_LBRACK,
    ACTIONS(3311), 1,
      anon_sym_LBRACE,
    ACTIONS(3313), 1,
      anon_sym_object,
    ACTIONS(3317), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3327), 1,
      anon_sym_new,
    ACTIONS(3329), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3331), 1,
      anon_sym_begin,
    ACTIONS(3333), 1,
      sym_ocamlyacc_value,
    ACTIONS(3335), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3337), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3339), 1,
      aux_sym_number_token1,
    ACTIONS(3341), 1,
      anon_sym_SQUOTE,
    ACTIONS(3343), 1,
      anon_sym_DQUOTE,
    ACTIONS(3345), 1,
      sym_prefix_operator,
    ACTIONS(3349), 1,
      sym__capitalized_identifier,
    ACTIONS(3351), 1,
      aux_sym_tag_token1,
    ACTIONS(6349), 1,
      sym__identifier,
    STATE(4958), 1,
      sym_attribute,
    STATE(7765), 1,
      sym_parenthesized_operator,
    STATE(7796), 1,
      sym__value_name,
    STATE(8022), 1,
      sym__simple_expression,
    STATE(8215), 1,
      sym__constructor_name,
    STATE(20383), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3309), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8195), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7748), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [176813] = 29,
    ACTIONS(1133), 1,
      anon_sym_LPAREN,
    ACTIONS(1135), 1,
      anon_sym_LBRACK,
    ACTIONS(1139), 1,
      anon_sym_LBRACE,
    ACTIONS(1141), 1,
      anon_sym_object,
    ACTIONS(1145), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1155), 1,
      anon_sym_new,
    ACTIONS(1157), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1159), 1,
      anon_sym_begin,
    ACTIONS(1161), 1,
      sym_ocamlyacc_value,
    ACTIONS(1167), 1,
      aux_sym_number_token1,
    ACTIONS(1169), 1,
      anon_sym_SQUOTE,
    ACTIONS(1171), 1,
      anon_sym_DQUOTE,
    ACTIONS(1173), 1,
      sym_prefix_operator,
    ACTIONS(1177), 1,
      sym__capitalized_identifier,
    ACTIONS(1179), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3629), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3631), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3869), 1,
      sym__identifier,
    STATE(4787), 1,
      sym__simple_expression,
    STATE(4841), 1,
      sym__value_name,
    STATE(4874), 1,
      sym_parenthesized_operator,
    STATE(4925), 1,
      sym__constructor_name,
    STATE(4959), 1,
      sym_attribute,
    STATE(19305), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1137), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4912), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4780), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [176931] = 29,
    ACTIONS(1133), 1,
      anon_sym_LPAREN,
    ACTIONS(1135), 1,
      anon_sym_LBRACK,
    ACTIONS(1139), 1,
      anon_sym_LBRACE,
    ACTIONS(1141), 1,
      anon_sym_object,
    ACTIONS(1145), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1155), 1,
      anon_sym_new,
    ACTIONS(1157), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1159), 1,
      anon_sym_begin,
    ACTIONS(1161), 1,
      sym_ocamlyacc_value,
    ACTIONS(1167), 1,
      aux_sym_number_token1,
    ACTIONS(1169), 1,
      anon_sym_SQUOTE,
    ACTIONS(1171), 1,
      anon_sym_DQUOTE,
    ACTIONS(1173), 1,
      sym_prefix_operator,
    ACTIONS(1177), 1,
      sym__capitalized_identifier,
    ACTIONS(1179), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3629), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3631), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3869), 1,
      sym__identifier,
    STATE(4805), 1,
      sym__simple_expression,
    STATE(4841), 1,
      sym__value_name,
    STATE(4874), 1,
      sym_parenthesized_operator,
    STATE(4925), 1,
      sym__constructor_name,
    STATE(4960), 1,
      sym_attribute,
    STATE(19305), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1137), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4912), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4780), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [177049] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(9016), 1,
      anon_sym_LPAREN,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9020), 1,
      anon_sym_LBRACE,
    ACTIONS(9022), 1,
      anon_sym_object,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9026), 1,
      anon_sym_new,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9030), 1,
      anon_sym_begin,
    ACTIONS(9032), 1,
      sym_ocamlyacc_value,
    ACTIONS(9034), 1,
      sym_prefix_operator,
    ACTIONS(9036), 1,
      sym__capitalized_identifier,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    STATE(4961), 1,
      sym_attribute,
    STATE(8326), 1,
      sym__constructor_name,
    STATE(8354), 1,
      sym__value_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(16350), 1,
      sym__simple_expression,
    STATE(21576), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8350), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [177167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [177237] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9434), 1,
      sym__identifier,
    ACTIONS(9436), 1,
      anon_sym_LPAREN,
    ACTIONS(9438), 1,
      anon_sym_LBRACK,
    ACTIONS(9442), 1,
      anon_sym_LBRACE,
    ACTIONS(9444), 1,
      anon_sym_object,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9448), 1,
      anon_sym_new,
    ACTIONS(9450), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9452), 1,
      anon_sym_begin,
    ACTIONS(9454), 1,
      sym_ocamlyacc_value,
    ACTIONS(9456), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9458), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9460), 1,
      aux_sym_number_token1,
    ACTIONS(9462), 1,
      anon_sym_SQUOTE,
    ACTIONS(9464), 1,
      anon_sym_DQUOTE,
    ACTIONS(9466), 1,
      sym_prefix_operator,
    ACTIONS(9468), 1,
      sym__capitalized_identifier,
    ACTIONS(9470), 1,
      aux_sym_tag_token1,
    STATE(4963), 1,
      sym_attribute,
    STATE(10740), 1,
      sym_parenthesized_operator,
    STATE(10913), 1,
      sym__constructor_name,
    STATE(11020), 1,
      sym__simple_expression,
    STATE(11051), 1,
      sym__value_name,
    STATE(19833), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9440), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10912), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10782), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [177355] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9434), 1,
      sym__identifier,
    ACTIONS(9436), 1,
      anon_sym_LPAREN,
    ACTIONS(9438), 1,
      anon_sym_LBRACK,
    ACTIONS(9442), 1,
      anon_sym_LBRACE,
    ACTIONS(9444), 1,
      anon_sym_object,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9448), 1,
      anon_sym_new,
    ACTIONS(9450), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9452), 1,
      anon_sym_begin,
    ACTIONS(9454), 1,
      sym_ocamlyacc_value,
    ACTIONS(9456), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9458), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9460), 1,
      aux_sym_number_token1,
    ACTIONS(9462), 1,
      anon_sym_SQUOTE,
    ACTIONS(9464), 1,
      anon_sym_DQUOTE,
    ACTIONS(9466), 1,
      sym_prefix_operator,
    ACTIONS(9468), 1,
      sym__capitalized_identifier,
    ACTIONS(9470), 1,
      aux_sym_tag_token1,
    STATE(4964), 1,
      sym_attribute,
    STATE(10740), 1,
      sym_parenthesized_operator,
    STATE(10913), 1,
      sym__constructor_name,
    STATE(11026), 1,
      sym__simple_expression,
    STATE(11051), 1,
      sym__value_name,
    STATE(19833), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9440), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10912), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10782), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [177473] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      sym__identifier,
    ACTIONS(9524), 1,
      anon_sym_LPAREN,
    ACTIONS(9526), 1,
      anon_sym_LBRACK,
    ACTIONS(9530), 1,
      anon_sym_LBRACE,
    ACTIONS(9532), 1,
      anon_sym_object,
    ACTIONS(9534), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9536), 1,
      anon_sym_new,
    ACTIONS(9538), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9540), 1,
      anon_sym_begin,
    ACTIONS(9542), 1,
      sym_ocamlyacc_value,
    ACTIONS(9544), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9546), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9548), 1,
      aux_sym_number_token1,
    ACTIONS(9550), 1,
      anon_sym_SQUOTE,
    ACTIONS(9552), 1,
      anon_sym_DQUOTE,
    ACTIONS(9554), 1,
      sym_prefix_operator,
    ACTIONS(9556), 1,
      sym__capitalized_identifier,
    ACTIONS(9558), 1,
      aux_sym_tag_token1,
    STATE(4965), 1,
      sym_attribute,
    STATE(8231), 1,
      sym__constructor_name,
    STATE(8737), 1,
      sym__value_name,
    STATE(8763), 1,
      sym_parenthesized_operator,
    STATE(8822), 1,
      sym__simple_expression,
    STATE(20759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8841), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8836), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [177591] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4966), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15065), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [177713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [177783] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3135), 1,
      anon_sym_LPAREN,
    ACTIONS(3137), 1,
      anon_sym_LBRACK,
    ACTIONS(3141), 1,
      anon_sym_LBRACE,
    ACTIONS(3143), 1,
      anon_sym_object,
    ACTIONS(3147), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3157), 1,
      anon_sym_new,
    ACTIONS(3159), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3161), 1,
      anon_sym_begin,
    ACTIONS(3163), 1,
      sym_ocamlyacc_value,
    ACTIONS(3165), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3167), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3169), 1,
      aux_sym_number_token1,
    ACTIONS(3171), 1,
      anon_sym_SQUOTE,
    ACTIONS(3173), 1,
      anon_sym_DQUOTE,
    ACTIONS(3175), 1,
      sym_prefix_operator,
    ACTIONS(3179), 1,
      sym__capitalized_identifier,
    ACTIONS(3181), 1,
      aux_sym_tag_token1,
    ACTIONS(6519), 1,
      sym__identifier,
    STATE(4968), 1,
      sym_attribute,
    STATE(7806), 1,
      sym__constructor_name,
    STATE(7932), 1,
      sym__simple_expression,
    STATE(8206), 1,
      sym__value_name,
    STATE(8207), 1,
      sym_parenthesized_operator,
    STATE(20998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3139), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8224), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8147), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [177901] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3069), 1,
      anon_sym_LPAREN,
    ACTIONS(3071), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      anon_sym_LBRACE,
    ACTIONS(3077), 1,
      anon_sym_object,
    ACTIONS(3081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3091), 1,
      anon_sym_new,
    ACTIONS(3093), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3095), 1,
      anon_sym_begin,
    ACTIONS(3097), 1,
      sym_ocamlyacc_value,
    ACTIONS(3099), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3101), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3103), 1,
      aux_sym_number_token1,
    ACTIONS(3105), 1,
      anon_sym_SQUOTE,
    ACTIONS(3107), 1,
      anon_sym_DQUOTE,
    ACTIONS(3109), 1,
      sym_prefix_operator,
    ACTIONS(3113), 1,
      sym__capitalized_identifier,
    ACTIONS(3115), 1,
      aux_sym_tag_token1,
    ACTIONS(6339), 1,
      sym__identifier,
    STATE(4969), 1,
      sym_attribute,
    STATE(7858), 1,
      sym_parenthesized_operator,
    STATE(7960), 1,
      sym__constructor_name,
    STATE(8167), 1,
      sym__simple_expression,
    STATE(8251), 1,
      sym__value_name,
    STATE(19367), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3073), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8145), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8154), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [178019] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3069), 1,
      anon_sym_LPAREN,
    ACTIONS(3071), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      anon_sym_LBRACE,
    ACTIONS(3077), 1,
      anon_sym_object,
    ACTIONS(3081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3091), 1,
      anon_sym_new,
    ACTIONS(3093), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3095), 1,
      anon_sym_begin,
    ACTIONS(3097), 1,
      sym_ocamlyacc_value,
    ACTIONS(3099), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3101), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3103), 1,
      aux_sym_number_token1,
    ACTIONS(3105), 1,
      anon_sym_SQUOTE,
    ACTIONS(3107), 1,
      anon_sym_DQUOTE,
    ACTIONS(3109), 1,
      sym_prefix_operator,
    ACTIONS(3113), 1,
      sym__capitalized_identifier,
    ACTIONS(3115), 1,
      aux_sym_tag_token1,
    ACTIONS(6339), 1,
      sym__identifier,
    STATE(4970), 1,
      sym_attribute,
    STATE(7858), 1,
      sym_parenthesized_operator,
    STATE(7960), 1,
      sym__constructor_name,
    STATE(8193), 1,
      sym__simple_expression,
    STATE(8251), 1,
      sym__value_name,
    STATE(19367), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3073), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8145), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8154), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [178137] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      sym__identifier,
    ACTIONS(9524), 1,
      anon_sym_LPAREN,
    ACTIONS(9526), 1,
      anon_sym_LBRACK,
    ACTIONS(9530), 1,
      anon_sym_LBRACE,
    ACTIONS(9532), 1,
      anon_sym_object,
    ACTIONS(9534), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9536), 1,
      anon_sym_new,
    ACTIONS(9538), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9540), 1,
      anon_sym_begin,
    ACTIONS(9542), 1,
      sym_ocamlyacc_value,
    ACTIONS(9544), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9546), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9548), 1,
      aux_sym_number_token1,
    ACTIONS(9550), 1,
      anon_sym_SQUOTE,
    ACTIONS(9552), 1,
      anon_sym_DQUOTE,
    ACTIONS(9554), 1,
      sym_prefix_operator,
    ACTIONS(9556), 1,
      sym__capitalized_identifier,
    ACTIONS(9558), 1,
      aux_sym_tag_token1,
    STATE(4971), 1,
      sym_attribute,
    STATE(8231), 1,
      sym__constructor_name,
    STATE(8737), 1,
      sym__value_name,
    STATE(8763), 1,
      sym_parenthesized_operator,
    STATE(8809), 1,
      sym__simple_expression,
    STATE(20759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8841), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8836), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [178255] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4907), 1,
      anon_sym_POUND,
    ACTIONS(4909), 1,
      sym_hash_operator,
    STATE(4972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [178331] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9474), 1,
      sym__identifier,
    ACTIONS(9476), 1,
      anon_sym_LPAREN,
    ACTIONS(9478), 1,
      anon_sym_LBRACK,
    ACTIONS(9482), 1,
      anon_sym_LBRACE,
    ACTIONS(9484), 1,
      anon_sym_object,
    ACTIONS(9486), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9488), 1,
      anon_sym_new,
    ACTIONS(9490), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9492), 1,
      anon_sym_begin,
    ACTIONS(9494), 1,
      sym_ocamlyacc_value,
    ACTIONS(9496), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9498), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9500), 1,
      aux_sym_number_token1,
    ACTIONS(9502), 1,
      anon_sym_SQUOTE,
    ACTIONS(9504), 1,
      anon_sym_DQUOTE,
    ACTIONS(9506), 1,
      sym_prefix_operator,
    ACTIONS(9508), 1,
      sym__capitalized_identifier,
    ACTIONS(9510), 1,
      aux_sym_tag_token1,
    STATE(4973), 1,
      sym_attribute,
    STATE(8504), 1,
      sym__value_name,
    STATE(8597), 1,
      sym_parenthesized_operator,
    STATE(8651), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__simple_expression,
    STATE(20079), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8662), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8679), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [178449] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9474), 1,
      sym__identifier,
    ACTIONS(9476), 1,
      anon_sym_LPAREN,
    ACTIONS(9478), 1,
      anon_sym_LBRACK,
    ACTIONS(9482), 1,
      anon_sym_LBRACE,
    ACTIONS(9484), 1,
      anon_sym_object,
    ACTIONS(9486), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9488), 1,
      anon_sym_new,
    ACTIONS(9490), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9492), 1,
      anon_sym_begin,
    ACTIONS(9494), 1,
      sym_ocamlyacc_value,
    ACTIONS(9496), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9498), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9500), 1,
      aux_sym_number_token1,
    ACTIONS(9502), 1,
      anon_sym_SQUOTE,
    ACTIONS(9504), 1,
      anon_sym_DQUOTE,
    ACTIONS(9506), 1,
      sym_prefix_operator,
    ACTIONS(9508), 1,
      sym__capitalized_identifier,
    ACTIONS(9510), 1,
      aux_sym_tag_token1,
    STATE(4974), 1,
      sym_attribute,
    STATE(8504), 1,
      sym__value_name,
    STATE(8597), 1,
      sym_parenthesized_operator,
    STATE(8651), 1,
      sym__constructor_name,
    STATE(8692), 1,
      sym__simple_expression,
    STATE(20079), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8662), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8679), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [178567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [178637] = 29,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      anon_sym_LBRACK,
    ACTIONS(117), 1,
      anon_sym_LBRACE,
    ACTIONS(121), 1,
      anon_sym_object,
    ACTIONS(125), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(139), 1,
      anon_sym_new,
    ACTIONS(141), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(143), 1,
      anon_sym_begin,
    ACTIONS(145), 1,
      sym_ocamlyacc_value,
    ACTIONS(151), 1,
      aux_sym_number_token1,
    ACTIONS(153), 1,
      anon_sym_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_DQUOTE,
    ACTIONS(157), 1,
      sym_prefix_operator,
    ACTIONS(163), 1,
      sym__capitalized_identifier,
    ACTIONS(167), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3577), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3579), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4901), 1,
      sym__identifier,
    STATE(4976), 1,
      sym_attribute,
    STATE(4985), 1,
      sym__simple_expression,
    STATE(5012), 1,
      sym_parenthesized_operator,
    STATE(5082), 1,
      sym__value_name,
    STATE(5177), 1,
      sym__constructor_name,
    STATE(21189), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(113), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5176), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5010), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [178755] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    ACTIONS(1895), 1,
      anon_sym_LBRACK,
    ACTIONS(1899), 1,
      anon_sym_LBRACE,
    ACTIONS(1901), 1,
      anon_sym_object,
    ACTIONS(1905), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1915), 1,
      anon_sym_new,
    ACTIONS(1917), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1919), 1,
      anon_sym_begin,
    ACTIONS(1921), 1,
      sym_ocamlyacc_value,
    ACTIONS(1923), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1925), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1927), 1,
      aux_sym_number_token1,
    ACTIONS(1929), 1,
      anon_sym_SQUOTE,
    ACTIONS(1931), 1,
      anon_sym_DQUOTE,
    ACTIONS(1933), 1,
      sym_prefix_operator,
    ACTIONS(1937), 1,
      sym__capitalized_identifier,
    ACTIONS(1939), 1,
      aux_sym_tag_token1,
    ACTIONS(6201), 1,
      sym__identifier,
    STATE(4977), 1,
      sym_attribute,
    STATE(7269), 1,
      sym__constructor_name,
    STATE(7381), 1,
      sym__simple_expression,
    STATE(7437), 1,
      sym__value_name,
    STATE(7471), 1,
      sym_parenthesized_operator,
    STATE(19430), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1897), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7676), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7369), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [178873] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    ACTIONS(1895), 1,
      anon_sym_LBRACK,
    ACTIONS(1899), 1,
      anon_sym_LBRACE,
    ACTIONS(1901), 1,
      anon_sym_object,
    ACTIONS(1905), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1915), 1,
      anon_sym_new,
    ACTIONS(1917), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1919), 1,
      anon_sym_begin,
    ACTIONS(1921), 1,
      sym_ocamlyacc_value,
    ACTIONS(1923), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1925), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1927), 1,
      aux_sym_number_token1,
    ACTIONS(1929), 1,
      anon_sym_SQUOTE,
    ACTIONS(1931), 1,
      anon_sym_DQUOTE,
    ACTIONS(1933), 1,
      sym_prefix_operator,
    ACTIONS(1937), 1,
      sym__capitalized_identifier,
    ACTIONS(1939), 1,
      aux_sym_tag_token1,
    ACTIONS(6201), 1,
      sym__identifier,
    STATE(4978), 1,
      sym_attribute,
    STATE(7269), 1,
      sym__constructor_name,
    STATE(7402), 1,
      sym__simple_expression,
    STATE(7437), 1,
      sym__value_name,
    STATE(7471), 1,
      sym_parenthesized_operator,
    STATE(19430), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1897), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7676), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7369), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [178991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [179061] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9700), 1,
      anon_sym_COLON,
    STATE(4980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9358), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [179133] = 29,
    ACTIONS(683), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_LBRACK,
    ACTIONS(691), 1,
      anon_sym_LBRACE,
    ACTIONS(701), 1,
      anon_sym_object,
    ACTIONS(705), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(715), 1,
      anon_sym_new,
    ACTIONS(717), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(719), 1,
      anon_sym_begin,
    ACTIONS(721), 1,
      sym_ocamlyacc_value,
    ACTIONS(727), 1,
      aux_sym_number_token1,
    ACTIONS(729), 1,
      anon_sym_SQUOTE,
    ACTIONS(731), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym_prefix_operator,
    ACTIONS(739), 1,
      sym__capitalized_identifier,
    ACTIONS(743), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4971), 1,
      sym__identifier,
    STATE(4981), 1,
      sym_attribute,
    STATE(5006), 1,
      sym__simple_expression,
    STATE(5150), 1,
      sym__value_name,
    STATE(5151), 1,
      sym_parenthesized_operator,
    STATE(5266), 1,
      sym__constructor_name,
    STATE(21778), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(689), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5265), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5079), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [179251] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1671), 1,
      anon_sym_LBRACK,
    ACTIONS(1675), 1,
      anon_sym_LBRACE,
    ACTIONS(1677), 1,
      anon_sym_object,
    ACTIONS(1681), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1691), 1,
      anon_sym_new,
    ACTIONS(1693), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1695), 1,
      anon_sym_begin,
    ACTIONS(1697), 1,
      sym_ocamlyacc_value,
    ACTIONS(1699), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1701), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1703), 1,
      aux_sym_number_token1,
    ACTIONS(1705), 1,
      anon_sym_SQUOTE,
    ACTIONS(1707), 1,
      anon_sym_DQUOTE,
    ACTIONS(1709), 1,
      sym_prefix_operator,
    ACTIONS(1713), 1,
      sym__capitalized_identifier,
    ACTIONS(1715), 1,
      aux_sym_tag_token1,
    ACTIONS(6117), 1,
      sym__identifier,
    STATE(4982), 1,
      sym_attribute,
    STATE(6774), 1,
      sym__constructor_name,
    STATE(6797), 1,
      sym_parenthesized_operator,
    STATE(6811), 1,
      sym__value_name,
    STATE(6812), 1,
      sym__simple_expression,
    STATE(19489), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1673), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6832), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6748), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [179369] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1671), 1,
      anon_sym_LBRACK,
    ACTIONS(1675), 1,
      anon_sym_LBRACE,
    ACTIONS(1677), 1,
      anon_sym_object,
    ACTIONS(1681), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1691), 1,
      anon_sym_new,
    ACTIONS(1693), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1695), 1,
      anon_sym_begin,
    ACTIONS(1697), 1,
      sym_ocamlyacc_value,
    ACTIONS(1699), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1701), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1703), 1,
      aux_sym_number_token1,
    ACTIONS(1705), 1,
      anon_sym_SQUOTE,
    ACTIONS(1707), 1,
      anon_sym_DQUOTE,
    ACTIONS(1709), 1,
      sym_prefix_operator,
    ACTIONS(1713), 1,
      sym__capitalized_identifier,
    ACTIONS(1715), 1,
      aux_sym_tag_token1,
    ACTIONS(6117), 1,
      sym__identifier,
    STATE(4983), 1,
      sym_attribute,
    STATE(6755), 1,
      sym__simple_expression,
    STATE(6774), 1,
      sym__constructor_name,
    STATE(6797), 1,
      sym_parenthesized_operator,
    STATE(6811), 1,
      sym__value_name,
    STATE(19489), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1673), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6832), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6748), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [179487] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8071), 1,
      sym__identifier,
    ACTIONS(8075), 1,
      anon_sym_LPAREN,
    ACTIONS(8077), 1,
      anon_sym_LBRACK,
    ACTIONS(8081), 1,
      anon_sym_LBRACE,
    ACTIONS(8083), 1,
      anon_sym_object,
    ACTIONS(8085), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8087), 1,
      anon_sym_new,
    ACTIONS(8089), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8091), 1,
      anon_sym_begin,
    ACTIONS(8093), 1,
      sym_ocamlyacc_value,
    ACTIONS(8099), 1,
      aux_sym_number_token1,
    ACTIONS(8101), 1,
      anon_sym_SQUOTE,
    ACTIONS(8103), 1,
      anon_sym_DQUOTE,
    ACTIONS(8105), 1,
      sym_prefix_operator,
    ACTIONS(8107), 1,
      sym__capitalized_identifier,
    ACTIONS(8109), 1,
      aux_sym_tag_token1,
    ACTIONS(9696), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9698), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4984), 1,
      sym_attribute,
    STATE(8875), 1,
      sym_parenthesized_operator,
    STATE(8903), 1,
      sym__simple_expression,
    STATE(9026), 1,
      sym__value_name,
    STATE(9086), 1,
      sym__constructor_name,
    STATE(19242), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8079), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8992), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [179605] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    ACTIONS(4907), 1,
      anon_sym_POUND,
    ACTIONS(4909), 1,
      sym_hash_operator,
    STATE(4985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [179681] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1497), 1,
      anon_sym_LPAREN,
    ACTIONS(1499), 1,
      anon_sym_LBRACK,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    ACTIONS(1505), 1,
      anon_sym_object,
    ACTIONS(1509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1519), 1,
      anon_sym_new,
    ACTIONS(1521), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1523), 1,
      anon_sym_begin,
    ACTIONS(1525), 1,
      sym_ocamlyacc_value,
    ACTIONS(1527), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1529), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1531), 1,
      aux_sym_number_token1,
    ACTIONS(1533), 1,
      anon_sym_SQUOTE,
    ACTIONS(1535), 1,
      anon_sym_DQUOTE,
    ACTIONS(1537), 1,
      sym_prefix_operator,
    ACTIONS(1541), 1,
      sym__capitalized_identifier,
    ACTIONS(1543), 1,
      aux_sym_tag_token1,
    ACTIONS(5601), 1,
      sym__identifier,
    STATE(4986), 1,
      sym_attribute,
    STATE(6006), 1,
      sym__constructor_name,
    STATE(6033), 1,
      sym__simple_expression,
    STATE(6078), 1,
      sym__value_name,
    STATE(6112), 1,
      sym_parenthesized_operator,
    STATE(19544), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1501), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6026), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [179799] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1497), 1,
      anon_sym_LPAREN,
    ACTIONS(1499), 1,
      anon_sym_LBRACK,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    ACTIONS(1505), 1,
      anon_sym_object,
    ACTIONS(1509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1519), 1,
      anon_sym_new,
    ACTIONS(1521), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1523), 1,
      anon_sym_begin,
    ACTIONS(1525), 1,
      sym_ocamlyacc_value,
    ACTIONS(1527), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1529), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1531), 1,
      aux_sym_number_token1,
    ACTIONS(1533), 1,
      anon_sym_SQUOTE,
    ACTIONS(1535), 1,
      anon_sym_DQUOTE,
    ACTIONS(1537), 1,
      sym_prefix_operator,
    ACTIONS(1541), 1,
      sym__capitalized_identifier,
    ACTIONS(1543), 1,
      aux_sym_tag_token1,
    ACTIONS(5601), 1,
      sym__identifier,
    STATE(4987), 1,
      sym_attribute,
    STATE(6006), 1,
      sym__constructor_name,
    STATE(6046), 1,
      sym__simple_expression,
    STATE(6078), 1,
      sym__value_name,
    STATE(6112), 1,
      sym_parenthesized_operator,
    STATE(19544), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1501), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6026), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [179917] = 29,
    ACTIONS(1325), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_LBRACK,
    ACTIONS(1331), 1,
      anon_sym_LBRACE,
    ACTIONS(1333), 1,
      anon_sym_object,
    ACTIONS(1337), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1347), 1,
      anon_sym_new,
    ACTIONS(1349), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1351), 1,
      anon_sym_begin,
    ACTIONS(1353), 1,
      sym_ocamlyacc_value,
    ACTIONS(1359), 1,
      aux_sym_number_token1,
    ACTIONS(1361), 1,
      anon_sym_SQUOTE,
    ACTIONS(1363), 1,
      anon_sym_DQUOTE,
    ACTIONS(1365), 1,
      sym_prefix_operator,
    ACTIONS(1369), 1,
      sym__capitalized_identifier,
    ACTIONS(1371), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5591), 1,
      sym__identifier,
    STATE(4988), 1,
      sym_attribute,
    STATE(5933), 1,
      sym__constructor_name,
    STATE(5947), 1,
      sym__value_name,
    STATE(5948), 1,
      sym_parenthesized_operator,
    STATE(5955), 1,
      sym__simple_expression,
    STATE(21964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1329), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5932), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5981), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [180035] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1445), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    ACTIONS(1451), 1,
      anon_sym_LBRACE,
    ACTIONS(1453), 1,
      anon_sym_object,
    ACTIONS(1457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1467), 1,
      anon_sym_new,
    ACTIONS(1469), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1471), 1,
      anon_sym_begin,
    ACTIONS(1473), 1,
      sym_ocamlyacc_value,
    ACTIONS(1475), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1477), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1479), 1,
      aux_sym_number_token1,
    ACTIONS(1481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DQUOTE,
    ACTIONS(1485), 1,
      sym_prefix_operator,
    ACTIONS(1489), 1,
      sym__capitalized_identifier,
    ACTIONS(1491), 1,
      aux_sym_tag_token1,
    ACTIONS(5691), 1,
      sym__identifier,
    STATE(4989), 1,
      sym_attribute,
    STATE(6379), 1,
      sym__constructor_name,
    STATE(6385), 1,
      sym_parenthesized_operator,
    STATE(6398), 1,
      sym__simple_expression,
    STATE(6447), 1,
      sym__value_name,
    STATE(19599), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1449), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6328), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6355), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [180153] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1445), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    ACTIONS(1451), 1,
      anon_sym_LBRACE,
    ACTIONS(1453), 1,
      anon_sym_object,
    ACTIONS(1457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1467), 1,
      anon_sym_new,
    ACTIONS(1469), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1471), 1,
      anon_sym_begin,
    ACTIONS(1473), 1,
      sym_ocamlyacc_value,
    ACTIONS(1475), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1477), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1479), 1,
      aux_sym_number_token1,
    ACTIONS(1481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DQUOTE,
    ACTIONS(1485), 1,
      sym_prefix_operator,
    ACTIONS(1489), 1,
      sym__capitalized_identifier,
    ACTIONS(1491), 1,
      aux_sym_tag_token1,
    ACTIONS(5691), 1,
      sym__identifier,
    STATE(4990), 1,
      sym_attribute,
    STATE(6379), 1,
      sym__constructor_name,
    STATE(6385), 1,
      sym_parenthesized_operator,
    STATE(6438), 1,
      sym__simple_expression,
    STATE(6447), 1,
      sym__value_name,
    STATE(19599), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1449), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6328), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6355), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [180271] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3135), 1,
      anon_sym_LPAREN,
    ACTIONS(3137), 1,
      anon_sym_LBRACK,
    ACTIONS(3141), 1,
      anon_sym_LBRACE,
    ACTIONS(3143), 1,
      anon_sym_object,
    ACTIONS(3147), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3157), 1,
      anon_sym_new,
    ACTIONS(3159), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3161), 1,
      anon_sym_begin,
    ACTIONS(3163), 1,
      sym_ocamlyacc_value,
    ACTIONS(3165), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3167), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3169), 1,
      aux_sym_number_token1,
    ACTIONS(3171), 1,
      anon_sym_SQUOTE,
    ACTIONS(3173), 1,
      anon_sym_DQUOTE,
    ACTIONS(3175), 1,
      sym_prefix_operator,
    ACTIONS(3179), 1,
      sym__capitalized_identifier,
    ACTIONS(3181), 1,
      aux_sym_tag_token1,
    ACTIONS(6519), 1,
      sym__identifier,
    STATE(4991), 1,
      sym_attribute,
    STATE(7806), 1,
      sym__constructor_name,
    STATE(7901), 1,
      sym__simple_expression,
    STATE(8206), 1,
      sym__value_name,
    STATE(8207), 1,
      sym_parenthesized_operator,
    STATE(20998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3139), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8224), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8147), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [180389] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3135), 1,
      anon_sym_LPAREN,
    ACTIONS(3137), 1,
      anon_sym_LBRACK,
    ACTIONS(3141), 1,
      anon_sym_LBRACE,
    ACTIONS(3143), 1,
      anon_sym_object,
    ACTIONS(3147), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3157), 1,
      anon_sym_new,
    ACTIONS(3159), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3161), 1,
      anon_sym_begin,
    ACTIONS(3163), 1,
      sym_ocamlyacc_value,
    ACTIONS(3165), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3167), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3169), 1,
      aux_sym_number_token1,
    ACTIONS(3171), 1,
      anon_sym_SQUOTE,
    ACTIONS(3173), 1,
      anon_sym_DQUOTE,
    ACTIONS(3175), 1,
      sym_prefix_operator,
    ACTIONS(3179), 1,
      sym__capitalized_identifier,
    ACTIONS(3181), 1,
      aux_sym_tag_token1,
    ACTIONS(6519), 1,
      sym__identifier,
    STATE(4992), 1,
      sym_attribute,
    STATE(7806), 1,
      sym__constructor_name,
    STATE(8058), 1,
      sym__simple_expression,
    STATE(8206), 1,
      sym__value_name,
    STATE(8207), 1,
      sym_parenthesized_operator,
    STATE(20998), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3139), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8224), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8147), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [180507] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4975), 1,
      anon_sym_DOT,
    ACTIONS(4977), 1,
      anon_sym_POUND,
    ACTIONS(4979), 1,
      sym_hash_operator,
    STATE(4993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [180583] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(4994), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15313), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [180705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [180775] = 29,
    ACTIONS(803), 1,
      anon_sym_LPAREN,
    ACTIONS(805), 1,
      anon_sym_LBRACK,
    ACTIONS(809), 1,
      anon_sym_LBRACE,
    ACTIONS(811), 1,
      anon_sym_object,
    ACTIONS(815), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(825), 1,
      anon_sym_new,
    ACTIONS(827), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(829), 1,
      anon_sym_begin,
    ACTIONS(831), 1,
      sym_ocamlyacc_value,
    ACTIONS(837), 1,
      aux_sym_number_token1,
    ACTIONS(839), 1,
      anon_sym_SQUOTE,
    ACTIONS(841), 1,
      anon_sym_DQUOTE,
    ACTIONS(843), 1,
      sym_prefix_operator,
    ACTIONS(847), 1,
      sym__capitalized_identifier,
    ACTIONS(849), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3611), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3613), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3729), 1,
      sym__identifier,
    STATE(3442), 1,
      sym_parenthesized_operator,
    STATE(3523), 1,
      sym__value_name,
    STATE(3726), 1,
      sym__simple_expression,
    STATE(3766), 1,
      sym__constructor_name,
    STATE(4996), 1,
      sym_attribute,
    STATE(22386), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(807), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3565), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3745), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [180893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [180963] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6755), 1,
      sym__identifier,
    ACTIONS(6759), 1,
      anon_sym_LPAREN,
    ACTIONS(6761), 1,
      anon_sym_LBRACK,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    ACTIONS(6767), 1,
      anon_sym_object,
    ACTIONS(6769), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6771), 1,
      anon_sym_new,
    ACTIONS(6773), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6775), 1,
      anon_sym_begin,
    ACTIONS(6777), 1,
      sym_ocamlyacc_value,
    ACTIONS(6783), 1,
      aux_sym_number_token1,
    ACTIONS(6785), 1,
      anon_sym_SQUOTE,
    ACTIONS(6787), 1,
      anon_sym_DQUOTE,
    ACTIONS(6789), 1,
      sym_prefix_operator,
    ACTIONS(6791), 1,
      sym__capitalized_identifier,
    ACTIONS(6793), 1,
      aux_sym_tag_token1,
    ACTIONS(9702), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9704), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4998), 1,
      sym_attribute,
    STATE(6906), 1,
      sym__constructor_name,
    STATE(7118), 1,
      sym__simple_expression,
    STATE(7159), 1,
      sym__value_name,
    STATE(7200), 1,
      sym_parenthesized_operator,
    STATE(19654), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6763), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6984), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7110), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181081] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6755), 1,
      sym__identifier,
    ACTIONS(6759), 1,
      anon_sym_LPAREN,
    ACTIONS(6761), 1,
      anon_sym_LBRACK,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    ACTIONS(6767), 1,
      anon_sym_object,
    ACTIONS(6769), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6771), 1,
      anon_sym_new,
    ACTIONS(6773), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6775), 1,
      anon_sym_begin,
    ACTIONS(6777), 1,
      sym_ocamlyacc_value,
    ACTIONS(6783), 1,
      aux_sym_number_token1,
    ACTIONS(6785), 1,
      anon_sym_SQUOTE,
    ACTIONS(6787), 1,
      anon_sym_DQUOTE,
    ACTIONS(6789), 1,
      sym_prefix_operator,
    ACTIONS(6791), 1,
      sym__capitalized_identifier,
    ACTIONS(6793), 1,
      aux_sym_tag_token1,
    ACTIONS(9702), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9704), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4999), 1,
      sym_attribute,
    STATE(6906), 1,
      sym__constructor_name,
    STATE(7127), 1,
      sym__simple_expression,
    STATE(7159), 1,
      sym__value_name,
    STATE(7200), 1,
      sym_parenthesized_operator,
    STATE(19654), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6763), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6984), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7110), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181199] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6755), 1,
      sym__identifier,
    ACTIONS(6759), 1,
      anon_sym_LPAREN,
    ACTIONS(6761), 1,
      anon_sym_LBRACK,
    ACTIONS(6765), 1,
      anon_sym_LBRACE,
    ACTIONS(6767), 1,
      anon_sym_object,
    ACTIONS(6769), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6771), 1,
      anon_sym_new,
    ACTIONS(6773), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6775), 1,
      anon_sym_begin,
    ACTIONS(6777), 1,
      sym_ocamlyacc_value,
    ACTIONS(6783), 1,
      aux_sym_number_token1,
    ACTIONS(6785), 1,
      anon_sym_SQUOTE,
    ACTIONS(6787), 1,
      anon_sym_DQUOTE,
    ACTIONS(6789), 1,
      sym_prefix_operator,
    ACTIONS(6791), 1,
      sym__capitalized_identifier,
    ACTIONS(6793), 1,
      aux_sym_tag_token1,
    ACTIONS(9702), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9704), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5000), 1,
      sym_attribute,
    STATE(6906), 1,
      sym__constructor_name,
    STATE(6998), 1,
      sym__simple_expression,
    STATE(7159), 1,
      sym__value_name,
    STATE(7200), 1,
      sym_parenthesized_operator,
    STATE(19654), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6763), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6984), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7110), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181317] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8731), 1,
      sym__identifier,
    ACTIONS(8735), 1,
      anon_sym_LPAREN,
    ACTIONS(8737), 1,
      anon_sym_LBRACK,
    ACTIONS(8741), 1,
      anon_sym_LBRACE,
    ACTIONS(8743), 1,
      anon_sym_object,
    ACTIONS(8745), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8747), 1,
      anon_sym_new,
    ACTIONS(8749), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8751), 1,
      anon_sym_begin,
    ACTIONS(8753), 1,
      sym_ocamlyacc_value,
    ACTIONS(8755), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8757), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8759), 1,
      aux_sym_number_token1,
    ACTIONS(8761), 1,
      anon_sym_SQUOTE,
    ACTIONS(8763), 1,
      anon_sym_DQUOTE,
    ACTIONS(8765), 1,
      sym_prefix_operator,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    STATE(5001), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(10397), 1,
      sym__simple_expression,
    STATE(10449), 1,
      sym__value_name,
    STATE(10574), 1,
      sym_parenthesized_operator,
    STATE(19709), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8739), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10490), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10389), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181435] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8731), 1,
      sym__identifier,
    ACTIONS(8735), 1,
      anon_sym_LPAREN,
    ACTIONS(8737), 1,
      anon_sym_LBRACK,
    ACTIONS(8741), 1,
      anon_sym_LBRACE,
    ACTIONS(8743), 1,
      anon_sym_object,
    ACTIONS(8745), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8747), 1,
      anon_sym_new,
    ACTIONS(8749), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8751), 1,
      anon_sym_begin,
    ACTIONS(8753), 1,
      sym_ocamlyacc_value,
    ACTIONS(8755), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8757), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8759), 1,
      aux_sym_number_token1,
    ACTIONS(8761), 1,
      anon_sym_SQUOTE,
    ACTIONS(8763), 1,
      anon_sym_DQUOTE,
    ACTIONS(8765), 1,
      sym_prefix_operator,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    STATE(5002), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(10409), 1,
      sym__simple_expression,
    STATE(10449), 1,
      sym__value_name,
    STATE(10574), 1,
      sym_parenthesized_operator,
    STATE(19709), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8739), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10490), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10389), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181553] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8731), 1,
      sym__identifier,
    ACTIONS(8735), 1,
      anon_sym_LPAREN,
    ACTIONS(8737), 1,
      anon_sym_LBRACK,
    ACTIONS(8741), 1,
      anon_sym_LBRACE,
    ACTIONS(8743), 1,
      anon_sym_object,
    ACTIONS(8745), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8747), 1,
      anon_sym_new,
    ACTIONS(8749), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8751), 1,
      anon_sym_begin,
    ACTIONS(8753), 1,
      sym_ocamlyacc_value,
    ACTIONS(8755), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8757), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8759), 1,
      aux_sym_number_token1,
    ACTIONS(8761), 1,
      anon_sym_SQUOTE,
    ACTIONS(8763), 1,
      anon_sym_DQUOTE,
    ACTIONS(8765), 1,
      sym_prefix_operator,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    STATE(5003), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(10449), 1,
      sym__value_name,
    STATE(10511), 1,
      sym__simple_expression,
    STATE(10574), 1,
      sym_parenthesized_operator,
    STATE(19709), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8739), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10490), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10389), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181671] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2785), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LBRACE,
    ACTIONS(2793), 1,
      anon_sym_object,
    ACTIONS(2797), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2807), 1,
      anon_sym_new,
    ACTIONS(2809), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2811), 1,
      anon_sym_begin,
    ACTIONS(2813), 1,
      sym_ocamlyacc_value,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2817), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2819), 1,
      aux_sym_number_token1,
    ACTIONS(2821), 1,
      anon_sym_SQUOTE,
    ACTIONS(2823), 1,
      anon_sym_DQUOTE,
    ACTIONS(2825), 1,
      sym_prefix_operator,
    ACTIONS(2829), 1,
      sym__capitalized_identifier,
    ACTIONS(2831), 1,
      aux_sym_tag_token1,
    ACTIONS(6211), 1,
      sym__identifier,
    STATE(5004), 1,
      sym_attribute,
    STATE(7320), 1,
      sym__constructor_name,
    STATE(7476), 1,
      sym_parenthesized_operator,
    STATE(7511), 1,
      sym__simple_expression,
    STATE(7560), 1,
      sym__value_name,
    STATE(19751), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2789), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7486), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7504), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181789] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2785), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LBRACE,
    ACTIONS(2793), 1,
      anon_sym_object,
    ACTIONS(2797), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2807), 1,
      anon_sym_new,
    ACTIONS(2809), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2811), 1,
      anon_sym_begin,
    ACTIONS(2813), 1,
      sym_ocamlyacc_value,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2817), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2819), 1,
      aux_sym_number_token1,
    ACTIONS(2821), 1,
      anon_sym_SQUOTE,
    ACTIONS(2823), 1,
      anon_sym_DQUOTE,
    ACTIONS(2825), 1,
      sym_prefix_operator,
    ACTIONS(2829), 1,
      sym__capitalized_identifier,
    ACTIONS(2831), 1,
      aux_sym_tag_token1,
    ACTIONS(6211), 1,
      sym__identifier,
    STATE(5005), 1,
      sym_attribute,
    STATE(7320), 1,
      sym__constructor_name,
    STATE(7476), 1,
      sym_parenthesized_operator,
    STATE(7522), 1,
      sym__simple_expression,
    STATE(7560), 1,
      sym__value_name,
    STATE(19751), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2789), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7486), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7504), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181907] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4975), 1,
      anon_sym_DOT,
    ACTIONS(4977), 1,
      anon_sym_POUND,
    ACTIONS(4979), 1,
      sym_hash_operator,
    STATE(5006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [181983] = 29,
    ACTIONS(1133), 1,
      anon_sym_LPAREN,
    ACTIONS(1135), 1,
      anon_sym_LBRACK,
    ACTIONS(1139), 1,
      anon_sym_LBRACE,
    ACTIONS(1141), 1,
      anon_sym_object,
    ACTIONS(1145), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1155), 1,
      anon_sym_new,
    ACTIONS(1157), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1159), 1,
      anon_sym_begin,
    ACTIONS(1161), 1,
      sym_ocamlyacc_value,
    ACTIONS(1167), 1,
      aux_sym_number_token1,
    ACTIONS(1169), 1,
      anon_sym_SQUOTE,
    ACTIONS(1171), 1,
      anon_sym_DQUOTE,
    ACTIONS(1173), 1,
      sym_prefix_operator,
    ACTIONS(1177), 1,
      sym__capitalized_identifier,
    ACTIONS(1179), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3629), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3631), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3869), 1,
      sym__identifier,
    STATE(4826), 1,
      sym__simple_expression,
    STATE(4841), 1,
      sym__value_name,
    STATE(4874), 1,
      sym_parenthesized_operator,
    STATE(4925), 1,
      sym__constructor_name,
    STATE(5007), 1,
      sym_attribute,
    STATE(19305), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1137), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4912), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4780), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [182101] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2837), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_LBRACK,
    ACTIONS(2843), 1,
      anon_sym_LBRACE,
    ACTIONS(2845), 1,
      anon_sym_object,
    ACTIONS(2849), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2859), 1,
      anon_sym_new,
    ACTIONS(2861), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2863), 1,
      anon_sym_begin,
    ACTIONS(2865), 1,
      sym_ocamlyacc_value,
    ACTIONS(2867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2869), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2871), 1,
      aux_sym_number_token1,
    ACTIONS(2873), 1,
      anon_sym_SQUOTE,
    ACTIONS(2875), 1,
      anon_sym_DQUOTE,
    ACTIONS(2877), 1,
      sym_prefix_operator,
    ACTIONS(2881), 1,
      sym__capitalized_identifier,
    ACTIONS(2883), 1,
      aux_sym_tag_token1,
    ACTIONS(6221), 1,
      sym__identifier,
    STATE(5008), 1,
      sym_attribute,
    STATE(7249), 1,
      sym_parenthesized_operator,
    STATE(7380), 1,
      sym__constructor_name,
    STATE(7571), 1,
      sym__simple_expression,
    STATE(7622), 1,
      sym__value_name,
    STATE(19792), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2841), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7255), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7557), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [182219] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2837), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_LBRACK,
    ACTIONS(2843), 1,
      anon_sym_LBRACE,
    ACTIONS(2845), 1,
      anon_sym_object,
    ACTIONS(2849), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2859), 1,
      anon_sym_new,
    ACTIONS(2861), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2863), 1,
      anon_sym_begin,
    ACTIONS(2865), 1,
      sym_ocamlyacc_value,
    ACTIONS(2867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2869), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2871), 1,
      aux_sym_number_token1,
    ACTIONS(2873), 1,
      anon_sym_SQUOTE,
    ACTIONS(2875), 1,
      anon_sym_DQUOTE,
    ACTIONS(2877), 1,
      sym_prefix_operator,
    ACTIONS(2881), 1,
      sym__capitalized_identifier,
    ACTIONS(2883), 1,
      aux_sym_tag_token1,
    ACTIONS(6221), 1,
      sym__identifier,
    STATE(5009), 1,
      sym_attribute,
    STATE(7249), 1,
      sym_parenthesized_operator,
    STATE(7380), 1,
      sym__constructor_name,
    STATE(7586), 1,
      sym__simple_expression,
    STATE(7622), 1,
      sym__value_name,
    STATE(19792), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2841), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7255), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7557), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [182337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [182407] = 29,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      anon_sym_LBRACK,
    ACTIONS(117), 1,
      anon_sym_LBRACE,
    ACTIONS(121), 1,
      anon_sym_object,
    ACTIONS(125), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(139), 1,
      anon_sym_new,
    ACTIONS(141), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(143), 1,
      anon_sym_begin,
    ACTIONS(145), 1,
      sym_ocamlyacc_value,
    ACTIONS(151), 1,
      aux_sym_number_token1,
    ACTIONS(153), 1,
      anon_sym_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_DQUOTE,
    ACTIONS(157), 1,
      sym_prefix_operator,
    ACTIONS(163), 1,
      sym__capitalized_identifier,
    ACTIONS(167), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3577), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3579), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4901), 1,
      sym__identifier,
    STATE(5011), 1,
      sym_attribute,
    STATE(5012), 1,
      sym_parenthesized_operator,
    STATE(5018), 1,
      sym__simple_expression,
    STATE(5082), 1,
      sym__value_name,
    STATE(5177), 1,
      sym__constructor_name,
    STATE(21189), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(113), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5176), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5010), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [182525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [182595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [182665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [182735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [182805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [182875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [182945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [183015] = 29,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      anon_sym_LBRACK,
    ACTIONS(117), 1,
      anon_sym_LBRACE,
    ACTIONS(121), 1,
      anon_sym_object,
    ACTIONS(125), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(139), 1,
      anon_sym_new,
    ACTIONS(141), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(143), 1,
      anon_sym_begin,
    ACTIONS(145), 1,
      sym_ocamlyacc_value,
    ACTIONS(151), 1,
      aux_sym_number_token1,
    ACTIONS(153), 1,
      anon_sym_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_DQUOTE,
    ACTIONS(157), 1,
      sym_prefix_operator,
    ACTIONS(163), 1,
      sym__capitalized_identifier,
    ACTIONS(167), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3577), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3579), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4901), 1,
      sym__identifier,
    STATE(5012), 1,
      sym_parenthesized_operator,
    STATE(5019), 1,
      sym_attribute,
    STATE(5042), 1,
      sym__simple_expression,
    STATE(5082), 1,
      sym__value_name,
    STATE(5177), 1,
      sym__constructor_name,
    STATE(21189), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(113), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5176), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5010), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [183133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9164), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [183203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [183273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [183343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [183413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [183483] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3069), 1,
      anon_sym_LPAREN,
    ACTIONS(3071), 1,
      anon_sym_LBRACK,
    ACTIONS(3075), 1,
      anon_sym_LBRACE,
    ACTIONS(3077), 1,
      anon_sym_object,
    ACTIONS(3081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3091), 1,
      anon_sym_new,
    ACTIONS(3093), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3095), 1,
      anon_sym_begin,
    ACTIONS(3097), 1,
      sym_ocamlyacc_value,
    ACTIONS(3099), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3101), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3103), 1,
      aux_sym_number_token1,
    ACTIONS(3105), 1,
      anon_sym_SQUOTE,
    ACTIONS(3107), 1,
      anon_sym_DQUOTE,
    ACTIONS(3109), 1,
      sym_prefix_operator,
    ACTIONS(3113), 1,
      sym__capitalized_identifier,
    ACTIONS(3115), 1,
      aux_sym_tag_token1,
    ACTIONS(6339), 1,
      sym__identifier,
    STATE(5025), 1,
      sym_attribute,
    STATE(7858), 1,
      sym_parenthesized_operator,
    STATE(7960), 1,
      sym__constructor_name,
    STATE(8221), 1,
      sym__simple_expression,
    STATE(8251), 1,
      sym__value_name,
    STATE(19367), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3073), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8145), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8154), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [183601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [183671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [183741] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9434), 1,
      sym__identifier,
    ACTIONS(9436), 1,
      anon_sym_LPAREN,
    ACTIONS(9438), 1,
      anon_sym_LBRACK,
    ACTIONS(9442), 1,
      anon_sym_LBRACE,
    ACTIONS(9444), 1,
      anon_sym_object,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9448), 1,
      anon_sym_new,
    ACTIONS(9450), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9452), 1,
      anon_sym_begin,
    ACTIONS(9454), 1,
      sym_ocamlyacc_value,
    ACTIONS(9456), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9458), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9460), 1,
      aux_sym_number_token1,
    ACTIONS(9462), 1,
      anon_sym_SQUOTE,
    ACTIONS(9464), 1,
      anon_sym_DQUOTE,
    ACTIONS(9466), 1,
      sym_prefix_operator,
    ACTIONS(9468), 1,
      sym__capitalized_identifier,
    ACTIONS(9470), 1,
      aux_sym_tag_token1,
    STATE(5028), 1,
      sym_attribute,
    STATE(10740), 1,
      sym_parenthesized_operator,
    STATE(10829), 1,
      sym__simple_expression,
    STATE(10913), 1,
      sym__constructor_name,
    STATE(11051), 1,
      sym__value_name,
    STATE(19833), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9440), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10912), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10782), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [183859] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9434), 1,
      sym__identifier,
    ACTIONS(9436), 1,
      anon_sym_LPAREN,
    ACTIONS(9438), 1,
      anon_sym_LBRACK,
    ACTIONS(9442), 1,
      anon_sym_LBRACE,
    ACTIONS(9444), 1,
      anon_sym_object,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9448), 1,
      anon_sym_new,
    ACTIONS(9450), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9452), 1,
      anon_sym_begin,
    ACTIONS(9454), 1,
      sym_ocamlyacc_value,
    ACTIONS(9456), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9458), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9460), 1,
      aux_sym_number_token1,
    ACTIONS(9462), 1,
      anon_sym_SQUOTE,
    ACTIONS(9464), 1,
      anon_sym_DQUOTE,
    ACTIONS(9466), 1,
      sym_prefix_operator,
    ACTIONS(9468), 1,
      sym__capitalized_identifier,
    ACTIONS(9470), 1,
      aux_sym_tag_token1,
    STATE(5029), 1,
      sym_attribute,
    STATE(10740), 1,
      sym_parenthesized_operator,
    STATE(10884), 1,
      sym__simple_expression,
    STATE(10913), 1,
      sym__constructor_name,
    STATE(11051), 1,
      sym__value_name,
    STATE(19833), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9440), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10912), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10782), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [183977] = 29,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(39), 1,
      anon_sym_object,
    ACTIONS(43), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(61), 1,
      anon_sym_new,
    ACTIONS(63), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(65), 1,
      anon_sym_begin,
    ACTIONS(67), 1,
      sym_ocamlyacc_value,
    ACTIONS(79), 1,
      aux_sym_number_token1,
    ACTIONS(83), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      sym_prefix_operator,
    ACTIONS(95), 1,
      sym__capitalized_identifier,
    ACTIONS(99), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4651), 1,
      sym__identifier,
    STATE(5030), 1,
      sym_attribute,
    STATE(5031), 1,
      sym__value_name,
    STATE(5169), 1,
      sym_parenthesized_operator,
    STATE(5182), 1,
      sym__constructor_name,
    STATE(5201), 1,
      sym__simple_expression,
    STATE(20077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5021), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5248), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [184095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [184165] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      sym__identifier,
    ACTIONS(9524), 1,
      anon_sym_LPAREN,
    ACTIONS(9526), 1,
      anon_sym_LBRACK,
    ACTIONS(9530), 1,
      anon_sym_LBRACE,
    ACTIONS(9532), 1,
      anon_sym_object,
    ACTIONS(9534), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9536), 1,
      anon_sym_new,
    ACTIONS(9538), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9540), 1,
      anon_sym_begin,
    ACTIONS(9542), 1,
      sym_ocamlyacc_value,
    ACTIONS(9544), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9546), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9548), 1,
      aux_sym_number_token1,
    ACTIONS(9550), 1,
      anon_sym_SQUOTE,
    ACTIONS(9552), 1,
      anon_sym_DQUOTE,
    ACTIONS(9554), 1,
      sym_prefix_operator,
    ACTIONS(9556), 1,
      sym__capitalized_identifier,
    ACTIONS(9558), 1,
      aux_sym_tag_token1,
    STATE(5032), 1,
      sym_attribute,
    STATE(8231), 1,
      sym__constructor_name,
    STATE(8737), 1,
      sym__value_name,
    STATE(8763), 1,
      sym_parenthesized_operator,
    STATE(8790), 1,
      sym__simple_expression,
    STATE(20759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8841), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8836), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [184283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [184353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [184423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [184493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [184563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [184633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [184703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [184773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [184843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [184913] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4905), 1,
      anon_sym_DOT,
    STATE(5042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [184985] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1893), 1,
      anon_sym_LPAREN,
    ACTIONS(1895), 1,
      anon_sym_LBRACK,
    ACTIONS(1899), 1,
      anon_sym_LBRACE,
    ACTIONS(1901), 1,
      anon_sym_object,
    ACTIONS(1905), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1915), 1,
      anon_sym_new,
    ACTIONS(1917), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1919), 1,
      anon_sym_begin,
    ACTIONS(1921), 1,
      sym_ocamlyacc_value,
    ACTIONS(1923), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1925), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1927), 1,
      aux_sym_number_token1,
    ACTIONS(1929), 1,
      anon_sym_SQUOTE,
    ACTIONS(1931), 1,
      anon_sym_DQUOTE,
    ACTIONS(1933), 1,
      sym_prefix_operator,
    ACTIONS(1937), 1,
      sym__capitalized_identifier,
    ACTIONS(1939), 1,
      aux_sym_tag_token1,
    ACTIONS(6201), 1,
      sym__identifier,
    STATE(5043), 1,
      sym_attribute,
    STATE(7269), 1,
      sym__constructor_name,
    STATE(7424), 1,
      sym__simple_expression,
    STATE(7437), 1,
      sym__value_name,
    STATE(7471), 1,
      sym_parenthesized_operator,
    STATE(19430), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1897), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7676), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7369), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [185103] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2889), 1,
      anon_sym_LPAREN,
    ACTIONS(2891), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_LBRACE,
    ACTIONS(2897), 1,
      anon_sym_object,
    ACTIONS(2901), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2911), 1,
      anon_sym_new,
    ACTIONS(2913), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2915), 1,
      anon_sym_begin,
    ACTIONS(2917), 1,
      sym_ocamlyacc_value,
    ACTIONS(2919), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2921), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2923), 1,
      aux_sym_number_token1,
    ACTIONS(2925), 1,
      anon_sym_SQUOTE,
    ACTIONS(2927), 1,
      anon_sym_DQUOTE,
    ACTIONS(2929), 1,
      sym_prefix_operator,
    ACTIONS(2933), 1,
      sym__capitalized_identifier,
    ACTIONS(2935), 1,
      aux_sym_tag_token1,
    ACTIONS(6191), 1,
      sym__identifier,
    STATE(5044), 1,
      sym_attribute,
    STATE(7268), 1,
      sym_parenthesized_operator,
    STATE(7474), 1,
      sym__constructor_name,
    STATE(7630), 1,
      sym__simple_expression,
    STATE(7677), 1,
      sym__value_name,
    STATE(19874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2893), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7317), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7621), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [185221] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2889), 1,
      anon_sym_LPAREN,
    ACTIONS(2891), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_LBRACE,
    ACTIONS(2897), 1,
      anon_sym_object,
    ACTIONS(2901), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2911), 1,
      anon_sym_new,
    ACTIONS(2913), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2915), 1,
      anon_sym_begin,
    ACTIONS(2917), 1,
      sym_ocamlyacc_value,
    ACTIONS(2919), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2921), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2923), 1,
      aux_sym_number_token1,
    ACTIONS(2925), 1,
      anon_sym_SQUOTE,
    ACTIONS(2927), 1,
      anon_sym_DQUOTE,
    ACTIONS(2929), 1,
      sym_prefix_operator,
    ACTIONS(2933), 1,
      sym__capitalized_identifier,
    ACTIONS(2935), 1,
      aux_sym_tag_token1,
    ACTIONS(6191), 1,
      sym__identifier,
    STATE(5045), 1,
      sym_attribute,
    STATE(7268), 1,
      sym_parenthesized_operator,
    STATE(7474), 1,
      sym__constructor_name,
    STATE(7641), 1,
      sym__simple_expression,
    STATE(7677), 1,
      sym__value_name,
    STATE(19874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2893), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7317), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7621), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [185339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [185409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [185479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [185549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [185619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [185689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [185759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [185829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [185899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [185969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [186039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9364), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [186109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [186179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [186249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [186319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [186389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [186459] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1671), 1,
      anon_sym_LBRACK,
    ACTIONS(1675), 1,
      anon_sym_LBRACE,
    ACTIONS(1677), 1,
      anon_sym_object,
    ACTIONS(1681), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1691), 1,
      anon_sym_new,
    ACTIONS(1693), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1695), 1,
      anon_sym_begin,
    ACTIONS(1697), 1,
      sym_ocamlyacc_value,
    ACTIONS(1699), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1701), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1703), 1,
      aux_sym_number_token1,
    ACTIONS(1705), 1,
      anon_sym_SQUOTE,
    ACTIONS(1707), 1,
      anon_sym_DQUOTE,
    ACTIONS(1709), 1,
      sym_prefix_operator,
    ACTIONS(1713), 1,
      sym__capitalized_identifier,
    ACTIONS(1715), 1,
      aux_sym_tag_token1,
    ACTIONS(6117), 1,
      sym__identifier,
    STATE(5062), 1,
      sym_attribute,
    STATE(6745), 1,
      sym__simple_expression,
    STATE(6774), 1,
      sym__constructor_name,
    STATE(6797), 1,
      sym_parenthesized_operator,
    STATE(6811), 1,
      sym__value_name,
    STATE(19489), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1673), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6832), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6748), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [186577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [186647] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2941), 1,
      anon_sym_LPAREN,
    ACTIONS(2943), 1,
      anon_sym_LBRACK,
    ACTIONS(2947), 1,
      anon_sym_LBRACE,
    ACTIONS(2949), 1,
      anon_sym_object,
    ACTIONS(2953), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2963), 1,
      anon_sym_new,
    ACTIONS(2965), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2967), 1,
      anon_sym_begin,
    ACTIONS(2969), 1,
      sym_ocamlyacc_value,
    ACTIONS(2971), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2973), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2975), 1,
      aux_sym_number_token1,
    ACTIONS(2977), 1,
      anon_sym_SQUOTE,
    ACTIONS(2979), 1,
      anon_sym_DQUOTE,
    ACTIONS(2981), 1,
      sym_prefix_operator,
    ACTIONS(2985), 1,
      sym__capitalized_identifier,
    ACTIONS(2987), 1,
      aux_sym_tag_token1,
    ACTIONS(6171), 1,
      sym__identifier,
    STATE(5064), 1,
      sym_attribute,
    STATE(7222), 1,
      sym__constructor_name,
    STATE(7319), 1,
      sym_parenthesized_operator,
    STATE(7467), 1,
      sym__value_name,
    STATE(7686), 1,
      sym__simple_expression,
    STATE(19915), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2945), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7374), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7673), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [186765] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2941), 1,
      anon_sym_LPAREN,
    ACTIONS(2943), 1,
      anon_sym_LBRACK,
    ACTIONS(2947), 1,
      anon_sym_LBRACE,
    ACTIONS(2949), 1,
      anon_sym_object,
    ACTIONS(2953), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2963), 1,
      anon_sym_new,
    ACTIONS(2965), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2967), 1,
      anon_sym_begin,
    ACTIONS(2969), 1,
      sym_ocamlyacc_value,
    ACTIONS(2971), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2973), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2975), 1,
      aux_sym_number_token1,
    ACTIONS(2977), 1,
      anon_sym_SQUOTE,
    ACTIONS(2979), 1,
      anon_sym_DQUOTE,
    ACTIONS(2981), 1,
      sym_prefix_operator,
    ACTIONS(2985), 1,
      sym__capitalized_identifier,
    ACTIONS(2987), 1,
      aux_sym_tag_token1,
    ACTIONS(6171), 1,
      sym__identifier,
    STATE(5065), 1,
      sym_attribute,
    STATE(7222), 1,
      sym__constructor_name,
    STATE(7319), 1,
      sym_parenthesized_operator,
    STATE(7467), 1,
      sym__value_name,
    STATE(7698), 1,
      sym__simple_expression,
    STATE(19915), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2945), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7374), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7673), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [186883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [186953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [187023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [187093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [187163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [187233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [187303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [187373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [187443] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1497), 1,
      anon_sym_LPAREN,
    ACTIONS(1499), 1,
      anon_sym_LBRACK,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    ACTIONS(1505), 1,
      anon_sym_object,
    ACTIONS(1509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1519), 1,
      anon_sym_new,
    ACTIONS(1521), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1523), 1,
      anon_sym_begin,
    ACTIONS(1525), 1,
      sym_ocamlyacc_value,
    ACTIONS(1527), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1529), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1531), 1,
      aux_sym_number_token1,
    ACTIONS(1533), 1,
      anon_sym_SQUOTE,
    ACTIONS(1535), 1,
      anon_sym_DQUOTE,
    ACTIONS(1537), 1,
      sym_prefix_operator,
    ACTIONS(1541), 1,
      sym__capitalized_identifier,
    ACTIONS(1543), 1,
      aux_sym_tag_token1,
    ACTIONS(5601), 1,
      sym__identifier,
    STATE(5074), 1,
      sym_attribute,
    STATE(6006), 1,
      sym__constructor_name,
    STATE(6067), 1,
      sym__simple_expression,
    STATE(6078), 1,
      sym__value_name,
    STATE(6112), 1,
      sym_parenthesized_operator,
    STATE(19544), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1501), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6026), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [187561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [187631] = 29,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_LBRACK,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_object,
    ACTIONS(1041), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1051), 1,
      anon_sym_new,
    ACTIONS(1053), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1055), 1,
      anon_sym_begin,
    ACTIONS(1057), 1,
      sym_ocamlyacc_value,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      anon_sym_SQUOTE,
    ACTIONS(1067), 1,
      anon_sym_DQUOTE,
    ACTIONS(1069), 1,
      sym_prefix_operator,
    ACTIONS(1073), 1,
      sym__capitalized_identifier,
    ACTIONS(1075), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3803), 1,
      sym__identifier,
    STATE(4170), 1,
      sym__simple_expression,
    STATE(4199), 1,
      sym__value_name,
    STATE(4220), 1,
      sym_parenthesized_operator,
    STATE(4335), 1,
      sym__constructor_name,
    STATE(5076), 1,
      sym_attribute,
    STATE(19956), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1033), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4279), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4166), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [187749] = 29,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_LBRACK,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_object,
    ACTIONS(1041), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1051), 1,
      anon_sym_new,
    ACTIONS(1053), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1055), 1,
      anon_sym_begin,
    ACTIONS(1057), 1,
      sym_ocamlyacc_value,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      anon_sym_SQUOTE,
    ACTIONS(1067), 1,
      anon_sym_DQUOTE,
    ACTIONS(1069), 1,
      sym_prefix_operator,
    ACTIONS(1073), 1,
      sym__capitalized_identifier,
    ACTIONS(1075), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3803), 1,
      sym__identifier,
    STATE(4178), 1,
      sym__simple_expression,
    STATE(4199), 1,
      sym__value_name,
    STATE(4220), 1,
      sym_parenthesized_operator,
    STATE(4335), 1,
      sym__constructor_name,
    STATE(5077), 1,
      sym_attribute,
    STATE(19956), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1033), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4279), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4166), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [187867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [187937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [188007] = 29,
    ACTIONS(683), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_LBRACK,
    ACTIONS(691), 1,
      anon_sym_LBRACE,
    ACTIONS(701), 1,
      anon_sym_object,
    ACTIONS(705), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(715), 1,
      anon_sym_new,
    ACTIONS(717), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(719), 1,
      anon_sym_begin,
    ACTIONS(721), 1,
      sym_ocamlyacc_value,
    ACTIONS(727), 1,
      aux_sym_number_token1,
    ACTIONS(729), 1,
      anon_sym_SQUOTE,
    ACTIONS(731), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym_prefix_operator,
    ACTIONS(739), 1,
      sym__capitalized_identifier,
    ACTIONS(743), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4971), 1,
      sym__identifier,
    STATE(5080), 1,
      sym_attribute,
    STATE(5090), 1,
      sym__simple_expression,
    STATE(5150), 1,
      sym__value_name,
    STATE(5151), 1,
      sym_parenthesized_operator,
    STATE(5266), 1,
      sym__constructor_name,
    STATE(21778), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(689), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5265), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5079), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [188125] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      sym__identifier,
    ACTIONS(9524), 1,
      anon_sym_LPAREN,
    ACTIONS(9526), 1,
      anon_sym_LBRACK,
    ACTIONS(9530), 1,
      anon_sym_LBRACE,
    ACTIONS(9532), 1,
      anon_sym_object,
    ACTIONS(9534), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9536), 1,
      anon_sym_new,
    ACTIONS(9538), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9540), 1,
      anon_sym_begin,
    ACTIONS(9542), 1,
      sym_ocamlyacc_value,
    ACTIONS(9544), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9546), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9548), 1,
      aux_sym_number_token1,
    ACTIONS(9550), 1,
      anon_sym_SQUOTE,
    ACTIONS(9552), 1,
      anon_sym_DQUOTE,
    ACTIONS(9554), 1,
      sym_prefix_operator,
    ACTIONS(9556), 1,
      sym__capitalized_identifier,
    ACTIONS(9558), 1,
      aux_sym_tag_token1,
    STATE(5081), 1,
      sym_attribute,
    STATE(8231), 1,
      sym__constructor_name,
    STATE(8737), 1,
      sym__value_name,
    STATE(8763), 1,
      sym_parenthesized_operator,
    STATE(8794), 1,
      sym__simple_expression,
    STATE(20759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8841), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8836), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [188243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [188313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [188383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [188453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [188523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [188593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [188663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [188733] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1445), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    ACTIONS(1451), 1,
      anon_sym_LBRACE,
    ACTIONS(1453), 1,
      anon_sym_object,
    ACTIONS(1457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1467), 1,
      anon_sym_new,
    ACTIONS(1469), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1471), 1,
      anon_sym_begin,
    ACTIONS(1473), 1,
      sym_ocamlyacc_value,
    ACTIONS(1475), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1477), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1479), 1,
      aux_sym_number_token1,
    ACTIONS(1481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DQUOTE,
    ACTIONS(1485), 1,
      sym_prefix_operator,
    ACTIONS(1489), 1,
      sym__capitalized_identifier,
    ACTIONS(1491), 1,
      aux_sym_tag_token1,
    ACTIONS(5691), 1,
      sym__identifier,
    STATE(5089), 1,
      sym_attribute,
    STATE(6379), 1,
      sym__constructor_name,
    STATE(6385), 1,
      sym_parenthesized_operator,
    STATE(6447), 1,
      sym__value_name,
    STATE(6475), 1,
      sym__simple_expression,
    STATE(19599), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1449), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6328), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6355), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [188851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [188921] = 29,
    ACTIONS(857), 1,
      anon_sym_LPAREN,
    ACTIONS(859), 1,
      anon_sym_LBRACK,
    ACTIONS(863), 1,
      anon_sym_LBRACE,
    ACTIONS(865), 1,
      anon_sym_object,
    ACTIONS(869), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(879), 1,
      anon_sym_new,
    ACTIONS(881), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(883), 1,
      anon_sym_begin,
    ACTIONS(885), 1,
      sym_ocamlyacc_value,
    ACTIONS(891), 1,
      aux_sym_number_token1,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(897), 1,
      sym_prefix_operator,
    ACTIONS(901), 1,
      sym__capitalized_identifier,
    ACTIONS(903), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3549), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3551), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3787), 1,
      sym__identifier,
    STATE(3506), 1,
      sym_parenthesized_operator,
    STATE(3558), 1,
      sym__simple_expression,
    STATE(3885), 1,
      sym__value_name,
    STATE(4030), 1,
      sym__constructor_name,
    STATE(5091), 1,
      sym_attribute,
    STATE(19997), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(861), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3920), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3517), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [189039] = 29,
    ACTIONS(857), 1,
      anon_sym_LPAREN,
    ACTIONS(859), 1,
      anon_sym_LBRACK,
    ACTIONS(863), 1,
      anon_sym_LBRACE,
    ACTIONS(865), 1,
      anon_sym_object,
    ACTIONS(869), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(879), 1,
      anon_sym_new,
    ACTIONS(881), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(883), 1,
      anon_sym_begin,
    ACTIONS(885), 1,
      sym_ocamlyacc_value,
    ACTIONS(891), 1,
      aux_sym_number_token1,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(897), 1,
      sym_prefix_operator,
    ACTIONS(901), 1,
      sym__capitalized_identifier,
    ACTIONS(903), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3549), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3551), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3787), 1,
      sym__identifier,
    STATE(3506), 1,
      sym_parenthesized_operator,
    STATE(3687), 1,
      sym__simple_expression,
    STATE(3885), 1,
      sym__value_name,
    STATE(4030), 1,
      sym__constructor_name,
    STATE(5092), 1,
      sym_attribute,
    STATE(19997), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(861), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3920), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3517), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [189157] = 29,
    ACTIONS(683), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_LBRACK,
    ACTIONS(691), 1,
      anon_sym_LBRACE,
    ACTIONS(701), 1,
      anon_sym_object,
    ACTIONS(705), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(715), 1,
      anon_sym_new,
    ACTIONS(717), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(719), 1,
      anon_sym_begin,
    ACTIONS(721), 1,
      sym_ocamlyacc_value,
    ACTIONS(727), 1,
      aux_sym_number_token1,
    ACTIONS(729), 1,
      anon_sym_SQUOTE,
    ACTIONS(731), 1,
      anon_sym_DQUOTE,
    ACTIONS(733), 1,
      sym_prefix_operator,
    ACTIONS(739), 1,
      sym__capitalized_identifier,
    ACTIONS(743), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4971), 1,
      sym__identifier,
    STATE(5093), 1,
      sym_attribute,
    STATE(5111), 1,
      sym__simple_expression,
    STATE(5150), 1,
      sym__value_name,
    STATE(5151), 1,
      sym_parenthesized_operator,
    STATE(5266), 1,
      sym__constructor_name,
    STATE(21778), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(689), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5265), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5079), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [189275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [189345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [189415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [189485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [189555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [189625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [189695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [189765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [189835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [189905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [189975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [190045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [190115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [190185] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2785), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LBRACE,
    ACTIONS(2793), 1,
      anon_sym_object,
    ACTIONS(2797), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2807), 1,
      anon_sym_new,
    ACTIONS(2809), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2811), 1,
      anon_sym_begin,
    ACTIONS(2813), 1,
      sym_ocamlyacc_value,
    ACTIONS(2815), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2817), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2819), 1,
      aux_sym_number_token1,
    ACTIONS(2821), 1,
      anon_sym_SQUOTE,
    ACTIONS(2823), 1,
      anon_sym_DQUOTE,
    ACTIONS(2825), 1,
      sym_prefix_operator,
    ACTIONS(2829), 1,
      sym__capitalized_identifier,
    ACTIONS(2831), 1,
      aux_sym_tag_token1,
    ACTIONS(6211), 1,
      sym__identifier,
    STATE(5107), 1,
      sym_attribute,
    STATE(7320), 1,
      sym__constructor_name,
    STATE(7476), 1,
      sym_parenthesized_operator,
    STATE(7502), 1,
      sym__simple_expression,
    STATE(7560), 1,
      sym__value_name,
    STATE(19751), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2789), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7486), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7504), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [190303] = 29,
    ACTIONS(1185), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_LBRACK,
    ACTIONS(1191), 1,
      anon_sym_LBRACE,
    ACTIONS(1193), 1,
      anon_sym_object,
    ACTIONS(1197), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1207), 1,
      anon_sym_new,
    ACTIONS(1209), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1211), 1,
      anon_sym_begin,
    ACTIONS(1213), 1,
      sym_ocamlyacc_value,
    ACTIONS(1219), 1,
      aux_sym_number_token1,
    ACTIONS(1221), 1,
      anon_sym_SQUOTE,
    ACTIONS(1223), 1,
      anon_sym_DQUOTE,
    ACTIONS(1225), 1,
      sym_prefix_operator,
    ACTIONS(1229), 1,
      sym__capitalized_identifier,
    ACTIONS(1231), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3589), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3591), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4071), 1,
      sym__identifier,
    STATE(4505), 1,
      sym__simple_expression,
    STATE(4509), 1,
      sym__value_name,
    STATE(4672), 1,
      sym_parenthesized_operator,
    STATE(4910), 1,
      sym__constructor_name,
    STATE(5108), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1189), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4766), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4725), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [190421] = 29,
    ACTIONS(1185), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_LBRACK,
    ACTIONS(1191), 1,
      anon_sym_LBRACE,
    ACTIONS(1193), 1,
      anon_sym_object,
    ACTIONS(1197), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1207), 1,
      anon_sym_new,
    ACTIONS(1209), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1211), 1,
      anon_sym_begin,
    ACTIONS(1213), 1,
      sym_ocamlyacc_value,
    ACTIONS(1219), 1,
      aux_sym_number_token1,
    ACTIONS(1221), 1,
      anon_sym_SQUOTE,
    ACTIONS(1223), 1,
      anon_sym_DQUOTE,
    ACTIONS(1225), 1,
      sym_prefix_operator,
    ACTIONS(1229), 1,
      sym__capitalized_identifier,
    ACTIONS(1231), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3589), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3591), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4071), 1,
      sym__identifier,
    STATE(4509), 1,
      sym__value_name,
    STATE(4608), 1,
      sym__simple_expression,
    STATE(4672), 1,
      sym_parenthesized_operator,
    STATE(4910), 1,
      sym__constructor_name,
    STATE(5109), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1189), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4766), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4725), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [190539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [190609] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4975), 1,
      anon_sym_DOT,
    STATE(5111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [190681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [190751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [190821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [190891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [190961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [191031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [191101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [191171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [191241] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2837), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_LBRACK,
    ACTIONS(2843), 1,
      anon_sym_LBRACE,
    ACTIONS(2845), 1,
      anon_sym_object,
    ACTIONS(2849), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2859), 1,
      anon_sym_new,
    ACTIONS(2861), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2863), 1,
      anon_sym_begin,
    ACTIONS(2865), 1,
      sym_ocamlyacc_value,
    ACTIONS(2867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2869), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2871), 1,
      aux_sym_number_token1,
    ACTIONS(2873), 1,
      anon_sym_SQUOTE,
    ACTIONS(2875), 1,
      anon_sym_DQUOTE,
    ACTIONS(2877), 1,
      sym_prefix_operator,
    ACTIONS(2881), 1,
      sym__capitalized_identifier,
    ACTIONS(2883), 1,
      aux_sym_tag_token1,
    ACTIONS(6221), 1,
      sym__identifier,
    STATE(5120), 1,
      sym_attribute,
    STATE(7249), 1,
      sym_parenthesized_operator,
    STATE(7380), 1,
      sym__constructor_name,
    STATE(7539), 1,
      sym__simple_expression,
    STATE(7622), 1,
      sym__value_name,
    STATE(19792), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2841), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7255), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7557), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [191359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [191429] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9474), 1,
      sym__identifier,
    ACTIONS(9476), 1,
      anon_sym_LPAREN,
    ACTIONS(9478), 1,
      anon_sym_LBRACK,
    ACTIONS(9482), 1,
      anon_sym_LBRACE,
    ACTIONS(9484), 1,
      anon_sym_object,
    ACTIONS(9486), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9488), 1,
      anon_sym_new,
    ACTIONS(9490), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9492), 1,
      anon_sym_begin,
    ACTIONS(9494), 1,
      sym_ocamlyacc_value,
    ACTIONS(9496), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9498), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9500), 1,
      aux_sym_number_token1,
    ACTIONS(9502), 1,
      anon_sym_SQUOTE,
    ACTIONS(9504), 1,
      anon_sym_DQUOTE,
    ACTIONS(9506), 1,
      sym_prefix_operator,
    ACTIONS(9508), 1,
      sym__capitalized_identifier,
    ACTIONS(9510), 1,
      aux_sym_tag_token1,
    STATE(5122), 1,
      sym_attribute,
    STATE(8504), 1,
      sym__value_name,
    STATE(8597), 1,
      sym_parenthesized_operator,
    STATE(8651), 1,
      sym__constructor_name,
    STATE(8687), 1,
      sym__simple_expression,
    STATE(20079), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8662), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8679), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [191547] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9474), 1,
      sym__identifier,
    ACTIONS(9476), 1,
      anon_sym_LPAREN,
    ACTIONS(9478), 1,
      anon_sym_LBRACK,
    ACTIONS(9482), 1,
      anon_sym_LBRACE,
    ACTIONS(9484), 1,
      anon_sym_object,
    ACTIONS(9486), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9488), 1,
      anon_sym_new,
    ACTIONS(9490), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9492), 1,
      anon_sym_begin,
    ACTIONS(9494), 1,
      sym_ocamlyacc_value,
    ACTIONS(9496), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9498), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9500), 1,
      aux_sym_number_token1,
    ACTIONS(9502), 1,
      anon_sym_SQUOTE,
    ACTIONS(9504), 1,
      anon_sym_DQUOTE,
    ACTIONS(9506), 1,
      sym_prefix_operator,
    ACTIONS(9508), 1,
      sym__capitalized_identifier,
    ACTIONS(9510), 1,
      aux_sym_tag_token1,
    STATE(5123), 1,
      sym_attribute,
    STATE(8504), 1,
      sym__value_name,
    STATE(8597), 1,
      sym_parenthesized_operator,
    STATE(8651), 1,
      sym__constructor_name,
    STATE(8711), 1,
      sym__simple_expression,
    STATE(20079), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8662), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8679), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [191665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [191735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [191805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [191875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [191945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [192015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [192085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [192155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [192225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [192295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [192365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [192435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [192505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [192575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [192645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [192715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [192785] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2889), 1,
      anon_sym_LPAREN,
    ACTIONS(2891), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_LBRACE,
    ACTIONS(2897), 1,
      anon_sym_object,
    ACTIONS(2901), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2911), 1,
      anon_sym_new,
    ACTIONS(2913), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2915), 1,
      anon_sym_begin,
    ACTIONS(2917), 1,
      sym_ocamlyacc_value,
    ACTIONS(2919), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2921), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2923), 1,
      aux_sym_number_token1,
    ACTIONS(2925), 1,
      anon_sym_SQUOTE,
    ACTIONS(2927), 1,
      anon_sym_DQUOTE,
    ACTIONS(2929), 1,
      sym_prefix_operator,
    ACTIONS(2933), 1,
      sym__capitalized_identifier,
    ACTIONS(2935), 1,
      aux_sym_tag_token1,
    ACTIONS(6191), 1,
      sym__identifier,
    STATE(5140), 1,
      sym_attribute,
    STATE(7268), 1,
      sym_parenthesized_operator,
    STATE(7474), 1,
      sym__constructor_name,
    STATE(7607), 1,
      sym__simple_expression,
    STATE(7677), 1,
      sym__value_name,
    STATE(19874), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2893), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7317), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7621), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [192903] = 29,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(527), 1,
      anon_sym_LBRACK,
    ACTIONS(531), 1,
      anon_sym_LBRACE,
    ACTIONS(533), 1,
      anon_sym_object,
    ACTIONS(537), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(547), 1,
      anon_sym_new,
    ACTIONS(549), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(551), 1,
      anon_sym_begin,
    ACTIONS(553), 1,
      sym_ocamlyacc_value,
    ACTIONS(559), 1,
      aux_sym_number_token1,
    ACTIONS(561), 1,
      anon_sym_SQUOTE,
    ACTIONS(563), 1,
      anon_sym_DQUOTE,
    ACTIONS(565), 1,
      sym_prefix_operator,
    ACTIONS(569), 1,
      sym__capitalized_identifier,
    ACTIONS(571), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3519), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3521), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3647), 1,
      sym__identifier,
    STATE(3462), 1,
      sym__value_name,
    STATE(3568), 1,
      sym_parenthesized_operator,
    STATE(3987), 1,
      sym__simple_expression,
    STATE(4125), 1,
      sym__constructor_name,
    STATE(5141), 1,
      sym_attribute,
    STATE(20120), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(529), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4038), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3959), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [193021] = 29,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(527), 1,
      anon_sym_LBRACK,
    ACTIONS(531), 1,
      anon_sym_LBRACE,
    ACTIONS(533), 1,
      anon_sym_object,
    ACTIONS(537), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(547), 1,
      anon_sym_new,
    ACTIONS(549), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(551), 1,
      anon_sym_begin,
    ACTIONS(553), 1,
      sym_ocamlyacc_value,
    ACTIONS(559), 1,
      aux_sym_number_token1,
    ACTIONS(561), 1,
      anon_sym_SQUOTE,
    ACTIONS(563), 1,
      anon_sym_DQUOTE,
    ACTIONS(565), 1,
      sym_prefix_operator,
    ACTIONS(569), 1,
      sym__capitalized_identifier,
    ACTIONS(571), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3519), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3521), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3647), 1,
      sym__identifier,
    STATE(3462), 1,
      sym__value_name,
    STATE(3568), 1,
      sym_parenthesized_operator,
    STATE(4045), 1,
      sym__simple_expression,
    STATE(4125), 1,
      sym__constructor_name,
    STATE(5142), 1,
      sym_attribute,
    STATE(20120), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(529), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4038), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3959), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [193139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [193209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [193279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [193349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [193419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [193489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [193559] = 29,
    ACTIONS(1325), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_LBRACK,
    ACTIONS(1331), 1,
      anon_sym_LBRACE,
    ACTIONS(1333), 1,
      anon_sym_object,
    ACTIONS(1337), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1347), 1,
      anon_sym_new,
    ACTIONS(1349), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1351), 1,
      anon_sym_begin,
    ACTIONS(1353), 1,
      sym_ocamlyacc_value,
    ACTIONS(1359), 1,
      aux_sym_number_token1,
    ACTIONS(1361), 1,
      anon_sym_SQUOTE,
    ACTIONS(1363), 1,
      anon_sym_DQUOTE,
    ACTIONS(1365), 1,
      sym_prefix_operator,
    ACTIONS(1369), 1,
      sym__capitalized_identifier,
    ACTIONS(1371), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5591), 1,
      sym__identifier,
    STATE(5149), 1,
      sym_attribute,
    STATE(5933), 1,
      sym__constructor_name,
    STATE(5947), 1,
      sym__value_name,
    STATE(5948), 1,
      sym_parenthesized_operator,
    STATE(5975), 1,
      sym__simple_expression,
    STATE(21964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1329), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5932), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5981), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [193677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [193747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [193817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [193887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [193957] = 29,
    ACTIONS(1325), 1,
      anon_sym_LPAREN,
    ACTIONS(1327), 1,
      anon_sym_LBRACK,
    ACTIONS(1331), 1,
      anon_sym_LBRACE,
    ACTIONS(1333), 1,
      anon_sym_object,
    ACTIONS(1337), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1347), 1,
      anon_sym_new,
    ACTIONS(1349), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1351), 1,
      anon_sym_begin,
    ACTIONS(1353), 1,
      sym_ocamlyacc_value,
    ACTIONS(1359), 1,
      aux_sym_number_token1,
    ACTIONS(1361), 1,
      anon_sym_SQUOTE,
    ACTIONS(1363), 1,
      anon_sym_DQUOTE,
    ACTIONS(1365), 1,
      sym_prefix_operator,
    ACTIONS(1369), 1,
      sym__capitalized_identifier,
    ACTIONS(1371), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5591), 1,
      sym__identifier,
    STATE(5154), 1,
      sym_attribute,
    STATE(5918), 1,
      sym__simple_expression,
    STATE(5933), 1,
      sym__constructor_name,
    STATE(5947), 1,
      sym__value_name,
    STATE(5948), 1,
      sym_parenthesized_operator,
    STATE(21964), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1329), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5932), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5981), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [194075] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2941), 1,
      anon_sym_LPAREN,
    ACTIONS(2943), 1,
      anon_sym_LBRACK,
    ACTIONS(2947), 1,
      anon_sym_LBRACE,
    ACTIONS(2949), 1,
      anon_sym_object,
    ACTIONS(2953), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2963), 1,
      anon_sym_new,
    ACTIONS(2965), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2967), 1,
      anon_sym_begin,
    ACTIONS(2969), 1,
      sym_ocamlyacc_value,
    ACTIONS(2971), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2973), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2975), 1,
      aux_sym_number_token1,
    ACTIONS(2977), 1,
      anon_sym_SQUOTE,
    ACTIONS(2979), 1,
      anon_sym_DQUOTE,
    ACTIONS(2981), 1,
      sym_prefix_operator,
    ACTIONS(2985), 1,
      sym__capitalized_identifier,
    ACTIONS(2987), 1,
      aux_sym_tag_token1,
    ACTIONS(6171), 1,
      sym__identifier,
    STATE(5155), 1,
      sym_attribute,
    STATE(7222), 1,
      sym__constructor_name,
    STATE(7319), 1,
      sym_parenthesized_operator,
    STATE(7467), 1,
      sym__value_name,
    STATE(7661), 1,
      sym__simple_expression,
    STATE(19915), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2945), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7374), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7673), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [194193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [194263] = 29,
    ACTIONS(1081), 1,
      anon_sym_LPAREN,
    ACTIONS(1083), 1,
      anon_sym_LBRACK,
    ACTIONS(1087), 1,
      anon_sym_LBRACE,
    ACTIONS(1089), 1,
      anon_sym_object,
    ACTIONS(1093), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1103), 1,
      anon_sym_new,
    ACTIONS(1105), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1107), 1,
      anon_sym_begin,
    ACTIONS(1109), 1,
      sym_ocamlyacc_value,
    ACTIONS(1115), 1,
      aux_sym_number_token1,
    ACTIONS(1117), 1,
      anon_sym_SQUOTE,
    ACTIONS(1119), 1,
      anon_sym_DQUOTE,
    ACTIONS(1121), 1,
      sym_prefix_operator,
    ACTIONS(1125), 1,
      sym__capitalized_identifier,
    ACTIONS(1127), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3559), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3561), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4093), 1,
      sym__identifier,
    STATE(4502), 1,
      sym__constructor_name,
    STATE(4525), 1,
      sym_parenthesized_operator,
    STATE(4544), 1,
      sym__simple_expression,
    STATE(4658), 1,
      sym__value_name,
    STATE(5157), 1,
      sym_attribute,
    STATE(20161), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1085), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4865), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4534), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [194381] = 29,
    ACTIONS(1081), 1,
      anon_sym_LPAREN,
    ACTIONS(1083), 1,
      anon_sym_LBRACK,
    ACTIONS(1087), 1,
      anon_sym_LBRACE,
    ACTIONS(1089), 1,
      anon_sym_object,
    ACTIONS(1093), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1103), 1,
      anon_sym_new,
    ACTIONS(1105), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1107), 1,
      anon_sym_begin,
    ACTIONS(1109), 1,
      sym_ocamlyacc_value,
    ACTIONS(1115), 1,
      aux_sym_number_token1,
    ACTIONS(1117), 1,
      anon_sym_SQUOTE,
    ACTIONS(1119), 1,
      anon_sym_DQUOTE,
    ACTIONS(1121), 1,
      sym_prefix_operator,
    ACTIONS(1125), 1,
      sym__capitalized_identifier,
    ACTIONS(1127), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3559), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3561), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4093), 1,
      sym__identifier,
    STATE(4502), 1,
      sym__constructor_name,
    STATE(4525), 1,
      sym_parenthesized_operator,
    STATE(4560), 1,
      sym__simple_expression,
    STATE(4658), 1,
      sym__value_name,
    STATE(5158), 1,
      sym_attribute,
    STATE(20161), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1085), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4865), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4534), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [194499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [194569] = 29,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_LBRACK,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_object,
    ACTIONS(1041), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1051), 1,
      anon_sym_new,
    ACTIONS(1053), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1055), 1,
      anon_sym_begin,
    ACTIONS(1057), 1,
      sym_ocamlyacc_value,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      anon_sym_SQUOTE,
    ACTIONS(1067), 1,
      anon_sym_DQUOTE,
    ACTIONS(1069), 1,
      sym_prefix_operator,
    ACTIONS(1073), 1,
      sym__capitalized_identifier,
    ACTIONS(1075), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3803), 1,
      sym__identifier,
    STATE(4199), 1,
      sym__value_name,
    STATE(4220), 1,
      sym_parenthesized_operator,
    STATE(4335), 1,
      sym__constructor_name,
    STATE(4486), 1,
      sym__simple_expression,
    STATE(5160), 1,
      sym_attribute,
    STATE(19956), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1033), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4279), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4166), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [194687] = 29,
    ACTIONS(1243), 1,
      anon_sym_LPAREN,
    ACTIONS(1245), 1,
      anon_sym_LBRACK,
    ACTIONS(1249), 1,
      anon_sym_LBRACE,
    ACTIONS(1251), 1,
      anon_sym_object,
    ACTIONS(1255), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1273), 1,
      anon_sym_new,
    ACTIONS(1275), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1277), 1,
      anon_sym_begin,
    ACTIONS(1279), 1,
      sym_ocamlyacc_value,
    ACTIONS(1285), 1,
      aux_sym_number_token1,
    ACTIONS(1287), 1,
      anon_sym_SQUOTE,
    ACTIONS(1289), 1,
      anon_sym_DQUOTE,
    ACTIONS(1291), 1,
      sym_prefix_operator,
    ACTIONS(1295), 1,
      sym__capitalized_identifier,
    ACTIONS(1297), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5581), 1,
      sym__identifier,
    STATE(5161), 1,
      sym_attribute,
    STATE(5779), 1,
      sym__constructor_name,
    STATE(5785), 1,
      sym_parenthesized_operator,
    STATE(5878), 1,
      sym__simple_expression,
    STATE(5879), 1,
      sym__value_name,
    STATE(20201), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1247), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5873), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5880), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [194805] = 29,
    ACTIONS(1243), 1,
      anon_sym_LPAREN,
    ACTIONS(1245), 1,
      anon_sym_LBRACK,
    ACTIONS(1249), 1,
      anon_sym_LBRACE,
    ACTIONS(1251), 1,
      anon_sym_object,
    ACTIONS(1255), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1273), 1,
      anon_sym_new,
    ACTIONS(1275), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1277), 1,
      anon_sym_begin,
    ACTIONS(1279), 1,
      sym_ocamlyacc_value,
    ACTIONS(1285), 1,
      aux_sym_number_token1,
    ACTIONS(1287), 1,
      anon_sym_SQUOTE,
    ACTIONS(1289), 1,
      anon_sym_DQUOTE,
    ACTIONS(1291), 1,
      sym_prefix_operator,
    ACTIONS(1295), 1,
      sym__capitalized_identifier,
    ACTIONS(1297), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5581), 1,
      sym__identifier,
    STATE(5162), 1,
      sym_attribute,
    STATE(5779), 1,
      sym__constructor_name,
    STATE(5785), 1,
      sym_parenthesized_operator,
    STATE(5839), 1,
      sym__simple_expression,
    STATE(5879), 1,
      sym__value_name,
    STATE(20201), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1247), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5873), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5880), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [194923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [194993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [195063] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [195133] = 29,
    ACTIONS(857), 1,
      anon_sym_LPAREN,
    ACTIONS(859), 1,
      anon_sym_LBRACK,
    ACTIONS(863), 1,
      anon_sym_LBRACE,
    ACTIONS(865), 1,
      anon_sym_object,
    ACTIONS(869), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(879), 1,
      anon_sym_new,
    ACTIONS(881), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(883), 1,
      anon_sym_begin,
    ACTIONS(885), 1,
      sym_ocamlyacc_value,
    ACTIONS(891), 1,
      aux_sym_number_token1,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(897), 1,
      sym_prefix_operator,
    ACTIONS(901), 1,
      sym__capitalized_identifier,
    ACTIONS(903), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3549), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3551), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3787), 1,
      sym__identifier,
    STATE(3471), 1,
      sym__simple_expression,
    STATE(3506), 1,
      sym_parenthesized_operator,
    STATE(3885), 1,
      sym__value_name,
    STATE(4030), 1,
      sym__constructor_name,
    STATE(5166), 1,
      sym_attribute,
    STATE(19997), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(861), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3920), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3517), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [195251] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6583), 1,
      sym__identifier,
    ACTIONS(6591), 1,
      anon_sym_LPAREN,
    ACTIONS(6593), 1,
      anon_sym_LBRACK,
    ACTIONS(6597), 1,
      anon_sym_LBRACE,
    ACTIONS(6599), 1,
      anon_sym_object,
    ACTIONS(6601), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6603), 1,
      anon_sym_new,
    ACTIONS(6605), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6607), 1,
      anon_sym_begin,
    ACTIONS(6609), 1,
      sym_ocamlyacc_value,
    ACTIONS(6615), 1,
      aux_sym_number_token1,
    ACTIONS(6617), 1,
      anon_sym_SQUOTE,
    ACTIONS(6619), 1,
      anon_sym_DQUOTE,
    ACTIONS(6621), 1,
      sym_prefix_operator,
    ACTIONS(6623), 1,
      sym__capitalized_identifier,
    ACTIONS(6625), 1,
      aux_sym_tag_token1,
    ACTIONS(9706), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9708), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5167), 1,
      sym_attribute,
    STATE(6912), 1,
      sym__simple_expression,
    STATE(6965), 1,
      sym__value_name,
    STATE(6987), 1,
      sym__constructor_name,
    STATE(7113), 1,
      sym_parenthesized_operator,
    STATE(20240), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6595), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6969), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6904), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [195369] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6583), 1,
      sym__identifier,
    ACTIONS(6591), 1,
      anon_sym_LPAREN,
    ACTIONS(6593), 1,
      anon_sym_LBRACK,
    ACTIONS(6597), 1,
      anon_sym_LBRACE,
    ACTIONS(6599), 1,
      anon_sym_object,
    ACTIONS(6601), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6603), 1,
      anon_sym_new,
    ACTIONS(6605), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6607), 1,
      anon_sym_begin,
    ACTIONS(6609), 1,
      sym_ocamlyacc_value,
    ACTIONS(6615), 1,
      aux_sym_number_token1,
    ACTIONS(6617), 1,
      anon_sym_SQUOTE,
    ACTIONS(6619), 1,
      anon_sym_DQUOTE,
    ACTIONS(6621), 1,
      sym_prefix_operator,
    ACTIONS(6623), 1,
      sym__capitalized_identifier,
    ACTIONS(6625), 1,
      aux_sym_tag_token1,
    ACTIONS(9706), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9708), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5168), 1,
      sym_attribute,
    STATE(6922), 1,
      sym__simple_expression,
    STATE(6965), 1,
      sym__value_name,
    STATE(6987), 1,
      sym__constructor_name,
    STATE(7113), 1,
      sym_parenthesized_operator,
    STATE(20240), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6595), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6969), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6904), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [195487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [195557] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6583), 1,
      sym__identifier,
    ACTIONS(6591), 1,
      anon_sym_LPAREN,
    ACTIONS(6593), 1,
      anon_sym_LBRACK,
    ACTIONS(6597), 1,
      anon_sym_LBRACE,
    ACTIONS(6599), 1,
      anon_sym_object,
    ACTIONS(6601), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6603), 1,
      anon_sym_new,
    ACTIONS(6605), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6607), 1,
      anon_sym_begin,
    ACTIONS(6609), 1,
      sym_ocamlyacc_value,
    ACTIONS(6615), 1,
      aux_sym_number_token1,
    ACTIONS(6617), 1,
      anon_sym_SQUOTE,
    ACTIONS(6619), 1,
      anon_sym_DQUOTE,
    ACTIONS(6621), 1,
      sym_prefix_operator,
    ACTIONS(6623), 1,
      sym__capitalized_identifier,
    ACTIONS(6625), 1,
      aux_sym_tag_token1,
    ACTIONS(9706), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9708), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5170), 1,
      sym_attribute,
    STATE(6859), 1,
      sym__simple_expression,
    STATE(6965), 1,
      sym__value_name,
    STATE(6987), 1,
      sym__constructor_name,
    STATE(7113), 1,
      sym_parenthesized_operator,
    STATE(20240), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6595), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6969), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6904), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [195675] = 29,
    ACTIONS(961), 1,
      anon_sym_LPAREN,
    ACTIONS(963), 1,
      anon_sym_LBRACK,
    ACTIONS(967), 1,
      anon_sym_LBRACE,
    ACTIONS(969), 1,
      anon_sym_object,
    ACTIONS(973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(983), 1,
      anon_sym_new,
    ACTIONS(985), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(987), 1,
      anon_sym_begin,
    ACTIONS(989), 1,
      sym_ocamlyacc_value,
    ACTIONS(995), 1,
      aux_sym_number_token1,
    ACTIONS(997), 1,
      anon_sym_SQUOTE,
    ACTIONS(999), 1,
      anon_sym_DQUOTE,
    ACTIONS(1001), 1,
      sym_prefix_operator,
    ACTIONS(1005), 1,
      sym__capitalized_identifier,
    ACTIONS(1007), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3565), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3567), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3813), 1,
      sym__identifier,
    STATE(4238), 1,
      sym__simple_expression,
    STATE(4267), 1,
      sym__value_name,
    STATE(4329), 1,
      sym_parenthesized_operator,
    STATE(4369), 1,
      sym__constructor_name,
    STATE(5171), 1,
      sym_attribute,
    STATE(20279), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4165), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4233), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [195793] = 29,
    ACTIONS(961), 1,
      anon_sym_LPAREN,
    ACTIONS(963), 1,
      anon_sym_LBRACK,
    ACTIONS(967), 1,
      anon_sym_LBRACE,
    ACTIONS(969), 1,
      anon_sym_object,
    ACTIONS(973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(983), 1,
      anon_sym_new,
    ACTIONS(985), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(987), 1,
      anon_sym_begin,
    ACTIONS(989), 1,
      sym_ocamlyacc_value,
    ACTIONS(995), 1,
      aux_sym_number_token1,
    ACTIONS(997), 1,
      anon_sym_SQUOTE,
    ACTIONS(999), 1,
      anon_sym_DQUOTE,
    ACTIONS(1001), 1,
      sym_prefix_operator,
    ACTIONS(1005), 1,
      sym__capitalized_identifier,
    ACTIONS(1007), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3565), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3567), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3813), 1,
      sym__identifier,
    STATE(4246), 1,
      sym__simple_expression,
    STATE(4267), 1,
      sym__value_name,
    STATE(4329), 1,
      sym_parenthesized_operator,
    STATE(4369), 1,
      sym__constructor_name,
    STATE(5172), 1,
      sym_attribute,
    STATE(20279), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4165), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4233), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [195911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [195981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [196051] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(5175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [196123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [196193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [196263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [196333] = 29,
    ACTIONS(1185), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_LBRACK,
    ACTIONS(1191), 1,
      anon_sym_LBRACE,
    ACTIONS(1193), 1,
      anon_sym_object,
    ACTIONS(1197), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1207), 1,
      anon_sym_new,
    ACTIONS(1209), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1211), 1,
      anon_sym_begin,
    ACTIONS(1213), 1,
      sym_ocamlyacc_value,
    ACTIONS(1219), 1,
      aux_sym_number_token1,
    ACTIONS(1221), 1,
      anon_sym_SQUOTE,
    ACTIONS(1223), 1,
      anon_sym_DQUOTE,
    ACTIONS(1225), 1,
      sym_prefix_operator,
    ACTIONS(1229), 1,
      sym__capitalized_identifier,
    ACTIONS(1231), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3589), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3591), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4071), 1,
      sym__identifier,
    STATE(4509), 1,
      sym__value_name,
    STATE(4672), 1,
      sym_parenthesized_operator,
    STATE(4828), 1,
      sym__simple_expression,
    STATE(4910), 1,
      sym__constructor_name,
    STATE(5179), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1189), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4766), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4725), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [196451] = 29,
    ACTIONS(421), 1,
      anon_sym_LPAREN,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(427), 1,
      anon_sym_LBRACE,
    ACTIONS(429), 1,
      anon_sym_object,
    ACTIONS(433), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(443), 1,
      anon_sym_new,
    ACTIONS(445), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(447), 1,
      anon_sym_begin,
    ACTIONS(449), 1,
      sym_ocamlyacc_value,
    ACTIONS(455), 1,
      aux_sym_number_token1,
    ACTIONS(457), 1,
      anon_sym_SQUOTE,
    ACTIONS(459), 1,
      anon_sym_DQUOTE,
    ACTIONS(461), 1,
      sym_prefix_operator,
    ACTIONS(465), 1,
      sym__capitalized_identifier,
    ACTIONS(467), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3619), 1,
      sym__identifier,
    STATE(3105), 1,
      sym__constructor_name,
    STATE(3221), 1,
      sym_parenthesized_operator,
    STATE(3313), 1,
      sym__simple_expression,
    STATE(3393), 1,
      sym__value_name,
    STATE(5180), 1,
      sym_attribute,
    STATE(20318), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(425), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3343), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3289), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [196569] = 29,
    ACTIONS(421), 1,
      anon_sym_LPAREN,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(427), 1,
      anon_sym_LBRACE,
    ACTIONS(429), 1,
      anon_sym_object,
    ACTIONS(433), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(443), 1,
      anon_sym_new,
    ACTIONS(445), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(447), 1,
      anon_sym_begin,
    ACTIONS(449), 1,
      sym_ocamlyacc_value,
    ACTIONS(455), 1,
      aux_sym_number_token1,
    ACTIONS(457), 1,
      anon_sym_SQUOTE,
    ACTIONS(459), 1,
      anon_sym_DQUOTE,
    ACTIONS(461), 1,
      sym_prefix_operator,
    ACTIONS(465), 1,
      sym__capitalized_identifier,
    ACTIONS(467), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3619), 1,
      sym__identifier,
    STATE(3105), 1,
      sym__constructor_name,
    STATE(3221), 1,
      sym_parenthesized_operator,
    STATE(3345), 1,
      sym__simple_expression,
    STATE(3393), 1,
      sym__value_name,
    STATE(5181), 1,
      sym_attribute,
    STATE(20318), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(425), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3343), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3289), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [196687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [196757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [196827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [196897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [196967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [197037] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9394), 1,
      sym__identifier,
    ACTIONS(9396), 1,
      anon_sym_LPAREN,
    ACTIONS(9398), 1,
      anon_sym_LBRACK,
    ACTIONS(9402), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_object,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9408), 1,
      anon_sym_new,
    ACTIONS(9410), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9412), 1,
      anon_sym_begin,
    ACTIONS(9414), 1,
      sym_ocamlyacc_value,
    ACTIONS(9416), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9418), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9420), 1,
      aux_sym_number_token1,
    ACTIONS(9422), 1,
      anon_sym_SQUOTE,
    ACTIONS(9424), 1,
      anon_sym_DQUOTE,
    ACTIONS(9426), 1,
      sym_prefix_operator,
    ACTIONS(9428), 1,
      sym__capitalized_identifier,
    ACTIONS(9430), 1,
      aux_sym_tag_token1,
    STATE(5187), 1,
      sym_attribute,
    STATE(8584), 1,
      sym_parenthesized_operator,
    STATE(8608), 1,
      sym__simple_expression,
    STATE(8636), 1,
      sym__constructor_name,
    STATE(8681), 1,
      sym__value_name,
    STATE(22158), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8634), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8571), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [197155] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5188), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15288), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [197277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [197347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [197417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [197487] = 29,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(527), 1,
      anon_sym_LBRACK,
    ACTIONS(531), 1,
      anon_sym_LBRACE,
    ACTIONS(533), 1,
      anon_sym_object,
    ACTIONS(537), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(547), 1,
      anon_sym_new,
    ACTIONS(549), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(551), 1,
      anon_sym_begin,
    ACTIONS(553), 1,
      sym_ocamlyacc_value,
    ACTIONS(559), 1,
      aux_sym_number_token1,
    ACTIONS(561), 1,
      anon_sym_SQUOTE,
    ACTIONS(563), 1,
      anon_sym_DQUOTE,
    ACTIONS(565), 1,
      sym_prefix_operator,
    ACTIONS(569), 1,
      sym__capitalized_identifier,
    ACTIONS(571), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3519), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3521), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3647), 1,
      sym__identifier,
    STATE(3462), 1,
      sym__value_name,
    STATE(3568), 1,
      sym_parenthesized_operator,
    STATE(4125), 1,
      sym__constructor_name,
    STATE(4144), 1,
      sym__simple_expression,
    STATE(5192), 1,
      sym_attribute,
    STATE(20120), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(529), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4038), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3959), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [197605] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6627), 1,
      sym__identifier,
    ACTIONS(6631), 1,
      anon_sym_LPAREN,
    ACTIONS(6633), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_LBRACE,
    ACTIONS(6639), 1,
      anon_sym_object,
    ACTIONS(6641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6643), 1,
      anon_sym_new,
    ACTIONS(6645), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6647), 1,
      anon_sym_begin,
    ACTIONS(6649), 1,
      sym_ocamlyacc_value,
    ACTIONS(6655), 1,
      aux_sym_number_token1,
    ACTIONS(6657), 1,
      anon_sym_SQUOTE,
    ACTIONS(6659), 1,
      anon_sym_DQUOTE,
    ACTIONS(6661), 1,
      sym_prefix_operator,
    ACTIONS(6663), 1,
      sym__capitalized_identifier,
    ACTIONS(6665), 1,
      aux_sym_tag_token1,
    ACTIONS(9710), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9712), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5193), 1,
      sym_attribute,
    STATE(6898), 1,
      sym_parenthesized_operator,
    STATE(7024), 1,
      sym__constructor_name,
    STATE(7112), 1,
      sym__value_name,
    STATE(7218), 1,
      sym__simple_expression,
    STATE(20357), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6635), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7032), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [197723] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6627), 1,
      sym__identifier,
    ACTIONS(6631), 1,
      anon_sym_LPAREN,
    ACTIONS(6633), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_LBRACE,
    ACTIONS(6639), 1,
      anon_sym_object,
    ACTIONS(6641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6643), 1,
      anon_sym_new,
    ACTIONS(6645), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6647), 1,
      anon_sym_begin,
    ACTIONS(6649), 1,
      sym_ocamlyacc_value,
    ACTIONS(6655), 1,
      aux_sym_number_token1,
    ACTIONS(6657), 1,
      anon_sym_SQUOTE,
    ACTIONS(6659), 1,
      anon_sym_DQUOTE,
    ACTIONS(6661), 1,
      sym_prefix_operator,
    ACTIONS(6663), 1,
      sym__capitalized_identifier,
    ACTIONS(6665), 1,
      aux_sym_tag_token1,
    ACTIONS(9710), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9712), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5194), 1,
      sym_attribute,
    STATE(6898), 1,
      sym_parenthesized_operator,
    STATE(7024), 1,
      sym__constructor_name,
    STATE(7067), 1,
      sym__simple_expression,
    STATE(7112), 1,
      sym__value_name,
    STATE(20357), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6635), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7032), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [197841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [197911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [197981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [198051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [198121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [198191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [198261] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4655), 1,
      anon_sym_DOT,
    ACTIONS(4657), 1,
      anon_sym_POUND,
    ACTIONS(4659), 1,
      sym_hash_operator,
    STATE(5201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [198337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [198407] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(5203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [198479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [198549] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6627), 1,
      sym__identifier,
    ACTIONS(6631), 1,
      anon_sym_LPAREN,
    ACTIONS(6633), 1,
      anon_sym_LBRACK,
    ACTIONS(6637), 1,
      anon_sym_LBRACE,
    ACTIONS(6639), 1,
      anon_sym_object,
    ACTIONS(6641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6643), 1,
      anon_sym_new,
    ACTIONS(6645), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6647), 1,
      anon_sym_begin,
    ACTIONS(6649), 1,
      sym_ocamlyacc_value,
    ACTIONS(6655), 1,
      aux_sym_number_token1,
    ACTIONS(6657), 1,
      anon_sym_SQUOTE,
    ACTIONS(6659), 1,
      anon_sym_DQUOTE,
    ACTIONS(6661), 1,
      sym_prefix_operator,
    ACTIONS(6663), 1,
      sym__capitalized_identifier,
    ACTIONS(6665), 1,
      aux_sym_tag_token1,
    ACTIONS(9710), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9712), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5205), 1,
      sym_attribute,
    STATE(6898), 1,
      sym_parenthesized_operator,
    STATE(7024), 1,
      sym__constructor_name,
    STATE(7112), 1,
      sym__value_name,
    STATE(7129), 1,
      sym__simple_expression,
    STATE(20357), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6635), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7032), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [198667] = 29,
    ACTIONS(909), 1,
      anon_sym_LPAREN,
    ACTIONS(911), 1,
      anon_sym_LBRACK,
    ACTIONS(915), 1,
      anon_sym_LBRACE,
    ACTIONS(917), 1,
      anon_sym_object,
    ACTIONS(921), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(931), 1,
      anon_sym_new,
    ACTIONS(933), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(935), 1,
      anon_sym_begin,
    ACTIONS(937), 1,
      sym_ocamlyacc_value,
    ACTIONS(943), 1,
      aux_sym_number_token1,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(949), 1,
      sym_prefix_operator,
    ACTIONS(953), 1,
      sym__capitalized_identifier,
    ACTIONS(955), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3823), 1,
      sym__identifier,
    STATE(4287), 1,
      sym__simple_expression,
    STATE(4328), 1,
      sym__value_name,
    STATE(4347), 1,
      sym_parenthesized_operator,
    STATE(4389), 1,
      sym__constructor_name,
    STATE(5206), 1,
      sym_attribute,
    STATE(20395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(913), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4381), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4277), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [198785] = 29,
    ACTIONS(909), 1,
      anon_sym_LPAREN,
    ACTIONS(911), 1,
      anon_sym_LBRACK,
    ACTIONS(915), 1,
      anon_sym_LBRACE,
    ACTIONS(917), 1,
      anon_sym_object,
    ACTIONS(921), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(931), 1,
      anon_sym_new,
    ACTIONS(933), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(935), 1,
      anon_sym_begin,
    ACTIONS(937), 1,
      sym_ocamlyacc_value,
    ACTIONS(943), 1,
      aux_sym_number_token1,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(949), 1,
      sym_prefix_operator,
    ACTIONS(953), 1,
      sym__capitalized_identifier,
    ACTIONS(955), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3823), 1,
      sym__identifier,
    STATE(4300), 1,
      sym__simple_expression,
    STATE(4328), 1,
      sym__value_name,
    STATE(4347), 1,
      sym_parenthesized_operator,
    STATE(4389), 1,
      sym__constructor_name,
    STATE(5207), 1,
      sym_attribute,
    STATE(20395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(913), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4381), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4277), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [198903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [198973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [199043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [199113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [199183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [199253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [199323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [199393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [199463] = 29,
    ACTIONS(1081), 1,
      anon_sym_LPAREN,
    ACTIONS(1083), 1,
      anon_sym_LBRACK,
    ACTIONS(1087), 1,
      anon_sym_LBRACE,
    ACTIONS(1089), 1,
      anon_sym_object,
    ACTIONS(1093), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1103), 1,
      anon_sym_new,
    ACTIONS(1105), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1107), 1,
      anon_sym_begin,
    ACTIONS(1109), 1,
      sym_ocamlyacc_value,
    ACTIONS(1115), 1,
      aux_sym_number_token1,
    ACTIONS(1117), 1,
      anon_sym_SQUOTE,
    ACTIONS(1119), 1,
      anon_sym_DQUOTE,
    ACTIONS(1121), 1,
      sym_prefix_operator,
    ACTIONS(1125), 1,
      sym__capitalized_identifier,
    ACTIONS(1127), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3559), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3561), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4093), 1,
      sym__identifier,
    STATE(4502), 1,
      sym__constructor_name,
    STATE(4525), 1,
      sym_parenthesized_operator,
    STATE(4658), 1,
      sym__value_name,
    STATE(4669), 1,
      sym__simple_expression,
    STATE(5216), 1,
      sym_attribute,
    STATE(20161), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1085), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4865), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4534), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [199581] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2361), 1,
      anon_sym_LBRACK,
    ACTIONS(2365), 1,
      anon_sym_LBRACE,
    ACTIONS(2367), 1,
      anon_sym_object,
    ACTIONS(2371), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2381), 1,
      anon_sym_new,
    ACTIONS(2383), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2385), 1,
      anon_sym_begin,
    ACTIONS(2387), 1,
      sym_ocamlyacc_value,
    ACTIONS(2389), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2391), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2393), 1,
      aux_sym_number_token1,
    ACTIONS(2395), 1,
      anon_sym_SQUOTE,
    ACTIONS(2397), 1,
      anon_sym_DQUOTE,
    ACTIONS(2399), 1,
      sym_prefix_operator,
    ACTIONS(2403), 1,
      sym__capitalized_identifier,
    ACTIONS(2405), 1,
      aux_sym_tag_token1,
    ACTIONS(6181), 1,
      sym__identifier,
    STATE(5217), 1,
      sym_attribute,
    STATE(7275), 1,
      sym__value_name,
    STATE(7434), 1,
      sym__constructor_name,
    STATE(7627), 1,
      sym__simple_expression,
    STATE(7721), 1,
      sym_parenthesized_operator,
    STATE(20433), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2363), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7348), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7709), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [199699] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2361), 1,
      anon_sym_LBRACK,
    ACTIONS(2365), 1,
      anon_sym_LBRACE,
    ACTIONS(2367), 1,
      anon_sym_object,
    ACTIONS(2371), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2381), 1,
      anon_sym_new,
    ACTIONS(2383), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2385), 1,
      anon_sym_begin,
    ACTIONS(2387), 1,
      sym_ocamlyacc_value,
    ACTIONS(2389), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2391), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2393), 1,
      aux_sym_number_token1,
    ACTIONS(2395), 1,
      anon_sym_SQUOTE,
    ACTIONS(2397), 1,
      anon_sym_DQUOTE,
    ACTIONS(2399), 1,
      sym_prefix_operator,
    ACTIONS(2403), 1,
      sym__capitalized_identifier,
    ACTIONS(2405), 1,
      aux_sym_tag_token1,
    ACTIONS(6181), 1,
      sym__identifier,
    STATE(5218), 1,
      sym_attribute,
    STATE(7275), 1,
      sym__value_name,
    STATE(7347), 1,
      sym__simple_expression,
    STATE(7434), 1,
      sym__constructor_name,
    STATE(7721), 1,
      sym_parenthesized_operator,
    STATE(20433), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2363), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7348), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7709), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [199817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [199887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [199957] = 29,
    ACTIONS(1243), 1,
      anon_sym_LPAREN,
    ACTIONS(1245), 1,
      anon_sym_LBRACK,
    ACTIONS(1249), 1,
      anon_sym_LBRACE,
    ACTIONS(1251), 1,
      anon_sym_object,
    ACTIONS(1255), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1273), 1,
      anon_sym_new,
    ACTIONS(1275), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1277), 1,
      anon_sym_begin,
    ACTIONS(1279), 1,
      sym_ocamlyacc_value,
    ACTIONS(1285), 1,
      aux_sym_number_token1,
    ACTIONS(1287), 1,
      anon_sym_SQUOTE,
    ACTIONS(1289), 1,
      anon_sym_DQUOTE,
    ACTIONS(1291), 1,
      sym_prefix_operator,
    ACTIONS(1295), 1,
      sym__capitalized_identifier,
    ACTIONS(1297), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5581), 1,
      sym__identifier,
    STATE(5221), 1,
      sym_attribute,
    STATE(5770), 1,
      sym__simple_expression,
    STATE(5779), 1,
      sym__constructor_name,
    STATE(5785), 1,
      sym_parenthesized_operator,
    STATE(5879), 1,
      sym__value_name,
    STATE(20201), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1247), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5873), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5880), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [200075] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    ACTIONS(1729), 1,
      anon_sym_LBRACK,
    ACTIONS(1733), 1,
      anon_sym_LBRACE,
    ACTIONS(1735), 1,
      anon_sym_object,
    ACTIONS(1739), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1749), 1,
      anon_sym_new,
    ACTIONS(1751), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1753), 1,
      anon_sym_begin,
    ACTIONS(1755), 1,
      sym_ocamlyacc_value,
    ACTIONS(1757), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1759), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1761), 1,
      aux_sym_number_token1,
    ACTIONS(1763), 1,
      anon_sym_SQUOTE,
    ACTIONS(1765), 1,
      anon_sym_DQUOTE,
    ACTIONS(1767), 1,
      sym_prefix_operator,
    ACTIONS(1771), 1,
      sym__capitalized_identifier,
    ACTIONS(1773), 1,
      aux_sym_tag_token1,
    ACTIONS(6127), 1,
      sym__identifier,
    STATE(5222), 1,
      sym_attribute,
    STATE(6858), 1,
      sym__simple_expression,
    STATE(6897), 1,
      sym__value_name,
    STATE(6963), 1,
      sym_parenthesized_operator,
    STATE(7071), 1,
      sym__constructor_name,
    STATE(20471), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1731), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7030), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6852), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [200193] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    ACTIONS(1729), 1,
      anon_sym_LBRACK,
    ACTIONS(1733), 1,
      anon_sym_LBRACE,
    ACTIONS(1735), 1,
      anon_sym_object,
    ACTIONS(1739), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1749), 1,
      anon_sym_new,
    ACTIONS(1751), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1753), 1,
      anon_sym_begin,
    ACTIONS(1755), 1,
      sym_ocamlyacc_value,
    ACTIONS(1757), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1759), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1761), 1,
      aux_sym_number_token1,
    ACTIONS(1763), 1,
      anon_sym_SQUOTE,
    ACTIONS(1765), 1,
      anon_sym_DQUOTE,
    ACTIONS(1767), 1,
      sym_prefix_operator,
    ACTIONS(1771), 1,
      sym__capitalized_identifier,
    ACTIONS(1773), 1,
      aux_sym_tag_token1,
    ACTIONS(6127), 1,
      sym__identifier,
    STATE(5223), 1,
      sym_attribute,
    STATE(6869), 1,
      sym__simple_expression,
    STATE(6897), 1,
      sym__value_name,
    STATE(6963), 1,
      sym_parenthesized_operator,
    STATE(7071), 1,
      sym__constructor_name,
    STATE(20471), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1731), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7030), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6852), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [200311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [200381] = 29,
    ACTIONS(803), 1,
      anon_sym_LPAREN,
    ACTIONS(805), 1,
      anon_sym_LBRACK,
    ACTIONS(809), 1,
      anon_sym_LBRACE,
    ACTIONS(811), 1,
      anon_sym_object,
    ACTIONS(815), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(825), 1,
      anon_sym_new,
    ACTIONS(827), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(829), 1,
      anon_sym_begin,
    ACTIONS(831), 1,
      sym_ocamlyacc_value,
    ACTIONS(837), 1,
      aux_sym_number_token1,
    ACTIONS(839), 1,
      anon_sym_SQUOTE,
    ACTIONS(841), 1,
      anon_sym_DQUOTE,
    ACTIONS(843), 1,
      sym_prefix_operator,
    ACTIONS(847), 1,
      sym__capitalized_identifier,
    ACTIONS(849), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3611), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3613), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3729), 1,
      sym__identifier,
    STATE(3442), 1,
      sym_parenthesized_operator,
    STATE(3523), 1,
      sym__value_name,
    STATE(3650), 1,
      sym__simple_expression,
    STATE(3766), 1,
      sym__constructor_name,
    STATE(5225), 1,
      sym_attribute,
    STATE(22386), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(807), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3565), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3745), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [200499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [200569] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7439), 1,
      sym__identifier,
    ACTIONS(7443), 1,
      anon_sym_LPAREN,
    ACTIONS(7445), 1,
      anon_sym_LBRACK,
    ACTIONS(7449), 1,
      anon_sym_LBRACE,
    ACTIONS(7451), 1,
      anon_sym_object,
    ACTIONS(7453), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7455), 1,
      anon_sym_new,
    ACTIONS(7457), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7459), 1,
      anon_sym_begin,
    ACTIONS(7461), 1,
      sym_ocamlyacc_value,
    ACTIONS(7467), 1,
      aux_sym_number_token1,
    ACTIONS(7469), 1,
      anon_sym_SQUOTE,
    ACTIONS(7471), 1,
      anon_sym_DQUOTE,
    ACTIONS(7473), 1,
      sym_prefix_operator,
    ACTIONS(7475), 1,
      sym__capitalized_identifier,
    ACTIONS(7477), 1,
      aux_sym_tag_token1,
    ACTIONS(9714), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5227), 1,
      sym_attribute,
    STATE(7839), 1,
      sym__constructor_name,
    STATE(7902), 1,
      sym__simple_expression,
    STATE(7966), 1,
      sym__value_name,
    STATE(8230), 1,
      sym_parenthesized_operator,
    STATE(20509), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7447), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7774), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7785), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [200687] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7439), 1,
      sym__identifier,
    ACTIONS(7443), 1,
      anon_sym_LPAREN,
    ACTIONS(7445), 1,
      anon_sym_LBRACK,
    ACTIONS(7449), 1,
      anon_sym_LBRACE,
    ACTIONS(7451), 1,
      anon_sym_object,
    ACTIONS(7453), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7455), 1,
      anon_sym_new,
    ACTIONS(7457), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7459), 1,
      anon_sym_begin,
    ACTIONS(7461), 1,
      sym_ocamlyacc_value,
    ACTIONS(7467), 1,
      aux_sym_number_token1,
    ACTIONS(7469), 1,
      anon_sym_SQUOTE,
    ACTIONS(7471), 1,
      anon_sym_DQUOTE,
    ACTIONS(7473), 1,
      sym_prefix_operator,
    ACTIONS(7475), 1,
      sym__capitalized_identifier,
    ACTIONS(7477), 1,
      aux_sym_tag_token1,
    ACTIONS(9714), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5228), 1,
      sym_attribute,
    STATE(7824), 1,
      sym__simple_expression,
    STATE(7839), 1,
      sym__constructor_name,
    STATE(7966), 1,
      sym__value_name,
    STATE(8230), 1,
      sym_parenthesized_operator,
    STATE(20509), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7447), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7774), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7785), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [200805] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7439), 1,
      sym__identifier,
    ACTIONS(7443), 1,
      anon_sym_LPAREN,
    ACTIONS(7445), 1,
      anon_sym_LBRACK,
    ACTIONS(7449), 1,
      anon_sym_LBRACE,
    ACTIONS(7451), 1,
      anon_sym_object,
    ACTIONS(7453), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7455), 1,
      anon_sym_new,
    ACTIONS(7457), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7459), 1,
      anon_sym_begin,
    ACTIONS(7461), 1,
      sym_ocamlyacc_value,
    ACTIONS(7467), 1,
      aux_sym_number_token1,
    ACTIONS(7469), 1,
      anon_sym_SQUOTE,
    ACTIONS(7471), 1,
      anon_sym_DQUOTE,
    ACTIONS(7473), 1,
      sym_prefix_operator,
    ACTIONS(7475), 1,
      sym__capitalized_identifier,
    ACTIONS(7477), 1,
      aux_sym_tag_token1,
    ACTIONS(9714), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5229), 1,
      sym_attribute,
    STATE(7839), 1,
      sym__constructor_name,
    STATE(7853), 1,
      sym__simple_expression,
    STATE(7966), 1,
      sym__value_name,
    STATE(8230), 1,
      sym_parenthesized_operator,
    STATE(20509), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7447), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7774), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7785), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [200923] = 29,
    ACTIONS(803), 1,
      anon_sym_LPAREN,
    ACTIONS(805), 1,
      anon_sym_LBRACK,
    ACTIONS(809), 1,
      anon_sym_LBRACE,
    ACTIONS(811), 1,
      anon_sym_object,
    ACTIONS(815), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(825), 1,
      anon_sym_new,
    ACTIONS(827), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(829), 1,
      anon_sym_begin,
    ACTIONS(831), 1,
      sym_ocamlyacc_value,
    ACTIONS(837), 1,
      aux_sym_number_token1,
    ACTIONS(839), 1,
      anon_sym_SQUOTE,
    ACTIONS(841), 1,
      anon_sym_DQUOTE,
    ACTIONS(843), 1,
      sym_prefix_operator,
    ACTIONS(847), 1,
      sym__capitalized_identifier,
    ACTIONS(849), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3611), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3613), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3729), 1,
      sym__identifier,
    STATE(3442), 1,
      sym_parenthesized_operator,
    STATE(3523), 1,
      sym__value_name,
    STATE(3766), 1,
      sym__constructor_name,
    STATE(4116), 1,
      sym__simple_expression,
    STATE(5230), 1,
      sym_attribute,
    STATE(22386), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(807), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3565), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3745), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [201041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [201111] = 29,
    ACTIONS(961), 1,
      anon_sym_LPAREN,
    ACTIONS(963), 1,
      anon_sym_LBRACK,
    ACTIONS(967), 1,
      anon_sym_LBRACE,
    ACTIONS(969), 1,
      anon_sym_object,
    ACTIONS(973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(983), 1,
      anon_sym_new,
    ACTIONS(985), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(987), 1,
      anon_sym_begin,
    ACTIONS(989), 1,
      sym_ocamlyacc_value,
    ACTIONS(995), 1,
      aux_sym_number_token1,
    ACTIONS(997), 1,
      anon_sym_SQUOTE,
    ACTIONS(999), 1,
      anon_sym_DQUOTE,
    ACTIONS(1001), 1,
      sym_prefix_operator,
    ACTIONS(1005), 1,
      sym__capitalized_identifier,
    ACTIONS(1007), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3565), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3567), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3813), 1,
      sym__identifier,
    STATE(4267), 1,
      sym__value_name,
    STATE(4271), 1,
      sym__simple_expression,
    STATE(4329), 1,
      sym_parenthesized_operator,
    STATE(4369), 1,
      sym__constructor_name,
    STATE(5232), 1,
      sym_attribute,
    STATE(20279), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4165), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4233), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [201229] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1603), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1609), 1,
      anon_sym_LBRACE,
    ACTIONS(1611), 1,
      anon_sym_object,
    ACTIONS(1615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1633), 1,
      anon_sym_new,
    ACTIONS(1635), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1637), 1,
      anon_sym_begin,
    ACTIONS(1639), 1,
      sym_ocamlyacc_value,
    ACTIONS(1641), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1643), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1645), 1,
      aux_sym_number_token1,
    ACTIONS(1647), 1,
      anon_sym_SQUOTE,
    ACTIONS(1649), 1,
      anon_sym_DQUOTE,
    ACTIONS(1651), 1,
      sym_prefix_operator,
    ACTIONS(1655), 1,
      sym__capitalized_identifier,
    ACTIONS(1657), 1,
      aux_sym_tag_token1,
    ACTIONS(5821), 1,
      sym__identifier,
    STATE(5233), 1,
      sym_attribute,
    STATE(6636), 1,
      sym_parenthesized_operator,
    STATE(6656), 1,
      sym__constructor_name,
    STATE(6680), 1,
      sym__simple_expression,
    STATE(6718), 1,
      sym__value_name,
    STATE(20547), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1607), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6696), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6610), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [201347] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1603), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1609), 1,
      anon_sym_LBRACE,
    ACTIONS(1611), 1,
      anon_sym_object,
    ACTIONS(1615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1633), 1,
      anon_sym_new,
    ACTIONS(1635), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1637), 1,
      anon_sym_begin,
    ACTIONS(1639), 1,
      sym_ocamlyacc_value,
    ACTIONS(1641), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1643), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1645), 1,
      aux_sym_number_token1,
    ACTIONS(1647), 1,
      anon_sym_SQUOTE,
    ACTIONS(1649), 1,
      anon_sym_DQUOTE,
    ACTIONS(1651), 1,
      sym_prefix_operator,
    ACTIONS(1655), 1,
      sym__capitalized_identifier,
    ACTIONS(1657), 1,
      aux_sym_tag_token1,
    ACTIONS(5821), 1,
      sym__identifier,
    STATE(5234), 1,
      sym_attribute,
    STATE(6636), 1,
      sym_parenthesized_operator,
    STATE(6656), 1,
      sym__constructor_name,
    STATE(6693), 1,
      sym__simple_expression,
    STATE(6718), 1,
      sym__value_name,
    STATE(20547), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1607), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6696), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6610), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [201465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [201535] = 29,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(39), 1,
      anon_sym_object,
    ACTIONS(43), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(61), 1,
      anon_sym_new,
    ACTIONS(63), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(65), 1,
      anon_sym_begin,
    ACTIONS(67), 1,
      sym_ocamlyacc_value,
    ACTIONS(79), 1,
      aux_sym_number_token1,
    ACTIONS(83), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      sym_prefix_operator,
    ACTIONS(95), 1,
      sym__capitalized_identifier,
    ACTIONS(99), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4651), 1,
      sym__identifier,
    STATE(5031), 1,
      sym__value_name,
    STATE(5169), 1,
      sym_parenthesized_operator,
    STATE(5182), 1,
      sym__constructor_name,
    STATE(5236), 1,
      sym_attribute,
    STATE(5314), 1,
      sym__simple_expression,
    STATE(20077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5021), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5248), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [201653] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4655), 1,
      anon_sym_DOT,
    ACTIONS(4657), 1,
      anon_sym_POUND,
    ACTIONS(4659), 1,
      sym_hash_operator,
    STATE(5237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [201729] = 29,
    ACTIONS(421), 1,
      anon_sym_LPAREN,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(427), 1,
      anon_sym_LBRACE,
    ACTIONS(429), 1,
      anon_sym_object,
    ACTIONS(433), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(443), 1,
      anon_sym_new,
    ACTIONS(445), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(447), 1,
      anon_sym_begin,
    ACTIONS(449), 1,
      sym_ocamlyacc_value,
    ACTIONS(455), 1,
      aux_sym_number_token1,
    ACTIONS(457), 1,
      anon_sym_SQUOTE,
    ACTIONS(459), 1,
      anon_sym_DQUOTE,
    ACTIONS(461), 1,
      sym_prefix_operator,
    ACTIONS(465), 1,
      sym__capitalized_identifier,
    ACTIONS(467), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3619), 1,
      sym__identifier,
    STATE(3105), 1,
      sym__constructor_name,
    STATE(3221), 1,
      sym_parenthesized_operator,
    STATE(3393), 1,
      sym__value_name,
    STATE(3399), 1,
      sym__simple_expression,
    STATE(5238), 1,
      sym_attribute,
    STATE(20318), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(425), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3343), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3289), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [201847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [201917] = 29,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1397), 1,
      anon_sym_LBRACE,
    ACTIONS(1399), 1,
      anon_sym_object,
    ACTIONS(1403), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1415), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1417), 1,
      anon_sym_begin,
    ACTIONS(1419), 1,
      sym_ocamlyacc_value,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1423), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1425), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1427), 1,
      aux_sym_number_token1,
    ACTIONS(1429), 1,
      anon_sym_SQUOTE,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1433), 1,
      sym_prefix_operator,
    ACTIONS(1437), 1,
      sym__capitalized_identifier,
    ACTIONS(1439), 1,
      aux_sym_tag_token1,
    ACTIONS(5671), 1,
      sym__identifier,
    STATE(5240), 1,
      sym_attribute,
    STATE(6152), 1,
      sym__simple_expression,
    STATE(6178), 1,
      sym_parenthesized_operator,
    STATE(6217), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(20585), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1395), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6222), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6311), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [202035] = 29,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1397), 1,
      anon_sym_LBRACE,
    ACTIONS(1399), 1,
      anon_sym_object,
    ACTIONS(1403), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1415), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1417), 1,
      anon_sym_begin,
    ACTIONS(1419), 1,
      sym_ocamlyacc_value,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1423), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1425), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1427), 1,
      aux_sym_number_token1,
    ACTIONS(1429), 1,
      anon_sym_SQUOTE,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1433), 1,
      sym_prefix_operator,
    ACTIONS(1437), 1,
      sym__capitalized_identifier,
    ACTIONS(1439), 1,
      aux_sym_tag_token1,
    ACTIONS(5671), 1,
      sym__identifier,
    STATE(5241), 1,
      sym_attribute,
    STATE(6178), 1,
      sym_parenthesized_operator,
    STATE(6212), 1,
      sym__simple_expression,
    STATE(6217), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(20585), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1395), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6222), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6311), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [202153] = 29,
    ACTIONS(909), 1,
      anon_sym_LPAREN,
    ACTIONS(911), 1,
      anon_sym_LBRACK,
    ACTIONS(915), 1,
      anon_sym_LBRACE,
    ACTIONS(917), 1,
      anon_sym_object,
    ACTIONS(921), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(931), 1,
      anon_sym_new,
    ACTIONS(933), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(935), 1,
      anon_sym_begin,
    ACTIONS(937), 1,
      sym_ocamlyacc_value,
    ACTIONS(943), 1,
      aux_sym_number_token1,
    ACTIONS(945), 1,
      anon_sym_SQUOTE,
    ACTIONS(947), 1,
      anon_sym_DQUOTE,
    ACTIONS(949), 1,
      sym_prefix_operator,
    ACTIONS(953), 1,
      sym__capitalized_identifier,
    ACTIONS(955), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3823), 1,
      sym__identifier,
    STATE(4319), 1,
      sym__simple_expression,
    STATE(4328), 1,
      sym__value_name,
    STATE(4347), 1,
      sym_parenthesized_operator,
    STATE(4389), 1,
      sym__constructor_name,
    STATE(5242), 1,
      sym_attribute,
    STATE(20395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(913), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4381), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4277), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [202271] = 29,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    ACTIONS(637), 1,
      anon_sym_object,
    ACTIONS(641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(651), 1,
      anon_sym_new,
    ACTIONS(653), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(655), 1,
      anon_sym_begin,
    ACTIONS(657), 1,
      sym_ocamlyacc_value,
    ACTIONS(663), 1,
      aux_sym_number_token1,
    ACTIONS(665), 1,
      anon_sym_SQUOTE,
    ACTIONS(667), 1,
      anon_sym_DQUOTE,
    ACTIONS(669), 1,
      sym_prefix_operator,
    ACTIONS(673), 1,
      sym__capitalized_identifier,
    ACTIONS(675), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3597), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3599), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3709), 1,
      sym__identifier,
    STATE(3570), 1,
      sym_parenthesized_operator,
    STATE(3812), 1,
      sym__constructor_name,
    STATE(4058), 1,
      sym__simple_expression,
    STATE(4120), 1,
      sym__value_name,
    STATE(5243), 1,
      sym_attribute,
    STATE(20623), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(633), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4050), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [202389] = 29,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    ACTIONS(637), 1,
      anon_sym_object,
    ACTIONS(641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(651), 1,
      anon_sym_new,
    ACTIONS(653), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(655), 1,
      anon_sym_begin,
    ACTIONS(657), 1,
      sym_ocamlyacc_value,
    ACTIONS(663), 1,
      aux_sym_number_token1,
    ACTIONS(665), 1,
      anon_sym_SQUOTE,
    ACTIONS(667), 1,
      anon_sym_DQUOTE,
    ACTIONS(669), 1,
      sym_prefix_operator,
    ACTIONS(673), 1,
      sym__capitalized_identifier,
    ACTIONS(675), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3597), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3599), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3709), 1,
      sym__identifier,
    STATE(3570), 1,
      sym_parenthesized_operator,
    STATE(3812), 1,
      sym__constructor_name,
    STATE(4077), 1,
      sym__simple_expression,
    STATE(4120), 1,
      sym__value_name,
    STATE(5244), 1,
      sym_attribute,
    STATE(20623), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(633), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4050), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [202507] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2361), 1,
      anon_sym_LBRACK,
    ACTIONS(2365), 1,
      anon_sym_LBRACE,
    ACTIONS(2367), 1,
      anon_sym_object,
    ACTIONS(2371), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2381), 1,
      anon_sym_new,
    ACTIONS(2383), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2385), 1,
      anon_sym_begin,
    ACTIONS(2387), 1,
      sym_ocamlyacc_value,
    ACTIONS(2389), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2391), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2393), 1,
      aux_sym_number_token1,
    ACTIONS(2395), 1,
      anon_sym_SQUOTE,
    ACTIONS(2397), 1,
      anon_sym_DQUOTE,
    ACTIONS(2399), 1,
      sym_prefix_operator,
    ACTIONS(2403), 1,
      sym__capitalized_identifier,
    ACTIONS(2405), 1,
      aux_sym_tag_token1,
    ACTIONS(6181), 1,
      sym__identifier,
    STATE(5245), 1,
      sym_attribute,
    STATE(7275), 1,
      sym__value_name,
    STATE(7434), 1,
      sym__constructor_name,
    STATE(7568), 1,
      sym__simple_expression,
    STATE(7721), 1,
      sym_parenthesized_operator,
    STATE(20433), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2363), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7348), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7709), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [202625] = 29,
    ACTIONS(473), 1,
      anon_sym_LPAREN,
    ACTIONS(475), 1,
      anon_sym_LBRACK,
    ACTIONS(479), 1,
      anon_sym_LBRACE,
    ACTIONS(481), 1,
      anon_sym_object,
    ACTIONS(485), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(495), 1,
      anon_sym_new,
    ACTIONS(497), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(499), 1,
      anon_sym_begin,
    ACTIONS(501), 1,
      sym_ocamlyacc_value,
    ACTIONS(507), 1,
      aux_sym_number_token1,
    ACTIONS(509), 1,
      anon_sym_SQUOTE,
    ACTIONS(511), 1,
      anon_sym_DQUOTE,
    ACTIONS(513), 1,
      sym_prefix_operator,
    ACTIONS(517), 1,
      sym__capitalized_identifier,
    ACTIONS(519), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3601), 1,
      sym__identifier,
    ACTIONS(3615), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3617), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(3170), 1,
      sym__constructor_name,
    STATE(3202), 1,
      sym__simple_expression,
    STATE(3279), 1,
      sym_parenthesized_operator,
    STATE(3295), 1,
      sym__value_name,
    STATE(5246), 1,
      sym_attribute,
    STATE(20661), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(477), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3144), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3180), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [202743] = 29,
    ACTIONS(473), 1,
      anon_sym_LPAREN,
    ACTIONS(475), 1,
      anon_sym_LBRACK,
    ACTIONS(479), 1,
      anon_sym_LBRACE,
    ACTIONS(481), 1,
      anon_sym_object,
    ACTIONS(485), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(495), 1,
      anon_sym_new,
    ACTIONS(497), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(499), 1,
      anon_sym_begin,
    ACTIONS(501), 1,
      sym_ocamlyacc_value,
    ACTIONS(507), 1,
      aux_sym_number_token1,
    ACTIONS(509), 1,
      anon_sym_SQUOTE,
    ACTIONS(511), 1,
      anon_sym_DQUOTE,
    ACTIONS(513), 1,
      sym_prefix_operator,
    ACTIONS(517), 1,
      sym__capitalized_identifier,
    ACTIONS(519), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3601), 1,
      sym__identifier,
    ACTIONS(3615), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3617), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(3170), 1,
      sym__constructor_name,
    STATE(3231), 1,
      sym__simple_expression,
    STATE(3279), 1,
      sym_parenthesized_operator,
    STATE(3295), 1,
      sym__value_name,
    STATE(5247), 1,
      sym_attribute,
    STATE(20661), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(477), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3144), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3180), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [202861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [202931] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    ACTIONS(1729), 1,
      anon_sym_LBRACK,
    ACTIONS(1733), 1,
      anon_sym_LBRACE,
    ACTIONS(1735), 1,
      anon_sym_object,
    ACTIONS(1739), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1749), 1,
      anon_sym_new,
    ACTIONS(1751), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1753), 1,
      anon_sym_begin,
    ACTIONS(1755), 1,
      sym_ocamlyacc_value,
    ACTIONS(1757), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1759), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1761), 1,
      aux_sym_number_token1,
    ACTIONS(1763), 1,
      anon_sym_SQUOTE,
    ACTIONS(1765), 1,
      anon_sym_DQUOTE,
    ACTIONS(1767), 1,
      sym_prefix_operator,
    ACTIONS(1771), 1,
      sym__capitalized_identifier,
    ACTIONS(1773), 1,
      aux_sym_tag_token1,
    ACTIONS(6127), 1,
      sym__identifier,
    STATE(5249), 1,
      sym_attribute,
    STATE(6887), 1,
      sym__simple_expression,
    STATE(6897), 1,
      sym__value_name,
    STATE(6963), 1,
      sym_parenthesized_operator,
    STATE(7071), 1,
      sym__constructor_name,
    STATE(20471), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1731), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7030), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6852), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [203049] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7399), 1,
      sym__identifier,
    ACTIONS(7403), 1,
      anon_sym_LPAREN,
    ACTIONS(7405), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7411), 1,
      anon_sym_object,
    ACTIONS(7413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7415), 1,
      anon_sym_new,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7419), 1,
      anon_sym_begin,
    ACTIONS(7421), 1,
      sym_ocamlyacc_value,
    ACTIONS(7427), 1,
      aux_sym_number_token1,
    ACTIONS(7429), 1,
      anon_sym_SQUOTE,
    ACTIONS(7431), 1,
      anon_sym_DQUOTE,
    ACTIONS(7433), 1,
      sym_prefix_operator,
    ACTIONS(7435), 1,
      sym__capitalized_identifier,
    ACTIONS(7437), 1,
      aux_sym_tag_token1,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5250), 1,
      sym_attribute,
    STATE(7780), 1,
      sym__value_name,
    STATE(7917), 1,
      sym__constructor_name,
    STATE(8061), 1,
      sym_parenthesized_operator,
    STATE(8252), 1,
      sym__simple_expression,
    STATE(20699), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7407), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7880), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8202), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [203167] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7399), 1,
      sym__identifier,
    ACTIONS(7403), 1,
      anon_sym_LPAREN,
    ACTIONS(7405), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7411), 1,
      anon_sym_object,
    ACTIONS(7413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7415), 1,
      anon_sym_new,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7419), 1,
      anon_sym_begin,
    ACTIONS(7421), 1,
      sym_ocamlyacc_value,
    ACTIONS(7427), 1,
      aux_sym_number_token1,
    ACTIONS(7429), 1,
      anon_sym_SQUOTE,
    ACTIONS(7431), 1,
      anon_sym_DQUOTE,
    ACTIONS(7433), 1,
      sym_prefix_operator,
    ACTIONS(7435), 1,
      sym__capitalized_identifier,
    ACTIONS(7437), 1,
      aux_sym_tag_token1,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5251), 1,
      sym_attribute,
    STATE(7780), 1,
      sym__value_name,
    STATE(7917), 1,
      sym__constructor_name,
    STATE(8061), 1,
      sym_parenthesized_operator,
    STATE(8282), 1,
      sym__simple_expression,
    STATE(20699), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7407), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7880), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8202), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [203285] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1603), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1609), 1,
      anon_sym_LBRACE,
    ACTIONS(1611), 1,
      anon_sym_object,
    ACTIONS(1615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1633), 1,
      anon_sym_new,
    ACTIONS(1635), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1637), 1,
      anon_sym_begin,
    ACTIONS(1639), 1,
      sym_ocamlyacc_value,
    ACTIONS(1641), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1643), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1645), 1,
      aux_sym_number_token1,
    ACTIONS(1647), 1,
      anon_sym_SQUOTE,
    ACTIONS(1649), 1,
      anon_sym_DQUOTE,
    ACTIONS(1651), 1,
      sym_prefix_operator,
    ACTIONS(1655), 1,
      sym__capitalized_identifier,
    ACTIONS(1657), 1,
      aux_sym_tag_token1,
    ACTIONS(5821), 1,
      sym__identifier,
    STATE(5252), 1,
      sym_attribute,
    STATE(6613), 1,
      sym__simple_expression,
    STATE(6636), 1,
      sym_parenthesized_operator,
    STATE(6656), 1,
      sym__constructor_name,
    STATE(6718), 1,
      sym__value_name,
    STATE(20547), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1607), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6696), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6610), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [203403] = 29,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(373), 1,
      anon_sym_object,
    ACTIONS(377), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(387), 1,
      anon_sym_new,
    ACTIONS(389), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(391), 1,
      anon_sym_begin,
    ACTIONS(393), 1,
      sym_ocamlyacc_value,
    ACTIONS(401), 1,
      aux_sym_number_token1,
    ACTIONS(403), 1,
      anon_sym_SQUOTE,
    ACTIONS(405), 1,
      anon_sym_DQUOTE,
    ACTIONS(407), 1,
      sym_prefix_operator,
    ACTIONS(413), 1,
      sym__capitalized_identifier,
    ACTIONS(415), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3515), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3517), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3523), 1,
      sym__identifier,
    STATE(3117), 1,
      sym_parenthesized_operator,
    STATE(3191), 1,
      sym__constructor_name,
    STATE(3339), 1,
      sym__simple_expression,
    STATE(3366), 1,
      sym__value_name,
    STATE(5253), 1,
      sym_attribute,
    STATE(20737), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(369), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3324), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [203521] = 29,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(373), 1,
      anon_sym_object,
    ACTIONS(377), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(387), 1,
      anon_sym_new,
    ACTIONS(389), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(391), 1,
      anon_sym_begin,
    ACTIONS(393), 1,
      sym_ocamlyacc_value,
    ACTIONS(401), 1,
      aux_sym_number_token1,
    ACTIONS(403), 1,
      anon_sym_SQUOTE,
    ACTIONS(405), 1,
      anon_sym_DQUOTE,
    ACTIONS(407), 1,
      sym_prefix_operator,
    ACTIONS(413), 1,
      sym__capitalized_identifier,
    ACTIONS(415), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3515), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3517), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3523), 1,
      sym__identifier,
    STATE(3117), 1,
      sym_parenthesized_operator,
    STATE(3191), 1,
      sym__constructor_name,
    STATE(3366), 1,
      sym__value_name,
    STATE(3367), 1,
      sym__simple_expression,
    STATE(5254), 1,
      sym_attribute,
    STATE(20737), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(369), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3324), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [203639] = 29,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1397), 1,
      anon_sym_LBRACE,
    ACTIONS(1399), 1,
      anon_sym_object,
    ACTIONS(1403), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1415), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1417), 1,
      anon_sym_begin,
    ACTIONS(1419), 1,
      sym_ocamlyacc_value,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1423), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1425), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1427), 1,
      aux_sym_number_token1,
    ACTIONS(1429), 1,
      anon_sym_SQUOTE,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1433), 1,
      sym_prefix_operator,
    ACTIONS(1437), 1,
      sym__capitalized_identifier,
    ACTIONS(1439), 1,
      aux_sym_tag_token1,
    ACTIONS(5671), 1,
      sym__identifier,
    STATE(5255), 1,
      sym_attribute,
    STATE(6178), 1,
      sym_parenthesized_operator,
    STATE(6191), 1,
      sym__simple_expression,
    STATE(6217), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(20585), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1395), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6222), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6311), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [203757] = 29,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_LBRACE,
    ACTIONS(585), 1,
      anon_sym_object,
    ACTIONS(589), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(599), 1,
      anon_sym_new,
    ACTIONS(601), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(603), 1,
      anon_sym_begin,
    ACTIONS(605), 1,
      sym_ocamlyacc_value,
    ACTIONS(611), 1,
      aux_sym_number_token1,
    ACTIONS(613), 1,
      anon_sym_SQUOTE,
    ACTIONS(615), 1,
      anon_sym_DQUOTE,
    ACTIONS(617), 1,
      sym_prefix_operator,
    ACTIONS(621), 1,
      sym__capitalized_identifier,
    ACTIONS(623), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3541), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3543), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3671), 1,
      sym__identifier,
    STATE(3580), 1,
      sym__simple_expression,
    STATE(3642), 1,
      sym__value_name,
    STATE(3761), 1,
      sym_parenthesized_operator,
    STATE(3893), 1,
      sym__constructor_name,
    STATE(5256), 1,
      sym_attribute,
    STATE(20774), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(581), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3852), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3566), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [203875] = 29,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_LBRACE,
    ACTIONS(585), 1,
      anon_sym_object,
    ACTIONS(589), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(599), 1,
      anon_sym_new,
    ACTIONS(601), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(603), 1,
      anon_sym_begin,
    ACTIONS(605), 1,
      sym_ocamlyacc_value,
    ACTIONS(611), 1,
      aux_sym_number_token1,
    ACTIONS(613), 1,
      anon_sym_SQUOTE,
    ACTIONS(615), 1,
      anon_sym_DQUOTE,
    ACTIONS(617), 1,
      sym_prefix_operator,
    ACTIONS(621), 1,
      sym__capitalized_identifier,
    ACTIONS(623), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3541), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3543), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3671), 1,
      sym__identifier,
    STATE(3598), 1,
      sym__simple_expression,
    STATE(3642), 1,
      sym__value_name,
    STATE(3761), 1,
      sym_parenthesized_operator,
    STATE(3893), 1,
      sym__constructor_name,
    STATE(5257), 1,
      sym_attribute,
    STATE(20774), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(581), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3852), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3566), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [203993] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5258), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15523), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [204115] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7399), 1,
      sym__identifier,
    ACTIONS(7403), 1,
      anon_sym_LPAREN,
    ACTIONS(7405), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_LBRACE,
    ACTIONS(7411), 1,
      anon_sym_object,
    ACTIONS(7413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7415), 1,
      anon_sym_new,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7419), 1,
      anon_sym_begin,
    ACTIONS(7421), 1,
      sym_ocamlyacc_value,
    ACTIONS(7427), 1,
      aux_sym_number_token1,
    ACTIONS(7429), 1,
      anon_sym_SQUOTE,
    ACTIONS(7431), 1,
      anon_sym_DQUOTE,
    ACTIONS(7433), 1,
      sym_prefix_operator,
    ACTIONS(7435), 1,
      sym__capitalized_identifier,
    ACTIONS(7437), 1,
      aux_sym_tag_token1,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5259), 1,
      sym_attribute,
    STATE(7780), 1,
      sym__value_name,
    STATE(7917), 1,
      sym__constructor_name,
    STATE(8061), 1,
      sym_parenthesized_operator,
    STATE(8095), 1,
      sym__simple_expression,
    STATE(20699), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7407), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7880), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8202), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [204233] = 29,
    ACTIONS(749), 1,
      anon_sym_LPAREN,
    ACTIONS(751), 1,
      anon_sym_LBRACK,
    ACTIONS(755), 1,
      anon_sym_LBRACE,
    ACTIONS(757), 1,
      anon_sym_object,
    ACTIONS(761), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(771), 1,
      anon_sym_new,
    ACTIONS(773), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(775), 1,
      anon_sym_begin,
    ACTIONS(777), 1,
      sym_ocamlyacc_value,
    ACTIONS(783), 1,
      aux_sym_number_token1,
    ACTIONS(785), 1,
      anon_sym_SQUOTE,
    ACTIONS(787), 1,
      anon_sym_DQUOTE,
    ACTIONS(789), 1,
      sym_prefix_operator,
    ACTIONS(793), 1,
      sym__capitalized_identifier,
    ACTIONS(795), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3555), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3557), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3691), 1,
      sym__identifier,
    STATE(3654), 1,
      sym__simple_expression,
    STATE(3716), 1,
      sym__value_name,
    STATE(3764), 1,
      sym_parenthesized_operator,
    STATE(3901), 1,
      sym__constructor_name,
    STATE(5260), 1,
      sym_attribute,
    STATE(20811), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(753), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3867), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3641), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [204351] = 29,
    ACTIONS(749), 1,
      anon_sym_LPAREN,
    ACTIONS(751), 1,
      anon_sym_LBRACK,
    ACTIONS(755), 1,
      anon_sym_LBRACE,
    ACTIONS(757), 1,
      anon_sym_object,
    ACTIONS(761), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(771), 1,
      anon_sym_new,
    ACTIONS(773), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(775), 1,
      anon_sym_begin,
    ACTIONS(777), 1,
      sym_ocamlyacc_value,
    ACTIONS(783), 1,
      aux_sym_number_token1,
    ACTIONS(785), 1,
      anon_sym_SQUOTE,
    ACTIONS(787), 1,
      anon_sym_DQUOTE,
    ACTIONS(789), 1,
      sym_prefix_operator,
    ACTIONS(793), 1,
      sym__capitalized_identifier,
    ACTIONS(795), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3555), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3557), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3691), 1,
      sym__identifier,
    STATE(3672), 1,
      sym__simple_expression,
    STATE(3716), 1,
      sym__value_name,
    STATE(3764), 1,
      sym_parenthesized_operator,
    STATE(3901), 1,
      sym__constructor_name,
    STATE(5261), 1,
      sym_attribute,
    STATE(20811), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(753), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3867), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3641), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [204469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [204539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [204609] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(5264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [204681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [204751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [204821] = 29,
    ACTIONS(629), 1,
      anon_sym_LPAREN,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LBRACE,
    ACTIONS(637), 1,
      anon_sym_object,
    ACTIONS(641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(651), 1,
      anon_sym_new,
    ACTIONS(653), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(655), 1,
      anon_sym_begin,
    ACTIONS(657), 1,
      sym_ocamlyacc_value,
    ACTIONS(663), 1,
      aux_sym_number_token1,
    ACTIONS(665), 1,
      anon_sym_SQUOTE,
    ACTIONS(667), 1,
      anon_sym_DQUOTE,
    ACTIONS(669), 1,
      sym_prefix_operator,
    ACTIONS(673), 1,
      sym__capitalized_identifier,
    ACTIONS(675), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3597), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3599), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3709), 1,
      sym__identifier,
    STATE(3570), 1,
      sym_parenthesized_operator,
    STATE(3812), 1,
      sym__constructor_name,
    STATE(4100), 1,
      sym__simple_expression,
    STATE(4120), 1,
      sym__value_name,
    STATE(5267), 1,
      sym_attribute,
    STATE(20623), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(633), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4050), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [204939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [205009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [205079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [205149] = 29,
    ACTIONS(473), 1,
      anon_sym_LPAREN,
    ACTIONS(475), 1,
      anon_sym_LBRACK,
    ACTIONS(479), 1,
      anon_sym_LBRACE,
    ACTIONS(481), 1,
      anon_sym_object,
    ACTIONS(485), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(495), 1,
      anon_sym_new,
    ACTIONS(497), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(499), 1,
      anon_sym_begin,
    ACTIONS(501), 1,
      sym_ocamlyacc_value,
    ACTIONS(507), 1,
      aux_sym_number_token1,
    ACTIONS(509), 1,
      anon_sym_SQUOTE,
    ACTIONS(511), 1,
      anon_sym_DQUOTE,
    ACTIONS(513), 1,
      sym_prefix_operator,
    ACTIONS(517), 1,
      sym__capitalized_identifier,
    ACTIONS(519), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3601), 1,
      sym__identifier,
    ACTIONS(3615), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3617), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(3170), 1,
      sym__constructor_name,
    STATE(3269), 1,
      sym__simple_expression,
    STATE(3279), 1,
      sym_parenthesized_operator,
    STATE(3295), 1,
      sym__value_name,
    STATE(5271), 1,
      sym_attribute,
    STATE(20661), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(477), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3144), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3180), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [205267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [205337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [205407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [205477] = 29,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(373), 1,
      anon_sym_object,
    ACTIONS(377), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(387), 1,
      anon_sym_new,
    ACTIONS(389), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(391), 1,
      anon_sym_begin,
    ACTIONS(393), 1,
      sym_ocamlyacc_value,
    ACTIONS(401), 1,
      aux_sym_number_token1,
    ACTIONS(403), 1,
      anon_sym_SQUOTE,
    ACTIONS(405), 1,
      anon_sym_DQUOTE,
    ACTIONS(407), 1,
      sym_prefix_operator,
    ACTIONS(413), 1,
      sym__capitalized_identifier,
    ACTIONS(415), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3515), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3517), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3523), 1,
      sym__identifier,
    STATE(3117), 1,
      sym_parenthesized_operator,
    STATE(3191), 1,
      sym__constructor_name,
    STATE(3317), 1,
      sym__simple_expression,
    STATE(3366), 1,
      sym__value_name,
    STATE(5275), 1,
      sym_attribute,
    STATE(20737), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(369), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3324), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [205595] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5276), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14367), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [205717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [205787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [205857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [205927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [205997] = 29,
    ACTIONS(577), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_LBRACE,
    ACTIONS(585), 1,
      anon_sym_object,
    ACTIONS(589), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(599), 1,
      anon_sym_new,
    ACTIONS(601), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(603), 1,
      anon_sym_begin,
    ACTIONS(605), 1,
      sym_ocamlyacc_value,
    ACTIONS(611), 1,
      aux_sym_number_token1,
    ACTIONS(613), 1,
      anon_sym_SQUOTE,
    ACTIONS(615), 1,
      anon_sym_DQUOTE,
    ACTIONS(617), 1,
      sym_prefix_operator,
    ACTIONS(621), 1,
      sym__capitalized_identifier,
    ACTIONS(623), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3541), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3543), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3671), 1,
      sym__identifier,
    STATE(3546), 1,
      sym__simple_expression,
    STATE(3642), 1,
      sym__value_name,
    STATE(3761), 1,
      sym_parenthesized_operator,
    STATE(3893), 1,
      sym__constructor_name,
    STATE(5281), 1,
      sym_attribute,
    STATE(20774), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(581), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3852), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3566), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [206115] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3187), 1,
      anon_sym_LPAREN,
    ACTIONS(3189), 1,
      anon_sym_LBRACK,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    ACTIONS(3195), 1,
      anon_sym_object,
    ACTIONS(3199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3209), 1,
      anon_sym_new,
    ACTIONS(3211), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3213), 1,
      anon_sym_begin,
    ACTIONS(3215), 1,
      sym_ocamlyacc_value,
    ACTIONS(3217), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3219), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3221), 1,
      aux_sym_number_token1,
    ACTIONS(3223), 1,
      anon_sym_SQUOTE,
    ACTIONS(3225), 1,
      anon_sym_DQUOTE,
    ACTIONS(3227), 1,
      sym_prefix_operator,
    ACTIONS(3231), 1,
      sym__capitalized_identifier,
    ACTIONS(3233), 1,
      aux_sym_tag_token1,
    ACTIONS(6563), 1,
      sym__identifier,
    STATE(5282), 1,
      sym_attribute,
    STATE(7790), 1,
      sym__value_name,
    STATE(7819), 1,
      sym__constructor_name,
    STATE(8089), 1,
      sym__simple_expression,
    STATE(8112), 1,
      sym_parenthesized_operator,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7784), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7776), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [206233] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5283), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14368), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [206355] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(5284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [206427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [206497] = 29,
    ACTIONS(749), 1,
      anon_sym_LPAREN,
    ACTIONS(751), 1,
      anon_sym_LBRACK,
    ACTIONS(755), 1,
      anon_sym_LBRACE,
    ACTIONS(757), 1,
      anon_sym_object,
    ACTIONS(761), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(771), 1,
      anon_sym_new,
    ACTIONS(773), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(775), 1,
      anon_sym_begin,
    ACTIONS(777), 1,
      sym_ocamlyacc_value,
    ACTIONS(783), 1,
      aux_sym_number_token1,
    ACTIONS(785), 1,
      anon_sym_SQUOTE,
    ACTIONS(787), 1,
      anon_sym_DQUOTE,
    ACTIONS(789), 1,
      sym_prefix_operator,
    ACTIONS(793), 1,
      sym__capitalized_identifier,
    ACTIONS(795), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3555), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3557), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3691), 1,
      sym__identifier,
    STATE(3622), 1,
      sym__simple_expression,
    STATE(3716), 1,
      sym__value_name,
    STATE(3764), 1,
      sym_parenthesized_operator,
    STATE(3901), 1,
      sym__constructor_name,
    STATE(5286), 1,
      sym_attribute,
    STATE(20811), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(753), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3867), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3641), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [206615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [206685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [206755] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5289), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14375), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [206877] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5290), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14377), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [206999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [207069] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5292), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14386), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [207191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [207261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [207331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [207401] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5296), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15198), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [207523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [207593] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3187), 1,
      anon_sym_LPAREN,
    ACTIONS(3189), 1,
      anon_sym_LBRACK,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    ACTIONS(3195), 1,
      anon_sym_object,
    ACTIONS(3199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3209), 1,
      anon_sym_new,
    ACTIONS(3211), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3213), 1,
      anon_sym_begin,
    ACTIONS(3215), 1,
      sym_ocamlyacc_value,
    ACTIONS(3217), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3219), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3221), 1,
      aux_sym_number_token1,
    ACTIONS(3223), 1,
      anon_sym_SQUOTE,
    ACTIONS(3225), 1,
      anon_sym_DQUOTE,
    ACTIONS(3227), 1,
      sym_prefix_operator,
    ACTIONS(3231), 1,
      sym__capitalized_identifier,
    ACTIONS(3233), 1,
      aux_sym_tag_token1,
    ACTIONS(6563), 1,
      sym__identifier,
    STATE(5298), 1,
      sym_attribute,
    STATE(7790), 1,
      sym__value_name,
    STATE(7819), 1,
      sym__constructor_name,
    STATE(7870), 1,
      sym__simple_expression,
    STATE(8112), 1,
      sym_parenthesized_operator,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7784), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7776), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [207711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [207781] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9722), 1,
      anon_sym_COLON,
    STATE(5300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9358), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [207853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [207923] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5302), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14390), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [208045] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5303), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15129), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [208167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [208237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [208307] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3187), 1,
      anon_sym_LPAREN,
    ACTIONS(3189), 1,
      anon_sym_LBRACK,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    ACTIONS(3195), 1,
      anon_sym_object,
    ACTIONS(3199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3209), 1,
      anon_sym_new,
    ACTIONS(3211), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3213), 1,
      anon_sym_begin,
    ACTIONS(3215), 1,
      sym_ocamlyacc_value,
    ACTIONS(3217), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3219), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3221), 1,
      aux_sym_number_token1,
    ACTIONS(3223), 1,
      anon_sym_SQUOTE,
    ACTIONS(3225), 1,
      anon_sym_DQUOTE,
    ACTIONS(3227), 1,
      sym_prefix_operator,
    ACTIONS(3231), 1,
      sym__capitalized_identifier,
    ACTIONS(3233), 1,
      aux_sym_tag_token1,
    ACTIONS(6563), 1,
      sym__identifier,
    STATE(5306), 1,
      sym_attribute,
    STATE(7790), 1,
      sym__value_name,
    STATE(7819), 1,
      sym__constructor_name,
    STATE(7979), 1,
      sym__simple_expression,
    STATE(8112), 1,
      sym_parenthesized_operator,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7784), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7776), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [208425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [208495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [208565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [208635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [208705] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(5311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [208777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [208847] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(5313), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6243), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [208965] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4655), 1,
      anon_sym_DOT,
    STATE(5314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [209037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [209107] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(5316), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6173), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [209225] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(5317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [209297] = 29,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(39), 1,
      anon_sym_object,
    ACTIONS(43), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(61), 1,
      anon_sym_new,
    ACTIONS(63), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(65), 1,
      anon_sym_begin,
    ACTIONS(67), 1,
      sym_ocamlyacc_value,
    ACTIONS(79), 1,
      aux_sym_number_token1,
    ACTIONS(83), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      sym_prefix_operator,
    ACTIONS(95), 1,
      sym__capitalized_identifier,
    ACTIONS(99), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4651), 1,
      sym__identifier,
    STATE(5031), 1,
      sym__value_name,
    STATE(5169), 1,
      sym_parenthesized_operator,
    STATE(5182), 1,
      sym__constructor_name,
    STATE(5186), 1,
      sym__simple_expression,
    STATE(5318), 1,
      sym_attribute,
    STATE(20077), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5021), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5248), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [209415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [209485] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__capitalized_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(5681), 1,
      sym__identifier,
    STATE(5320), 1,
      sym_attribute,
    STATE(6167), 1,
      sym__value_name,
    STATE(6263), 1,
      sym__simple_expression,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(6310), 1,
      sym__constructor_name,
    STATE(21384), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6294), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6160), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [209603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [209673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [209743] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5323), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15141), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [209865] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5324), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14962), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [209987] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5325), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15054), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [210109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9164), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [210179] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5327), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15064), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [210301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [210371] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5329), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15171), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [210493] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5330), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15178), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [210615] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5331), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14870), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [210737] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5332), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14901), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [210859] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9724), 1,
      anon_sym_COLON,
    STATE(5333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9358), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [210931] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5334), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15042), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [211053] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5335), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15058), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [211175] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5336), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15170), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [211297] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5337), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15186), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [211419] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5338), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14877), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [211541] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5339), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14883), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [211663] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5340), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14913), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [211785] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5341), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14916), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [211907] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5342), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14946), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [212029] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5343), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14953), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [212151] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5344), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14994), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [212273] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5345), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15000), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [212395] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5346), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15050), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [212517] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5347), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15060), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [212639] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5348), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15077), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [212761] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5349), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15080), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [212883] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5350), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15107), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [213005] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5351), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15125), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [213127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9364), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [213197] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5353), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15133), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [213319] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5354), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15140), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [213441] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5355), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15154), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [213563] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5356), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15159), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [213685] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5357), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15166), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [213807] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5358), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15173), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [213929] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5359), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15176), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [214051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [214121] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5361), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15180), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [214243] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5362), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15188), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [214365] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5363), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15193), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [214487] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5364), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15202), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [214609] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5365), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14864), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [214731] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5366), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14871), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [214853] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5367), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14873), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [214975] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5368), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14876), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [215097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9164), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215167] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5370), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14880), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [215289] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5371), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14884), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [215411] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5372), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14887), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [215533] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5373), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14890), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [215655] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5374), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14892), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [215777] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5375), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14895), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [215899] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5376), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14897), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [216021] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5377), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14903), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [216143] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5378), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14905), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [216265] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5379), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14908), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [216387] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5380), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14912), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [216509] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5381), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14914), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [216631] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5382), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14918), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [216753] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5383), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14922), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [216875] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5384), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14924), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [216997] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5385), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14926), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [217119] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5386), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14927), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [217241] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5387), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14931), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [217363] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5388), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14932), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [217485] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5389), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14937), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [217607] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5390), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14939), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [217729] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5391), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14943), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [217851] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5392), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14945), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [217973] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5393), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14948), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [218095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9364), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [218165] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5395), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14949), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [218287] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5396), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14952), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [218409] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5397), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14954), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [218531] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5398), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14956), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [218653] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5399), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14957), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [218775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [218845] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5401), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14960), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [218967] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5402), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14961), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [219089] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5403), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14965), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [219211] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5404), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14966), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [219333] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5405), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14969), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [219455] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5406), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14972), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [219577] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5407), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14974), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [219699] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5408), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14975), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [219821] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5409), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14978), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [219943] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5410), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14979), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [220065] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5411), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14984), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [220187] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5412), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14989), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [220309] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5413), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14995), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [220431] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5414), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(14996), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [220553] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5415), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15001), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [220675] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5416), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15003), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [220797] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5417), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15005), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [220919] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5418), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15007), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [221041] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5419), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15009), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [221163] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5420), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15010), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [221285] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5421), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15012), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [221407] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5422), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15013), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [221529] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5423), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15020), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [221651] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5424), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15021), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [221773] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5425), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15026), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [221895] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5426), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15027), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [222017] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5427), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15033), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [222139] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5428), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15034), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [222261] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5429), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15035), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [222383] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5430), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15036), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [222505] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6291), 1,
      sym__identifier,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6305), 1,
      anon_sym_LBRACE,
    ACTIONS(6307), 1,
      anon_sym_exception,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6317), 1,
      anon_sym_lazy,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6335), 1,
      sym__capitalized_identifier,
    ACTIONS(6337), 1,
      aux_sym_tag_token1,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(2928), 1,
      sym_constructor_path,
    STATE(2946), 1,
      sym_tag,
    STATE(5431), 1,
      sym_attribute,
    STATE(10069), 1,
      sym__constructor_name,
    STATE(14213), 1,
      sym__signed_constant,
    STATE(15037), 1,
      sym__pattern,
    STATE(21455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14477), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(14481), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [222627] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9394), 1,
      sym__identifier,
    ACTIONS(9396), 1,
      anon_sym_LPAREN,
    ACTIONS(9398), 1,
      anon_sym_LBRACK,
    ACTIONS(9402), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_object,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9408), 1,
      anon_sym_new,
    ACTIONS(9410), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9412), 1,
      anon_sym_begin,
    ACTIONS(9414), 1,
      sym_ocamlyacc_value,
    ACTIONS(9416), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9418), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9420), 1,
      aux_sym_number_token1,
    ACTIONS(9422), 1,
      anon_sym_SQUOTE,
    ACTIONS(9424), 1,
      anon_sym_DQUOTE,
    ACTIONS(9426), 1,
      sym_prefix_operator,
    ACTIONS(9428), 1,
      sym__capitalized_identifier,
    ACTIONS(9430), 1,
      aux_sym_tag_token1,
    STATE(5432), 1,
      sym_attribute,
    STATE(8584), 1,
      sym_parenthesized_operator,
    STATE(8589), 1,
      sym__simple_expression,
    STATE(8636), 1,
      sym__constructor_name,
    STATE(8681), 1,
      sym__value_name,
    STATE(22158), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8634), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8571), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [222745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9364), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [222814] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3773), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5434), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [222943] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7839), 1,
      sym__identifier,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7857), 1,
      anon_sym_lazy,
    ACTIONS(7897), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9726), 1,
      anon_sym_RPAREN,
    STATE(4132), 1,
      sym_constructor_path,
    STATE(4133), 1,
      sym_tag,
    STATE(5435), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15635), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [223072] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6137), 1,
      sym__identifier,
    ACTIONS(6139), 1,
      anon_sym_LPAREN,
    ACTIONS(6141), 1,
      anon_sym_LBRACK,
    ACTIONS(6145), 1,
      anon_sym_LBRACE,
    ACTIONS(6147), 1,
      anon_sym_POUND,
    ACTIONS(6149), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6151), 1,
      anon_sym_lazy,
    ACTIONS(6153), 1,
      anon_sym_begin,
    ACTIONS(6159), 1,
      aux_sym_number_token1,
    ACTIONS(6161), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6163), 1,
      anon_sym_SQUOTE,
    ACTIONS(6165), 1,
      anon_sym_DQUOTE,
    ACTIONS(6167), 1,
      sym__capitalized_identifier,
    ACTIONS(6169), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(9580), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9582), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2806), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(5436), 1,
      sym_attribute,
    STATE(5627), 1,
      sym__attribute,
    STATE(6558), 1,
      sym__constructor_name,
    STATE(6575), 1,
      sym__signed_constant,
    STATE(6661), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6676), 1,
      sym_list_binding_pattern,
    STATE(6677), 1,
      sym_array_binding_pattern,
    STATE(6697), 1,
      sym__binding_pattern,
    STATE(21000), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6143), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6498), 2,
      sym__constant,
      sym_signed_number,
    STATE(6504), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6743), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [223201] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3799), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5437), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [223330] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3785), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5438), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [223459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9364), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [223528] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3701), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5440), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [223657] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3777), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5441), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [223786] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3705), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5442), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [223915] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3759), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5443), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [224044] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3721), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5444), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [224173] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3723), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5445), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [224302] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3739), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5446), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [224431] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3641), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5447), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [224560] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7839), 1,
      sym__identifier,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7853), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7857), 1,
      anon_sym_lazy,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9728), 1,
      anon_sym_RPAREN,
    STATE(4132), 1,
      sym_constructor_path,
    STATE(4133), 1,
      sym_tag,
    STATE(5448), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15612), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [224689] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3771), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5449), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [224818] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3681), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5450), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [224947] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3741), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5451), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [225076] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3769), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5452), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [225205] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3783), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5453), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [225334] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3669), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5454), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [225463] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3703), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5455), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [225592] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7839), 1,
      sym__identifier,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7857), 1,
      anon_sym_lazy,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(4132), 1,
      sym_constructor_path,
    STATE(4133), 1,
      sym_tag,
    STATE(5456), 1,
      sym_attribute,
    STATE(5623), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(14787), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [225721] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3725), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5457), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [225850] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3767), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5458), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [225979] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3749), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5459), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [226108] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(6443), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7839), 1,
      sym__identifier,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7857), 1,
      anon_sym_lazy,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9730), 1,
      anon_sym_RPAREN,
    STATE(4132), 1,
      sym_constructor_path,
    STATE(4133), 1,
      sym_tag,
    STATE(5460), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15679), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [226237] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3763), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5461), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [226366] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6083), 1,
      sym__identifier,
    ACTIONS(6085), 1,
      anon_sym_LPAREN,
    ACTIONS(6087), 1,
      anon_sym_LBRACK,
    ACTIONS(6091), 1,
      anon_sym_LBRACE,
    ACTIONS(6093), 1,
      anon_sym_POUND,
    ACTIONS(6095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6097), 1,
      anon_sym_lazy,
    ACTIONS(6099), 1,
      anon_sym_begin,
    ACTIONS(6105), 1,
      aux_sym_number_token1,
    ACTIONS(6107), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6109), 1,
      anon_sym_SQUOTE,
    ACTIONS(6111), 1,
      anon_sym_DQUOTE,
    ACTIONS(6113), 1,
      sym__capitalized_identifier,
    ACTIONS(6115), 1,
      aux_sym_tag_token1,
    ACTIONS(9684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_rec,
    STATE(2801), 1,
      sym_tag,
    STATE(2802), 1,
      sym_constructor_path,
    STATE(2843), 1,
      sym__binding_pattern,
    STATE(5462), 1,
      sym_attribute,
    STATE(6356), 1,
      sym__signed_constant,
    STATE(6412), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym_array_binding_pattern,
    STATE(6516), 1,
      sym_parenthesized_operator,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(6588), 1,
      sym_list_binding_pattern,
    STATE(13160), 1,
      sym_let_binding,
    STATE(20390), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6089), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6421), 2,
      sym__constant,
      sym_signed_number,
    STATE(6340), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [226495] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3781), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5463), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [226624] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3635), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5464), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [226753] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3683), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5465), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [226882] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3719), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5466), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [227011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9164), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [227080] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3751), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5468), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [227209] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3757), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5469), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [227338] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9734), 1,
      anon_sym_COLON,
    STATE(5470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9358), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [227409] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3659), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5471), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [227538] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3753), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5472), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [227667] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5993), 1,
      anon_sym_LBRACK,
    ACTIONS(5997), 1,
      anon_sym_LBRACE,
    ACTIONS(5999), 1,
      anon_sym_POUND,
    ACTIONS(6001), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6003), 1,
      anon_sym_lazy,
    ACTIONS(6005), 1,
      anon_sym_begin,
    ACTIONS(6011), 1,
      aux_sym_number_token1,
    ACTIONS(6013), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6015), 1,
      anon_sym_SQUOTE,
    ACTIONS(6017), 1,
      anon_sym_DQUOTE,
    ACTIONS(6019), 1,
      sym__capitalized_identifier,
    ACTIONS(6021), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8629), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8631), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2798), 1,
      sym_tag,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(5473), 1,
      sym_attribute,
    STATE(5634), 1,
      sym__attribute,
    STATE(6345), 1,
      sym__signed_constant,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6483), 1,
      sym__binding_pattern,
    STATE(6519), 1,
      sym_record_binding_pattern,
    STATE(6538), 1,
      sym_list_binding_pattern,
    STATE(6540), 1,
      sym_array_binding_pattern,
    STATE(6542), 1,
      sym_parenthesized_operator,
    STATE(20763), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5995), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6338), 2,
      sym__constant,
      sym_signed_number,
    STATE(6417), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6484), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [227796] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3661), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5474), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [227925] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3747), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5475), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [228054] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7839), 1,
      sym__identifier,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7857), 1,
      anon_sym_lazy,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9736), 1,
      anon_sym_RPAREN,
    STATE(4132), 1,
      sym_constructor_path,
    STATE(4133), 1,
      sym_tag,
    STATE(5476), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15620), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [228183] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3779), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5477), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [228312] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3663), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5478), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [228441] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5479), 1,
      sym_attribute,
    STATE(5591), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(14787), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [228570] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3645), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5480), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [228699] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3633), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5481), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [228828] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3743), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5482), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [228957] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3761), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5483), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [229086] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7839), 1,
      sym__identifier,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7857), 1,
      anon_sym_lazy,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9738), 1,
      anon_sym_RPAREN,
    STATE(4132), 1,
      sym_constructor_path,
    STATE(4133), 1,
      sym_tag,
    STATE(5484), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15698), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [229215] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3801), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5485), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [229344] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3775), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5486), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [229473] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3639), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5487), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [229602] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5993), 1,
      anon_sym_LBRACK,
    ACTIONS(5997), 1,
      anon_sym_LBRACE,
    ACTIONS(5999), 1,
      anon_sym_POUND,
    ACTIONS(6001), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6003), 1,
      anon_sym_lazy,
    ACTIONS(6005), 1,
      anon_sym_begin,
    ACTIONS(6011), 1,
      aux_sym_number_token1,
    ACTIONS(6013), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6015), 1,
      anon_sym_SQUOTE,
    ACTIONS(6017), 1,
      anon_sym_DQUOTE,
    ACTIONS(6019), 1,
      sym__capitalized_identifier,
    ACTIONS(6021), 1,
      aux_sym_tag_token1,
    ACTIONS(8629), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8631), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_rec,
    STATE(2798), 1,
      sym_tag,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2826), 1,
      sym__binding_pattern,
    STATE(5488), 1,
      sym_attribute,
    STATE(6345), 1,
      sym__signed_constant,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6519), 1,
      sym_record_binding_pattern,
    STATE(6538), 1,
      sym_list_binding_pattern,
    STATE(6540), 1,
      sym_array_binding_pattern,
    STATE(6542), 1,
      sym_parenthesized_operator,
    STATE(12574), 1,
      sym_let_binding,
    STATE(20763), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5995), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6338), 2,
      sym__constant,
      sym_signed_number,
    STATE(6417), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6484), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [229731] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3665), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5489), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [229860] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3687), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5490), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [229989] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3707), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5491), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [230118] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3727), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5492), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [230247] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5953), 1,
      sym__identifier,
    ACTIONS(5957), 1,
      anon_sym_LPAREN,
    ACTIONS(5959), 1,
      anon_sym_LBRACK,
    ACTIONS(5963), 1,
      anon_sym_LBRACE,
    ACTIONS(5965), 1,
      anon_sym_POUND,
    ACTIONS(5967), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5969), 1,
      anon_sym_lazy,
    ACTIONS(5971), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      aux_sym_number_token1,
    ACTIONS(5979), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5981), 1,
      anon_sym_SQUOTE,
    ACTIONS(5983), 1,
      anon_sym_DQUOTE,
    ACTIONS(5985), 1,
      sym__capitalized_identifier,
    ACTIONS(5987), 1,
      aux_sym_tag_token1,
    ACTIONS(8623), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8625), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9742), 1,
      anon_sym_rec,
    STATE(2796), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(2819), 1,
      sym__binding_pattern,
    STATE(5493), 1,
      sym_attribute,
    STATE(6171), 1,
      sym__constructor_name,
    STATE(6295), 1,
      sym__signed_constant,
    STATE(6334), 1,
      sym_record_binding_pattern,
    STATE(6350), 1,
      sym_list_binding_pattern,
    STATE(6352), 1,
      sym_array_binding_pattern,
    STATE(6411), 1,
      sym_parenthesized_operator,
    STATE(12658), 1,
      sym_let_binding,
    STATE(21540), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5961), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6262), 2,
      sym__constant,
      sym_signed_number,
    STATE(6166), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6330), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [230376] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3745), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5494), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [230505] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3755), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5495), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [230634] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3765), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5496), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [230763] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5953), 1,
      sym__identifier,
    ACTIONS(5957), 1,
      anon_sym_LPAREN,
    ACTIONS(5959), 1,
      anon_sym_LBRACK,
    ACTIONS(5963), 1,
      anon_sym_LBRACE,
    ACTIONS(5965), 1,
      anon_sym_POUND,
    ACTIONS(5967), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5969), 1,
      anon_sym_lazy,
    ACTIONS(5971), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      aux_sym_number_token1,
    ACTIONS(5979), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5981), 1,
      anon_sym_SQUOTE,
    ACTIONS(5983), 1,
      anon_sym_DQUOTE,
    ACTIONS(5985), 1,
      sym__capitalized_identifier,
    ACTIONS(5987), 1,
      aux_sym_tag_token1,
    ACTIONS(8623), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8625), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9744), 1,
      anon_sym_rec,
    STATE(2796), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(2830), 1,
      sym__binding_pattern,
    STATE(5497), 1,
      sym_attribute,
    STATE(6171), 1,
      sym__constructor_name,
    STATE(6295), 1,
      sym__signed_constant,
    STATE(6334), 1,
      sym_record_binding_pattern,
    STATE(6350), 1,
      sym_list_binding_pattern,
    STATE(6352), 1,
      sym_array_binding_pattern,
    STATE(6411), 1,
      sym_parenthesized_operator,
    STATE(12820), 1,
      sym_let_binding,
    STATE(21540), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5961), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6262), 2,
      sym__constant,
      sym_signed_number,
    STATE(6166), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6330), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [230892] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9746), 1,
      anon_sym_COLON,
    STATE(5498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9358), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [230963] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6083), 1,
      sym__identifier,
    ACTIONS(6085), 1,
      anon_sym_LPAREN,
    ACTIONS(6087), 1,
      anon_sym_LBRACK,
    ACTIONS(6091), 1,
      anon_sym_LBRACE,
    ACTIONS(6093), 1,
      anon_sym_POUND,
    ACTIONS(6095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6097), 1,
      anon_sym_lazy,
    ACTIONS(6099), 1,
      anon_sym_begin,
    ACTIONS(6105), 1,
      aux_sym_number_token1,
    ACTIONS(6107), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6109), 1,
      anon_sym_SQUOTE,
    ACTIONS(6111), 1,
      anon_sym_DQUOTE,
    ACTIONS(6113), 1,
      sym__capitalized_identifier,
    ACTIONS(6115), 1,
      aux_sym_tag_token1,
    ACTIONS(9684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9748), 1,
      anon_sym_rec,
    STATE(2801), 1,
      sym_tag,
    STATE(2802), 1,
      sym_constructor_path,
    STATE(2838), 1,
      sym__binding_pattern,
    STATE(5499), 1,
      sym_attribute,
    STATE(6356), 1,
      sym__signed_constant,
    STATE(6412), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym_array_binding_pattern,
    STATE(6516), 1,
      sym_parenthesized_operator,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(6588), 1,
      sym_list_binding_pattern,
    STATE(13091), 1,
      sym_let_binding,
    STATE(20390), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6089), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6421), 2,
      sym__constant,
      sym_signed_number,
    STATE(6340), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [231092] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5500), 1,
      sym_attribute,
    STATE(5626), 1,
      sym__attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15479), 1,
      sym__binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [231221] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3685), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5501), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [231350] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    ACTIONS(9750), 1,
      anon_sym_rec,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5502), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(16011), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [231479] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7839), 1,
      sym__identifier,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7857), 1,
      anon_sym_lazy,
    ACTIONS(7887), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9752), 1,
      anon_sym_RPAREN,
    STATE(4132), 1,
      sym_constructor_path,
    STATE(4133), 1,
      sym_tag,
    STATE(5503), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15707), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [231608] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6137), 1,
      sym__identifier,
    ACTIONS(6139), 1,
      anon_sym_LPAREN,
    ACTIONS(6141), 1,
      anon_sym_LBRACK,
    ACTIONS(6145), 1,
      anon_sym_LBRACE,
    ACTIONS(6147), 1,
      anon_sym_POUND,
    ACTIONS(6149), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6151), 1,
      anon_sym_lazy,
    ACTIONS(6153), 1,
      anon_sym_begin,
    ACTIONS(6159), 1,
      aux_sym_number_token1,
    ACTIONS(6161), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6163), 1,
      anon_sym_SQUOTE,
    ACTIONS(6165), 1,
      anon_sym_DQUOTE,
    ACTIONS(6167), 1,
      sym__capitalized_identifier,
    ACTIONS(6169), 1,
      aux_sym_tag_token1,
    ACTIONS(9580), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9582), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9754), 1,
      anon_sym_rec,
    STATE(2806), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(2836), 1,
      sym__binding_pattern,
    STATE(5504), 1,
      sym_attribute,
    STATE(6558), 1,
      sym__constructor_name,
    STATE(6575), 1,
      sym__signed_constant,
    STATE(6661), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6676), 1,
      sym_list_binding_pattern,
    STATE(6677), 1,
      sym_array_binding_pattern,
    STATE(13028), 1,
      sym_let_binding,
    STATE(21000), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6143), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6498), 2,
      sym__constant,
      sym_signed_number,
    STATE(6504), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6743), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [231737] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9756), 1,
      anon_sym_COLON,
    STATE(5505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9358), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [231808] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(5506), 1,
      sym_attribute,
    STATE(5597), 1,
      sym__attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10097), 1,
      sym__binding_pattern,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [231937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9164), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [232006] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3797), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5508), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [232135] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7839), 1,
      sym__identifier,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7857), 1,
      anon_sym_lazy,
    ACTIONS(7877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9758), 1,
      anon_sym_RPAREN,
    STATE(4132), 1,
      sym_constructor_path,
    STATE(4133), 1,
      sym_tag,
    STATE(5509), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15681), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [232264] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6083), 1,
      sym__identifier,
    ACTIONS(6085), 1,
      anon_sym_LPAREN,
    ACTIONS(6087), 1,
      anon_sym_LBRACK,
    ACTIONS(6091), 1,
      anon_sym_LBRACE,
    ACTIONS(6093), 1,
      anon_sym_POUND,
    ACTIONS(6095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6097), 1,
      anon_sym_lazy,
    ACTIONS(6099), 1,
      anon_sym_begin,
    ACTIONS(6105), 1,
      aux_sym_number_token1,
    ACTIONS(6107), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6109), 1,
      anon_sym_SQUOTE,
    ACTIONS(6111), 1,
      anon_sym_DQUOTE,
    ACTIONS(6113), 1,
      sym__capitalized_identifier,
    ACTIONS(6115), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(9684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9686), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2801), 1,
      sym_tag,
    STATE(2802), 1,
      sym_constructor_path,
    STATE(5510), 1,
      sym_attribute,
    STATE(5618), 1,
      sym__attribute,
    STATE(6356), 1,
      sym__signed_constant,
    STATE(6412), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym_array_binding_pattern,
    STATE(6516), 1,
      sym_parenthesized_operator,
    STATE(6550), 1,
      sym__binding_pattern,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(6588), 1,
      sym_list_binding_pattern,
    STATE(20390), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6089), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6421), 2,
      sym__constant,
      sym_signed_number,
    STATE(6340), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [232393] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3643), 1,
      anon_sym_RPAREN,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5511), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [232522] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5953), 1,
      sym__identifier,
    ACTIONS(5957), 1,
      anon_sym_LPAREN,
    ACTIONS(5959), 1,
      anon_sym_LBRACK,
    ACTIONS(5963), 1,
      anon_sym_LBRACE,
    ACTIONS(5965), 1,
      anon_sym_POUND,
    ACTIONS(5967), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5969), 1,
      anon_sym_lazy,
    ACTIONS(5971), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      aux_sym_number_token1,
    ACTIONS(5979), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5981), 1,
      anon_sym_SQUOTE,
    ACTIONS(5983), 1,
      anon_sym_DQUOTE,
    ACTIONS(5985), 1,
      sym__capitalized_identifier,
    ACTIONS(5987), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8623), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8625), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2796), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(5512), 1,
      sym_attribute,
    STATE(5624), 1,
      sym__attribute,
    STATE(6171), 1,
      sym__constructor_name,
    STATE(6295), 1,
      sym__signed_constant,
    STATE(6334), 1,
      sym_record_binding_pattern,
    STATE(6343), 1,
      sym__binding_pattern,
    STATE(6350), 1,
      sym_list_binding_pattern,
    STATE(6352), 1,
      sym_array_binding_pattern,
    STATE(6411), 1,
      sym_parenthesized_operator,
    STATE(21540), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5961), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6262), 2,
      sym__constant,
      sym_signed_number,
    STATE(6166), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6330), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [232651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9364), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [232719] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5953), 1,
      sym__identifier,
    ACTIONS(5957), 1,
      anon_sym_LPAREN,
    ACTIONS(5959), 1,
      anon_sym_LBRACK,
    ACTIONS(5963), 1,
      anon_sym_LBRACE,
    ACTIONS(5965), 1,
      anon_sym_POUND,
    ACTIONS(5967), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5969), 1,
      anon_sym_lazy,
    ACTIONS(5971), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      aux_sym_number_token1,
    ACTIONS(5979), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5981), 1,
      anon_sym_SQUOTE,
    ACTIONS(5983), 1,
      anon_sym_DQUOTE,
    ACTIONS(5985), 1,
      sym__capitalized_identifier,
    ACTIONS(5987), 1,
      aux_sym_tag_token1,
    ACTIONS(8623), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8625), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2796), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(2819), 1,
      sym__binding_pattern,
    STATE(5514), 1,
      sym_attribute,
    STATE(6171), 1,
      sym__constructor_name,
    STATE(6295), 1,
      sym__signed_constant,
    STATE(6334), 1,
      sym_record_binding_pattern,
    STATE(6350), 1,
      sym_list_binding_pattern,
    STATE(6352), 1,
      sym_array_binding_pattern,
    STATE(6411), 1,
      sym_parenthesized_operator,
    STATE(12658), 1,
      sym_let_binding,
    STATE(21540), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5961), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6262), 2,
      sym__constant,
      sym_signed_number,
    STATE(6166), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6330), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [232845] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    ACTIONS(9760), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5515), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15092), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [232971] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    ACTIONS(9762), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5516), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15134), 1,
      sym__binding_pattern,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [233097] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    ACTIONS(9764), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5517), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15016), 1,
      sym__binding_pattern,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [233223] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6083), 1,
      sym__identifier,
    ACTIONS(6085), 1,
      anon_sym_LPAREN,
    ACTIONS(6087), 1,
      anon_sym_LBRACK,
    ACTIONS(6091), 1,
      anon_sym_LBRACE,
    ACTIONS(6093), 1,
      anon_sym_POUND,
    ACTIONS(6095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6097), 1,
      anon_sym_lazy,
    ACTIONS(6099), 1,
      anon_sym_begin,
    ACTIONS(6105), 1,
      aux_sym_number_token1,
    ACTIONS(6107), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6109), 1,
      anon_sym_SQUOTE,
    ACTIONS(6111), 1,
      anon_sym_DQUOTE,
    ACTIONS(6113), 1,
      sym__capitalized_identifier,
    ACTIONS(6115), 1,
      aux_sym_tag_token1,
    ACTIONS(9684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9686), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2801), 1,
      sym_tag,
    STATE(2802), 1,
      sym_constructor_path,
    STATE(2843), 1,
      sym__binding_pattern,
    STATE(5518), 1,
      sym_attribute,
    STATE(6356), 1,
      sym__signed_constant,
    STATE(6412), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym_array_binding_pattern,
    STATE(6516), 1,
      sym_parenthesized_operator,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(6588), 1,
      sym_list_binding_pattern,
    STATE(13132), 1,
      sym_let_binding,
    STATE(20390), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6089), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6421), 2,
      sym__constant,
      sym_signed_number,
    STATE(6340), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [233349] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6083), 1,
      sym__identifier,
    ACTIONS(6085), 1,
      anon_sym_LPAREN,
    ACTIONS(6087), 1,
      anon_sym_LBRACK,
    ACTIONS(6091), 1,
      anon_sym_LBRACE,
    ACTIONS(6093), 1,
      anon_sym_POUND,
    ACTIONS(6095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6097), 1,
      anon_sym_lazy,
    ACTIONS(6099), 1,
      anon_sym_begin,
    ACTIONS(6105), 1,
      aux_sym_number_token1,
    ACTIONS(6107), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6109), 1,
      anon_sym_SQUOTE,
    ACTIONS(6111), 1,
      anon_sym_DQUOTE,
    ACTIONS(6113), 1,
      sym__capitalized_identifier,
    ACTIONS(6115), 1,
      aux_sym_tag_token1,
    ACTIONS(9684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9686), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2801), 1,
      sym_tag,
    STATE(2802), 1,
      sym_constructor_path,
    STATE(2843), 1,
      sym__binding_pattern,
    STATE(5519), 1,
      sym_attribute,
    STATE(6356), 1,
      sym__signed_constant,
    STATE(6412), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym_array_binding_pattern,
    STATE(6516), 1,
      sym_parenthesized_operator,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(6588), 1,
      sym_list_binding_pattern,
    STATE(13160), 1,
      sym_let_binding,
    STATE(20390), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6089), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6421), 2,
      sym__constant,
      sym_signed_number,
    STATE(6340), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [233475] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    ACTIONS(9766), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5520), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(14971), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [233601] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    ACTIONS(9768), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5521), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(14973), 1,
      sym__binding_pattern,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [233727] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5522), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(15925), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [233853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9164), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [233921] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5524), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(16011), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [234047] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    ACTIONS(9770), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5525), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15162), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [234173] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    ACTIONS(9772), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5526), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15426), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [234299] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    ACTIONS(9774), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5527), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15164), 1,
      sym__binding_pattern,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [234425] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    ACTIONS(9776), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5528), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15352), 1,
      sym__binding_pattern,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [234551] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    ACTIONS(9778), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5529), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15426), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [234677] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    ACTIONS(9780), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5530), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15352), 1,
      sym__binding_pattern,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [234803] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    ACTIONS(9782), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5531), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15426), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [234929] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    ACTIONS(9784), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5532), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15352), 1,
      sym__binding_pattern,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [235055] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    ACTIONS(9786), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5533), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15015), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [235181] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    ACTIONS(9788), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5534), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15352), 1,
      sym__binding_pattern,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [235307] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    ACTIONS(9790), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5535), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15426), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [235433] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9792), 1,
      anon_sym_COLON,
    STATE(5536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9358), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [235503] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5993), 1,
      anon_sym_LBRACK,
    ACTIONS(5997), 1,
      anon_sym_LBRACE,
    ACTIONS(5999), 1,
      anon_sym_POUND,
    ACTIONS(6001), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6003), 1,
      anon_sym_lazy,
    ACTIONS(6005), 1,
      anon_sym_begin,
    ACTIONS(6011), 1,
      aux_sym_number_token1,
    ACTIONS(6013), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6015), 1,
      anon_sym_SQUOTE,
    ACTIONS(6017), 1,
      anon_sym_DQUOTE,
    ACTIONS(6019), 1,
      sym__capitalized_identifier,
    ACTIONS(6021), 1,
      aux_sym_tag_token1,
    ACTIONS(8629), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8631), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2798), 1,
      sym_tag,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2826), 1,
      sym__binding_pattern,
    STATE(5537), 1,
      sym_attribute,
    STATE(6345), 1,
      sym__signed_constant,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6519), 1,
      sym_record_binding_pattern,
    STATE(6538), 1,
      sym_list_binding_pattern,
    STATE(6540), 1,
      sym_array_binding_pattern,
    STATE(6542), 1,
      sym_parenthesized_operator,
    STATE(12283), 1,
      sym_let_binding,
    STATE(20763), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5995), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6338), 2,
      sym__constant,
      sym_signed_number,
    STATE(6417), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6484), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [235629] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    ACTIONS(9794), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5538), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15426), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [235755] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    ACTIONS(9796), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5539), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15352), 1,
      sym__binding_pattern,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [235881] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    ACTIONS(9798), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5540), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15426), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [236007] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    ACTIONS(9800), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5541), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15352), 1,
      sym__binding_pattern,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [236133] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    ACTIONS(9802), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5542), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15352), 1,
      sym__binding_pattern,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [236259] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5993), 1,
      anon_sym_LBRACK,
    ACTIONS(5997), 1,
      anon_sym_LBRACE,
    ACTIONS(5999), 1,
      anon_sym_POUND,
    ACTIONS(6001), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6003), 1,
      anon_sym_lazy,
    ACTIONS(6005), 1,
      anon_sym_begin,
    ACTIONS(6011), 1,
      aux_sym_number_token1,
    ACTIONS(6013), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6015), 1,
      anon_sym_SQUOTE,
    ACTIONS(6017), 1,
      anon_sym_DQUOTE,
    ACTIONS(6019), 1,
      sym__capitalized_identifier,
    ACTIONS(6021), 1,
      aux_sym_tag_token1,
    ACTIONS(8629), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8631), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2798), 1,
      sym_tag,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2826), 1,
      sym__binding_pattern,
    STATE(5543), 1,
      sym_attribute,
    STATE(6345), 1,
      sym__signed_constant,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6519), 1,
      sym_record_binding_pattern,
    STATE(6538), 1,
      sym_list_binding_pattern,
    STATE(6540), 1,
      sym_array_binding_pattern,
    STATE(6542), 1,
      sym_parenthesized_operator,
    STATE(12550), 1,
      sym_let_binding,
    STATE(20763), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5995), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6338), 2,
      sym__constant,
      sym_signed_number,
    STATE(6417), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6484), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [236385] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5953), 1,
      sym__identifier,
    ACTIONS(5957), 1,
      anon_sym_LPAREN,
    ACTIONS(5959), 1,
      anon_sym_LBRACK,
    ACTIONS(5963), 1,
      anon_sym_LBRACE,
    ACTIONS(5965), 1,
      anon_sym_POUND,
    ACTIONS(5967), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5969), 1,
      anon_sym_lazy,
    ACTIONS(5971), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      aux_sym_number_token1,
    ACTIONS(5979), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5981), 1,
      anon_sym_SQUOTE,
    ACTIONS(5983), 1,
      anon_sym_DQUOTE,
    ACTIONS(5985), 1,
      sym__capitalized_identifier,
    ACTIONS(5987), 1,
      aux_sym_tag_token1,
    ACTIONS(8623), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8625), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2796), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(2819), 1,
      sym__binding_pattern,
    STATE(5544), 1,
      sym_attribute,
    STATE(6171), 1,
      sym__constructor_name,
    STATE(6295), 1,
      sym__signed_constant,
    STATE(6334), 1,
      sym_record_binding_pattern,
    STATE(6350), 1,
      sym_list_binding_pattern,
    STATE(6352), 1,
      sym_array_binding_pattern,
    STATE(6411), 1,
      sym_parenthesized_operator,
    STATE(12714), 1,
      sym_let_binding,
    STATE(21540), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5961), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6262), 2,
      sym__constant,
      sym_signed_number,
    STATE(6166), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6330), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [236511] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5953), 1,
      sym__identifier,
    ACTIONS(5957), 1,
      anon_sym_LPAREN,
    ACTIONS(5959), 1,
      anon_sym_LBRACK,
    ACTIONS(5963), 1,
      anon_sym_LBRACE,
    ACTIONS(5965), 1,
      anon_sym_POUND,
    ACTIONS(5967), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5969), 1,
      anon_sym_lazy,
    ACTIONS(5971), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      aux_sym_number_token1,
    ACTIONS(5979), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5981), 1,
      anon_sym_SQUOTE,
    ACTIONS(5983), 1,
      anon_sym_DQUOTE,
    ACTIONS(5985), 1,
      sym__capitalized_identifier,
    ACTIONS(5987), 1,
      aux_sym_tag_token1,
    ACTIONS(8623), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8625), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2796), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(2830), 1,
      sym__binding_pattern,
    STATE(5545), 1,
      sym_attribute,
    STATE(6171), 1,
      sym__constructor_name,
    STATE(6295), 1,
      sym__signed_constant,
    STATE(6334), 1,
      sym_record_binding_pattern,
    STATE(6350), 1,
      sym_list_binding_pattern,
    STATE(6352), 1,
      sym_array_binding_pattern,
    STATE(6411), 1,
      sym_parenthesized_operator,
    STATE(12283), 1,
      sym_let_binding,
    STATE(21540), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5961), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6262), 2,
      sym__constant,
      sym_signed_number,
    STATE(6166), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6330), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [236637] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5953), 1,
      sym__identifier,
    ACTIONS(5957), 1,
      anon_sym_LPAREN,
    ACTIONS(5959), 1,
      anon_sym_LBRACK,
    ACTIONS(5963), 1,
      anon_sym_LBRACE,
    ACTIONS(5965), 1,
      anon_sym_POUND,
    ACTIONS(5967), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5969), 1,
      anon_sym_lazy,
    ACTIONS(5971), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      aux_sym_number_token1,
    ACTIONS(5979), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5981), 1,
      anon_sym_SQUOTE,
    ACTIONS(5983), 1,
      anon_sym_DQUOTE,
    ACTIONS(5985), 1,
      sym__capitalized_identifier,
    ACTIONS(5987), 1,
      aux_sym_tag_token1,
    ACTIONS(8623), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8625), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2796), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(2830), 1,
      sym__binding_pattern,
    STATE(5546), 1,
      sym_attribute,
    STATE(6171), 1,
      sym__constructor_name,
    STATE(6295), 1,
      sym__signed_constant,
    STATE(6334), 1,
      sym_record_binding_pattern,
    STATE(6350), 1,
      sym_list_binding_pattern,
    STATE(6352), 1,
      sym_array_binding_pattern,
    STATE(6411), 1,
      sym_parenthesized_operator,
    STATE(12529), 1,
      sym_let_binding,
    STATE(21540), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5961), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6262), 2,
      sym__constant,
      sym_signed_number,
    STATE(6166), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6330), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [236763] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    ACTIONS(9804), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5547), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15426), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [236889] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6083), 1,
      sym__identifier,
    ACTIONS(6085), 1,
      anon_sym_LPAREN,
    ACTIONS(6087), 1,
      anon_sym_LBRACK,
    ACTIONS(6091), 1,
      anon_sym_LBRACE,
    ACTIONS(6093), 1,
      anon_sym_POUND,
    ACTIONS(6095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6097), 1,
      anon_sym_lazy,
    ACTIONS(6099), 1,
      anon_sym_begin,
    ACTIONS(6105), 1,
      aux_sym_number_token1,
    ACTIONS(6107), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6109), 1,
      anon_sym_SQUOTE,
    ACTIONS(6111), 1,
      anon_sym_DQUOTE,
    ACTIONS(6113), 1,
      sym__capitalized_identifier,
    ACTIONS(6115), 1,
      aux_sym_tag_token1,
    ACTIONS(9684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9686), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2801), 1,
      sym_tag,
    STATE(2802), 1,
      sym_constructor_path,
    STATE(2838), 1,
      sym__binding_pattern,
    STATE(5548), 1,
      sym_attribute,
    STATE(6356), 1,
      sym__signed_constant,
    STATE(6412), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym_array_binding_pattern,
    STATE(6516), 1,
      sym_parenthesized_operator,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(6588), 1,
      sym_list_binding_pattern,
    STATE(12283), 1,
      sym_let_binding,
    STATE(20390), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6089), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6421), 2,
      sym__constant,
      sym_signed_number,
    STATE(6340), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [237015] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6083), 1,
      sym__identifier,
    ACTIONS(6085), 1,
      anon_sym_LPAREN,
    ACTIONS(6087), 1,
      anon_sym_LBRACK,
    ACTIONS(6091), 1,
      anon_sym_LBRACE,
    ACTIONS(6093), 1,
      anon_sym_POUND,
    ACTIONS(6095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6097), 1,
      anon_sym_lazy,
    ACTIONS(6099), 1,
      anon_sym_begin,
    ACTIONS(6105), 1,
      aux_sym_number_token1,
    ACTIONS(6107), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6109), 1,
      anon_sym_SQUOTE,
    ACTIONS(6111), 1,
      anon_sym_DQUOTE,
    ACTIONS(6113), 1,
      sym__capitalized_identifier,
    ACTIONS(6115), 1,
      aux_sym_tag_token1,
    ACTIONS(9684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9686), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2801), 1,
      sym_tag,
    STATE(2802), 1,
      sym_constructor_path,
    STATE(2838), 1,
      sym__binding_pattern,
    STATE(5549), 1,
      sym_attribute,
    STATE(6356), 1,
      sym__signed_constant,
    STATE(6412), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym_array_binding_pattern,
    STATE(6516), 1,
      sym_parenthesized_operator,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(6588), 1,
      sym_list_binding_pattern,
    STATE(13088), 1,
      sym_let_binding,
    STATE(20390), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6089), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6421), 2,
      sym__constant,
      sym_signed_number,
    STATE(6340), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [237141] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6083), 1,
      sym__identifier,
    ACTIONS(6085), 1,
      anon_sym_LPAREN,
    ACTIONS(6087), 1,
      anon_sym_LBRACK,
    ACTIONS(6091), 1,
      anon_sym_LBRACE,
    ACTIONS(6093), 1,
      anon_sym_POUND,
    ACTIONS(6095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6097), 1,
      anon_sym_lazy,
    ACTIONS(6099), 1,
      anon_sym_begin,
    ACTIONS(6105), 1,
      aux_sym_number_token1,
    ACTIONS(6107), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6109), 1,
      anon_sym_SQUOTE,
    ACTIONS(6111), 1,
      anon_sym_DQUOTE,
    ACTIONS(6113), 1,
      sym__capitalized_identifier,
    ACTIONS(6115), 1,
      aux_sym_tag_token1,
    ACTIONS(9684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9686), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2801), 1,
      sym_tag,
    STATE(2802), 1,
      sym_constructor_path,
    STATE(2838), 1,
      sym__binding_pattern,
    STATE(5550), 1,
      sym_attribute,
    STATE(6356), 1,
      sym__signed_constant,
    STATE(6412), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym_array_binding_pattern,
    STATE(6516), 1,
      sym_parenthesized_operator,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(6588), 1,
      sym_list_binding_pattern,
    STATE(13090), 1,
      sym_let_binding,
    STATE(20390), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6089), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6421), 2,
      sym__constant,
      sym_signed_number,
    STATE(6340), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [237267] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6083), 1,
      sym__identifier,
    ACTIONS(6085), 1,
      anon_sym_LPAREN,
    ACTIONS(6087), 1,
      anon_sym_LBRACK,
    ACTIONS(6091), 1,
      anon_sym_LBRACE,
    ACTIONS(6093), 1,
      anon_sym_POUND,
    ACTIONS(6095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6097), 1,
      anon_sym_lazy,
    ACTIONS(6099), 1,
      anon_sym_begin,
    ACTIONS(6105), 1,
      aux_sym_number_token1,
    ACTIONS(6107), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6109), 1,
      anon_sym_SQUOTE,
    ACTIONS(6111), 1,
      anon_sym_DQUOTE,
    ACTIONS(6113), 1,
      sym__capitalized_identifier,
    ACTIONS(6115), 1,
      aux_sym_tag_token1,
    ACTIONS(9684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9686), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2801), 1,
      sym_tag,
    STATE(2802), 1,
      sym_constructor_path,
    STATE(2838), 1,
      sym__binding_pattern,
    STATE(5551), 1,
      sym_attribute,
    STATE(6356), 1,
      sym__signed_constant,
    STATE(6412), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym_array_binding_pattern,
    STATE(6516), 1,
      sym_parenthesized_operator,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(6588), 1,
      sym_list_binding_pattern,
    STATE(13091), 1,
      sym_let_binding,
    STATE(20390), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6089), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6421), 2,
      sym__constant,
      sym_signed_number,
    STATE(6340), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [237393] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5993), 1,
      anon_sym_LBRACK,
    ACTIONS(5997), 1,
      anon_sym_LBRACE,
    ACTIONS(5999), 1,
      anon_sym_POUND,
    ACTIONS(6001), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6003), 1,
      anon_sym_lazy,
    ACTIONS(6005), 1,
      anon_sym_begin,
    ACTIONS(6011), 1,
      aux_sym_number_token1,
    ACTIONS(6013), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6015), 1,
      anon_sym_SQUOTE,
    ACTIONS(6017), 1,
      anon_sym_DQUOTE,
    ACTIONS(6019), 1,
      sym__capitalized_identifier,
    ACTIONS(6021), 1,
      aux_sym_tag_token1,
    ACTIONS(8629), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8631), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2798), 1,
      sym_tag,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2826), 1,
      sym__binding_pattern,
    STATE(5552), 1,
      sym_attribute,
    STATE(6345), 1,
      sym__signed_constant,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6519), 1,
      sym_record_binding_pattern,
    STATE(6538), 1,
      sym_list_binding_pattern,
    STATE(6540), 1,
      sym_array_binding_pattern,
    STATE(6542), 1,
      sym_parenthesized_operator,
    STATE(12573), 1,
      sym_let_binding,
    STATE(20763), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5995), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6338), 2,
      sym__constant,
      sym_signed_number,
    STATE(6417), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6484), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [237519] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    ACTIONS(9806), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5553), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15426), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [237645] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    ACTIONS(9808), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5554), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15049), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [237771] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    ACTIONS(9810), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5555), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15055), 1,
      sym__binding_pattern,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [237897] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6083), 1,
      sym__identifier,
    ACTIONS(6085), 1,
      anon_sym_LPAREN,
    ACTIONS(6087), 1,
      anon_sym_LBRACK,
    ACTIONS(6091), 1,
      anon_sym_LBRACE,
    ACTIONS(6093), 1,
      anon_sym_POUND,
    ACTIONS(6095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6097), 1,
      anon_sym_lazy,
    ACTIONS(6099), 1,
      anon_sym_begin,
    ACTIONS(6105), 1,
      aux_sym_number_token1,
    ACTIONS(6107), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6109), 1,
      anon_sym_SQUOTE,
    ACTIONS(6111), 1,
      anon_sym_DQUOTE,
    ACTIONS(6113), 1,
      sym__capitalized_identifier,
    ACTIONS(6115), 1,
      aux_sym_tag_token1,
    ACTIONS(9684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9686), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2801), 1,
      sym_tag,
    STATE(2802), 1,
      sym_constructor_path,
    STATE(2843), 1,
      sym__binding_pattern,
    STATE(5556), 1,
      sym_attribute,
    STATE(6356), 1,
      sym__signed_constant,
    STATE(6412), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym_array_binding_pattern,
    STATE(6516), 1,
      sym_parenthesized_operator,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(6588), 1,
      sym_list_binding_pattern,
    STATE(12283), 1,
      sym_let_binding,
    STATE(20390), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6089), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6421), 2,
      sym__constant,
      sym_signed_number,
    STATE(6340), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [238023] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9812), 1,
      anon_sym_COLON,
    STATE(5557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9358), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [238093] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5953), 1,
      sym__identifier,
    ACTIONS(5957), 1,
      anon_sym_LPAREN,
    ACTIONS(5959), 1,
      anon_sym_LBRACK,
    ACTIONS(5963), 1,
      anon_sym_LBRACE,
    ACTIONS(5965), 1,
      anon_sym_POUND,
    ACTIONS(5967), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5969), 1,
      anon_sym_lazy,
    ACTIONS(5971), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      aux_sym_number_token1,
    ACTIONS(5979), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5981), 1,
      anon_sym_SQUOTE,
    ACTIONS(5983), 1,
      anon_sym_DQUOTE,
    ACTIONS(5985), 1,
      sym__capitalized_identifier,
    ACTIONS(5987), 1,
      aux_sym_tag_token1,
    ACTIONS(8623), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8625), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2796), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(2819), 1,
      sym__binding_pattern,
    STATE(5558), 1,
      sym_attribute,
    STATE(6171), 1,
      sym__constructor_name,
    STATE(6295), 1,
      sym__signed_constant,
    STATE(6334), 1,
      sym_record_binding_pattern,
    STATE(6350), 1,
      sym_list_binding_pattern,
    STATE(6352), 1,
      sym_array_binding_pattern,
    STATE(6411), 1,
      sym_parenthesized_operator,
    STATE(12283), 1,
      sym_let_binding,
    STATE(21540), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5961), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6262), 2,
      sym__constant,
      sym_signed_number,
    STATE(6166), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6330), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [238219] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5953), 1,
      sym__identifier,
    ACTIONS(5957), 1,
      anon_sym_LPAREN,
    ACTIONS(5959), 1,
      anon_sym_LBRACK,
    ACTIONS(5963), 1,
      anon_sym_LBRACE,
    ACTIONS(5965), 1,
      anon_sym_POUND,
    ACTIONS(5967), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5969), 1,
      anon_sym_lazy,
    ACTIONS(5971), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      aux_sym_number_token1,
    ACTIONS(5979), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5981), 1,
      anon_sym_SQUOTE,
    ACTIONS(5983), 1,
      anon_sym_DQUOTE,
    ACTIONS(5985), 1,
      sym__capitalized_identifier,
    ACTIONS(5987), 1,
      aux_sym_tag_token1,
    ACTIONS(8623), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8625), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2796), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(2819), 1,
      sym__binding_pattern,
    STATE(5559), 1,
      sym_attribute,
    STATE(6171), 1,
      sym__constructor_name,
    STATE(6295), 1,
      sym__signed_constant,
    STATE(6334), 1,
      sym_record_binding_pattern,
    STATE(6350), 1,
      sym_list_binding_pattern,
    STATE(6352), 1,
      sym_array_binding_pattern,
    STATE(6411), 1,
      sym_parenthesized_operator,
    STATE(12921), 1,
      sym_let_binding,
    STATE(21540), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5961), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6262), 2,
      sym__constant,
      sym_signed_number,
    STATE(6166), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6330), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [238345] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5953), 1,
      sym__identifier,
    ACTIONS(5957), 1,
      anon_sym_LPAREN,
    ACTIONS(5959), 1,
      anon_sym_LBRACK,
    ACTIONS(5963), 1,
      anon_sym_LBRACE,
    ACTIONS(5965), 1,
      anon_sym_POUND,
    ACTIONS(5967), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5969), 1,
      anon_sym_lazy,
    ACTIONS(5971), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      aux_sym_number_token1,
    ACTIONS(5979), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5981), 1,
      anon_sym_SQUOTE,
    ACTIONS(5983), 1,
      anon_sym_DQUOTE,
    ACTIONS(5985), 1,
      sym__capitalized_identifier,
    ACTIONS(5987), 1,
      aux_sym_tag_token1,
    ACTIONS(8623), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8625), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2796), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(2830), 1,
      sym__binding_pattern,
    STATE(5560), 1,
      sym_attribute,
    STATE(6171), 1,
      sym__constructor_name,
    STATE(6295), 1,
      sym__signed_constant,
    STATE(6334), 1,
      sym_record_binding_pattern,
    STATE(6350), 1,
      sym_list_binding_pattern,
    STATE(6352), 1,
      sym_array_binding_pattern,
    STATE(6411), 1,
      sym_parenthesized_operator,
    STATE(12819), 1,
      sym_let_binding,
    STATE(21540), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5961), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6262), 2,
      sym__constant,
      sym_signed_number,
    STATE(6166), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6330), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [238471] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5953), 1,
      sym__identifier,
    ACTIONS(5957), 1,
      anon_sym_LPAREN,
    ACTIONS(5959), 1,
      anon_sym_LBRACK,
    ACTIONS(5963), 1,
      anon_sym_LBRACE,
    ACTIONS(5965), 1,
      anon_sym_POUND,
    ACTIONS(5967), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5969), 1,
      anon_sym_lazy,
    ACTIONS(5971), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      aux_sym_number_token1,
    ACTIONS(5979), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5981), 1,
      anon_sym_SQUOTE,
    ACTIONS(5983), 1,
      anon_sym_DQUOTE,
    ACTIONS(5985), 1,
      sym__capitalized_identifier,
    ACTIONS(5987), 1,
      aux_sym_tag_token1,
    ACTIONS(8623), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8625), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2796), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(2830), 1,
      sym__binding_pattern,
    STATE(5561), 1,
      sym_attribute,
    STATE(6171), 1,
      sym__constructor_name,
    STATE(6295), 1,
      sym__signed_constant,
    STATE(6334), 1,
      sym_record_binding_pattern,
    STATE(6350), 1,
      sym_list_binding_pattern,
    STATE(6352), 1,
      sym_array_binding_pattern,
    STATE(6411), 1,
      sym_parenthesized_operator,
    STATE(12820), 1,
      sym_let_binding,
    STATE(21540), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5961), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6262), 2,
      sym__constant,
      sym_signed_number,
    STATE(6166), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6330), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [238597] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    ACTIONS(9814), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5562), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15426), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [238723] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    ACTIONS(9816), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5563), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15352), 1,
      sym__binding_pattern,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [238849] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    ACTIONS(9818), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5564), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15426), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [238975] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    ACTIONS(9820), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5565), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15352), 1,
      sym__binding_pattern,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [239101] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6083), 1,
      sym__identifier,
    ACTIONS(6085), 1,
      anon_sym_LPAREN,
    ACTIONS(6087), 1,
      anon_sym_LBRACK,
    ACTIONS(6091), 1,
      anon_sym_LBRACE,
    ACTIONS(6093), 1,
      anon_sym_POUND,
    ACTIONS(6095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6097), 1,
      anon_sym_lazy,
    ACTIONS(6099), 1,
      anon_sym_begin,
    ACTIONS(6105), 1,
      aux_sym_number_token1,
    ACTIONS(6107), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6109), 1,
      anon_sym_SQUOTE,
    ACTIONS(6111), 1,
      anon_sym_DQUOTE,
    ACTIONS(6113), 1,
      sym__capitalized_identifier,
    ACTIONS(6115), 1,
      aux_sym_tag_token1,
    ACTIONS(9684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9686), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2801), 1,
      sym_tag,
    STATE(2802), 1,
      sym_constructor_path,
    STATE(2843), 1,
      sym__binding_pattern,
    STATE(5566), 1,
      sym_attribute,
    STATE(6356), 1,
      sym__signed_constant,
    STATE(6412), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym_array_binding_pattern,
    STATE(6516), 1,
      sym_parenthesized_operator,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(6588), 1,
      sym_list_binding_pattern,
    STATE(13065), 1,
      sym_let_binding,
    STATE(20390), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6089), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6421), 2,
      sym__constant,
      sym_signed_number,
    STATE(6340), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [239227] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6137), 1,
      sym__identifier,
    ACTIONS(6139), 1,
      anon_sym_LPAREN,
    ACTIONS(6141), 1,
      anon_sym_LBRACK,
    ACTIONS(6145), 1,
      anon_sym_LBRACE,
    ACTIONS(6147), 1,
      anon_sym_POUND,
    ACTIONS(6149), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6151), 1,
      anon_sym_lazy,
    ACTIONS(6153), 1,
      anon_sym_begin,
    ACTIONS(6159), 1,
      aux_sym_number_token1,
    ACTIONS(6161), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6163), 1,
      anon_sym_SQUOTE,
    ACTIONS(6165), 1,
      anon_sym_DQUOTE,
    ACTIONS(6167), 1,
      sym__capitalized_identifier,
    ACTIONS(6169), 1,
      aux_sym_tag_token1,
    ACTIONS(9580), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9582), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2806), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(2836), 1,
      sym__binding_pattern,
    STATE(5567), 1,
      sym_attribute,
    STATE(6558), 1,
      sym__constructor_name,
    STATE(6575), 1,
      sym__signed_constant,
    STATE(6661), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6676), 1,
      sym_list_binding_pattern,
    STATE(6677), 1,
      sym_array_binding_pattern,
    STATE(12283), 1,
      sym_let_binding,
    STATE(21000), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6143), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6498), 2,
      sym__constant,
      sym_signed_number,
    STATE(6504), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6743), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [239353] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6137), 1,
      sym__identifier,
    ACTIONS(6139), 1,
      anon_sym_LPAREN,
    ACTIONS(6141), 1,
      anon_sym_LBRACK,
    ACTIONS(6145), 1,
      anon_sym_LBRACE,
    ACTIONS(6147), 1,
      anon_sym_POUND,
    ACTIONS(6149), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6151), 1,
      anon_sym_lazy,
    ACTIONS(6153), 1,
      anon_sym_begin,
    ACTIONS(6159), 1,
      aux_sym_number_token1,
    ACTIONS(6161), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6163), 1,
      anon_sym_SQUOTE,
    ACTIONS(6165), 1,
      anon_sym_DQUOTE,
    ACTIONS(6167), 1,
      sym__capitalized_identifier,
    ACTIONS(6169), 1,
      aux_sym_tag_token1,
    ACTIONS(9580), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9582), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2806), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(2836), 1,
      sym__binding_pattern,
    STATE(5568), 1,
      sym_attribute,
    STATE(6558), 1,
      sym__constructor_name,
    STATE(6575), 1,
      sym__signed_constant,
    STATE(6661), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6676), 1,
      sym_list_binding_pattern,
    STATE(6677), 1,
      sym_array_binding_pattern,
    STATE(13004), 1,
      sym_let_binding,
    STATE(21000), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6143), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6498), 2,
      sym__constant,
      sym_signed_number,
    STATE(6504), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6743), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [239479] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6137), 1,
      sym__identifier,
    ACTIONS(6139), 1,
      anon_sym_LPAREN,
    ACTIONS(6141), 1,
      anon_sym_LBRACK,
    ACTIONS(6145), 1,
      anon_sym_LBRACE,
    ACTIONS(6147), 1,
      anon_sym_POUND,
    ACTIONS(6149), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6151), 1,
      anon_sym_lazy,
    ACTIONS(6153), 1,
      anon_sym_begin,
    ACTIONS(6159), 1,
      aux_sym_number_token1,
    ACTIONS(6161), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6163), 1,
      anon_sym_SQUOTE,
    ACTIONS(6165), 1,
      anon_sym_DQUOTE,
    ACTIONS(6167), 1,
      sym__capitalized_identifier,
    ACTIONS(6169), 1,
      aux_sym_tag_token1,
    ACTIONS(9580), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9582), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2806), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(2836), 1,
      sym__binding_pattern,
    STATE(5569), 1,
      sym_attribute,
    STATE(6558), 1,
      sym__constructor_name,
    STATE(6575), 1,
      sym__signed_constant,
    STATE(6661), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6676), 1,
      sym_list_binding_pattern,
    STATE(6677), 1,
      sym_array_binding_pattern,
    STATE(13026), 1,
      sym_let_binding,
    STATE(21000), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6143), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6498), 2,
      sym__constant,
      sym_signed_number,
    STATE(6504), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6743), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [239605] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6137), 1,
      sym__identifier,
    ACTIONS(6139), 1,
      anon_sym_LPAREN,
    ACTIONS(6141), 1,
      anon_sym_LBRACK,
    ACTIONS(6145), 1,
      anon_sym_LBRACE,
    ACTIONS(6147), 1,
      anon_sym_POUND,
    ACTIONS(6149), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6151), 1,
      anon_sym_lazy,
    ACTIONS(6153), 1,
      anon_sym_begin,
    ACTIONS(6159), 1,
      aux_sym_number_token1,
    ACTIONS(6161), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6163), 1,
      anon_sym_SQUOTE,
    ACTIONS(6165), 1,
      anon_sym_DQUOTE,
    ACTIONS(6167), 1,
      sym__capitalized_identifier,
    ACTIONS(6169), 1,
      aux_sym_tag_token1,
    ACTIONS(9580), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9582), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2806), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(2836), 1,
      sym__binding_pattern,
    STATE(5570), 1,
      sym_attribute,
    STATE(6558), 1,
      sym__constructor_name,
    STATE(6575), 1,
      sym__signed_constant,
    STATE(6661), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6676), 1,
      sym_list_binding_pattern,
    STATE(6677), 1,
      sym_array_binding_pattern,
    STATE(13028), 1,
      sym_let_binding,
    STATE(21000), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6143), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6498), 2,
      sym__constant,
      sym_signed_number,
    STATE(6504), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6743), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [239731] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    ACTIONS(9822), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5571), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15086), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [239857] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    ACTIONS(9824), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5572), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15087), 1,
      sym__binding_pattern,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [239983] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    ACTIONS(9826), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5573), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15426), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [240109] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    ACTIONS(9828), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5574), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15426), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [240235] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    ACTIONS(9830), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5575), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15352), 1,
      sym__binding_pattern,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [240361] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    ACTIONS(9832), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5576), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15352), 1,
      sym__binding_pattern,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [240487] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    ACTIONS(9834), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5577), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15426), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [240613] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    ACTIONS(9836), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5578), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15352), 1,
      sym__binding_pattern,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [240739] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9838), 1,
      anon_sym_COLON,
    STATE(5579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9358), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [240809] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    ACTIONS(9840), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5580), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(14910), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [240935] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    ACTIONS(9842), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5581), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(14911), 1,
      sym__binding_pattern,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [241061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9164), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [241129] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5583), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(16864), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [241255] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(2991), 1,
      sym__binding_pattern,
    STATE(5584), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(16127), 1,
      sym_let_binding,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [241381] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    ACTIONS(9844), 1,
      anon_sym_RBRACK,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5585), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15426), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [241507] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    ACTIONS(9846), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5586), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15352), 1,
      sym__binding_pattern,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [241633] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    ACTIONS(9848), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5587), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15352), 1,
      sym__binding_pattern,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [241759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9364), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [241827] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5993), 1,
      anon_sym_LBRACK,
    ACTIONS(5997), 1,
      anon_sym_LBRACE,
    ACTIONS(5999), 1,
      anon_sym_POUND,
    ACTIONS(6001), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6003), 1,
      anon_sym_lazy,
    ACTIONS(6005), 1,
      anon_sym_begin,
    ACTIONS(6011), 1,
      aux_sym_number_token1,
    ACTIONS(6013), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6015), 1,
      anon_sym_SQUOTE,
    ACTIONS(6017), 1,
      anon_sym_DQUOTE,
    ACTIONS(6019), 1,
      sym__capitalized_identifier,
    ACTIONS(6021), 1,
      aux_sym_tag_token1,
    ACTIONS(8629), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8631), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2798), 1,
      sym_tag,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(2826), 1,
      sym__binding_pattern,
    STATE(5589), 1,
      sym_attribute,
    STATE(6345), 1,
      sym__signed_constant,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6519), 1,
      sym_record_binding_pattern,
    STATE(6538), 1,
      sym_list_binding_pattern,
    STATE(6540), 1,
      sym_array_binding_pattern,
    STATE(6542), 1,
      sym_parenthesized_operator,
    STATE(12574), 1,
      sym_let_binding,
    STATE(20763), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5995), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6338), 2,
      sym__constant,
      sym_signed_number,
    STATE(6417), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6484), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [241953] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6381), 1,
      anon_sym_COLON2,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9850), 1,
      anon_sym_COLON_GT,
    ACTIONS(9852), 1,
      anon_sym_EQ,
    STATE(5590), 1,
      sym_attribute,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(18651), 1,
      sym__polymorphic_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [242074] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5591), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14633), 1,
      sym__binding_pattern,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [242197] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5592), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15481), 1,
      sym__binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [242320] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5593), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15031), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [242443] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5594), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__binding_pattern,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [242566] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5993), 1,
      anon_sym_LBRACK,
    ACTIONS(5997), 1,
      anon_sym_LBRACE,
    ACTIONS(5999), 1,
      anon_sym_POUND,
    ACTIONS(6001), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6003), 1,
      anon_sym_lazy,
    ACTIONS(6005), 1,
      anon_sym_begin,
    ACTIONS(6011), 1,
      aux_sym_number_token1,
    ACTIONS(6013), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6015), 1,
      anon_sym_SQUOTE,
    ACTIONS(6017), 1,
      anon_sym_DQUOTE,
    ACTIONS(6019), 1,
      sym__capitalized_identifier,
    ACTIONS(6021), 1,
      aux_sym_tag_token1,
    ACTIONS(8629), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8631), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2798), 1,
      sym_tag,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(5595), 1,
      sym_attribute,
    STATE(6345), 1,
      sym__signed_constant,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6519), 1,
      sym_record_binding_pattern,
    STATE(6538), 1,
      sym_list_binding_pattern,
    STATE(6540), 1,
      sym_array_binding_pattern,
    STATE(6542), 1,
      sym_parenthesized_operator,
    STATE(6553), 1,
      sym__binding_pattern,
    STATE(20763), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5995), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6338), 2,
      sym__constant,
      sym_signed_number,
    STATE(6417), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6484), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [242689] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8286), 1,
      anon_sym_COLON2,
    ACTIONS(9854), 1,
      sym__identifier,
    ACTIONS(9860), 1,
      anon_sym_LPAREN,
    ACTIONS(9863), 1,
      anon_sym_LBRACK,
    ACTIONS(9869), 1,
      anon_sym_LBRACE,
    ACTIONS(9872), 1,
      anon_sym_POUND,
    ACTIONS(9875), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9878), 1,
      anon_sym_begin,
    ACTIONS(9881), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9884), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9887), 1,
      aux_sym_number_token1,
    ACTIONS(9890), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9893), 1,
      anon_sym_SQUOTE,
    ACTIONS(9896), 1,
      anon_sym_DQUOTE,
    ACTIONS(9899), 1,
      sym__capitalized_identifier,
    ACTIONS(9902), 1,
      aux_sym_tag_token1,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9857), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(9866), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5596), 2,
      sym_attribute,
      aux_sym_let_binding_repeat1,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    ACTIONS(8281), 3,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [242804] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(5597), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10157), 1,
      sym__binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [242927] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6137), 1,
      sym__identifier,
    ACTIONS(6139), 1,
      anon_sym_LPAREN,
    ACTIONS(6141), 1,
      anon_sym_LBRACK,
    ACTIONS(6145), 1,
      anon_sym_LBRACE,
    ACTIONS(6147), 1,
      anon_sym_POUND,
    ACTIONS(6149), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6151), 1,
      anon_sym_lazy,
    ACTIONS(6153), 1,
      anon_sym_begin,
    ACTIONS(6159), 1,
      aux_sym_number_token1,
    ACTIONS(6161), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6163), 1,
      anon_sym_SQUOTE,
    ACTIONS(6165), 1,
      anon_sym_DQUOTE,
    ACTIONS(6167), 1,
      sym__capitalized_identifier,
    ACTIONS(6169), 1,
      aux_sym_tag_token1,
    ACTIONS(9580), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9582), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2806), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(5598), 1,
      sym_attribute,
    STATE(6558), 1,
      sym__constructor_name,
    STATE(6575), 1,
      sym__signed_constant,
    STATE(6661), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6676), 1,
      sym_list_binding_pattern,
    STATE(6677), 1,
      sym_array_binding_pattern,
    STATE(6736), 1,
      sym__binding_pattern,
    STATE(21000), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6143), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6498), 2,
      sym__constant,
      sym_signed_number,
    STATE(6504), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6743), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [243050] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(5599), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10134), 1,
      sym__binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [243173] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(5600), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10101), 1,
      sym__binding_pattern,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [243296] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8403), 1,
      sym__identifier,
    ACTIONS(8405), 1,
      anon_sym_LPAREN,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8411), 1,
      anon_sym_LBRACE,
    ACTIONS(8413), 1,
      anon_sym_POUND,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8417), 1,
      anon_sym_lazy,
    ACTIONS(8419), 1,
      anon_sym_begin,
    ACTIONS(8421), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8423), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(8433), 1,
      sym__capitalized_identifier,
    ACTIONS(8435), 1,
      aux_sym_tag_token1,
    STATE(2948), 1,
      sym_constructor_path,
    STATE(2949), 1,
      sym_tag,
    STATE(5601), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__constructor_name,
    STATE(9975), 1,
      sym__signed_constant,
    STATE(10121), 1,
      sym_record_binding_pattern,
    STATE(10124), 1,
      sym__binding_pattern,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10156), 1,
      sym_array_binding_pattern,
    STATE(10166), 1,
      sym_list_binding_pattern,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8409), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10096), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [243419] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6381), 1,
      anon_sym_COLON2,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9905), 1,
      anon_sym_COLON_GT,
    ACTIONS(9907), 1,
      anon_sym_EQ,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5602), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(18934), 1,
      sym__polymorphic_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [243540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9164), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [243607] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7839), 1,
      sym__identifier,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7857), 1,
      anon_sym_lazy,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(4132), 1,
      sym_constructor_path,
    STATE(4133), 1,
      sym_tag,
    STATE(5604), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15419), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [243730] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5605), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15249), 1,
      sym__binding_pattern,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [243853] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5993), 1,
      anon_sym_LBRACK,
    ACTIONS(5997), 1,
      anon_sym_LBRACE,
    ACTIONS(5999), 1,
      anon_sym_POUND,
    ACTIONS(6001), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6003), 1,
      anon_sym_lazy,
    ACTIONS(6005), 1,
      anon_sym_begin,
    ACTIONS(6011), 1,
      aux_sym_number_token1,
    ACTIONS(6013), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6015), 1,
      anon_sym_SQUOTE,
    ACTIONS(6017), 1,
      anon_sym_DQUOTE,
    ACTIONS(6019), 1,
      sym__capitalized_identifier,
    ACTIONS(6021), 1,
      aux_sym_tag_token1,
    ACTIONS(8629), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8631), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2798), 1,
      sym_tag,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(5606), 1,
      sym_attribute,
    STATE(6345), 1,
      sym__signed_constant,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6519), 1,
      sym_record_binding_pattern,
    STATE(6538), 1,
      sym_list_binding_pattern,
    STATE(6540), 1,
      sym_array_binding_pattern,
    STATE(6542), 1,
      sym_parenthesized_operator,
    STATE(6546), 1,
      sym__binding_pattern,
    STATE(20763), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5995), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6338), 2,
      sym__constant,
      sym_signed_number,
    STATE(6417), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6484), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [243976] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7839), 1,
      sym__identifier,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7857), 1,
      anon_sym_lazy,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(4132), 1,
      sym_constructor_path,
    STATE(4133), 1,
      sym_tag,
    STATE(5607), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15422), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [244099] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6137), 1,
      sym__identifier,
    ACTIONS(6139), 1,
      anon_sym_LPAREN,
    ACTIONS(6141), 1,
      anon_sym_LBRACK,
    ACTIONS(6145), 1,
      anon_sym_LBRACE,
    ACTIONS(6147), 1,
      anon_sym_POUND,
    ACTIONS(6149), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6151), 1,
      anon_sym_lazy,
    ACTIONS(6153), 1,
      anon_sym_begin,
    ACTIONS(6159), 1,
      aux_sym_number_token1,
    ACTIONS(6161), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6163), 1,
      anon_sym_SQUOTE,
    ACTIONS(6165), 1,
      anon_sym_DQUOTE,
    ACTIONS(6167), 1,
      sym__capitalized_identifier,
    ACTIONS(6169), 1,
      aux_sym_tag_token1,
    ACTIONS(9580), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9582), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2806), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(5608), 1,
      sym_attribute,
    STATE(6558), 1,
      sym__constructor_name,
    STATE(6575), 1,
      sym__signed_constant,
    STATE(6661), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6676), 1,
      sym_list_binding_pattern,
    STATE(6677), 1,
      sym_array_binding_pattern,
    STATE(6740), 1,
      sym__binding_pattern,
    STATE(21000), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6143), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6498), 2,
      sym__constant,
      sym_signed_number,
    STATE(6504), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6743), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [244222] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5609), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15503), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [244345] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6137), 1,
      sym__identifier,
    ACTIONS(6139), 1,
      anon_sym_LPAREN,
    ACTIONS(6141), 1,
      anon_sym_LBRACK,
    ACTIONS(6145), 1,
      anon_sym_LBRACE,
    ACTIONS(6147), 1,
      anon_sym_POUND,
    ACTIONS(6149), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6151), 1,
      anon_sym_lazy,
    ACTIONS(6153), 1,
      anon_sym_begin,
    ACTIONS(6159), 1,
      aux_sym_number_token1,
    ACTIONS(6161), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6163), 1,
      anon_sym_SQUOTE,
    ACTIONS(6165), 1,
      anon_sym_DQUOTE,
    ACTIONS(6167), 1,
      sym__capitalized_identifier,
    ACTIONS(6169), 1,
      aux_sym_tag_token1,
    ACTIONS(9580), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9582), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2806), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(5610), 1,
      sym_attribute,
    STATE(6558), 1,
      sym__constructor_name,
    STATE(6575), 1,
      sym__signed_constant,
    STATE(6661), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6676), 1,
      sym_list_binding_pattern,
    STATE(6677), 1,
      sym_array_binding_pattern,
    STATE(6734), 1,
      sym__binding_pattern,
    STATE(21000), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6143), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6498), 2,
      sym__constant,
      sym_signed_number,
    STATE(6504), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6743), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [244468] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5611), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15428), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [244591] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7839), 1,
      sym__identifier,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7857), 1,
      anon_sym_lazy,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(4132), 1,
      sym_constructor_path,
    STATE(4133), 1,
      sym_tag,
    STATE(5612), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15475), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [244714] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5613), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15426), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [244837] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5614), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15352), 1,
      sym__binding_pattern,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [244960] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5615), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15024), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [245083] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6381), 1,
      anon_sym_COLON2,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9909), 1,
      anon_sym_COLON_GT,
    ACTIONS(9911), 1,
      anon_sym_EQ,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5616), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19202), 1,
      sym__polymorphic_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [245204] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6381), 1,
      anon_sym_COLON2,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9913), 1,
      anon_sym_COLON_GT,
    ACTIONS(9915), 1,
      anon_sym_EQ,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5617), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(18427), 1,
      sym__polymorphic_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [245325] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6083), 1,
      sym__identifier,
    ACTIONS(6085), 1,
      anon_sym_LPAREN,
    ACTIONS(6087), 1,
      anon_sym_LBRACK,
    ACTIONS(6091), 1,
      anon_sym_LBRACE,
    ACTIONS(6093), 1,
      anon_sym_POUND,
    ACTIONS(6095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6097), 1,
      anon_sym_lazy,
    ACTIONS(6099), 1,
      anon_sym_begin,
    ACTIONS(6105), 1,
      aux_sym_number_token1,
    ACTIONS(6107), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6109), 1,
      anon_sym_SQUOTE,
    ACTIONS(6111), 1,
      anon_sym_DQUOTE,
    ACTIONS(6113), 1,
      sym__capitalized_identifier,
    ACTIONS(6115), 1,
      aux_sym_tag_token1,
    ACTIONS(9684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9686), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2801), 1,
      sym_tag,
    STATE(2802), 1,
      sym_constructor_path,
    STATE(5618), 1,
      sym_attribute,
    STATE(6356), 1,
      sym__signed_constant,
    STATE(6412), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym_array_binding_pattern,
    STATE(6503), 1,
      sym__binding_pattern,
    STATE(6516), 1,
      sym_parenthesized_operator,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(6588), 1,
      sym_list_binding_pattern,
    STATE(20390), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6089), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6421), 2,
      sym__constant,
      sym_signed_number,
    STATE(6340), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [245448] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6083), 1,
      sym__identifier,
    ACTIONS(6085), 1,
      anon_sym_LPAREN,
    ACTIONS(6087), 1,
      anon_sym_LBRACK,
    ACTIONS(6091), 1,
      anon_sym_LBRACE,
    ACTIONS(6093), 1,
      anon_sym_POUND,
    ACTIONS(6095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6097), 1,
      anon_sym_lazy,
    ACTIONS(6099), 1,
      anon_sym_begin,
    ACTIONS(6105), 1,
      aux_sym_number_token1,
    ACTIONS(6107), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6109), 1,
      anon_sym_SQUOTE,
    ACTIONS(6111), 1,
      anon_sym_DQUOTE,
    ACTIONS(6113), 1,
      sym__capitalized_identifier,
    ACTIONS(6115), 1,
      aux_sym_tag_token1,
    ACTIONS(9684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9686), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2801), 1,
      sym_tag,
    STATE(2802), 1,
      sym_constructor_path,
    STATE(5619), 1,
      sym_attribute,
    STATE(6356), 1,
      sym__signed_constant,
    STATE(6412), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym_array_binding_pattern,
    STATE(6509), 1,
      sym__binding_pattern,
    STATE(6516), 1,
      sym_parenthesized_operator,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(6588), 1,
      sym_list_binding_pattern,
    STATE(20390), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6089), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6421), 2,
      sym__constant,
      sym_signed_number,
    STATE(6340), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [245571] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6083), 1,
      sym__identifier,
    ACTIONS(6085), 1,
      anon_sym_LPAREN,
    ACTIONS(6087), 1,
      anon_sym_LBRACK,
    ACTIONS(6091), 1,
      anon_sym_LBRACE,
    ACTIONS(6093), 1,
      anon_sym_POUND,
    ACTIONS(6095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6097), 1,
      anon_sym_lazy,
    ACTIONS(6099), 1,
      anon_sym_begin,
    ACTIONS(6105), 1,
      aux_sym_number_token1,
    ACTIONS(6107), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6109), 1,
      anon_sym_SQUOTE,
    ACTIONS(6111), 1,
      anon_sym_DQUOTE,
    ACTIONS(6113), 1,
      sym__capitalized_identifier,
    ACTIONS(6115), 1,
      aux_sym_tag_token1,
    ACTIONS(9684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9686), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2801), 1,
      sym_tag,
    STATE(2802), 1,
      sym_constructor_path,
    STATE(5620), 1,
      sym_attribute,
    STATE(6356), 1,
      sym__signed_constant,
    STATE(6412), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym_array_binding_pattern,
    STATE(6512), 1,
      sym__binding_pattern,
    STATE(6516), 1,
      sym_parenthesized_operator,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(6588), 1,
      sym_list_binding_pattern,
    STATE(20390), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6089), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6421), 2,
      sym__constant,
      sym_signed_number,
    STATE(6340), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [245694] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6083), 1,
      sym__identifier,
    ACTIONS(6085), 1,
      anon_sym_LPAREN,
    ACTIONS(6087), 1,
      anon_sym_LBRACK,
    ACTIONS(6091), 1,
      anon_sym_LBRACE,
    ACTIONS(6093), 1,
      anon_sym_POUND,
    ACTIONS(6095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6097), 1,
      anon_sym_lazy,
    ACTIONS(6099), 1,
      anon_sym_begin,
    ACTIONS(6105), 1,
      aux_sym_number_token1,
    ACTIONS(6107), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6109), 1,
      anon_sym_SQUOTE,
    ACTIONS(6111), 1,
      anon_sym_DQUOTE,
    ACTIONS(6113), 1,
      sym__capitalized_identifier,
    ACTIONS(6115), 1,
      aux_sym_tag_token1,
    ACTIONS(9684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9686), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2801), 1,
      sym_tag,
    STATE(2802), 1,
      sym_constructor_path,
    STATE(5621), 1,
      sym_attribute,
    STATE(6356), 1,
      sym__signed_constant,
    STATE(6412), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym_array_binding_pattern,
    STATE(6516), 1,
      sym_parenthesized_operator,
    STATE(6524), 1,
      sym__binding_pattern,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(6588), 1,
      sym_list_binding_pattern,
    STATE(20390), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6089), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6421), 2,
      sym__constant,
      sym_signed_number,
    STATE(6340), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6532), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [245817] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5993), 1,
      anon_sym_LBRACK,
    ACTIONS(5997), 1,
      anon_sym_LBRACE,
    ACTIONS(5999), 1,
      anon_sym_POUND,
    ACTIONS(6001), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6003), 1,
      anon_sym_lazy,
    ACTIONS(6005), 1,
      anon_sym_begin,
    ACTIONS(6011), 1,
      aux_sym_number_token1,
    ACTIONS(6013), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6015), 1,
      anon_sym_SQUOTE,
    ACTIONS(6017), 1,
      anon_sym_DQUOTE,
    ACTIONS(6019), 1,
      sym__capitalized_identifier,
    ACTIONS(6021), 1,
      aux_sym_tag_token1,
    ACTIONS(8629), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8631), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2798), 1,
      sym_tag,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(5622), 1,
      sym_attribute,
    STATE(6345), 1,
      sym__signed_constant,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6519), 1,
      sym_record_binding_pattern,
    STATE(6538), 1,
      sym_list_binding_pattern,
    STATE(6540), 1,
      sym_array_binding_pattern,
    STATE(6542), 1,
      sym_parenthesized_operator,
    STATE(6545), 1,
      sym__binding_pattern,
    STATE(20763), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5995), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6338), 2,
      sym__constant,
      sym_signed_number,
    STATE(6417), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6484), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [245940] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7839), 1,
      sym__identifier,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7857), 1,
      anon_sym_lazy,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    STATE(4132), 1,
      sym_constructor_path,
    STATE(4133), 1,
      sym_tag,
    STATE(5623), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14633), 1,
      sym__binding_pattern,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [246063] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5953), 1,
      sym__identifier,
    ACTIONS(5957), 1,
      anon_sym_LPAREN,
    ACTIONS(5959), 1,
      anon_sym_LBRACK,
    ACTIONS(5963), 1,
      anon_sym_LBRACE,
    ACTIONS(5965), 1,
      anon_sym_POUND,
    ACTIONS(5967), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5969), 1,
      anon_sym_lazy,
    ACTIONS(5971), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      aux_sym_number_token1,
    ACTIONS(5979), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5981), 1,
      anon_sym_SQUOTE,
    ACTIONS(5983), 1,
      anon_sym_DQUOTE,
    ACTIONS(5985), 1,
      sym__capitalized_identifier,
    ACTIONS(5987), 1,
      aux_sym_tag_token1,
    ACTIONS(8623), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8625), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2796), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(5624), 1,
      sym_attribute,
    STATE(6171), 1,
      sym__constructor_name,
    STATE(6295), 1,
      sym__signed_constant,
    STATE(6334), 1,
      sym_record_binding_pattern,
    STATE(6349), 1,
      sym__binding_pattern,
    STATE(6350), 1,
      sym_list_binding_pattern,
    STATE(6352), 1,
      sym_array_binding_pattern,
    STATE(6411), 1,
      sym_parenthesized_operator,
    STATE(21540), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5961), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6262), 2,
      sym__constant,
      sym_signed_number,
    STATE(6166), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6330), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [246186] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6319), 1,
      anon_sym_begin,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(7841), 1,
      anon_sym_LPAREN,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7849), 1,
      anon_sym_LBRACE,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8261), 1,
      anon_sym_POUND,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9252), 1,
      sym__identifier,
    ACTIONS(9254), 1,
      anon_sym_lazy,
    STATE(3247), 1,
      sym_constructor_path,
    STATE(3248), 1,
      sym_tag,
    STATE(5625), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14561), 1,
      sym__signed_constant,
    STATE(14682), 1,
      sym_array_binding_pattern,
    STATE(14744), 1,
      sym_list_binding_pattern,
    STATE(14752), 1,
      sym_record_binding_pattern,
    STATE(15025), 1,
      sym__binding_pattern,
    STATE(21395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14705), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [246309] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_POUND,
    ACTIONS(8671), 1,
      anon_sym_begin,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(8767), 1,
      sym__capitalized_identifier,
    ACTIONS(8769), 1,
      aux_sym_tag_token1,
    ACTIONS(9340), 1,
      sym__identifier,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9346), 1,
      anon_sym_LBRACE,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9350), 1,
      anon_sym_lazy,
    STATE(3660), 1,
      sym_constructor_path,
    STATE(3878), 1,
      sym_tag,
    STATE(5626), 1,
      sym_attribute,
    STATE(9310), 1,
      sym__constructor_name,
    STATE(15138), 1,
      sym__signed_constant,
    STATE(15345), 1,
      sym__binding_pattern,
    STATE(15436), 1,
      sym_record_binding_pattern,
    STATE(15437), 1,
      sym_list_binding_pattern,
    STATE(15439), 1,
      sym_array_binding_pattern,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15435), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [246432] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6137), 1,
      sym__identifier,
    ACTIONS(6139), 1,
      anon_sym_LPAREN,
    ACTIONS(6141), 1,
      anon_sym_LBRACK,
    ACTIONS(6145), 1,
      anon_sym_LBRACE,
    ACTIONS(6147), 1,
      anon_sym_POUND,
    ACTIONS(6149), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6151), 1,
      anon_sym_lazy,
    ACTIONS(6153), 1,
      anon_sym_begin,
    ACTIONS(6159), 1,
      aux_sym_number_token1,
    ACTIONS(6161), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6163), 1,
      anon_sym_SQUOTE,
    ACTIONS(6165), 1,
      anon_sym_DQUOTE,
    ACTIONS(6167), 1,
      sym__capitalized_identifier,
    ACTIONS(6169), 1,
      aux_sym_tag_token1,
    ACTIONS(9580), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9582), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2806), 1,
      sym_constructor_path,
    STATE(2807), 1,
      sym_tag,
    STATE(5627), 1,
      sym_attribute,
    STATE(6558), 1,
      sym__constructor_name,
    STATE(6575), 1,
      sym__signed_constant,
    STATE(6661), 1,
      sym_parenthesized_operator,
    STATE(6675), 1,
      sym_record_binding_pattern,
    STATE(6676), 1,
      sym_list_binding_pattern,
    STATE(6677), 1,
      sym_array_binding_pattern,
    STATE(6729), 1,
      sym__binding_pattern,
    STATE(21000), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6143), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6498), 2,
      sym__constant,
      sym_signed_number,
    STATE(6504), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6743), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [246555] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5953), 1,
      sym__identifier,
    ACTIONS(5957), 1,
      anon_sym_LPAREN,
    ACTIONS(5959), 1,
      anon_sym_LBRACK,
    ACTIONS(5963), 1,
      anon_sym_LBRACE,
    ACTIONS(5965), 1,
      anon_sym_POUND,
    ACTIONS(5967), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5969), 1,
      anon_sym_lazy,
    ACTIONS(5971), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      aux_sym_number_token1,
    ACTIONS(5979), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5981), 1,
      anon_sym_SQUOTE,
    ACTIONS(5983), 1,
      anon_sym_DQUOTE,
    ACTIONS(5985), 1,
      sym__capitalized_identifier,
    ACTIONS(5987), 1,
      aux_sym_tag_token1,
    ACTIONS(8623), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8625), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2796), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(5628), 1,
      sym_attribute,
    STATE(6171), 1,
      sym__constructor_name,
    STATE(6295), 1,
      sym__signed_constant,
    STATE(6334), 1,
      sym_record_binding_pattern,
    STATE(6350), 1,
      sym_list_binding_pattern,
    STATE(6352), 1,
      sym_array_binding_pattern,
    STATE(6411), 1,
      sym_parenthesized_operator,
    STATE(6441), 1,
      sym__binding_pattern,
    STATE(21540), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5961), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6262), 2,
      sym__constant,
      sym_signed_number,
    STATE(6166), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6330), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [246678] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5953), 1,
      sym__identifier,
    ACTIONS(5957), 1,
      anon_sym_LPAREN,
    ACTIONS(5959), 1,
      anon_sym_LBRACK,
    ACTIONS(5963), 1,
      anon_sym_LBRACE,
    ACTIONS(5965), 1,
      anon_sym_POUND,
    ACTIONS(5967), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5969), 1,
      anon_sym_lazy,
    ACTIONS(5971), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      aux_sym_number_token1,
    ACTIONS(5979), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5981), 1,
      anon_sym_SQUOTE,
    ACTIONS(5983), 1,
      anon_sym_DQUOTE,
    ACTIONS(5985), 1,
      sym__capitalized_identifier,
    ACTIONS(5987), 1,
      aux_sym_tag_token1,
    ACTIONS(8623), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8625), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2796), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(5629), 1,
      sym_attribute,
    STATE(6171), 1,
      sym__constructor_name,
    STATE(6295), 1,
      sym__signed_constant,
    STATE(6334), 1,
      sym_record_binding_pattern,
    STATE(6350), 1,
      sym_list_binding_pattern,
    STATE(6352), 1,
      sym_array_binding_pattern,
    STATE(6409), 1,
      sym__binding_pattern,
    STATE(6411), 1,
      sym_parenthesized_operator,
    STATE(21540), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5961), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6262), 2,
      sym__constant,
      sym_signed_number,
    STATE(6166), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6330), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [246801] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5953), 1,
      sym__identifier,
    ACTIONS(5957), 1,
      anon_sym_LPAREN,
    ACTIONS(5959), 1,
      anon_sym_LBRACK,
    ACTIONS(5963), 1,
      anon_sym_LBRACE,
    ACTIONS(5965), 1,
      anon_sym_POUND,
    ACTIONS(5967), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5969), 1,
      anon_sym_lazy,
    ACTIONS(5971), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      aux_sym_number_token1,
    ACTIONS(5979), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5981), 1,
      anon_sym_SQUOTE,
    ACTIONS(5983), 1,
      anon_sym_DQUOTE,
    ACTIONS(5985), 1,
      sym__capitalized_identifier,
    ACTIONS(5987), 1,
      aux_sym_tag_token1,
    ACTIONS(8623), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8625), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2796), 1,
      sym_constructor_path,
    STATE(2797), 1,
      sym_tag,
    STATE(5630), 1,
      sym_attribute,
    STATE(6171), 1,
      sym__constructor_name,
    STATE(6295), 1,
      sym__signed_constant,
    STATE(6334), 1,
      sym_record_binding_pattern,
    STATE(6350), 1,
      sym_list_binding_pattern,
    STATE(6352), 1,
      sym_array_binding_pattern,
    STATE(6411), 1,
      sym_parenthesized_operator,
    STATE(6453), 1,
      sym__binding_pattern,
    STATE(21540), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5961), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6262), 2,
      sym__constant,
      sym_signed_number,
    STATE(6166), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6330), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [246924] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6381), 1,
      anon_sym_COLON2,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9917), 1,
      anon_sym_COLON_GT,
    ACTIONS(9919), 1,
      anon_sym_EQ,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5631), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(18908), 1,
      sym__polymorphic_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [247045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9364), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [247112] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6381), 1,
      anon_sym_COLON2,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9921), 1,
      anon_sym_COLON_GT,
    ACTIONS(9923), 1,
      anon_sym_EQ,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5633), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19182), 1,
      sym__polymorphic_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [247233] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5993), 1,
      anon_sym_LBRACK,
    ACTIONS(5997), 1,
      anon_sym_LBRACE,
    ACTIONS(5999), 1,
      anon_sym_POUND,
    ACTIONS(6001), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6003), 1,
      anon_sym_lazy,
    ACTIONS(6005), 1,
      anon_sym_begin,
    ACTIONS(6011), 1,
      aux_sym_number_token1,
    ACTIONS(6013), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6015), 1,
      anon_sym_SQUOTE,
    ACTIONS(6017), 1,
      anon_sym_DQUOTE,
    ACTIONS(6019), 1,
      sym__capitalized_identifier,
    ACTIONS(6021), 1,
      aux_sym_tag_token1,
    ACTIONS(8629), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8631), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2798), 1,
      sym_tag,
    STATE(2803), 1,
      sym_constructor_path,
    STATE(5634), 1,
      sym_attribute,
    STATE(6345), 1,
      sym__signed_constant,
    STATE(6363), 1,
      sym__constructor_name,
    STATE(6519), 1,
      sym_record_binding_pattern,
    STATE(6538), 1,
      sym_list_binding_pattern,
    STATE(6540), 1,
      sym_array_binding_pattern,
    STATE(6542), 1,
      sym_parenthesized_operator,
    STATE(6543), 1,
      sym__binding_pattern,
    STATE(20763), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5995), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6338), 2,
      sym__constant,
      sym_signed_number,
    STATE(6417), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6484), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [247356] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6381), 1,
      anon_sym_COLON2,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9925), 1,
      anon_sym_COLON_GT,
    ACTIONS(9927), 1,
      anon_sym_EQ,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5635), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(18671), 1,
      sym__polymorphic_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [247477] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9931), 1,
      anon_sym_DASH_GT,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5636), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(22363), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [247595] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9935), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5637), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21590), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [247713] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9937), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5638), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(22051), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [247831] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9939), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5639), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20228), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [247949] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9941), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5640), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(22196), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248067] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9943), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5641), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21183), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248185] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9945), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5642), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19259), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248303] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9947), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5643), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19351), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248421] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9949), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5644), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19431), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248539] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9951), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5645), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19301), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248657] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9953), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5646), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19668), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248775] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9955), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5647), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(19721), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248893] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9957), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5648), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19596), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249011] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9959), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5649), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(19960), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249129] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9961), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5650), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20035), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249247] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9963), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5651), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(19923), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249365] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9965), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5652), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20286), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249483] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9967), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5653), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20373), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249601] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9969), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5654), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19485), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249719] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9971), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5655), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20603), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249837] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9973), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5656), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20673), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249955] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9975), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5657), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20775), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [250073] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9977), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5658), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21130), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [250191] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9979), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5659), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20780), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [250309] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9981), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5660), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21064), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [250427] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9983), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5661), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21095), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [250545] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9985), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5662), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21217), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [250663] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9987), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5663), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21249), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [250781] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9989), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5664), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20354), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [250899] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9991), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5665), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(22270), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [251017] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9993), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5666), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21393), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [251135] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9995), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5667), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21462), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [251253] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9997), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5668), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(22457), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [251371] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9999), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5669), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21876), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [251489] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10001), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5670), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21983), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [251607] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10003), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5671), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21132), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [251725] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10005), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5672), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20681), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [251843] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10007), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5673), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(22276), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [251961] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10009), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5674), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(22370), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [252079] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10011), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5675), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21869), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [252197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [252263] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10013), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5677), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(19759), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [252381] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10015), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5678), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20013), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [252499] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10017), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5679), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21498), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [252617] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10019), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5680), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19405), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [252735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [252801] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10021), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5682), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20025), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [252919] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10023), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5683), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(22096), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [253037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [253103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [253169] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10025), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5686), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21966), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [253287] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10027), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5687), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19247), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [253405] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10029), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5688), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19341), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [253523] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10031), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5689), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19520), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [253641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [253707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [253773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [253839] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10033), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5693), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20937), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [253957] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10035), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5694), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21500), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [254075] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10037), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5695), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(19957), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [254193] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10039), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5696), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21752), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [254311] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10041), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5697), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20223), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [254429] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10043), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5698), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(19814), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [254547] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10045), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5699), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(19978), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [254665] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10047), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5700), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20748), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [254783] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10049), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5701), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20976), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [254901] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10051), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5702), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21675), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [255019] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10053), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5703), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21790), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [255137] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10055), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5704), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21957), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [255255] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10057), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5705), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(22188), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [255373] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10059), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5706), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(22394), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [255491] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10061), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5707), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19408), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [255609] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10063), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5708), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19455), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [255727] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10065), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5709), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(22152), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [255845] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10067), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5710), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(19688), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [255963] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10069), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5711), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(19760), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [256081] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10071), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5712), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20034), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [256199] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10073), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5713), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20105), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [256317] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10079), 1,
      aux_sym_attribute_id_token1,
    STATE(5714), 1,
      sym_attribute,
    STATE(5715), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10077), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10075), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [256387] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10085), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5715), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10083), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10081), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [256455] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10088), 1,
      anon_sym_LT_DASH,
    STATE(5716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [256523] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10090), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5717), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19371), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [256641] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10092), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5718), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19374), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [256759] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10094), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5719), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20065), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [256877] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10096), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5720), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19444), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [256995] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10098), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5721), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19607), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [257113] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10100), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5722), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19483), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [257231] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10102), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5723), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19487), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [257349] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10104), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5724), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20968), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [257467] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10106), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5725), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19676), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [257585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [257651] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10108), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5727), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21172), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [257769] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10110), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5728), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20897), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [257887] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10112), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5729), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(19995), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [258005] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10114), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5730), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20097), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [258123] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10116), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5731), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20996), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [258241] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10118), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5732), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(22261), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [258359] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10120), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5733), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(19831), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [258477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [258543] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10122), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5735), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20410), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [258661] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10124), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5736), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19282), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [258779] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10126), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5737), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20557), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [258897] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10128), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5738), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21684), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [259015] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10130), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5739), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(22427), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [259133] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10132), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5740), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19340), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [259251] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10134), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5741), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(19818), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [259369] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10079), 1,
      aux_sym_attribute_id_token1,
    STATE(5714), 1,
      aux_sym_attribute_id_repeat1,
    STATE(5742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10136), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [259439] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10140), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5743), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20999), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [259557] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10142), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5744), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21085), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [259675] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10144), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5745), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21720), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [259793] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10146), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5746), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21821), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [259911] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10148), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5747), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20545), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [260029] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10150), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5748), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(19980), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [260147] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10152), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5749), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20144), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [260265] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(5750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [260333] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10154), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5751), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(20879), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [260451] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10156), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5752), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    STATE(21641), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [260569] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON2,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10158), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5753), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19279), 1,
      sym__simple_typed,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [260687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [260752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [260817] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_DOT,
    ACTIONS(5587), 1,
      anon_sym_POUND,
    ACTIONS(5589), 1,
      sym_hash_operator,
    STATE(5756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [260888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [260953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261733] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_DOT,
    ACTIONS(5587), 1,
      anon_sym_POUND,
    ACTIONS(5589), 1,
      sym_hash_operator,
    STATE(5770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261934] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5738), 1,
      aux_sym_let_binding_repeat1,
    STATE(5773), 1,
      sym_attribute,
    STATE(6003), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [262049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [262114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [262179] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(5776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [262246] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10160), 1,
      anon_sym_LT_DASH,
    STATE(5777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [262313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10083), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(10081), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [262378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [262443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [262508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [262573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [262638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [262703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [262768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [262833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [262898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [262963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [263028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [263093] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5717), 1,
      aux_sym_let_binding_repeat1,
    STATE(5790), 1,
      sym_attribute,
    STATE(6007), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [263208] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(5791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [263275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [263340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [263405] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5683), 1,
      aux_sym_let_binding_repeat1,
    STATE(5794), 1,
      sym_attribute,
    STATE(6008), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [263520] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5724), 1,
      aux_sym_let_binding_repeat1,
    STATE(5795), 1,
      sym_attribute,
    STATE(6009), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [263635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [263700] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5739), 1,
      aux_sym_let_binding_repeat1,
    STATE(5797), 1,
      sym_attribute,
    STATE(6013), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [263815] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5748), 1,
      aux_sym_let_binding_repeat1,
    STATE(5798), 1,
      sym_attribute,
    STATE(6014), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [263930] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5659), 1,
      aux_sym_let_binding_repeat1,
    STATE(5799), 1,
      sym_attribute,
    STATE(6015), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [264045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [264110] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5745), 1,
      aux_sym_let_binding_repeat1,
    STATE(5801), 1,
      sym_attribute,
    STATE(6017), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [264225] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5719), 1,
      aux_sym_let_binding_repeat1,
    STATE(5802), 1,
      sym_attribute,
    STATE(6019), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [264340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [264405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [264470] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5805), 1,
      sym_attribute,
    STATE(6022), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [264585] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5642), 1,
      aux_sym_let_binding_repeat1,
    STATE(5806), 1,
      sym_attribute,
    STATE(6024), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [264700] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5664), 1,
      aux_sym_let_binding_repeat1,
    STATE(5807), 1,
      sym_attribute,
    STATE(6025), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [264815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [264880] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5725), 1,
      aux_sym_let_binding_repeat1,
    STATE(5809), 1,
      sym_attribute,
    STATE(6027), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [264995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [265060] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5732), 1,
      aux_sym_let_binding_repeat1,
    STATE(5811), 1,
      sym_attribute,
    STATE(6032), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [265175] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5747), 1,
      aux_sym_let_binding_repeat1,
    STATE(5812), 1,
      sym_attribute,
    STATE(6036), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [265290] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5645), 1,
      aux_sym_let_binding_repeat1,
    STATE(5813), 1,
      sym_attribute,
    STATE(6044), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [265405] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5722), 1,
      aux_sym_let_binding_repeat1,
    STATE(5814), 1,
      sym_attribute,
    STATE(6048), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [265520] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5657), 1,
      aux_sym_let_binding_repeat1,
    STATE(5815), 1,
      sym_attribute,
    STATE(6055), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [265635] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5665), 1,
      aux_sym_let_binding_repeat1,
    STATE(5816), 1,
      sym_attribute,
    STATE(6060), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [265750] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5672), 1,
      aux_sym_let_binding_repeat1,
    STATE(5817), 1,
      sym_attribute,
    STATE(6068), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [265865] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5679), 1,
      aux_sym_let_binding_repeat1,
    STATE(5818), 1,
      sym_attribute,
    STATE(6074), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [265980] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5695), 1,
      aux_sym_let_binding_repeat1,
    STATE(5819), 1,
      sym_attribute,
    STATE(6077), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [266095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [266160] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5704), 1,
      aux_sym_let_binding_repeat1,
    STATE(5821), 1,
      sym_attribute,
    STATE(6080), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [266275] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5720), 1,
      aux_sym_let_binding_repeat1,
    STATE(5822), 1,
      sym_attribute,
    STATE(6082), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [266390] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5729), 1,
      aux_sym_let_binding_repeat1,
    STATE(5823), 1,
      sym_attribute,
    STATE(6083), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [266505] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5735), 1,
      aux_sym_let_binding_repeat1,
    STATE(5824), 1,
      sym_attribute,
    STATE(6085), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [266620] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5743), 1,
      aux_sym_let_binding_repeat1,
    STATE(5825), 1,
      sym_attribute,
    STATE(6087), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [266735] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5752), 1,
      aux_sym_let_binding_repeat1,
    STATE(5826), 1,
      sym_attribute,
    STATE(6088), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [266850] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5638), 1,
      aux_sym_let_binding_repeat1,
    STATE(5827), 1,
      sym_attribute,
    STATE(6089), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [266965] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5643), 1,
      aux_sym_let_binding_repeat1,
    STATE(5828), 1,
      sym_attribute,
    STATE(6090), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [267080] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5646), 1,
      aux_sym_let_binding_repeat1,
    STATE(5829), 1,
      sym_attribute,
    STATE(6091), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [267195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267260] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5652), 1,
      aux_sym_let_binding_repeat1,
    STATE(5831), 1,
      sym_attribute,
    STATE(6096), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [267375] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5655), 1,
      aux_sym_let_binding_repeat1,
    STATE(5832), 1,
      sym_attribute,
    STATE(6098), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [267490] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5660), 1,
      aux_sym_let_binding_repeat1,
    STATE(5833), 1,
      sym_attribute,
    STATE(6100), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [267605] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5662), 1,
      aux_sym_let_binding_repeat1,
    STATE(5834), 1,
      sym_attribute,
    STATE(6103), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [267720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267785] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5666), 1,
      aux_sym_let_binding_repeat1,
    STATE(5836), 1,
      sym_attribute,
    STATE(6106), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [267900] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5669), 1,
      aux_sym_let_binding_repeat1,
    STATE(5837), 1,
      sym_attribute,
    STATE(6108), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [268015] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5673), 1,
      aux_sym_let_binding_repeat1,
    STATE(5838), 1,
      sym_attribute,
    STATE(6111), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [268130] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_DOT,
    STATE(5839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [268197] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5677), 1,
      aux_sym_let_binding_repeat1,
    STATE(5840), 1,
      sym_attribute,
    STATE(6113), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [268312] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5680), 1,
      aux_sym_let_binding_repeat1,
    STATE(5841), 1,
      sym_attribute,
    STATE(6114), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [268427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [268492] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5687), 1,
      aux_sym_let_binding_repeat1,
    STATE(5843), 1,
      sym_attribute,
    STATE(6115), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [268607] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5693), 1,
      aux_sym_let_binding_repeat1,
    STATE(5844), 1,
      sym_attribute,
    STATE(6116), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [268722] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5636), 1,
      aux_sym_let_binding_repeat1,
    STATE(5845), 1,
      sym_attribute,
    STATE(6117), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [268837] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5698), 1,
      aux_sym_let_binding_repeat1,
    STATE(5846), 1,
      sym_attribute,
    STATE(6118), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [268952] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5700), 1,
      aux_sym_let_binding_repeat1,
    STATE(5847), 1,
      sym_attribute,
    STATE(5982), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [269067] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5702), 1,
      aux_sym_let_binding_repeat1,
    STATE(5848), 1,
      sym_attribute,
    STATE(6119), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [269182] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5705), 1,
      aux_sym_let_binding_repeat1,
    STATE(5849), 1,
      sym_attribute,
    STATE(6120), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [269297] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5707), 1,
      aux_sym_let_binding_repeat1,
    STATE(5850), 1,
      sym_attribute,
    STATE(6121), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [269412] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5710), 1,
      aux_sym_let_binding_repeat1,
    STATE(5851), 1,
      sym_attribute,
    STATE(6122), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [269527] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5712), 1,
      aux_sym_let_binding_repeat1,
    STATE(5852), 1,
      sym_attribute,
    STATE(6123), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [269642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270227] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10162), 1,
      anon_sym_LT_DASH,
    STATE(5862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270359] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(5864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270881] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5733), 1,
      aux_sym_let_binding_repeat1,
    STATE(5872), 1,
      sym_attribute,
    STATE(5985), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [270996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272101] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8619), 1,
      anon_sym_PERCENT,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5649), 1,
      aux_sym_let_binding_repeat1,
    STATE(5890), 1,
      sym_attribute,
    STATE(6095), 1,
      sym__attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [272216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272408] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(5894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8915), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8913), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [272474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272602] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10164), 1,
      anon_sym_LT_DASH,
    STATE(5897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272796] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8855), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8857), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [272860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273116] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8865), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8867), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [273180] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10166), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5906), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [273292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273740] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10168), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5914), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [273852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274044] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5595), 1,
      anon_sym_DOT,
    STATE(5918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274174] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10170), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5920), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [274286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274478] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10172), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5924), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [274590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274718] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(5927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274912] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10174), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5930), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [275024] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10176), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5931), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [275136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275520] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10182), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5938), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(10178), 19,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10180), 28,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [275586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276418] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9933), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10185), 1,
      anon_sym_DASH_GT,
    STATE(5596), 1,
      aux_sym_let_binding_repeat1,
    STATE(5952), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [276530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276658] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5595), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_POUND,
    ACTIONS(5599), 1,
      sym_hash_operator,
    STATE(5955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276792] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(5957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276858] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8903), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8905), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [276922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277434] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8921), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8923), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [277498] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8927), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [277562] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5595), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_POUND,
    ACTIONS(5599), 1,
      sym_hash_operator,
    STATE(5969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277696] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8931), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [277760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277824] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8837), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8839), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [277888] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8841), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8843), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [277952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278016] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8845), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8847), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [278080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [278400] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5701), 1,
      aux_sym_let_binding_repeat1,
    STATE(5982), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [278509] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9068), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [278572] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(5984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9054), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [278637] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5654), 1,
      aux_sym_let_binding_repeat1,
    STATE(5985), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [278746] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9180), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [278809] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9184), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [278872] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9116), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [278935] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9188), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [278998] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9134), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [279061] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8931), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [279124] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8903), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8905), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [279187] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8865), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8867), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [279250] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8841), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8843), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [279313] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10187), 1,
      anon_sym_COLON,
    STATE(5995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [279378] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9094), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [279441] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8845), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8847), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [279504] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(5998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8915), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8913), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [279569] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9110), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [279632] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10189), 1,
      anon_sym_LT_DASH,
    STATE(6000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8933), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [279697] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8903), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8905), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [279760] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(6002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9054), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [279825] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5741), 1,
      aux_sym_let_binding_repeat1,
    STATE(6003), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [279934] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8855), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8857), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [279997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10191), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10193), 28,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [280060] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9042), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [280123] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5718), 1,
      aux_sym_let_binding_repeat1,
    STATE(6007), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [280232] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5688), 1,
      aux_sym_let_binding_repeat1,
    STATE(6008), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [280341] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5727), 1,
      aux_sym_let_binding_repeat1,
    STATE(6009), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [280450] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9086), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [280513] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(6011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8915), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8913), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [280578] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(6012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9054), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [280643] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5740), 1,
      aux_sym_let_binding_repeat1,
    STATE(6013), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [280752] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5749), 1,
      aux_sym_let_binding_repeat1,
    STATE(6014), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [280861] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5641), 1,
      aux_sym_let_binding_repeat1,
    STATE(6015), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [280970] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(6016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9054), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [281035] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5746), 1,
      aux_sym_let_binding_repeat1,
    STATE(6017), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [281144] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8921), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8923), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [281207] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5731), 1,
      aux_sym_let_binding_repeat1,
    STATE(6019), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [281316] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8927), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [281379] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8931), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [281442] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5639), 1,
      aux_sym_let_binding_repeat1,
    STATE(6022), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [281551] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9046), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [281614] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5651), 1,
      aux_sym_let_binding_repeat1,
    STATE(6024), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [281723] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5671), 1,
      aux_sym_let_binding_repeat1,
    STATE(6025), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [281832] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8933), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [281895] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5728), 1,
      aux_sym_let_binding_repeat1,
    STATE(6027), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [282004] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9146), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [282067] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9150), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [282130] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9154), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [282193] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9158), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [282256] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5736), 1,
      aux_sym_let_binding_repeat1,
    STATE(6032), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [282365] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9162), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [282428] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5605), 1,
      anon_sym_DOT,
    ACTIONS(5607), 1,
      anon_sym_POUND,
    ACTIONS(5609), 1,
      sym_hash_operator,
    STATE(6034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9166), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [282497] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9194), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [282560] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5751), 1,
      aux_sym_let_binding_repeat1,
    STATE(6036), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [282669] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9198), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [282732] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9098), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [282795] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9202), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [282858] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9206), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [282921] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9210), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [282984] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9214), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [283047] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8837), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8839), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [283110] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5648), 1,
      aux_sym_let_binding_repeat1,
    STATE(6044), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [283219] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9222), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [283282] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5605), 1,
      anon_sym_DOT,
    STATE(6046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9226), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [283347] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8841), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8843), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [283410] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5723), 1,
      aux_sym_let_binding_repeat1,
    STATE(6048), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [283519] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9230), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [283582] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9234), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [283645] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9238), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [283708] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9242), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [283771] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8845), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8847), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [283834] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9246), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [283897] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5658), 1,
      aux_sym_let_binding_repeat1,
    STATE(6055), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [284006] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9250), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [284069] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9258), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [284132] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9262), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [284195] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9266), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [284258] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5668), 1,
      aux_sym_let_binding_repeat1,
    STATE(6060), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [284367] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9270), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [284430] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9274), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [284493] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9278), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [284556] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9282), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [284619] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9286), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [284682] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9122), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [284745] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5605), 1,
      anon_sym_DOT,
    ACTIONS(5607), 1,
      anon_sym_POUND,
    ACTIONS(5609), 1,
      sym_hash_operator,
    STATE(6067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9300), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [284814] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5675), 1,
      aux_sym_let_binding_repeat1,
    STATE(6068), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [284923] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9308), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [284986] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9312), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [285049] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9316), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [285112] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9320), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [285175] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8855), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8857), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [285238] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5686), 1,
      aux_sym_let_binding_repeat1,
    STATE(6074), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [285347] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9304), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [285410] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8865), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8867), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [285473] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5697), 1,
      aux_sym_let_binding_repeat1,
    STATE(6077), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [285582] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9328), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [285645] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5952), 1,
      aux_sym_let_binding_repeat1,
    STATE(6079), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [285754] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5709), 1,
      aux_sym_let_binding_repeat1,
    STATE(6080), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [285863] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8837), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8839), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [285926] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5721), 1,
      aux_sym_let_binding_repeat1,
    STATE(6082), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [286035] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5730), 1,
      aux_sym_let_binding_repeat1,
    STATE(6083), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [286144] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9090), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [286207] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5737), 1,
      aux_sym_let_binding_repeat1,
    STATE(6085), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [286316] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9130), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [286379] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5744), 1,
      aux_sym_let_binding_repeat1,
    STATE(6087), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [286488] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5696), 1,
      aux_sym_let_binding_repeat1,
    STATE(6088), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [286597] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5640), 1,
      aux_sym_let_binding_repeat1,
    STATE(6089), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [286706] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5644), 1,
      aux_sym_let_binding_repeat1,
    STATE(6090), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [286815] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5647), 1,
      aux_sym_let_binding_repeat1,
    STATE(6091), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [286924] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9324), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [286987] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9052), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [287050] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9114), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [287113] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5650), 1,
      aux_sym_let_binding_repeat1,
    STATE(6095), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [287222] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5653), 1,
      aux_sym_let_binding_repeat1,
    STATE(6096), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [287331] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9074), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [287394] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5656), 1,
      aux_sym_let_binding_repeat1,
    STATE(6098), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [287503] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9142), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [287566] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5661), 1,
      aux_sym_let_binding_repeat1,
    STATE(6100), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [287675] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9174), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [287738] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9102), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [287801] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5663), 1,
      aux_sym_let_binding_repeat1,
    STATE(6103), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [287910] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9218), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [287973] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8921), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8923), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [288036] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5667), 1,
      aux_sym_let_binding_repeat1,
    STATE(6106), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [288145] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9294), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [288208] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5670), 1,
      aux_sym_let_binding_repeat1,
    STATE(6108), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [288317] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9076), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [288380] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9168), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [288443] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5674), 1,
      aux_sym_let_binding_repeat1,
    STATE(6111), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [288552] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9066), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [288615] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5678), 1,
      aux_sym_let_binding_repeat1,
    STATE(6113), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [288724] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5682), 1,
      aux_sym_let_binding_repeat1,
    STATE(6114), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [288833] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5689), 1,
      aux_sym_let_binding_repeat1,
    STATE(6115), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [288942] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5694), 1,
      aux_sym_let_binding_repeat1,
    STATE(6116), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [289051] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5753), 1,
      aux_sym_let_binding_repeat1,
    STATE(6117), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [289160] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5699), 1,
      aux_sym_let_binding_repeat1,
    STATE(6118), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [289269] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5703), 1,
      aux_sym_let_binding_repeat1,
    STATE(6119), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [289378] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5706), 1,
      aux_sym_let_binding_repeat1,
    STATE(6120), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [289487] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5708), 1,
      aux_sym_let_binding_repeat1,
    STATE(6121), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [289596] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5711), 1,
      aux_sym_let_binding_repeat1,
    STATE(6122), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [289705] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5713), 1,
      aux_sym_let_binding_repeat1,
    STATE(6123), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [289814] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5931), 1,
      aux_sym_let_binding_repeat1,
    STATE(6124), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [289923] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5906), 1,
      aux_sym_let_binding_repeat1,
    STATE(6125), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [290032] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5914), 1,
      aux_sym_let_binding_repeat1,
    STATE(6126), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [290141] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5920), 1,
      aux_sym_let_binding_repeat1,
    STATE(6127), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [290250] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5924), 1,
      aux_sym_let_binding_repeat1,
    STATE(6128), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [290359] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6371), 1,
      anon_sym_LPAREN,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5930), 1,
      aux_sym_let_binding_repeat1,
    STATE(6129), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6369), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11417), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [290468] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9176), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [290531] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8927), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [290594] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9060), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [290657] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10195), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6133), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(10178), 17,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10180), 29,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [290722] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9126), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [290785] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9106), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [290848] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8915), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8913), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [290911] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9082), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [290974] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9290), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [291037] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9076), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [291099] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9250), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [291161] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9150), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [291223] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9134), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [291285] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9154), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [291347] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9210), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [291409] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9158), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [291471] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9258), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [291533] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9262), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [291595] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9176), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [291657] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9266), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [291719] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9270), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [291781] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9274), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [291843] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9162), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [291905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10198), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [291967] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9278), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [292029] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9282), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [292091] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9180), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [292153] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9286), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [292215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10191), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10193), 29,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [292277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9102), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [292339] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8933), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [292401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9106), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [292463] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9184), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [292525] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9046), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [292587] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9290), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [292649] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9142), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [292711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9110), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [292773] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9328), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [292835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10204), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10202), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [292897] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9174), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [292959] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9188), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [293021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9042), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [293083] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9258), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [293145] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5685), 1,
      anon_sym_DOT,
    ACTIONS(5687), 1,
      anon_sym_POUND,
    ACTIONS(5689), 1,
      sym_hash_operator,
    STATE(6173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9300), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [293213] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9262), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [293275] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9242), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [293337] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9202), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [293399] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5675), 1,
      anon_sym_DOT,
    ACTIONS(5677), 1,
      anon_sym_POUND,
    ACTIONS(5679), 1,
      sym_hash_operator,
    STATE(6177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9166), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [293467] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9066), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [293529] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8915), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8913), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [293591] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9206), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [293653] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9266), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [293715] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9308), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [293777] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(6183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9054), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [293841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10208), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10206), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [293903] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9312), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [293965] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9230), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [294027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9114), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [294089] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9114), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [294151] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9316), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [294213] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9210), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [294275] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5675), 1,
      anon_sym_DOT,
    ACTIONS(5677), 1,
      anon_sym_POUND,
    ACTIONS(5679), 1,
      sym_hash_operator,
    STATE(6191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9300), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [294343] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9214), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [294405] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9194), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [294467] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9146), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [294529] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9198), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [294591] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9324), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [294653] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9320), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [294715] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10210), 1,
      anon_sym_LT_DASH,
    STATE(6198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8933), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [294779] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9308), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [294841] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9150), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [294903] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9286), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [294965] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9130), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [295027] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(6203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9054), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [295091] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9180), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [295153] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9184), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [295215] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9122), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [295277] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9222), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [295339] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9290), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [295401] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9206), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [295463] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9274), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [295525] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(6211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8915), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8913), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [295589] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5675), 1,
      anon_sym_DOT,
    STATE(6212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9226), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [295653] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9304), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [295715] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8841), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8843), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [295777] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9126), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [295839] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9188), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [295901] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9328), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [295963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10214), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10212), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [296025] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9102), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [296087] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9106), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [296149] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9086), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [296211] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9110), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [296273] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9130), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [296335] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9114), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [296397] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9082), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [296459] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9068), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [296521] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9116), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [296583] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9168), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [296645] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9090), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [296707] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9238), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [296769] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9082), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [296831] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9052), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [296893] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9154), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [296955] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8845), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8847), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [297017] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9246), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [297079] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9094), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [297141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9122), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [297203] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9250), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [297265] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9304), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [297327] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9214), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [297389] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(6241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9054), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [297453] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9218), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [297515] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9162), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [297577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9126), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [297639] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9086), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [297701] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10216), 1,
      anon_sym_LT_DASH,
    STATE(6246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8933), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [297765] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9324), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [297827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9060), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [297889] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9090), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [297951] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5685), 1,
      anon_sym_DOT,
    ACTIONS(5687), 1,
      anon_sym_POUND,
    ACTIONS(5689), 1,
      sym_hash_operator,
    STATE(6250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9166), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [298019] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9094), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [298081] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9098), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [298143] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9176), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [298205] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9222), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [298267] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9246), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [298329] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9102), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [298391] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(6257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298455] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9042), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [298517] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10218), 1,
      anon_sym_COLON,
    STATE(6259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298581] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9270), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [298643] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9122), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [298705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10220), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [298767] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5685), 1,
      anon_sym_DOT,
    STATE(6263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9226), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [298831] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9126), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [298893] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(6265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [298957] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9046), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [299019] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9106), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [299081] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9134), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [299143] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8921), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8923), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [299205] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8927), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [299267] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(6271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299331] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8931), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [299393] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9060), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [299455] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(6274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [299519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9134), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [299581] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9052), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [299643] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9060), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [299705] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9146), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [299767] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9098), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [299829] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9230), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [299891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9116), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [299953] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9234), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [300015] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9074), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [300077] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9068), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [300139] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(6285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9054), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [300203] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9202), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [300265] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8903), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8905), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [300327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9068), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [300389] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9142), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [300451] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9174), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [300513] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9076), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [300575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9364), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300637] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9278), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [300699] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9110), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [300761] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_DOT_DOT,
    STATE(6295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(5951), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [300825] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8855), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8857), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [300887] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9218), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [300949] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9312), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [301011] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9316), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [301073] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9294), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [301135] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8865), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8867), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [301197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9046), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [301259] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9294), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [301321] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9168), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [301383] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9194), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [301445] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9320), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [301507] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8915), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8913), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [301569] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9066), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [301631] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9234), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [301693] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9042), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [301755] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8933), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [301817] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9116), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [301879] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8837), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8839), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [301941] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9282), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [302003] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9238), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [302065] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9074), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [302127] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9242), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [302189] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9198), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [302251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302313] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9158), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [302375] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9294), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [302436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9102), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [302497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9188), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [302558] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9102), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [302619] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9106), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [302680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10206), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10208), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [302741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9364), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302802] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9110), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [302863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [302924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(5951), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [302985] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10226), 1,
      anon_sym_COLON,
    STATE(6331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9356), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [303048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9106), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [303109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10230), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10228), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [303170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10234), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10232), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [303231] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9114), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [303292] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9324), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [303353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9098), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [303414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10220), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10222), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [303475] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9068), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [303536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9110), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [303597] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8915), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8913), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [303658] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9116), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [303719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10238), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10236), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [303780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10242), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10240), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [303841] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10244), 1,
      anon_sym_DOT_DOT,
    STATE(6345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5951), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(5955), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [303904] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(6346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [303967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9060), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [304028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9180), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [304089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10248), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10246), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [304150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10252), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10250), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [304211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10256), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10254), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [304272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10260), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10258), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [304333] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9286), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [304394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10262), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [304455] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8933), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [304516] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10266), 1,
      anon_sym_DOT_DOT,
    STATE(6356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(5951), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [304579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9184), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [304640] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9146), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [304701] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9082), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [304762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10270), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10268), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [304823] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9290), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [304884] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9086), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [304945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [305006] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9090), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [305067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10272), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [305128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10278), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10276), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [305189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9114), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [305250] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_LT_DASH,
    STATE(6368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8933), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [305313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [305374] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9122), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [305435] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9126), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [305496] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9134), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [305557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10282), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [305618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10288), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10286), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [305679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [305740] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(6376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [305803] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9308), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [305864] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(6378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9054), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [305927] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9042), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [305988] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9266), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [306049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10290), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [306110] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9046), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [306171] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9270), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [306232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10296), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10294), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [306293] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9066), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [306354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10298), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [306415] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9180), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [306476] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9312), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [306537] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(6389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9054), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [306600] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9316), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [306661] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9320), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [306722] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9150), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [306783] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9154), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [306844] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9158), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [306905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10302), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [306966] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9060), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [307027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9086), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [307088] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9162), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [307149] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9194), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [307210] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9198), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [307271] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9202), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [307332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307393] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9206), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [307454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10306), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [307515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10312), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10310), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [307576] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9282), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [307637] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9210), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [307698] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9304), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [307759] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6373), 1,
      anon_sym_COMMA,
    ACTIONS(6389), 1,
      anon_sym_COLON_COLON,
    STATE(6409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10316), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [307824] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9214), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [307885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9066), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [307946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9042), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [308007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9102), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [308068] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9184), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [308129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9106), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [308190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9068), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [308251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9110), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [308312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9094), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [308373] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9094), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [308434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10318), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [308495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10220), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [308556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9114), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [308617] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9074), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [308678] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9142), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [308739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9122), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [308800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10324), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10322), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [308861] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9130), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [308922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10326), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [308983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10332), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10330), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [309044] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9098), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [309105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9122), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [309166] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5695), 1,
      anon_sym_DOT,
    ACTIONS(5697), 1,
      anon_sym_POUND,
    ACTIONS(5699), 1,
      sym_hash_operator,
    STATE(6432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9166), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [309233] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9174), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [309294] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9222), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [309355] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9278), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [309416] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9218), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [309477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10334), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [309538] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5695), 1,
      anon_sym_DOT,
    STATE(6438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9226), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [309601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10340), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10338), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [309662] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9230), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [309723] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6389), 1,
      anon_sym_COLON_COLON,
    STATE(6441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10344), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10342), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [309786] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9188), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [309847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10208), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10206), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [309908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9046), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [309969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9082), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [310030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [310091] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9328), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [310152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10348), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10346), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [310213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10352), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10350), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [310274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [310335] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9176), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [310396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9134), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [310457] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6389), 1,
      anon_sym_COLON_COLON,
    STATE(6453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10356), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10354), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [310520] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9076), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [310581] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9168), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [310642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9126), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [310703] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9234), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [310764] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9238), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [310825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10358), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [310886] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9242), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [310947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10362), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [311008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9116), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [311069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9090), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [311130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10366), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [311191] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9246), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [311252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9134), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [311313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9176), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [311374] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9250), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [311435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10372), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10370), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [311496] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9274), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [311557] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9258), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [311618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8915), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8913), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [311679] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9262), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [311740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10374), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [311801] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5695), 1,
      anon_sym_DOT,
    ACTIONS(5697), 1,
      anon_sym_POUND,
    ACTIONS(5699), 1,
      sym_hash_operator,
    STATE(6475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9300), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [311868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10378), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [311929] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9052), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [311990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10332), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10330), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [312050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10320), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [312110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10308), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [312230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10236), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10238), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [312350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5951), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(5955), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [312410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10260), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10258), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [312470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9082), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [312530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10282), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10284), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [312590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9102), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [312650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9106), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [312710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10366), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [312770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10352), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [312830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9086), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [312890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9090), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [312950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9094), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [313010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10304), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [313070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9098), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [313130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10334), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [313190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10220), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [313250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10288), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10286), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [313370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10374), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [313430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10368), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [313490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10248), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10246), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [313550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9110), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [313610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10256), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [313670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [313730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10296), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10294), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [313790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10364), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [313850] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6749), 1,
      anon_sym_COLON_COLON,
    STATE(6509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10344), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10342), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [313912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10372), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [313972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10298), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [314032] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6743), 1,
      anon_sym_COMMA,
    ACTIONS(6749), 1,
      anon_sym_COLON_COLON,
    STATE(6512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10314), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [314096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10340), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10338), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [314156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10230), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10228), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [314216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10290), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [314276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9066), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [314336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10262), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [314396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10208), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10206), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [314456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10234), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [314516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10312), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [314576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9176), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [314636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10272), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10274), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [314696] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10382), 1,
      anon_sym_COLON,
    STATE(6523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314758] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6749), 1,
      anon_sym_COLON_COLON,
    STATE(6524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10356), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10354), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [314820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10322), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10324), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [314880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10328), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [314940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10242), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10240), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [315000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9180), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [315060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9184), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [315120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10336), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [315180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9188), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [315240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(5951), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [315300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10380), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [315360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10288), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [315420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10270), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10268), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [315480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10376), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [315540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [315600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10252), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [315660] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(6539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10260), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [315782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10318), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [315842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [315902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10248), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [315962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [316022] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6517), 1,
      anon_sym_COLON_COLON,
    STATE(6545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10342), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10344), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [316084] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6511), 1,
      anon_sym_COMMA,
    ACTIONS(6517), 1,
      anon_sym_COLON_COLON,
    STATE(6546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10316), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [316148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10264), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [316208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10306), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [316268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9114), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [316328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10238), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10236), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [316388] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9166), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [316448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10332), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [316508] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6517), 1,
      anon_sym_COLON_COLON,
    STATE(6553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10356), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [316570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10242), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [316630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10270), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [316690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10234), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10232), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [316750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [316870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10346), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10348), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [316930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10326), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [316990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [317050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10372), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10370), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [317110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317170] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10384), 1,
      anon_sym_COLON,
    STATE(6564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9356), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [317232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10256), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10254), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [317352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10296), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [317472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317532] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10386), 1,
      anon_sym_LT_DASH,
    STATE(6570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10300), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [317654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9122), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [317774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8915), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8913), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [317834] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10388), 1,
      anon_sym_DOT_DOT,
    STATE(6575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5951), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(5955), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [317896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [317956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10348), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10346), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [318016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10360), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [318076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10378), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [318136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10282), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [318196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10302), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [318256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10340), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [318316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10358), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [318376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10278), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10276), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [318436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [318496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10230), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [318556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [318616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10252), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10250), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [318676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [318736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [318796] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9362), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [318856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [318916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10292), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [318976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10352), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10350), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [319036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10362), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [319096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [319156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [319216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10276), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10278), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [319276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [319336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [319396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9134), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [319456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10312), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10310), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [319516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [319576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10272), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [319636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10324), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10322), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [319696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10292), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [319873] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5825), 1,
      anon_sym_DOT,
    ACTIONS(5827), 1,
      anon_sym_POUND,
    ACTIONS(5829), 1,
      sym_hash_operator,
    STATE(6609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [320115] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5825), 1,
      anon_sym_DOT,
    ACTIONS(5827), 1,
      anon_sym_POUND,
    ACTIONS(5829), 1,
      sym_hash_operator,
    STATE(6613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10380), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [320298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10256), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [320357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [320416] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9166), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [320475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [320534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320652] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(6622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [320831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [320890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [321126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [321303] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10390), 1,
      anon_sym_LT_DASH,
    STATE(6633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10322), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10324), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [321659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [321777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10360), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [321954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10276), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10278), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [322072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10364), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [322190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10328), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [322249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10296), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [322308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10372), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [322780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [323016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323075] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10392), 1,
      anon_sym_LT_DASH,
    STATE(6663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323195] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(6665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323315] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9364), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10332), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [323551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323610] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10394), 1,
      anon_sym_COLON,
    STATE(6672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9356), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [323671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323730] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9362), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [323789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10234), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [323848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10250), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10252), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [323907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10260), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [323966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10270), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [324084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10312), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [324261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324320] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(6684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10346), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10348), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [324499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10320), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [324853] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5825), 1,
      anon_sym_DOT,
    STATE(6693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10308), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [325032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10236), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10238), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [325150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10352), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [325386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10282), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10284), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [325563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10304), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [325681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326035] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9166), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [326094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10340), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [326507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10300), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [326566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10368), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [326743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10336), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [326802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10288), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [326861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10376), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [326979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10246), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10248), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [327038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [327156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10272), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10274), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [327215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327274] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6677), 1,
      anon_sym_COLON_COLON,
    STATE(6734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10342), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10344), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [327335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327394] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6671), 1,
      anon_sym_COMMA,
    ACTIONS(6677), 1,
      anon_sym_COLON_COLON,
    STATE(6736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10316), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [327457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [327516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10230), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [327575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10264), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [327634] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6677), 1,
      anon_sym_COLON_COLON,
    STATE(6740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10356), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [327695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10242), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [327813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5951), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(5955), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [327872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327930] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      anon_sym_POUND,
    ACTIONS(6125), 1,
      sym_hash_operator,
    STATE(6745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328052] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(6747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328286] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10396), 1,
      anon_sym_LT_DASH,
    STATE(6751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328462] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6361), 1,
      sym__identifier,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_LBRACE,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6393), 1,
      anon_sym_begin,
    ACTIONS(6401), 1,
      aux_sym_number_token1,
    ACTIONS(6403), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6405), 1,
      anon_sym_SQUOTE,
    ACTIONS(6407), 1,
      anon_sym_DQUOTE,
    ACTIONS(6409), 1,
      sym__capitalized_identifier,
    ACTIONS(6411), 1,
      aux_sym_tag_token1,
    ACTIONS(8647), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10398), 1,
      anon_sym_LPAREN,
    STATE(6754), 1,
      sym_attribute,
    STATE(9604), 1,
      sym__constructor_name,
    STATE(11361), 1,
      sym__simple_pattern,
    STATE(19681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11394), 2,
      sym__constant,
      sym_signed_number,
    STATE(11498), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11383), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [328560] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    STATE(6755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328910] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(6761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329260] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329376] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329434] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9362), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [329492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330188] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(6783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330364] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8175), 1,
      sym__identifier,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8189), 1,
      anon_sym_LBRACE,
    ACTIONS(8191), 1,
      anon_sym_POUND,
    ACTIONS(8193), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8195), 1,
      anon_sym_begin,
    ACTIONS(8201), 1,
      aux_sym_number_token1,
    ACTIONS(8203), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8205), 1,
      anon_sym_SQUOTE,
    ACTIONS(8207), 1,
      anon_sym_DQUOTE,
    ACTIONS(8209), 1,
      sym__capitalized_identifier,
    ACTIONS(8211), 1,
      aux_sym_tag_token1,
    ACTIONS(10400), 1,
      anon_sym_LPAREN,
    ACTIONS(10402), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10404), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6786), 1,
      sym_attribute,
    STATE(8960), 1,
      sym__simple_pattern,
    STATE(9002), 1,
      sym__constructor_name,
    STATE(21208), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8185), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8993), 2,
      sym__constant,
      sym_signed_number,
    STATE(9174), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8976), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [330462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330810] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330868] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8539), 1,
      sym__identifier,
    ACTIONS(8547), 1,
      anon_sym_LBRACK,
    ACTIONS(8553), 1,
      anon_sym_LBRACE,
    ACTIONS(8557), 1,
      anon_sym_POUND,
    ACTIONS(8559), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8561), 1,
      anon_sym_begin,
    ACTIONS(8569), 1,
      aux_sym_number_token1,
    ACTIONS(8571), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8573), 1,
      anon_sym_SQUOTE,
    ACTIONS(8575), 1,
      anon_sym_DQUOTE,
    ACTIONS(8577), 1,
      sym__capitalized_identifier,
    ACTIONS(8579), 1,
      aux_sym_tag_token1,
    ACTIONS(10406), 1,
      anon_sym_LPAREN,
    ACTIONS(10408), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10410), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6794), 1,
      sym_attribute,
    STATE(10007), 1,
      sym__constructor_name,
    STATE(10091), 1,
      sym__simple_pattern,
    STATE(20415), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8549), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10071), 2,
      sym__constant,
      sym_signed_number,
    STATE(9850), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10089), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [330966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331256] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331430] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331488] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331546] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8215), 1,
      sym__identifier,
    ACTIONS(8223), 1,
      anon_sym_LBRACK,
    ACTIONS(8229), 1,
      anon_sym_LBRACE,
    ACTIONS(8231), 1,
      anon_sym_POUND,
    ACTIONS(8233), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8235), 1,
      anon_sym_begin,
    ACTIONS(8241), 1,
      aux_sym_number_token1,
    ACTIONS(8243), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8245), 1,
      anon_sym_SQUOTE,
    ACTIONS(8247), 1,
      anon_sym_DQUOTE,
    ACTIONS(8249), 1,
      sym__capitalized_identifier,
    ACTIONS(8251), 1,
      aux_sym_tag_token1,
    ACTIONS(10412), 1,
      anon_sym_LPAREN,
    ACTIONS(10414), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10416), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6805), 1,
      sym_attribute,
    STATE(8889), 1,
      sym__constructor_name,
    STATE(9035), 1,
      sym__simple_pattern,
    STATE(21008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8225), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9146), 2,
      sym__constant,
      sym_signed_number,
    STATE(8909), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9065), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [331644] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8023), 1,
      sym__identifier,
    ACTIONS(8035), 1,
      anon_sym_LBRACK,
    ACTIONS(8041), 1,
      anon_sym_LBRACE,
    ACTIONS(8043), 1,
      anon_sym_POUND,
    ACTIONS(8045), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8047), 1,
      anon_sym_begin,
    ACTIONS(8053), 1,
      aux_sym_number_token1,
    ACTIONS(8055), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8057), 1,
      anon_sym_SQUOTE,
    ACTIONS(8059), 1,
      anon_sym_DQUOTE,
    ACTIONS(8061), 1,
      sym__capitalized_identifier,
    ACTIONS(8063), 1,
      aux_sym_tag_token1,
    ACTIONS(10418), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10422), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6806), 1,
      sym_attribute,
    STATE(8305), 1,
      sym__simple_pattern,
    STATE(8367), 1,
      sym__constructor_name,
    STATE(19568), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8037), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8302), 2,
      sym__constant,
      sym_signed_number,
    STATE(8366), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8362), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [331742] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331916] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(9166), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [331974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332322] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      anon_sym_POUND,
    ACTIONS(6125), 1,
      sym_hash_operator,
    STATE(6817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332560] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332618] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10424), 1,
      anon_sym_LT_DASH,
    STATE(6822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332678] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333084] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7901), 1,
      sym__identifier,
    ACTIONS(7913), 1,
      anon_sym_LBRACK,
    ACTIONS(7919), 1,
      anon_sym_LBRACE,
    ACTIONS(7921), 1,
      anon_sym_POUND,
    ACTIONS(7923), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7925), 1,
      anon_sym_begin,
    ACTIONS(7933), 1,
      aux_sym_number_token1,
    ACTIONS(7935), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7937), 1,
      anon_sym_SQUOTE,
    ACTIONS(7939), 1,
      anon_sym_DQUOTE,
    ACTIONS(7941), 1,
      sym__capitalized_identifier,
    ACTIONS(7943), 1,
      aux_sym_tag_token1,
    ACTIONS(10426), 1,
      anon_sym_LPAREN,
    ACTIONS(10428), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10430), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6830), 1,
      sym_attribute,
    STATE(8505), 1,
      sym__simple_pattern,
    STATE(8546), 1,
      sym__constructor_name,
    STATE(20781), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8591), 2,
      sym__constant,
      sym_signed_number,
    STATE(8487), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8494), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [333182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [333529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [333586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [333643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [333700] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [333814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [333871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [333928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [333985] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334042] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334099] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334156] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334213] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334270] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334327] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334384] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334441] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [334555] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334612] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334669] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334726] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334783] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10432), 1,
      anon_sym_DOT,
    ACTIONS(10434), 1,
      anon_sym_POUND,
    ACTIONS(10436), 1,
      sym_hash_operator,
    STATE(6859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [334846] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6131), 1,
      anon_sym_DOT,
    ACTIONS(6133), 1,
      anon_sym_POUND,
    ACTIONS(6135), 1,
      sym_hash_operator,
    STATE(6860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334909] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334966] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335023] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [335137] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335194] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335251] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335308] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335365] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6131), 1,
      anon_sym_DOT,
    STATE(6869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335424] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335481] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335538] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335595] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335652] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [335766] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335823] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335880] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335937] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335994] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336051] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336108] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336165] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [336279] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336336] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336393] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6131), 1,
      anon_sym_DOT,
    ACTIONS(6133), 1,
      anon_sym_POUND,
    ACTIONS(6135), 1,
      sym_hash_operator,
    STATE(6887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336456] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336513] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336570] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336627] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [336741] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [336855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [336912] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336969] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [337083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [337140] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337197] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [337311] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [337425] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(6905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [337484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [337541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [337598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [337655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [337712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [337769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [337826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [337883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [337940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [337997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [338054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [338111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [338168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [338225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [338282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [338339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [338396] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10432), 1,
      anon_sym_DOT,
    STATE(6922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [338455] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(6923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [338514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [338571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [338628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [338685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [338742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [338799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [338856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [338913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [338970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [339027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [339084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [339141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [339198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [339255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [339312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [339369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [339426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [339483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [339540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [339597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [339654] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [339768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [339825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [339882] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [339996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [340053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [340110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [340167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [340224] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340281] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [340395] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [340509] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [340623] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [340737] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340794] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [340908] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [341022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [341079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [341136] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [341193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [341250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [341307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [341364] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10438), 1,
      anon_sym_COLON,
    STATE(6974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [341423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [341480] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [341537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [341594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [341651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [341708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [341765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [341822] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(6982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [341881] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10440), 1,
      anon_sym_LT_DASH,
    STATE(6983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [341940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [341997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [342054] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(6986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [342113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [342170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [342227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [342284] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(6990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [342343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [342400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [342457] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10442), 1,
      anon_sym_DOT,
    ACTIONS(10444), 1,
      anon_sym_POUND,
    ACTIONS(10446), 1,
      sym_hash_operator,
    STATE(6993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [342520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [342577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [342634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [342691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [342748] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10442), 1,
      anon_sym_DOT,
    ACTIONS(10444), 1,
      anon_sym_POUND,
    ACTIONS(10446), 1,
      sym_hash_operator,
    STATE(6998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [342811] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(6999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [342870] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10448), 1,
      anon_sym_LT_DASH,
    STATE(7000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [342929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [342986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [343043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [343100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [343157] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10450), 1,
      anon_sym_DOT,
    ACTIONS(10452), 1,
      anon_sym_POUND,
    ACTIONS(10454), 1,
      sym_hash_operator,
    STATE(7005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [343220] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10432), 1,
      anon_sym_DOT,
    ACTIONS(10434), 1,
      anon_sym_POUND,
    ACTIONS(10436), 1,
      sym_hash_operator,
    STATE(7006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [343283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [343340] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [343454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [343511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [343568] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [343682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [343739] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [343853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [343910] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343967] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344024] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [344138] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344195] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(7023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [344254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [344311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [344368] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(7026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [344427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [344484] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344541] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344598] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344655] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [344769] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344826] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344883] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(7035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344942] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [345056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [345113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [345170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [345227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [345284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [345341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [345398] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345455] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345512] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10456), 1,
      anon_sym_LT_DASH,
    STATE(7046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345571] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10458), 1,
      anon_sym_LT_DASH,
    STATE(7047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345630] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10460), 1,
      anon_sym_LT_DASH,
    STATE(7048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345689] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10462), 1,
      anon_sym_LT_DASH,
    STATE(7049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [345805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [345862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [345919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [345976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [346033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [346090] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346147] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346204] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346261] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346318] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346375] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [346489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [346546] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346603] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(7065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346662] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346719] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10450), 1,
      anon_sym_DOT,
    STATE(7067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [346778] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [346892] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(7070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346951] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [347008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [347065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [347122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [347179] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [347236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [347293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [347350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [347407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [347464] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(7080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [347523] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [347580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [347637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [347694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [347751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [347808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [347865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [347922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [347979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [348036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [348093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [348150] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(7092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [348209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [348266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [348323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [348380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [348437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [348494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [348551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [348608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [348665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [348722] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [348779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [348836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [348893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [348950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [349007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [349064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [349121] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [349235] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(7111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [349351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [349408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [349465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [349522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [349579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [349636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [349693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [349750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [349807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [349864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [349921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [349978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [350035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [350092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [350149] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10442), 1,
      anon_sym_DOT,
    STATE(7127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [350208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [350265] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10450), 1,
      anon_sym_DOT,
    ACTIONS(10452), 1,
      anon_sym_POUND,
    ACTIONS(10454), 1,
      sym_hash_operator,
    STATE(7129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [350328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [350385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [350442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [350499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [350556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [350613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [350670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [350727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [350784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [350841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [350898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [350955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [351012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [351069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [351126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [351183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [351240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [351297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [351354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [351411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [351468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [351525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [351582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [351639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [351696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [351753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [351810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [351867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [351924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [351981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [352038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [352095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [352152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [352209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [352266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [352323] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [352437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [352494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [352551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [352608] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [352722] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352779] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [352893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [352950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [353007] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353064] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353121] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [353235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [353292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [353349] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10464), 1,
      anon_sym_LT_DASH,
    STATE(7183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [353465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [353522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [353579] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [353693] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353750] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353807] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353864] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353921] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353978] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354035] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354092] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354149] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354206] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [354320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [354377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [354434] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354491] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354548] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354605] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354662] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354719] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354776] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354833] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354890] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [354947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [355004] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355061] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355118] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355175] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355232] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355289] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [355403] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355459] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355515] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355571] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355627] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355683] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355739] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355795] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355851] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6185), 1,
      anon_sym_DOT,
    ACTIONS(6187), 1,
      anon_sym_POUND,
    ACTIONS(6189), 1,
      sym_hash_operator,
    STATE(7227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355913] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [355969] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356025] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356081] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356137] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356193] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356249] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356305] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356361] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356417] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356473] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356529] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356585] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356641] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356697] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356753] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356809] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356865] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356921] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356977] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357033] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357089] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357145] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357201] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357257] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357313] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357369] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357425] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357481] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357537] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357593] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357649] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357705] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357761] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357817] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357929] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357985] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358041] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358097] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358153] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358209] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358265] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358321] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358377] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358433] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358489] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358545] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358601] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(7276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358659] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358715] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358771] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(10466), 1,
      sym__identifier,
    ACTIONS(10468), 1,
      anon_sym_LPAREN,
    ACTIONS(10470), 1,
      anon_sym_private,
    ACTIONS(10472), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10474), 1,
      anon_sym_PIPE,
    ACTIONS(10476), 1,
      anon_sym_LBRACK,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10494), 1,
      sym__capitalized_identifier,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    STATE(7279), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10939), 1,
      sym__simple_type,
    STATE(12231), 1,
      sym__tuple_type,
    STATE(12250), 1,
      sym__constructor_name,
    STATE(12566), 1,
      sym__type,
    STATE(13167), 1,
      sym_constructor_declaration,
    STATE(19188), 1,
      sym_extended_module_path,
    STATE(22396), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10478), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12311), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358879] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358935] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358991] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359047] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10494), 1,
      sym__capitalized_identifier,
    ACTIONS(10498), 1,
      sym__identifier,
    ACTIONS(10500), 1,
      anon_sym_LPAREN,
    ACTIONS(10502), 1,
      anon_sym_private,
    ACTIONS(10504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10506), 1,
      anon_sym_PIPE,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    STATE(7283), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10577), 1,
      sym__simple_type,
    STATE(11818), 1,
      sym__tuple_type,
    STATE(11827), 1,
      sym__constructor_name,
    STATE(11907), 1,
      sym__type,
    STATE(12369), 1,
      sym_constructor_declaration,
    STATE(18307), 1,
      sym_extended_module_path,
    STATE(20954), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10510), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11860), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359155] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359211] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359267] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359323] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(10466), 1,
      sym__identifier,
    ACTIONS(10468), 1,
      anon_sym_LPAREN,
    ACTIONS(10474), 1,
      anon_sym_PIPE,
    ACTIONS(10476), 1,
      anon_sym_LBRACK,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10494), 1,
      sym__capitalized_identifier,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10526), 1,
      anon_sym_private,
    ACTIONS(10528), 1,
      anon_sym_DOT_DOT,
    STATE(7287), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10939), 1,
      sym__simple_type,
    STATE(12231), 1,
      sym__tuple_type,
    STATE(12250), 1,
      sym__constructor_name,
    STATE(12566), 1,
      sym__type,
    STATE(13167), 1,
      sym_constructor_declaration,
    STATE(19188), 1,
      sym_extended_module_path,
    STATE(22396), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10478), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12318), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359431] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359487] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(7289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359545] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10530), 1,
      anon_sym_LT_DASH,
    STATE(7290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359603] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359659] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359715] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359771] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359827] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9364), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359939] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10494), 1,
      sym__capitalized_identifier,
    ACTIONS(10532), 1,
      sym__identifier,
    ACTIONS(10534), 1,
      anon_sym_LPAREN,
    ACTIONS(10536), 1,
      anon_sym_private,
    ACTIONS(10538), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10540), 1,
      anon_sym_PIPE,
    ACTIONS(10542), 1,
      anon_sym_LBRACK,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    STATE(7297), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10210), 1,
      sym__simple_type,
    STATE(11492), 1,
      sym__tuple_type,
    STATE(11537), 1,
      sym__constructor_name,
    STATE(11731), 1,
      sym__type,
    STATE(12015), 1,
      sym_constructor_declaration,
    STATE(19026), 1,
      sym_extended_module_path,
    STATE(21423), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10544), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11500), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [360047] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360103] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360159] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360215] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360271] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360327] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360383] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360439] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360495] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360551] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360607] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360663] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360719] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360775] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360831] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360887] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(7313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360945] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [361001] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [361057] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [361113] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [361169] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [361225] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [361281] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [361337] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [361393] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [361449] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10494), 1,
      sym__capitalized_identifier,
    ACTIONS(10498), 1,
      sym__identifier,
    ACTIONS(10500), 1,
      anon_sym_LPAREN,
    ACTIONS(10506), 1,
      anon_sym_PIPE,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10560), 1,
      anon_sym_private,
    ACTIONS(10562), 1,
      anon_sym_DOT_DOT,
    STATE(7323), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10577), 1,
      sym__simple_type,
    STATE(11818), 1,
      sym__tuple_type,
    STATE(11827), 1,
      sym__constructor_name,
    STATE(11907), 1,
      sym__type,
    STATE(12369), 1,
      sym_constructor_declaration,
    STATE(18307), 1,
      sym_extended_module_path,
    STATE(20954), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10510), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11854), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [361557] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [361613] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [361669] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [361725] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [361781] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [361837] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(7329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [361895] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [361951] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [362007] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [362063] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(7333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [362121] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [362177] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [362233] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [362289] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [362345] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(7338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [362403] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [362459] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [362515] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [362571] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [362627] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [362683] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [362739] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [362795] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [362851] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6185), 1,
      anon_sym_DOT,
    STATE(7347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [362909] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [362965] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [363021] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [363077] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [363133] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(7352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [363191] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [363247] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [363303] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [363359] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [363415] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [363471] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [363527] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [363583] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [363639] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [363695] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [363751] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [363807] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [363863] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [363919] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [363975] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [364031] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [364087] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [364143] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(7370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [364201] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [364257] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [364313] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10564), 1,
      anon_sym_LT_DASH,
    STATE(7373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [364371] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [364427] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [364483] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [364539] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [364595] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [364651] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [364707] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [364763] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [364819] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10494), 1,
      sym__capitalized_identifier,
    ACTIONS(10566), 1,
      sym__identifier,
    ACTIONS(10568), 1,
      anon_sym_LPAREN,
    ACTIONS(10570), 1,
      anon_sym_private,
    ACTIONS(10572), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10574), 1,
      anon_sym_PIPE,
    ACTIONS(10576), 1,
      anon_sym_LBRACK,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    STATE(7382), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10889), 1,
      sym__simple_type,
    STATE(12243), 1,
      sym__tuple_type,
    STATE(12256), 1,
      sym__constructor_name,
    STATE(12671), 1,
      sym__type,
    STATE(13171), 1,
      sym_constructor_declaration,
    STATE(18475), 1,
      sym_extended_module_path,
    STATE(20753), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10578), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12331), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [364927] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6205), 1,
      anon_sym_DOT,
    ACTIONS(6207), 1,
      anon_sym_POUND,
    ACTIONS(6209), 1,
      sym_hash_operator,
    STATE(7383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [364989] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [365045] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [365101] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10594), 1,
      anon_sym_LT_DASH,
    STATE(7386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [365159] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10596), 1,
      anon_sym_LT_DASH,
    STATE(7387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [365217] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10598), 1,
      anon_sym_LT_DASH,
    STATE(7388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [365275] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10600), 1,
      anon_sym_LT_DASH,
    STATE(7389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [365333] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [365389] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [365445] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [365501] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [365557] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [365613] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [365669] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [365725] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [365781] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [365837] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [365893] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10602), 1,
      anon_sym_COLON,
    STATE(7400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [365951] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [366007] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6205), 1,
      anon_sym_DOT,
    STATE(7402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [366065] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [366121] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [366177] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [366233] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [366289] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [366345] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [366401] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10494), 1,
      sym__capitalized_identifier,
    ACTIONS(10566), 1,
      sym__identifier,
    ACTIONS(10568), 1,
      anon_sym_LPAREN,
    ACTIONS(10574), 1,
      anon_sym_PIPE,
    ACTIONS(10576), 1,
      anon_sym_LBRACK,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10604), 1,
      anon_sym_private,
    ACTIONS(10606), 1,
      anon_sym_DOT_DOT,
    STATE(7409), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10889), 1,
      sym__simple_type,
    STATE(12243), 1,
      sym__tuple_type,
    STATE(12256), 1,
      sym__constructor_name,
    STATE(12671), 1,
      sym__type,
    STATE(13171), 1,
      sym_constructor_declaration,
    STATE(18475), 1,
      sym_extended_module_path,
    STATE(20753), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10578), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12336), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [366509] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [366565] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [366621] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [366677] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [366733] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [366789] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [366845] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [366901] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [366957] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [367013] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [367069] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [367125] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [367181] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [367237] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [367293] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6205), 1,
      anon_sym_DOT,
    ACTIONS(6207), 1,
      anon_sym_POUND,
    ACTIONS(6209), 1,
      sym_hash_operator,
    STATE(7424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [367355] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [367411] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [367467] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [367523] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [367579] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [367635] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(7430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [367693] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [367749] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8917), 1,
      anon_sym_LT_DASH,
    STATE(7432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [367807] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [367863] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [367919] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10608), 1,
      anon_sym_LT_DASH,
    STATE(7435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [367977] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [368033] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [368089] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [368145] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [368201] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(7440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [368259] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [368315] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [368371] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(7443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [368429] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [368485] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [368541] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [368597] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [368653] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [368709] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [368765] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [368821] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [368877] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10610), 1,
      anon_sym_LT_DASH,
    STATE(7452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [368935] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [368991] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [369047] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [369103] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [369159] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [369215] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [369271] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [369327] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [369383] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [369439] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(7462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [369497] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [369553] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [369609] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [369665] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [369721] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [369777] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [369833] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [369889] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10612), 1,
      anon_sym_LT_DASH,
    STATE(7470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [369947] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370003] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370059] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370115] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370171] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370227] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370283] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370339] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370395] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370451] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370507] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370563] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370619] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(7483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370677] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370733] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370789] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370845] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(7487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370903] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370959] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [371015] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [371071] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [371127] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [371183] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [371239] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [371295] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [371351] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6215), 1,
      anon_sym_DOT,
    ACTIONS(6217), 1,
      anon_sym_POUND,
    ACTIONS(6219), 1,
      sym_hash_operator,
    STATE(7496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [371413] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [371469] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [371525] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [371581] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [371637] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [371693] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6215), 1,
      anon_sym_DOT,
    ACTIONS(6217), 1,
      anon_sym_POUND,
    ACTIONS(6219), 1,
      sym_hash_operator,
    STATE(7502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [371755] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [371811] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [371867] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(7505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [371925] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [371981] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372037] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372093] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372149] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372205] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372261] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6225), 1,
      anon_sym_DOT,
    ACTIONS(6227), 1,
      anon_sym_POUND,
    ACTIONS(6229), 1,
      sym_hash_operator,
    STATE(7512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372323] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372379] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372435] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372491] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372547] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372603] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372659] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372715] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372771] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372827] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6215), 1,
      anon_sym_DOT,
    STATE(7522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372885] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372941] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372997] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [373053] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [373109] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [373165] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [373221] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [373277] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [373333] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [373389] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [373445] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [373501] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [373557] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [373613] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10494), 1,
      sym__capitalized_identifier,
    ACTIONS(10532), 1,
      sym__identifier,
    ACTIONS(10534), 1,
      anon_sym_LPAREN,
    ACTIONS(10540), 1,
      anon_sym_PIPE,
    ACTIONS(10542), 1,
      anon_sym_LBRACK,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10614), 1,
      anon_sym_private,
    ACTIONS(10616), 1,
      anon_sym_DOT_DOT,
    STATE(7536), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10210), 1,
      sym__simple_type,
    STATE(11492), 1,
      sym__tuple_type,
    STATE(11537), 1,
      sym__constructor_name,
    STATE(11731), 1,
      sym__type,
    STATE(12015), 1,
      sym_constructor_declaration,
    STATE(19026), 1,
      sym_extended_module_path,
    STATE(21423), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10544), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11511), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373721] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [373777] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [373833] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6225), 1,
      anon_sym_DOT,
    ACTIONS(6227), 1,
      anon_sym_POUND,
    ACTIONS(6229), 1,
      sym_hash_operator,
    STATE(7539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [373895] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [373951] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [374007] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [374063] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [374119] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [374175] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [374231] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [374287] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [374343] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [374399] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [374455] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [374511] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [374567] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [374623] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [374679] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [374735] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [374791] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [374847] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [374903] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [374959] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [375015] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [375071] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [375127] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10618), 1,
      anon_sym_LT_DASH,
    STATE(7562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [375185] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [375241] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [375297] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [375353] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [375409] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [375465] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6185), 1,
      anon_sym_DOT,
    ACTIONS(6187), 1,
      anon_sym_POUND,
    ACTIONS(6189), 1,
      sym_hash_operator,
    STATE(7568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [375527] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [375583] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [375639] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [375695] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6195), 1,
      anon_sym_DOT,
    ACTIONS(6197), 1,
      anon_sym_POUND,
    ACTIONS(6199), 1,
      sym_hash_operator,
    STATE(7572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [375757] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [375813] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [375869] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [375925] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [375981] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376037] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376093] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376149] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376205] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376261] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376317] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376373] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376429] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376485] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6225), 1,
      anon_sym_DOT,
    STATE(7586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376543] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376599] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376655] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376711] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376767] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376823] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376879] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376935] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376991] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [377047] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [377103] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [377159] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [377215] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [377271] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [377327] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [377383] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [377439] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [377495] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [377551] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [377607] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [377663] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6195), 1,
      anon_sym_DOT,
    ACTIONS(6197), 1,
      anon_sym_POUND,
    ACTIONS(6199), 1,
      sym_hash_operator,
    STATE(7607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [377725] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [377781] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [377837] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [377893] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [377949] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [378005] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [378061] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [378117] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [378173] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [378229] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [378285] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [378341] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [378397] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [378453] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [378509] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [378565] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [378621] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [378677] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [378733] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [378789] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [378845] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [378901] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [378957] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [379013] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6175), 1,
      anon_sym_DOT,
    ACTIONS(6177), 1,
      anon_sym_POUND,
    ACTIONS(6179), 1,
      sym_hash_operator,
    STATE(7631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [379075] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [379131] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [379187] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [379243] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [379299] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [379355] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [379411] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [379467] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [379523] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [379579] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6195), 1,
      anon_sym_DOT,
    STATE(7641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [379637] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [379693] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [379749] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [379805] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [379861] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [379917] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [379973] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380029] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380085] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380141] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380197] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380253] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380309] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380365] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380421] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380477] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380533] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380589] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380645] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380701] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6175), 1,
      anon_sym_DOT,
    ACTIONS(6177), 1,
      anon_sym_POUND,
    ACTIONS(6179), 1,
      sym_hash_operator,
    STATE(7661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380763] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380819] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380875] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380931] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380987] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [381043] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [381099] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [381155] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [381211] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [381267] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [381323] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [381379] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [381435] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [381491] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [381547] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [381603] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [381659] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [381715] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [381771] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [381827] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [381883] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [381939] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [381995] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [382051] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [382107] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [382163] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [382219] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [382275] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [382331] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [382387] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [382443] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [382499] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [382555] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [382611] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [382667] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [382723] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [382779] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6175), 1,
      anon_sym_DOT,
    STATE(7698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [382837] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [382893] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [382949] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [383005] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [383061] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [383117] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [383173] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [383229] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [383285] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [383341] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [383397] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [383453] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [383509] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [383565] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [383621] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [383677] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [383733] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [383789] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [383845] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(7717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [383903] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [383959] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [384015] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [384071] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [384127] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [384182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [384237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [384292] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [384347] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [384402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [384457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [384512] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [384567] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [384622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [384677] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [384732] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [384787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [384842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [384897] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(7736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9054), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [384954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9060), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [385009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [385064] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10494), 1,
      sym__capitalized_identifier,
    ACTIONS(10566), 1,
      sym__identifier,
    ACTIONS(10568), 1,
      anon_sym_LPAREN,
    ACTIONS(10574), 1,
      anon_sym_PIPE,
    ACTIONS(10576), 1,
      anon_sym_LBRACK,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10620), 1,
      anon_sym_DOT_DOT,
    STATE(7739), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10889), 1,
      sym__simple_type,
    STATE(12243), 1,
      sym__tuple_type,
    STATE(12256), 1,
      sym__constructor_name,
    STATE(12680), 1,
      sym__type,
    STATE(13171), 1,
      sym_constructor_declaration,
    STATE(18475), 1,
      sym_extended_module_path,
    STATE(20753), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10578), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12334), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [385169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [385224] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(7741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [385281] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6567), 1,
      anon_sym_DOT,
    ACTIONS(6569), 1,
      anon_sym_POUND,
    ACTIONS(6571), 1,
      sym_hash_operator,
    STATE(7742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [385342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [385397] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [385452] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [385507] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [385562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [385617] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [385672] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [385727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [385782] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10494), 1,
      sym__capitalized_identifier,
    ACTIONS(10566), 1,
      sym__identifier,
    ACTIONS(10568), 1,
      anon_sym_LPAREN,
    ACTIONS(10574), 1,
      anon_sym_PIPE,
    ACTIONS(10576), 1,
      anon_sym_LBRACK,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10622), 1,
      anon_sym_DOT_DOT,
    STATE(7751), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10889), 1,
      sym__simple_type,
    STATE(12243), 1,
      sym__tuple_type,
    STATE(12256), 1,
      sym__constructor_name,
    STATE(12680), 1,
      sym__type,
    STATE(13171), 1,
      sym_constructor_declaration,
    STATE(18475), 1,
      sym_extended_module_path,
    STATE(20753), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10578), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12340), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [385887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [385942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [385997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386052] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [386107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386602] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [386657] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [386712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9364), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [387207] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [387262] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [387317] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(7778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [387374] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [387429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387484] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10624), 1,
      anon_sym_LT_DASH,
    STATE(7781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [387541] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [387596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387651] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [387706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387761] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [387816] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10626), 1,
      anon_sym_LT_DASH,
    STATE(7787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [387873] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(7788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [387930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387985] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [388040] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [388095] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [388150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [388205] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [388260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [388315] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [388370] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [388425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [388480] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [388535] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(7800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [388592] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [388647] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [388702] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [388757] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [388812] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [388867] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [388922] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [388977] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [389032] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [389087] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [389142] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [389197] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [389252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [389307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [389362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [389417] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [389472] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [389527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [389582] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [389637] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [389692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [389747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [389802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [389857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [389912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10628), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10630), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [389967] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [390022] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [390077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [390132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [390187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [390242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [390297] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [390352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [390407] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [390462] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [390517] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(7836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [390574] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [390629] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [390684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [390739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [390794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [390849] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [390904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [390959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [391014] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [391069] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [391124] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6353), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      anon_sym_POUND,
    ACTIONS(6357), 1,
      sym_hash_operator,
    STATE(7847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [391185] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(7848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [391242] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [391297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [391352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [391407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [391462] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10632), 1,
      anon_sym_DOT,
    STATE(7853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [391519] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [391574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [391629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [391684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [391739] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [391794] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [391849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [391904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [391959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [392014] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [392069] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [392124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [392179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [392234] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [392289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [392344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [392399] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [392454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [392509] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [392564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9126), 28,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      aux_sym_tag_token1,
  [392619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [392674] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [392729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [392784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [392839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [392894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [392949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [393004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [393059] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [393114] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [393169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [393224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [393279] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6421), 1,
      anon_sym_DOT,
    ACTIONS(6423), 1,
      anon_sym_POUND,
    ACTIONS(6425), 1,
      sym_hash_operator,
    STATE(7886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [393340] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [393395] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [393450] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [393505] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [393560] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [393615] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [393670] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [393725] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10634), 1,
      anon_sym_COLON,
    STATE(7894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9358), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [393782] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10494), 1,
      sym__capitalized_identifier,
    ACTIONS(10498), 1,
      sym__identifier,
    ACTIONS(10500), 1,
      anon_sym_LPAREN,
    ACTIONS(10506), 1,
      anon_sym_PIPE,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10636), 1,
      anon_sym_DOT_DOT,
    STATE(7895), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10577), 1,
      sym__simple_type,
    STATE(11818), 1,
      sym__tuple_type,
    STATE(11827), 1,
      sym__constructor_name,
    STATE(11933), 1,
      sym__type,
    STATE(12369), 1,
      sym_constructor_declaration,
    STATE(18307), 1,
      sym_extended_module_path,
    STATE(20954), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10510), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11858), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [393887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [393942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [393997] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [394052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [394107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [394162] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [394217] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10632), 1,
      anon_sym_DOT,
    ACTIONS(10638), 1,
      anon_sym_POUND,
    ACTIONS(10640), 1,
      sym_hash_operator,
    STATE(7902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [394278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [394333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [394388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [394443] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [394498] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(7907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [394555] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [394610] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [394665] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [394720] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [394775] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [394830] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(7913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [394887] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [394942] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [394997] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [395052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395107] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [395162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395217] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [395272] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [395327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10642), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10644), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395602] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [395657] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6421), 1,
      anon_sym_DOT,
    STATE(7928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [395714] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(7929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395881] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6523), 1,
      anon_sym_DOT,
    ACTIONS(6525), 1,
      anon_sym_POUND,
    ACTIONS(6527), 1,
      sym_hash_operator,
    STATE(7932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [395942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396107] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [396162] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [396217] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(7938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [396274] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [396329] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [396384] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [396439] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [396494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396549] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [396604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396714] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [396769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396824] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [396879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397099] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [397154] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [397209] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(10466), 1,
      sym__identifier,
    ACTIONS(10468), 1,
      anon_sym_LPAREN,
    ACTIONS(10474), 1,
      anon_sym_PIPE,
    ACTIONS(10476), 1,
      anon_sym_LBRACK,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10494), 1,
      sym__capitalized_identifier,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10646), 1,
      anon_sym_DOT_DOT,
    STATE(7956), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10939), 1,
      sym__simple_type,
    STATE(12231), 1,
      sym__tuple_type,
    STATE(12250), 1,
      sym__constructor_name,
    STATE(12580), 1,
      sym__type,
    STATE(13167), 1,
      sym_constructor_declaration,
    STATE(19188), 1,
      sym_extended_module_path,
    STATE(22396), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10478), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12315), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397479] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [397534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397589] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [397644] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [397699] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [397754] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [397809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397864] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [397919] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [397974] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [398029] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [398084] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [398139] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [398194] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [398249] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [398304] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [398359] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [398414] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10648), 1,
      anon_sym_DOT,
    ACTIONS(10650), 1,
      anon_sym_POUND,
    ACTIONS(10652), 1,
      sym_hash_operator,
    STATE(7977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [398475] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [398530] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6567), 1,
      anon_sym_DOT,
    STATE(7979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [398587] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [398642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9364), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [398697] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [398752] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [398807] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [398862] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [398917] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [398972] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [399027] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [399082] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [399137] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [399192] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [399247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [399302] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [399357] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [399412] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [399467] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [399522] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [399577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9050), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [399632] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [399687] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [399742] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [399797] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [399852] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [399907] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [399962] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [400017] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [400072] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [400127] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [400182] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [400237] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [400292] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [400347] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [400402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [400457] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [400512] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [400567] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [400622] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [400677] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [400732] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [400787] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [400842] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [400897] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6353), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      anon_sym_POUND,
    ACTIONS(6357), 1,
      sym_hash_operator,
    STATE(8022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [400958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9172), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [401013] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [401068] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [401123] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [401178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [401233] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6421), 1,
      anon_sym_DOT,
    ACTIONS(6423), 1,
      anon_sym_POUND,
    ACTIONS(6425), 1,
      sym_hash_operator,
    STATE(8028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [401294] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [401349] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6523), 1,
      anon_sym_DOT,
    ACTIONS(6525), 1,
      anon_sym_POUND,
    ACTIONS(6527), 1,
      sym_hash_operator,
    STATE(8030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [401410] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [401465] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [401520] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [401575] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [401630] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [401685] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10658), 1,
      anon_sym_COLON,
    STATE(8036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10654), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10656), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [401742] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [401797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [401852] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [401907] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [401962] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [402017] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [402072] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [402127] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [402182] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10660), 1,
      anon_sym_COLON,
    STATE(8045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [402239] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [402294] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [402349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [402404] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [402459] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [402514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [402569] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(10466), 1,
      sym__identifier,
    ACTIONS(10468), 1,
      anon_sym_LPAREN,
    ACTIONS(10474), 1,
      anon_sym_PIPE,
    ACTIONS(10476), 1,
      anon_sym_LBRACK,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10494), 1,
      sym__capitalized_identifier,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10662), 1,
      anon_sym_DOT_DOT,
    STATE(8052), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10939), 1,
      sym__simple_type,
    STATE(12231), 1,
      sym__tuple_type,
    STATE(12250), 1,
      sym__constructor_name,
    STATE(12580), 1,
      sym__type,
    STATE(13167), 1,
      sym_constructor_declaration,
    STATE(19188), 1,
      sym_extended_module_path,
    STATE(22396), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10478), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12324), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402674] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [402729] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [402784] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [402839] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [402894] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [402949] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6523), 1,
      anon_sym_DOT,
    STATE(8058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [403006] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [403061] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10494), 1,
      sym__capitalized_identifier,
    ACTIONS(10498), 1,
      sym__identifier,
    ACTIONS(10500), 1,
      anon_sym_LPAREN,
    ACTIONS(10506), 1,
      anon_sym_PIPE,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10664), 1,
      anon_sym_DOT_DOT,
    STATE(8060), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10577), 1,
      sym__simple_type,
    STATE(11818), 1,
      sym__tuple_type,
    STATE(11827), 1,
      sym__constructor_name,
    STATE(11933), 1,
      sym__type,
    STATE(12369), 1,
      sym_constructor_declaration,
    STATE(18307), 1,
      sym_extended_module_path,
    STATE(20954), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10510), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11864), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [403221] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [403276] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [403331] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [403386] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [403441] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(8066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [403498] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [403553] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [403608] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [403663] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [403718] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [403773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [403828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10666), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10668), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [403883] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [403938] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [403993] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [404048] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [404103] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [404158] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [404213] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [404268] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(8081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [404325] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [404380] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [404435] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [404490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [404545] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [404600] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [404655] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [404710] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6567), 1,
      anon_sym_DOT,
    ACTIONS(6569), 1,
      anon_sym_POUND,
    ACTIONS(6571), 1,
      sym_hash_operator,
    STATE(8089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [404771] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [404826] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10670), 1,
      anon_sym_LT_DASH,
    STATE(8091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [404883] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [404938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10672), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10674), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [404993] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [405048] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10648), 1,
      anon_sym_DOT,
    ACTIONS(10650), 1,
      anon_sym_POUND,
    ACTIONS(10652), 1,
      sym_hash_operator,
    STATE(8095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [405109] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [405164] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [405219] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [405274] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [405329] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [405384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [405439] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [405494] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [405549] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10676), 1,
      anon_sym_LT_DASH,
    STATE(8104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [405606] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [405661] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [405716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9322), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [405771] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [405826] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [405881] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [405936] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [405991] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [406046] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [406101] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [406156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9072), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [406211] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [406266] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [406321] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [406376] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [406431] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [406486] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [406541] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [406596] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [406651] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [406706] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [406761] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [406816] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10632), 1,
      anon_sym_DOT,
    ACTIONS(10638), 1,
      anon_sym_POUND,
    ACTIONS(10640), 1,
      sym_hash_operator,
    STATE(8127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [406877] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [406932] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [406987] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [407042] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [407097] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [407152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9140), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [407207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [407262] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [407317] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [407372] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [407427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [407482] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [407537] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [407592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9216), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [407647] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [407702] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [407757] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [407812] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [407867] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [407922] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [407977] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [408032] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [408087] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [408142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9292), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9078), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9170), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408307] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [408362] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(8155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9054), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [408419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408474] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [408529] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [408584] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [408639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408749] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(8162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [408806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [408916] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [408971] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [409026] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [409081] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [409136] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6343), 1,
      anon_sym_DOT,
    ACTIONS(6345), 1,
      anon_sym_POUND,
    ACTIONS(6347), 1,
      sym_hash_operator,
    STATE(8169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [409197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [409252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [409307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [409362] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [409417] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [409472] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [409527] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10494), 1,
      sym__capitalized_identifier,
    ACTIONS(10532), 1,
      sym__identifier,
    ACTIONS(10534), 1,
      anon_sym_LPAREN,
    ACTIONS(10540), 1,
      anon_sym_PIPE,
    ACTIONS(10542), 1,
      anon_sym_LBRACK,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10678), 1,
      anon_sym_DOT_DOT,
    STATE(8176), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10210), 1,
      sym__simple_type,
    STATE(11492), 1,
      sym__tuple_type,
    STATE(11537), 1,
      sym__constructor_name,
    STATE(11881), 1,
      sym__type,
    STATE(12015), 1,
      sym_constructor_declaration,
    STATE(19026), 1,
      sym_extended_module_path,
    STATE(21423), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10544), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11444), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409632] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [409687] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [409742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [409797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [409852] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6353), 1,
      anon_sym_DOT,
    STATE(8181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [409909] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [409964] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [410019] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [410074] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [410129] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [410184] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [410239] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [410294] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [410349] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [410404] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [410459] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [410514] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6343), 1,
      anon_sym_DOT,
    STATE(8193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [410571] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(8194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9054), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [410628] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [410683] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [410738] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(8197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9054), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410795] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [410850] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [410905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [410960] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [411015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [411070] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [411125] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [411180] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [411235] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [411290] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [411345] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [411400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10680), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10682), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [411455] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [411510] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [411565] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [411620] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [411675] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [411730] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [411785] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [411840] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [411895] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [411950] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [412005] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [412060] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6343), 1,
      anon_sym_DOT,
    ACTIONS(6345), 1,
      anon_sym_POUND,
    ACTIONS(6347), 1,
      sym_hash_operator,
    STATE(8221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [412121] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [412176] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [412231] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [412286] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [412341] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [412396] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [412451] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [412506] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [412561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [412616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9042), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [412671] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [412726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [412781] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [412836] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [412891] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [412946] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [413001] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [413056] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [413111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [413166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [413221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [413276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [413331] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [413386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [413441] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [413496] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [413551] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [413606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9178), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [413661] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [413716] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [413771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [413826] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [413881] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10684), 1,
      anon_sym_COLON,
    STATE(8254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9358), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [413938] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [413993] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [414048] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [414103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [414158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [414213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [414268] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10494), 1,
      sym__capitalized_identifier,
    ACTIONS(10532), 1,
      sym__identifier,
    ACTIONS(10534), 1,
      anon_sym_LPAREN,
    ACTIONS(10540), 1,
      anon_sym_PIPE,
    ACTIONS(10542), 1,
      anon_sym_LBRACK,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10686), 1,
      anon_sym_DOT_DOT,
    STATE(8261), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10210), 1,
      sym__simple_type,
    STATE(11492), 1,
      sym__tuple_type,
    STATE(11537), 1,
      sym__constructor_name,
    STATE(11881), 1,
      sym__type,
    STATE(12015), 1,
      sym_constructor_declaration,
    STATE(19026), 1,
      sym_extended_module_path,
    STATE(21423), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10544), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11458), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414373] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [414428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [414483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [414538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [414593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [414648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [414703] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [414758] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [414813] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [414868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [414923] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [414978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9186), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [415033] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [415088] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [415143] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(8276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [415200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [415255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [415310] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [415365] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [415420] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10688), 1,
      anon_sym_COLON,
    STATE(8281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9358), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [415477] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10648), 1,
      anon_sym_DOT,
    STATE(8282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [415534] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [415589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9190), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [415644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [415699] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [415754] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [415809] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [415864] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [415919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8903), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8905), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [415973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10692), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10690), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [416027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10378), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [416081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10696), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10694), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [416135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9286), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [416189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9290), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [416243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8921), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8923), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [416297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8927), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [416351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8931), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [416405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9308), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [416459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9312), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [416513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9316), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [416567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10220), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [416621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10700), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10698), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [416675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9320), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [416729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10704), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10702), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [416783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9294), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [416837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10708), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10706), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [416891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10712), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10710), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [416945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10716), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10714), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [416999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10720), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10718), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [417053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10724), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10722), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [417107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10728), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10726), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [417161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8841), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8843), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [417215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8845), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8847), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [417269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9304), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [417323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9076), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [417377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10732), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10730), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [417431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10736), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10734), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [417485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9168), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [417539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8855), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8857), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [417593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9216), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [417647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9222), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [417701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10740), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10738), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [417755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8865), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8867), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [417809] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(8325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9054), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [417865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9042), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [417919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10358), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [417973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10278), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10276), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [418027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10204), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10202), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10208), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10206), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [418135] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(8331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [418191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10744), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10742), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [418245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9230), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [418299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10628), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10630), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [418353] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10746), 1,
      anon_sym_COLON,
    STATE(8335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10654), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10656), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [418409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9292), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [418463] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(8337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9054), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [418519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9060), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [418573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9130), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [418627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9078), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [418681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10672), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10674), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [418735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9170), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [418789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10666), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10668), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [418843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10680), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10682), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [418897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10642), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10644), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [418951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10750), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10748), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [419005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9082), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [419059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10754), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10752), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [419113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10758), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10756), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [419167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8933), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [419221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10762), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10760), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [419275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10198), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9086), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [419383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9328), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [419437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9090), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [419491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9094), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [419545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9098), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [419599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9074), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [419653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9146), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [419707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9324), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [419761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10656), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10654), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [419815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8259), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8255), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [419869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9150), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [419923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9102), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [419977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9106), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [420031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9110), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [420085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9042), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [420139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9114), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [420193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9122), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [420247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9126), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [420301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9052), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [420355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9068), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [420409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9154), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [420463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9176), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [420517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9158), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [420571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9116), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [420625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9134), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [420679] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10764), 1,
      anon_sym_COLON,
    STATE(8378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [420735] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(8379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [420791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9060), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [420845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9364), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [420899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9180), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [420953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9184), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [421007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9188), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [421061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9234), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [421115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9162), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [421169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9178), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [421223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9238), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [421277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9242), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [421331] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10766), 1,
      anon_sym_DOT,
    STATE(8390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9226), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [421387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9182), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [421441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9186), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [421495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9046), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [421549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9190), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [421603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9246), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [421657] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10768), 1,
      anon_sym_COLON,
    STATE(8396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [421713] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [421767] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10766), 1,
      anon_sym_DOT,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(10776), 1,
      sym_hash_operator,
    STATE(8398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10772), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10770), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [421827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10372), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10370), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [421881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9140), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [421935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10780), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10778), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [421989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8915), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8913), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [422043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10784), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10782), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [422097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10788), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10786), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [422151] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10790), 1,
      anon_sym_COLON,
    STATE(8405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [422207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9210), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [422261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9066), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [422315] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10766), 1,
      anon_sym_DOT,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(10776), 1,
      sym_hash_operator,
    STATE(8408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10794), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10792), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [422375] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10766), 1,
      anon_sym_DOT,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(10776), 1,
      sym_hash_operator,
    STATE(8409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10798), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10796), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [422435] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10766), 1,
      anon_sym_DOT,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(10776), 1,
      sym_hash_operator,
    STATE(8410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10802), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10800), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [422495] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10804), 1,
      anon_sym_COLON,
    STATE(8411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [422551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9206), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [422605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9214), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [422659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10256), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10254), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [422713] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10806), 1,
      anon_sym_COLON,
    STATE(8415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [422769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9082), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [422823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9086), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [422877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9142), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [422931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9090), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [422985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9094), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [423039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9098), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [423093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9102), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [423147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9106), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [423201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9110), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [423255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9114), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [423309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9068), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [423363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9116), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [423417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10810), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10808), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [423471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10814), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10812), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [423525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10818), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10816), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [423579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9050), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [423633] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10820), 1,
      anon_sym_COLON,
    STATE(8432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [423689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10824), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10822), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [423743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9122), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [423797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9046), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [423851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10826), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [423905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9172), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [423959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10324), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10322), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [424013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9134), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [424067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9250), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [424121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9322), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [424175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10326), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [424229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9174), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [424283] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9364), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [424337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9258), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [424391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9262), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [424445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10832), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10830), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [424499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9194), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [424553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9176), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [424607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9180), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [424661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9184), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [424715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10214), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10212), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [424769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9188), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [424823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9266), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [424877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9164), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [424931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9270), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [424985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9274), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [425039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9278), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [425093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9282), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [425147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9198), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [425201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10836), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10834), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [425255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9218), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [425309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9202), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [425363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10838), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [425417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9072), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [425471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8837), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8839), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [425525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8915), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8913), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [425578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9238), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [425631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9242), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [425684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9246), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [425737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9250), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [425790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9258), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [425843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9262), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [425896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9266), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [425949] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10842), 1,
      anon_sym_COLON,
    STATE(8475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [426004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9270), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [426057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9274), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [426110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9278), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [426163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9282), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [426216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10322), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10324), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [426269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10326), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10328), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [426322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9286), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [426375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [426428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9290), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [426481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8921), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8923), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [426534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8927), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [426587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [426640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8931), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [426693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9308), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [426746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9312), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [426799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9316), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [426852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9320), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [426905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [426958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8255), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8259), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [427011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8837), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8839), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [427064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8841), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8843), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [427117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10380), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [427170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10698), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10700), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [427223] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [427276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8845), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8847), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [427329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9304), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [427382] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10844), 1,
      anon_sym_DOT,
    ACTIONS(10846), 1,
      anon_sym_POUND,
    ACTIONS(10848), 1,
      sym_hash_operator,
    STATE(8502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10794), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10792), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [427441] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10844), 1,
      anon_sym_DOT,
    ACTIONS(10846), 1,
      anon_sym_POUND,
    ACTIONS(10848), 1,
      sym_hash_operator,
    STATE(8503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10798), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10796), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [427500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9328), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [427553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10702), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10704), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [427606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10360), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [427659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10276), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10278), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [427712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10206), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10208), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [427765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9324), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [427818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10832), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [427871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10718), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10720), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [427924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9052), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [427977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10734), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10736), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [428030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [428083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10782), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10784), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [428136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10742), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10744), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [428189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8855), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8857), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [428242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10730), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10732), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [428295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10786), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10788), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [428348] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10850), 1,
      anon_sym_DOT,
    ACTIONS(10852), 1,
      anon_sym_POUND,
    ACTIONS(10854), 1,
      sym_hash_operator,
    STATE(8520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10794), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10792), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [428407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8855), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8857), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [428460] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9364), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [428513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [428566] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10850), 1,
      anon_sym_DOT,
    ACTIONS(10852), 1,
      anon_sym_POUND,
    ACTIONS(10854), 1,
      sym_hash_operator,
    STATE(8524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10798), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10796), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [428625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9074), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [428678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [428731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [428784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [428837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [428890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10808), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10810), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [428943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9130), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [428996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10748), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10750), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [429049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9142), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [429102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10752), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10754), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [429155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10812), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10814), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [429208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10816), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10818), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [429261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9174), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [429314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8865), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8867), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [429367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10756), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10758), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [429420] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10856), 1,
      anon_sym_COLON,
    STATE(8540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [429475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8865), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8867), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [429528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10822), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10824), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [429581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10826), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10828), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [429634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9218), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [429687] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10858), 1,
      anon_sym_COLON,
    STATE(8545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [429742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [429795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [429848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9294), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [429901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10256), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [429954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [430007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9076), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [430060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9168), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [430113] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10860), 1,
      anon_sym_COLON,
    STATE(8553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [430168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [430221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [430274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9324), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [430327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9052), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [430380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9074), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [430433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9142), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [430486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9174), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [430539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9218), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [430592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9294), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [430645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10654), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10656), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [430698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9076), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [430751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9168), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [430804] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10844), 1,
      anon_sym_DOT,
    ACTIONS(10846), 1,
      anon_sym_POUND,
    ACTIONS(10848), 1,
      sym_hash_operator,
    STATE(8566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10772), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10770), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [430863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8915), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8913), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [430916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [430969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [431022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [431075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8933), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [431128] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10844), 1,
      anon_sym_DOT,
    ACTIONS(10846), 1,
      anon_sym_POUND,
    ACTIONS(10848), 1,
      sym_hash_operator,
    STATE(8572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10802), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10800), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [431187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10738), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10740), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [431240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10372), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [431293] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [431346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9146), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [431399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9150), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [431452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10760), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10762), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [431505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9154), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [431558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9158), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [431611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8915), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8913), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [431664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [431717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [431770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9066), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [431823] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9364), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [431876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10838), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10840), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [431929] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10862), 1,
      anon_sym_COLON,
    STATE(8587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [431984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10836), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [432037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9162), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [432090] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [432143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10220), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10222), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [432196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9194), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [432249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10726), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10728), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [432302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10690), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10692), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [432355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9198), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [432408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10694), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10696), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [432461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9066), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [432514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9130), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [432567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9234), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [432620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9206), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [432673] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9364), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [432726] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [432779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9210), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [432832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9214), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [432885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8903), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8905), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [432938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10778), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10780), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [432991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9222), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [433044] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10844), 1,
      anon_sym_DOT,
    STATE(8608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9226), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [433099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9230), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [433152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9234), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [433205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9238), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [433258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9242), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [433311] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9364), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [433364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9246), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [433417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9250), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [433470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9258), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [433523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9126), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [433576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9082), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [433629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9262), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [433682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9266), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [433735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9270), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [433788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9274), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [433841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9278), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [433894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9282), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [433947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9086), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [434000] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [434053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9090), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [434106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9094), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [434159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9098), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [434212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9102), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [434265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9106), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [434318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9286), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [434371] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(8633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9054), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [434426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9110), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [434479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [434532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9042), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [434585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9114), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [434638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9290), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [434691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8921), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8923), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [434744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8927), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [434797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9068), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [434850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8931), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [434903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9308), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [434956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9116), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [435009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9312), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [435062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9316), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [435115] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(8647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9054), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [435170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9060), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [435223] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9364), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [435276] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(8650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9054), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [435331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9042), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [435384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9122), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [435437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9126), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [435490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9046), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [435543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9134), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [435596] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(8656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9054), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [435651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9060), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [435704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [435757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9320), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [435810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9102), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [435863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9106), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [435916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9110), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [435969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9114), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [436022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8837), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8839), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [436075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9082), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [436128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9068), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [436181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9116), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [436234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8841), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8843), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [436287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9086), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [436340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9090), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [436393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9094), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [436446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9098), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [436499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9122), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [436552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9046), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [436605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9134), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [436658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8845), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8847), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [436711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9304), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [436764] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10864), 1,
      anon_sym_COLON,
    STATE(8678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [436819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8933), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [436872] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [436925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9328), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [436978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9146), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [437031] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10850), 1,
      anon_sym_DOT,
    ACTIONS(10852), 1,
      anon_sym_POUND,
    ACTIONS(10854), 1,
      sym_hash_operator,
    STATE(8683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10772), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10770), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [437090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9150), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [437143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9154), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [437196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9158), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [437249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9162), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [437302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9176), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [437355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9180), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [437408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9184), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [437461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9188), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [437514] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10850), 1,
      anon_sym_DOT,
    ACTIONS(10852), 1,
      anon_sym_POUND,
    ACTIONS(10854), 1,
      sym_hash_operator,
    STATE(8692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10802), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10800), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [437573] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9364), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [437626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9176), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [437679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9180), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [437732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9184), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [437785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9188), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [437838] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10866), 1,
      anon_sym_COLON,
    STATE(8698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [437893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10706), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10708), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [437946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9194), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [437999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9198), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [438052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9202), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [438105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10710), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10712), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [438158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10714), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10716), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [438211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9206), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [438264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10722), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10724), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [438317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9210), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [438370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9214), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [438423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8903), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8905), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [438476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9222), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [438529] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10850), 1,
      anon_sym_DOT,
    STATE(8711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9226), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [438584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9230), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [438637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9202), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [438690] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10870), 1,
      anon_sym_PIPE,
    ACTIONS(10872), 1,
      anon_sym_RBRACK,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(8714), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16834), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9068), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [438842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9230), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [438894] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [438946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9130), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [438998] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10880), 1,
      anon_sym_COLON,
    STATE(8719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10654), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10656), 20,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [439052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9364), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [439104] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10882), 1,
      anon_sym_PIPE,
    ACTIONS(10884), 1,
      anon_sym_RBRACK,
    STATE(8721), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17346), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439204] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10886), 1,
      anon_sym_PIPE,
    ACTIONS(10888), 1,
      anon_sym_RBRACK,
    STATE(8722), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18050), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439304] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9364), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [439356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9176), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [439408] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9364), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [439460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10642), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10644), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [439512] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(8727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [439566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9234), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [439618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9116), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [439670] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10890), 1,
      anon_sym_PIPE,
    ACTIONS(10892), 1,
      anon_sym_RBRACK,
    STATE(8730), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16555), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9238), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [439822] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10894), 1,
      anon_sym_PIPE,
    ACTIONS(10896), 1,
      anon_sym_RBRACK,
    STATE(8732), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18551), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21418), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9194), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [439974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9242), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [440026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9246), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [440078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9142), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [440130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9328), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [440182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9250), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [440234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9258), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [440286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9262), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [440338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [440390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9266), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [440442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8865), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8867), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [440494] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [440546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9180), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [440598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9270), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [440650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9274), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [440702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9278), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [440754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9282), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [440806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9218), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [440858] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10898), 1,
      anon_sym_PIPE,
    ACTIONS(10900), 1,
      anon_sym_RBRACK,
    STATE(8751), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17610), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9184), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [441010] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10902), 1,
      anon_sym_PIPE,
    ACTIONS(10904), 1,
      anon_sym_RBRACK,
    STATE(8753), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19204), 1,
      sym_tag_specification,
    STATE(21468), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10666), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10668), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [441162] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10906), 1,
      anon_sym_PIPE,
    ACTIONS(10908), 1,
      anon_sym_RBRACK,
    STATE(8755), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16609), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9198), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [441314] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10910), 1,
      anon_sym_PIPE,
    ACTIONS(10912), 1,
      anon_sym_RBRACK,
    STATE(8757), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18370), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21507), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10680), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10682), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [441466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9188), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [441518] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(8760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [441572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9134), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [441624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9202), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [441676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9066), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [441728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9286), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [441780] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10914), 1,
      anon_sym_PIPE,
    ACTIONS(10916), 1,
      anon_sym_RBRACK,
    STATE(8765), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17212), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9290), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [441932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8921), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8923), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [441984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8927), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [442036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8931), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [442088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9308), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [442140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9312), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [442192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9316), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [442244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9320), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [442296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9294), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [442348] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10918), 1,
      anon_sym_PIPE,
    ACTIONS(10920), 1,
      anon_sym_RBRACK,
    STATE(8775), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17021), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8837), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8839), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [442500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8841), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8843), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [442552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8845), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8847), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [442604] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [442656] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10922), 1,
      anon_sym_PIPE,
    ACTIONS(10924), 1,
      anon_sym_RBRACK,
    STATE(8780), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17826), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9304), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [442808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9076), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [442860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10672), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10674), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [442912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10628), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10630), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [442964] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10926), 1,
      anon_sym_COLON,
    STATE(8785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10654), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10656), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [443018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10672), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10674), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [443070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9168), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [443122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9074), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [443174] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10928), 1,
      anon_sym_PIPE,
    ACTIONS(10930), 1,
      anon_sym_RBRACK,
    STATE(8789), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16614), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443274] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10932), 1,
      anon_sym_DOT,
    ACTIONS(10934), 1,
      anon_sym_POUND,
    ACTIONS(10936), 1,
      sym_hash_operator,
    STATE(8790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10772), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10770), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [443332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9052), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [443384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9206), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [443436] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10938), 1,
      anon_sym_PIPE,
    ACTIONS(10940), 1,
      anon_sym_RBRACK,
    STATE(8793), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17572), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443536] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10932), 1,
      anon_sym_DOT,
    ACTIONS(10934), 1,
      anon_sym_POUND,
    ACTIONS(10936), 1,
      sym_hash_operator,
    STATE(8794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10802), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10800), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [443594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9082), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [443646] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(8796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [443700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9086), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [443752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9090), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [443804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9094), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [443856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9098), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [443908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9210), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [443960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9214), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [444012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10642), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10644), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [444064] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10942), 1,
      anon_sym_PIPE,
    ACTIONS(10944), 1,
      anon_sym_RBRACK,
    STATE(8804), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16838), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444164] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10946), 1,
      anon_sym_PIPE,
    ACTIONS(10948), 1,
      anon_sym_RBRACK,
    STATE(8805), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17667), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444264] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10932), 1,
      anon_sym_DOT,
    ACTIONS(10934), 1,
      anon_sym_POUND,
    ACTIONS(10936), 1,
      sym_hash_operator,
    STATE(8806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10794), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10792), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [444322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8903), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8905), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [444374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9222), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [444426] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10932), 1,
      anon_sym_DOT,
    STATE(8809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9226), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [444480] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [444532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9046), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [444584] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(8812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [444638] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [444690] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10950), 1,
      anon_sym_PIPE,
    ACTIONS(10952), 1,
      anon_sym_RBRACK,
    STATE(8814), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16563), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [444842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9146), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [444894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9324), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [444946] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10954), 1,
      anon_sym_PIPE,
    ACTIONS(10956), 1,
      anon_sym_RBRACK,
    STATE(8818), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17298), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9150), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [445098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9154), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [445150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9158), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [445202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9162), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [445254] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10958), 1,
      anon_sym_PIPE,
    ACTIONS(10960), 1,
      anon_sym_RBRACK,
    STATE(8823), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17601), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445354] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10962), 1,
      anon_sym_PIPE,
    ACTIONS(10964), 1,
      anon_sym_RBRACK,
    STATE(8824), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(16909), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9364), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [445506] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10966), 1,
      anon_sym_PIPE,
    ACTIONS(10968), 1,
      anon_sym_RBRACK,
    STATE(8826), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16842), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445606] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10970), 1,
      anon_sym_PIPE,
    ACTIONS(10972), 1,
      anon_sym_RBRACK,
    STATE(8827), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17222), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9126), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [445758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9174), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [445810] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10974), 1,
      anon_sym_PIPE,
    ACTIONS(10976), 1,
      anon_sym_RBRACK,
    STATE(8830), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16717), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10628), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10630), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [445962] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10978), 1,
      anon_sym_PIPE,
    ACTIONS(10980), 1,
      anon_sym_RBRACK,
    STATE(8832), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17589), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446062] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10982), 1,
      anon_sym_PIPE,
    ACTIONS(10984), 1,
      anon_sym_RBRACK,
    STATE(8833), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18790), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21101), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446162] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10932), 1,
      anon_sym_DOT,
    ACTIONS(10934), 1,
      anon_sym_POUND,
    ACTIONS(10936), 1,
      sym_hash_operator,
    STATE(8834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10798), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10796), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [446220] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7839), 1,
      sym__identifier,
    ACTIONS(10990), 1,
      anon_sym_LPAREN,
    ACTIONS(10994), 1,
      anon_sym_LBRACE,
    ACTIONS(10996), 1,
      anon_sym_begin,
    ACTIONS(10998), 1,
      aux_sym_number_token1,
    ACTIONS(11000), 1,
      anon_sym_SQUOTE,
    ACTIONS(11002), 1,
      anon_sym_DQUOTE,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    STATE(8835), 1,
      sym_attribute,
    STATE(13021), 1,
      sym_module_path,
    STATE(13411), 1,
      sym__value_name,
    STATE(13501), 1,
      sym_parenthesized_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10992), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 2,
      sym__constant,
      sym_value_path,
    STATE(13218), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(10986), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
    ACTIONS(10988), 8,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
  [446300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8933), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [446352] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9364), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [446404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10666), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10668), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [446456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9102), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [446508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9106), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [446560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9110), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [446612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10680), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10682), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [446664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9114), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [446716] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11006), 1,
      anon_sym_PIPE,
    ACTIONS(11008), 1,
      anon_sym_RBRACK,
    STATE(8844), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17133), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9122), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [446868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8855), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8857), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [446920] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9364), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [446972] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9364), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [447024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10380), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [447075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10372), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [447126] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10894), 1,
      anon_sym_PIPE,
    STATE(8851), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18551), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21418), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447223] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11010), 1,
      anon_sym_PIPE,
    STATE(8852), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16355), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [447371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10360), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [447422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [447473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10782), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10784), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [447524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10380), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [447575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10786), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10788), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [447626] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7839), 1,
      sym__identifier,
    ACTIONS(10990), 1,
      anon_sym_LPAREN,
    ACTIONS(10994), 1,
      anon_sym_LBRACE,
    ACTIONS(10996), 1,
      anon_sym_begin,
    ACTIONS(10998), 1,
      aux_sym_number_token1,
    ACTIONS(11000), 1,
      anon_sym_SQUOTE,
    ACTIONS(11002), 1,
      anon_sym_DQUOTE,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    STATE(8859), 1,
      sym_attribute,
    STATE(13021), 1,
      sym_module_path,
    STATE(13411), 1,
      sym__value_name,
    STATE(13501), 1,
      sym_parenthesized_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10992), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13273), 2,
      sym__constant,
      sym_value_path,
    ACTIONS(10986), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
    STATE(13218), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(10988), 9,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
  [447705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10694), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10696), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [447756] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10982), 1,
      anon_sym_PIPE,
    STATE(8861), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18790), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21101), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447853] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11012), 1,
      anon_sym_PIPE,
    STATE(8862), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16254), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447950] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11014), 1,
      anon_sym_PIPE,
    STATE(8863), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18896), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21444), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448047] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11016), 1,
      anon_sym_PIPE,
    STATE(8864), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16444), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [448195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [448246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10372), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [448297] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10902), 1,
      anon_sym_PIPE,
    STATE(8868), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19204), 1,
      sym_tag_specification,
    STATE(21468), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448394] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11018), 1,
      anon_sym_PIPE,
    STATE(8869), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(15841), 1,
      sym__tag_spec,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448491] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11020), 1,
      anon_sym_PIPE,
    STATE(8870), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15429), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18086), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(20555), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10832), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [448639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [448690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [448741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10276), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10278), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [448792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9064), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [448843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10206), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10208), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [448894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10778), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10780), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [448945] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11022), 1,
      anon_sym_PIPE,
    STATE(8878), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(18944), 1,
      sym_tag_specification,
    STATE(21488), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449042] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11024), 1,
      anon_sym_PIPE,
    STATE(8879), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16292), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [449190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [449241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [449292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9102), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [449343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9106), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [449394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11028), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11026), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [449445] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11030), 1,
      sym__identifier,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11034), 1,
      anon_sym_QMARK,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11042), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8886), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(11747), 1,
      sym__class_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18775), 1,
      sym__tuple_type,
    STATE(18781), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11403), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11816), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11027), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13908), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [449538] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(10910), 1,
      anon_sym_PIPE,
    STATE(8887), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18370), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21507), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449635] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11044), 1,
      anon_sym_PIPE,
    STATE(8888), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16071), 1,
      sym__tag_spec,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [449783] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11046), 1,
      anon_sym_RBRACK,
    STATE(8890), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17175), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10706), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10708), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [449931] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11048), 1,
      anon_sym_PIPE,
    STATE(8892), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18502), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21526), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450028] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11050), 1,
      anon_sym_PIPE,
    STATE(8893), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16345), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10710), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10712), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [450176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10714), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10716), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [450227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10722), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10724), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [450278] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11052), 1,
      anon_sym_RBRACK,
    STATE(8897), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16599), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450375] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(11054), 1,
      sym__identifier,
    ACTIONS(11056), 1,
      anon_sym_QMARK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8898), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(11747), 1,
      sym__class_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18722), 1,
      sym__tuple_type,
    STATE(18793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11319), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11816), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11027), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13908), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [450468] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11062), 1,
      anon_sym_PIPE,
    STATE(8899), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18069), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21543), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450565] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11064), 1,
      anon_sym_PIPE,
    STATE(8900), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(15909), 1,
      sym__tag_spec,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11068), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11066), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [450713] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11030), 1,
      sym__identifier,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11034), 1,
      anon_sym_QMARK,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11042), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8902), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(11637), 1,
      sym__class_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18775), 1,
      sym__tuple_type,
    STATE(18781), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11403), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11816), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11027), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13908), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [450806] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11070), 1,
      anon_sym_DOT,
    ACTIONS(11072), 1,
      anon_sym_POUND,
    ACTIONS(11074), 1,
      sym_hash_operator,
    STATE(8903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9298), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [450863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [450914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10782), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10784), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [450965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11078), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11076), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451016] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11080), 1,
      anon_sym_PIPE,
    STATE(8907), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18659), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21560), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451113] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11082), 1,
      anon_sym_PIPE,
    STATE(8908), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16027), 1,
      sym__tag_spec,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9110), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [451261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [451312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [451363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [451414] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11084), 1,
      anon_sym_PIPE,
    STATE(8913), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18319), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21577), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451511] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11086), 1,
      anon_sym_PIPE,
    STATE(8914), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16112), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [451659] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11088), 1,
      anon_sym_RBRACK,
    STATE(8916), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17072), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [451807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [451858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [451909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11092), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11090), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11096), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11094), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452011] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11098), 1,
      anon_sym_PIPE,
    STATE(8922), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18776), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21594), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452108] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11100), 1,
      anon_sym_PIPE,
    STATE(8923), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16252), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11104), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11102), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [452307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8921), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [452358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8925), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [452409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8929), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [452460] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(11054), 1,
      sym__identifier,
    ACTIONS(11056), 1,
      anon_sym_QMARK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8929), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(11817), 1,
      sym__class_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18722), 1,
      sym__tuple_type,
    STATE(18793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11319), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11816), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11027), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13908), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [452553] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11106), 1,
      anon_sym_PIPE,
    STATE(8930), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18532), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21611), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452650] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11108), 1,
      anon_sym_PIPE,
    STATE(8931), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16349), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [452798] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11110), 1,
      anon_sym_PIPE,
    STATE(8933), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19206), 1,
      sym_tag_specification,
    STATE(21628), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452895] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11112), 1,
      anon_sym_PIPE,
    STATE(8934), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16516), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10322), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10324), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [453043] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11114), 1,
      anon_sym_RBRACK,
    STATE(8936), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17861), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10326), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10328), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [453191] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(11116), 1,
      sym__identifier,
    ACTIONS(11118), 1,
      anon_sym_let,
    ACTIONS(11120), 1,
      anon_sym_QMARK,
    ACTIONS(11122), 1,
      anon_sym_LBRACK,
    STATE(8938), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(11714), 1,
      sym__class_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18517), 1,
      sym__tuple_type,
    STATE(19074), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11816), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(15381), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11027), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13908), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [453284] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11124), 1,
      anon_sym_PIPE,
    STATE(8939), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18849), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21644), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453381] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11126), 1,
      anon_sym_PIPE,
    STATE(8940), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(15880), 1,
      sym__tag_spec,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10730), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10732), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [453529] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11128), 1,
      anon_sym_PIPE,
    STATE(8942), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18129), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21660), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453626] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11130), 1,
      anon_sym_PIPE,
    STATE(8943), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(15922), 1,
      sym__tag_spec,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453723] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11132), 1,
      anon_sym_RBRACK,
    STATE(8944), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17448), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9114), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [453871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10322), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10324), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [453922] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11134), 1,
      anon_sym_RBRACK,
    STATE(8947), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17618), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10760), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10762), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [454070] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11136), 1,
      anon_sym_PIPE,
    STATE(8949), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18638), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21676), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454167] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11138), 1,
      anon_sym_PIPE,
    STATE(8950), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(15970), 1,
      sym__tag_spec,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [454315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9310), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [454366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10698), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10700), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [454417] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11140), 1,
      anon_sym_PIPE,
    STATE(8954), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18279), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21692), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454514] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11142), 1,
      anon_sym_PIPE,
    STATE(8955), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16008), 1,
      sym__tag_spec,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [454662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11028), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11026), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [454764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [454815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10702), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10704), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [454866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11146), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11144), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [454917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [454968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10738), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10740), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [455019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10778), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10780), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [455070] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_type,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8965), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14088), 1,
      sym__polymorphic_type,
    STATE(14098), 1,
      sym_polymorphic_type,
    STATE(14218), 1,
      sym_tuple_type,
    STATE(14256), 1,
      sym_type_variable,
    STATE(15139), 1,
      sym__tuple_type,
    STATE(15674), 1,
      sym__type,
    STATE(15995), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21572), 1,
      sym_typed_label,
    STATE(21650), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14455), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [455169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9314), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [455220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9320), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9318), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [455271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10718), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10720), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [455322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10734), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10736), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [455373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3527), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3525), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455424] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(11116), 1,
      sym__identifier,
    ACTIONS(11118), 1,
      anon_sym_let,
    ACTIONS(11120), 1,
      anon_sym_QMARK,
    ACTIONS(11122), 1,
      anon_sym_LBRACK,
    STATE(8971), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(11817), 1,
      sym__class_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18517), 1,
      sym__tuple_type,
    STATE(19074), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11816), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(15381), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11027), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13908), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [455517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10808), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10810), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [455568] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_type,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11148), 1,
      sym__identifier,
    ACTIONS(11150), 1,
      anon_sym_LPAREN,
    ACTIONS(11152), 1,
      anon_sym_LBRACK,
    ACTIONS(11154), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11156), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11158), 1,
      anon_sym_LT,
    ACTIONS(11160), 1,
      anon_sym_POUND,
    ACTIONS(11162), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11164), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11166), 1,
      aux_sym_type_variable_token1,
    STATE(8973), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(12362), 1,
      sym__simple_type,
    STATE(12838), 1,
      sym_type_variable,
    STATE(14088), 1,
      sym__polymorphic_type,
    STATE(14098), 1,
      sym_polymorphic_type,
    STATE(14143), 1,
      sym__tuple_type,
    STATE(14244), 1,
      sym__type,
    STATE(16223), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18454), 1,
      sym_extended_module_path,
    STATE(22052), 1,
      sym_typed_label,
    STATE(22417), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13053), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [455667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [455718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8839), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8837), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [455769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8255), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8259), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [455820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10812), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10814), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [455871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10816), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10818), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [455922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8905), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8903), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [455973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8843), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8841), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [456024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8847), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8845), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [456075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [456126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10822), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10824), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [456177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [456228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10826), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10828), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [456279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11170), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11168), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11174), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11172), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [456381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9134), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [456432] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11176), 1,
      anon_sym_RBRACK,
    STATE(8989), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16613), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [456529] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(11178), 1,
      sym__identifier,
    ACTIONS(11180), 1,
      anon_sym_QMARK,
    ACTIONS(11182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8990), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(11714), 1,
      sym__class_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18071), 1,
      sym_extended_module_path,
    STATE(18553), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11816), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(12023), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11027), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13908), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [456622] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11186), 1,
      anon_sym_RBRACK,
    STATE(8991), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(16949), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [456719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [456770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10220), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10222), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [456821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [456872] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11070), 1,
      anon_sym_DOT,
    STATE(8995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [456925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9082), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [456976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [457027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [457078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [457129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [457180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [457231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [457282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [457333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11174), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11172), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [457435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11188), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [457486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [457537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [457588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [457639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11078), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11076), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [457690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10742), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10744), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [457741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10786), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10788), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [457792] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11192), 1,
      anon_sym_RBRACK,
    STATE(9013), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17261), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [457940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9322), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [457991] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11030), 1,
      sym__identifier,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11034), 1,
      anon_sym_QMARK,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11042), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9016), 1,
      sym_attribute,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(11714), 1,
      sym__class_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18775), 1,
      sym__tuple_type,
    STATE(18781), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11403), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11816), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11027), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13908), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [458084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11194), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [458135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11198), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [458186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11202), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [458237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [458288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [458339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10748), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10750), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [458390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11206), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11210), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [458492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11214), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [458594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [458645] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_type,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9028), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14088), 1,
      sym__polymorphic_type,
    STATE(14098), 1,
      sym_polymorphic_type,
    STATE(14256), 1,
      sym_type_variable,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16069), 1,
      sym__type,
    STATE(16075), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19816), 1,
      sym__abstract_type,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [458744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [458795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8915), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [458846] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11218), 1,
      aux_sym_attribute_id_token1,
    STATE(9031), 1,
      sym_attribute,
    STATE(9175), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10077), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10075), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [458901] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11220), 1,
      anon_sym_RBRACK,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9032), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17707), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [459049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [459100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10702), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10704), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [459151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11222), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11226), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459253] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_type,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11230), 1,
      sym__identifier,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11240), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_POUND,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11246), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11248), 1,
      aux_sym_type_variable_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9038), 1,
      sym_attribute,
    STATE(11771), 1,
      sym__simple_type,
    STATE(11851), 1,
      sym_type_variable,
    STATE(13402), 1,
      sym__tuple_type,
    STATE(13750), 1,
      sym__type,
    STATE(14120), 1,
      sym__polymorphic_type,
    STATE(14121), 1,
      sym_polymorphic_type,
    STATE(16018), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19033), 1,
      sym_extended_module_path,
    STATE(19951), 1,
      sym_typed_label,
    STATE(22415), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12350), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [459352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11146), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11144), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [459454] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11218), 1,
      aux_sym_attribute_id_token1,
    STATE(9031), 1,
      aux_sym_attribute_id_repeat1,
    STATE(9041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10136), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [459509] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(11054), 1,
      sym__identifier,
    ACTIONS(11056), 1,
      anon_sym_QMARK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9042), 1,
      sym_attribute,
    STATE(11637), 1,
      sym__class_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18722), 1,
      sym__tuple_type,
    STATE(18793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11319), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11816), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11027), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13908), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [459602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [459653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11250), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [459704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [459755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [459806] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11254), 1,
      anon_sym_RBRACK,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9047), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16650), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [459903] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(11256), 1,
      sym__identifier,
    ACTIONS(11258), 1,
      anon_sym_QMARK,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9048), 1,
      sym_attribute,
    STATE(11747), 1,
      sym__class_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18716), 1,
      sym__tuple_type,
    STATE(18719), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11816), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11932), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11027), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13908), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [459996] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11020), 1,
      anon_sym_PIPE,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9049), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15389), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18086), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(20555), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10718), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10720), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [460144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10734), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10736), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [460195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11198), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [460297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11188), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [460399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [460450] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11030), 1,
      sym__identifier,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11034), 1,
      anon_sym_QMARK,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11042), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9057), 1,
      sym_attribute,
    STATE(11817), 1,
      sym__class_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18775), 1,
      sym__tuple_type,
    STATE(18781), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11403), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11816), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11027), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13908), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [460543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [460594] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11264), 1,
      anon_sym_RBRACK,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9059), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17375), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460691] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(11054), 1,
      sym__identifier,
    ACTIONS(11056), 1,
      anon_sym_QMARK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9060), 1,
      sym_attribute,
    STATE(11714), 1,
      sym__class_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18722), 1,
      sym__tuple_type,
    STATE(18793), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11319), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11816), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11027), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13908), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [460784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9240), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [460835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10654), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10656), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [460886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [460937] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(11178), 1,
      sym__identifier,
    ACTIONS(11180), 1,
      anon_sym_QMARK,
    ACTIONS(11182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9064), 1,
      sym_attribute,
    STATE(11747), 1,
      sym__class_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18071), 1,
      sym_extended_module_path,
    STATE(18553), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11816), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(12023), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11027), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13908), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [461030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8255), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8259), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [461081] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11266), 1,
      anon_sym_RBRACK,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9066), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16576), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461178] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(11256), 1,
      sym__identifier,
    ACTIONS(11258), 1,
      anon_sym_QMARK,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9067), 1,
      sym_attribute,
    STATE(11714), 1,
      sym__class_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18716), 1,
      sym__tuple_type,
    STATE(18719), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11816), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11932), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11027), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13908), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [461271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10748), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10750), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [461322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [461373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [461424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8865), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [461475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10256), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [461526] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11268), 1,
      anon_sym_RBRACK,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9073), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17744), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [461674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9096), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [461725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10326), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10328), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [461776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [461827] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11270), 1,
      anon_sym_PIPE,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9078), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18773), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21219), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461924] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11272), 1,
      anon_sym_PIPE,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9079), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16028), 1,
      sym__tag_spec,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462021] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(9080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [462074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11276), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11274), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [462125] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11278), 1,
      anon_sym_RBRACK,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9082), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(16891), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462222] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(11256), 1,
      sym__identifier,
    ACTIONS(11258), 1,
      anon_sym_QMARK,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9083), 1,
      sym_attribute,
    STATE(11817), 1,
      sym__class_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18716), 1,
      sym__tuple_type,
    STATE(18719), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11816), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11932), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11027), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13908), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [462315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10654), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10656), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [462366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9120), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [462417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [462468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [462519] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11020), 1,
      anon_sym_PIPE,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9088), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18086), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(20555), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462616] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11280), 1,
      anon_sym_RBRACK,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9089), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17915), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9128), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [462764] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11282), 1,
      anon_sym_RBRACK,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9091), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17627), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [462912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9124), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [462963] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_type,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11284), 1,
      sym__identifier,
    ACTIONS(11286), 1,
      anon_sym_LPAREN,
    ACTIONS(11288), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11292), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11294), 1,
      anon_sym_LT,
    ACTIONS(11296), 1,
      anon_sym_POUND,
    ACTIONS(11298), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11300), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11302), 1,
      aux_sym_type_variable_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9094), 1,
      sym_attribute,
    STATE(13278), 1,
      sym_type_variable,
    STATE(13436), 1,
      sym__simple_type,
    STATE(14088), 1,
      sym__polymorphic_type,
    STATE(14098), 1,
      sym_polymorphic_type,
    STATE(14295), 1,
      sym__tuple_type,
    STATE(14538), 1,
      sym__type,
    STATE(16228), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18707), 1,
      sym_extended_module_path,
    STATE(19260), 1,
      sym__abstract_type,
    STATE(21862), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14136), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [463062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10752), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10754), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [463113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11226), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [463164] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11304), 1,
      anon_sym_PIPE,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9097), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16117), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10808), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10810), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [463312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10812), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10814), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [463363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10816), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10818), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [463414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10822), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10824), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [463465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11308), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [463516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10826), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10828), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [463567] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(9104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [463620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11312), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11310), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [463671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [463722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9178), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [463773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9292), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [463824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10838), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10840), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [463875] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11314), 1,
      anon_sym_RBRACK,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9110), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17675), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10742), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10744), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [464023] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11316), 1,
      anon_sym_PIPE,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9112), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18720), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21293), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9122), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [464171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10752), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10754), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [464222] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11318), 1,
      anon_sym_RBRACK,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9115), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16773), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464319] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(11116), 1,
      sym__identifier,
    ACTIONS(11118), 1,
      anon_sym_let,
    ACTIONS(11120), 1,
      anon_sym_QMARK,
    ACTIONS(11122), 1,
      anon_sym_LBRACK,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9116), 1,
      sym_attribute,
    STATE(11747), 1,
      sym__class_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18517), 1,
      sym__tuple_type,
    STATE(19074), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11816), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(15381), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11027), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13908), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [464412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10838), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10840), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [464463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10836), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [464514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10726), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10728), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [464565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10690), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10692), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [464616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11322), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11320), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [464667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10694), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10696), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [464718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10756), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10758), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [464769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [464820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [464871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [464922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11206), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [464973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [465024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [465075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11092), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11090), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [465126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11096), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11094), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [465177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10706), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10708), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [465228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10710), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10712), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [465279] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11324), 1,
      anon_sym_PIPE,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9134), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16136), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [465427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10714), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10716), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [465478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10722), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10724), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [465529] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11326), 1,
      anon_sym_RBRACK,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9138), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17779), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9086), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [465677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11170), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11168), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [465728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9126), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [465779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11214), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [465830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9248), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [465881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10730), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10732), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [465932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10756), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10758), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [465983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10220), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10222), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [466034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [466085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11104), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11102), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [466136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10836), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [466187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10726), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10728), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [466238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11194), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [466289] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6297), 1,
      anon_sym_type,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11328), 1,
      sym__identifier,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11338), 1,
      anon_sym_LT,
    ACTIONS(11340), 1,
      anon_sym_POUND,
    ACTIONS(11342), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      aux_sym_type_variable_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9152), 1,
      sym_attribute,
    STATE(11753), 1,
      sym_type_variable,
    STATE(11848), 1,
      sym__simple_type,
    STATE(13448), 1,
      sym__tuple_type,
    STATE(13842), 1,
      sym__type,
    STATE(14120), 1,
      sym__polymorphic_type,
    STATE(14121), 1,
      sym_polymorphic_type,
    STATE(16126), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18119), 1,
      sym_extended_module_path,
    STATE(21016), 1,
      sym__abstract_type,
    STATE(21702), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12143), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [466388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10690), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10692), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [466439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10360), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [466490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9090), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [466541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10738), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10740), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [466592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10760), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10762), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [466643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [466694] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11348), 1,
      anon_sym_PIPE,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9159), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18555), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21349), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11222), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [466842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10276), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10278), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [466893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9094), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [466944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10206), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10208), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [466995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [467046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [467097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11202), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [467148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9104), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [467199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11352), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11350), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [467250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11250), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [467301] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11354), 1,
      anon_sym_PIPE,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9170), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16232), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [467449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10832), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [467500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8855), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [467551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9108), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [467602] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11356), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9175), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10083), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10081), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [467655] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(11178), 1,
      sym__identifier,
    ACTIONS(11180), 1,
      anon_sym_QMARK,
    ACTIONS(11182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9176), 1,
      sym_attribute,
    STATE(11817), 1,
      sym__class_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18071), 1,
      sym_extended_module_path,
    STATE(18553), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11816), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(12023), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11027), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13908), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [467748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11276), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11274), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [467799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9112), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [467850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11361), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11359), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [467901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11312), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11310), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [467952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3527), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3525), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [468003] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11363), 1,
      anon_sym_PIPE,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9182), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19137), 1,
      sym_tag_specification,
    STATE(21387), 1,
      sym__tag_spec,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9098), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [468151] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(11178), 1,
      sym__identifier,
    ACTIONS(11180), 1,
      anon_sym_QMARK,
    ACTIONS(11182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9184), 1,
      sym_attribute,
    STATE(11637), 1,
      sym__class_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18071), 1,
      sym_extended_module_path,
    STATE(18553), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11816), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(12023), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11027), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13908), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [468244] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11365), 1,
      anon_sym_PIPE,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9185), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16288), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11369), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11367), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [468392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9264), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [468443] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(11116), 1,
      sym__identifier,
    ACTIONS(11118), 1,
      anon_sym_let,
    ACTIONS(11120), 1,
      anon_sym_QMARK,
    ACTIONS(11122), 1,
      anon_sym_LBRACK,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9188), 1,
      sym_attribute,
    STATE(11637), 1,
      sym__class_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18517), 1,
      sym__tuple_type,
    STATE(19074), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11816), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(15381), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11027), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13908), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [468536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11068), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11066), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [468587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10256), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [468638] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11070), 1,
      anon_sym_DOT,
    ACTIONS(11072), 1,
      anon_sym_POUND,
    ACTIONS(11074), 1,
      sym_hash_operator,
    STATE(9191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [468695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [468746] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11371), 1,
      anon_sym_RBRACK,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9193), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17066), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468843] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11036), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(11256), 1,
      sym__identifier,
    ACTIONS(11258), 1,
      anon_sym_QMARK,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9194), 1,
      sym_attribute,
    STATE(11637), 1,
      sym__class_type,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18716), 1,
      sym__tuple_type,
    STATE(18719), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11816), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11932), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11027), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13908), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [468936] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    ACTIONS(11373), 1,
      anon_sym_RBRACK,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9195), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16640), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11369), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11367), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [469084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10698), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10700), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [469135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9190), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [469186] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11379), 1,
      anon_sym_else,
    STATE(9023), 1,
      sym_else_clause,
    STATE(9199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [469240] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9200), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(16949), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469334] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9201), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16151), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469428] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9202), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(16978), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11078), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11076), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [469572] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11385), 1,
      anon_sym_else,
    STATE(9166), 1,
      sym_else_clause,
    STATE(9204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [469626] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11387), 1,
      anon_sym_COMMA,
    ACTIONS(11389), 1,
      anon_sym_SEMI,
    ACTIONS(11391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11395), 1,
      sym_pow_operator,
    ACTIONS(11397), 1,
      sym_mult_operator,
    ACTIONS(11399), 1,
      sym_concat_operator,
    ACTIONS(11401), 1,
      sym_rel_operator,
    ACTIONS(11403), 1,
      sym_and_operator,
    ACTIONS(11405), 1,
      sym_or_operator,
    ACTIONS(11407), 1,
      sym_assign_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(9205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10200), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10198), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [469700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11352), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11350), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [469750] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9207), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17175), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469844] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9208), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16240), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469938] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9209), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17198), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470032] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11387), 1,
      anon_sym_COMMA,
    ACTIONS(11391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11395), 1,
      sym_pow_operator,
    ACTIONS(11397), 1,
      sym_mult_operator,
    ACTIONS(11399), 1,
      sym_concat_operator,
    ACTIONS(11401), 1,
      sym_rel_operator,
    ACTIONS(11403), 1,
      sym_and_operator,
    ACTIONS(11405), 1,
      sym_or_operator,
    ACTIONS(11407), 1,
      sym_assign_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(9210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11411), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11409), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [470104] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2329), 1,
      sym_add_operator,
    STATE(9211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [470156] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11417), 1,
      anon_sym_else,
    STATE(9023), 1,
      sym_else_clause,
    STATE(9212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [470210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10204), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10202), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [470260] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9214), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17375), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470354] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9215), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16297), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470448] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9216), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18065), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470542] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11419), 1,
      anon_sym_COMMA,
    ACTIONS(11421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11423), 1,
      sym_pow_operator,
    ACTIONS(11425), 1,
      sym_mult_operator,
    ACTIONS(11427), 1,
      sym_concat_operator,
    ACTIONS(11429), 1,
      sym_rel_operator,
    ACTIONS(11431), 1,
      sym_and_operator,
    ACTIONS(11433), 1,
      sym_or_operator,
    ACTIONS(11435), 1,
      sym_assign_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(9217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11411), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11409), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [470614] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2350), 1,
      sym_add_operator,
    STATE(9218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [470666] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11437), 1,
      anon_sym_else,
    STATE(9023), 1,
      sym_else_clause,
    STATE(9219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [470720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11028), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11026), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [470770] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9046), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [470820] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9222), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17675), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470914] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9223), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16377), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471008] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11379), 1,
      anon_sym_else,
    STATE(9166), 1,
      sym_else_clause,
    STATE(9224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [471062] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9225), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17700), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471156] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11443), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11445), 1,
      sym_pow_operator,
    ACTIONS(11447), 1,
      sym_mult_operator,
    ACTIONS(11449), 1,
      sym_concat_operator,
    ACTIONS(11451), 1,
      sym_rel_operator,
    ACTIONS(11453), 1,
      sym_and_operator,
    ACTIONS(11455), 1,
      sym_or_operator,
    STATE(2085), 1,
      sym_add_operator,
    STATE(9226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11441), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11439), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [471224] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11443), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11445), 1,
      sym_pow_operator,
    ACTIONS(11447), 1,
      sym_mult_operator,
    STATE(2085), 1,
      sym_add_operator,
    STATE(9227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [471284] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11445), 1,
      sym_pow_operator,
    STATE(2085), 1,
      sym_add_operator,
    STATE(9228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [471338] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11445), 1,
      sym_pow_operator,
    STATE(2085), 1,
      sym_add_operator,
    STATE(9229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [471392] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11443), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11445), 1,
      sym_pow_operator,
    ACTIONS(11447), 1,
      sym_mult_operator,
    ACTIONS(11449), 1,
      sym_concat_operator,
    STATE(2085), 1,
      sym_add_operator,
    STATE(9230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [471454] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11443), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11445), 1,
      sym_pow_operator,
    ACTIONS(11447), 1,
      sym_mult_operator,
    ACTIONS(11449), 1,
      sym_concat_operator,
    STATE(2085), 1,
      sym_add_operator,
    STATE(9231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [471516] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11443), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11445), 1,
      sym_pow_operator,
    ACTIONS(11447), 1,
      sym_mult_operator,
    ACTIONS(11449), 1,
      sym_concat_operator,
    ACTIONS(11451), 1,
      sym_rel_operator,
    ACTIONS(11453), 1,
      sym_and_operator,
    STATE(2085), 1,
      sym_add_operator,
    STATE(9232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11461), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [471582] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11443), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11445), 1,
      sym_pow_operator,
    ACTIONS(11447), 1,
      sym_mult_operator,
    ACTIONS(11449), 1,
      sym_concat_operator,
    ACTIONS(11451), 1,
      sym_rel_operator,
    ACTIONS(11453), 1,
      sym_and_operator,
    ACTIONS(11455), 1,
      sym_or_operator,
    STATE(2085), 1,
      sym_add_operator,
    STATE(9233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [471650] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11443), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11445), 1,
      sym_pow_operator,
    ACTIONS(11447), 1,
      sym_mult_operator,
    ACTIONS(11449), 1,
      sym_concat_operator,
    ACTIONS(11451), 1,
      sym_rel_operator,
    ACTIONS(11453), 1,
      sym_and_operator,
    ACTIONS(11455), 1,
      sym_or_operator,
    ACTIONS(11465), 1,
      anon_sym_COMMA,
    ACTIONS(11467), 1,
      sym_assign_operator,
    STATE(2085), 1,
      sym_add_operator,
    STATE(9234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [471722] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11445), 1,
      sym_pow_operator,
    ACTIONS(11447), 1,
      sym_mult_operator,
    STATE(2085), 1,
      sym_add_operator,
    STATE(9235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [471778] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11443), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11445), 1,
      sym_pow_operator,
    ACTIONS(11447), 1,
      sym_mult_operator,
    ACTIONS(11449), 1,
      sym_concat_operator,
    ACTIONS(11451), 1,
      sym_rel_operator,
    ACTIONS(11453), 1,
      sym_and_operator,
    ACTIONS(11455), 1,
      sym_or_operator,
    ACTIONS(11465), 1,
      anon_sym_COMMA,
    ACTIONS(11467), 1,
      sym_assign_operator,
    STATE(2085), 1,
      sym_add_operator,
    STATE(9236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11471), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11469), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [471850] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11473), 1,
      anon_sym_else,
    STATE(9166), 1,
      sym_else_clause,
    STATE(9237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [471904] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11443), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11445), 1,
      sym_pow_operator,
    ACTIONS(11447), 1,
      sym_mult_operator,
    ACTIONS(11449), 1,
      sym_concat_operator,
    ACTIONS(11451), 1,
      sym_rel_operator,
    ACTIONS(11453), 1,
      sym_and_operator,
    ACTIONS(11455), 1,
      sym_or_operator,
    ACTIONS(11465), 1,
      anon_sym_COMMA,
    ACTIONS(11467), 1,
      sym_assign_operator,
    STATE(2085), 1,
      sym_add_operator,
    STATE(9238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11477), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11475), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [471976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11250), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [472026] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11419), 1,
      anon_sym_COMMA,
    ACTIONS(11421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11423), 1,
      sym_pow_operator,
    ACTIONS(11425), 1,
      sym_mult_operator,
    ACTIONS(11427), 1,
      sym_concat_operator,
    ACTIONS(11429), 1,
      sym_rel_operator,
    ACTIONS(11431), 1,
      sym_and_operator,
    ACTIONS(11433), 1,
      sym_or_operator,
    ACTIONS(11435), 1,
      sym_assign_operator,
    ACTIONS(11479), 1,
      anon_sym_SEMI,
    STATE(2350), 1,
      sym_add_operator,
    STATE(9240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10200), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10198), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [472100] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9241), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17861), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472194] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9242), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16453), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472288] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9243), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17883), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472382] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9244), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16613), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472476] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9245), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16056), 1,
      sym__tag_spec,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472570] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9246), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17077), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472664] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9247), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17744), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472758] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9248), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16435), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11170), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11168), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [472902] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9250), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17427), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472996] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11395), 1,
      sym_pow_operator,
    ACTIONS(11397), 1,
      sym_mult_operator,
    ACTIONS(11399), 1,
      sym_concat_operator,
    ACTIONS(11401), 1,
      sym_rel_operator,
    ACTIONS(11403), 1,
      sym_and_operator,
    ACTIONS(11405), 1,
      sym_or_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(9251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11441), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11439), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [473064] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11395), 1,
      sym_pow_operator,
    ACTIONS(11397), 1,
      sym_mult_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(9252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [473124] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11395), 1,
      sym_pow_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(9253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [473178] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11395), 1,
      sym_pow_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(9254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [473232] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11395), 1,
      sym_pow_operator,
    ACTIONS(11397), 1,
      sym_mult_operator,
    ACTIONS(11399), 1,
      sym_concat_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(9255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [473294] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11395), 1,
      sym_pow_operator,
    ACTIONS(11397), 1,
      sym_mult_operator,
    ACTIONS(11399), 1,
      sym_concat_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(9256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [473356] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11395), 1,
      sym_pow_operator,
    ACTIONS(11397), 1,
      sym_mult_operator,
    ACTIONS(11399), 1,
      sym_concat_operator,
    ACTIONS(11401), 1,
      sym_rel_operator,
    ACTIONS(11403), 1,
      sym_and_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(9257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11461), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [473422] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11395), 1,
      sym_pow_operator,
    ACTIONS(11397), 1,
      sym_mult_operator,
    ACTIONS(11399), 1,
      sym_concat_operator,
    ACTIONS(11401), 1,
      sym_rel_operator,
    ACTIONS(11403), 1,
      sym_and_operator,
    ACTIONS(11405), 1,
      sym_or_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(9258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [473490] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11387), 1,
      anon_sym_COMMA,
    ACTIONS(11391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11395), 1,
      sym_pow_operator,
    ACTIONS(11397), 1,
      sym_mult_operator,
    ACTIONS(11399), 1,
      sym_concat_operator,
    ACTIONS(11401), 1,
      sym_rel_operator,
    ACTIONS(11403), 1,
      sym_and_operator,
    ACTIONS(11405), 1,
      sym_or_operator,
    ACTIONS(11407), 1,
      sym_assign_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(9259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [473562] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11395), 1,
      sym_pow_operator,
    ACTIONS(11397), 1,
      sym_mult_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(9260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [473618] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11387), 1,
      anon_sym_COMMA,
    ACTIONS(11391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11395), 1,
      sym_pow_operator,
    ACTIONS(11397), 1,
      sym_mult_operator,
    ACTIONS(11399), 1,
      sym_concat_operator,
    ACTIONS(11401), 1,
      sym_rel_operator,
    ACTIONS(11403), 1,
      sym_and_operator,
    ACTIONS(11405), 1,
      sym_or_operator,
    ACTIONS(11407), 1,
      sym_assign_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(9261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11471), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11469), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [473690] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11417), 1,
      anon_sym_else,
    STATE(9166), 1,
      sym_else_clause,
    STATE(9262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [473744] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11387), 1,
      anon_sym_COMMA,
    ACTIONS(11391), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11395), 1,
      sym_pow_operator,
    ACTIONS(11397), 1,
      sym_mult_operator,
    ACTIONS(11399), 1,
      sym_concat_operator,
    ACTIONS(11401), 1,
      sym_rel_operator,
    ACTIONS(11403), 1,
      sym_and_operator,
    ACTIONS(11405), 1,
      sym_or_operator,
    ACTIONS(11407), 1,
      sym_assign_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(9263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11477), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11475), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [473816] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9264), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16773), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473910] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9265), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16094), 1,
      sym__tag_spec,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474004] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9266), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16833), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474098] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11423), 1,
      sym_pow_operator,
    ACTIONS(11425), 1,
      sym_mult_operator,
    ACTIONS(11427), 1,
      sym_concat_operator,
    ACTIONS(11429), 1,
      sym_rel_operator,
    ACTIONS(11431), 1,
      sym_and_operator,
    ACTIONS(11433), 1,
      sym_or_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(9267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11441), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11439), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [474166] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11423), 1,
      sym_pow_operator,
    ACTIONS(11425), 1,
      sym_mult_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(9268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [474226] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11423), 1,
      sym_pow_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(9269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [474280] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11423), 1,
      sym_pow_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(9270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [474334] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11423), 1,
      sym_pow_operator,
    ACTIONS(11425), 1,
      sym_mult_operator,
    ACTIONS(11427), 1,
      sym_concat_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(9271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [474396] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11423), 1,
      sym_pow_operator,
    ACTIONS(11425), 1,
      sym_mult_operator,
    ACTIONS(11427), 1,
      sym_concat_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(9272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [474458] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11423), 1,
      sym_pow_operator,
    ACTIONS(11425), 1,
      sym_mult_operator,
    ACTIONS(11427), 1,
      sym_concat_operator,
    ACTIONS(11429), 1,
      sym_rel_operator,
    ACTIONS(11431), 1,
      sym_and_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(9273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11461), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [474524] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11423), 1,
      sym_pow_operator,
    ACTIONS(11425), 1,
      sym_mult_operator,
    ACTIONS(11427), 1,
      sym_concat_operator,
    ACTIONS(11429), 1,
      sym_rel_operator,
    ACTIONS(11431), 1,
      sym_and_operator,
    ACTIONS(11433), 1,
      sym_or_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(9274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [474592] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11419), 1,
      anon_sym_COMMA,
    ACTIONS(11421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11423), 1,
      sym_pow_operator,
    ACTIONS(11425), 1,
      sym_mult_operator,
    ACTIONS(11427), 1,
      sym_concat_operator,
    ACTIONS(11429), 1,
      sym_rel_operator,
    ACTIONS(11431), 1,
      sym_and_operator,
    ACTIONS(11433), 1,
      sym_or_operator,
    ACTIONS(11435), 1,
      sym_assign_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(9275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [474664] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11423), 1,
      sym_pow_operator,
    ACTIONS(11425), 1,
      sym_mult_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(9276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [474720] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11419), 1,
      anon_sym_COMMA,
    ACTIONS(11421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11423), 1,
      sym_pow_operator,
    ACTIONS(11425), 1,
      sym_mult_operator,
    ACTIONS(11427), 1,
      sym_concat_operator,
    ACTIONS(11429), 1,
      sym_rel_operator,
    ACTIONS(11431), 1,
      sym_and_operator,
    ACTIONS(11433), 1,
      sym_or_operator,
    ACTIONS(11435), 1,
      sym_assign_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(9277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11471), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11469), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [474792] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11437), 1,
      anon_sym_else,
    STATE(9166), 1,
      sym_else_clause,
    STATE(9278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [474846] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11419), 1,
      anon_sym_COMMA,
    ACTIONS(11421), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11423), 1,
      sym_pow_operator,
    ACTIONS(11425), 1,
      sym_mult_operator,
    ACTIONS(11427), 1,
      sym_concat_operator,
    ACTIONS(11429), 1,
      sym_rel_operator,
    ACTIONS(11431), 1,
      sym_and_operator,
    ACTIONS(11433), 1,
      sym_or_operator,
    ACTIONS(11435), 1,
      sym_assign_operator,
    STATE(2350), 1,
      sym_add_operator,
    STATE(9279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11477), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11475), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [474918] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11485), 1,
      anon_sym_PIPE,
    STATE(9280), 1,
      sym_attribute,
    STATE(9282), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [474972] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11485), 1,
      anon_sym_PIPE,
    STATE(9281), 1,
      sym_attribute,
    STATE(9282), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [475026] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11491), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9282), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [475078] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11485), 1,
      anon_sym_PIPE,
    STATE(9280), 1,
      aux_sym__match_cases_repeat1,
    STATE(9283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [475132] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11485), 1,
      anon_sym_PIPE,
    STATE(9281), 1,
      aux_sym__match_cases_repeat1,
    STATE(9284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [475186] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9285), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17779), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475280] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9286), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16430), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475374] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9287), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17935), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475468] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(9288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9054), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [475520] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9060), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [475570] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9290), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17066), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475664] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9291), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(15932), 1,
      sym__tag_spec,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475758] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9292), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17293), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11276), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11274), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [475902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11214), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [475952] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9295), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(15903), 1,
      sym__tag_spec,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476046] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9296), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16039), 1,
      sym__tag_spec,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476140] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9297), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16700), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476234] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11498), 1,
      anon_sym_PIPE,
    STATE(9298), 1,
      sym_attribute,
    STATE(9300), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [476288] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11498), 1,
      anon_sym_PIPE,
    STATE(9299), 1,
      sym_attribute,
    STATE(9300), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [476342] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11500), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9300), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [476394] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11498), 1,
      anon_sym_PIPE,
    STATE(9298), 1,
      aux_sym__match_cases_repeat1,
    STATE(9301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [476448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10198), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [476498] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11498), 1,
      anon_sym_PIPE,
    STATE(9299), 1,
      aux_sym__match_cases_repeat1,
    STATE(9303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [476552] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9304), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(16891), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476646] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9305), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16131), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476740] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9306), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(16933), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476834] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11503), 1,
      anon_sym_PIPE,
    STATE(9307), 1,
      sym_attribute,
    STATE(9309), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [476888] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11503), 1,
      anon_sym_PIPE,
    STATE(9308), 1,
      sym_attribute,
    STATE(9309), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [476942] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11505), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9309), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [476994] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9042), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [477044] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11503), 1,
      anon_sym_PIPE,
    STATE(9307), 1,
      aux_sym__match_cases_repeat1,
    STATE(9311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [477098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10214), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10212), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [477148] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11503), 1,
      anon_sym_PIPE,
    STATE(9308), 1,
      aux_sym__match_cases_repeat1,
    STATE(9313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [477202] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9314), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17261), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477296] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9315), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16266), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477390] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9316), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17291), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477484] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9317), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17627), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477578] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9318), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16360), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477672] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9319), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17660), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477766] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9320), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17618), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477860] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9321), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(15826), 1,
      sym__tag_spec,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477954] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9322), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(16987), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478048] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9323), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16599), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478142] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9324), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(15885), 1,
      sym__tag_spec,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478236] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9325), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16662), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478330] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9326), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17072), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478424] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9327), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(15928), 1,
      sym__tag_spec,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478518] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9328), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17161), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11361), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11359), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [478662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11194), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [478712] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9331), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17707), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478806] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9332), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(15972), 1,
      sym__tag_spec,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478900] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9333), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17759), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478994] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11443), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11445), 1,
      sym_pow_operator,
    ACTIONS(11447), 1,
      sym_mult_operator,
    ACTIONS(11449), 1,
      sym_concat_operator,
    ACTIONS(11451), 1,
      sym_rel_operator,
    ACTIONS(11453), 1,
      sym_and_operator,
    ACTIONS(11455), 1,
      sym_or_operator,
    ACTIONS(11465), 1,
      anon_sym_COMMA,
    ACTIONS(11467), 1,
      sym_assign_operator,
    ACTIONS(11508), 1,
      anon_sym_SEMI,
    STATE(2085), 1,
      sym_add_operator,
    STATE(9334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10200), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10198), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [479068] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9335), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16576), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479162] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9336), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16014), 1,
      sym__tag_spec,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479256] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10083), 16,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(10081), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [479306] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9338), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16587), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11312), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11310), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [479450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11092), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11090), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [479500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11096), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11094), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [479550] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11385), 1,
      anon_sym_else,
    STATE(9023), 1,
      sym_else_clause,
    STATE(9342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [479604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11146), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11144), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [479654] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11514), 1,
      anon_sym_RPAREN,
    STATE(9344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11512), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(11510), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [479706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11322), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11320), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [479756] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9346), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17750), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479850] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9347), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17757), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479944] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(9348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9054), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [479996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11104), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11102), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [480046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11202), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [480096] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9351), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17448), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11308), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [480240] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9353), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16327), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480334] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9354), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17636), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11516), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [480478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11522), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11520), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [480528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11174), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11172), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [480578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11206), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [480628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11222), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [480678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11226), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [480728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11198), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [480778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11068), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11066), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [480828] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11524), 1,
      anon_sym_else,
    STATE(9166), 1,
      sym_else_clause,
    STATE(9363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [480882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11369), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11367), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [480932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11188), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [480982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3527), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3525), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [481032] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9126), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [481082] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2085), 1,
      sym_add_operator,
    STATE(9368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [481134] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11473), 1,
      anon_sym_else,
    STATE(9023), 1,
      sym_else_clause,
    STATE(9369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [481188] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11524), 1,
      anon_sym_else,
    STATE(9023), 1,
      sym_else_clause,
    STATE(9370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [481242] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9371), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16650), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481336] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9372), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16040), 1,
      sym__tag_spec,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481430] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9373), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16683), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481524] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9374), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(17915), 1,
      sym__tag_spec,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481618] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11443), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11445), 1,
      sym_pow_operator,
    ACTIONS(11447), 1,
      sym_mult_operator,
    ACTIONS(11449), 1,
      sym_concat_operator,
    ACTIONS(11451), 1,
      sym_rel_operator,
    ACTIONS(11453), 1,
      sym_and_operator,
    ACTIONS(11455), 1,
      sym_or_operator,
    ACTIONS(11465), 1,
      anon_sym_COMMA,
    ACTIONS(11467), 1,
      sym_assign_operator,
    STATE(2085), 1,
      sym_add_operator,
    STATE(9375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11411), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11409), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [481690] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10878), 1,
      aux_sym_tag_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9376), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15606), 1,
      sym__type,
    STATE(16104), 1,
      sym_tag,
    STATE(16640), 1,
      sym__tag_spec,
    STATE(16847), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481784] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11526), 1,
      anon_sym_PIPE,
    STATE(9377), 1,
      sym_attribute,
    STATE(9412), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [481837] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11528), 1,
      anon_sym_else,
    STATE(9023), 1,
      sym_else_clause,
    STATE(9378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [481890] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11530), 1,
      anon_sym_COMMA,
    ACTIONS(11532), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11534), 1,
      sym_pow_operator,
    ACTIONS(11536), 1,
      sym_mult_operator,
    ACTIONS(11538), 1,
      sym_concat_operator,
    ACTIONS(11540), 1,
      sym_rel_operator,
    ACTIONS(11542), 1,
      sym_and_operator,
    ACTIONS(11544), 1,
      sym_or_operator,
    ACTIONS(11546), 1,
      sym_assign_operator,
    STATE(2391), 1,
      sym_add_operator,
    STATE(9379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11411), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11409), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [481961] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2391), 1,
      sym_add_operator,
    STATE(9380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [482012] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11532), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11534), 1,
      sym_pow_operator,
    ACTIONS(11536), 1,
      sym_mult_operator,
    ACTIONS(11538), 1,
      sym_concat_operator,
    ACTIONS(11540), 1,
      sym_rel_operator,
    ACTIONS(11542), 1,
      sym_and_operator,
    ACTIONS(11544), 1,
      sym_or_operator,
    STATE(2391), 1,
      sym_add_operator,
    STATE(9381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11441), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11439), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [482079] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11532), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11534), 1,
      sym_pow_operator,
    ACTIONS(11536), 1,
      sym_mult_operator,
    STATE(2391), 1,
      sym_add_operator,
    STATE(9382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [482138] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11534), 1,
      sym_pow_operator,
    STATE(2391), 1,
      sym_add_operator,
    STATE(9383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [482191] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11534), 1,
      sym_pow_operator,
    STATE(2391), 1,
      sym_add_operator,
    STATE(9384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [482244] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11532), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11534), 1,
      sym_pow_operator,
    ACTIONS(11536), 1,
      sym_mult_operator,
    ACTIONS(11538), 1,
      sym_concat_operator,
    STATE(2391), 1,
      sym_add_operator,
    STATE(9385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [482305] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11532), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11534), 1,
      sym_pow_operator,
    ACTIONS(11536), 1,
      sym_mult_operator,
    ACTIONS(11538), 1,
      sym_concat_operator,
    STATE(2391), 1,
      sym_add_operator,
    STATE(9386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [482366] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11532), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11534), 1,
      sym_pow_operator,
    ACTIONS(11536), 1,
      sym_mult_operator,
    ACTIONS(11538), 1,
      sym_concat_operator,
    ACTIONS(11540), 1,
      sym_rel_operator,
    ACTIONS(11542), 1,
      sym_and_operator,
    STATE(2391), 1,
      sym_add_operator,
    STATE(9387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11461), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [482431] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11532), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11534), 1,
      sym_pow_operator,
    ACTIONS(11536), 1,
      sym_mult_operator,
    ACTIONS(11538), 1,
      sym_concat_operator,
    ACTIONS(11540), 1,
      sym_rel_operator,
    ACTIONS(11542), 1,
      sym_and_operator,
    ACTIONS(11544), 1,
      sym_or_operator,
    STATE(2391), 1,
      sym_add_operator,
    STATE(9388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [482498] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11548), 1,
      sym_pow_operator,
    ACTIONS(11550), 1,
      sym_mult_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [482553] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11534), 1,
      sym_pow_operator,
    ACTIONS(11536), 1,
      sym_mult_operator,
    STATE(2391), 1,
      sym_add_operator,
    STATE(9390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [482608] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11530), 1,
      anon_sym_COMMA,
    ACTIONS(11532), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11534), 1,
      sym_pow_operator,
    ACTIONS(11536), 1,
      sym_mult_operator,
    ACTIONS(11538), 1,
      sym_concat_operator,
    ACTIONS(11540), 1,
      sym_rel_operator,
    ACTIONS(11542), 1,
      sym_and_operator,
    ACTIONS(11544), 1,
      sym_or_operator,
    ACTIONS(11546), 1,
      sym_assign_operator,
    STATE(2391), 1,
      sym_add_operator,
    STATE(9391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11471), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11469), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [482679] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11552), 1,
      anon_sym_else,
    STATE(9166), 1,
      sym_else_clause,
    STATE(9392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [482732] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11530), 1,
      anon_sym_COMMA,
    ACTIONS(11532), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11534), 1,
      sym_pow_operator,
    ACTIONS(11536), 1,
      sym_mult_operator,
    ACTIONS(11538), 1,
      sym_concat_operator,
    ACTIONS(11540), 1,
      sym_rel_operator,
    ACTIONS(11542), 1,
      sym_and_operator,
    ACTIONS(11544), 1,
      sym_or_operator,
    ACTIONS(11546), 1,
      sym_assign_operator,
    STATE(2391), 1,
      sym_add_operator,
    STATE(9393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11477), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11475), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [482803] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11552), 1,
      anon_sym_else,
    STATE(9023), 1,
      sym_else_clause,
    STATE(9394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [482856] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11530), 1,
      anon_sym_COMMA,
    ACTIONS(11532), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11534), 1,
      sym_pow_operator,
    ACTIONS(11536), 1,
      sym_mult_operator,
    ACTIONS(11538), 1,
      sym_concat_operator,
    ACTIONS(11540), 1,
      sym_rel_operator,
    ACTIONS(11542), 1,
      sym_and_operator,
    ACTIONS(11544), 1,
      sym_or_operator,
    ACTIONS(11546), 1,
      sym_assign_operator,
    ACTIONS(11554), 1,
      anon_sym_SEMI,
    STATE(2391), 1,
      sym_add_operator,
    STATE(9395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10200), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10198), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [482929] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    ACTIONS(11562), 1,
      sym_concat_operator,
    ACTIONS(11564), 1,
      sym_rel_operator,
    ACTIONS(11566), 1,
      sym_and_operator,
    STATE(2495), 1,
      sym_add_operator,
    STATE(9396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11461), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [482994] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    ACTIONS(11562), 1,
      sym_concat_operator,
    ACTIONS(11564), 1,
      sym_rel_operator,
    ACTIONS(11566), 1,
      sym_and_operator,
    ACTIONS(11568), 1,
      sym_or_operator,
    STATE(2495), 1,
      sym_add_operator,
    STATE(9397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [483061] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    ACTIONS(11562), 1,
      sym_concat_operator,
    ACTIONS(11564), 1,
      sym_rel_operator,
    ACTIONS(11566), 1,
      sym_and_operator,
    ACTIONS(11568), 1,
      sym_or_operator,
    ACTIONS(11570), 1,
      anon_sym_COMMA,
    ACTIONS(11572), 1,
      sym_assign_operator,
    STATE(2495), 1,
      sym_add_operator,
    STATE(9398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [483132] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    ACTIONS(11580), 1,
      sym_concat_operator,
    ACTIONS(11582), 1,
      sym_rel_operator,
    ACTIONS(11584), 1,
      sym_and_operator,
    ACTIONS(11586), 1,
      sym_or_operator,
    STATE(2408), 1,
      sym_add_operator,
    STATE(9399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11441), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11439), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [483199] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    STATE(2408), 1,
      sym_add_operator,
    STATE(9400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [483258] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11576), 1,
      sym_pow_operator,
    STATE(2408), 1,
      sym_add_operator,
    STATE(9401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [483311] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11576), 1,
      sym_pow_operator,
    STATE(2408), 1,
      sym_add_operator,
    STATE(9402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [483364] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    ACTIONS(11580), 1,
      sym_concat_operator,
    STATE(2408), 1,
      sym_add_operator,
    STATE(9403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [483425] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    ACTIONS(11580), 1,
      sym_concat_operator,
    STATE(2408), 1,
      sym_add_operator,
    STATE(9404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [483486] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    ACTIONS(11580), 1,
      sym_concat_operator,
    ACTIONS(11582), 1,
      sym_rel_operator,
    ACTIONS(11584), 1,
      sym_and_operator,
    STATE(2408), 1,
      sym_add_operator,
    STATE(9405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11461), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [483551] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    ACTIONS(11580), 1,
      sym_concat_operator,
    ACTIONS(11582), 1,
      sym_rel_operator,
    ACTIONS(11584), 1,
      sym_and_operator,
    ACTIONS(11586), 1,
      sym_or_operator,
    STATE(2408), 1,
      sym_add_operator,
    STATE(9406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [483618] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    ACTIONS(11580), 1,
      sym_concat_operator,
    ACTIONS(11582), 1,
      sym_rel_operator,
    ACTIONS(11584), 1,
      sym_and_operator,
    ACTIONS(11586), 1,
      sym_or_operator,
    ACTIONS(11588), 1,
      anon_sym_COMMA,
    ACTIONS(11590), 1,
      sym_assign_operator,
    STATE(2408), 1,
      sym_add_operator,
    STATE(9407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [483689] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    STATE(2408), 1,
      sym_add_operator,
    STATE(9408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [483744] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    ACTIONS(11580), 1,
      sym_concat_operator,
    ACTIONS(11582), 1,
      sym_rel_operator,
    ACTIONS(11584), 1,
      sym_and_operator,
    ACTIONS(11586), 1,
      sym_or_operator,
    ACTIONS(11588), 1,
      anon_sym_COMMA,
    ACTIONS(11590), 1,
      sym_assign_operator,
    STATE(2408), 1,
      sym_add_operator,
    STATE(9409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11471), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11469), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [483815] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11592), 1,
      anon_sym_else,
    STATE(9166), 1,
      sym_else_clause,
    STATE(9410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [483868] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    ACTIONS(11580), 1,
      sym_concat_operator,
    ACTIONS(11582), 1,
      sym_rel_operator,
    ACTIONS(11584), 1,
      sym_and_operator,
    ACTIONS(11586), 1,
      sym_or_operator,
    ACTIONS(11588), 1,
      anon_sym_COMMA,
    ACTIONS(11590), 1,
      sym_assign_operator,
    STATE(2408), 1,
      sym_add_operator,
    STATE(9411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11477), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11475), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [483939] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11526), 1,
      anon_sym_PIPE,
    STATE(9412), 1,
      sym_attribute,
    STATE(9414), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [483992] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11526), 1,
      anon_sym_PIPE,
    STATE(9413), 1,
      sym_attribute,
    STATE(9414), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [484045] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11594), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9414), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [484096] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    STATE(9415), 1,
      sym_attribute,
    STATE(9509), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [484149] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11526), 1,
      anon_sym_PIPE,
    STATE(9413), 1,
      aux_sym__match_cases_repeat1,
    STATE(9416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [484202] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(11599), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [484251] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11528), 1,
      anon_sym_else,
    STATE(9166), 1,
      sym_else_clause,
    STATE(9418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [484304] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11512), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(11510), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [484353] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11601), 1,
      anon_sym_PIPE,
    STATE(9420), 1,
      sym_attribute,
    STATE(9423), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [484406] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    ACTIONS(11580), 1,
      sym_concat_operator,
    ACTIONS(11582), 1,
      sym_rel_operator,
    ACTIONS(11584), 1,
      sym_and_operator,
    ACTIONS(11586), 1,
      sym_or_operator,
    ACTIONS(11588), 1,
      anon_sym_COMMA,
    ACTIONS(11590), 1,
      sym_assign_operator,
    STATE(2408), 1,
      sym_add_operator,
    STATE(9421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11411), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11409), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [484477] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11601), 1,
      anon_sym_PIPE,
    STATE(9422), 1,
      sym_attribute,
    STATE(9423), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [484530] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11603), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9423), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [484581] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2408), 1,
      sym_add_operator,
    STATE(9424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [484632] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11592), 1,
      anon_sym_else,
    STATE(9023), 1,
      sym_else_clause,
    STATE(9425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [484685] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [484736] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11601), 1,
      anon_sym_PIPE,
    STATE(9420), 1,
      aux_sym__match_cases_repeat1,
    STATE(9427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [484789] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11601), 1,
      anon_sym_PIPE,
    STATE(9422), 1,
      aux_sym__match_cases_repeat1,
    STATE(9428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [484842] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11606), 1,
      anon_sym_PIPE,
    STATE(9429), 1,
      sym_attribute,
    STATE(9431), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [484895] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11606), 1,
      anon_sym_PIPE,
    STATE(9430), 1,
      sym_attribute,
    STATE(9431), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [484948] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11608), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9431), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [484999] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11606), 1,
      anon_sym_PIPE,
    STATE(9429), 1,
      aux_sym__match_cases_repeat1,
    STATE(9432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [485052] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11606), 1,
      anon_sym_PIPE,
    STATE(9430), 1,
      aux_sym__match_cases_repeat1,
    STATE(9433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [485105] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11613), 1,
      sym_pow_operator,
    ACTIONS(11615), 1,
      sym_mult_operator,
    ACTIONS(11617), 1,
      sym_concat_operator,
    ACTIONS(11619), 1,
      sym_rel_operator,
    ACTIONS(11621), 1,
      sym_and_operator,
    ACTIONS(11623), 1,
      sym_or_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(9434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11441), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11439), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [485172] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11625), 1,
      anon_sym_PIPE,
    STATE(9435), 1,
      sym_attribute,
    STATE(9437), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [485225] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11625), 1,
      anon_sym_PIPE,
    STATE(9436), 1,
      sym_attribute,
    STATE(9437), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [485278] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11627), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9437), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [485329] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11625), 1,
      anon_sym_PIPE,
    STATE(9435), 1,
      aux_sym__match_cases_repeat1,
    STATE(9438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [485382] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11625), 1,
      anon_sym_PIPE,
    STATE(9436), 1,
      aux_sym__match_cases_repeat1,
    STATE(9439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [485435] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11613), 1,
      sym_pow_operator,
    ACTIONS(11615), 1,
      sym_mult_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(9440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [485494] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11613), 1,
      sym_pow_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(9441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [485547] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11613), 1,
      sym_pow_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(9442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [485600] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    ACTIONS(11580), 1,
      sym_concat_operator,
    ACTIONS(11582), 1,
      sym_rel_operator,
    ACTIONS(11584), 1,
      sym_and_operator,
    ACTIONS(11586), 1,
      sym_or_operator,
    ACTIONS(11588), 1,
      anon_sym_COMMA,
    ACTIONS(11590), 1,
      sym_assign_operator,
    ACTIONS(11630), 1,
      anon_sym_SEMI,
    STATE(2408), 1,
      sym_add_operator,
    STATE(9443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10200), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10198), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [485673] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11632), 1,
      anon_sym_else,
    STATE(9166), 1,
      sym_else_clause,
    STATE(9444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [485726] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11613), 1,
      sym_pow_operator,
    ACTIONS(11615), 1,
      sym_mult_operator,
    ACTIONS(11617), 1,
      sym_concat_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(9445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [485787] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11613), 1,
      sym_pow_operator,
    ACTIONS(11615), 1,
      sym_mult_operator,
    ACTIONS(11617), 1,
      sym_concat_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(9446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [485848] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11613), 1,
      sym_pow_operator,
    ACTIONS(11615), 1,
      sym_mult_operator,
    ACTIONS(11617), 1,
      sym_concat_operator,
    ACTIONS(11619), 1,
      sym_rel_operator,
    ACTIONS(11621), 1,
      sym_and_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(9447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11461), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [485913] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11613), 1,
      sym_pow_operator,
    ACTIONS(11615), 1,
      sym_mult_operator,
    ACTIONS(11617), 1,
      sym_concat_operator,
    ACTIONS(11619), 1,
      sym_rel_operator,
    ACTIONS(11621), 1,
      sym_and_operator,
    ACTIONS(11623), 1,
      sym_or_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(9448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [485980] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11613), 1,
      sym_pow_operator,
    ACTIONS(11615), 1,
      sym_mult_operator,
    ACTIONS(11617), 1,
      sym_concat_operator,
    ACTIONS(11619), 1,
      sym_rel_operator,
    ACTIONS(11621), 1,
      sym_and_operator,
    ACTIONS(11623), 1,
      sym_or_operator,
    ACTIONS(11634), 1,
      anon_sym_COMMA,
    ACTIONS(11636), 1,
      sym_assign_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(9449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [486051] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11613), 1,
      sym_pow_operator,
    ACTIONS(11615), 1,
      sym_mult_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(9450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [486106] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11613), 1,
      sym_pow_operator,
    ACTIONS(11615), 1,
      sym_mult_operator,
    ACTIONS(11617), 1,
      sym_concat_operator,
    ACTIONS(11619), 1,
      sym_rel_operator,
    ACTIONS(11621), 1,
      sym_and_operator,
    ACTIONS(11623), 1,
      sym_or_operator,
    ACTIONS(11634), 1,
      anon_sym_COMMA,
    ACTIONS(11636), 1,
      sym_assign_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(9451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11471), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11469), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [486177] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11638), 1,
      anon_sym_else,
    STATE(9166), 1,
      sym_else_clause,
    STATE(9452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [486230] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11613), 1,
      sym_pow_operator,
    ACTIONS(11615), 1,
      sym_mult_operator,
    ACTIONS(11617), 1,
      sym_concat_operator,
    ACTIONS(11619), 1,
      sym_rel_operator,
    ACTIONS(11621), 1,
      sym_and_operator,
    ACTIONS(11623), 1,
      sym_or_operator,
    ACTIONS(11634), 1,
      anon_sym_COMMA,
    ACTIONS(11636), 1,
      sym_assign_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(9453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11477), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11475), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [486301] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11640), 1,
      anon_sym_COMMA,
    ACTIONS(11642), 1,
      anon_sym_SEMI,
    ACTIONS(11644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11646), 1,
      sym_pow_operator,
    ACTIONS(11648), 1,
      sym_mult_operator,
    ACTIONS(11650), 1,
      sym_concat_operator,
    ACTIONS(11652), 1,
      sym_rel_operator,
    ACTIONS(11654), 1,
      sym_and_operator,
    ACTIONS(11656), 1,
      sym_or_operator,
    ACTIONS(11658), 1,
      sym_assign_operator,
    STATE(2437), 1,
      sym_add_operator,
    STATE(9454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10200), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10198), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [486374] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11660), 1,
      anon_sym_else,
    STATE(9166), 1,
      sym_else_clause,
    STATE(9455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [486427] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2495), 1,
      sym_add_operator,
    STATE(9456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [486478] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11662), 1,
      anon_sym_PIPE,
    STATE(9457), 1,
      sym_attribute,
    STATE(9461), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [486531] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    STATE(2495), 1,
      sym_add_operator,
    STATE(9458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [486586] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11662), 1,
      anon_sym_PIPE,
    STATE(9459), 1,
      sym_attribute,
    STATE(9461), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [486639] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11632), 1,
      anon_sym_else,
    STATE(9023), 1,
      sym_else_clause,
    STATE(9460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [486692] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11664), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9461), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [486743] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    ACTIONS(11562), 1,
      sym_concat_operator,
    ACTIONS(11564), 1,
      sym_rel_operator,
    ACTIONS(11566), 1,
      sym_and_operator,
    ACTIONS(11568), 1,
      sym_or_operator,
    ACTIONS(11570), 1,
      anon_sym_COMMA,
    ACTIONS(11572), 1,
      sym_assign_operator,
    STATE(2495), 1,
      sym_add_operator,
    STATE(9462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11471), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11469), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [486814] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11548), 1,
      sym_pow_operator,
    ACTIONS(11550), 1,
      sym_mult_operator,
    ACTIONS(11667), 1,
      anon_sym_COMMA,
    ACTIONS(11669), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11671), 1,
      sym_concat_operator,
    ACTIONS(11673), 1,
      sym_rel_operator,
    ACTIONS(11675), 1,
      sym_and_operator,
    ACTIONS(11677), 1,
      sym_or_operator,
    ACTIONS(11679), 1,
      sym_assign_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11471), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11469), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [486885] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    ACTIONS(11562), 1,
      sym_concat_operator,
    ACTIONS(11564), 1,
      sym_rel_operator,
    ACTIONS(11566), 1,
      sym_and_operator,
    ACTIONS(11568), 1,
      sym_or_operator,
    ACTIONS(11570), 1,
      anon_sym_COMMA,
    ACTIONS(11572), 1,
      sym_assign_operator,
    ACTIONS(11681), 1,
      anon_sym_SEMI,
    STATE(2495), 1,
      sym_add_operator,
    STATE(9464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10200), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10198), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [486958] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11548), 1,
      sym_pow_operator,
    ACTIONS(11550), 1,
      sym_mult_operator,
    ACTIONS(11667), 1,
      anon_sym_COMMA,
    ACTIONS(11669), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11671), 1,
      sym_concat_operator,
    ACTIONS(11673), 1,
      sym_rel_operator,
    ACTIONS(11675), 1,
      sym_and_operator,
    ACTIONS(11677), 1,
      sym_or_operator,
    ACTIONS(11679), 1,
      sym_assign_operator,
    ACTIONS(11683), 1,
      anon_sym_SEMI,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10200), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10198), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [487031] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10896), 1,
      anon_sym_RPAREN,
    ACTIONS(11685), 1,
      anon_sym_module,
    ACTIONS(11687), 1,
      anon_sym_COLON_COLON,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9466), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15650), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487122] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11689), 1,
      anon_sym_COLON,
    STATE(9467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [487173] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11548), 1,
      sym_pow_operator,
    ACTIONS(11550), 1,
      sym_mult_operator,
    ACTIONS(11667), 1,
      anon_sym_COMMA,
    ACTIONS(11669), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11671), 1,
      sym_concat_operator,
    ACTIONS(11673), 1,
      sym_rel_operator,
    ACTIONS(11675), 1,
      sym_and_operator,
    ACTIONS(11677), 1,
      sym_or_operator,
    ACTIONS(11679), 1,
      sym_assign_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11477), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11475), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [487244] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11662), 1,
      anon_sym_PIPE,
    STATE(9457), 1,
      aux_sym__match_cases_repeat1,
    STATE(9469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [487297] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    ACTIONS(11562), 1,
      sym_concat_operator,
    ACTIONS(11564), 1,
      sym_rel_operator,
    ACTIONS(11566), 1,
      sym_and_operator,
    ACTIONS(11568), 1,
      sym_or_operator,
    ACTIONS(11570), 1,
      anon_sym_COMMA,
    ACTIONS(11572), 1,
      sym_assign_operator,
    STATE(2495), 1,
      sym_add_operator,
    STATE(9470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11477), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11475), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [487368] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11693), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(11691), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [487417] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11662), 1,
      anon_sym_PIPE,
    STATE(9459), 1,
      aux_sym__match_cases_repeat1,
    STATE(9472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [487470] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11660), 1,
      anon_sym_else,
    STATE(9023), 1,
      sym_else_clause,
    STATE(9473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [487523] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10912), 1,
      anon_sym_RPAREN,
    ACTIONS(11687), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11695), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9474), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15791), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487614] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11646), 1,
      sym_pow_operator,
    ACTIONS(11648), 1,
      sym_mult_operator,
    ACTIONS(11650), 1,
      sym_concat_operator,
    ACTIONS(11652), 1,
      sym_rel_operator,
    ACTIONS(11654), 1,
      sym_and_operator,
    ACTIONS(11656), 1,
      sym_or_operator,
    STATE(2437), 1,
      sym_add_operator,
    STATE(9475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11441), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11439), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [487681] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11646), 1,
      sym_pow_operator,
    ACTIONS(11648), 1,
      sym_mult_operator,
    STATE(2437), 1,
      sym_add_operator,
    STATE(9476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [487740] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11613), 1,
      sym_pow_operator,
    ACTIONS(11615), 1,
      sym_mult_operator,
    ACTIONS(11617), 1,
      sym_concat_operator,
    ACTIONS(11619), 1,
      sym_rel_operator,
    ACTIONS(11621), 1,
      sym_and_operator,
    ACTIONS(11623), 1,
      sym_or_operator,
    ACTIONS(11634), 1,
      anon_sym_COMMA,
    ACTIONS(11636), 1,
      sym_assign_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(9477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11411), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11409), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [487811] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11646), 1,
      sym_pow_operator,
    STATE(2437), 1,
      sym_add_operator,
    STATE(9478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [487864] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11646), 1,
      sym_pow_operator,
    STATE(2437), 1,
      sym_add_operator,
    STATE(9479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [487917] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11646), 1,
      sym_pow_operator,
    ACTIONS(11648), 1,
      sym_mult_operator,
    ACTIONS(11650), 1,
      sym_concat_operator,
    STATE(2437), 1,
      sym_add_operator,
    STATE(9480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [487978] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11646), 1,
      sym_pow_operator,
    ACTIONS(11648), 1,
      sym_mult_operator,
    ACTIONS(11650), 1,
      sym_concat_operator,
    STATE(2437), 1,
      sym_add_operator,
    STATE(9481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [488039] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11646), 1,
      sym_pow_operator,
    ACTIONS(11648), 1,
      sym_mult_operator,
    ACTIONS(11650), 1,
      sym_concat_operator,
    ACTIONS(11652), 1,
      sym_rel_operator,
    ACTIONS(11654), 1,
      sym_and_operator,
    STATE(2437), 1,
      sym_add_operator,
    STATE(9482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11461), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [488104] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11646), 1,
      sym_pow_operator,
    ACTIONS(11648), 1,
      sym_mult_operator,
    ACTIONS(11650), 1,
      sym_concat_operator,
    ACTIONS(11652), 1,
      sym_rel_operator,
    ACTIONS(11654), 1,
      sym_and_operator,
    ACTIONS(11656), 1,
      sym_or_operator,
    STATE(2437), 1,
      sym_add_operator,
    STATE(9483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [488171] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2311), 1,
      sym_add_operator,
    STATE(9484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [488222] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11640), 1,
      anon_sym_COMMA,
    ACTIONS(11644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11646), 1,
      sym_pow_operator,
    ACTIONS(11648), 1,
      sym_mult_operator,
    ACTIONS(11650), 1,
      sym_concat_operator,
    ACTIONS(11652), 1,
      sym_rel_operator,
    ACTIONS(11654), 1,
      sym_and_operator,
    ACTIONS(11656), 1,
      sym_or_operator,
    ACTIONS(11658), 1,
      sym_assign_operator,
    STATE(2437), 1,
      sym_add_operator,
    STATE(9485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [488293] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11646), 1,
      sym_pow_operator,
    ACTIONS(11648), 1,
      sym_mult_operator,
    STATE(2437), 1,
      sym_add_operator,
    STATE(9486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [488348] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11640), 1,
      anon_sym_COMMA,
    ACTIONS(11644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11646), 1,
      sym_pow_operator,
    ACTIONS(11648), 1,
      sym_mult_operator,
    ACTIONS(11650), 1,
      sym_concat_operator,
    ACTIONS(11652), 1,
      sym_rel_operator,
    ACTIONS(11654), 1,
      sym_and_operator,
    ACTIONS(11656), 1,
      sym_or_operator,
    ACTIONS(11658), 1,
      sym_assign_operator,
    STATE(2437), 1,
      sym_add_operator,
    STATE(9487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11471), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11469), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [488419] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11638), 1,
      anon_sym_else,
    STATE(9023), 1,
      sym_else_clause,
    STATE(9488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [488472] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11640), 1,
      anon_sym_COMMA,
    ACTIONS(11644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11646), 1,
      sym_pow_operator,
    ACTIONS(11648), 1,
      sym_mult_operator,
    ACTIONS(11650), 1,
      sym_concat_operator,
    ACTIONS(11652), 1,
      sym_rel_operator,
    ACTIONS(11654), 1,
      sym_and_operator,
    ACTIONS(11656), 1,
      sym_or_operator,
    ACTIONS(11658), 1,
      sym_assign_operator,
    STATE(2437), 1,
      sym_add_operator,
    STATE(9489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11477), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11475), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [488543] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10984), 1,
      anon_sym_RPAREN,
    ACTIONS(11687), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11697), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9490), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15713), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488634] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    STATE(9491), 1,
      sym_attribute,
    STATE(9511), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [488687] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11611), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11613), 1,
      sym_pow_operator,
    ACTIONS(11615), 1,
      sym_mult_operator,
    ACTIONS(11617), 1,
      sym_concat_operator,
    ACTIONS(11619), 1,
      sym_rel_operator,
    ACTIONS(11621), 1,
      sym_and_operator,
    ACTIONS(11623), 1,
      sym_or_operator,
    ACTIONS(11634), 1,
      anon_sym_COMMA,
    ACTIONS(11636), 1,
      sym_assign_operator,
    ACTIONS(11699), 1,
      anon_sym_SEMI,
    STATE(2311), 1,
      sym_add_operator,
    STATE(9492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10200), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10198), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [488760] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    ACTIONS(11562), 1,
      sym_concat_operator,
    ACTIONS(11564), 1,
      sym_rel_operator,
    ACTIONS(11566), 1,
      sym_and_operator,
    ACTIONS(11568), 1,
      sym_or_operator,
    STATE(2495), 1,
      sym_add_operator,
    STATE(9493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11441), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11439), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [488827] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    STATE(2495), 1,
      sym_add_operator,
    STATE(9494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [488886] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11548), 1,
      sym_pow_operator,
    ACTIONS(11550), 1,
      sym_mult_operator,
    ACTIONS(11669), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11671), 1,
      sym_concat_operator,
    ACTIONS(11673), 1,
      sym_rel_operator,
    ACTIONS(11675), 1,
      sym_and_operator,
    ACTIONS(11677), 1,
      sym_or_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11441), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11439), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [488953] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11548), 1,
      sym_pow_operator,
    ACTIONS(11550), 1,
      sym_mult_operator,
    ACTIONS(11669), 1,
      anon_sym_COLON_COLON,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [489012] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2437), 1,
      sym_add_operator,
    STATE(9497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [489063] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11558), 1,
      sym_pow_operator,
    STATE(2495), 1,
      sym_add_operator,
    STATE(9498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [489116] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11548), 1,
      sym_pow_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [489169] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11548), 1,
      sym_pow_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [489222] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11548), 1,
      sym_pow_operator,
    ACTIONS(11550), 1,
      sym_mult_operator,
    ACTIONS(11669), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11671), 1,
      sym_concat_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [489283] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11548), 1,
      sym_pow_operator,
    ACTIONS(11550), 1,
      sym_mult_operator,
    ACTIONS(11669), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11671), 1,
      sym_concat_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [489344] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11548), 1,
      sym_pow_operator,
    ACTIONS(11550), 1,
      sym_mult_operator,
    ACTIONS(11669), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11671), 1,
      sym_concat_operator,
    ACTIONS(11673), 1,
      sym_rel_operator,
    ACTIONS(11675), 1,
      sym_and_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11461), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [489409] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_RPAREN,
    ACTIONS(11687), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11701), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9504), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15607), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489500] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11548), 1,
      sym_pow_operator,
    ACTIONS(11550), 1,
      sym_mult_operator,
    ACTIONS(11669), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11671), 1,
      sym_concat_operator,
    ACTIONS(11673), 1,
      sym_rel_operator,
    ACTIONS(11675), 1,
      sym_and_operator,
    ACTIONS(11677), 1,
      sym_or_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [489567] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11558), 1,
      sym_pow_operator,
    STATE(2495), 1,
      sym_add_operator,
    STATE(9506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [489620] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    ACTIONS(11562), 1,
      sym_concat_operator,
    STATE(2495), 1,
      sym_add_operator,
    STATE(9507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [489681] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11548), 1,
      sym_pow_operator,
    ACTIONS(11550), 1,
      sym_mult_operator,
    ACTIONS(11667), 1,
      anon_sym_COMMA,
    ACTIONS(11669), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11671), 1,
      sym_concat_operator,
    ACTIONS(11673), 1,
      sym_rel_operator,
    ACTIONS(11675), 1,
      sym_and_operator,
    ACTIONS(11677), 1,
      sym_or_operator,
    ACTIONS(11679), 1,
      sym_assign_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [489752] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    STATE(9509), 1,
      sym_attribute,
    STATE(9512), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [489805] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    ACTIONS(11562), 1,
      sym_concat_operator,
    STATE(2495), 1,
      sym_add_operator,
    STATE(9510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [489866] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11597), 1,
      anon_sym_PIPE,
    STATE(9511), 1,
      sym_attribute,
    STATE(9512), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [489919] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11703), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9512), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [489970] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11530), 1,
      anon_sym_COMMA,
    ACTIONS(11532), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11534), 1,
      sym_pow_operator,
    ACTIONS(11536), 1,
      sym_mult_operator,
    ACTIONS(11538), 1,
      sym_concat_operator,
    ACTIONS(11540), 1,
      sym_rel_operator,
    ACTIONS(11542), 1,
      sym_and_operator,
    ACTIONS(11544), 1,
      sym_or_operator,
    ACTIONS(11546), 1,
      sym_assign_operator,
    STATE(2391), 1,
      sym_add_operator,
    STATE(9513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [490041] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11708), 1,
      sym_pow_operator,
    ACTIONS(11710), 1,
      sym_mult_operator,
    STATE(2113), 1,
      sym_add_operator,
    STATE(9514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [490099] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(679), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(741), 1,
      aux_sym_directive_token1,
    ACTIONS(1009), 1,
      anon_sym_end,
    ACTIONS(11712), 1,
      anon_sym_let,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11716), 1,
      anon_sym_type,
    ACTIONS(11718), 1,
      anon_sym_exception,
    ACTIONS(11720), 1,
      anon_sym_module,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(11724), 1,
      anon_sym_include,
    ACTIONS(11726), 1,
      anon_sym_class,
    ACTIONS(11728), 1,
      sym_let_operator,
    STATE(116), 1,
      aux_sym__structure_repeat1,
    STATE(8859), 1,
      sym_directive,
    STATE(9515), 1,
      sym_attribute,
    STATE(9587), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13462), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13459), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [490183] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11730), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11732), 1,
      sym_pow_operator,
    ACTIONS(11734), 1,
      sym_mult_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [490241] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(1009), 1,
      ts_builtin_sym_end,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(11724), 1,
      anon_sym_include,
    ACTIONS(11736), 1,
      anon_sym_let,
    ACTIONS(11738), 1,
      anon_sym_type,
    ACTIONS(11740), 1,
      anon_sym_exception,
    ACTIONS(11742), 1,
      anon_sym_module,
    ACTIONS(11744), 1,
      anon_sym_class,
    ACTIONS(11746), 1,
      sym_let_operator,
    STATE(123), 1,
      aux_sym__structure_repeat1,
    STATE(8835), 1,
      sym_directive,
    STATE(9517), 1,
      sym_attribute,
    STATE(9526), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13462), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13459), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [490325] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11750), 1,
      sym_pow_operator,
    ACTIONS(11752), 1,
      sym_mult_operator,
    STATE(2055), 1,
      sym_add_operator,
    STATE(9518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [490383] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11750), 1,
      sym_pow_operator,
    STATE(2055), 1,
      sym_add_operator,
    STATE(9519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [490435] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      sym_pow_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [490487] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(1009), 1,
      anon_sym_RBRACK,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(11724), 1,
      anon_sym_include,
    ACTIONS(11738), 1,
      anon_sym_type,
    ACTIONS(11740), 1,
      anon_sym_exception,
    ACTIONS(11742), 1,
      anon_sym_module,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_class,
    ACTIONS(11758), 1,
      sym_let_operator,
    STATE(115), 1,
      aux_sym__structure_repeat1,
    STATE(8835), 1,
      sym_directive,
    STATE(9521), 1,
      sym_attribute,
    STATE(9568), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13462), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13459), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [490571] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      sym_pow_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [490623] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11730), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11732), 1,
      sym_pow_operator,
    ACTIONS(11734), 1,
      sym_mult_operator,
    ACTIONS(11760), 1,
      sym_concat_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [490683] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11708), 1,
      sym_pow_operator,
    ACTIONS(11710), 1,
      sym_mult_operator,
    ACTIONS(11762), 1,
      anon_sym_COMMA,
    ACTIONS(11764), 1,
      anon_sym_SEMI,
    ACTIONS(11766), 1,
      sym_concat_operator,
    ACTIONS(11768), 1,
      sym_rel_operator,
    ACTIONS(11770), 1,
      sym_and_operator,
    ACTIONS(11772), 1,
      sym_or_operator,
    ACTIONS(11774), 1,
      sym_assign_operator,
    STATE(2113), 1,
      sym_add_operator,
    STATE(9524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10200), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10198), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [490755] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(1015), 1,
      ts_builtin_sym_end,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(11724), 1,
      anon_sym_include,
    ACTIONS(11736), 1,
      anon_sym_let,
    ACTIONS(11738), 1,
      anon_sym_type,
    ACTIONS(11740), 1,
      anon_sym_exception,
    ACTIONS(11742), 1,
      anon_sym_module,
    ACTIONS(11744), 1,
      anon_sym_class,
    ACTIONS(11746), 1,
      sym_let_operator,
    STATE(112), 1,
      aux_sym__structure_repeat1,
    STATE(8835), 1,
      sym_directive,
    STATE(9525), 1,
      sym_attribute,
    STATE(9526), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13462), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13459), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [490839] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11776), 1,
      ts_builtin_sym_end,
    ACTIONS(11778), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11781), 1,
      anon_sym_let,
    ACTIONS(11784), 1,
      anon_sym_external,
    ACTIONS(11787), 1,
      anon_sym_type,
    ACTIONS(11790), 1,
      anon_sym_exception,
    ACTIONS(11793), 1,
      anon_sym_module,
    ACTIONS(11796), 1,
      anon_sym_open,
    ACTIONS(11799), 1,
      anon_sym_include,
    ACTIONS(11802), 1,
      anon_sym_class,
    ACTIONS(11805), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(11808), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(11811), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11814), 1,
      sym_let_operator,
    ACTIONS(11817), 1,
      aux_sym_directive_token1,
    STATE(128), 1,
      aux_sym__structure_repeat1,
    STATE(8835), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9526), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(13462), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13459), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [490921] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11708), 1,
      sym_pow_operator,
    ACTIONS(11710), 1,
      sym_mult_operator,
    ACTIONS(11762), 1,
      anon_sym_COMMA,
    ACTIONS(11766), 1,
      sym_concat_operator,
    ACTIONS(11768), 1,
      sym_rel_operator,
    ACTIONS(11770), 1,
      sym_and_operator,
    ACTIONS(11772), 1,
      sym_or_operator,
    ACTIONS(11774), 1,
      sym_assign_operator,
    STATE(2113), 1,
      sym_add_operator,
    STATE(9527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [490991] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(1013), 1,
      ts_builtin_sym_end,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(11724), 1,
      anon_sym_include,
    ACTIONS(11736), 1,
      anon_sym_let,
    ACTIONS(11738), 1,
      anon_sym_type,
    ACTIONS(11740), 1,
      anon_sym_exception,
    ACTIONS(11742), 1,
      anon_sym_module,
    ACTIONS(11744), 1,
      anon_sym_class,
    ACTIONS(11746), 1,
      sym_let_operator,
    STATE(111), 1,
      aux_sym__structure_repeat1,
    STATE(8835), 1,
      sym_directive,
    STATE(9517), 1,
      aux_sym__structure_repeat2,
    STATE(9528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13462), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13459), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [491075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10666), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10668), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [491123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10680), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10682), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [491171] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11730), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11732), 1,
      sym_pow_operator,
    ACTIONS(11734), 1,
      sym_mult_operator,
    ACTIONS(11760), 1,
      sym_concat_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [491231] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11708), 1,
      sym_pow_operator,
    ACTIONS(11710), 1,
      sym_mult_operator,
    STATE(2113), 1,
      sym_add_operator,
    STATE(9532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [491285] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11820), 1,
      anon_sym_PIPE,
    STATE(9533), 1,
      sym_attribute,
    STATE(9535), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [491337] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11820), 1,
      anon_sym_PIPE,
    STATE(9534), 1,
      sym_attribute,
    STATE(9535), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [491389] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11822), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9535), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [491439] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11820), 1,
      anon_sym_PIPE,
    STATE(9533), 1,
      aux_sym__match_cases_repeat1,
    STATE(9536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [491491] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11708), 1,
      sym_pow_operator,
    ACTIONS(11710), 1,
      sym_mult_operator,
    ACTIONS(11762), 1,
      anon_sym_COMMA,
    ACTIONS(11766), 1,
      sym_concat_operator,
    ACTIONS(11768), 1,
      sym_rel_operator,
    ACTIONS(11770), 1,
      sym_and_operator,
    ACTIONS(11772), 1,
      sym_or_operator,
    ACTIONS(11774), 1,
      sym_assign_operator,
    STATE(2113), 1,
      sym_add_operator,
    STATE(9537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11471), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11469), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [491561] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      anon_sym_PIPE,
    STATE(9538), 1,
      sym_attribute,
    STATE(9585), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [491613] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11820), 1,
      anon_sym_PIPE,
    STATE(9534), 1,
      aux_sym__match_cases_repeat1,
    STATE(9539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [491665] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11730), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11732), 1,
      sym_pow_operator,
    ACTIONS(11734), 1,
      sym_mult_operator,
    ACTIONS(11760), 1,
      sym_concat_operator,
    ACTIONS(11827), 1,
      sym_rel_operator,
    ACTIONS(11829), 1,
      sym_and_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11461), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [491729] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11730), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11732), 1,
      sym_pow_operator,
    ACTIONS(11734), 1,
      sym_mult_operator,
    ACTIONS(11760), 1,
      sym_concat_operator,
    ACTIONS(11827), 1,
      sym_rel_operator,
    ACTIONS(11829), 1,
      sym_and_operator,
    ACTIONS(11831), 1,
      sym_or_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [491795] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11730), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11732), 1,
      sym_pow_operator,
    ACTIONS(11734), 1,
      sym_mult_operator,
    ACTIONS(11760), 1,
      sym_concat_operator,
    ACTIONS(11827), 1,
      sym_rel_operator,
    ACTIONS(11829), 1,
      sym_and_operator,
    ACTIONS(11831), 1,
      sym_or_operator,
    ACTIONS(11833), 1,
      anon_sym_COMMA,
    ACTIONS(11835), 1,
      sym_assign_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [491865] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(679), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(741), 1,
      aux_sym_directive_token1,
    ACTIONS(1015), 1,
      anon_sym_end,
    ACTIONS(11712), 1,
      anon_sym_let,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11716), 1,
      anon_sym_type,
    ACTIONS(11718), 1,
      anon_sym_exception,
    ACTIONS(11720), 1,
      anon_sym_module,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(11724), 1,
      anon_sym_include,
    ACTIONS(11726), 1,
      anon_sym_class,
    ACTIONS(11728), 1,
      sym_let_operator,
    STATE(121), 1,
      aux_sym__structure_repeat1,
    STATE(8859), 1,
      sym_directive,
    STATE(9543), 1,
      sym_attribute,
    STATE(9587), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13462), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13459), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [491949] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11558), 1,
      sym_pow_operator,
    ACTIONS(11560), 1,
      sym_mult_operator,
    ACTIONS(11562), 1,
      sym_concat_operator,
    ACTIONS(11564), 1,
      sym_rel_operator,
    ACTIONS(11566), 1,
      sym_and_operator,
    ACTIONS(11568), 1,
      sym_or_operator,
    ACTIONS(11570), 1,
      anon_sym_COMMA,
    ACTIONS(11572), 1,
      sym_assign_operator,
    ACTIONS(11837), 1,
      anon_sym_SEMI,
    STATE(2495), 1,
      sym_add_operator,
    STATE(9544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10200), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10198), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [492021] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2055), 1,
      sym_add_operator,
    STATE(9545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [492071] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      sym_pow_operator,
    ACTIONS(11734), 1,
      sym_mult_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [492125] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11708), 1,
      sym_pow_operator,
    ACTIONS(11710), 1,
      sym_mult_operator,
    ACTIONS(11762), 1,
      anon_sym_COMMA,
    ACTIONS(11766), 1,
      sym_concat_operator,
    ACTIONS(11768), 1,
      sym_rel_operator,
    ACTIONS(11770), 1,
      sym_and_operator,
    ACTIONS(11772), 1,
      sym_or_operator,
    ACTIONS(11774), 1,
      sym_assign_operator,
    STATE(2113), 1,
      sym_add_operator,
    STATE(9547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11477), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11475), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [492195] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11730), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11732), 1,
      sym_pow_operator,
    ACTIONS(11734), 1,
      sym_mult_operator,
    ACTIONS(11760), 1,
      sym_concat_operator,
    ACTIONS(11827), 1,
      sym_rel_operator,
    ACTIONS(11829), 1,
      sym_and_operator,
    ACTIONS(11831), 1,
      sym_or_operator,
    ACTIONS(11833), 1,
      anon_sym_COMMA,
    ACTIONS(11835), 1,
      sym_assign_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11471), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11469), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [492265] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      anon_sym_PIPE,
    STATE(9549), 1,
      sym_attribute,
    STATE(9585), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [492317] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      anon_sym_PIPE,
    STATE(9538), 1,
      aux_sym__match_cases_repeat1,
    STATE(9550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [492369] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(679), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(741), 1,
      aux_sym_directive_token1,
    ACTIONS(1009), 1,
      anon_sym_end,
    ACTIONS(11712), 1,
      anon_sym_let,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11716), 1,
      anon_sym_type,
    ACTIONS(11718), 1,
      anon_sym_exception,
    ACTIONS(11720), 1,
      anon_sym_module,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(11724), 1,
      anon_sym_include,
    ACTIONS(11726), 1,
      anon_sym_class,
    ACTIONS(11728), 1,
      sym_let_operator,
    STATE(116), 1,
      aux_sym__structure_repeat1,
    STATE(8859), 1,
      sym_directive,
    STATE(9543), 1,
      aux_sym__structure_repeat2,
    STATE(9551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13462), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13459), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [492453] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11750), 1,
      sym_pow_operator,
    ACTIONS(11752), 1,
      sym_mult_operator,
    ACTIONS(11839), 1,
      anon_sym_COMMA,
    ACTIONS(11841), 1,
      anon_sym_SEMI,
    ACTIONS(11843), 1,
      sym_concat_operator,
    ACTIONS(11845), 1,
      sym_rel_operator,
    ACTIONS(11847), 1,
      sym_and_operator,
    ACTIONS(11849), 1,
      sym_or_operator,
    ACTIONS(11851), 1,
      sym_assign_operator,
    STATE(2055), 1,
      sym_add_operator,
    STATE(9552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10200), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10198), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [492525] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11708), 1,
      sym_pow_operator,
    ACTIONS(11710), 1,
      sym_mult_operator,
    ACTIONS(11766), 1,
      sym_concat_operator,
    ACTIONS(11768), 1,
      sym_rel_operator,
    ACTIONS(11770), 1,
      sym_and_operator,
    ACTIONS(11772), 1,
      sym_or_operator,
    STATE(2113), 1,
      sym_add_operator,
    STATE(9553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11441), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11439), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [492591] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(1009), 1,
      anon_sym_RBRACK,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(11724), 1,
      anon_sym_include,
    ACTIONS(11738), 1,
      anon_sym_type,
    ACTIONS(11740), 1,
      anon_sym_exception,
    ACTIONS(11742), 1,
      anon_sym_module,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_class,
    ACTIONS(11758), 1,
      sym_let_operator,
    STATE(115), 1,
      aux_sym__structure_repeat1,
    STATE(8835), 1,
      sym_directive,
    STATE(9554), 1,
      sym_attribute,
    STATE(9558), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13462), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13459), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [492675] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      anon_sym_PIPE,
    STATE(9549), 1,
      aux_sym__match_cases_repeat1,
    STATE(9555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [492727] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(11859), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11861), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9556), 1,
      sym_attribute,
    STATE(10131), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11855), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11853), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [492785] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(9557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9054), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [492835] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(1015), 1,
      anon_sym_RBRACK,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(11724), 1,
      anon_sym_include,
    ACTIONS(11738), 1,
      anon_sym_type,
    ACTIONS(11740), 1,
      anon_sym_exception,
    ACTIONS(11742), 1,
      anon_sym_module,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_class,
    ACTIONS(11758), 1,
      sym_let_operator,
    STATE(117), 1,
      aux_sym__structure_repeat1,
    STATE(8835), 1,
      sym_directive,
    STATE(9558), 1,
      sym_attribute,
    STATE(9568), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13462), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13459), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [492919] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11708), 1,
      sym_pow_operator,
    STATE(2113), 1,
      sym_add_operator,
    STATE(9559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [492971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10672), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10674), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [493019] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11708), 1,
      sym_pow_operator,
    STATE(2113), 1,
      sym_add_operator,
    STATE(9561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [493071] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11730), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11732), 1,
      sym_pow_operator,
    ACTIONS(11734), 1,
      sym_mult_operator,
    ACTIONS(11760), 1,
      sym_concat_operator,
    ACTIONS(11827), 1,
      sym_rel_operator,
    ACTIONS(11829), 1,
      sym_and_operator,
    ACTIONS(11831), 1,
      sym_or_operator,
    ACTIONS(11833), 1,
      anon_sym_COMMA,
    ACTIONS(11835), 1,
      sym_assign_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11477), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11475), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [493141] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11750), 1,
      sym_pow_operator,
    ACTIONS(11752), 1,
      sym_mult_operator,
    ACTIONS(11843), 1,
      sym_concat_operator,
    ACTIONS(11845), 1,
      sym_rel_operator,
    ACTIONS(11847), 1,
      sym_and_operator,
    ACTIONS(11849), 1,
      sym_or_operator,
    STATE(2055), 1,
      sym_add_operator,
    STATE(9563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11441), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11439), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [493207] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11708), 1,
      sym_pow_operator,
    ACTIONS(11710), 1,
      sym_mult_operator,
    ACTIONS(11766), 1,
      sym_concat_operator,
    STATE(2113), 1,
      sym_add_operator,
    STATE(9564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [493267] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11708), 1,
      sym_pow_operator,
    ACTIONS(11710), 1,
      sym_mult_operator,
    ACTIONS(11766), 1,
      sym_concat_operator,
    STATE(2113), 1,
      sym_add_operator,
    STATE(9565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [493327] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11548), 1,
      sym_pow_operator,
    ACTIONS(11550), 1,
      sym_mult_operator,
    ACTIONS(11667), 1,
      anon_sym_COMMA,
    ACTIONS(11669), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11671), 1,
      sym_concat_operator,
    ACTIONS(11673), 1,
      sym_rel_operator,
    ACTIONS(11675), 1,
      sym_and_operator,
    ACTIONS(11677), 1,
      sym_or_operator,
    ACTIONS(11679), 1,
      sym_assign_operator,
    ACTIONS(11863), 1,
      anon_sym_SEMI,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10200), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10198), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [493399] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11708), 1,
      sym_pow_operator,
    ACTIONS(11710), 1,
      sym_mult_operator,
    ACTIONS(11766), 1,
      sym_concat_operator,
    ACTIONS(11768), 1,
      sym_rel_operator,
    ACTIONS(11770), 1,
      sym_and_operator,
    STATE(2113), 1,
      sym_add_operator,
    STATE(9567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11461), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [493463] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11776), 1,
      anon_sym_RBRACK,
    ACTIONS(11778), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11784), 1,
      anon_sym_external,
    ACTIONS(11787), 1,
      anon_sym_type,
    ACTIONS(11790), 1,
      anon_sym_exception,
    ACTIONS(11793), 1,
      anon_sym_module,
    ACTIONS(11796), 1,
      anon_sym_open,
    ACTIONS(11799), 1,
      anon_sym_include,
    ACTIONS(11805), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(11808), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(11811), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11817), 1,
      aux_sym_directive_token1,
    ACTIONS(11865), 1,
      anon_sym_let,
    ACTIONS(11868), 1,
      anon_sym_class,
    ACTIONS(11871), 1,
      sym_let_operator,
    STATE(127), 1,
      aux_sym__structure_repeat1,
    STATE(8835), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9568), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(13462), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13459), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [493545] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11750), 1,
      sym_pow_operator,
    STATE(2055), 1,
      sym_add_operator,
    STATE(9569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [493597] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11750), 1,
      sym_pow_operator,
    ACTIONS(11752), 1,
      sym_mult_operator,
    ACTIONS(11843), 1,
      sym_concat_operator,
    STATE(2055), 1,
      sym_add_operator,
    STATE(9570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [493657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9364), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [493705] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11750), 1,
      sym_pow_operator,
    ACTIONS(11752), 1,
      sym_mult_operator,
    ACTIONS(11843), 1,
      sym_concat_operator,
    STATE(2055), 1,
      sym_add_operator,
    STATE(9572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [493765] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11750), 1,
      sym_pow_operator,
    ACTIONS(11752), 1,
      sym_mult_operator,
    ACTIONS(11843), 1,
      sym_concat_operator,
    ACTIONS(11845), 1,
      sym_rel_operator,
    ACTIONS(11847), 1,
      sym_and_operator,
    STATE(2055), 1,
      sym_add_operator,
    STATE(9573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11461), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [493829] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11750), 1,
      sym_pow_operator,
    ACTIONS(11752), 1,
      sym_mult_operator,
    ACTIONS(11843), 1,
      sym_concat_operator,
    ACTIONS(11845), 1,
      sym_rel_operator,
    ACTIONS(11847), 1,
      sym_and_operator,
    ACTIONS(11849), 1,
      sym_or_operator,
    STATE(2055), 1,
      sym_add_operator,
    STATE(9574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [493895] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11750), 1,
      sym_pow_operator,
    ACTIONS(11752), 1,
      sym_mult_operator,
    ACTIONS(11839), 1,
      anon_sym_COMMA,
    ACTIONS(11843), 1,
      sym_concat_operator,
    ACTIONS(11845), 1,
      sym_rel_operator,
    ACTIONS(11847), 1,
      sym_and_operator,
    ACTIONS(11849), 1,
      sym_or_operator,
    ACTIONS(11851), 1,
      sym_assign_operator,
    STATE(2055), 1,
      sym_add_operator,
    STATE(9575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [493965] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11874), 1,
      anon_sym_PIPE,
    STATE(9576), 1,
      sym_attribute,
    STATE(9586), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [494017] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11750), 1,
      sym_pow_operator,
    ACTIONS(11752), 1,
      sym_mult_operator,
    STATE(2055), 1,
      sym_add_operator,
    STATE(9577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [494071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10628), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10630), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [494119] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11750), 1,
      sym_pow_operator,
    ACTIONS(11752), 1,
      sym_mult_operator,
    ACTIONS(11839), 1,
      anon_sym_COMMA,
    ACTIONS(11843), 1,
      sym_concat_operator,
    ACTIONS(11845), 1,
      sym_rel_operator,
    ACTIONS(11847), 1,
      sym_and_operator,
    ACTIONS(11849), 1,
      sym_or_operator,
    ACTIONS(11851), 1,
      sym_assign_operator,
    STATE(2055), 1,
      sym_add_operator,
    STATE(9579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11471), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11469), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [494189] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11730), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11732), 1,
      sym_pow_operator,
    ACTIONS(11734), 1,
      sym_mult_operator,
    ACTIONS(11760), 1,
      sym_concat_operator,
    ACTIONS(11827), 1,
      sym_rel_operator,
    ACTIONS(11829), 1,
      sym_and_operator,
    ACTIONS(11831), 1,
      sym_or_operator,
    ACTIONS(11833), 1,
      anon_sym_COMMA,
    ACTIONS(11835), 1,
      sym_assign_operator,
    ACTIONS(11876), 1,
      anon_sym_SEMI,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10200), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10198), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [494261] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11640), 1,
      anon_sym_COMMA,
    ACTIONS(11644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11646), 1,
      sym_pow_operator,
    ACTIONS(11648), 1,
      sym_mult_operator,
    ACTIONS(11650), 1,
      sym_concat_operator,
    ACTIONS(11652), 1,
      sym_rel_operator,
    ACTIONS(11654), 1,
      sym_and_operator,
    ACTIONS(11656), 1,
      sym_or_operator,
    ACTIONS(11658), 1,
      sym_assign_operator,
    ACTIONS(11878), 1,
      anon_sym_SEMI,
    STATE(2437), 1,
      sym_add_operator,
    STATE(9581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10200), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10198), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [494333] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11874), 1,
      anon_sym_PIPE,
    STATE(9582), 1,
      sym_attribute,
    STATE(9586), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [494385] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(9583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9054), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [494435] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11708), 1,
      sym_pow_operator,
    ACTIONS(11710), 1,
      sym_mult_operator,
    ACTIONS(11766), 1,
      sym_concat_operator,
    ACTIONS(11768), 1,
      sym_rel_operator,
    ACTIONS(11770), 1,
      sym_and_operator,
    ACTIONS(11772), 1,
      sym_or_operator,
    STATE(2113), 1,
      sym_add_operator,
    STATE(9584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [494501] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11880), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9585), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [494551] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11883), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9586), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [494601] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11776), 1,
      anon_sym_end,
    ACTIONS(11778), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11784), 1,
      anon_sym_external,
    ACTIONS(11796), 1,
      anon_sym_open,
    ACTIONS(11799), 1,
      anon_sym_include,
    ACTIONS(11805), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(11808), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(11811), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11886), 1,
      anon_sym_let,
    ACTIONS(11889), 1,
      anon_sym_type,
    ACTIONS(11892), 1,
      anon_sym_exception,
    ACTIONS(11895), 1,
      anon_sym_module,
    ACTIONS(11898), 1,
      anon_sym_class,
    ACTIONS(11901), 1,
      sym_let_operator,
    ACTIONS(11904), 1,
      aux_sym_directive_token1,
    STATE(126), 1,
      aux_sym__structure_repeat1,
    STATE(8859), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9587), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(13462), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13459), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [494683] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [494733] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(679), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(741), 1,
      aux_sym_directive_token1,
    ACTIONS(1013), 1,
      anon_sym_end,
    ACTIONS(11712), 1,
      anon_sym_let,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11716), 1,
      anon_sym_type,
    ACTIONS(11718), 1,
      anon_sym_exception,
    ACTIONS(11720), 1,
      anon_sym_module,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(11724), 1,
      anon_sym_include,
    ACTIONS(11726), 1,
      anon_sym_class,
    ACTIONS(11728), 1,
      sym_let_operator,
    STATE(118), 1,
      aux_sym__structure_repeat1,
    STATE(8859), 1,
      sym_directive,
    STATE(9515), 1,
      aux_sym__structure_repeat2,
    STATE(9589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13462), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13459), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [494817] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(1013), 1,
      anon_sym_RBRACK,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(11724), 1,
      anon_sym_include,
    ACTIONS(11738), 1,
      anon_sym_type,
    ACTIONS(11740), 1,
      anon_sym_exception,
    ACTIONS(11742), 1,
      anon_sym_module,
    ACTIONS(11754), 1,
      anon_sym_let,
    ACTIONS(11756), 1,
      anon_sym_class,
    ACTIONS(11758), 1,
      sym_let_operator,
    STATE(114), 1,
      aux_sym__structure_repeat1,
    STATE(8835), 1,
      sym_directive,
    STATE(9521), 1,
      aux_sym__structure_repeat2,
    STATE(9590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13462), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13459), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [494901] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11750), 1,
      sym_pow_operator,
    ACTIONS(11752), 1,
      sym_mult_operator,
    ACTIONS(11839), 1,
      anon_sym_COMMA,
    ACTIONS(11843), 1,
      sym_concat_operator,
    ACTIONS(11845), 1,
      sym_rel_operator,
    ACTIONS(11847), 1,
      sym_and_operator,
    ACTIONS(11849), 1,
      sym_or_operator,
    ACTIONS(11851), 1,
      sym_assign_operator,
    STATE(2055), 1,
      sym_add_operator,
    STATE(9591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11477), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11475), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [494971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [495019] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11730), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11732), 1,
      sym_pow_operator,
    ACTIONS(11734), 1,
      sym_mult_operator,
    ACTIONS(11760), 1,
      sym_concat_operator,
    ACTIONS(11827), 1,
      sym_rel_operator,
    ACTIONS(11829), 1,
      sym_and_operator,
    ACTIONS(11831), 1,
      sym_or_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11441), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11439), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [495085] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(11859), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11861), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9594), 1,
      sym_attribute,
    STATE(10131), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11909), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11907), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [495143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10642), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10644), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [495191] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2113), 1,
      sym_add_operator,
    STATE(9596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [495241] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(1009), 1,
      ts_builtin_sym_end,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(11724), 1,
      anon_sym_include,
    ACTIONS(11736), 1,
      anon_sym_let,
    ACTIONS(11738), 1,
      anon_sym_type,
    ACTIONS(11740), 1,
      anon_sym_exception,
    ACTIONS(11742), 1,
      anon_sym_module,
    ACTIONS(11744), 1,
      anon_sym_class,
    ACTIONS(11746), 1,
      sym_let_operator,
    STATE(123), 1,
      aux_sym__structure_repeat1,
    STATE(8835), 1,
      sym_directive,
    STATE(9525), 1,
      aux_sym__structure_repeat2,
    STATE(9597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13462), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13459), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [495325] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11874), 1,
      anon_sym_PIPE,
    STATE(9576), 1,
      aux_sym__match_cases_repeat1,
    STATE(9598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [495377] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11874), 1,
      anon_sym_PIPE,
    STATE(9582), 1,
      aux_sym__match_cases_repeat1,
    STATE(9599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [495429] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11913), 1,
      sym_pow_operator,
    ACTIONS(11915), 1,
      sym_mult_operator,
    ACTIONS(11917), 1,
      sym_concat_operator,
    ACTIONS(11919), 1,
      sym_rel_operator,
    ACTIONS(11921), 1,
      sym_and_operator,
    ACTIONS(11923), 1,
      sym_or_operator,
    STATE(2471), 1,
      sym_add_operator,
    STATE(9600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [495494] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11925), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9601), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15593), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495579] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11927), 1,
      anon_sym_PIPE,
    STATE(9602), 1,
      sym_attribute,
    STATE(9717), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [495630] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11925), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9603), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17297), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495715] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9042), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [495762] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11931), 1,
      sym_pow_operator,
    ACTIONS(11933), 1,
      sym_mult_operator,
    ACTIONS(11935), 1,
      sym_concat_operator,
    ACTIONS(11937), 1,
      sym_rel_operator,
    ACTIONS(11939), 1,
      sym_and_operator,
    ACTIONS(11941), 1,
      sym_or_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(9605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11441), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11439), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [495827] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11943), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9606), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15716), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495912] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11931), 1,
      sym_pow_operator,
    ACTIONS(11933), 1,
      sym_mult_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(9607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [495969] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11695), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9608), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15791), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496054] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10566), 1,
      sym__identifier,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      anon_sym_LPAREN,
    ACTIONS(11947), 1,
      anon_sym_private,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9609), 1,
      sym_attribute,
    STATE(10889), 1,
      sym__simple_type,
    STATE(12243), 1,
      sym__tuple_type,
    STATE(12671), 1,
      sym__type,
    STATE(18475), 1,
      sym_extended_module_path,
    STATE(20753), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496139] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11931), 1,
      sym_pow_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(9610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [496190] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11943), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9611), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17663), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496275] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11951), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9612), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17889), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496360] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11931), 1,
      sym_pow_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(9613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [496411] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11931), 1,
      sym_pow_operator,
    ACTIONS(11933), 1,
      sym_mult_operator,
    ACTIONS(11935), 1,
      sym_concat_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(9614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [496470] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11695), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9615), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16862), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496555] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11931), 1,
      sym_pow_operator,
    ACTIONS(11933), 1,
      sym_mult_operator,
    ACTIONS(11935), 1,
      sym_concat_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(9616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [496614] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11931), 1,
      sym_pow_operator,
    ACTIONS(11933), 1,
      sym_mult_operator,
    ACTIONS(11935), 1,
      sym_concat_operator,
    ACTIONS(11937), 1,
      sym_rel_operator,
    ACTIONS(11939), 1,
      sym_and_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(9617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11461), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [496677] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11931), 1,
      sym_pow_operator,
    ACTIONS(11933), 1,
      sym_mult_operator,
    ACTIONS(11935), 1,
      sym_concat_operator,
    ACTIONS(11937), 1,
      sym_rel_operator,
    ACTIONS(11939), 1,
      sym_and_operator,
    ACTIONS(11941), 1,
      sym_or_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(9618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [496742] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11931), 1,
      sym_pow_operator,
    ACTIONS(11933), 1,
      sym_mult_operator,
    ACTIONS(11935), 1,
      sym_concat_operator,
    ACTIONS(11937), 1,
      sym_rel_operator,
    ACTIONS(11939), 1,
      sym_and_operator,
    ACTIONS(11941), 1,
      sym_or_operator,
    ACTIONS(11953), 1,
      anon_sym_COMMA,
    ACTIONS(11955), 1,
      sym_assign_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(9619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496811] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11931), 1,
      sym_pow_operator,
    ACTIONS(11933), 1,
      sym_mult_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(9620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [496864] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11931), 1,
      sym_pow_operator,
    ACTIONS(11933), 1,
      sym_mult_operator,
    ACTIONS(11935), 1,
      sym_concat_operator,
    ACTIONS(11937), 1,
      sym_rel_operator,
    ACTIONS(11939), 1,
      sym_and_operator,
    ACTIONS(11941), 1,
      sym_or_operator,
    ACTIONS(11953), 1,
      anon_sym_COMMA,
    ACTIONS(11955), 1,
      sym_assign_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(9621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11471), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11469), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496933] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11957), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9622), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15595), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [497018] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11959), 1,
      anon_sym_else,
    STATE(9166), 1,
      sym_else_clause,
    STATE(9623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [497069] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11931), 1,
      sym_pow_operator,
    ACTIONS(11933), 1,
      sym_mult_operator,
    ACTIONS(11935), 1,
      sym_concat_operator,
    ACTIONS(11937), 1,
      sym_rel_operator,
    ACTIONS(11939), 1,
      sym_and_operator,
    ACTIONS(11941), 1,
      sym_or_operator,
    ACTIONS(11953), 1,
      anon_sym_COMMA,
    ACTIONS(11955), 1,
      sym_assign_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(9624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11477), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11475), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497138] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11961), 1,
      anon_sym_PIPE,
    STATE(9625), 1,
      sym_attribute,
    STATE(9626), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [497189] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11963), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9626), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [497238] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11957), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9627), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17165), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [497323] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11966), 1,
      anon_sym_else,
    STATE(9023), 1,
      sym_else_clause,
    STATE(9628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [497374] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11968), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9629), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15584), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [497459] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11685), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9630), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15650), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [497544] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11931), 1,
      sym_pow_operator,
    ACTIONS(11933), 1,
      sym_mult_operator,
    ACTIONS(11935), 1,
      sym_concat_operator,
    ACTIONS(11937), 1,
      sym_rel_operator,
    ACTIONS(11939), 1,
      sym_and_operator,
    ACTIONS(11941), 1,
      sym_or_operator,
    ACTIONS(11953), 1,
      anon_sym_COMMA,
    ACTIONS(11955), 1,
      sym_assign_operator,
    ACTIONS(11970), 1,
      anon_sym_SEMI,
    STATE(2519), 1,
      sym_add_operator,
    STATE(9631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497615] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11968), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9632), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16684), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [497700] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11972), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9633), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15702), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [497785] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      anon_sym_else,
    STATE(9023), 1,
      sym_else_clause,
    STATE(9634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [497836] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9126), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [497883] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11976), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9636), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16979), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [497968] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11972), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9637), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17184), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498053] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11978), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9638), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15585), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498138] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11980), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9639), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15669), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498223] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2397), 1,
      sym_add_operator,
    STATE(9640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [498272] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11978), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9641), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17787), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498357] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11982), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9642), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15800), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498442] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11982), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9643), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16592), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498527] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10466), 1,
      sym__identifier,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11984), 1,
      anon_sym_LPAREN,
    ACTIONS(11986), 1,
      anon_sym_private,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9644), 1,
      sym_attribute,
    STATE(10939), 1,
      sym__simple_type,
    STATE(12231), 1,
      sym__tuple_type,
    STATE(12566), 1,
      sym__type,
    STATE(19188), 1,
      sym_extended_module_path,
    STATE(22396), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498612] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11980), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9645), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(18006), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498697] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11990), 1,
      anon_sym_else,
    STATE(9023), 1,
      sym_else_clause,
    STATE(9646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [498748] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9060), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [498795] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11701), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9648), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15607), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498880] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11992), 1,
      sym__identifier,
    ACTIONS(11994), 1,
      anon_sym_LPAREN,
    ACTIONS(11996), 1,
      anon_sym_private,
    ACTIONS(11998), 1,
      anon_sym_LBRACK,
    ACTIONS(12000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12004), 1,
      anon_sym_LT,
    ACTIONS(12006), 1,
      anon_sym_POUND,
    ACTIONS(12008), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12010), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12012), 1,
      aux_sym_type_variable_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9649), 1,
      sym_attribute,
    STATE(10486), 1,
      sym__simple_type,
    STATE(11839), 1,
      sym__tuple_type,
    STATE(12057), 1,
      sym__type,
    STATE(18344), 1,
      sym_extended_module_path,
    STATE(22163), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10801), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498965] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(9650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9054), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [499014] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12014), 1,
      sym__identifier,
    ACTIONS(12016), 1,
      anon_sym_LPAREN,
    ACTIONS(12018), 1,
      anon_sym_private,
    ACTIONS(12020), 1,
      anon_sym_LBRACK,
    ACTIONS(12022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12026), 1,
      anon_sym_LT,
    ACTIONS(12028), 1,
      anon_sym_POUND,
    ACTIONS(12030), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12032), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12034), 1,
      aux_sym_type_variable_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9651), 1,
      sym_attribute,
    STATE(10459), 1,
      sym__simple_type,
    STATE(11832), 1,
      sym__tuple_type,
    STATE(11962), 1,
      sym__type,
    STATE(18312), 1,
      sym_extended_module_path,
    STATE(22452), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11015), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [499099] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12036), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9652), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15598), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [499184] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
    ACTIONS(12040), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12042), 1,
      sym_pow_operator,
    ACTIONS(12044), 1,
      sym_mult_operator,
    ACTIONS(12046), 1,
      sym_concat_operator,
    ACTIONS(12048), 1,
      sym_rel_operator,
    ACTIONS(12050), 1,
      sym_and_operator,
    ACTIONS(12052), 1,
      sym_or_operator,
    ACTIONS(12054), 1,
      sym_assign_operator,
    STATE(2397), 1,
      sym_add_operator,
    STATE(9653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11411), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11409), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499253] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12056), 1,
      anon_sym_else,
    STATE(9023), 1,
      sym_else_clause,
    STATE(9654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [499304] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11701), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9655), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17210), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [499389] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11974), 1,
      anon_sym_else,
    STATE(9166), 1,
      sym_else_clause,
    STATE(9656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [499440] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12058), 1,
      anon_sym_AMP,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9657), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(14888), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [499525] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12060), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9658), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15658), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [499610] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12062), 1,
      sym__identifier,
    ACTIONS(12064), 1,
      anon_sym_LPAREN,
    ACTIONS(12066), 1,
      anon_sym_private,
    ACTIONS(12068), 1,
      anon_sym_LBRACK,
    ACTIONS(12070), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12072), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12074), 1,
      anon_sym_LT,
    ACTIONS(12076), 1,
      anon_sym_POUND,
    ACTIONS(12078), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12080), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12082), 1,
      aux_sym_type_variable_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9659), 1,
      sym_attribute,
    STATE(10146), 1,
      sym__simple_type,
    STATE(10783), 1,
      sym__tuple_type,
    STATE(11329), 1,
      sym__type,
    STATE(18541), 1,
      sym_extended_module_path,
    STATE(21405), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10206), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [499695] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11685), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9660), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17703), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [499780] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11730), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11732), 1,
      sym_pow_operator,
    ACTIONS(11734), 1,
      sym_mult_operator,
    ACTIONS(11760), 1,
      sym_concat_operator,
    ACTIONS(11827), 1,
      sym_rel_operator,
    ACTIONS(11829), 1,
      sym_and_operator,
    ACTIONS(11831), 1,
      sym_or_operator,
    ACTIONS(11833), 1,
      anon_sym_COMMA,
    ACTIONS(11835), 1,
      sym_assign_operator,
    ACTIONS(12084), 1,
      anon_sym_SEMI,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [499851] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11961), 1,
      anon_sym_PIPE,
    STATE(9662), 1,
      sym_attribute,
    STATE(9721), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [499902] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10498), 1,
      sym__identifier,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12086), 1,
      anon_sym_LPAREN,
    ACTIONS(12088), 1,
      anon_sym_private,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9663), 1,
      sym_attribute,
    STATE(10577), 1,
      sym__simple_type,
    STATE(11818), 1,
      sym__tuple_type,
    STATE(11907), 1,
      sym__type,
    STATE(18307), 1,
      sym_extended_module_path,
    STATE(20954), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [499987] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11697), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9664), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15713), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [500072] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12092), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9665), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15582), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [500157] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12060), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9666), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17335), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [500242] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12094), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9667), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15611), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [500327] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2519), 1,
      sym_add_operator,
    STATE(9668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [500376] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12096), 1,
      sym__identifier,
    ACTIONS(12098), 1,
      anon_sym_LPAREN,
    ACTIONS(12100), 1,
      anon_sym_private,
    ACTIONS(12102), 1,
      anon_sym_LBRACK,
    ACTIONS(12104), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12106), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12108), 1,
      anon_sym_LT,
    ACTIONS(12110), 1,
      anon_sym_POUND,
    ACTIONS(12112), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12114), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12116), 1,
      aux_sym_type_variable_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9669), 1,
      sym_attribute,
    STATE(10173), 1,
      sym__simple_type,
    STATE(11071), 1,
      sym__tuple_type,
    STATE(11467), 1,
      sym__type,
    STATE(18171), 1,
      sym_extended_module_path,
    STATE(20412), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10502), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [500461] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11697), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9670), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17643), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [500546] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11959), 1,
      anon_sym_else,
    STATE(9023), 1,
      sym_else_clause,
    STATE(9671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [500597] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(9672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9054), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [500646] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12040), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12042), 1,
      sym_pow_operator,
    ACTIONS(12044), 1,
      sym_mult_operator,
    ACTIONS(12046), 1,
      sym_concat_operator,
    ACTIONS(12048), 1,
      sym_rel_operator,
    ACTIONS(12050), 1,
      sym_and_operator,
    ACTIONS(12052), 1,
      sym_or_operator,
    STATE(2397), 1,
      sym_add_operator,
    STATE(9673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11441), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11439), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [500711] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12036), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9674), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(18063), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [500796] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11961), 1,
      anon_sym_PIPE,
    STATE(9625), 1,
      aux_sym__match_cases_repeat1,
    STATE(9675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [500847] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11951), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9676), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15625), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [500932] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12042), 1,
      sym_pow_operator,
    STATE(2397), 1,
      sym_add_operator,
    STATE(9677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [500983] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12042), 1,
      sym_pow_operator,
    STATE(2397), 1,
      sym_add_operator,
    STATE(9678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [501034] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12040), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12042), 1,
      sym_pow_operator,
    ACTIONS(12044), 1,
      sym_mult_operator,
    ACTIONS(12046), 1,
      sym_concat_operator,
    STATE(2397), 1,
      sym_add_operator,
    STATE(9679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [501093] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12040), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12042), 1,
      sym_pow_operator,
    ACTIONS(12044), 1,
      sym_mult_operator,
    ACTIONS(12046), 1,
      sym_concat_operator,
    STATE(2397), 1,
      sym_add_operator,
    STATE(9680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [501152] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12040), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12042), 1,
      sym_pow_operator,
    ACTIONS(12044), 1,
      sym_mult_operator,
    ACTIONS(12046), 1,
      sym_concat_operator,
    ACTIONS(12048), 1,
      sym_rel_operator,
    ACTIONS(12050), 1,
      sym_and_operator,
    STATE(2397), 1,
      sym_add_operator,
    STATE(9681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11461), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [501215] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12040), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12042), 1,
      sym_pow_operator,
    ACTIONS(12044), 1,
      sym_mult_operator,
    ACTIONS(12046), 1,
      sym_concat_operator,
    ACTIONS(12048), 1,
      sym_rel_operator,
    ACTIONS(12050), 1,
      sym_and_operator,
    ACTIONS(12052), 1,
      sym_or_operator,
    STATE(2397), 1,
      sym_add_operator,
    STATE(9682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [501280] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
    ACTIONS(12040), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12042), 1,
      sym_pow_operator,
    ACTIONS(12044), 1,
      sym_mult_operator,
    ACTIONS(12046), 1,
      sym_concat_operator,
    ACTIONS(12048), 1,
      sym_rel_operator,
    ACTIONS(12050), 1,
      sym_and_operator,
    ACTIONS(12052), 1,
      sym_or_operator,
    ACTIONS(12054), 1,
      sym_assign_operator,
    STATE(2397), 1,
      sym_add_operator,
    STATE(9683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501349] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12042), 1,
      sym_pow_operator,
    ACTIONS(12044), 1,
      sym_mult_operator,
    STATE(2397), 1,
      sym_add_operator,
    STATE(9684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [501402] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12056), 1,
      anon_sym_else,
    STATE(9166), 1,
      sym_else_clause,
    STATE(9685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [501453] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12118), 1,
      anon_sym_PIPE,
    STATE(9686), 1,
      sym_attribute,
    STATE(9692), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [501504] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12118), 1,
      anon_sym_PIPE,
    STATE(9687), 1,
      sym_attribute,
    STATE(9692), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [501555] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
    ACTIONS(12040), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12042), 1,
      sym_pow_operator,
    ACTIONS(12044), 1,
      sym_mult_operator,
    ACTIONS(12046), 1,
      sym_concat_operator,
    ACTIONS(12048), 1,
      sym_rel_operator,
    ACTIONS(12050), 1,
      sym_and_operator,
    ACTIONS(12052), 1,
      sym_or_operator,
    ACTIONS(12054), 1,
      sym_assign_operator,
    STATE(2397), 1,
      sym_add_operator,
    STATE(9688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11471), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11469), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501624] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9046), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [501671] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11706), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11708), 1,
      sym_pow_operator,
    ACTIONS(11710), 1,
      sym_mult_operator,
    ACTIONS(11762), 1,
      anon_sym_COMMA,
    ACTIONS(11766), 1,
      sym_concat_operator,
    ACTIONS(11768), 1,
      sym_rel_operator,
    ACTIONS(11770), 1,
      sym_and_operator,
    ACTIONS(11772), 1,
      sym_or_operator,
    ACTIONS(11774), 1,
      sym_assign_operator,
    ACTIONS(12120), 1,
      anon_sym_SEMI,
    STATE(2113), 1,
      sym_add_operator,
    STATE(9690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [501742] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11990), 1,
      anon_sym_else,
    STATE(9166), 1,
      sym_else_clause,
    STATE(9691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [501793] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12122), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9692), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [501842] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11913), 1,
      sym_pow_operator,
    ACTIONS(11915), 1,
      sym_mult_operator,
    ACTIONS(11917), 1,
      sym_concat_operator,
    ACTIONS(11919), 1,
      sym_rel_operator,
    ACTIONS(11921), 1,
      sym_and_operator,
    ACTIONS(11923), 1,
      sym_or_operator,
    ACTIONS(12125), 1,
      anon_sym_COMMA,
    ACTIONS(12127), 1,
      anon_sym_SEMI,
    ACTIONS(12129), 1,
      sym_assign_operator,
    STATE(2471), 1,
      sym_add_operator,
    STATE(9693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501913] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12118), 1,
      anon_sym_PIPE,
    STATE(9686), 1,
      aux_sym__match_cases_repeat1,
    STATE(9694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [501964] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(9695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9054), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [502013] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(9696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 12,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9054), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [502062] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10532), 1,
      sym__identifier,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      anon_sym_LPAREN,
    ACTIONS(12133), 1,
      anon_sym_private,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9697), 1,
      sym_attribute,
    STATE(10210), 1,
      sym__simple_type,
    STATE(11492), 1,
      sym__tuple_type,
    STATE(11731), 1,
      sym__type,
    STATE(19026), 1,
      sym_extended_module_path,
    STATE(21423), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502147] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12137), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9698), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15705), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502232] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12139), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9699), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15782), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502317] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12118), 1,
      anon_sym_PIPE,
    STATE(9687), 1,
      aux_sym__match_cases_repeat1,
    STATE(9700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [502368] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12092), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9701), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17402), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502453] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2471), 1,
      sym_add_operator,
    STATE(9702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [502502] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12141), 1,
      sym__identifier,
    ACTIONS(12143), 1,
      anon_sym_LPAREN,
    ACTIONS(12145), 1,
      anon_sym_private,
    ACTIONS(12147), 1,
      anon_sym_LBRACK,
    ACTIONS(12149), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12151), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12153), 1,
      anon_sym_LT,
    ACTIONS(12155), 1,
      anon_sym_POUND,
    ACTIONS(12157), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12159), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12161), 1,
      aux_sym_type_variable_token1,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9703), 1,
      sym_attribute,
    STATE(14216), 1,
      sym__simple_type,
    STATE(14856), 1,
      sym__tuple_type,
    STATE(15053), 1,
      sym__type,
    STATE(18610), 1,
      sym_extended_module_path,
    STATE(19498), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14546), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502587] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
    ACTIONS(12040), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12042), 1,
      sym_pow_operator,
    ACTIONS(12044), 1,
      sym_mult_operator,
    ACTIONS(12046), 1,
      sym_concat_operator,
    ACTIONS(12048), 1,
      sym_rel_operator,
    ACTIONS(12050), 1,
      sym_and_operator,
    ACTIONS(12052), 1,
      sym_or_operator,
    ACTIONS(12054), 1,
      sym_assign_operator,
    ACTIONS(12163), 1,
      anon_sym_SEMI,
    STATE(2397), 1,
      sym_add_operator,
    STATE(9704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502658] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12165), 1,
      anon_sym_COLON,
    STATE(9705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10654), 15,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10656), 16,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [502707] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12139), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9706), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16703), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502792] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(9707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9054), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [502841] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11913), 1,
      sym_pow_operator,
    ACTIONS(11915), 1,
      sym_mult_operator,
    ACTIONS(11917), 1,
      sym_concat_operator,
    ACTIONS(11919), 1,
      sym_rel_operator,
    ACTIONS(11921), 1,
      sym_and_operator,
    ACTIONS(11923), 1,
      sym_or_operator,
    ACTIONS(12125), 1,
      anon_sym_COMMA,
    ACTIONS(12129), 1,
      sym_assign_operator,
    STATE(2471), 1,
      sym_add_operator,
    STATE(9708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11411), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11409), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502910] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11931), 1,
      sym_pow_operator,
    ACTIONS(11933), 1,
      sym_mult_operator,
    ACTIONS(11935), 1,
      sym_concat_operator,
    ACTIONS(11937), 1,
      sym_rel_operator,
    ACTIONS(11939), 1,
      sym_and_operator,
    ACTIONS(11941), 1,
      sym_or_operator,
    ACTIONS(11953), 1,
      anon_sym_COMMA,
    ACTIONS(11955), 1,
      sym_assign_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(9709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11411), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11409), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502979] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11966), 1,
      anon_sym_else,
    STATE(9166), 1,
      sym_else_clause,
    STATE(9710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [503030] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12137), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9711), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17208), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [503115] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12167), 1,
      sym__identifier,
    ACTIONS(12169), 1,
      anon_sym_LPAREN,
    ACTIONS(12171), 1,
      anon_sym_private,
    ACTIONS(12173), 1,
      anon_sym_LBRACK,
    ACTIONS(12175), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12177), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12179), 1,
      anon_sym_LT,
    ACTIONS(12181), 1,
      anon_sym_POUND,
    ACTIONS(12183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12187), 1,
      aux_sym_type_variable_token1,
    STATE(9712), 1,
      sym_attribute,
    STATE(14111), 1,
      sym__simple_type,
    STATE(14218), 1,
      sym_tuple_type,
    STATE(14563), 1,
      sym__tuple_type,
    STATE(14680), 1,
      sym__type,
    STATE(19141), 1,
      sym_extended_module_path,
    STATE(20304), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14455), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14264), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [503200] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12189), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9713), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15631), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [503285] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11927), 1,
      anon_sym_PIPE,
    STATE(9714), 1,
      sym_attribute,
    STATE(9719), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [503336] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12191), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9715), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15704), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [503421] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(9716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 12,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9054), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [503470] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11927), 1,
      anon_sym_PIPE,
    STATE(9717), 1,
      sym_attribute,
    STATE(9719), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [503521] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11976), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9718), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15634), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [503606] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12193), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9719), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [503655] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12191), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9720), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16685), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [503740] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11961), 1,
      anon_sym_PIPE,
    STATE(9626), 1,
      aux_sym__match_cases_repeat1,
    STATE(9721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [503791] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12038), 1,
      anon_sym_COMMA,
    ACTIONS(12040), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12042), 1,
      sym_pow_operator,
    ACTIONS(12044), 1,
      sym_mult_operator,
    ACTIONS(12046), 1,
      sym_concat_operator,
    ACTIONS(12048), 1,
      sym_rel_operator,
    ACTIONS(12050), 1,
      sym_and_operator,
    ACTIONS(12052), 1,
      sym_or_operator,
    ACTIONS(12054), 1,
      sym_assign_operator,
    STATE(2397), 1,
      sym_add_operator,
    STATE(9722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11477), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11475), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503860] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11913), 1,
      sym_pow_operator,
    ACTIONS(11915), 1,
      sym_mult_operator,
    ACTIONS(11917), 1,
      sym_concat_operator,
    ACTIONS(11919), 1,
      sym_rel_operator,
    ACTIONS(11921), 1,
      sym_and_operator,
    ACTIONS(11923), 1,
      sym_or_operator,
    STATE(2471), 1,
      sym_add_operator,
    STATE(9723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11441), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11439), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [503925] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11750), 1,
      sym_pow_operator,
    ACTIONS(11752), 1,
      sym_mult_operator,
    ACTIONS(11839), 1,
      anon_sym_COMMA,
    ACTIONS(11843), 1,
      sym_concat_operator,
    ACTIONS(11845), 1,
      sym_rel_operator,
    ACTIONS(11847), 1,
      sym_and_operator,
    ACTIONS(11849), 1,
      sym_or_operator,
    ACTIONS(11851), 1,
      sym_assign_operator,
    ACTIONS(12196), 1,
      anon_sym_SEMI,
    STATE(2055), 1,
      sym_add_operator,
    STATE(9724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [503996] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11913), 1,
      sym_pow_operator,
    ACTIONS(11915), 1,
      sym_mult_operator,
    STATE(2471), 1,
      sym_add_operator,
    STATE(9725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [504053] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11913), 1,
      sym_pow_operator,
    STATE(2471), 1,
      sym_add_operator,
    STATE(9726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [504104] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11913), 1,
      sym_pow_operator,
    STATE(2471), 1,
      sym_add_operator,
    STATE(9727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [504155] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11913), 1,
      sym_pow_operator,
    ACTIONS(11915), 1,
      sym_mult_operator,
    ACTIONS(11917), 1,
      sym_concat_operator,
    STATE(2471), 1,
      sym_add_operator,
    STATE(9728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [504214] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11913), 1,
      sym_pow_operator,
    ACTIONS(11915), 1,
      sym_mult_operator,
    ACTIONS(11917), 1,
      sym_concat_operator,
    STATE(2471), 1,
      sym_add_operator,
    STATE(9729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [504273] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11913), 1,
      sym_pow_operator,
    ACTIONS(11915), 1,
      sym_mult_operator,
    ACTIONS(11917), 1,
      sym_concat_operator,
    ACTIONS(11919), 1,
      sym_rel_operator,
    ACTIONS(11921), 1,
      sym_and_operator,
    STATE(2471), 1,
      sym_add_operator,
    STATE(9730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11461), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [504336] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11913), 1,
      sym_pow_operator,
    ACTIONS(11915), 1,
      sym_mult_operator,
    ACTIONS(11917), 1,
      sym_concat_operator,
    ACTIONS(11919), 1,
      sym_rel_operator,
    ACTIONS(11921), 1,
      sym_and_operator,
    ACTIONS(11923), 1,
      sym_or_operator,
    ACTIONS(12125), 1,
      anon_sym_COMMA,
    ACTIONS(12129), 1,
      sym_assign_operator,
    STATE(2471), 1,
      sym_add_operator,
    STATE(9731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504405] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11913), 1,
      sym_pow_operator,
    ACTIONS(11915), 1,
      sym_mult_operator,
    STATE(2471), 1,
      sym_add_operator,
    STATE(9732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [504458] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11913), 1,
      sym_pow_operator,
    ACTIONS(11915), 1,
      sym_mult_operator,
    ACTIONS(11917), 1,
      sym_concat_operator,
    ACTIONS(11919), 1,
      sym_rel_operator,
    ACTIONS(11921), 1,
      sym_and_operator,
    ACTIONS(11923), 1,
      sym_or_operator,
    ACTIONS(12125), 1,
      anon_sym_COMMA,
    ACTIONS(12129), 1,
      sym_assign_operator,
    STATE(2471), 1,
      sym_add_operator,
    STATE(9733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11471), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11469), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504527] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_else,
    STATE(9166), 1,
      sym_else_clause,
    STATE(9734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [504578] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11911), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11913), 1,
      sym_pow_operator,
    ACTIONS(11915), 1,
      sym_mult_operator,
    ACTIONS(11917), 1,
      sym_concat_operator,
    ACTIONS(11919), 1,
      sym_rel_operator,
    ACTIONS(11921), 1,
      sym_and_operator,
    ACTIONS(11923), 1,
      sym_or_operator,
    ACTIONS(12125), 1,
      anon_sym_COMMA,
    ACTIONS(12129), 1,
      sym_assign_operator,
    STATE(2471), 1,
      sym_add_operator,
    STATE(9735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11477), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11475), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504647] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12189), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9736), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16942), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [504732] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11927), 1,
      anon_sym_PIPE,
    STATE(9714), 1,
      aux_sym__match_cases_repeat1,
    STATE(9737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [504783] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      sym__identifier,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12094), 1,
      anon_sym_module,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9738), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17200), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [504868] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12198), 1,
      anon_sym_else,
    STATE(9023), 1,
      sym_else_clause,
    STATE(9739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [504919] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12040), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12042), 1,
      sym_pow_operator,
    ACTIONS(12044), 1,
      sym_mult_operator,
    STATE(2397), 1,
      sym_add_operator,
    STATE(9740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [504976] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11150), 1,
      anon_sym_LPAREN,
    ACTIONS(11152), 1,
      anon_sym_LBRACK,
    ACTIONS(11154), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11156), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11158), 1,
      anon_sym_LT,
    ACTIONS(11160), 1,
      anon_sym_POUND,
    ACTIONS(11162), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11164), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11166), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12200), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9741), 1,
      sym_attribute,
    STATE(12362), 1,
      sym__simple_type,
    STATE(14096), 1,
      sym__type,
    STATE(14143), 1,
      sym__tuple_type,
    STATE(18454), 1,
      sym_extended_module_path,
    STATE(22052), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13053), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505058] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11150), 1,
      anon_sym_LPAREN,
    ACTIONS(11152), 1,
      anon_sym_LBRACK,
    ACTIONS(11154), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11156), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11158), 1,
      anon_sym_LT,
    ACTIONS(11160), 1,
      anon_sym_POUND,
    ACTIONS(11162), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11164), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11166), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12200), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9742), 1,
      sym_attribute,
    STATE(12362), 1,
      sym__simple_type,
    STATE(14003), 1,
      sym__type,
    STATE(14143), 1,
      sym__tuple_type,
    STATE(18454), 1,
      sym_extended_module_path,
    STATE(22052), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13053), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505140] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9743), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16756), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505222] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12202), 1,
      sym_pow_operator,
    ACTIONS(12204), 1,
      sym_mult_operator,
    STATE(2724), 1,
      sym_add_operator,
    STATE(9744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [505274] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11150), 1,
      anon_sym_LPAREN,
    ACTIONS(11152), 1,
      anon_sym_LBRACK,
    ACTIONS(11154), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11156), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11158), 1,
      anon_sym_LT,
    ACTIONS(11160), 1,
      anon_sym_POUND,
    ACTIONS(11162), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11164), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11166), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12200), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9745), 1,
      sym_attribute,
    STATE(12362), 1,
      sym__simple_type,
    STATE(14143), 1,
      sym__tuple_type,
    STATE(14175), 1,
      sym__type,
    STATE(18454), 1,
      sym_extended_module_path,
    STATE(22052), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13053), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505356] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12202), 1,
      sym_pow_operator,
    ACTIONS(12204), 1,
      sym_mult_operator,
    ACTIONS(12206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12208), 1,
      sym_concat_operator,
    STATE(2724), 1,
      sym_add_operator,
    STATE(9746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [505414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9184), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [505460] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9748), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16798), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505542] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      anon_sym_LPAREN,
    ACTIONS(11288), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11292), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11294), 1,
      anon_sym_LT,
    ACTIONS(11296), 1,
      anon_sym_POUND,
    ACTIONS(11298), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11300), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11302), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12210), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9749), 1,
      sym_attribute,
    STATE(13436), 1,
      sym__simple_type,
    STATE(14295), 1,
      sym__tuple_type,
    STATE(14547), 1,
      sym__type,
    STATE(18707), 1,
      sym_extended_module_path,
    STATE(21862), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14136), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9082), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [505670] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9751), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16815), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505752] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12202), 1,
      sym_pow_operator,
    ACTIONS(12204), 1,
      sym_mult_operator,
    ACTIONS(12206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12208), 1,
      sym_concat_operator,
    ACTIONS(12212), 1,
      anon_sym_COMMA,
    ACTIONS(12214), 1,
      sym_rel_operator,
    ACTIONS(12216), 1,
      sym_and_operator,
    ACTIONS(12218), 1,
      sym_or_operator,
    ACTIONS(12220), 1,
      sym_assign_operator,
    STATE(2724), 1,
      sym_add_operator,
    STATE(9752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11471), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11469), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505820] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(11859), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11861), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      anon_sym_let,
    STATE(9753), 1,
      sym_attribute,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11618), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12222), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505882] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9754), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15956), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505964] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9755), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17638), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506046] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12202), 1,
      sym_pow_operator,
    ACTIONS(12204), 1,
      sym_mult_operator,
    ACTIONS(12206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12208), 1,
      sym_concat_operator,
    ACTIONS(12212), 1,
      anon_sym_COMMA,
    ACTIONS(12214), 1,
      sym_rel_operator,
    ACTIONS(12216), 1,
      sym_and_operator,
    ACTIONS(12218), 1,
      sym_or_operator,
    ACTIONS(12220), 1,
      sym_assign_operator,
    STATE(2724), 1,
      sym_add_operator,
    STATE(9756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11477), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11475), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506114] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9757), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16895), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506196] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9758), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17285), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506278] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9759), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16918), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9102), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [506406] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(11859), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11861), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12228), 1,
      anon_sym_let,
    STATE(9761), 1,
      sym_attribute,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11544), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12226), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506468] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9762), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14218), 1,
      sym_tuple_type,
    STATE(15139), 1,
      sym__tuple_type,
    STATE(15742), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21572), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14455), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9106), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [506596] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12202), 1,
      sym_pow_operator,
    ACTIONS(12204), 1,
      sym_mult_operator,
    ACTIONS(12206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12208), 1,
      sym_concat_operator,
    ACTIONS(12214), 1,
      sym_rel_operator,
    ACTIONS(12216), 1,
      sym_and_operator,
    ACTIONS(12218), 1,
      sym_or_operator,
    STATE(2724), 1,
      sym_add_operator,
    STATE(9764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [506660] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      anon_sym_LPAREN,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    ACTIONS(12230), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9765), 1,
      sym_attribute,
    STATE(10210), 1,
      sym__simple_type,
    STATE(11492), 1,
      sym__tuple_type,
    STATE(11881), 1,
      sym__type,
    STATE(19026), 1,
      sym_extended_module_path,
    STATE(21423), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506742] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9766), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17009), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506824] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9767), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17654), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506906] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9768), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17017), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506988] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12064), 1,
      anon_sym_LPAREN,
    ACTIONS(12068), 1,
      anon_sym_LBRACK,
    ACTIONS(12070), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12072), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12074), 1,
      anon_sym_LT,
    ACTIONS(12076), 1,
      anon_sym_POUND,
    ACTIONS(12078), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12080), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12082), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12232), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9769), 1,
      sym_attribute,
    STATE(10146), 1,
      sym__simple_type,
    STATE(10783), 1,
      sym__tuple_type,
    STATE(11085), 1,
      sym__type,
    STATE(18541), 1,
      sym_extended_module_path,
    STATE(21405), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10206), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507070] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12236), 1,
      sym_pow_operator,
    ACTIONS(12238), 1,
      sym_mult_operator,
    ACTIONS(12240), 1,
      sym_concat_operator,
    STATE(2162), 1,
      sym_add_operator,
    STATE(9770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [507128] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9771), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(18041), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507210] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9772), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17074), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9110), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [507338] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9774), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17089), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507420] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9775), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(14582), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507502] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11994), 1,
      anon_sym_LPAREN,
    ACTIONS(11998), 1,
      anon_sym_LBRACK,
    ACTIONS(12000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12004), 1,
      anon_sym_LT,
    ACTIONS(12006), 1,
      anon_sym_POUND,
    ACTIONS(12008), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12010), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12012), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12242), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9776), 1,
      sym_attribute,
    STATE(10486), 1,
      sym__simple_type,
    STATE(11839), 1,
      sym__tuple_type,
    STATE(12061), 1,
      sym__type,
    STATE(18344), 1,
      sym_extended_module_path,
    STATE(22163), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10801), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9042), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [507630] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9778), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17168), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507712] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9779), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17191), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9114), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [507840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9086), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [507886] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11994), 1,
      anon_sym_LPAREN,
    ACTIONS(11998), 1,
      anon_sym_LBRACK,
    ACTIONS(12000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12004), 1,
      anon_sym_LT,
    ACTIONS(12006), 1,
      anon_sym_POUND,
    ACTIONS(12008), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12010), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12012), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12242), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9782), 1,
      sym_attribute,
    STATE(10486), 1,
      sym__simple_type,
    STATE(11839), 1,
      sym__tuple_type,
    STATE(12066), 1,
      sym__type,
    STATE(18344), 1,
      sym_extended_module_path,
    STATE(22163), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10801), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507968] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9783), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15511), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508050] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(11859), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11861), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12246), 1,
      anon_sym_let,
    STATE(9784), 1,
      sym_attribute,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11674), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12244), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508112] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9785), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17257), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508194] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9786), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17268), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9090), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [508322] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11150), 1,
      anon_sym_LPAREN,
    ACTIONS(11152), 1,
      anon_sym_LBRACK,
    ACTIONS(11154), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11156), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11158), 1,
      anon_sym_LT,
    ACTIONS(11160), 1,
      anon_sym_POUND,
    ACTIONS(11162), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11164), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11166), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12200), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9788), 1,
      sym_attribute,
    STATE(12362), 1,
      sym__simple_type,
    STATE(14031), 1,
      sym__type,
    STATE(14143), 1,
      sym__tuple_type,
    STATE(18454), 1,
      sym_extended_module_path,
    STATE(22052), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13053), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9094), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [508450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9098), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [508496] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9791), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16985), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508578] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9792), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17323), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508660] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12169), 1,
      anon_sym_LPAREN,
    ACTIONS(12173), 1,
      anon_sym_LBRACK,
    ACTIONS(12175), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12177), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12179), 1,
      anon_sym_LT,
    ACTIONS(12181), 1,
      anon_sym_POUND,
    ACTIONS(12183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12187), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12248), 1,
      sym__identifier,
    STATE(9793), 1,
      sym_attribute,
    STATE(14111), 1,
      sym__simple_type,
    STATE(14218), 1,
      sym_tuple_type,
    STATE(14563), 1,
      sym__tuple_type,
    STATE(14737), 1,
      sym__type,
    STATE(19141), 1,
      sym_extended_module_path,
    STATE(20304), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14455), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14264), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508742] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9794), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17338), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508824] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2162), 1,
      sym_add_operator,
    STATE(9795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [508872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9188), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [508918] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9797), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17404), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509000] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9798), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17414), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509082] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9799), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15710), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509164] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      anon_sym_LPAREN,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    ACTIONS(12230), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9800), 1,
      sym_attribute,
    STATE(10210), 1,
      sym__simple_type,
    STATE(11492), 1,
      sym__tuple_type,
    STATE(11940), 1,
      sym__type,
    STATE(19026), 1,
      sym_extended_module_path,
    STATE(21423), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509246] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9801), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16550), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509328] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9802), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509410] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11240), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_POUND,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11246), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11248), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12250), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9803), 1,
      sym_attribute,
    STATE(11771), 1,
      sym__simple_type,
    STATE(13402), 1,
      sym__tuple_type,
    STATE(13849), 1,
      sym__type,
    STATE(19033), 1,
      sym_extended_module_path,
    STATE(19951), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12350), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9122), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [509538] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9805), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17467), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509620] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11240), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_POUND,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11246), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11248), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12250), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9806), 1,
      sym_attribute,
    STATE(11771), 1,
      sym__simple_type,
    STATE(13402), 1,
      sym__tuple_type,
    STATE(13850), 1,
      sym__type,
    STATE(19033), 1,
      sym_extended_module_path,
    STATE(19951), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12350), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509702] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11984), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    ACTIONS(12252), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9807), 1,
      sym_attribute,
    STATE(10939), 1,
      sym__simple_type,
    STATE(12231), 1,
      sym__tuple_type,
    STATE(12580), 1,
      sym__type,
    STATE(19188), 1,
      sym_extended_module_path,
    STATE(22396), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509784] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9808), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17328), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9126), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [509912] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9810), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17591), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509994] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11150), 1,
      anon_sym_LPAREN,
    ACTIONS(11152), 1,
      anon_sym_LBRACK,
    ACTIONS(11154), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11156), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11158), 1,
      anon_sym_LT,
    ACTIONS(11160), 1,
      anon_sym_POUND,
    ACTIONS(11162), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11164), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11166), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12200), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9811), 1,
      sym_attribute,
    STATE(12362), 1,
      sym__simple_type,
    STATE(14143), 1,
      sym__tuple_type,
    STATE(14168), 1,
      sym__type,
    STATE(18454), 1,
      sym_extended_module_path,
    STATE(22052), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13053), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510076] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9812), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17598), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510158] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9813), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14218), 1,
      sym_tuple_type,
    STATE(15139), 1,
      sym__tuple_type,
    STATE(15692), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21572), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14455), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510240] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12254), 1,
      anon_sym_PIPE,
    STATE(9814), 1,
      sym_attribute,
    STATE(9985), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [510290] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9815), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17644), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510372] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9816), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17651), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510454] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9817), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15816), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510536] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      anon_sym_LPAREN,
    ACTIONS(11288), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11292), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11294), 1,
      anon_sym_LT,
    ACTIONS(11296), 1,
      anon_sym_POUND,
    ACTIONS(11298), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11300), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11302), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12210), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9818), 1,
      sym_attribute,
    STATE(13436), 1,
      sym__simple_type,
    STATE(14206), 1,
      sym__type,
    STATE(14295), 1,
      sym__tuple_type,
    STATE(18707), 1,
      sym_extended_module_path,
    STATE(21862), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14136), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510618] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11984), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    ACTIONS(12252), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9819), 1,
      sym_attribute,
    STATE(10939), 1,
      sym__simple_type,
    STATE(12231), 1,
      sym__tuple_type,
    STATE(12779), 1,
      sym__type,
    STATE(19188), 1,
      sym_extended_module_path,
    STATE(22396), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510700] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9820), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17715), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510782] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9821), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17733), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510864] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9822), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17806), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510946] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9823), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17582), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10810), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10808), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [511074] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9825), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17895), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10814), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10812), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [511202] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9827), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17920), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511284] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9828), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(18337), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511366] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9829), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15590), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511448] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_PIPE,
    STATE(9830), 1,
      sym_attribute,
    STATE(9990), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [511498] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9831), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15002), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511580] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9832), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(18026), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511662] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9833), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17775), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511744] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9834), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(18034), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10836), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10834), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [511872] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11150), 1,
      anon_sym_LPAREN,
    ACTIONS(11152), 1,
      anon_sym_LBRACK,
    ACTIONS(11154), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11156), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11158), 1,
      anon_sym_LT,
    ACTIONS(11160), 1,
      anon_sym_POUND,
    ACTIONS(11162), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11164), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11166), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12200), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9836), 1,
      sym_attribute,
    STATE(12362), 1,
      sym__simple_type,
    STATE(14102), 1,
      sym__type,
    STATE(14143), 1,
      sym__tuple_type,
    STATE(18454), 1,
      sym_extended_module_path,
    STATE(22052), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13053), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511954] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12254), 1,
      anon_sym_PIPE,
    STATE(9837), 1,
      sym_attribute,
    STATE(9985), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [512004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12258), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9136), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512050] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9839), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17876), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512132] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11150), 1,
      anon_sym_LPAREN,
    ACTIONS(11152), 1,
      anon_sym_LBRACK,
    ACTIONS(11154), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11156), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11158), 1,
      anon_sym_LT,
    ACTIONS(11160), 1,
      anon_sym_POUND,
    ACTIONS(11162), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11164), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11166), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12200), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9840), 1,
      sym_attribute,
    STATE(12362), 1,
      sym__simple_type,
    STATE(14104), 1,
      sym__type,
    STATE(14143), 1,
      sym__tuple_type,
    STATE(18454), 1,
      sym_extended_module_path,
    STATE(22052), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13053), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512214] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9841), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16714), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512296] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11150), 1,
      anon_sym_LPAREN,
    ACTIONS(11152), 1,
      anon_sym_LBRACK,
    ACTIONS(11154), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11156), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11158), 1,
      anon_sym_LT,
    ACTIONS(11160), 1,
      anon_sym_POUND,
    ACTIONS(11162), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11164), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11166), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12200), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9842), 1,
      sym_attribute,
    STATE(12362), 1,
      sym__simple_type,
    STATE(14143), 1,
      sym__tuple_type,
    STATE(14201), 1,
      sym__type,
    STATE(18454), 1,
      sym_extended_module_path,
    STATE(22052), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13053), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9102), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [512424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10214), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10212), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [512470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9106), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [512516] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9846), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16571), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512598] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12016), 1,
      anon_sym_LPAREN,
    ACTIONS(12020), 1,
      anon_sym_LBRACK,
    ACTIONS(12022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12026), 1,
      anon_sym_LT,
    ACTIONS(12028), 1,
      anon_sym_POUND,
    ACTIONS(12030), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12032), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12034), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9847), 1,
      sym_attribute,
    STATE(10459), 1,
      sym__simple_type,
    STATE(11832), 1,
      sym__tuple_type,
    STATE(11965), 1,
      sym__type,
    STATE(18312), 1,
      sym_extended_module_path,
    STATE(22452), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11015), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512680] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12098), 1,
      anon_sym_LPAREN,
    ACTIONS(12102), 1,
      anon_sym_LBRACK,
    ACTIONS(12104), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12106), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12108), 1,
      anon_sym_LT,
    ACTIONS(12110), 1,
      anon_sym_POUND,
    ACTIONS(12112), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12114), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12116), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12262), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9848), 1,
      sym_attribute,
    STATE(10173), 1,
      sym__simple_type,
    STATE(11071), 1,
      sym__tuple_type,
    STATE(11513), 1,
      sym__type,
    STATE(18171), 1,
      sym_extended_module_path,
    STATE(20412), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10502), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512762] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9849), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16710), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9110), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [512890] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9851), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16781), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512972] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9852), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16777), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513054] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12236), 1,
      sym_pow_operator,
    ACTIONS(12238), 1,
      sym_mult_operator,
    ACTIONS(12240), 1,
      sym_concat_operator,
    ACTIONS(12264), 1,
      anon_sym_COMMA,
    ACTIONS(12266), 1,
      anon_sym_SEMI,
    ACTIONS(12268), 1,
      sym_rel_operator,
    ACTIONS(12270), 1,
      sym_and_operator,
    ACTIONS(12272), 1,
      sym_or_operator,
    ACTIONS(12274), 1,
      sym_assign_operator,
    STATE(2162), 1,
      sym_add_operator,
    STATE(9853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9114), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [513170] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11150), 1,
      anon_sym_LPAREN,
    ACTIONS(11152), 1,
      anon_sym_LBRACK,
    ACTIONS(11154), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11156), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11158), 1,
      anon_sym_LT,
    ACTIONS(11160), 1,
      anon_sym_POUND,
    ACTIONS(11162), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11164), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11166), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12200), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9855), 1,
      sym_attribute,
    STATE(12362), 1,
      sym__simple_type,
    STATE(14143), 1,
      sym__tuple_type,
    STATE(14220), 1,
      sym__type,
    STATE(18454), 1,
      sym_extended_module_path,
    STATE(22052), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13053), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513252] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9856), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17255), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513334] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11240), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_POUND,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11246), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11248), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12250), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9857), 1,
      sym_attribute,
    STATE(11771), 1,
      sym__simple_type,
    STATE(13402), 1,
      sym__tuple_type,
    STATE(13617), 1,
      sym__type,
    STATE(19033), 1,
      sym_extended_module_path,
    STATE(19951), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12350), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513416] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12236), 1,
      sym_pow_operator,
    ACTIONS(12238), 1,
      sym_mult_operator,
    ACTIONS(12240), 1,
      sym_concat_operator,
    STATE(2162), 1,
      sym_add_operator,
    STATE(9858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [513474] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9859), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17352), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9122), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [513602] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12016), 1,
      anon_sym_LPAREN,
    ACTIONS(12020), 1,
      anon_sym_LBRACK,
    ACTIONS(12022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12026), 1,
      anon_sym_LT,
    ACTIONS(12028), 1,
      anon_sym_POUND,
    ACTIONS(12030), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12032), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12034), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9861), 1,
      sym_attribute,
    STATE(10459), 1,
      sym__simple_type,
    STATE(11832), 1,
      sym__tuple_type,
    STATE(11969), 1,
      sym__type,
    STATE(18312), 1,
      sym_extended_module_path,
    STATE(22452), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11015), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513684] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2724), 1,
      sym_add_operator,
    STATE(9862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [513732] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9863), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17891), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10358), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [513860] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9865), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14218), 1,
      sym_tuple_type,
    STATE(15139), 1,
      sym__tuple_type,
    STATE(15728), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21572), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14455), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513942] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9866), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(18035), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514024] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 12,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9046), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [514070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10732), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10730), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [514116] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12202), 1,
      sym_pow_operator,
    ACTIONS(12204), 1,
      sym_mult_operator,
    ACTIONS(12206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12208), 1,
      sym_concat_operator,
    ACTIONS(12212), 1,
      anon_sym_COMMA,
    ACTIONS(12214), 1,
      sym_rel_operator,
    ACTIONS(12216), 1,
      sym_and_operator,
    ACTIONS(12218), 1,
      sym_or_operator,
    ACTIONS(12220), 1,
      sym_assign_operator,
    ACTIONS(12276), 1,
      anon_sym_SEMI,
    STATE(2724), 1,
      sym_add_operator,
    STATE(9869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9068), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [514232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9068), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [514278] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9872), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16644), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514360] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12254), 1,
      anon_sym_PIPE,
    STATE(9837), 1,
      aux_sym__match_cases_repeat1,
    STATE(9873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [514410] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12202), 1,
      sym_pow_operator,
    ACTIONS(12204), 1,
      sym_mult_operator,
    ACTIONS(12206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12208), 1,
      sym_concat_operator,
    ACTIONS(12214), 1,
      sym_rel_operator,
    ACTIONS(12216), 1,
      sym_and_operator,
    STATE(2724), 1,
      sym_add_operator,
    STATE(9874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11461), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [514472] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9875), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16976), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514554] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9876), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16655), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10220), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [514682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9116), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [514728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9134), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [514774] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9880), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17337), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514856] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9881), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17119), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10208), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10206), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [514984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10744), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10742), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [515030] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9884), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16751), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515112] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12143), 1,
      anon_sym_LPAREN,
    ACTIONS(12147), 1,
      anon_sym_LBRACK,
    ACTIONS(12149), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12151), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12153), 1,
      anon_sym_LT,
    ACTIONS(12155), 1,
      anon_sym_POUND,
    ACTIONS(12157), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12159), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12161), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12278), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9885), 1,
      sym_attribute,
    STATE(14216), 1,
      sym__simple_type,
    STATE(14856), 1,
      sym__tuple_type,
    STATE(15094), 1,
      sym__type,
    STATE(18610), 1,
      sym_extended_module_path,
    STATE(19498), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14546), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515194] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    ACTIONS(12280), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9886), 1,
      sym_attribute,
    STATE(10889), 1,
      sym__simple_type,
    STATE(12243), 1,
      sym__tuple_type,
    STATE(12680), 1,
      sym__type,
    STATE(18475), 1,
      sym_extended_module_path,
    STATE(20753), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515276] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12254), 1,
      anon_sym_PIPE,
    STATE(9814), 1,
      aux_sym__match_cases_repeat1,
    STATE(9887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [515326] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9888), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16769), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515408] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9889), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17360), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515490] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12286), 1,
      anon_sym_DOT,
    STATE(9890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12284), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12282), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515538] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9891), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17124), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10716), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10714), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [515666] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12086), 1,
      anon_sym_LPAREN,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    ACTIONS(12288), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9893), 1,
      sym_attribute,
    STATE(10577), 1,
      sym__simple_type,
    STATE(11818), 1,
      sym__tuple_type,
    STATE(12110), 1,
      sym__type,
    STATE(18307), 1,
      sym_extended_module_path,
    STATE(20954), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515748] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9894), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16893), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515830] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9895), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16912), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515912] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9896), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(18037), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10198), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [516040] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9898), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16707), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516122] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9899), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17364), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516204] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9900), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16993), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516286] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9901), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17011), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10838), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [516414] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9903), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15672), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516496] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9904), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16929), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516578] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9905), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17104), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516660] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9906), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17129), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516742] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11984), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    ACTIONS(12252), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9907), 1,
      sym_attribute,
    STATE(10939), 1,
      sym__simple_type,
    STATE(12231), 1,
      sym__tuple_type,
    STATE(12976), 1,
      sym__type,
    STATE(19188), 1,
      sym_extended_module_path,
    STATE(22396), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516824] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12064), 1,
      anon_sym_LPAREN,
    ACTIONS(12068), 1,
      anon_sym_LBRACK,
    ACTIONS(12070), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12072), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12074), 1,
      anon_sym_LT,
    ACTIONS(12076), 1,
      anon_sym_POUND,
    ACTIONS(12078), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12080), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12082), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12232), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9908), 1,
      sym_attribute,
    STATE(10146), 1,
      sym__simple_type,
    STATE(10783), 1,
      sym__tuple_type,
    STATE(11164), 1,
      sym__type,
    STATE(18541), 1,
      sym_extended_module_path,
    STATE(21405), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10206), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10740), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10738), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [516952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10832), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10830), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [516998] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_PIPE,
    STATE(9830), 1,
      aux_sym__match_cases_repeat1,
    STATE(9911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [517048] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12292), 1,
      sym_pow_operator,
    ACTIONS(12294), 1,
      sym_mult_operator,
    ACTIONS(12296), 1,
      sym_concat_operator,
    ACTIONS(12298), 1,
      sym_rel_operator,
    ACTIONS(12300), 1,
      sym_and_operator,
    ACTIONS(12302), 1,
      sym_or_operator,
    STATE(2673), 1,
      sym_add_operator,
    STATE(9912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11441), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11439), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [517112] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9913), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17279), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517194] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12098), 1,
      anon_sym_LPAREN,
    ACTIONS(12102), 1,
      anon_sym_LBRACK,
    ACTIONS(12104), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12106), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12108), 1,
      anon_sym_LT,
    ACTIONS(12110), 1,
      anon_sym_POUND,
    ACTIONS(12112), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12114), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12116), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12262), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9914), 1,
      sym_attribute,
    STATE(10173), 1,
      sym__simple_type,
    STATE(11071), 1,
      sym__tuple_type,
    STATE(11453), 1,
      sym__type,
    STATE(18171), 1,
      sym_extended_module_path,
    STATE(20412), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10502), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517276] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_PIPE,
    STATE(9915), 1,
      sym_attribute,
    STATE(9990), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [517326] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9916), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17310), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9116), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [517454] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12292), 1,
      sym_pow_operator,
    ACTIONS(12294), 1,
      sym_mult_operator,
    STATE(2673), 1,
      sym_add_operator,
    STATE(9918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [517510] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12292), 1,
      sym_pow_operator,
    STATE(2673), 1,
      sym_add_operator,
    STATE(9919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [517560] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9920), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17416), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9134), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [517688] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12292), 1,
      sym_pow_operator,
    STATE(2673), 1,
      sym_add_operator,
    STATE(9922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [517738] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9923), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17430), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517820] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12098), 1,
      anon_sym_LPAREN,
    ACTIONS(12102), 1,
      anon_sym_LBRACK,
    ACTIONS(12104), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12106), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12108), 1,
      anon_sym_LT,
    ACTIONS(12110), 1,
      anon_sym_POUND,
    ACTIONS(12112), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12114), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12116), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12262), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9924), 1,
      sym_attribute,
    STATE(10173), 1,
      sym__simple_type,
    STATE(11071), 1,
      sym__tuple_type,
    STATE(11482), 1,
      sym__type,
    STATE(18171), 1,
      sym_extended_module_path,
    STATE(20412), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10502), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517902] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9925), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17631), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517984] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9926), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17650), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518066] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9927), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(18018), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518148] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9928), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(18032), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518230] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9929), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(18044), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518312] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    ACTIONS(12280), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9930), 1,
      sym_attribute,
    STATE(10889), 1,
      sym__simple_type,
    STATE(12243), 1,
      sym__tuple_type,
    STATE(13193), 1,
      sym__type,
    STATE(18475), 1,
      sym_extended_module_path,
    STATE(20753), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10750), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10748), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [518440] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9932), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15677), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518522] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9933), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16589), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518604] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9934), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16529), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9060), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [518732] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9936), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16540), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518814] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12292), 1,
      sym_pow_operator,
    ACTIONS(12294), 1,
      sym_mult_operator,
    ACTIONS(12296), 1,
      sym_concat_operator,
    STATE(2673), 1,
      sym_add_operator,
    STATE(9937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [518872] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9938), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17584), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518954] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9939), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16742), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519036] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9940), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17242), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519118] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12292), 1,
      sym_pow_operator,
    ACTIONS(12294), 1,
      sym_mult_operator,
    ACTIONS(12296), 1,
      sym_concat_operator,
    ACTIONS(12298), 1,
      sym_rel_operator,
    ACTIONS(12300), 1,
      sym_and_operator,
    STATE(2673), 1,
      sym_add_operator,
    STATE(9941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11461), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [519180] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12292), 1,
      sym_pow_operator,
    ACTIONS(12294), 1,
      sym_mult_operator,
    ACTIONS(12296), 1,
      sym_concat_operator,
    ACTIONS(12298), 1,
      sym_rel_operator,
    ACTIONS(12300), 1,
      sym_and_operator,
    ACTIONS(12302), 1,
      sym_or_operator,
    STATE(2673), 1,
      sym_add_operator,
    STATE(9942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [519244] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12292), 1,
      sym_pow_operator,
    ACTIONS(12294), 1,
      sym_mult_operator,
    ACTIONS(12296), 1,
      sym_concat_operator,
    ACTIONS(12298), 1,
      sym_rel_operator,
    ACTIONS(12300), 1,
      sym_and_operator,
    ACTIONS(12302), 1,
      sym_or_operator,
    ACTIONS(12304), 1,
      anon_sym_COMMA,
    ACTIONS(12306), 1,
      sym_assign_operator,
    STATE(2673), 1,
      sym_add_operator,
    STATE(9943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519312] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9944), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17770), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519394] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12292), 1,
      sym_pow_operator,
    ACTIONS(12294), 1,
      sym_mult_operator,
    STATE(2673), 1,
      sym_add_operator,
    STATE(9945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [519446] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12292), 1,
      sym_pow_operator,
    ACTIONS(12294), 1,
      sym_mult_operator,
    ACTIONS(12296), 1,
      sym_concat_operator,
    ACTIONS(12298), 1,
      sym_rel_operator,
    ACTIONS(12300), 1,
      sym_and_operator,
    ACTIONS(12302), 1,
      sym_or_operator,
    ACTIONS(12304), 1,
      anon_sym_COMMA,
    ACTIONS(12306), 1,
      sym_assign_operator,
    STATE(2673), 1,
      sym_add_operator,
    STATE(9946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11471), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11469), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9126), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [519560] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    ACTIONS(12280), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9948), 1,
      sym_attribute,
    STATE(10889), 1,
      sym__simple_type,
    STATE(12243), 1,
      sym__tuple_type,
    STATE(12720), 1,
      sym__type,
    STATE(18475), 1,
      sym_extended_module_path,
    STATE(20753), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10708), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10706), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [519688] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9950), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16674), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519770] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9951), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16677), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519852] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9952), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15668), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10378), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [519980] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9954), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16686), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520062] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9955), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16693), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520144] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12202), 1,
      sym_pow_operator,
    ACTIONS(12204), 1,
      sym_mult_operator,
    ACTIONS(12206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12208), 1,
      sym_concat_operator,
    ACTIONS(12212), 1,
      anon_sym_COMMA,
    ACTIONS(12214), 1,
      sym_rel_operator,
    ACTIONS(12216), 1,
      sym_and_operator,
    ACTIONS(12218), 1,
      sym_or_operator,
    ACTIONS(12220), 1,
      sym_assign_operator,
    STATE(2724), 1,
      sym_add_operator,
    STATE(9956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520212] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9957), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17615), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10754), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10752), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [520340] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9959), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16745), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520422] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9960), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16746), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520504] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9961), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15726), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10256), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10254), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [520632] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9963), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16754), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520714] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9964), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16763), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520796] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12143), 1,
      anon_sym_LPAREN,
    ACTIONS(12147), 1,
      anon_sym_LBRACK,
    ACTIONS(12149), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12151), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12153), 1,
      anon_sym_LT,
    ACTIONS(12155), 1,
      anon_sym_POUND,
    ACTIONS(12157), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12159), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12161), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12278), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9965), 1,
      sym_attribute,
    STATE(14216), 1,
      sym__simple_type,
    STATE(14856), 1,
      sym__tuple_type,
    STATE(15067), 1,
      sym__type,
    STATE(18610), 1,
      sym_extended_module_path,
    STATE(19498), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14546), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520878] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12143), 1,
      anon_sym_LPAREN,
    ACTIONS(12147), 1,
      anon_sym_LBRACK,
    ACTIONS(12149), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12151), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12153), 1,
      anon_sym_LT,
    ACTIONS(12155), 1,
      anon_sym_POUND,
    ACTIONS(12157), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12159), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12161), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12278), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9966), 1,
      sym_attribute,
    STATE(14216), 1,
      sym__simple_type,
    STATE(14856), 1,
      sym__tuple_type,
    STATE(15117), 1,
      sym__type,
    STATE(18610), 1,
      sym_extended_module_path,
    STATE(19498), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14546), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520960] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9967), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16797), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521042] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9968), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16799), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521124] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9969), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15753), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521206] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9970), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16992), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521288] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9971), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16801), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521370] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9972), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16806), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521452] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11338), 1,
      anon_sym_LT,
    ACTIONS(11340), 1,
      anon_sym_POUND,
    ACTIONS(11342), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12308), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9973), 1,
      sym_attribute,
    STATE(11848), 1,
      sym__simple_type,
    STATE(13448), 1,
      sym__tuple_type,
    STATE(13856), 1,
      sym__type,
    STATE(18119), 1,
      sym_extended_module_path,
    STATE(21702), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9176), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [521580] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12310), 1,
      anon_sym_DOT_DOT,
    STATE(9975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(5951), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [521628] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12236), 1,
      sym_pow_operator,
    ACTIONS(12238), 1,
      sym_mult_operator,
    ACTIONS(12240), 1,
      sym_concat_operator,
    ACTIONS(12264), 1,
      anon_sym_COMMA,
    ACTIONS(12268), 1,
      sym_rel_operator,
    ACTIONS(12270), 1,
      sym_and_operator,
    ACTIONS(12272), 1,
      sym_or_operator,
    ACTIONS(12274), 1,
      sym_assign_operator,
    STATE(2162), 1,
      sym_add_operator,
    STATE(9976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11471), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11469), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521696] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9977), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16843), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521778] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9978), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16845), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521860] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9979), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15583), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521942] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9980), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17194), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522024] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9981), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17049), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522106] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9982), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16848), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522188] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9983), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16853), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522270] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9984), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17046), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522352] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12312), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9985), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [522400] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12236), 1,
      sym_pow_operator,
    ACTIONS(12238), 1,
      sym_mult_operator,
    ACTIONS(12240), 1,
      sym_concat_operator,
    ACTIONS(12268), 1,
      sym_rel_operator,
    ACTIONS(12270), 1,
      sym_and_operator,
    ACTIONS(12272), 1,
      sym_or_operator,
    STATE(2162), 1,
      sym_add_operator,
    STATE(9986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [522464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9046), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [522510] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9988), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16890), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522592] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9989), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16892), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522674] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12315), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9990), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [522722] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12086), 1,
      anon_sym_LPAREN,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    ACTIONS(12288), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9991), 1,
      sym_attribute,
    STATE(10577), 1,
      sym__simple_type,
    STATE(11818), 1,
      sym__tuple_type,
    STATE(12068), 1,
      sym__type,
    STATE(18307), 1,
      sym_extended_module_path,
    STATE(20954), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522804] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9992), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16900), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522886] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9993), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16904), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522968] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_PIPE,
    STATE(9915), 1,
      aux_sym__match_cases_repeat1,
    STATE(9994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [523018] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9995), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16737), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10372), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10370), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [523146] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9997), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16928), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523228] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12236), 1,
      sym_pow_operator,
    ACTIONS(12238), 1,
      sym_mult_operator,
    ACTIONS(12240), 1,
      sym_concat_operator,
    ACTIONS(12268), 1,
      sym_rel_operator,
    ACTIONS(12270), 1,
      sym_and_operator,
    ACTIONS(12272), 1,
      sym_or_operator,
    STATE(2162), 1,
      sym_add_operator,
    STATE(9998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11441), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11439), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [523292] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(9999), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17476), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523374] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10000), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16962), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523456] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10001), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16994), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523538] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12169), 1,
      anon_sym_LPAREN,
    ACTIONS(12173), 1,
      anon_sym_LBRACK,
    ACTIONS(12175), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12177), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12179), 1,
      anon_sym_LT,
    ACTIONS(12181), 1,
      anon_sym_POUND,
    ACTIONS(12183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12187), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12248), 1,
      sym__identifier,
    STATE(10002), 1,
      sym_attribute,
    STATE(14111), 1,
      sym__simple_type,
    STATE(14218), 1,
      sym_tuple_type,
    STATE(14563), 1,
      sym__tuple_type,
    STATE(14757), 1,
      sym__type,
    STATE(19141), 1,
      sym_extended_module_path,
    STATE(20304), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14455), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14264), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523620] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12292), 1,
      sym_pow_operator,
    ACTIONS(12294), 1,
      sym_mult_operator,
    ACTIONS(12296), 1,
      sym_concat_operator,
    ACTIONS(12298), 1,
      sym_rel_operator,
    ACTIONS(12300), 1,
      sym_and_operator,
    ACTIONS(12302), 1,
      sym_or_operator,
    ACTIONS(12304), 1,
      anon_sym_COMMA,
    ACTIONS(12306), 1,
      sym_assign_operator,
    ACTIONS(12318), 1,
      anon_sym_SEMI,
    STATE(2673), 1,
      sym_add_operator,
    STATE(10003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10208), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10206), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [523736] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10005), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17103), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10784), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10782), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [523864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9042), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [523910] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12236), 1,
      sym_pow_operator,
    ACTIONS(12238), 1,
      sym_mult_operator,
    ACTIONS(12240), 1,
      sym_concat_operator,
    ACTIONS(12264), 1,
      anon_sym_COMMA,
    ACTIONS(12268), 1,
      sym_rel_operator,
    ACTIONS(12270), 1,
      sym_and_operator,
    ACTIONS(12272), 1,
      sym_or_operator,
    ACTIONS(12274), 1,
      sym_assign_operator,
    STATE(2162), 1,
      sym_add_operator,
    STATE(10008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11477), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11475), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523978] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10009), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17639), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524060] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      anon_sym_LPAREN,
    ACTIONS(11288), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11292), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11294), 1,
      anon_sym_LT,
    ACTIONS(11296), 1,
      anon_sym_POUND,
    ACTIONS(11298), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11300), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11302), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12210), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10010), 1,
      sym_attribute,
    STATE(13436), 1,
      sym__simple_type,
    STATE(14295), 1,
      sym__tuple_type,
    STATE(14520), 1,
      sym__type,
    STATE(18707), 1,
      sym_extended_module_path,
    STATE(21862), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14136), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524142] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10011), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16605), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524224] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10012), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17848), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524306] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12292), 1,
      sym_pow_operator,
    ACTIONS(12294), 1,
      sym_mult_operator,
    ACTIONS(12296), 1,
      sym_concat_operator,
    ACTIONS(12298), 1,
      sym_rel_operator,
    ACTIONS(12300), 1,
      sym_and_operator,
    ACTIONS(12302), 1,
      sym_or_operator,
    ACTIONS(12304), 1,
      anon_sym_COMMA,
    ACTIONS(12306), 1,
      sym_assign_operator,
    STATE(2673), 1,
      sym_add_operator,
    STATE(10013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11477), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11475), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10696), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10694), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [524420] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      anon_sym_LPAREN,
    ACTIONS(11288), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11292), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11294), 1,
      anon_sym_LT,
    ACTIONS(11296), 1,
      anon_sym_POUND,
    ACTIONS(11298), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11300), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11302), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12210), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10015), 1,
      sym_attribute,
    STATE(13436), 1,
      sym__simple_type,
    STATE(14295), 1,
      sym__tuple_type,
    STATE(14529), 1,
      sym__type,
    STATE(18707), 1,
      sym_extended_module_path,
    STATE(21862), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14136), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9046), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [524548] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12202), 1,
      sym_pow_operator,
    ACTIONS(12204), 1,
      sym_mult_operator,
    ACTIONS(12206), 1,
      anon_sym_COLON_COLON,
    STATE(2724), 1,
      sym_add_operator,
    STATE(10017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [524604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10818), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10816), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [524650] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10019), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16629), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10824), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10822), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [524778] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10021), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17494), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10692), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10690), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [524906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10788), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10786), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [524952] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12086), 1,
      anon_sym_LPAREN,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    ACTIONS(12288), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10024), 1,
      sym_attribute,
    STATE(10577), 1,
      sym__simple_type,
    STATE(11818), 1,
      sym__tuple_type,
    STATE(11933), 1,
      sym__type,
    STATE(18307), 1,
      sym_extended_module_path,
    STATE(20954), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10720), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10718), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [525080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10826), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [525126] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10027), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17698), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525208] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12236), 1,
      sym_pow_operator,
    ACTIONS(12238), 1,
      sym_mult_operator,
    ACTIONS(12240), 1,
      sym_concat_operator,
    ACTIONS(12264), 1,
      anon_sym_COMMA,
    ACTIONS(12268), 1,
      sym_rel_operator,
    ACTIONS(12270), 1,
      sym_and_operator,
    ACTIONS(12272), 1,
      sym_or_operator,
    ACTIONS(12274), 1,
      sym_assign_operator,
    STATE(2162), 1,
      sym_add_operator,
    STATE(10028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11461), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525276] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12202), 1,
      sym_pow_operator,
    STATE(2724), 1,
      sym_add_operator,
    STATE(10029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [525326] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12236), 1,
      sym_pow_operator,
    ACTIONS(12238), 1,
      sym_mult_operator,
    ACTIONS(12240), 1,
      sym_concat_operator,
    ACTIONS(12268), 1,
      sym_rel_operator,
    ACTIONS(12270), 1,
      sym_and_operator,
    STATE(2162), 1,
      sym_add_operator,
    STATE(10030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11461), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [525388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10736), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10734), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [525434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10762), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10760), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [525480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9060), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [525526] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12202), 1,
      sym_pow_operator,
    ACTIONS(12204), 1,
      sym_mult_operator,
    ACTIONS(12206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12208), 1,
      sym_concat_operator,
    STATE(2724), 1,
      sym_add_operator,
    STATE(10034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [525584] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12320), 1,
      anon_sym_PIPE,
    STATE(10035), 1,
      sym_attribute,
    STATE(10038), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [525634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10324), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10322), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [525680] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12320), 1,
      anon_sym_PIPE,
    STATE(10037), 1,
      sym_attribute,
    STATE(10038), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [525730] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12322), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10038), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [525778] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12202), 1,
      sym_pow_operator,
    ACTIONS(12204), 1,
      sym_mult_operator,
    ACTIONS(12206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12208), 1,
      sym_concat_operator,
    ACTIONS(12214), 1,
      sym_rel_operator,
    ACTIONS(12216), 1,
      sym_and_operator,
    ACTIONS(12218), 1,
      sym_or_operator,
    STATE(2724), 1,
      sym_add_operator,
    STATE(10039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11441), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11439), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [525842] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11338), 1,
      anon_sym_LT,
    ACTIONS(11340), 1,
      anon_sym_POUND,
    ACTIONS(11342), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12308), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10040), 1,
      sym_attribute,
    STATE(11848), 1,
      sym__simple_type,
    STATE(13448), 1,
      sym__tuple_type,
    STATE(13681), 1,
      sym__type,
    STATE(18119), 1,
      sym_extended_module_path,
    STATE(21702), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525924] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11338), 1,
      anon_sym_LT,
    ACTIONS(11340), 1,
      anon_sym_POUND,
    ACTIONS(11342), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12308), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10041), 1,
      sym_attribute,
    STATE(11848), 1,
      sym__simple_type,
    STATE(13448), 1,
      sym__tuple_type,
    STATE(13683), 1,
      sym__type,
    STATE(18119), 1,
      sym_extended_module_path,
    STATE(21702), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12325), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9058), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526052] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10043), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17162), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526134] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12016), 1,
      anon_sym_LPAREN,
    ACTIONS(12020), 1,
      anon_sym_LBRACK,
    ACTIONS(12022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12026), 1,
      anon_sym_LT,
    ACTIONS(12028), 1,
      anon_sym_POUND,
    ACTIONS(12030), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12032), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12034), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10044), 1,
      sym_attribute,
    STATE(10459), 1,
      sym__simple_type,
    STATE(11832), 1,
      sym__tuple_type,
    STATE(12031), 1,
      sym__type,
    STATE(18312), 1,
      sym_extended_module_path,
    STATE(22452), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11015), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526216] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11150), 1,
      anon_sym_LPAREN,
    ACTIONS(11152), 1,
      anon_sym_LBRACK,
    ACTIONS(11154), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11156), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11158), 1,
      anon_sym_LT,
    ACTIONS(11160), 1,
      anon_sym_POUND,
    ACTIONS(11162), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11164), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11166), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12200), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10045), 1,
      sym_attribute,
    STATE(12362), 1,
      sym__simple_type,
    STATE(14058), 1,
      sym__type,
    STATE(14143), 1,
      sym__tuple_type,
    STATE(18454), 1,
      sym_extended_module_path,
    STATE(22052), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13053), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526298] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      anon_sym_LPAREN,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    ACTIONS(12230), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10046), 1,
      sym_attribute,
    STATE(10210), 1,
      sym__simple_type,
    STATE(11492), 1,
      sym__tuple_type,
    STATE(11843), 1,
      sym__type,
    STATE(19026), 1,
      sym_extended_module_path,
    STATE(21423), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10326), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [526426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10278), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10276), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [526472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9180), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [526518] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12202), 1,
      sym_pow_operator,
    STATE(2724), 1,
      sym_add_operator,
    STATE(10050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [526568] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10051), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16556), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12329), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12327), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526696] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10053), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16829), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526778] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12236), 1,
      sym_pow_operator,
    ACTIONS(12238), 1,
      sym_mult_operator,
    STATE(2162), 1,
      sym_add_operator,
    STATE(10054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [526834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10780), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10778), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [526880] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11994), 1,
      anon_sym_LPAREN,
    ACTIONS(11998), 1,
      anon_sym_LBRACK,
    ACTIONS(12000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12004), 1,
      anon_sym_LT,
    ACTIONS(12006), 1,
      anon_sym_POUND,
    ACTIONS(12008), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12010), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12012), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12242), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10056), 1,
      sym_attribute,
    STATE(10486), 1,
      sym__simple_type,
    STATE(11839), 1,
      sym__tuple_type,
    STATE(12072), 1,
      sym__type,
    STATE(18344), 1,
      sym_extended_module_path,
    STATE(22163), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10801), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526962] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12320), 1,
      anon_sym_PIPE,
    STATE(10035), 1,
      aux_sym__match_cases_repeat1,
    STATE(10057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [527012] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10058), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16598), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [527094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10656), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10654), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [527140] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10060), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14218), 1,
      sym_tuple_type,
    STATE(15139), 1,
      sym__tuple_type,
    STATE(15510), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21572), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14455), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [527222] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12236), 1,
      sym_pow_operator,
    STATE(2162), 1,
      sym_add_operator,
    STATE(10061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [527272] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12320), 1,
      anon_sym_PIPE,
    STATE(10037), 1,
      aux_sym__match_cases_repeat1,
    STATE(10062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [527322] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12236), 1,
      sym_pow_operator,
    STATE(2162), 1,
      sym_add_operator,
    STATE(10063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [527372] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10064), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16632), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [527454] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12064), 1,
      anon_sym_LPAREN,
    ACTIONS(12068), 1,
      anon_sym_LBRACK,
    ACTIONS(12070), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12072), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12074), 1,
      anon_sym_LT,
    ACTIONS(12076), 1,
      anon_sym_POUND,
    ACTIONS(12078), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12080), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12082), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12232), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10065), 1,
      sym_attribute,
    STATE(10146), 1,
      sym__simple_type,
    STATE(10783), 1,
      sym__tuple_type,
    STATE(11209), 1,
      sym__type,
    STATE(18541), 1,
      sym_extended_module_path,
    STATE(21405), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10206), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [527536] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10066), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16872), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [527618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10724), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10722), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [527664] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10068), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16570), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [527746] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 12,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9042), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [527792] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12236), 1,
      sym_pow_operator,
    ACTIONS(12238), 1,
      sym_mult_operator,
    STATE(2162), 1,
      sym_add_operator,
    STATE(10070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [527844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10220), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [527890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10758), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10756), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [527936] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12169), 1,
      anon_sym_LPAREN,
    ACTIONS(12173), 1,
      anon_sym_LBRACK,
    ACTIONS(12175), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12177), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12179), 1,
      anon_sym_LT,
    ACTIONS(12181), 1,
      anon_sym_POUND,
    ACTIONS(12183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12187), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12248), 1,
      sym__identifier,
    STATE(10073), 1,
      sym_attribute,
    STATE(14111), 1,
      sym__simple_type,
    STATE(14218), 1,
      sym_tuple_type,
    STATE(14563), 1,
      sym__tuple_type,
    STATE(14602), 1,
      sym__type,
    STATE(19141), 1,
      sym_extended_module_path,
    STATE(20304), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14455), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14264), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [528018] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10074), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17684), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [528100] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10075), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16930), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [528182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10712), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10710), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [528228] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2673), 1,
      sym_add_operator,
    STATE(10077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [528276] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10078), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15621), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [528358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10204), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10202), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [528404] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10080), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16664), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [528486] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10081), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16889), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [528568] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10082), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(18230), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [528650] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10083), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(16678), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [528732] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10084), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(15954), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [528814] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      anon_sym_LPAREN,
    ACTIONS(11288), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11292), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11294), 1,
      anon_sym_LT,
    ACTIONS(11296), 1,
      anon_sym_POUND,
    ACTIONS(11298), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11300), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11302), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12210), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10085), 1,
      sym_attribute,
    STATE(13436), 1,
      sym__simple_type,
    STATE(14295), 1,
      sym__tuple_type,
    STATE(14545), 1,
      sym__type,
    STATE(18707), 1,
      sym_extended_module_path,
    STATE(21862), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14136), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [528896] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 12,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9126), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [528942] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11150), 1,
      anon_sym_LPAREN,
    ACTIONS(11152), 1,
      anon_sym_LBRACK,
    ACTIONS(11154), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11156), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11158), 1,
      anon_sym_LT,
    ACTIONS(11160), 1,
      anon_sym_POUND,
    ACTIONS(11162), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11164), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11166), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12200), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10087), 1,
      sym_attribute,
    STATE(12362), 1,
      sym__simple_type,
    STATE(14143), 1,
      sym__tuple_type,
    STATE(14171), 1,
      sym__type,
    STATE(18454), 1,
      sym_extended_module_path,
    STATE(22052), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13053), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [529024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10728), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10726), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8259), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8255), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10700), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10698), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10704), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(10702), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529208] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 12,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9060), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529254] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8693), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10868), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10093), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(14526), 1,
      sym__tuple_type,
    STATE(17817), 1,
      sym__type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(21729), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9355), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [529336] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12292), 1,
      sym_pow_operator,
    ACTIONS(12294), 1,
      sym_mult_operator,
    ACTIONS(12296), 1,
      sym_concat_operator,
    STATE(2673), 1,
      sym_add_operator,
    STATE(10094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [529394] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12236), 1,
      sym_pow_operator,
    ACTIONS(12238), 1,
      sym_mult_operator,
    ACTIONS(12240), 1,
      sym_concat_operator,
    ACTIONS(12264), 1,
      anon_sym_COMMA,
    ACTIONS(12268), 1,
      sym_rel_operator,
    ACTIONS(12270), 1,
      sym_and_operator,
    ACTIONS(12272), 1,
      sym_or_operator,
    ACTIONS(12274), 1,
      sym_assign_operator,
    ACTIONS(12331), 1,
      anon_sym_SEMI,
    STATE(2162), 1,
      sym_add_operator,
    STATE(10095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(5951), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10238), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10236), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12335), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12333), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12339), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12337), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12284), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12282), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529688] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8637), 1,
      anon_sym_COMMA,
    ACTIONS(8643), 1,
      anon_sym_COLON_COLON,
    STATE(10101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10314), 18,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9086), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9180), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12343), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12341), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12347), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12345), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10324), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10322), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [530007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10372), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10370), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [530052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9188), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10374), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [530142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9098), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [530187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10366), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [530232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9188), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [530277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12351), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12349), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530322] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(11859), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11861), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12355), 1,
      anon_sym_let,
    STATE(10115), 1,
      sym_attribute,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12074), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12353), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9082), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [530428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10256), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10254), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [530473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10334), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [530518] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12292), 1,
      sym_pow_operator,
    ACTIONS(12294), 1,
      sym_mult_operator,
    ACTIONS(12296), 1,
      sym_concat_operator,
    ACTIONS(12298), 1,
      sym_rel_operator,
    ACTIONS(12300), 1,
      sym_and_operator,
    ACTIONS(12302), 1,
      sym_or_operator,
    ACTIONS(12304), 1,
      anon_sym_COMMA,
    ACTIONS(12306), 1,
      sym_assign_operator,
    ACTIONS(12357), 1,
      anon_sym_SEMI,
    STATE(2673), 1,
      sym_add_operator,
    STATE(10119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530587] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(11859), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11861), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12361), 1,
      anon_sym_let,
    STATE(10120), 1,
      sym_attribute,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12025), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12359), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10234), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10232), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [530693] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12365), 1,
      sym__identifier,
    ACTIONS(12369), 1,
      anon_sym_POUND,
    STATE(10122), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_type_constructor_path,
    STATE(19000), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12367), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [530748] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12365), 1,
      sym__identifier,
    ACTIONS(12375), 1,
      anon_sym_POUND,
    STATE(10123), 1,
      sym_attribute,
    STATE(10219), 1,
      sym_type_constructor_path,
    STATE(19000), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12371), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12373), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [530803] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8643), 1,
      anon_sym_COLON_COLON,
    STATE(10124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10356), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10354), 19,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [530850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12379), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12377), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10230), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10228), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [530940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10242), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10240), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [530985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10282), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [531030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12383), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12381), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10270), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10268), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [531120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12387), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12385), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10290), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [531210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10326), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [531255] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8643), 1,
      anon_sym_COLON_COLON,
    STATE(10134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10344), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10342), 19,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [531302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8915), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8913), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [531347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9094), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [531392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9090), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [531437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10332), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10330), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [531482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10278), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10276), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [531527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10272), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [531572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10296), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10294), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [531617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12391), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12389), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10318), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [531707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9066), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [531752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10348), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10346), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [531797] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12365), 1,
      sym__identifier,
    ACTIONS(12375), 1,
      anon_sym_POUND,
    STATE(10146), 1,
      sym_attribute,
    STATE(10219), 1,
      sym_type_constructor_path,
    STATE(19000), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11212), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [531852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10352), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10350), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [531897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10306), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [531942] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(11859), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11861), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12395), 1,
      anon_sym_let,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(10149), 1,
      sym_attribute,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12393), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12397), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532048] = 21,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(12401), 1,
      anon_sym_type,
    ACTIONS(12403), 1,
      anon_sym_exception,
    ACTIONS(12405), 1,
      anon_sym_module,
    ACTIONS(12407), 1,
      anon_sym_include,
    ACTIONS(12409), 1,
      anon_sym_class,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12413), 1,
      anon_sym_end,
    STATE(10151), 1,
      sym_attribute,
    STATE(10175), 1,
      aux_sym__signature_repeat1,
    STATE(10200), 1,
      aux_sym__structure_repeat1,
    STATE(14165), 1,
      sym__signature_item,
    STATE(21547), 1,
      sym__signature,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14169), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [532125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10358), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10362), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10298), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9176), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10260), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10258), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10248), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10246), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532395] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12202), 1,
      sym_pow_operator,
    ACTIONS(12204), 1,
      sym_mult_operator,
    ACTIONS(12206), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12208), 1,
      sym_concat_operator,
    ACTIONS(12212), 1,
      anon_sym_COMMA,
    ACTIONS(12214), 1,
      sym_rel_operator,
    ACTIONS(12216), 1,
      sym_and_operator,
    ACTIONS(12218), 1,
      sym_or_operator,
    ACTIONS(12220), 1,
      sym_assign_operator,
    ACTIONS(12415), 1,
      anon_sym_SEMI,
    STATE(2724), 1,
      sym_add_operator,
    STATE(10158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10312), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10310), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532509] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9180), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10262), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10288), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10286), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10340), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10338), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9184), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12419), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12417), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10252), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10250), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9176), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10378), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10302), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [532959] = 21,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(12401), 1,
      anon_sym_type,
    ACTIONS(12403), 1,
      anon_sym_exception,
    ACTIONS(12405), 1,
      anon_sym_module,
    ACTIONS(12407), 1,
      anon_sym_include,
    ACTIONS(12409), 1,
      anon_sym_class,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12421), 1,
      anon_sym_end,
    STATE(10170), 1,
      sym_attribute,
    STATE(10175), 1,
      aux_sym__signature_repeat1,
    STATE(10200), 1,
      aux_sym__structure_repeat1,
    STATE(14165), 1,
      sym__signature_item,
    STATE(20472), 1,
      sym__signature,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14169), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [533036] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12423), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(12426), 1,
      anon_sym_external,
    ACTIONS(12429), 1,
      anon_sym_type,
    ACTIONS(12432), 1,
      anon_sym_exception,
    ACTIONS(12435), 1,
      anon_sym_module,
    ACTIONS(12438), 1,
      anon_sym_open,
    ACTIONS(12441), 1,
      anon_sym_include,
    ACTIONS(12444), 1,
      anon_sym_class,
    ACTIONS(12447), 1,
      anon_sym_val,
    ACTIONS(12450), 1,
      anon_sym_end,
    ACTIONS(12452), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12455), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12458), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(10345), 1,
      aux_sym__structure_repeat1,
    STATE(14165), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10171), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(14169), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [533108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12329), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(12327), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [533152] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12461), 1,
      sym__identifier,
    ACTIONS(12463), 1,
      anon_sym_POUND,
    STATE(10173), 1,
      sym_attribute,
    STATE(10515), 1,
      sym_type_constructor_path,
    STATE(19167), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11212), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [533206] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12423), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(12426), 1,
      anon_sym_external,
    ACTIONS(12438), 1,
      anon_sym_open,
    ACTIONS(12450), 1,
      anon_sym_RBRACK,
    ACTIONS(12452), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12455), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12458), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12465), 1,
      anon_sym_type,
    ACTIONS(12468), 1,
      anon_sym_exception,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12474), 1,
      anon_sym_include,
    ACTIONS(12477), 1,
      anon_sym_class,
    ACTIONS(12480), 1,
      anon_sym_val,
    STATE(10306), 1,
      aux_sym__structure_repeat1,
    STATE(14165), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10174), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(14169), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [533278] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(12401), 1,
      anon_sym_type,
    ACTIONS(12403), 1,
      anon_sym_exception,
    ACTIONS(12405), 1,
      anon_sym_module,
    ACTIONS(12407), 1,
      anon_sym_include,
    ACTIONS(12409), 1,
      anon_sym_class,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12483), 1,
      anon_sym_end,
    STATE(10171), 1,
      aux_sym__signature_repeat1,
    STATE(10175), 1,
      sym_attribute,
    STATE(10202), 1,
      aux_sym__structure_repeat1,
    STATE(14165), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14169), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [533352] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12461), 1,
      sym__identifier,
    ACTIONS(12463), 1,
      anon_sym_POUND,
    STATE(10176), 1,
      sym_attribute,
    STATE(10515), 1,
      sym_type_constructor_path,
    STATE(19167), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12371), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12373), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [533406] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12485), 1,
      anon_sym_COLON2,
    STATE(10177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10360), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [533452] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(11859), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11861), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12489), 1,
      anon_sym_let,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(10178), 1,
      sym_attribute,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12195), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12487), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [533512] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(11859), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11861), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12493), 1,
      anon_sym_let,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(10179), 1,
      sym_attribute,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12278), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12491), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [533572] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(12483), 1,
      anon_sym_RBRACK,
    ACTIONS(12495), 1,
      anon_sym_type,
    ACTIONS(12497), 1,
      anon_sym_exception,
    ACTIONS(12499), 1,
      anon_sym_module,
    ACTIONS(12501), 1,
      anon_sym_include,
    ACTIONS(12503), 1,
      anon_sym_class,
    ACTIONS(12505), 1,
      anon_sym_val,
    STATE(10174), 1,
      aux_sym__signature_repeat1,
    STATE(10180), 1,
      sym_attribute,
    STATE(10252), 1,
      aux_sym__structure_repeat1,
    STATE(14165), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14169), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [533646] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12507), 1,
      sym__identifier,
    ACTIONS(12509), 1,
      anon_sym_POUND,
    STATE(10181), 1,
      sym_attribute,
    STATE(10439), 1,
      sym_type_constructor_path,
    STATE(18796), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12367), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [533700] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12461), 1,
      sym__identifier,
    ACTIONS(12511), 1,
      anon_sym_POUND,
    STATE(10182), 1,
      sym_attribute,
    STATE(10529), 1,
      sym_type_constructor_path,
    STATE(19167), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12367), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [533754] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12507), 1,
      sym__identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12521), 1,
      anon_sym_POUND,
    STATE(10183), 1,
      sym_attribute,
    STATE(10367), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18796), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12515), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [533813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12525), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [533856] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12507), 1,
      sym__identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12521), 1,
      anon_sym_POUND,
    STATE(10185), 1,
      sym_attribute,
    STATE(10367), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18796), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12529), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [533915] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12531), 1,
      sym__identifier,
    ACTIONS(12533), 1,
      anon_sym_LPAREN,
    ACTIONS(12535), 1,
      anon_sym_LBRACK,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12539), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12541), 1,
      anon_sym_LT,
    ACTIONS(12543), 1,
      anon_sym_POUND,
    ACTIONS(12545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12549), 1,
      aux_sym_type_variable_token1,
    STATE(10186), 1,
      sym_attribute,
    STATE(10724), 1,
      sym__simple_type,
    STATE(11152), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(15984), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19201), 1,
      sym_extended_module_path,
    STATE(21133), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11890), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [533992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12551), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12553), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [534035] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12507), 1,
      sym__identifier,
    ACTIONS(12521), 1,
      anon_sym_POUND,
    STATE(10188), 1,
      sym_attribute,
    STATE(10367), 1,
      sym_type_constructor_path,
    STATE(18796), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12371), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12373), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [534088] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12555), 1,
      sym__identifier,
    ACTIONS(12557), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      anon_sym_LBRACK,
    ACTIONS(12561), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12563), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12565), 1,
      anon_sym_LT,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    ACTIONS(12569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12573), 1,
      aux_sym_type_variable_token1,
    STATE(10189), 1,
      sym_attribute,
    STATE(11084), 1,
      sym__simple_type,
    STATE(11461), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16101), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18853), 1,
      sym_extended_module_path,
    STATE(20525), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11967), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [534165] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12555), 1,
      sym__identifier,
    ACTIONS(12557), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      anon_sym_LBRACK,
    ACTIONS(12561), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12563), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12565), 1,
      anon_sym_LT,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    ACTIONS(12569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12573), 1,
      aux_sym_type_variable_token1,
    STATE(10190), 1,
      sym_attribute,
    STATE(11102), 1,
      sym__simple_type,
    STATE(11461), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16102), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18853), 1,
      sym_extended_module_path,
    STATE(20527), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11967), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [534242] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11240), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_POUND,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11246), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11248), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12575), 1,
      sym__identifier,
    STATE(10191), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11777), 1,
      sym__simple_type,
    STATE(11851), 1,
      sym_type_variable,
    STATE(16114), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19033), 1,
      sym_extended_module_path,
    STATE(20864), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12350), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [534319] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(12483), 1,
      anon_sym_RBRACK,
    ACTIONS(12495), 1,
      anon_sym_type,
    ACTIONS(12497), 1,
      anon_sym_exception,
    ACTIONS(12499), 1,
      anon_sym_module,
    ACTIONS(12501), 1,
      anon_sym_include,
    ACTIONS(12503), 1,
      anon_sym_class,
    ACTIONS(12505), 1,
      anon_sym_val,
    STATE(10192), 1,
      sym_attribute,
    STATE(14117), 1,
      aux_sym__structure_repeat1,
    STATE(14166), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14169), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [534390] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11240), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_POUND,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11246), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11248), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12575), 1,
      sym__identifier,
    STATE(10193), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11778), 1,
      sym__simple_type,
    STATE(11851), 1,
      sym_type_variable,
    STATE(16115), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19033), 1,
      sym_extended_module_path,
    STATE(20866), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12350), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [534467] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12485), 1,
      anon_sym_COLON2,
    STATE(10194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10360), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [534512] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12086), 1,
      anon_sym_LPAREN,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      sym__identifier,
    STATE(10195), 1,
      sym_attribute,
    STATE(10503), 1,
      sym__simple_type,
    STATE(10623), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16142), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18307), 1,
      sym_extended_module_path,
    STATE(21273), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10629), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [534589] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12086), 1,
      anon_sym_LPAREN,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      sym__identifier,
    STATE(10196), 1,
      sym_attribute,
    STATE(10504), 1,
      sym__simple_type,
    STATE(10623), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16143), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18307), 1,
      sym_extended_module_path,
    STATE(21282), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10629), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [534666] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11240), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_POUND,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11246), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11248), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12575), 1,
      sym__identifier,
    STATE(10197), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11799), 1,
      sym__simple_type,
    STATE(11851), 1,
      sym_type_variable,
    STATE(16116), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19033), 1,
      sym_extended_module_path,
    STATE(20888), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12350), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [534743] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12555), 1,
      sym__identifier,
    ACTIONS(12557), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      anon_sym_LBRACK,
    ACTIONS(12561), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12563), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12565), 1,
      anon_sym_LT,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    ACTIONS(12569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12573), 1,
      aux_sym_type_variable_token1,
    STATE(10198), 1,
      sym_attribute,
    STATE(11323), 1,
      sym__simple_type,
    STATE(11461), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16103), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18853), 1,
      sym_extended_module_path,
    STATE(20567), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11967), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [534820] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12086), 1,
      anon_sym_LPAREN,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      sym__identifier,
    STATE(10199), 1,
      sym_attribute,
    STATE(10547), 1,
      sym__simple_type,
    STATE(10623), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16145), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18307), 1,
      sym_extended_module_path,
    STATE(21302), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10629), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [534897] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(12401), 1,
      anon_sym_type,
    ACTIONS(12403), 1,
      anon_sym_exception,
    ACTIONS(12405), 1,
      anon_sym_module,
    ACTIONS(12407), 1,
      anon_sym_include,
    ACTIONS(12409), 1,
      anon_sym_class,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12483), 1,
      anon_sym_end,
    STATE(10200), 1,
      sym_attribute,
    STATE(14117), 1,
      aux_sym__structure_repeat1,
    STATE(14166), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14169), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [534968] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12507), 1,
      sym__identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12521), 1,
      anon_sym_POUND,
    STATE(10201), 1,
      sym_attribute,
    STATE(10367), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18796), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12581), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [535027] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(12401), 1,
      anon_sym_type,
    ACTIONS(12403), 1,
      anon_sym_exception,
    ACTIONS(12405), 1,
      anon_sym_module,
    ACTIONS(12407), 1,
      anon_sym_include,
    ACTIONS(12409), 1,
      anon_sym_class,
    ACTIONS(12411), 1,
      anon_sym_val,
    ACTIONS(12583), 1,
      anon_sym_end,
    STATE(10202), 1,
      sym_attribute,
    STATE(14117), 1,
      aux_sym__structure_repeat1,
    STATE(14166), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14169), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [535098] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12507), 1,
      sym__identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12521), 1,
      anon_sym_POUND,
    STATE(10203), 1,
      sym_attribute,
    STATE(10367), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18796), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12587), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [535157] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      anon_sym_LPAREN,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    ACTIONS(12589), 1,
      sym__identifier,
    STATE(10204), 1,
      sym_attribute,
    STATE(10249), 1,
      sym__simple_type,
    STATE(10379), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16050), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19026), 1,
      sym_extended_module_path,
    STATE(19669), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10300), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [535234] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      anon_sym_LPAREN,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    ACTIONS(12589), 1,
      sym__identifier,
    STATE(10205), 1,
      sym_attribute,
    STATE(10268), 1,
      sym__simple_type,
    STATE(10379), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16051), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19026), 1,
      sym_extended_module_path,
    STATE(19673), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10300), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [535311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12593), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [535354] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12531), 1,
      sym__identifier,
    ACTIONS(12533), 1,
      anon_sym_LPAREN,
    ACTIONS(12535), 1,
      anon_sym_LBRACK,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12539), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12541), 1,
      anon_sym_LT,
    ACTIONS(12543), 1,
      anon_sym_POUND,
    ACTIONS(12545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12549), 1,
      aux_sym_type_variable_token1,
    STATE(10207), 1,
      sym_attribute,
    STATE(10736), 1,
      sym__simple_type,
    STATE(11152), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(15978), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19201), 1,
      sym_extended_module_path,
    STATE(20757), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11890), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [535431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10256), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [535474] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12597), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12599), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(12595), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535519] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12507), 1,
      sym__identifier,
    ACTIONS(12521), 1,
      anon_sym_POUND,
    STATE(10210), 1,
      sym_attribute,
    STATE(10367), 1,
      sym_type_constructor_path,
    STATE(18796), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11212), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [535572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12603), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [535615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12607), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [535658] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11042), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12609), 1,
      sym__identifier,
    ACTIONS(12611), 1,
      anon_sym_LPAREN,
    ACTIONS(12613), 1,
      anon_sym_LBRACK,
    ACTIONS(12615), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12617), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12619), 1,
      anon_sym_LT,
    ACTIONS(12621), 1,
      anon_sym_POUND,
    ACTIONS(12623), 1,
      aux_sym_type_variable_token1,
    STATE(10213), 1,
      sym_attribute,
    STATE(10621), 1,
      sym__simple_type,
    STATE(10892), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16160), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18135), 1,
      sym_extended_module_path,
    STATE(21463), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11484), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [535735] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11042), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12609), 1,
      sym__identifier,
    ACTIONS(12611), 1,
      anon_sym_LPAREN,
    ACTIONS(12613), 1,
      anon_sym_LBRACK,
    ACTIONS(12615), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12617), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12619), 1,
      anon_sym_LT,
    ACTIONS(12621), 1,
      anon_sym_POUND,
    ACTIONS(12623), 1,
      aux_sym_type_variable_token1,
    STATE(10214), 1,
      sym_attribute,
    STATE(10619), 1,
      sym__simple_type,
    STATE(10892), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16161), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18135), 1,
      sym_extended_module_path,
    STATE(21465), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11484), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [535812] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12625), 1,
      sym__identifier,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(12629), 1,
      anon_sym_LBRACK,
    ACTIONS(12631), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12633), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12635), 1,
      anon_sym_LT,
    ACTIONS(12637), 1,
      anon_sym_POUND,
    ACTIONS(12639), 1,
      aux_sym_type_variable_token1,
    STATE(10215), 1,
      sym_attribute,
    STATE(10288), 1,
      sym__simple_type,
    STATE(10640), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16081), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19056), 1,
      sym_extended_module_path,
    STATE(20103), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11252), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [535889] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11042), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12609), 1,
      sym__identifier,
    ACTIONS(12611), 1,
      anon_sym_LPAREN,
    ACTIONS(12613), 1,
      anon_sym_LBRACK,
    ACTIONS(12615), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12617), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12619), 1,
      anon_sym_LT,
    ACTIONS(12621), 1,
      anon_sym_POUND,
    ACTIONS(12623), 1,
      aux_sym_type_variable_token1,
    STATE(10216), 1,
      sym_attribute,
    STATE(10606), 1,
      sym__simple_type,
    STATE(10892), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16163), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18135), 1,
      sym_extended_module_path,
    STATE(21494), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11484), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [535966] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12625), 1,
      sym__identifier,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(12629), 1,
      anon_sym_LBRACK,
    ACTIONS(12631), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12633), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12635), 1,
      anon_sym_LT,
    ACTIONS(12637), 1,
      anon_sym_POUND,
    ACTIONS(12639), 1,
      aux_sym_type_variable_token1,
    STATE(10217), 1,
      sym_attribute,
    STATE(10290), 1,
      sym__simple_type,
    STATE(10640), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16082), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19056), 1,
      sym_extended_module_path,
    STATE(20106), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11252), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [536043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12643), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [536086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12645), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12647), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [536129] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12651), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12653), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(12649), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536174] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(12661), 1,
      anon_sym_DOT,
    STATE(10221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12657), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12655), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536221] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11338), 1,
      anon_sym_LT,
    ACTIONS(11340), 1,
      anon_sym_POUND,
    ACTIONS(11342), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12663), 1,
      sym__identifier,
    STATE(10222), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11753), 1,
      sym_type_variable,
    STATE(11830), 1,
      sym__simple_type,
    STATE(16129), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18119), 1,
      sym_extended_module_path,
    STATE(21057), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12143), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [536298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12665), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12667), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [536341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12671), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [536384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12675), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [536427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12679), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [536470] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11338), 1,
      anon_sym_LT,
    ACTIONS(11340), 1,
      anon_sym_POUND,
    ACTIONS(11342), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12663), 1,
      sym__identifier,
    STATE(10227), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11753), 1,
      sym_type_variable,
    STATE(11831), 1,
      sym__simple_type,
    STATE(16130), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18119), 1,
      sym_extended_module_path,
    STATE(21061), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12143), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [536547] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12681), 1,
      sym__identifier,
    ACTIONS(12683), 1,
      anon_sym_POUND,
    STATE(10228), 1,
      sym_attribute,
    STATE(10641), 1,
      sym_type_constructor_path,
    STATE(18611), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12367), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [536600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12687), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [536643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12689), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12691), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [536686] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(10231), 1,
      sym_attribute,
    STATE(11124), 1,
      sym__simple_type,
    STATE(11375), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16219), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18900), 1,
      sym_extended_module_path,
    STATE(22253), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11970), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [536763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12711), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [536806] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      anon_sym_LPAREN,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    ACTIONS(12589), 1,
      sym__identifier,
    STATE(10183), 1,
      sym__simple_type,
    STATE(10233), 1,
      sym_attribute,
    STATE(10379), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16054), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19026), 1,
      sym_extended_module_path,
    STATE(19711), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10300), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [536883] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11338), 1,
      anon_sym_LT,
    ACTIONS(11340), 1,
      anon_sym_POUND,
    ACTIONS(11342), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12663), 1,
      sym__identifier,
    STATE(10234), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11753), 1,
      sym_type_variable,
    STATE(11837), 1,
      sym__simple_type,
    STATE(16133), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18119), 1,
      sym_extended_module_path,
    STATE(21088), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12143), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [536960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12327), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12329), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [537003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12713), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12715), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [537046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12717), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12719), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [537089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12721), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12723), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [537132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12727), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [537175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12731), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [537218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12733), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12735), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [537261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12737), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12739), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [537304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12743), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [537347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12747), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [537390] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12749), 1,
      sym__identifier,
    ACTIONS(12751), 1,
      anon_sym_LPAREN,
    ACTIONS(12753), 1,
      anon_sym_LBRACK,
    ACTIONS(12755), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12757), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12759), 1,
      anon_sym_LT,
    ACTIONS(12761), 1,
      anon_sym_POUND,
    ACTIONS(12763), 1,
      aux_sym_type_variable_token1,
    STATE(10245), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(14570), 1,
      sym__simple_type,
    STATE(14698), 1,
      sym_type_variable,
    STATE(15997), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18514), 1,
      sym_extended_module_path,
    STATE(21715), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14896), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [537467] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11984), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      sym__identifier,
    STATE(10246), 1,
      sym_attribute,
    STATE(10797), 1,
      sym__simple_type,
    STATE(11307), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16175), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19188), 1,
      sym_extended_module_path,
    STATE(21664), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11076), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [537544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12767), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12769), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [537587] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11984), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      sym__identifier,
    STATE(10248), 1,
      sym_attribute,
    STATE(10863), 1,
      sym__simple_type,
    STATE(11307), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16176), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19188), 1,
      sym_extended_module_path,
    STATE(21667), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11076), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [537664] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12507), 1,
      sym__identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12521), 1,
      anon_sym_POUND,
    STATE(10249), 1,
      sym_attribute,
    STATE(10367), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18796), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12771), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12773), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [537723] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11984), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      sym__identifier,
    STATE(10250), 1,
      sym_attribute,
    STATE(10841), 1,
      sym__simple_type,
    STATE(11307), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16178), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19188), 1,
      sym_extended_module_path,
    STATE(21686), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11076), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [537800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12775), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537843] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(12495), 1,
      anon_sym_type,
    ACTIONS(12497), 1,
      anon_sym_exception,
    ACTIONS(12499), 1,
      anon_sym_module,
    ACTIONS(12501), 1,
      anon_sym_include,
    ACTIONS(12503), 1,
      anon_sym_class,
    ACTIONS(12505), 1,
      anon_sym_val,
    ACTIONS(12583), 1,
      anon_sym_RBRACK,
    STATE(10252), 1,
      sym_attribute,
    STATE(14117), 1,
      aux_sym__structure_repeat1,
    STATE(14166), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14169), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [537914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12779), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12599), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537957] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12625), 1,
      sym__identifier,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(12629), 1,
      anon_sym_LBRACK,
    ACTIONS(12631), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12633), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12635), 1,
      anon_sym_LT,
    ACTIONS(12637), 1,
      anon_sym_POUND,
    ACTIONS(12639), 1,
      aux_sym_type_variable_token1,
    STATE(10254), 1,
      sym_attribute,
    STATE(10310), 1,
      sym__simple_type,
    STATE(10640), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16085), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19056), 1,
      sym_extended_module_path,
    STATE(20148), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11252), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [538034] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12781), 1,
      sym__identifier,
    ACTIONS(12783), 1,
      anon_sym_LPAREN,
    ACTIONS(12785), 1,
      anon_sym_LBRACK,
    ACTIONS(12787), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12789), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12791), 1,
      anon_sym_LT,
    ACTIONS(12793), 1,
      anon_sym_POUND,
    ACTIONS(12795), 1,
      aux_sym_type_variable_token1,
    STATE(10255), 1,
      sym_attribute,
    STATE(11156), 1,
      sym__simple_type,
    STATE(11454), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16193), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19094), 1,
      sym_extended_module_path,
    STATE(21852), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12013), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [538111] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12781), 1,
      sym__identifier,
    ACTIONS(12783), 1,
      anon_sym_LPAREN,
    ACTIONS(12785), 1,
      anon_sym_LBRACK,
    ACTIONS(12787), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12789), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12791), 1,
      anon_sym_LT,
    ACTIONS(12793), 1,
      anon_sym_POUND,
    ACTIONS(12795), 1,
      aux_sym_type_variable_token1,
    STATE(10256), 1,
      sym_attribute,
    STATE(11159), 1,
      sym__simple_type,
    STATE(11454), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16194), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19094), 1,
      sym_extended_module_path,
    STATE(21855), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12013), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [538188] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12781), 1,
      sym__identifier,
    ACTIONS(12783), 1,
      anon_sym_LPAREN,
    ACTIONS(12785), 1,
      anon_sym_LBRACK,
    ACTIONS(12787), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12789), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12791), 1,
      anon_sym_LT,
    ACTIONS(12793), 1,
      anon_sym_POUND,
    ACTIONS(12795), 1,
      aux_sym_type_variable_token1,
    STATE(10257), 1,
      sym_attribute,
    STATE(11324), 1,
      sym__simple_type,
    STATE(11454), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16196), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19094), 1,
      sym_extended_module_path,
    STATE(21878), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12013), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [538265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12327), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12329), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [538308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9178), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [538351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9182), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [538394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9186), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [538437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9190), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [538480] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      sym__identifier,
    STATE(10263), 1,
      sym_attribute,
    STATE(10768), 1,
      sym__simple_type,
    STATE(11147), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16206), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18475), 1,
      sym_extended_module_path,
    STATE(22034), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11230), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [538557] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      sym__identifier,
    STATE(10264), 1,
      sym_attribute,
    STATE(10771), 1,
      sym__simple_type,
    STATE(11147), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16207), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18475), 1,
      sym_extended_module_path,
    STATE(22037), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11230), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [538634] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12749), 1,
      sym__identifier,
    ACTIONS(12751), 1,
      anon_sym_LPAREN,
    ACTIONS(12753), 1,
      anon_sym_LBRACK,
    ACTIONS(12755), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12757), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12759), 1,
      anon_sym_LT,
    ACTIONS(12761), 1,
      anon_sym_POUND,
    ACTIONS(12763), 1,
      aux_sym_type_variable_token1,
    STATE(10265), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(14568), 1,
      sym__simple_type,
    STATE(14698), 1,
      sym_type_variable,
    STATE(15996), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18514), 1,
      sym_extended_module_path,
    STATE(21713), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14896), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [538711] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      sym__identifier,
    STATE(10266), 1,
      sym_attribute,
    STATE(10842), 1,
      sym__simple_type,
    STATE(11147), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16208), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18475), 1,
      sym_extended_module_path,
    STATE(22057), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11230), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [538788] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12749), 1,
      sym__identifier,
    ACTIONS(12751), 1,
      anon_sym_LPAREN,
    ACTIONS(12753), 1,
      anon_sym_LBRACK,
    ACTIONS(12755), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12757), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12759), 1,
      anon_sym_LT,
    ACTIONS(12761), 1,
      anon_sym_POUND,
    ACTIONS(12763), 1,
      aux_sym_type_variable_token1,
    STATE(10267), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(14560), 1,
      sym__simple_type,
    STATE(14698), 1,
      sym_type_variable,
    STATE(15998), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18514), 1,
      sym_extended_module_path,
    STATE(21846), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14896), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [538865] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12507), 1,
      sym__identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12521), 1,
      anon_sym_POUND,
    STATE(10268), 1,
      sym_attribute,
    STATE(10367), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18796), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12801), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [538924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10360), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [538967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12653), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539010] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12531), 1,
      sym__identifier,
    ACTIONS(12533), 1,
      anon_sym_LPAREN,
    ACTIONS(12535), 1,
      anon_sym_LBRACK,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12539), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12541), 1,
      anon_sym_LT,
    ACTIONS(12543), 1,
      anon_sym_POUND,
    ACTIONS(12545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12549), 1,
      aux_sym_type_variable_token1,
    STATE(10271), 1,
      sym_attribute,
    STATE(11053), 1,
      sym__simple_type,
    STATE(11152), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16487), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19201), 1,
      sym_extended_module_path,
    STATE(22067), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11890), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [539087] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(10272), 1,
      sym_attribute,
    STATE(11059), 1,
      sym__simple_type,
    STATE(11375), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16216), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18900), 1,
      sym_extended_module_path,
    STATE(22211), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11970), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [539164] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(10273), 1,
      sym_attribute,
    STATE(11060), 1,
      sym__simple_type,
    STATE(11375), 1,
      sym_type_variable,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(16217), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18900), 1,
      sym_extended_module_path,
    STATE(22219), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11970), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [539241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12807), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [539284] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(10275), 1,
      sym_attribute,
    STATE(11309), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(18900), 1,
      sym_extended_module_path,
    STATE(22282), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [539356] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12811), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12813), 1,
      anon_sym_GT,
    STATE(10276), 1,
      sym_attribute,
    STATE(14842), 1,
      sym__simple_type,
    STATE(16564), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [539428] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10358), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(12817), 1,
      anon_sym_let,
    ACTIONS(12819), 1,
      anon_sym_EQ,
    ACTIONS(12821), 1,
      anon_sym_COLON_EQ,
    ACTIONS(12823), 1,
      anon_sym_constraint,
    STATE(10277), 1,
      sym_attribute,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11094), 1,
      sym__type_equation,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11397), 1,
      aux_sym_type_binding_repeat1,
    STATE(11769), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539490] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12825), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12827), 1,
      anon_sym_GT,
    STATE(10278), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [539562] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12531), 1,
      sym__identifier,
    ACTIONS(12533), 1,
      anon_sym_LPAREN,
    ACTIONS(12535), 1,
      anon_sym_LBRACK,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12539), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12541), 1,
      anon_sym_LT,
    ACTIONS(12543), 1,
      anon_sym_POUND,
    ACTIONS(12545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12549), 1,
      aux_sym_type_variable_token1,
    STATE(10279), 1,
      sym_attribute,
    STATE(10935), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(19201), 1,
      sym_extended_module_path,
    STATE(19985), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11890), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [539634] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12829), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12831), 1,
      anon_sym_GT,
    STATE(10280), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [539706] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12833), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12835), 1,
      anon_sym_GT,
    STATE(10281), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [539778] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9082), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [539820] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12837), 1,
      sym__identifier,
    ACTIONS(12839), 1,
      anon_sym_POUND,
    STATE(10283), 1,
      sym_attribute,
    STATE(10815), 1,
      sym_type_constructor_path,
    STATE(19128), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12371), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12373), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [539872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12731), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [539914] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12625), 1,
      sym__identifier,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(12629), 1,
      anon_sym_LBRACK,
    ACTIONS(12631), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12633), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12635), 1,
      anon_sym_LT,
    ACTIONS(12637), 1,
      anon_sym_POUND,
    ACTIONS(12639), 1,
      aux_sym_type_variable_token1,
    STATE(10285), 1,
      sym_attribute,
    STATE(10382), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(19056), 1,
      sym_extended_module_path,
    STATE(20210), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11252), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [539986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12843), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12841), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540028] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12845), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12847), 1,
      anon_sym_GT,
    STATE(10287), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [540100] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12849), 1,
      sym__identifier,
    ACTIONS(12851), 1,
      anon_sym_POUND,
    STATE(10288), 1,
      sym_attribute,
    STATE(11251), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18558), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12771), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12773), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [540158] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12853), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12855), 1,
      anon_sym_GT,
    STATE(10289), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [540230] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12849), 1,
      sym__identifier,
    ACTIONS(12851), 1,
      anon_sym_POUND,
    STATE(10290), 1,
      sym_attribute,
    STATE(11251), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18558), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12801), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [540288] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12857), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12859), 1,
      anon_sym_GT,
    STATE(10291), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [540360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12713), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12715), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [540402] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12555), 1,
      sym__identifier,
    ACTIONS(12557), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      anon_sym_LBRACK,
    ACTIONS(12561), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12563), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12565), 1,
      anon_sym_LT,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    ACTIONS(12569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12573), 1,
      aux_sym_type_variable_token1,
    STATE(10293), 1,
      sym_attribute,
    STATE(11463), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11794), 1,
      sym__constructor_argument,
    STATE(18853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11967), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [540474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12717), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12719), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [540516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12721), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12723), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [540558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12525), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [540600] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9324), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [540642] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12555), 1,
      sym__identifier,
    ACTIONS(12557), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      anon_sym_LBRACK,
    ACTIONS(12561), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12563), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12565), 1,
      anon_sym_LT,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    ACTIONS(12569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12573), 1,
      aux_sym_type_variable_token1,
    STATE(10298), 1,
      sym_attribute,
    STATE(11463), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11797), 1,
      sym__constructor_argument,
    STATE(18853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11967), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [540714] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12861), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12863), 1,
      anon_sym_GT,
    STATE(10299), 1,
      sym_attribute,
    STATE(14820), 1,
      sym__simple_type,
    STATE(17027), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [540786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12593), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [540828] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9090), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [540870] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11240), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_POUND,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11246), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11248), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12575), 1,
      sym__identifier,
    STATE(10302), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11794), 1,
      sym__constructor_argument,
    STATE(12012), 1,
      sym__simple_type,
    STATE(19033), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12350), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [540942] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12865), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12867), 1,
      anon_sym_GT,
    STATE(10303), 1,
      sym_attribute,
    STATE(14802), 1,
      sym__simple_type,
    STATE(17136), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [541014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10360), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [541056] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11240), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_POUND,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11246), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11248), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12575), 1,
      sym__identifier,
    STATE(10305), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11797), 1,
      sym__constructor_argument,
    STATE(12012), 1,
      sym__simple_type,
    STATE(19033), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12350), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [541128] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(12495), 1,
      anon_sym_type,
    ACTIONS(12497), 1,
      anon_sym_exception,
    ACTIONS(12499), 1,
      anon_sym_module,
    ACTIONS(12501), 1,
      anon_sym_include,
    ACTIONS(12503), 1,
      anon_sym_class,
    ACTIONS(12505), 1,
      anon_sym_val,
    STATE(10306), 1,
      sym_attribute,
    STATE(14117), 1,
      aux_sym__structure_repeat1,
    STATE(14166), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14169), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [541196] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12869), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12871), 1,
      anon_sym_GT,
    STATE(10307), 1,
      sym_attribute,
    STATE(14829), 1,
      sym__simple_type,
    STATE(17347), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [541268] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9188), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [541310] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9074), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [541352] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12849), 1,
      sym__identifier,
    ACTIONS(12851), 1,
      anon_sym_POUND,
    STATE(10310), 1,
      sym_attribute,
    STATE(11251), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18558), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12515), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [541410] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12873), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12875), 1,
      anon_sym_GT,
    STATE(10311), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [541482] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12877), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12879), 1,
      anon_sym_GT,
    STATE(10312), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [541554] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12086), 1,
      anon_sym_LPAREN,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      sym__identifier,
    STATE(10313), 1,
      sym_attribute,
    STATE(10685), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11794), 1,
      sym__constructor_argument,
    STATE(18307), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [541626] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12086), 1,
      anon_sym_LPAREN,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      sym__identifier,
    STATE(10314), 1,
      sym_attribute,
    STATE(10685), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11797), 1,
      sym__constructor_argument,
    STATE(18307), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [541698] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9116), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [541740] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12681), 1,
      sym__identifier,
    ACTIONS(12881), 1,
      anon_sym_POUND,
    STATE(10316), 1,
      sym_attribute,
    STATE(10687), 1,
      sym_type_constructor_path,
    STATE(18611), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12371), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12373), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [541792] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12883), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12885), 1,
      anon_sym_GT,
    STATE(10317), 1,
      sym_attribute,
    STATE(14789), 1,
      sym__simple_type,
    STATE(17830), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [541864] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9176), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [541906] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11240), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_POUND,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11246), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11248), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12575), 1,
      sym__identifier,
    STATE(10319), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11893), 1,
      sym__constructor_argument,
    STATE(12012), 1,
      sym__simple_type,
    STATE(19033), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12350), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [541978] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9142), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [542020] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10358), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(12821), 1,
      anon_sym_COLON_EQ,
    ACTIONS(12823), 1,
      anon_sym_constraint,
    ACTIONS(12889), 1,
      anon_sym_let,
    ACTIONS(12891), 1,
      anon_sym_EQ,
    STATE(10321), 1,
      sym_attribute,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11266), 1,
      sym__type_equation,
    STATE(11416), 1,
      aux_sym_type_binding_repeat1,
    STATE(11804), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12887), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542082] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9218), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [542124] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12897), 1,
      anon_sym_LPAREN,
    STATE(10808), 1,
      sym_module_parameter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10323), 2,
      sym_attribute,
      aux_sym_module_binding_repeat1,
    ACTIONS(12895), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12893), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12902), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12900), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542212] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9094), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [542254] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11240), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_POUND,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11246), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11248), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12575), 1,
      sym__identifier,
    STATE(10326), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11806), 1,
      sym__simple_type,
    STATE(19033), 1,
      sym_extended_module_path,
    STATE(20910), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12350), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [542326] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9294), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [542368] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11240), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_POUND,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11246), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11248), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12575), 1,
      sym__identifier,
    STATE(10328), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11807), 1,
      sym__simple_type,
    STATE(19033), 1,
      sym_extended_module_path,
    STATE(20914), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12350), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [542440] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12904), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12906), 1,
      anon_sym_GT,
    STATE(10329), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [542512] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12749), 1,
      sym__identifier,
    ACTIONS(12751), 1,
      anon_sym_LPAREN,
    ACTIONS(12753), 1,
      anon_sym_LBRACK,
    ACTIONS(12755), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12757), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12759), 1,
      anon_sym_LT,
    ACTIONS(12761), 1,
      anon_sym_POUND,
    ACTIONS(12763), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12908), 1,
      anon_sym_LBRACE,
    STATE(10330), 1,
      sym_attribute,
    STATE(14690), 1,
      sym__simple_type,
    STATE(18514), 1,
      sym_extended_module_path,
    STATE(18758), 1,
      sym_record_declaration,
    STATE(18780), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14896), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [542584] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9076), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [542626] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9168), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [542668] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11240), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_POUND,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11246), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11248), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12575), 1,
      sym__identifier,
    STATE(10333), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11809), 1,
      sym__simple_type,
    STATE(19033), 1,
      sym_extended_module_path,
    STATE(20918), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12350), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [542740] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12086), 1,
      anon_sym_LPAREN,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      sym__identifier,
    STATE(10334), 1,
      sym_attribute,
    STATE(10685), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11893), 1,
      sym__constructor_argument,
    STATE(18307), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [542812] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12910), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12912), 1,
      anon_sym_GT,
    STATE(10335), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [542884] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12555), 1,
      sym__identifier,
    ACTIONS(12557), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      anon_sym_LBRACK,
    ACTIONS(12561), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12563), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12565), 1,
      anon_sym_LT,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    ACTIONS(12569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12573), 1,
      aux_sym_type_variable_token1,
    STATE(10336), 1,
      sym_attribute,
    STATE(11463), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11893), 1,
      sym__constructor_argument,
    STATE(18853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11967), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [542956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12679), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [542998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6587), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6585), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543040] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12914), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12916), 1,
      anon_sym_GT,
    STATE(10339), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [543112] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12531), 1,
      sym__identifier,
    ACTIONS(12533), 1,
      anon_sym_LPAREN,
    ACTIONS(12535), 1,
      anon_sym_LBRACK,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12539), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12541), 1,
      anon_sym_LT,
    ACTIONS(12543), 1,
      anon_sym_POUND,
    ACTIONS(12545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12549), 1,
      aux_sym_type_variable_token1,
    STATE(10340), 1,
      sym_attribute,
    STATE(10995), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(19201), 1,
      sym_extended_module_path,
    STATE(20222), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11890), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [543184] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12531), 1,
      sym__identifier,
    ACTIONS(12533), 1,
      anon_sym_LPAREN,
    ACTIONS(12535), 1,
      anon_sym_LBRACK,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12539), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12541), 1,
      anon_sym_LT,
    ACTIONS(12543), 1,
      anon_sym_POUND,
    ACTIONS(12545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12549), 1,
      aux_sym_type_variable_token1,
    STATE(10341), 1,
      sym_attribute,
    STATE(10802), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(19201), 1,
      sym_extended_module_path,
    STATE(20859), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11890), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [543256] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12918), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12920), 1,
      anon_sym_GT,
    STATE(10342), 1,
      sym_attribute,
    STATE(14839), 1,
      sym__simple_type,
    STATE(16874), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [543328] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12924), 1,
      anon_sym_let,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(12930), 1,
      anon_sym_COLON2,
    STATE(10343), 1,
      sym_attribute,
    STATE(10447), 1,
      aux_sym_module_binding_repeat1,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(11106), 1,
      sym__module_typed,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11844), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12926), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12922), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543388] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12086), 1,
      anon_sym_LPAREN,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      sym__identifier,
    STATE(10344), 1,
      sym_attribute,
    STATE(10552), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(18307), 1,
      sym_extended_module_path,
    STATE(21324), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [543460] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8691), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11714), 1,
      anon_sym_external,
    ACTIONS(11722), 1,
      anon_sym_open,
    ACTIONS(12401), 1,
      anon_sym_type,
    ACTIONS(12403), 1,
      anon_sym_exception,
    ACTIONS(12405), 1,
      anon_sym_module,
    ACTIONS(12407), 1,
      anon_sym_include,
    ACTIONS(12409), 1,
      anon_sym_class,
    ACTIONS(12411), 1,
      anon_sym_val,
    STATE(10345), 1,
      sym_attribute,
    STATE(14117), 1,
      aux_sym__structure_repeat1,
    STATE(14166), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14169), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [543528] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12086), 1,
      anon_sym_LPAREN,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      sym__identifier,
    STATE(10346), 1,
      sym_attribute,
    STATE(10553), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(18307), 1,
      sym_extended_module_path,
    STATE(21325), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [543600] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12932), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12934), 1,
      anon_sym_GT,
    STATE(10347), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [543672] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12849), 1,
      sym__identifier,
    ACTIONS(12851), 1,
      anon_sym_POUND,
    STATE(10348), 1,
      sym_attribute,
    STATE(11251), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18558), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12581), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [543730] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12086), 1,
      anon_sym_LPAREN,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      sym__identifier,
    STATE(10349), 1,
      sym_attribute,
    STATE(10573), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(18307), 1,
      sym_extended_module_path,
    STATE(21329), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [543802] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12936), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12938), 1,
      anon_sym_GT,
    STATE(10350), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [543874] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12849), 1,
      sym__identifier,
    ACTIONS(12851), 1,
      anon_sym_POUND,
    STATE(10351), 1,
      sym_attribute,
    STATE(11251), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18558), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12587), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [543932] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8915), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8913), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [543974] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9098), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [544016] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12749), 1,
      sym__identifier,
    ACTIONS(12751), 1,
      anon_sym_LPAREN,
    ACTIONS(12753), 1,
      anon_sym_LBRACK,
    ACTIONS(12755), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12757), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12759), 1,
      anon_sym_LT,
    ACTIONS(12761), 1,
      anon_sym_POUND,
    ACTIONS(12763), 1,
      aux_sym_type_variable_token1,
    STATE(10354), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(14589), 1,
      sym__simple_type,
    STATE(18514), 1,
      sym_extended_module_path,
    STATE(21924), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14896), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [544088] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12940), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12942), 1,
      anon_sym_GT,
    STATE(10355), 1,
      sym_attribute,
    STATE(14803), 1,
      sym__simple_type,
    STATE(16841), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [544160] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      anon_sym_LPAREN,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    ACTIONS(12589), 1,
      sym__identifier,
    STATE(10356), 1,
      sym_attribute,
    STATE(10429), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11794), 1,
      sym__constructor_argument,
    STATE(19026), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [544232] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      anon_sym_LPAREN,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    ACTIONS(12589), 1,
      sym__identifier,
    STATE(10357), 1,
      sym_attribute,
    STATE(10429), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11797), 1,
      sym__constructor_argument,
    STATE(19026), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [544304] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12944), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12946), 1,
      anon_sym_GT,
    STATE(10358), 1,
      sym_attribute,
    STATE(14813), 1,
      sym__simple_type,
    STATE(17216), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [544376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12607), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [544418] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12948), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12950), 1,
      anon_sym_GT,
    STATE(10360), 1,
      sym_attribute,
    STATE(14821), 1,
      sym__simple_type,
    STATE(16616), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [544490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12727), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [544532] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12653), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(9054), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544576] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12625), 1,
      sym__identifier,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(12629), 1,
      anon_sym_LBRACK,
    ACTIONS(12631), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12633), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12635), 1,
      anon_sym_LT,
    ACTIONS(12637), 1,
      anon_sym_POUND,
    ACTIONS(12639), 1,
      aux_sym_type_variable_token1,
    STATE(10363), 1,
      sym_attribute,
    STATE(10624), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11794), 1,
      sym__constructor_argument,
    STATE(19056), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11252), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [544648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12737), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12739), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [544690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12665), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12667), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [544732] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12952), 1,
      anon_sym_COLON2,
    STATE(10366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10360), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [544776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12645), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12647), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [544818] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12555), 1,
      sym__identifier,
    ACTIONS(12557), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      anon_sym_LBRACK,
    ACTIONS(12561), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12563), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12565), 1,
      anon_sym_LT,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    ACTIONS(12569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12573), 1,
      aux_sym_type_variable_token1,
    STATE(10368), 1,
      sym_attribute,
    STATE(11128), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(18853), 1,
      sym_extended_module_path,
    STATE(20607), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11967), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [544890] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12954), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12956), 1,
      anon_sym_GT,
    STATE(10369), 1,
      sym_attribute,
    STATE(14808), 1,
      sym__simple_type,
    STATE(17673), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [544962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12743), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [545004] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11042), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12609), 1,
      sym__identifier,
    ACTIONS(12611), 1,
      anon_sym_LPAREN,
    ACTIONS(12613), 1,
      anon_sym_LBRACK,
    ACTIONS(12615), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12617), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12619), 1,
      anon_sym_LT,
    ACTIONS(12621), 1,
      anon_sym_POUND,
    ACTIONS(12623), 1,
      aux_sym_type_variable_token1,
    STATE(10371), 1,
      sym_attribute,
    STATE(10967), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11794), 1,
      sym__constructor_argument,
    STATE(18135), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11484), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [545076] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12958), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12960), 1,
      anon_sym_GT,
    STATE(10372), 1,
      sym_attribute,
    STATE(14809), 1,
      sym__simple_type,
    STATE(17603), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [545148] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11042), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12609), 1,
      sym__identifier,
    ACTIONS(12611), 1,
      anon_sym_LPAREN,
    ACTIONS(12613), 1,
      anon_sym_LBRACK,
    ACTIONS(12615), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12617), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12619), 1,
      anon_sym_LT,
    ACTIONS(12621), 1,
      anon_sym_POUND,
    ACTIONS(12623), 1,
      aux_sym_type_variable_token1,
    STATE(10373), 1,
      sym_attribute,
    STATE(10967), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11797), 1,
      sym__constructor_argument,
    STATE(18135), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11484), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [545220] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12962), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12964), 1,
      anon_sym_GT,
    STATE(10374), 1,
      sym_attribute,
    STATE(14854), 1,
      sym__simple_type,
    STATE(16793), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [545292] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12555), 1,
      sym__identifier,
    ACTIONS(12557), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      anon_sym_LBRACK,
    ACTIONS(12561), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12563), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12565), 1,
      anon_sym_LT,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    ACTIONS(12569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12573), 1,
      aux_sym_type_variable_token1,
    STATE(10375), 1,
      sym_attribute,
    STATE(11173), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(18853), 1,
      sym_extended_module_path,
    STATE(20610), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11967), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [545364] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12966), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12968), 1,
      anon_sym_GT,
    STATE(10376), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [545436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12671), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [545478] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9052), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [545520] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12970), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12591), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12593), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [545564] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12625), 1,
      sym__identifier,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(12629), 1,
      anon_sym_LBRACK,
    ACTIONS(12631), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12633), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12635), 1,
      anon_sym_LT,
    ACTIONS(12637), 1,
      anon_sym_POUND,
    ACTIONS(12639), 1,
      aux_sym_type_variable_token1,
    STATE(10380), 1,
      sym_attribute,
    STATE(10624), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11797), 1,
      sym__constructor_argument,
    STATE(19056), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11252), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [545636] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11042), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12609), 1,
      sym__identifier,
    ACTIONS(12611), 1,
      anon_sym_LPAREN,
    ACTIONS(12613), 1,
      anon_sym_LBRACK,
    ACTIONS(12615), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12617), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12619), 1,
      anon_sym_LT,
    ACTIONS(12621), 1,
      anon_sym_POUND,
    ACTIONS(12623), 1,
      aux_sym_type_variable_token1,
    STATE(10381), 1,
      sym_attribute,
    STATE(10967), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11893), 1,
      sym__constructor_argument,
    STATE(18135), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11484), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [545708] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12849), 1,
      sym__identifier,
    ACTIONS(12851), 1,
      anon_sym_POUND,
    STATE(10382), 1,
      sym_attribute,
    STATE(11251), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18558), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12529), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [545766] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9122), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [545808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12747), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [545850] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11042), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12609), 1,
      sym__identifier,
    ACTIONS(12611), 1,
      anon_sym_LPAREN,
    ACTIONS(12613), 1,
      anon_sym_LBRACK,
    ACTIONS(12615), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12617), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12619), 1,
      anon_sym_LT,
    ACTIONS(12621), 1,
      anon_sym_POUND,
    ACTIONS(12623), 1,
      aux_sym_type_variable_token1,
    STATE(10385), 1,
      sym_attribute,
    STATE(10681), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(18135), 1,
      sym_extended_module_path,
    STATE(21512), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11484), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [545922] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11042), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12609), 1,
      sym__identifier,
    ACTIONS(12611), 1,
      anon_sym_LPAREN,
    ACTIONS(12613), 1,
      anon_sym_LBRACK,
    ACTIONS(12615), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12617), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12619), 1,
      anon_sym_LT,
    ACTIONS(12621), 1,
      anon_sym_POUND,
    ACTIONS(12623), 1,
      aux_sym_type_variable_token1,
    STATE(10386), 1,
      sym_attribute,
    STATE(10608), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(18135), 1,
      sym_extended_module_path,
    STATE(21514), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11484), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [545994] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12972), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12974), 1,
      anon_sym_GT,
    STATE(10387), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [546066] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_DOT,
    ACTIONS(12978), 1,
      anon_sym_POUND,
    ACTIONS(12980), 1,
      sym_hash_operator,
    STATE(10388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9166), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [546114] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8933), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [546156] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11042), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12609), 1,
      sym__identifier,
    ACTIONS(12611), 1,
      anon_sym_LPAREN,
    ACTIONS(12613), 1,
      anon_sym_LBRACK,
    ACTIONS(12615), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12617), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12619), 1,
      anon_sym_LT,
    ACTIONS(12621), 1,
      anon_sym_POUND,
    ACTIONS(12623), 1,
      aux_sym_type_variable_token1,
    STATE(10390), 1,
      sym_attribute,
    STATE(10615), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(18135), 1,
      sym_extended_module_path,
    STATE(21516), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11484), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [546228] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12982), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12984), 1,
      anon_sym_GT,
    STATE(10391), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [546300] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12986), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12988), 1,
      anon_sym_GT,
    STATE(10392), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [546372] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9146), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [546414] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9150), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [546456] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9154), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [546498] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9158), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [546540] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9162), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [546582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12687), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [546624] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9194), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [546666] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9198), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [546708] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9202), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [546750] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12990), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12992), 1,
      anon_sym_GT,
    STATE(10402), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [546822] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9206), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [546864] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9210), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [546906] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9214), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [546948] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12994), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12996), 1,
      anon_sym_GT,
    STATE(10406), 1,
      sym_attribute,
    STATE(14840), 1,
      sym__simple_type,
    STATE(16910), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [547020] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8903), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8905), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [547062] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9222), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [547104] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_DOT,
    STATE(10409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9226), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [547148] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9230), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [547190] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9234), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [547232] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11338), 1,
      anon_sym_LT,
    ACTIONS(11340), 1,
      anon_sym_POUND,
    ACTIONS(11342), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12663), 1,
      sym__identifier,
    STATE(10412), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11794), 1,
      sym__constructor_argument,
    STATE(11939), 1,
      sym__simple_type,
    STATE(18119), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [547304] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9238), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [547346] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9242), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [547388] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9246), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [547430] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11338), 1,
      anon_sym_LT,
    ACTIONS(11340), 1,
      anon_sym_POUND,
    ACTIONS(11342), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12663), 1,
      sym__identifier,
    STATE(10416), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11797), 1,
      sym__constructor_argument,
    STATE(11939), 1,
      sym__simple_type,
    STATE(18119), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [547502] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9250), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [547544] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9258), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [547586] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9262), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [547628] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9266), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [547670] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9270), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [547712] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9274), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [547754] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9278), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [547796] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9282), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [547838] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(12998), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13000), 1,
      anon_sym_GT,
    STATE(10425), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [547910] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9286), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [547952] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13002), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13004), 1,
      anon_sym_GT,
    STATE(10427), 1,
      sym_attribute,
    STATE(14801), 1,
      sym__simple_type,
    STATE(17614), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [548024] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9290), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [548066] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12507), 1,
      sym__identifier,
    ACTIONS(12521), 1,
      anon_sym_POUND,
    ACTIONS(13008), 1,
      anon_sym_STAR,
    STATE(10367), 1,
      sym_type_constructor_path,
    STATE(10429), 1,
      sym_attribute,
    STATE(11808), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18796), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12517), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13006), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [548122] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8921), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8923), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [548164] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8927), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [548206] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8931), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [548248] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9308), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [548290] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9312), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [548332] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9316), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [548374] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9320), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [548416] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8837), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8839), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [548458] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8841), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8843), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [548500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12689), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12691), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [548542] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8845), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8847), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [548584] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12555), 1,
      sym__identifier,
    ACTIONS(12557), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      anon_sym_LBRACK,
    ACTIONS(12561), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12563), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12565), 1,
      anon_sym_LT,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    ACTIONS(12569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12573), 1,
      aux_sym_type_variable_token1,
    STATE(10441), 1,
      sym_attribute,
    STATE(11134), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(18853), 1,
      sym_extended_module_path,
    STATE(20619), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11967), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [548656] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9304), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [548698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12807), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [548740] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13010), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13012), 1,
      anon_sym_GT,
    STATE(10444), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [548812] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13014), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13016), 1,
      anon_sym_GT,
    STATE(10445), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [548884] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13018), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13020), 1,
      anon_sym_GT,
    STATE(10446), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [548956] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(12930), 1,
      anon_sym_COLON2,
    ACTIONS(13024), 1,
      anon_sym_let,
    STATE(10323), 1,
      aux_sym_module_binding_repeat1,
    STATE(10447), 1,
      sym_attribute,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11332), 1,
      sym__module_typed,
    STATE(11803), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13026), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13022), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13030), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13028), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549058] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9328), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [549100] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      anon_sym_LPAREN,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    ACTIONS(12589), 1,
      sym__identifier,
    STATE(10429), 1,
      sym__simple_type,
    STATE(10450), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11893), 1,
      sym__constructor_argument,
    STATE(19026), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [549172] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12531), 1,
      sym__identifier,
    ACTIONS(12533), 1,
      anon_sym_LPAREN,
    ACTIONS(12535), 1,
      anon_sym_LBRACK,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12539), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12541), 1,
      anon_sym_LT,
    ACTIONS(12543), 1,
      anon_sym_POUND,
    ACTIONS(12545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12549), 1,
      aux_sym_type_variable_token1,
    STATE(10451), 1,
      sym_attribute,
    STATE(11148), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11794), 1,
      sym__constructor_argument,
    STATE(19201), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11890), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [549244] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13032), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13034), 1,
      anon_sym_GT,
    STATE(10452), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [549316] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13038), 1,
      anon_sym_GT,
    STATE(10453), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [549388] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11338), 1,
      anon_sym_LT,
    ACTIONS(11340), 1,
      anon_sym_POUND,
    ACTIONS(11342), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12663), 1,
      sym__identifier,
    STATE(10454), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11893), 1,
      sym__constructor_argument,
    STATE(11939), 1,
      sym__simple_type,
    STATE(18119), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [549460] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9086), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [549502] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13040), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13042), 1,
      anon_sym_GT,
    STATE(10456), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [549574] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12749), 1,
      sym__identifier,
    ACTIONS(12751), 1,
      anon_sym_LPAREN,
    ACTIONS(12753), 1,
      anon_sym_LBRACK,
    ACTIONS(12755), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12757), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12759), 1,
      anon_sym_LT,
    ACTIONS(12761), 1,
      anon_sym_POUND,
    ACTIONS(12763), 1,
      aux_sym_type_variable_token1,
    STATE(10457), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(14584), 1,
      sym__simple_type,
    STATE(18514), 1,
      sym_extended_module_path,
    STATE(21925), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14896), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [549646] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13044), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13046), 1,
      anon_sym_GT,
    STATE(10458), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [549718] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13048), 1,
      sym__identifier,
    ACTIONS(13050), 1,
      anon_sym_POUND,
    STATE(10459), 1,
      sym_attribute,
    STATE(10721), 1,
      sym_type_constructor_path,
    STATE(19029), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11212), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [549770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9178), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [549812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10360), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [549854] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9130), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [549896] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13052), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13054), 1,
      anon_sym_GT,
    STATE(10463), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [549968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13058), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13056), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550010] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13060), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13062), 1,
      anon_sym_GT,
    STATE(10465), 1,
      sym_attribute,
    STATE(14857), 1,
      sym__simple_type,
    STATE(17231), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550082] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13064), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13066), 1,
      anon_sym_GT,
    STATE(10466), 1,
      sym_attribute,
    STATE(14858), 1,
      sym__simple_type,
    STATE(16566), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550154] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11984), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      sym__identifier,
    STATE(10467), 1,
      sym_attribute,
    STATE(11171), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11794), 1,
      sym__constructor_argument,
    STATE(19188), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9182), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [550268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9186), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [550310] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12625), 1,
      sym__identifier,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(12629), 1,
      anon_sym_LBRACK,
    ACTIONS(12631), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12633), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12635), 1,
      anon_sym_LT,
    ACTIONS(12637), 1,
      anon_sym_POUND,
    ACTIONS(12639), 1,
      aux_sym_type_variable_token1,
    STATE(10348), 1,
      sym__simple_type,
    STATE(10470), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(19056), 1,
      sym_extended_module_path,
    STATE(20197), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11252), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550382] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11984), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      sym__identifier,
    STATE(10471), 1,
      sym_attribute,
    STATE(11171), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11797), 1,
      sym__constructor_argument,
    STATE(19188), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550454] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13068), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13070), 1,
      anon_sym_GT,
    STATE(10472), 1,
      sym_attribute,
    STATE(14810), 1,
      sym__simple_type,
    STATE(17365), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550526] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12837), 1,
      sym__identifier,
    ACTIONS(13072), 1,
      anon_sym_POUND,
    STATE(10473), 1,
      sym_attribute,
    STATE(10837), 1,
      sym_type_constructor_path,
    STATE(19128), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12367), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [550578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9190), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [550620] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11984), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      sym__identifier,
    STATE(10475), 1,
      sym_attribute,
    STATE(11171), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11893), 1,
      sym__constructor_argument,
    STATE(19188), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10256), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [550734] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12749), 1,
      sym__identifier,
    ACTIONS(12751), 1,
      anon_sym_LPAREN,
    ACTIONS(12753), 1,
      anon_sym_LBRACK,
    ACTIONS(12755), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12757), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12759), 1,
      anon_sym_LT,
    ACTIONS(12761), 1,
      anon_sym_POUND,
    ACTIONS(12763), 1,
      aux_sym_type_variable_token1,
    STATE(10477), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(14585), 1,
      sym__simple_type,
    STATE(18514), 1,
      sym_extended_module_path,
    STATE(21978), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14896), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550806] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11984), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      sym__identifier,
    STATE(10478), 1,
      sym_attribute,
    STATE(10745), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(19188), 1,
      sym_extended_module_path,
    STATE(21704), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550878] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11984), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      sym__identifier,
    STATE(10479), 1,
      sym_attribute,
    STATE(10757), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(19188), 1,
      sym_extended_module_path,
    STATE(21707), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550950] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13074), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13076), 1,
      anon_sym_GT,
    STATE(10480), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551022] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9102), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [551064] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11984), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      sym__identifier,
    STATE(10482), 1,
      sym_attribute,
    STATE(10820), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(19188), 1,
      sym_extended_module_path,
    STATE(21712), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551136] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13078), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13080), 1,
      anon_sym_GT,
    STATE(10483), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551208] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9106), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [551250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12711), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [551292] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12837), 1,
      sym__identifier,
    ACTIONS(12839), 1,
      anon_sym_POUND,
    STATE(10486), 1,
      sym_attribute,
    STATE(10815), 1,
      sym_type_constructor_path,
    STATE(19128), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11212), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [551344] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13082), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13084), 1,
      anon_sym_GT,
    STATE(10487), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551416] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9174), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [551458] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13086), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13088), 1,
      anon_sym_GT,
    STATE(10489), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551530] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9110), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [551572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12551), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12553), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [551614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12603), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [551656] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      anon_sym_LPAREN,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    ACTIONS(12589), 1,
      sym__identifier,
    STATE(10201), 1,
      sym__simple_type,
    STATE(10493), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(19026), 1,
      sym_extended_module_path,
    STATE(19745), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551728] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      anon_sym_LPAREN,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    ACTIONS(12589), 1,
      sym__identifier,
    STATE(10203), 1,
      sym__simple_type,
    STATE(10494), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(19026), 1,
      sym_extended_module_path,
    STATE(19747), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551800] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9114), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [551842] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9180), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [551884] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12625), 1,
      sym__identifier,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(12629), 1,
      anon_sym_LBRACK,
    ACTIONS(12631), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12633), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12635), 1,
      anon_sym_LT,
    ACTIONS(12637), 1,
      anon_sym_POUND,
    ACTIONS(12639), 1,
      aux_sym_type_variable_token1,
    STATE(10351), 1,
      sym__simple_type,
    STATE(10497), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(19056), 1,
      sym_extended_module_path,
    STATE(20199), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11252), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551956] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8855), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8857), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [551998] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11338), 1,
      anon_sym_LT,
    ACTIONS(11340), 1,
      anon_sym_POUND,
    ACTIONS(11342), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12663), 1,
      sym__identifier,
    STATE(10499), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11840), 1,
      sym__simple_type,
    STATE(18119), 1,
      sym_extended_module_path,
    STATE(21112), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552070] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13090), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13092), 1,
      anon_sym_GT,
    STATE(10500), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552142] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9184), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [552184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12593), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [552226] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12681), 1,
      sym__identifier,
    ACTIONS(12881), 1,
      anon_sym_POUND,
    STATE(10503), 1,
      sym_attribute,
    STATE(10687), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18611), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12771), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12773), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [552284] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12681), 1,
      sym__identifier,
    ACTIONS(12881), 1,
      anon_sym_POUND,
    STATE(10504), 1,
      sym_attribute,
    STATE(10687), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18611), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12801), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [552342] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13094), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13096), 1,
      anon_sym_GT,
    STATE(10505), 1,
      sym_attribute,
    STATE(14819), 1,
      sym__simple_type,
    STATE(18059), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552414] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12531), 1,
      sym__identifier,
    ACTIONS(12533), 1,
      anon_sym_LPAREN,
    ACTIONS(12535), 1,
      anon_sym_LBRACK,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12539), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12541), 1,
      anon_sym_LT,
    ACTIONS(12543), 1,
      anon_sym_POUND,
    ACTIONS(12545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12549), 1,
      aux_sym_type_variable_token1,
    STATE(10506), 1,
      sym_attribute,
    STATE(11148), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11797), 1,
      sym__constructor_argument,
    STATE(19201), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11890), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12733), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12735), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [552528] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12625), 1,
      sym__identifier,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(12629), 1,
      anon_sym_LBRACK,
    ACTIONS(12631), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12633), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12635), 1,
      anon_sym_LT,
    ACTIONS(12637), 1,
      anon_sym_POUND,
    ACTIONS(12639), 1,
      aux_sym_type_variable_token1,
    STATE(10508), 1,
      sym_attribute,
    STATE(10624), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11893), 1,
      sym__constructor_argument,
    STATE(19056), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11252), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552600] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11338), 1,
      anon_sym_LT,
    ACTIONS(11340), 1,
      anon_sym_POUND,
    ACTIONS(11342), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12663), 1,
      sym__identifier,
    STATE(10509), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11841), 1,
      sym__simple_type,
    STATE(18119), 1,
      sym_extended_module_path,
    STATE(21114), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552672] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13098), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13100), 1,
      anon_sym_GT,
    STATE(10510), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552744] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12976), 1,
      anon_sym_DOT,
    ACTIONS(12978), 1,
      anon_sym_POUND,
    ACTIONS(12980), 1,
      sym_hash_operator,
    STATE(10511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9300), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [552792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12603), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [552834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12607), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [552876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12643), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [552918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12645), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12647), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [552960] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12781), 1,
      sym__identifier,
    ACTIONS(12783), 1,
      anon_sym_LPAREN,
    ACTIONS(12785), 1,
      anon_sym_LBRACK,
    ACTIONS(12787), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12789), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12791), 1,
      anon_sym_LT,
    ACTIONS(12793), 1,
      anon_sym_POUND,
    ACTIONS(12795), 1,
      aux_sym_type_variable_token1,
    STATE(10516), 1,
      sym_attribute,
    STATE(11437), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11794), 1,
      sym__constructor_argument,
    STATE(19094), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12013), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [553032] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12781), 1,
      sym__identifier,
    ACTIONS(12783), 1,
      anon_sym_LPAREN,
    ACTIONS(12785), 1,
      anon_sym_LBRACK,
    ACTIONS(12787), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12789), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12791), 1,
      anon_sym_LT,
    ACTIONS(12793), 1,
      anon_sym_POUND,
    ACTIONS(12795), 1,
      aux_sym_type_variable_token1,
    STATE(10517), 1,
      sym_attribute,
    STATE(11437), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11797), 1,
      sym__constructor_argument,
    STATE(19094), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12013), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [553104] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8865), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8867), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [553146] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13102), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13104), 1,
      anon_sym_GT,
    STATE(10519), 1,
      sym_attribute,
    STATE(14797), 1,
      sym__simple_type,
    STATE(16722), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [553218] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13106), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13108), 1,
      anon_sym_GT,
    STATE(10520), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [553290] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      anon_sym_LPAREN,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    ACTIONS(12589), 1,
      sym__identifier,
    STATE(10185), 1,
      sym__simple_type,
    STATE(10521), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(19026), 1,
      sym_extended_module_path,
    STATE(19755), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [553362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12665), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12667), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [553404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12671), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [553446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12675), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [553488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12679), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [553530] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13110), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13112), 1,
      anon_sym_GT,
    STATE(10526), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [553602] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12781), 1,
      sym__identifier,
    ACTIONS(12783), 1,
      anon_sym_LPAREN,
    ACTIONS(12785), 1,
      anon_sym_LBRACK,
    ACTIONS(12787), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12789), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12791), 1,
      anon_sym_LT,
    ACTIONS(12793), 1,
      anon_sym_POUND,
    ACTIONS(12795), 1,
      aux_sym_type_variable_token1,
    STATE(10527), 1,
      sym_attribute,
    STATE(11437), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11893), 1,
      sym__constructor_argument,
    STATE(19094), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12013), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [553674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12687), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [553716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12689), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12691), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [553758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12807), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [553800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12711), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [553842] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12781), 1,
      sym__identifier,
    ACTIONS(12783), 1,
      anon_sym_LPAREN,
    ACTIONS(12785), 1,
      anon_sym_LBRACK,
    ACTIONS(12787), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12789), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12791), 1,
      anon_sym_LT,
    ACTIONS(12793), 1,
      anon_sym_POUND,
    ACTIONS(12795), 1,
      aux_sym_type_variable_token1,
    STATE(10532), 1,
      sym_attribute,
    STATE(11127), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(19094), 1,
      sym_extended_module_path,
    STATE(21893), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12013), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [553914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12713), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12715), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [553956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12717), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12719), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [553998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12721), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12723), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [554040] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12781), 1,
      sym__identifier,
    ACTIONS(12783), 1,
      anon_sym_LPAREN,
    ACTIONS(12785), 1,
      anon_sym_LBRACK,
    ACTIONS(12787), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12789), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12791), 1,
      anon_sym_LT,
    ACTIONS(12793), 1,
      anon_sym_POUND,
    ACTIONS(12795), 1,
      aux_sym_type_variable_token1,
    STATE(10536), 1,
      sym_attribute,
    STATE(11163), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(19094), 1,
      sym_extended_module_path,
    STATE(21895), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12013), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12727), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [554154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12731), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [554196] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13114), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13116), 1,
      anon_sym_GT,
    STATE(10539), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12733), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12735), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [554310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12737), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12739), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [554352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12743), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [554394] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12781), 1,
      sym__identifier,
    ACTIONS(12783), 1,
      anon_sym_LPAREN,
    ACTIONS(12785), 1,
      anon_sym_LBRACK,
    ACTIONS(12787), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12789), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12791), 1,
      anon_sym_LT,
    ACTIONS(12793), 1,
      anon_sym_POUND,
    ACTIONS(12795), 1,
      aux_sym_type_variable_token1,
    STATE(10543), 1,
      sym_attribute,
    STATE(11215), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(19094), 1,
      sym_extended_module_path,
    STATE(21897), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12013), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12747), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [554508] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13118), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13120), 1,
      anon_sym_GT,
    STATE(10545), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12767), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12769), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [554622] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12681), 1,
      sym__identifier,
    ACTIONS(12881), 1,
      anon_sym_POUND,
    STATE(10547), 1,
      sym_attribute,
    STATE(10687), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18611), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12515), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [554680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12675), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [554722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12327), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12329), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [554764] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12749), 1,
      sym__identifier,
    ACTIONS(12751), 1,
      anon_sym_LPAREN,
    ACTIONS(12753), 1,
      anon_sym_LBRACK,
    ACTIONS(12755), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12757), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12759), 1,
      anon_sym_LT,
    ACTIONS(12761), 1,
      anon_sym_POUND,
    ACTIONS(12763), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12908), 1,
      anon_sym_LBRACE,
    STATE(10550), 1,
      sym_attribute,
    STATE(14690), 1,
      sym__simple_type,
    STATE(18514), 1,
      sym_extended_module_path,
    STATE(18739), 1,
      sym__constructor_argument,
    STATE(18758), 1,
      sym_record_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14896), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554836] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13122), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13124), 1,
      anon_sym_GT,
    STATE(10551), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554908] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12681), 1,
      sym__identifier,
    ACTIONS(12881), 1,
      anon_sym_POUND,
    STATE(10552), 1,
      sym_attribute,
    STATE(10687), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18611), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12581), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [554966] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12681), 1,
      sym__identifier,
    ACTIONS(12881), 1,
      anon_sym_POUND,
    STATE(10553), 1,
      sym_attribute,
    STATE(10687), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18611), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12587), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [555024] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13126), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13128), 1,
      anon_sym_GT,
    STATE(10554), 1,
      sym_attribute,
    STATE(14831), 1,
      sym__simple_type,
    STATE(16611), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [555096] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13130), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13132), 1,
      anon_sym_GT,
    STATE(10555), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [555168] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      sym__identifier,
    STATE(10556), 1,
      sym_attribute,
    STATE(11115), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11794), 1,
      sym__constructor_argument,
    STATE(18475), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [555240] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      sym__identifier,
    STATE(10557), 1,
      sym_attribute,
    STATE(11115), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11797), 1,
      sym__constructor_argument,
    STATE(18475), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [555312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12525), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [555354] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13134), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13136), 1,
      anon_sym_GT,
    STATE(10559), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [555426] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13138), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13140), 1,
      anon_sym_GT,
    STATE(10560), 1,
      sym_attribute,
    STATE(14851), 1,
      sym__simple_type,
    STATE(17599), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [555498] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      sym__identifier,
    STATE(10561), 1,
      sym_attribute,
    STATE(11115), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11893), 1,
      sym__constructor_argument,
    STATE(18475), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [555570] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12749), 1,
      sym__identifier,
    ACTIONS(12751), 1,
      anon_sym_LPAREN,
    ACTIONS(12753), 1,
      anon_sym_LBRACK,
    ACTIONS(12755), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12757), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12759), 1,
      anon_sym_LT,
    ACTIONS(12761), 1,
      anon_sym_POUND,
    ACTIONS(12763), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12908), 1,
      anon_sym_LBRACE,
    STATE(10562), 1,
      sym_attribute,
    STATE(14690), 1,
      sym__simple_type,
    STATE(18514), 1,
      sym_extended_module_path,
    STATE(18574), 1,
      sym__constructor_argument,
    STATE(18758), 1,
      sym_record_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14896), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [555642] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      sym__identifier,
    STATE(10563), 1,
      sym_attribute,
    STATE(10936), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(18475), 1,
      sym_extended_module_path,
    STATE(22078), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [555714] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      sym__identifier,
    STATE(10564), 1,
      sym_attribute,
    STATE(10950), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(18475), 1,
      sym_extended_module_path,
    STATE(22079), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [555786] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13144), 1,
      anon_sym_GT,
    STATE(10565), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [555858] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      sym__identifier,
    STATE(10566), 1,
      sym_attribute,
    STATE(11041), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(18475), 1,
      sym_extended_module_path,
    STATE(22085), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [555930] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13146), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13148), 1,
      anon_sym_GT,
    STATE(10567), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [556002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12551), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12553), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [556044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9178), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [556086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9182), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [556128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9186), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [556170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9190), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [556212] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12681), 1,
      sym__identifier,
    ACTIONS(12881), 1,
      anon_sym_POUND,
    STATE(10573), 1,
      sym_attribute,
    STATE(10687), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18611), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12529), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [556270] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9066), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [556312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10256), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [556354] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13048), 1,
      sym__identifier,
    ACTIONS(13150), 1,
      anon_sym_POUND,
    STATE(10576), 1,
      sym_attribute,
    STATE(10774), 1,
      sym_type_constructor_path,
    STATE(19029), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12367), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [556406] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12681), 1,
      sym__identifier,
    ACTIONS(12881), 1,
      anon_sym_POUND,
    STATE(10577), 1,
      sym_attribute,
    STATE(10687), 1,
      sym_type_constructor_path,
    STATE(18611), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11212), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [556458] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(12531), 1,
      sym__identifier,
    ACTIONS(12533), 1,
      anon_sym_LPAREN,
    ACTIONS(12535), 1,
      anon_sym_LBRACK,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12539), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12541), 1,
      anon_sym_LT,
    ACTIONS(12543), 1,
      anon_sym_POUND,
    ACTIONS(12545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12549), 1,
      aux_sym_type_variable_token1,
    STATE(10578), 1,
      sym_attribute,
    STATE(11148), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11893), 1,
      sym__constructor_argument,
    STATE(19201), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11890), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [556530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12643), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [556572] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9134), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [556614] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(10581), 1,
      sym_attribute,
    STATE(11371), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11794), 1,
      sym__constructor_argument,
    STATE(18900), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [556686] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(10582), 1,
      sym_attribute,
    STATE(11371), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11797), 1,
      sym__constructor_argument,
    STATE(18900), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [556758] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13152), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13154), 1,
      anon_sym_GT,
    STATE(10583), 1,
      sym_attribute,
    STATE(14828), 1,
      sym__simple_type,
    STATE(16860), 1,
      sym_method_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [556830] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13048), 1,
      sym__identifier,
    ACTIONS(13050), 1,
      anon_sym_POUND,
    STATE(10584), 1,
      sym_attribute,
    STATE(10721), 1,
      sym_type_constructor_path,
    STATE(19029), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12371), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12373), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [556882] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(10585), 1,
      sym_attribute,
    STATE(11371), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11893), 1,
      sym__constructor_argument,
    STATE(18900), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [556954] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9068), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [556996] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11338), 1,
      anon_sym_LT,
    ACTIONS(11340), 1,
      anon_sym_POUND,
    ACTIONS(11342), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12663), 1,
      sym__identifier,
    STATE(10587), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(11842), 1,
      sym__simple_type,
    STATE(18119), 1,
      sym_extended_module_path,
    STATE(21116), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [557068] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13156), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13158), 1,
      anon_sym_GT,
    STATE(10588), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [557140] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(10589), 1,
      sym_attribute,
    STATE(11228), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(18900), 1,
      sym_extended_module_path,
    STATE(22278), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [557212] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10480), 1,
      anon_sym_LBRACE,
    ACTIONS(11182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(10590), 1,
      sym_attribute,
    STATE(11229), 1,
      sym__simple_type,
    STATE(11487), 1,
      sym_record_declaration,
    STATE(18900), 1,
      sym_extended_module_path,
    STATE(22279), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [557284] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    ACTIONS(13160), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13162), 1,
      anon_sym_GT,
    STATE(10591), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [557356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12767), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12769), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [557398] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13164), 1,
      anon_sym_COMMA,
    ACTIONS(13166), 1,
      anon_sym_SEMI,
    ACTIONS(13168), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13170), 1,
      sym_pow_operator,
    ACTIONS(13172), 1,
      sym_mult_operator,
    ACTIONS(13174), 1,
      sym_concat_operator,
    ACTIONS(13176), 1,
      sym_rel_operator,
    ACTIONS(13178), 1,
      sym_and_operator,
    ACTIONS(13180), 1,
      sym_or_operator,
    ACTIONS(13182), 1,
      sym_assign_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(10593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12679), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [557504] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13184), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10595), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18316), 1,
      sym__tuple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [557573] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13186), 1,
      anon_sym_PIPE,
    STATE(10596), 1,
      sym_attribute,
    STATE(10598), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [557618] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13186), 1,
      anon_sym_PIPE,
    STATE(10597), 1,
      sym_attribute,
    STATE(10601), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [557663] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13186), 1,
      anon_sym_PIPE,
    STATE(10598), 1,
      sym_attribute,
    STATE(10601), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [557708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9094), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [557749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10360), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [557790] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13188), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10601), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [557833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9178), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [557874] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13193), 1,
      anon_sym_let,
    ACTIONS(13195), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10603), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
    ACTIONS(13191), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [557919] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12485), 1,
      anon_sym_COLON2,
    STATE(10604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10360), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [557962] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13184), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10605), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18731), 1,
      sym__tuple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [558031] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13198), 1,
      sym__identifier,
    ACTIONS(13200), 1,
      anon_sym_POUND,
    STATE(10606), 1,
      sym_attribute,
    STATE(11360), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18936), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12515), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [558088] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13202), 1,
      sym__identifier,
    ACTIONS(13204), 1,
      anon_sym_POUND,
    STATE(10607), 1,
      sym_attribute,
    STATE(11162), 1,
      sym_type_constructor_path,
    STATE(18717), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12367), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [558139] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13198), 1,
      sym__identifier,
    ACTIONS(13200), 1,
      anon_sym_POUND,
    STATE(10608), 1,
      sym_attribute,
    STATE(11360), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18936), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12587), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [558196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9086), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [558237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10256), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [558278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9090), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [558319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9190), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [558360] = 20,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8083), 1,
      anon_sym_object,
    ACTIONS(9696), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9698), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13206), 1,
      sym__identifier,
    ACTIONS(13208), 1,
      anon_sym_let,
    ACTIONS(13210), 1,
      anon_sym_LPAREN,
    ACTIONS(13212), 1,
      anon_sym_BANG,
    ACTIONS(13214), 1,
      anon_sym_LBRACK,
    ACTIONS(13216), 1,
      anon_sym_fun,
    STATE(2900), 1,
      sym__simple_class_expression,
    STATE(10613), 1,
      sym_attribute,
    STATE(14254), 1,
      sym__class_expression,
    STATE(20009), 1,
      sym_module_path,
    STATE(22075), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9578), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [558431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12597), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12595), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558472] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13198), 1,
      sym__identifier,
    ACTIONS(13200), 1,
      anon_sym_POUND,
    STATE(10615), 1,
      sym_attribute,
    STATE(11360), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18936), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12529), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [558529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12731), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [558570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12713), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12715), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [558611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12733), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12735), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [558652] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13198), 1,
      sym__identifier,
    ACTIONS(13200), 1,
      anon_sym_POUND,
    STATE(10619), 1,
      sym_attribute,
    STATE(11360), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18936), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12801), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [558709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13220), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13218), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558750] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13198), 1,
      sym__identifier,
    ACTIONS(13200), 1,
      anon_sym_POUND,
    STATE(10621), 1,
      sym_attribute,
    STATE(11360), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18936), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12771), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12773), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [558807] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12507), 1,
      sym__identifier,
    ACTIONS(12521), 1,
      anon_sym_POUND,
    STATE(10367), 1,
      sym_type_constructor_path,
    STATE(10622), 1,
      sym_attribute,
    STATE(18796), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13222), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13224), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [558858] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12970), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12591), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12593), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [558901] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12849), 1,
      sym__identifier,
    ACTIONS(12851), 1,
      anon_sym_POUND,
    ACTIONS(13226), 1,
      anon_sym_STAR,
    STATE(10624), 1,
      sym_attribute,
    STATE(11251), 1,
      sym_type_constructor_path,
    STATE(12078), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18558), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12517), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13006), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [558956] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13184), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10625), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19077), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [559025] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(10626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 10,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9054), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [559068] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13184), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10627), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19113), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [559137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13230), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13228), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12593), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [559219] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13184), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10630), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18571), 1,
      sym__tuple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [559288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9082), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [559329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12717), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12719), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [559370] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2370), 1,
      sym_add_operator,
    STATE(10633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [559413] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10358), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(12817), 1,
      anon_sym_let,
    ACTIONS(13232), 1,
      anon_sym_EQ,
    ACTIONS(13234), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13236), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(10634), 1,
      sym_attribute,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11469), 1,
      sym__type_equation,
    STATE(11769), 1,
      aux_sym_expression_item_repeat1,
    STATE(11856), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559474] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12485), 1,
      anon_sym_COLON2,
    STATE(10635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10360), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [559517] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13238), 1,
      anon_sym_else,
    STATE(9358), 1,
      sym_else_clause,
    STATE(10636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [559562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12721), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12723), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [559603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12329), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(12327), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [559644] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13184), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10639), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18689), 1,
      sym__tuple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [559713] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12970), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12591), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12593), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [559756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12689), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12691), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [559797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12551), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12553), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [559838] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13240), 1,
      anon_sym_else,
    STATE(9350), 1,
      sym_else_clause,
    STATE(10643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [559883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12687), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [559924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12327), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12329), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [559965] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13240), 1,
      anon_sym_else,
    STATE(9358), 1,
      sym_else_clause,
    STATE(10646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [560010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9098), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [560051] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13238), 1,
      anon_sym_else,
    STATE(9350), 1,
      sym_else_clause,
    STATE(10648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [560096] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12924), 1,
      anon_sym_let,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(13242), 1,
      anon_sym_COLON2,
    STATE(10649), 1,
      sym_attribute,
    STATE(10699), 1,
      aux_sym_module_binding_repeat1,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(11106), 1,
      sym__module_typed,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11844), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12926), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12922), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560155] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13168), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13170), 1,
      sym_pow_operator,
    ACTIONS(13172), 1,
      sym_mult_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(10650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [560206] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13170), 1,
      sym_pow_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(10651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [560251] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13170), 1,
      sym_pow_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(10652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [560296] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13168), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13170), 1,
      sym_pow_operator,
    ACTIONS(13172), 1,
      sym_mult_operator,
    ACTIONS(13174), 1,
      sym_concat_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(10653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [560349] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13248), 1,
      anon_sym_LPAREN,
    ACTIONS(13250), 1,
      anon_sym_LBRACK,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    STATE(10654), 1,
      sym_attribute,
    STATE(11537), 1,
      sym__constructor_name,
    STATE(12060), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13246), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13252), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13244), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12665), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12667), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [560443] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13168), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13170), 1,
      sym_pow_operator,
    ACTIONS(13172), 1,
      sym_mult_operator,
    ACTIONS(13174), 1,
      sym_concat_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(10656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [560496] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13168), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13170), 1,
      sym_pow_operator,
    ACTIONS(13172), 1,
      sym_mult_operator,
    ACTIONS(13174), 1,
      sym_concat_operator,
    ACTIONS(13176), 1,
      sym_rel_operator,
    ACTIONS(13178), 1,
      sym_and_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(10657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11461), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [560553] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13168), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13170), 1,
      sym_pow_operator,
    ACTIONS(13172), 1,
      sym_mult_operator,
    ACTIONS(13174), 1,
      sym_concat_operator,
    ACTIONS(13176), 1,
      sym_rel_operator,
    ACTIONS(13178), 1,
      sym_and_operator,
    ACTIONS(13180), 1,
      sym_or_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(10658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [560612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12807), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [560653] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13164), 1,
      anon_sym_COMMA,
    ACTIONS(13168), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13170), 1,
      sym_pow_operator,
    ACTIONS(13172), 1,
      sym_mult_operator,
    ACTIONS(13174), 1,
      sym_concat_operator,
    ACTIONS(13176), 1,
      sym_rel_operator,
    ACTIONS(13178), 1,
      sym_and_operator,
    ACTIONS(13180), 1,
      sym_or_operator,
    ACTIONS(13182), 1,
      sym_assign_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(10660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [560716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13258), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13256), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12603), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [560798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12607), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [560839] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13170), 1,
      sym_pow_operator,
    ACTIONS(13172), 1,
      sym_mult_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(10664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [560886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12671), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [560927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12737), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12739), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [560968] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13164), 1,
      anon_sym_COMMA,
    ACTIONS(13168), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13170), 1,
      sym_pow_operator,
    ACTIONS(13172), 1,
      sym_mult_operator,
    ACTIONS(13174), 1,
      sym_concat_operator,
    ACTIONS(13176), 1,
      sym_rel_operator,
    ACTIONS(13178), 1,
      sym_and_operator,
    ACTIONS(13180), 1,
      sym_or_operator,
    ACTIONS(13182), 1,
      sym_assign_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(10667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11471), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [561031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12651), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12649), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9182), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [561113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12743), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [561154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9186), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [561195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12747), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [561236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12675), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [561277] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13164), 1,
      anon_sym_COMMA,
    ACTIONS(13168), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13170), 1,
      sym_pow_operator,
    ACTIONS(13172), 1,
      sym_mult_operator,
    ACTIONS(13174), 1,
      sym_concat_operator,
    ACTIONS(13176), 1,
      sym_rel_operator,
    ACTIONS(13178), 1,
      sym_and_operator,
    ACTIONS(13180), 1,
      sym_or_operator,
    ACTIONS(13182), 1,
      sym_assign_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(10674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11477), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [561340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12327), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12329), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [561381] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12952), 1,
      anon_sym_COLON2,
    STATE(10676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10360), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [561424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13262), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13260), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561465] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12849), 1,
      sym__identifier,
    ACTIONS(13264), 1,
      anon_sym_POUND,
    STATE(10678), 1,
      sym_attribute,
    STATE(11294), 1,
      sym_type_constructor_path,
    STATE(18558), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12367), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [561516] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13184), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10679), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19194), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [561585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12643), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [561626] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13198), 1,
      sym__identifier,
    ACTIONS(13200), 1,
      anon_sym_POUND,
    STATE(10681), 1,
      sym_attribute,
    STATE(11360), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18936), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12581), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [561683] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13184), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10682), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18718), 1,
      sym__tuple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [561752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13268), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13266), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561793] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13184), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10684), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18763), 1,
      sym__tuple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [561862] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12681), 1,
      sym__identifier,
    ACTIONS(12881), 1,
      anon_sym_POUND,
    ACTIONS(13270), 1,
      anon_sym_STAR,
    STATE(10685), 1,
      sym_attribute,
    STATE(10687), 1,
      sym_type_constructor_path,
    STATE(11929), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18611), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12517), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13006), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [561917] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13272), 1,
      sym__identifier,
    ACTIONS(13274), 1,
      anon_sym_POUND,
    STATE(10686), 1,
      sym_attribute,
    STATE(11200), 1,
      sym_type_constructor_path,
    STATE(18863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12367), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [561968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12645), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12647), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [562009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13278), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13276), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12767), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12769), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [562091] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(10690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 10,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9054), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [562134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12525), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [562175] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13164), 1,
      anon_sym_COMMA,
    ACTIONS(13168), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13170), 1,
      sym_pow_operator,
    ACTIONS(13172), 1,
      sym_mult_operator,
    ACTIONS(13174), 1,
      sym_concat_operator,
    ACTIONS(13176), 1,
      sym_rel_operator,
    ACTIONS(13178), 1,
      sym_and_operator,
    ACTIONS(13180), 1,
      sym_or_operator,
    ACTIONS(13182), 1,
      sym_assign_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(10692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [562238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12711), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [562279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13280), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
    ACTIONS(13282), 13,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      sym__identifier,
  [562320] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10358), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(12889), 1,
      anon_sym_let,
    ACTIONS(13234), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13236), 1,
      anon_sym_constraint,
    ACTIONS(13284), 1,
      anon_sym_EQ,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(10695), 1,
      sym_attribute,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11418), 1,
      sym__type_equation,
    STATE(11804), 1,
      aux_sym_expression_item_repeat1,
    STATE(11853), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12887), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12727), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [562422] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13186), 1,
      anon_sym_PIPE,
    STATE(10597), 1,
      aux_sym__match_cases_repeat1,
    STATE(10697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [562467] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13184), 1,
      sym__identifier,
    STATE(9024), 1,
      sym_tuple_type,
    STATE(10698), 1,
      sym_attribute,
    STATE(13128), 1,
      sym__simple_type,
    STATE(18892), 1,
      sym__tuple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [562536] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(13024), 1,
      anon_sym_let,
    ACTIONS(13242), 1,
      anon_sym_COLON2,
    STATE(10323), 1,
      aux_sym_module_binding_repeat1,
    STATE(10699), 1,
      sym_attribute,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11332), 1,
      sym__module_typed,
    STATE(11803), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13026), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13022), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562595] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13168), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13170), 1,
      sym_pow_operator,
    ACTIONS(13172), 1,
      sym_mult_operator,
    ACTIONS(13174), 1,
      sym_concat_operator,
    ACTIONS(13176), 1,
      sym_rel_operator,
    ACTIONS(13178), 1,
      sym_and_operator,
    ACTIONS(13180), 1,
      sym_or_operator,
    STATE(2370), 1,
      sym_add_operator,
    STATE(10700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11441), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [562654] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7411), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13286), 1,
      sym__identifier,
    ACTIONS(13288), 1,
      anon_sym_let,
    ACTIONS(13290), 1,
      anon_sym_LPAREN,
    ACTIONS(13292), 1,
      anon_sym_LBRACK,
    ACTIONS(13294), 1,
      anon_sym_fun,
    STATE(2870), 1,
      sym__simple_class_expression,
    STATE(10701), 1,
      sym_attribute,
    STATE(11730), 1,
      sym__class_expression,
    STATE(20439), 1,
      sym_module_path,
    STATE(21031), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8831), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [562722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12679), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [562762] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13296), 1,
      sym__identifier,
    ACTIONS(13298), 1,
      anon_sym_let,
    ACTIONS(13300), 1,
      anon_sym_LPAREN,
    ACTIONS(13302), 1,
      anon_sym_LBRACK,
    ACTIONS(13304), 1,
      anon_sym_object,
    ACTIONS(13306), 1,
      anon_sym_fun,
    ACTIONS(13308), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13310), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2835), 1,
      sym__simple_class_expression,
    STATE(10703), 1,
      sym_attribute,
    STATE(11730), 1,
      sym__class_expression,
    STATE(19716), 1,
      sym_module_path,
    STATE(20478), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8334), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [562830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13314), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13312), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562870] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7451), 1,
      anon_sym_object,
    ACTIONS(9714), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13316), 1,
      sym__identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_fun,
    STATE(2871), 1,
      sym__simple_class_expression,
    STATE(10705), 1,
      sym_attribute,
    STATE(11815), 1,
      sym__class_expression,
    STATE(20086), 1,
      sym_module_path,
    STATE(20834), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8784), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [562938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12733), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12735), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [562978] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13326), 1,
      anon_sym_COMMA,
    ACTIONS(13328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13330), 1,
      sym_pow_operator,
    ACTIONS(13332), 1,
      sym_mult_operator,
    ACTIONS(13334), 1,
      sym_concat_operator,
    ACTIONS(13336), 1,
      sym_rel_operator,
    ACTIONS(13338), 1,
      sym_and_operator,
    ACTIONS(13340), 1,
      sym_or_operator,
    ACTIONS(13342), 1,
      sym_assign_operator,
    STATE(2695), 1,
      sym_add_operator,
    STATE(10707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11477), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [563040] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13348), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(10708), 1,
      sym_attribute,
    STATE(10819), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13346), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13344), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563086] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12507), 1,
      sym__identifier,
    ACTIONS(12521), 1,
      anon_sym_POUND,
    STATE(10367), 1,
      sym_type_constructor_path,
    STATE(10709), 1,
      sym_attribute,
    STATE(18796), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13350), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13352), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [563136] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13296), 1,
      sym__identifier,
    ACTIONS(13298), 1,
      anon_sym_let,
    ACTIONS(13300), 1,
      anon_sym_LPAREN,
    ACTIONS(13302), 1,
      anon_sym_LBRACK,
    ACTIONS(13304), 1,
      anon_sym_object,
    ACTIONS(13306), 1,
      anon_sym_fun,
    ACTIONS(13308), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13310), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2835), 1,
      sym__simple_class_expression,
    STATE(10710), 1,
      sym_attribute,
    STATE(11745), 1,
      sym__class_expression,
    STATE(19716), 1,
      sym_module_path,
    STATE(20478), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8334), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [563204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12737), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12739), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [563244] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13296), 1,
      sym__identifier,
    ACTIONS(13298), 1,
      anon_sym_let,
    ACTIONS(13300), 1,
      anon_sym_LPAREN,
    ACTIONS(13302), 1,
      anon_sym_LBRACK,
    ACTIONS(13304), 1,
      anon_sym_object,
    ACTIONS(13306), 1,
      anon_sym_fun,
    ACTIONS(13308), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13310), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2835), 1,
      sym__simple_class_expression,
    STATE(10712), 1,
      sym_attribute,
    STATE(11757), 1,
      sym__class_expression,
    STATE(19716), 1,
      sym_module_path,
    STATE(20478), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8334), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [563312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12743), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [563352] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13348), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(10714), 1,
      sym_attribute,
    STATE(10887), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13346), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13344), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12747), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [563438] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13354), 1,
      anon_sym_DOT,
    ACTIONS(13356), 1,
      anon_sym_POUND,
    ACTIONS(13358), 1,
      sym_hash_operator,
    STATE(10716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10798), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10796), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13362), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13360), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563524] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7411), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13286), 1,
      sym__identifier,
    ACTIONS(13288), 1,
      anon_sym_let,
    ACTIONS(13290), 1,
      anon_sym_LPAREN,
    ACTIONS(13292), 1,
      anon_sym_LBRACK,
    ACTIONS(13294), 1,
      anon_sym_fun,
    STATE(2870), 1,
      sym__simple_class_expression,
    STATE(10718), 1,
      sym_attribute,
    STATE(11728), 1,
      sym__class_expression,
    STATE(20439), 1,
      sym_module_path,
    STATE(21031), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8831), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [563592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12643), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [563632] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13374), 1,
      anon_sym_fun,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10720), 1,
      sym_attribute,
    STATE(11702), 1,
      sym__class_expression,
    STATE(21583), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [563700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12645), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12647), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [563740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12767), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12769), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [563780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9142), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563820] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13380), 1,
      sym__identifier,
    ACTIONS(13382), 1,
      anon_sym_POUND,
    STATE(10724), 1,
      sym_attribute,
    STATE(11556), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12801), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [563876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9174), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563916] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13296), 1,
      sym__identifier,
    ACTIONS(13298), 1,
      anon_sym_let,
    ACTIONS(13300), 1,
      anon_sym_LPAREN,
    ACTIONS(13302), 1,
      anon_sym_LBRACK,
    ACTIONS(13304), 1,
      anon_sym_object,
    ACTIONS(13306), 1,
      anon_sym_fun,
    ACTIONS(13308), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13310), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2835), 1,
      sym__simple_class_expression,
    STATE(10448), 1,
      sym__class_expression,
    STATE(10726), 1,
      sym_attribute,
    STATE(19716), 1,
      sym_module_path,
    STATE(20478), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8334), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [563984] = 18,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      sym__identifier,
    STATE(10727), 1,
      sym_attribute,
    STATE(14970), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    STATE(19069), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [564050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10256), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [564090] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13384), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13386), 1,
      sym_pow_operator,
    ACTIONS(13388), 1,
      sym_mult_operator,
    ACTIONS(13390), 1,
      sym_concat_operator,
    ACTIONS(13392), 1,
      sym_rel_operator,
    ACTIONS(13394), 1,
      sym_and_operator,
    ACTIONS(13396), 1,
      sym_or_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [564148] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13296), 1,
      sym__identifier,
    ACTIONS(13298), 1,
      anon_sym_let,
    ACTIONS(13300), 1,
      anon_sym_LPAREN,
    ACTIONS(13302), 1,
      anon_sym_LBRACK,
    ACTIONS(13304), 1,
      anon_sym_object,
    ACTIONS(13306), 1,
      anon_sym_fun,
    ACTIONS(13308), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13310), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2835), 1,
      sym__simple_class_expression,
    STATE(10730), 1,
      sym_attribute,
    STATE(11759), 1,
      sym__class_expression,
    STATE(19716), 1,
      sym_module_path,
    STATE(20478), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8334), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [564216] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7411), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13286), 1,
      sym__identifier,
    ACTIONS(13288), 1,
      anon_sym_let,
    ACTIONS(13290), 1,
      anon_sym_LPAREN,
    ACTIONS(13292), 1,
      anon_sym_LBRACK,
    ACTIONS(13294), 1,
      anon_sym_fun,
    STATE(2870), 1,
      sym__simple_class_expression,
    STATE(10731), 1,
      sym_attribute,
    STATE(11815), 1,
      sym__class_expression,
    STATE(20439), 1,
      sym_module_path,
    STATE(21031), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8831), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [564284] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8083), 1,
      anon_sym_object,
    ACTIONS(9696), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9698), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13206), 1,
      sym__identifier,
    ACTIONS(13208), 1,
      anon_sym_let,
    ACTIONS(13210), 1,
      anon_sym_LPAREN,
    ACTIONS(13214), 1,
      anon_sym_LBRACK,
    ACTIONS(13216), 1,
      anon_sym_fun,
    STATE(2900), 1,
      sym__simple_class_expression,
    STATE(10464), 1,
      sym__class_expression,
    STATE(10732), 1,
      sym_attribute,
    STATE(20009), 1,
      sym_module_path,
    STATE(22075), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9578), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [564352] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7411), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13286), 1,
      sym__identifier,
    ACTIONS(13288), 1,
      anon_sym_let,
    ACTIONS(13290), 1,
      anon_sym_LPAREN,
    ACTIONS(13292), 1,
      anon_sym_LBRACK,
    ACTIONS(13294), 1,
      anon_sym_fun,
    STATE(2870), 1,
      sym__simple_class_expression,
    STATE(10733), 1,
      sym_attribute,
    STATE(11745), 1,
      sym__class_expression,
    STATE(20439), 1,
      sym_module_path,
    STATE(21031), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8831), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [564420] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13296), 1,
      sym__identifier,
    ACTIONS(13298), 1,
      anon_sym_let,
    ACTIONS(13300), 1,
      anon_sym_LPAREN,
    ACTIONS(13302), 1,
      anon_sym_LBRACK,
    ACTIONS(13304), 1,
      anon_sym_object,
    ACTIONS(13306), 1,
      anon_sym_fun,
    ACTIONS(13308), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13310), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2835), 1,
      sym__simple_class_expression,
    STATE(10464), 1,
      sym__class_expression,
    STATE(10734), 1,
      sym_attribute,
    STATE(19716), 1,
      sym_module_path,
    STATE(20478), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8334), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [564488] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13398), 1,
      anon_sym_COLON,
    STATE(10735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9356), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [564530] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13380), 1,
      sym__identifier,
    ACTIONS(13382), 1,
      anon_sym_POUND,
    STATE(10736), 1,
      sym_attribute,
    STATE(11556), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12771), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12773), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [564586] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13374), 1,
      anon_sym_fun,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10737), 1,
      sym_attribute,
    STATE(11677), 1,
      sym__class_expression,
    STATE(21583), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [564654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9180), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
  [564694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13280), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
    ACTIONS(13282), 14,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      sym__identifier,
  [564734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9066), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564774] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12507), 1,
      sym__identifier,
    ACTIONS(12521), 1,
      anon_sym_POUND,
    STATE(10367), 1,
      sym_type_constructor_path,
    STATE(10741), 1,
      sym_attribute,
    STATE(18796), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12529), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [564824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9188), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
  [564864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8915), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8913), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564904] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13374), 1,
      anon_sym_fun,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10744), 1,
      sym_attribute,
    STATE(11757), 1,
      sym__class_expression,
    STATE(21583), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [564972] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13202), 1,
      sym__identifier,
    ACTIONS(13400), 1,
      anon_sym_POUND,
    STATE(10745), 1,
      sym_attribute,
    STATE(11109), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18717), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12581), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [565028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10360), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [565068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9218), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [565108] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13330), 1,
      sym_pow_operator,
    ACTIONS(13332), 1,
      sym_mult_operator,
    ACTIONS(13334), 1,
      sym_concat_operator,
    STATE(2695), 1,
      sym_add_operator,
    STATE(10748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [565160] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13374), 1,
      anon_sym_fun,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10464), 1,
      sym__class_expression,
    STATE(10749), 1,
      sym_attribute,
    STATE(21583), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [565228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9294), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [565268] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13374), 1,
      anon_sym_fun,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10751), 1,
      sym_attribute,
    STATE(11705), 1,
      sym__class_expression,
    STATE(21583), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [565336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9176), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
  [565376] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13296), 1,
      sym__identifier,
    ACTIONS(13298), 1,
      anon_sym_let,
    ACTIONS(13300), 1,
      anon_sym_LPAREN,
    ACTIONS(13302), 1,
      anon_sym_LBRACK,
    ACTIONS(13304), 1,
      anon_sym_object,
    ACTIONS(13306), 1,
      anon_sym_fun,
    ACTIONS(13308), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13310), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2835), 1,
      sym__simple_class_expression,
    STATE(10753), 1,
      sym_attribute,
    STATE(11766), 1,
      sym__class_expression,
    STATE(19716), 1,
      sym_module_path,
    STATE(20478), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8334), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [565444] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13374), 1,
      anon_sym_fun,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10754), 1,
      sym_attribute,
    STATE(11681), 1,
      sym__class_expression,
    STATE(21583), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [565512] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13330), 1,
      sym_pow_operator,
    ACTIONS(13332), 1,
      sym_mult_operator,
    ACTIONS(13334), 1,
      sym_concat_operator,
    STATE(2695), 1,
      sym_add_operator,
    STATE(10755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [565564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12603), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [565604] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13202), 1,
      sym__identifier,
    ACTIONS(13400), 1,
      anon_sym_POUND,
    STATE(10757), 1,
      sym_attribute,
    STATE(11109), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18717), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12587), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [565660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13404), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13402), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9076), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [565740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13408), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13406), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565780] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7411), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13286), 1,
      sym__identifier,
    ACTIONS(13288), 1,
      anon_sym_let,
    ACTIONS(13290), 1,
      anon_sym_LPAREN,
    ACTIONS(13292), 1,
      anon_sym_LBRACK,
    ACTIONS(13294), 1,
      anon_sym_fun,
    STATE(2870), 1,
      sym__simple_class_expression,
    STATE(10761), 1,
      sym_attribute,
    STATE(11757), 1,
      sym__class_expression,
    STATE(20439), 1,
      sym_module_path,
    STATE(21031), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8831), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [565848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9168), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [565888] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13410), 1,
      anon_sym_else,
    STATE(9019), 1,
      sym_else_clause,
    STATE(10763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [565932] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13374), 1,
      anon_sym_fun,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10764), 1,
      sym_attribute,
    STATE(11634), 1,
      sym__class_expression,
    STATE(21583), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [566000] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7411), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13286), 1,
      sym__identifier,
    ACTIONS(13288), 1,
      anon_sym_let,
    ACTIONS(13290), 1,
      anon_sym_LPAREN,
    ACTIONS(13292), 1,
      anon_sym_LBRACK,
    ACTIONS(13294), 1,
      anon_sym_fun,
    STATE(2870), 1,
      sym__simple_class_expression,
    STATE(10765), 1,
      sym_attribute,
    STATE(11759), 1,
      sym__class_expression,
    STATE(20439), 1,
      sym_module_path,
    STATE(21031), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8831), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [566068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8855), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8857), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [566108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8865), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8867), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [566148] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13272), 1,
      sym__identifier,
    ACTIONS(13412), 1,
      anon_sym_POUND,
    STATE(10768), 1,
      sym_attribute,
    STATE(11212), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12771), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12773), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [566204] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13374), 1,
      anon_sym_fun,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10769), 1,
      sym_attribute,
    STATE(11759), 1,
      sym__class_expression,
    STATE(21583), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [566272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12607), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [566312] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13272), 1,
      sym__identifier,
    ACTIONS(13412), 1,
      anon_sym_POUND,
    STATE(10771), 1,
      sym_attribute,
    STATE(11212), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12801), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [566368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10256), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [566408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12687), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [566448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12689), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12691), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [566488] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7411), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13286), 1,
      sym__identifier,
    ACTIONS(13288), 1,
      anon_sym_let,
    ACTIONS(13290), 1,
      anon_sym_LPAREN,
    ACTIONS(13292), 1,
      anon_sym_LBRACK,
    ACTIONS(13294), 1,
      anon_sym_fun,
    STATE(2870), 1,
      sym__simple_class_expression,
    STATE(10775), 1,
      sym_attribute,
    STATE(11766), 1,
      sym__class_expression,
    STATE(20439), 1,
      sym_module_path,
    STATE(21031), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8831), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [566556] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12849), 1,
      sym__identifier,
    ACTIONS(12851), 1,
      anon_sym_POUND,
    STATE(10776), 1,
      sym_attribute,
    STATE(11251), 1,
      sym_type_constructor_path,
    STATE(18558), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13222), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13224), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [566606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9184), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
  [566646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13416), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13414), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566686] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7411), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13286), 1,
      sym__identifier,
    ACTIONS(13288), 1,
      anon_sym_let,
    ACTIONS(13290), 1,
      anon_sym_LPAREN,
    ACTIONS(13292), 1,
      anon_sym_LBRACK,
    ACTIONS(13294), 1,
      anon_sym_fun,
    STATE(2870), 1,
      sym__simple_class_expression,
    STATE(10779), 1,
      sym_attribute,
    STATE(11677), 1,
      sym__class_expression,
    STATE(20439), 1,
      sym_module_path,
    STATE(21031), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8831), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [566754] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13330), 1,
      sym_pow_operator,
    ACTIONS(13332), 1,
      sym_mult_operator,
    ACTIONS(13334), 1,
      sym_concat_operator,
    ACTIONS(13336), 1,
      sym_rel_operator,
    ACTIONS(13338), 1,
      sym_and_operator,
    STATE(2695), 1,
      sym_add_operator,
    STATE(10780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11461), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [566810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13420), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13418), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8933), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [566890] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13422), 1,
      anon_sym_STAR,
    STATE(10783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11516), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566932] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13272), 1,
      sym__identifier,
    ACTIONS(13412), 1,
      anon_sym_POUND,
    STATE(10784), 1,
      sym_attribute,
    STATE(11212), 1,
      sym_type_constructor_path,
    STATE(18863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12371), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12373), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [566982] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 10,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9046), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [567022] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13374), 1,
      anon_sym_fun,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10786), 1,
      sym_attribute,
    STATE(11639), 1,
      sym__class_expression,
    STATE(21583), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [567090] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13330), 1,
      sym_pow_operator,
    ACTIONS(13332), 1,
      sym_mult_operator,
    ACTIONS(13334), 1,
      sym_concat_operator,
    ACTIONS(13336), 1,
      sym_rel_operator,
    ACTIONS(13338), 1,
      sym_and_operator,
    ACTIONS(13340), 1,
      sym_or_operator,
    STATE(2695), 1,
      sym_add_operator,
    STATE(10787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [567148] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8743), 1,
      anon_sym_object,
    ACTIONS(8755), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8757), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13424), 1,
      sym__identifier,
    ACTIONS(13426), 1,
      anon_sym_let,
    ACTIONS(13428), 1,
      anon_sym_LPAREN,
    ACTIONS(13430), 1,
      anon_sym_LBRACK,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(3017), 1,
      sym__simple_class_expression,
    STATE(10788), 1,
      sym_attribute,
    STATE(16618), 1,
      sym__class_expression,
    STATE(19625), 1,
      sym_value_definition,
    STATE(22180), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11104), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [567216] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13296), 1,
      sym__identifier,
    ACTIONS(13298), 1,
      anon_sym_let,
    ACTIONS(13300), 1,
      anon_sym_LPAREN,
    ACTIONS(13302), 1,
      anon_sym_LBRACK,
    ACTIONS(13304), 1,
      anon_sym_object,
    ACTIONS(13306), 1,
      anon_sym_fun,
    ACTIONS(13308), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13310), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2835), 1,
      sym__simple_class_expression,
    STATE(10789), 1,
      sym_attribute,
    STATE(11702), 1,
      sym__class_expression,
    STATE(19716), 1,
      sym_module_path,
    STATE(20478), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8334), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [567284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12327), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12329), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [567324] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7451), 1,
      anon_sym_object,
    ACTIONS(9714), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13316), 1,
      sym__identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_fun,
    STATE(2871), 1,
      sym__simple_class_expression,
    STATE(10286), 1,
      sym__class_expression,
    STATE(10791), 1,
      sym_attribute,
    STATE(20086), 1,
      sym_module_path,
    STATE(20834), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8784), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [567392] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13330), 1,
      sym_pow_operator,
    ACTIONS(13332), 1,
      sym_mult_operator,
    STATE(2695), 1,
      sym_add_operator,
    STATE(10792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [567442] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13326), 1,
      anon_sym_COMMA,
    ACTIONS(13328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13330), 1,
      sym_pow_operator,
    ACTIONS(13332), 1,
      sym_mult_operator,
    ACTIONS(13334), 1,
      sym_concat_operator,
    ACTIONS(13336), 1,
      sym_rel_operator,
    ACTIONS(13338), 1,
      sym_and_operator,
    ACTIONS(13340), 1,
      sym_or_operator,
    ACTIONS(13342), 1,
      sym_assign_operator,
    STATE(2695), 1,
      sym_add_operator,
    STATE(10793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567504] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7451), 1,
      anon_sym_object,
    ACTIONS(9714), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13316), 1,
      sym__identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_fun,
    STATE(2871), 1,
      sym__simple_class_expression,
    STATE(10794), 1,
      sym_attribute,
    STATE(11557), 1,
      sym__class_expression,
    STATE(20086), 1,
      sym_module_path,
    STATE(20834), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8784), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [567572] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7451), 1,
      anon_sym_object,
    ACTIONS(9714), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13316), 1,
      sym__identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_fun,
    STATE(2871), 1,
      sym__simple_class_expression,
    STATE(10795), 1,
      sym_attribute,
    STATE(11560), 1,
      sym__class_expression,
    STATE(20086), 1,
      sym_module_path,
    STATE(20834), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8784), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [567640] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12507), 1,
      sym__identifier,
    ACTIONS(12521), 1,
      anon_sym_POUND,
    STATE(10367), 1,
      sym_type_constructor_path,
    STATE(10796), 1,
      sym_attribute,
    STATE(18796), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13434), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13436), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [567690] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13202), 1,
      sym__identifier,
    ACTIONS(13400), 1,
      anon_sym_POUND,
    STATE(10797), 1,
      sym_attribute,
    STATE(11109), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18717), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12771), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12773), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [567746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9054), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [567786] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8743), 1,
      anon_sym_object,
    ACTIONS(8755), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8757), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13424), 1,
      sym__identifier,
    ACTIONS(13426), 1,
      anon_sym_let,
    ACTIONS(13428), 1,
      anon_sym_LPAREN,
    ACTIONS(13430), 1,
      anon_sym_LBRACK,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(3017), 1,
      sym__simple_class_expression,
    STATE(10286), 1,
      sym__class_expression,
    STATE(10799), 1,
      sym_attribute,
    STATE(19625), 1,
      sym_value_definition,
    STATE(22180), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11104), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [567854] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13330), 1,
      sym_pow_operator,
    ACTIONS(13332), 1,
      sym_mult_operator,
    STATE(2695), 1,
      sym_add_operator,
    STATE(10800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [567900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12593), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [567940] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13380), 1,
      sym__identifier,
    ACTIONS(13382), 1,
      anon_sym_POUND,
    STATE(10802), 1,
      sym_attribute,
    STATE(11556), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12529), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [567996] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13296), 1,
      sym__identifier,
    ACTIONS(13298), 1,
      anon_sym_let,
    ACTIONS(13300), 1,
      anon_sym_LPAREN,
    ACTIONS(13302), 1,
      anon_sym_LBRACK,
    ACTIONS(13304), 1,
      anon_sym_object,
    ACTIONS(13306), 1,
      anon_sym_fun,
    ACTIONS(13308), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13310), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2835), 1,
      sym__simple_class_expression,
    STATE(10803), 1,
      sym_attribute,
    STATE(11634), 1,
      sym__class_expression,
    STATE(19716), 1,
      sym_module_path,
    STATE(20478), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8334), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [568064] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7411), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13286), 1,
      sym__identifier,
    ACTIONS(13288), 1,
      anon_sym_let,
    ACTIONS(13290), 1,
      anon_sym_LPAREN,
    ACTIONS(13292), 1,
      anon_sym_LBRACK,
    ACTIONS(13294), 1,
      anon_sym_fun,
    STATE(2870), 1,
      sym__simple_class_expression,
    STATE(10286), 1,
      sym__class_expression,
    STATE(10804), 1,
      sym_attribute,
    STATE(20439), 1,
      sym_module_path,
    STATE(21031), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8831), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [568132] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13384), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13386), 1,
      sym_pow_operator,
    ACTIONS(13388), 1,
      sym_mult_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [568182] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13326), 1,
      anon_sym_COMMA,
    ACTIONS(13328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13330), 1,
      sym_pow_operator,
    ACTIONS(13332), 1,
      sym_mult_operator,
    ACTIONS(13334), 1,
      sym_concat_operator,
    ACTIONS(13336), 1,
      sym_rel_operator,
    ACTIONS(13338), 1,
      sym_and_operator,
    ACTIONS(13340), 1,
      sym_or_operator,
    ACTIONS(13342), 1,
      sym_assign_operator,
    STATE(2695), 1,
      sym_add_operator,
    STATE(10806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11471), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9146), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [568284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13440), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13438), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12327), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12329), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [568364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9150), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [568404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12603), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [568444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12607), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [568484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12643), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [568524] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7411), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13286), 1,
      sym__identifier,
    ACTIONS(13288), 1,
      anon_sym_let,
    ACTIONS(13290), 1,
      anon_sym_LPAREN,
    ACTIONS(13292), 1,
      anon_sym_LBRACK,
    ACTIONS(13294), 1,
      anon_sym_fun,
    STATE(2870), 1,
      sym__simple_class_expression,
    STATE(10814), 1,
      sym_attribute,
    STATE(11681), 1,
      sym__class_expression,
    STATE(20439), 1,
      sym_module_path,
    STATE(21031), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8831), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [568592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12645), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12647), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [568632] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11477), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13384), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13386), 1,
      sym_pow_operator,
    ACTIONS(13388), 1,
      sym_mult_operator,
    ACTIONS(13390), 1,
      sym_concat_operator,
    ACTIONS(13392), 1,
      sym_rel_operator,
    ACTIONS(13394), 1,
      sym_and_operator,
    ACTIONS(13396), 1,
      sym_or_operator,
    ACTIONS(13442), 1,
      anon_sym_COMMA,
    ACTIONS(13444), 1,
      sym_assign_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568694] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13296), 1,
      sym__identifier,
    ACTIONS(13298), 1,
      anon_sym_let,
    ACTIONS(13300), 1,
      anon_sym_LPAREN,
    ACTIONS(13302), 1,
      anon_sym_LBRACK,
    ACTIONS(13304), 1,
      anon_sym_object,
    ACTIONS(13306), 1,
      anon_sym_fun,
    ACTIONS(13308), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13310), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2835), 1,
      sym__simple_class_expression,
    STATE(10817), 1,
      sym_attribute,
    STATE(11705), 1,
      sym__class_expression,
    STATE(19716), 1,
      sym_module_path,
    STATE(20478), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8334), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [568762] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8743), 1,
      anon_sym_object,
    ACTIONS(8755), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8757), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13424), 1,
      sym__identifier,
    ACTIONS(13426), 1,
      anon_sym_let,
    ACTIONS(13428), 1,
      anon_sym_LPAREN,
    ACTIONS(13430), 1,
      anon_sym_LBRACK,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(3017), 1,
      sym__simple_class_expression,
    STATE(10818), 1,
      sym_attribute,
    STATE(16911), 1,
      sym__class_expression,
    STATE(19625), 1,
      sym_value_definition,
    STATE(22180), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11104), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [568830] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13348), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(10819), 1,
      sym_attribute,
    STATE(10887), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13448), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13446), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568876] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13202), 1,
      sym__identifier,
    ACTIONS(13400), 1,
      anon_sym_POUND,
    STATE(10820), 1,
      sym_attribute,
    STATE(11109), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18717), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12529), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [568932] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13330), 1,
      sym_pow_operator,
    ACTIONS(13332), 1,
      sym_mult_operator,
    ACTIONS(13334), 1,
      sym_concat_operator,
    ACTIONS(13336), 1,
      sym_rel_operator,
    ACTIONS(13338), 1,
      sym_and_operator,
    ACTIONS(13340), 1,
      sym_or_operator,
    STATE(2695), 1,
      sym_add_operator,
    STATE(10821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11441), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [568990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12665), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12667), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [569030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9154), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [569070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12671), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [569110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12675), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [569150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12679), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [569190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9158), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [569230] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13386), 1,
      sym_pow_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [569274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9162), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [569314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12807), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [569354] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13374), 1,
      anon_sym_fun,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10286), 1,
      sym__class_expression,
    STATE(10831), 1,
      sym_attribute,
    STATE(21583), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [569422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12711), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [569462] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7451), 1,
      anon_sym_object,
    ACTIONS(9714), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13316), 1,
      sym__identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_fun,
    STATE(2871), 1,
      sym__simple_class_expression,
    STATE(10448), 1,
      sym__class_expression,
    STATE(10833), 1,
      sym_attribute,
    STATE(20086), 1,
      sym_module_path,
    STATE(20834), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8784), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [569530] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12507), 1,
      sym__identifier,
    ACTIONS(12521), 1,
      anon_sym_POUND,
    STATE(10367), 1,
      sym_type_constructor_path,
    STATE(10834), 1,
      sym_attribute,
    STATE(18796), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13450), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13452), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [569580] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7451), 1,
      anon_sym_object,
    ACTIONS(9714), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13316), 1,
      sym__identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_fun,
    STATE(2871), 1,
      sym__simple_class_expression,
    STATE(10464), 1,
      sym__class_expression,
    STATE(10835), 1,
      sym_attribute,
    STATE(20086), 1,
      sym_module_path,
    STATE(20834), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8784), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [569648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12687), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [569688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12689), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12691), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [569728] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13374), 1,
      anon_sym_fun,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10838), 1,
      sym_attribute,
    STATE(11766), 1,
      sym__class_expression,
    STATE(21583), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [569796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12807), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [569836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12711), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [569876] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13202), 1,
      sym__identifier,
    ACTIONS(13400), 1,
      anon_sym_POUND,
    STATE(10841), 1,
      sym_attribute,
    STATE(11109), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18717), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12515), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [569932] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13272), 1,
      sym__identifier,
    ACTIONS(13412), 1,
      anon_sym_POUND,
    STATE(10842), 1,
      sym_attribute,
    STATE(11212), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12515), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [569988] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8083), 1,
      anon_sym_object,
    ACTIONS(9696), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9698), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13206), 1,
      sym__identifier,
    ACTIONS(13208), 1,
      anon_sym_let,
    ACTIONS(13210), 1,
      anon_sym_LPAREN,
    ACTIONS(13214), 1,
      anon_sym_LBRACK,
    ACTIONS(13216), 1,
      anon_sym_fun,
    STATE(2900), 1,
      sym__simple_class_expression,
    STATE(10286), 1,
      sym__class_expression,
    STATE(10843), 1,
      sym_attribute,
    STATE(20009), 1,
      sym_module_path,
    STATE(22075), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9578), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [570056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12713), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12715), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [570096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12717), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12719), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [570136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12721), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12723), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [570176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12727), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [570216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12731), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [570256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12733), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12735), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [570296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12737), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12739), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [570336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12743), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [570376] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8083), 1,
      anon_sym_object,
    ACTIONS(9696), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9698), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13206), 1,
      sym__identifier,
    ACTIONS(13208), 1,
      anon_sym_let,
    ACTIONS(13210), 1,
      anon_sym_LPAREN,
    ACTIONS(13214), 1,
      anon_sym_LBRACK,
    ACTIONS(13216), 1,
      anon_sym_fun,
    STATE(2900), 1,
      sym__simple_class_expression,
    STATE(10448), 1,
      sym__class_expression,
    STATE(10852), 1,
      sym_attribute,
    STATE(20009), 1,
      sym_module_path,
    STATE(22075), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9578), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [570444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12747), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [570484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12767), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12769), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [570524] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 10,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9042), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [570564] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13296), 1,
      sym__identifier,
    ACTIONS(13298), 1,
      anon_sym_let,
    ACTIONS(13300), 1,
      anon_sym_LPAREN,
    ACTIONS(13302), 1,
      anon_sym_LBRACK,
    ACTIONS(13304), 1,
      anon_sym_object,
    ACTIONS(13306), 1,
      anon_sym_fun,
    ACTIONS(13308), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13310), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2835), 1,
      sym__simple_class_expression,
    STATE(10856), 1,
      sym_attribute,
    STATE(11677), 1,
      sym__class_expression,
    STATE(19716), 1,
      sym_module_path,
    STATE(20478), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8334), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [570632] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13454), 1,
      anon_sym_LPAREN,
    ACTIONS(13456), 1,
      anon_sym_LBRACK,
    STATE(10857), 1,
      sym_attribute,
    STATE(11811), 1,
      sym__constructor_name,
    STATE(12365), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13246), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13458), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13244), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9324), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [570724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9194), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [570764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9198), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [570804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9202), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [570844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9052), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [570884] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13202), 1,
      sym__identifier,
    ACTIONS(13400), 1,
      anon_sym_POUND,
    STATE(10863), 1,
      sym_attribute,
    STATE(11109), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18717), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12801), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [570940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9206), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [570980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9210), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [571020] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13460), 1,
      anon_sym_let,
    ACTIONS(13462), 1,
      anon_sym_fun,
    STATE(2834), 1,
      sym__simple_class_expression,
    STATE(10448), 1,
      sym__class_expression,
    STATE(10866), 1,
      sym_attribute,
    STATE(20059), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [571088] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13374), 1,
      anon_sym_fun,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10867), 1,
      sym_attribute,
    STATE(11815), 1,
      sym__class_expression,
    STATE(21583), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [571156] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7451), 1,
      anon_sym_object,
    ACTIONS(9714), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13316), 1,
      sym__identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_fun,
    STATE(2871), 1,
      sym__simple_class_expression,
    STATE(10868), 1,
      sym_attribute,
    STATE(11634), 1,
      sym__class_expression,
    STATE(20086), 1,
      sym_module_path,
    STATE(20834), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8784), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [571224] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8743), 1,
      anon_sym_object,
    ACTIONS(8755), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8757), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13424), 1,
      sym__identifier,
    ACTIONS(13426), 1,
      anon_sym_let,
    ACTIONS(13428), 1,
      anon_sym_LPAREN,
    ACTIONS(13430), 1,
      anon_sym_LBRACK,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(3017), 1,
      sym__simple_class_expression,
    STATE(10869), 1,
      sym_attribute,
    STATE(17138), 1,
      sym__class_expression,
    STATE(19625), 1,
      sym_value_definition,
    STATE(22180), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11104), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [571292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10360), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [571332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9214), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [571372] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13464), 1,
      anon_sym_LPAREN,
    ACTIONS(13466), 1,
      anon_sym_LBRACK,
    STATE(10872), 1,
      sym_attribute,
    STATE(11827), 1,
      sym__constructor_name,
    STATE(12370), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13246), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13468), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13244), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571424] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13386), 1,
      sym_pow_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [571468] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13460), 1,
      anon_sym_let,
    ACTIONS(13462), 1,
      anon_sym_fun,
    STATE(2834), 1,
      sym__simple_class_expression,
    STATE(10874), 1,
      sym_attribute,
    STATE(11815), 1,
      sym__class_expression,
    STATE(20059), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [571536] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7451), 1,
      anon_sym_object,
    ACTIONS(9714), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13316), 1,
      sym__identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_fun,
    STATE(2871), 1,
      sym__simple_class_expression,
    STATE(10875), 1,
      sym_attribute,
    STATE(11639), 1,
      sym__class_expression,
    STATE(20086), 1,
      sym_module_path,
    STATE(20834), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8784), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [571604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8903), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8905), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [571644] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 10,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9126), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [571684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12327), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12329), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [571724] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8743), 1,
      anon_sym_object,
    ACTIONS(8755), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8757), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13424), 1,
      sym__identifier,
    ACTIONS(13426), 1,
      anon_sym_let,
    ACTIONS(13428), 1,
      anon_sym_LPAREN,
    ACTIONS(13430), 1,
      anon_sym_LBRACK,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(3017), 1,
      sym__simple_class_expression,
    STATE(10448), 1,
      sym__class_expression,
    STATE(10879), 1,
      sym_attribute,
    STATE(19625), 1,
      sym_value_definition,
    STATE(22180), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11104), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [571792] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8743), 1,
      anon_sym_object,
    ACTIONS(8755), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8757), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13424), 1,
      sym__identifier,
    ACTIONS(13426), 1,
      anon_sym_let,
    ACTIONS(13428), 1,
      anon_sym_LPAREN,
    ACTIONS(13430), 1,
      anon_sym_LBRACK,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(3017), 1,
      sym__simple_class_expression,
    STATE(10464), 1,
      sym__class_expression,
    STATE(10880), 1,
      sym_attribute,
    STATE(19625), 1,
      sym_value_definition,
    STATE(22180), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11104), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [571860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9222), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [571900] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8743), 1,
      anon_sym_object,
    ACTIONS(8755), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8757), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13424), 1,
      sym__identifier,
    ACTIONS(13426), 1,
      anon_sym_let,
    ACTIONS(13428), 1,
      anon_sym_LPAREN,
    ACTIONS(13430), 1,
      anon_sym_LBRACK,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(3017), 1,
      sym__simple_class_expression,
    STATE(10882), 1,
      sym_attribute,
    STATE(17245), 1,
      sym__class_expression,
    STATE(19625), 1,
      sym_value_definition,
    STATE(22180), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11104), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [571968] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13348), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(10714), 1,
      aux_sym_type_binding_repeat1,
    STATE(10883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13472), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13470), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572014] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13354), 1,
      anon_sym_DOT,
    STATE(10884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9226), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [572056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9230), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [572096] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13296), 1,
      sym__identifier,
    ACTIONS(13298), 1,
      anon_sym_let,
    ACTIONS(13300), 1,
      anon_sym_LPAREN,
    ACTIONS(13302), 1,
      anon_sym_LBRACK,
    ACTIONS(13304), 1,
      anon_sym_object,
    ACTIONS(13306), 1,
      anon_sym_fun,
    ACTIONS(13308), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13310), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2835), 1,
      sym__simple_class_expression,
    STATE(10886), 1,
      sym_attribute,
    STATE(11681), 1,
      sym__class_expression,
    STATE(19716), 1,
      sym_module_path,
    STATE(20478), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8334), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [572164] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13478), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13476), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10887), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13474), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572208] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13198), 1,
      sym__identifier,
    ACTIONS(13481), 1,
      anon_sym_POUND,
    STATE(10888), 1,
      sym_attribute,
    STATE(11527), 1,
      sym_type_constructor_path,
    STATE(18936), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12367), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [572258] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13272), 1,
      sym__identifier,
    ACTIONS(13412), 1,
      anon_sym_POUND,
    STATE(10889), 1,
      sym_attribute,
    STATE(11212), 1,
      sym_type_constructor_path,
    STATE(18863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11212), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [572308] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12507), 1,
      sym__identifier,
    ACTIONS(12521), 1,
      anon_sym_POUND,
    STATE(10367), 1,
      sym_type_constructor_path,
    STATE(10890), 1,
      sym_attribute,
    STATE(18796), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12581), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [572358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9234), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [572398] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12970), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12591), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12593), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [572440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9238), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [572480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9242), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [572520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12525), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [572560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9246), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [572600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9074), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [572640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9250), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [572680] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13460), 1,
      anon_sym_let,
    ACTIONS(13462), 1,
      anon_sym_fun,
    STATE(2834), 1,
      sym__simple_class_expression,
    STATE(10899), 1,
      sym_attribute,
    STATE(11557), 1,
      sym__class_expression,
    STATE(20059), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [572748] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7411), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13286), 1,
      sym__identifier,
    ACTIONS(13288), 1,
      anon_sym_let,
    ACTIONS(13290), 1,
      anon_sym_LPAREN,
    ACTIONS(13292), 1,
      anon_sym_LBRACK,
    ACTIONS(13294), 1,
      anon_sym_fun,
    STATE(2870), 1,
      sym__simple_class_expression,
    STATE(10900), 1,
      sym_attribute,
    STATE(11560), 1,
      sym__class_expression,
    STATE(20439), 1,
      sym_module_path,
    STATE(21031), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8831), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [572816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9258), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [572856] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13460), 1,
      anon_sym_let,
    ACTIONS(13462), 1,
      anon_sym_fun,
    STATE(2834), 1,
      sym__simple_class_expression,
    STATE(10902), 1,
      sym_attribute,
    STATE(11560), 1,
      sym__class_expression,
    STATE(20059), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [572924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12525), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [572964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9262), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [573004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9102), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [573044] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13296), 1,
      sym__identifier,
    ACTIONS(13298), 1,
      anon_sym_let,
    ACTIONS(13300), 1,
      anon_sym_LPAREN,
    ACTIONS(13302), 1,
      anon_sym_LBRACK,
    ACTIONS(13304), 1,
      anon_sym_object,
    ACTIONS(13306), 1,
      anon_sym_fun,
    ACTIONS(13308), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13310), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2835), 1,
      sym__simple_class_expression,
    STATE(10286), 1,
      sym__class_expression,
    STATE(10906), 1,
      sym_attribute,
    STATE(19716), 1,
      sym_module_path,
    STATE(20478), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8334), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [573112] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13330), 1,
      sym_pow_operator,
    STATE(2695), 1,
      sym_add_operator,
    STATE(10907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [573156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9106), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [573196] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(10909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9054), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [573238] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7411), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13286), 1,
      sym__identifier,
    ACTIONS(13288), 1,
      anon_sym_let,
    ACTIONS(13290), 1,
      anon_sym_LPAREN,
    ACTIONS(13292), 1,
      anon_sym_LBRACK,
    ACTIONS(13294), 1,
      anon_sym_fun,
    STATE(2870), 1,
      sym__simple_class_expression,
    STATE(10910), 1,
      sym_attribute,
    STATE(11634), 1,
      sym__class_expression,
    STATE(20439), 1,
      sym_module_path,
    STATE(21031), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8831), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [573306] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7411), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13286), 1,
      sym__identifier,
    ACTIONS(13288), 1,
      anon_sym_let,
    ACTIONS(13290), 1,
      anon_sym_LPAREN,
    ACTIONS(13292), 1,
      anon_sym_LBRACK,
    ACTIONS(13294), 1,
      anon_sym_fun,
    STATE(2870), 1,
      sym__simple_class_expression,
    STATE(10911), 1,
      sym_attribute,
    STATE(11639), 1,
      sym__class_expression,
    STATE(20439), 1,
      sym_module_path,
    STATE(21031), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8831), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [573374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9110), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [573414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9042), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [573454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9114), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [573494] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8743), 1,
      anon_sym_object,
    ACTIONS(8755), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8757), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13424), 1,
      sym__identifier,
    ACTIONS(13426), 1,
      anon_sym_let,
    ACTIONS(13428), 1,
      anon_sym_LPAREN,
    ACTIONS(13430), 1,
      anon_sym_LBRACK,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(3017), 1,
      sym__simple_class_expression,
    STATE(10915), 1,
      sym_attribute,
    STATE(17348), 1,
      sym__class_expression,
    STATE(19625), 1,
      sym_value_definition,
    STATE(22180), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11104), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [573562] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7451), 1,
      anon_sym_object,
    ACTIONS(9714), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13316), 1,
      sym__identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_fun,
    STATE(2871), 1,
      sym__simple_class_expression,
    STATE(10916), 1,
      sym_attribute,
    STATE(11677), 1,
      sym__class_expression,
    STATE(20086), 1,
      sym_module_path,
    STATE(20834), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8784), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [573630] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7451), 1,
      anon_sym_object,
    ACTIONS(9714), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13316), 1,
      sym__identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_fun,
    STATE(2871), 1,
      sym__simple_class_expression,
    STATE(10917), 1,
      sym_attribute,
    STATE(11681), 1,
      sym__class_expression,
    STATE(20086), 1,
      sym_module_path,
    STATE(20834), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8784), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [573698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9126), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [573738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9266), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [573778] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7411), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13286), 1,
      sym__identifier,
    ACTIONS(13288), 1,
      anon_sym_let,
    ACTIONS(13290), 1,
      anon_sym_LPAREN,
    ACTIONS(13292), 1,
      anon_sym_LBRACK,
    ACTIONS(13294), 1,
      anon_sym_fun,
    STATE(2870), 1,
      sym__simple_class_expression,
    STATE(10448), 1,
      sym__class_expression,
    STATE(10920), 1,
      sym_attribute,
    STATE(20439), 1,
      sym_module_path,
    STATE(21031), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8831), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [573846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9046), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9082), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [573926] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13384), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13386), 1,
      sym_pow_operator,
    ACTIONS(13388), 1,
      sym_mult_operator,
    ACTIONS(13390), 1,
      sym_concat_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [573978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9068), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [574018] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13460), 1,
      anon_sym_let,
    ACTIONS(13462), 1,
      anon_sym_fun,
    STATE(2834), 1,
      sym__simple_class_expression,
    STATE(10925), 1,
      sym_attribute,
    STATE(11634), 1,
      sym__class_expression,
    STATE(20059), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [574086] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7451), 1,
      anon_sym_object,
    ACTIONS(9714), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13316), 1,
      sym__identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_fun,
    STATE(2871), 1,
      sym__simple_class_expression,
    STATE(10926), 1,
      sym_attribute,
    STATE(11702), 1,
      sym__class_expression,
    STATE(20086), 1,
      sym_module_path,
    STATE(20834), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8784), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [574154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12551), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12553), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [574194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9116), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [574234] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13296), 1,
      sym__identifier,
    ACTIONS(13298), 1,
      anon_sym_let,
    ACTIONS(13300), 1,
      anon_sym_LPAREN,
    ACTIONS(13302), 1,
      anon_sym_LBRACK,
    ACTIONS(13304), 1,
      anon_sym_object,
    ACTIONS(13306), 1,
      anon_sym_fun,
    ACTIONS(13308), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13310), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2835), 1,
      sym__simple_class_expression,
    STATE(10929), 1,
      sym_attribute,
    STATE(11560), 1,
      sym__class_expression,
    STATE(19716), 1,
      sym_module_path,
    STATE(20478), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8334), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [574302] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7451), 1,
      anon_sym_object,
    ACTIONS(9714), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13316), 1,
      sym__identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_fun,
    STATE(2871), 1,
      sym__simple_class_expression,
    STATE(10930), 1,
      sym_attribute,
    STATE(11705), 1,
      sym__class_expression,
    STATE(20086), 1,
      sym_module_path,
    STATE(20834), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8784), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [574370] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(10931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9054), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [574412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9060), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [574452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12713), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12715), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [574492] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13460), 1,
      anon_sym_let,
    ACTIONS(13462), 1,
      anon_sym_fun,
    STATE(2834), 1,
      sym__simple_class_expression,
    STATE(10934), 1,
      sym_attribute,
    STATE(11639), 1,
      sym__class_expression,
    STATE(20059), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [574560] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13380), 1,
      sym__identifier,
    ACTIONS(13382), 1,
      anon_sym_POUND,
    STATE(10935), 1,
      sym_attribute,
    STATE(11556), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12581), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [574616] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13272), 1,
      sym__identifier,
    ACTIONS(13412), 1,
      anon_sym_POUND,
    STATE(10936), 1,
      sym_attribute,
    STATE(11212), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12581), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [574672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12717), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12719), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [574712] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13460), 1,
      anon_sym_let,
    ACTIONS(13462), 1,
      anon_sym_fun,
    STATE(2834), 1,
      sym__simple_class_expression,
    STATE(10938), 1,
      sym_attribute,
    STATE(11677), 1,
      sym__class_expression,
    STATE(20059), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [574780] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13202), 1,
      sym__identifier,
    ACTIONS(13400), 1,
      anon_sym_POUND,
    STATE(10939), 1,
      sym_attribute,
    STATE(11109), 1,
      sym_type_constructor_path,
    STATE(18717), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11212), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [574830] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13460), 1,
      anon_sym_let,
    ACTIONS(13462), 1,
      anon_sym_fun,
    STATE(2834), 1,
      sym__simple_class_expression,
    STATE(10940), 1,
      sym_attribute,
    STATE(11681), 1,
      sym__class_expression,
    STATE(20059), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [574898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9086), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [574938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12721), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12723), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [574978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9090), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [575018] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7451), 1,
      anon_sym_object,
    ACTIONS(9714), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13316), 1,
      sym__identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_fun,
    STATE(2871), 1,
      sym__simple_class_expression,
    STATE(10944), 1,
      sym_attribute,
    STATE(11728), 1,
      sym__class_expression,
    STATE(20086), 1,
      sym_module_path,
    STATE(20834), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8784), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [575086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9094), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [575126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9098), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [575166] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7411), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13286), 1,
      sym__identifier,
    ACTIONS(13288), 1,
      anon_sym_let,
    ACTIONS(13290), 1,
      anon_sym_LPAREN,
    ACTIONS(13292), 1,
      anon_sym_LBRACK,
    ACTIONS(13294), 1,
      anon_sym_fun,
    STATE(2870), 1,
      sym__simple_class_expression,
    STATE(10464), 1,
      sym__class_expression,
    STATE(10947), 1,
      sym_attribute,
    STATE(20439), 1,
      sym_module_path,
    STATE(21031), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8831), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [575234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9122), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [575274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9046), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [575314] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13272), 1,
      sym__identifier,
    ACTIONS(13412), 1,
      anon_sym_POUND,
    STATE(10950), 1,
      sym_attribute,
    STATE(11212), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12587), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [575370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9270), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [575410] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7451), 1,
      anon_sym_object,
    ACTIONS(9714), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13316), 1,
      sym__identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_fun,
    STATE(2871), 1,
      sym__simple_class_expression,
    STATE(10952), 1,
      sym_attribute,
    STATE(11730), 1,
      sym__class_expression,
    STATE(20086), 1,
      sym_module_path,
    STATE(20834), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8784), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [575478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9274), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [575518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9134), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [575558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9278), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [575598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9282), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [575638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9286), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [575678] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7451), 1,
      anon_sym_object,
    ACTIONS(9714), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13316), 1,
      sym__identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_fun,
    STATE(2871), 1,
      sym__simple_class_expression,
    STATE(10958), 1,
      sym_attribute,
    STATE(11745), 1,
      sym__class_expression,
    STATE(20086), 1,
      sym_module_path,
    STATE(20834), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8784), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [575746] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13483), 1,
      anon_sym_PIPE,
    STATE(10959), 1,
      sym_attribute,
    STATE(10964), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575790] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7451), 1,
      anon_sym_object,
    ACTIONS(9714), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13316), 1,
      sym__identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_fun,
    STATE(2871), 1,
      sym__simple_class_expression,
    STATE(10960), 1,
      sym_attribute,
    STATE(11757), 1,
      sym__class_expression,
    STATE(20086), 1,
      sym_module_path,
    STATE(20834), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8784), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [575858] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7451), 1,
      anon_sym_object,
    ACTIONS(9714), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13316), 1,
      sym__identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_fun,
    STATE(2871), 1,
      sym__simple_class_expression,
    STATE(10961), 1,
      sym_attribute,
    STATE(11759), 1,
      sym__class_expression,
    STATE(20086), 1,
      sym_module_path,
    STATE(20834), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8784), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [575926] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13483), 1,
      anon_sym_PIPE,
    STATE(10962), 1,
      sym_attribute,
    STATE(10965), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575970] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7451), 1,
      anon_sym_object,
    ACTIONS(9714), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9716), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13316), 1,
      sym__identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_fun,
    STATE(2871), 1,
      sym__simple_class_expression,
    STATE(10963), 1,
      sym_attribute,
    STATE(11766), 1,
      sym__class_expression,
    STATE(20086), 1,
      sym_module_path,
    STATE(20834), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8784), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [576038] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13483), 1,
      anon_sym_PIPE,
    STATE(10964), 1,
      sym_attribute,
    STATE(10966), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [576082] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13483), 1,
      anon_sym_PIPE,
    STATE(10965), 1,
      sym_attribute,
    STATE(10966), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [576126] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13485), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10966), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [576168] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13198), 1,
      sym__identifier,
    ACTIONS(13200), 1,
      anon_sym_POUND,
    ACTIONS(13488), 1,
      anon_sym_STAR,
    STATE(10967), 1,
      sym_attribute,
    STATE(11360), 1,
      sym_type_constructor_path,
    STATE(12245), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18936), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12517), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13006), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [576222] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13460), 1,
      anon_sym_let,
    ACTIONS(13462), 1,
      anon_sym_fun,
    STATE(2834), 1,
      sym__simple_class_expression,
    STATE(10968), 1,
      sym_attribute,
    STATE(11702), 1,
      sym__class_expression,
    STATE(20059), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [576290] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13460), 1,
      anon_sym_let,
    ACTIONS(13462), 1,
      anon_sym_fun,
    STATE(2834), 1,
      sym__simple_class_expression,
    STATE(10969), 1,
      sym_attribute,
    STATE(11705), 1,
      sym__class_expression,
    STATE(20059), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [576358] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13460), 1,
      anon_sym_let,
    ACTIONS(13462), 1,
      anon_sym_fun,
    STATE(2834), 1,
      sym__simple_class_expression,
    STATE(10286), 1,
      sym__class_expression,
    STATE(10970), 1,
      sym_attribute,
    STATE(20059), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [576426] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13460), 1,
      anon_sym_let,
    ACTIONS(13462), 1,
      anon_sym_fun,
    STATE(2834), 1,
      sym__simple_class_expression,
    STATE(10971), 1,
      sym_attribute,
    STATE(11728), 1,
      sym__class_expression,
    STATE(20059), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [576494] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13460), 1,
      anon_sym_let,
    ACTIONS(13462), 1,
      anon_sym_fun,
    STATE(2834), 1,
      sym__simple_class_expression,
    STATE(10972), 1,
      sym_attribute,
    STATE(11730), 1,
      sym__class_expression,
    STATE(20059), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [576562] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13460), 1,
      anon_sym_let,
    ACTIONS(13462), 1,
      anon_sym_fun,
    STATE(2834), 1,
      sym__simple_class_expression,
    STATE(10973), 1,
      sym_attribute,
    STATE(11745), 1,
      sym__class_expression,
    STATE(20059), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [576630] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13490), 1,
      anon_sym_else,
    STATE(9019), 1,
      sym_else_clause,
    STATE(10974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [576674] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13460), 1,
      anon_sym_let,
    ACTIONS(13462), 1,
      anon_sym_fun,
    STATE(2834), 1,
      sym__simple_class_expression,
    STATE(10975), 1,
      sym_attribute,
    STATE(11757), 1,
      sym__class_expression,
    STATE(20059), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [576742] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13296), 1,
      sym__identifier,
    ACTIONS(13298), 1,
      anon_sym_let,
    ACTIONS(13300), 1,
      anon_sym_LPAREN,
    ACTIONS(13302), 1,
      anon_sym_LBRACK,
    ACTIONS(13304), 1,
      anon_sym_object,
    ACTIONS(13306), 1,
      anon_sym_fun,
    ACTIONS(13308), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13310), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2835), 1,
      sym__simple_class_expression,
    STATE(10976), 1,
      sym_attribute,
    STATE(11639), 1,
      sym__class_expression,
    STATE(19716), 1,
      sym_module_path,
    STATE(20478), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8334), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [576810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9290), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [576850] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13384), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13386), 1,
      sym_pow_operator,
    ACTIONS(13388), 1,
      sym_mult_operator,
    ACTIONS(13390), 1,
      sym_concat_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [576902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8921), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8923), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [576942] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13460), 1,
      anon_sym_let,
    ACTIONS(13462), 1,
      anon_sym_fun,
    STATE(2834), 1,
      sym__simple_class_expression,
    STATE(10980), 1,
      sym_attribute,
    STATE(11759), 1,
      sym__class_expression,
    STATE(20059), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [577010] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13460), 1,
      anon_sym_let,
    ACTIONS(13462), 1,
      anon_sym_fun,
    STATE(2834), 1,
      sym__simple_class_expression,
    STATE(10981), 1,
      sym_attribute,
    STATE(11766), 1,
      sym__class_expression,
    STATE(20059), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [577078] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13490), 1,
      anon_sym_else,
    STATE(9127), 1,
      sym_else_clause,
    STATE(10982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [577122] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13460), 1,
      anon_sym_let,
    ACTIONS(13462), 1,
      anon_sym_fun,
    STATE(2834), 1,
      sym__simple_class_expression,
    STATE(10464), 1,
      sym__class_expression,
    STATE(10983), 1,
      sym_attribute,
    STATE(20059), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [577190] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10200), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13384), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13386), 1,
      sym_pow_operator,
    ACTIONS(13388), 1,
      sym_mult_operator,
    ACTIONS(13390), 1,
      sym_concat_operator,
    ACTIONS(13392), 1,
      sym_rel_operator,
    ACTIONS(13394), 1,
      sym_and_operator,
    ACTIONS(13396), 1,
      sym_or_operator,
    ACTIONS(13442), 1,
      anon_sym_COMMA,
    ACTIONS(13444), 1,
      sym_assign_operator,
    ACTIONS(13492), 1,
      anon_sym_SEMI,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [577254] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10360), 1,
      sym__identifier,
    ACTIONS(13494), 1,
      anon_sym_COLON2,
    STATE(10985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(12523), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12525), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [577300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8927), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [577340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8931), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [577380] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11471), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13384), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13386), 1,
      sym_pow_operator,
    ACTIONS(13388), 1,
      sym_mult_operator,
    ACTIONS(13390), 1,
      sym_concat_operator,
    ACTIONS(13392), 1,
      sym_rel_operator,
    ACTIONS(13394), 1,
      sym_and_operator,
    ACTIONS(13396), 1,
      sym_or_operator,
    ACTIONS(13442), 1,
      anon_sym_COMMA,
    ACTIONS(13444), 1,
      sym_assign_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [577442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9178), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [577482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9182), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [577522] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13384), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13386), 1,
      sym_pow_operator,
    ACTIONS(13388), 1,
      sym_mult_operator,
    ACTIONS(13390), 1,
      sym_concat_operator,
    ACTIONS(13392), 1,
      sym_rel_operator,
    ACTIONS(13394), 1,
      sym_and_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [577578] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11411), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13384), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13386), 1,
      sym_pow_operator,
    ACTIONS(13388), 1,
      sym_mult_operator,
    ACTIONS(13390), 1,
      sym_concat_operator,
    ACTIONS(13392), 1,
      sym_rel_operator,
    ACTIONS(13394), 1,
      sym_and_operator,
    ACTIONS(13396), 1,
      sym_or_operator,
    ACTIONS(13442), 1,
      anon_sym_COMMA,
    ACTIONS(13444), 1,
      sym_assign_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [577640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9186), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [577680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12551), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12553), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [577720] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13380), 1,
      sym__identifier,
    ACTIONS(13382), 1,
      anon_sym_POUND,
    STATE(10995), 1,
      sym_attribute,
    STATE(11556), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12587), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [577776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9190), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [577816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9130), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [577856] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13326), 1,
      anon_sym_COMMA,
    ACTIONS(13328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13330), 1,
      sym_pow_operator,
    ACTIONS(13332), 1,
      sym_mult_operator,
    ACTIONS(13334), 1,
      sym_concat_operator,
    ACTIONS(13336), 1,
      sym_rel_operator,
    ACTIONS(13338), 1,
      sym_and_operator,
    ACTIONS(13340), 1,
      sym_or_operator,
    ACTIONS(13342), 1,
      sym_assign_operator,
    ACTIONS(13496), 1,
      anon_sym_SEMI,
    STATE(2695), 1,
      sym_add_operator,
    STATE(10998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [577920] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2695), 1,
      sym_add_operator,
    STATE(10999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [577962] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13384), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13386), 1,
      sym_pow_operator,
    ACTIONS(13388), 1,
      sym_mult_operator,
    ACTIONS(13390), 1,
      sym_concat_operator,
    ACTIONS(13392), 1,
      sym_rel_operator,
    ACTIONS(13394), 1,
      sym_and_operator,
    ACTIONS(13396), 1,
      sym_or_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(11000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [578020] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13374), 1,
      anon_sym_fun,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(11001), 1,
      sym_attribute,
    STATE(11728), 1,
      sym__class_expression,
    STATE(21583), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [578088] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13374), 1,
      anon_sym_fun,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(11002), 1,
      sym_attribute,
    STATE(11730), 1,
      sym__class_expression,
    STATE(21583), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [578156] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13374), 1,
      anon_sym_fun,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(11003), 1,
      sym_attribute,
    STATE(11745), 1,
      sym__class_expression,
    STATE(21583), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [578224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13500), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13498), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13504), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13502), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13508), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13506), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578344] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13330), 1,
      sym_pow_operator,
    STATE(2695), 1,
      sym_add_operator,
    STATE(11007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [578388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9178), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [578428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9182), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [578468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9186), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [578508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9190), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [578548] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2613), 1,
      sym_add_operator,
    STATE(11012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [578590] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8083), 1,
      anon_sym_object,
    ACTIONS(9696), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9698), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13206), 1,
      sym__identifier,
    ACTIONS(13208), 1,
      anon_sym_let,
    ACTIONS(13210), 1,
      anon_sym_LPAREN,
    ACTIONS(13214), 1,
      anon_sym_LBRACK,
    ACTIONS(13216), 1,
      anon_sym_fun,
    STATE(2900), 1,
      sym__simple_class_expression,
    STATE(11013), 1,
      sym_attribute,
    STATE(14238), 1,
      sym__class_expression,
    STATE(20009), 1,
      sym_module_path,
    STATE(22075), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9578), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [578658] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13410), 1,
      anon_sym_else,
    STATE(9127), 1,
      sym_else_clause,
    STATE(11014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [578702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12593), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [578742] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13384), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13386), 1,
      sym_pow_operator,
    ACTIONS(13388), 1,
      sym_mult_operator,
    ACTIONS(13390), 1,
      sym_concat_operator,
    ACTIONS(13392), 1,
      sym_rel_operator,
    ACTIONS(13394), 1,
      sym_and_operator,
    ACTIONS(13396), 1,
      sym_or_operator,
    ACTIONS(13442), 1,
      anon_sym_COMMA,
    ACTIONS(13444), 1,
      sym_assign_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(11016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [578804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9308), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [578844] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12681), 1,
      sym__identifier,
    ACTIONS(12881), 1,
      anon_sym_POUND,
    STATE(10687), 1,
      sym_type_constructor_path,
    STATE(11018), 1,
      sym_attribute,
    STATE(18611), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13222), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13224), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [578894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9312), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [578934] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13354), 1,
      anon_sym_DOT,
    ACTIONS(13356), 1,
      anon_sym_POUND,
    ACTIONS(13358), 1,
      sym_hash_operator,
    STATE(11020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10772), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10770), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [578980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9316), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [579020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9320), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [579060] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13374), 1,
      anon_sym_fun,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(10448), 1,
      sym__class_expression,
    STATE(11023), 1,
      sym_attribute,
    STATE(21583), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [579128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8837), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8839), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [579168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8841), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8843), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [579208] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13354), 1,
      anon_sym_DOT,
    ACTIONS(13356), 1,
      anon_sym_POUND,
    ACTIONS(13358), 1,
      sym_hash_operator,
    STATE(11026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10802), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10800), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [579254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13512), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13510), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [579294] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7411), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13286), 1,
      sym__identifier,
    ACTIONS(13288), 1,
      anon_sym_let,
    ACTIONS(13290), 1,
      anon_sym_LPAREN,
    ACTIONS(13292), 1,
      anon_sym_LBRACK,
    ACTIONS(13294), 1,
      anon_sym_fun,
    STATE(2870), 1,
      sym__simple_class_expression,
    STATE(11028), 1,
      sym_attribute,
    STATE(11702), 1,
      sym__class_expression,
    STATE(20439), 1,
      sym_module_path,
    STATE(21031), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8831), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [579362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8845), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8847), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [579402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9304), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [579442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9176), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [579482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9180), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [579522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9184), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [579562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9188), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [579602] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12507), 1,
      sym__identifier,
    ACTIONS(12521), 1,
      anon_sym_POUND,
    STATE(10367), 1,
      sym_type_constructor_path,
    STATE(11035), 1,
      sym_attribute,
    STATE(18796), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12587), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [579652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12671), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [579692] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7411), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13286), 1,
      sym__identifier,
    ACTIONS(13288), 1,
      anon_sym_let,
    ACTIONS(13290), 1,
      anon_sym_LPAREN,
    ACTIONS(13292), 1,
      anon_sym_LBRACK,
    ACTIONS(13294), 1,
      anon_sym_fun,
    STATE(2870), 1,
      sym__simple_class_expression,
    STATE(11037), 1,
      sym_attribute,
    STATE(11705), 1,
      sym__class_expression,
    STATE(20439), 1,
      sym_module_path,
    STATE(21031), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8831), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [579760] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13374), 1,
      anon_sym_fun,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(11038), 1,
      sym_attribute,
    STATE(11560), 1,
      sym__class_expression,
    STATE(21583), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [579828] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13364), 1,
      sym__identifier,
    ACTIONS(13366), 1,
      anon_sym_let,
    ACTIONS(13368), 1,
      anon_sym_LPAREN,
    ACTIONS(13370), 1,
      anon_sym_LBRACK,
    ACTIONS(13372), 1,
      anon_sym_object,
    ACTIONS(13374), 1,
      anon_sym_fun,
    ACTIONS(13376), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13378), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2846), 1,
      sym__simple_class_expression,
    STATE(11039), 1,
      sym_attribute,
    STATE(11557), 1,
      sym__class_expression,
    STATE(21583), 1,
      sym_value_definition,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7825), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [579896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12675), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [579936] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13272), 1,
      sym__identifier,
    ACTIONS(13412), 1,
      anon_sym_POUND,
    STATE(11041), 1,
      sym_attribute,
    STATE(11212), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12529), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [579992] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13386), 1,
      sym_pow_operator,
    ACTIONS(13388), 1,
      sym_mult_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(11042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [580038] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13296), 1,
      sym__identifier,
    ACTIONS(13298), 1,
      anon_sym_let,
    ACTIONS(13300), 1,
      anon_sym_LPAREN,
    ACTIONS(13302), 1,
      anon_sym_LBRACK,
    ACTIONS(13304), 1,
      anon_sym_object,
    ACTIONS(13306), 1,
      anon_sym_fun,
    ACTIONS(13308), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13310), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2835), 1,
      sym__simple_class_expression,
    STATE(11043), 1,
      sym_attribute,
    STATE(11815), 1,
      sym__class_expression,
    STATE(19716), 1,
      sym_module_path,
    STATE(20478), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8334), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [580106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12665), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12667), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [580146] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13354), 1,
      anon_sym_DOT,
    ACTIONS(13356), 1,
      anon_sym_POUND,
    ACTIONS(13358), 1,
      sym_hash_operator,
    STATE(11045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10794), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10792), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [580192] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13296), 1,
      sym__identifier,
    ACTIONS(13298), 1,
      anon_sym_let,
    ACTIONS(13300), 1,
      anon_sym_LPAREN,
    ACTIONS(13302), 1,
      anon_sym_LBRACK,
    ACTIONS(13304), 1,
      anon_sym_object,
    ACTIONS(13306), 1,
      anon_sym_fun,
    ACTIONS(13308), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13310), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2835), 1,
      sym__simple_class_expression,
    STATE(11046), 1,
      sym_attribute,
    STATE(11728), 1,
      sym__class_expression,
    STATE(19716), 1,
      sym_module_path,
    STATE(20478), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8334), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [580260] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13296), 1,
      sym__identifier,
    ACTIONS(13298), 1,
      anon_sym_let,
    ACTIONS(13300), 1,
      anon_sym_LPAREN,
    ACTIONS(13302), 1,
      anon_sym_LBRACK,
    ACTIONS(13304), 1,
      anon_sym_object,
    ACTIONS(13306), 1,
      anon_sym_fun,
    ACTIONS(13308), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13310), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2835), 1,
      sym__simple_class_expression,
    STATE(11047), 1,
      sym_attribute,
    STATE(11557), 1,
      sym__class_expression,
    STATE(19716), 1,
      sym_module_path,
    STATE(20478), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8334), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [580328] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8743), 1,
      anon_sym_object,
    ACTIONS(8755), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8757), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13424), 1,
      sym__identifier,
    ACTIONS(13426), 1,
      anon_sym_let,
    ACTIONS(13428), 1,
      anon_sym_LPAREN,
    ACTIONS(13430), 1,
      anon_sym_LBRACK,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(3017), 1,
      sym__simple_class_expression,
    STATE(11048), 1,
      sym_attribute,
    STATE(17019), 1,
      sym__class_expression,
    STATE(19625), 1,
      sym_value_definition,
    STATE(22180), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11104), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [580396] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 10,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9060), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [580436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12727), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [580476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9328), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [580516] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13202), 1,
      sym__identifier,
    ACTIONS(13400), 1,
      anon_sym_POUND,
    STATE(11052), 1,
      sym_attribute,
    STATE(11109), 1,
      sym_type_constructor_path,
    STATE(18717), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12371), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12373), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [580566] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13380), 1,
      sym__identifier,
    ACTIONS(13382), 1,
      anon_sym_POUND,
    STATE(11053), 1,
      sym_attribute,
    STATE(11556), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12515), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [580622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12731), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [580662] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7411), 1,
      anon_sym_object,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(13286), 1,
      sym__identifier,
    ACTIONS(13288), 1,
      anon_sym_let,
    ACTIONS(13290), 1,
      anon_sym_LPAREN,
    ACTIONS(13292), 1,
      anon_sym_LBRACK,
    ACTIONS(13294), 1,
      anon_sym_fun,
    STATE(2870), 1,
      sym__simple_class_expression,
    STATE(11055), 1,
      sym_attribute,
    STATE(11557), 1,
      sym__class_expression,
    STATE(20439), 1,
      sym_module_path,
    STATE(21031), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10338), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8831), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [580730] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11240), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_POUND,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11246), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11248), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12575), 1,
      sym__identifier,
    STATE(11056), 1,
      sym_attribute,
    STATE(12265), 1,
      sym__simple_type,
    STATE(19033), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12350), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [580793] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(13514), 1,
      anon_sym_COLON2,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(11057), 1,
      sym_attribute,
    STATE(11106), 1,
      sym__module_typed,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11356), 1,
      aux_sym_module_binding_repeat1,
    STATE(11844), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12926), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12922), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [580848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12733), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12735), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [580887] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13516), 1,
      sym__identifier,
    ACTIONS(13518), 1,
      anon_sym_POUND,
    STATE(11059), 1,
      sym_attribute,
    STATE(11976), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19100), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12771), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12773), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [580942] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13516), 1,
      sym__identifier,
    ACTIONS(13518), 1,
      anon_sym_POUND,
    STATE(11060), 1,
      sym_attribute,
    STATE(11976), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19100), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12801), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [580997] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11042), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12609), 1,
      sym__identifier,
    ACTIONS(12611), 1,
      anon_sym_LPAREN,
    ACTIONS(12613), 1,
      anon_sym_LBRACK,
    ACTIONS(12615), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12617), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12619), 1,
      anon_sym_LT,
    ACTIONS(12621), 1,
      anon_sym_POUND,
    ACTIONS(12623), 1,
      aux_sym_type_variable_token1,
    STATE(11061), 1,
      sym_attribute,
    STATE(11274), 1,
      sym__simple_type,
    STATE(18135), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11484), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [581060] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11984), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      sym__identifier,
    STATE(11062), 1,
      sym_attribute,
    STATE(11581), 1,
      sym__simple_type,
    STATE(19188), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [581123] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11984), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      sym__identifier,
    STATE(11063), 1,
      sym_attribute,
    STATE(11583), 1,
      sym__simple_type,
    STATE(19188), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [581186] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9166), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [581225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12747), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [581264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12731), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [581303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12671), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [581342] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(11068), 1,
      sym_attribute,
    STATE(12011), 1,
      sym__simple_type,
    STATE(18900), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [581405] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11338), 1,
      anon_sym_LT,
    ACTIONS(11340), 1,
      anon_sym_POUND,
    ACTIONS(11342), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12663), 1,
      sym__identifier,
    STATE(11069), 1,
      sym_attribute,
    STATE(12742), 1,
      sym__simple_type,
    STATE(18119), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [581468] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11984), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      sym__identifier,
    STATE(11070), 1,
      sym_attribute,
    STATE(11586), 1,
      sym__simple_type,
    STATE(19188), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [581531] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13520), 1,
      anon_sym_STAR,
    STATE(11071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11516), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12675), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [581611] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11994), 1,
      anon_sym_LPAREN,
    ACTIONS(11998), 1,
      anon_sym_LBRACK,
    ACTIONS(12000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12004), 1,
      anon_sym_LT,
    ACTIONS(12006), 1,
      anon_sym_POUND,
    ACTIONS(12008), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12010), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12012), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13522), 1,
      sym__identifier,
    STATE(10283), 1,
      sym__simple_type,
    STATE(11073), 1,
      sym_attribute,
    STATE(18344), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10801), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [581674] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10256), 1,
      sym__identifier,
    STATE(11074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(12551), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12553), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [581717] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13524), 1,
      sym_pow_operator,
    STATE(2506), 1,
      sym_add_operator,
    STATE(11075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12593), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [581799] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11984), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      sym__identifier,
    STATE(11077), 1,
      sym_attribute,
    STATE(11587), 1,
      sym__simple_type,
    STATE(19188), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [581862] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11984), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      sym__identifier,
    STATE(11078), 1,
      sym_attribute,
    STATE(11588), 1,
      sym__simple_type,
    STATE(19188), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [581925] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11984), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      sym__identifier,
    STATE(11079), 1,
      sym_attribute,
    STATE(11590), 1,
      sym__simple_type,
    STATE(19188), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [581988] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12849), 1,
      sym__identifier,
    ACTIONS(12851), 1,
      anon_sym_POUND,
    STATE(11080), 1,
      sym_attribute,
    STATE(11251), 1,
      sym_type_constructor_path,
    STATE(18558), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13450), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13452), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [582037] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11240), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_POUND,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11246), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11248), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12575), 1,
      sym__identifier,
    STATE(11081), 1,
      sym_attribute,
    STATE(12586), 1,
      sym__simple_type,
    STATE(19033), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12350), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [582100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12767), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12769), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [582139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12607), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [582178] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13526), 1,
      sym__identifier,
    ACTIONS(13528), 1,
      anon_sym_POUND,
    STATE(11084), 1,
      sym_attribute,
    STATE(11983), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18674), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12771), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12773), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [582233] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13534), 1,
      anon_sym_DASH_GT,
    ACTIONS(13536), 1,
      anon_sym_as,
    STATE(11085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13532), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13530), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582276] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12625), 1,
      sym__identifier,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(12629), 1,
      anon_sym_LBRACK,
    ACTIONS(12631), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12633), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12635), 1,
      anon_sym_LT,
    ACTIONS(12637), 1,
      anon_sym_POUND,
    ACTIONS(12639), 1,
      aux_sym_type_variable_token1,
    STATE(11080), 1,
      sym__simple_type,
    STATE(11086), 1,
      sym_attribute,
    STATE(19056), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11252), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [582339] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11477), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13524), 1,
      sym_pow_operator,
    ACTIONS(13538), 1,
      anon_sym_COMMA,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_mult_operator,
    ACTIONS(13544), 1,
      sym_concat_operator,
    ACTIONS(13546), 1,
      sym_rel_operator,
    ACTIONS(13548), 1,
      sym_and_operator,
    ACTIONS(13550), 1,
      sym_or_operator,
    ACTIONS(13552), 1,
      sym_assign_operator,
    STATE(2506), 1,
      sym_add_operator,
    STATE(11087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [582400] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12555), 1,
      sym__identifier,
    ACTIONS(12557), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      anon_sym_LBRACK,
    ACTIONS(12561), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12563), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12565), 1,
      anon_sym_LT,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    ACTIONS(12569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12573), 1,
      aux_sym_type_variable_token1,
    STATE(11088), 1,
      sym_attribute,
    STATE(11941), 1,
      sym__simple_type,
    STATE(18853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11967), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [582463] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13524), 1,
      sym_pow_operator,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_mult_operator,
    ACTIONS(13544), 1,
      sym_concat_operator,
    STATE(2506), 1,
      sym_add_operator,
    STATE(11089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [582514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12733), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12735), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [582553] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12625), 1,
      sym__identifier,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(12629), 1,
      anon_sym_LBRACK,
    ACTIONS(12631), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12633), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12635), 1,
      anon_sym_LT,
    ACTIONS(12637), 1,
      anon_sym_POUND,
    ACTIONS(12639), 1,
      aux_sym_type_variable_token1,
    STATE(11091), 1,
      sym_attribute,
    STATE(11096), 1,
      sym__simple_type,
    STATE(19056), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11252), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [582616] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13524), 1,
      sym_pow_operator,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_mult_operator,
    ACTIONS(13544), 1,
      sym_concat_operator,
    STATE(2506), 1,
      sym_add_operator,
    STATE(11092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [582667] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      anon_sym_LPAREN,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    ACTIONS(12589), 1,
      sym__identifier,
    STATE(11035), 1,
      sym__simple_type,
    STATE(11093), 1,
      sym_attribute,
    STATE(19026), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [582730] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12823), 1,
      anon_sym_constraint,
    ACTIONS(13556), 1,
      anon_sym_let,
    ACTIONS(13558), 1,
      anon_sym_EQ,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11094), 1,
      sym_attribute,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11370), 1,
      aux_sym_type_binding_repeat1,
    STATE(11886), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13554), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10256), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [582822] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12849), 1,
      sym__identifier,
    ACTIONS(12851), 1,
      anon_sym_POUND,
    STATE(11096), 1,
      sym_attribute,
    STATE(11251), 1,
      sym_type_constructor_path,
    STATE(18558), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12529), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [582871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12551), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12553), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [582910] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12531), 1,
      sym__identifier,
    ACTIONS(12533), 1,
      anon_sym_LPAREN,
    ACTIONS(12535), 1,
      anon_sym_LBRACK,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12539), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12541), 1,
      anon_sym_LT,
    ACTIONS(12543), 1,
      anon_sym_POUND,
    ACTIONS(12545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12549), 1,
      aux_sym_type_variable_token1,
    STATE(11098), 1,
      sym_attribute,
    STATE(11364), 1,
      sym__simple_type,
    STATE(19201), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11890), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [582973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12721), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12723), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [583012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9178), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [583051] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11338), 1,
      anon_sym_LT,
    ACTIONS(11340), 1,
      anon_sym_POUND,
    ACTIONS(11342), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12663), 1,
      sym__identifier,
    STATE(11101), 1,
      sym_attribute,
    STATE(12728), 1,
      sym__simple_type,
    STATE(18119), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [583114] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13526), 1,
      sym__identifier,
    ACTIONS(13528), 1,
      anon_sym_POUND,
    STATE(11102), 1,
      sym_attribute,
    STATE(11983), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18674), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12801), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [583169] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11240), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_POUND,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11246), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11248), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12575), 1,
      sym__identifier,
    STATE(11103), 1,
      sym_attribute,
    STATE(12593), 1,
      sym__simple_type,
    STATE(19033), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12350), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [583232] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10630), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10628), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [583271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12727), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [583310] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13024), 1,
      anon_sym_let,
    STATE(11106), 1,
      sym_attribute,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11803), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13026), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13022), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12551), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12553), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [583396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12643), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [583435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12645), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12647), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [583474] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12749), 1,
      sym__identifier,
    ACTIONS(12751), 1,
      anon_sym_LPAREN,
    ACTIONS(12753), 1,
      anon_sym_LBRACK,
    ACTIONS(12755), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12757), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12759), 1,
      anon_sym_LT,
    ACTIONS(12761), 1,
      anon_sym_POUND,
    ACTIONS(12763), 1,
      aux_sym_type_variable_token1,
    STATE(11110), 1,
      sym_attribute,
    STATE(15022), 1,
      sym__simple_type,
    STATE(18514), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14896), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [583537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13562), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13560), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583576] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13564), 1,
      anon_sym_LPAREN,
    ACTIONS(13566), 1,
      anon_sym_LBRACK,
    STATE(11112), 1,
      sym_attribute,
    STATE(11935), 1,
      sym__constructor_name,
    STATE(12957), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13246), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13568), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13244), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583627] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13524), 1,
      sym_pow_operator,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_mult_operator,
    ACTIONS(13544), 1,
      sym_concat_operator,
    ACTIONS(13546), 1,
      sym_rel_operator,
    ACTIONS(13548), 1,
      sym_and_operator,
    STATE(2506), 1,
      sym_add_operator,
    STATE(11113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [583682] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12625), 1,
      sym__identifier,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(12629), 1,
      anon_sym_LBRACK,
    ACTIONS(12631), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12633), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12635), 1,
      anon_sym_LT,
    ACTIONS(12637), 1,
      anon_sym_POUND,
    ACTIONS(12639), 1,
      aux_sym_type_variable_token1,
    STATE(10776), 1,
      sym__simple_type,
    STATE(11114), 1,
      sym_attribute,
    STATE(19056), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11252), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [583745] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13272), 1,
      sym__identifier,
    ACTIONS(13412), 1,
      anon_sym_POUND,
    ACTIONS(13570), 1,
      anon_sym_STAR,
    STATE(11115), 1,
      sym_attribute,
    STATE(11212), 1,
      sym_type_constructor_path,
    STATE(12702), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12517), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13006), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [583798] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11240), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_POUND,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11246), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11248), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12575), 1,
      sym__identifier,
    STATE(11116), 1,
      sym_attribute,
    STATE(12595), 1,
      sym__simple_type,
    STATE(19033), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12350), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [583861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13574), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13572), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583900] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11338), 1,
      anon_sym_LT,
    ACTIONS(11340), 1,
      anon_sym_POUND,
    ACTIONS(11342), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12663), 1,
      sym__identifier,
    STATE(11118), 1,
      sym_attribute,
    STATE(12730), 1,
      sym__simple_type,
    STATE(18119), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [583963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12525), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [584002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12671), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [584041] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11240), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_POUND,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11246), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11248), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12575), 1,
      sym__identifier,
    STATE(11121), 1,
      sym_attribute,
    STATE(12614), 1,
      sym__simple_type,
    STATE(19033), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12350), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [584104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9184), 22,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [584143] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13524), 1,
      sym_pow_operator,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_mult_operator,
    ACTIONS(13544), 1,
      sym_concat_operator,
    ACTIONS(13546), 1,
      sym_rel_operator,
    ACTIONS(13548), 1,
      sym_and_operator,
    ACTIONS(13550), 1,
      sym_or_operator,
    STATE(2506), 1,
      sym_add_operator,
    STATE(11123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [584200] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13516), 1,
      sym__identifier,
    ACTIONS(13518), 1,
      anon_sym_POUND,
    STATE(11124), 1,
      sym_attribute,
    STATE(11976), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19100), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12515), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [584255] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12952), 1,
      anon_sym_COLON2,
    STATE(11125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10360), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [584296] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11984), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      sym__identifier,
    STATE(11052), 1,
      sym__simple_type,
    STATE(11126), 1,
      sym_attribute,
    STATE(19188), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [584359] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13576), 1,
      sym__identifier,
    ACTIONS(13578), 1,
      anon_sym_POUND,
    STATE(11127), 1,
      sym_attribute,
    STATE(12081), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18981), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12581), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [584414] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13526), 1,
      sym__identifier,
    ACTIONS(13528), 1,
      anon_sym_POUND,
    STATE(11128), 1,
      sym_attribute,
    STATE(11983), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18674), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12581), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [584469] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11338), 1,
      anon_sym_LT,
    ACTIONS(11340), 1,
      anon_sym_POUND,
    ACTIONS(11342), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12663), 1,
      sym__identifier,
    STATE(11129), 1,
      sym_attribute,
    STATE(11857), 1,
      sym__simple_type,
    STATE(18119), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [584532] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12531), 1,
      sym__identifier,
    ACTIONS(12533), 1,
      anon_sym_LPAREN,
    ACTIONS(12535), 1,
      anon_sym_LBRACK,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12539), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12541), 1,
      anon_sym_LT,
    ACTIONS(12543), 1,
      anon_sym_POUND,
    ACTIONS(12545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12549), 1,
      aux_sym_type_variable_token1,
    STATE(11130), 1,
      sym_attribute,
    STATE(11672), 1,
      sym__simple_type,
    STATE(19201), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11890), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [584595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12737), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12739), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [584634] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11286), 1,
      anon_sym_LPAREN,
    ACTIONS(11288), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11292), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11294), 1,
      anon_sym_LT,
    ACTIONS(11296), 1,
      anon_sym_POUND,
    ACTIONS(11298), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11300), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11302), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13580), 1,
      sym__identifier,
    STATE(11132), 1,
      sym_attribute,
    STATE(13234), 1,
      sym__simple_type,
    STATE(18707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14136), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [584697] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13524), 1,
      sym_pow_operator,
    ACTIONS(13538), 1,
      anon_sym_COMMA,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_mult_operator,
    ACTIONS(13544), 1,
      sym_concat_operator,
    ACTIONS(13546), 1,
      sym_rel_operator,
    ACTIONS(13548), 1,
      sym_and_operator,
    ACTIONS(13550), 1,
      sym_or_operator,
    ACTIONS(13552), 1,
      sym_assign_operator,
    STATE(2506), 1,
      sym_add_operator,
    STATE(11133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [584758] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13526), 1,
      sym__identifier,
    ACTIONS(13528), 1,
      anon_sym_POUND,
    STATE(11134), 1,
      sym_attribute,
    STATE(11983), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18674), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12529), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [584813] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12531), 1,
      sym__identifier,
    ACTIONS(12533), 1,
      anon_sym_LPAREN,
    ACTIONS(12535), 1,
      anon_sym_LBRACK,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12539), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12541), 1,
      anon_sym_LT,
    ACTIONS(12543), 1,
      anon_sym_POUND,
    ACTIONS(12545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12549), 1,
      aux_sym_type_variable_token1,
    STATE(11135), 1,
      sym_attribute,
    STATE(11698), 1,
      sym__simple_type,
    STATE(19201), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11890), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [584876] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13524), 1,
      sym_pow_operator,
    ACTIONS(13542), 1,
      sym_mult_operator,
    STATE(2506), 1,
      sym_add_operator,
    STATE(11136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [584921] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12098), 1,
      anon_sym_LPAREN,
    ACTIONS(12102), 1,
      anon_sym_LBRACK,
    ACTIONS(12104), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12106), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12108), 1,
      anon_sym_LT,
    ACTIONS(12110), 1,
      anon_sym_POUND,
    ACTIONS(12112), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12114), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12116), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13582), 1,
      sym__identifier,
    STATE(10176), 1,
      sym__simple_type,
    STATE(11137), 1,
      sym_attribute,
    STATE(18171), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10502), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [584984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12807), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [585023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12737), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12739), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [585062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10256), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [585101] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      anon_sym_LPAREN,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    ACTIONS(12589), 1,
      sym__identifier,
    STATE(10622), 1,
      sym__simple_type,
    STATE(11141), 1,
      sym_attribute,
    STATE(19026), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [585164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12525), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [585203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12687), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [585242] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12749), 1,
      sym__identifier,
    ACTIONS(12751), 1,
      anon_sym_LPAREN,
    ACTIONS(12753), 1,
      anon_sym_LBRACK,
    ACTIONS(12755), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12757), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12759), 1,
      anon_sym_LT,
    ACTIONS(12761), 1,
      anon_sym_POUND,
    ACTIONS(12763), 1,
      aux_sym_type_variable_token1,
    STATE(11144), 1,
      sym_attribute,
    STATE(14928), 1,
      sym__simple_type,
    STATE(18514), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14896), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [585305] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12749), 1,
      sym__identifier,
    ACTIONS(12751), 1,
      anon_sym_LPAREN,
    ACTIONS(12753), 1,
      anon_sym_LBRACK,
    ACTIONS(12755), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12757), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12759), 1,
      anon_sym_LT,
    ACTIONS(12761), 1,
      anon_sym_POUND,
    ACTIONS(12763), 1,
      aux_sym_type_variable_token1,
    STATE(11145), 1,
      sym_attribute,
    STATE(15023), 1,
      sym__simple_type,
    STATE(18514), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14896), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [585368] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10358), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13584), 1,
      anon_sym_EQ,
    ACTIONS(13586), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13588), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11146), 1,
      sym_attribute,
    STATE(11804), 1,
      aux_sym_expression_item_repeat1,
    STATE(12027), 1,
      sym__type_equation,
    STATE(12310), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12887), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [585425] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12970), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12591), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12593), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [585466] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13380), 1,
      sym__identifier,
    ACTIONS(13382), 1,
      anon_sym_POUND,
    ACTIONS(13590), 1,
      anon_sym_STAR,
    STATE(11148), 1,
      sym_attribute,
    STATE(11556), 1,
      sym_type_constructor_path,
    STATE(12626), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12517), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13006), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [585519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9182), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [585558] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      anon_sym_LPAREN,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    ACTIONS(12589), 1,
      sym__identifier,
    STATE(10741), 1,
      sym__simple_type,
    STATE(11150), 1,
      sym_attribute,
    STATE(19026), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [585621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9186), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [585660] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12970), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12591), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12593), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [585701] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12086), 1,
      anon_sym_LPAREN,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      sym__identifier,
    STATE(11018), 1,
      sym__simple_type,
    STATE(11153), 1,
      sym_attribute,
    STATE(18307), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [585764] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12625), 1,
      sym__identifier,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(12629), 1,
      anon_sym_LBRACK,
    ACTIONS(12631), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12633), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12635), 1,
      anon_sym_LT,
    ACTIONS(12637), 1,
      anon_sym_POUND,
    ACTIONS(12639), 1,
      aux_sym_type_variable_token1,
    STATE(11154), 1,
      sym_attribute,
    STATE(11243), 1,
      sym__simple_type,
    STATE(19056), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11252), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [585827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12737), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12739), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [585866] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13576), 1,
      sym__identifier,
    ACTIONS(13578), 1,
      anon_sym_POUND,
    STATE(11156), 1,
      sym_attribute,
    STATE(12081), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18981), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12771), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12773), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [585921] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12749), 1,
      sym__identifier,
    ACTIONS(12751), 1,
      anon_sym_LPAREN,
    ACTIONS(12753), 1,
      anon_sym_LBRACK,
    ACTIONS(12755), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12757), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12759), 1,
      anon_sym_LT,
    ACTIONS(12761), 1,
      anon_sym_POUND,
    ACTIONS(12763), 1,
      aux_sym_type_variable_token1,
    STATE(11157), 1,
      sym_attribute,
    STATE(15096), 1,
      sym__simple_type,
    STATE(18514), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14896), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [585984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12743), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [586023] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13576), 1,
      sym__identifier,
    ACTIONS(13578), 1,
      anon_sym_POUND,
    STATE(11159), 1,
      sym_attribute,
    STATE(12081), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18981), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12801), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [586078] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10200), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13524), 1,
      sym_pow_operator,
    ACTIONS(13538), 1,
      anon_sym_COMMA,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_mult_operator,
    ACTIONS(13544), 1,
      sym_concat_operator,
    ACTIONS(13546), 1,
      sym_rel_operator,
    ACTIONS(13548), 1,
      sym_and_operator,
    ACTIONS(13550), 1,
      sym_or_operator,
    ACTIONS(13552), 1,
      sym_assign_operator,
    ACTIONS(13592), 1,
      anon_sym_SEMI,
    STATE(2506), 1,
      sym_add_operator,
    STATE(11160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [586141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12603), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [586180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12689), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12691), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [586219] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13576), 1,
      sym__identifier,
    ACTIONS(13578), 1,
      anon_sym_POUND,
    STATE(11163), 1,
      sym_attribute,
    STATE(12081), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18981), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12587), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [586274] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13534), 1,
      anon_sym_DASH_GT,
    STATE(11164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13596), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13594), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [586315] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12531), 1,
      sym__identifier,
    ACTIONS(12533), 1,
      anon_sym_LPAREN,
    ACTIONS(12535), 1,
      anon_sym_LBRACK,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12539), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12541), 1,
      anon_sym_LT,
    ACTIONS(12543), 1,
      anon_sym_POUND,
    ACTIONS(12545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12549), 1,
      aux_sym_type_variable_token1,
    STATE(11165), 1,
      sym_attribute,
    STATE(11613), 1,
      sym__simple_type,
    STATE(19201), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11890), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [586378] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11042), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12609), 1,
      sym__identifier,
    ACTIONS(12611), 1,
      anon_sym_LPAREN,
    ACTIONS(12613), 1,
      anon_sym_LBRACK,
    ACTIONS(12615), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12617), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12619), 1,
      anon_sym_LT,
    ACTIONS(12621), 1,
      anon_sym_POUND,
    ACTIONS(12623), 1,
      aux_sym_type_variable_token1,
    STATE(11166), 1,
      sym_attribute,
    STATE(11457), 1,
      sym__simple_type,
    STATE(18135), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11484), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [586441] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12849), 1,
      sym__identifier,
    ACTIONS(12851), 1,
      anon_sym_POUND,
    STATE(11167), 1,
      sym_attribute,
    STATE(11251), 1,
      sym_type_constructor_path,
    STATE(18558), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12581), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [586490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12603), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [586529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12607), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [586568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12679), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [586607] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13202), 1,
      sym__identifier,
    ACTIONS(13400), 1,
      anon_sym_POUND,
    ACTIONS(13598), 1,
      anon_sym_STAR,
    STATE(11109), 1,
      sym_type_constructor_path,
    STATE(11171), 1,
      sym_attribute,
    STATE(12683), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18717), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12517), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13006), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [586660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12643), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [586699] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13526), 1,
      sym__identifier,
    ACTIONS(13528), 1,
      anon_sym_POUND,
    STATE(11173), 1,
      sym_attribute,
    STATE(11983), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18674), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12587), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [586754] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      anon_sym_LPAREN,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    ACTIONS(12589), 1,
      sym__identifier,
    STATE(10709), 1,
      sym__simple_type,
    STATE(11174), 1,
      sym_attribute,
    STATE(19026), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [586817] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      anon_sym_LPAREN,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    ACTIONS(12589), 1,
      sym__identifier,
    STATE(10796), 1,
      sym__simple_type,
    STATE(11175), 1,
      sym_attribute,
    STATE(19026), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [586880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12717), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12719), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [586919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12767), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12769), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [586958] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11471), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13524), 1,
      sym_pow_operator,
    ACTIONS(13538), 1,
      anon_sym_COMMA,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_mult_operator,
    ACTIONS(13544), 1,
      sym_concat_operator,
    ACTIONS(13546), 1,
      sym_rel_operator,
    ACTIONS(13548), 1,
      sym_and_operator,
    ACTIONS(13550), 1,
      sym_or_operator,
    ACTIONS(13552), 1,
      sym_assign_operator,
    STATE(2506), 1,
      sym_add_operator,
    STATE(11178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [587019] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12016), 1,
      anon_sym_LPAREN,
    ACTIONS(12020), 1,
      anon_sym_LBRACK,
    ACTIONS(12022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12026), 1,
      anon_sym_LT,
    ACTIONS(12028), 1,
      anon_sym_POUND,
    ACTIONS(12030), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12032), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12034), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13600), 1,
      sym__identifier,
    STATE(10584), 1,
      sym__simple_type,
    STATE(11179), 1,
      sym_attribute,
    STATE(18312), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11015), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [587082] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13524), 1,
      sym_pow_operator,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_mult_operator,
    ACTIONS(13544), 1,
      sym_concat_operator,
    ACTIONS(13546), 1,
      sym_rel_operator,
    ACTIONS(13548), 1,
      sym_and_operator,
    ACTIONS(13550), 1,
      sym_or_operator,
    STATE(2506), 1,
      sym_add_operator,
    STATE(11180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [587139] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11338), 1,
      anon_sym_LT,
    ACTIONS(11340), 1,
      anon_sym_POUND,
    ACTIONS(11342), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12663), 1,
      sym__identifier,
    STATE(11181), 1,
      sym_attribute,
    STATE(12349), 1,
      sym__simple_type,
    STATE(18119), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [587202] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10358), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13602), 1,
      anon_sym_EQ,
    ACTIONS(13604), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13606), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11182), 1,
      sym_attribute,
    STATE(11769), 1,
      aux_sym_expression_item_repeat1,
    STATE(12030), 1,
      sym__type_equation,
    STATE(12333), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [587259] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12086), 1,
      anon_sym_LPAREN,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      sym__identifier,
    STATE(11183), 1,
      sym_attribute,
    STATE(11231), 1,
      sym__simple_type,
    STATE(18307), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [587322] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11042), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12609), 1,
      sym__identifier,
    ACTIONS(12611), 1,
      anon_sym_LPAREN,
    ACTIONS(12613), 1,
      anon_sym_LBRACK,
    ACTIONS(12615), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12617), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12619), 1,
      anon_sym_LT,
    ACTIONS(12621), 1,
      anon_sym_POUND,
    ACTIONS(12623), 1,
      aux_sym_type_variable_token1,
    STATE(11184), 1,
      sym_attribute,
    STATE(11395), 1,
      sym__simple_type,
    STATE(18135), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11484), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [587385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12687), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [587424] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      anon_sym_LPAREN,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    ACTIONS(12589), 1,
      sym__identifier,
    STATE(10834), 1,
      sym__simple_type,
    STATE(11186), 1,
      sym_attribute,
    STATE(19026), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [587487] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10486), 1,
      anon_sym_LT,
    ACTIONS(10488), 1,
      anon_sym_POUND,
    ACTIONS(10490), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10492), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10496), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11984), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      sym__identifier,
    STATE(11187), 1,
      sym_attribute,
    STATE(11441), 1,
      sym__simple_type,
    STATE(19188), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11076), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [587550] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13524), 1,
      sym_pow_operator,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_mult_operator,
    STATE(2506), 1,
      sym_add_operator,
    STATE(11188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [587599] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12781), 1,
      sym__identifier,
    ACTIONS(12783), 1,
      anon_sym_LPAREN,
    ACTIONS(12785), 1,
      anon_sym_LBRACK,
    ACTIONS(12787), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12789), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12791), 1,
      anon_sym_LT,
    ACTIONS(12793), 1,
      anon_sym_POUND,
    ACTIONS(12795), 1,
      aux_sym_type_variable_token1,
    STATE(11189), 1,
      sym_attribute,
    STATE(12033), 1,
      sym__simple_type,
    STATE(19094), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12013), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [587662] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12625), 1,
      sym__identifier,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(12629), 1,
      anon_sym_LBRACK,
    ACTIONS(12631), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12633), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12635), 1,
      anon_sym_LT,
    ACTIONS(12637), 1,
      anon_sym_POUND,
    ACTIONS(12639), 1,
      aux_sym_type_variable_token1,
    STATE(11190), 1,
      sym_attribute,
    STATE(11265), 1,
      sym__simple_type,
    STATE(19056), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11252), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [587725] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12781), 1,
      sym__identifier,
    ACTIONS(12783), 1,
      anon_sym_LPAREN,
    ACTIONS(12785), 1,
      anon_sym_LBRACK,
    ACTIONS(12787), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12789), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12791), 1,
      anon_sym_LT,
    ACTIONS(12793), 1,
      anon_sym_POUND,
    ACTIONS(12795), 1,
      aux_sym_type_variable_token1,
    STATE(11191), 1,
      sym_attribute,
    STATE(12035), 1,
      sym__simple_type,
    STATE(19094), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12013), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [587788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12747), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [587827] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(11193), 1,
      sym_attribute,
    STATE(11709), 1,
      sym__simple_type,
    STATE(18900), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [587890] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12952), 1,
      anon_sym_COLON2,
    STATE(11194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10360), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [587931] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2506), 1,
      sym_add_operator,
    STATE(11195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [587972] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12086), 1,
      anon_sym_LPAREN,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      sym__identifier,
    STATE(11196), 1,
      sym_attribute,
    STATE(11233), 1,
      sym__simple_type,
    STATE(18307), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [588035] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12781), 1,
      sym__identifier,
    ACTIONS(12783), 1,
      anon_sym_LPAREN,
    ACTIONS(12785), 1,
      anon_sym_LBRACK,
    ACTIONS(12787), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12789), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12791), 1,
      anon_sym_LT,
    ACTIONS(12793), 1,
      anon_sym_POUND,
    ACTIONS(12795), 1,
      aux_sym_type_variable_token1,
    STATE(11197), 1,
      sym_attribute,
    STATE(12083), 1,
      sym__simple_type,
    STATE(19094), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12013), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [588098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12603), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [588137] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11240), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_POUND,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11246), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11248), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12575), 1,
      sym__identifier,
    STATE(11199), 1,
      sym_attribute,
    STATE(11802), 1,
      sym__simple_type,
    STATE(19033), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12350), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [588200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12689), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12691), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [588239] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12781), 1,
      sym__identifier,
    ACTIONS(12783), 1,
      anon_sym_LPAREN,
    ACTIONS(12785), 1,
      anon_sym_LBRACK,
    ACTIONS(12787), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12789), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12791), 1,
      anon_sym_LT,
    ACTIONS(12793), 1,
      anon_sym_POUND,
    ACTIONS(12795), 1,
      aux_sym_type_variable_token1,
    STATE(11201), 1,
      sym_attribute,
    STATE(11908), 1,
      sym__simple_type,
    STATE(19094), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12013), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [588302] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12781), 1,
      sym__identifier,
    ACTIONS(12783), 1,
      anon_sym_LPAREN,
    ACTIONS(12785), 1,
      anon_sym_LBRACK,
    ACTIONS(12787), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12789), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12791), 1,
      anon_sym_LT,
    ACTIONS(12793), 1,
      anon_sym_POUND,
    ACTIONS(12795), 1,
      aux_sym_type_variable_token1,
    STATE(11202), 1,
      sym_attribute,
    STATE(11915), 1,
      sym__simple_type,
    STATE(19094), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12013), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [588365] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12781), 1,
      sym__identifier,
    ACTIONS(12783), 1,
      anon_sym_LPAREN,
    ACTIONS(12785), 1,
      anon_sym_LBRACK,
    ACTIONS(12787), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12789), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12791), 1,
      anon_sym_LT,
    ACTIONS(12793), 1,
      anon_sym_POUND,
    ACTIONS(12795), 1,
      aux_sym_type_variable_token1,
    STATE(11203), 1,
      sym_attribute,
    STATE(11928), 1,
      sym__simple_type,
    STATE(19094), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12013), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [588428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9178), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [588467] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12555), 1,
      sym__identifier,
    ACTIONS(12557), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      anon_sym_LBRACK,
    ACTIONS(12561), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12563), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12565), 1,
      anon_sym_LT,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    ACTIONS(12569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12573), 1,
      aux_sym_type_variable_token1,
    STATE(11205), 1,
      sym_attribute,
    STATE(11960), 1,
      sym__simple_type,
    STATE(18853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11967), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [588530] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10668), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10666), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [588569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10256), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [588608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12607), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [588647] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13534), 1,
      anon_sym_DASH_GT,
    ACTIONS(13536), 1,
      anon_sym_as,
    STATE(11209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13610), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13608), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [588690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12643), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [588729] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10682), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10680), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [588768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12645), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12647), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [588807] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13612), 1,
      anon_sym_COLON,
    STATE(11213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10656), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10654), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [588848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12717), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12719), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [588887] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13576), 1,
      sym__identifier,
    ACTIONS(13578), 1,
      anon_sym_POUND,
    STATE(11215), 1,
      sym_attribute,
    STATE(12081), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18981), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12529), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [588942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9178), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [588981] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12555), 1,
      sym__identifier,
    ACTIONS(12557), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      anon_sym_LBRACK,
    ACTIONS(12561), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12563), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12565), 1,
      anon_sym_LT,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    ACTIONS(12569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12573), 1,
      aux_sym_type_variable_token1,
    STATE(11217), 1,
      sym_attribute,
    STATE(11963), 1,
      sym__simple_type,
    STATE(18853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11967), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [589044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12767), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12769), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [589083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9182), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [589122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9186), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [589161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9190), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [589200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12807), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [589239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12733), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12735), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [589278] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12555), 1,
      sym__identifier,
    ACTIONS(12557), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      anon_sym_LBRACK,
    ACTIONS(12561), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12563), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12565), 1,
      anon_sym_LT,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    ACTIONS(12569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12573), 1,
      aux_sym_type_variable_token1,
    STATE(11224), 1,
      sym_attribute,
    STATE(12007), 1,
      sym__simple_type,
    STATE(18853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11967), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [589341] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11150), 1,
      anon_sym_LPAREN,
    ACTIONS(11152), 1,
      anon_sym_LBRACK,
    ACTIONS(11154), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11156), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11158), 1,
      anon_sym_LT,
    ACTIONS(11160), 1,
      anon_sym_POUND,
    ACTIONS(11162), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11164), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11166), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13614), 1,
      sym__identifier,
    STATE(11225), 1,
      sym_attribute,
    STATE(12308), 1,
      sym__simple_type,
    STATE(18454), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13053), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [589404] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12849), 1,
      sym__identifier,
    ACTIONS(12851), 1,
      anon_sym_POUND,
    STATE(11226), 1,
      sym_attribute,
    STATE(11251), 1,
      sym_type_constructor_path,
    STATE(18558), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12587), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [589453] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12086), 1,
      anon_sym_LPAREN,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      sym__identifier,
    STATE(10316), 1,
      sym__simple_type,
    STATE(11227), 1,
      sym_attribute,
    STATE(18307), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [589516] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13516), 1,
      sym__identifier,
    ACTIONS(13518), 1,
      anon_sym_POUND,
    STATE(11228), 1,
      sym_attribute,
    STATE(11976), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19100), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12581), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [589571] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13516), 1,
      sym__identifier,
    ACTIONS(13518), 1,
      anon_sym_POUND,
    STATE(11229), 1,
      sym_attribute,
    STATE(11976), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19100), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12587), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [589626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12593), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [589665] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12681), 1,
      sym__identifier,
    ACTIONS(12881), 1,
      anon_sym_POUND,
    STATE(10687), 1,
      sym_type_constructor_path,
    STATE(11231), 1,
      sym_attribute,
    STATE(18611), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12581), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [589714] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13184), 1,
      sym__identifier,
    STATE(11232), 1,
      sym_attribute,
    STATE(13125), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [589777] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12681), 1,
      sym__identifier,
    ACTIONS(12881), 1,
      anon_sym_POUND,
    STATE(10687), 1,
      sym_type_constructor_path,
    STATE(11233), 1,
      sym_attribute,
    STATE(18611), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12587), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [589826] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12531), 1,
      sym__identifier,
    ACTIONS(12533), 1,
      anon_sym_LPAREN,
    ACTIONS(12535), 1,
      anon_sym_LBRACK,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12539), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12541), 1,
      anon_sym_LT,
    ACTIONS(12543), 1,
      anon_sym_POUND,
    ACTIONS(12545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12549), 1,
      aux_sym_type_variable_token1,
    STATE(11234), 1,
      sym_attribute,
    STATE(11723), 1,
      sym__simple_type,
    STATE(19201), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11890), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [589889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12711), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [589928] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      sym__identifier,
    STATE(10784), 1,
      sym__simple_type,
    STATE(11236), 1,
      sym_attribute,
    STATE(18475), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [589991] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13524), 1,
      sym_pow_operator,
    STATE(2506), 1,
      sym_add_operator,
    STATE(11237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [590034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12713), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12715), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [590073] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12086), 1,
      anon_sym_LPAREN,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      sym__identifier,
    STATE(11239), 1,
      sym_attribute,
    STATE(11288), 1,
      sym__simple_type,
    STATE(18307), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [590136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9190), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [590175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9182), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [590214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9186), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [590253] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12849), 1,
      sym__identifier,
    ACTIONS(12851), 1,
      anon_sym_POUND,
    STATE(11243), 1,
      sym_attribute,
    STATE(11251), 1,
      sym_type_constructor_path,
    STATE(18558), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13350), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13352), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [590302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12717), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12719), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [590341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12721), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12723), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [590380] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10644), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10642), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [590419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12727), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [590458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12551), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12553), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [590497] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12531), 1,
      sym__identifier,
    ACTIONS(12533), 1,
      anon_sym_LPAREN,
    ACTIONS(12535), 1,
      anon_sym_LBRACK,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12539), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12541), 1,
      anon_sym_LT,
    ACTIONS(12543), 1,
      anon_sym_POUND,
    ACTIONS(12545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12549), 1,
      aux_sym_type_variable_token1,
    STATE(11249), 1,
      sym_attribute,
    STATE(11697), 1,
      sym__simple_type,
    STATE(19201), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11890), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [590560] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      anon_sym_LPAREN,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    ACTIONS(12589), 1,
      sym__identifier,
    STATE(10188), 1,
      sym__simple_type,
    STATE(11250), 1,
      sym_attribute,
    STATE(19026), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [590623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12645), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12647), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [590662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12593), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [590701] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11042), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12609), 1,
      sym__identifier,
    ACTIONS(12611), 1,
      anon_sym_LPAREN,
    ACTIONS(12613), 1,
      anon_sym_LBRACK,
    ACTIONS(12615), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12617), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12619), 1,
      anon_sym_LT,
    ACTIONS(12621), 1,
      anon_sym_POUND,
    ACTIONS(12623), 1,
      aux_sym_type_variable_token1,
    STATE(11253), 1,
      sym_attribute,
    STATE(11448), 1,
      sym__simple_type,
    STATE(18135), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11484), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [590764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12711), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [590803] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10358), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13604), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13606), 1,
      anon_sym_constraint,
    ACTIONS(13616), 1,
      anon_sym_EQ,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11255), 1,
      sym_attribute,
    STATE(11804), 1,
      aux_sym_expression_item_repeat1,
    STATE(12029), 1,
      sym__type_equation,
    STATE(12330), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12887), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [590860] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9362), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [590899] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(11257), 1,
      sym_attribute,
    STATE(12020), 1,
      sym__simple_type,
    STATE(18900), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [590962] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12555), 1,
      sym__identifier,
    ACTIONS(12557), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      anon_sym_LBRACK,
    ACTIONS(12561), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12563), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12565), 1,
      anon_sym_LT,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    ACTIONS(12569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12573), 1,
      aux_sym_type_variable_token1,
    STATE(11258), 1,
      sym_attribute,
    STATE(11906), 1,
      sym__simple_type,
    STATE(18853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11967), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [591025] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12086), 1,
      anon_sym_LPAREN,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      sym__identifier,
    STATE(11259), 1,
      sym_attribute,
    STATE(11301), 1,
      sym__simple_type,
    STATE(18307), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [591088] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12086), 1,
      anon_sym_LPAREN,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      sym__identifier,
    STATE(11260), 1,
      sym_attribute,
    STATE(11303), 1,
      sym__simple_type,
    STATE(18307), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [591151] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12169), 1,
      anon_sym_LPAREN,
    ACTIONS(12173), 1,
      anon_sym_LBRACK,
    ACTIONS(12175), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12177), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12179), 1,
      anon_sym_LT,
    ACTIONS(12181), 1,
      anon_sym_POUND,
    ACTIONS(12183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12187), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13618), 1,
      sym__identifier,
    STATE(11261), 1,
      sym_attribute,
    STATE(14018), 1,
      sym__simple_type,
    STATE(19141), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14264), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [591214] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10516), 1,
      anon_sym_LT,
    ACTIONS(10518), 1,
      anon_sym_POUND,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10522), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12086), 1,
      anon_sym_LPAREN,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      sym__identifier,
    STATE(11262), 1,
      sym_attribute,
    STATE(11306), 1,
      sym__simple_type,
    STATE(18307), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10629), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [591277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9188), 22,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [591316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12665), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12667), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [591355] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12849), 1,
      sym__identifier,
    ACTIONS(12851), 1,
      anon_sym_POUND,
    STATE(11251), 1,
      sym_type_constructor_path,
    STATE(11265), 1,
      sym_attribute,
    STATE(18558), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13434), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13436), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [591404] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12823), 1,
      anon_sym_constraint,
    ACTIONS(13622), 1,
      anon_sym_let,
    ACTIONS(13624), 1,
      anon_sym_EQ,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11266), 1,
      sym_attribute,
    STATE(11406), 1,
      aux_sym_type_binding_repeat1,
    STATE(11751), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13620), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591457] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12781), 1,
      sym__identifier,
    ACTIONS(12783), 1,
      anon_sym_LPAREN,
    ACTIONS(12785), 1,
      anon_sym_LBRACK,
    ACTIONS(12787), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12789), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12791), 1,
      anon_sym_LT,
    ACTIONS(12793), 1,
      anon_sym_POUND,
    ACTIONS(12795), 1,
      aux_sym_type_variable_token1,
    STATE(11267), 1,
      sym_attribute,
    STATE(11649), 1,
      sym__simple_type,
    STATE(19094), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12013), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [591520] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      sym__identifier,
    STATE(11268), 1,
      sym_attribute,
    STATE(11650), 1,
      sym__simple_type,
    STATE(18475), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [591583] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      sym__identifier,
    STATE(11269), 1,
      sym_attribute,
    STATE(11651), 1,
      sym__simple_type,
    STATE(18475), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [591646] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11338), 1,
      anon_sym_LT,
    ACTIONS(11340), 1,
      anon_sym_POUND,
    ACTIONS(11342), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12663), 1,
      sym__identifier,
    STATE(11270), 1,
      sym_attribute,
    STATE(12744), 1,
      sym__simple_type,
    STATE(18119), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [591709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12721), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12723), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [591748] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      sym__identifier,
    STATE(11272), 1,
      sym_attribute,
    STATE(11653), 1,
      sym__simple_type,
    STATE(18475), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [591811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12743), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [591850] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13198), 1,
      sym__identifier,
    ACTIONS(13200), 1,
      anon_sym_POUND,
    STATE(11274), 1,
      sym_attribute,
    STATE(11360), 1,
      sym_type_constructor_path,
    STATE(18936), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13222), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13224), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [591899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12727), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [591938] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13626), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11635), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11276), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
    ACTIONS(13193), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13191), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [591981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9176), 22,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [592020] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      sym__identifier,
    STATE(11278), 1,
      sym_attribute,
    STATE(11655), 1,
      sym__simple_type,
    STATE(18475), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [592083] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      sym__identifier,
    STATE(11279), 1,
      sym_attribute,
    STATE(11659), 1,
      sym__simple_type,
    STATE(18475), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [592146] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      sym__identifier,
    STATE(11280), 1,
      sym_attribute,
    STATE(11661), 1,
      sym__simple_type,
    STATE(18475), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [592209] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11042), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12609), 1,
      sym__identifier,
    ACTIONS(12611), 1,
      anon_sym_LPAREN,
    ACTIONS(12613), 1,
      anon_sym_LBRACK,
    ACTIONS(12615), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12617), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12619), 1,
      anon_sym_LT,
    ACTIONS(12621), 1,
      anon_sym_POUND,
    ACTIONS(12623), 1,
      aux_sym_type_variable_token1,
    STATE(11281), 1,
      sym_attribute,
    STATE(11386), 1,
      sym__simple_type,
    STATE(18135), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11484), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [592272] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10200), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13524), 1,
      sym_pow_operator,
    ACTIONS(13538), 1,
      anon_sym_COMMA,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_mult_operator,
    ACTIONS(13544), 1,
      sym_concat_operator,
    ACTIONS(13546), 1,
      sym_rel_operator,
    ACTIONS(13548), 1,
      sym_and_operator,
    ACTIONS(13550), 1,
      sym_or_operator,
    ACTIONS(13552), 1,
      sym_assign_operator,
    ACTIONS(13629), 1,
      anon_sym_SEMI,
    STATE(2506), 1,
      sym_add_operator,
    STATE(11282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [592335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9190), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [592374] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12625), 1,
      sym__identifier,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(12629), 1,
      anon_sym_LBRACK,
    ACTIONS(12631), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12633), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12635), 1,
      anon_sym_LT,
    ACTIONS(12637), 1,
      anon_sym_POUND,
    ACTIONS(12639), 1,
      aux_sym_type_variable_token1,
    STATE(11167), 1,
      sym__simple_type,
    STATE(11284), 1,
      sym_attribute,
    STATE(19056), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11252), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [592437] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12555), 1,
      sym__identifier,
    ACTIONS(12557), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      anon_sym_LBRACK,
    ACTIONS(12561), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12563), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12565), 1,
      anon_sym_LT,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    ACTIONS(12569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12573), 1,
      aux_sym_type_variable_token1,
    STATE(11285), 1,
      sym_attribute,
    STATE(11805), 1,
      sym__simple_type,
    STATE(18853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11967), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [592500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12713), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12715), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [592539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12525), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [592578] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12681), 1,
      sym__identifier,
    ACTIONS(12881), 1,
      anon_sym_POUND,
    STATE(10687), 1,
      sym_type_constructor_path,
    STATE(11288), 1,
      sym_attribute,
    STATE(18611), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12529), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [592627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12687), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [592666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12743), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [592705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12329), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(12327), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [592744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12747), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [592783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12675), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [592822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12689), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12691), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [592861] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11042), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12609), 1,
      sym__identifier,
    ACTIONS(12611), 1,
      anon_sym_LPAREN,
    ACTIONS(12613), 1,
      anon_sym_LBRACK,
    ACTIONS(12615), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12617), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12619), 1,
      anon_sym_LT,
    ACTIONS(12621), 1,
      anon_sym_POUND,
    ACTIONS(12623), 1,
      aux_sym_type_variable_token1,
    STATE(11295), 1,
      sym_attribute,
    STATE(11432), 1,
      sym__simple_type,
    STATE(18135), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11484), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [592924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12525), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12523), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592963] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12625), 1,
      sym__identifier,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(12629), 1,
      anon_sym_LBRACK,
    ACTIONS(12631), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12633), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12635), 1,
      anon_sym_LT,
    ACTIONS(12637), 1,
      anon_sym_POUND,
    ACTIONS(12639), 1,
      aux_sym_type_variable_token1,
    STATE(11226), 1,
      sym__simple_type,
    STATE(11297), 1,
      sym_attribute,
    STATE(19056), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11252), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [593026] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13633), 1,
      anon_sym_let,
    ACTIONS(13635), 1,
      anon_sym_DQUOTE,
    STATE(11298), 1,
      sym_attribute,
    STATE(11598), 1,
      aux_sym_external_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12038), 1,
      aux_sym_expression_item_repeat1,
    STATE(12356), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13631), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593077] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12531), 1,
      sym__identifier,
    ACTIONS(12533), 1,
      anon_sym_LPAREN,
    ACTIONS(12535), 1,
      anon_sym_LBRACK,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12539), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12541), 1,
      anon_sym_LT,
    ACTIONS(12543), 1,
      anon_sym_POUND,
    ACTIONS(12545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12549), 1,
      aux_sym_type_variable_token1,
    STATE(11299), 1,
      sym_attribute,
    STATE(11611), 1,
      sym__simple_type,
    STATE(19201), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11890), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [593140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12807), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [593179] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12681), 1,
      sym__identifier,
    ACTIONS(12881), 1,
      anon_sym_POUND,
    STATE(10687), 1,
      sym_type_constructor_path,
    STATE(11301), 1,
      sym_attribute,
    STATE(18611), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13350), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13352), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [593228] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11240), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_POUND,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11246), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11248), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12575), 1,
      sym__identifier,
    STATE(11302), 1,
      sym_attribute,
    STATE(12569), 1,
      sym__simple_type,
    STATE(19033), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12350), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [593291] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12681), 1,
      sym__identifier,
    ACTIONS(12881), 1,
      anon_sym_POUND,
    STATE(10687), 1,
      sym_type_constructor_path,
    STATE(11303), 1,
      sym_attribute,
    STATE(18611), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13434), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13436), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [593340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12711), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [593379] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12749), 1,
      sym__identifier,
    ACTIONS(12751), 1,
      anon_sym_LPAREN,
    ACTIONS(12753), 1,
      anon_sym_LBRACK,
    ACTIONS(12755), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12757), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12759), 1,
      anon_sym_LT,
    ACTIONS(12761), 1,
      anon_sym_POUND,
    ACTIONS(12763), 1,
      aux_sym_type_variable_token1,
    STATE(11305), 1,
      sym_attribute,
    STATE(14980), 1,
      sym__simple_type,
    STATE(18514), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14896), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [593442] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12681), 1,
      sym__identifier,
    ACTIONS(12881), 1,
      anon_sym_POUND,
    STATE(10687), 1,
      sym_type_constructor_path,
    STATE(11306), 1,
      sym_attribute,
    STATE(18611), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13450), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13452), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [593491] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12970), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12591), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12593), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [593532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13639), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13637), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593571] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13516), 1,
      sym__identifier,
    ACTIONS(13518), 1,
      anon_sym_POUND,
    STATE(11309), 1,
      sym_attribute,
    STATE(11976), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19100), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12529), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [593626] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12749), 1,
      sym__identifier,
    ACTIONS(12751), 1,
      anon_sym_LPAREN,
    ACTIONS(12753), 1,
      anon_sym_LBRACK,
    ACTIONS(12755), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12757), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12759), 1,
      anon_sym_LT,
    ACTIONS(12761), 1,
      anon_sym_POUND,
    ACTIONS(12763), 1,
      aux_sym_type_variable_token1,
    STATE(11310), 1,
      sym_attribute,
    STATE(14930), 1,
      sym__simple_type,
    STATE(18514), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14896), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [593689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12713), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12715), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [593728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10360), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [593767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9180), 22,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [593806] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11338), 1,
      anon_sym_LT,
    ACTIONS(11340), 1,
      anon_sym_POUND,
    ACTIONS(11342), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12663), 1,
      sym__identifier,
    STATE(11314), 1,
      sym_attribute,
    STATE(12750), 1,
      sym__simple_type,
    STATE(18119), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [593869] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12555), 1,
      sym__identifier,
    ACTIONS(12557), 1,
      anon_sym_LPAREN,
    ACTIONS(12559), 1,
      anon_sym_LBRACK,
    ACTIONS(12561), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12563), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12565), 1,
      anon_sym_LT,
    ACTIONS(12567), 1,
      anon_sym_POUND,
    ACTIONS(12569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12573), 1,
      aux_sym_type_variable_token1,
    STATE(11315), 1,
      sym_attribute,
    STATE(11912), 1,
      sym__simple_type,
    STATE(18853), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11967), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [593932] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(11316), 1,
      sym_attribute,
    STATE(12014), 1,
      sym__simple_type,
    STATE(18900), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [593995] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11042), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12609), 1,
      sym__identifier,
    ACTIONS(12611), 1,
      anon_sym_LPAREN,
    ACTIONS(12613), 1,
      anon_sym_LBRACK,
    ACTIONS(12615), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12617), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12619), 1,
      anon_sym_LT,
    ACTIONS(12621), 1,
      anon_sym_POUND,
    ACTIONS(12623), 1,
      aux_sym_type_variable_token1,
    STATE(11317), 1,
      sym_attribute,
    STATE(11408), 1,
      sym__simple_type,
    STATE(18135), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11484), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [594058] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10360), 1,
      sym__identifier,
    ACTIONS(13641), 1,
      anon_sym_COLON2,
    STATE(11318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(12523), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12525), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [594103] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12593), 1,
      sym__identifier,
    STATE(11319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(13510), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13512), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [594146] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13184), 1,
      sym__identifier,
    STATE(11320), 1,
      sym_attribute,
    STATE(14917), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [594209] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(11321), 1,
      sym_attribute,
    STATE(12010), 1,
      sym__simple_type,
    STATE(18900), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [594272] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11232), 1,
      anon_sym_LPAREN,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11240), 1,
      anon_sym_LT,
    ACTIONS(11242), 1,
      anon_sym_POUND,
    ACTIONS(11244), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11246), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11248), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12575), 1,
      sym__identifier,
    STATE(11322), 1,
      sym_attribute,
    STATE(12572), 1,
      sym__simple_type,
    STATE(19033), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12350), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [594335] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13526), 1,
      sym__identifier,
    ACTIONS(13528), 1,
      anon_sym_POUND,
    STATE(11323), 1,
      sym_attribute,
    STATE(11983), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18674), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12515), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [594390] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13576), 1,
      sym__identifier,
    ACTIONS(13578), 1,
      anon_sym_POUND,
    STATE(11324), 1,
      sym_attribute,
    STATE(12081), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18981), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12515), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [594445] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8673), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8675), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12749), 1,
      sym__identifier,
    ACTIONS(12751), 1,
      anon_sym_LPAREN,
    ACTIONS(12753), 1,
      anon_sym_LBRACK,
    ACTIONS(12755), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12757), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12759), 1,
      anon_sym_LT,
    ACTIONS(12761), 1,
      anon_sym_POUND,
    ACTIONS(12763), 1,
      aux_sym_type_variable_token1,
    STATE(11325), 1,
      sym_attribute,
    STATE(14847), 1,
      sym__simple_type,
    STATE(18514), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14896), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [594508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12665), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12667), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [594547] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10550), 1,
      anon_sym_LT,
    ACTIONS(10552), 1,
      anon_sym_POUND,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10556), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10558), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12131), 1,
      anon_sym_LPAREN,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    ACTIONS(12589), 1,
      sym__identifier,
    STATE(10890), 1,
      sym__simple_type,
    STATE(11327), 1,
      sym_attribute,
    STATE(19026), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10300), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [594610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12665), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12667), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [594649] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13534), 1,
      anon_sym_DASH_GT,
    ACTIONS(13536), 1,
      anon_sym_as,
    STATE(11329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13645), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13643), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10360), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [594731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12671), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [594770] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13649), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11332), 1,
      sym_attribute,
    STATE(11548), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13651), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13647), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12675), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [594856] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13380), 1,
      sym__identifier,
    ACTIONS(13653), 1,
      anon_sym_POUND,
    STATE(11334), 1,
      sym_attribute,
    STATE(11568), 1,
      sym_type_constructor_path,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12367), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [594905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12553), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12551), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594944] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10674), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10672), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [594983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12731), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [595022] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11338), 1,
      anon_sym_LT,
    ACTIONS(11340), 1,
      anon_sym_POUND,
    ACTIONS(11342), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12663), 1,
      sym__identifier,
    STATE(11338), 1,
      sym_attribute,
    STATE(12735), 1,
      sym__simple_type,
    STATE(18119), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12143), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [595085] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12143), 1,
      anon_sym_LPAREN,
    ACTIONS(12147), 1,
      anon_sym_LBRACK,
    ACTIONS(12149), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12151), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12153), 1,
      anon_sym_LT,
    ACTIONS(12155), 1,
      anon_sym_POUND,
    ACTIONS(12157), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12159), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12161), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13655), 1,
      sym__identifier,
    STATE(11339), 1,
      sym_attribute,
    STATE(14228), 1,
      sym__simple_type,
    STATE(18610), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14546), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [595148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10360), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [595187] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13635), 1,
      anon_sym_DQUOTE,
    ACTIONS(13659), 1,
      anon_sym_let,
    STATE(11341), 1,
      sym_attribute,
    STATE(11598), 1,
      aux_sym_external_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12067), 1,
      aux_sym_expression_item_repeat1,
    STATE(12356), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13657), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595238] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LT,
    ACTIONS(10586), 1,
      anon_sym_POUND,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10592), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      anon_sym_LPAREN,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      sym__identifier,
    STATE(11342), 1,
      sym_attribute,
    STATE(11506), 1,
      sym__simple_type,
    STATE(18475), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11230), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [595301] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12064), 1,
      anon_sym_LPAREN,
    ACTIONS(12068), 1,
      anon_sym_LBRACK,
    ACTIONS(12070), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12072), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12074), 1,
      anon_sym_LT,
    ACTIONS(12076), 1,
      anon_sym_POUND,
    ACTIONS(12078), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12080), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12082), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13661), 1,
      sym__identifier,
    STATE(10123), 1,
      sym__simple_type,
    STATE(11343), 1,
      sym_attribute,
    STATE(18541), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10206), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [595364] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8695), 1,
      anon_sym_LPAREN,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8717), 1,
      anon_sym_LT,
    ACTIONS(8719), 1,
      anon_sym_POUND,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10874), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10876), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13184), 1,
      sym__identifier,
    STATE(11344), 1,
      sym_attribute,
    STATE(15283), 1,
      sym__simple_type,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13908), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [595427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12679), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [595466] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(11346), 1,
      sym_attribute,
    STATE(11945), 1,
      sym__simple_type,
    STATE(18900), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [595529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12731), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [595568] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11182), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(11348), 1,
      sym_attribute,
    STATE(11948), 1,
      sym__simple_type,
    STATE(18900), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11970), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [595631] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13663), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13476), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11349), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13474), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595674] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13666), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11350), 1,
      sym_attribute,
    STATE(11352), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13472), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13470), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595719] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13666), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11351), 1,
      sym_attribute,
    STATE(11353), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13346), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13344), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595764] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13666), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11349), 1,
      aux_sym_type_binding_repeat1,
    STATE(11352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13346), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13344), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595809] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13666), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11349), 1,
      aux_sym_type_binding_repeat1,
    STATE(11353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13448), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13446), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595854] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10358), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13586), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13588), 1,
      anon_sym_constraint,
    ACTIONS(13668), 1,
      anon_sym_EQ,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11354), 1,
      sym_attribute,
    STATE(11769), 1,
      aux_sym_expression_item_repeat1,
    STATE(12028), 1,
      sym__type_equation,
    STATE(12314), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595911] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(13670), 1,
      anon_sym_COLON2,
    STATE(10323), 1,
      aux_sym_module_binding_repeat1,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11332), 1,
      sym__module_typed,
    STATE(11355), 1,
      sym_attribute,
    STATE(11803), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13026), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13022), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595966] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(13514), 1,
      anon_sym_COLON2,
    STATE(10323), 1,
      aux_sym_module_binding_repeat1,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11332), 1,
      sym__module_typed,
    STATE(11356), 1,
      sym_attribute,
    STATE(11803), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13026), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13022), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596021] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(13670), 1,
      anon_sym_COLON2,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(11106), 1,
      sym__module_typed,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11355), 1,
      aux_sym_module_binding_repeat1,
    STATE(11357), 1,
      sym_attribute,
    STATE(11844), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12926), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12922), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12679), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [596115] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10208), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10206), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [596153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12645), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12647), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [596191] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10704), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10702), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [596229] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11362), 1,
      sym_attribute,
    STATE(11536), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13674), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13672), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [596273] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13676), 1,
      anon_sym_LPAREN,
    ACTIONS(13678), 1,
      anon_sym_LBRACK,
    STATE(11363), 1,
      sym_attribute,
    STATE(12250), 1,
      sym__constructor_name,
    STATE(13168), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13680), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13244), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596323] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13380), 1,
      sym__identifier,
    ACTIONS(13382), 1,
      anon_sym_POUND,
    STATE(11364), 1,
      sym_attribute,
    STATE(11556), 1,
      sym_type_constructor_path,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13222), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13224), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [596371] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11365), 1,
      sym_attribute,
    STATE(11519), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13684), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13682), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [596415] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13686), 1,
      anon_sym_COMMA,
    ACTIONS(13688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13690), 1,
      sym_pow_operator,
    ACTIONS(13692), 1,
      sym_mult_operator,
    ACTIONS(13694), 1,
      sym_concat_operator,
    ACTIONS(13696), 1,
      sym_rel_operator,
    ACTIONS(13698), 1,
      sym_and_operator,
    ACTIONS(13700), 1,
      sym_or_operator,
    ACTIONS(13702), 1,
      sym_assign_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(11366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11411), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11409), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [596475] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10732), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10730), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [596513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8915), 2,
      anon_sym_let,
      anon_sym_COLON2,
    ACTIONS(8913), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596551] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10838), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [596589] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12823), 1,
      anon_sym_constraint,
    ACTIONS(13706), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11370), 1,
      sym_attribute,
    STATE(11606), 1,
      aux_sym_expression_item_repeat1,
    STATE(12085), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13704), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596639] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13516), 1,
      sym__identifier,
    ACTIONS(13518), 1,
      anon_sym_POUND,
    ACTIONS(13708), 1,
      anon_sym_STAR,
    STATE(11371), 1,
      sym_attribute,
    STATE(11976), 1,
      sym_type_constructor_path,
    STATE(12980), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19100), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12517), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13006), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [596691] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9094), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [596729] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10256), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10254), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [596767] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10836), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10834), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [596805] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12970), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12591), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12593), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [596845] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_DOT,
    STATE(11376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9054), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596885] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12823), 1,
      anon_sym_constraint,
    ACTIONS(13712), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11377), 1,
      sym_attribute,
    STATE(11423), 1,
      aux_sym_type_binding_repeat1,
    STATE(11668), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13710), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596935] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10754), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10752), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [596973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12525), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [597011] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9114), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [597049] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9180), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [597087] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9082), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [597125] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8259), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8255), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [597163] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10762), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10760), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [597201] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13714), 1,
      anon_sym_else,
    STATE(9358), 1,
      sym_else_clause,
    STATE(11385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [597243] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13198), 1,
      sym__identifier,
    ACTIONS(13200), 1,
      anon_sym_POUND,
    STATE(11360), 1,
      sym_type_constructor_path,
    STATE(11386), 1,
      sym_attribute,
    STATE(18936), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13350), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13352), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [597291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12665), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12667), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [597329] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10256), 1,
      sym__identifier,
    STATE(11388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(12551), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12553), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [597371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12671), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [597409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13718), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13716), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597447] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12823), 1,
      anon_sym_constraint,
    ACTIONS(13722), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11391), 1,
      sym_attribute,
    STATE(11722), 1,
      aux_sym_expression_item_repeat1,
    STATE(12085), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13720), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12675), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [597535] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13686), 1,
      anon_sym_COMMA,
    ACTIONS(13688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13690), 1,
      sym_pow_operator,
    ACTIONS(13692), 1,
      sym_mult_operator,
    ACTIONS(13694), 1,
      sym_concat_operator,
    ACTIONS(13696), 1,
      sym_rel_operator,
    ACTIONS(13698), 1,
      sym_and_operator,
    ACTIONS(13700), 1,
      sym_or_operator,
    ACTIONS(13702), 1,
      sym_assign_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(11393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11477), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11475), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [597595] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10220), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [597633] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13198), 1,
      sym__identifier,
    ACTIONS(13200), 1,
      anon_sym_POUND,
    STATE(11360), 1,
      sym_type_constructor_path,
    STATE(11395), 1,
      sym_attribute,
    STATE(18936), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12587), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [597681] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10780), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10778), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [597719] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12823), 1,
      anon_sym_constraint,
    ACTIONS(13556), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11397), 1,
      sym_attribute,
    STATE(11886), 1,
      aux_sym_expression_item_repeat1,
    STATE(12085), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13554), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12679), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [597807] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10696), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10694), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [597845] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10372), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10370), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [597883] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10832), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10830), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [597921] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9068), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [597959] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12593), 1,
      sym__identifier,
    STATE(11403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(13510), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13512), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [598001] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11404), 1,
      sym_attribute,
    STATE(11635), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13726), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13724), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [598045] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13516), 1,
      sym__identifier,
    ACTIONS(13728), 1,
      anon_sym_POUND,
    STATE(11405), 1,
      sym_attribute,
    STATE(11991), 1,
      sym_type_constructor_path,
    STATE(19100), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12367), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [598093] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12823), 1,
      anon_sym_constraint,
    ACTIONS(13732), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11406), 1,
      sym_attribute,
    STATE(11885), 1,
      aux_sym_expression_item_repeat1,
    STATE(12085), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13730), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598143] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13738), 1,
      anon_sym_and,
    STATE(11407), 1,
      sym_attribute,
    STATE(11503), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13736), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13734), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598185] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13198), 1,
      sym__identifier,
    ACTIONS(13200), 1,
      anon_sym_POUND,
    STATE(11360), 1,
      sym_type_constructor_path,
    STATE(11408), 1,
      sym_attribute,
    STATE(18936), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13450), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13452), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [598233] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13740), 1,
      aux_sym_attribute_id_token1,
    STATE(11409), 1,
      sym_attribute,
    STATE(11518), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10136), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10138), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [598275] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9098), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [598313] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10378), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [598351] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10824), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10822), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [598389] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13742), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13220), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11413), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13218), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598429] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13745), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11414), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10081), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10083), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [598469] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11415), 1,
      sym_attribute,
    STATE(11529), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13750), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13748), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [598513] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12823), 1,
      anon_sym_constraint,
    ACTIONS(13622), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11416), 1,
      sym_attribute,
    STATE(11751), 1,
      aux_sym_expression_item_repeat1,
    STATE(12085), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13620), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598563] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10784), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10782), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [598601] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 1,
      anon_sym_constraint,
    ACTIONS(13622), 1,
      anon_sym_let,
    ACTIONS(13752), 1,
      anon_sym_EQ,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11418), 1,
      sym_attribute,
    STATE(11751), 1,
      aux_sym_expression_item_repeat1,
    STATE(11855), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13620), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13756), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13754), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598691] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12823), 1,
      anon_sym_constraint,
    ACTIONS(13760), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11420), 1,
      sym_attribute,
    STATE(11667), 1,
      aux_sym_expression_item_repeat1,
    STATE(12085), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13758), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598741] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10750), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10748), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [598779] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2230), 1,
      sym_add_operator,
    STATE(11422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [598819] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12823), 1,
      anon_sym_constraint,
    ACTIONS(13764), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11423), 1,
      sym_attribute,
    STATE(11694), 1,
      aux_sym_expression_item_repeat1,
    STATE(12085), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13762), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598869] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11424), 1,
      sym_attribute,
    STATE(11507), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13768), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13766), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [598913] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13774), 1,
      anon_sym_EQ,
    ACTIONS(13776), 1,
      anon_sym_of,
    ACTIONS(13778), 1,
      anon_sym_COLON2,
    STATE(11425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13772), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13770), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598957] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13780), 1,
      anon_sym_LPAREN,
    ACTIONS(13782), 1,
      anon_sym_LBRACK,
    STATE(11426), 1,
      sym_attribute,
    STATE(12256), 1,
      sym__constructor_name,
    STATE(13172), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13784), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13244), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12603), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [599045] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9176), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [599083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12551), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12553), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [599121] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11430), 1,
      sym_attribute,
    STATE(11635), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13788), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13786), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [599165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12607), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [599203] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13198), 1,
      sym__identifier,
    ACTIONS(13200), 1,
      anon_sym_POUND,
    STATE(11360), 1,
      sym_type_constructor_path,
    STATE(11432), 1,
      sym_attribute,
    STATE(18936), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13434), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13436), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [599251] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10324), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10322), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [599289] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13714), 1,
      anon_sym_else,
    STATE(9350), 1,
      sym_else_clause,
    STATE(11434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [599331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12329), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(12327), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [599369] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9122), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [599407] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13576), 1,
      sym__identifier,
    ACTIONS(13578), 1,
      anon_sym_POUND,
    ACTIONS(13790), 1,
      anon_sym_STAR,
    STATE(11437), 1,
      sym_attribute,
    STATE(12081), 1,
      sym_type_constructor_path,
    STATE(12969), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18981), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12517), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13006), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [599459] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12823), 1,
      anon_sym_constraint,
    ACTIONS(13794), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11438), 1,
      sym_attribute,
    STATE(11695), 1,
      aux_sym_expression_item_repeat1,
    STATE(12085), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13792), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599509] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10360), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [599547] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13526), 1,
      sym__identifier,
    ACTIONS(13796), 1,
      anon_sym_POUND,
    STATE(11440), 1,
      sym_attribute,
    STATE(12039), 1,
      sym_type_constructor_path,
    STATE(18674), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12367), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [599595] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13202), 1,
      sym__identifier,
    ACTIONS(13400), 1,
      anon_sym_POUND,
    STATE(11109), 1,
      sym_type_constructor_path,
    STATE(11441), 1,
      sym_attribute,
    STATE(18717), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13222), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13224), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [599643] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9086), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [599681] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12823), 1,
      anon_sym_constraint,
    ACTIONS(13800), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11391), 1,
      aux_sym_type_binding_repeat1,
    STATE(11443), 1,
      sym_attribute,
    STATE(11696), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13798), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599731] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12823), 1,
      anon_sym_constraint,
    ACTIONS(13804), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11420), 1,
      aux_sym_type_binding_repeat1,
    STATE(11444), 1,
      sym_attribute,
    STATE(11599), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13802), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599781] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10720), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10718), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [599819] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10744), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10742), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [599857] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10788), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10786), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [599895] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13198), 1,
      sym__identifier,
    ACTIONS(13200), 1,
      anon_sym_POUND,
    STATE(11360), 1,
      sym_type_constructor_path,
    STATE(11448), 1,
      sym_attribute,
    STATE(18936), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12529), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [599943] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10736), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10734), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [599981] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13806), 1,
      anon_sym_else,
    STATE(9358), 1,
      sym_else_clause,
    STATE(11450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [600023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12713), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12715), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [600061] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10656), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10654), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [600099] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(13808), 1,
      anon_sym_DASH_GT,
    STATE(11453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13610), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13608), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600141] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12970), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12591), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12593), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [600181] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10818), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10816), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [600219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12721), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12723), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [600257] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13198), 1,
      sym__identifier,
    ACTIONS(13200), 1,
      anon_sym_POUND,
    STATE(11360), 1,
      sym_type_constructor_path,
    STATE(11457), 1,
      sym_attribute,
    STATE(18936), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12581), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [600305] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12823), 1,
      anon_sym_constraint,
    ACTIONS(13812), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11438), 1,
      aux_sym_type_binding_repeat1,
    STATE(11458), 1,
      sym_attribute,
    STATE(11669), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13810), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600355] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9090), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [600393] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13690), 1,
      sym_pow_operator,
    ACTIONS(13692), 1,
      sym_mult_operator,
    ACTIONS(13694), 1,
      sym_concat_operator,
    ACTIONS(13696), 1,
      sym_rel_operator,
    ACTIONS(13698), 1,
      sym_and_operator,
    ACTIONS(13700), 1,
      sym_or_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(11460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11441), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11439), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [600449] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12970), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12591), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12593), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [600489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12727), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [600527] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13526), 1,
      sym__identifier,
    ACTIONS(13528), 1,
      anon_sym_POUND,
    ACTIONS(13814), 1,
      anon_sym_STAR,
    STATE(11463), 1,
      sym_attribute,
    STATE(11983), 1,
      sym_type_constructor_path,
    STATE(13029), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18674), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12517), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13006), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [600579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12731), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [600617] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9102), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [600655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12733), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12735), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [600693] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(13808), 1,
      anon_sym_DASH_GT,
    STATE(11467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13645), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13643), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600735] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13806), 1,
      anon_sym_else,
    STATE(9350), 1,
      sym_else_clause,
    STATE(11468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [600777] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 1,
      anon_sym_constraint,
    ACTIONS(13556), 1,
      anon_sym_let,
    ACTIONS(13816), 1,
      anon_sym_EQ,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11469), 1,
      sym_attribute,
    STATE(11861), 1,
      aux_sym_type_binding_repeat1,
    STATE(11886), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13554), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600829] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13818), 1,
      anon_sym_PIPE,
    STATE(11470), 1,
      sym_attribute,
    STATE(11472), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [600871] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13818), 1,
      anon_sym_PIPE,
    STATE(11471), 1,
      sym_attribute,
    STATE(11473), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [600913] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13818), 1,
      anon_sym_PIPE,
    STATE(11472), 1,
      sym_attribute,
    STATE(11474), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [600955] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13818), 1,
      anon_sym_PIPE,
    STATE(11473), 1,
      sym_attribute,
    STATE(11474), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [600997] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13820), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11474), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [601037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12737), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12739), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [601075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12743), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [601113] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10728), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10726), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [601151] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13690), 1,
      sym_pow_operator,
    ACTIONS(13692), 1,
      sym_mult_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(11478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [601199] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10826), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [601237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12747), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [601275] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10712), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10710), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [601313] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(13808), 1,
      anon_sym_DASH_GT,
    STATE(11482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13532), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13530), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601355] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10700), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10698), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [601393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12593), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [601431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12767), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12769), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [601469] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13690), 1,
      sym_pow_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(11486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [601511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13006), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12517), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601549] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10758), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10756), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [601587] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10358), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [601625] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12823), 1,
      anon_sym_constraint,
    ACTIONS(13825), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11490), 1,
      sym_attribute,
    STATE(11601), 1,
      aux_sym_expression_item_repeat1,
    STATE(12085), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13823), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601675] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13690), 1,
      sym_pow_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(11491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [601717] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13827), 1,
      anon_sym_STAR,
    STATE(11492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11516), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10256), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [601795] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13576), 1,
      sym__identifier,
    ACTIONS(13829), 1,
      anon_sym_POUND,
    STATE(11494), 1,
      sym_attribute,
    STATE(11943), 1,
      sym_type_constructor_path,
    STATE(18981), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12367), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [601843] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13686), 1,
      anon_sym_COMMA,
    ACTIONS(13688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13690), 1,
      sym_pow_operator,
    ACTIONS(13692), 1,
      sym_mult_operator,
    ACTIONS(13694), 1,
      sym_concat_operator,
    ACTIONS(13696), 1,
      sym_rel_operator,
    ACTIONS(13698), 1,
      sym_and_operator,
    ACTIONS(13700), 1,
      sym_or_operator,
    ACTIONS(13702), 1,
      sym_assign_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(11495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11471), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11469), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [601903] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10692), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10690), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [601941] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13690), 1,
      sym_pow_operator,
    ACTIONS(13692), 1,
      sym_mult_operator,
    ACTIONS(13694), 1,
      sym_concat_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(11497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [601991] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9110), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [602029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12327), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12329), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [602067] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12823), 1,
      anon_sym_constraint,
    ACTIONS(13833), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11490), 1,
      aux_sym_type_binding_repeat1,
    STATE(11500), 1,
      sym_attribute,
    STATE(11882), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13831), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602117] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10716), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10714), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [602155] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10326), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [602193] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13738), 1,
      anon_sym_and,
    STATE(11413), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(11503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13837), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13835), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602235] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9184), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [602273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13841), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13839), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602311] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13272), 1,
      sym__identifier,
    ACTIONS(13412), 1,
      anon_sym_POUND,
    STATE(11212), 1,
      sym_type_constructor_path,
    STATE(11506), 1,
      sym_attribute,
    STATE(18863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13222), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13224), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [602359] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11507), 1,
      sym_attribute,
    STATE(11635), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13845), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13843), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [602403] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13690), 1,
      sym_pow_operator,
    ACTIONS(13692), 1,
      sym_mult_operator,
    ACTIONS(13694), 1,
      sym_concat_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(11508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [602453] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13690), 1,
      sym_pow_operator,
    ACTIONS(13692), 1,
      sym_mult_operator,
    ACTIONS(13694), 1,
      sym_concat_operator,
    ACTIONS(13696), 1,
      sym_rel_operator,
    ACTIONS(13698), 1,
      sym_and_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(11509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(11461), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [602507] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9116), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [602545] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12823), 1,
      anon_sym_constraint,
    ACTIONS(13849), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11511), 1,
      sym_attribute,
    STATE(11532), 1,
      aux_sym_type_binding_repeat1,
    STATE(11604), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13847), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602595] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10740), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10738), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [602633] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13808), 1,
      anon_sym_DASH_GT,
    STATE(11513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13596), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13594), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602673] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13686), 1,
      anon_sym_COMMA,
    ACTIONS(13688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13690), 1,
      sym_pow_operator,
    ACTIONS(13692), 1,
      sym_mult_operator,
    ACTIONS(13694), 1,
      sym_concat_operator,
    ACTIONS(13696), 1,
      sym_rel_operator,
    ACTIONS(13698), 1,
      sym_and_operator,
    ACTIONS(13700), 1,
      sym_or_operator,
    ACTIONS(13702), 1,
      sym_assign_operator,
    ACTIONS(13851), 1,
      anon_sym_SEMI,
    STATE(2230), 1,
      sym_add_operator,
    STATE(11514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [602735] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9134), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [602773] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9188), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [602811] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10708), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10706), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [602849] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13740), 1,
      aux_sym_attribute_id_token1,
    STATE(11414), 1,
      aux_sym_attribute_id_repeat1,
    STATE(11518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10075), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10077), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [602891] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11519), 1,
      sym_attribute,
    STATE(11635), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13855), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13853), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [602935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12687), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [602973] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13690), 1,
      sym_pow_operator,
    ACTIONS(13692), 1,
      sym_mult_operator,
    ACTIONS(13694), 1,
      sym_concat_operator,
    ACTIONS(13696), 1,
      sym_rel_operator,
    ACTIONS(13698), 1,
      sym_and_operator,
    ACTIONS(13700), 1,
      sym_or_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(11521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11461), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [603029] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_DOT,
    STATE(11522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9054), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603069] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13686), 1,
      anon_sym_COMMA,
    ACTIONS(13688), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13690), 1,
      sym_pow_operator,
    ACTIONS(13692), 1,
      sym_mult_operator,
    ACTIONS(13694), 1,
      sym_concat_operator,
    ACTIONS(13696), 1,
      sym_rel_operator,
    ACTIONS(13698), 1,
      sym_and_operator,
    ACTIONS(13700), 1,
      sym_or_operator,
    ACTIONS(13702), 1,
      sym_assign_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(11523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11461), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [603129] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10810), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10808), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [603167] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10724), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10722), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [603205] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9106), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [603243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12689), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12691), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [603281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12807), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [603319] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11529), 1,
      sym_attribute,
    STATE(11635), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13859), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13857), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [603363] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13690), 1,
      sym_pow_operator,
    ACTIONS(13692), 1,
      sym_mult_operator,
    STATE(2230), 1,
      sym_add_operator,
    STATE(11530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 9,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [603407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12711), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [603445] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12823), 1,
      anon_sym_constraint,
    ACTIONS(13863), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11532), 1,
      sym_attribute,
    STATE(11670), 1,
      aux_sym_expression_item_repeat1,
    STATE(12085), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13861), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603495] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13869), 1,
      anon_sym_EQ,
    ACTIONS(13871), 1,
      anon_sym_of,
    ACTIONS(13873), 1,
      anon_sym_COLON2,
    STATE(11533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13867), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13865), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603539] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10278), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10276), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [603577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12327), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12329), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [603615] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11536), 1,
      sym_attribute,
    STATE(11635), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13877), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13875), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [603659] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13883), 1,
      anon_sym_EQ,
    ACTIONS(13885), 1,
      anon_sym_of,
    ACTIONS(13887), 1,
      anon_sym_COLON2,
    STATE(11537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13881), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13879), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603703] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10814), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(10812), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [603741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12643), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [603779] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11430), 1,
      aux_sym_expression_item_repeat1,
    STATE(11540), 1,
      sym_attribute,
    STATE(11635), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13891), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13889), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [603823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12717), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12719), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [603861] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13893), 1,
      anon_sym_LPAREN,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13899), 1,
      anon_sym_end,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    STATE(11542), 1,
      sym_attribute,
    STATE(12313), 1,
      sym__attribute,
    STATE(12867), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [603924] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13913), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11543), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10081), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10083), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [603963] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13918), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13916), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9182), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [604043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9186), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [604080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9190), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [604117] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13922), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13920), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604160] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10081), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10083), 14,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [604197] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13926), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11550), 1,
      sym_attribute,
    STATE(11621), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13924), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604240] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(13928), 1,
      anon_sym_LPAREN,
    ACTIONS(13930), 1,
      anon_sym_end,
    STATE(11551), 1,
      sym_attribute,
    STATE(12099), 1,
      sym__attribute,
    STATE(12733), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [604303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12603), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [604340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12607), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [604377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12525), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [604414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12643), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [604451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12645), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12647), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [604488] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13934), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11557), 1,
      sym_attribute,
    STATE(11633), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13932), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604531] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13938), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13936), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604574] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13942), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13940), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604617] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13946), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11560), 1,
      sym_attribute,
    STATE(11638), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13944), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604660] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13950), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13948), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12665), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12667), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [604740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12671), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [604777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12675), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [604814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12679), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [604851] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(13952), 1,
      anon_sym_LPAREN,
    ACTIONS(13954), 1,
      anon_sym_end,
    STATE(11566), 1,
      sym_attribute,
    STATE(12351), 1,
      sym__attribute,
    STATE(12902), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [604914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12687), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [604951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12689), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12691), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [604988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12807), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [605025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12711), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [605062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12551), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12553), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [605099] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13956), 1,
      sym__identifier,
    ACTIONS(13958), 1,
      anon_sym_POUND,
    STATE(11572), 1,
      sym_attribute,
    STATE(12136), 1,
      sym_type_constructor_path,
    STATE(18768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12367), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [605146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12713), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12715), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [605183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12717), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12719), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [605220] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(13960), 1,
      anon_sym_LPAREN,
    ACTIONS(13962), 1,
      anon_sym_end,
    STATE(11575), 1,
      sym_attribute,
    STATE(12127), 1,
      sym__attribute,
    STATE(12866), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [605283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12721), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12723), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [605320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12727), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [605357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12731), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [605394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12733), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12735), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [605431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12737), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12739), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [605468] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13202), 1,
      sym__identifier,
    ACTIONS(13400), 1,
      anon_sym_POUND,
    STATE(11109), 1,
      sym_type_constructor_path,
    STATE(11581), 1,
      sym_attribute,
    STATE(18717), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12581), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [605515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12743), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [605552] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13202), 1,
      sym__identifier,
    ACTIONS(13400), 1,
      anon_sym_POUND,
    STATE(11109), 1,
      sym_type_constructor_path,
    STATE(11583), 1,
      sym_attribute,
    STATE(18717), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12587), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [605599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12747), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [605636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12767), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12769), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [605673] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13202), 1,
      sym__identifier,
    ACTIONS(13400), 1,
      anon_sym_POUND,
    STATE(11109), 1,
      sym_type_constructor_path,
    STATE(11586), 1,
      sym_attribute,
    STATE(18717), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12529), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [605720] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13202), 1,
      sym__identifier,
    ACTIONS(13400), 1,
      anon_sym_POUND,
    STATE(11109), 1,
      sym_type_constructor_path,
    STATE(11587), 1,
      sym_attribute,
    STATE(18717), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13350), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13352), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [605767] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13202), 1,
      sym__identifier,
    ACTIONS(13400), 1,
      anon_sym_POUND,
    STATE(11109), 1,
      sym_type_constructor_path,
    STATE(11588), 1,
      sym_attribute,
    STATE(18717), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13434), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13436), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [605814] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13964), 1,
      anon_sym_COMMA,
    ACTIONS(13966), 1,
      anon_sym_SEMI,
    ACTIONS(13968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13970), 1,
      sym_pow_operator,
    ACTIONS(13972), 1,
      sym_mult_operator,
    ACTIONS(13974), 1,
      sym_concat_operator,
    ACTIONS(13976), 1,
      sym_rel_operator,
    ACTIONS(13978), 1,
      sym_and_operator,
    ACTIONS(13980), 1,
      sym_or_operator,
    ACTIONS(13982), 1,
      sym_assign_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(11589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [605875] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13202), 1,
      sym__identifier,
    ACTIONS(13400), 1,
      anon_sym_POUND,
    STATE(11109), 1,
      sym_type_constructor_path,
    STATE(11590), 1,
      sym_attribute,
    STATE(18717), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13450), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13452), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [605922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3527), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3525), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [605959] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LPAREN,
    ACTIONS(13986), 1,
      anon_sym_end,
    STATE(11592), 1,
      sym_attribute,
    STATE(12276), 1,
      sym__attribute,
    STATE(12782), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [606022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11146), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11144), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [606059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13562), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13560), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [606096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12327), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12329), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [606133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13990), 1,
      anon_sym_let,
    STATE(11596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13988), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606170] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13992), 1,
      anon_sym_COMMA,
    ACTIONS(13994), 1,
      anon_sym_SEMI,
    ACTIONS(13996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13998), 1,
      sym_pow_operator,
    ACTIONS(14000), 1,
      sym_mult_operator,
    ACTIONS(14002), 1,
      sym_concat_operator,
    ACTIONS(14004), 1,
      sym_rel_operator,
    ACTIONS(14006), 1,
      sym_and_operator,
    ACTIONS(14008), 1,
      sym_or_operator,
    ACTIONS(14010), 1,
      sym_assign_operator,
    STATE(2132), 1,
      sym_add_operator,
    STATE(11597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [606231] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14016), 1,
      anon_sym_DQUOTE,
    STATE(12356), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14014), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11598), 2,
      sym_attribute,
      aux_sym_external_repeat1,
    ACTIONS(14012), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606272] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13760), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13758), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606315] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14019), 1,
      anon_sym_LPAREN,
    ACTIONS(14021), 1,
      anon_sym_end,
    STATE(11600), 1,
      sym_attribute,
    STATE(12358), 1,
      sym__attribute,
    STATE(12922), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [606378] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14025), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14023), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14029), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14027), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11170), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11168), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [606495] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13863), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13861), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11078), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11076), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [606575] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14033), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14031), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606618] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14037), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11607), 1,
      sym_attribute,
    STATE(11671), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14035), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606661] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14041), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14039), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11188), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [606741] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14045), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14043), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606784] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13380), 1,
      sym__identifier,
    ACTIONS(13382), 1,
      anon_sym_POUND,
    STATE(11556), 1,
      sym_type_constructor_path,
    STATE(11611), 1,
      sym_attribute,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12581), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [606831] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14047), 1,
      anon_sym_LPAREN,
    ACTIONS(14049), 1,
      anon_sym_end,
    STATE(11612), 1,
      sym_attribute,
    STATE(12114), 1,
      sym__attribute,
    STATE(12711), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [606894] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13380), 1,
      sym__identifier,
    ACTIONS(13382), 1,
      anon_sym_POUND,
    STATE(11556), 1,
      sym_type_constructor_path,
    STATE(11613), 1,
      sym_attribute,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12587), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [606941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11092), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11090), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [606978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11096), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11094), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [607015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11104), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11102), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [607052] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14055), 1,
      anon_sym_DASH_GT,
    ACTIONS(14057), 1,
      anon_sym_with,
    STATE(11617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14053), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14051), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607093] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14061), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14059), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607136] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10360), 1,
      sym__identifier,
    ACTIONS(14063), 1,
      anon_sym_COLON2,
    STATE(11619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(12523), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12525), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [607179] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14067), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11620), 1,
      sym_attribute,
    STATE(11675), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14065), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607222] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14071), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14069), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11174), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11172), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [607302] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14073), 1,
      anon_sym_LPAREN,
    ACTIONS(14075), 1,
      anon_sym_end,
    STATE(11623), 1,
      sym_attribute,
    STATE(12132), 1,
      sym__attribute,
    STATE(12919), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [607365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11206), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [607402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11222), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [607439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11226), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [607476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11198), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [607513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11308), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [607550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11322), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11320), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [607587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11352), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11350), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [607624] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8135), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8133), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11068), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11066), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [607704] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14079), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14077), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607747] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14083), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11634), 1,
      sym_attribute,
    STATE(11680), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14081), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13574), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13572), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [607827] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14087), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14085), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14091), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14089), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607907] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14095), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14093), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607950] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14099), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11639), 1,
      sym_attribute,
    STATE(11682), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14097), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607993] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14101), 1,
      anon_sym_LPAREN,
    ACTIONS(14103), 1,
      anon_sym_end,
    STATE(11640), 1,
      sym_attribute,
    STATE(12148), 1,
      sym__attribute,
    STATE(12417), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [608056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11194), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [608093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11202), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [608130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11250), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [608167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11276), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11274), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [608204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11361), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11359), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [608241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11312), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11310), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [608278] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(14105), 1,
      sym__identifier,
    ACTIONS(14107), 1,
      anon_sym_POUND,
    STATE(11647), 1,
      sym_attribute,
    STATE(12175), 1,
      sym_type_constructor_path,
    STATE(18904), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12367), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [608325] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14109), 1,
      anon_sym_LPAREN,
    ACTIONS(14111), 1,
      anon_sym_end,
    STATE(11648), 1,
      sym_attribute,
    STATE(12169), 1,
      sym__attribute,
    STATE(12492), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [608388] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13576), 1,
      sym__identifier,
    ACTIONS(13578), 1,
      anon_sym_POUND,
    STATE(11649), 1,
      sym_attribute,
    STATE(12081), 1,
      sym_type_constructor_path,
    STATE(18981), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13222), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13224), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [608435] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13272), 1,
      sym__identifier,
    ACTIONS(13412), 1,
      anon_sym_POUND,
    STATE(11212), 1,
      sym_type_constructor_path,
    STATE(11650), 1,
      sym_attribute,
    STATE(18863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12581), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [608482] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13272), 1,
      sym__identifier,
    ACTIONS(13412), 1,
      anon_sym_POUND,
    STATE(11212), 1,
      sym_type_constructor_path,
    STATE(11651), 1,
      sym_attribute,
    STATE(18863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12587), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [608529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11214), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [608566] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13272), 1,
      sym__identifier,
    ACTIONS(13412), 1,
      anon_sym_POUND,
    STATE(11212), 1,
      sym_type_constructor_path,
    STATE(11653), 1,
      sym_attribute,
    STATE(18863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12529), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [608613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9178), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [608650] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13272), 1,
      sym__identifier,
    ACTIONS(13412), 1,
      anon_sym_POUND,
    STATE(11212), 1,
      sym_type_constructor_path,
    STATE(11655), 1,
      sym_attribute,
    STATE(18863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13350), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13352), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [608697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9182), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [608734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9186), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [608771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9190), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [608808] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13272), 1,
      sym__identifier,
    ACTIONS(13412), 1,
      anon_sym_POUND,
    STATE(11212), 1,
      sym_type_constructor_path,
    STATE(11659), 1,
      sym_attribute,
    STATE(18863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13434), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13436), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [608855] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14113), 1,
      anon_sym_LPAREN,
    ACTIONS(14115), 1,
      anon_sym_end,
    STATE(11660), 1,
      sym_attribute,
    STATE(12214), 1,
      sym__attribute,
    STATE(12625), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [608918] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13272), 1,
      sym__identifier,
    ACTIONS(13412), 1,
      anon_sym_POUND,
    STATE(11212), 1,
      sym_type_constructor_path,
    STATE(11661), 1,
      sym_attribute,
    STATE(18863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13450), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13452), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [608965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11369), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11367), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [609002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11028), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11026), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [609039] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14117), 1,
      anon_sym_LPAREN,
    ACTIONS(14119), 1,
      anon_sym_end,
    STATE(11664), 1,
      sym_attribute,
    STATE(12242), 1,
      sym__attribute,
    STATE(12677), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [609102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12327), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12329), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [609139] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14121), 1,
      anon_sym_LPAREN,
    ACTIONS(14123), 1,
      anon_sym_end,
    STATE(11666), 1,
      sym_attribute,
    STATE(12275), 1,
      sym__attribute,
    STATE(12773), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [609202] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14127), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14125), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609245] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13764), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13762), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609288] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13794), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13792), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609331] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14131), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14129), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609374] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14135), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14133), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609417] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13380), 1,
      sym__identifier,
    ACTIONS(13382), 1,
      anon_sym_POUND,
    STATE(11556), 1,
      sym_type_constructor_path,
    STATE(11672), 1,
      sym_attribute,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12529), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [609464] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14055), 1,
      anon_sym_DASH_GT,
    ACTIONS(14057), 1,
      anon_sym_with,
    STATE(11673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14139), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14137), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609505] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14143), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14141), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609548] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14147), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14145), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609591] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14149), 1,
      anon_sym_LPAREN,
    ACTIONS(14151), 1,
      anon_sym_end,
    STATE(11676), 1,
      sym_attribute,
    STATE(12285), 1,
      sym__attribute,
    STATE(12814), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [609654] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14155), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11677), 1,
      sym_attribute,
    STATE(11701), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14153), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609697] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14159), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14157), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609740] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8019), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8017), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609783] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14163), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14161), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609826] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14167), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11681), 1,
      sym_attribute,
    STATE(11710), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14165), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609869] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14171), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14169), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9178), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [609949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9182), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [609986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9186), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [610023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9190), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [610060] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10360), 1,
      sym__identifier,
    ACTIONS(14173), 1,
      anon_sym_COLON2,
    STATE(11687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(12523), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12525), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [610103] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14175), 1,
      anon_sym_LPAREN,
    ACTIONS(14177), 1,
      anon_sym_end,
    STATE(11688), 1,
      sym_attribute,
    STATE(12354), 1,
      sym__attribute,
    STATE(12904), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10360), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [610203] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14179), 1,
      anon_sym_LPAREN,
    ACTIONS(14181), 1,
      anon_sym_end,
    STATE(11690), 1,
      sym_attribute,
    STATE(12368), 1,
      sym__attribute,
    STATE(12950), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610266] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14183), 1,
      anon_sym_LPAREN,
    ACTIONS(14185), 1,
      anon_sym_end,
    STATE(11691), 1,
      sym_attribute,
    STATE(12360), 1,
      sym__attribute,
    STATE(12926), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610329] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14187), 1,
      anon_sym_LPAREN,
    ACTIONS(14189), 1,
      anon_sym_end,
    STATE(11692), 1,
      sym_attribute,
    STATE(12093), 1,
      sym__attribute,
    STATE(12398), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10256), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [610429] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14193), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14191), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [610472] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14197), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14195), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [610515] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13722), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13720), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [610558] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13380), 1,
      sym__identifier,
    ACTIONS(13382), 1,
      anon_sym_POUND,
    STATE(11556), 1,
      sym_type_constructor_path,
    STATE(11697), 1,
      sym_attribute,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13350), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13352), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [610605] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13380), 1,
      sym__identifier,
    ACTIONS(13382), 1,
      anon_sym_POUND,
    STATE(11556), 1,
      sym_type_constructor_path,
    STATE(11698), 1,
      sym_attribute,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13434), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13436), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [610652] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14199), 1,
      anon_sym_LPAREN,
    ACTIONS(14201), 1,
      anon_sym_end,
    STATE(11699), 1,
      sym_attribute,
    STATE(12094), 1,
      sym__attribute,
    STATE(12799), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610715] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14205), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11700), 1,
      sym_attribute,
    STATE(11724), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14203), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [610758] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14209), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14207), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [610801] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14213), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11702), 1,
      sym_attribute,
    STATE(11727), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14211), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [610844] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14215), 1,
      anon_sym_LPAREN,
    ACTIONS(14217), 1,
      anon_sym_end,
    STATE(11703), 1,
      sym_attribute,
    STATE(12095), 1,
      sym__attribute,
    STATE(12923), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610907] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14221), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14219), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [610950] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14225), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11705), 1,
      sym_attribute,
    STATE(11729), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14223), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [610993] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14229), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14227), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611036] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14231), 1,
      anon_sym_LPAREN,
    ACTIONS(14233), 1,
      anon_sym_end,
    STATE(11707), 1,
      sym_attribute,
    STATE(12098), 1,
      sym__attribute,
    STATE(12430), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611099] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7905), 1,
      anon_sym_let,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611142] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13516), 1,
      sym__identifier,
    ACTIONS(13518), 1,
      anon_sym_POUND,
    STATE(11709), 1,
      sym_attribute,
    STATE(11976), 1,
      sym_type_constructor_path,
    STATE(19100), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13222), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13224), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [611189] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14237), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14235), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611232] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14239), 1,
      anon_sym_LPAREN,
    ACTIONS(14241), 1,
      anon_sym_end,
    STATE(11711), 1,
      sym_attribute,
    STATE(12102), 1,
      sym__attribute,
    STATE(12493), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611295] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14243), 1,
      anon_sym_LPAREN,
    ACTIONS(14245), 1,
      anon_sym_end,
    STATE(11712), 1,
      sym_attribute,
    STATE(12103), 1,
      sym__attribute,
    STATE(12537), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611358] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14247), 1,
      anon_sym_LPAREN,
    ACTIONS(14249), 1,
      anon_sym_end,
    STATE(11713), 1,
      sym_attribute,
    STATE(12105), 1,
      sym__attribute,
    STATE(12568), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14253), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14251), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611458] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14255), 1,
      anon_sym_LPAREN,
    ACTIONS(14257), 1,
      anon_sym_end,
    STATE(11715), 1,
      sym_attribute,
    STATE(12108), 1,
      sym__attribute,
    STATE(12610), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611521] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14259), 1,
      anon_sym_LPAREN,
    ACTIONS(14261), 1,
      anon_sym_end,
    STATE(11716), 1,
      sym_attribute,
    STATE(12109), 1,
      sym__attribute,
    STATE(12630), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611584] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14263), 1,
      anon_sym_LPAREN,
    ACTIONS(14265), 1,
      anon_sym_end,
    STATE(11717), 1,
      sym_attribute,
    STATE(12111), 1,
      sym__attribute,
    STATE(12660), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611647] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14267), 1,
      anon_sym_LPAREN,
    ACTIONS(14269), 1,
      anon_sym_end,
    STATE(11718), 1,
      sym_attribute,
    STATE(12113), 1,
      sym__attribute,
    STATE(12686), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611710] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14271), 1,
      anon_sym_LPAREN,
    ACTIONS(14273), 1,
      anon_sym_end,
    STATE(11719), 1,
      sym_attribute,
    STATE(12116), 1,
      sym__attribute,
    STATE(12727), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611773] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14275), 1,
      anon_sym_LPAREN,
    ACTIONS(14277), 1,
      anon_sym_end,
    STATE(11720), 1,
      sym_attribute,
    STATE(12118), 1,
      sym__attribute,
    STATE(12781), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10198), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [611873] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14281), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14279), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611916] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13380), 1,
      sym__identifier,
    ACTIONS(13382), 1,
      anon_sym_POUND,
    STATE(11556), 1,
      sym_type_constructor_path,
    STATE(11723), 1,
      sym_attribute,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13450), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13452), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [611963] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14285), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14283), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612006] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14287), 1,
      anon_sym_LPAREN,
    ACTIONS(14289), 1,
      anon_sym_end,
    STATE(11725), 1,
      sym_attribute,
    STATE(12122), 1,
      sym__attribute,
    STATE(12842), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612069] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14293), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11726), 1,
      sym_attribute,
    STATE(11752), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14291), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612112] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14297), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14295), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612155] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14301), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11728), 1,
      sym_attribute,
    STATE(11754), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14299), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612198] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14305), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14303), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612241] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14309), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11730), 1,
      sym_attribute,
    STATE(11756), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14307), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612284] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(14311), 1,
      anon_sym_DASH_GT,
    STATE(11731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13645), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13643), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612325] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13998), 1,
      sym_pow_operator,
    ACTIONS(14000), 1,
      sym_mult_operator,
    ACTIONS(14002), 1,
      sym_concat_operator,
    ACTIONS(14004), 1,
      sym_rel_operator,
    ACTIONS(14006), 1,
      sym_and_operator,
    ACTIONS(14008), 1,
      sym_or_operator,
    STATE(2132), 1,
      sym_add_operator,
    STATE(11732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11441), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [612380] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13998), 1,
      sym_pow_operator,
    ACTIONS(14000), 1,
      sym_mult_operator,
    STATE(2132), 1,
      sym_add_operator,
    STATE(11733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [612427] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14313), 1,
      anon_sym_LPAREN,
    ACTIONS(14315), 1,
      anon_sym_end,
    STATE(11734), 1,
      sym_attribute,
    STATE(12126), 1,
      sym__attribute,
    STATE(12861), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612490] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13998), 1,
      sym_pow_operator,
    STATE(2132), 1,
      sym_add_operator,
    STATE(11735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [612531] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13998), 1,
      sym_pow_operator,
    STATE(2132), 1,
      sym_add_operator,
    STATE(11736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [612572] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13998), 1,
      sym_pow_operator,
    ACTIONS(14000), 1,
      sym_mult_operator,
    ACTIONS(14002), 1,
      sym_concat_operator,
    STATE(2132), 1,
      sym_add_operator,
    STATE(11737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [612621] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13998), 1,
      sym_pow_operator,
    ACTIONS(14000), 1,
      sym_mult_operator,
    ACTIONS(14002), 1,
      sym_concat_operator,
    STATE(2132), 1,
      sym_add_operator,
    STATE(11738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [612670] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13998), 1,
      sym_pow_operator,
    ACTIONS(14000), 1,
      sym_mult_operator,
    ACTIONS(14002), 1,
      sym_concat_operator,
    ACTIONS(14004), 1,
      sym_rel_operator,
    ACTIONS(14006), 1,
      sym_and_operator,
    STATE(2132), 1,
      sym_add_operator,
    STATE(11739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(11461), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [612723] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13998), 1,
      sym_pow_operator,
    ACTIONS(14000), 1,
      sym_mult_operator,
    ACTIONS(14002), 1,
      sym_concat_operator,
    ACTIONS(14004), 1,
      sym_rel_operator,
    ACTIONS(14006), 1,
      sym_and_operator,
    ACTIONS(14008), 1,
      sym_or_operator,
    STATE(2132), 1,
      sym_add_operator,
    STATE(11740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [612778] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13992), 1,
      anon_sym_COMMA,
    ACTIONS(13996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13998), 1,
      sym_pow_operator,
    ACTIONS(14000), 1,
      sym_mult_operator,
    ACTIONS(14002), 1,
      sym_concat_operator,
    ACTIONS(14004), 1,
      sym_rel_operator,
    ACTIONS(14006), 1,
      sym_and_operator,
    ACTIONS(14008), 1,
      sym_or_operator,
    ACTIONS(14010), 1,
      sym_assign_operator,
    STATE(2132), 1,
      sym_add_operator,
    STATE(11741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [612837] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13998), 1,
      sym_pow_operator,
    ACTIONS(14000), 1,
      sym_mult_operator,
    STATE(2132), 1,
      sym_add_operator,
    STATE(11742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 8,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [612880] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13992), 1,
      anon_sym_COMMA,
    ACTIONS(13996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13998), 1,
      sym_pow_operator,
    ACTIONS(14000), 1,
      sym_mult_operator,
    ACTIONS(14002), 1,
      sym_concat_operator,
    ACTIONS(14004), 1,
      sym_rel_operator,
    ACTIONS(14006), 1,
      sym_and_operator,
    ACTIONS(14008), 1,
      sym_or_operator,
    ACTIONS(14010), 1,
      sym_assign_operator,
    STATE(2132), 1,
      sym_add_operator,
    STATE(11743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11471), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [612939] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14319), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14317), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612982] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14323), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11745), 1,
      sym_attribute,
    STATE(11758), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14321), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613025] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14327), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14325), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14331), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14329), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613105] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14333), 1,
      anon_sym_LPAREN,
    ACTIONS(14335), 1,
      anon_sym_end,
    STATE(11748), 1,
      sym_attribute,
    STATE(12131), 1,
      sym__attribute,
    STATE(12886), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613168] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14337), 1,
      anon_sym_LPAREN,
    ACTIONS(14339), 1,
      anon_sym_end,
    STATE(11749), 1,
      sym_attribute,
    STATE(12134), 1,
      sym__attribute,
    STATE(12928), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613231] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14341), 1,
      anon_sym_else,
    STATE(9019), 1,
      sym_else_clause,
    STATE(11750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [613272] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13732), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13730), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613315] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14345), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14343), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613358] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12970), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12591), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12593), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [613397] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14349), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14347), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613440] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14351), 1,
      anon_sym_LPAREN,
    ACTIONS(14353), 1,
      anon_sym_end,
    STATE(11755), 1,
      sym_attribute,
    STATE(12139), 1,
      sym__attribute,
    STATE(12380), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613503] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14357), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14355), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613546] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14361), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11757), 1,
      sym_attribute,
    STATE(11764), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14359), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613589] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14365), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14363), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613632] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14369), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11759), 1,
      sym_attribute,
    STATE(11765), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14367), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613675] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13992), 1,
      anon_sym_COMMA,
    ACTIONS(13996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13998), 1,
      sym_pow_operator,
    ACTIONS(14000), 1,
      sym_mult_operator,
    ACTIONS(14002), 1,
      sym_concat_operator,
    ACTIONS(14004), 1,
      sym_rel_operator,
    ACTIONS(14006), 1,
      sym_and_operator,
    ACTIONS(14008), 1,
      sym_or_operator,
    ACTIONS(14010), 1,
      sym_assign_operator,
    STATE(2132), 1,
      sym_add_operator,
    STATE(11760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11477), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [613734] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14371), 1,
      anon_sym_LPAREN,
    ACTIONS(14373), 1,
      anon_sym_end,
    STATE(11761), 1,
      sym_attribute,
    STATE(12142), 1,
      sym__attribute,
    STATE(12399), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613797] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14377), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14375), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613840] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14381), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14379), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613883] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14385), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14383), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613926] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14389), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14387), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613969] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14393), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11766), 1,
      sym_attribute,
    STATE(11768), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14391), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [614012] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14395), 1,
      anon_sym_LPAREN,
    ACTIONS(14397), 1,
      anon_sym_end,
    STATE(11767), 1,
      sym_attribute,
    STATE(12147), 1,
      sym__attribute,
    STATE(12414), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614075] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14401), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14399), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [614118] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13556), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13554), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [614161] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14403), 1,
      anon_sym_LPAREN,
    ACTIONS(14405), 1,
      anon_sym_end,
    STATE(11770), 1,
      sym_attribute,
    STATE(12153), 1,
      sym__attribute,
    STATE(12435), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614224] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13956), 1,
      sym__identifier,
    ACTIONS(14407), 1,
      anon_sym_POUND,
    STATE(11771), 1,
      sym_attribute,
    STATE(12106), 1,
      sym_type_constructor_path,
    STATE(18768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11212), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [614271] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14411), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11772), 1,
      sym_attribute,
    STATE(11889), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14409), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [614314] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14413), 1,
      anon_sym_LPAREN,
    ACTIONS(14415), 1,
      anon_sym_end,
    STATE(11773), 1,
      sym_attribute,
    STATE(12156), 1,
      sym__attribute,
    STATE(12448), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10204), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10202), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [614414] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14417), 1,
      anon_sym_LPAREN,
    ACTIONS(14419), 1,
      anon_sym_end,
    STATE(11775), 1,
      sym_attribute,
    STATE(12157), 1,
      sym__attribute,
    STATE(12458), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614477] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14421), 1,
      anon_sym_LPAREN,
    ACTIONS(14423), 1,
      anon_sym_end,
    STATE(11776), 1,
      sym_attribute,
    STATE(12158), 1,
      sym__attribute,
    STATE(12467), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614540] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13956), 1,
      sym__identifier,
    ACTIONS(14407), 1,
      anon_sym_POUND,
    STATE(11777), 1,
      sym_attribute,
    STATE(12106), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12771), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12773), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [614593] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13956), 1,
      sym__identifier,
    ACTIONS(14407), 1,
      anon_sym_POUND,
    STATE(11778), 1,
      sym_attribute,
    STATE(12106), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12801), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [614646] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14425), 1,
      anon_sym_LPAREN,
    ACTIONS(14427), 1,
      anon_sym_end,
    STATE(11779), 1,
      sym_attribute,
    STATE(12163), 1,
      sym__attribute,
    STATE(12479), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614709] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13970), 1,
      sym_pow_operator,
    ACTIONS(13972), 1,
      sym_mult_operator,
    ACTIONS(13974), 1,
      sym_concat_operator,
    ACTIONS(13976), 1,
      sym_rel_operator,
    ACTIONS(13978), 1,
      sym_and_operator,
    ACTIONS(13980), 1,
      sym_or_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(11780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11441), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11439), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [614764] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13970), 1,
      sym_pow_operator,
    ACTIONS(13972), 1,
      sym_mult_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(11781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [614811] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13970), 1,
      sym_pow_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(11782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(11463), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [614852] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13970), 1,
      sym_pow_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(11783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(11463), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [614893] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13970), 1,
      sym_pow_operator,
    ACTIONS(13972), 1,
      sym_mult_operator,
    ACTIONS(13974), 1,
      sym_concat_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(11784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [614942] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13970), 1,
      sym_pow_operator,
    ACTIONS(13972), 1,
      sym_mult_operator,
    ACTIONS(13974), 1,
      sym_concat_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(11785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [614991] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14429), 1,
      anon_sym_LPAREN,
    ACTIONS(14431), 1,
      anon_sym_end,
    STATE(11786), 1,
      sym_attribute,
    STATE(12170), 1,
      sym__attribute,
    STATE(12494), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615054] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13970), 1,
      sym_pow_operator,
    ACTIONS(13972), 1,
      sym_mult_operator,
    ACTIONS(13974), 1,
      sym_concat_operator,
    ACTIONS(13976), 1,
      sym_rel_operator,
    ACTIONS(13978), 1,
      sym_and_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(11787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [615107] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13970), 1,
      sym_pow_operator,
    ACTIONS(13972), 1,
      sym_mult_operator,
    ACTIONS(13974), 1,
      sym_concat_operator,
    ACTIONS(13976), 1,
      sym_rel_operator,
    ACTIONS(13978), 1,
      sym_and_operator,
    ACTIONS(13980), 1,
      sym_or_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(11788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11461), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [615162] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13964), 1,
      anon_sym_COMMA,
    ACTIONS(13968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13970), 1,
      sym_pow_operator,
    ACTIONS(13972), 1,
      sym_mult_operator,
    ACTIONS(13974), 1,
      sym_concat_operator,
    ACTIONS(13976), 1,
      sym_rel_operator,
    ACTIONS(13978), 1,
      sym_and_operator,
    ACTIONS(13980), 1,
      sym_or_operator,
    ACTIONS(13982), 1,
      sym_assign_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(11789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11461), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [615221] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13970), 1,
      sym_pow_operator,
    ACTIONS(13972), 1,
      sym_mult_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(11790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 9,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [615264] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13964), 1,
      anon_sym_COMMA,
    ACTIONS(13968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13970), 1,
      sym_pow_operator,
    ACTIONS(13972), 1,
      sym_mult_operator,
    ACTIONS(13974), 1,
      sym_concat_operator,
    ACTIONS(13976), 1,
      sym_rel_operator,
    ACTIONS(13978), 1,
      sym_and_operator,
    ACTIONS(13980), 1,
      sym_or_operator,
    ACTIONS(13982), 1,
      sym_assign_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(11791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11471), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11469), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [615323] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14433), 1,
      anon_sym_LPAREN,
    ACTIONS(14435), 1,
      anon_sym_end,
    STATE(11792), 1,
      sym_attribute,
    STATE(12172), 1,
      sym__attribute,
    STATE(12505), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10656), 2,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10654), 20,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12773), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12771), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [615460] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14437), 1,
      anon_sym_PIPE,
    STATE(11795), 1,
      sym_attribute,
    STATE(11822), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [615501] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14439), 1,
      anon_sym_LPAREN,
    ACTIONS(14441), 1,
      anon_sym_end,
    STATE(11796), 1,
      sym_attribute,
    STATE(12177), 1,
      sym__attribute,
    STATE(12523), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12801), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12799), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [615601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10214), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10212), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [615638] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13956), 1,
      sym__identifier,
    ACTIONS(14407), 1,
      anon_sym_POUND,
    STATE(11799), 1,
      sym_attribute,
    STATE(12106), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12515), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [615691] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14055), 1,
      anon_sym_DASH_GT,
    ACTIONS(14057), 1,
      anon_sym_with,
    STATE(11800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14445), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14443), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [615732] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13964), 1,
      anon_sym_COMMA,
    ACTIONS(13968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13970), 1,
      sym_pow_operator,
    ACTIONS(13972), 1,
      sym_mult_operator,
    ACTIONS(13974), 1,
      sym_concat_operator,
    ACTIONS(13976), 1,
      sym_rel_operator,
    ACTIONS(13978), 1,
      sym_and_operator,
    ACTIONS(13980), 1,
      sym_or_operator,
    ACTIONS(13982), 1,
      sym_assign_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(11801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11477), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11475), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [615791] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13956), 1,
      sym__identifier,
    ACTIONS(14407), 1,
      anon_sym_POUND,
    STATE(11802), 1,
      sym_attribute,
    STATE(12106), 1,
      sym_type_constructor_path,
    STATE(18768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12371), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12373), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [615838] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13649), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13647), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [615881] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13622), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13620), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [615924] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13526), 1,
      sym__identifier,
    ACTIONS(13528), 1,
      anon_sym_POUND,
    STATE(11805), 1,
      sym_attribute,
    STATE(11983), 1,
      sym_type_constructor_path,
    STATE(18674), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13222), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13224), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [615971] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13956), 1,
      sym__identifier,
    ACTIONS(14407), 1,
      anon_sym_POUND,
    STATE(11806), 1,
      sym_attribute,
    STATE(12106), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12581), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [616024] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13956), 1,
      sym__identifier,
    ACTIONS(14407), 1,
      anon_sym_POUND,
    STATE(11807), 1,
      sym_attribute,
    STATE(12106), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12587), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [616077] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13008), 1,
      anon_sym_STAR,
    STATE(11808), 1,
      sym_attribute,
    STATE(11813), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14449), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14447), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616118] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(13956), 1,
      sym__identifier,
    ACTIONS(14407), 1,
      anon_sym_POUND,
    STATE(11809), 1,
      sym_attribute,
    STATE(12106), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12529), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [616171] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13869), 1,
      anon_sym_EQ,
    ACTIONS(14451), 1,
      anon_sym_of,
    ACTIONS(14453), 1,
      anon_sym_COLON2,
    STATE(11810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13867), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13865), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616214] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13883), 1,
      anon_sym_EQ,
    ACTIONS(14455), 1,
      anon_sym_of,
    ACTIONS(14457), 1,
      anon_sym_COLON2,
    STATE(11811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13881), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13879), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616257] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13774), 1,
      anon_sym_EQ,
    ACTIONS(14459), 1,
      anon_sym_of,
    ACTIONS(14461), 1,
      anon_sym_COLON2,
    STATE(11812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13772), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13770), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616300] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14463), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13224), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11813), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13222), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616339] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8113), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8111), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616382] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14468), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11559), 1,
      aux_sym_expression_item_repeat1,
    STATE(11815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14466), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14472), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14470), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14476), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14474), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616499] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14478), 1,
      anon_sym_STAR,
    STATE(11818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11516), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616538] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14480), 1,
      anon_sym_else,
    STATE(9127), 1,
      sym_else_clause,
    STATE(11819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [616579] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14482), 1,
      aux_sym_attribute_id_token1,
    STATE(11820), 1,
      sym_attribute,
    STATE(11825), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10136), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10138), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [616620] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14437), 1,
      anon_sym_PIPE,
    STATE(11821), 1,
      sym_attribute,
    STATE(11835), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [616661] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14437), 1,
      anon_sym_PIPE,
    STATE(11822), 1,
      sym_attribute,
    STATE(11836), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [616702] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14486), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14484), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616745] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14488), 1,
      anon_sym_LPAREN,
    ACTIONS(14490), 1,
      anon_sym_end,
    STATE(11824), 1,
      sym_attribute,
    STATE(12234), 1,
      sym__attribute,
    STATE(12654), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616808] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14482), 1,
      aux_sym_attribute_id_token1,
    STATE(11825), 1,
      sym_attribute,
    STATE(11829), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10075), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10077), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [616849] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13869), 1,
      anon_sym_EQ,
    ACTIONS(14492), 1,
      anon_sym_of,
    ACTIONS(14494), 1,
      anon_sym_COLON2,
    STATE(11826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13867), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13865), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616892] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13883), 1,
      anon_sym_EQ,
    ACTIONS(14496), 1,
      anon_sym_of,
    ACTIONS(14498), 1,
      anon_sym_COLON2,
    STATE(11827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13881), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13879), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616935] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13774), 1,
      anon_sym_EQ,
    ACTIONS(14500), 1,
      anon_sym_of,
    ACTIONS(14502), 1,
      anon_sym_COLON2,
    STATE(11828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13772), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13770), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616978] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14504), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11829), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10081), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10083), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [617017] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(14105), 1,
      sym__identifier,
    ACTIONS(14507), 1,
      anon_sym_POUND,
    STATE(11830), 1,
      sym_attribute,
    STATE(12155), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18904), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12771), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12773), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [617070] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(14105), 1,
      sym__identifier,
    ACTIONS(14507), 1,
      anon_sym_POUND,
    STATE(11831), 1,
      sym_attribute,
    STATE(12155), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18904), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12801), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [617123] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11518), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14509), 1,
      anon_sym_STAR,
    STATE(11832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617162] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13992), 1,
      anon_sym_COMMA,
    ACTIONS(13996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13998), 1,
      sym_pow_operator,
    ACTIONS(14000), 1,
      sym_mult_operator,
    ACTIONS(14002), 1,
      sym_concat_operator,
    ACTIONS(14004), 1,
      sym_rel_operator,
    ACTIONS(14006), 1,
      sym_and_operator,
    ACTIONS(14008), 1,
      sym_or_operator,
    ACTIONS(14010), 1,
      sym_assign_operator,
    STATE(2132), 1,
      sym_add_operator,
    STATE(11833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [617221] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14480), 1,
      anon_sym_else,
    STATE(9019), 1,
      sym_else_clause,
    STATE(11834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [617262] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14437), 1,
      anon_sym_PIPE,
    STATE(11835), 1,
      sym_attribute,
    STATE(11836), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [617303] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14511), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11836), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [617342] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(14105), 1,
      sym__identifier,
    ACTIONS(14507), 1,
      anon_sym_POUND,
    STATE(11837), 1,
      sym_attribute,
    STATE(12155), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18904), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12515), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [617395] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14514), 1,
      anon_sym_LPAREN,
    ACTIONS(14516), 1,
      anon_sym_end,
    STATE(11838), 1,
      sym_attribute,
    STATE(12262), 1,
      sym__attribute,
    STATE(12721), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617458] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11518), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14518), 1,
      anon_sym_STAR,
    STATE(11839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617497] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(14105), 1,
      sym__identifier,
    ACTIONS(14507), 1,
      anon_sym_POUND,
    STATE(11840), 1,
      sym_attribute,
    STATE(12155), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18904), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12581), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [617550] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(14105), 1,
      sym__identifier,
    ACTIONS(14507), 1,
      anon_sym_POUND,
    STATE(11841), 1,
      sym_attribute,
    STATE(12155), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18904), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12587), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [617603] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(14105), 1,
      sym__identifier,
    ACTIONS(14507), 1,
      anon_sym_POUND,
    STATE(11842), 1,
      sym_attribute,
    STATE(12155), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18904), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12529), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [617656] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14311), 1,
      anon_sym_DASH_GT,
    STATE(11843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13596), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13594), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [617695] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13024), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13022), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [617738] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14520), 1,
      anon_sym_LPAREN,
    ACTIONS(14522), 1,
      anon_sym_end,
    STATE(11845), 1,
      sym_attribute,
    STATE(12193), 1,
      sym__attribute,
    STATE(12582), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617801] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14524), 1,
      anon_sym_LPAREN,
    ACTIONS(14526), 1,
      anon_sym_end,
    STATE(11846), 1,
      sym_attribute,
    STATE(12274), 1,
      sym__attribute,
    STATE(12757), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9042), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [617901] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(14105), 1,
      sym__identifier,
    ACTIONS(14507), 1,
      anon_sym_POUND,
    STATE(11848), 1,
      sym_attribute,
    STATE(12155), 1,
      sym_type_constructor_path,
    STATE(18904), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11212), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [617948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14530), 1,
      anon_sym_let,
    STATE(11849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14528), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [617985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9060), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618022] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12970), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12591), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12593), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [618061] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14532), 1,
      anon_sym_LPAREN,
    ACTIONS(14534), 1,
      anon_sym_end,
    STATE(11852), 1,
      sym_attribute,
    STATE(12282), 1,
      sym__attribute,
    STATE(12805), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618124] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 1,
      anon_sym_constraint,
    ACTIONS(13622), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11751), 1,
      aux_sym_expression_item_repeat1,
    STATE(11853), 1,
      sym_attribute,
    STATE(12289), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13620), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618173] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 1,
      anon_sym_constraint,
    ACTIONS(13833), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11854), 1,
      sym_attribute,
    STATE(11859), 1,
      aux_sym_type_binding_repeat1,
    STATE(11882), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13831), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618222] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 1,
      anon_sym_constraint,
    ACTIONS(13732), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11855), 1,
      sym_attribute,
    STATE(11885), 1,
      aux_sym_expression_item_repeat1,
    STATE(12289), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13730), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618271] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 1,
      anon_sym_constraint,
    ACTIONS(13556), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11856), 1,
      sym_attribute,
    STATE(11886), 1,
      aux_sym_expression_item_repeat1,
    STATE(12289), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13554), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618320] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(14105), 1,
      sym__identifier,
    ACTIONS(14507), 1,
      anon_sym_POUND,
    STATE(11857), 1,
      sym_attribute,
    STATE(12155), 1,
      sym_type_constructor_path,
    STATE(18904), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12371), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12373), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [618367] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 1,
      anon_sym_constraint,
    ACTIONS(13804), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11599), 1,
      aux_sym_expression_item_repeat1,
    STATE(11858), 1,
      sym_attribute,
    STATE(11862), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13802), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618416] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 1,
      anon_sym_constraint,
    ACTIONS(13825), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11601), 1,
      aux_sym_expression_item_repeat1,
    STATE(11859), 1,
      sym_attribute,
    STATE(12289), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13823), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618465] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 1,
      anon_sym_constraint,
    ACTIONS(13849), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11604), 1,
      aux_sym_expression_item_repeat1,
    STATE(11860), 1,
      sym_attribute,
    STATE(11865), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13847), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618514] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 1,
      anon_sym_constraint,
    ACTIONS(13706), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11606), 1,
      aux_sym_expression_item_repeat1,
    STATE(11861), 1,
      sym_attribute,
    STATE(12289), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13704), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618563] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 1,
      anon_sym_constraint,
    ACTIONS(13760), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11667), 1,
      aux_sym_expression_item_repeat1,
    STATE(11862), 1,
      sym_attribute,
    STATE(12289), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13758), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618612] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 1,
      anon_sym_constraint,
    ACTIONS(13712), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11668), 1,
      aux_sym_expression_item_repeat1,
    STATE(11863), 1,
      sym_attribute,
    STATE(11866), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13710), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618661] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 1,
      anon_sym_constraint,
    ACTIONS(13812), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11669), 1,
      aux_sym_expression_item_repeat1,
    STATE(11864), 1,
      sym_attribute,
    STATE(11867), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13810), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618710] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 1,
      anon_sym_constraint,
    ACTIONS(13863), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11670), 1,
      aux_sym_expression_item_repeat1,
    STATE(11865), 1,
      sym_attribute,
    STATE(12289), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13861), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618759] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 1,
      anon_sym_constraint,
    ACTIONS(13764), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11694), 1,
      aux_sym_expression_item_repeat1,
    STATE(11866), 1,
      sym_attribute,
    STATE(12289), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13762), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618808] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 1,
      anon_sym_constraint,
    ACTIONS(13794), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11695), 1,
      aux_sym_expression_item_repeat1,
    STATE(11867), 1,
      sym_attribute,
    STATE(12289), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13792), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618857] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 1,
      anon_sym_constraint,
    ACTIONS(13800), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11696), 1,
      aux_sym_expression_item_repeat1,
    STATE(11868), 1,
      sym_attribute,
    STATE(11869), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13798), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618906] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 1,
      anon_sym_constraint,
    ACTIONS(13722), 1,
      anon_sym_let,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11722), 1,
      aux_sym_expression_item_repeat1,
    STATE(11869), 1,
      sym_attribute,
    STATE(12289), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13720), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13639), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13637), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [618992] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8067), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8065), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619035] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14536), 1,
      anon_sym_and,
    STATE(11872), 1,
      sym_attribute,
    STATE(11873), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13837), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13835), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619076] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14538), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13220), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11873), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13218), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619115] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(14541), 1,
      anon_sym_LPAREN,
    ACTIONS(14543), 1,
      anon_sym_LBRACK,
    STATE(11874), 1,
      sym_attribute,
    STATE(12695), 1,
      sym__constructor_name,
    STATE(13482), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14545), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13244), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619164] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13476), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14547), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11875), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13474), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619205] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(14550), 1,
      anon_sym_LPAREN,
    ACTIONS(14552), 1,
      anon_sym_LBRACK,
    STATE(11876), 1,
      sym_attribute,
    STATE(12717), 1,
      sym__constructor_name,
    STATE(13486), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14554), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13244), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619254] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2132), 1,
      sym_add_operator,
    STATE(11877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [619293] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14341), 1,
      anon_sym_else,
    STATE(9127), 1,
      sym_else_clause,
    STATE(11878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [619334] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14556), 1,
      anon_sym_LPAREN,
    ACTIONS(14558), 1,
      anon_sym_end,
    STATE(11879), 1,
      sym_attribute,
    STATE(12355), 1,
      sym__attribute,
    STATE(12913), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619397] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14560), 1,
      aux_sym_attribute_id_token1,
    STATE(11880), 1,
      sym_attribute,
    STATE(11883), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10136), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10138), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [619438] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(14311), 1,
      anon_sym_DASH_GT,
    STATE(11881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13610), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13608), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619479] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13825), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13823), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619522] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14560), 1,
      aux_sym_attribute_id_token1,
    STATE(11543), 1,
      aux_sym_attribute_id_repeat1,
    STATE(11883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10075), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10077), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [619563] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2185), 1,
      sym_add_operator,
    STATE(11884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [619602] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14564), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14562), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619645] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13706), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13704), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619688] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14568), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11608), 1,
      aux_sym_expression_item_repeat1,
    STATE(11887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14566), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619731] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14572), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11610), 1,
      aux_sym_expression_item_repeat1,
    STATE(11888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14570), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619774] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14576), 1,
      anon_sym_let,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14574), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12593), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [619854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9178), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [619891] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_PERCENT,
    ACTIONS(14578), 1,
      anon_sym_LPAREN,
    ACTIONS(14580), 1,
      anon_sym_end,
    STATE(11892), 1,
      sym_attribute,
    STATE(12364), 1,
      sym__attribute,
    STATE(12951), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12515), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12513), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619991] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13472), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14582), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11894), 1,
      sym_attribute,
    STATE(11896), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13470), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620034] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13346), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14582), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11895), 1,
      sym_attribute,
    STATE(11897), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13344), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620077] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13346), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14582), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11875), 1,
      aux_sym_type_binding_repeat1,
    STATE(11896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13344), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620120] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13448), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14582), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11875), 1,
      aux_sym_type_binding_repeat1,
    STATE(11897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13446), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620163] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13476), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14584), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13474), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620204] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13472), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14587), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11899), 1,
      sym_attribute,
    STATE(11901), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13470), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620247] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13346), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14587), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11900), 1,
      sym_attribute,
    STATE(11902), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13344), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620290] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13346), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14587), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11898), 1,
      aux_sym_type_binding_repeat1,
    STATE(11901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13344), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620333] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13448), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14587), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11898), 1,
      aux_sym_type_binding_repeat1,
    STATE(11902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13446), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620376] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14536), 1,
      anon_sym_and,
    STATE(11872), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(11903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13736), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13734), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [620417] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14591), 1,
      anon_sym_let,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11763), 1,
      aux_sym_expression_item_repeat1,
    STATE(11904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14589), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [620460] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11691), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(11693), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [620496] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13526), 1,
      sym__identifier,
    ACTIONS(13528), 1,
      anon_sym_POUND,
    STATE(11906), 1,
      sym_attribute,
    STATE(11983), 1,
      sym_type_constructor_path,
    STATE(18674), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12581), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [620542] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(14593), 1,
      anon_sym_DASH_GT,
    STATE(11907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13645), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13643), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [620582] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13576), 1,
      sym__identifier,
    ACTIONS(13578), 1,
      anon_sym_POUND,
    STATE(11908), 1,
      sym_attribute,
    STATE(12081), 1,
      sym_type_constructor_path,
    STATE(18981), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13350), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13352), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [620628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12665), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12667), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [620664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12671), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [620700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12675), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [620736] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13526), 1,
      sym__identifier,
    ACTIONS(13528), 1,
      anon_sym_POUND,
    STATE(11912), 1,
      sym_attribute,
    STATE(11983), 1,
      sym_type_constructor_path,
    STATE(18674), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12587), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [620782] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10256), 1,
      sym__identifier,
    STATE(11913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(12551), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12553), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [620822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12679), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [620858] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13576), 1,
      sym__identifier,
    ACTIONS(13578), 1,
      anon_sym_POUND,
    STATE(11915), 1,
      sym_attribute,
    STATE(12081), 1,
      sym_type_constructor_path,
    STATE(18981), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13434), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13436), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [620904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12525), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [620940] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14603), 1,
      sym_rel_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    STATE(2060), 1,
      sym_add_operator,
    STATE(11917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11441), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [620994] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    STATE(2060), 1,
      sym_add_operator,
    STATE(11918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [621040] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14597), 1,
      sym_pow_operator,
    STATE(2060), 1,
      sym_add_operator,
    STATE(11919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [621080] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14597), 1,
      sym_pow_operator,
    STATE(2060), 1,
      sym_add_operator,
    STATE(11920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [621120] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    STATE(2060), 1,
      sym_add_operator,
    STATE(11921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [621168] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    STATE(2060), 1,
      sym_add_operator,
    STATE(11922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [621216] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14603), 1,
      sym_rel_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    STATE(2060), 1,
      sym_add_operator,
    STATE(11923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [621268] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14603), 1,
      sym_rel_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    STATE(2060), 1,
      sym_add_operator,
    STATE(11924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [621322] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14603), 1,
      sym_rel_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    STATE(2060), 1,
      sym_add_operator,
    STATE(11925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [621380] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    STATE(2060), 1,
      sym_add_operator,
    STATE(11926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 8,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [621422] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14603), 1,
      sym_rel_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    STATE(2060), 1,
      sym_add_operator,
    STATE(11927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11471), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [621480] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13576), 1,
      sym__identifier,
    ACTIONS(13578), 1,
      anon_sym_POUND,
    STATE(11928), 1,
      sym_attribute,
    STATE(12081), 1,
      sym_type_constructor_path,
    STATE(18981), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13450), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13452), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [621526] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13270), 1,
      anon_sym_STAR,
    STATE(11929), 1,
      sym_attribute,
    STATE(11930), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14449), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14447), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621566] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14613), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13224), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11930), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13222), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621604] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14616), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14029), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11931), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14027), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621642] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12593), 1,
      sym__identifier,
    STATE(11932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(13510), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13512), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [621682] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(14593), 1,
      anon_sym_DASH_GT,
    STATE(11933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13610), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13608), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621722] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13869), 1,
      anon_sym_EQ,
    ACTIONS(14619), 1,
      anon_sym_of,
    ACTIONS(14621), 1,
      anon_sym_COLON2,
    STATE(11934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13867), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13865), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621764] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13883), 1,
      anon_sym_EQ,
    ACTIONS(14623), 1,
      anon_sym_of,
    ACTIONS(14625), 1,
      anon_sym_COLON2,
    STATE(11935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13881), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13879), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621806] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13774), 1,
      anon_sym_EQ,
    ACTIONS(14627), 1,
      anon_sym_of,
    ACTIONS(14629), 1,
      anon_sym_COLON2,
    STATE(11936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13772), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13770), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621848] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10081), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10083), 13,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [621884] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10256), 1,
      sym__identifier,
    STATE(11938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(12551), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12553), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [621924] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(14105), 1,
      sym__identifier,
    ACTIONS(14507), 1,
      anon_sym_POUND,
    ACTIONS(14631), 1,
      anon_sym_STAR,
    STATE(11939), 1,
      sym_attribute,
    STATE(12155), 1,
      sym_type_constructor_path,
    STATE(13741), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18904), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12517), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13006), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [621974] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(14311), 1,
      anon_sym_DASH_GT,
    STATE(11940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13532), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13530), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [622014] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13526), 1,
      sym__identifier,
    ACTIONS(13528), 1,
      anon_sym_POUND,
    STATE(11941), 1,
      sym_attribute,
    STATE(11983), 1,
      sym_type_constructor_path,
    STATE(18674), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12529), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [622060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12687), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [622096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12689), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12691), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [622132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12807), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [622168] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13516), 1,
      sym__identifier,
    ACTIONS(13518), 1,
      anon_sym_POUND,
    STATE(11945), 1,
      sym_attribute,
    STATE(11976), 1,
      sym_type_constructor_path,
    STATE(19100), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12581), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [622214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12711), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [622250] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14635), 1,
      anon_sym_let,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(11947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14633), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [622292] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13516), 1,
      sym__identifier,
    ACTIONS(13518), 1,
      anon_sym_POUND,
    STATE(11948), 1,
      sym_attribute,
    STATE(11976), 1,
      sym_type_constructor_path,
    STATE(19100), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12587), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [622338] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12952), 1,
      anon_sym_COLON2,
    STATE(11949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10360), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [622376] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14639), 1,
      anon_sym_let,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(11950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14637), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [622418] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14639), 1,
      anon_sym_let,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(11951), 1,
      sym_attribute,
    STATE(12055), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14637), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [622460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12713), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12715), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [622496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12717), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12719), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [622532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12721), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12723), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [622568] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14643), 1,
      anon_sym_let,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(11955), 1,
      sym_attribute,
    STATE(12063), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14645), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14641), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [622612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12727), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [622648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10256), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [622684] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14603), 1,
      sym_rel_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    STATE(2060), 1,
      sym_add_operator,
    STATE(11958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11477), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [622742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12731), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [622778] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13526), 1,
      sym__identifier,
    ACTIONS(13528), 1,
      anon_sym_POUND,
    STATE(11960), 1,
      sym_attribute,
    STATE(11983), 1,
      sym_type_constructor_path,
    STATE(18674), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13350), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13352), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [622824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12733), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12735), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [622860] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(13645), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14647), 1,
      anon_sym_DASH_GT,
    STATE(11962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13643), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [622900] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13526), 1,
      sym__identifier,
    ACTIONS(13528), 1,
      anon_sym_POUND,
    STATE(11963), 1,
      sym_attribute,
    STATE(11983), 1,
      sym_type_constructor_path,
    STATE(18674), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13434), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13436), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [622946] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12952), 1,
      anon_sym_COLON2,
    STATE(11964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10360), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [622984] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(13610), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14647), 1,
      anon_sym_DASH_GT,
    STATE(11965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13608), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [623024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12737), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12739), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [623060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12593), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [623096] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12355), 1,
      anon_sym_let,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(11968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12353), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [623138] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13532), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(14647), 1,
      anon_sym_DASH_GT,
    STATE(11969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13530), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [623178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12593), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [623214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12743), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [623250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12747), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [623286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12603), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [623322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12607), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [623358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12643), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [623394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12645), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12647), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [623430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12767), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12769), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [623466] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14651), 1,
      anon_sym_let,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(11978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14649), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [623508] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14651), 1,
      anon_sym_let,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(11947), 1,
      aux_sym_expression_item_repeat1,
    STATE(11979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14649), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [623550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12603), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [623586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12607), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [623622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12643), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [623658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12645), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12647), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [623694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12665), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12667), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [623730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12671), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [623766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12675), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [623802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12679), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [623838] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10256), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__identifier,
    ACTIONS(10254), 17,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__capitalized_identifier,
  [623874] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14655), 1,
      anon_sym_let,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(11989), 1,
      sym_attribute,
    STATE(12016), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14653), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [623916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12687), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [623952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12689), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12691), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [623988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12807), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [624024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12711), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [624060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12713), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12715), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [624096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12717), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12719), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [624132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12721), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12723), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [624168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12727), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [624204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12731), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [624240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12733), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12735), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [624276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12737), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12739), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [624312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12743), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [624348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12747), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [624384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12767), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12769), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [624420] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14055), 1,
      anon_sym_DASH_GT,
    ACTIONS(14057), 1,
      anon_sym_with,
    ACTIONS(14659), 1,
      anon_sym_let,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12004), 1,
      sym_attribute,
    STATE(12058), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14657), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [624466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10360), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [624502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12671), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [624538] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13526), 1,
      sym__identifier,
    ACTIONS(13528), 1,
      anon_sym_POUND,
    STATE(11983), 1,
      sym_type_constructor_path,
    STATE(12007), 1,
      sym_attribute,
    STATE(18674), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13450), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13452), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [624584] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14663), 1,
      anon_sym_let,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12008), 1,
      sym_attribute,
    STATE(12059), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14661), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [624626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12675), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [624662] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13516), 1,
      sym__identifier,
    ACTIONS(13518), 1,
      anon_sym_POUND,
    STATE(11976), 1,
      sym_type_constructor_path,
    STATE(12010), 1,
      sym_attribute,
    STATE(19100), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12529), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [624708] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13516), 1,
      sym__identifier,
    ACTIONS(13518), 1,
      anon_sym_POUND,
    STATE(11976), 1,
      sym_type_constructor_path,
    STATE(12011), 1,
      sym_attribute,
    STATE(19100), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13350), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13352), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [624754] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13956), 1,
      sym__identifier,
    ACTIONS(14407), 1,
      anon_sym_POUND,
    ACTIONS(14665), 1,
      anon_sym_STAR,
    STATE(12012), 1,
      sym_attribute,
    STATE(12106), 1,
      sym_type_constructor_path,
    STATE(13713), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12517), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13006), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [624804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12593), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [624840] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13516), 1,
      sym__identifier,
    ACTIONS(13518), 1,
      anon_sym_POUND,
    STATE(11976), 1,
      sym_type_constructor_path,
    STATE(12014), 1,
      sym_attribute,
    STATE(19100), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13434), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13436), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [624886] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14667), 1,
      anon_sym_PIPE,
    STATE(12015), 1,
      sym_attribute,
    STATE(12062), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13246), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13244), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [624926] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14663), 1,
      anon_sym_let,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14661), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [624968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10256), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [625004] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14671), 1,
      anon_sym_let,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14669), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [625046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9178), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [625082] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13516), 1,
      sym__identifier,
    ACTIONS(13518), 1,
      anon_sym_POUND,
    STATE(11976), 1,
      sym_type_constructor_path,
    STATE(12020), 1,
      sym_attribute,
    STATE(19100), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13450), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13452), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [625128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10360), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [625164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10256), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [625200] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12593), 1,
      sym__identifier,
    STATE(12023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(13510), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13512), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [625240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12679), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [625276] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14675), 1,
      anon_sym_let,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14673), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [625318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10360), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [625354] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13588), 1,
      anon_sym_constraint,
    ACTIONS(14677), 1,
      anon_sym_EQ,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11751), 1,
      aux_sym_expression_item_repeat1,
    STATE(12027), 1,
      sym_attribute,
    STATE(12312), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13620), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [625402] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13588), 1,
      anon_sym_constraint,
    ACTIONS(14679), 1,
      anon_sym_EQ,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11886), 1,
      aux_sym_expression_item_repeat1,
    STATE(12028), 1,
      sym_attribute,
    STATE(12319), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13554), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [625450] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13606), 1,
      anon_sym_constraint,
    ACTIONS(14681), 1,
      anon_sym_EQ,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11751), 1,
      aux_sym_expression_item_repeat1,
    STATE(12029), 1,
      sym_attribute,
    STATE(12332), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13620), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [625498] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13606), 1,
      anon_sym_constraint,
    ACTIONS(14683), 1,
      anon_sym_EQ,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11886), 1,
      aux_sym_expression_item_repeat1,
    STATE(12030), 1,
      sym_attribute,
    STATE(12337), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13554), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [625546] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13596), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14647), 1,
      anon_sym_DASH_GT,
    STATE(12031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13594), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [625584] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14687), 1,
      anon_sym_let,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(11978), 1,
      aux_sym_expression_item_repeat1,
    STATE(12032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14685), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [625626] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13576), 1,
      sym__identifier,
    ACTIONS(13578), 1,
      anon_sym_POUND,
    STATE(12033), 1,
      sym_attribute,
    STATE(12081), 1,
      sym_type_constructor_path,
    STATE(18981), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12581), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [625672] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14691), 1,
      anon_sym_let,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(11950), 1,
      aux_sym_expression_item_repeat1,
    STATE(12034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14689), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [625714] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13576), 1,
      sym__identifier,
    ACTIONS(13578), 1,
      anon_sym_POUND,
    STATE(12035), 1,
      sym_attribute,
    STATE(12081), 1,
      sym_type_constructor_path,
    STATE(18981), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12587), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [625760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12687), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [625796] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14603), 1,
      sym_rel_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(14693), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(12037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [625856] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13659), 1,
      anon_sym_let,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13657), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [625898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12689), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12691), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [625934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12807), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [625970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12711), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [626006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12525), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [626042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12713), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12715), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [626078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12717), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12719), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [626114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12721), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12723), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [626150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12525), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [626186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12727), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [626222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12731), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [626258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12733), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12735), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [626294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12737), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12739), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [626330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12743), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [626366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12747), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [626402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12551), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12553), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [626438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12767), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12769), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [626474] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14697), 1,
      anon_sym_let,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14695), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [626516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12551), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12553), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [626552] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(13645), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14699), 1,
      anon_sym_DASH_GT,
    STATE(12057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13643), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [626592] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14703), 1,
      anon_sym_let,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14701), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [626634] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14707), 1,
      anon_sym_let,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14705), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [626676] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14667), 1,
      anon_sym_PIPE,
    STATE(12060), 1,
      sym_attribute,
    STATE(12084), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14711), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14709), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [626716] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(13610), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14699), 1,
      anon_sym_DASH_GT,
    STATE(12061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13608), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [626756] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14667), 1,
      anon_sym_PIPE,
    STATE(11931), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14711), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14709), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [626796] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14715), 1,
      anon_sym_let,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14713), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [626838] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14719), 1,
      anon_sym_let,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12018), 1,
      aux_sym_expression_item_repeat1,
    STATE(12064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14721), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14717), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [626882] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14055), 1,
      anon_sym_DASH_GT,
    ACTIONS(14057), 1,
      anon_sym_with,
    ACTIONS(14725), 1,
      anon_sym_let,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12065), 1,
      sym_attribute,
    STATE(12086), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14723), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [626928] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13532), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(14699), 1,
      anon_sym_DASH_GT,
    STATE(12066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13530), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [626968] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14729), 1,
      anon_sym_let,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14727), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [627010] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14593), 1,
      anon_sym_DASH_GT,
    STATE(12068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13596), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13594), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [627048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9182), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [627084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9186), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [627120] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2060), 1,
      sym_add_operator,
    STATE(12071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [627158] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13596), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14699), 1,
      anon_sym_DASH_GT,
    STATE(12072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13594), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [627196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12551), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12553), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [627232] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12361), 1,
      anon_sym_let,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12359), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [627274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12603), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [627310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12607), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [627346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12643), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [627382] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13226), 1,
      anon_sym_STAR,
    STATE(12078), 1,
      sym_attribute,
    STATE(12079), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14449), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14447), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [627422] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14731), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13224), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12079), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13222), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [627460] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10081), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10083), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [627496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12645), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12647), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [627532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9190), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [627568] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13576), 1,
      sym__identifier,
    ACTIONS(13578), 1,
      anon_sym_POUND,
    STATE(12081), 1,
      sym_type_constructor_path,
    STATE(12083), 1,
      sym_attribute,
    STATE(18981), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12529), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [627614] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14667), 1,
      anon_sym_PIPE,
    STATE(11931), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14736), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14734), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [627654] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14738), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13476), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12085), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13474), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [627694] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14743), 1,
      anon_sym_let,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14741), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [627736] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14745), 1,
      anon_sym_DASH_GT,
    ACTIONS(14747), 1,
      anon_sym_with,
    STATE(12087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14445), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14443), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [627776] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14745), 1,
      anon_sym_DASH_GT,
    ACTIONS(14747), 1,
      anon_sym_with,
    STATE(12088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14053), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14051), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [627816] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14745), 1,
      anon_sym_DASH_GT,
    ACTIONS(14747), 1,
      anon_sym_with,
    STATE(12089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14139), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14137), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [627856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12665), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(12667), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [627892] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14159), 1,
      anon_sym_let,
    ACTIONS(14749), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11704), 1,
      aux_sym_expression_item_repeat1,
    STATE(12091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14157), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [627935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12525), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [627970] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14751), 1,
      anon_sym_LPAREN,
    ACTIONS(14753), 1,
      anon_sym_end,
    STATE(12093), 1,
      sym_attribute,
    STATE(12438), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628027] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14755), 1,
      anon_sym_LPAREN,
    ACTIONS(14757), 1,
      anon_sym_end,
    STATE(12094), 1,
      sym_attribute,
    STATE(12808), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628084] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14759), 1,
      anon_sym_LPAREN,
    ACTIONS(14761), 1,
      anon_sym_end,
    STATE(12095), 1,
      sym_attribute,
    STATE(12942), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628141] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14229), 1,
      anon_sym_let,
    ACTIONS(14763), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11744), 1,
      aux_sym_expression_item_repeat1,
    STATE(12096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14227), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [628184] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7905), 1,
      anon_sym_let,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8117), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11746), 1,
      aux_sym_expression_item_repeat1,
    STATE(12097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [628227] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14765), 1,
      anon_sym_LPAREN,
    ACTIONS(14767), 1,
      anon_sym_end,
    STATE(12098), 1,
      sym_attribute,
    STATE(12447), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628284] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14769), 1,
      anon_sym_LPAREN,
    ACTIONS(14771), 1,
      anon_sym_end,
    STATE(12099), 1,
      sym_attribute,
    STATE(12883), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12603), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [628376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12607), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [628411] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14773), 1,
      anon_sym_LPAREN,
    ACTIONS(14775), 1,
      anon_sym_end,
    STATE(12102), 1,
      sym_attribute,
    STATE(12504), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628468] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14777), 1,
      anon_sym_LPAREN,
    ACTIONS(14779), 1,
      anon_sym_end,
    STATE(12103), 1,
      sym_attribute,
    STATE(12538), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12643), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [628560] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14781), 1,
      anon_sym_LPAREN,
    ACTIONS(14783), 1,
      anon_sym_end,
    STATE(12105), 1,
      sym_attribute,
    STATE(12570), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12645), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12647), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [628652] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14785), 1,
      anon_sym_COMMA,
    ACTIONS(14787), 1,
      anon_sym_SEMI,
    ACTIONS(14789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14791), 1,
      sym_pow_operator,
    ACTIONS(14793), 1,
      sym_mult_operator,
    ACTIONS(14795), 1,
      sym_concat_operator,
    ACTIONS(14797), 1,
      sym_rel_operator,
    ACTIONS(14799), 1,
      sym_and_operator,
    ACTIONS(14801), 1,
      sym_or_operator,
    ACTIONS(14803), 1,
      sym_assign_operator,
    STATE(2590), 1,
      sym_add_operator,
    STATE(12107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [628711] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14805), 1,
      anon_sym_LPAREN,
    ACTIONS(14807), 1,
      anon_sym_end,
    STATE(12108), 1,
      sym_attribute,
    STATE(12613), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628768] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14809), 1,
      anon_sym_LPAREN,
    ACTIONS(14811), 1,
      anon_sym_end,
    STATE(12109), 1,
      sym_attribute,
    STATE(12631), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628825] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(14593), 1,
      anon_sym_DASH_GT,
    STATE(12110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13532), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13530), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [628864] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14813), 1,
      anon_sym_LPAREN,
    ACTIONS(14815), 1,
      anon_sym_end,
    STATE(12111), 1,
      sym_attribute,
    STATE(12662), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628921] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14817), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12112), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10083), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10081), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__identifier,
  [628958] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14820), 1,
      anon_sym_LPAREN,
    ACTIONS(14822), 1,
      anon_sym_end,
    STATE(12113), 1,
      sym_attribute,
    STATE(12687), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629015] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14824), 1,
      anon_sym_LPAREN,
    ACTIONS(14826), 1,
      anon_sym_end,
    STATE(12114), 1,
      sym_attribute,
    STATE(12812), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12551), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12553), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [629107] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14828), 1,
      anon_sym_LPAREN,
    ACTIONS(14830), 1,
      anon_sym_end,
    STATE(12116), 1,
      sym_attribute,
    STATE(12729), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12665), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12667), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [629199] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14832), 1,
      anon_sym_LPAREN,
    ACTIONS(14834), 1,
      anon_sym_end,
    STATE(12118), 1,
      sym_attribute,
    STATE(12804), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12671), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [629291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12675), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [629326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12679), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [629361] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14836), 1,
      anon_sym_LPAREN,
    ACTIONS(14838), 1,
      anon_sym_end,
    STATE(12122), 1,
      sym_attribute,
    STATE(12847), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629418] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14842), 1,
      anon_sym_let,
    ACTIONS(14844), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12123), 2,
      sym_attribute,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(14840), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [629455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9122), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [629490] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14849), 1,
      anon_sym_let,
    ACTIONS(14851), 1,
      anon_sym_and,
    STATE(12123), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(12125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14847), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [629529] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14853), 1,
      anon_sym_LPAREN,
    ACTIONS(14855), 1,
      anon_sym_end,
    STATE(12126), 1,
      sym_attribute,
    STATE(12863), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629586] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14857), 1,
      anon_sym_LPAREN,
    ACTIONS(14859), 1,
      anon_sym_end,
    STATE(12127), 1,
      sym_attribute,
    STATE(12870), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9134), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [629678] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14327), 1,
      anon_sym_let,
    ACTIONS(14861), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11762), 1,
      aux_sym_expression_item_repeat1,
    STATE(12129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14325), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [629721] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8135), 1,
      anon_sym_let,
    ACTIONS(8137), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11678), 1,
      aux_sym_expression_item_repeat1,
    STATE(12130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8133), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [629764] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14863), 1,
      anon_sym_LPAREN,
    ACTIONS(14865), 1,
      anon_sym_end,
    STATE(12131), 1,
      sym_attribute,
    STATE(12898), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629821] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14867), 1,
      anon_sym_LPAREN,
    ACTIONS(14869), 1,
      anon_sym_end,
    STATE(12132), 1,
      sym_attribute,
    STATE(12960), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629878] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13938), 1,
      anon_sym_let,
    ACTIONS(14871), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11636), 1,
      aux_sym_expression_item_repeat1,
    STATE(12133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13936), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [629921] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14873), 1,
      anon_sym_LPAREN,
    ACTIONS(14875), 1,
      anon_sym_end,
    STATE(12134), 1,
      sym_attribute,
    STATE(12941), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12687), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [630013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12689), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12691), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [630048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12807), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [630083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12711), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [630118] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14877), 1,
      anon_sym_LPAREN,
    ACTIONS(14879), 1,
      anon_sym_end,
    STATE(12139), 1,
      sym_attribute,
    STATE(12381), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12713), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12715), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [630210] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14883), 1,
      anon_sym_let,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14881), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [630251] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14885), 1,
      anon_sym_LPAREN,
    ACTIONS(14887), 1,
      anon_sym_end,
    STATE(12142), 1,
      sym_attribute,
    STATE(12400), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12593), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [630343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12717), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12719), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [630378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12721), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12723), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [630413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12727), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [630448] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14889), 1,
      anon_sym_LPAREN,
    ACTIONS(14891), 1,
      anon_sym_end,
    STATE(12147), 1,
      sym_attribute,
    STATE(12416), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630505] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14893), 1,
      anon_sym_LPAREN,
    ACTIONS(14895), 1,
      anon_sym_end,
    STATE(12148), 1,
      sym_attribute,
    STATE(12418), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12731), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [630597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12733), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12735), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [630632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12603), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [630667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12607), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [630702] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14897), 1,
      anon_sym_LPAREN,
    ACTIONS(14899), 1,
      anon_sym_end,
    STATE(12153), 1,
      sym_attribute,
    STATE(12437), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12643), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [630794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12645), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12647), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [630829] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14901), 1,
      anon_sym_LPAREN,
    ACTIONS(14903), 1,
      anon_sym_end,
    STATE(12156), 1,
      sym_attribute,
    STATE(12450), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630886] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14905), 1,
      anon_sym_LPAREN,
    ACTIONS(14907), 1,
      anon_sym_end,
    STATE(12157), 1,
      sym_attribute,
    STATE(12459), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630943] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14909), 1,
      anon_sym_LPAREN,
    ACTIONS(14911), 1,
      anon_sym_end,
    STATE(12158), 1,
      sym_attribute,
    STATE(12468), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9178), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [631035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12665), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12667), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [631070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12671), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [631105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12675), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [631140] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14913), 1,
      anon_sym_LPAREN,
    ACTIONS(14915), 1,
      anon_sym_end,
    STATE(12163), 1,
      sym_attribute,
    STATE(12481), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9182), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [631232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9186), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [631267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9190), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [631302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12737), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12739), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [631337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12679), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [631372] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14917), 1,
      anon_sym_LPAREN,
    ACTIONS(14919), 1,
      anon_sym_end,
    STATE(12169), 1,
      sym_attribute,
    STATE(12497), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631429] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14921), 1,
      anon_sym_LPAREN,
    ACTIONS(14923), 1,
      anon_sym_end,
    STATE(12170), 1,
      sym_attribute,
    STATE(12496), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12743), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [631521] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14925), 1,
      anon_sym_LPAREN,
    ACTIONS(14927), 1,
      anon_sym_end,
    STATE(12172), 1,
      sym_attribute,
    STATE(12506), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12747), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [631613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12687), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [631648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12689), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12691), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [631683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12807), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [631718] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14929), 1,
      anon_sym_LPAREN,
    ACTIONS(14931), 1,
      anon_sym_end,
    STATE(12177), 1,
      sym_attribute,
    STATE(12544), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631775] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8067), 1,
      anon_sym_let,
    ACTIONS(8161), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11823), 1,
      aux_sym_expression_item_repeat1,
    STATE(12178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8065), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [631818] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8113), 1,
      anon_sym_let,
    ACTIONS(8131), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11558), 1,
      aux_sym_expression_item_repeat1,
    STATE(12179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8111), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [631861] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14486), 1,
      anon_sym_let,
    ACTIONS(14933), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11561), 1,
      aux_sym_expression_item_repeat1,
    STATE(12180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14484), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [631904] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12181), 1,
      sym_attribute,
    STATE(12983), 1,
      sym__attribute,
    STATE(17441), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [631961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12711), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [631996] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13938), 1,
      anon_sym_let,
    ACTIONS(14949), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11636), 1,
      aux_sym_expression_item_repeat1,
    STATE(12183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13936), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [632039] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8135), 1,
      anon_sym_let,
    ACTIONS(8165), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11678), 1,
      aux_sym_expression_item_repeat1,
    STATE(12184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8133), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [632082] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14159), 1,
      anon_sym_let,
    ACTIONS(14951), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11704), 1,
      aux_sym_expression_item_repeat1,
    STATE(12185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14157), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [632125] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8019), 1,
      anon_sym_let,
    ACTIONS(8021), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11706), 1,
      aux_sym_expression_item_repeat1,
    STATE(12186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8017), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [632168] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14229), 1,
      anon_sym_let,
    ACTIONS(14953), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11744), 1,
      aux_sym_expression_item_repeat1,
    STATE(12187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14227), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [632211] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7905), 1,
      anon_sym_let,
    ACTIONS(7907), 1,
      anon_sym_EQ,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11746), 1,
      aux_sym_expression_item_repeat1,
    STATE(12188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [632254] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14327), 1,
      anon_sym_let,
    ACTIONS(14955), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11762), 1,
      aux_sym_expression_item_repeat1,
    STATE(12189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14325), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [632297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12767), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12769), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [632332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12713), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12715), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [632367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12717), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12719), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [632402] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14957), 1,
      anon_sym_LPAREN,
    ACTIONS(14959), 1,
      anon_sym_end,
    STATE(12193), 1,
      sym_attribute,
    STATE(12864), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632459] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14961), 1,
      anon_sym_else,
    STATE(11642), 1,
      sym_else_clause,
    STATE(12194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [632498] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14965), 1,
      anon_sym_let,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14963), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [632539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12721), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12723), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [632574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12727), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [632609] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14851), 1,
      anon_sym_and,
    ACTIONS(14969), 1,
      anon_sym_let,
    STATE(12123), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(12198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14967), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [632648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12731), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [632683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12733), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12735), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [632718] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14851), 1,
      anon_sym_and,
    ACTIONS(14969), 1,
      anon_sym_let,
    STATE(12125), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(12201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14967), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [632757] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13869), 1,
      anon_sym_EQ,
    ACTIONS(14971), 1,
      anon_sym_of,
    ACTIONS(14973), 1,
      anon_sym_COLON2,
    STATE(12202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13867), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13865), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [632798] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8113), 1,
      anon_sym_let,
    ACTIONS(8173), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11558), 1,
      aux_sym_expression_item_repeat1,
    STATE(12203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8111), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [632841] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12204), 1,
      sym_attribute,
    STATE(12985), 1,
      sym__attribute,
    STATE(16649), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [632898] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14785), 1,
      anon_sym_COMMA,
    ACTIONS(14789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14791), 1,
      sym_pow_operator,
    ACTIONS(14793), 1,
      sym_mult_operator,
    ACTIONS(14795), 1,
      sym_concat_operator,
    ACTIONS(14797), 1,
      sym_rel_operator,
    ACTIONS(14799), 1,
      sym_and_operator,
    ACTIONS(14801), 1,
      sym_or_operator,
    ACTIONS(14803), 1,
      sym_assign_operator,
    STATE(2590), 1,
      sym_add_operator,
    STATE(12205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [632955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12737), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12739), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [632990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12743), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [633025] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2590), 1,
      sym_add_operator,
    STATE(12208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [633062] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14975), 1,
      anon_sym_else,
    STATE(11624), 1,
      sym_else_clause,
    STATE(12209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [633101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12747), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [633136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10256), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [633171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12767), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12769), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [633206] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12213), 1,
      sym_attribute,
    STATE(13048), 1,
      sym__attribute,
    STATE(16948), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [633263] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14977), 1,
      anon_sym_LPAREN,
    ACTIONS(14979), 1,
      anon_sym_end,
    STATE(12214), 1,
      sym_attribute,
    STATE(12377), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633320] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      aux_sym_attribute_id_token1,
    STATE(12215), 1,
      sym_attribute,
    STATE(12307), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10136), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__identifier,
  [633359] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14791), 1,
      sym_pow_operator,
    ACTIONS(14793), 1,
      sym_mult_operator,
    ACTIONS(14795), 1,
      sym_concat_operator,
    ACTIONS(14797), 1,
      sym_rel_operator,
    ACTIONS(14799), 1,
      sym_and_operator,
    ACTIONS(14801), 1,
      sym_or_operator,
    STATE(2590), 1,
      sym_add_operator,
    STATE(12216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11441), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [633412] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14791), 1,
      sym_pow_operator,
    ACTIONS(14793), 1,
      sym_mult_operator,
    STATE(2590), 1,
      sym_add_operator,
    STATE(12217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [633457] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14791), 1,
      sym_pow_operator,
    STATE(2590), 1,
      sym_add_operator,
    STATE(12218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [633496] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14791), 1,
      sym_pow_operator,
    STATE(2590), 1,
      sym_add_operator,
    STATE(12219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [633535] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14791), 1,
      sym_pow_operator,
    ACTIONS(14793), 1,
      sym_mult_operator,
    ACTIONS(14795), 1,
      sym_concat_operator,
    STATE(2590), 1,
      sym_add_operator,
    STATE(12220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [633582] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14791), 1,
      sym_pow_operator,
    ACTIONS(14793), 1,
      sym_mult_operator,
    ACTIONS(14795), 1,
      sym_concat_operator,
    STATE(2590), 1,
      sym_add_operator,
    STATE(12221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [633629] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14791), 1,
      sym_pow_operator,
    ACTIONS(14793), 1,
      sym_mult_operator,
    ACTIONS(14795), 1,
      sym_concat_operator,
    ACTIONS(14797), 1,
      sym_rel_operator,
    ACTIONS(14799), 1,
      sym_and_operator,
    STATE(2590), 1,
      sym_add_operator,
    STATE(12222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_and,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [633680] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14791), 1,
      sym_pow_operator,
    ACTIONS(14793), 1,
      sym_mult_operator,
    ACTIONS(14795), 1,
      sym_concat_operator,
    ACTIONS(14797), 1,
      sym_rel_operator,
    ACTIONS(14799), 1,
      sym_and_operator,
    ACTIONS(14801), 1,
      sym_or_operator,
    STATE(2590), 1,
      sym_add_operator,
    STATE(12223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [633733] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14785), 1,
      anon_sym_COMMA,
    ACTIONS(14789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14791), 1,
      sym_pow_operator,
    ACTIONS(14793), 1,
      sym_mult_operator,
    ACTIONS(14795), 1,
      sym_concat_operator,
    ACTIONS(14797), 1,
      sym_rel_operator,
    ACTIONS(14799), 1,
      sym_and_operator,
    ACTIONS(14801), 1,
      sym_or_operator,
    ACTIONS(14803), 1,
      sym_assign_operator,
    STATE(2590), 1,
      sym_add_operator,
    STATE(12224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [633790] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14791), 1,
      sym_pow_operator,
    ACTIONS(14793), 1,
      sym_mult_operator,
    STATE(2590), 1,
      sym_add_operator,
    STATE(12225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [633831] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14785), 1,
      anon_sym_COMMA,
    ACTIONS(14789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14791), 1,
      sym_pow_operator,
    ACTIONS(14793), 1,
      sym_mult_operator,
    ACTIONS(14795), 1,
      sym_concat_operator,
    ACTIONS(14797), 1,
      sym_rel_operator,
    ACTIONS(14799), 1,
      sym_and_operator,
    ACTIONS(14801), 1,
      sym_or_operator,
    ACTIONS(14803), 1,
      sym_assign_operator,
    STATE(2590), 1,
      sym_add_operator,
    STATE(12226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11471), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [633888] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14975), 1,
      anon_sym_else,
    STATE(11642), 1,
      sym_else_clause,
    STATE(12227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [633927] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14785), 1,
      anon_sym_COMMA,
    ACTIONS(14789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14791), 1,
      sym_pow_operator,
    ACTIONS(14793), 1,
      sym_mult_operator,
    ACTIONS(14795), 1,
      sym_concat_operator,
    ACTIONS(14797), 1,
      sym_rel_operator,
    ACTIONS(14799), 1,
      sym_and_operator,
    ACTIONS(14801), 1,
      sym_or_operator,
    ACTIONS(14803), 1,
      sym_assign_operator,
    STATE(2590), 1,
      sym_add_operator,
    STATE(12228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11477), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [633984] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14486), 1,
      anon_sym_let,
    ACTIONS(14983), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11561), 1,
      aux_sym_expression_item_repeat1,
    STATE(12229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14484), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [634027] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12230), 1,
      sym_attribute,
    STATE(13043), 1,
      sym__attribute,
    STATE(17440), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [634084] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11518), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14985), 1,
      anon_sym_STAR,
    STATE(12231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [634121] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12232), 1,
      sym_attribute,
    STATE(13103), 1,
      sym__attribute,
    STATE(17174), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [634178] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13883), 1,
      anon_sym_EQ,
    ACTIONS(14987), 1,
      anon_sym_of,
    ACTIONS(14989), 1,
      anon_sym_COLON2,
    STATE(12233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13881), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13879), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [634219] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14991), 1,
      anon_sym_LPAREN,
    ACTIONS(14993), 1,
      anon_sym_end,
    STATE(12234), 1,
      sym_attribute,
    STATE(12665), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634276] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12235), 1,
      sym_attribute,
    STATE(13127), 1,
      sym__attribute,
    STATE(17374), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [634333] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11691), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(11693), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [634368] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14995), 1,
      anon_sym_PIPE,
    STATE(12237), 1,
      sym_attribute,
    STATE(12239), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [634407] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14995), 1,
      anon_sym_PIPE,
    STATE(12238), 1,
      sym_attribute,
    STATE(12240), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [634446] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14995), 1,
      anon_sym_PIPE,
    STATE(12239), 1,
      sym_attribute,
    STATE(12241), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [634485] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14995), 1,
      anon_sym_PIPE,
    STATE(12240), 1,
      sym_attribute,
    STATE(12241), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [634524] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14997), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12241), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [634561] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15000), 1,
      anon_sym_LPAREN,
    ACTIONS(15002), 1,
      anon_sym_end,
    STATE(12242), 1,
      sym_attribute,
    STATE(12679), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634618] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11518), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15004), 1,
      anon_sym_STAR,
    STATE(12243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [634655] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12244), 1,
      sym_attribute,
    STATE(13139), 1,
      sym__attribute,
    STATE(17674), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [634712] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13488), 1,
      anon_sym_STAR,
    STATE(12245), 1,
      sym_attribute,
    STATE(12246), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14449), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14447), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [634751] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15006), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13224), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12246), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13222), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [634788] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14643), 1,
      anon_sym_let,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12063), 1,
      aux_sym_expression_item_repeat1,
    STATE(12247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15009), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14641), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [634831] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12248), 1,
      sym_attribute,
    STATE(13154), 1,
      sym__attribute,
    STATE(17860), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [634888] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13867), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13869), 1,
      anon_sym_EQ,
    ACTIONS(15011), 1,
      anon_sym_of,
    ACTIONS(15013), 1,
      anon_sym_COLON2,
    STATE(12249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13865), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [634929] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13881), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13883), 1,
      anon_sym_EQ,
    ACTIONS(15015), 1,
      anon_sym_of,
    ACTIONS(15017), 1,
      anon_sym_COLON2,
    STATE(12250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13879), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [634970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10360), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [635005] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13772), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13774), 1,
      anon_sym_EQ,
    ACTIONS(15019), 1,
      anon_sym_of,
    ACTIONS(15021), 1,
      anon_sym_COLON2,
    STATE(12252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13770), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635046] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12253), 1,
      sym_attribute,
    STATE(13206), 1,
      sym__attribute,
    STATE(16612), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [635103] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12254), 1,
      sym_attribute,
    STATE(12971), 1,
      sym__attribute,
    STATE(17742), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [635160] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13867), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13869), 1,
      anon_sym_EQ,
    ACTIONS(15023), 1,
      anon_sym_of,
    ACTIONS(15025), 1,
      anon_sym_COLON2,
    STATE(12255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13865), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635201] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13881), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13883), 1,
      anon_sym_EQ,
    ACTIONS(15027), 1,
      anon_sym_of,
    ACTIONS(15029), 1,
      anon_sym_COLON2,
    STATE(12256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13879), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635242] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13772), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13774), 1,
      anon_sym_EQ,
    ACTIONS(15031), 1,
      anon_sym_of,
    ACTIONS(15033), 1,
      anon_sym_COLON2,
    STATE(12257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13770), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635283] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14961), 1,
      anon_sym_else,
    STATE(11624), 1,
      sym_else_clause,
    STATE(12258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [635322] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12259), 1,
      sym_attribute,
    STATE(12978), 1,
      sym__attribute,
    STATE(16772), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [635379] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12260), 1,
      sym_attribute,
    STATE(12989), 1,
      sym__attribute,
    STATE(17754), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [635436] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13774), 1,
      anon_sym_EQ,
    ACTIONS(15035), 1,
      anon_sym_of,
    ACTIONS(15037), 1,
      anon_sym_COLON2,
    STATE(12261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13772), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13770), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [635477] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15039), 1,
      anon_sym_LPAREN,
    ACTIONS(15041), 1,
      anon_sym_end,
    STATE(12262), 1,
      sym_attribute,
    STATE(12724), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635534] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12263), 1,
      sym_attribute,
    STATE(12993), 1,
      sym__attribute,
    STATE(17059), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [635591] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12264), 1,
      sym_attribute,
    STATE(12998), 1,
      sym__attribute,
    STATE(16638), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [635648] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13956), 1,
      sym__identifier,
    ACTIONS(14407), 1,
      anon_sym_POUND,
    STATE(12106), 1,
      sym_type_constructor_path,
    STATE(12265), 1,
      sym_attribute,
    STATE(18768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13222), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13224), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [635693] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12266), 1,
      sym_attribute,
    STATE(13002), 1,
      sym__attribute,
    STATE(16887), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [635750] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12267), 1,
      sym_attribute,
    STATE(13005), 1,
      sym__attribute,
    STATE(17260), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [635807] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12268), 1,
      sym_attribute,
    STATE(13009), 1,
      sym__attribute,
    STATE(17626), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [635864] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12269), 1,
      sym_attribute,
    STATE(13012), 1,
      sym__attribute,
    STATE(17595), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [635921] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12270), 1,
      sym_attribute,
    STATE(13014), 1,
      sym__attribute,
    STATE(16597), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [635978] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12271), 1,
      sym_attribute,
    STATE(13017), 1,
      sym__attribute,
    STATE(17068), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [636035] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12272), 1,
      sym_attribute,
    STATE(13019), 1,
      sym__attribute,
    STATE(17705), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [636092] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12273), 1,
      sym_attribute,
    STATE(13023), 1,
      sym__attribute,
    STATE(16575), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [636149] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15043), 1,
      anon_sym_LPAREN,
    ACTIONS(15045), 1,
      anon_sym_end,
    STATE(12274), 1,
      sym_attribute,
    STATE(12761), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636206] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15047), 1,
      anon_sym_LPAREN,
    ACTIONS(15049), 1,
      anon_sym_end,
    STATE(12275), 1,
      sym_attribute,
    STATE(12774), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636263] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15051), 1,
      anon_sym_LPAREN,
    ACTIONS(15053), 1,
      anon_sym_end,
    STATE(12276), 1,
      sym_attribute,
    STATE(12794), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12525), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [636355] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12489), 1,
      anon_sym_let,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12487), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [636396] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14851), 1,
      anon_sym_and,
    ACTIONS(15057), 1,
      anon_sym_let,
    STATE(12198), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(12279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15055), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [636435] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11691), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(11693), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [636470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12329), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(12327), 11,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [636505] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15059), 1,
      anon_sym_LPAREN,
    ACTIONS(15061), 1,
      anon_sym_end,
    STATE(12282), 1,
      sym_attribute,
    STATE(12813), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15065), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(15063), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [636597] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14159), 1,
      anon_sym_let,
    ACTIONS(15067), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11704), 1,
      aux_sym_expression_item_repeat1,
    STATE(12284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14157), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [636640] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15069), 1,
      anon_sym_LPAREN,
    ACTIONS(15071), 1,
      anon_sym_end,
    STATE(12285), 1,
      sym_attribute,
    STATE(12817), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636697] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8019), 1,
      anon_sym_let,
    ACTIONS(8119), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11706), 1,
      aux_sym_expression_item_repeat1,
    STATE(12286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8017), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [636740] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8067), 1,
      anon_sym_let,
    ACTIONS(8069), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11823), 1,
      aux_sym_expression_item_repeat1,
    STATE(12287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8065), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [636783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12551), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12553), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [636818] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15073), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13476), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12289), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13474), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [636857] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8113), 1,
      anon_sym_let,
    ACTIONS(8115), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11558), 1,
      aux_sym_expression_item_repeat1,
    STATE(12290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8111), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [636900] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14486), 1,
      anon_sym_let,
    ACTIONS(15076), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11561), 1,
      aux_sym_expression_item_repeat1,
    STATE(12291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14484), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [636943] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15078), 1,
      anon_sym_PIPE,
    STATE(12292), 1,
      sym_attribute,
    STATE(12295), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14711), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14709), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [636982] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13938), 1,
      anon_sym_let,
    ACTIONS(15080), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11636), 1,
      aux_sym_expression_item_repeat1,
    STATE(12293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13936), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [637025] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15078), 1,
      anon_sym_PIPE,
    STATE(12294), 1,
      sym_attribute,
    STATE(12295), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14736), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14734), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [637064] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15082), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14029), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12295), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14027), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [637101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9178), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [637136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9182), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [637171] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8135), 1,
      anon_sym_let,
    ACTIONS(8139), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11678), 1,
      aux_sym_expression_item_repeat1,
    STATE(12298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8133), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [637214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9186), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [637249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9190), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [637284] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13837), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15085), 1,
      anon_sym_and,
    STATE(12301), 1,
      sym_attribute,
    STATE(12303), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13835), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637323] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8019), 1,
      anon_sym_let,
    ACTIONS(8151), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11706), 1,
      aux_sym_expression_item_repeat1,
    STATE(12302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8017), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [637366] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13220), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15087), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12303), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13218), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637403] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14229), 1,
      anon_sym_let,
    ACTIONS(15090), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11744), 1,
      aux_sym_expression_item_repeat1,
    STATE(12304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14227), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [637446] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7905), 1,
      anon_sym_let,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8159), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11746), 1,
      aux_sym_expression_item_repeat1,
    STATE(12305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [637489] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14327), 1,
      anon_sym_let,
    ACTIONS(15092), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11762), 1,
      aux_sym_expression_item_repeat1,
    STATE(12306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14325), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [637532] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      aux_sym_attribute_id_token1,
    STATE(12112), 1,
      aux_sym_attribute_id_repeat1,
    STATE(12307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10077), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10075), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__identifier,
  [637571] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(15094), 1,
      sym__identifier,
    ACTIONS(15096), 1,
      anon_sym_POUND,
    STATE(12308), 1,
      sym_attribute,
    STATE(13124), 1,
      sym_type_constructor_path,
    STATE(18449), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12371), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12373), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [637616] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8067), 1,
      anon_sym_let,
    ACTIONS(8167), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11823), 1,
      aux_sym_expression_item_repeat1,
    STATE(12309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8065), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [637659] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13588), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11751), 1,
      aux_sym_expression_item_repeat1,
    STATE(12310), 1,
      sym_attribute,
    STATE(13094), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13620), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637704] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13588), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11882), 1,
      aux_sym_expression_item_repeat1,
    STATE(12311), 1,
      sym_attribute,
    STATE(12316), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13831), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637749] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13588), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11885), 1,
      aux_sym_expression_item_repeat1,
    STATE(12312), 1,
      sym_attribute,
    STATE(13094), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13730), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637794] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15098), 1,
      anon_sym_LPAREN,
    ACTIONS(15100), 1,
      anon_sym_end,
    STATE(12313), 1,
      sym_attribute,
    STATE(12871), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637851] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13588), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11886), 1,
      aux_sym_expression_item_repeat1,
    STATE(12314), 1,
      sym_attribute,
    STATE(13094), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13554), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637896] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13588), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11599), 1,
      aux_sym_expression_item_repeat1,
    STATE(12315), 1,
      sym_attribute,
    STATE(12320), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13802), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637941] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13588), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11601), 1,
      aux_sym_expression_item_repeat1,
    STATE(12316), 1,
      sym_attribute,
    STATE(13094), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13823), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637986] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15102), 1,
      anon_sym_PIPE,
    STATE(12317), 1,
      sym_attribute,
    STATE(12322), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14711), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14709), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [638025] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13588), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11604), 1,
      aux_sym_expression_item_repeat1,
    STATE(12318), 1,
      sym_attribute,
    STATE(12325), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13847), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638070] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13588), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11606), 1,
      aux_sym_expression_item_repeat1,
    STATE(12319), 1,
      sym_attribute,
    STATE(13094), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13704), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638115] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13588), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11667), 1,
      aux_sym_expression_item_repeat1,
    STATE(12320), 1,
      sym_attribute,
    STATE(13094), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13758), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638160] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15102), 1,
      anon_sym_PIPE,
    STATE(12321), 1,
      sym_attribute,
    STATE(12322), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14736), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14734), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [638199] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15104), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14029), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12322), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14027), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [638236] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13588), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11668), 1,
      aux_sym_expression_item_repeat1,
    STATE(12323), 1,
      sym_attribute,
    STATE(12326), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13710), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638281] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13588), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11669), 1,
      aux_sym_expression_item_repeat1,
    STATE(12324), 1,
      sym_attribute,
    STATE(12327), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13810), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638326] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13588), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11670), 1,
      aux_sym_expression_item_repeat1,
    STATE(12325), 1,
      sym_attribute,
    STATE(13094), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13861), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638371] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13588), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11694), 1,
      aux_sym_expression_item_repeat1,
    STATE(12326), 1,
      sym_attribute,
    STATE(13094), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13762), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638416] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13588), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11695), 1,
      aux_sym_expression_item_repeat1,
    STATE(12327), 1,
      sym_attribute,
    STATE(13094), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13792), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638461] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13588), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11696), 1,
      aux_sym_expression_item_repeat1,
    STATE(12328), 1,
      sym_attribute,
    STATE(12329), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13798), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638506] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13588), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11722), 1,
      aux_sym_expression_item_repeat1,
    STATE(12329), 1,
      sym_attribute,
    STATE(13094), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13720), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638551] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13606), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11751), 1,
      aux_sym_expression_item_repeat1,
    STATE(12330), 1,
      sym_attribute,
    STATE(13107), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13620), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638596] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13606), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11882), 1,
      aux_sym_expression_item_repeat1,
    STATE(12331), 1,
      sym_attribute,
    STATE(12335), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13831), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638641] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13606), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11885), 1,
      aux_sym_expression_item_repeat1,
    STATE(12332), 1,
      sym_attribute,
    STATE(13107), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13730), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638686] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13606), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11886), 1,
      aux_sym_expression_item_repeat1,
    STATE(12333), 1,
      sym_attribute,
    STATE(13107), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13554), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638731] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13606), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11599), 1,
      aux_sym_expression_item_repeat1,
    STATE(12334), 1,
      sym_attribute,
    STATE(12338), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13802), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638776] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13606), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11601), 1,
      aux_sym_expression_item_repeat1,
    STATE(12335), 1,
      sym_attribute,
    STATE(13107), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13823), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638821] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13606), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11604), 1,
      aux_sym_expression_item_repeat1,
    STATE(12336), 1,
      sym_attribute,
    STATE(12341), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13847), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638866] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13606), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11606), 1,
      aux_sym_expression_item_repeat1,
    STATE(12337), 1,
      sym_attribute,
    STATE(13107), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13704), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638911] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13606), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11667), 1,
      aux_sym_expression_item_repeat1,
    STATE(12338), 1,
      sym_attribute,
    STATE(13107), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13758), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638956] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13606), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11668), 1,
      aux_sym_expression_item_repeat1,
    STATE(12339), 1,
      sym_attribute,
    STATE(12342), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13710), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639001] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13606), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11669), 1,
      aux_sym_expression_item_repeat1,
    STATE(12340), 1,
      sym_attribute,
    STATE(12343), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13810), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639046] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13606), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11670), 1,
      aux_sym_expression_item_repeat1,
    STATE(12341), 1,
      sym_attribute,
    STATE(13107), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13861), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639091] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13606), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11694), 1,
      aux_sym_expression_item_repeat1,
    STATE(12342), 1,
      sym_attribute,
    STATE(13107), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13762), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639136] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13606), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11695), 1,
      aux_sym_expression_item_repeat1,
    STATE(12343), 1,
      sym_attribute,
    STATE(13107), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13792), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639181] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13606), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11696), 1,
      aux_sym_expression_item_repeat1,
    STATE(12344), 1,
      sym_attribute,
    STATE(12346), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13798), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639226] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13837), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15107), 1,
      anon_sym_and,
    STATE(12345), 1,
      sym_attribute,
    STATE(12347), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13835), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639265] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13606), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11722), 1,
      aux_sym_expression_item_repeat1,
    STATE(12346), 1,
      sym_attribute,
    STATE(13107), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13720), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639310] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13220), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15109), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12347), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13218), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10360), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [639382] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(14105), 1,
      sym__identifier,
    ACTIONS(14507), 1,
      anon_sym_POUND,
    STATE(12155), 1,
      sym_type_constructor_path,
    STATE(12349), 1,
      sym_attribute,
    STATE(18904), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13222), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13224), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [639427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12593), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [639462] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15112), 1,
      anon_sym_LPAREN,
    ACTIONS(15114), 1,
      anon_sym_end,
    STATE(12351), 1,
      sym_attribute,
    STATE(12609), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10256), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [639554] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15118), 1,
      anon_sym_let,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12141), 1,
      aux_sym_expression_item_repeat1,
    STATE(12353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15116), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [639595] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15120), 1,
      anon_sym_LPAREN,
    ACTIONS(15122), 1,
      anon_sym_end,
    STATE(12354), 1,
      sym_attribute,
    STATE(12905), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639652] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15124), 1,
      anon_sym_LPAREN,
    ACTIONS(15126), 1,
      anon_sym_end,
    STATE(12355), 1,
      sym_attribute,
    STATE(12916), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15130), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15128), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [639744] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15132), 1,
      anon_sym_LPAREN,
    ACTIONS(15134), 1,
      anon_sym_BANG,
    ACTIONS(15136), 1,
      anon_sym_functor,
    ACTIONS(15138), 1,
      anon_sym_struct,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15142), 1,
      sym__capitalized_identifier,
    STATE(12357), 1,
      sym_attribute,
    STATE(13272), 1,
      sym__attribute,
    STATE(14195), 1,
      sym__module_expression,
    STATE(14537), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14595), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14566), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [639801] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15144), 1,
      anon_sym_LPAREN,
    ACTIONS(15146), 1,
      anon_sym_end,
    STATE(12358), 1,
      sym_attribute,
    STATE(12427), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639858] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15150), 1,
      anon_sym_BANG,
    ACTIONS(15152), 1,
      anon_sym_functor,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9890), 1,
      sym_module_path,
    STATE(10149), 1,
      sym__module_expression,
    STATE(12359), 1,
      sym_attribute,
    STATE(13419), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [639915] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15160), 1,
      anon_sym_LPAREN,
    ACTIONS(15162), 1,
      anon_sym_end,
    STATE(12360), 1,
      sym_attribute,
    STATE(12927), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639972] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__identifier,
    ACTIONS(10358), 16,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__capitalized_identifier,
  [640007] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(15094), 1,
      sym__identifier,
    ACTIONS(15096), 1,
      anon_sym_POUND,
    STATE(12362), 1,
      sym_attribute,
    STATE(13124), 1,
      sym_type_constructor_path,
    STATE(18449), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11212), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [640052] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15078), 1,
      anon_sym_PIPE,
    STATE(12292), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13246), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13244), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [640091] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15164), 1,
      anon_sym_LPAREN,
    ACTIONS(15166), 1,
      anon_sym_end,
    STATE(12364), 1,
      sym_attribute,
    STATE(12869), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640148] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15078), 1,
      anon_sym_PIPE,
    STATE(12294), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14711), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14709), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [640187] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14725), 1,
      anon_sym_let,
    ACTIONS(14745), 1,
      anon_sym_DASH_GT,
    ACTIONS(14747), 1,
      anon_sym_with,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12086), 1,
      aux_sym_expression_item_repeat1,
    STATE(12366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14723), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [640232] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13736), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15085), 1,
      anon_sym_and,
    STATE(12301), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(12367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13734), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640271] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15168), 1,
      anon_sym_LPAREN,
    ACTIONS(15170), 1,
      anon_sym_end,
    STATE(12368), 1,
      sym_attribute,
    STATE(12775), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640328] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15102), 1,
      anon_sym_PIPE,
    STATE(12317), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13246), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13244), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [640367] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15102), 1,
      anon_sym_PIPE,
    STATE(12321), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14711), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14709), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [640406] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13736), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15107), 1,
      anon_sym_and,
    STATE(12345), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(12371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13734), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640445] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14659), 1,
      anon_sym_let,
    ACTIONS(14745), 1,
      anon_sym_DASH_GT,
    ACTIONS(14747), 1,
      anon_sym_with,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12058), 1,
      aux_sym_expression_item_repeat1,
    STATE(12372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14657), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [640490] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(15094), 1,
      sym__identifier,
    ACTIONS(15172), 1,
      anon_sym_POUND,
    STATE(12373), 1,
      sym_attribute,
    STATE(13016), 1,
      sym_type_constructor_path,
    STATE(18449), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12367), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [640535] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15174), 1,
      anon_sym_LPAREN,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(15178), 1,
      anon_sym_functor,
    STATE(12374), 1,
      sym_attribute,
    STATE(13174), 1,
      sym__module_type,
    STATE(13196), 1,
      sym__attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [640592] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14719), 1,
      anon_sym_let,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12018), 1,
      aux_sym_expression_item_repeat1,
    STATE(12375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15180), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14717), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [640635] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14945), 1,
      anon_sym_PERCENT,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(15182), 1,
      anon_sym_LPAREN,
    ACTIONS(15184), 1,
      anon_sym_functor,
    STATE(12376), 1,
      sym_attribute,
    STATE(13102), 1,
      sym__module_type,
    STATE(13105), 1,
      sym__attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [640692] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15186), 1,
      anon_sym_end,
    STATE(12377), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640746] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15188), 1,
      anon_sym_RPAREN,
    STATE(12378), 1,
      sym_attribute,
    STATE(18058), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [640800] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15190), 1,
      anon_sym_end,
    STATE(12379), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640854] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14879), 1,
      anon_sym_end,
    STATE(12380), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640908] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15192), 1,
      anon_sym_end,
    STATE(12381), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640962] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15194), 1,
      anon_sym_end,
    STATE(12382), 1,
      sym_attribute,
    STATE(12839), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641016] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15196), 1,
      anon_sym_end,
    STATE(12383), 1,
      sym_attribute,
    STATE(12386), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641070] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15198), 1,
      anon_sym_end,
    STATE(12384), 1,
      sym_attribute,
    STATE(12387), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641124] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15200), 1,
      anon_sym_end,
    STATE(12385), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641178] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15202), 1,
      anon_sym_end,
    STATE(12386), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641232] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15204), 1,
      anon_sym_end,
    STATE(12387), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641286] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15204), 1,
      anon_sym_end,
    STATE(12388), 1,
      sym_attribute,
    STATE(12389), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641340] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15206), 1,
      anon_sym_end,
    STATE(12389), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641394] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15206), 1,
      anon_sym_end,
    STATE(12390), 1,
      sym_attribute,
    STATE(12391), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641448] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15208), 1,
      anon_sym_end,
    STATE(12391), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641502] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15202), 1,
      anon_sym_end,
    STATE(12392), 1,
      sym_attribute,
    STATE(12394), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641556] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15210), 1,
      anon_sym_end,
    STATE(12393), 1,
      sym_attribute,
    STATE(12401), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641610] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15212), 1,
      anon_sym_end,
    STATE(12394), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641664] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15212), 1,
      anon_sym_end,
    STATE(12395), 1,
      sym_attribute,
    STATE(12397), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15216), 1,
      anon_sym_let,
    STATE(12396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15214), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [641752] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15218), 1,
      anon_sym_end,
    STATE(12397), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641806] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14753), 1,
      anon_sym_end,
    STATE(12398), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641860] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14887), 1,
      anon_sym_end,
    STATE(12399), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641914] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15220), 1,
      anon_sym_end,
    STATE(12400), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641968] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15222), 1,
      anon_sym_end,
    STATE(12401), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642022] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15200), 1,
      anon_sym_end,
    STATE(12402), 1,
      sym_attribute,
    STATE(12412), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642076] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15222), 1,
      anon_sym_end,
    STATE(12403), 1,
      sym_attribute,
    STATE(12404), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642130] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15224), 1,
      anon_sym_end,
    STATE(12404), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642184] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15224), 1,
      anon_sym_end,
    STATE(12405), 1,
      sym_attribute,
    STATE(12413), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642238] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15226), 1,
      anon_sym_end,
    STATE(12406), 1,
      sym_attribute,
    STATE(12407), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642292] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15228), 1,
      anon_sym_end,
    STATE(12407), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642346] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15228), 1,
      anon_sym_end,
    STATE(12408), 1,
      sym_attribute,
    STATE(12409), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642400] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15230), 1,
      anon_sym_end,
    STATE(12409), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642454] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15230), 1,
      anon_sym_end,
    STATE(12410), 1,
      sym_attribute,
    STATE(12411), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642508] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15232), 1,
      anon_sym_end,
    STATE(12411), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642562] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15234), 1,
      anon_sym_end,
    STATE(12412), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642616] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15236), 1,
      anon_sym_end,
    STATE(12413), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642670] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14891), 1,
      anon_sym_end,
    STATE(12414), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642724] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15190), 1,
      anon_sym_end,
    STATE(12415), 1,
      sym_attribute,
    STATE(12431), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642778] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15238), 1,
      anon_sym_end,
    STATE(12416), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642832] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14895), 1,
      anon_sym_end,
    STATE(12417), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642886] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15240), 1,
      anon_sym_end,
    STATE(12418), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642940] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15242), 1,
      anon_sym_end,
    STATE(12419), 1,
      sym_attribute,
    STATE(12422), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642994] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15244), 1,
      anon_sym_end,
    STATE(12420), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643048] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15234), 1,
      anon_sym_end,
    STATE(12421), 1,
      sym_attribute,
    STATE(12429), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643102] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15246), 1,
      anon_sym_end,
    STATE(12422), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643156] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15246), 1,
      anon_sym_end,
    STATE(12423), 1,
      sym_attribute,
    STATE(12424), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643210] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15248), 1,
      anon_sym_end,
    STATE(12424), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643264] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15248), 1,
      anon_sym_end,
    STATE(12425), 1,
      sym_attribute,
    STATE(12426), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643318] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15250), 1,
      anon_sym_end,
    STATE(12426), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643372] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15252), 1,
      anon_sym_end,
    STATE(12427), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643426] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15254), 1,
      anon_sym_end,
    STATE(12428), 1,
      sym_attribute,
    STATE(12433), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643480] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15256), 1,
      anon_sym_end,
    STATE(12429), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643534] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14767), 1,
      anon_sym_end,
    STATE(12430), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643588] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15258), 1,
      anon_sym_end,
    STATE(12431), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643642] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15260), 1,
      anon_sym_end,
    STATE(12432), 1,
      sym_attribute,
    STATE(12495), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643696] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15262), 1,
      anon_sym_end,
    STATE(12433), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643750] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15264), 1,
      anon_sym_end,
    STATE(12434), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643804] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14899), 1,
      anon_sym_end,
    STATE(12435), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643858] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15262), 1,
      anon_sym_end,
    STATE(12436), 1,
      sym_attribute,
    STATE(12440), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643912] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15266), 1,
      anon_sym_end,
    STATE(12437), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643966] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15268), 1,
      anon_sym_end,
    STATE(12438), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644020] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10200), 1,
      anon_sym_COLON2,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15270), 1,
      anon_sym_SEMI,
    ACTIONS(15272), 1,
      sym_rel_operator,
    STATE(2060), 1,
      sym_add_operator,
    STATE(12439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [644078] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15274), 1,
      anon_sym_end,
    STATE(12440), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644132] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15276), 1,
      anon_sym_end,
    STATE(12441), 1,
      sym_attribute,
    STATE(12442), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644186] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15278), 1,
      anon_sym_end,
    STATE(12442), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644240] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15278), 1,
      anon_sym_end,
    STATE(12443), 1,
      sym_attribute,
    STATE(12444), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644294] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15280), 1,
      anon_sym_end,
    STATE(12444), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644348] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15280), 1,
      anon_sym_end,
    STATE(12445), 1,
      sym_attribute,
    STATE(12446), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644402] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15282), 1,
      anon_sym_end,
    STATE(12446), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644456] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15284), 1,
      anon_sym_end,
    STATE(12447), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644510] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14903), 1,
      anon_sym_end,
    STATE(12448), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644564] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15274), 1,
      anon_sym_end,
    STATE(12449), 1,
      sym_attribute,
    STATE(12457), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644618] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15286), 1,
      anon_sym_end,
    STATE(12450), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644672] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15288), 1,
      anon_sym_end,
    STATE(12451), 1,
      sym_attribute,
    STATE(12452), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644726] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15290), 1,
      anon_sym_end,
    STATE(12452), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644780] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15290), 1,
      anon_sym_end,
    STATE(12453), 1,
      sym_attribute,
    STATE(12454), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644834] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15292), 1,
      anon_sym_end,
    STATE(12454), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644888] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15292), 1,
      anon_sym_end,
    STATE(12455), 1,
      sym_attribute,
    STATE(12456), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644942] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15294), 1,
      anon_sym_end,
    STATE(12456), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644996] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15296), 1,
      anon_sym_end,
    STATE(12457), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645050] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14907), 1,
      anon_sym_end,
    STATE(12458), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645104] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15298), 1,
      anon_sym_end,
    STATE(12459), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645158] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15300), 1,
      anon_sym_end,
    STATE(12460), 1,
      sym_attribute,
    STATE(12461), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645212] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15302), 1,
      anon_sym_end,
    STATE(12461), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645266] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15302), 1,
      anon_sym_end,
    STATE(12462), 1,
      sym_attribute,
    STATE(12463), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645320] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15304), 1,
      anon_sym_end,
    STATE(12463), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645374] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15304), 1,
      anon_sym_end,
    STATE(12464), 1,
      sym_attribute,
    STATE(12465), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645428] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15306), 1,
      anon_sym_end,
    STATE(12465), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645482] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15264), 1,
      anon_sym_end,
    STATE(12466), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645536] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14911), 1,
      anon_sym_end,
    STATE(12467), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645590] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15308), 1,
      anon_sym_end,
    STATE(12468), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645644] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15310), 1,
      anon_sym_RPAREN,
    ACTIONS(15312), 1,
      anon_sym_DOT,
    STATE(12469), 1,
      sym_attribute,
    STATE(19309), 1,
      sym_add_operator,
    STATE(19732), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(15314), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [645690] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15316), 1,
      anon_sym_end,
    STATE(12470), 1,
      sym_attribute,
    STATE(12472), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645744] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15318), 1,
      anon_sym_end,
    STATE(12471), 1,
      sym_attribute,
    STATE(12477), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645798] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15320), 1,
      anon_sym_end,
    STATE(12472), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645852] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15320), 1,
      anon_sym_end,
    STATE(12473), 1,
      sym_attribute,
    STATE(12474), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645906] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15322), 1,
      anon_sym_end,
    STATE(12474), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645960] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15322), 1,
      anon_sym_end,
    STATE(12475), 1,
      sym_attribute,
    STATE(12476), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646014] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15324), 1,
      anon_sym_end,
    STATE(12476), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646068] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15326), 1,
      anon_sym_end,
    STATE(12477), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646122] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15326), 1,
      anon_sym_end,
    STATE(12478), 1,
      sym_attribute,
    STATE(12480), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646176] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14915), 1,
      anon_sym_end,
    STATE(12479), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646230] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15328), 1,
      anon_sym_end,
    STATE(12480), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646284] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15330), 1,
      anon_sym_end,
    STATE(12481), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646338] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15332), 1,
      anon_sym_end,
    STATE(12482), 1,
      sym_attribute,
    STATE(12485), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646392] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15328), 1,
      anon_sym_end,
    STATE(12483), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646446] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15334), 1,
      anon_sym_end,
    STATE(12484), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646500] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15336), 1,
      anon_sym_end,
    STATE(12485), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646554] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15336), 1,
      anon_sym_end,
    STATE(12486), 1,
      sym_attribute,
    STATE(12487), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646608] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15338), 1,
      anon_sym_end,
    STATE(12487), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646662] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15338), 1,
      anon_sym_end,
    STATE(12488), 1,
      sym_attribute,
    STATE(12489), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646716] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15340), 1,
      anon_sym_end,
    STATE(12489), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646770] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15342), 1,
      anon_sym_end,
    STATE(12490), 1,
      sym_attribute,
    STATE(12611), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646824] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15344), 1,
      anon_sym_end,
    STATE(12491), 1,
      sym_attribute,
    STATE(12536), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646878] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14919), 1,
      anon_sym_end,
    STATE(12492), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646932] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14775), 1,
      anon_sym_end,
    STATE(12493), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646986] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14923), 1,
      anon_sym_end,
    STATE(12494), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647040] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15346), 1,
      anon_sym_end,
    STATE(12495), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647094] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15348), 1,
      anon_sym_end,
    STATE(12496), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647148] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15350), 1,
      anon_sym_end,
    STATE(12497), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647202] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15352), 1,
      anon_sym_end,
    STATE(12498), 1,
      sym_attribute,
    STATE(12499), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647256] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15354), 1,
      anon_sym_end,
    STATE(12499), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647310] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15354), 1,
      anon_sym_end,
    STATE(12500), 1,
      sym_attribute,
    STATE(12501), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647364] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15356), 1,
      anon_sym_end,
    STATE(12501), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647418] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15356), 1,
      anon_sym_end,
    STATE(12502), 1,
      sym_attribute,
    STATE(12503), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647472] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15358), 1,
      anon_sym_end,
    STATE(12503), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647526] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15360), 1,
      anon_sym_end,
    STATE(12504), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647580] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14927), 1,
      anon_sym_end,
    STATE(12505), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647634] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15362), 1,
      anon_sym_end,
    STATE(12506), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647688] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15364), 1,
      anon_sym_end,
    STATE(12507), 1,
      sym_attribute,
    STATE(12508), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647742] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15366), 1,
      anon_sym_end,
    STATE(12508), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647796] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15366), 1,
      anon_sym_end,
    STATE(12509), 1,
      sym_attribute,
    STATE(12510), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647850] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15368), 1,
      anon_sym_end,
    STATE(12510), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647904] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15368), 1,
      anon_sym_end,
    STATE(12511), 1,
      sym_attribute,
    STATE(12512), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647958] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15370), 1,
      anon_sym_end,
    STATE(12512), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648012] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15372), 1,
      anon_sym_end,
    STATE(12513), 1,
      sym_attribute,
    STATE(12515), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648066] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15346), 1,
      anon_sym_end,
    STATE(12514), 1,
      sym_attribute,
    STATE(12588), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648120] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15374), 1,
      anon_sym_end,
    STATE(12515), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648174] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15374), 1,
      anon_sym_end,
    STATE(12516), 1,
      sym_attribute,
    STATE(12517), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648228] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15376), 1,
      anon_sym_end,
    STATE(12517), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648282] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15378), 1,
      anon_sym_end,
    STATE(12518), 1,
      sym_attribute,
    STATE(12521), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648336] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12519), 1,
      sym_attribute,
    STATE(13339), 1,
      sym__attribute,
    STATE(14483), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648390] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15376), 1,
      anon_sym_end,
    STATE(12520), 1,
      sym_attribute,
    STATE(12526), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648444] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15382), 1,
      anon_sym_end,
    STATE(12521), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648498] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15388), 1,
      anon_sym_and,
    ACTIONS(15390), 1,
      sym_let_and_operator,
    STATE(12522), 1,
      sym_attribute,
    STATE(12528), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15386), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15384), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [648538] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14931), 1,
      anon_sym_end,
    STATE(12523), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648592] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15392), 1,
      anon_sym_RPAREN,
    STATE(12524), 1,
      sym_attribute,
    STATE(18058), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [648646] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15382), 1,
      anon_sym_end,
    STATE(12525), 1,
      sym_attribute,
    STATE(12531), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648700] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15394), 1,
      anon_sym_end,
    STATE(12526), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648754] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15388), 1,
      anon_sym_and,
    ACTIONS(15390), 1,
      sym_let_and_operator,
    STATE(12527), 1,
      sym_attribute,
    STATE(12528), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15398), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15396), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [648794] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15400), 1,
      anon_sym_and,
    ACTIONS(15403), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15065), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(12528), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(15063), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [648832] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15388), 1,
      anon_sym_and,
    ACTIONS(15390), 1,
      sym_let_and_operator,
    STATE(12529), 1,
      sym_attribute,
    STATE(12535), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15398), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15396), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [648872] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15406), 1,
      anon_sym_RPAREN,
    STATE(12530), 1,
      sym_attribute,
    STATE(17408), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [648926] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15408), 1,
      anon_sym_end,
    STATE(12531), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648980] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15408), 1,
      anon_sym_end,
    STATE(12532), 1,
      sym_attribute,
    STATE(12533), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649034] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15410), 1,
      anon_sym_end,
    STATE(12533), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649088] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15412), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13224), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12534), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13222), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [649124] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15388), 1,
      anon_sym_and,
    ACTIONS(15390), 1,
      sym_let_and_operator,
    STATE(12528), 1,
      aux_sym_value_definition_repeat1,
    STATE(12535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15417), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15415), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [649164] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15419), 1,
      anon_sym_end,
    STATE(12536), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649218] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14779), 1,
      anon_sym_end,
    STATE(12537), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649272] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15421), 1,
      anon_sym_end,
    STATE(12538), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649326] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15423), 1,
      anon_sym_end,
    STATE(12539), 1,
      sym_attribute,
    STATE(12541), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15427), 1,
      anon_sym_let,
    STATE(12540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15425), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [649414] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15429), 1,
      anon_sym_end,
    STATE(12541), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649468] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15429), 1,
      anon_sym_end,
    STATE(12542), 1,
      sym_attribute,
    STATE(12543), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649522] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15431), 1,
      anon_sym_end,
    STATE(12543), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649576] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15433), 1,
      anon_sym_end,
    STATE(12544), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649630] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15431), 1,
      anon_sym_end,
    STATE(12545), 1,
      sym_attribute,
    STATE(12546), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649684] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15435), 1,
      anon_sym_end,
    STATE(12546), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649738] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15437), 1,
      anon_sym_and,
    ACTIONS(15439), 1,
      sym_let_and_operator,
    STATE(12547), 1,
      sym_attribute,
    STATE(12549), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15386), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15384), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [649778] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15437), 1,
      anon_sym_and,
    ACTIONS(15439), 1,
      sym_let_and_operator,
    STATE(12548), 1,
      sym_attribute,
    STATE(12549), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15398), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15396), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [649818] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15441), 1,
      anon_sym_and,
    ACTIONS(15444), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15065), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(12549), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(15063), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [649856] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15437), 1,
      anon_sym_and,
    ACTIONS(15439), 1,
      sym_let_and_operator,
    STATE(12550), 1,
      sym_attribute,
    STATE(12551), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15398), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15396), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [649896] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15437), 1,
      anon_sym_and,
    ACTIONS(15439), 1,
      sym_let_and_operator,
    STATE(12549), 1,
      aux_sym_value_definition_repeat1,
    STATE(12551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15417), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15415), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [649936] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15447), 1,
      anon_sym_end,
    STATE(12552), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649990] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15451), 1,
      sym_pow_operator,
    ACTIONS(15453), 1,
      sym_mult_operator,
    ACTIONS(15455), 1,
      sym_concat_operator,
    ACTIONS(15457), 1,
      sym_rel_operator,
    ACTIONS(15459), 1,
      sym_and_operator,
    ACTIONS(15461), 1,
      sym_or_operator,
    STATE(2562), 1,
      sym_add_operator,
    STATE(12553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11441), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [650042] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15451), 1,
      sym_pow_operator,
    ACTIONS(15453), 1,
      sym_mult_operator,
    STATE(2562), 1,
      sym_add_operator,
    STATE(12554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [650086] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15451), 1,
      sym_pow_operator,
    STATE(2562), 1,
      sym_add_operator,
    STATE(12555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [650124] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15451), 1,
      sym_pow_operator,
    STATE(2562), 1,
      sym_add_operator,
    STATE(12556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [650162] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15451), 1,
      sym_pow_operator,
    ACTIONS(15453), 1,
      sym_mult_operator,
    ACTIONS(15455), 1,
      sym_concat_operator,
    STATE(2562), 1,
      sym_add_operator,
    STATE(12557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [650208] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15451), 1,
      sym_pow_operator,
    ACTIONS(15453), 1,
      sym_mult_operator,
    ACTIONS(15455), 1,
      sym_concat_operator,
    STATE(2562), 1,
      sym_add_operator,
    STATE(12558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [650254] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15451), 1,
      sym_pow_operator,
    ACTIONS(15453), 1,
      sym_mult_operator,
    ACTIONS(15455), 1,
      sym_concat_operator,
    ACTIONS(15457), 1,
      sym_rel_operator,
    ACTIONS(15459), 1,
      sym_and_operator,
    STATE(2562), 1,
      sym_add_operator,
    STATE(12559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_and,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [650304] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15451), 1,
      sym_pow_operator,
    ACTIONS(15453), 1,
      sym_mult_operator,
    ACTIONS(15455), 1,
      sym_concat_operator,
    ACTIONS(15457), 1,
      sym_rel_operator,
    ACTIONS(15459), 1,
      sym_and_operator,
    ACTIONS(15461), 1,
      sym_or_operator,
    STATE(2562), 1,
      sym_add_operator,
    STATE(12560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [650356] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15451), 1,
      sym_pow_operator,
    ACTIONS(15453), 1,
      sym_mult_operator,
    ACTIONS(15455), 1,
      sym_concat_operator,
    ACTIONS(15457), 1,
      sym_rel_operator,
    ACTIONS(15459), 1,
      sym_and_operator,
    ACTIONS(15461), 1,
      sym_or_operator,
    ACTIONS(15463), 1,
      anon_sym_COMMA,
    ACTIONS(15465), 1,
      sym_assign_operator,
    STATE(2562), 1,
      sym_add_operator,
    STATE(12561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [650412] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15451), 1,
      sym_pow_operator,
    ACTIONS(15453), 1,
      sym_mult_operator,
    STATE(2562), 1,
      sym_add_operator,
    STATE(12562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [650452] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15451), 1,
      sym_pow_operator,
    ACTIONS(15453), 1,
      sym_mult_operator,
    ACTIONS(15455), 1,
      sym_concat_operator,
    ACTIONS(15457), 1,
      sym_rel_operator,
    ACTIONS(15459), 1,
      sym_and_operator,
    ACTIONS(15461), 1,
      sym_or_operator,
    ACTIONS(15463), 1,
      anon_sym_COMMA,
    ACTIONS(15465), 1,
      sym_assign_operator,
    STATE(2562), 1,
      sym_add_operator,
    STATE(12563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11471), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [650508] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15419), 1,
      anon_sym_end,
    STATE(12564), 1,
      sym_attribute,
    STATE(12567), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [650562] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15451), 1,
      sym_pow_operator,
    ACTIONS(15453), 1,
      sym_mult_operator,
    ACTIONS(15455), 1,
      sym_concat_operator,
    ACTIONS(15457), 1,
      sym_rel_operator,
    ACTIONS(15459), 1,
      sym_and_operator,
    ACTIONS(15461), 1,
      sym_or_operator,
    ACTIONS(15463), 1,
      anon_sym_COMMA,
    ACTIONS(15465), 1,
      sym_assign_operator,
    STATE(2562), 1,
      sym_add_operator,
    STATE(12565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11477), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [650618] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(13645), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15467), 1,
      anon_sym_DASH_GT,
    STATE(12566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13643), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650656] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15469), 1,
      anon_sym_end,
    STATE(12567), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [650710] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14783), 1,
      anon_sym_end,
    STATE(12568), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [650764] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13956), 1,
      sym__identifier,
    ACTIONS(14407), 1,
      anon_sym_POUND,
    STATE(12106), 1,
      sym_type_constructor_path,
    STATE(12569), 1,
      sym_attribute,
    STATE(18768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12581), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [650808] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15471), 1,
      anon_sym_end,
    STATE(12570), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [650862] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15473), 1,
      anon_sym_end,
    STATE(12571), 1,
      sym_attribute,
    STATE(12584), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [650916] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13956), 1,
      sym__identifier,
    ACTIONS(14407), 1,
      anon_sym_POUND,
    STATE(12106), 1,
      sym_type_constructor_path,
    STATE(12572), 1,
      sym_attribute,
    STATE(18768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12587), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [650960] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15437), 1,
      anon_sym_and,
    ACTIONS(15439), 1,
      sym_let_and_operator,
    STATE(12547), 1,
      aux_sym_value_definition_repeat1,
    STATE(12573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15477), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15475), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [651000] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15437), 1,
      anon_sym_and,
    ACTIONS(15439), 1,
      sym_let_and_operator,
    STATE(12548), 1,
      aux_sym_value_definition_repeat1,
    STATE(12574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15386), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15384), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [651040] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15469), 1,
      anon_sym_end,
    STATE(12575), 1,
      sym_attribute,
    STATE(12592), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651094] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15479), 1,
      anon_sym_end,
    STATE(12576), 1,
      sym_attribute,
    STATE(12577), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651148] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15481), 1,
      anon_sym_end,
    STATE(12577), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651202] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15481), 1,
      anon_sym_end,
    STATE(12578), 1,
      sym_attribute,
    STATE(12581), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651256] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15483), 1,
      anon_sym_else,
    STATE(11624), 1,
      sym_else_clause,
    STATE(12579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [651294] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(13610), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15467), 1,
      anon_sym_DASH_GT,
    STATE(12580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13608), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651332] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15485), 1,
      anon_sym_end,
    STATE(12581), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651386] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14959), 1,
      anon_sym_end,
    STATE(12582), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651440] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15485), 1,
      anon_sym_end,
    STATE(12583), 1,
      sym_attribute,
    STATE(12590), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651494] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15487), 1,
      anon_sym_end,
    STATE(12584), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651548] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15487), 1,
      anon_sym_end,
    STATE(12585), 1,
      sym_attribute,
    STATE(12589), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651602] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13956), 1,
      sym__identifier,
    ACTIONS(14407), 1,
      anon_sym_POUND,
    STATE(12106), 1,
      sym_type_constructor_path,
    STATE(12586), 1,
      sym_attribute,
    STATE(18768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12529), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [651646] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12587), 1,
      sym_attribute,
    STATE(13217), 1,
      sym__attribute,
    STATE(14286), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651700] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15489), 1,
      anon_sym_end,
    STATE(12588), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651754] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15491), 1,
      anon_sym_end,
    STATE(12589), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651808] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15493), 1,
      anon_sym_end,
    STATE(12590), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651862] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15491), 1,
      anon_sym_end,
    STATE(12591), 1,
      sym_attribute,
    STATE(12594), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651916] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15495), 1,
      anon_sym_end,
    STATE(12592), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651970] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13956), 1,
      sym__identifier,
    ACTIONS(14407), 1,
      anon_sym_POUND,
    STATE(12106), 1,
      sym_type_constructor_path,
    STATE(12593), 1,
      sym_attribute,
    STATE(18768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13350), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13352), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [652014] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15497), 1,
      anon_sym_end,
    STATE(12594), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [652068] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13956), 1,
      sym__identifier,
    ACTIONS(14407), 1,
      anon_sym_POUND,
    STATE(12106), 1,
      sym_type_constructor_path,
    STATE(12595), 1,
      sym_attribute,
    STATE(18768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13434), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13436), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [652112] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_and,
    ACTIONS(15499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15501), 1,
      sym_pow_operator,
    ACTIONS(15503), 1,
      sym_mult_operator,
    ACTIONS(15505), 1,
      sym_concat_operator,
    ACTIONS(15507), 1,
      sym_rel_operator,
    ACTIONS(15509), 1,
      sym_and_operator,
    ACTIONS(15511), 1,
      sym_or_operator,
    STATE(2204), 1,
      sym_add_operator,
    STATE(12596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [652164] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15501), 1,
      sym_pow_operator,
    ACTIONS(15503), 1,
      sym_mult_operator,
    STATE(2204), 1,
      sym_add_operator,
    STATE(12597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [652208] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15501), 1,
      sym_pow_operator,
    STATE(2204), 1,
      sym_add_operator,
    STATE(12598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [652246] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15501), 1,
      sym_pow_operator,
    STATE(2204), 1,
      sym_add_operator,
    STATE(12599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [652284] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15501), 1,
      sym_pow_operator,
    ACTIONS(15503), 1,
      sym_mult_operator,
    ACTIONS(15505), 1,
      sym_concat_operator,
    STATE(2204), 1,
      sym_add_operator,
    STATE(12600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [652330] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15501), 1,
      sym_pow_operator,
    ACTIONS(15503), 1,
      sym_mult_operator,
    ACTIONS(15505), 1,
      sym_concat_operator,
    STATE(2204), 1,
      sym_add_operator,
    STATE(12601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [652376] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15501), 1,
      sym_pow_operator,
    ACTIONS(15503), 1,
      sym_mult_operator,
    ACTIONS(15505), 1,
      sym_concat_operator,
    ACTIONS(15507), 1,
      sym_rel_operator,
    ACTIONS(15509), 1,
      sym_and_operator,
    STATE(2204), 1,
      sym_add_operator,
    STATE(12602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_and,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [652426] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_and,
    ACTIONS(15499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15501), 1,
      sym_pow_operator,
    ACTIONS(15503), 1,
      sym_mult_operator,
    ACTIONS(15505), 1,
      sym_concat_operator,
    ACTIONS(15507), 1,
      sym_rel_operator,
    ACTIONS(15509), 1,
      sym_and_operator,
    ACTIONS(15511), 1,
      sym_or_operator,
    STATE(2204), 1,
      sym_add_operator,
    STATE(12603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [652478] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_and,
    ACTIONS(15499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15501), 1,
      sym_pow_operator,
    ACTIONS(15503), 1,
      sym_mult_operator,
    ACTIONS(15505), 1,
      sym_concat_operator,
    ACTIONS(15507), 1,
      sym_rel_operator,
    ACTIONS(15509), 1,
      sym_and_operator,
    ACTIONS(15511), 1,
      sym_or_operator,
    ACTIONS(15513), 1,
      anon_sym_COMMA,
    ACTIONS(15515), 1,
      sym_assign_operator,
    STATE(2204), 1,
      sym_add_operator,
    STATE(12604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [652534] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15501), 1,
      sym_pow_operator,
    ACTIONS(15503), 1,
      sym_mult_operator,
    STATE(2204), 1,
      sym_add_operator,
    STATE(12605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [652574] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11471), 1,
      anon_sym_and,
    ACTIONS(15499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15501), 1,
      sym_pow_operator,
    ACTIONS(15503), 1,
      sym_mult_operator,
    ACTIONS(15505), 1,
      sym_concat_operator,
    ACTIONS(15507), 1,
      sym_rel_operator,
    ACTIONS(15509), 1,
      sym_and_operator,
    ACTIONS(15511), 1,
      sym_or_operator,
    ACTIONS(15513), 1,
      anon_sym_COMMA,
    ACTIONS(15515), 1,
      sym_assign_operator,
    STATE(2204), 1,
      sym_add_operator,
    STATE(12606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [652630] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15517), 1,
      anon_sym_else,
    STATE(11642), 1,
      sym_else_clause,
    STATE(12607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [652668] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11477), 1,
      anon_sym_and,
    ACTIONS(15499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15501), 1,
      sym_pow_operator,
    ACTIONS(15503), 1,
      sym_mult_operator,
    ACTIONS(15505), 1,
      sym_concat_operator,
    ACTIONS(15507), 1,
      sym_rel_operator,
    ACTIONS(15509), 1,
      sym_and_operator,
    ACTIONS(15511), 1,
      sym_or_operator,
    ACTIONS(15513), 1,
      anon_sym_COMMA,
    ACTIONS(15515), 1,
      sym_assign_operator,
    STATE(2204), 1,
      sym_add_operator,
    STATE(12608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [652724] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15519), 1,
      anon_sym_end,
    STATE(12609), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [652778] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14807), 1,
      anon_sym_end,
    STATE(12610), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [652832] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15521), 1,
      anon_sym_end,
    STATE(12611), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [652886] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15521), 1,
      anon_sym_end,
    STATE(12612), 1,
      sym_attribute,
    STATE(12661), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [652940] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15523), 1,
      anon_sym_end,
    STATE(12613), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [652994] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13956), 1,
      sym__identifier,
    ACTIONS(14407), 1,
      anon_sym_POUND,
    STATE(12106), 1,
      sym_type_constructor_path,
    STATE(12614), 1,
      sym_attribute,
    STATE(18768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13450), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13452), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [653038] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12615), 1,
      sym_attribute,
    STATE(13494), 1,
      sym__attribute,
    STATE(14287), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653092] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13869), 1,
      anon_sym_EQ,
    ACTIONS(15525), 1,
      anon_sym_of,
    ACTIONS(15527), 1,
      anon_sym_COLON2,
    STATE(12616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13867), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13865), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [653132] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13883), 1,
      anon_sym_EQ,
    ACTIONS(15529), 1,
      anon_sym_of,
    ACTIONS(15531), 1,
      anon_sym_COLON2,
    STATE(12617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13881), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13879), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [653172] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15489), 1,
      anon_sym_end,
    STATE(12618), 1,
      sym_attribute,
    STATE(12657), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653226] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13774), 1,
      anon_sym_EQ,
    ACTIONS(15533), 1,
      anon_sym_of,
    ACTIONS(15535), 1,
      anon_sym_COLON2,
    STATE(12619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13772), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13770), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [653266] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15537), 1,
      anon_sym_end,
    STATE(12620), 1,
      sym_attribute,
    STATE(12621), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653320] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15539), 1,
      anon_sym_end,
    STATE(12621), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653374] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15539), 1,
      anon_sym_end,
    STATE(12622), 1,
      sym_attribute,
    STATE(12623), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653428] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15541), 1,
      anon_sym_end,
    STATE(12623), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653482] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11411), 1,
      anon_sym_and,
    ACTIONS(15499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15501), 1,
      sym_pow_operator,
    ACTIONS(15503), 1,
      sym_mult_operator,
    ACTIONS(15505), 1,
      sym_concat_operator,
    ACTIONS(15507), 1,
      sym_rel_operator,
    ACTIONS(15509), 1,
      sym_and_operator,
    ACTIONS(15511), 1,
      sym_or_operator,
    ACTIONS(15513), 1,
      anon_sym_COMMA,
    ACTIONS(15515), 1,
      sym_assign_operator,
    STATE(2204), 1,
      sym_add_operator,
    STATE(12624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [653538] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14979), 1,
      anon_sym_end,
    STATE(12625), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653592] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13590), 1,
      anon_sym_STAR,
    STATE(12534), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(12626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14449), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14447), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [653630] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15541), 1,
      anon_sym_end,
    STATE(12627), 1,
      sym_attribute,
    STATE(12628), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653684] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15543), 1,
      anon_sym_end,
    STATE(12628), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653738] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15545), 1,
      anon_sym_end,
    STATE(12629), 1,
      sym_attribute,
    STATE(12874), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653792] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14811), 1,
      anon_sym_end,
    STATE(12630), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653846] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15547), 1,
      anon_sym_end,
    STATE(12631), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653900] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15549), 1,
      anon_sym_end,
    STATE(12632), 1,
      sym_attribute,
    STATE(12633), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653954] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15551), 1,
      anon_sym_end,
    STATE(12633), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654008] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15551), 1,
      anon_sym_end,
    STATE(12634), 1,
      sym_attribute,
    STATE(12635), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654062] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15553), 1,
      anon_sym_end,
    STATE(12635), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654116] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15553), 1,
      anon_sym_end,
    STATE(12636), 1,
      sym_attribute,
    STATE(12637), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654170] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15555), 1,
      anon_sym_end,
    STATE(12637), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654224] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15557), 1,
      anon_sym_end,
    STATE(12638), 1,
      sym_attribute,
    STATE(12725), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15561), 1,
      anon_sym_let,
    STATE(12639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15559), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [654312] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2204), 1,
      sym_add_operator,
    STATE(12640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [654348] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15517), 1,
      anon_sym_else,
    STATE(11624), 1,
      sym_else_clause,
    STATE(12641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [654386] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12642), 1,
      sym_attribute,
    STATE(13319), 1,
      sym__attribute,
    STATE(14335), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654440] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15563), 1,
      anon_sym_end,
    STATE(12643), 1,
      sym_attribute,
    STATE(12698), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654494] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15565), 1,
      anon_sym_end,
    STATE(12644), 1,
      sym_attribute,
    STATE(12646), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654548] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10083), 9,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(10081), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__identifier,
  [654582] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15567), 1,
      anon_sym_end,
    STATE(12646), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654636] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15569), 1,
      anon_sym_PIPE,
    STATE(12647), 1,
      sym_attribute,
    STATE(12649), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [654674] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15569), 1,
      anon_sym_PIPE,
    STATE(12648), 1,
      sym_attribute,
    STATE(12650), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [654712] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15569), 1,
      anon_sym_PIPE,
    STATE(12649), 1,
      sym_attribute,
    STATE(12651), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [654750] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15569), 1,
      anon_sym_PIPE,
    STATE(12650), 1,
      sym_attribute,
    STATE(12651), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [654788] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15571), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12651), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [654824] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15567), 1,
      anon_sym_end,
    STATE(12652), 1,
      sym_attribute,
    STATE(12653), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654878] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15574), 1,
      anon_sym_end,
    STATE(12653), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654932] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14993), 1,
      anon_sym_end,
    STATE(12654), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654986] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15574), 1,
      anon_sym_end,
    STATE(12655), 1,
      sym_attribute,
    STATE(12656), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655040] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15576), 1,
      anon_sym_end,
    STATE(12656), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655094] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15578), 1,
      anon_sym_end,
    STATE(12657), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655148] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15580), 1,
      anon_sym_and,
    ACTIONS(15582), 1,
      sym_let_and_operator,
    STATE(12658), 1,
      sym_attribute,
    STATE(12713), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15386), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15384), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [655188] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12659), 1,
      sym_attribute,
    STATE(13399), 1,
      sym__attribute,
    STATE(14374), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655242] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14815), 1,
      anon_sym_end,
    STATE(12660), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655296] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15584), 1,
      anon_sym_end,
    STATE(12661), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655350] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15586), 1,
      anon_sym_end,
    STATE(12662), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655404] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15588), 1,
      anon_sym_end,
    STATE(12663), 1,
      sym_attribute,
    STATE(12669), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655458] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15584), 1,
      anon_sym_end,
    STATE(12664), 1,
      sym_attribute,
    STATE(12688), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655512] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15590), 1,
      anon_sym_end,
    STATE(12665), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655566] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12666), 1,
      sym_attribute,
    STATE(13427), 1,
      sym__attribute,
    STATE(14415), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655620] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15244), 1,
      anon_sym_end,
    STATE(12667), 1,
      sym_attribute,
    STATE(12917), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655674] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10200), 1,
      anon_sym_and,
    ACTIONS(15499), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15501), 1,
      sym_pow_operator,
    ACTIONS(15503), 1,
      sym_mult_operator,
    ACTIONS(15505), 1,
      sym_concat_operator,
    ACTIONS(15507), 1,
      sym_rel_operator,
    ACTIONS(15509), 1,
      sym_and_operator,
    ACTIONS(15511), 1,
      sym_or_operator,
    ACTIONS(15513), 1,
      anon_sym_COMMA,
    ACTIONS(15515), 1,
      sym_assign_operator,
    ACTIONS(15592), 1,
      anon_sym_SEMI,
    STATE(2204), 1,
      sym_add_operator,
    STATE(12668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10198), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [655732] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15594), 1,
      anon_sym_end,
    STATE(12669), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655786] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15594), 1,
      anon_sym_end,
    STATE(12670), 1,
      sym_attribute,
    STATE(12672), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655840] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(13645), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15596), 1,
      anon_sym_DASH_GT,
    STATE(12671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13643), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [655878] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15598), 1,
      anon_sym_end,
    STATE(12672), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655932] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15600), 1,
      anon_sym_end,
    STATE(12673), 1,
      sym_attribute,
    STATE(12682), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655986] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15598), 1,
      anon_sym_end,
    STATE(12674), 1,
      sym_attribute,
    STATE(12675), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656040] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15602), 1,
      anon_sym_end,
    STATE(12675), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656094] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12676), 1,
      sym_attribute,
    STATE(13446), 1,
      sym__attribute,
    STATE(14457), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656148] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15002), 1,
      anon_sym_end,
    STATE(12677), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656202] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    ACTIONS(15604), 1,
      anon_sym_RPAREN,
    ACTIONS(15606), 1,
      anon_sym_val,
    STATE(9890), 1,
      sym_module_path,
    STATE(12678), 1,
      sym_attribute,
    STATE(14503), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656256] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15608), 1,
      anon_sym_end,
    STATE(12679), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656310] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(13610), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15596), 1,
      anon_sym_DASH_GT,
    STATE(12680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13608), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [656348] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15610), 1,
      anon_sym_end,
    STATE(12681), 1,
      sym_attribute,
    STATE(12699), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656402] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15612), 1,
      anon_sym_end,
    STATE(12682), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656456] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13598), 1,
      anon_sym_STAR,
    ACTIONS(14449), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12683), 1,
      sym_attribute,
    STATE(12684), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14447), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [656494] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13224), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15614), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12684), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13222), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [656530] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12685), 1,
      sym_attribute,
    STATE(13490), 1,
      sym__attribute,
    STATE(14279), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656584] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14822), 1,
      anon_sym_end,
    STATE(12686), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656638] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15617), 1,
      anon_sym_end,
    STATE(12687), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656692] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15619), 1,
      anon_sym_end,
    STATE(12688), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656746] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15621), 1,
      anon_sym_end,
    STATE(12689), 1,
      sym_attribute,
    STATE(12690), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656800] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15623), 1,
      anon_sym_end,
    STATE(12690), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656854] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15625), 1,
      anon_sym_end,
    STATE(12691), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656908] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15625), 1,
      anon_sym_end,
    STATE(12692), 1,
      sym_attribute,
    STATE(12697), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656962] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12693), 1,
      sym_attribute,
    STATE(13291), 1,
      sym__attribute,
    STATE(14323), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657016] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13867), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13869), 1,
      anon_sym_EQ,
    ACTIONS(15627), 1,
      anon_sym_of,
    ACTIONS(15629), 1,
      anon_sym_COLON2,
    STATE(12694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13865), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [657056] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13881), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13883), 1,
      anon_sym_EQ,
    ACTIONS(15631), 1,
      anon_sym_of,
    ACTIONS(15633), 1,
      anon_sym_COLON2,
    STATE(12695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13879), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [657096] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13772), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13774), 1,
      anon_sym_EQ,
    ACTIONS(15635), 1,
      anon_sym_of,
    ACTIONS(15637), 1,
      anon_sym_COLON2,
    STATE(12696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13770), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [657136] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15639), 1,
      anon_sym_end,
    STATE(12697), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657190] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15641), 1,
      anon_sym_end,
    STATE(12698), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657244] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15643), 1,
      anon_sym_end,
    STATE(12699), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657298] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15643), 1,
      anon_sym_end,
    STATE(12700), 1,
      sym_attribute,
    STATE(12709), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657352] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15623), 1,
      anon_sym_end,
    STATE(12701), 1,
      sym_attribute,
    STATE(12705), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657406] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13570), 1,
      anon_sym_STAR,
    ACTIONS(14449), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12702), 1,
      sym_attribute,
    STATE(12703), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14447), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [657444] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13224), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15645), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12703), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13222), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [657480] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12704), 1,
      sym_attribute,
    STATE(13516), 1,
      sym__attribute,
    STATE(14489), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657534] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15648), 1,
      anon_sym_end,
    STATE(12705), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657588] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15648), 1,
      anon_sym_end,
    STATE(12706), 1,
      sym_attribute,
    STATE(12708), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657642] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2562), 1,
      sym_add_operator,
    STATE(12707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [657678] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15650), 1,
      anon_sym_end,
    STATE(12708), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657732] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15652), 1,
      anon_sym_end,
    STATE(12709), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657786] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15652), 1,
      anon_sym_end,
    STATE(12710), 1,
      sym_attribute,
    STATE(12712), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657840] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14826), 1,
      anon_sym_end,
    STATE(12711), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657894] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15654), 1,
      anon_sym_end,
    STATE(12712), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657948] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15580), 1,
      anon_sym_and,
    ACTIONS(15582), 1,
      sym_let_and_operator,
    STATE(12713), 1,
      sym_attribute,
    STATE(12811), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15398), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15396), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [657988] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15580), 1,
      anon_sym_and,
    ACTIONS(15582), 1,
      sym_let_and_operator,
    STATE(12714), 1,
      sym_attribute,
    STATE(12906), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15477), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15475), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [658028] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12715), 1,
      sym_attribute,
    STATE(13342), 1,
      sym__attribute,
    STATE(14462), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658082] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13867), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13869), 1,
      anon_sym_EQ,
    ACTIONS(15656), 1,
      anon_sym_of,
    ACTIONS(15658), 1,
      anon_sym_COLON2,
    STATE(12716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13865), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658122] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13881), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13883), 1,
      anon_sym_EQ,
    ACTIONS(15660), 1,
      anon_sym_of,
    ACTIONS(15662), 1,
      anon_sym_COLON2,
    STATE(12717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13879), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658162] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13772), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13774), 1,
      anon_sym_EQ,
    ACTIONS(15664), 1,
      anon_sym_of,
    ACTIONS(15666), 1,
      anon_sym_COLON2,
    STATE(12718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13770), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658202] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15483), 1,
      anon_sym_else,
    STATE(11642), 1,
      sym_else_clause,
    STATE(12719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [658240] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13596), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15596), 1,
      anon_sym_DASH_GT,
    STATE(12720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13594), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658276] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15041), 1,
      anon_sym_end,
    STATE(12721), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [658330] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12722), 1,
      sym_attribute,
    STATE(13444), 1,
      sym__attribute,
    STATE(14429), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658384] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12723), 1,
      sym_attribute,
    STATE(13505), 1,
      sym__attribute,
    STATE(14450), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658438] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15668), 1,
      anon_sym_end,
    STATE(12724), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [658492] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15194), 1,
      anon_sym_end,
    STATE(12725), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [658546] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12726), 1,
      sym_attribute,
    STATE(13519), 1,
      sym__attribute,
    STATE(14336), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658600] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14830), 1,
      anon_sym_end,
    STATE(12727), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [658654] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(14105), 1,
      sym__identifier,
    ACTIONS(14507), 1,
      anon_sym_POUND,
    STATE(12155), 1,
      sym_type_constructor_path,
    STATE(12728), 1,
      sym_attribute,
    STATE(18904), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12581), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [658698] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15670), 1,
      anon_sym_end,
    STATE(12729), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [658752] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(14105), 1,
      sym__identifier,
    ACTIONS(14507), 1,
      anon_sym_POUND,
    STATE(12155), 1,
      sym_type_constructor_path,
    STATE(12730), 1,
      sym_attribute,
    STATE(18904), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12585), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12587), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [658796] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15672), 1,
      anon_sym_end,
    STATE(12731), 1,
      sym_attribute,
    STATE(12736), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [658850] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12732), 1,
      sym_attribute,
    STATE(13220), 1,
      sym__attribute,
    STATE(14504), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658904] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14771), 1,
      anon_sym_end,
    STATE(12733), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [658958] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12734), 1,
      sym_attribute,
    STATE(13232), 1,
      sym__attribute,
    STATE(14313), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [659012] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(14105), 1,
      sym__identifier,
    ACTIONS(14507), 1,
      anon_sym_POUND,
    STATE(12155), 1,
      sym_type_constructor_path,
    STATE(12735), 1,
      sym_attribute,
    STATE(18904), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12529), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [659056] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15674), 1,
      anon_sym_end,
    STATE(12736), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659110] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15674), 1,
      anon_sym_end,
    STATE(12737), 1,
      sym_attribute,
    STATE(12741), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659164] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12738), 1,
      sym_attribute,
    STATE(13254), 1,
      sym__attribute,
    STATE(14395), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [659218] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15676), 1,
      anon_sym_end,
    STATE(12739), 1,
      sym_attribute,
    STATE(12747), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659272] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12740), 1,
      sym_attribute,
    STATE(13269), 1,
      sym__attribute,
    STATE(14447), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [659326] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15678), 1,
      anon_sym_end,
    STATE(12741), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659380] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(14105), 1,
      sym__identifier,
    ACTIONS(14507), 1,
      anon_sym_POUND,
    STATE(12155), 1,
      sym_type_constructor_path,
    STATE(12742), 1,
      sym_attribute,
    STATE(18904), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13350), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13352), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [659424] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15678), 1,
      anon_sym_end,
    STATE(12743), 1,
      sym_attribute,
    STATE(12746), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659478] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(14105), 1,
      sym__identifier,
    ACTIONS(14507), 1,
      anon_sym_POUND,
    STATE(12155), 1,
      sym_type_constructor_path,
    STATE(12744), 1,
      sym_attribute,
    STATE(18904), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13434), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13436), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [659522] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12745), 1,
      sym_attribute,
    STATE(13295), 1,
      sym__attribute,
    STATE(14502), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [659576] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15680), 1,
      anon_sym_end,
    STATE(12746), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659630] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15682), 1,
      anon_sym_end,
    STATE(12747), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659684] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12748), 1,
      sym_attribute,
    STATE(13311), 1,
      sym__attribute,
    STATE(14292), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [659738] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15682), 1,
      anon_sym_end,
    STATE(12749), 1,
      sym_attribute,
    STATE(12752), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659792] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(14105), 1,
      sym__identifier,
    ACTIONS(14507), 1,
      anon_sym_POUND,
    STATE(12155), 1,
      sym_type_constructor_path,
    STATE(12750), 1,
      sym_attribute,
    STATE(18904), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13450), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13452), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [659836] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12751), 1,
      sym_attribute,
    STATE(13346), 1,
      sym__attribute,
    STATE(14460), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [659890] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15684), 1,
      anon_sym_end,
    STATE(12752), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659944] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12753), 1,
      sym_attribute,
    STATE(13386), 1,
      sym__attribute,
    STATE(14315), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [659998] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12754), 1,
      sym_attribute,
    STATE(13395), 1,
      sym__attribute,
    STATE(14358), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660052] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12755), 1,
      sym_attribute,
    STATE(13405), 1,
      sym__attribute,
    STATE(14432), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660106] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15684), 1,
      anon_sym_end,
    STATE(12756), 1,
      sym_attribute,
    STATE(12771), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [660160] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15045), 1,
      anon_sym_end,
    STATE(12757), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [660214] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12758), 1,
      sym_attribute,
    STATE(13415), 1,
      sym__attribute,
    STATE(14454), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660268] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12759), 1,
      sym_attribute,
    STATE(13424), 1,
      sym__attribute,
    STATE(14272), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660322] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12760), 1,
      sym_attribute,
    STATE(13428), 1,
      sym__attribute,
    STATE(14281), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660376] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15686), 1,
      anon_sym_end,
    STATE(12761), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [660430] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12762), 1,
      sym_attribute,
    STATE(13431), 1,
      sym__attribute,
    STATE(14288), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660484] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12763), 1,
      sym_attribute,
    STATE(13433), 1,
      sym__attribute,
    STATE(14293), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660538] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12764), 1,
      sym_attribute,
    STATE(13435), 1,
      sym__attribute,
    STATE(14301), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660592] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15641), 1,
      anon_sym_end,
    STATE(12420), 1,
      aux_sym_object_expression_repeat1,
    STATE(12765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [660646] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12766), 1,
      sym_attribute,
    STATE(13442), 1,
      sym__attribute,
    STATE(14322), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660700] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15688), 1,
      anon_sym_end,
    STATE(12767), 1,
      sym_attribute,
    STATE(12776), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [660754] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12768), 1,
      sym_attribute,
    STATE(13445), 1,
      sym__attribute,
    STATE(14342), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660808] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12769), 1,
      sym_attribute,
    STATE(13452), 1,
      sym__attribute,
    STATE(14355), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660862] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    ACTIONS(15690), 1,
      anon_sym_RPAREN,
    ACTIONS(15692), 1,
      anon_sym_val,
    STATE(9890), 1,
      sym_module_path,
    STATE(12770), 1,
      sym_attribute,
    STATE(14365), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660916] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15694), 1,
      anon_sym_end,
    STATE(12771), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [660970] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12772), 1,
      sym_attribute,
    STATE(13468), 1,
      sym__attribute,
    STATE(14372), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [661024] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15049), 1,
      anon_sym_end,
    STATE(12773), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661078] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15696), 1,
      anon_sym_end,
    STATE(12774), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661132] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15698), 1,
      anon_sym_end,
    STATE(12775), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661186] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15700), 1,
      anon_sym_end,
    STATE(12776), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661240] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15700), 1,
      anon_sym_end,
    STATE(12777), 1,
      sym_attribute,
    STATE(12784), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661294] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12778), 1,
      sym_attribute,
    STATE(13475), 1,
      sym__attribute,
    STATE(14388), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [661348] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13596), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15467), 1,
      anon_sym_DASH_GT,
    STATE(12779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13594), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [661384] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12780), 1,
      sym_attribute,
    STATE(13479), 1,
      sym__attribute,
    STATE(14401), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [661438] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14834), 1,
      anon_sym_end,
    STATE(12781), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661492] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15053), 1,
      anon_sym_end,
    STATE(12782), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661546] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12783), 1,
      sym_attribute,
    STATE(13488), 1,
      sym__attribute,
    STATE(14418), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [661600] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15702), 1,
      anon_sym_end,
    STATE(12784), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661654] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15702), 1,
      anon_sym_end,
    STATE(12785), 1,
      sym_attribute,
    STATE(12787), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661708] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12786), 1,
      sym_attribute,
    STATE(13492), 1,
      sym__attribute,
    STATE(14428), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [661762] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15704), 1,
      anon_sym_end,
    STATE(12787), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661816] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12788), 1,
      sym_attribute,
    STATE(13496), 1,
      sym__attribute,
    STATE(14440), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [661870] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15706), 1,
      anon_sym_end,
    STATE(12789), 1,
      sym_attribute,
    STATE(12792), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661924] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12790), 1,
      sym_attribute,
    STATE(13499), 1,
      sym__attribute,
    STATE(14449), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [661978] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12791), 1,
      sym_attribute,
    STATE(13506), 1,
      sym__attribute,
    STATE(14465), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [662032] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15708), 1,
      anon_sym_end,
    STATE(12792), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662086] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15708), 1,
      anon_sym_end,
    STATE(12793), 1,
      sym_attribute,
    STATE(12795), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662140] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15710), 1,
      anon_sym_end,
    STATE(12794), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662194] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15712), 1,
      anon_sym_end,
    STATE(12795), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662248] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12796), 1,
      sym_attribute,
    STATE(13515), 1,
      sym__attribute,
    STATE(14484), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [662302] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15712), 1,
      anon_sym_end,
    STATE(12797), 1,
      sym_attribute,
    STATE(12798), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662356] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15714), 1,
      anon_sym_end,
    STATE(12798), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662410] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14757), 1,
      anon_sym_end,
    STATE(12799), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662464] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15716), 1,
      anon_sym_end,
    STATE(12800), 1,
      sym_attribute,
    STATE(12816), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662518] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12801), 1,
      sym_attribute,
    STATE(13210), 1,
      sym__attribute,
    STATE(14499), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [662572] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12802), 1,
      sym_attribute,
    STATE(13212), 1,
      sym__attribute,
    STATE(14296), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [662626] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12803), 1,
      sym_attribute,
    STATE(13215), 1,
      sym__attribute,
    STATE(14297), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [662680] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15718), 1,
      anon_sym_end,
    STATE(12804), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662734] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15061), 1,
      anon_sym_end,
    STATE(12805), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662788] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15720), 1,
      anon_sym_end,
    STATE(12806), 1,
      sym_attribute,
    STATE(12821), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662842] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12807), 1,
      sym_attribute,
    STATE(13222), 1,
      sym__attribute,
    STATE(14464), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [662896] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15722), 1,
      anon_sym_end,
    STATE(12808), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662950] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12809), 1,
      sym_attribute,
    STATE(13225), 1,
      sym__attribute,
    STATE(14270), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [663004] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12810), 1,
      sym_attribute,
    STATE(13228), 1,
      sym__attribute,
    STATE(14300), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [663058] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15724), 1,
      anon_sym_and,
    ACTIONS(15727), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15065), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(12811), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(15063), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [663096] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15730), 1,
      anon_sym_end,
    STATE(12812), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663150] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15732), 1,
      anon_sym_end,
    STATE(12813), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663204] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15071), 1,
      anon_sym_end,
    STATE(12814), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663258] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12815), 1,
      sym_attribute,
    STATE(13233), 1,
      sym__attribute,
    STATE(14384), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [663312] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15734), 1,
      anon_sym_end,
    STATE(12816), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663366] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_end,
    STATE(12817), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663420] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15734), 1,
      anon_sym_end,
    STATE(12818), 1,
      sym_attribute,
    STATE(12827), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663474] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15388), 1,
      anon_sym_and,
    ACTIONS(15390), 1,
      sym_let_and_operator,
    STATE(12522), 1,
      aux_sym_value_definition_repeat1,
    STATE(12819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15477), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15475), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [663514] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15388), 1,
      anon_sym_and,
    ACTIONS(15390), 1,
      sym_let_and_operator,
    STATE(12527), 1,
      aux_sym_value_definition_repeat1,
    STATE(12820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15386), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15384), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [663554] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15738), 1,
      anon_sym_end,
    STATE(12821), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663608] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15738), 1,
      anon_sym_end,
    STATE(12822), 1,
      sym_attribute,
    STATE(12825), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663662] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15740), 1,
      anon_sym_end,
    STATE(12823), 1,
      sym_attribute,
    STATE(12824), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663716] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15742), 1,
      anon_sym_end,
    STATE(12824), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663770] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15744), 1,
      anon_sym_end,
    STATE(12825), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663824] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15742), 1,
      anon_sym_end,
    STATE(12826), 1,
      sym_attribute,
    STATE(12829), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663878] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15746), 1,
      anon_sym_end,
    STATE(12827), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663932] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15744), 1,
      anon_sym_end,
    STATE(12828), 1,
      sym_attribute,
    STATE(12830), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663986] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15748), 1,
      anon_sym_end,
    STATE(12829), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664040] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15750), 1,
      anon_sym_end,
    STATE(12830), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664094] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15752), 1,
      anon_sym_end,
    STATE(12831), 1,
      sym_attribute,
    STATE(12887), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664148] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15746), 1,
      anon_sym_end,
    STATE(12832), 1,
      sym_attribute,
    STATE(12835), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664202] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15748), 1,
      anon_sym_end,
    STATE(12833), 1,
      sym_attribute,
    STATE(12834), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664256] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15754), 1,
      anon_sym_end,
    STATE(12834), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664310] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15756), 1,
      anon_sym_end,
    STATE(12835), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664364] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15152), 1,
      anon_sym_functor,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9890), 1,
      sym_module_path,
    STATE(10115), 1,
      sym__module_expression,
    STATE(12836), 1,
      sym_attribute,
    STATE(13387), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [664418] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15758), 1,
      anon_sym_end,
    STATE(12837), 1,
      sym_attribute,
    STATE(12844), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664472] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12970), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12591), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12593), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [664508] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15760), 1,
      anon_sym_end,
    STATE(12839), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664562] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15762), 1,
      anon_sym_end,
    STATE(12840), 1,
      sym_attribute,
    STATE(12845), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664616] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15152), 1,
      anon_sym_functor,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9890), 1,
      sym_module_path,
    STATE(10179), 1,
      sym__module_expression,
    STATE(12841), 1,
      sym_attribute,
    STATE(13502), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [664670] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14838), 1,
      anon_sym_end,
    STATE(12842), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14842), 1,
      anon_sym_let,
    STATE(12843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14840), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [664758] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15764), 1,
      anon_sym_end,
    STATE(12844), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664812] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15766), 1,
      anon_sym_end,
    STATE(12845), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664866] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15766), 1,
      anon_sym_end,
    STATE(12846), 1,
      sym_attribute,
    STATE(12856), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664920] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15768), 1,
      anon_sym_end,
    STATE(12847), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664974] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15764), 1,
      anon_sym_end,
    STATE(12848), 1,
      sym_attribute,
    STATE(12859), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665028] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15770), 1,
      anon_sym_end,
    STATE(12849), 1,
      sym_attribute,
    STATE(12851), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665082] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15557), 1,
      anon_sym_end,
    STATE(12850), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665136] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15772), 1,
      anon_sym_end,
    STATE(12851), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665190] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15772), 1,
      anon_sym_end,
    STATE(12852), 1,
      sym_attribute,
    STATE(12853), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665244] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15774), 1,
      anon_sym_end,
    STATE(12853), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665298] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15774), 1,
      anon_sym_end,
    STATE(12854), 1,
      sym_attribute,
    STATE(12855), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665352] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15776), 1,
      anon_sym_end,
    STATE(12855), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665406] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15778), 1,
      anon_sym_end,
    STATE(12856), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665460] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15778), 1,
      anon_sym_end,
    STATE(12857), 1,
      sym_attribute,
    STATE(12858), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665514] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15780), 1,
      anon_sym_end,
    STATE(12858), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665568] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15782), 1,
      anon_sym_end,
    STATE(12859), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665622] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15782), 1,
      anon_sym_end,
    STATE(12860), 1,
      sym_attribute,
    STATE(12865), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665676] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14855), 1,
      anon_sym_end,
    STATE(12861), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665730] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10780), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10778), 11,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [665764] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15784), 1,
      anon_sym_end,
    STATE(12863), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665818] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15786), 1,
      anon_sym_end,
    STATE(12864), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665872] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15788), 1,
      anon_sym_end,
    STATE(12865), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665926] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14859), 1,
      anon_sym_end,
    STATE(12866), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665980] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15100), 1,
      anon_sym_end,
    STATE(12867), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666034] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15790), 1,
      anon_sym_end,
    STATE(12868), 1,
      sym_attribute,
    STATE(12936), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666088] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15792), 1,
      anon_sym_end,
    STATE(12869), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666142] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15794), 1,
      anon_sym_end,
    STATE(12870), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666196] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15796), 1,
      anon_sym_end,
    STATE(12871), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666250] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15798), 1,
      anon_sym_end,
    STATE(12872), 1,
      sym_attribute,
    STATE(12876), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666304] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15800), 1,
      anon_sym_constraint,
    ACTIONS(15803), 1,
      anon_sym_val,
    ACTIONS(15806), 1,
      anon_sym_end,
    ACTIONS(15808), 1,
      anon_sym_inherit,
    ACTIONS(15811), 1,
      anon_sym_method,
    ACTIONS(15814), 1,
      anon_sym_initializer,
    ACTIONS(15817), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(15820), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(15823), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12873), 2,
      sym_attribute,
      aux_sym_object_expression_repeat1,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666356] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15826), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666410] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15828), 1,
      anon_sym_PIPE,
    STATE(12875), 1,
      sym_attribute,
    STATE(12880), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14711), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14709), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [666448] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15830), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666502] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15830), 1,
      anon_sym_end,
    STATE(12877), 1,
      sym_attribute,
    STATE(12878), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666556] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15832), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666610] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15828), 1,
      anon_sym_PIPE,
    STATE(12879), 1,
      sym_attribute,
    STATE(12880), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14736), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14734), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [666648] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15834), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14029), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12880), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14027), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [666684] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15832), 1,
      anon_sym_end,
    STATE(12881), 1,
      sym_attribute,
    STATE(12882), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666738] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15837), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666792] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15839), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666846] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15841), 1,
      anon_sym_end,
    STATE(12850), 1,
      aux_sym_object_expression_repeat1,
    STATE(12884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666900] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15826), 1,
      anon_sym_end,
    STATE(12434), 1,
      aux_sym_object_expression_repeat1,
    STATE(12885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666954] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14865), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667008] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15843), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667062] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15843), 1,
      anon_sym_end,
    STATE(12888), 1,
      sym_attribute,
    STATE(12893), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667116] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15845), 1,
      anon_sym_end,
    STATE(12889), 1,
      sym_attribute,
    STATE(12890), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667170] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15847), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667224] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15847), 1,
      anon_sym_end,
    STATE(12891), 1,
      sym_attribute,
    STATE(12892), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667278] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15849), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667332] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15851), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667386] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15851), 1,
      anon_sym_end,
    STATE(12894), 1,
      sym_attribute,
    STATE(12895), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667440] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15853), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667494] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15849), 1,
      anon_sym_end,
    STATE(12896), 1,
      sym_attribute,
    STATE(12897), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667548] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15855), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667602] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15857), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667656] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15859), 1,
      anon_sym_end,
    STATE(12899), 1,
      sym_attribute,
    STATE(12900), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667710] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15861), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667764] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15861), 1,
      anon_sym_end,
    STATE(12901), 1,
      sym_attribute,
    STATE(12903), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667818] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15114), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667872] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15863), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667926] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15122), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667980] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15865), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668034] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15580), 1,
      anon_sym_and,
    ACTIONS(15582), 1,
      sym_let_and_operator,
    STATE(12811), 1,
      aux_sym_value_definition_repeat1,
    STATE(12906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15386), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15384), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [668074] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15867), 1,
      anon_sym_end,
    STATE(12907), 1,
      sym_attribute,
    STATE(12908), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668128] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15869), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668182] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15869), 1,
      anon_sym_end,
    STATE(12909), 1,
      sym_attribute,
    STATE(12910), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668236] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15871), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668290] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15871), 1,
      anon_sym_end,
    STATE(12911), 1,
      sym_attribute,
    STATE(12915), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668344] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15863), 1,
      anon_sym_end,
    STATE(12912), 1,
      sym_attribute,
    STATE(12918), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668398] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15126), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668452] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15580), 1,
      anon_sym_and,
    ACTIONS(15582), 1,
      sym_let_and_operator,
    STATE(12811), 1,
      aux_sym_value_definition_repeat1,
    STATE(12914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15417), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15415), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [668492] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15873), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668546] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15875), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668600] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15877), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668654] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15879), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668708] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14869), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668762] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15881), 1,
      anon_sym_end,
    STATE(12920), 1,
      sym_attribute,
    STATE(12924), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668816] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15580), 1,
      anon_sym_and,
    ACTIONS(15582), 1,
      sym_let_and_operator,
    STATE(12914), 1,
      aux_sym_value_definition_repeat1,
    STATE(12921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15398), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15396), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [668856] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15146), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668910] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14761), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668964] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15883), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669018] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15883), 1,
      anon_sym_end,
    STATE(12925), 1,
      sym_attribute,
    STATE(12929), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669072] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15162), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669126] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15885), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669180] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14875), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669234] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15887), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669288] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15887), 1,
      anon_sym_end,
    STATE(12930), 1,
      sym_attribute,
    STATE(12931), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669342] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15889), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669396] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15891), 1,
      anon_sym_end,
    STATE(12932), 1,
      sym_attribute,
    STATE(12933), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669450] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15893), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669504] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(12934), 1,
      sym_attribute,
    STATE(13325), 1,
      sym__attribute,
    STATE(14426), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [669558] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12485), 1,
      anon_sym_COLON2,
    STATE(12935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10360), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [669594] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15895), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669648] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15893), 1,
      anon_sym_end,
    STATE(12937), 1,
      sym_attribute,
    STATE(12938), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669702] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15897), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669756] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15897), 1,
      anon_sym_end,
    STATE(12939), 1,
      sym_attribute,
    STATE(12940), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669810] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15899), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669864] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15901), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669918] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15903), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669972] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15905), 1,
      anon_sym_end,
    STATE(12943), 1,
      sym_attribute,
    STATE(12946), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670026] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15895), 1,
      anon_sym_end,
    STATE(12379), 1,
      aux_sym_object_expression_repeat1,
    STATE(12944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670080] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14053), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15907), 1,
      anon_sym_DASH_GT,
    ACTIONS(15909), 1,
      anon_sym_with,
    STATE(12945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14051), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [670118] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15911), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670172] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14139), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15907), 1,
      anon_sym_DASH_GT,
    ACTIONS(15909), 1,
      anon_sym_with,
    STATE(12947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14137), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [670210] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15132), 1,
      anon_sym_LPAREN,
    ACTIONS(15136), 1,
      anon_sym_functor,
    ACTIONS(15138), 1,
      anon_sym_struct,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(15142), 1,
      sym__capitalized_identifier,
    STATE(12948), 1,
      sym_attribute,
    STATE(13432), 1,
      sym__attribute,
    STATE(14251), 1,
      sym__module_expression,
    STATE(14537), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14595), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14566), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [670264] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15911), 1,
      anon_sym_end,
    STATE(12949), 1,
      sym_attribute,
    STATE(12952), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670318] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15170), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670372] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15166), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670426] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15913), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670480] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15913), 1,
      anon_sym_end,
    STATE(12953), 1,
      sym_attribute,
    STATE(12958), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670534] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14053), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15915), 1,
      anon_sym_DASH_GT,
    ACTIONS(15917), 1,
      anon_sym_with,
    STATE(12954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14051), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [670572] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14139), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15915), 1,
      anon_sym_DASH_GT,
    ACTIONS(15917), 1,
      anon_sym_with,
    STATE(12955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14137), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [670610] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15828), 1,
      anon_sym_PIPE,
    STATE(12875), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13246), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13244), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [670648] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15828), 1,
      anon_sym_PIPE,
    STATE(12879), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14711), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14709), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [670686] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15919), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670740] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15921), 1,
      anon_sym_RPAREN,
    STATE(12959), 1,
      sym_attribute,
    STATE(18058), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [670794] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15923), 1,
      anon_sym_end,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    STATE(12960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670848] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14445), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15907), 1,
      anon_sym_DASH_GT,
    ACTIONS(15909), 1,
      anon_sym_with,
    STATE(12961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14443), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [670886] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14445), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15915), 1,
      anon_sym_DASH_GT,
    ACTIONS(15917), 1,
      anon_sym_with,
    STATE(12962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14443), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [670924] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15925), 1,
      anon_sym_end,
    STATE(12385), 1,
      aux_sym_object_expression_repeat1,
    STATE(12963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670978] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15451), 1,
      sym_pow_operator,
    ACTIONS(15453), 1,
      sym_mult_operator,
    ACTIONS(15455), 1,
      sym_concat_operator,
    ACTIONS(15457), 1,
      sym_rel_operator,
    ACTIONS(15459), 1,
      sym_and_operator,
    ACTIONS(15461), 1,
      sym_or_operator,
    ACTIONS(15463), 1,
      anon_sym_COMMA,
    ACTIONS(15465), 1,
      sym_assign_operator,
    ACTIONS(15927), 1,
      anon_sym_SEMI,
    STATE(2562), 1,
      sym_add_operator,
    STATE(12964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10200), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10198), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671036] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15929), 1,
      anon_sym_RPAREN,
    STATE(12965), 1,
      sym_attribute,
    STATE(18058), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [671090] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15931), 1,
      anon_sym_RPAREN,
    STATE(12966), 1,
      sym_attribute,
    STATE(18058), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [671144] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13895), 1,
      anon_sym_constraint,
    ACTIONS(13897), 1,
      anon_sym_val,
    ACTIONS(13901), 1,
      anon_sym_inherit,
    ACTIONS(13903), 1,
      anon_sym_method,
    ACTIONS(13905), 1,
      anon_sym_initializer,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15612), 1,
      anon_sym_end,
    STATE(12691), 1,
      aux_sym_object_expression_repeat1,
    STATE(12967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14700), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14679), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [671198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9182), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [671231] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13790), 1,
      anon_sym_STAR,
    ACTIONS(14449), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12969), 1,
      sym_attribute,
    STATE(12970), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14447), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [671268] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13224), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15933), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12970), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13222), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [671303] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12971), 1,
      sym_attribute,
    STATE(18048), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [671354] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15065), 1,
      anon_sym_let,
    ACTIONS(15936), 1,
      anon_sym_and,
    ACTIONS(15939), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12972), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(15063), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [671391] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12973), 1,
      sym_attribute,
    STATE(17607), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [671442] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15312), 1,
      anon_sym_DOT,
    STATE(12974), 1,
      sym_attribute,
    STATE(19309), 1,
      sym_add_operator,
    STATE(19732), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(15314), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [671485] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8677), 1,
      aux_sym_number_token1,
    ACTIONS(8679), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_SQUOTE,
    ACTIONS(8683), 1,
      anon_sym_DQUOTE,
    ACTIONS(15942), 1,
      anon_sym_LPAREN,
    ACTIONS(15946), 1,
      anon_sym_LBRACE,
    ACTIONS(15948), 1,
      anon_sym_begin,
    STATE(12975), 1,
      sym_attribute,
    STATE(15408), 1,
      sym__signed_constant,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15944), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15057), 2,
      sym__constant,
      sym_signed_number,
    STATE(15185), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [671536] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13532), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(15467), 1,
      anon_sym_DASH_GT,
    STATE(12976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13530), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [671573] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8340), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11823), 1,
      aux_sym_expression_item_repeat1,
    STATE(12977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8065), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [671612] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12978), 1,
      sym_attribute,
    STATE(16828), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [671663] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8273), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11558), 1,
      aux_sym_expression_item_repeat1,
    STATE(12979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8111), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [671702] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13708), 1,
      anon_sym_STAR,
    ACTIONS(14449), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12980), 1,
      sym_attribute,
    STATE(12981), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14447), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [671739] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13224), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15950), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12981), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13222), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [671774] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15953), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11561), 1,
      aux_sym_expression_item_repeat1,
    STATE(12982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14484), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [671813] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12983), 1,
      sym_attribute,
    STATE(17623), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [671864] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15955), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11636), 1,
      aux_sym_expression_item_repeat1,
    STATE(12984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13936), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [671903] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12985), 1,
      sym_attribute,
    STATE(16675), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [671954] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15398), 1,
      anon_sym_let,
    ACTIONS(15957), 1,
      anon_sym_and,
    ACTIONS(15959), 1,
      sym_let_and_operator,
    STATE(12972), 1,
      aux_sym_value_definition_repeat1,
    STATE(12986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15396), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [671993] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8265), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11678), 1,
      aux_sym_expression_item_repeat1,
    STATE(12987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8133), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [672032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12737), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12739), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [672065] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12989), 1,
      sym_attribute,
    STATE(17928), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [672116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12743), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [672149] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15961), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11704), 1,
      aux_sym_expression_item_repeat1,
    STATE(12991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14157), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [672188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12747), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [672221] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12993), 1,
      sym_attribute,
    STATE(17277), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [672272] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6105), 1,
      aux_sym_number_token1,
    ACTIONS(6107), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6109), 1,
      anon_sym_SQUOTE,
    ACTIONS(6111), 1,
      anon_sym_DQUOTE,
    ACTIONS(15963), 1,
      anon_sym_LPAREN,
    ACTIONS(15967), 1,
      anon_sym_LBRACE,
    ACTIONS(15969), 1,
      anon_sym_begin,
    STATE(6527), 1,
      sym__signed_constant,
    STATE(12994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6421), 2,
      sym__constant,
      sym_signed_number,
    STATE(6340), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [672323] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8269), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11706), 1,
      aux_sym_expression_item_repeat1,
    STATE(12995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8017), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [672362] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15971), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11744), 1,
      aux_sym_expression_item_repeat1,
    STATE(12996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14227), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [672401] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8267), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11746), 1,
      aux_sym_expression_item_repeat1,
    STATE(12997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [672440] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(12998), 1,
      sym_attribute,
    STATE(16694), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [672491] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15973), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11762), 1,
      aux_sym_expression_item_repeat1,
    STATE(12999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14325), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [672530] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15386), 1,
      anon_sym_let,
    ACTIONS(15975), 1,
      anon_sym_and,
    ACTIONS(15977), 1,
      sym_let_and_operator,
    STATE(13000), 1,
      sym_attribute,
    STATE(13003), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15384), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [672569] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15398), 1,
      anon_sym_let,
    ACTIONS(15975), 1,
      anon_sym_and,
    ACTIONS(15977), 1,
      sym_let_and_operator,
    STATE(13001), 1,
      sym_attribute,
    STATE(13003), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15396), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [672608] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(13002), 1,
      sym_attribute,
    STATE(16927), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [672659] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15065), 1,
      anon_sym_let,
    ACTIONS(15979), 1,
      anon_sym_and,
    ACTIONS(15982), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13003), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(15063), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [672696] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15398), 1,
      anon_sym_let,
    ACTIONS(15975), 1,
      anon_sym_and,
    ACTIONS(15977), 1,
      sym_let_and_operator,
    STATE(13004), 1,
      sym_attribute,
    STATE(13007), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15396), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [672735] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(13005), 1,
      sym_attribute,
    STATE(17286), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [672786] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15985), 1,
      sym__identifier,
    ACTIONS(15987), 1,
      anon_sym_LPAREN,
    ACTIONS(15989), 1,
      anon_sym_module,
    ACTIONS(15991), 1,
      anon_sym_sig,
    ACTIONS(15993), 1,
      anon_sym_functor,
    ACTIONS(15995), 1,
      sym__capitalized_identifier,
    STATE(13006), 1,
      sym_attribute,
    STATE(14940), 1,
      sym__module_type,
    STATE(19224), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14889), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [672837] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15417), 1,
      anon_sym_let,
    ACTIONS(15975), 1,
      anon_sym_and,
    ACTIONS(15977), 1,
      sym_let_and_operator,
    STATE(13003), 1,
      aux_sym_value_definition_repeat1,
    STATE(13007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15415), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [672876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12767), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12769), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [672909] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(13009), 1,
      sym_attribute,
    STATE(17657), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [672960] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(13010), 1,
      sym_attribute,
    STATE(17682), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [673011] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15999), 1,
      anon_sym_let,
    ACTIONS(16001), 1,
      anon_sym_and,
    STATE(13011), 1,
      sym_attribute,
    STATE(13074), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15997), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [673048] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(13012), 1,
      sym_attribute,
    STATE(16907), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [673099] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16005), 1,
      anon_sym_let,
    ACTIONS(16007), 1,
      anon_sym_and,
    STATE(13013), 1,
      sym_attribute,
    STATE(13093), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16003), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [673136] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(13014), 1,
      sym_attribute,
    STATE(16657), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [673187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12687), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [673220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12689), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12691), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [673253] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(13017), 1,
      sym_attribute,
    STATE(17151), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [673304] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15427), 1,
      anon_sym_let,
    ACTIONS(16009), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13018), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(15425), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [673339] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(13019), 1,
      sym_attribute,
    STATE(17738), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [673390] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16001), 1,
      anon_sym_and,
    ACTIONS(16014), 1,
      anon_sym_let,
    STATE(13020), 1,
      sym_attribute,
    STATE(13195), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16012), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [673427] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16018), 1,
      anon_sym_let,
    ACTIONS(16020), 1,
      anon_sym_DOT,
    STATE(13021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16016), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [673462] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(16022), 1,
      anon_sym_LPAREN,
    ACTIONS(16024), 1,
      anon_sym_functor,
    STATE(11800), 1,
      sym__module_type,
    STATE(13022), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [673513] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(13023), 1,
      sym_attribute,
    STATE(16581), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [673564] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15999), 1,
      anon_sym_let,
    ACTIONS(16001), 1,
      anon_sym_and,
    STATE(13018), 1,
      aux_sym_module_definition_repeat1,
    STATE(13024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15997), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [673601] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15417), 1,
      anon_sym_let,
    ACTIONS(15957), 1,
      anon_sym_and,
    ACTIONS(15959), 1,
      sym_let_and_operator,
    STATE(12972), 1,
      aux_sym_value_definition_repeat1,
    STATE(13025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15415), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [673640] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15477), 1,
      anon_sym_let,
    ACTIONS(15975), 1,
      anon_sym_and,
    ACTIONS(15977), 1,
      sym_let_and_operator,
    STATE(13000), 1,
      aux_sym_value_definition_repeat1,
    STATE(13026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15475), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [673679] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6011), 1,
      aux_sym_number_token1,
    ACTIONS(6013), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6015), 1,
      anon_sym_SQUOTE,
    ACTIONS(6017), 1,
      anon_sym_DQUOTE,
    ACTIONS(16026), 1,
      anon_sym_LPAREN,
    ACTIONS(16030), 1,
      anon_sym_LBRACE,
    ACTIONS(16032), 1,
      anon_sym_begin,
    STATE(6554), 1,
      sym__signed_constant,
    STATE(13027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16028), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6338), 2,
      sym__constant,
      sym_signed_number,
    STATE(6417), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [673730] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15386), 1,
      anon_sym_let,
    ACTIONS(15975), 1,
      anon_sym_and,
    ACTIONS(15977), 1,
      sym_let_and_operator,
    STATE(13001), 1,
      aux_sym_value_definition_repeat1,
    STATE(13028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15384), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [673769] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13814), 1,
      anon_sym_STAR,
    STATE(13029), 1,
      sym_attribute,
    STATE(13030), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14449), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14447), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [673806] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16034), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13224), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(13030), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13222), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [673841] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15985), 1,
      sym__identifier,
    ACTIONS(15987), 1,
      anon_sym_LPAREN,
    ACTIONS(15989), 1,
      anon_sym_module,
    ACTIONS(15991), 1,
      anon_sym_sig,
    ACTIONS(15993), 1,
      anon_sym_functor,
    ACTIONS(15995), 1,
      sym__capitalized_identifier,
    STATE(13031), 1,
      sym_attribute,
    STATE(14990), 1,
      sym__module_type,
    STATE(19224), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14889), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [673892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10360), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [673925] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16005), 1,
      anon_sym_let,
    ACTIONS(16007), 1,
      anon_sym_and,
    STATE(13033), 1,
      sym_attribute,
    STATE(13145), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16003), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [673962] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6303), 1,
      anon_sym_DOT,
    STATE(13034), 1,
      sym_attribute,
    STATE(19309), 1,
      sym_add_operator,
    STATE(22432), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6333), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [674005] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16037), 1,
      anon_sym_LPAREN,
    ACTIONS(16039), 1,
      anon_sym_constraint,
    ACTIONS(16041), 1,
      anon_sym_val,
    ACTIONS(16043), 1,
      anon_sym_end,
    ACTIONS(16045), 1,
      anon_sym_inherit,
    ACTIONS(16047), 1,
      anon_sym_method,
    STATE(13035), 1,
      sym_attribute,
    STATE(13464), 1,
      aux_sym_class_body_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14852), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(14795), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [674058] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8213), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11823), 1,
      aux_sym_expression_item_repeat1,
    STATE(13036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8065), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [674097] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10200), 1,
      anon_sym_PIPE,
    ACTIONS(16049), 1,
      anon_sym_COMMA,
    ACTIONS(16051), 1,
      anon_sym_SEMI,
    ACTIONS(16053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16055), 1,
      sym_pow_operator,
    ACTIONS(16057), 1,
      sym_mult_operator,
    ACTIONS(16059), 1,
      sym_concat_operator,
    ACTIONS(16061), 1,
      sym_rel_operator,
    ACTIONS(16063), 1,
      sym_and_operator,
    ACTIONS(16065), 1,
      sym_or_operator,
    ACTIONS(16067), 1,
      sym_assign_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(13037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10198), 3,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [674154] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16007), 1,
      anon_sym_and,
    ACTIONS(16071), 1,
      anon_sym_let,
    STATE(13038), 1,
      sym_attribute,
    STATE(13106), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16069), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [674191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10256), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [674224] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16073), 1,
      anon_sym_else,
    STATE(11642), 1,
      sym_else_clause,
    STATE(13040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674261] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8336), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11558), 1,
      aux_sym_expression_item_repeat1,
    STATE(13041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8111), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [674300] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16075), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11561), 1,
      aux_sym_expression_item_repeat1,
    STATE(13042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14484), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [674339] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(13043), 1,
      sym_attribute,
    STATE(17691), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [674390] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12367), 1,
      anon_sym_as,
    ACTIONS(16077), 1,
      sym__identifier,
    ACTIONS(16079), 1,
      anon_sym_POUND,
    STATE(13044), 1,
      sym_attribute,
    STATE(13814), 1,
      sym_type_constructor_path,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [674433] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16001), 1,
      anon_sym_and,
    ACTIONS(16083), 1,
      anon_sym_let,
    STATE(13024), 1,
      aux_sym_module_definition_repeat1,
    STATE(13045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16081), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [674470] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15907), 1,
      anon_sym_DASH_GT,
    ACTIONS(15909), 1,
      anon_sym_with,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(13046), 1,
      sym_attribute,
    STATE(13275), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16085), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [674511] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16087), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11636), 1,
      aux_sym_expression_item_repeat1,
    STATE(13047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13936), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [674550] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(13048), 1,
      sym_attribute,
    STATE(16975), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [674601] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8338), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11678), 1,
      aux_sym_expression_item_repeat1,
    STATE(13049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8133), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [674640] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16089), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11704), 1,
      aux_sym_expression_item_repeat1,
    STATE(13050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14157), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [674679] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8350), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11706), 1,
      aux_sym_expression_item_repeat1,
    STATE(13051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8017), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [674718] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16091), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11744), 1,
      aux_sym_expression_item_repeat1,
    STATE(13052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14227), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [674757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12593), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [674790] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8253), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11746), 1,
      aux_sym_expression_item_repeat1,
    STATE(13054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7903), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [674829] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16093), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(11762), 1,
      aux_sym_expression_item_repeat1,
    STATE(13055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14325), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [674868] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6159), 1,
      aux_sym_number_token1,
    ACTIONS(6161), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6163), 1,
      anon_sym_SQUOTE,
    ACTIONS(6165), 1,
      anon_sym_DQUOTE,
    ACTIONS(16095), 1,
      anon_sym_LPAREN,
    ACTIONS(16099), 1,
      anon_sym_LBRACE,
    ACTIONS(16101), 1,
      anon_sym_begin,
    STATE(6742), 1,
      sym__signed_constant,
    STATE(13056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16097), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6498), 2,
      sym__constant,
      sym_signed_number,
    STATE(6504), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [674919] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16103), 1,
      anon_sym_PIPE,
    STATE(13057), 1,
      sym_attribute,
    STATE(13059), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674956] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16103), 1,
      anon_sym_PIPE,
    STATE(13058), 1,
      sym_attribute,
    STATE(13061), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674993] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16103), 1,
      anon_sym_PIPE,
    STATE(13059), 1,
      sym_attribute,
    STATE(13063), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [675030] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11411), 1,
      anon_sym_PIPE,
    ACTIONS(16049), 1,
      anon_sym_COMMA,
    ACTIONS(16053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16055), 1,
      sym_pow_operator,
    ACTIONS(16057), 1,
      sym_mult_operator,
    ACTIONS(16059), 1,
      sym_concat_operator,
    ACTIONS(16061), 1,
      sym_rel_operator,
    ACTIONS(16063), 1,
      sym_and_operator,
    ACTIONS(16065), 1,
      sym_or_operator,
    ACTIONS(16067), 1,
      sym_assign_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(13060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [675085] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16103), 1,
      anon_sym_PIPE,
    STATE(13061), 1,
      sym_attribute,
    STATE(13063), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [675122] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(13062), 1,
      sym_attribute,
    STATE(16972), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [675173] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16105), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13063), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [675208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9178), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [675241] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15398), 1,
      anon_sym_let,
    ACTIONS(15957), 1,
      anon_sym_and,
    ACTIONS(15959), 1,
      sym_let_and_operator,
    STATE(13025), 1,
      aux_sym_value_definition_repeat1,
    STATE(13065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15396), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [675280] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    ACTIONS(15692), 1,
      anon_sym_val,
    STATE(9890), 1,
      sym_module_path,
    STATE(13066), 1,
      sym_attribute,
    STATE(14365), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [675331] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(13067), 1,
      sym_attribute,
    STATE(16492), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [675382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12807), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [675415] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2991), 1,
      anon_sym_DOT,
    STATE(13069), 1,
      sym_attribute,
    STATE(19309), 1,
      sym_add_operator,
    STATE(20670), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(2997), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [675458] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11693), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(11691), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__identifier,
  [675491] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12329), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12327), 16,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [675524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12711), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [675557] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16007), 1,
      anon_sym_and,
    ACTIONS(16110), 1,
      anon_sym_let,
    STATE(13013), 1,
      aux_sym_type_definition_repeat1,
    STATE(13073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16108), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [675594] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16001), 1,
      anon_sym_and,
    ACTIONS(16014), 1,
      anon_sym_let,
    STATE(13018), 1,
      aux_sym_module_definition_repeat1,
    STATE(13074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16012), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [675631] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      aux_sym_number_token1,
    ACTIONS(5979), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5981), 1,
      anon_sym_SQUOTE,
    ACTIONS(5983), 1,
      anon_sym_DQUOTE,
    ACTIONS(16112), 1,
      anon_sym_LPAREN,
    ACTIONS(16116), 1,
      anon_sym_LBRACE,
    ACTIONS(16118), 1,
      anon_sym_begin,
    STATE(6344), 1,
      sym__signed_constant,
    STATE(13075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16114), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6262), 2,
      sym__constant,
      sym_signed_number,
    STATE(6166), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [675682] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(16022), 1,
      anon_sym_LPAREN,
    ACTIONS(16024), 1,
      anon_sym_functor,
    STATE(12004), 1,
      sym__module_type,
    STATE(13076), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [675733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12713), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12715), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [675766] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(13078), 1,
      sym_attribute,
    STATE(15670), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [675817] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(16022), 1,
      anon_sym_LPAREN,
    ACTIONS(16024), 1,
      anon_sym_functor,
    STATE(10628), 1,
      sym__module_type,
    STATE(13079), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [675868] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(16022), 1,
      anon_sym_LPAREN,
    ACTIONS(16024), 1,
      anon_sym_functor,
    STATE(11673), 1,
      sym__module_type,
    STATE(13080), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [675919] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(16022), 1,
      anon_sym_LPAREN,
    ACTIONS(16024), 1,
      anon_sym_functor,
    STATE(11617), 1,
      sym__module_type,
    STATE(13081), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [675970] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(13082), 1,
      sym_attribute,
    STATE(15686), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [676021] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7847), 1,
      anon_sym_DOT,
    STATE(13083), 1,
      sym_attribute,
    STATE(19309), 1,
      sym_add_operator,
    STATE(20406), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7859), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [676064] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(10628), 1,
      sym__module_type,
    STATE(13084), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [676115] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15386), 1,
      anon_sym_let,
    ACTIONS(16120), 1,
      anon_sym_and,
    ACTIONS(16122), 1,
      sym_let_and_operator,
    STATE(13085), 1,
      sym_attribute,
    STATE(13087), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15384), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676154] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15398), 1,
      anon_sym_let,
    ACTIONS(16120), 1,
      anon_sym_and,
    ACTIONS(16122), 1,
      sym_let_and_operator,
    STATE(13086), 1,
      sym_attribute,
    STATE(13087), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15396), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676193] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15065), 1,
      anon_sym_let,
    ACTIONS(16124), 1,
      anon_sym_and,
    ACTIONS(16127), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13087), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(15063), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676230] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15398), 1,
      anon_sym_let,
    ACTIONS(16120), 1,
      anon_sym_and,
    ACTIONS(16122), 1,
      sym_let_and_operator,
    STATE(13088), 1,
      sym_attribute,
    STATE(13089), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15396), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676269] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15417), 1,
      anon_sym_let,
    ACTIONS(16120), 1,
      anon_sym_and,
    ACTIONS(16122), 1,
      sym_let_and_operator,
    STATE(13087), 1,
      aux_sym_value_definition_repeat1,
    STATE(13089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15415), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676308] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15477), 1,
      anon_sym_let,
    ACTIONS(16120), 1,
      anon_sym_and,
    ACTIONS(16122), 1,
      sym_let_and_operator,
    STATE(13085), 1,
      aux_sym_value_definition_repeat1,
    STATE(13090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15475), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676347] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15386), 1,
      anon_sym_let,
    ACTIONS(16120), 1,
      anon_sym_and,
    ACTIONS(16122), 1,
      sym_let_and_operator,
    STATE(13086), 1,
      aux_sym_value_definition_repeat1,
    STATE(13091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15384), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676386] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(16022), 1,
      anon_sym_LPAREN,
    ACTIONS(16024), 1,
      anon_sym_functor,
    STATE(12065), 1,
      sym__module_type,
    STATE(13092), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [676437] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15216), 1,
      anon_sym_let,
    ACTIONS(16130), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13093), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(15214), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676472] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13476), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16133), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13094), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13474), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [676509] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7883), 1,
      anon_sym_DOT,
    STATE(13095), 1,
      sym_attribute,
    STATE(19309), 1,
      sym_add_operator,
    STATE(21515), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7889), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [676552] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    ACTIONS(15606), 1,
      anon_sym_val,
    STATE(9890), 1,
      sym_module_path,
    STATE(13096), 1,
      sym_attribute,
    STATE(14503), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [676603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12717), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12719), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [676636] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(13098), 1,
      sym_attribute,
    STATE(17909), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [676687] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12063), 1,
      aux_sym_expression_item_repeat1,
    STATE(13099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16136), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14641), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [676726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12679), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [676759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12721), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12723), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [676792] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15907), 1,
      anon_sym_DASH_GT,
    ACTIONS(15909), 1,
      anon_sym_with,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(13102), 1,
      sym_attribute,
    STATE(13518), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16138), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [676833] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(13103), 1,
      sym_attribute,
    STATE(17195), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [676884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12727), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [676917] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(15182), 1,
      anon_sym_LPAREN,
    ACTIONS(15184), 1,
      anon_sym_functor,
    STATE(13046), 1,
      sym__module_type,
    STATE(13105), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [676968] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16007), 1,
      anon_sym_and,
    ACTIONS(16110), 1,
      anon_sym_let,
    STATE(13093), 1,
      aux_sym_type_definition_repeat1,
    STATE(13106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16108), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [677005] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13476), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16140), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13107), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13474), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [677042] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6325), 1,
      aux_sym_number_token1,
    ACTIONS(6329), 1,
      anon_sym_SQUOTE,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    ACTIONS(8835), 1,
      aux_sym_signed_number_token1,
    ACTIONS(16143), 1,
      anon_sym_LPAREN,
    ACTIONS(16147), 1,
      anon_sym_LBRACE,
    ACTIONS(16149), 1,
      anon_sym_begin,
    STATE(13108), 1,
      sym_attribute,
    STATE(14290), 1,
      sym__signed_constant,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16145), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14253), 2,
      sym__constant,
      sym_signed_number,
    STATE(13229), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [677093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9190), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [677126] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15985), 1,
      sym__identifier,
    ACTIONS(15987), 1,
      anon_sym_LPAREN,
    ACTIONS(15989), 1,
      anon_sym_module,
    ACTIONS(15991), 1,
      anon_sym_sig,
    ACTIONS(15993), 1,
      anon_sym_functor,
    ACTIONS(15995), 1,
      sym__capitalized_identifier,
    STATE(13110), 1,
      sym_attribute,
    STATE(14885), 1,
      sym__module_type,
    STATE(19224), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14889), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [677177] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15985), 1,
      sym__identifier,
    ACTIONS(15987), 1,
      anon_sym_LPAREN,
    ACTIONS(15989), 1,
      anon_sym_module,
    ACTIONS(15991), 1,
      anon_sym_sig,
    ACTIONS(15993), 1,
      anon_sym_functor,
    ACTIONS(15995), 1,
      sym__capitalized_identifier,
    STATE(13111), 1,
      sym_attribute,
    STATE(15116), 1,
      sym__module_type,
    STATE(19224), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14889), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [677228] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16073), 1,
      anon_sym_else,
    STATE(11624), 1,
      sym_else_clause,
    STATE(13112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [677265] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14711), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16151), 1,
      anon_sym_PIPE,
    STATE(13113), 1,
      sym_attribute,
    STATE(13115), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14709), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [677302] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14736), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16151), 1,
      anon_sym_PIPE,
    STATE(13114), 1,
      sym_attribute,
    STATE(13115), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14734), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [677339] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14029), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16153), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13115), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14027), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [677374] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14711), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16156), 1,
      anon_sym_PIPE,
    STATE(13116), 1,
      sym_attribute,
    STATE(13118), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14709), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [677411] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14736), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16156), 1,
      anon_sym_PIPE,
    STATE(13117), 1,
      sym_attribute,
    STATE(13118), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14734), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [677448] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14029), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16158), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13118), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14027), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [677483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12603), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [677516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12607), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [677549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12643), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [677582] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10200), 1,
      anon_sym_and,
    ACTIONS(16161), 1,
      anon_sym_COMMA,
    ACTIONS(16163), 1,
      anon_sym_SEMI,
    ACTIONS(16165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16167), 1,
      sym_pow_operator,
    ACTIONS(16169), 1,
      sym_mult_operator,
    ACTIONS(16171), 1,
      sym_concat_operator,
    ACTIONS(16173), 1,
      sym_rel_operator,
    ACTIONS(16175), 1,
      sym_and_operator,
    ACTIONS(16177), 1,
      sym_or_operator,
    ACTIONS(16179), 1,
      sym_assign_operator,
    STATE(2090), 1,
      sym_add_operator,
    STATE(13122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10198), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [677639] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7873), 1,
      anon_sym_DOT,
    STATE(13123), 1,
      sym_attribute,
    STATE(19309), 1,
      sym_add_operator,
    STATE(22365), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7879), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [677682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12645), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12647), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [677715] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12373), 1,
      anon_sym_as,
    ACTIONS(16077), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    STATE(13125), 1,
      sym_attribute,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12371), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [677758] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8425), 1,
      aux_sym_number_token1,
    ACTIONS(8427), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8429), 1,
      anon_sym_SQUOTE,
    ACTIONS(8431), 1,
      anon_sym_DQUOTE,
    ACTIONS(16183), 1,
      anon_sym_LPAREN,
    ACTIONS(16187), 1,
      anon_sym_LBRACE,
    ACTIONS(16189), 1,
      anon_sym_begin,
    STATE(10127), 1,
      sym__signed_constant,
    STATE(13126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16185), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9877), 2,
      sym__constant,
      sym_signed_number,
    STATE(9773), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [677809] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(13127), 1,
      sym_attribute,
    STATE(17397), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [677860] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11212), 1,
      anon_sym_as,
    ACTIONS(16077), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    STATE(13128), 1,
      sym_attribute,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [677903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12731), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [677936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12733), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12735), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [677969] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7863), 1,
      anon_sym_DOT,
    STATE(13131), 1,
      sym_attribute,
    STATE(19309), 1,
      sym_add_operator,
    STATE(21573), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7869), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [678012] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15477), 1,
      anon_sym_let,
    ACTIONS(15957), 1,
      anon_sym_and,
    ACTIONS(15959), 1,
      sym_let_and_operator,
    STATE(13132), 1,
      sym_attribute,
    STATE(13141), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15475), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [678051] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_PIPE,
    ACTIONS(16053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16055), 1,
      sym_pow_operator,
    ACTIONS(16057), 1,
      sym_mult_operator,
    ACTIONS(16059), 1,
      sym_concat_operator,
    ACTIONS(16061), 1,
      sym_rel_operator,
    ACTIONS(16063), 1,
      sym_and_operator,
    ACTIONS(16065), 1,
      sym_or_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(13133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [678102] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16055), 1,
      sym_pow_operator,
    ACTIONS(16057), 1,
      sym_mult_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(13134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [678145] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16055), 1,
      sym_pow_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(13135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [678182] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16055), 1,
      sym_pow_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(13136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [678219] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16055), 1,
      sym_pow_operator,
    ACTIONS(16057), 1,
      sym_mult_operator,
    ACTIONS(16059), 1,
      sym_concat_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(13137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [678264] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16055), 1,
      sym_pow_operator,
    ACTIONS(16057), 1,
      sym_mult_operator,
    ACTIONS(16059), 1,
      sym_concat_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(13138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [678309] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(13139), 1,
      sym_attribute,
    STATE(17696), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [678360] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16055), 1,
      sym_pow_operator,
    ACTIONS(16057), 1,
      sym_mult_operator,
    ACTIONS(16059), 1,
      sym_concat_operator,
    ACTIONS(16061), 1,
      sym_rel_operator,
    ACTIONS(16063), 1,
      sym_and_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(13140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [678409] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15386), 1,
      anon_sym_let,
    ACTIONS(15957), 1,
      anon_sym_and,
    ACTIONS(15959), 1,
      sym_let_and_operator,
    STATE(12972), 1,
      aux_sym_value_definition_repeat1,
    STATE(13141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15384), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [678448] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10200), 1,
      anon_sym_and,
    ACTIONS(16161), 1,
      anon_sym_COMMA,
    ACTIONS(16165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16167), 1,
      sym_pow_operator,
    ACTIONS(16169), 1,
      sym_mult_operator,
    ACTIONS(16171), 1,
      sym_concat_operator,
    ACTIONS(16173), 1,
      sym_rel_operator,
    ACTIONS(16175), 1,
      sym_and_operator,
    ACTIONS(16177), 1,
      sym_or_operator,
    ACTIONS(16179), 1,
      sym_assign_operator,
    ACTIONS(16191), 1,
      anon_sym_SEMI,
    STATE(2090), 1,
      sym_add_operator,
    STATE(13142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10198), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678505] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_and,
    ACTIONS(16165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16167), 1,
      sym_pow_operator,
    ACTIONS(16169), 1,
      sym_mult_operator,
    ACTIONS(16171), 1,
      sym_concat_operator,
    ACTIONS(16173), 1,
      sym_rel_operator,
    ACTIONS(16175), 1,
      sym_and_operator,
    ACTIONS(16177), 1,
      sym_or_operator,
    STATE(2090), 1,
      sym_add_operator,
    STATE(13143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [678556] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16167), 1,
      sym_pow_operator,
    ACTIONS(16169), 1,
      sym_mult_operator,
    STATE(2090), 1,
      sym_add_operator,
    STATE(13144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [678599] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16007), 1,
      anon_sym_and,
    ACTIONS(16195), 1,
      anon_sym_let,
    STATE(13093), 1,
      aux_sym_type_definition_repeat1,
    STATE(13145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16193), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [678636] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16055), 1,
      sym_pow_operator,
    ACTIONS(16057), 1,
      sym_mult_operator,
    ACTIONS(16059), 1,
      sym_concat_operator,
    ACTIONS(16061), 1,
      sym_rel_operator,
    ACTIONS(16063), 1,
      sym_and_operator,
    ACTIONS(16065), 1,
      sym_or_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(13146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [678687] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16049), 1,
      anon_sym_COMMA,
    ACTIONS(16053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16055), 1,
      sym_pow_operator,
    ACTIONS(16057), 1,
      sym_mult_operator,
    ACTIONS(16059), 1,
      sym_concat_operator,
    ACTIONS(16061), 1,
      sym_rel_operator,
    ACTIONS(16063), 1,
      sym_and_operator,
    ACTIONS(16065), 1,
      sym_or_operator,
    ACTIONS(16067), 1,
      sym_assign_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(13147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [678742] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16055), 1,
      sym_pow_operator,
    ACTIONS(16057), 1,
      sym_mult_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(13148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [678781] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7893), 1,
      anon_sym_DOT,
    STATE(13149), 1,
      sym_attribute,
    STATE(19309), 1,
      sym_add_operator,
    STATE(20184), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7899), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [678824] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11471), 1,
      anon_sym_PIPE,
    ACTIONS(16049), 1,
      anon_sym_COMMA,
    ACTIONS(16053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16055), 1,
      sym_pow_operator,
    ACTIONS(16057), 1,
      sym_mult_operator,
    ACTIONS(16059), 1,
      sym_concat_operator,
    ACTIONS(16061), 1,
      sym_rel_operator,
    ACTIONS(16063), 1,
      sym_and_operator,
    ACTIONS(16065), 1,
      sym_or_operator,
    ACTIONS(16067), 1,
      sym_assign_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(13150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [678879] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16197), 1,
      anon_sym_else,
    STATE(11642), 1,
      sym_else_clause,
    STATE(13151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [678916] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11477), 1,
      anon_sym_PIPE,
    ACTIONS(16049), 1,
      anon_sym_COMMA,
    ACTIONS(16053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16055), 1,
      sym_pow_operator,
    ACTIONS(16057), 1,
      sym_mult_operator,
    ACTIONS(16059), 1,
      sym_concat_operator,
    ACTIONS(16061), 1,
      sym_rel_operator,
    ACTIONS(16063), 1,
      sym_and_operator,
    ACTIONS(16065), 1,
      sym_or_operator,
    ACTIONS(16067), 1,
      sym_assign_operator,
    STATE(2172), 1,
      sym_add_operator,
    STATE(13152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [678971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12551), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12553), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [679004] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(13154), 1,
      sym_attribute,
    STATE(17880), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [679055] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16167), 1,
      sym_pow_operator,
    STATE(2090), 1,
      sym_add_operator,
    STATE(13155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [679092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12525), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [679125] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16167), 1,
      sym_pow_operator,
    STATE(2090), 1,
      sym_add_operator,
    STATE(13157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [679162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12675), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [679195] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15907), 1,
      anon_sym_DASH_GT,
    ACTIONS(15909), 1,
      anon_sym_with,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12086), 1,
      aux_sym_expression_item_repeat1,
    STATE(13159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14723), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [679236] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15386), 1,
      anon_sym_let,
    ACTIONS(15957), 1,
      anon_sym_and,
    ACTIONS(15959), 1,
      sym_let_and_operator,
    STATE(12986), 1,
      aux_sym_value_definition_repeat1,
    STATE(13160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15384), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [679275] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2172), 1,
      sym_add_operator,
    STATE(13161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [679310] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16197), 1,
      anon_sym_else,
    STATE(11624), 1,
      sym_else_clause,
    STATE(13162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [679347] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16167), 1,
      sym_pow_operator,
    ACTIONS(16169), 1,
      sym_mult_operator,
    ACTIONS(16171), 1,
      sym_concat_operator,
    STATE(2090), 1,
      sym_add_operator,
    STATE(13163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [679392] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16167), 1,
      sym_pow_operator,
    ACTIONS(16169), 1,
      sym_mult_operator,
    ACTIONS(16171), 1,
      sym_concat_operator,
    STATE(2090), 1,
      sym_add_operator,
    STATE(13164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [679437] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16167), 1,
      sym_pow_operator,
    ACTIONS(16169), 1,
      sym_mult_operator,
    ACTIONS(16171), 1,
      sym_concat_operator,
    ACTIONS(16173), 1,
      sym_rel_operator,
    ACTIONS(16175), 1,
      sym_and_operator,
    STATE(2090), 1,
      sym_add_operator,
    STATE(13165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_and,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [679486] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_and,
    ACTIONS(16165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16167), 1,
      sym_pow_operator,
    ACTIONS(16169), 1,
      sym_mult_operator,
    ACTIONS(16171), 1,
      sym_concat_operator,
    ACTIONS(16173), 1,
      sym_rel_operator,
    ACTIONS(16175), 1,
      sym_and_operator,
    ACTIONS(16177), 1,
      sym_or_operator,
    STATE(2090), 1,
      sym_add_operator,
    STATE(13166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [679537] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16151), 1,
      anon_sym_PIPE,
    STATE(13113), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13244), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [679574] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14711), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16151), 1,
      anon_sym_PIPE,
    STATE(13114), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14709), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [679611] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_and,
    ACTIONS(16161), 1,
      anon_sym_COMMA,
    ACTIONS(16165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16167), 1,
      sym_pow_operator,
    ACTIONS(16169), 1,
      sym_mult_operator,
    ACTIONS(16171), 1,
      sym_concat_operator,
    ACTIONS(16173), 1,
      sym_rel_operator,
    ACTIONS(16175), 1,
      sym_and_operator,
    ACTIONS(16177), 1,
      sym_or_operator,
    ACTIONS(16179), 1,
      sym_assign_operator,
    STATE(2090), 1,
      sym_add_operator,
    STATE(13169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [679666] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16167), 1,
      sym_pow_operator,
    ACTIONS(16169), 1,
      sym_mult_operator,
    STATE(2090), 1,
      sym_add_operator,
    STATE(13170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [679705] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16156), 1,
      anon_sym_PIPE,
    STATE(13116), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13244), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [679742] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14711), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16156), 1,
      anon_sym_PIPE,
    STATE(13117), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14709), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [679779] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11471), 1,
      anon_sym_and,
    ACTIONS(16161), 1,
      anon_sym_COMMA,
    ACTIONS(16165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16167), 1,
      sym_pow_operator,
    ACTIONS(16169), 1,
      sym_mult_operator,
    ACTIONS(16171), 1,
      sym_concat_operator,
    ACTIONS(16173), 1,
      sym_rel_operator,
    ACTIONS(16175), 1,
      sym_and_operator,
    ACTIONS(16177), 1,
      sym_or_operator,
    ACTIONS(16179), 1,
      sym_assign_operator,
    STATE(2090), 1,
      sym_add_operator,
    STATE(13173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [679834] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15915), 1,
      anon_sym_DASH_GT,
    ACTIONS(15917), 1,
      anon_sym_with,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(13174), 1,
      sym_attribute,
    STATE(13518), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16138), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [679875] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(16199), 1,
      anon_sym_LPAREN,
    ACTIONS(16201), 1,
      anon_sym_functor,
    STATE(12366), 1,
      sym__module_type,
    STATE(13175), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [679926] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(15182), 1,
      anon_sym_LPAREN,
    ACTIONS(15184), 1,
      anon_sym_functor,
    STATE(12945), 1,
      sym__module_type,
    STATE(13176), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [679977] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15915), 1,
      anon_sym_DASH_GT,
    ACTIONS(15917), 1,
      anon_sym_with,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(13177), 1,
      sym_attribute,
    STATE(13275), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16085), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680018] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(15182), 1,
      anon_sym_LPAREN,
    ACTIONS(15184), 1,
      anon_sym_functor,
    STATE(12947), 1,
      sym__module_type,
    STATE(13178), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [680069] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15915), 1,
      anon_sym_DASH_GT,
    ACTIONS(15917), 1,
      anon_sym_with,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12086), 1,
      aux_sym_expression_item_repeat1,
    STATE(13179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14723), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680110] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11477), 1,
      anon_sym_and,
    ACTIONS(16161), 1,
      anon_sym_COMMA,
    ACTIONS(16165), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16167), 1,
      sym_pow_operator,
    ACTIONS(16169), 1,
      sym_mult_operator,
    ACTIONS(16171), 1,
      sym_concat_operator,
    ACTIONS(16173), 1,
      sym_rel_operator,
    ACTIONS(16175), 1,
      sym_and_operator,
    ACTIONS(16177), 1,
      sym_or_operator,
    ACTIONS(16179), 1,
      sym_assign_operator,
    STATE(2090), 1,
      sym_add_operator,
    STATE(13180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [680165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12665), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12667), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [680198] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2090), 1,
      sym_add_operator,
    STATE(13182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [680233] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15907), 1,
      anon_sym_DASH_GT,
    ACTIONS(15909), 1,
      anon_sym_with,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12058), 1,
      aux_sym_expression_item_repeat1,
    STATE(13183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14657), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680274] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(15182), 1,
      anon_sym_LPAREN,
    ACTIONS(15184), 1,
      anon_sym_functor,
    STATE(13159), 1,
      sym__module_type,
    STATE(13184), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [680325] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15174), 1,
      anon_sym_LPAREN,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(15178), 1,
      anon_sym_functor,
    STATE(12954), 1,
      sym__module_type,
    STATE(13185), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [680376] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15174), 1,
      anon_sym_LPAREN,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(15178), 1,
      anon_sym_functor,
    STATE(12955), 1,
      sym__module_type,
    STATE(13186), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [680427] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15915), 1,
      anon_sym_DASH_GT,
    ACTIONS(15917), 1,
      anon_sym_with,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12058), 1,
      aux_sym_expression_item_repeat1,
    STATE(13187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14657), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680468] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15174), 1,
      anon_sym_LPAREN,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(15178), 1,
      anon_sym_functor,
    STATE(13179), 1,
      sym__module_type,
    STATE(13188), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [680519] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(16199), 1,
      anon_sym_LPAREN,
    ACTIONS(16201), 1,
      anon_sym_functor,
    STATE(12088), 1,
      sym__module_type,
    STATE(13189), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [680570] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(16199), 1,
      anon_sym_LPAREN,
    ACTIONS(16201), 1,
      anon_sym_functor,
    STATE(12089), 1,
      sym__module_type,
    STATE(13190), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [680621] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(16199), 1,
      anon_sym_LPAREN,
    ACTIONS(16201), 1,
      anon_sym_functor,
    STATE(12087), 1,
      sym__module_type,
    STATE(13191), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [680672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12671), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [680705] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13532), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(15596), 1,
      anon_sym_DASH_GT,
    STATE(13193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13530), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680742] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(16199), 1,
      anon_sym_LPAREN,
    ACTIONS(16201), 1,
      anon_sym_functor,
    STATE(12372), 1,
      sym__module_type,
    STATE(13194), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [680793] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16001), 1,
      anon_sym_and,
    ACTIONS(16205), 1,
      anon_sym_let,
    STATE(13018), 1,
      aux_sym_module_definition_repeat1,
    STATE(13195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16203), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [680830] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15174), 1,
      anon_sym_LPAREN,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(15178), 1,
      anon_sym_functor,
    STATE(13177), 1,
      sym__module_type,
    STATE(13196), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [680881] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(15182), 1,
      anon_sym_LPAREN,
    ACTIONS(15184), 1,
      anon_sym_functor,
    STATE(10628), 1,
      sym__module_type,
    STATE(13197), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [680932] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(15182), 1,
      anon_sym_LPAREN,
    ACTIONS(15184), 1,
      anon_sym_functor,
    STATE(12961), 1,
      sym__module_type,
    STATE(13198), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [680983] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(15182), 1,
      anon_sym_LPAREN,
    ACTIONS(15184), 1,
      anon_sym_functor,
    STATE(13183), 1,
      sym__module_type,
    STATE(13199), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [681034] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12018), 1,
      aux_sym_expression_item_repeat1,
    STATE(13200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16207), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14717), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [681073] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15174), 1,
      anon_sym_LPAREN,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(15178), 1,
      anon_sym_functor,
    STATE(10628), 1,
      sym__module_type,
    STATE(13201), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [681124] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15174), 1,
      anon_sym_LPAREN,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(15178), 1,
      anon_sym_functor,
    STATE(12962), 1,
      sym__module_type,
    STATE(13202), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [681175] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15174), 1,
      anon_sym_LPAREN,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(15178), 1,
      anon_sym_functor,
    STATE(13187), 1,
      sym__module_type,
    STATE(13203), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [681226] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12018), 1,
      aux_sym_expression_item_repeat1,
    STATE(13204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16209), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14717), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [681265] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15176), 1,
      anon_sym_module,
    ACTIONS(16199), 1,
      anon_sym_LPAREN,
    ACTIONS(16201), 1,
      anon_sym_functor,
    STATE(10628), 1,
      sym__module_type,
    STATE(13205), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [681316] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14935), 1,
      sym__identifier,
    ACTIONS(14937), 1,
      anon_sym_LPAREN,
    ACTIONS(14939), 1,
      anon_sym_module,
    ACTIONS(14941), 1,
      anon_sym_sig,
    ACTIONS(14943), 1,
      anon_sym_functor,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    STATE(13206), 1,
      sym_attribute,
    STATE(17025), 1,
      sym__module_type,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10688), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [681367] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(12063), 1,
      aux_sym_expression_item_repeat1,
    STATE(13207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16211), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14641), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [681406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9186), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [681439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9132), 1,
      anon_sym_let,
    STATE(13209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [681471] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13210), 1,
      sym_attribute,
    STATE(14500), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [681519] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16213), 1,
      anon_sym_else,
    STATE(9358), 1,
      sym_else_clause,
    STATE(13211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [681555] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13212), 1,
      sym_attribute,
    STATE(14434), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [681603] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16213), 1,
      anon_sym_else,
    STATE(9350), 1,
      sym_else_clause,
    STATE(13213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [681639] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16217), 1,
      sym_pow_operator,
    ACTIONS(16219), 1,
      sym_mult_operator,
    ACTIONS(16221), 1,
      sym_concat_operator,
    STATE(2038), 1,
      sym_add_operator,
    STATE(13214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [681683] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13215), 1,
      sym_attribute,
    STATE(14309), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [681731] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16223), 1,
      anon_sym_else,
    STATE(11624), 1,
      sym_else_clause,
    STATE(13216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [681767] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13217), 1,
      sym_attribute,
    STATE(14331), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [681815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9108), 1,
      anon_sym_let,
    STATE(13218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [681847] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(13219), 1,
      sym_attribute,
    STATE(13374), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16225), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [681883] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13220), 1,
      sym_attribute,
    STATE(14275), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [681931] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2275), 1,
      sym_add_operator,
    STATE(13221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [681965] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13222), 1,
      sym_attribute,
    STATE(14497), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [682013] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16227), 1,
      anon_sym_else,
    STATE(9358), 1,
      sym_else_clause,
    STATE(13223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [682049] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11411), 1,
      anon_sym_PIPE,
    ACTIONS(16229), 1,
      anon_sym_COMMA,
    ACTIONS(16231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16233), 1,
      sym_pow_operator,
    ACTIONS(16235), 1,
      sym_mult_operator,
    ACTIONS(16237), 1,
      sym_concat_operator,
    ACTIONS(16239), 1,
      sym_rel_operator,
    ACTIONS(16241), 1,
      sym_and_operator,
    ACTIONS(16243), 1,
      sym_or_operator,
    ACTIONS(16245), 1,
      sym_assign_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(13224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [682103] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13225), 1,
      sym_attribute,
    STATE(14284), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [682151] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11411), 1,
      anon_sym_PIPE,
    ACTIONS(16247), 1,
      anon_sym_COMMA,
    ACTIONS(16249), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16251), 1,
      sym_pow_operator,
    ACTIONS(16253), 1,
      sym_mult_operator,
    ACTIONS(16255), 1,
      sym_concat_operator,
    ACTIONS(16257), 1,
      sym_rel_operator,
    ACTIONS(16259), 1,
      sym_and_operator,
    ACTIONS(16261), 1,
      sym_or_operator,
    ACTIONS(16263), 1,
      sym_assign_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [682205] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15561), 1,
      anon_sym_let,
    ACTIONS(16265), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13227), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(15559), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [682239] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13228), 1,
      sym_attribute,
    STATE(14317), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [682287] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9110), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [682319] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16270), 1,
      anon_sym_let,
    ACTIONS(16272), 1,
      anon_sym_and,
    STATE(13227), 1,
      aux_sym_class_definition_repeat1,
    STATE(13230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16268), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [682355] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15132), 1,
      anon_sym_LPAREN,
    ACTIONS(15136), 1,
      anon_sym_functor,
    ACTIONS(15138), 1,
      anon_sym_struct,
    ACTIONS(15142), 1,
      sym__capitalized_identifier,
    STATE(13231), 1,
      sym_attribute,
    STATE(14172), 1,
      sym__module_expression,
    STATE(14537), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14595), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14566), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [682403] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13232), 1,
      sym_attribute,
    STATE(14334), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [682451] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13233), 1,
      sym_attribute,
    STATE(14422), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [682499] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(16274), 1,
      sym__identifier,
    ACTIONS(16276), 1,
      anon_sym_POUND,
    STATE(13234), 1,
      sym_attribute,
    STATE(14038), 1,
      sym_type_constructor_path,
    STATE(18960), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12371), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12373), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [682541] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16278), 1,
      anon_sym_PIPE,
    STATE(13235), 1,
      sym_attribute,
    STATE(13252), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [682577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      anon_sym_let,
    STATE(13236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [682609] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16280), 1,
      anon_sym_PIPE,
    STATE(13237), 1,
      sym_attribute,
    STATE(13247), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [682645] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16217), 1,
      sym_pow_operator,
    ACTIONS(16219), 1,
      sym_mult_operator,
    ACTIONS(16221), 1,
      sym_concat_operator,
    STATE(2038), 1,
      sym_add_operator,
    STATE(13238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [682689] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(16282), 1,
      sym__identifier,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16286), 1,
      anon_sym_nonrec,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    STATE(13239), 1,
      sym_attribute,
    STATE(13242), 1,
      sym_type_binding,
    STATE(13952), 1,
      sym__attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(15989), 1,
      sym__type_params,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(22203), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [682749] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16294), 1,
      anon_sym_PIPE,
    STATE(13240), 1,
      sym_attribute,
    STATE(13241), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [682785] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16296), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13241), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [682819] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16071), 1,
      anon_sym_let,
    ACTIONS(16299), 1,
      anon_sym_and,
    STATE(13242), 1,
      sym_attribute,
    STATE(13340), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16069), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [682855] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16278), 1,
      anon_sym_PIPE,
    STATE(13243), 1,
      sym_attribute,
    STATE(13256), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [682891] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16039), 1,
      anon_sym_constraint,
    ACTIONS(16041), 1,
      anon_sym_val,
    ACTIONS(16045), 1,
      anon_sym_inherit,
    ACTIONS(16047), 1,
      anon_sym_method,
    ACTIONS(16301), 1,
      anon_sym_end,
    STATE(13244), 1,
      sym_attribute,
    STATE(13338), 1,
      aux_sym_class_body_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14852), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(14795), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [682941] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16110), 1,
      anon_sym_let,
    ACTIONS(16299), 1,
      anon_sym_and,
    STATE(13245), 1,
      sym_attribute,
    STATE(13469), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16108), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [682977] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16280), 1,
      anon_sym_PIPE,
    STATE(13246), 1,
      sym_attribute,
    STATE(13261), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [683013] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16280), 1,
      anon_sym_PIPE,
    STATE(13247), 1,
      sym_attribute,
    STATE(13267), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [683049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9112), 1,
      anon_sym_let,
    STATE(13248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [683081] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16305), 1,
      anon_sym_let,
    ACTIONS(16307), 1,
      anon_sym_and,
    STATE(13249), 1,
      sym_attribute,
    STATE(13262), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16303), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [683117] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16305), 1,
      anon_sym_let,
    ACTIONS(16307), 1,
      anon_sym_and,
    STATE(13250), 1,
      sym_attribute,
    STATE(13263), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16303), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [683153] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16039), 1,
      anon_sym_constraint,
    ACTIONS(16041), 1,
      anon_sym_val,
    ACTIONS(16045), 1,
      anon_sym_inherit,
    ACTIONS(16047), 1,
      anon_sym_method,
    ACTIONS(16309), 1,
      anon_sym_end,
    STATE(13244), 1,
      aux_sym_class_body_type_repeat1,
    STATE(13251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14852), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(14795), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [683203] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16278), 1,
      anon_sym_PIPE,
    STATE(13252), 1,
      sym_attribute,
    STATE(13264), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [683239] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    ACTIONS(16311), 1,
      sym__identifier,
    ACTIONS(16313), 1,
      anon_sym_nonrec,
    STATE(13038), 1,
      sym_type_binding,
    STATE(13253), 1,
      sym_attribute,
    STATE(14016), 1,
      sym__attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(15980), 1,
      sym__type_params,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(19876), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [683299] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13254), 1,
      sym_attribute,
    STATE(14409), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [683347] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15152), 1,
      anon_sym_functor,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9594), 1,
      sym__module_expression,
    STATE(9890), 1,
      sym_module_path,
    STATE(13255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [683395] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16278), 1,
      anon_sym_PIPE,
    STATE(13256), 1,
      sym_attribute,
    STATE(13264), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [683431] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16217), 1,
      sym_pow_operator,
    ACTIONS(16219), 1,
      sym_mult_operator,
    ACTIONS(16221), 1,
      sym_concat_operator,
    ACTIONS(16315), 1,
      sym_rel_operator,
    ACTIONS(16317), 1,
      sym_and_operator,
    STATE(2038), 1,
      sym_add_operator,
    STATE(13257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [683479] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13258), 1,
      sym_attribute,
    STATE(14056), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [683527] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9106), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [683559] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9134), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [683591] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16280), 1,
      anon_sym_PIPE,
    STATE(13261), 1,
      sym_attribute,
    STATE(13267), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [683627] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15561), 1,
      anon_sym_let,
    ACTIONS(16319), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13262), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(15559), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [683661] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16270), 1,
      anon_sym_let,
    ACTIONS(16307), 1,
      anon_sym_and,
    STATE(13262), 1,
      aux_sym_class_definition_repeat1,
    STATE(13263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16268), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [683697] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16322), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13264), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [683731] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16325), 1,
      anon_sym_else,
    STATE(9350), 1,
      sym_else_clause,
    STATE(13265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [683767] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16217), 1,
      sym_pow_operator,
    ACTIONS(16219), 1,
      sym_mult_operator,
    ACTIONS(16221), 1,
      sym_concat_operator,
    ACTIONS(16315), 1,
      sym_rel_operator,
    ACTIONS(16317), 1,
      sym_and_operator,
    ACTIONS(16327), 1,
      sym_or_operator,
    STATE(2038), 1,
      sym_add_operator,
    STATE(13266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [683817] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13267), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [683851] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15152), 1,
      anon_sym_functor,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9753), 1,
      sym__module_expression,
    STATE(9890), 1,
      sym_module_path,
    STATE(13268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [683899] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13269), 1,
      sym_attribute,
    STATE(14452), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [683947] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16332), 1,
      sym_pow_operator,
    STATE(2739), 1,
      sym_add_operator,
    STATE(13270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [683983] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16332), 1,
      sym_pow_operator,
    ACTIONS(16334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16336), 1,
      sym_mult_operator,
    STATE(2739), 1,
      sym_add_operator,
    STATE(13271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [684025] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15132), 1,
      anon_sym_LPAREN,
    ACTIONS(15136), 1,
      anon_sym_functor,
    ACTIONS(15138), 1,
      anon_sym_struct,
    ACTIONS(15142), 1,
      sym__capitalized_identifier,
    STATE(13272), 1,
      sym_attribute,
    STATE(14251), 1,
      sym__module_expression,
    STATE(14537), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14595), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14566), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [684073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16018), 1,
      anon_sym_let,
    STATE(13273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16016), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [684105] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15561), 1,
      anon_sym_let,
    ACTIONS(16338), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13274), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(15559), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [684139] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(13275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16341), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [684175] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9116), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [684207] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15152), 1,
      anon_sym_functor,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9556), 1,
      sym__module_expression,
    STATE(9890), 1,
      sym_module_path,
    STATE(13277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [684255] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12970), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12591), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12593), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [684289] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13279), 1,
      sym_attribute,
    STATE(14174), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [684337] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15152), 1,
      anon_sym_functor,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9761), 1,
      sym__module_expression,
    STATE(9890), 1,
      sym_module_path,
    STATE(13280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [684385] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_PIPE,
    ACTIONS(16231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16233), 1,
      sym_pow_operator,
    ACTIONS(16235), 1,
      sym_mult_operator,
    ACTIONS(16237), 1,
      sym_concat_operator,
    ACTIONS(16239), 1,
      sym_rel_operator,
    ACTIONS(16241), 1,
      sym_and_operator,
    ACTIONS(16243), 1,
      sym_or_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(13281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [684435] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16233), 1,
      sym_pow_operator,
    ACTIONS(16235), 1,
      sym_mult_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(13282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [684477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9118), 1,
      anon_sym_let,
    STATE(13283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [684509] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16233), 1,
      sym_pow_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(13284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [684545] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15999), 1,
      anon_sym_let,
    ACTIONS(16343), 1,
      anon_sym_and,
    STATE(13285), 1,
      sym_attribute,
    STATE(13525), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15997), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [684581] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16233), 1,
      sym_pow_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(13286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [684617] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9102), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [684649] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16233), 1,
      sym_pow_operator,
    ACTIONS(16235), 1,
      sym_mult_operator,
    ACTIONS(16237), 1,
      sym_concat_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(13288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [684693] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16233), 1,
      sym_pow_operator,
    ACTIONS(16235), 1,
      sym_mult_operator,
    ACTIONS(16237), 1,
      sym_concat_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(13289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [684737] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16233), 1,
      sym_pow_operator,
    ACTIONS(16235), 1,
      sym_mult_operator,
    ACTIONS(16237), 1,
      sym_concat_operator,
    ACTIONS(16239), 1,
      sym_rel_operator,
    ACTIONS(16241), 1,
      sym_and_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(13290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [684785] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13291), 1,
      sym_attribute,
    STATE(14493), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [684833] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16233), 1,
      sym_pow_operator,
    ACTIONS(16235), 1,
      sym_mult_operator,
    ACTIONS(16237), 1,
      sym_concat_operator,
    ACTIONS(16239), 1,
      sym_rel_operator,
    ACTIONS(16241), 1,
      sym_and_operator,
    ACTIONS(16243), 1,
      sym_or_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(13292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [684883] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16345), 1,
      anon_sym_else,
    STATE(9127), 1,
      sym_else_clause,
    STATE(13293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [684919] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11411), 1,
      anon_sym_PIPE,
    ACTIONS(16347), 1,
      anon_sym_COMMA,
    ACTIONS(16349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16351), 1,
      sym_pow_operator,
    ACTIONS(16353), 1,
      sym_mult_operator,
    ACTIONS(16355), 1,
      sym_concat_operator,
    ACTIONS(16357), 1,
      sym_rel_operator,
    ACTIONS(16359), 1,
      sym_and_operator,
    ACTIONS(16361), 1,
      sym_or_operator,
    ACTIONS(16363), 1,
      sym_assign_operator,
    STATE(2575), 1,
      sym_add_operator,
    STATE(13294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [684973] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13295), 1,
      sym_attribute,
    STATE(14366), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [685021] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16332), 1,
      sym_pow_operator,
    STATE(2739), 1,
      sym_add_operator,
    STATE(13296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [685057] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(13297), 1,
      sym_attribute,
    STATE(13421), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16365), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [685093] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2575), 1,
      sym_add_operator,
    STATE(13298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [685127] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_PIPE,
    ACTIONS(16367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16369), 1,
      sym_pow_operator,
    ACTIONS(16371), 1,
      sym_mult_operator,
    ACTIONS(16373), 1,
      sym_concat_operator,
    ACTIONS(16375), 1,
      sym_rel_operator,
    ACTIONS(16377), 1,
      sym_and_operator,
    ACTIONS(16379), 1,
      sym_or_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(13299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [685177] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16381), 1,
      anon_sym_else,
    STATE(9358), 1,
      sym_else_clause,
    STATE(13300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [685213] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16369), 1,
      sym_pow_operator,
    ACTIONS(16371), 1,
      sym_mult_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(13301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [685255] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16369), 1,
      sym_pow_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(13302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [685291] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16229), 1,
      anon_sym_COMMA,
    ACTIONS(16231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16233), 1,
      sym_pow_operator,
    ACTIONS(16235), 1,
      sym_mult_operator,
    ACTIONS(16237), 1,
      sym_concat_operator,
    ACTIONS(16239), 1,
      sym_rel_operator,
    ACTIONS(16241), 1,
      sym_and_operator,
    ACTIONS(16243), 1,
      sym_or_operator,
    ACTIONS(16245), 1,
      sym_assign_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(13303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [685345] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    ACTIONS(16383), 1,
      sym__identifier,
    ACTIONS(16385), 1,
      anon_sym_nonrec,
    STATE(13304), 1,
      sym_attribute,
    STATE(14075), 1,
      sym_type_binding,
    STATE(14135), 1,
      sym__attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16046), 1,
      sym__type_params,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(22233), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [685405] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16233), 1,
      sym_pow_operator,
    ACTIONS(16235), 1,
      sym_mult_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(13305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [685443] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16387), 1,
      anon_sym_else,
    STATE(9127), 1,
      sym_else_clause,
    STATE(13306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [685479] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11471), 1,
      anon_sym_PIPE,
    ACTIONS(16229), 1,
      anon_sym_COMMA,
    ACTIONS(16231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16233), 1,
      sym_pow_operator,
    ACTIONS(16235), 1,
      sym_mult_operator,
    ACTIONS(16237), 1,
      sym_concat_operator,
    ACTIONS(16239), 1,
      sym_rel_operator,
    ACTIONS(16241), 1,
      sym_and_operator,
    ACTIONS(16243), 1,
      sym_or_operator,
    ACTIONS(16245), 1,
      sym_assign_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(13307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [685533] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11477), 1,
      anon_sym_PIPE,
    ACTIONS(16229), 1,
      anon_sym_COMMA,
    ACTIONS(16231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16233), 1,
      sym_pow_operator,
    ACTIONS(16235), 1,
      sym_mult_operator,
    ACTIONS(16237), 1,
      sym_concat_operator,
    ACTIONS(16239), 1,
      sym_rel_operator,
    ACTIONS(16241), 1,
      sym_and_operator,
    ACTIONS(16243), 1,
      sym_or_operator,
    ACTIONS(16245), 1,
      sym_assign_operator,
    STATE(2275), 1,
      sym_add_operator,
    STATE(13308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [685587] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16389), 1,
      anon_sym_else,
    STATE(9350), 1,
      sym_else_clause,
    STATE(13309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [685623] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16369), 1,
      sym_pow_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(13310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [685659] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13311), 1,
      sym_attribute,
    STATE(14320), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [685707] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10200), 1,
      anon_sym_PIPE,
    ACTIONS(16367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16369), 1,
      sym_pow_operator,
    ACTIONS(16371), 1,
      sym_mult_operator,
    ACTIONS(16373), 1,
      sym_concat_operator,
    ACTIONS(16375), 1,
      sym_rel_operator,
    ACTIONS(16377), 1,
      sym_and_operator,
    ACTIONS(16379), 1,
      sym_or_operator,
    ACTIONS(16391), 1,
      anon_sym_COMMA,
    ACTIONS(16393), 1,
      anon_sym_SEMI,
    ACTIONS(16395), 1,
      sym_assign_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(13312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10198), 2,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [685763] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13867), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16397), 1,
      anon_sym_EQ,
    ACTIONS(16399), 1,
      anon_sym_of,
    ACTIONS(16401), 1,
      anon_sym_COLON2,
    STATE(13313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13865), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [685801] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13881), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16403), 1,
      anon_sym_EQ,
    ACTIONS(16405), 1,
      anon_sym_of,
    ACTIONS(16407), 1,
      anon_sym_COLON2,
    STATE(13314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13879), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [685839] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16270), 1,
      anon_sym_let,
    ACTIONS(16409), 1,
      anon_sym_and,
    STATE(13274), 1,
      aux_sym_class_definition_repeat1,
    STATE(13315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16268), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [685875] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11411), 1,
      anon_sym_PIPE,
    ACTIONS(16332), 1,
      sym_pow_operator,
    ACTIONS(16334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16336), 1,
      sym_mult_operator,
    ACTIONS(16411), 1,
      anon_sym_COMMA,
    ACTIONS(16413), 1,
      sym_concat_operator,
    ACTIONS(16415), 1,
      sym_rel_operator,
    ACTIONS(16417), 1,
      sym_and_operator,
    ACTIONS(16419), 1,
      sym_or_operator,
    ACTIONS(16421), 1,
      sym_assign_operator,
    STATE(2739), 1,
      sym_add_operator,
    STATE(13316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [685929] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16325), 1,
      anon_sym_else,
    STATE(9358), 1,
      sym_else_clause,
    STATE(13317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [685965] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16381), 1,
      anon_sym_else,
    STATE(9350), 1,
      sym_else_clause,
    STATE(13318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [686001] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13319), 1,
      sym_attribute,
    STATE(14339), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [686049] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16369), 1,
      sym_pow_operator,
    ACTIONS(16371), 1,
      sym_mult_operator,
    ACTIONS(16373), 1,
      sym_concat_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(13320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [686093] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13772), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16423), 1,
      anon_sym_EQ,
    ACTIONS(16425), 1,
      anon_sym_of,
    ACTIONS(16427), 1,
      anon_sym_COLON2,
    STATE(13321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13770), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [686131] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16369), 1,
      sym_pow_operator,
    ACTIONS(16371), 1,
      sym_mult_operator,
    ACTIONS(16373), 1,
      sym_concat_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(13322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [686175] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10200), 1,
      anon_sym_PIPE,
    ACTIONS(16429), 1,
      anon_sym_COMMA,
    ACTIONS(16431), 1,
      anon_sym_SEMI,
    ACTIONS(16433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16435), 1,
      sym_pow_operator,
    ACTIONS(16437), 1,
      sym_mult_operator,
    ACTIONS(16439), 1,
      sym_concat_operator,
    ACTIONS(16441), 1,
      sym_rel_operator,
    ACTIONS(16443), 1,
      sym_and_operator,
    ACTIONS(16445), 1,
      sym_or_operator,
    ACTIONS(16447), 1,
      sym_assign_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(13323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10198), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [686231] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16449), 1,
      anon_sym_else,
    STATE(9350), 1,
      sym_else_clause,
    STATE(13324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [686267] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13325), 1,
      sym_attribute,
    STATE(14276), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [686315] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16332), 1,
      sym_pow_operator,
    ACTIONS(16334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16336), 1,
      sym_mult_operator,
    ACTIONS(16413), 1,
      sym_concat_operator,
    STATE(2739), 1,
      sym_add_operator,
    STATE(13326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [686359] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16369), 1,
      sym_pow_operator,
    ACTIONS(16371), 1,
      sym_mult_operator,
    ACTIONS(16373), 1,
      sym_concat_operator,
    ACTIONS(16375), 1,
      sym_rel_operator,
    ACTIONS(16377), 1,
      sym_and_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(13327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [686407] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16369), 1,
      sym_pow_operator,
    ACTIONS(16371), 1,
      sym_mult_operator,
    ACTIONS(16373), 1,
      sym_concat_operator,
    ACTIONS(16375), 1,
      sym_rel_operator,
    ACTIONS(16377), 1,
      sym_and_operator,
    ACTIONS(16379), 1,
      sym_or_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(13328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [686457] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    ACTIONS(16451), 1,
      sym__identifier,
    ACTIONS(16453), 1,
      anon_sym_nonrec,
    STATE(13329), 1,
      sym_attribute,
    STATE(13996), 1,
      sym__attribute,
    STATE(14089), 1,
      sym_type_binding,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16078), 1,
      sym__type_params,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(22251), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [686517] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16369), 1,
      sym_pow_operator,
    ACTIONS(16371), 1,
      sym_mult_operator,
    ACTIONS(16373), 1,
      sym_concat_operator,
    ACTIONS(16375), 1,
      sym_rel_operator,
    ACTIONS(16377), 1,
      sym_and_operator,
    ACTIONS(16379), 1,
      sym_or_operator,
    ACTIONS(16391), 1,
      anon_sym_COMMA,
    ACTIONS(16395), 1,
      sym_assign_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(13330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [686571] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10200), 1,
      anon_sym_PIPE,
    ACTIONS(16229), 1,
      anon_sym_COMMA,
    ACTIONS(16231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16233), 1,
      sym_pow_operator,
    ACTIONS(16235), 1,
      sym_mult_operator,
    ACTIONS(16237), 1,
      sym_concat_operator,
    ACTIONS(16239), 1,
      sym_rel_operator,
    ACTIONS(16241), 1,
      sym_and_operator,
    ACTIONS(16243), 1,
      sym_or_operator,
    ACTIONS(16245), 1,
      sym_assign_operator,
    ACTIONS(16455), 1,
      anon_sym_SEMI,
    STATE(2275), 1,
      sym_add_operator,
    STATE(13331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10198), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [686627] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16369), 1,
      sym_pow_operator,
    ACTIONS(16371), 1,
      sym_mult_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(13332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [686665] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11471), 1,
      anon_sym_PIPE,
    ACTIONS(16367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16369), 1,
      sym_pow_operator,
    ACTIONS(16371), 1,
      sym_mult_operator,
    ACTIONS(16373), 1,
      sym_concat_operator,
    ACTIONS(16375), 1,
      sym_rel_operator,
    ACTIONS(16377), 1,
      sym_and_operator,
    ACTIONS(16379), 1,
      sym_or_operator,
    ACTIONS(16391), 1,
      anon_sym_COMMA,
    ACTIONS(16395), 1,
      sym_assign_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(13333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [686719] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_PIPE,
    ACTIONS(16332), 1,
      sym_pow_operator,
    ACTIONS(16334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16336), 1,
      sym_mult_operator,
    ACTIONS(16413), 1,
      sym_concat_operator,
    ACTIONS(16415), 1,
      sym_rel_operator,
    ACTIONS(16417), 1,
      sym_and_operator,
    ACTIONS(16419), 1,
      sym_or_operator,
    STATE(2739), 1,
      sym_add_operator,
    STATE(13334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [686769] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [686803] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10200), 1,
      anon_sym_PIPE,
    ACTIONS(16347), 1,
      anon_sym_COMMA,
    ACTIONS(16349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16351), 1,
      sym_pow_operator,
    ACTIONS(16353), 1,
      sym_mult_operator,
    ACTIONS(16355), 1,
      sym_concat_operator,
    ACTIONS(16357), 1,
      sym_rel_operator,
    ACTIONS(16359), 1,
      sym_and_operator,
    ACTIONS(16361), 1,
      sym_or_operator,
    ACTIONS(16363), 1,
      sym_assign_operator,
    ACTIONS(16457), 1,
      anon_sym_SEMI,
    STATE(2575), 1,
      sym_add_operator,
    STATE(13336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10198), 2,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [686859] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16389), 1,
      anon_sym_else,
    STATE(9358), 1,
      sym_else_clause,
    STATE(13337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [686895] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16459), 1,
      anon_sym_constraint,
    ACTIONS(16462), 1,
      anon_sym_val,
    ACTIONS(16465), 1,
      anon_sym_end,
    ACTIONS(16467), 1,
      anon_sym_inherit,
    ACTIONS(16470), 1,
      anon_sym_method,
    ACTIONS(16473), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(16476), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(16479), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13338), 2,
      sym_attribute,
      aux_sym_class_body_type_repeat1,
    STATE(14852), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(14795), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [686943] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13339), 1,
      sym_attribute,
    STATE(14285), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [686991] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16110), 1,
      anon_sym_let,
    ACTIONS(16299), 1,
      anon_sym_and,
    STATE(13340), 1,
      sym_attribute,
    STATE(13470), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16108), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [687027] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11477), 1,
      anon_sym_PIPE,
    ACTIONS(16332), 1,
      sym_pow_operator,
    ACTIONS(16334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16336), 1,
      sym_mult_operator,
    ACTIONS(16411), 1,
      anon_sym_COMMA,
    ACTIONS(16413), 1,
      sym_concat_operator,
    ACTIONS(16415), 1,
      sym_rel_operator,
    ACTIONS(16417), 1,
      sym_and_operator,
    ACTIONS(16419), 1,
      sym_or_operator,
    ACTIONS(16421), 1,
      sym_assign_operator,
    STATE(2739), 1,
      sym_add_operator,
    STATE(13341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [687081] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13342), 1,
      sym_attribute,
    STATE(14274), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [687129] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16217), 1,
      sym_pow_operator,
    ACTIONS(16219), 1,
      sym_mult_operator,
    ACTIONS(16221), 1,
      sym_concat_operator,
    ACTIONS(16315), 1,
      sym_rel_operator,
    ACTIONS(16317), 1,
      sym_and_operator,
    ACTIONS(16327), 1,
      sym_or_operator,
    ACTIONS(16482), 1,
      anon_sym_COMMA,
    ACTIONS(16484), 1,
      sym_assign_operator,
    STATE(2038), 1,
      sym_add_operator,
    STATE(13343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [687183] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_PIPE,
    ACTIONS(16349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16351), 1,
      sym_pow_operator,
    ACTIONS(16353), 1,
      sym_mult_operator,
    ACTIONS(16355), 1,
      sym_concat_operator,
    ACTIONS(16357), 1,
      sym_rel_operator,
    ACTIONS(16359), 1,
      sym_and_operator,
    ACTIONS(16361), 1,
      sym_or_operator,
    STATE(2575), 1,
      sym_add_operator,
    STATE(13344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [687233] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16351), 1,
      sym_pow_operator,
    ACTIONS(16353), 1,
      sym_mult_operator,
    STATE(2575), 1,
      sym_add_operator,
    STATE(13345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687275] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13346), 1,
      sym_attribute,
    STATE(14490), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [687323] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16351), 1,
      sym_pow_operator,
    STATE(2575), 1,
      sym_add_operator,
    STATE(13347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687359] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16351), 1,
      sym_pow_operator,
    STATE(2575), 1,
      sym_add_operator,
    STATE(13348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687395] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11411), 1,
      anon_sym_PIPE,
    ACTIONS(16367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16369), 1,
      sym_pow_operator,
    ACTIONS(16371), 1,
      sym_mult_operator,
    ACTIONS(16373), 1,
      sym_concat_operator,
    ACTIONS(16375), 1,
      sym_rel_operator,
    ACTIONS(16377), 1,
      sym_and_operator,
    ACTIONS(16379), 1,
      sym_or_operator,
    ACTIONS(16391), 1,
      anon_sym_COMMA,
    ACTIONS(16395), 1,
      sym_assign_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(13349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [687449] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(16274), 1,
      sym__identifier,
    ACTIONS(16486), 1,
      anon_sym_POUND,
    STATE(13350), 1,
      sym_attribute,
    STATE(14131), 1,
      sym_type_constructor_path,
    STATE(18960), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12367), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [687491] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2038), 1,
      sym_add_operator,
    STATE(13351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687525] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16351), 1,
      sym_pow_operator,
    ACTIONS(16353), 1,
      sym_mult_operator,
    ACTIONS(16355), 1,
      sym_concat_operator,
    STATE(2575), 1,
      sym_add_operator,
    STATE(13352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [687569] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10200), 1,
      anon_sym_PIPE,
    ACTIONS(16247), 1,
      anon_sym_COMMA,
    ACTIONS(16249), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16251), 1,
      sym_pow_operator,
    ACTIONS(16253), 1,
      sym_mult_operator,
    ACTIONS(16255), 1,
      sym_concat_operator,
    ACTIONS(16257), 1,
      sym_rel_operator,
    ACTIONS(16259), 1,
      sym_and_operator,
    ACTIONS(16261), 1,
      sym_or_operator,
    ACTIONS(16263), 1,
      sym_assign_operator,
    ACTIONS(16488), 1,
      anon_sym_SEMI,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10198), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [687625] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_PIPE,
    ACTIONS(16249), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16251), 1,
      sym_pow_operator,
    ACTIONS(16253), 1,
      sym_mult_operator,
    ACTIONS(16255), 1,
      sym_concat_operator,
    ACTIONS(16257), 1,
      sym_rel_operator,
    ACTIONS(16259), 1,
      sym_and_operator,
    ACTIONS(16261), 1,
      sym_or_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [687675] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16249), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16251), 1,
      sym_pow_operator,
    ACTIONS(16253), 1,
      sym_mult_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687717] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16332), 1,
      sym_pow_operator,
    ACTIONS(16334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16336), 1,
      sym_mult_operator,
    ACTIONS(16413), 1,
      sym_concat_operator,
    STATE(2739), 1,
      sym_add_operator,
    STATE(13356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [687761] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16251), 1,
      sym_pow_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687797] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16251), 1,
      sym_pow_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687833] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16217), 1,
      sym_pow_operator,
    ACTIONS(16219), 1,
      sym_mult_operator,
    STATE(2038), 1,
      sym_add_operator,
    STATE(13359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687871] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16490), 1,
      anon_sym_else,
    STATE(11642), 1,
      sym_else_clause,
    STATE(13360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687907] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11471), 1,
      anon_sym_PIPE,
    ACTIONS(16215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16217), 1,
      sym_pow_operator,
    ACTIONS(16219), 1,
      sym_mult_operator,
    ACTIONS(16221), 1,
      sym_concat_operator,
    ACTIONS(16315), 1,
      sym_rel_operator,
    ACTIONS(16317), 1,
      sym_and_operator,
    ACTIONS(16327), 1,
      sym_or_operator,
    ACTIONS(16482), 1,
      anon_sym_COMMA,
    ACTIONS(16484), 1,
      sym_assign_operator,
    STATE(2038), 1,
      sym_add_operator,
    STATE(13361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [687961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9120), 1,
      anon_sym_let,
    STATE(13362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [687993] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16249), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16251), 1,
      sym_pow_operator,
    ACTIONS(16253), 1,
      sym_mult_operator,
    ACTIONS(16255), 1,
      sym_concat_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [688037] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16249), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16251), 1,
      sym_pow_operator,
    ACTIONS(16253), 1,
      sym_mult_operator,
    ACTIONS(16255), 1,
      sym_concat_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [688081] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16249), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16251), 1,
      sym_pow_operator,
    ACTIONS(16253), 1,
      sym_mult_operator,
    ACTIONS(16255), 1,
      sym_concat_operator,
    ACTIONS(16257), 1,
      sym_rel_operator,
    ACTIONS(16259), 1,
      sym_and_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [688129] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16249), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16251), 1,
      sym_pow_operator,
    ACTIONS(16253), 1,
      sym_mult_operator,
    ACTIONS(16255), 1,
      sym_concat_operator,
    ACTIONS(16257), 1,
      sym_rel_operator,
    ACTIONS(16259), 1,
      sym_and_operator,
    ACTIONS(16261), 1,
      sym_or_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [688179] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15152), 1,
      anon_sym_functor,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9784), 1,
      sym__module_expression,
    STATE(9890), 1,
      sym_module_path,
    STATE(13367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [688227] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14711), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16492), 1,
      anon_sym_PIPE,
    STATE(13368), 1,
      sym_attribute,
    STATE(13370), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14709), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688263] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14736), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16492), 1,
      anon_sym_PIPE,
    STATE(13369), 1,
      sym_attribute,
    STATE(13370), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14734), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688299] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14029), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16494), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13370), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14027), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688333] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16247), 1,
      anon_sym_COMMA,
    ACTIONS(16249), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16251), 1,
      sym_pow_operator,
    ACTIONS(16253), 1,
      sym_mult_operator,
    ACTIONS(16255), 1,
      sym_concat_operator,
    ACTIONS(16257), 1,
      sym_rel_operator,
    ACTIONS(16259), 1,
      sym_and_operator,
    ACTIONS(16261), 1,
      sym_or_operator,
    ACTIONS(16263), 1,
      sym_assign_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [688387] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16251), 1,
      sym_pow_operator,
    ACTIONS(16253), 1,
      sym_mult_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [688425] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15132), 1,
      anon_sym_LPAREN,
    ACTIONS(15136), 1,
      anon_sym_functor,
    ACTIONS(15138), 1,
      anon_sym_struct,
    ACTIONS(15142), 1,
      sym__capitalized_identifier,
    STATE(13373), 1,
      sym_attribute,
    STATE(14181), 1,
      sym__module_expression,
    STATE(14537), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14595), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14566), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [688473] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(13374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16365), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688509] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16332), 1,
      sym_pow_operator,
    ACTIONS(16334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16336), 1,
      sym_mult_operator,
    ACTIONS(16413), 1,
      sym_concat_operator,
    ACTIONS(16415), 1,
      sym_rel_operator,
    ACTIONS(16417), 1,
      sym_and_operator,
    STATE(2739), 1,
      sym_add_operator,
    STATE(13375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [688557] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16305), 1,
      anon_sym_let,
    ACTIONS(16409), 1,
      anon_sym_and,
    STATE(13274), 1,
      aux_sym_class_definition_repeat1,
    STATE(13376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16303), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [688593] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11471), 1,
      anon_sym_PIPE,
    ACTIONS(16247), 1,
      anon_sym_COMMA,
    ACTIONS(16249), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16251), 1,
      sym_pow_operator,
    ACTIONS(16253), 1,
      sym_mult_operator,
    ACTIONS(16255), 1,
      sym_concat_operator,
    ACTIONS(16257), 1,
      sym_rel_operator,
    ACTIONS(16259), 1,
      sym_and_operator,
    ACTIONS(16261), 1,
      sym_or_operator,
    ACTIONS(16263), 1,
      sym_assign_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [688647] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11477), 1,
      anon_sym_PIPE,
    ACTIONS(16247), 1,
      anon_sym_COMMA,
    ACTIONS(16249), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16251), 1,
      sym_pow_operator,
    ACTIONS(16253), 1,
      sym_mult_operator,
    ACTIONS(16255), 1,
      sym_concat_operator,
    ACTIONS(16257), 1,
      sym_rel_operator,
    ACTIONS(16259), 1,
      sym_and_operator,
    ACTIONS(16261), 1,
      sym_or_operator,
    ACTIONS(16263), 1,
      sym_assign_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [688701] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14711), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16497), 1,
      anon_sym_PIPE,
    STATE(13379), 1,
      sym_attribute,
    STATE(13381), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14709), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688737] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14736), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16497), 1,
      anon_sym_PIPE,
    STATE(13380), 1,
      sym_attribute,
    STATE(13381), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14734), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688773] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14029), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16499), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13381), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14027), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688807] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16351), 1,
      sym_pow_operator,
    ACTIONS(16353), 1,
      sym_mult_operator,
    ACTIONS(16355), 1,
      sym_concat_operator,
    STATE(2575), 1,
      sym_add_operator,
    STATE(13382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [688851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9080), 1,
      anon_sym_let,
    STATE(13383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [688883] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9068), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [688915] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16351), 1,
      sym_pow_operator,
    ACTIONS(16353), 1,
      sym_mult_operator,
    ACTIONS(16355), 1,
      sym_concat_operator,
    ACTIONS(16357), 1,
      sym_rel_operator,
    ACTIONS(16359), 1,
      sym_and_operator,
    STATE(2575), 1,
      sym_add_operator,
    STATE(13385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [688963] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13386), 1,
      sym_attribute,
    STATE(14318), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [689011] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15152), 1,
      anon_sym_functor,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9890), 1,
      sym_module_path,
    STATE(10120), 1,
      sym__module_expression,
    STATE(13387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [689059] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16502), 1,
      anon_sym_PIPE,
    STATE(13388), 1,
      sym_attribute,
    STATE(13491), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [689095] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16502), 1,
      anon_sym_PIPE,
    STATE(13389), 1,
      sym_attribute,
    STATE(13491), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [689131] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11477), 1,
      anon_sym_PIPE,
    ACTIONS(16367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16369), 1,
      sym_pow_operator,
    ACTIONS(16371), 1,
      sym_mult_operator,
    ACTIONS(16373), 1,
      sym_concat_operator,
    ACTIONS(16375), 1,
      sym_rel_operator,
    ACTIONS(16377), 1,
      sym_and_operator,
    ACTIONS(16379), 1,
      sym_or_operator,
    ACTIONS(16391), 1,
      anon_sym_COMMA,
    ACTIONS(16395), 1,
      sym_assign_operator,
    STATE(2144), 1,
      sym_add_operator,
    STATE(13390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [689185] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2739), 1,
      sym_add_operator,
    STATE(13391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [689219] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16449), 1,
      anon_sym_else,
    STATE(9358), 1,
      sym_else_clause,
    STATE(13392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [689255] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16351), 1,
      sym_pow_operator,
    ACTIONS(16353), 1,
      sym_mult_operator,
    ACTIONS(16355), 1,
      sym_concat_operator,
    ACTIONS(16357), 1,
      sym_rel_operator,
    ACTIONS(16359), 1,
      sym_and_operator,
    ACTIONS(16361), 1,
      sym_or_operator,
    STATE(2575), 1,
      sym_add_operator,
    STATE(13393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [689305] = 18,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16504), 1,
      anon_sym_COLON_GT,
    ACTIONS(16506), 1,
      anon_sym_RPAREN,
    ACTIONS(16508), 1,
      anon_sym_COLON2,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13394), 1,
      sym_attribute,
    STATE(18437), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [689363] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13395), 1,
      sym_attribute,
    STATE(14373), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [689411] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13867), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16397), 1,
      anon_sym_EQ,
    ACTIONS(16510), 1,
      anon_sym_of,
    ACTIONS(16512), 1,
      anon_sym_COLON2,
    STATE(13396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13865), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [689449] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13881), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16403), 1,
      anon_sym_EQ,
    ACTIONS(16514), 1,
      anon_sym_of,
    ACTIONS(16516), 1,
      anon_sym_COLON2,
    STATE(13397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13879), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [689487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9084), 1,
      anon_sym_let,
    STATE(13398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [689519] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13399), 1,
      sym_attribute,
    STATE(14378), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [689567] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16332), 1,
      sym_pow_operator,
    ACTIONS(16334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16336), 1,
      sym_mult_operator,
    ACTIONS(16413), 1,
      sym_concat_operator,
    ACTIONS(16415), 1,
      sym_rel_operator,
    ACTIONS(16417), 1,
      sym_and_operator,
    ACTIONS(16419), 1,
      sym_or_operator,
    STATE(2739), 1,
      sym_add_operator,
    STATE(13400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [689617] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13772), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16423), 1,
      anon_sym_EQ,
    ACTIONS(16518), 1,
      anon_sym_of,
    ACTIONS(16520), 1,
      anon_sym_COLON2,
    STATE(13401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13770), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [689655] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11518), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16522), 1,
      anon_sym_STAR,
    STATE(13402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [689689] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16347), 1,
      anon_sym_COMMA,
    ACTIONS(16349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16351), 1,
      sym_pow_operator,
    ACTIONS(16353), 1,
      sym_mult_operator,
    ACTIONS(16355), 1,
      sym_concat_operator,
    ACTIONS(16357), 1,
      sym_rel_operator,
    ACTIONS(16359), 1,
      sym_and_operator,
    ACTIONS(16361), 1,
      sym_or_operator,
    ACTIONS(16363), 1,
      sym_assign_operator,
    STATE(2575), 1,
      sym_add_operator,
    STATE(13403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [689743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9088), 1,
      anon_sym_let,
    STATE(13404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [689775] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13405), 1,
      sym_attribute,
    STATE(14436), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [689823] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16332), 1,
      sym_pow_operator,
    ACTIONS(16334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16336), 1,
      sym_mult_operator,
    ACTIONS(16411), 1,
      anon_sym_COMMA,
    ACTIONS(16413), 1,
      sym_concat_operator,
    ACTIONS(16415), 1,
      sym_rel_operator,
    ACTIONS(16417), 1,
      sym_and_operator,
    ACTIONS(16419), 1,
      sym_or_operator,
    ACTIONS(16421), 1,
      sym_assign_operator,
    STATE(2739), 1,
      sym_add_operator,
    STATE(13406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [689877] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12485), 1,
      anon_sym_COLON2,
    STATE(13407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(10358), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [689911] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16345), 1,
      anon_sym_else,
    STATE(9019), 1,
      sym_else_clause,
    STATE(13408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [689947] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16351), 1,
      sym_pow_operator,
    ACTIONS(16353), 1,
      sym_mult_operator,
    STATE(2575), 1,
      sym_add_operator,
    STATE(13409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [689985] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11471), 1,
      anon_sym_PIPE,
    ACTIONS(16347), 1,
      anon_sym_COMMA,
    ACTIONS(16349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16351), 1,
      sym_pow_operator,
    ACTIONS(16353), 1,
      sym_mult_operator,
    ACTIONS(16355), 1,
      sym_concat_operator,
    ACTIONS(16357), 1,
      sym_rel_operator,
    ACTIONS(16359), 1,
      sym_and_operator,
    ACTIONS(16361), 1,
      sym_or_operator,
    ACTIONS(16363), 1,
      sym_assign_operator,
    STATE(2575), 1,
      sym_add_operator,
    STATE(13410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [690039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9326), 1,
      anon_sym_let,
    STATE(13411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [690071] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16524), 1,
      anon_sym_PIPE,
    STATE(13412), 1,
      sym_attribute,
    STATE(13477), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [690107] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16387), 1,
      anon_sym_else,
    STATE(9019), 1,
      sym_else_clause,
    STATE(13413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [690143] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16409), 1,
      anon_sym_and,
    ACTIONS(16528), 1,
      anon_sym_let,
    STATE(13376), 1,
      aux_sym_class_definition_repeat1,
    STATE(13414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16526), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [690179] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13415), 1,
      sym_attribute,
    STATE(14476), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [690227] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11477), 1,
      anon_sym_PIPE,
    ACTIONS(16347), 1,
      anon_sym_COMMA,
    ACTIONS(16349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16351), 1,
      sym_pow_operator,
    ACTIONS(16353), 1,
      sym_mult_operator,
    ACTIONS(16355), 1,
      sym_concat_operator,
    ACTIONS(16357), 1,
      sym_rel_operator,
    ACTIONS(16359), 1,
      sym_and_operator,
    ACTIONS(16361), 1,
      sym_or_operator,
    ACTIONS(16363), 1,
      sym_assign_operator,
    STATE(2575), 1,
      sym_add_operator,
    STATE(13416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [690281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9092), 1,
      anon_sym_let,
    STATE(13417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [690313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9096), 1,
      anon_sym_let,
    STATE(13418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [690345] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15152), 1,
      anon_sym_functor,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9890), 1,
      sym_module_path,
    STATE(10115), 1,
      sym__module_expression,
    STATE(13419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [690393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9100), 1,
      anon_sym_let,
    STATE(13420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [690425] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(13421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16530), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [690461] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16532), 1,
      anon_sym_else,
    STATE(9350), 1,
      sym_else_clause,
    STATE(13422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [690497] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16534), 1,
      anon_sym_PIPE,
    STATE(13423), 1,
      sym_attribute,
    STATE(13426), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [690533] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13424), 1,
      sym_attribute,
    STATE(14273), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [690581] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16534), 1,
      anon_sym_PIPE,
    STATE(13425), 1,
      sym_attribute,
    STATE(13430), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [690617] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16534), 1,
      anon_sym_PIPE,
    STATE(13426), 1,
      sym_attribute,
    STATE(13438), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [690653] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13427), 1,
      sym_attribute,
    STATE(14419), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [690701] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13428), 1,
      sym_attribute,
    STATE(14282), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [690749] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16272), 1,
      anon_sym_and,
    ACTIONS(16305), 1,
      anon_sym_let,
    STATE(13227), 1,
      aux_sym_class_definition_repeat1,
    STATE(13429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16303), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [690785] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16534), 1,
      anon_sym_PIPE,
    STATE(13430), 1,
      sym_attribute,
    STATE(13438), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [690821] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13431), 1,
      sym_attribute,
    STATE(14289), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [690869] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15132), 1,
      anon_sym_LPAREN,
    ACTIONS(15136), 1,
      anon_sym_functor,
    ACTIONS(15138), 1,
      anon_sym_struct,
    ACTIONS(15142), 1,
      sym__capitalized_identifier,
    STATE(13432), 1,
      sym_attribute,
    STATE(14243), 1,
      sym__module_expression,
    STATE(14537), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14595), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14566), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [690917] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13433), 1,
      sym_attribute,
    STATE(14294), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [690965] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16332), 1,
      sym_pow_operator,
    ACTIONS(16336), 1,
      sym_mult_operator,
    STATE(2739), 1,
      sym_add_operator,
    STATE(13434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [691003] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13435), 1,
      sym_attribute,
    STATE(14305), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691051] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(16274), 1,
      sym__identifier,
    ACTIONS(16276), 1,
      anon_sym_POUND,
    STATE(13436), 1,
      sym_attribute,
    STATE(14038), 1,
      sym_type_constructor_path,
    STATE(18960), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11212), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [691093] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16524), 1,
      anon_sym_PIPE,
    STATE(13437), 1,
      sym_attribute,
    STATE(13495), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [691129] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16536), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13438), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [691163] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16272), 1,
      anon_sym_and,
    ACTIONS(16305), 1,
      anon_sym_let,
    STATE(13230), 1,
      aux_sym_class_definition_repeat1,
    STATE(13439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16303), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [691199] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15132), 1,
      anon_sym_LPAREN,
    ACTIONS(15136), 1,
      anon_sym_functor,
    ACTIONS(15138), 1,
      anon_sym_struct,
    ACTIONS(15142), 1,
      sym__capitalized_identifier,
    STATE(13440), 1,
      sym_attribute,
    STATE(13836), 1,
      sym__module_expression,
    STATE(14537), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14595), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14566), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691247] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_PIPE,
    ACTIONS(16433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16435), 1,
      sym_pow_operator,
    ACTIONS(16437), 1,
      sym_mult_operator,
    ACTIONS(16439), 1,
      sym_concat_operator,
    ACTIONS(16441), 1,
      sym_rel_operator,
    ACTIONS(16443), 1,
      sym_and_operator,
    ACTIONS(16445), 1,
      sym_or_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(13441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [691297] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13442), 1,
      sym_attribute,
    STATE(14330), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691345] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16435), 1,
      sym_pow_operator,
    ACTIONS(16437), 1,
      sym_mult_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(13443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [691387] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13444), 1,
      sym_attribute,
    STATE(14433), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691435] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13445), 1,
      sym_attribute,
    STATE(14343), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691483] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13446), 1,
      sym_attribute,
    STATE(14461), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691531] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16435), 1,
      sym_pow_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(13447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [691567] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11518), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16539), 1,
      anon_sym_STAR,
    STATE(13448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [691601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9128), 1,
      anon_sym_let,
    STATE(13449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [691633] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16307), 1,
      anon_sym_and,
    ACTIONS(16528), 1,
      anon_sym_let,
    STATE(13249), 1,
      aux_sym_class_definition_repeat1,
    STATE(13450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16526), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [691669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16541), 1,
      anon_sym_let,
    STATE(13451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11776), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [691701] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13452), 1,
      sym_attribute,
    STATE(14357), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691749] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16435), 1,
      sym_pow_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(13453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [691785] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16543), 1,
      anon_sym_PIPE,
    STATE(13454), 1,
      sym_attribute,
    STATE(13456), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [691821] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16543), 1,
      anon_sym_PIPE,
    STATE(13455), 1,
      sym_attribute,
    STATE(13457), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [691857] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16543), 1,
      anon_sym_PIPE,
    STATE(13456), 1,
      sym_attribute,
    STATE(13458), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [691893] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16543), 1,
      anon_sym_PIPE,
    STATE(13457), 1,
      sym_attribute,
    STATE(13458), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [691929] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16545), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13458), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [691963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16550), 1,
      anon_sym_let,
    STATE(13459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16548), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [691995] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16272), 1,
      anon_sym_and,
    ACTIONS(16528), 1,
      anon_sym_let,
    STATE(13429), 1,
      aux_sym_class_definition_repeat1,
    STATE(13460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16526), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [692031] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15132), 1,
      anon_sym_LPAREN,
    ACTIONS(15136), 1,
      anon_sym_functor,
    ACTIONS(15138), 1,
      anon_sym_struct,
    ACTIONS(15142), 1,
      sym__capitalized_identifier,
    STATE(13461), 1,
      sym_attribute,
    STATE(14173), 1,
      sym__module_expression,
    STATE(14537), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14595), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14566), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16554), 1,
      anon_sym_let,
    STATE(13462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16552), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [692111] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16435), 1,
      sym_pow_operator,
    ACTIONS(16437), 1,
      sym_mult_operator,
    ACTIONS(16439), 1,
      sym_concat_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(13463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [692155] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13907), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16039), 1,
      anon_sym_constraint,
    ACTIONS(16041), 1,
      anon_sym_val,
    ACTIONS(16045), 1,
      anon_sym_inherit,
    ACTIONS(16047), 1,
      anon_sym_method,
    ACTIONS(16556), 1,
      anon_sym_end,
    STATE(13338), 1,
      aux_sym_class_body_type_repeat1,
    STATE(13464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14852), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(14795), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [692205] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16435), 1,
      sym_pow_operator,
    ACTIONS(16437), 1,
      sym_mult_operator,
    ACTIONS(16439), 1,
      sym_concat_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(13465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [692249] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16435), 1,
      sym_pow_operator,
    ACTIONS(16437), 1,
      sym_mult_operator,
    ACTIONS(16439), 1,
      sym_concat_operator,
    ACTIONS(16441), 1,
      sym_rel_operator,
    ACTIONS(16443), 1,
      sym_and_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(13466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [692297] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16435), 1,
      sym_pow_operator,
    ACTIONS(16437), 1,
      sym_mult_operator,
    ACTIONS(16439), 1,
      sym_concat_operator,
    ACTIONS(16441), 1,
      sym_rel_operator,
    ACTIONS(16443), 1,
      sym_and_operator,
    ACTIONS(16445), 1,
      sym_or_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(13467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [692347] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13468), 1,
      sym_attribute,
    STATE(14376), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692395] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16005), 1,
      anon_sym_let,
    ACTIONS(16299), 1,
      anon_sym_and,
    STATE(13469), 1,
      sym_attribute,
    STATE(13470), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16003), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [692431] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15216), 1,
      anon_sym_let,
    ACTIONS(16558), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13470), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(15214), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [692465] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16429), 1,
      anon_sym_COMMA,
    ACTIONS(16433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16435), 1,
      sym_pow_operator,
    ACTIONS(16437), 1,
      sym_mult_operator,
    ACTIONS(16439), 1,
      sym_concat_operator,
    ACTIONS(16441), 1,
      sym_rel_operator,
    ACTIONS(16443), 1,
      sym_and_operator,
    ACTIONS(16445), 1,
      sym_or_operator,
    ACTIONS(16447), 1,
      sym_assign_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(13471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [692519] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16435), 1,
      sym_pow_operator,
    ACTIONS(16437), 1,
      sym_mult_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(13472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [692557] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11471), 1,
      anon_sym_PIPE,
    ACTIONS(16429), 1,
      anon_sym_COMMA,
    ACTIONS(16433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16435), 1,
      sym_pow_operator,
    ACTIONS(16437), 1,
      sym_mult_operator,
    ACTIONS(16439), 1,
      sym_concat_operator,
    ACTIONS(16441), 1,
      sym_rel_operator,
    ACTIONS(16443), 1,
      sym_and_operator,
    ACTIONS(16445), 1,
      sym_or_operator,
    ACTIONS(16447), 1,
      sym_assign_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(13473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [692611] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11477), 1,
      anon_sym_PIPE,
    ACTIONS(16429), 1,
      anon_sym_COMMA,
    ACTIONS(16433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16435), 1,
      sym_pow_operator,
    ACTIONS(16437), 1,
      sym_mult_operator,
    ACTIONS(16439), 1,
      sym_concat_operator,
    ACTIONS(16441), 1,
      sym_rel_operator,
    ACTIONS(16443), 1,
      sym_and_operator,
    ACTIONS(16445), 1,
      sym_or_operator,
    ACTIONS(16447), 1,
      sym_assign_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(13474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [692665] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13475), 1,
      sym_attribute,
    STATE(14505), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692713] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16227), 1,
      anon_sym_else,
    STATE(9350), 1,
      sym_else_clause,
    STATE(13476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [692749] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16524), 1,
      anon_sym_PIPE,
    STATE(13477), 1,
      sym_attribute,
    STATE(13497), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [692785] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_PIPE,
    ACTIONS(16215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16217), 1,
      sym_pow_operator,
    ACTIONS(16219), 1,
      sym_mult_operator,
    ACTIONS(16221), 1,
      sym_concat_operator,
    ACTIONS(16315), 1,
      sym_rel_operator,
    ACTIONS(16317), 1,
      sym_and_operator,
    ACTIONS(16327), 1,
      sym_or_operator,
    STATE(2038), 1,
      sym_add_operator,
    STATE(13478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [692835] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13479), 1,
      sym_attribute,
    STATE(14407), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692883] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11471), 1,
      anon_sym_PIPE,
    ACTIONS(16332), 1,
      sym_pow_operator,
    ACTIONS(16334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16336), 1,
      sym_mult_operator,
    ACTIONS(16411), 1,
      anon_sym_COMMA,
    ACTIONS(16413), 1,
      sym_concat_operator,
    ACTIONS(16415), 1,
      sym_rel_operator,
    ACTIONS(16417), 1,
      sym_and_operator,
    ACTIONS(16419), 1,
      sym_or_operator,
    ACTIONS(16421), 1,
      sym_assign_operator,
    STATE(2739), 1,
      sym_add_operator,
    STATE(13480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [692937] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16492), 1,
      anon_sym_PIPE,
    STATE(13368), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13244), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692973] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14711), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16492), 1,
      anon_sym_PIPE,
    STATE(13369), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14709), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693009] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16195), 1,
      anon_sym_let,
    ACTIONS(16299), 1,
      anon_sym_and,
    STATE(13470), 1,
      aux_sym_type_definition_repeat1,
    STATE(13483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16193), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [693045] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16223), 1,
      anon_sym_else,
    STATE(11642), 1,
      sym_else_clause,
    STATE(13484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [693081] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16497), 1,
      anon_sym_PIPE,
    STATE(13379), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13244), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693117] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14711), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16497), 1,
      anon_sym_PIPE,
    STATE(13380), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14709), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693153] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16005), 1,
      anon_sym_let,
    ACTIONS(16299), 1,
      anon_sym_and,
    STATE(13483), 1,
      aux_sym_type_definition_repeat1,
    STATE(13487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16003), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [693189] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13488), 1,
      sym_attribute,
    STATE(14421), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693237] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11411), 1,
      anon_sym_PIPE,
    ACTIONS(16429), 1,
      anon_sym_COMMA,
    ACTIONS(16433), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16435), 1,
      sym_pow_operator,
    ACTIONS(16437), 1,
      sym_mult_operator,
    ACTIONS(16439), 1,
      sym_concat_operator,
    ACTIONS(16441), 1,
      sym_rel_operator,
    ACTIONS(16443), 1,
      sym_and_operator,
    ACTIONS(16445), 1,
      sym_or_operator,
    ACTIONS(16447), 1,
      sym_assign_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(13489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [693291] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13490), 1,
      sym_attribute,
    STATE(14439), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693339] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16561), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13491), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [693373] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13492), 1,
      sym_attribute,
    STATE(14430), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693421] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9114), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [693453] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13494), 1,
      sym_attribute,
    STATE(14291), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693501] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16524), 1,
      anon_sym_PIPE,
    STATE(13495), 1,
      sym_attribute,
    STATE(13497), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [693537] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13496), 1,
      sym_attribute,
    STATE(14444), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693585] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16564), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13497), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [693619] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16217), 1,
      sym_pow_operator,
    ACTIONS(16219), 1,
      sym_mult_operator,
    STATE(2038), 1,
      sym_add_operator,
    STATE(13498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [693661] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13499), 1,
      sym_attribute,
    STATE(14451), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693709] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10200), 1,
      anon_sym_PIPE,
    ACTIONS(16215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16217), 1,
      sym_pow_operator,
    ACTIONS(16219), 1,
      sym_mult_operator,
    ACTIONS(16221), 1,
      sym_concat_operator,
    ACTIONS(16315), 1,
      sym_rel_operator,
    ACTIONS(16317), 1,
      sym_and_operator,
    ACTIONS(16327), 1,
      sym_or_operator,
    ACTIONS(16482), 1,
      anon_sym_COMMA,
    ACTIONS(16484), 1,
      sym_assign_operator,
    ACTIONS(16567), 1,
      anon_sym_SEMI,
    STATE(2038), 1,
      sym_add_operator,
    STATE(13500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10198), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [693765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9064), 1,
      anon_sym_let,
    STATE(13501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [693797] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15152), 1,
      anon_sym_functor,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9890), 1,
      sym_module_path,
    STATE(10178), 1,
      sym__module_expression,
    STATE(13502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693845] = 18,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16508), 1,
      anon_sym_COLON2,
    ACTIONS(16569), 1,
      anon_sym_COLON_GT,
    ACTIONS(16571), 1,
      anon_sym_RPAREN,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13503), 1,
      sym_attribute,
    STATE(18066), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [693903] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10200), 1,
      anon_sym_PIPE,
    ACTIONS(16332), 1,
      sym_pow_operator,
    ACTIONS(16334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16336), 1,
      sym_mult_operator,
    ACTIONS(16411), 1,
      anon_sym_COMMA,
    ACTIONS(16413), 1,
      sym_concat_operator,
    ACTIONS(16415), 1,
      sym_rel_operator,
    ACTIONS(16417), 1,
      sym_and_operator,
    ACTIONS(16419), 1,
      sym_or_operator,
    ACTIONS(16421), 1,
      sym_assign_operator,
    ACTIONS(16573), 1,
      anon_sym_SEMI,
    STATE(2739), 1,
      sym_add_operator,
    STATE(13504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10198), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [693959] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13505), 1,
      sym_attribute,
    STATE(14327), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694007] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13506), 1,
      sym_attribute,
    STATE(14475), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694055] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16294), 1,
      anon_sym_PIPE,
    STATE(13507), 1,
      sym_attribute,
    STATE(13517), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [694091] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16532), 1,
      anon_sym_else,
    STATE(9358), 1,
      sym_else_clause,
    STATE(13508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [694127] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16217), 1,
      sym_pow_operator,
    STATE(2038), 1,
      sym_add_operator,
    STATE(13509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [694163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9104), 1,
      anon_sym_let,
    STATE(13510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [694195] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16294), 1,
      anon_sym_PIPE,
    STATE(13240), 1,
      aux_sym__match_cases_repeat1,
    STATE(13511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [694231] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2144), 1,
      sym_add_operator,
    STATE(13512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [694265] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16490), 1,
      anon_sym_else,
    STATE(11624), 1,
      sym_else_clause,
    STATE(13513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [694301] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16575), 1,
      anon_sym_else,
    STATE(9358), 1,
      sym_else_clause,
    STATE(13514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [694337] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13515), 1,
      sym_attribute,
    STATE(14486), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694385] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13516), 1,
      sym_attribute,
    STATE(14271), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694433] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16294), 1,
      anon_sym_PIPE,
    STATE(13241), 1,
      aux_sym__match_cases_repeat1,
    STATE(13517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [694469] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11276), 1,
      aux_sym_expression_item_repeat1,
    STATE(11635), 1,
      sym_item_attribute,
    STATE(13518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16085), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694505] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15148), 1,
      anon_sym_LPAREN,
    ACTIONS(15154), 1,
      anon_sym_struct,
    ACTIONS(15380), 1,
      anon_sym_functor,
    STATE(9890), 1,
      sym_module_path,
    STATE(13519), 1,
      sym_attribute,
    STATE(14387), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10100), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12329), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(12327), 9,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [694585] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11477), 1,
      anon_sym_PIPE,
    ACTIONS(16215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16217), 1,
      sym_pow_operator,
    ACTIONS(16219), 1,
      sym_mult_operator,
    ACTIONS(16221), 1,
      sym_concat_operator,
    ACTIONS(16315), 1,
      sym_rel_operator,
    ACTIONS(16317), 1,
      sym_and_operator,
    ACTIONS(16327), 1,
      sym_or_operator,
    ACTIONS(16482), 1,
      anon_sym_COMMA,
    ACTIONS(16484), 1,
      sym_assign_operator,
    STATE(2038), 1,
      sym_add_operator,
    STATE(13521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [694639] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2259), 1,
      sym_add_operator,
    STATE(13522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [694673] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15132), 1,
      anon_sym_LPAREN,
    ACTIONS(15136), 1,
      anon_sym_functor,
    ACTIONS(15138), 1,
      anon_sym_struct,
    ACTIONS(15142), 1,
      sym__capitalized_identifier,
    STATE(13523), 1,
      sym_attribute,
    STATE(13802), 1,
      sym__module_expression,
    STATE(14537), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14595), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14566), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694721] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15999), 1,
      anon_sym_let,
    ACTIONS(16343), 1,
      anon_sym_and,
    STATE(13524), 1,
      sym_attribute,
    STATE(13527), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15997), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [694757] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16014), 1,
      anon_sym_let,
    ACTIONS(16343), 1,
      anon_sym_and,
    STATE(13525), 1,
      sym_attribute,
    STATE(13527), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16012), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [694793] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9122), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [694825] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15427), 1,
      anon_sym_let,
    ACTIONS(16577), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13527), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(15425), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [694859] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16014), 1,
      anon_sym_let,
    ACTIONS(16343), 1,
      anon_sym_and,
    STATE(13528), 1,
      sym_attribute,
    STATE(13529), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16012), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [694895] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16205), 1,
      anon_sym_let,
    ACTIONS(16343), 1,
      anon_sym_and,
    STATE(13527), 1,
      aux_sym_module_definition_repeat1,
    STATE(13529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16203), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [694931] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16575), 1,
      anon_sym_else,
    STATE(9350), 1,
      sym_else_clause,
    STATE(13530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [694967] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16502), 1,
      anon_sym_PIPE,
    STATE(13389), 1,
      aux_sym__match_cases_repeat1,
    STATE(13531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [695003] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16217), 1,
      sym_pow_operator,
    STATE(2038), 1,
      sym_add_operator,
    STATE(13532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [695039] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16502), 1,
      anon_sym_PIPE,
    STATE(13388), 1,
      aux_sym__match_cases_repeat1,
    STATE(13533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [695075] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16083), 1,
      anon_sym_let,
    ACTIONS(16343), 1,
      anon_sym_and,
    STATE(13524), 1,
      aux_sym_module_definition_repeat1,
    STATE(13534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16081), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [695111] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16305), 1,
      anon_sym_let,
    ACTIONS(16409), 1,
      anon_sym_and,
    STATE(13315), 1,
      aux_sym_class_definition_repeat1,
    STATE(13535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16303), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [695147] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16580), 1,
      anon_sym_COMMA,
    ACTIONS(16582), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16584), 1,
      sym_pow_operator,
    ACTIONS(16586), 1,
      sym_mult_operator,
    ACTIONS(16588), 1,
      sym_concat_operator,
    ACTIONS(16590), 1,
      sym_rel_operator,
    ACTIONS(16592), 1,
      sym_and_operator,
    ACTIONS(16594), 1,
      sym_or_operator,
    ACTIONS(16596), 1,
      sym_assign_operator,
    STATE(2721), 1,
      sym_add_operator,
    STATE(13536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [695198] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16600), 1,
      sym_pow_operator,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    ACTIONS(16606), 1,
      sym_rel_operator,
    ACTIONS(16608), 1,
      sym_and_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(13537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [695245] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16600), 1,
      sym_pow_operator,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    ACTIONS(16606), 1,
      sym_rel_operator,
    ACTIONS(16608), 1,
      sym_and_operator,
    ACTIONS(16610), 1,
      sym_or_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(13538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [695294] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16612), 1,
      anon_sym_DQUOTE,
    STATE(13539), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20569), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [695335] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16600), 1,
      sym_pow_operator,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    ACTIONS(16606), 1,
      sym_rel_operator,
    ACTIONS(16608), 1,
      sym_and_operator,
    ACTIONS(16610), 1,
      sym_or_operator,
    ACTIONS(16620), 1,
      anon_sym_COMMA,
    ACTIONS(16622), 1,
      sym_assign_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(13540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [695388] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16600), 1,
      sym_pow_operator,
    ACTIONS(16602), 1,
      sym_mult_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(13541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [695425] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11471), 1,
      anon_sym_PIPE,
    ACTIONS(16598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16600), 1,
      sym_pow_operator,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    ACTIONS(16606), 1,
      sym_rel_operator,
    ACTIONS(16608), 1,
      sym_and_operator,
    ACTIONS(16610), 1,
      sym_or_operator,
    ACTIONS(16620), 1,
      anon_sym_COMMA,
    ACTIONS(16622), 1,
      sym_assign_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(13542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11469), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [695478] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16624), 1,
      anon_sym_RBRACK,
    ACTIONS(16626), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13543), 1,
      sym_attribute,
    STATE(16852), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [695533] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16630), 1,
      anon_sym_SEMI,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16634), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13544), 1,
      sym_attribute,
    STATE(16863), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [695588] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11477), 1,
      anon_sym_PIPE,
    ACTIONS(16598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16600), 1,
      sym_pow_operator,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    ACTIONS(16606), 1,
      sym_rel_operator,
    ACTIONS(16608), 1,
      sym_and_operator,
    ACTIONS(16610), 1,
      sym_or_operator,
    ACTIONS(16620), 1,
      anon_sym_COMMA,
    ACTIONS(16622), 1,
      sym_assign_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(13545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11475), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [695641] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16650), 1,
      anon_sym_DQUOTE,
    STATE(13546), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(21607), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [695682] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16652), 1,
      anon_sym_RBRACK,
    ACTIONS(16654), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13547), 1,
      sym_attribute,
    STATE(16971), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [695737] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(16656), 1,
      anon_sym_SEMI,
    ACTIONS(16658), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13548), 1,
      sym_attribute,
    STATE(16974), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [695792] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16660), 1,
      anon_sym_DQUOTE,
    STATE(13549), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(21883), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [695833] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16662), 1,
      anon_sym_RBRACK,
    ACTIONS(16664), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13550), 1,
      sym_attribute,
    STATE(16558), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [695888] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(16666), 1,
      anon_sym_SEMI,
    ACTIONS(16668), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13551), 1,
      sym_attribute,
    STATE(16580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [695943] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16670), 1,
      anon_sym_COLON_GT,
    ACTIONS(16672), 1,
      anon_sym_EQ,
    ACTIONS(16674), 1,
      anon_sym_COLON2,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(13552), 1,
      sym_attribute,
    STATE(14189), 1,
      sym__typed,
    STATE(14441), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16676), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [695986] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16678), 1,
      anon_sym_DQUOTE,
    STATE(13553), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(22127), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [696027] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16680), 1,
      anon_sym_RBRACK,
    ACTIONS(16682), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13554), 1,
      sym_attribute,
    STATE(17058), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [696082] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(16684), 1,
      anon_sym_SEMI,
    ACTIONS(16686), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13555), 1,
      sym_attribute,
    STATE(17079), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [696137] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16688), 1,
      anon_sym_DQUOTE,
    STATE(13556), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(19809), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [696178] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16690), 1,
      anon_sym_RBRACK,
    ACTIONS(16692), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13557), 1,
      sym_attribute,
    STATE(17462), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [696233] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16694), 1,
      anon_sym_DQUOTE,
    STATE(13558), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(19366), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [696274] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16696), 1,
      anon_sym_RBRACK,
    ACTIONS(16698), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13559), 1,
      sym_attribute,
    STATE(17227), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [696329] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(16700), 1,
      anon_sym_SEMI,
    ACTIONS(16702), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13560), 1,
      sym_attribute,
    STATE(17247), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [696384] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(16704), 1,
      anon_sym_SEMI,
    ACTIONS(16706), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13561), 1,
      sym_attribute,
    STATE(17574), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [696439] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16582), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16584), 1,
      sym_pow_operator,
    ACTIONS(16586), 1,
      sym_mult_operator,
    ACTIONS(16588), 1,
      sym_concat_operator,
    ACTIONS(16590), 1,
      sym_rel_operator,
    ACTIONS(16592), 1,
      sym_and_operator,
    ACTIONS(16594), 1,
      sym_or_operator,
    STATE(2721), 1,
      sym_add_operator,
    STATE(13562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [696486] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16582), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16584), 1,
      sym_pow_operator,
    ACTIONS(16586), 1,
      sym_mult_operator,
    STATE(2721), 1,
      sym_add_operator,
    STATE(13563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11457), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [696527] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16584), 1,
      sym_pow_operator,
    STATE(2721), 1,
      sym_add_operator,
    STATE(13564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [696562] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16584), 1,
      sym_pow_operator,
    STATE(2721), 1,
      sym_add_operator,
    STATE(13565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [696597] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16582), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16584), 1,
      sym_pow_operator,
    ACTIONS(16586), 1,
      sym_mult_operator,
    ACTIONS(16588), 1,
      sym_concat_operator,
    STATE(2721), 1,
      sym_add_operator,
    STATE(13566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [696640] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16582), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16584), 1,
      sym_pow_operator,
    ACTIONS(16586), 1,
      sym_mult_operator,
    ACTIONS(16588), 1,
      sym_concat_operator,
    STATE(2721), 1,
      sym_add_operator,
    STATE(13567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [696683] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      sym_or_operator,
    ACTIONS(16582), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16584), 1,
      sym_pow_operator,
    ACTIONS(16586), 1,
      sym_mult_operator,
    ACTIONS(16588), 1,
      sym_concat_operator,
    ACTIONS(16590), 1,
      sym_rel_operator,
    ACTIONS(16592), 1,
      sym_and_operator,
    STATE(2721), 1,
      sym_add_operator,
    STATE(13568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [696730] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16582), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16584), 1,
      sym_pow_operator,
    ACTIONS(16586), 1,
      sym_mult_operator,
    ACTIONS(16588), 1,
      sym_concat_operator,
    ACTIONS(16590), 1,
      sym_rel_operator,
    ACTIONS(16592), 1,
      sym_and_operator,
    ACTIONS(16594), 1,
      sym_or_operator,
    STATE(2721), 1,
      sym_add_operator,
    STATE(13569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [696777] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16580), 1,
      anon_sym_COMMA,
    ACTIONS(16582), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16584), 1,
      sym_pow_operator,
    ACTIONS(16586), 1,
      sym_mult_operator,
    ACTIONS(16588), 1,
      sym_concat_operator,
    ACTIONS(16590), 1,
      sym_rel_operator,
    ACTIONS(16592), 1,
      sym_and_operator,
    ACTIONS(16594), 1,
      sym_or_operator,
    ACTIONS(16596), 1,
      sym_assign_operator,
    STATE(2721), 1,
      sym_add_operator,
    STATE(13570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [696828] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16708), 1,
      anon_sym_DQUOTE,
    STATE(13571), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(19656), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [696869] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16584), 1,
      sym_pow_operator,
    ACTIONS(16586), 1,
      sym_mult_operator,
    STATE(2721), 1,
      sym_add_operator,
    STATE(13572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [696906] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16580), 1,
      anon_sym_COMMA,
    ACTIONS(16582), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16584), 1,
      sym_pow_operator,
    ACTIONS(16586), 1,
      sym_mult_operator,
    ACTIONS(16588), 1,
      sym_concat_operator,
    ACTIONS(16590), 1,
      sym_rel_operator,
    ACTIONS(16592), 1,
      sym_and_operator,
    ACTIONS(16594), 1,
      sym_or_operator,
    ACTIONS(16596), 1,
      sym_assign_operator,
    STATE(2721), 1,
      sym_add_operator,
    STATE(13573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [696957] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16710), 1,
      anon_sym_RBRACK,
    ACTIONS(16712), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13574), 1,
      sym_attribute,
    STATE(17383), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [697012] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(16714), 1,
      anon_sym_SEMI,
    ACTIONS(16716), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13575), 1,
      sym_attribute,
    STATE(17398), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [697067] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16718), 1,
      anon_sym_else,
    STATE(9019), 1,
      sym_else_clause,
    STATE(13576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [697102] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9176), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [697133] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16720), 1,
      anon_sym_DQUOTE,
    STATE(13578), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(19992), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [697174] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16722), 1,
      anon_sym_RBRACK,
    ACTIONS(16724), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13579), 1,
      sym_attribute,
    STATE(17602), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [697229] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16726), 1,
      anon_sym_PIPE,
    STATE(13580), 1,
      sym_attribute,
    STATE(13699), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [697264] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(16728), 1,
      anon_sym_SEMI,
    ACTIONS(16730), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13581), 1,
      sym_attribute,
    STATE(17611), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [697319] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16726), 1,
      anon_sym_PIPE,
    STATE(13582), 1,
      sym_attribute,
    STATE(13706), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [697354] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16732), 1,
      anon_sym_DQUOTE,
    STATE(13583), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(19872), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [697395] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16734), 1,
      anon_sym_DQUOTE,
    STATE(13584), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20261), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [697436] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16736), 1,
      anon_sym_DQUOTE,
    STATE(13585), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(21805), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [697477] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16738), 1,
      anon_sym_COMMA,
    ACTIONS(16740), 1,
      anon_sym_SEMI,
    ACTIONS(16742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16744), 1,
      sym_pow_operator,
    ACTIONS(16746), 1,
      sym_mult_operator,
    ACTIONS(16748), 1,
      sym_concat_operator,
    ACTIONS(16750), 1,
      sym_rel_operator,
    ACTIONS(16752), 1,
      sym_and_operator,
    ACTIONS(16754), 1,
      sym_or_operator,
    ACTIONS(16756), 1,
      sym_assign_operator,
    STATE(2236), 1,
      sym_add_operator,
    STATE(13586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10198), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [697530] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16758), 1,
      anon_sym_RBRACK,
    ACTIONS(16760), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13587), 1,
      sym_attribute,
    STATE(16534), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [697585] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10198), 1,
      anon_sym_with,
    ACTIONS(10200), 1,
      anon_sym_PIPE,
    ACTIONS(16762), 1,
      anon_sym_COMMA,
    ACTIONS(16764), 1,
      anon_sym_SEMI,
    ACTIONS(16766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16768), 1,
      sym_pow_operator,
    ACTIONS(16770), 1,
      sym_mult_operator,
    ACTIONS(16772), 1,
      sym_concat_operator,
    ACTIONS(16774), 1,
      sym_rel_operator,
    ACTIONS(16776), 1,
      sym_and_operator,
    ACTIONS(16778), 1,
      sym_or_operator,
    ACTIONS(16780), 1,
      sym_assign_operator,
    STATE(2661), 1,
      sym_add_operator,
    STATE(13588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [697640] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16782), 1,
      anon_sym_RBRACK,
    ACTIONS(16784), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13589), 1,
      sym_attribute,
    STATE(16822), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [697695] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(16786), 1,
      anon_sym_SEMI,
    ACTIONS(16788), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13590), 1,
      sym_attribute,
    STATE(16547), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [697750] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16790), 1,
      anon_sym_DQUOTE,
    STATE(13591), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20402), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [697791] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16792), 1,
      anon_sym_DQUOTE,
    STATE(13592), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20518), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [697832] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16794), 1,
      anon_sym_DQUOTE,
    STATE(13593), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20573), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [697873] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16796), 1,
      anon_sym_DQUOTE,
    STATE(13594), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20645), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [697914] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16798), 1,
      anon_sym_DQUOTE,
    STATE(13595), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20719), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [697955] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16800), 1,
      anon_sym_DQUOTE,
    STATE(13596), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20761), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [697996] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16802), 1,
      anon_sym_DQUOTE,
    STATE(13597), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20819), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [698037] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16804), 1,
      anon_sym_DQUOTE,
    STATE(13598), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20865), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [698078] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16806), 1,
      anon_sym_DQUOTE,
    STATE(13599), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20919), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [698119] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16808), 1,
      anon_sym_DQUOTE,
    STATE(13600), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20957), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [698160] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16810), 1,
      anon_sym_DQUOTE,
    STATE(13601), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20988), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [698201] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16812), 1,
      anon_sym_DQUOTE,
    STATE(13602), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(21010), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [698242] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16814), 1,
      anon_sym_DQUOTE,
    STATE(13603), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(21040), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [698283] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(16816), 1,
      anon_sym_SEMI,
    ACTIONS(16818), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13604), 1,
      sym_attribute,
    STATE(16990), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [698338] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16820), 1,
      anon_sym_DQUOTE,
    STATE(13605), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(21068), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [698379] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16822), 1,
      anon_sym_else,
    STATE(9019), 1,
      sym_else_clause,
    STATE(13606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [698414] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16824), 1,
      anon_sym_DQUOTE,
    STATE(13607), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(21682), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [698455] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16550), 1,
      anon_sym_let,
    ACTIONS(16826), 1,
      anon_sym_in,
    STATE(13608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16548), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [698488] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9180), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [698519] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9184), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [698550] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16828), 1,
      anon_sym_RBRACK,
    ACTIONS(16830), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13611), 1,
      sym_attribute,
    STATE(16543), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [698605] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(16832), 1,
      anon_sym_SEMI,
    ACTIONS(16834), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13612), 1,
      sym_attribute,
    STATE(16561), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [698660] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2211), 1,
      sym_add_operator,
    STATE(13613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [698693] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9188), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [698724] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16836), 1,
      anon_sym_else,
    STATE(9127), 1,
      sym_else_clause,
    STATE(13615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [698759] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16838), 1,
      anon_sym_DQUOTE,
    STATE(13616), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20288), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [698800] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13596), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16840), 1,
      anon_sym_DASH_GT,
    STATE(13617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13594), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [698833] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12715), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12713), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [698864] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16842), 1,
      anon_sym_DQUOTE,
    STATE(13619), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(19402), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [698905] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12719), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12717), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [698936] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12721), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [698967] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16844), 1,
      anon_sym_RBRACK,
    ACTIONS(16846), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13622), 1,
      sym_attribute,
    STATE(16639), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [699022] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16848), 1,
      anon_sym_PIPE,
    STATE(13623), 1,
      sym_attribute,
    STATE(13628), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [699057] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16850), 1,
      anon_sym_RBRACK,
    ACTIONS(16852), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13624), 1,
      sym_attribute,
    STATE(16804), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [699112] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(16854), 1,
      anon_sym_SEMI,
    ACTIONS(16856), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13625), 1,
      sym_attribute,
    STATE(16647), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [699167] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [699200] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16848), 1,
      anon_sym_PIPE,
    STATE(13627), 1,
      sym_attribute,
    STATE(13640), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [699235] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16848), 1,
      anon_sym_PIPE,
    STATE(13628), 1,
      sym_attribute,
    STATE(13641), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [699270] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_PIPE,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [699319] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [699360] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16636), 1,
      sym_pow_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [699395] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16636), 1,
      sym_pow_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [699430] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_rel_operator,
      sym_assign_operator,
  [699473] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_rel_operator,
      sym_assign_operator,
  [699516] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [699563] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [699612] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [699665] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [699702] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11471), 1,
      anon_sym_PIPE,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11469), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [699755] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16848), 1,
      anon_sym_PIPE,
    STATE(13640), 1,
      sym_attribute,
    STATE(13641), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [699790] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16858), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13641), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [699823] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11477), 1,
      anon_sym_PIPE,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11475), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [699876] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12725), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [699907] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16861), 1,
      anon_sym_RBRACK,
    ACTIONS(16863), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13644), 1,
      sym_attribute,
    STATE(16784), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [699962] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12731), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12729), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [699993] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12735), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12733), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [700024] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(16865), 1,
      anon_sym_SEMI,
    ACTIONS(16867), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13647), 1,
      sym_attribute,
    STATE(16816), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [700079] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16869), 1,
      anon_sym_DQUOTE,
    STATE(13648), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(19939), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [700120] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16871), 1,
      anon_sym_RBRACK,
    ACTIONS(16873), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13649), 1,
      sym_attribute,
    STATE(16729), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [700175] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(16875), 1,
      anon_sym_SEMI,
    ACTIONS(16877), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13650), 1,
      sym_attribute,
    STATE(16732), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [700230] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16879), 1,
      anon_sym_PIPE,
    STATE(13651), 1,
      sym_attribute,
    STATE(13717), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [700265] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16881), 1,
      anon_sym_else,
    STATE(9019), 1,
      sym_else_clause,
    STATE(13652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [700300] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16883), 1,
      anon_sym_DQUOTE,
    STATE(13653), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(21696), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [700341] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10198), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10200), 1,
      anon_sym_PIPE,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(16885), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [700396] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16887), 1,
      anon_sym_DQUOTE,
    STATE(13655), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20820), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [700437] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16550), 1,
      anon_sym_let,
    ACTIONS(16889), 1,
      anon_sym_in,
    STATE(13656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16548), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [700470] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16891), 1,
      anon_sym_DQUOTE,
    STATE(13657), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20356), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [700511] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2721), 1,
      sym_add_operator,
    STATE(13658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [700544] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16893), 1,
      anon_sym_RBRACK,
    ACTIONS(16895), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13659), 1,
      sym_attribute,
    STATE(16788), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [700599] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(16897), 1,
      anon_sym_SEMI,
    ACTIONS(16899), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13660), 1,
      sym_attribute,
    STATE(16791), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [700654] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16901), 1,
      anon_sym_PIPE,
    STATE(13661), 1,
      sym_attribute,
    STATE(13663), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [700689] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16901), 1,
      anon_sym_PIPE,
    STATE(13662), 1,
      sym_attribute,
    STATE(13664), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [700724] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16901), 1,
      anon_sym_PIPE,
    STATE(13663), 1,
      sym_attribute,
    STATE(13665), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [700759] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16901), 1,
      anon_sym_PIPE,
    STATE(13664), 1,
      sym_attribute,
    STATE(13665), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [700794] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16903), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13665), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [700827] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16718), 1,
      anon_sym_else,
    STATE(9127), 1,
      sym_else_clause,
    STATE(13666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [700862] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16906), 1,
      anon_sym_RBRACK,
    ACTIONS(16908), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13667), 1,
      sym_attribute,
    STATE(16939), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [700917] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16910), 1,
      anon_sym_DQUOTE,
    STATE(13668), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20130), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [700958] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16580), 1,
      anon_sym_COMMA,
    ACTIONS(16582), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16584), 1,
      sym_pow_operator,
    ACTIONS(16586), 1,
      sym_mult_operator,
    ACTIONS(16588), 1,
      sym_concat_operator,
    ACTIONS(16590), 1,
      sym_rel_operator,
    ACTIONS(16592), 1,
      sym_and_operator,
    ACTIONS(16594), 1,
      sym_or_operator,
    ACTIONS(16596), 1,
      sym_assign_operator,
    ACTIONS(16912), 1,
      anon_sym_SEMI,
    STATE(2721), 1,
      sym_add_operator,
    STATE(13669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10198), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [701011] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10198), 1,
      anon_sym_end,
    ACTIONS(10200), 1,
      anon_sym_PIPE,
    ACTIONS(16598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16600), 1,
      sym_pow_operator,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    ACTIONS(16606), 1,
      sym_rel_operator,
    ACTIONS(16608), 1,
      sym_and_operator,
    ACTIONS(16610), 1,
      sym_or_operator,
    ACTIONS(16620), 1,
      anon_sym_COMMA,
    ACTIONS(16622), 1,
      sym_assign_operator,
    ACTIONS(16914), 1,
      anon_sym_SEMI,
    STATE(2681), 1,
      sym_add_operator,
    STATE(13670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [701066] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16916), 1,
      anon_sym_RBRACK,
    ACTIONS(16918), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13671), 1,
      sym_attribute,
    STATE(17366), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [701121] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(16922), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13672), 1,
      sym_attribute,
    STATE(17002), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [701176] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16924), 1,
      anon_sym_else,
    STATE(9019), 1,
      sym_else_clause,
    STATE(13673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [701211] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(16926), 1,
      anon_sym_SEMI,
    ACTIONS(16928), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13674), 1,
      sym_attribute,
    STATE(17407), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [701266] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16930), 1,
      anon_sym_DQUOTE,
    STATE(13675), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20967), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [701307] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16932), 1,
      anon_sym_RBRACK,
    ACTIONS(16934), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13676), 1,
      sym_attribute,
    STATE(16869), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [701362] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(16936), 1,
      anon_sym_SEMI,
    ACTIONS(16938), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13677), 1,
      sym_attribute,
    STATE(16879), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [701417] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16940), 1,
      anon_sym_DQUOTE,
    STATE(13678), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(22388), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [701458] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16942), 1,
      anon_sym_else,
    STATE(9127), 1,
      sym_else_clause,
    STATE(13679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [701493] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16580), 1,
      anon_sym_COMMA,
    ACTIONS(16582), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16584), 1,
      sym_pow_operator,
    ACTIONS(16586), 1,
      sym_mult_operator,
    ACTIONS(16588), 1,
      sym_concat_operator,
    ACTIONS(16590), 1,
      sym_rel_operator,
    ACTIONS(16592), 1,
      sym_and_operator,
    ACTIONS(16594), 1,
      sym_or_operator,
    ACTIONS(16596), 1,
      sym_assign_operator,
    STATE(2721), 1,
      sym_add_operator,
    STATE(13680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [701544] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(16946), 1,
      anon_sym_DASH_GT,
    ACTIONS(16948), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16944), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [701579] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16942), 1,
      anon_sym_else,
    STATE(9019), 1,
      sym_else_clause,
    STATE(13682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [701614] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(16946), 1,
      anon_sym_DASH_GT,
    ACTIONS(16952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16950), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [701649] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10198), 1,
      anon_sym_done,
    ACTIONS(10200), 1,
      anon_sym_PIPE,
    ACTIONS(16954), 1,
      anon_sym_COMMA,
    ACTIONS(16956), 1,
      anon_sym_SEMI,
    ACTIONS(16958), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16960), 1,
      sym_pow_operator,
    ACTIONS(16962), 1,
      sym_mult_operator,
    ACTIONS(16964), 1,
      sym_concat_operator,
    ACTIONS(16966), 1,
      sym_rel_operator,
    ACTIONS(16968), 1,
      sym_and_operator,
    ACTIONS(16970), 1,
      sym_or_operator,
    ACTIONS(16972), 1,
      sym_assign_operator,
    STATE(2457), 1,
      sym_add_operator,
    STATE(13684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [701704] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [701737] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16974), 1,
      anon_sym_RBRACK,
    ACTIONS(16976), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13686), 1,
      sym_attribute,
    STATE(17105), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [701792] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16744), 1,
      sym_pow_operator,
    ACTIONS(16746), 1,
      sym_mult_operator,
    ACTIONS(16748), 1,
      sym_concat_operator,
    ACTIONS(16750), 1,
      sym_rel_operator,
    ACTIONS(16752), 1,
      sym_and_operator,
    ACTIONS(16754), 1,
      sym_or_operator,
    STATE(2236), 1,
      sym_add_operator,
    STATE(13687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [701839] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(16978), 1,
      anon_sym_SEMI,
    ACTIONS(16980), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13688), 1,
      sym_attribute,
    STATE(17139), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [701894] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16744), 1,
      sym_pow_operator,
    ACTIONS(16746), 1,
      sym_mult_operator,
    STATE(2236), 1,
      sym_add_operator,
    STATE(13689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11457), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [701935] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16744), 1,
      sym_pow_operator,
    STATE(2236), 1,
      sym_add_operator,
    STATE(13690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [701970] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16744), 1,
      sym_pow_operator,
    STATE(2236), 1,
      sym_add_operator,
    STATE(13691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [702005] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16744), 1,
      sym_pow_operator,
    ACTIONS(16746), 1,
      sym_mult_operator,
    ACTIONS(16748), 1,
      sym_concat_operator,
    STATE(2236), 1,
      sym_add_operator,
    STATE(13692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [702048] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16744), 1,
      sym_pow_operator,
    ACTIONS(16746), 1,
      sym_mult_operator,
    ACTIONS(16748), 1,
      sym_concat_operator,
    STATE(2236), 1,
      sym_add_operator,
    STATE(13693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [702091] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16982), 1,
      anon_sym_PIPE,
    STATE(13694), 1,
      sym_attribute,
    STATE(13696), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [702126] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16982), 1,
      anon_sym_PIPE,
    STATE(13695), 1,
      sym_attribute,
    STATE(13697), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [702161] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16982), 1,
      anon_sym_PIPE,
    STATE(13696), 1,
      sym_attribute,
    STATE(13698), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [702196] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16982), 1,
      anon_sym_PIPE,
    STATE(13697), 1,
      sym_attribute,
    STATE(13698), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [702231] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16984), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13698), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [702264] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16726), 1,
      anon_sym_PIPE,
    STATE(13699), 1,
      sym_attribute,
    STATE(13706), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [702299] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      sym_or_operator,
    ACTIONS(16742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16744), 1,
      sym_pow_operator,
    ACTIONS(16746), 1,
      sym_mult_operator,
    ACTIONS(16748), 1,
      sym_concat_operator,
    ACTIONS(16750), 1,
      sym_rel_operator,
    ACTIONS(16752), 1,
      sym_and_operator,
    STATE(2236), 1,
      sym_add_operator,
    STATE(13700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [702346] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16744), 1,
      sym_pow_operator,
    ACTIONS(16746), 1,
      sym_mult_operator,
    ACTIONS(16748), 1,
      sym_concat_operator,
    ACTIONS(16750), 1,
      sym_rel_operator,
    ACTIONS(16752), 1,
      sym_and_operator,
    ACTIONS(16754), 1,
      sym_or_operator,
    STATE(2236), 1,
      sym_add_operator,
    STATE(13701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [702393] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16738), 1,
      anon_sym_COMMA,
    ACTIONS(16742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16744), 1,
      sym_pow_operator,
    ACTIONS(16746), 1,
      sym_mult_operator,
    ACTIONS(16748), 1,
      sym_concat_operator,
    ACTIONS(16750), 1,
      sym_rel_operator,
    ACTIONS(16752), 1,
      sym_and_operator,
    ACTIONS(16754), 1,
      sym_or_operator,
    ACTIONS(16756), 1,
      sym_assign_operator,
    STATE(2236), 1,
      sym_add_operator,
    STATE(13702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [702444] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16744), 1,
      sym_pow_operator,
    ACTIONS(16746), 1,
      sym_mult_operator,
    STATE(2236), 1,
      sym_add_operator,
    STATE(13703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [702481] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16738), 1,
      anon_sym_COMMA,
    ACTIONS(16742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16744), 1,
      sym_pow_operator,
    ACTIONS(16746), 1,
      sym_mult_operator,
    ACTIONS(16748), 1,
      sym_concat_operator,
    ACTIONS(16750), 1,
      sym_rel_operator,
    ACTIONS(16752), 1,
      sym_and_operator,
    ACTIONS(16754), 1,
      sym_or_operator,
    ACTIONS(16756), 1,
      sym_assign_operator,
    STATE(2236), 1,
      sym_add_operator,
    STATE(13704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [702532] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16987), 1,
      anon_sym_DQUOTE,
    STATE(13705), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(21571), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [702573] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16989), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13706), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [702606] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(16992), 1,
      anon_sym_RBRACK,
    ACTIONS(16994), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13707), 1,
      sym_attribute,
    STATE(16989), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [702661] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16879), 1,
      anon_sym_PIPE,
    STATE(13708), 1,
      sym_attribute,
    STATE(13717), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [702696] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11308), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [702727] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(16996), 1,
      anon_sym_SEMI,
    ACTIONS(16998), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13710), 1,
      sym_attribute,
    STATE(16997), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [702782] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17000), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17002), 1,
      sym_pow_operator,
    ACTIONS(17004), 1,
      sym_mult_operator,
    ACTIONS(17006), 1,
      sym_concat_operator,
    ACTIONS(17008), 1,
      sym_rel_operator,
    ACTIONS(17010), 1,
      sym_and_operator,
    ACTIONS(17012), 1,
      sym_or_operator,
    STATE(2482), 1,
      sym_add_operator,
    STATE(13711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [702829] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17000), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17002), 1,
      sym_pow_operator,
    ACTIONS(17004), 1,
      sym_mult_operator,
    STATE(2482), 1,
      sym_add_operator,
    STATE(13712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11457), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [702870] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14449), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14665), 1,
      anon_sym_STAR,
    STATE(13713), 1,
      sym_attribute,
    STATE(13714), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14447), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [702905] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13224), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17014), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13714), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13222), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [702938] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17002), 1,
      sym_pow_operator,
    STATE(2482), 1,
      sym_add_operator,
    STATE(13715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [702973] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17002), 1,
      sym_pow_operator,
    STATE(2482), 1,
      sym_add_operator,
    STATE(13716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [703008] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17017), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13717), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [703041] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11322), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11320), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [703072] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17000), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17002), 1,
      sym_pow_operator,
    ACTIONS(17004), 1,
      sym_mult_operator,
    ACTIONS(17006), 1,
      sym_concat_operator,
    STATE(2482), 1,
      sym_add_operator,
    STATE(13719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [703115] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17000), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17002), 1,
      sym_pow_operator,
    ACTIONS(17004), 1,
      sym_mult_operator,
    ACTIONS(17006), 1,
      sym_concat_operator,
    STATE(2482), 1,
      sym_add_operator,
    STATE(13720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [703158] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      sym_or_operator,
    ACTIONS(17000), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17002), 1,
      sym_pow_operator,
    ACTIONS(17004), 1,
      sym_mult_operator,
    ACTIONS(17006), 1,
      sym_concat_operator,
    ACTIONS(17008), 1,
      sym_rel_operator,
    ACTIONS(17010), 1,
      sym_and_operator,
    STATE(2482), 1,
      sym_add_operator,
    STATE(13721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [703205] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17000), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17002), 1,
      sym_pow_operator,
    ACTIONS(17004), 1,
      sym_mult_operator,
    ACTIONS(17006), 1,
      sym_concat_operator,
    ACTIONS(17008), 1,
      sym_rel_operator,
    ACTIONS(17010), 1,
      sym_and_operator,
    ACTIONS(17012), 1,
      sym_or_operator,
    STATE(2482), 1,
      sym_add_operator,
    STATE(13722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [703252] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17000), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17002), 1,
      sym_pow_operator,
    ACTIONS(17004), 1,
      sym_mult_operator,
    ACTIONS(17006), 1,
      sym_concat_operator,
    ACTIONS(17008), 1,
      sym_rel_operator,
    ACTIONS(17010), 1,
      sym_and_operator,
    ACTIONS(17012), 1,
      sym_or_operator,
    ACTIONS(17020), 1,
      anon_sym_COMMA,
    ACTIONS(17022), 1,
      sym_assign_operator,
    STATE(2482), 1,
      sym_add_operator,
    STATE(13723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [703303] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17002), 1,
      sym_pow_operator,
    ACTIONS(17004), 1,
      sym_mult_operator,
    STATE(2482), 1,
      sym_add_operator,
    STATE(13724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [703340] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17000), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17002), 1,
      sym_pow_operator,
    ACTIONS(17004), 1,
      sym_mult_operator,
    ACTIONS(17006), 1,
      sym_concat_operator,
    ACTIONS(17008), 1,
      sym_rel_operator,
    ACTIONS(17010), 1,
      sym_and_operator,
    ACTIONS(17012), 1,
      sym_or_operator,
    ACTIONS(17020), 1,
      anon_sym_COMMA,
    ACTIONS(17022), 1,
      sym_assign_operator,
    STATE(2482), 1,
      sym_add_operator,
    STATE(13725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [703391] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17024), 1,
      anon_sym_else,
    STATE(9019), 1,
      sym_else_clause,
    STATE(13726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [703426] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17000), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17002), 1,
      sym_pow_operator,
    ACTIONS(17004), 1,
      sym_mult_operator,
    ACTIONS(17006), 1,
      sym_concat_operator,
    ACTIONS(17008), 1,
      sym_rel_operator,
    ACTIONS(17010), 1,
      sym_and_operator,
    ACTIONS(17012), 1,
      sym_or_operator,
    ACTIONS(17020), 1,
      anon_sym_COMMA,
    ACTIONS(17022), 1,
      sym_assign_operator,
    STATE(2482), 1,
      sym_add_operator,
    STATE(13727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [703477] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17026), 1,
      anon_sym_DQUOTE,
    STATE(13728), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(21998), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [703518] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17028), 1,
      anon_sym_RBRACK,
    ACTIONS(17030), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13729), 1,
      sym_attribute,
    STATE(17047), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [703573] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17032), 1,
      anon_sym_else,
    STATE(9019), 1,
      sym_else_clause,
    STATE(13730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [703608] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17034), 1,
      anon_sym_SEMI,
    ACTIONS(17036), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13731), 1,
      sym_attribute,
    STATE(17052), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [703663] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17038), 1,
      anon_sym_DQUOTE,
    STATE(13732), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20814), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [703704] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12603), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12601), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [703735] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17040), 1,
      anon_sym_PIPE,
    STATE(13734), 1,
      sym_attribute,
    STATE(13736), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [703770] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17040), 1,
      anon_sym_PIPE,
    STATE(13735), 1,
      sym_attribute,
    STATE(13737), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [703805] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17040), 1,
      anon_sym_PIPE,
    STATE(13736), 1,
      sym_attribute,
    STATE(13738), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [703840] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17040), 1,
      anon_sym_PIPE,
    STATE(13737), 1,
      sym_attribute,
    STATE(13738), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [703875] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17042), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13738), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11308), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [703908] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11352), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11350), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [703939] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17045), 1,
      anon_sym_RBRACK,
    ACTIONS(17047), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13740), 1,
      sym_attribute,
    STATE(16858), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [703994] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14449), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14631), 1,
      anon_sym_STAR,
    STATE(13741), 1,
      sym_attribute,
    STATE(13742), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14447), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [704029] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13224), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17049), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13742), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13222), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [704062] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17000), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17002), 1,
      sym_pow_operator,
    ACTIONS(17004), 1,
      sym_mult_operator,
    ACTIONS(17006), 1,
      sym_concat_operator,
    ACTIONS(17008), 1,
      sym_rel_operator,
    ACTIONS(17010), 1,
      sym_and_operator,
    ACTIONS(17012), 1,
      sym_or_operator,
    ACTIONS(17020), 1,
      anon_sym_COMMA,
    ACTIONS(17022), 1,
      sym_assign_operator,
    ACTIONS(17052), 1,
      anon_sym_SEMI,
    STATE(2482), 1,
      sym_add_operator,
    STATE(13743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10198), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [704115] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17054), 1,
      anon_sym_SEMI,
    ACTIONS(17056), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13744), 1,
      sym_attribute,
    STATE(16867), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [704170] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17058), 1,
      anon_sym_DQUOTE,
    STATE(13745), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(19306), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [704211] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16600), 1,
      sym_pow_operator,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(13746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [704254] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16738), 1,
      anon_sym_COMMA,
    ACTIONS(16742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16744), 1,
      sym_pow_operator,
    ACTIONS(16746), 1,
      sym_mult_operator,
    ACTIONS(16748), 1,
      sym_concat_operator,
    ACTIONS(16750), 1,
      sym_rel_operator,
    ACTIONS(16752), 1,
      sym_and_operator,
    ACTIONS(16754), 1,
      sym_or_operator,
    ACTIONS(16756), 1,
      sym_assign_operator,
    STATE(2236), 1,
      sym_add_operator,
    STATE(13747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [704305] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17060), 1,
      anon_sym_SEMI,
    ACTIONS(17062), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13748), 1,
      sym_attribute,
    STATE(17155), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [704360] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12607), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12605), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [704391] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(16840), 1,
      anon_sym_DASH_GT,
    ACTIONS(17066), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17064), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [704426] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_PIPE,
    ACTIONS(16958), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16960), 1,
      sym_pow_operator,
    ACTIONS(16962), 1,
      sym_mult_operator,
    ACTIONS(16964), 1,
      sym_concat_operator,
    ACTIONS(16966), 1,
      sym_rel_operator,
    ACTIONS(16968), 1,
      sym_and_operator,
    ACTIONS(16970), 1,
      sym_or_operator,
    STATE(2457), 1,
      sym_add_operator,
    STATE(13751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [704475] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12525), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12523), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [704506] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12643), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12641), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [704537] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16958), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16960), 1,
      sym_pow_operator,
    ACTIONS(16962), 1,
      sym_mult_operator,
    STATE(2457), 1,
      sym_add_operator,
    STATE(13754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [704578] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16960), 1,
      sym_pow_operator,
    STATE(2457), 1,
      sym_add_operator,
    STATE(13755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [704613] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17068), 1,
      anon_sym_DQUOTE,
    STATE(13756), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(19639), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [704654] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17070), 1,
      anon_sym_RBRACK,
    ACTIONS(17072), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13757), 1,
      sym_attribute,
    STATE(17239), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [704709] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16960), 1,
      sym_pow_operator,
    STATE(2457), 1,
      sym_add_operator,
    STATE(13758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [704744] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17074), 1,
      anon_sym_SEMI,
    ACTIONS(17076), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13759), 1,
      sym_attribute,
    STATE(17244), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [704799] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16958), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16960), 1,
      sym_pow_operator,
    ACTIONS(16962), 1,
      sym_mult_operator,
    ACTIONS(16964), 1,
      sym_concat_operator,
    STATE(2457), 1,
      sym_add_operator,
    STATE(13760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [704842] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17078), 1,
      anon_sym_DQUOTE,
    STATE(13761), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20596), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [704883] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16958), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16960), 1,
      sym_pow_operator,
    ACTIONS(16962), 1,
      sym_mult_operator,
    ACTIONS(16964), 1,
      sym_concat_operator,
    STATE(2457), 1,
      sym_add_operator,
    STATE(13762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [704926] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16958), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16960), 1,
      sym_pow_operator,
    ACTIONS(16962), 1,
      sym_mult_operator,
    ACTIONS(16964), 1,
      sym_concat_operator,
    ACTIONS(16966), 1,
      sym_rel_operator,
    ACTIONS(16968), 1,
      sym_and_operator,
    STATE(2457), 1,
      sym_add_operator,
    STATE(13763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [704973] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16958), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16960), 1,
      sym_pow_operator,
    ACTIONS(16962), 1,
      sym_mult_operator,
    ACTIONS(16964), 1,
      sym_concat_operator,
    ACTIONS(16966), 1,
      sym_rel_operator,
    ACTIONS(16968), 1,
      sym_and_operator,
    ACTIONS(16970), 1,
      sym_or_operator,
    STATE(2457), 1,
      sym_add_operator,
    STATE(13764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [705022] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16954), 1,
      anon_sym_COMMA,
    ACTIONS(16958), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16960), 1,
      sym_pow_operator,
    ACTIONS(16962), 1,
      sym_mult_operator,
    ACTIONS(16964), 1,
      sym_concat_operator,
    ACTIONS(16966), 1,
      sym_rel_operator,
    ACTIONS(16968), 1,
      sym_and_operator,
    ACTIONS(16970), 1,
      sym_or_operator,
    ACTIONS(16972), 1,
      sym_assign_operator,
    STATE(2457), 1,
      sym_add_operator,
    STATE(13765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [705075] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17080), 1,
      anon_sym_RBRACK,
    ACTIONS(17082), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13766), 1,
      sym_attribute,
    STATE(17470), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [705130] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16960), 1,
      sym_pow_operator,
    ACTIONS(16962), 1,
      sym_mult_operator,
    STATE(2457), 1,
      sym_add_operator,
    STATE(13767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [705167] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17084), 1,
      anon_sym_SEMI,
    ACTIONS(17086), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13768), 1,
      sym_attribute,
    STATE(17485), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [705222] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12647), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12645), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [705253] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17088), 1,
      anon_sym_DQUOTE,
    STATE(13770), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(19925), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [705294] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17090), 1,
      anon_sym_RBRACK,
    ACTIONS(17092), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13771), 1,
      sym_attribute,
    STATE(17307), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [705349] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11471), 1,
      anon_sym_PIPE,
    ACTIONS(16954), 1,
      anon_sym_COMMA,
    ACTIONS(16958), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16960), 1,
      sym_pow_operator,
    ACTIONS(16962), 1,
      sym_mult_operator,
    ACTIONS(16964), 1,
      sym_concat_operator,
    ACTIONS(16966), 1,
      sym_rel_operator,
    ACTIONS(16968), 1,
      sym_and_operator,
    ACTIONS(16970), 1,
      sym_or_operator,
    ACTIONS(16972), 1,
      sym_assign_operator,
    STATE(2457), 1,
      sym_add_operator,
    STATE(13772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11469), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [705402] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17094), 1,
      anon_sym_SEMI,
    ACTIONS(17096), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13773), 1,
      sym_attribute,
    STATE(17312), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [705457] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16674), 1,
      anon_sym_COLON2,
    ACTIONS(17098), 1,
      anon_sym_COLON_GT,
    ACTIONS(17100), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(13774), 1,
      sym_attribute,
    STATE(14186), 1,
      sym__typed,
    STATE(14324), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17102), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [705500] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16881), 1,
      anon_sym_else,
    STATE(9127), 1,
      sym_else_clause,
    STATE(13775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [705535] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17000), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17002), 1,
      sym_pow_operator,
    ACTIONS(17004), 1,
      sym_mult_operator,
    ACTIONS(17006), 1,
      sym_concat_operator,
    ACTIONS(17008), 1,
      sym_rel_operator,
    ACTIONS(17010), 1,
      sym_and_operator,
    ACTIONS(17012), 1,
      sym_or_operator,
    ACTIONS(17020), 1,
      anon_sym_COMMA,
    ACTIONS(17022), 1,
      sym_assign_operator,
    STATE(2482), 1,
      sym_add_operator,
    STATE(13776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [705586] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2661), 1,
      sym_add_operator,
    STATE(13777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [705619] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17104), 1,
      anon_sym_DQUOTE,
    STATE(13778), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20230), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [705660] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17106), 1,
      anon_sym_RBRACK,
    ACTIONS(17108), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13779), 1,
      sym_attribute,
    STATE(17384), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [705715] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17110), 1,
      anon_sym_SEMI,
    ACTIONS(17112), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13780), 1,
      sym_attribute,
    STATE(17391), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [705770] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17116), 1,
      sym_pow_operator,
    ACTIONS(17118), 1,
      sym_mult_operator,
    ACTIONS(17120), 1,
      sym_concat_operator,
    ACTIONS(17122), 1,
      sym_rel_operator,
    ACTIONS(17124), 1,
      sym_and_operator,
    ACTIONS(17126), 1,
      sym_or_operator,
    STATE(2211), 1,
      sym_add_operator,
    STATE(13781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [705817] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17116), 1,
      sym_pow_operator,
    ACTIONS(17118), 1,
      sym_mult_operator,
    STATE(2211), 1,
      sym_add_operator,
    STATE(13782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11457), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [705858] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17116), 1,
      sym_pow_operator,
    STATE(2211), 1,
      sym_add_operator,
    STATE(13783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [705893] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17116), 1,
      sym_pow_operator,
    STATE(2211), 1,
      sym_add_operator,
    STATE(13784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [705928] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17116), 1,
      sym_pow_operator,
    ACTIONS(17118), 1,
      sym_mult_operator,
    ACTIONS(17120), 1,
      sym_concat_operator,
    STATE(2211), 1,
      sym_add_operator,
    STATE(13785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [705971] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17116), 1,
      sym_pow_operator,
    ACTIONS(17118), 1,
      sym_mult_operator,
    ACTIONS(17120), 1,
      sym_concat_operator,
    STATE(2211), 1,
      sym_add_operator,
    STATE(13786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [706014] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      sym_or_operator,
    ACTIONS(17114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17116), 1,
      sym_pow_operator,
    ACTIONS(17118), 1,
      sym_mult_operator,
    ACTIONS(17120), 1,
      sym_concat_operator,
    ACTIONS(17122), 1,
      sym_rel_operator,
    ACTIONS(17124), 1,
      sym_and_operator,
    STATE(2211), 1,
      sym_add_operator,
    STATE(13787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [706061] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17116), 1,
      sym_pow_operator,
    ACTIONS(17118), 1,
      sym_mult_operator,
    ACTIONS(17120), 1,
      sym_concat_operator,
    ACTIONS(17122), 1,
      sym_rel_operator,
    ACTIONS(17124), 1,
      sym_and_operator,
    ACTIONS(17126), 1,
      sym_or_operator,
    STATE(2211), 1,
      sym_add_operator,
    STATE(13788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [706108] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17116), 1,
      sym_pow_operator,
    ACTIONS(17118), 1,
      sym_mult_operator,
    ACTIONS(17120), 1,
      sym_concat_operator,
    ACTIONS(17122), 1,
      sym_rel_operator,
    ACTIONS(17124), 1,
      sym_and_operator,
    ACTIONS(17126), 1,
      sym_or_operator,
    ACTIONS(17128), 1,
      anon_sym_COMMA,
    ACTIONS(17130), 1,
      sym_assign_operator,
    STATE(2211), 1,
      sym_add_operator,
    STATE(13789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [706159] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17116), 1,
      sym_pow_operator,
    ACTIONS(17118), 1,
      sym_mult_operator,
    STATE(2211), 1,
      sym_add_operator,
    STATE(13790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [706196] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17116), 1,
      sym_pow_operator,
    ACTIONS(17118), 1,
      sym_mult_operator,
    ACTIONS(17120), 1,
      sym_concat_operator,
    ACTIONS(17122), 1,
      sym_rel_operator,
    ACTIONS(17124), 1,
      sym_and_operator,
    ACTIONS(17126), 1,
      sym_or_operator,
    ACTIONS(17128), 1,
      anon_sym_COMMA,
    ACTIONS(17130), 1,
      sym_assign_operator,
    STATE(2211), 1,
      sym_add_operator,
    STATE(13791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11469), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [706247] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16836), 1,
      anon_sym_else,
    STATE(9019), 1,
      sym_else_clause,
    STATE(13792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11383), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11381), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [706282] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17116), 1,
      sym_pow_operator,
    ACTIONS(17118), 1,
      sym_mult_operator,
    ACTIONS(17120), 1,
      sym_concat_operator,
    ACTIONS(17122), 1,
      sym_rel_operator,
    ACTIONS(17124), 1,
      sym_and_operator,
    ACTIONS(17126), 1,
      sym_or_operator,
    ACTIONS(17128), 1,
      anon_sym_COMMA,
    ACTIONS(17130), 1,
      sym_assign_operator,
    STATE(2211), 1,
      sym_add_operator,
    STATE(13793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11475), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [706333] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17132), 1,
      anon_sym_DQUOTE,
    STATE(13794), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(22198), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [706374] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17134), 1,
      anon_sym_RBRACK,
    ACTIONS(17136), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13795), 1,
      sym_attribute,
    STATE(17092), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [706429] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17138), 1,
      anon_sym_SEMI,
    ACTIONS(17140), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13796), 1,
      sym_attribute,
    STATE(17101), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [706484] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12739), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12737), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [706515] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17142), 1,
      anon_sym_DQUOTE,
    STATE(13798), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20546), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [706556] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17144), 1,
      anon_sym_RBRACK,
    ACTIONS(17146), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13799), 1,
      sym_attribute,
    STATE(17444), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [706611] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12743), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12741), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [706642] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17148), 1,
      anon_sym_SEMI,
    ACTIONS(17150), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13801), 1,
      sym_attribute,
    STATE(17450), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [706697] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17152), 1,
      anon_sym_LPAREN,
    STATE(13802), 1,
      sym_attribute,
    STATE(14593), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14566), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11907), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [706736] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2482), 1,
      sym_add_operator,
    STATE(13803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [706769] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17024), 1,
      anon_sym_else,
    STATE(9127), 1,
      sym_else_clause,
    STATE(13804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [706804] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12747), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12745), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [706835] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17154), 1,
      anon_sym_DQUOTE,
    STATE(13806), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(21034), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [706876] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17156), 1,
      anon_sym_RBRACK,
    ACTIONS(17158), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13807), 1,
      sym_attribute,
    STATE(17576), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [706931] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16822), 1,
      anon_sym_else,
    STATE(9127), 1,
      sym_else_clause,
    STATE(13808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [706966] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17160), 1,
      anon_sym_SEMI,
    ACTIONS(17162), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13809), 1,
      sym_attribute,
    STATE(17581), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [707021] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17116), 1,
      sym_pow_operator,
    ACTIONS(17118), 1,
      sym_mult_operator,
    ACTIONS(17120), 1,
      sym_concat_operator,
    ACTIONS(17122), 1,
      sym_rel_operator,
    ACTIONS(17124), 1,
      sym_and_operator,
    ACTIONS(17126), 1,
      sym_or_operator,
    ACTIONS(17128), 1,
      anon_sym_COMMA,
    ACTIONS(17130), 1,
      sym_assign_operator,
    STATE(2211), 1,
      sym_add_operator,
    STATE(13810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [707072] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2681), 1,
      sym_add_operator,
    STATE(13811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [707105] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17116), 1,
      sym_pow_operator,
    ACTIONS(17118), 1,
      sym_mult_operator,
    ACTIONS(17120), 1,
      sym_concat_operator,
    ACTIONS(17122), 1,
      sym_rel_operator,
    ACTIONS(17124), 1,
      sym_and_operator,
    ACTIONS(17126), 1,
      sym_or_operator,
    ACTIONS(17128), 1,
      anon_sym_COMMA,
    ACTIONS(17130), 1,
      sym_assign_operator,
    ACTIONS(17164), 1,
      anon_sym_SEMI,
    STATE(2211), 1,
      sym_add_operator,
    STATE(13812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10198), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [707158] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12687), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12685), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [707189] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12691), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12689), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [707220] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12807), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12805), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [707251] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16550), 1,
      anon_sym_let,
    ACTIONS(17166), 1,
      anon_sym_in,
    STATE(13816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16548), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [707284] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17168), 1,
      anon_sym_SEMI,
    ACTIONS(17170), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13817), 1,
      sym_attribute,
    STATE(17013), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [707339] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17172), 1,
      anon_sym_DQUOTE,
    STATE(13818), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(21192), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [707380] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17174), 1,
      anon_sym_RBRACK,
    ACTIONS(17176), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13819), 1,
      sym_attribute,
    STATE(17632), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [707435] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17178), 1,
      anon_sym_DQUOTE,
    STATE(13820), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(19869), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [707476] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17180), 1,
      anon_sym_SEMI,
    ACTIONS(17182), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13821), 1,
      sym_attribute,
    STATE(17637), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [707531] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17184), 1,
      anon_sym_RBRACK,
    ACTIONS(17186), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13822), 1,
      sym_attribute,
    STATE(17302), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [707586] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10198), 1,
      anon_sym_do,
    ACTIONS(10200), 1,
      anon_sym_PIPE,
    ACTIONS(17188), 1,
      anon_sym_COMMA,
    ACTIONS(17190), 1,
      anon_sym_SEMI,
    ACTIONS(17192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17194), 1,
      sym_pow_operator,
    ACTIONS(17196), 1,
      sym_mult_operator,
    ACTIONS(17198), 1,
      sym_concat_operator,
    ACTIONS(17200), 1,
      sym_rel_operator,
    ACTIONS(17202), 1,
      sym_and_operator,
    ACTIONS(17204), 1,
      sym_or_operator,
    ACTIONS(17206), 1,
      sym_assign_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [707641] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17208), 1,
      anon_sym_SEMI,
    ACTIONS(17210), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13824), 1,
      sym_attribute,
    STATE(17315), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [707696] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      anon_sym_DQUOTE,
    STATE(13825), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(21361), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [707737] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17214), 1,
      anon_sym_RBRACK,
    ACTIONS(17216), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13826), 1,
      sym_attribute,
    STATE(17690), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [707792] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17218), 1,
      anon_sym_DQUOTE,
    STATE(13827), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(22205), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [707833] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11477), 1,
      anon_sym_PIPE,
    ACTIONS(16954), 1,
      anon_sym_COMMA,
    ACTIONS(16958), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16960), 1,
      sym_pow_operator,
    ACTIONS(16962), 1,
      sym_mult_operator,
    ACTIONS(16964), 1,
      sym_concat_operator,
    ACTIONS(16966), 1,
      sym_rel_operator,
    ACTIONS(16968), 1,
      sym_and_operator,
    ACTIONS(16970), 1,
      sym_or_operator,
    ACTIONS(16972), 1,
      sym_assign_operator,
    STATE(2457), 1,
      sym_add_operator,
    STATE(13828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11475), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [707886] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17220), 1,
      anon_sym_SEMI,
    ACTIONS(17222), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13829), 1,
      sym_attribute,
    STATE(17694), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [707941] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17224), 1,
      anon_sym_RBRACK,
    ACTIONS(17226), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13830), 1,
      sym_attribute,
    STATE(18009), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [707996] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12711), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12709), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [708027] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17228), 1,
      anon_sym_SEMI,
    ACTIONS(17230), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13832), 1,
      sym_attribute,
    STATE(18016), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [708082] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17232), 1,
      anon_sym_DQUOTE,
    STATE(13833), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(21787), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [708123] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17234), 1,
      anon_sym_RBRACK,
    ACTIONS(17236), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13834), 1,
      sym_attribute,
    STATE(17850), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [708178] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17238), 1,
      anon_sym_SEMI,
    ACTIONS(17240), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13835), 1,
      sym_attribute,
    STATE(17859), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [708233] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17152), 1,
      anon_sym_LPAREN,
    STATE(13836), 1,
      sym_attribute,
    STATE(14593), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14566), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11853), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [708272] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12553), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12551), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [708303] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17242), 1,
      anon_sym_DQUOTE,
    STATE(13838), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20671), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [708344] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17244), 1,
      anon_sym_RBRACK,
    ACTIONS(17246), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13839), 1,
      sym_attribute,
    STATE(17471), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [708399] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17248), 1,
      anon_sym_SEMI,
    ACTIONS(17250), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13840), 1,
      sym_attribute,
    STATE(17486), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [708454] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16924), 1,
      anon_sym_else,
    STATE(9127), 1,
      sym_else_clause,
    STATE(13841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [708489] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(16946), 1,
      anon_sym_DASH_GT,
    ACTIONS(17066), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17064), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [708524] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17252), 1,
      anon_sym_DQUOTE,
    STATE(13843), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(22257), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [708565] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16738), 1,
      anon_sym_COMMA,
    ACTIONS(16742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16744), 1,
      sym_pow_operator,
    ACTIONS(16746), 1,
      sym_mult_operator,
    ACTIONS(16748), 1,
      sym_concat_operator,
    ACTIONS(16750), 1,
      sym_rel_operator,
    ACTIONS(16752), 1,
      sym_and_operator,
    ACTIONS(16754), 1,
      sym_or_operator,
    ACTIONS(16756), 1,
      sym_assign_operator,
    STATE(2236), 1,
      sym_add_operator,
    STATE(13844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [708616] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17254), 1,
      anon_sym_RBRACK,
    ACTIONS(17256), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13845), 1,
      sym_attribute,
    STATE(18012), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [708671] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17258), 1,
      anon_sym_SEMI,
    ACTIONS(17260), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13846), 1,
      sym_attribute,
    STATE(18017), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [708726] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16879), 1,
      anon_sym_PIPE,
    STATE(13708), 1,
      aux_sym__match_cases_repeat1,
    STATE(13847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [708761] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17262), 1,
      anon_sym_DQUOTE,
    STATE(13848), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20950), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [708802] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(16840), 1,
      anon_sym_DASH_GT,
    ACTIONS(16948), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16944), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [708837] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(16840), 1,
      anon_sym_DASH_GT,
    ACTIONS(16952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16950), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [708872] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16217), 1,
      sym_pow_operator,
    ACTIONS(16219), 1,
      sym_mult_operator,
    ACTIONS(16221), 1,
      sym_concat_operator,
    ACTIONS(16315), 1,
      sym_rel_operator,
    ACTIONS(16317), 1,
      sym_and_operator,
    ACTIONS(16327), 1,
      sym_or_operator,
    ACTIONS(16482), 1,
      anon_sym_COMMA,
    ACTIONS(16484), 1,
      sym_assign_operator,
    ACTIONS(17264), 1,
      anon_sym_SEMI,
    STATE(2038), 1,
      sym_add_operator,
    STATE(13851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10198), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [708925] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12665), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [708956] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17266), 1,
      anon_sym_RBRACK,
    ACTIONS(17268), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13853), 1,
      sym_attribute,
    STATE(16562), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [709011] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12671), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12669), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [709042] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17270), 1,
      anon_sym_DQUOTE,
    STATE(13855), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(19763), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [709083] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13596), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16946), 1,
      anon_sym_DASH_GT,
    STATE(13856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13594), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [709116] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17272), 1,
      anon_sym_SEMI,
    ACTIONS(17274), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13857), 1,
      sym_attribute,
    STATE(16715), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [709171] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2628), 1,
      sym_add_operator,
    STATE(13858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [709204] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17276), 1,
      anon_sym_RBRACK,
    ACTIONS(17278), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13859), 1,
      sym_attribute,
    STATE(17940), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [709259] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17280), 1,
      anon_sym_SEMI,
    ACTIONS(17282), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13860), 1,
      sym_attribute,
    STATE(16809), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [709314] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_PIPE,
    ACTIONS(17284), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17286), 1,
      sym_pow_operator,
    ACTIONS(17288), 1,
      sym_mult_operator,
    ACTIONS(17290), 1,
      sym_concat_operator,
    ACTIONS(17292), 1,
      sym_rel_operator,
    ACTIONS(17294), 1,
      sym_and_operator,
    ACTIONS(17296), 1,
      sym_or_operator,
    STATE(2628), 1,
      sym_add_operator,
    STATE(13861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [709363] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17284), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17286), 1,
      sym_pow_operator,
    ACTIONS(17288), 1,
      sym_mult_operator,
    STATE(2628), 1,
      sym_add_operator,
    STATE(13862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [709404] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      sym_pow_operator,
    STATE(2628), 1,
      sym_add_operator,
    STATE(13863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [709439] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      sym_pow_operator,
    STATE(2628), 1,
      sym_add_operator,
    STATE(13864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [709474] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17284), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17286), 1,
      sym_pow_operator,
    ACTIONS(17288), 1,
      sym_mult_operator,
    ACTIONS(17290), 1,
      sym_concat_operator,
    STATE(2628), 1,
      sym_add_operator,
    STATE(13865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [709517] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17284), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17286), 1,
      sym_pow_operator,
    ACTIONS(17288), 1,
      sym_mult_operator,
    ACTIONS(17290), 1,
      sym_concat_operator,
    STATE(2628), 1,
      sym_add_operator,
    STATE(13866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [709560] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17284), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17286), 1,
      sym_pow_operator,
    ACTIONS(17288), 1,
      sym_mult_operator,
    ACTIONS(17290), 1,
      sym_concat_operator,
    ACTIONS(17292), 1,
      sym_rel_operator,
    ACTIONS(17294), 1,
      sym_and_operator,
    STATE(2628), 1,
      sym_add_operator,
    STATE(13867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [709607] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(17284), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17286), 1,
      sym_pow_operator,
    ACTIONS(17288), 1,
      sym_mult_operator,
    ACTIONS(17290), 1,
      sym_concat_operator,
    ACTIONS(17292), 1,
      sym_rel_operator,
    ACTIONS(17294), 1,
      sym_and_operator,
    ACTIONS(17296), 1,
      sym_or_operator,
    STATE(2628), 1,
      sym_add_operator,
    STATE(13868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [709656] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16726), 1,
      anon_sym_PIPE,
    STATE(13582), 1,
      aux_sym__match_cases_repeat1,
    STATE(13869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [709691] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17298), 1,
      anon_sym_DQUOTE,
    STATE(13870), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(21341), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [709732] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(17284), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17286), 1,
      sym_pow_operator,
    ACTIONS(17288), 1,
      sym_mult_operator,
    ACTIONS(17290), 1,
      sym_concat_operator,
    ACTIONS(17292), 1,
      sym_rel_operator,
    ACTIONS(17294), 1,
      sym_and_operator,
    ACTIONS(17296), 1,
      sym_or_operator,
    ACTIONS(17300), 1,
      anon_sym_COMMA,
    ACTIONS(17302), 1,
      sym_assign_operator,
    STATE(2628), 1,
      sym_add_operator,
    STATE(13871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [709785] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17286), 1,
      sym_pow_operator,
    ACTIONS(17288), 1,
      sym_mult_operator,
    STATE(2628), 1,
      sym_add_operator,
    STATE(13872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [709822] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11471), 1,
      anon_sym_PIPE,
    ACTIONS(17284), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17286), 1,
      sym_pow_operator,
    ACTIONS(17288), 1,
      sym_mult_operator,
    ACTIONS(17290), 1,
      sym_concat_operator,
    ACTIONS(17292), 1,
      sym_rel_operator,
    ACTIONS(17294), 1,
      sym_and_operator,
    ACTIONS(17296), 1,
      sym_or_operator,
    ACTIONS(17300), 1,
      anon_sym_COMMA,
    ACTIONS(17302), 1,
      sym_assign_operator,
    STATE(2628), 1,
      sym_add_operator,
    STATE(13873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11469), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [709875] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17304), 1,
      anon_sym_DQUOTE,
    STATE(13874), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(22412), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [709916] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17306), 1,
      anon_sym_RBRACK,
    ACTIONS(17308), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13875), 1,
      sym_attribute,
    STATE(16542), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [709971] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17310), 1,
      anon_sym_RBRACK,
    ACTIONS(17312), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13876), 1,
      sym_attribute,
    STATE(16568), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [710026] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17314), 1,
      anon_sym_SEMI,
    ACTIONS(17316), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13877), 1,
      sym_attribute,
    STATE(16646), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [710081] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11477), 1,
      anon_sym_PIPE,
    ACTIONS(17284), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17286), 1,
      sym_pow_operator,
    ACTIONS(17288), 1,
      sym_mult_operator,
    ACTIONS(17290), 1,
      sym_concat_operator,
    ACTIONS(17292), 1,
      sym_rel_operator,
    ACTIONS(17294), 1,
      sym_and_operator,
    ACTIONS(17296), 1,
      sym_or_operator,
    ACTIONS(17300), 1,
      anon_sym_COMMA,
    ACTIONS(17302), 1,
      sym_assign_operator,
    STATE(2628), 1,
      sym_add_operator,
    STATE(13878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11475), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [710134] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17318), 1,
      anon_sym_DQUOTE,
    STATE(13879), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(19859), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [710175] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17320), 1,
      anon_sym_RBRACK,
    ACTIONS(17322), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13880), 1,
      sym_attribute,
    STATE(17479), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [710230] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17324), 1,
      anon_sym_SEMI,
    ACTIONS(17326), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13881), 1,
      sym_attribute,
    STATE(17716), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [710285] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12675), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12673), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [710316] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17328), 1,
      anon_sym_DQUOTE,
    STATE(13883), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(22245), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [710357] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17330), 1,
      anon_sym_RBRACK,
    ACTIONS(17332), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13884), 1,
      sym_attribute,
    STATE(17037), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [710412] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17334), 1,
      anon_sym_SEMI,
    ACTIONS(17336), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13885), 1,
      sym_attribute,
    STATE(17135), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [710467] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_PIPE,
    ACTIONS(17192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17194), 1,
      sym_pow_operator,
    ACTIONS(17196), 1,
      sym_mult_operator,
    ACTIONS(17198), 1,
      sym_concat_operator,
    ACTIONS(17200), 1,
      sym_rel_operator,
    ACTIONS(17202), 1,
      sym_and_operator,
    ACTIONS(17204), 1,
      sym_or_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [710516] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17338), 1,
      anon_sym_SEMI,
    ACTIONS(17340), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13887), 1,
      sym_attribute,
    STATE(16608), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [710571] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17194), 1,
      sym_pow_operator,
    ACTIONS(17196), 1,
      sym_mult_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [710612] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17194), 1,
      sym_pow_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [710647] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17194), 1,
      sym_pow_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [710682] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17194), 1,
      sym_pow_operator,
    ACTIONS(17196), 1,
      sym_mult_operator,
    ACTIONS(17198), 1,
      sym_concat_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [710725] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17194), 1,
      sym_pow_operator,
    ACTIONS(17196), 1,
      sym_mult_operator,
    ACTIONS(17198), 1,
      sym_concat_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [710768] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17194), 1,
      sym_pow_operator,
    ACTIONS(17196), 1,
      sym_mult_operator,
    ACTIONS(17198), 1,
      sym_concat_operator,
    ACTIONS(17200), 1,
      sym_rel_operator,
    ACTIONS(17202), 1,
      sym_and_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [710815] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(17192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17194), 1,
      sym_pow_operator,
    ACTIONS(17196), 1,
      sym_mult_operator,
    ACTIONS(17198), 1,
      sym_concat_operator,
    ACTIONS(17200), 1,
      sym_rel_operator,
    ACTIONS(17202), 1,
      sym_and_operator,
    ACTIONS(17204), 1,
      sym_or_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [710864] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(17188), 1,
      anon_sym_COMMA,
    ACTIONS(17192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17194), 1,
      sym_pow_operator,
    ACTIONS(17196), 1,
      sym_mult_operator,
    ACTIONS(17198), 1,
      sym_concat_operator,
    ACTIONS(17200), 1,
      sym_rel_operator,
    ACTIONS(17202), 1,
      sym_and_operator,
    ACTIONS(17204), 1,
      sym_or_operator,
    ACTIONS(17206), 1,
      sym_assign_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [710917] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17194), 1,
      sym_pow_operator,
    ACTIONS(17196), 1,
      sym_mult_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [710954] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11471), 1,
      anon_sym_PIPE,
    ACTIONS(17188), 1,
      anon_sym_COMMA,
    ACTIONS(17192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17194), 1,
      sym_pow_operator,
    ACTIONS(17196), 1,
      sym_mult_operator,
    ACTIONS(17198), 1,
      sym_concat_operator,
    ACTIONS(17200), 1,
      sym_rel_operator,
    ACTIONS(17202), 1,
      sym_and_operator,
    ACTIONS(17204), 1,
      sym_or_operator,
    ACTIONS(17206), 1,
      sym_assign_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11469), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [711007] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12769), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12767), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [711038] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17342), 1,
      anon_sym_DQUOTE,
    STATE(13899), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(21653), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [711079] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11361), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11359), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [711110] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17344), 1,
      anon_sym_RBRACK,
    ACTIONS(17346), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13901), 1,
      sym_attribute,
    STATE(17785), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [711165] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17348), 1,
      anon_sym_SEMI,
    ACTIONS(17350), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13902), 1,
      sym_attribute,
    STATE(17802), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [711220] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17352), 1,
      anon_sym_DQUOTE,
    STATE(13903), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20735), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [711261] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11477), 1,
      anon_sym_PIPE,
    ACTIONS(17188), 1,
      anon_sym_COMMA,
    ACTIONS(17192), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17194), 1,
      sym_pow_operator,
    ACTIONS(17196), 1,
      sym_mult_operator,
    ACTIONS(17198), 1,
      sym_concat_operator,
    ACTIONS(17200), 1,
      sym_rel_operator,
    ACTIONS(17202), 1,
      sym_and_operator,
    ACTIONS(17204), 1,
      sym_or_operator,
    ACTIONS(17206), 1,
      sym_assign_operator,
    STATE(2643), 1,
      sym_add_operator,
    STATE(13904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11475), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [711314] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16879), 1,
      anon_sym_PIPE,
    STATE(13651), 1,
      aux_sym__match_cases_repeat1,
    STATE(13905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11496), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11494), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [711349] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17354), 1,
      anon_sym_RBRACK,
    ACTIONS(17356), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13906), 1,
      sym_attribute,
    STATE(17789), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [711404] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17358), 1,
      anon_sym_SEMI,
    ACTIONS(17360), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13907), 1,
      sym_attribute,
    STATE(17853), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [711459] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12593), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12591), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [711490] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16674), 1,
      anon_sym_COLON2,
    ACTIONS(17362), 1,
      anon_sym_COLON_GT,
    ACTIONS(17364), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(13909), 1,
      sym_attribute,
    STATE(14177), 1,
      sym__typed,
    STATE(14306), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17366), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [711533] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2236), 1,
      sym_add_operator,
    STATE(13910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [711566] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17032), 1,
      anon_sym_else,
    STATE(9127), 1,
      sym_else_clause,
    STATE(13911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [711601] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12952), 1,
      anon_sym_COLON2,
    STATE(13912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10360), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [711634] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17368), 1,
      anon_sym_DQUOTE,
    STATE(13913), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(22401), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [711675] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17370), 1,
      anon_sym_RBRACK,
    ACTIONS(17372), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13914), 1,
      sym_attribute,
    STATE(17226), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [711730] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_PIPE,
    ACTIONS(16766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16768), 1,
      sym_pow_operator,
    ACTIONS(16770), 1,
      sym_mult_operator,
    ACTIONS(16772), 1,
      sym_concat_operator,
    ACTIONS(16774), 1,
      sym_rel_operator,
    ACTIONS(16776), 1,
      sym_and_operator,
    ACTIONS(16778), 1,
      sym_or_operator,
    STATE(2661), 1,
      sym_add_operator,
    STATE(13915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [711779] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17374), 1,
      anon_sym_DQUOTE,
    STATE(13916), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(22186), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [711820] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16768), 1,
      sym_pow_operator,
    ACTIONS(16770), 1,
      sym_mult_operator,
    STATE(2661), 1,
      sym_add_operator,
    STATE(13917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [711861] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16768), 1,
      sym_pow_operator,
    STATE(2661), 1,
      sym_add_operator,
    STATE(13918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [711896] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17376), 1,
      anon_sym_RBRACK,
    ACTIONS(17378), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13919), 1,
      sym_attribute,
    STATE(16594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [711951] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16768), 1,
      sym_pow_operator,
    STATE(2661), 1,
      sym_add_operator,
    STATE(13920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [711986] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17380), 1,
      anon_sym_SEMI,
    ACTIONS(17382), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13921), 1,
      sym_attribute,
    STATE(16610), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [712041] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16768), 1,
      sym_pow_operator,
    ACTIONS(16770), 1,
      sym_mult_operator,
    ACTIONS(16772), 1,
      sym_concat_operator,
    STATE(2661), 1,
      sym_add_operator,
    STATE(13922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [712084] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16768), 1,
      sym_pow_operator,
    ACTIONS(16770), 1,
      sym_mult_operator,
    ACTIONS(16772), 1,
      sym_concat_operator,
    STATE(2661), 1,
      sym_add_operator,
    STATE(13923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [712127] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16768), 1,
      sym_pow_operator,
    ACTIONS(16770), 1,
      sym_mult_operator,
    ACTIONS(16772), 1,
      sym_concat_operator,
    ACTIONS(16774), 1,
      sym_rel_operator,
    ACTIONS(16776), 1,
      sym_and_operator,
    STATE(2661), 1,
      sym_add_operator,
    STATE(13924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [712174] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17384), 1,
      anon_sym_SEMI,
    ACTIONS(17386), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13925), 1,
      sym_attribute,
    STATE(16940), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [712229] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16768), 1,
      sym_pow_operator,
    ACTIONS(16770), 1,
      sym_mult_operator,
    ACTIONS(16772), 1,
      sym_concat_operator,
    ACTIONS(16774), 1,
      sym_rel_operator,
    ACTIONS(16776), 1,
      sym_and_operator,
    ACTIONS(16778), 1,
      sym_or_operator,
    STATE(2661), 1,
      sym_add_operator,
    STATE(13926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [712278] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      anon_sym_PIPE,
    ACTIONS(16762), 1,
      anon_sym_COMMA,
    ACTIONS(16766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16768), 1,
      sym_pow_operator,
    ACTIONS(16770), 1,
      sym_mult_operator,
    ACTIONS(16772), 1,
      sym_concat_operator,
    ACTIONS(16774), 1,
      sym_rel_operator,
    ACTIONS(16776), 1,
      sym_and_operator,
    ACTIONS(16778), 1,
      sym_or_operator,
    ACTIONS(16780), 1,
      sym_assign_operator,
    STATE(2661), 1,
      sym_add_operator,
    STATE(13927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [712331] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16768), 1,
      sym_pow_operator,
    ACTIONS(16770), 1,
      sym_mult_operator,
    STATE(2661), 1,
      sym_add_operator,
    STATE(13928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [712368] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11471), 1,
      anon_sym_PIPE,
    ACTIONS(16762), 1,
      anon_sym_COMMA,
    ACTIONS(16766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16768), 1,
      sym_pow_operator,
    ACTIONS(16770), 1,
      sym_mult_operator,
    ACTIONS(16772), 1,
      sym_concat_operator,
    ACTIONS(16774), 1,
      sym_rel_operator,
    ACTIONS(16776), 1,
      sym_and_operator,
    ACTIONS(16778), 1,
      sym_or_operator,
    ACTIONS(16780), 1,
      sym_assign_operator,
    STATE(2661), 1,
      sym_add_operator,
    STATE(13929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11469), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [712421] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11477), 1,
      anon_sym_PIPE,
    ACTIONS(16762), 1,
      anon_sym_COMMA,
    ACTIONS(16766), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16768), 1,
      sym_pow_operator,
    ACTIONS(16770), 1,
      sym_mult_operator,
    ACTIONS(16772), 1,
      sym_concat_operator,
    ACTIONS(16774), 1,
      sym_rel_operator,
    ACTIONS(16776), 1,
      sym_and_operator,
    ACTIONS(16778), 1,
      sym_or_operator,
    ACTIONS(16780), 1,
      sym_assign_operator,
    STATE(2661), 1,
      sym_add_operator,
    STATE(13930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11475), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [712474] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10198), 1,
      anon_sym_then,
    ACTIONS(10200), 1,
      anon_sym_PIPE,
    ACTIONS(17284), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17286), 1,
      sym_pow_operator,
    ACTIONS(17288), 1,
      sym_mult_operator,
    ACTIONS(17290), 1,
      sym_concat_operator,
    ACTIONS(17292), 1,
      sym_rel_operator,
    ACTIONS(17294), 1,
      sym_and_operator,
    ACTIONS(17296), 1,
      sym_or_operator,
    ACTIONS(17300), 1,
      anon_sym_COMMA,
    ACTIONS(17302), 1,
      sym_assign_operator,
    ACTIONS(17388), 1,
      anon_sym_SEMI,
    STATE(2628), 1,
      sym_add_operator,
    STATE(13931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [712529] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2457), 1,
      sym_add_operator,
    STATE(13932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [712562] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17390), 1,
      anon_sym_DQUOTE,
    STATE(13933), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(19725), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [712603] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17392), 1,
      anon_sym_RBRACK,
    ACTIONS(17394), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13934), 1,
      sym_attribute,
    STATE(16718), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [712658] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17396), 1,
      anon_sym_SEMI,
    ACTIONS(17398), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13935), 1,
      sym_attribute,
    STATE(16726), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [712713] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17400), 1,
      anon_sym_DQUOTE,
    STATE(13936), 1,
      sym_attribute,
    STATE(14008), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    STATE(20983), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [712754] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17402), 1,
      anon_sym_RBRACK,
    ACTIONS(17404), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13937), 1,
      sym_attribute,
    STATE(16932), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [712809] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    ACTIONS(17406), 1,
      anon_sym_SEMI,
    ACTIONS(17408), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13938), 1,
      sym_attribute,
    STATE(16954), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [712864] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_PIPE,
    ACTIONS(16598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16600), 1,
      sym_pow_operator,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    ACTIONS(16606), 1,
      sym_rel_operator,
    ACTIONS(16608), 1,
      sym_and_operator,
    ACTIONS(16610), 1,
      sym_or_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(13939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [712913] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16600), 1,
      sym_pow_operator,
    ACTIONS(16602), 1,
      sym_mult_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(13940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11459), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [712954] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16600), 1,
      sym_pow_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(13941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [712989] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16600), 1,
      sym_pow_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(13942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11463), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [713024] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12679), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12677), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [713055] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16600), 1,
      sym_pow_operator,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(13944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [713098] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17410), 1,
      anon_sym_RBRACK,
    ACTIONS(17412), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(13945), 1,
      sym_attribute,
    STATE(17144), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [713153] = 14,
    ACTIONS(475), 1,
      anon_sym_LBRACK,
    ACTIONS(485), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(497), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17414), 1,
      sym__identifier,
    ACTIONS(17416), 1,
      anon_sym_LPAREN,
    ACTIONS(17418), 1,
      anon_sym_LBRACE,
    ACTIONS(17420), 1,
      sym__capitalized_identifier,
    STATE(3179), 1,
      sym__constructor_name,
    STATE(3279), 1,
      sym_parenthesized_operator,
    STATE(3305), 1,
      sym__value_name,
    STATE(13946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3240), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [713201] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17422), 1,
      anon_sym_and,
    STATE(13947), 1,
      sym_attribute,
    STATE(14145), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16193), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [713233] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17424), 1,
      sym_pow_operator,
    STATE(2521), 1,
      sym_add_operator,
    STATE(13948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [713267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12725), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12727), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [713297] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17424), 1,
      sym_pow_operator,
    ACTIONS(17426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17428), 1,
      sym_mult_operator,
    ACTIONS(17430), 1,
      sym_concat_operator,
    STATE(2521), 1,
      sym_add_operator,
    STATE(13950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [713339] = 14,
    ACTIONS(1187), 1,
      anon_sym_LBRACK,
    ACTIONS(1197), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1209), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17432), 1,
      sym__identifier,
    ACTIONS(17434), 1,
      anon_sym_LPAREN,
    ACTIONS(17436), 1,
      anon_sym_LBRACE,
    ACTIONS(17438), 1,
      sym__capitalized_identifier,
    STATE(4519), 1,
      sym__value_name,
    STATE(4672), 1,
      sym_parenthesized_operator,
    STATE(4731), 1,
      sym__constructor_name,
    STATE(13951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4613), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [713387] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16282), 1,
      sym__identifier,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    ACTIONS(17440), 1,
      anon_sym_nonrec,
    STATE(13245), 1,
      sym_type_binding,
    STATE(13952), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(15989), 1,
      sym__type_params,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(22203), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [713441] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10198), 1,
      anon_sym_with,
    ACTIONS(17442), 1,
      anon_sym_COMMA,
    ACTIONS(17444), 1,
      anon_sym_SEMI,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    ACTIONS(17452), 1,
      sym_concat_operator,
    ACTIONS(17454), 1,
      sym_rel_operator,
    ACTIONS(17456), 1,
      sym_and_operator,
    ACTIONS(17458), 1,
      sym_or_operator,
    ACTIONS(17460), 1,
      sym_assign_operator,
    STATE(2615), 1,
      sym_add_operator,
    STATE(13953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [713493] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2615), 1,
      sym_add_operator,
    STATE(13954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [713525] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17424), 1,
      sym_pow_operator,
    ACTIONS(17426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17428), 1,
      sym_mult_operator,
    ACTIONS(17430), 1,
      sym_concat_operator,
    STATE(2521), 1,
      sym_add_operator,
    STATE(13955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [713567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8917), 2,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17462), 13,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [713597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12729), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12731), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [713627] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3071), 1,
      anon_sym_LBRACK,
    ACTIONS(3081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3093), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17464), 1,
      sym__identifier,
    ACTIONS(17466), 1,
      anon_sym_LPAREN,
    ACTIONS(17468), 1,
      anon_sym_LBRACE,
    ACTIONS(17470), 1,
      sym__capitalized_identifier,
    STATE(7733), 1,
      sym__value_name,
    STATE(7858), 1,
      sym_parenthesized_operator,
    STATE(7962), 1,
      sym__constructor_name,
    STATE(13958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8196), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [713675] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17472), 1,
      anon_sym_and,
    STATE(13959), 1,
      sym_attribute,
    STATE(14122), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16526), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [713707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12733), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12735), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [713737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12737), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12739), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [713767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12743), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [713797] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17474), 1,
      sym__identifier,
    ACTIONS(17476), 1,
      anon_sym_LPAREN,
    ACTIONS(17478), 1,
      anon_sym_LBRACE,
    ACTIONS(17480), 1,
      sym__capitalized_identifier,
    STATE(8338), 1,
      sym__constructor_name,
    STATE(8339), 1,
      sym__value_name,
    STATE(13963), 1,
      sym_attribute,
    STATE(14199), 1,
      sym_parenthesized_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8333), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [713845] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      sym_or_operator,
    ACTIONS(17424), 1,
      sym_pow_operator,
    ACTIONS(17426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17428), 1,
      sym_mult_operator,
    ACTIONS(17430), 1,
      sym_concat_operator,
    ACTIONS(17482), 1,
      sym_rel_operator,
    ACTIONS(17484), 1,
      sym_and_operator,
    STATE(2521), 1,
      sym_add_operator,
    STATE(13964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [713891] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17424), 1,
      sym_pow_operator,
    ACTIONS(17426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17428), 1,
      sym_mult_operator,
    ACTIONS(17430), 1,
      sym_concat_operator,
    ACTIONS(17482), 1,
      sym_rel_operator,
    ACTIONS(17484), 1,
      sym_and_operator,
    ACTIONS(17486), 1,
      sym_or_operator,
    STATE(2521), 1,
      sym_add_operator,
    STATE(13965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [713937] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17424), 1,
      sym_pow_operator,
    ACTIONS(17426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17428), 1,
      sym_mult_operator,
    ACTIONS(17430), 1,
      sym_concat_operator,
    ACTIONS(17482), 1,
      sym_rel_operator,
    ACTIONS(17484), 1,
      sym_and_operator,
    ACTIONS(17486), 1,
      sym_or_operator,
    ACTIONS(17488), 1,
      anon_sym_COMMA,
    ACTIONS(17490), 1,
      sym_assign_operator,
    STATE(2521), 1,
      sym_add_operator,
    STATE(13966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [713987] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2839), 1,
      anon_sym_LBRACK,
    ACTIONS(2849), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2861), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17492), 1,
      sym__identifier,
    ACTIONS(17494), 1,
      anon_sym_LPAREN,
    ACTIONS(17496), 1,
      anon_sym_LBRACE,
    ACTIONS(17498), 1,
      sym__capitalized_identifier,
    STATE(7249), 1,
      sym_parenthesized_operator,
    STATE(7445), 1,
      sym__constructor_name,
    STATE(7643), 1,
      sym__value_name,
    STATE(13967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7589), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [714035] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    ACTIONS(17452), 1,
      sym_concat_operator,
    ACTIONS(17454), 1,
      sym_rel_operator,
    ACTIONS(17456), 1,
      sym_and_operator,
    ACTIONS(17458), 1,
      sym_or_operator,
    STATE(2615), 1,
      sym_add_operator,
    STATE(13968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [714081] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17424), 1,
      sym_pow_operator,
    ACTIONS(17428), 1,
      sym_mult_operator,
    STATE(2521), 1,
      sym_add_operator,
    STATE(13969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [714117] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17502), 1,
      sym_pow_operator,
    ACTIONS(17504), 1,
      sym_mult_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(13970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11457), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [714157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12747), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [714187] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17502), 1,
      sym_pow_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(13972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [714221] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    STATE(2615), 1,
      sym_add_operator,
    STATE(13973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11457), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [714261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17506), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13974), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(15559), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [714291] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17509), 1,
      anon_sym_and,
    STATE(13974), 1,
      aux_sym_class_definition_repeat1,
    STATE(13975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16268), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [714323] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9478), 1,
      anon_sym_LBRACK,
    ACTIONS(9486), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9490), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17511), 1,
      sym__identifier,
    ACTIONS(17513), 1,
      anon_sym_LPAREN,
    ACTIONS(17515), 1,
      anon_sym_LBRACE,
    ACTIONS(17517), 1,
      sym__capitalized_identifier,
    STATE(8531), 1,
      sym__value_name,
    STATE(8597), 1,
      sym_parenthesized_operator,
    STATE(8657), 1,
      sym__constructor_name,
    STATE(13976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8712), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [714371] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17448), 1,
      sym_pow_operator,
    STATE(2615), 1,
      sym_add_operator,
    STATE(13977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [714405] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17448), 1,
      sym_pow_operator,
    STATE(2615), 1,
      sym_add_operator,
    STATE(13978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [714439] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(17519), 1,
      sym__identifier,
    ACTIONS(17521), 1,
      anon_sym_POUND,
    STATE(13979), 1,
      sym_attribute,
    STATE(14229), 1,
      sym_type_constructor_path,
    STATE(19061), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12367), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [714479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12767), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12769), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [714509] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    ACTIONS(17452), 1,
      sym_concat_operator,
    STATE(2615), 1,
      sym_add_operator,
    STATE(13981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [714551] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    ACTIONS(17452), 1,
      sym_concat_operator,
    STATE(2615), 1,
      sym_add_operator,
    STATE(13982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [714593] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17424), 1,
      sym_pow_operator,
    ACTIONS(17426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17428), 1,
      sym_mult_operator,
    ACTIONS(17430), 1,
      sym_concat_operator,
    ACTIONS(17482), 1,
      sym_rel_operator,
    ACTIONS(17484), 1,
      sym_and_operator,
    ACTIONS(17486), 1,
      sym_or_operator,
    ACTIONS(17488), 1,
      anon_sym_COMMA,
    ACTIONS(17490), 1,
      sym_assign_operator,
    STATE(2521), 1,
      sym_add_operator,
    STATE(13983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11475), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [714643] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      sym_or_operator,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    ACTIONS(17452), 1,
      sym_concat_operator,
    ACTIONS(17454), 1,
      sym_rel_operator,
    ACTIONS(17456), 1,
      sym_and_operator,
    STATE(2615), 1,
      sym_add_operator,
    STATE(13984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [714689] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3307), 1,
      anon_sym_LBRACK,
    ACTIONS(3317), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3329), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17523), 1,
      sym__identifier,
    ACTIONS(17525), 1,
      anon_sym_LPAREN,
    ACTIONS(17527), 1,
      anon_sym_LBRACE,
    ACTIONS(17529), 1,
      sym__capitalized_identifier,
    STATE(7765), 1,
      sym_parenthesized_operator,
    STATE(8071), 1,
      sym__value_name,
    STATE(8094), 1,
      sym__constructor_name,
    STATE(13985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8288), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [714737] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    ACTIONS(17452), 1,
      sym_concat_operator,
    ACTIONS(17454), 1,
      sym_rel_operator,
    ACTIONS(17456), 1,
      sym_and_operator,
    ACTIONS(17458), 1,
      sym_or_operator,
    STATE(2615), 1,
      sym_add_operator,
    STATE(13986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [714783] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17531), 1,
      sym__identifier,
    ACTIONS(17533), 1,
      anon_sym_LPAREN,
    ACTIONS(17535), 1,
      anon_sym_LBRACE,
    ACTIONS(17537), 1,
      sym__capitalized_identifier,
    STATE(6202), 1,
      sym__value_name,
    STATE(6277), 1,
      sym__constructor_name,
    STATE(6308), 1,
      sym_parenthesized_operator,
    STATE(13987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6186), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [714831] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9438), 1,
      anon_sym_LBRACK,
    ACTIONS(9446), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9450), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17539), 1,
      sym__identifier,
    ACTIONS(17541), 1,
      anon_sym_LPAREN,
    ACTIONS(17543), 1,
      anon_sym_LBRACE,
    ACTIONS(17545), 1,
      sym__capitalized_identifier,
    STATE(10740), 1,
      sym_parenthesized_operator,
    STATE(10932), 1,
      sym__constructor_name,
    STATE(10997), 1,
      sym__value_name,
    STATE(13988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10885), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [714879] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17502), 1,
      sym_pow_operator,
    ACTIONS(17504), 1,
      sym_mult_operator,
    ACTIONS(17547), 1,
      sym_concat_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(13989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [714921] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10198), 1,
      anon_sym_do,
    ACTIONS(17424), 1,
      sym_pow_operator,
    ACTIONS(17426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17428), 1,
      sym_mult_operator,
    ACTIONS(17430), 1,
      sym_concat_operator,
    ACTIONS(17482), 1,
      sym_rel_operator,
    ACTIONS(17484), 1,
      sym_and_operator,
    ACTIONS(17486), 1,
      sym_or_operator,
    ACTIONS(17488), 1,
      anon_sym_COMMA,
    ACTIONS(17490), 1,
      sym_assign_operator,
    ACTIONS(17549), 1,
      anon_sym_SEMI,
    STATE(2521), 1,
      sym_add_operator,
    STATE(13990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [714973] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2521), 1,
      sym_add_operator,
    STATE(13991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [715005] = 14,
    ACTIONS(527), 1,
      anon_sym_LBRACK,
    ACTIONS(537), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(549), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17551), 1,
      sym__identifier,
    ACTIONS(17553), 1,
      anon_sym_LPAREN,
    ACTIONS(17555), 1,
      anon_sym_LBRACE,
    ACTIONS(17557), 1,
      sym__capitalized_identifier,
    STATE(3479), 1,
      sym__value_name,
    STATE(3568), 1,
      sym_parenthesized_operator,
    STATE(4157), 1,
      sym__constructor_name,
    STATE(13992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4068), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [715053] = 14,
    ACTIONS(1327), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1349), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17559), 1,
      sym__identifier,
    ACTIONS(17561), 1,
      anon_sym_LPAREN,
    ACTIONS(17563), 1,
      anon_sym_LBRACE,
    ACTIONS(17565), 1,
      sym__capitalized_identifier,
    STATE(5948), 1,
      sym_parenthesized_operator,
    STATE(5959), 1,
      sym__constructor_name,
    STATE(5970), 1,
      sym__value_name,
    STATE(13993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5921), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [715101] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10198), 1,
      anon_sym_with,
    ACTIONS(17442), 1,
      anon_sym_COMMA,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    ACTIONS(17452), 1,
      sym_concat_operator,
    ACTIONS(17454), 1,
      sym_rel_operator,
    ACTIONS(17456), 1,
      sym_and_operator,
    ACTIONS(17458), 1,
      sym_or_operator,
    ACTIONS(17460), 1,
      sym_assign_operator,
    ACTIONS(17567), 1,
      anon_sym_SEMI,
    STATE(2615), 1,
      sym_add_operator,
    STATE(13994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [715153] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17424), 1,
      sym_pow_operator,
    ACTIONS(17426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17428), 1,
      sym_mult_operator,
    ACTIONS(17430), 1,
      sym_concat_operator,
    ACTIONS(17482), 1,
      sym_rel_operator,
    ACTIONS(17484), 1,
      sym_and_operator,
    ACTIONS(17486), 1,
      sym_or_operator,
    ACTIONS(17488), 1,
      anon_sym_COMMA,
    ACTIONS(17490), 1,
      sym_assign_operator,
    STATE(2521), 1,
      sym_add_operator,
    STATE(13995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11469), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [715203] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    ACTIONS(16451), 1,
      sym__identifier,
    ACTIONS(17569), 1,
      anon_sym_nonrec,
    STATE(13996), 1,
      sym_attribute,
    STATE(14090), 1,
      sym_type_binding,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16078), 1,
      sym__type_params,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(22251), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [715257] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10198), 1,
      anon_sym_end,
    ACTIONS(17571), 1,
      anon_sym_COMMA,
    ACTIONS(17573), 1,
      anon_sym_SEMI,
    ACTIONS(17575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17577), 1,
      sym_pow_operator,
    ACTIONS(17579), 1,
      sym_mult_operator,
    ACTIONS(17581), 1,
      sym_concat_operator,
    ACTIONS(17583), 1,
      sym_rel_operator,
    ACTIONS(17585), 1,
      sym_and_operator,
    ACTIONS(17587), 1,
      sym_or_operator,
    ACTIONS(17589), 1,
      sym_assign_operator,
    STATE(2668), 1,
      sym_add_operator,
    STATE(13997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [715309] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10198), 1,
      anon_sym_end,
    ACTIONS(17571), 1,
      anon_sym_COMMA,
    ACTIONS(17575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17577), 1,
      sym_pow_operator,
    ACTIONS(17579), 1,
      sym_mult_operator,
    ACTIONS(17581), 1,
      sym_concat_operator,
    ACTIONS(17583), 1,
      sym_rel_operator,
    ACTIONS(17585), 1,
      sym_and_operator,
    ACTIONS(17587), 1,
      sym_or_operator,
    ACTIONS(17589), 1,
      sym_assign_operator,
    ACTIONS(17591), 1,
      anon_sym_SEMI,
    STATE(2668), 1,
      sym_add_operator,
    STATE(13998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [715361] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2668), 1,
      sym_add_operator,
    STATE(13999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [715393] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3189), 1,
      anon_sym_LBRACK,
    ACTIONS(3199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3211), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17593), 1,
      sym__identifier,
    ACTIONS(17595), 1,
      anon_sym_LPAREN,
    ACTIONS(17597), 1,
      anon_sym_LBRACE,
    ACTIONS(17599), 1,
      sym__capitalized_identifier,
    STATE(7987), 1,
      sym__value_name,
    STATE(8076), 1,
      sym__constructor_name,
    STATE(8112), 1,
      sym_parenthesized_operator,
    STATE(14000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7984), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [715441] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17601), 1,
      anon_sym_and,
    STATE(14001), 1,
      sym_attribute,
    STATE(14010), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16108), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [715473] = 14,
    ACTIONS(1083), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1105), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17603), 1,
      sym__identifier,
    ACTIONS(17605), 1,
      anon_sym_LPAREN,
    ACTIONS(17607), 1,
      anon_sym_LBRACE,
    ACTIONS(17609), 1,
      sym__capitalized_identifier,
    STATE(4507), 1,
      sym__constructor_name,
    STATE(4525), 1,
      sym_parenthesized_operator,
    STATE(4663), 1,
      sym__value_name,
    STATE(14002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4561), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [715521] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(17611), 1,
      anon_sym_EQ,
    ACTIONS(17613), 1,
      anon_sym_DASH_GT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14003), 1,
      sym_attribute,
    STATE(14443), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17615), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [715561] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17442), 1,
      anon_sym_COMMA,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    ACTIONS(17452), 1,
      sym_concat_operator,
    ACTIONS(17454), 1,
      sym_rel_operator,
    ACTIONS(17456), 1,
      sym_and_operator,
    ACTIONS(17458), 1,
      sym_or_operator,
    ACTIONS(17460), 1,
      sym_assign_operator,
    STATE(2615), 1,
      sym_add_operator,
    STATE(14004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [715611] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    STATE(2615), 1,
      sym_add_operator,
    STATE(14005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [715647] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17442), 1,
      anon_sym_COMMA,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    ACTIONS(17452), 1,
      sym_concat_operator,
    ACTIONS(17454), 1,
      sym_rel_operator,
    ACTIONS(17456), 1,
      sym_and_operator,
    ACTIONS(17458), 1,
      sym_or_operator,
    ACTIONS(17460), 1,
      sym_assign_operator,
    STATE(2615), 1,
      sym_add_operator,
    STATE(14006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11469), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [715697] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17509), 1,
      anon_sym_and,
    STATE(13974), 1,
      aux_sym_class_definition_repeat1,
    STATE(14007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16303), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [715729] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17617), 1,
      anon_sym_DQUOTE,
    STATE(14008), 1,
      sym_attribute,
    STATE(14127), 1,
      aux_sym_string_content_repeat1,
    STATE(14197), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16616), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16618), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16614), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [715767] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17601), 1,
      anon_sym_and,
    STATE(14009), 1,
      sym_attribute,
    STATE(14010), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16003), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [715799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17619), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14010), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(15214), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [715829] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17601), 1,
      anon_sym_and,
    STATE(14011), 1,
      sym_attribute,
    STATE(14013), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16003), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [715861] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17509), 1,
      anon_sym_and,
    STATE(13975), 1,
      aux_sym_class_definition_repeat1,
    STATE(14012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16303), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [715893] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17601), 1,
      anon_sym_and,
    STATE(14010), 1,
      aux_sym_type_definition_repeat1,
    STATE(14013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16193), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [715925] = 14,
    ACTIONS(579), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(601), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      sym__identifier,
    ACTIONS(17624), 1,
      anon_sym_LPAREN,
    ACTIONS(17626), 1,
      anon_sym_LBRACE,
    ACTIONS(17628), 1,
      sym__capitalized_identifier,
    STATE(3674), 1,
      sym__value_name,
    STATE(3761), 1,
      sym_parenthesized_operator,
    STATE(3899), 1,
      sym__constructor_name,
    STATE(14014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3599), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [715973] = 14,
    ACTIONS(1245), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1275), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17630), 1,
      sym__identifier,
    ACTIONS(17632), 1,
      anon_sym_LPAREN,
    ACTIONS(17634), 1,
      anon_sym_LBRACE,
    ACTIONS(17636), 1,
      sym__capitalized_identifier,
    STATE(5761), 1,
      sym__value_name,
    STATE(5785), 1,
      sym_parenthesized_operator,
    STATE(5792), 1,
      sym__constructor_name,
    STATE(14015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5842), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [716021] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    ACTIONS(16311), 1,
      sym__identifier,
    ACTIONS(17638), 1,
      anon_sym_nonrec,
    STATE(13073), 1,
      sym_type_binding,
    STATE(14016), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(15980), 1,
      sym__type_params,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(19876), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [716075] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9526), 1,
      anon_sym_LBRACK,
    ACTIONS(9534), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9538), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17640), 1,
      sym__identifier,
    ACTIONS(17642), 1,
      anon_sym_LPAREN,
    ACTIONS(17644), 1,
      anon_sym_LBRACE,
    ACTIONS(17646), 1,
      sym__capitalized_identifier,
    STATE(7737), 1,
      sym__constructor_name,
    STATE(8718), 1,
      sym__value_name,
    STATE(8763), 1,
      sym_parenthesized_operator,
    STATE(14017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8716), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [716123] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(17519), 1,
      sym__identifier,
    ACTIONS(17648), 1,
      anon_sym_POUND,
    STATE(14018), 1,
      sym_attribute,
    STATE(14231), 1,
      sym_type_constructor_path,
    STATE(19061), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12371), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12373), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [716163] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      sym_or_operator,
    ACTIONS(17500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17502), 1,
      sym_pow_operator,
    ACTIONS(17504), 1,
      sym_mult_operator,
    ACTIONS(17547), 1,
      sym_concat_operator,
    ACTIONS(17650), 1,
      sym_rel_operator,
    ACTIONS(17652), 1,
      sym_and_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(14019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [716209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9178), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [716239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9182), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [716269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12603), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [716299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12607), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [716329] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(11118), 1,
      anon_sym_let,
    ACTIONS(17654), 1,
      sym__identifier,
    ACTIONS(17656), 1,
      anon_sym_LBRACK,
    STATE(10704), 1,
      sym__simple_class_type,
    STATE(14024), 1,
      sym_attribute,
    STATE(18667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11027), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [716375] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6593), 1,
      anon_sym_LBRACK,
    ACTIONS(6601), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6605), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17658), 1,
      sym__identifier,
    ACTIONS(17660), 1,
      anon_sym_LPAREN,
    ACTIONS(17662), 1,
      anon_sym_LBRACE,
    ACTIONS(17664), 1,
      sym__capitalized_identifier,
    STATE(6975), 1,
      sym__value_name,
    STATE(6991), 1,
      sym__constructor_name,
    STATE(7113), 1,
      sym_parenthesized_operator,
    STATE(14025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6924), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [716423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9186), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [716453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12641), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12643), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [716483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9190), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [716513] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1895), 1,
      anon_sym_LBRACK,
    ACTIONS(1905), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1917), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17666), 1,
      sym__identifier,
    ACTIONS(17668), 1,
      anon_sym_LPAREN,
    ACTIONS(17670), 1,
      anon_sym_LBRACE,
    ACTIONS(17672), 1,
      sym__capitalized_identifier,
    STATE(7444), 1,
      sym__value_name,
    STATE(7471), 1,
      sym_parenthesized_operator,
    STATE(7494), 1,
      sym__constructor_name,
    STATE(14029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7403), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [716561] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14603), 1,
      sym_rel_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    STATE(2060), 1,
      sym_add_operator,
    STATE(14030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17674), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [716611] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(17613), 1,
      anon_sym_DASH_GT,
    ACTIONS(17676), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14031), 1,
      sym_attribute,
    STATE(14468), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17678), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [716651] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    STATE(2060), 1,
      sym_add_operator,
    STATE(14032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17680), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [716701] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10198), 1,
      anon_sym_then,
    ACTIONS(17500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17502), 1,
      sym_pow_operator,
    ACTIONS(17504), 1,
      sym_mult_operator,
    ACTIONS(17547), 1,
      sym_concat_operator,
    ACTIONS(17650), 1,
      sym_rel_operator,
    ACTIONS(17652), 1,
      sym_and_operator,
    ACTIONS(17682), 1,
      anon_sym_COMMA,
    ACTIONS(17684), 1,
      anon_sym_SEMI,
    ACTIONS(17686), 1,
      sym_or_operator,
    ACTIONS(17688), 1,
      sym_assign_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(14033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [716753] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17690), 1,
      sym__identifier,
    ACTIONS(17692), 1,
      anon_sym_LBRACK,
    STATE(11700), 1,
      sym__simple_class_type,
    STATE(14034), 1,
      sym_attribute,
    STATE(18755), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11027), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [716799] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17472), 1,
      anon_sym_and,
    STATE(14035), 1,
      sym_attribute,
    STATE(14132), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16268), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [716831] = 14,
    ACTIONS(963), 1,
      anon_sym_LBRACK,
    ACTIONS(973), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(985), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17694), 1,
      sym__identifier,
    ACTIONS(17696), 1,
      anon_sym_LPAREN,
    ACTIONS(17698), 1,
      anon_sym_LBRACE,
    ACTIONS(17700), 1,
      sym__capitalized_identifier,
    STATE(4270), 1,
      sym__value_name,
    STATE(4329), 1,
      sym_parenthesized_operator,
    STATE(4373), 1,
      sym__constructor_name,
    STATE(14036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4247), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [716879] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2119), 1,
      sym_add_operator,
    STATE(14037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11415), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11413), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [716911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12645), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12647), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [716941] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10200), 1,
      anon_sym_DASH_GT,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    ACTIONS(17702), 1,
      anon_sym_SEMI,
    STATE(2060), 1,
      sym_add_operator,
    STATE(14039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [716993] = 14,
    ACTIONS(1135), 1,
      anon_sym_LBRACK,
    ACTIONS(1145), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1157), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17704), 1,
      sym__identifier,
    ACTIONS(17706), 1,
      anon_sym_LPAREN,
    ACTIONS(17708), 1,
      anon_sym_LBRACE,
    ACTIONS(17710), 1,
      sym__capitalized_identifier,
    STATE(4580), 1,
      sym__constructor_name,
    STATE(4850), 1,
      sym__value_name,
    STATE(4874), 1,
      sym_parenthesized_operator,
    STATE(14040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4807), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [717041] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3137), 1,
      anon_sym_LBRACK,
    ACTIONS(3147), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3159), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17712), 1,
      sym__identifier,
    ACTIONS(17714), 1,
      anon_sym_LPAREN,
    ACTIONS(17716), 1,
      anon_sym_LBRACE,
    ACTIONS(17718), 1,
      sym__capitalized_identifier,
    STATE(7908), 1,
      sym__constructor_name,
    STATE(8090), 1,
      sym__value_name,
    STATE(8207), 1,
      sym_parenthesized_operator,
    STATE(14041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8083), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [717089] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17502), 1,
      sym_pow_operator,
    ACTIONS(17504), 1,
      sym_mult_operator,
    ACTIONS(17547), 1,
      sym_concat_operator,
    ACTIONS(17650), 1,
      sym_rel_operator,
    ACTIONS(17652), 1,
      sym_and_operator,
    ACTIONS(17686), 1,
      sym_or_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(14042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [717135] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    STATE(2060), 1,
      sym_add_operator,
    STATE(14043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17720), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [717185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10360), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [717215] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7405), 1,
      anon_sym_LBRACK,
    ACTIONS(7413), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7417), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17722), 1,
      sym__identifier,
    ACTIONS(17724), 1,
      anon_sym_LPAREN,
    ACTIONS(17726), 1,
      anon_sym_LBRACE,
    ACTIONS(17728), 1,
      sym__capitalized_identifier,
    STATE(7828), 1,
      sym__value_name,
    STATE(7930), 1,
      sym__constructor_name,
    STATE(8061), 1,
      sym_parenthesized_operator,
    STATE(14045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8285), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [717263] = 14,
    ACTIONS(751), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(773), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17730), 1,
      sym__identifier,
    ACTIONS(17732), 1,
      anon_sym_LPAREN,
    ACTIONS(17734), 1,
      anon_sym_LBRACE,
    ACTIONS(17736), 1,
      sym__capitalized_identifier,
    STATE(3729), 1,
      sym__value_name,
    STATE(3764), 1,
      sym_parenthesized_operator,
    STATE(3906), 1,
      sym__constructor_name,
    STATE(14046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3673), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [717311] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17571), 1,
      anon_sym_COMMA,
    ACTIONS(17575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17577), 1,
      sym_pow_operator,
    ACTIONS(17579), 1,
      sym_mult_operator,
    ACTIONS(17581), 1,
      sym_concat_operator,
    ACTIONS(17583), 1,
      sym_rel_operator,
    ACTIONS(17585), 1,
      sym_and_operator,
    ACTIONS(17587), 1,
      sym_or_operator,
    ACTIONS(17589), 1,
      sym_assign_operator,
    STATE(2668), 1,
      sym_add_operator,
    STATE(14047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11475), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [717361] = 14,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(433), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(445), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17738), 1,
      sym__identifier,
    ACTIONS(17740), 1,
      anon_sym_LPAREN,
    ACTIONS(17742), 1,
      anon_sym_LBRACE,
    ACTIONS(17744), 1,
      sym__capitalized_identifier,
    STATE(3113), 1,
      sym__constructor_name,
    STATE(3221), 1,
      sym_parenthesized_operator,
    STATE(3398), 1,
      sym__value_name,
    STATE(14048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3351), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [717409] = 14,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1403), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1415), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17746), 1,
      sym__identifier,
    ACTIONS(17748), 1,
      anon_sym_LPAREN,
    ACTIONS(17750), 1,
      anon_sym_LBRACE,
    ACTIONS(17752), 1,
      sym__capitalized_identifier,
    STATE(6178), 1,
      sym_parenthesized_operator,
    STATE(6223), 1,
      sym__value_name,
    STATE(6273), 1,
      sym__constructor_name,
    STATE(14049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6280), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [717457] = 14,
    ACTIONS(805), 1,
      anon_sym_LBRACK,
    ACTIONS(815), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(827), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17754), 1,
      sym__identifier,
    ACTIONS(17756), 1,
      anon_sym_LPAREN,
    ACTIONS(17758), 1,
      anon_sym_LBRACE,
    ACTIONS(17760), 1,
      sym__capitalized_identifier,
    STATE(3442), 1,
      sym_parenthesized_operator,
    STATE(3801), 1,
      sym__constructor_name,
    STATE(4003), 1,
      sym__value_name,
    STATE(14050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3511), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [717505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12551), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12553), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [717535] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COMMA,
    ACTIONS(16632), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16636), 1,
      sym_pow_operator,
    ACTIONS(16638), 1,
      sym_mult_operator,
    ACTIONS(16640), 1,
      sym_concat_operator,
    ACTIONS(16642), 1,
      sym_rel_operator,
    ACTIONS(16644), 1,
      sym_and_operator,
    ACTIONS(16646), 1,
      sym_or_operator,
    ACTIONS(16648), 1,
      sym_assign_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(14052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17720), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [717585] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17690), 1,
      sym__identifier,
    ACTIONS(17692), 1,
      anon_sym_LBRACK,
    STATE(11620), 1,
      sym__simple_class_type,
    STATE(14053), 1,
      sym_attribute,
    STATE(18755), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11027), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [717631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12721), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12723), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [717661] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17502), 1,
      sym_pow_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(14055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [717695] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(11909), 1,
      anon_sym_COLON2,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11907), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [717735] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17442), 1,
      anon_sym_COMMA,
    ACTIONS(17446), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17448), 1,
      sym_pow_operator,
    ACTIONS(17450), 1,
      sym_mult_operator,
    ACTIONS(17452), 1,
      sym_concat_operator,
    ACTIONS(17454), 1,
      sym_rel_operator,
    ACTIONS(17456), 1,
      sym_and_operator,
    ACTIONS(17458), 1,
      sym_or_operator,
    ACTIONS(17460), 1,
      sym_assign_operator,
    STATE(2615), 1,
      sym_add_operator,
    STATE(14057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11475), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [717785] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(17613), 1,
      anon_sym_DASH_GT,
    ACTIONS(17762), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14058), 1,
      sym_attribute,
    STATE(14325), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17764), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [717825] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17690), 1,
      sym__identifier,
    ACTIONS(17692), 1,
      anon_sym_LBRACK,
    STATE(11904), 1,
      sym__simple_class_type,
    STATE(14059), 1,
      sym_attribute,
    STATE(18755), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11027), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [717871] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6761), 1,
      anon_sym_LBRACK,
    ACTIONS(6769), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6773), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17766), 1,
      sym__identifier,
    ACTIONS(17768), 1,
      anon_sym_LPAREN,
    ACTIONS(17770), 1,
      anon_sym_LBRACE,
    ACTIONS(17772), 1,
      sym__capitalized_identifier,
    STATE(6925), 1,
      sym__constructor_name,
    STATE(7160), 1,
      sym__value_name,
    STATE(7200), 1,
      sym_parenthesized_operator,
    STATE(14060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7128), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [717919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10256), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [717949] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17502), 1,
      sym_pow_operator,
    ACTIONS(17504), 1,
      sym_mult_operator,
    ACTIONS(17547), 1,
      sym_concat_operator,
    ACTIONS(17650), 1,
      sym_rel_operator,
    ACTIONS(17652), 1,
      sym_and_operator,
    ACTIONS(17682), 1,
      anon_sym_COMMA,
    ACTIONS(17686), 1,
      sym_or_operator,
    ACTIONS(17688), 1,
      sym_assign_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(14062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11469), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [717999] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17424), 1,
      sym_pow_operator,
    ACTIONS(17426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17428), 1,
      sym_mult_operator,
    ACTIONS(17430), 1,
      sym_concat_operator,
    ACTIONS(17482), 1,
      sym_rel_operator,
    ACTIONS(17484), 1,
      sym_and_operator,
    ACTIONS(17486), 1,
      sym_or_operator,
    STATE(2521), 1,
      sym_add_operator,
    STATE(14063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [718045] = 14,
    ACTIONS(631), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(653), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17774), 1,
      sym__identifier,
    ACTIONS(17776), 1,
      anon_sym_LPAREN,
    ACTIONS(17778), 1,
      anon_sym_LBRACE,
    ACTIONS(17780), 1,
      sym__capitalized_identifier,
    STATE(3570), 1,
      sym_parenthesized_operator,
    STATE(3822), 1,
      sym__constructor_name,
    STATE(4156), 1,
      sym__value_name,
    STATE(14064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4079), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [718093] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    ACTIONS(1457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1469), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17782), 1,
      sym__identifier,
    ACTIONS(17784), 1,
      anon_sym_LPAREN,
    ACTIONS(17786), 1,
      anon_sym_LBRACE,
    ACTIONS(17788), 1,
      sym__capitalized_identifier,
    STATE(6385), 1,
      sym_parenthesized_operator,
    STATE(6396), 1,
      sym__constructor_name,
    STATE(6427), 1,
      sym__value_name,
    STATE(14065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6440), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [718141] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17577), 1,
      sym_pow_operator,
    ACTIONS(17579), 1,
      sym_mult_operator,
    ACTIONS(17581), 1,
      sym_concat_operator,
    ACTIONS(17583), 1,
      sym_rel_operator,
    ACTIONS(17585), 1,
      sym_and_operator,
    ACTIONS(17587), 1,
      sym_or_operator,
    STATE(2668), 1,
      sym_add_operator,
    STATE(14066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [718187] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17502), 1,
      sym_pow_operator,
    ACTIONS(17504), 1,
      sym_mult_operator,
    ACTIONS(17547), 1,
      sym_concat_operator,
    ACTIONS(17650), 1,
      sym_rel_operator,
    ACTIONS(17652), 1,
      sym_and_operator,
    ACTIONS(17682), 1,
      anon_sym_COMMA,
    ACTIONS(17686), 1,
      sym_or_operator,
    ACTIONS(17688), 1,
      sym_assign_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(14067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [718237] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6633), 1,
      anon_sym_LBRACK,
    ACTIONS(6641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6645), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17790), 1,
      sym__identifier,
    ACTIONS(17792), 1,
      anon_sym_LPAREN,
    ACTIONS(17794), 1,
      anon_sym_LBRACE,
    ACTIONS(17796), 1,
      sym__capitalized_identifier,
    STATE(6898), 1,
      sym_parenthesized_operator,
    STATE(7027), 1,
      sym__constructor_name,
    STATE(7181), 1,
      sym__value_name,
    STATE(14068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7069), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [718285] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9398), 1,
      anon_sym_LBRACK,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9410), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17798), 1,
      sym__identifier,
    ACTIONS(17800), 1,
      anon_sym_LPAREN,
    ACTIONS(17802), 1,
      anon_sym_LBRACE,
    ACTIONS(17804), 1,
      sym__capitalized_identifier,
    STATE(8584), 1,
      sym_parenthesized_operator,
    STATE(8598), 1,
      sym__value_name,
    STATE(8648), 1,
      sym__constructor_name,
    STATE(14069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8609), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [718333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12717), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12719), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [718363] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17577), 1,
      sym_pow_operator,
    ACTIONS(17579), 1,
      sym_mult_operator,
    STATE(2668), 1,
      sym_add_operator,
    STATE(14071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11457), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [718403] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17690), 1,
      sym__identifier,
    ACTIONS(17692), 1,
      anon_sym_LBRACK,
    STATE(11726), 1,
      sym__simple_class_type,
    STATE(14072), 1,
      sym_attribute,
    STATE(18755), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11027), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [718449] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17577), 1,
      sym_pow_operator,
    STATE(2668), 1,
      sym_add_operator,
    STATE(14073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [718483] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17577), 1,
      sym_pow_operator,
    STATE(2668), 1,
      sym_add_operator,
    STATE(14074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [718517] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17422), 1,
      anon_sym_and,
    STATE(14075), 1,
      sym_attribute,
    STATE(14139), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16069), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [718549] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17577), 1,
      sym_pow_operator,
    ACTIONS(17579), 1,
      sym_mult_operator,
    ACTIONS(17581), 1,
      sym_concat_operator,
    STATE(2668), 1,
      sym_add_operator,
    STATE(14076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [718591] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17422), 1,
      anon_sym_and,
    STATE(14077), 1,
      sym_attribute,
    STATE(14144), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16108), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [718623] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8737), 1,
      anon_sym_LBRACK,
    ACTIONS(8745), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8749), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17806), 1,
      sym__identifier,
    ACTIONS(17808), 1,
      anon_sym_LPAREN,
    ACTIONS(17810), 1,
      anon_sym_LBRACE,
    ACTIONS(17812), 1,
      sym__capitalized_identifier,
    STATE(9289), 1,
      sym__constructor_name,
    STATE(10462), 1,
      sym__value_name,
    STATE(10574), 1,
      sym_parenthesized_operator,
    STATE(14078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10410), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [718671] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17577), 1,
      sym_pow_operator,
    ACTIONS(17579), 1,
      sym_mult_operator,
    ACTIONS(17581), 1,
      sym_concat_operator,
    STATE(2668), 1,
      sym_add_operator,
    STATE(14079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [718713] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11463), 1,
      sym_or_operator,
    ACTIONS(17575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17577), 1,
      sym_pow_operator,
    ACTIONS(17579), 1,
      sym_mult_operator,
    ACTIONS(17581), 1,
      sym_concat_operator,
    ACTIONS(17583), 1,
      sym_rel_operator,
    ACTIONS(17585), 1,
      sym_and_operator,
    STATE(2668), 1,
      sym_add_operator,
    STATE(14080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [718759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12665), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12667), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [718789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12671), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [718819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12675), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [718849] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17502), 1,
      sym_pow_operator,
    ACTIONS(17504), 1,
      sym_mult_operator,
    ACTIONS(17547), 1,
      sym_concat_operator,
    ACTIONS(17650), 1,
      sym_rel_operator,
    ACTIONS(17652), 1,
      sym_and_operator,
    ACTIONS(17682), 1,
      anon_sym_COMMA,
    ACTIONS(17686), 1,
      sym_or_operator,
    ACTIONS(17688), 1,
      sym_assign_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(14084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11475), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [718899] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17502), 1,
      sym_pow_operator,
    ACTIONS(17504), 1,
      sym_mult_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(14085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [718935] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17577), 1,
      sym_pow_operator,
    ACTIONS(17579), 1,
      sym_mult_operator,
    ACTIONS(17581), 1,
      sym_concat_operator,
    ACTIONS(17583), 1,
      sym_rel_operator,
    ACTIONS(17585), 1,
      sym_and_operator,
    ACTIONS(17587), 1,
      sym_or_operator,
    STATE(2668), 1,
      sym_add_operator,
    STATE(14086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [718981] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17502), 1,
      sym_pow_operator,
    ACTIONS(17504), 1,
      sym_mult_operator,
    ACTIONS(17547), 1,
      sym_concat_operator,
    ACTIONS(17650), 1,
      sym_rel_operator,
    ACTIONS(17652), 1,
      sym_and_operator,
    ACTIONS(17686), 1,
      sym_or_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(14087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11439), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [719027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17816), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17814), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [719057] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17601), 1,
      anon_sym_and,
    STATE(14001), 1,
      aux_sym_type_definition_repeat1,
    STATE(14089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16069), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [719089] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17601), 1,
      anon_sym_and,
    STATE(14009), 1,
      aux_sym_type_definition_repeat1,
    STATE(14090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16108), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [719121] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17571), 1,
      anon_sym_COMMA,
    ACTIONS(17575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17577), 1,
      sym_pow_operator,
    ACTIONS(17579), 1,
      sym_mult_operator,
    ACTIONS(17581), 1,
      sym_concat_operator,
    ACTIONS(17583), 1,
      sym_rel_operator,
    ACTIONS(17585), 1,
      sym_and_operator,
    ACTIONS(17587), 1,
      sym_or_operator,
    ACTIONS(17589), 1,
      sym_assign_operator,
    STATE(2668), 1,
      sym_add_operator,
    STATE(14091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11461), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [719171] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17476), 1,
      anon_sym_LPAREN,
    ACTIONS(17478), 1,
      anon_sym_LBRACE,
    ACTIONS(17480), 1,
      sym__capitalized_identifier,
    ACTIONS(17818), 1,
      sym__identifier,
    STATE(8338), 1,
      sym__constructor_name,
    STATE(8339), 1,
      sym__value_name,
    STATE(14092), 1,
      sym_attribute,
    STATE(14199), 1,
      sym_parenthesized_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8333), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [719219] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17690), 1,
      sym__identifier,
    ACTIONS(17692), 1,
      anon_sym_LBRACK,
    STATE(10704), 1,
      sym__simple_class_type,
    STATE(14093), 1,
      sym_attribute,
    STATE(18755), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11027), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [719265] = 14,
    ACTIONS(911), 1,
      anon_sym_LBRACK,
    ACTIONS(921), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(933), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17820), 1,
      sym__identifier,
    ACTIONS(17822), 1,
      anon_sym_LPAREN,
    ACTIONS(17824), 1,
      anon_sym_LBRACE,
    ACTIONS(17826), 1,
      sym__capitalized_identifier,
    STATE(4333), 1,
      sym__value_name,
    STATE(4347), 1,
      sym_parenthesized_operator,
    STATE(4392), 1,
      sym__constructor_name,
    STATE(14094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4301), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [719313] = 14,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(377), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(389), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17828), 1,
      sym__identifier,
    ACTIONS(17830), 1,
      anon_sym_LPAREN,
    ACTIONS(17832), 1,
      anon_sym_LBRACE,
    ACTIONS(17834), 1,
      sym__capitalized_identifier,
    STATE(3117), 1,
      sym_parenthesized_operator,
    STATE(3162), 1,
      sym__value_name,
    STATE(3197), 1,
      sym__constructor_name,
    STATE(14095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3390), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [719361] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(17613), 1,
      anon_sym_DASH_GT,
    ACTIONS(17836), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14096), 1,
      sym_attribute,
    STATE(14345), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17838), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [719401] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1671), 1,
      anon_sym_LBRACK,
    ACTIONS(1681), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1693), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17840), 1,
      sym__identifier,
    ACTIONS(17842), 1,
      anon_sym_LPAREN,
    ACTIONS(17844), 1,
      anon_sym_LBRACE,
    ACTIONS(17846), 1,
      sym__capitalized_identifier,
    STATE(6797), 1,
      sym_parenthesized_operator,
    STATE(6814), 1,
      sym__constructor_name,
    STATE(6833), 1,
      sym__value_name,
    STATE(14097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6760), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [719449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17066), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17064), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [719479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12677), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12679), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [719509] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12523), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12525), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [719539] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2361), 1,
      anon_sym_LBRACK,
    ACTIONS(2371), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2383), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17848), 1,
      sym__identifier,
    ACTIONS(17850), 1,
      anon_sym_LPAREN,
    ACTIONS(17852), 1,
      anon_sym_LBRACE,
    ACTIONS(17854), 1,
      sym__capitalized_identifier,
    STATE(7344), 1,
      sym__value_name,
    STATE(7441), 1,
      sym__constructor_name,
    STATE(7721), 1,
      sym_parenthesized_operator,
    STATE(14101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7353), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [719587] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(17613), 1,
      anon_sym_DASH_GT,
    ACTIONS(17856), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14102), 1,
      sym_attribute,
    STATE(14381), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17858), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [719627] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2943), 1,
      anon_sym_LBRACK,
    ACTIONS(2953), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2965), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17860), 1,
      sym__identifier,
    ACTIONS(17862), 1,
      anon_sym_LPAREN,
    ACTIONS(17864), 1,
      anon_sym_LBRACE,
    ACTIONS(17866), 1,
      sym__capitalized_identifier,
    STATE(7319), 1,
      sym_parenthesized_operator,
    STATE(7354), 1,
      sym__constructor_name,
    STATE(7448), 1,
      sym__value_name,
    STATE(14103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7699), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [719675] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(17613), 1,
      anon_sym_DASH_GT,
    ACTIONS(17868), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14104), 1,
      sym_attribute,
    STATE(14389), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17870), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [719715] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17509), 1,
      anon_sym_and,
    STATE(14007), 1,
      aux_sym_class_definition_repeat1,
    STATE(14105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16526), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [719747] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8077), 1,
      anon_sym_LBRACK,
    ACTIONS(8085), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8089), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17872), 1,
      sym__identifier,
    ACTIONS(17874), 1,
      anon_sym_LPAREN,
    ACTIONS(17876), 1,
      anon_sym_LBRACE,
    ACTIONS(17878), 1,
      sym__capitalized_identifier,
    STATE(8875), 1,
      sym_parenthesized_operator,
    STATE(9090), 1,
      sym__value_name,
    STATE(9106), 1,
      sym__constructor_name,
    STATE(14106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9014), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [719795] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10198), 1,
      anon_sym_done,
    ACTIONS(16954), 1,
      anon_sym_COMMA,
    ACTIONS(16958), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16960), 1,
      sym_pow_operator,
    ACTIONS(16962), 1,
      sym_mult_operator,
    ACTIONS(16964), 1,
      sym_concat_operator,
    ACTIONS(16966), 1,
      sym_rel_operator,
    ACTIONS(16968), 1,
      sym_and_operator,
    ACTIONS(16970), 1,
      sym_or_operator,
    ACTIONS(16972), 1,
      sym_assign_operator,
    ACTIONS(17880), 1,
      anon_sym_SEMI,
    STATE(2457), 1,
      sym_add_operator,
    STATE(14107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [719847] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17690), 1,
      sym__identifier,
    ACTIONS(17692), 1,
      anon_sym_LBRACK,
    STATE(14108), 1,
      sym_attribute,
    STATE(14524), 1,
      sym__simple_class_type,
    STATE(18755), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11027), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [719893] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9018), 1,
      anon_sym_LBRACK,
    ACTIONS(9024), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17478), 1,
      anon_sym_LBRACE,
    ACTIONS(17480), 1,
      sym__capitalized_identifier,
    ACTIONS(17882), 1,
      sym__identifier,
    ACTIONS(17884), 1,
      anon_sym_LPAREN,
    STATE(8338), 1,
      sym__constructor_name,
    STATE(8339), 1,
      sym__value_name,
    STATE(8407), 1,
      sym_parenthesized_operator,
    STATE(14109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8333), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [719941] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(11032), 1,
      anon_sym_let,
    ACTIONS(11038), 1,
      anon_sym_object,
    ACTIONS(15156), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(15158), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17690), 1,
      sym__identifier,
    ACTIONS(17692), 1,
      anon_sym_LBRACK,
    STATE(11550), 1,
      sym__simple_class_type,
    STATE(14110), 1,
      sym_attribute,
    STATE(18755), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11027), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [719987] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(17519), 1,
      sym__identifier,
    ACTIONS(17648), 1,
      anon_sym_POUND,
    STATE(14111), 1,
      sym_attribute,
    STATE(14231), 1,
      sym_type_constructor_path,
    STATE(19061), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11212), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [720027] = 14,
    ACTIONS(109), 1,
      anon_sym_LBRACK,
    ACTIONS(125), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(141), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17886), 1,
      sym__identifier,
    ACTIONS(17888), 1,
      anon_sym_LPAREN,
    ACTIONS(17890), 1,
      anon_sym_LBRACE,
    ACTIONS(17892), 1,
      sym__capitalized_identifier,
    STATE(5012), 1,
      sym_parenthesized_operator,
    STATE(5113), 1,
      sym__value_name,
    STATE(5204), 1,
      sym__constructor_name,
    STATE(14112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5046), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [720075] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17424), 1,
      sym_pow_operator,
    ACTIONS(17426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17428), 1,
      sym_mult_operator,
    STATE(2521), 1,
      sym_add_operator,
    STATE(14113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11457), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [720115] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3255), 1,
      anon_sym_LBRACK,
    ACTIONS(3265), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3277), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17894), 1,
      sym__identifier,
    ACTIONS(17896), 1,
      anon_sym_LPAREN,
    ACTIONS(17898), 1,
      anon_sym_LBRACE,
    ACTIONS(17900), 1,
      sym__capitalized_identifier,
    STATE(7810), 1,
      sym_parenthesized_operator,
    STATE(7941), 1,
      sym__constructor_name,
    STATE(7944), 1,
      sym__value_name,
    STATE(14114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7940), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [720163] = 14,
    ACTIONS(1031), 1,
      anon_sym_LBRACK,
    ACTIONS(1041), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1053), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17902), 1,
      sym__identifier,
    ACTIONS(17904), 1,
      anon_sym_LPAREN,
    ACTIONS(17906), 1,
      anon_sym_LBRACE,
    ACTIONS(17908), 1,
      sym__capitalized_identifier,
    STATE(4202), 1,
      sym__value_name,
    STATE(4220), 1,
      sym_parenthesized_operator,
    STATE(4338), 1,
      sym__constructor_name,
    STATE(14115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4179), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [720211] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1729), 1,
      anon_sym_LBRACK,
    ACTIONS(1739), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1751), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17910), 1,
      sym__identifier,
    ACTIONS(17912), 1,
      anon_sym_LPAREN,
    ACTIONS(17914), 1,
      anon_sym_LBRACE,
    ACTIONS(17916), 1,
      sym__capitalized_identifier,
    STATE(6901), 1,
      sym__value_name,
    STATE(6963), 1,
      sym_parenthesized_operator,
    STATE(7081), 1,
      sym__constructor_name,
    STATE(14116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6870), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [720259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17918), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14117), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(10178), 13,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [720289] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2787), 1,
      anon_sym_LBRACK,
    ACTIONS(2797), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2809), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17921), 1,
      sym__identifier,
    ACTIONS(17923), 1,
      anon_sym_LPAREN,
    ACTIONS(17925), 1,
      anon_sym_LBRACE,
    ACTIONS(17927), 1,
      sym__capitalized_identifier,
    STATE(7335), 1,
      sym__constructor_name,
    STATE(7476), 1,
      sym_parenthesized_operator,
    STATE(7590), 1,
      sym__value_name,
    STATE(14118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7523), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [720337] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10198), 1,
      anon_sym_then,
    ACTIONS(17500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17502), 1,
      sym_pow_operator,
    ACTIONS(17504), 1,
      sym_mult_operator,
    ACTIONS(17547), 1,
      sym_concat_operator,
    ACTIONS(17650), 1,
      sym_rel_operator,
    ACTIONS(17652), 1,
      sym_and_operator,
    ACTIONS(17682), 1,
      anon_sym_COMMA,
    ACTIONS(17686), 1,
      sym_or_operator,
    ACTIONS(17688), 1,
      sym_assign_operator,
    ACTIONS(17929), 1,
      anon_sym_SEMI,
    STATE(2119), 1,
      sym_add_operator,
    STATE(14119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [720389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17816), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17814), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [720419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17066), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17064), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [720449] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17472), 1,
      anon_sym_and,
    STATE(14122), 1,
      sym_attribute,
    STATE(14132), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16303), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [720481] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17472), 1,
      anon_sym_and,
    STATE(14035), 1,
      aux_sym_class_definition_repeat1,
    STATE(14123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16303), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [720513] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14597), 1,
      sym_pow_operator,
    ACTIONS(14599), 1,
      sym_mult_operator,
    ACTIONS(14601), 1,
      sym_concat_operator,
    ACTIONS(14605), 1,
      sym_and_operator,
    ACTIONS(14607), 1,
      sym_or_operator,
    ACTIONS(14609), 1,
      anon_sym_COMMA,
    ACTIONS(14611), 1,
      sym_assign_operator,
    ACTIONS(15272), 1,
      sym_rel_operator,
    STATE(2060), 1,
      sym_add_operator,
    STATE(14124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17931), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [720563] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17502), 1,
      sym_pow_operator,
    ACTIONS(17504), 1,
      sym_mult_operator,
    ACTIONS(17547), 1,
      sym_concat_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(14125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11461), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [720605] = 14,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(63), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17933), 1,
      sym__identifier,
    ACTIONS(17935), 1,
      anon_sym_LPAREN,
    ACTIONS(17937), 1,
      anon_sym_LBRACE,
    ACTIONS(17939), 1,
      sym__capitalized_identifier,
    STATE(5169), 1,
      sym_parenthesized_operator,
    STATE(5322), 1,
      sym__value_name,
    STATE(5400), 1,
      sym__constructor_name,
    STATE(14126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5321), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [720653] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17941), 1,
      anon_sym_DQUOTE,
    STATE(14197), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17946), 2,
      sym__null,
      aux_sym_string_content_token2,
    STATE(14127), 2,
      sym_attribute,
      aux_sym_string_content_repeat1,
    ACTIONS(17949), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17943), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [720689] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17577), 1,
      sym_pow_operator,
    ACTIONS(17579), 1,
      sym_mult_operator,
    STATE(2668), 1,
      sym_add_operator,
    STATE(14128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [720725] = 14,
    ACTIONS(687), 1,
      anon_sym_LBRACK,
    ACTIONS(705), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(717), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17952), 1,
      sym__identifier,
    ACTIONS(17954), 1,
      anon_sym_LPAREN,
    ACTIONS(17956), 1,
      anon_sym_LBRACE,
    ACTIONS(17958), 1,
      sym__capitalized_identifier,
    STATE(5151), 1,
      sym_parenthesized_operator,
    STATE(5163), 1,
      sym__value_name,
    STATE(5285), 1,
      sym__constructor_name,
    STATE(14129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5112), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [720773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12685), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12687), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [720803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12689), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12691), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [720833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17960), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14132), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(15559), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [720863] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7445), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7457), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17963), 1,
      sym__identifier,
    ACTIONS(17965), 1,
      anon_sym_LPAREN,
    ACTIONS(17967), 1,
      anon_sym_LBRACE,
    ACTIONS(17969), 1,
      sym__capitalized_identifier,
    STATE(7850), 1,
      sym__constructor_name,
    STATE(8027), 1,
      sym__value_name,
    STATE(8230), 1,
      sym_parenthesized_operator,
    STATE(14133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7855), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [720911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12807), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [720941] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    ACTIONS(16383), 1,
      sym__identifier,
    ACTIONS(17971), 1,
      anon_sym_nonrec,
    STATE(14077), 1,
      sym_type_binding,
    STATE(14135), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16046), 1,
      sym__type_params,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(22233), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [720995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12593), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [721025] = 14,
    ACTIONS(859), 1,
      anon_sym_LBRACK,
    ACTIONS(869), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(881), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17973), 1,
      sym__identifier,
    ACTIONS(17975), 1,
      anon_sym_LPAREN,
    ACTIONS(17977), 1,
      anon_sym_LBRACE,
    ACTIONS(17979), 1,
      sym__capitalized_identifier,
    STATE(3506), 1,
      sym_parenthesized_operator,
    STATE(3940), 1,
      sym__value_name,
    STATE(4035), 1,
      sym__constructor_name,
    STATE(14137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3698), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [721073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12711), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [721103] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17422), 1,
      anon_sym_and,
    STATE(14139), 1,
      sym_attribute,
    STATE(14145), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16108), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721135] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17571), 1,
      anon_sym_COMMA,
    ACTIONS(17575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17577), 1,
      sym_pow_operator,
    ACTIONS(17579), 1,
      sym_mult_operator,
    ACTIONS(17581), 1,
      sym_concat_operator,
    ACTIONS(17583), 1,
      sym_rel_operator,
    ACTIONS(17585), 1,
      sym_and_operator,
    ACTIONS(17587), 1,
      sym_or_operator,
    ACTIONS(17589), 1,
      sym_assign_operator,
    STATE(2668), 1,
      sym_add_operator,
    STATE(14140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11469), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [721185] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17424), 1,
      sym_pow_operator,
    STATE(2521), 1,
      sym_add_operator,
    STATE(14141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [721219] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1635), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17981), 1,
      sym__identifier,
    ACTIONS(17983), 1,
      anon_sym_LPAREN,
    ACTIONS(17985), 1,
      anon_sym_LBRACE,
    ACTIONS(17987), 1,
      sym__capitalized_identifier,
    STATE(6607), 1,
      sym__value_name,
    STATE(6636), 1,
      sym_parenthesized_operator,
    STATE(6722), 1,
      sym__constructor_name,
    STATE(14142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6626), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [721267] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11518), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17989), 1,
      anon_sym_STAR,
    STATE(14143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 13,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721299] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17422), 1,
      anon_sym_and,
    STATE(14144), 1,
      sym_attribute,
    STATE(14145), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16003), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17991), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14145), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(15214), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721361] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17422), 1,
      anon_sym_and,
    STATE(13947), 1,
      aux_sym_type_definition_repeat1,
    STATE(14146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16003), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721393] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10198), 1,
      anon_sym_do,
    ACTIONS(17424), 1,
      sym_pow_operator,
    ACTIONS(17426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17428), 1,
      sym_mult_operator,
    ACTIONS(17430), 1,
      sym_concat_operator,
    ACTIONS(17482), 1,
      sym_rel_operator,
    ACTIONS(17484), 1,
      sym_and_operator,
    ACTIONS(17486), 1,
      sym_or_operator,
    ACTIONS(17488), 1,
      anon_sym_COMMA,
    ACTIONS(17490), 1,
      sym_assign_operator,
    ACTIONS(17994), 1,
      anon_sym_SEMI,
    STATE(2521), 1,
      sym_add_operator,
    STATE(14147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11393), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [721445] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1499), 1,
      anon_sym_LBRACK,
    ACTIONS(1509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1521), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17996), 1,
      sym__identifier,
    ACTIONS(17998), 1,
      anon_sym_LPAREN,
    ACTIONS(18000), 1,
      anon_sym_LBRACE,
    ACTIONS(18002), 1,
      sym__capitalized_identifier,
    STATE(6086), 1,
      sym__value_name,
    STATE(6112), 1,
      sym_parenthesized_operator,
    STATE(6132), 1,
      sym__constructor_name,
    STATE(14148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6049), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [721493] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18004), 1,
      anon_sym_and,
    STATE(14149), 1,
      sym_attribute,
    STATE(14151), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15997), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721525] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18004), 1,
      anon_sym_and,
    STATE(14150), 1,
      sym_attribute,
    STATE(14151), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16012), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18006), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14151), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(15425), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721587] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18004), 1,
      anon_sym_and,
    STATE(14152), 1,
      sym_attribute,
    STATE(14153), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16012), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721619] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18004), 1,
      anon_sym_and,
    STATE(14151), 1,
      aux_sym_module_definition_repeat1,
    STATE(14153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16203), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721651] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18009), 1,
      anon_sym_and,
    STATE(14154), 1,
      sym_attribute,
    STATE(14157), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15997), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721683] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18009), 1,
      anon_sym_and,
    STATE(14155), 1,
      sym_attribute,
    STATE(14157), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16012), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12713), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(12715), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [721745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18011), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14157), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(15425), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721775] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18009), 1,
      anon_sym_and,
    STATE(14158), 1,
      sym_attribute,
    STATE(14159), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16012), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721807] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18009), 1,
      anon_sym_and,
    STATE(14157), 1,
      aux_sym_module_definition_repeat1,
    STATE(14159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16203), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721839] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18004), 1,
      anon_sym_and,
    STATE(14149), 1,
      aux_sym_module_definition_repeat1,
    STATE(14160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16081), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721871] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18004), 1,
      anon_sym_and,
    STATE(14150), 1,
      aux_sym_module_definition_repeat1,
    STATE(14161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15997), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721903] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18009), 1,
      anon_sym_and,
    STATE(14154), 1,
      aux_sym_module_definition_repeat1,
    STATE(14162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16081), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721935] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18009), 1,
      anon_sym_and,
    STATE(14155), 1,
      aux_sym_module_definition_repeat1,
    STATE(14163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15997), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721967] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2891), 1,
      anon_sym_LBRACK,
    ACTIONS(2901), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2913), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18014), 1,
      sym__identifier,
    ACTIONS(18016), 1,
      anon_sym_LPAREN,
    ACTIONS(18018), 1,
      anon_sym_LBRACE,
    ACTIONS(18020), 1,
      sym__capitalized_identifier,
    STATE(7268), 1,
      sym_parenthesized_operator,
    STATE(7555), 1,
      sym__constructor_name,
    STATE(7700), 1,
      sym__value_name,
    STATE(14164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7642), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [722015] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18022), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [722042] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12450), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [722069] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10191), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [722096] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13596), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17613), 1,
      anon_sym_DASH_GT,
    STATE(14168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13594), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [722127] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18024), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [722154] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12485), 1,
      anon_sym_COLON2,
    STATE(14170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(10358), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [722185] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(17613), 1,
      anon_sym_DASH_GT,
    ACTIONS(18028), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18026), 11,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [722218] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17152), 1,
      anon_sym_LPAREN,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14172), 1,
      sym_attribute,
    STATE(14593), 1,
      sym__simple_module_expression,
    STATE(15764), 1,
      aux_sym_expression_item_repeat1,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12244), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(14566), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [722261] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17152), 1,
      anon_sym_LPAREN,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14173), 1,
      sym_attribute,
    STATE(14593), 1,
      sym__simple_module_expression,
    STATE(15779), 1,
      aux_sym_expression_item_repeat1,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12222), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(14566), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [722304] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11853), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [722341] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(17613), 1,
      anon_sym_DASH_GT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14175), 1,
      sym_attribute,
    STATE(14412), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18032), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [722378] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    ACTIONS(16311), 1,
      sym__identifier,
    STATE(13073), 1,
      sym_type_binding,
    STATE(14176), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(15980), 1,
      sym__type_params,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(19876), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [722429] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18034), 1,
      anon_sym_COLON_GT,
    ACTIONS(18036), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14177), 1,
      sym_attribute,
    STATE(14417), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18038), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [722466] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16282), 1,
      sym__identifier,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    STATE(12396), 1,
      sym_type_binding,
    STATE(14178), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(15989), 1,
      sym__type_params,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(22203), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [722517] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    ACTIONS(16311), 1,
      sym__identifier,
    STATE(13033), 1,
      sym_type_binding,
    STATE(14179), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(15980), 1,
      sym__type_params,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(19876), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [722568] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    ACTIONS(16383), 1,
      sym__identifier,
    STATE(14077), 1,
      sym_type_binding,
    STATE(14180), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16046), 1,
      sym__type_params,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(22233), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [722619] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17152), 1,
      anon_sym_LPAREN,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14181), 1,
      sym_attribute,
    STATE(14593), 1,
      sym__simple_module_expression,
    STATE(15641), 1,
      aux_sym_expression_item_repeat1,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12226), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(14566), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [722662] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    ACTIONS(16451), 1,
      sym__identifier,
    STATE(12396), 1,
      sym_type_binding,
    STATE(14182), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16078), 1,
      sym__type_params,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(22251), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [722713] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    ACTIONS(16383), 1,
      sym__identifier,
    STATE(12396), 1,
      sym_type_binding,
    STATE(14183), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16046), 1,
      sym__type_params,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(22233), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [722764] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    ACTIONS(16383), 1,
      sym__identifier,
    STATE(14146), 1,
      sym_type_binding,
    STATE(14184), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16046), 1,
      sym__type_params,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(22233), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [722815] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    ACTIONS(16451), 1,
      sym__identifier,
    STATE(14011), 1,
      sym_type_binding,
    STATE(14185), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16078), 1,
      sym__type_params,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(22251), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [722866] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18040), 1,
      anon_sym_COLON_GT,
    ACTIONS(18042), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14186), 1,
      sym_attribute,
    STATE(14427), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18044), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [722903] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16282), 1,
      sym__identifier,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    STATE(13487), 1,
      sym_type_binding,
    STATE(14187), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(15989), 1,
      sym__type_params,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(22203), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [722954] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    ACTIONS(16451), 1,
      sym__identifier,
    STATE(14090), 1,
      sym_type_binding,
    STATE(14188), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16078), 1,
      sym__type_params,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(22251), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [723005] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18046), 1,
      anon_sym_COLON_GT,
    ACTIONS(18048), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14189), 1,
      sym_attribute,
    STATE(14341), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18050), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [723042] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16282), 1,
      sym__identifier,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    STATE(13245), 1,
      sym_type_binding,
    STATE(14190), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(15989), 1,
      sym__type_params,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(22203), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [723093] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    ACTIONS(16311), 1,
      sym__identifier,
    STATE(12396), 1,
      sym_type_binding,
    STATE(14191), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(15980), 1,
      sym__type_params,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(19876), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [723144] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(18052), 1,
      sym__identifier,
    ACTIONS(18054), 1,
      anon_sym_POUND,
    STATE(14192), 1,
      sym_attribute,
    STATE(14540), 1,
      sym_type_constructor_path,
    STATE(19081), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(12367), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [723182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9180), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [723210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12671), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12669), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [723238] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12393), 1,
      anon_sym_in,
    ACTIONS(17152), 1,
      anon_sym_LPAREN,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14195), 1,
      sym_attribute,
    STATE(14593), 1,
      sym__simple_module_expression,
    STATE(16064), 1,
      aux_sym_expression_item_repeat1,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14566), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [723280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12675), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12673), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [723308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18058), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(18056), 11,
      anon_sym_DQUOTE,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [723336] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16077), 1,
      sym__identifier,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    STATE(14198), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16354), 1,
      sym__type_params,
    STATE(16546), 1,
      sym_type_constructor_path,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [723384] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9066), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      sym_hash_operator,
  [723412] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10540), 1,
      anon_sym_PIPE,
    ACTIONS(10678), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 1,
      anon_sym_LPAREN,
    ACTIONS(13250), 1,
      anon_sym_LBRACK,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(18060), 1,
      anon_sym_private,
    ACTIONS(18062), 1,
      anon_sym_LBRACE,
    STATE(11537), 1,
      sym__constructor_name,
    STATE(12015), 1,
      sym_constructor_declaration,
    STATE(14200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13252), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11444), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [723458] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(16948), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17613), 1,
      anon_sym_DASH_GT,
    STATE(14201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16944), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [723490] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16077), 1,
      sym__identifier,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    STATE(14202), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16001), 1,
      sym__type_params,
    STATE(17666), 1,
      sym_type_constructor_path,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [723538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12679), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12677), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [723566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9184), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [723594] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10506), 1,
      anon_sym_PIPE,
    ACTIONS(10636), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13464), 1,
      anon_sym_LPAREN,
    ACTIONS(13466), 1,
      anon_sym_LBRACK,
    ACTIONS(18062), 1,
      anon_sym_LBRACE,
    ACTIONS(18064), 1,
      anon_sym_private,
    STATE(11827), 1,
      sym__constructor_name,
    STATE(12369), 1,
      sym_constructor_declaration,
    STATE(14205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13468), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11858), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [723640] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(18066), 1,
      anon_sym_DASH_GT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14206), 1,
      sym_attribute,
    STATE(14412), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18032), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [723676] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10208), 1,
      anon_sym_COLON2,
    STATE(14207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10206), 12,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [723704] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10540), 1,
      anon_sym_PIPE,
    ACTIONS(10686), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13248), 1,
      anon_sym_LPAREN,
    ACTIONS(13250), 1,
      anon_sym_LBRACK,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(18062), 1,
      anon_sym_LBRACE,
    ACTIONS(18068), 1,
      anon_sym_private,
    STATE(11537), 1,
      sym__constructor_name,
    STATE(12015), 1,
      sym_constructor_declaration,
    STATE(14208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13252), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11458), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [723750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9188), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [723778] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8593), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14210), 1,
      sym_attribute,
    STATE(14364), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8597), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [723812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12329), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12327), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [723840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9188), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [723868] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8259), 1,
      anon_sym_COLON2,
    ACTIONS(18070), 1,
      anon_sym_DOT_DOT,
    STATE(14213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8255), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [723898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10256), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(10254), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [723926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12603), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12601), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [723954] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(18052), 1,
      sym__identifier,
    ACTIONS(18072), 1,
      anon_sym_POUND,
    STATE(14216), 1,
      sym_attribute,
    STATE(14530), 1,
      sym_type_constructor_path,
    STATE(19081), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(11212), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [723992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12607), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12605), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [724020] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 13,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [724046] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18074), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14219), 1,
      sym_attribute,
    STATE(14491), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18076), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [724080] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(16952), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17613), 1,
      anon_sym_DASH_GT,
    STATE(14220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16950), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [724112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12747), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12745), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [724140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18080), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(18078), 11,
      anon_sym_DQUOTE,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [724168] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18082), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14223), 1,
      sym_attribute,
    STATE(14369), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18084), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [724202] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8581), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14224), 1,
      sym_attribute,
    STATE(14480), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8585), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [724236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12769), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12767), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [724264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12687), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12685), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [724292] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18086), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14227), 1,
      sym_attribute,
    STATE(14410), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18088), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [724326] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(18052), 1,
      sym__identifier,
    ACTIONS(18072), 1,
      anon_sym_POUND,
    STATE(14228), 1,
      sym_attribute,
    STATE(14530), 1,
      sym_type_constructor_path,
    STATE(19081), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12371), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(12373), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [724364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12691), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12689), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [724392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12643), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12641), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [724420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12647), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12645), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [724448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12743), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12741), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [724476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9180), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [724504] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10474), 1,
      anon_sym_PIPE,
    ACTIONS(10646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13676), 1,
      anon_sym_LPAREN,
    ACTIONS(13678), 1,
      anon_sym_LBRACK,
    ACTIONS(18062), 1,
      anon_sym_LBRACE,
    ACTIONS(18090), 1,
      anon_sym_private,
    STATE(12250), 1,
      sym__constructor_name,
    STATE(13167), 1,
      sym_constructor_declaration,
    STATE(14234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13680), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12315), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [724550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12807), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12805), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [724578] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8605), 1,
      anon_sym_EQ,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14236), 1,
      sym_attribute,
    STATE(14371), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8609), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [724612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9176), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [724640] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18094), 1,
      anon_sym_as,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14238), 1,
      sym_attribute,
    STATE(14280), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18092), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [724674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12711), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12709), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [724702] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10506), 1,
      anon_sym_PIPE,
    ACTIONS(10664), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13464), 1,
      anon_sym_LPAREN,
    ACTIONS(13466), 1,
      anon_sym_LBRACK,
    ACTIONS(18062), 1,
      anon_sym_LBRACE,
    ACTIONS(18096), 1,
      anon_sym_private,
    STATE(11827), 1,
      sym__constructor_name,
    STATE(12369), 1,
      sym_constructor_declaration,
    STATE(14240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13468), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11864), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [724748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9184), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [724776] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10474), 1,
      anon_sym_PIPE,
    ACTIONS(10662), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13676), 1,
      anon_sym_LPAREN,
    ACTIONS(13678), 1,
      anon_sym_LBRACK,
    ACTIONS(18062), 1,
      anon_sym_LBRACE,
    ACTIONS(18098), 1,
      anon_sym_private,
    STATE(12250), 1,
      sym__constructor_name,
    STATE(13167), 1,
      sym_constructor_declaration,
    STATE(14242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13680), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12324), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [724822] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12359), 1,
      anon_sym_in,
    ACTIONS(17152), 1,
      anon_sym_LPAREN,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14243), 1,
      sym_attribute,
    STATE(14593), 1,
      sym__simple_module_expression,
    STATE(16238), 1,
      aux_sym_expression_item_repeat1,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14566), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [724864] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(17066), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17613), 1,
      anon_sym_DASH_GT,
    STATE(14244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17064), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [724896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(10358), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [724924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(10358), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [724952] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16077), 1,
      sym__identifier,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    STATE(14247), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16381), 1,
      sym__type_params,
    STATE(16810), 1,
      sym_type_constructor_path,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [725000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12715), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12713), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [725028] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16077), 1,
      sym__identifier,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    STATE(14249), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16366), 1,
      sym__type_params,
    STATE(16696), 1,
      sym_type_constructor_path,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [725076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12525), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12523), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [725104] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12353), 1,
      anon_sym_in,
    ACTIONS(17152), 1,
      anon_sym_LPAREN,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14251), 1,
      sym_attribute,
    STATE(14593), 1,
      sym__simple_module_expression,
    STATE(16158), 1,
      aux_sym_expression_item_repeat1,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14566), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [725146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12719), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12717), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [725174] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10222), 1,
      anon_sym_COLON2,
    STATE(14253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10220), 12,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [725202] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18102), 1,
      anon_sym_as,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14254), 1,
      sym_attribute,
    STATE(14319), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18100), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [725236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12721), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [725264] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12593), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12970), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12591), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [725294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12725), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [725322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12731), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12729), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [725350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10256), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(10254), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [725378] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10574), 1,
      anon_sym_PIPE,
    ACTIONS(10620), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13780), 1,
      anon_sym_LPAREN,
    ACTIONS(13782), 1,
      anon_sym_LBRACK,
    ACTIONS(18062), 1,
      anon_sym_LBRACE,
    ACTIONS(18104), 1,
      anon_sym_private,
    STATE(12256), 1,
      sym__constructor_name,
    STATE(13171), 1,
      sym_constructor_declaration,
    STATE(14260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13784), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12334), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [725424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12553), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12551), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [725452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12735), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12733), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [725480] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10574), 1,
      anon_sym_PIPE,
    ACTIONS(10622), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13780), 1,
      anon_sym_LPAREN,
    ACTIONS(13782), 1,
      anon_sym_LBRACK,
    ACTIONS(18062), 1,
      anon_sym_LBRACE,
    ACTIONS(18106), 1,
      anon_sym_private,
    STATE(12256), 1,
      sym__constructor_name,
    STATE(13171), 1,
      sym_constructor_declaration,
    STATE(14263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13784), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12340), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [725526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12593), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12591), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [725554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9176), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [725582] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16077), 1,
      sym__identifier,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    STATE(14266), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16373), 1,
      sym__type_params,
    STATE(16766), 1,
      sym_type_constructor_path,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [725630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12665), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [725658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12739), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12737), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [725686] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16077), 1,
      sym__identifier,
    ACTIONS(16284), 1,
      anon_sym_LPAREN,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(16292), 1,
      anon_sym__,
    STATE(14269), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(15985), 1,
      sym__type_params,
    STATE(17885), 1,
      sym_type_constructor_path,
    STATE(18224), 1,
      sym__type_param,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [725734] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18108), 1,
      anon_sym_RPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14270), 1,
      sym_attribute,
    STATE(19434), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [725773] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18112), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14271), 1,
      sym_attribute,
    STATE(20026), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [725812] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18114), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14272), 1,
      sym_attribute,
    STATE(21732), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [725851] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18116), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14273), 1,
      sym_attribute,
    STATE(21788), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [725890] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18118), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14274), 1,
      sym_attribute,
    STATE(21363), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [725929] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18120), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14275), 1,
      sym_attribute,
    STATE(19666), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [725968] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18122), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14276), 1,
      sym_attribute,
    STATE(21731), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726007] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14277), 1,
      sym_attribute,
    STATE(14446), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18124), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [726038] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14278), 1,
      sym_attribute,
    STATE(14302), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14685), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [726069] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18126), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14279), 1,
      sym_attribute,
    STATE(19531), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726108] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18128), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [726139] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18130), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14281), 1,
      sym_attribute,
    STATE(22181), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726178] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18132), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14282), 1,
      sym_attribute,
    STATE(22348), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726217] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18136), 1,
      anon_sym_COLON2,
    STATE(14283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18134), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [726244] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18138), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14284), 1,
      sym_attribute,
    STATE(19497), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726283] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18140), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14285), 1,
      sym_attribute,
    STATE(20173), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726322] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18142), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14286), 1,
      sym_attribute,
    STATE(22431), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726361] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18144), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14287), 1,
      sym_attribute,
    STATE(21036), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726400] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18146), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14288), 1,
      sym_attribute,
    STATE(19406), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726439] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18148), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14289), 1,
      sym_attribute,
    STATE(19472), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726478] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10242), 1,
      anon_sym_COLON2,
    STATE(14290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10240), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [726505] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18150), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14291), 1,
      sym_attribute,
    STATE(21295), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726544] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18152), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14292), 1,
      sym_attribute,
    STATE(20091), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726583] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18154), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14293), 1,
      sym_attribute,
    STATE(19706), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726622] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18156), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14294), 1,
      sym_attribute,
    STATE(19750), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726661] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11518), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18158), 1,
      anon_sym_STAR,
    STATE(14295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 10,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [726690] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18160), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14296), 1,
      sym_attribute,
    STATE(20927), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726729] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18162), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14297), 1,
      sym_attribute,
    STATE(21746), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726768] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18164), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [726799] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18168), 1,
      anon_sym_LPAREN,
    ACTIONS(18170), 1,
      anon_sym_COLON2,
    STATE(14299), 1,
      sym_attribute,
    STATE(14420), 1,
      aux_sym_module_binding_repeat1,
    STATE(14987), 1,
      sym_module_parameter,
    STATE(14991), 1,
      sym__module_typed,
    STATE(15685), 1,
      aux_sym_expression_item_repeat1,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12922), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(18166), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [726842] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18172), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14300), 1,
      sym_attribute,
    STATE(19731), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726881] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18174), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14301), 1,
      sym_attribute,
    STATE(20007), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726920] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14649), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [726951] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14303), 1,
      sym_attribute,
    STATE(14348), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14649), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [726982] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14304), 1,
      sym_attribute,
    STATE(14352), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14653), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [727013] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18176), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14305), 1,
      sym_attribute,
    STATE(20068), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [727052] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18038), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [727083] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10810), 1,
      anon_sym_COLON2,
    STATE(14307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10808), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [727110] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10814), 1,
      anon_sym_COLON2,
    STATE(14308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10812), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [727137] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18178), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14309), 1,
      sym_attribute,
    STATE(21857), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [727176] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10818), 1,
      anon_sym_COLON2,
    STATE(14310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10816), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [727203] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10824), 1,
      anon_sym_COLON2,
    STATE(14311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10822), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [727230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18180), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14312), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10083), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [727257] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18183), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14313), 1,
      sym_attribute,
    STATE(21058), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [727296] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10828), 1,
      anon_sym_COLON2,
    STATE(14314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10826), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [727323] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18185), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14315), 1,
      sym_attribute,
    STATE(19563), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [727362] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12485), 1,
      anon_sym_COLON2,
    STATE(14316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(10358), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [727391] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18187), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14317), 1,
      sym_attribute,
    STATE(19801), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [727430] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18189), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14318), 1,
      sym_attribute,
    STATE(19663), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [727469] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18092), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [727500] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18191), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14320), 1,
      sym_attribute,
    STATE(20290), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [727539] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14321), 1,
      sym_attribute,
    STATE(14466), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18128), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [727570] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18193), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14322), 1,
      sym_attribute,
    STATE(20343), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [727609] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18195), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14323), 1,
      sym_attribute,
    STATE(22382), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [727648] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18044), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [727679] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17858), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [727710] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18197), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [727741] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18199), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14327), 1,
      sym_attribute,
    STATE(19369), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [727780] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8597), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [727811] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18201), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [727842] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18203), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14330), 1,
      sym_attribute,
    STATE(20418), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [727881] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18205), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14331), 1,
      sym_attribute,
    STATE(19407), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [727920] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14332), 1,
      sym_attribute,
    STATE(14382), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18207), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [727951] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14333), 1,
      sym_attribute,
    STATE(14392), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18209), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [727982] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18211), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14334), 1,
      sym_attribute,
    STATE(21162), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [728021] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18213), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14335), 1,
      sym_attribute,
    STATE(19273), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [728060] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18215), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14336), 1,
      sym_attribute,
    STATE(20738), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [728099] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8585), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [728130] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14338), 1,
      sym_attribute,
    STATE(14487), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18217), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [728161] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18219), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14339), 1,
      sym_attribute,
    STATE(19386), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [728200] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10372), 1,
      anon_sym_COLON2,
    STATE(14340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [728227] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17870), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [728258] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18221), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14342), 1,
      sym_attribute,
    STATE(20651), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [728297] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18223), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14343), 1,
      sym_attribute,
    STATE(20706), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [728336] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14344), 1,
      sym_attribute,
    STATE(14400), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18225), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [728367] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18227), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [728398] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18229), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [728429] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11520), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [728454] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14633), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [728485] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14349), 1,
      sym_attribute,
    STATE(14379), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14661), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [728516] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10380), 1,
      anon_sym_COLON2,
    STATE(14350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [728543] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10840), 1,
      anon_sym_COLON2,
    STATE(14351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10838), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [728570] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14661), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [728601] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18231), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [728632] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18233), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [728663] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18235), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14355), 1,
      sym_attribute,
    STATE(21087), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [728702] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14356), 1,
      sym_attribute,
    STATE(14456), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18237), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [728733] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18239), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14357), 1,
      sym_attribute,
    STATE(21113), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [728772] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18241), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14358), 1,
      sym_attribute,
    STATE(20054), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [728811] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10836), 1,
      anon_sym_COLON2,
    STATE(14359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [728838] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10728), 1,
      anon_sym_COLON2,
    STATE(14360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10726), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [728865] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10692), 1,
      anon_sym_COLON2,
    STATE(14361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10690), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [728892] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14362), 1,
      sym_attribute,
    STATE(14403), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18243), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [728923] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10696), 1,
      anon_sym_COLON2,
    STATE(14363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10694), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [728950] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18076), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [728981] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18245), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14365), 1,
      sym_attribute,
    STATE(22204), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [729020] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18247), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14366), 1,
      sym_attribute,
    STATE(22128), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [729059] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18255), 1,
      anon_sym_COLON2,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    STATE(14367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18249), 7,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_when,
  [729094] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18263), 1,
      anon_sym_COLON2,
    STATE(14368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18261), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [729121] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18265), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [729152] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14370), 1,
      sym_attribute,
    STATE(14406), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18267), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [729183] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18088), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [729214] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18269), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14372), 1,
      sym_attribute,
    STATE(21241), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [729253] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18271), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14373), 1,
      sym_attribute,
    STATE(20147), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [729292] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18273), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14374), 1,
      sym_attribute,
    STATE(20062), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [729331] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18277), 1,
      anon_sym_COLON2,
    STATE(14375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18275), 10,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_when,
  [729360] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18279), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14376), 1,
      sym_attribute,
    STATE(21267), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [729399] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18283), 1,
      anon_sym_COLON2,
    STATE(14377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18281), 9,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_when,
  [729430] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18285), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14378), 1,
      sym_attribute,
    STATE(20198), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [729469] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14705), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [729500] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18287), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [729531] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18289), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [729562] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18291), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [729593] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14383), 1,
      sym_attribute,
    STATE(14414), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18293), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [729624] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18295), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14384), 1,
      sym_attribute,
    STATE(20080), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [729663] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18299), 1,
      anon_sym_COLON2,
    STATE(14385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18297), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [729690] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18303), 1,
      anon_sym_COLON2,
    STATE(14386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18301), 10,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_when,
  [729719] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18305), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14387), 1,
      sym_attribute,
    STATE(20979), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [729758] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18307), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14388), 1,
      sym_attribute,
    STATE(21449), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [729797] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17678), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [729828] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18311), 1,
      anon_sym_COLON2,
    STATE(14390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18309), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [729855] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10328), 1,
      anon_sym_COLON2,
    STATE(14391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10326), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [729882] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18313), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [729913] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10708), 1,
      anon_sym_COLON2,
    STATE(14393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10706), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [729940] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10712), 1,
      anon_sym_COLON2,
    STATE(14394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10710), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [729967] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18315), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14395), 1,
      sym_attribute,
    STATE(22413), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [730006] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10716), 1,
      anon_sym_COLON2,
    STATE(14396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10714), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [730033] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10724), 1,
      anon_sym_COLON2,
    STATE(14397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10722), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [730060] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18319), 1,
      anon_sym_COLON2,
    STATE(14398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18317), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [730087] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14399), 1,
      sym_attribute,
    STATE(14469), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18321), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730118] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18323), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730149] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18325), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14401), 1,
      sym_attribute,
    STATE(21952), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [730188] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14402), 1,
      sym_attribute,
    STATE(14470), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18327), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730219] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18329), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730250] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18333), 1,
      anon_sym_COLON2,
    STATE(14404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18331), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [730277] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14405), 1,
      sym_attribute,
    STATE(14471), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18335), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730308] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18337), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730339] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18339), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14407), 1,
      sym_attribute,
    STATE(22014), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [730378] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14408), 1,
      sym_attribute,
    STATE(14472), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18341), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730409] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18343), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14409), 1,
      sym_attribute,
    STATE(19446), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [730448] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18345), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730479] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10732), 1,
      anon_sym_COLON2,
    STATE(14411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10730), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [730506] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18347), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730537] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14329), 1,
      aux_sym_expression_item_repeat1,
    STATE(14413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18349), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730568] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18351), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730599] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18353), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14415), 1,
      sym_attribute,
    STATE(21069), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [730638] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18355), 1,
      aux_sym_attribute_id_token1,
    STATE(14312), 1,
      aux_sym_attribute_id_repeat1,
    STATE(14416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10077), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730667] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17615), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730698] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18357), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14418), 1,
      sym_attribute,
    STATE(22361), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [730737] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18359), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14419), 1,
      sym_attribute,
    STATE(21272), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [730776] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18168), 1,
      anon_sym_LPAREN,
    ACTIONS(18170), 1,
      anon_sym_COLON2,
    STATE(14420), 1,
      sym_attribute,
    STATE(14740), 1,
      aux_sym_module_binding_repeat1,
    STATE(14891), 1,
      sym__module_typed,
    STATE(14987), 1,
      sym_module_parameter,
    STATE(15610), 1,
      aux_sym_expression_item_repeat1,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13022), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(18361), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [730819] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18363), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14421), 1,
      sym_attribute,
    STATE(22387), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [730858] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18365), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14422), 1,
      sym_attribute,
    STATE(20143), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [730897] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10506), 1,
      anon_sym_PIPE,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13464), 1,
      anon_sym_LPAREN,
    ACTIONS(13466), 1,
      anon_sym_LBRACK,
    ACTIONS(18062), 1,
      anon_sym_LBRACE,
    ACTIONS(18367), 1,
      anon_sym_DOT_DOT,
    STATE(11827), 1,
      sym__constructor_name,
    STATE(12369), 1,
      sym_constructor_declaration,
    STATE(14423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13468), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11863), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [730940] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14326), 1,
      aux_sym_expression_item_repeat1,
    STATE(14424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18369), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730971] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10506), 1,
      anon_sym_PIPE,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13464), 1,
      anon_sym_LPAREN,
    ACTIONS(13466), 1,
      anon_sym_LBRACK,
    ACTIONS(18062), 1,
      anon_sym_LBRACE,
    ACTIONS(18371), 1,
      anon_sym_DOT_DOT,
    STATE(11827), 1,
      sym__constructor_name,
    STATE(12369), 1,
      sym_constructor_declaration,
    STATE(14425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13468), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11868), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [731014] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18373), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14426), 1,
      sym_attribute,
    STATE(21761), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731053] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17764), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [731084] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18375), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14428), 1,
      sym_attribute,
    STATE(19491), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731123] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18377), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14429), 1,
      sym_attribute,
    STATE(20010), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731162] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18379), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14430), 1,
      sym_attribute,
    STATE(21913), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731201] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10540), 1,
      anon_sym_PIPE,
    ACTIONS(13248), 1,
      anon_sym_LPAREN,
    ACTIONS(13250), 1,
      anon_sym_LBRACK,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(18062), 1,
      anon_sym_LBRACE,
    ACTIONS(18381), 1,
      anon_sym_DOT_DOT,
    STATE(11537), 1,
      sym__constructor_name,
    STATE(12015), 1,
      sym_constructor_declaration,
    STATE(14431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13252), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11443), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [731244] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18383), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14432), 1,
      sym_attribute,
    STATE(20489), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731283] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18385), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14433), 1,
      sym_attribute,
    STATE(21687), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731322] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18387), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14434), 1,
      sym_attribute,
    STATE(21054), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731361] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10474), 1,
      anon_sym_PIPE,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13676), 1,
      anon_sym_LPAREN,
    ACTIONS(13678), 1,
      anon_sym_LBRACK,
    ACTIONS(18062), 1,
      anon_sym_LBRACE,
    ACTIONS(18389), 1,
      anon_sym_DOT_DOT,
    STATE(12250), 1,
      sym__constructor_name,
    STATE(13167), 1,
      sym_constructor_declaration,
    STATE(14435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13680), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12323), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [731404] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18391), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14436), 1,
      sym_attribute,
    STATE(20644), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731443] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10474), 1,
      anon_sym_PIPE,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13676), 1,
      anon_sym_LPAREN,
    ACTIONS(13678), 1,
      anon_sym_LBRACK,
    ACTIONS(18062), 1,
      anon_sym_LBRACE,
    ACTIONS(18393), 1,
      anon_sym_DOT_DOT,
    STATE(12250), 1,
      sym__constructor_name,
    STATE(13167), 1,
      sym_constructor_declaration,
    STATE(14437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13680), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12328), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [731486] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10740), 1,
      anon_sym_COLON2,
    STATE(14438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10738), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [731513] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18395), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14439), 1,
      sym_attribute,
    STATE(20771), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731552] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18397), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14440), 1,
      sym_attribute,
    STATE(19870), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731591] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18050), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [731622] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10574), 1,
      anon_sym_PIPE,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13780), 1,
      anon_sym_LPAREN,
    ACTIONS(13782), 1,
      anon_sym_LBRACK,
    ACTIONS(18062), 1,
      anon_sym_LBRACE,
    ACTIONS(18399), 1,
      anon_sym_DOT_DOT,
    STATE(12256), 1,
      sym__constructor_name,
    STATE(13171), 1,
      sym_constructor_declaration,
    STATE(14442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13784), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12339), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [731665] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17838), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [731696] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18401), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14444), 1,
      sym_attribute,
    STATE(20618), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731735] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10574), 1,
      anon_sym_PIPE,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13780), 1,
      anon_sym_LPAREN,
    ACTIONS(13782), 1,
      anon_sym_LBRACK,
    ACTIONS(18062), 1,
      anon_sym_LBRACE,
    ACTIONS(18403), 1,
      anon_sym_DOT_DOT,
    STATE(12256), 1,
      sym__constructor_name,
    STATE(13171), 1,
      sym_constructor_declaration,
    STATE(14445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13784), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12344), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [731778] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18405), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [731809] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18407), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14447), 1,
      sym_attribute,
    STATE(21521), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731848] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14346), 1,
      aux_sym_expression_item_repeat1,
    STATE(14448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18409), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [731879] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18411), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14449), 1,
      sym_attribute,
    STATE(19449), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731918] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18413), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14450), 1,
      sym_attribute,
    STATE(19249), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731957] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18415), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14451), 1,
      sym_attribute,
    STATE(19727), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731996] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18417), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14452), 1,
      sym_attribute,
    STATE(22177), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732035] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14353), 1,
      aux_sym_expression_item_repeat1,
    STATE(14453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18419), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732066] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18421), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14454), 1,
      sym_attribute,
    STATE(21045), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732105] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [732130] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18423), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732161] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18425), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14457), 1,
      sym_attribute,
    STATE(21762), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732200] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14458), 1,
      sym_attribute,
    STATE(14494), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18427), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732231] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18355), 1,
      aux_sym_attribute_id_token1,
    STATE(14416), 1,
      aux_sym_attribute_id_repeat1,
    STATE(14459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732260] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18429), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14460), 1,
      sym_attribute,
    STATE(22056), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732299] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18431), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14461), 1,
      sym_attribute,
    STATE(21853), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732338] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18433), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14462), 1,
      sym_attribute,
    STATE(20716), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732377] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14463), 1,
      sym_attribute,
    STATE(14495), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18435), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732408] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18437), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14464), 1,
      sym_attribute,
    STATE(22258), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732447] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18439), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14465), 1,
      sym_attribute,
    STATE(21379), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732486] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18419), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732517] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10540), 1,
      anon_sym_PIPE,
    ACTIONS(13248), 1,
      anon_sym_LPAREN,
    ACTIONS(13250), 1,
      anon_sym_LBRACK,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(18062), 1,
      anon_sym_LBRACE,
    ACTIONS(18441), 1,
      anon_sym_DOT_DOT,
    STATE(11537), 1,
      sym__constructor_name,
    STATE(12015), 1,
      sym_constructor_declaration,
    STATE(14467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13252), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11377), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [732560] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18443), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732591] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18445), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732622] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18447), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732653] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18449), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732684] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18451), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732715] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14473), 1,
      sym_attribute,
    STATE(14498), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18453), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732746] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10278), 1,
      anon_sym_COLON2,
    STATE(14474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10276), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [732773] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18455), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14475), 1,
      sym_attribute,
    STATE(21654), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732812] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18457), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14476), 1,
      sym_attribute,
    STATE(21174), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732851] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18461), 1,
      anon_sym_COLON2,
    STATE(14477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18459), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [732878] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14354), 1,
      aux_sym_expression_item_repeat1,
    STATE(14478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18463), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732909] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10720), 1,
      anon_sym_COLON2,
    STATE(14479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10718), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [732936] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18084), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732967] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8259), 1,
      anon_sym_COLON2,
    STATE(14481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8255), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [732994] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10736), 1,
      anon_sym_COLON2,
    STATE(14482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10734), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [733021] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18465), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14483), 1,
      sym_attribute,
    STATE(19255), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733060] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18467), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14484), 1,
      sym_attribute,
    STATE(19258), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733099] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8609), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [733130] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18469), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14486), 1,
      sym_attribute,
    STATE(19403), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733169] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18471), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [733200] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14380), 1,
      aux_sym_expression_item_repeat1,
    STATE(14488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18473), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [733231] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18475), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14489), 1,
      sym_attribute,
    STATE(19794), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733270] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18477), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14490), 1,
      sym_attribute,
    STATE(22195), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733309] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18479), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [733340] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18483), 1,
      anon_sym_COLON2,
    STATE(14492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18481), 7,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_when,
  [733375] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18485), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14493), 1,
      sym_attribute,
    STATE(20783), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733414] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18487), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [733445] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18489), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [733476] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14298), 1,
      aux_sym_expression_item_repeat1,
    STATE(14496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18491), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [733507] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18493), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14497), 1,
      sym_attribute,
    STATE(22437), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733546] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18495), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [733577] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18497), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14499), 1,
      sym_attribute,
    STATE(19927), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733616] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18499), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14500), 1,
      sym_attribute,
    STATE(20039), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733655] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10324), 1,
      anon_sym_COLON2,
    STATE(14501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10322), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [733682] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18501), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14502), 1,
      sym_attribute,
    STATE(21714), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733721] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18503), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14503), 1,
      sym_attribute,
    STATE(19540), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733760] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18505), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14504), 1,
      sym_attribute,
    STATE(19486), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733799] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11857), 1,
      anon_sym_LPAREN,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(18507), 1,
      anon_sym_RPAREN,
    STATE(10131), 1,
      sym__simple_module_expression,
    STATE(14505), 1,
      sym_attribute,
    STATE(21513), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10129), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733838] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18509), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [733868] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12747), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12745), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [733894] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14508), 1,
      sym_attribute,
    STATE(14517), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18509), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [733924] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9176), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [733950] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(10358), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [733976] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9180), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [734002] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10083), 11,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_attribute_id_token1,
  [734026] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18511), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [734056] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14514), 1,
      sym_attribute,
    STATE(14518), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18513), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [734086] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9184), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [734112] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9188), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [734138] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18515), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [734168] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18517), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [734198] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8915), 1,
      anon_sym_POUND,
    STATE(14519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 10,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      sym_hash_operator,
  [734224] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(18028), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18066), 1,
      anon_sym_DASH_GT,
    STATE(14520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18026), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [734254] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9136), 11,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [734278] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12329), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12327), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [734304] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18519), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [734334] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14523), 1,
      aux_sym_expression_item_repeat1,
    STATE(14524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18521), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [734364] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12603), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12601), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [734390] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18523), 1,
      anon_sym_STAR,
    STATE(14526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 10,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_AMP,
  [734416] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12607), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12605), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [734442] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12643), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12641), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [734468] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13596), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18066), 1,
      anon_sym_DASH_GT,
    STATE(14529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13594), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [734496] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12647), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12645), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [734522] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12525), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12523), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [734548] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 11,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [734572] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12769), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12767), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [734598] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12671), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12669), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [734624] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12675), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12673), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [734650] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12679), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12677), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [734676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18525), 1,
      anon_sym_DOT,
    STATE(14537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12282), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [734702] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(17066), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18066), 1,
      anon_sym_DASH_GT,
    STATE(14538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17064), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [734732] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12687), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12685), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [734758] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12691), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12689), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [734784] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12553), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12551), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [734810] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14506), 1,
      aux_sym_expression_item_repeat1,
    STATE(14542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18527), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [734840] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12807), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12805), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [734866] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12711), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12709), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [734892] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(16948), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18066), 1,
      anon_sym_DASH_GT,
    STATE(14545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16944), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [734922] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12593), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12591), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [734948] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(16952), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18066), 1,
      anon_sym_DASH_GT,
    STATE(14547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16950), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [734978] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10256), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(10254), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [735004] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12715), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12713), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [735030] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12719), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12717), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [735056] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12721), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [735082] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12725), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [735108] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12731), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12729), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [735134] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12735), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12733), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [735160] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11117), 1,
      sym_item_attribute,
    STATE(14513), 1,
      aux_sym_expression_item_repeat1,
    STATE(14555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18529), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [735190] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12739), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12737), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [735216] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12743), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12741), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [735242] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(12665), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [735268] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18531), 1,
      anon_sym_constraint,
    STATE(14559), 1,
      sym_attribute,
    STATE(14579), 1,
      aux_sym_type_binding_repeat1,
    STATE(14832), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13344), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [735297] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12515), 1,
      anon_sym_in,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(18533), 1,
      sym__identifier,
    ACTIONS(18535), 1,
      anon_sym_POUND,
    STATE(14560), 1,
      sym_attribute,
    STATE(15102), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735338] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5955), 1,
      anon_sym_COLON2,
    ACTIONS(18070), 1,
      anon_sym_DOT_DOT,
    STATE(14561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5951), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [735365] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11693), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [735388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18537), 1,
      anon_sym_STAR,
    STATE(14563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [735413] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13454), 1,
      anon_sym_LPAREN,
    ACTIONS(13456), 1,
      anon_sym_LBRACK,
    ACTIONS(18539), 1,
      anon_sym_private,
    ACTIONS(18541), 1,
      anon_sym_PIPE,
    STATE(11811), 1,
      sym__constructor_name,
    STATE(11887), 1,
      sym_variant_declaration,
    STATE(12363), 1,
      sym_constructor_declaration,
    STATE(14564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13458), 2,
      anon_sym_true,
      anon_sym_false,
  [735452] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12337), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [735475] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12381), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [735498] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12345), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [735521] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12771), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12773), 1,
      anon_sym_in,
    ACTIONS(18533), 1,
      sym__identifier,
    ACTIONS(18535), 1,
      anon_sym_POUND,
    STATE(14568), 1,
      sym_attribute,
    STATE(15102), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735562] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12349), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [735585] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12799), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12801), 1,
      anon_sym_in,
    ACTIONS(18533), 1,
      sym__identifier,
    ACTIONS(18535), 1,
      anon_sym_POUND,
    STATE(14570), 1,
      sym_attribute,
    STATE(15102), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735626] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12333), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [735649] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18531), 1,
      anon_sym_constraint,
    STATE(14559), 1,
      aux_sym_type_binding_repeat1,
    STATE(14572), 1,
      sym_attribute,
    STATE(14832), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13470), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [735678] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13454), 1,
      anon_sym_LPAREN,
    ACTIONS(13456), 1,
      anon_sym_LBRACK,
    ACTIONS(18541), 1,
      anon_sym_PIPE,
    ACTIONS(18543), 1,
      anon_sym_private,
    STATE(11772), 1,
      sym_variant_declaration,
    STATE(11811), 1,
      sym__constructor_name,
    STATE(12363), 1,
      sym_constructor_declaration,
    STATE(14573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13458), 2,
      anon_sym_true,
      anon_sym_false,
  [735717] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(14541), 1,
      anon_sym_LPAREN,
    ACTIONS(14543), 1,
      anon_sym_LBRACK,
    ACTIONS(18545), 1,
      anon_sym_private,
    ACTIONS(18547), 1,
      anon_sym_PIPE,
    STATE(11772), 1,
      sym_variant_declaration,
    STATE(12695), 1,
      sym__constructor_name,
    STATE(13481), 1,
      sym_constructor_declaration,
    STATE(14574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14545), 2,
      anon_sym_true,
      anon_sym_false,
  [735756] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12341), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [735779] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12397), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [735802] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13564), 1,
      anon_sym_LPAREN,
    ACTIONS(13566), 1,
      anon_sym_LBRACK,
    ACTIONS(18549), 1,
      anon_sym_private,
    ACTIONS(18551), 1,
      anon_sym_PIPE,
    STATE(11772), 1,
      sym_variant_declaration,
    STATE(11935), 1,
      sym__constructor_name,
    STATE(12956), 1,
      sym_constructor_declaration,
    STATE(14577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13568), 2,
      anon_sym_true,
      anon_sym_false,
  [735841] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18531), 1,
      anon_sym_constraint,
    STATE(14578), 1,
      sym_attribute,
    STATE(14579), 1,
      aux_sym_type_binding_repeat1,
    STATE(14832), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13446), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [735870] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18553), 1,
      anon_sym_constraint,
    STATE(14832), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14579), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13474), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [735897] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18556), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14580), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10081), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__identifier,
    ACTIONS(10083), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
  [735924] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(14550), 1,
      anon_sym_LPAREN,
    ACTIONS(14552), 1,
      anon_sym_LBRACK,
    ACTIONS(18559), 1,
      anon_sym_private,
    ACTIONS(18561), 1,
      anon_sym_PIPE,
    STATE(11772), 1,
      sym_variant_declaration,
    STATE(12717), 1,
      sym__constructor_name,
    STATE(13485), 1,
      sym_constructor_declaration,
    STATE(14581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14554), 2,
      anon_sym_true,
      anon_sym_false,
  [735963] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    STATE(14582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13594), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_AMP,
  [735988] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13564), 1,
      anon_sym_LPAREN,
    ACTIONS(13566), 1,
      anon_sym_LBRACK,
    ACTIONS(18551), 1,
      anon_sym_PIPE,
    ACTIONS(18565), 1,
      anon_sym_private,
    STATE(11887), 1,
      sym_variant_declaration,
    STATE(11935), 1,
      sym__constructor_name,
    STATE(12956), 1,
      sym_constructor_declaration,
    STATE(14583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13568), 2,
      anon_sym_true,
      anon_sym_false,
  [736027] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12587), 1,
      anon_sym_in,
    ACTIONS(18533), 1,
      sym__identifier,
    ACTIONS(18535), 1,
      anon_sym_POUND,
    STATE(14584), 1,
      sym_attribute,
    STATE(15102), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736068] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12527), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12529), 1,
      anon_sym_in,
    ACTIONS(18533), 1,
      sym__identifier,
    ACTIONS(18535), 1,
      anon_sym_POUND,
    STATE(14585), 1,
      sym_attribute,
    STATE(15102), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736109] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12417), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [736132] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(14550), 1,
      anon_sym_LPAREN,
    ACTIONS(14552), 1,
      anon_sym_LBRACK,
    ACTIONS(18561), 1,
      anon_sym_PIPE,
    ACTIONS(18567), 1,
      anon_sym_private,
    STATE(11887), 1,
      sym_variant_declaration,
    STATE(12717), 1,
      sym__constructor_name,
    STATE(13485), 1,
      sym_constructor_declaration,
    STATE(14587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14554), 2,
      anon_sym_true,
      anon_sym_false,
  [736171] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18569), 1,
      aux_sym_attribute_id_token1,
    STATE(14588), 1,
      sym_attribute,
    STATE(14592), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10136), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__identifier,
    ACTIONS(10138), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
  [736200] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_DASH_GT,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12581), 1,
      anon_sym_in,
    ACTIONS(18533), 1,
      sym__identifier,
    ACTIONS(18535), 1,
      anon_sym_POUND,
    STATE(14589), 1,
      sym_attribute,
    STATE(15102), 1,
      sym_type_constructor_path,
    STATE(17392), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736241] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18531), 1,
      anon_sym_constraint,
    STATE(14578), 1,
      aux_sym_type_binding_repeat1,
    STATE(14590), 1,
      sym_attribute,
    STATE(14832), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13344), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [736270] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12377), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [736293] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18569), 1,
      aux_sym_attribute_id_token1,
    STATE(14580), 1,
      aux_sym_attribute_id_repeat1,
    STATE(14592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10075), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__identifier,
    ACTIONS(10077), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
  [736322] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12385), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [736345] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12389), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [736368] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12282), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [736391] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(14541), 1,
      anon_sym_LPAREN,
    ACTIONS(14543), 1,
      anon_sym_LBRACK,
    ACTIONS(18547), 1,
      anon_sym_PIPE,
    ACTIONS(18571), 1,
      anon_sym_private,
    STATE(11887), 1,
      sym_variant_declaration,
    STATE(12695), 1,
      sym__constructor_name,
    STATE(13481), 1,
      sym_constructor_declaration,
    STATE(14596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14545), 2,
      anon_sym_true,
      anon_sym_false,
  [736430] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14597), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(22339), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [736460] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14598), 1,
      sym_attribute,
    STATE(19652), 1,
      sym_character_content,
    STATE(20268), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [736490] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14599), 1,
      sym_attribute,
    STATE(19861), 1,
      sym_character_content,
    STATE(20268), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [736520] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18579), 1,
      sym__identifier,
    ACTIONS(18581), 1,
      anon_sym_LPAREN,
    ACTIONS(18583), 1,
      anon_sym_LBRACK,
    ACTIONS(18585), 1,
      anon_sym_LBRACE,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    STATE(7045), 1,
      sym_field_path,
    STATE(14600), 1,
      sym_attribute,
    STATE(17765), 1,
      sym_indexing_operator_path,
    STATE(19457), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736558] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18589), 1,
      sym__identifier,
    ACTIONS(18591), 1,
      anon_sym_LPAREN,
    ACTIONS(18593), 1,
      anon_sym_LBRACK,
    ACTIONS(18595), 1,
      anon_sym_LBRACE,
    STATE(3082), 1,
      sym_field_path,
    STATE(14601), 1,
      sym_attribute,
    STATE(17943), 1,
      sym_indexing_operator_path,
    STATE(20755), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736596] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18597), 1,
      anon_sym_DASH_GT,
    ACTIONS(18599), 1,
      anon_sym_as,
    STATE(14602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13608), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [736622] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12775), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [736644] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14604), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(22385), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [736674] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13454), 1,
      anon_sym_LPAREN,
    ACTIONS(13456), 1,
      anon_sym_LBRACK,
    ACTIONS(18541), 1,
      anon_sym_PIPE,
    STATE(11811), 1,
      sym__constructor_name,
    STATE(11888), 1,
      sym_variant_declaration,
    STATE(12363), 1,
      sym_constructor_declaration,
    STATE(14605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13458), 2,
      anon_sym_true,
      anon_sym_false,
  [736710] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14606), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(22236), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [736740] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10312), 1,
      anon_sym_COLON2,
    STATE(14607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10310), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [736764] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14608), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20700), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [736794] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10081), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__identifier,
    ACTIONS(10083), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
      aux_sym_attribute_id_token1,
  [736818] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18601), 1,
      sym__identifier,
    ACTIONS(18603), 1,
      anon_sym_LPAREN,
    ACTIONS(18605), 1,
      anon_sym_LBRACK,
    ACTIONS(18607), 1,
      anon_sym_LBRACE,
    STATE(3468), 1,
      sym_field_path,
    STATE(14610), 1,
      sym_attribute,
    STATE(17824), 1,
      sym_indexing_operator_path,
    STATE(19976), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736856] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(18609), 1,
      anon_sym_LPAREN,
    ACTIONS(18611), 1,
      anon_sym_LBRACK,
    ACTIONS(18615), 1,
      sym__capitalized_identifier,
    STATE(14611), 1,
      sym_attribute,
    STATE(14955), 1,
      sym__attribute,
    STATE(15622), 1,
      sym__constructor_name,
    STATE(15940), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18613), 2,
      anon_sym_true,
      anon_sym_false,
  [736892] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18617), 1,
      sym__identifier,
    ACTIONS(18619), 1,
      anon_sym_LPAREN,
    ACTIONS(18621), 1,
      anon_sym_LBRACK,
    ACTIONS(18623), 1,
      anon_sym_LBRACE,
    STATE(3403), 1,
      sym_field_path,
    STATE(14612), 1,
      sym_attribute,
    STATE(17843), 1,
      sym_indexing_operator_path,
    STATE(20140), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736930] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18625), 1,
      sym__identifier,
    ACTIONS(18627), 1,
      anon_sym_LPAREN,
    ACTIONS(18629), 1,
      anon_sym_LBRACK,
    ACTIONS(18631), 1,
      anon_sym_LBRACE,
    STATE(4209), 1,
      sym_field_path,
    STATE(14613), 1,
      sym_attribute,
    STATE(17834), 1,
      sym_indexing_operator_path,
    STATE(20058), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736968] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8407), 1,
      anon_sym_LBRACK,
    ACTIONS(8415), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18633), 1,
      anon_sym_LPAREN,
    ACTIONS(18635), 1,
      anon_sym_LBRACE,
    ACTIONS(18637), 1,
      sym__capitalized_identifier,
    STATE(9935), 1,
      sym__constructor_name,
    STATE(14614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [737002] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14615), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(22185), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [737032] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14616), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20586), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [737062] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18639), 1,
      sym__identifier,
    ACTIONS(18641), 1,
      anon_sym_LPAREN,
    ACTIONS(18643), 1,
      anon_sym_LBRACK,
    ACTIONS(18645), 1,
      anon_sym_LBRACE,
    STATE(8277), 1,
      sym_field_path,
    STATE(14617), 1,
      sym_attribute,
    STATE(17937), 1,
      sym_indexing_operator_path,
    STATE(20718), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737100] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18647), 1,
      sym__identifier,
    ACTIONS(18649), 1,
      anon_sym_LPAREN,
    ACTIONS(18651), 1,
      anon_sym_LBRACK,
    ACTIONS(18653), 1,
      anon_sym_LBRACE,
    STATE(3593), 1,
      sym_field_path,
    STATE(14618), 1,
      sym_attribute,
    STATE(17870), 1,
      sym_indexing_operator_path,
    STATE(20298), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737138] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10368), 1,
      anon_sym_COLON2,
    STATE(14619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [737162] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14620), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(21681), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [737192] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14621), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(22200), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [737222] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14622), 1,
      sym_attribute,
    STATE(19712), 1,
      sym_character_content,
    STATE(20268), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [737252] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12367), 1,
      anon_sym_in,
    ACTIONS(18533), 1,
      sym__identifier,
    ACTIONS(18655), 1,
      anon_sym_POUND,
    STATE(14623), 1,
      sym_attribute,
    STATE(14983), 1,
      sym_type_constructor_path,
    STATE(18548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 3,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
  [737286] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10336), 1,
      anon_sym_COLON2,
    STATE(14624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [737310] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14625), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20562), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [737340] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14626), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(21602), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [737370] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14627), 1,
      sym_attribute,
    STATE(19843), 1,
      sym_character_content,
    STATE(20268), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [737400] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10288), 1,
      anon_sym_COLON2,
    STATE(14628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [737424] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14629), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20977), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [737454] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14630), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(22122), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [737484] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_COLON2,
    STATE(14631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [737508] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18657), 1,
      sym__identifier,
    ACTIONS(18659), 1,
      anon_sym_LPAREN,
    ACTIONS(18661), 1,
      anon_sym_LBRACK,
    ACTIONS(18663), 1,
      anon_sym_LBRACE,
    STATE(8807), 1,
      sym_field_path,
    STATE(14632), 1,
      sym_attribute,
    STATE(17704), 1,
      sym_indexing_operator_path,
    STATE(21046), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737546] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10248), 1,
      anon_sym_COLON2,
    STATE(14633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10246), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [737570] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14634), 1,
      sym_attribute,
    STATE(19365), 1,
      sym_character_content,
    STATE(20268), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [737600] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10274), 1,
      anon_sym_COLON2,
    STATE(14635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10272), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [737624] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6141), 1,
      anon_sym_LBRACK,
    ACTIONS(6149), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18665), 1,
      anon_sym_LPAREN,
    ACTIONS(18667), 1,
      anon_sym_LBRACE,
    ACTIONS(18669), 1,
      sym__capitalized_identifier,
    STATE(6506), 1,
      sym__constructor_name,
    STATE(14636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6679), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [737658] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_COLON2,
    STATE(14637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [737682] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8657), 1,
      anon_sym_LBRACK,
    ACTIONS(8667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18671), 1,
      anon_sym_LPAREN,
    ACTIONS(18673), 1,
      anon_sym_LBRACE,
    ACTIONS(18675), 1,
      sym__capitalized_identifier,
    STATE(11049), 1,
      sym__constructor_name,
    STATE(14638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15573), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [737716] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14639), 1,
      sym_attribute,
    STATE(19653), 1,
      sym_character_content,
    STATE(20268), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [737746] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14640), 1,
      sym_attribute,
    STATE(19983), 1,
      sym_character_content,
    STATE(20268), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [737776] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8223), 1,
      anon_sym_LBRACK,
    ACTIONS(8233), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18677), 1,
      anon_sym_LPAREN,
    ACTIONS(18679), 1,
      anon_sym_LBRACE,
    ACTIONS(18681), 1,
      sym__capitalized_identifier,
    STATE(8866), 1,
      sym__constructor_name,
    STATE(14641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8985), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [737810] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14642), 1,
      sym_attribute,
    STATE(20258), 1,
      sym_character_content,
    STATE(20268), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [737840] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14643), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20393), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [737870] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14644), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20517), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [737900] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14645), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20572), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [737930] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14646), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20640), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [737960] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14647), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20717), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [737990] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14648), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20758), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [738020] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14649), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20818), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [738050] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14650), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20860), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [738080] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14651), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20916), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [738110] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14652), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20956), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [738140] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14653), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20984), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [738170] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14654), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(21009), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [738200] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14655), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(21039), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [738230] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(18683), 1,
      anon_sym_LPAREN,
    ACTIONS(18685), 1,
      anon_sym_LBRACK,
    STATE(12034), 1,
      sym_constructor_declaration,
    STATE(12617), 1,
      sym__constructor_name,
    STATE(14656), 1,
      sym_attribute,
    STATE(14934), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18687), 2,
      anon_sym_true,
      anon_sym_false,
  [738266] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14657), 1,
      sym_attribute,
    STATE(19767), 1,
      sym_character_content,
    STATE(20268), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [738296] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18689), 1,
      sym__identifier,
    ACTIONS(18691), 1,
      anon_sym_LPAREN,
    ACTIONS(18693), 1,
      anon_sym_LBRACK,
    ACTIONS(18695), 1,
      anon_sym_LBRACE,
    STATE(3080), 1,
      sym_field_path,
    STATE(14658), 1,
      sym_attribute,
    STATE(17873), 1,
      sym_indexing_operator_path,
    STATE(20337), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738334] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18697), 1,
      sym__identifier,
    ACTIONS(18699), 1,
      anon_sym_LPAREN,
    ACTIONS(18701), 1,
      anon_sym_LBRACK,
    ACTIONS(18703), 1,
      anon_sym_LBRACE,
    STATE(4223), 1,
      sym_field_path,
    STATE(14659), 1,
      sym_attribute,
    STATE(17849), 1,
      sym_indexing_operator_path,
    STATE(20180), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738372] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(18707), 1,
      anon_sym_LPAREN,
    ACTIONS(18709), 1,
      anon_sym_LBRACK,
    ACTIONS(18711), 1,
      anon_sym_LBRACE,
    STATE(8290), 1,
      sym_field_path,
    STATE(14660), 1,
      sym_attribute,
    STATE(17629), 1,
      sym_indexing_operator_path,
    STATE(19640), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738410] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14661), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(21169), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [738440] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18713), 1,
      sym__identifier,
    ACTIONS(18715), 1,
      anon_sym_LPAREN,
    ACTIONS(18717), 1,
      anon_sym_LBRACK,
    ACTIONS(18719), 1,
      anon_sym_LBRACE,
    STATE(7165), 1,
      sym_field_path,
    STATE(14662), 1,
      sym_attribute,
    STATE(17795), 1,
      sym_indexing_operator_path,
    STATE(19771), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738478] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18721), 1,
      sym__identifier,
    ACTIONS(18723), 1,
      anon_sym_LPAREN,
    ACTIONS(18725), 1,
      anon_sym_LBRACK,
    ACTIONS(18727), 1,
      anon_sym_LBRACE,
    STATE(6287), 1,
      sym_field_path,
    STATE(14663), 1,
      sym_attribute,
    STATE(17778), 1,
      sym_indexing_operator_path,
    STATE(19622), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738516] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13564), 1,
      anon_sym_LPAREN,
    ACTIONS(13566), 1,
      anon_sym_LBRACK,
    ACTIONS(18551), 1,
      anon_sym_PIPE,
    STATE(11888), 1,
      sym_variant_declaration,
    STATE(11935), 1,
      sym__constructor_name,
    STATE(12956), 1,
      sym_constructor_declaration,
    STATE(14664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13568), 2,
      anon_sym_true,
      anon_sym_false,
  [738552] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10264), 1,
      anon_sym_COLON2,
    STATE(14665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10262), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [738576] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18729), 1,
      sym__identifier,
    ACTIONS(18731), 1,
      anon_sym_LPAREN,
    ACTIONS(18733), 1,
      anon_sym_LBRACK,
    ACTIONS(18735), 1,
      anon_sym_LBRACE,
    STATE(7356), 1,
      sym_field_path,
    STATE(14666), 1,
      sym_attribute,
    STATE(17761), 1,
      sym_indexing_operator_path,
    STATE(19394), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738614] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13564), 1,
      anon_sym_LPAREN,
    ACTIONS(13566), 1,
      anon_sym_LBRACK,
    ACTIONS(18551), 1,
      anon_sym_PIPE,
    STATE(11607), 1,
      sym_variant_declaration,
    STATE(11935), 1,
      sym__constructor_name,
    STATE(12956), 1,
      sym_constructor_declaration,
    STATE(14667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13568), 2,
      anon_sym_true,
      anon_sym_false,
  [738650] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14668), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20668), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [738680] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14669), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(21803), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [738710] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18737), 1,
      sym__identifier,
    ACTIONS(18739), 1,
      anon_sym_LPAREN,
    ACTIONS(18741), 1,
      anon_sym_LBRACK,
    ACTIONS(18743), 1,
      anon_sym_LBRACE,
    STATE(8605), 1,
      sym_field_path,
    STATE(14670), 1,
      sym_attribute,
    STATE(17737), 1,
      sym_indexing_operator_path,
    STATE(22199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738748] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18745), 1,
      sym__identifier,
    ACTIONS(18747), 1,
      anon_sym_LPAREN,
    ACTIONS(18749), 1,
      anon_sym_LBRACK,
    ACTIONS(18751), 1,
      anon_sym_LBRACE,
    STATE(7062), 1,
      sym_field_path,
    STATE(14671), 1,
      sym_attribute,
    STATE(17879), 1,
      sym_indexing_operator_path,
    STATE(20376), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738786] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14672), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(21266), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [738816] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18753), 1,
      sym__identifier,
    ACTIONS(18755), 1,
      anon_sym_LPAREN,
    ACTIONS(18757), 1,
      anon_sym_LBRACK,
    ACTIONS(18759), 1,
      anon_sym_LBRACE,
    STATE(10407), 1,
      sym_field_path,
    STATE(14673), 1,
      sym_attribute,
    STATE(17792), 1,
      sym_indexing_operator_path,
    STATE(19729), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738854] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18761), 1,
      sym__identifier,
    ACTIONS(18763), 1,
      anon_sym_LPAREN,
    ACTIONS(18765), 1,
      anon_sym_LBRACK,
    ACTIONS(18767), 1,
      anon_sym_LBRACE,
    STATE(7214), 1,
      sym_field_path,
    STATE(14674), 1,
      sym_attribute,
    STATE(17818), 1,
      sym_indexing_operator_path,
    STATE(19935), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738892] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18769), 1,
      sym__identifier,
    ACTIONS(18771), 1,
      anon_sym_LPAREN,
    ACTIONS(18773), 1,
      anon_sym_LBRACK,
    ACTIONS(18775), 1,
      anon_sym_LBRACE,
    STATE(7203), 1,
      sym_field_path,
    STATE(14675), 1,
      sym_attribute,
    STATE(17811), 1,
      sym_indexing_operator_path,
    STATE(19894), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738930] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(18777), 1,
      anon_sym_LPAREN,
    ACTIONS(18779), 1,
      anon_sym_LBRACK,
    STATE(12034), 1,
      sym_constructor_declaration,
    STATE(13314), 1,
      sym__constructor_name,
    STATE(14676), 1,
      sym_attribute,
    STATE(15072), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18781), 2,
      anon_sym_true,
      anon_sym_false,
  [738966] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18783), 1,
      sym__identifier,
    ACTIONS(18785), 1,
      anon_sym_LPAREN,
    ACTIONS(18787), 1,
      anon_sym_LBRACK,
    ACTIONS(18789), 1,
      anon_sym_LBRACE,
    STATE(7187), 1,
      sym_field_path,
    STATE(14677), 1,
      sym_attribute,
    STATE(17801), 1,
      sym_indexing_operator_path,
    STATE(19812), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739004] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10270), 1,
      anon_sym_COLON2,
    STATE(14678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10268), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [739028] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18791), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [739050] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18597), 1,
      anon_sym_DASH_GT,
    ACTIONS(18599), 1,
      anon_sym_as,
    STATE(14680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13643), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [739076] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(14541), 1,
      anon_sym_LPAREN,
    ACTIONS(14543), 1,
      anon_sym_LBRACK,
    ACTIONS(18547), 1,
      anon_sym_PIPE,
    STATE(11888), 1,
      sym_variant_declaration,
    STATE(12695), 1,
      sym__constructor_name,
    STATE(13481), 1,
      sym_constructor_declaration,
    STATE(14681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14545), 2,
      anon_sym_true,
      anon_sym_false,
  [739112] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10260), 1,
      anon_sym_COLON2,
    STATE(14682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10258), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [739136] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12599), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [739158] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14684), 1,
      sym_attribute,
    STATE(19401), 1,
      sym_character_content,
    STATE(20268), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [739188] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(14541), 1,
      anon_sym_LPAREN,
    ACTIONS(14543), 1,
      anon_sym_LBRACK,
    ACTIONS(18547), 1,
      anon_sym_PIPE,
    STATE(11607), 1,
      sym_variant_declaration,
    STATE(12695), 1,
      sym__constructor_name,
    STATE(13481), 1,
      sym_constructor_declaration,
    STATE(14685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14545), 2,
      anon_sym_true,
      anon_sym_false,
  [739224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9048), 1,
      anon_sym_POUND,
    STATE(14686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 8,
      anon_sym_EQ,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
  [739248] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10284), 1,
      anon_sym_COLON2,
    STATE(14687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10282), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [739272] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(18793), 1,
      anon_sym_LPAREN,
    ACTIONS(18795), 1,
      anon_sym_LBRACK,
    STATE(12034), 1,
      sym_constructor_declaration,
    STATE(12233), 1,
      sym__constructor_name,
    STATE(14688), 1,
      sym_attribute,
    STATE(15135), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18797), 2,
      anon_sym_true,
      anon_sym_false,
  [739308] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(18799), 1,
      anon_sym_LPAREN,
    ACTIONS(18801), 1,
      anon_sym_LBRACK,
    STATE(12034), 1,
      sym_constructor_declaration,
    STATE(13397), 1,
      sym__constructor_name,
    STATE(14689), 1,
      sym_attribute,
    STATE(15085), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18803), 2,
      anon_sym_true,
      anon_sym_false,
  [739344] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12517), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13006), 1,
      anon_sym_in,
    ACTIONS(18533), 1,
      sym__identifier,
    ACTIONS(18535), 1,
      anon_sym_POUND,
    ACTIONS(18805), 1,
      anon_sym_STAR,
    STATE(14690), 1,
      sym_attribute,
    STATE(15102), 1,
      sym_type_constructor_path,
    STATE(16234), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739382] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18807), 1,
      sym__identifier,
    ACTIONS(18809), 1,
      anon_sym_LPAREN,
    ACTIONS(18811), 1,
      anon_sym_LBRACK,
    ACTIONS(18813), 1,
      anon_sym_LBRACE,
    STATE(3342), 1,
      sym_field_path,
    STATE(14691), 1,
      sym_attribute,
    STATE(17951), 1,
      sym_indexing_operator_path,
    STATE(20817), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739420] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18815), 1,
      sym__identifier,
    ACTIONS(18817), 1,
      anon_sym_LPAREN,
    ACTIONS(18819), 1,
      anon_sym_LBRACK,
    ACTIONS(18821), 1,
      anon_sym_LBRACE,
    STATE(3882), 1,
      sym_field_path,
    STATE(14692), 1,
      sym_attribute,
    STATE(17887), 1,
      sym_indexing_operator_path,
    STATE(20414), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739458] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10308), 1,
      anon_sym_COLON2,
    STATE(14693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10306), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [739482] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14694), 1,
      sym_attribute,
    STATE(19938), 1,
      sym_character_content,
    STATE(20268), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [739512] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(14550), 1,
      anon_sym_LPAREN,
    ACTIONS(14552), 1,
      anon_sym_LBRACK,
    ACTIONS(18561), 1,
      anon_sym_PIPE,
    STATE(11888), 1,
      sym_variant_declaration,
    STATE(12717), 1,
      sym__constructor_name,
    STATE(13485), 1,
      sym_constructor_declaration,
    STATE(14695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14554), 2,
      anon_sym_true,
      anon_sym_false,
  [739548] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10304), 1,
      anon_sym_COLON2,
    STATE(14696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [739572] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14697), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(22256), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [739602] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12593), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12970), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12591), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [739628] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(14550), 1,
      anon_sym_LPAREN,
    ACTIONS(14552), 1,
      anon_sym_LBRACK,
    ACTIONS(18561), 1,
      anon_sym_PIPE,
    STATE(11607), 1,
      sym_variant_declaration,
    STATE(12717), 1,
      sym__constructor_name,
    STATE(13485), 1,
      sym_constructor_declaration,
    STATE(14699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14554), 2,
      anon_sym_true,
      anon_sym_false,
  [739664] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18823), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [739686] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10332), 1,
      anon_sym_COLON2,
    STATE(14701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [739710] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10348), 1,
      anon_sym_COLON2,
    STATE(14702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10346), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [739734] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5959), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18825), 1,
      anon_sym_LPAREN,
    ACTIONS(18827), 1,
      anon_sym_LBRACE,
    ACTIONS(18829), 1,
      sym__capitalized_identifier,
    STATE(6248), 1,
      sym__constructor_name,
    STATE(14703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6360), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [739768] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10352), 1,
      anon_sym_COLON2,
    STATE(14704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10350), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [739792] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5955), 1,
      anon_sym_COLON2,
    STATE(14705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5951), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [739816] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18831), 1,
      sym__identifier,
    ACTIONS(18833), 1,
      anon_sym_LPAREN,
    ACTIONS(18835), 1,
      anon_sym_LBRACK,
    ACTIONS(18837), 1,
      anon_sym_LBRACE,
    STATE(6606), 1,
      sym_field_path,
    STATE(14706), 1,
      sym_attribute,
    STATE(17769), 1,
      sym_indexing_operator_path,
    STATE(19512), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739854] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14707), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20355), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [739884] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18839), 1,
      anon_sym_LPAREN,
    ACTIONS(18841), 1,
      anon_sym_DOT,
    STATE(14708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12655), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [739910] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14709), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20815), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [739940] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14710), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(21651), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [739970] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18843), 1,
      sym__identifier,
    ACTIONS(18845), 1,
      anon_sym_LPAREN,
    ACTIONS(18847), 1,
      anon_sym_LBRACK,
    ACTIONS(18849), 1,
      anon_sym_LBRACE,
    STATE(3152), 1,
      sym_field_path,
    STATE(14711), 1,
      sym_attribute,
    STATE(17946), 1,
      sym_indexing_operator_path,
    STATE(20792), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740008] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18851), 1,
      sym__identifier,
    ACTIONS(18853), 1,
      anon_sym_LPAREN,
    ACTIONS(18855), 1,
      anon_sym_LBRACK,
    ACTIONS(18857), 1,
      anon_sym_LBRACE,
    STATE(5676), 1,
      sym_field_path,
    STATE(14712), 1,
      sym_attribute,
    STATE(17857), 1,
      sym_indexing_operator_path,
    STATE(20220), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740046] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14713), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20965), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [740076] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14714), 1,
      sym_attribute,
    STATE(20121), 1,
      sym_character_content,
    STATE(20268), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [740106] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18859), 1,
      sym__identifier,
    ACTIONS(18861), 1,
      anon_sym_LPAREN,
    ACTIONS(18863), 1,
      anon_sym_LBRACK,
    ACTIONS(18865), 1,
      anon_sym_LBRACE,
    STATE(4516), 1,
      sym_field_path,
    STATE(14715), 1,
      sym_attribute,
    STATE(16826), 1,
      sym_indexing_operator_path,
    STATE(20846), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740144] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18867), 1,
      sym__identifier,
    ACTIONS(18869), 1,
      anon_sym_LPAREN,
    ACTIONS(18871), 1,
      anon_sym_LBRACK,
    ACTIONS(18873), 1,
      anon_sym_LBRACE,
    STATE(6840), 1,
      sym_field_path,
    STATE(14716), 1,
      sym_attribute,
    STATE(17894), 1,
      sym_indexing_operator_path,
    STATE(20452), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740182] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10364), 1,
      anon_sym_COLON2,
    STATE(14717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [740206] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18875), 1,
      sym__identifier,
    ACTIONS(18877), 1,
      anon_sym_LPAREN,
    ACTIONS(18879), 1,
      anon_sym_LBRACK,
    ACTIONS(18881), 1,
      anon_sym_LBRACE,
    STATE(6001), 1,
      sym_field_path,
    STATE(14718), 1,
      sym_attribute,
    STATE(17587), 1,
      sym_indexing_operator_path,
    STATE(21620), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740244] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18883), 1,
      sym__identifier,
    ACTIONS(18885), 1,
      anon_sym_LPAREN,
    ACTIONS(18887), 1,
      anon_sym_LBRACK,
    ACTIONS(18889), 1,
      anon_sym_LBRACE,
    STATE(5771), 1,
      sym_field_path,
    STATE(14719), 1,
      sym_attribute,
    STATE(17730), 1,
      sym_indexing_operator_path,
    STATE(22021), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740282] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18891), 1,
      sym__identifier,
    ACTIONS(18893), 1,
      anon_sym_LPAREN,
    ACTIONS(18895), 1,
      anon_sym_LBRACK,
    ACTIONS(18897), 1,
      anon_sym_LBRACE,
    STATE(8709), 1,
      sym_field_path,
    STATE(14720), 1,
      sym_attribute,
    STATE(17839), 1,
      sym_indexing_operator_path,
    STATE(20099), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740320] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6299), 1,
      anon_sym_LBRACK,
    ACTIONS(6315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18899), 1,
      anon_sym_LPAREN,
    ACTIONS(18901), 1,
      anon_sym_LBRACE,
    ACTIONS(18903), 1,
      sym__capitalized_identifier,
    STATE(10092), 1,
      sym__constructor_name,
    STATE(14721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14314), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [740354] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18905), 1,
      sym__identifier,
    ACTIONS(18907), 1,
      anon_sym_LPAREN,
    ACTIONS(18909), 1,
      anon_sym_LBRACK,
    ACTIONS(18911), 1,
      anon_sym_LBRACE,
    STATE(10876), 1,
      sym_field_path,
    STATE(14722), 1,
      sym_attribute,
    STATE(17805), 1,
      sym_indexing_operator_path,
    STATE(19853), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740392] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12327), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [740414] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18707), 1,
      anon_sym_LPAREN,
    ACTIONS(18709), 1,
      anon_sym_LBRACK,
    ACTIONS(18711), 1,
      anon_sym_LBRACE,
    ACTIONS(18913), 1,
      sym__identifier,
    STATE(8290), 1,
      sym_field_path,
    STATE(14724), 1,
      sym_attribute,
    STATE(17629), 1,
      sym_indexing_operator_path,
    STATE(21643), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740452] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18915), 1,
      sym__identifier,
    ACTIONS(18917), 1,
      anon_sym_LPAREN,
    ACTIONS(18919), 1,
      anon_sym_LBRACK,
    ACTIONS(18921), 1,
      anon_sym_LBRACE,
    STATE(3052), 1,
      sym_field_path,
    STATE(14725), 1,
      sym_attribute,
    STATE(17930), 1,
      sym_indexing_operator_path,
    STATE(20680), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740490] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18923), 1,
      sym__identifier,
    ACTIONS(18925), 1,
      anon_sym_LPAREN,
    ACTIONS(18927), 1,
      anon_sym_LBRACK,
    ACTIONS(18929), 1,
      anon_sym_LBRACE,
    STATE(7125), 1,
      sym_field_path,
    STATE(14726), 1,
      sym_attribute,
    STATE(17783), 1,
      sym_indexing_operator_path,
    STATE(19677), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12653), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(12649), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [740552] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18931), 1,
      sym__identifier,
    ACTIONS(18933), 1,
      anon_sym_LPAREN,
    ACTIONS(18935), 1,
      anon_sym_LBRACK,
    ACTIONS(18937), 1,
      anon_sym_LBRACE,
    STATE(7221), 1,
      sym_field_path,
    STATE(14728), 1,
      sym_attribute,
    STATE(17689), 1,
      sym_indexing_operator_path,
    STATE(20848), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740590] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14729), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20809), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [740620] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14730), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(21568), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [740650] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18939), 1,
      sym__identifier,
    ACTIONS(18941), 1,
      anon_sym_LPAREN,
    ACTIONS(18943), 1,
      anon_sym_LBRACK,
    ACTIONS(18945), 1,
      anon_sym_LBRACE,
    STATE(7226), 1,
      sym_field_path,
    STATE(14731), 1,
      sym_attribute,
    STATE(17712), 1,
      sym_indexing_operator_path,
    STATE(21261), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740688] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18947), 1,
      sym__identifier,
    ACTIONS(18949), 1,
      anon_sym_LPAREN,
    ACTIONS(18951), 1,
      anon_sym_LBRACK,
    ACTIONS(18953), 1,
      anon_sym_LBRACE,
    STATE(3119), 1,
      sym_field_path,
    STATE(14732), 1,
      sym_attribute,
    STATE(17741), 1,
      sym_indexing_operator_path,
    STATE(22430), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740726] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5993), 1,
      anon_sym_LBRACK,
    ACTIONS(6001), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18955), 1,
      anon_sym_LPAREN,
    ACTIONS(18957), 1,
      anon_sym_LBRACE,
    ACTIONS(18959), 1,
      sym__capitalized_identifier,
    STATE(6375), 1,
      sym__constructor_name,
    STATE(14733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6555), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [740760] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8183), 1,
      anon_sym_LBRACK,
    ACTIONS(8193), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18961), 1,
      anon_sym_LPAREN,
    ACTIONS(18963), 1,
      anon_sym_LBRACE,
    ACTIONS(18965), 1,
      sym__capitalized_identifier,
    STATE(9053), 1,
      sym__constructor_name,
    STATE(14734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9103), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [740794] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14735), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(21996), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [740824] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18967), 1,
      sym__identifier,
    ACTIONS(18969), 1,
      anon_sym_LPAREN,
    ACTIONS(18971), 1,
      anon_sym_LBRACK,
    ACTIONS(18973), 1,
      anon_sym_LBRACE,
    STATE(3307), 1,
      sym_field_path,
    STATE(14736), 1,
      sym_attribute,
    STATE(17829), 1,
      sym_indexing_operator_path,
    STATE(20017), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740862] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18597), 1,
      anon_sym_DASH_GT,
    ACTIONS(18599), 1,
      anon_sym_as,
    STATE(14737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13530), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [740888] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18975), 1,
      sym__identifier,
    ACTIONS(18977), 1,
      anon_sym_LPAREN,
    ACTIONS(18979), 1,
      anon_sym_LBRACK,
    ACTIONS(18981), 1,
      anon_sym_LBRACE,
    STATE(6800), 1,
      sym_field_path,
    STATE(14738), 1,
      sym_attribute,
    STATE(17901), 1,
      sym_indexing_operator_path,
    STATE(20490), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740926] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(18983), 1,
      sym__identifier,
    ACTIONS(18985), 1,
      anon_sym_LPAREN,
    ACTIONS(18987), 1,
      anon_sym_LBRACK,
    ACTIONS(18989), 1,
      anon_sym_LBRACE,
    STATE(3114), 1,
      sym_field_path,
    STATE(14739), 1,
      sym_attribute,
    STATE(17925), 1,
      sym_indexing_operator_path,
    STATE(20642), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740964] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12895), 1,
      anon_sym_COLON2,
    ACTIONS(18991), 1,
      anon_sym_LPAREN,
    STATE(14987), 1,
      sym_module_parameter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14740), 2,
      sym_attribute,
      aux_sym_module_binding_repeat1,
    ACTIONS(12893), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [740992] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14741), 1,
      sym_attribute,
    STATE(19304), 1,
      sym_character_content,
    STATE(20268), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [741022] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14742), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(22391), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [741052] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7913), 1,
      anon_sym_LBRACK,
    ACTIONS(7923), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18994), 1,
      anon_sym_LPAREN,
    ACTIONS(18996), 1,
      anon_sym_LBRACE,
    ACTIONS(18998), 1,
      sym__capitalized_identifier,
    STATE(8523), 1,
      sym__constructor_name,
    STATE(14743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8543), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [741086] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10252), 1,
      anon_sym_COLON2,
    STATE(14744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10250), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [741110] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8035), 1,
      anon_sym_LBRACK,
    ACTIONS(8045), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19000), 1,
      anon_sym_LPAREN,
    ACTIONS(19002), 1,
      anon_sym_LBRACE,
    ACTIONS(19004), 1,
      sym__capitalized_identifier,
    STATE(8380), 1,
      sym__constructor_name,
    STATE(14745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8436), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [741144] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14746), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(22197), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [741174] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14747), 1,
      sym_attribute,
    STATE(19637), 1,
      sym_character_content,
    STATE(20268), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [741204] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(19006), 1,
      sym__identifier,
    ACTIONS(19008), 1,
      anon_sym_LPAREN,
    ACTIONS(19010), 1,
      anon_sym_LBRACK,
    ACTIONS(19012), 1,
      anon_sym_LBRACE,
    STATE(4700), 1,
      sym_field_path,
    STATE(14748), 1,
      sym_attribute,
    STATE(17726), 1,
      sym_indexing_operator_path,
    STATE(21839), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741242] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14749), 1,
      sym_attribute,
    STATE(19868), 1,
      sym_character_content,
    STATE(20268), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [741272] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14750), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20906), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [741302] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13454), 1,
      anon_sym_LPAREN,
    ACTIONS(13456), 1,
      anon_sym_LBRACK,
    ACTIONS(18541), 1,
      anon_sym_PIPE,
    STATE(11607), 1,
      sym_variant_declaration,
    STATE(11811), 1,
      sym__constructor_name,
    STATE(12363), 1,
      sym_constructor_declaration,
    STATE(14751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13458), 2,
      anon_sym_true,
      anon_sym_false,
  [741338] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10234), 1,
      anon_sym_COLON2,
    STATE(14752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [741362] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14753), 1,
      sym_attribute,
    STATE(19916), 1,
      sym_character_content,
    STATE(20268), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [741392] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(19014), 1,
      sym__identifier,
    ACTIONS(19016), 1,
      anon_sym_LPAREN,
    ACTIONS(19018), 1,
      anon_sym_LBRACK,
    ACTIONS(19020), 1,
      anon_sym_LBRACE,
    STATE(5992), 1,
      sym_field_path,
    STATE(14754), 1,
      sym_attribute,
    STATE(17919), 1,
      sym_indexing_operator_path,
    STATE(20604), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741430] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10296), 1,
      anon_sym_COLON2,
    STATE(14755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [741454] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7845), 1,
      anon_sym_LBRACK,
    ACTIONS(7855), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19022), 1,
      anon_sym_LPAREN,
    ACTIONS(19024), 1,
      anon_sym_LBRACE,
    ACTIONS(19026), 1,
      sym__capitalized_identifier,
    STATE(9647), 1,
      sym__constructor_name,
    STATE(14756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14678), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [741488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18597), 1,
      anon_sym_DASH_GT,
    STATE(14757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13594), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [741512] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14758), 1,
      sym_attribute,
    STATE(20229), 1,
      sym_character_content,
    STATE(20268), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [741542] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10300), 1,
      anon_sym_COLON2,
    STATE(14759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [741566] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(19028), 1,
      sym__identifier,
    ACTIONS(19030), 1,
      anon_sym_LPAREN,
    ACTIONS(19032), 1,
      anon_sym_LBRACK,
    ACTIONS(19034), 1,
      anon_sym_LBRACE,
    STATE(7851), 1,
      sym_field_path,
    STATE(14760), 1,
      sym_attribute,
    STATE(17908), 1,
      sym_indexing_operator_path,
    STATE(20528), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741604] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(19036), 1,
      sym__identifier,
    ACTIONS(19038), 1,
      anon_sym_LPAREN,
    ACTIONS(19040), 1,
      anon_sym_LBRACK,
    ACTIONS(19042), 1,
      anon_sym_LBRACE,
    STATE(7473), 1,
      sym_field_path,
    STATE(14761), 1,
      sym_attribute,
    STATE(17679), 1,
      sym_indexing_operator_path,
    STATE(20493), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741642] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14762), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20544), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [741672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12599), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(12595), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [741696] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9344), 1,
      anon_sym_LBRACK,
    ACTIONS(9348), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17812), 1,
      sym__capitalized_identifier,
    ACTIONS(19044), 1,
      anon_sym_LPAREN,
    ACTIONS(19046), 1,
      anon_sym_LBRACE,
    STATE(9289), 1,
      sym__constructor_name,
    STATE(14764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15219), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [741730] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14765), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(21033), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [741760] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12653), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [741782] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10340), 1,
      anon_sym_COLON2,
    STATE(14767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [741806] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6087), 1,
      anon_sym_LBRACK,
    ACTIONS(6095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19048), 1,
      anon_sym_LPAREN,
    ACTIONS(19050), 1,
      anon_sym_LBRACE,
    ACTIONS(19052), 1,
      sym__capitalized_identifier,
    STATE(6347), 1,
      sym__constructor_name,
    STATE(14768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6535), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [741840] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(19054), 1,
      sym__identifier,
    ACTIONS(19056), 1,
      anon_sym_LPAREN,
    ACTIONS(19058), 1,
      anon_sym_LBRACK,
    ACTIONS(19060), 1,
      anon_sym_LBRACE,
    STATE(7286), 1,
      sym_field_path,
    STATE(14769), 1,
      sym_attribute,
    STATE(17655), 1,
      sym_indexing_operator_path,
    STATE(20076), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741878] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6377), 1,
      anon_sym_LBRACK,
    ACTIONS(6391), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19026), 1,
      sym__capitalized_identifier,
    ACTIONS(19062), 1,
      anon_sym_LPAREN,
    ACTIONS(19064), 1,
      anon_sym_LBRACE,
    STATE(9647), 1,
      sym__constructor_name,
    STATE(14770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11479), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [741912] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14771), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(21191), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [741942] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(19066), 1,
      sym__identifier,
    ACTIONS(19068), 1,
      anon_sym_LPAREN,
    ACTIONS(19070), 1,
      anon_sym_LBRACK,
    ACTIONS(19072), 1,
      anon_sym_LBRACE,
    STATE(6920), 1,
      sym_field_path,
    STATE(14772), 1,
      sym_attribute,
    STATE(17864), 1,
      sym_indexing_operator_path,
    STATE(20259), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741980] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      anon_sym_COLON2,
    STATE(14773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10228), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [742004] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(19074), 1,
      sym__identifier,
    ACTIONS(19076), 1,
      anon_sym_LPAREN,
    ACTIONS(19078), 1,
      anon_sym_LBRACK,
    ACTIONS(19080), 1,
      anon_sym_LBRACE,
    STATE(8979), 1,
      sym_field_path,
    STATE(14774), 1,
      sym_attribute,
    STATE(17748), 1,
      sym_indexing_operator_path,
    STATE(19269), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742042] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14775), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(21866), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [742072] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(19082), 1,
      sym__identifier,
    ACTIONS(19084), 1,
      anon_sym_LPAREN,
    ACTIONS(19086), 1,
      anon_sym_LBRACK,
    ACTIONS(19088), 1,
      anon_sym_LBRACE,
    STATE(6499), 1,
      sym_field_path,
    STATE(14776), 1,
      sym_attribute,
    STATE(17913), 1,
      sym_indexing_operator_path,
    STATE(20566), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742110] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8547), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19090), 1,
      anon_sym_LPAREN,
    ACTIONS(19092), 1,
      anon_sym_LBRACE,
    ACTIONS(19094), 1,
      sym__capitalized_identifier,
    STATE(10033), 1,
      sym__constructor_name,
    STATE(14777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10026), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [742144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12329), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12327), 7,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [742168] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14779), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(21359), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [742198] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19100), 1,
      sym__right_quoted_string_delimiter,
    STATE(14780), 1,
      sym_attribute,
    STATE(14844), 1,
      aux_sym_quoted_string_content_repeat1,
    STATE(21570), 1,
      sym_quoted_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19098), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(19096), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [742228] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(19102), 1,
      sym__identifier,
    ACTIONS(19104), 1,
      anon_sym_LPAREN,
    ACTIONS(19106), 1,
      anon_sym_LBRACK,
    ACTIONS(19108), 1,
      anon_sym_LBRACE,
    STATE(5958), 1,
      sym_field_path,
    STATE(14781), 1,
      sym_attribute,
    STATE(17774), 1,
      sym_indexing_operator_path,
    STATE(19567), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742266] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(19110), 1,
      sym__identifier,
    ACTIONS(19112), 1,
      anon_sym_LPAREN,
    ACTIONS(19114), 1,
      anon_sym_LBRACK,
    ACTIONS(19116), 1,
      anon_sym_LBRACE,
    STATE(4676), 1,
      sym_field_path,
    STATE(14782), 1,
      sym_attribute,
    STATE(17721), 1,
      sym_indexing_operator_path,
    STATE(21454), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742304] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10292), 1,
      anon_sym_COLON2,
    STATE(14783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10290), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [742328] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14784), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(21786), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [742358] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18587), 1,
      sym_indexing_operator,
    ACTIONS(19118), 1,
      sym__identifier,
    ACTIONS(19120), 1,
      anon_sym_LPAREN,
    ACTIONS(19122), 1,
      anon_sym_LBRACK,
    ACTIONS(19124), 1,
      anon_sym_LBRACE,
    STATE(4466), 1,
      sym_field_path,
    STATE(14785), 1,
      sym_attribute,
    STATE(17756), 1,
      sym_indexing_operator_path,
    STATE(19332), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742396] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18575), 1,
      aux_sym_character_content_token2,
    STATE(14786), 1,
      sym_attribute,
    STATE(20268), 1,
      sym_escape_sequence,
    STATE(20287), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18573), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18577), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [742426] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10238), 1,
      anon_sym_COLON2,
    STATE(14787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10236), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [742450] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11691), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__identifier,
    ACTIONS(11693), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
  [742473] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19126), 1,
      anon_sym_SEMI,
    ACTIONS(19128), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14789), 1,
      sym_attribute,
    STATE(17868), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742508] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10580), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10582), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11949), 1,
      anon_sym_LBRACK,
    ACTIONS(19130), 1,
      sym__identifier,
    ACTIONS(19132), 1,
      anon_sym_LPAREN,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    STATE(14790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11345), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [742541] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19136), 1,
      sym__identifier,
    ACTIONS(19138), 1,
      anon_sym_LPAREN,
    STATE(14791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13943), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [742574] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12020), 1,
      anon_sym_LBRACK,
    ACTIONS(12022), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12024), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19140), 1,
      sym__identifier,
    ACTIONS(19142), 1,
      anon_sym_LPAREN,
    STATE(14792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10702), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [742607] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19138), 1,
      anon_sym_LPAREN,
    ACTIONS(19144), 1,
      sym__identifier,
    STATE(14793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13943), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [742640] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19152), 1,
      sym__right_quoted_string_delimiter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19149), 2,
      sym__null,
      aux_sym_string_content_token2,
    STATE(14794), 2,
      sym_attribute,
      aux_sym_quoted_string_content_repeat1,
    ACTIONS(19146), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [742665] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19154), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [742686] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8915), 1,
      anon_sym_POUND,
    STATE(14796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 3,
      anon_sym_DOT,
      anon_sym_with,
      sym_hash_operator,
    ACTIONS(8857), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [742711] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19156), 1,
      anon_sym_SEMI,
    ACTIONS(19158), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14797), 1,
      sym_attribute,
    STATE(16782), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742746] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12102), 1,
      anon_sym_LBRACK,
    ACTIONS(12104), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12106), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19160), 1,
      sym__identifier,
    ACTIONS(19162), 1,
      anon_sym_LPAREN,
    STATE(14798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10525), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [742779] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11998), 1,
      anon_sym_LBRACK,
    ACTIONS(12000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19164), 1,
      sym__identifier,
    ACTIONS(19166), 1,
      anon_sym_LPAREN,
    STATE(14799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10826), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [742812] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19168), 1,
      anon_sym_EQ,
    ACTIONS(19170), 1,
      anon_sym_RPAREN,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    STATE(14800), 1,
      sym_attribute,
    STATE(18108), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742847] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19174), 1,
      anon_sym_SEMI,
    ACTIONS(19176), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14801), 1,
      sym_attribute,
    STATE(17678), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742882] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19178), 1,
      anon_sym_SEMI,
    ACTIONS(19180), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14802), 1,
      sym_attribute,
    STATE(17179), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742917] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19182), 1,
      anon_sym_SEMI,
    ACTIONS(19184), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14803), 1,
      sym_attribute,
    STATE(16902), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742952] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19138), 1,
      anon_sym_LPAREN,
    ACTIONS(19186), 1,
      sym__identifier,
    STATE(14804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13943), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [742985] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12753), 1,
      anon_sym_LBRACK,
    ACTIONS(12755), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12757), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19188), 1,
      sym__identifier,
    ACTIONS(19190), 1,
      anon_sym_LPAREN,
    STATE(14805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15150), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [743018] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12613), 1,
      anon_sym_LBRACK,
    ACTIONS(12615), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12617), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19192), 1,
      sym__identifier,
    ACTIONS(19194), 1,
      anon_sym_LPAREN,
    STATE(14806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11398), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [743051] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10484), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11988), 1,
      anon_sym_LBRACK,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19196), 1,
      sym__identifier,
    ACTIONS(19198), 1,
      anon_sym_LPAREN,
    STATE(14807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11358), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [743084] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19200), 1,
      anon_sym_SEMI,
    ACTIONS(19202), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14808), 1,
      sym_attribute,
    STATE(17719), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743119] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19204), 1,
      anon_sym_SEMI,
    ACTIONS(19206), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14809), 1,
      sym_attribute,
    STATE(17642), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743154] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19208), 1,
      anon_sym_SEMI,
    ACTIONS(19210), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14810), 1,
      sym_attribute,
    STATE(17905), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743189] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19212), 1,
      sym__identifier,
    ACTIONS(19214), 1,
      anon_sym_LPAREN,
    STATE(14811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11987), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [743222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19216), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14812), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13218), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [743245] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19219), 1,
      anon_sym_SEMI,
    ACTIONS(19221), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14813), 1,
      sym_attribute,
    STATE(17273), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743280] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8855), 1,
      anon_sym_POUND,
    STATE(14814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8857), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      sym_hash_operator,
  [743303] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12785), 1,
      anon_sym_LBRACK,
    ACTIONS(12787), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12789), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19223), 1,
      sym__identifier,
    ACTIONS(19225), 1,
      anon_sym_LPAREN,
    STATE(14815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11914), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [743336] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19227), 1,
      anon_sym_EQ,
    ACTIONS(19229), 1,
      anon_sym_RPAREN,
    STATE(14816), 1,
      sym_attribute,
    STATE(18657), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743371] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12629), 1,
      anon_sym_LBRACK,
    ACTIONS(12631), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12633), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19231), 1,
      sym__identifier,
    ACTIONS(19233), 1,
      anon_sym_LPAREN,
    STATE(14817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11170), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [743404] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19235), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14818), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13474), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [743429] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19238), 1,
      anon_sym_SEMI,
    ACTIONS(19240), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14819), 1,
      sym_attribute,
    STATE(16617), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743464] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19242), 1,
      anon_sym_SEMI,
    ACTIONS(19244), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14820), 1,
      sym_attribute,
    STATE(17102), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743499] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19246), 1,
      anon_sym_SEMI,
    ACTIONS(19248), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14821), 1,
      sym_attribute,
    STATE(16654), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743534] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19138), 1,
      anon_sym_LPAREN,
    ACTIONS(19250), 1,
      sym__identifier,
    STATE(14822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13943), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [743567] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12535), 1,
      anon_sym_LBRACK,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12539), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19252), 1,
      sym__identifier,
    ACTIONS(19254), 1,
      anon_sym_LPAREN,
    STATE(14823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11565), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [743600] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_EQ,
    ACTIONS(19258), 1,
      anon_sym_RPAREN,
    STATE(14824), 1,
      sym_attribute,
    STATE(18821), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743635] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19260), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(14825), 1,
      sym_attribute,
    STATE(14827), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13470), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [743662] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19260), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(14826), 1,
      sym_attribute,
    STATE(14862), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13344), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [743689] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19260), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(14818), 1,
      aux_sym_type_binding_repeat1,
    STATE(14827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13344), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [743716] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19262), 1,
      anon_sym_SEMI,
    ACTIONS(19264), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14828), 1,
      sym_attribute,
    STATE(17178), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743751] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19266), 1,
      anon_sym_SEMI,
    ACTIONS(19268), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14829), 1,
      sym_attribute,
    STATE(17382), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743786] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19270), 1,
      anon_sym_and,
    STATE(14830), 1,
      sym_attribute,
    STATE(14861), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13734), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [743811] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19272), 1,
      anon_sym_SEMI,
    ACTIONS(19274), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14831), 1,
      sym_attribute,
    STATE(16663), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743846] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12900), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [743867] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11152), 1,
      anon_sym_LBRACK,
    ACTIONS(11154), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11156), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19276), 1,
      sym__identifier,
    ACTIONS(19278), 1,
      anon_sym_LPAREN,
    STATE(14833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13100), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [743900] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12559), 1,
      anon_sym_LBRACK,
    ACTIONS(12561), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12563), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19280), 1,
      sym__identifier,
    ACTIONS(19282), 1,
      anon_sym_LPAREN,
    STATE(14834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12024), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [743933] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19284), 1,
      anon_sym_EQ,
    ACTIONS(19286), 1,
      anon_sym_RPAREN,
    STATE(14835), 1,
      sym_attribute,
    STATE(19155), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743968] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8865), 1,
      anon_sym_POUND,
    STATE(14836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8867), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      sym_hash_operator,
  [743991] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11288), 1,
      anon_sym_LBRACK,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11292), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19288), 1,
      sym__identifier,
    ACTIONS(19290), 1,
      anon_sym_LPAREN,
    STATE(14837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14099), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [744024] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19138), 1,
      anon_sym_LPAREN,
    ACTIONS(19292), 1,
      sym__identifier,
    STATE(14838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13943), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [744057] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19294), 1,
      anon_sym_SEMI,
    ACTIONS(19296), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14839), 1,
      sym_attribute,
    STATE(17014), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744092] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19298), 1,
      anon_sym_SEMI,
    ACTIONS(19300), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14840), 1,
      sym_attribute,
    STATE(16952), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744127] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8915), 1,
      anon_sym_POUND,
    STATE(14841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 3,
      anon_sym_DOT,
      anon_sym_with,
      sym_hash_operator,
    ACTIONS(8867), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [744152] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19302), 1,
      anon_sym_SEMI,
    ACTIONS(19304), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14842), 1,
      sym_attribute,
    STATE(16626), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744187] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11336), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19306), 1,
      sym__identifier,
    ACTIONS(19308), 1,
      anon_sym_LPAREN,
    STATE(14843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12168), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [744220] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19310), 1,
      sym__right_quoted_string_delimiter,
    STATE(14794), 1,
      aux_sym_quoted_string_content_repeat1,
    STATE(14844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19098), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(19096), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [744247] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12068), 1,
      anon_sym_LBRACK,
    ACTIONS(12070), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12072), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19312), 1,
      sym__identifier,
    ACTIONS(19314), 1,
      anon_sym_LPAREN,
    STATE(14845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10226), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [744280] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10546), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10548), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12135), 1,
      anon_sym_LBRACK,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19316), 1,
      sym__identifier,
    ACTIONS(19318), 1,
      anon_sym_LPAREN,
    STATE(14846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10337), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [744313] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13224), 1,
      anon_sym_in,
    ACTIONS(18533), 1,
      sym__identifier,
    ACTIONS(18535), 1,
      anon_sym_POUND,
    STATE(14847), 1,
      sym_attribute,
    STATE(15102), 1,
      sym_type_constructor_path,
    STATE(18548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13222), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
  [744346] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10514), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12090), 1,
      anon_sym_LBRACK,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19320), 1,
      sym__identifier,
    ACTIONS(19322), 1,
      anon_sym_LPAREN,
    STATE(14848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10594), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [744379] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11234), 1,
      anon_sym_LBRACK,
    ACTIONS(11236), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19324), 1,
      sym__identifier,
    ACTIONS(19326), 1,
      anon_sym_LPAREN,
    STATE(14849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12121), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [744412] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19328), 1,
      anon_sym_EQ,
    ACTIONS(19330), 1,
      anon_sym_RPAREN,
    STATE(14850), 1,
      sym_attribute,
    STATE(18899), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744447] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19332), 1,
      anon_sym_SEMI,
    ACTIONS(19334), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14851), 1,
      sym_attribute,
    STATE(17799), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744482] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19336), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [744503] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19338), 1,
      anon_sym_EQ,
    ACTIONS(19340), 1,
      anon_sym_RPAREN,
    STATE(14853), 1,
      sym_attribute,
    STATE(18243), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744538] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19342), 1,
      anon_sym_SEMI,
    ACTIONS(19344), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14854), 1,
      sym_attribute,
    STATE(16743), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744573] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8699), 1,
      anon_sym_LBRACK,
    ACTIONS(8713), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8715), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19138), 1,
      anon_sym_LPAREN,
    ACTIONS(19346), 1,
      sym__identifier,
    STATE(14855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13943), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [744606] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19348), 1,
      anon_sym_STAR,
    STATE(14856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 7,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [744629] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19350), 1,
      anon_sym_SEMI,
    ACTIONS(19352), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14857), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744664] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(19354), 1,
      anon_sym_SEMI,
    ACTIONS(19356), 1,
      anon_sym_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14858), 1,
      sym_attribute,
    STATE(16579), 1,
      aux_sym_object_type_repeat1,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744699] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12173), 1,
      anon_sym_LBRACK,
    ACTIONS(12175), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12177), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19358), 1,
      sym__identifier,
    ACTIONS(19360), 1,
      anon_sym_LPAREN,
    STATE(14859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14203), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [744732] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12147), 1,
      anon_sym_LBRACK,
    ACTIONS(12149), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12151), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19362), 1,
      sym__identifier,
    ACTIONS(19364), 1,
      anon_sym_LPAREN,
    STATE(14860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14536), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [744765] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19270), 1,
      anon_sym_and,
    STATE(14812), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(14861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13835), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [744790] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19260), 1,
      anon_sym_constraint,
    STATE(10324), 1,
      sym_type_constraint,
    STATE(14818), 1,
      aux_sym_type_binding_repeat1,
    STATE(14862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13446), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [744817] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9118), 1,
      anon_sym_PIPE,
    STATE(14863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [744839] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19366), 1,
      anon_sym_RPAREN,
    STATE(14864), 1,
      sym_attribute,
    STATE(19587), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19370), 3,
      sym__right_quoted_string_delimiter,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(19368), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [744893] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19372), 1,
      anon_sym_DASH_GT,
    ACTIONS(19374), 1,
      anon_sym_when,
    STATE(14866), 1,
      sym_attribute,
    STATE(21071), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744925] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19378), 1,
      anon_sym__,
    ACTIONS(19380), 1,
      anon_sym_RBRACE,
    STATE(14867), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(18194), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744957] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19382), 1,
      anon_sym_DASH_GT,
    STATE(14868), 1,
      sym_attribute,
    STATE(20027), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744989] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19384), 1,
      anon_sym_COMMA,
    ACTIONS(19386), 1,
      anon_sym_PIPE,
    ACTIONS(19388), 1,
      anon_sym_SEMI,
    ACTIONS(19390), 1,
      anon_sym_as,
    ACTIONS(19392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19394), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14869), 1,
      sym_attribute,
    STATE(17278), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745021] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19396), 1,
      anon_sym_RPAREN,
    STATE(14870), 1,
      sym_attribute,
    STATE(20531), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745053] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19398), 1,
      anon_sym_RPAREN,
    STATE(14871), 1,
      sym_attribute,
    STATE(19627), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745085] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(19400), 1,
      sym__identifier,
    ACTIONS(19402), 1,
      anon_sym_type,
    ACTIONS(19404), 1,
      anon_sym_LBRACK,
    ACTIONS(19406), 1,
      anon_sym_virtual,
    STATE(14105), 1,
      sym_class_binding,
    STATE(14872), 1,
      sym_attribute,
    STATE(15884), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745117] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19408), 1,
      anon_sym_RPAREN,
    STATE(14873), 1,
      sym_attribute,
    STATE(19642), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745149] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(19410), 1,
      anon_sym__,
    STATE(14874), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(17821), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [745179] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(14875), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(17798), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    STATE(20252), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745211] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19412), 1,
      anon_sym_RPAREN,
    STATE(14876), 1,
      sym_attribute,
    STATE(19682), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745243] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19414), 1,
      anon_sym_RPAREN,
    STATE(14877), 1,
      sym_attribute,
    STATE(21285), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745275] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19416), 1,
      anon_sym__,
    ACTIONS(19418), 1,
      anon_sym_RBRACE,
    STATE(14878), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(18753), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13408), 1,
      anon_sym_COLON2,
    STATE(14879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13406), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [745329] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19420), 1,
      anon_sym_RPAREN,
    STATE(14880), 1,
      sym_attribute,
    STATE(19697), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745361] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12649), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [745381] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9132), 1,
      anon_sym_PIPE,
    STATE(14882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [745403] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19422), 1,
      anon_sym_RPAREN,
    STATE(14883), 1,
      sym_attribute,
    STATE(21319), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745435] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19424), 1,
      anon_sym_RPAREN,
    STATE(14884), 1,
      sym_attribute,
    STATE(19734), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745467] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19426), 1,
      anon_sym_DASH_GT,
    ACTIONS(19428), 1,
      anon_sym_with,
    STATE(14885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14443), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [745491] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19430), 1,
      anon_sym_DASH_GT,
    STATE(14886), 1,
      sym_attribute,
    STATE(19683), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745523] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19432), 1,
      anon_sym_RPAREN,
    STATE(14887), 1,
      sym_attribute,
    STATE(19741), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745555] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(19438), 1,
      anon_sym_AMP,
    STATE(14888), 1,
      sym_attribute,
    STATE(15653), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19434), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [745583] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13276), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [745603] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19440), 1,
      anon_sym_RPAREN,
    STATE(14890), 1,
      sym_attribute,
    STATE(19776), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745635] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14891), 1,
      sym_attribute,
    STATE(15662), 1,
      aux_sym_expression_item_repeat1,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13647), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(19442), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [745663] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19444), 1,
      anon_sym_RPAREN,
    STATE(14892), 1,
      sym_attribute,
    STATE(19782), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745695] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19446), 1,
      anon_sym__,
    ACTIONS(19448), 1,
      anon_sym_RBRACE,
    STATE(14893), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(18753), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745727] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19450), 1,
      anon_sym_DASH_GT,
    STATE(14894), 1,
      sym_attribute,
    STATE(21229), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745759] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19452), 1,
      anon_sym_RPAREN,
    STATE(14895), 1,
      sym_attribute,
    STATE(19817), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12593), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12591), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [745813] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19454), 1,
      anon_sym_RPAREN,
    STATE(14897), 1,
      sym_attribute,
    STATE(19823), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745845] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19340), 1,
      anon_sym_RPAREN,
    STATE(14898), 1,
      sym_attribute,
    STATE(19307), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745877] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19456), 1,
      anon_sym_RBRACK,
    ACTIONS(19458), 1,
      anon_sym_SEMI,
    STATE(14899), 1,
      sym_attribute,
    STATE(16619), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745909] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19384), 1,
      anon_sym_COMMA,
    ACTIONS(19386), 1,
      anon_sym_PIPE,
    ACTIONS(19390), 1,
      anon_sym_as,
    ACTIONS(19392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19460), 1,
      anon_sym_SEMI,
    ACTIONS(19462), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14900), 1,
      sym_attribute,
    STATE(16621), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745941] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19464), 1,
      anon_sym_RPAREN,
    STATE(14901), 1,
      sym_attribute,
    STATE(20593), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745973] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19466), 1,
      anon_sym_DASH_GT,
    STATE(14902), 1,
      sym_attribute,
    STATE(22097), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746005] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19468), 1,
      anon_sym_RPAREN,
    STATE(14903), 1,
      sym_attribute,
    STATE(19858), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746037] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19470), 1,
      anon_sym_DASH_GT,
    STATE(14904), 1,
      sym_attribute,
    STATE(20000), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746069] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19472), 1,
      anon_sym_RPAREN,
    STATE(14905), 1,
      sym_attribute,
    STATE(19864), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746101] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19474), 1,
      anon_sym__,
    ACTIONS(19476), 1,
      anon_sym_RBRACE,
    STATE(14906), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(18194), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746133] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19478), 1,
      anon_sym__,
    ACTIONS(19480), 1,
      anon_sym_RBRACE,
    STATE(14907), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(18194), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746165] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19482), 1,
      anon_sym_RPAREN,
    STATE(14908), 1,
      sym_attribute,
    STATE(19899), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746197] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19484), 1,
      anon_sym_RPAREN,
    ACTIONS(19486), 1,
      anon_sym_COMMA,
    ACTIONS(19488), 1,
      anon_sym_PIPE,
    ACTIONS(19490), 1,
      anon_sym_as,
    ACTIONS(19492), 1,
      anon_sym_COLON_COLON,
    STATE(14909), 1,
      sym_attribute,
    STATE(20032), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746229] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19494), 1,
      anon_sym_COMMA,
    ACTIONS(19496), 1,
      anon_sym_PIPE,
    ACTIONS(19498), 1,
      anon_sym_RBRACK,
    ACTIONS(19500), 1,
      anon_sym_SEMI,
    ACTIONS(19502), 1,
      anon_sym_as,
    ACTIONS(19504), 1,
      anon_sym_COLON_COLON,
    STATE(14910), 1,
      sym_attribute,
    STATE(17329), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746261] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19506), 1,
      anon_sym_COMMA,
    ACTIONS(19508), 1,
      anon_sym_PIPE,
    ACTIONS(19510), 1,
      anon_sym_SEMI,
    ACTIONS(19512), 1,
      anon_sym_as,
    ACTIONS(19514), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19516), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14911), 1,
      sym_attribute,
    STATE(17333), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746293] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19518), 1,
      anon_sym_RPAREN,
    STATE(14912), 1,
      sym_attribute,
    STATE(19905), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746325] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19520), 1,
      anon_sym_RPAREN,
    STATE(14913), 1,
      sym_attribute,
    STATE(21472), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746357] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19522), 1,
      anon_sym_RPAREN,
    STATE(14914), 1,
      sym_attribute,
    STATE(19940), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746389] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19524), 1,
      anon_sym_DASH_GT,
    STATE(14915), 1,
      sym_attribute,
    STATE(19513), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746421] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19526), 1,
      anon_sym_RPAREN,
    STATE(14916), 1,
      sym_attribute,
    STATE(21503), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746453] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14917), 1,
      sym_attribute,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13222), 2,
      anon_sym_DASH_GT,
      anon_sym_STAR,
  [746483] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19528), 1,
      anon_sym_RPAREN,
    STATE(14918), 1,
      sym_attribute,
    STATE(19946), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746515] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19530), 1,
      anon_sym_DASH_GT,
    STATE(14919), 1,
      sym_attribute,
    STATE(21901), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746547] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19229), 1,
      anon_sym_RPAREN,
    STATE(14920), 1,
      sym_attribute,
    STATE(20123), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746579] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19532), 1,
      anon_sym_RBRACK,
    ACTIONS(19534), 1,
      anon_sym_SEMI,
    STATE(14921), 1,
      sym_attribute,
    STATE(17350), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746611] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19536), 1,
      anon_sym_RPAREN,
    STATE(14922), 1,
      sym_attribute,
    STATE(19981), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746643] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19384), 1,
      anon_sym_COMMA,
    ACTIONS(19386), 1,
      anon_sym_PIPE,
    ACTIONS(19390), 1,
      anon_sym_as,
    ACTIONS(19392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19538), 1,
      anon_sym_SEMI,
    ACTIONS(19540), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14923), 1,
      sym_attribute,
    STATE(17354), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746675] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19542), 1,
      anon_sym_RPAREN,
    STATE(14924), 1,
      sym_attribute,
    STATE(19987), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12553), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12551), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [746729] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19544), 1,
      anon_sym_RPAREN,
    STATE(14926), 1,
      sym_attribute,
    STATE(20022), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746761] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19546), 1,
      anon_sym_RPAREN,
    STATE(14927), 1,
      sym_attribute,
    STATE(20028), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746793] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12581), 1,
      anon_sym_in,
    ACTIONS(18533), 1,
      sym__identifier,
    ACTIONS(18535), 1,
      anon_sym_POUND,
    STATE(14928), 1,
      sym_attribute,
    STATE(15102), 1,
      sym_type_constructor_path,
    STATE(18548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746825] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19548), 1,
      anon_sym__,
    ACTIONS(19550), 1,
      anon_sym_RBRACE,
    STATE(14929), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(18753), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746857] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12587), 1,
      anon_sym_in,
    ACTIONS(18533), 1,
      sym__identifier,
    ACTIONS(18535), 1,
      anon_sym_POUND,
    STATE(14930), 1,
      sym_attribute,
    STATE(15102), 1,
      sym_type_constructor_path,
    STATE(18548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746889] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19552), 1,
      anon_sym_RPAREN,
    STATE(14931), 1,
      sym_attribute,
    STATE(20063), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746921] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19554), 1,
      anon_sym_RPAREN,
    STATE(14932), 1,
      sym_attribute,
    STATE(20069), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13500), 1,
      anon_sym_COLON2,
    STATE(14933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13498), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [746975] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(18683), 1,
      anon_sym_LPAREN,
    ACTIONS(18685), 1,
      anon_sym_LBRACK,
    STATE(11951), 1,
      sym_constructor_declaration,
    STATE(12617), 1,
      sym__constructor_name,
    STATE(14934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18687), 2,
      anon_sym_true,
      anon_sym_false,
  [747005] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13256), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [747025] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10208), 1,
      anon_sym_PIPE,
    STATE(14936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10206), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [747047] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19556), 1,
      anon_sym_RPAREN,
    STATE(14937), 1,
      sym_attribute,
    STATE(20104), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747079] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13266), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [747099] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19558), 1,
      anon_sym_RPAREN,
    STATE(14939), 1,
      sym_attribute,
    STATE(20110), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747131] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19426), 1,
      anon_sym_DASH_GT,
    ACTIONS(19428), 1,
      anon_sym_with,
    STATE(14940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14051), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [747155] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19560), 1,
      anon_sym_DASH_GT,
    STATE(14941), 1,
      sym_attribute,
    STATE(20822), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747187] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19562), 1,
      anon_sym__,
    ACTIONS(19564), 1,
      anon_sym_RBRACE,
    STATE(14942), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(18194), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747219] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19566), 1,
      anon_sym_RPAREN,
    STATE(14943), 1,
      sym_attribute,
    STATE(20145), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747251] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12595), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [747271] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19568), 1,
      anon_sym_RPAREN,
    STATE(14945), 1,
      sym_attribute,
    STATE(20151), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747303] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19570), 1,
      anon_sym_RPAREN,
    STATE(14946), 1,
      sym_attribute,
    STATE(21670), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747335] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19572), 1,
      anon_sym_DASH_GT,
    STATE(14947), 1,
      sym_attribute,
    STATE(19974), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747367] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19574), 1,
      anon_sym_RPAREN,
    STATE(14948), 1,
      sym_attribute,
    STATE(20185), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747399] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19576), 1,
      anon_sym_RPAREN,
    STATE(14949), 1,
      sym_attribute,
    STATE(20191), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747431] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19578), 1,
      anon_sym__,
    ACTIONS(19580), 1,
      anon_sym_RBRACE,
    STATE(14950), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(18753), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747463] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19582), 1,
      anon_sym_DASH_GT,
    STATE(14951), 1,
      sym_attribute,
    STATE(21412), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747495] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19584), 1,
      anon_sym_RPAREN,
    STATE(14952), 1,
      sym_attribute,
    STATE(20225), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747527] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19586), 1,
      anon_sym_RPAREN,
    STATE(14953), 1,
      sym_attribute,
    STATE(21699), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747559] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19588), 1,
      anon_sym_RPAREN,
    STATE(14954), 1,
      sym_attribute,
    STATE(20231), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747591] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18609), 1,
      anon_sym_LPAREN,
    ACTIONS(18611), 1,
      anon_sym_LBRACK,
    ACTIONS(18615), 1,
      sym__capitalized_identifier,
    STATE(14955), 1,
      sym_attribute,
    STATE(15622), 1,
      sym__constructor_name,
    STATE(16038), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18613), 2,
      anon_sym_true,
      anon_sym_false,
  [747621] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19590), 1,
      anon_sym_RPAREN,
    STATE(14956), 1,
      sym_attribute,
    STATE(20264), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747653] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19592), 1,
      anon_sym_RPAREN,
    STATE(14957), 1,
      sym_attribute,
    STATE(20270), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747685] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(14958), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(16982), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    STATE(20687), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747717] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19594), 1,
      anon_sym__,
    ACTIONS(19596), 1,
      anon_sym_RBRACE,
    STATE(14959), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(18194), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747749] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19598), 1,
      anon_sym_RPAREN,
    STATE(14960), 1,
      sym_attribute,
    STATE(20303), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747781] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19600), 1,
      anon_sym_RPAREN,
    STATE(14961), 1,
      sym_attribute,
    STATE(20309), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747813] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19602), 1,
      anon_sym_RPAREN,
    STATE(14962), 1,
      sym_attribute,
    STATE(21882), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747845] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(19410), 1,
      anon_sym__,
    STATE(14963), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16602), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [747875] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19486), 1,
      anon_sym_COMMA,
    ACTIONS(19488), 1,
      anon_sym_PIPE,
    ACTIONS(19490), 1,
      anon_sym_as,
    ACTIONS(19492), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19604), 1,
      anon_sym_RPAREN,
    STATE(14964), 1,
      sym_attribute,
    STATE(22389), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747907] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19606), 1,
      anon_sym_RPAREN,
    STATE(14965), 1,
      sym_attribute,
    STATE(20342), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747939] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19608), 1,
      anon_sym_RPAREN,
    STATE(14966), 1,
      sym_attribute,
    STATE(20348), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747971] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19610), 1,
      anon_sym__,
    ACTIONS(19612), 1,
      anon_sym_RBRACE,
    STATE(14967), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(18753), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748003] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19614), 1,
      anon_sym_DASH_GT,
    STATE(14968), 1,
      sym_attribute,
    STATE(22362), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748035] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19616), 1,
      anon_sym_RPAREN,
    STATE(14969), 1,
      sym_attribute,
    STATE(20381), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748067] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(14970), 1,
      sym_attribute,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19618), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [748097] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19494), 1,
      anon_sym_COMMA,
    ACTIONS(19496), 1,
      anon_sym_PIPE,
    ACTIONS(19502), 1,
      anon_sym_as,
    ACTIONS(19504), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19620), 1,
      anon_sym_RBRACK,
    ACTIONS(19622), 1,
      anon_sym_SEMI,
    STATE(14971), 1,
      sym_attribute,
    STATE(16584), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748129] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19624), 1,
      anon_sym_RPAREN,
    STATE(14972), 1,
      sym_attribute,
    STATE(20386), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748161] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19506), 1,
      anon_sym_COMMA,
    ACTIONS(19508), 1,
      anon_sym_PIPE,
    ACTIONS(19512), 1,
      anon_sym_as,
    ACTIONS(19514), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19626), 1,
      anon_sym_SEMI,
    ACTIONS(19628), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14973), 1,
      sym_attribute,
    STATE(16588), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748193] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19630), 1,
      anon_sym_RPAREN,
    STATE(14974), 1,
      sym_attribute,
    STATE(20419), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748225] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19632), 1,
      anon_sym_RPAREN,
    STATE(14975), 1,
      sym_attribute,
    STATE(20424), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748257] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(14976), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(17345), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    STATE(20534), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748289] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19634), 1,
      anon_sym_RBRACK,
    ACTIONS(19636), 1,
      anon_sym_SEMI,
    STATE(14977), 1,
      sym_attribute,
    STATE(17114), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748321] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19638), 1,
      anon_sym_RPAREN,
    STATE(14978), 1,
      sym_attribute,
    STATE(20457), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748353] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19640), 1,
      anon_sym_RPAREN,
    STATE(14979), 1,
      sym_attribute,
    STATE(20462), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748385] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12527), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12529), 1,
      anon_sym_in,
    ACTIONS(18533), 1,
      sym__identifier,
    ACTIONS(18535), 1,
      anon_sym_POUND,
    STATE(14980), 1,
      sym_attribute,
    STATE(15102), 1,
      sym_type_constructor_path,
    STATE(18548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12687), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12685), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [748439] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(14982), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(16882), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    STATE(20687), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12691), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12689), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [748493] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19642), 1,
      anon_sym_RPAREN,
    STATE(14984), 1,
      sym_attribute,
    STATE(20495), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748525] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19644), 1,
      anon_sym_DASH_GT,
    STATE(14985), 1,
      sym_attribute,
    STATE(20980), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12807), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12805), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [748579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13440), 1,
      anon_sym_COLON2,
    STATE(14987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13438), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [748601] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19646), 1,
      anon_sym__,
    ACTIONS(19648), 1,
      anon_sym_RBRACE,
    STATE(14988), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(18194), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748633] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19650), 1,
      anon_sym_RPAREN,
    STATE(14989), 1,
      sym_attribute,
    STATE(20500), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748665] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19426), 1,
      anon_sym_DASH_GT,
    ACTIONS(19428), 1,
      anon_sym_with,
    STATE(14990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14137), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [748689] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14991), 1,
      sym_attribute,
    STATE(15610), 1,
      aux_sym_expression_item_repeat1,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13022), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(18361), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [748717] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19652), 1,
      anon_sym_DASH_GT,
    STATE(14992), 1,
      sym_attribute,
    STATE(21905), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748749] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19654), 1,
      anon_sym__,
    ACTIONS(19656), 1,
      anon_sym_RBRACE,
    STATE(14993), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(18753), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748781] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19658), 1,
      anon_sym_RPAREN,
    STATE(14994), 1,
      sym_attribute,
    STATE(21861), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748813] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19660), 1,
      anon_sym_RPAREN,
    STATE(14995), 1,
      sym_attribute,
    STATE(20533), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748845] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19662), 1,
      anon_sym_RPAREN,
    STATE(14996), 1,
      sym_attribute,
    STATE(20538), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12711), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12709), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [748899] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(14998), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_binding_pattern,
    STATE(19796), 1,
      sym__quoted_string,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748931] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(14999), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(18055), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    STATE(22137), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748963] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19664), 1,
      anon_sym_RPAREN,
    STATE(15000), 1,
      sym_attribute,
    STATE(21885), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748995] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19666), 1,
      anon_sym_RPAREN,
    STATE(15001), 1,
      sym_attribute,
    STATE(20571), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749027] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(19438), 1,
      anon_sym_AMP,
    STATE(15002), 1,
      sym_attribute,
    STATE(15663), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19668), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [749055] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19670), 1,
      anon_sym_RPAREN,
    STATE(15003), 1,
      sym_attribute,
    STATE(20576), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749087] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15004), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(17296), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    STATE(21680), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749119] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19672), 1,
      anon_sym_RPAREN,
    STATE(15005), 1,
      sym_attribute,
    STATE(20609), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749151] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(19410), 1,
      anon_sym__,
    STATE(15006), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16637), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [749181] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19674), 1,
      anon_sym_RPAREN,
    STATE(15007), 1,
      sym_attribute,
    STATE(20614), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749213] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(19402), 1,
      anon_sym_type,
    ACTIONS(19676), 1,
      sym__identifier,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_virtual,
    STATE(13460), 1,
      sym_class_binding,
    STATE(15008), 1,
      sym_attribute,
    STATE(15959), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749245] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19682), 1,
      anon_sym_RPAREN,
    STATE(15009), 1,
      sym_attribute,
    STATE(20647), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749277] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19684), 1,
      anon_sym_RPAREN,
    STATE(15010), 1,
      sym_attribute,
    STATE(20652), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749309] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19686), 1,
      anon_sym_DASH_GT,
    STATE(15011), 1,
      sym_attribute,
    STATE(20801), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749341] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19688), 1,
      anon_sym_RPAREN,
    STATE(15012), 1,
      sym_attribute,
    STATE(20685), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749373] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19690), 1,
      anon_sym_RPAREN,
    STATE(15013), 1,
      sym_attribute,
    STATE(20690), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749405] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19486), 1,
      anon_sym_COMMA,
    ACTIONS(19488), 1,
      anon_sym_PIPE,
    ACTIONS(19490), 1,
      anon_sym_as,
    ACTIONS(19492), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19692), 1,
      anon_sym_RPAREN,
    STATE(15014), 1,
      sym_attribute,
    STATE(21041), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749437] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19494), 1,
      anon_sym_COMMA,
    ACTIONS(19496), 1,
      anon_sym_PIPE,
    ACTIONS(19502), 1,
      anon_sym_as,
    ACTIONS(19504), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19694), 1,
      anon_sym_RBRACK,
    ACTIONS(19696), 1,
      anon_sym_SEMI,
    STATE(15015), 1,
      sym_attribute,
    STATE(17573), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749469] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19506), 1,
      anon_sym_COMMA,
    ACTIONS(19508), 1,
      anon_sym_PIPE,
    ACTIONS(19512), 1,
      anon_sym_as,
    ACTIONS(19514), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19698), 1,
      anon_sym_SEMI,
    ACTIONS(19700), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15016), 1,
      sym_attribute,
    STATE(17577), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749501] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15017), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(16557), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    STATE(20510), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749533] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19702), 1,
      anon_sym__,
    ACTIONS(19704), 1,
      anon_sym_RBRACE,
    STATE(15018), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(18753), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749565] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19706), 1,
      anon_sym_DASH_GT,
    STATE(15019), 1,
      sym_attribute,
    STATE(20314), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749597] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19708), 1,
      anon_sym_RPAREN,
    STATE(15020), 1,
      sym_attribute,
    STATE(20723), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749629] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19710), 1,
      anon_sym_RPAREN,
    STATE(15021), 1,
      sym_attribute,
    STATE(20728), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749661] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13350), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13352), 1,
      anon_sym_in,
    ACTIONS(18533), 1,
      sym__identifier,
    ACTIONS(18535), 1,
      anon_sym_POUND,
    STATE(15022), 1,
      sym_attribute,
    STATE(15102), 1,
      sym_type_constructor_path,
    STATE(18548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749693] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13434), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13436), 1,
      anon_sym_in,
    ACTIONS(18533), 1,
      sym__identifier,
    ACTIONS(18535), 1,
      anon_sym_POUND,
    STATE(15023), 1,
      sym_attribute,
    STATE(15102), 1,
      sym_type_constructor_path,
    STATE(18548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749725] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19504), 1,
      anon_sym_COLON_COLON,
    STATE(15024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10342), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [749747] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19494), 1,
      anon_sym_COMMA,
    ACTIONS(19504), 1,
      anon_sym_COLON_COLON,
    STATE(15025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 5,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [749771] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19712), 1,
      anon_sym_RPAREN,
    STATE(15026), 1,
      sym_attribute,
    STATE(20760), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749803] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19714), 1,
      anon_sym_RPAREN,
    STATE(15027), 1,
      sym_attribute,
    STATE(20765), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749835] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19170), 1,
      anon_sym_RPAREN,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    STATE(15028), 1,
      sym_attribute,
    STATE(21167), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749867] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19716), 1,
      anon_sym_RBRACK,
    ACTIONS(19718), 1,
      anon_sym_SEMI,
    STATE(15029), 1,
      sym_attribute,
    STATE(17617), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749899] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19384), 1,
      anon_sym_COMMA,
    ACTIONS(19386), 1,
      anon_sym_PIPE,
    ACTIONS(19390), 1,
      anon_sym_as,
    ACTIONS(19392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19720), 1,
      anon_sym_SEMI,
    ACTIONS(19722), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15030), 1,
      sym_attribute,
    STATE(17620), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749931] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19504), 1,
      anon_sym_COLON_COLON,
    STATE(15031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [749953] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15032), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(17313), 1,
      sym_field_pattern,
    STATE(19886), 1,
      sym__quoted_string,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749985] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19724), 1,
      anon_sym_RPAREN,
    STATE(15033), 1,
      sym_attribute,
    STATE(20797), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750017] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19726), 1,
      anon_sym_RPAREN,
    STATE(15034), 1,
      sym_attribute,
    STATE(20802), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750049] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19728), 1,
      anon_sym_RPAREN,
    STATE(15035), 1,
      sym_attribute,
    STATE(20821), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750081] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19730), 1,
      anon_sym_RPAREN,
    STATE(15036), 1,
      sym_attribute,
    STATE(20823), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750113] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19732), 1,
      anon_sym_RPAREN,
    STATE(15037), 1,
      sym_attribute,
    STATE(20838), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750145] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19734), 1,
      anon_sym_RPAREN,
    STATE(15038), 1,
      sym_attribute,
    STATE(20840), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750177] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19736), 1,
      anon_sym__,
    ACTIONS(19738), 1,
      anon_sym_RBRACE,
    STATE(15039), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(18753), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750209] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19740), 1,
      anon_sym_DASH_GT,
    STATE(15040), 1,
      sym_attribute,
    STATE(19380), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750241] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19742), 1,
      anon_sym_DASH_GT,
    STATE(15041), 1,
      sym_attribute,
    STATE(20708), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750273] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19744), 1,
      anon_sym_RPAREN,
    STATE(15042), 1,
      sym_attribute,
    STATE(20868), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750305] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19746), 1,
      anon_sym_DASH_GT,
    STATE(15043), 1,
      sym_attribute,
    STATE(20018), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750337] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13218), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [750357] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19486), 1,
      anon_sym_COMMA,
    ACTIONS(19488), 1,
      anon_sym_PIPE,
    ACTIONS(19490), 1,
      anon_sym_as,
    ACTIONS(19492), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19748), 1,
      anon_sym_RPAREN,
    STATE(15045), 1,
      sym_attribute,
    STATE(20993), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750389] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(19410), 1,
      anon_sym__,
    STATE(15046), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(18007), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [750419] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19750), 1,
      anon_sym__,
    ACTIONS(19752), 1,
      anon_sym_RBRACE,
    STATE(15047), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(18753), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750451] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19754), 1,
      anon_sym_DASH_GT,
    STATE(15048), 1,
      sym_attribute,
    STATE(22345), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750483] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19494), 1,
      anon_sym_COMMA,
    ACTIONS(19496), 1,
      anon_sym_PIPE,
    ACTIONS(19502), 1,
      anon_sym_as,
    ACTIONS(19504), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19756), 1,
      anon_sym_RBRACK,
    ACTIONS(19758), 1,
      anon_sym_SEMI,
    STATE(15049), 1,
      sym_attribute,
    STATE(16876), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750515] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19760), 1,
      anon_sym_RPAREN,
    STATE(15050), 1,
      sym_attribute,
    STATE(22041), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750547] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(19762), 1,
      anon_sym_rec,
    ACTIONS(19764), 1,
      anon_sym_type,
    STATE(14162), 1,
      sym_module_binding,
    STATE(15051), 1,
      sym_attribute,
    STATE(16515), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19766), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [750577] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19768), 1,
      anon_sym_RPAREN,
    STATE(15052), 1,
      sym_attribute,
    STATE(19705), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750609] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(19770), 1,
      anon_sym_DASH_GT,
    STATE(15053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13643), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [750633] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19772), 1,
      anon_sym_RPAREN,
    STATE(15054), 1,
      sym_attribute,
    STATE(19684), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750665] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19506), 1,
      anon_sym_COMMA,
    ACTIONS(19508), 1,
      anon_sym_PIPE,
    ACTIONS(19512), 1,
      anon_sym_as,
    ACTIONS(19514), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19774), 1,
      anon_sym_SEMI,
    ACTIONS(19776), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15055), 1,
      sym_attribute,
    STATE(16883), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750697] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(19410), 1,
      anon_sym__,
    STATE(15056), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(17442), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [750727] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10222), 1,
      anon_sym_PIPE,
    STATE(15057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10220), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [750749] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19778), 1,
      anon_sym_RPAREN,
    STATE(15058), 1,
      sym_attribute,
    STATE(20900), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750781] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13454), 1,
      anon_sym_LPAREN,
    ACTIONS(13456), 1,
      anon_sym_LBRACK,
    STATE(11602), 1,
      sym_constructor_declaration,
    STATE(11811), 1,
      sym__constructor_name,
    STATE(15059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13458), 2,
      anon_sym_true,
      anon_sym_false,
  [750811] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19780), 1,
      anon_sym_RPAREN,
    STATE(15060), 1,
      sym_attribute,
    STATE(22069), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750843] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19782), 1,
      anon_sym_DASH_GT,
    STATE(15061), 1,
      sym_attribute,
    STATE(21691), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750875] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(19784), 1,
      anon_sym_rec,
    ACTIONS(19786), 1,
      anon_sym_type,
    STATE(13045), 1,
      sym_module_binding,
    STATE(15062), 1,
      sym_attribute,
    STATE(15999), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19788), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [750905] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19790), 1,
      anon_sym_RBRACK,
    ACTIONS(19792), 1,
      anon_sym_SEMI,
    STATE(15063), 1,
      sym_attribute,
    STATE(17262), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750937] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19794), 1,
      anon_sym_RPAREN,
    STATE(15064), 1,
      sym_attribute,
    STATE(19728), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750969] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19796), 1,
      anon_sym_RPAREN,
    STATE(15065), 1,
      sym_attribute,
    STATE(21928), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751001] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19798), 1,
      anon_sym_DASH_GT,
    STATE(15066), 1,
      sym_attribute,
    STATE(19813), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751033] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19770), 1,
      anon_sym_DASH_GT,
    STATE(15067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13594), 6,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [751055] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(19402), 1,
      anon_sym_type,
    ACTIONS(19800), 1,
      sym__identifier,
    ACTIONS(19802), 1,
      anon_sym_LBRACK,
    ACTIONS(19804), 1,
      anon_sym_virtual,
    STATE(13414), 1,
      sym_class_binding,
    STATE(15068), 1,
      sym_attribute,
    STATE(15919), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12665), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [751109] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19384), 1,
      anon_sym_COMMA,
    ACTIONS(19386), 1,
      anon_sym_PIPE,
    ACTIONS(19390), 1,
      anon_sym_as,
    ACTIONS(19392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19806), 1,
      anon_sym_SEMI,
    ACTIONS(19808), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15070), 1,
      sym_attribute,
    STATE(17187), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751141] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19810), 1,
      anon_sym_DASH_GT,
    STATE(15071), 1,
      sym_attribute,
    STATE(20456), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751173] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(18777), 1,
      anon_sym_LPAREN,
    ACTIONS(18779), 1,
      anon_sym_LBRACK,
    STATE(11951), 1,
      sym_constructor_declaration,
    STATE(13314), 1,
      sym__constructor_name,
    STATE(15072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18781), 2,
      anon_sym_true,
      anon_sym_false,
  [751203] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19812), 1,
      anon_sym__,
    ACTIONS(19814), 1,
      anon_sym_RBRACE,
    STATE(15073), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(18194), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751235] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19816), 1,
      anon_sym_DASH_GT,
    STATE(15074), 1,
      sym_attribute,
    STATE(22451), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751267] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(19410), 1,
      anon_sym__,
    STATE(15075), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16668), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [751297] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(19410), 1,
      anon_sym__,
    STATE(15076), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16681), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [751327] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19818), 1,
      anon_sym_RPAREN,
    STATE(15077), 1,
      sym_attribute,
    STATE(22231), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751359] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13464), 1,
      anon_sym_LPAREN,
    ACTIONS(13466), 1,
      anon_sym_LBRACK,
    STATE(11602), 1,
      sym_constructor_declaration,
    STATE(11827), 1,
      sym__constructor_name,
    STATE(15078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13468), 2,
      anon_sym_true,
      anon_sym_false,
  [751389] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19486), 1,
      anon_sym_COMMA,
    ACTIONS(19488), 1,
      anon_sym_PIPE,
    ACTIONS(19490), 1,
      anon_sym_as,
    ACTIONS(19492), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19820), 1,
      anon_sym_RPAREN,
    STATE(15079), 1,
      sym_attribute,
    STATE(19528), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751421] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19822), 1,
      anon_sym_RPAREN,
    STATE(15080), 1,
      sym_attribute,
    STATE(22268), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12671), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12669), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [751475] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12523), 1,
      anon_sym_RPAREN,
    ACTIONS(19824), 1,
      anon_sym_COLON2,
    STATE(15082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__identifier,
      sym__capitalized_identifier,
  [751499] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_RPAREN,
    STATE(15083), 1,
      sym_attribute,
    STATE(21159), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751531] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19486), 1,
      anon_sym_COMMA,
    ACTIONS(19488), 1,
      anon_sym_PIPE,
    ACTIONS(19490), 1,
      anon_sym_as,
    ACTIONS(19492), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19828), 1,
      anon_sym_RPAREN,
    STATE(15084), 1,
      sym_attribute,
    STATE(19245), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751563] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(18799), 1,
      anon_sym_LPAREN,
    ACTIONS(18801), 1,
      anon_sym_LBRACK,
    STATE(11951), 1,
      sym_constructor_declaration,
    STATE(13397), 1,
      sym__constructor_name,
    STATE(15085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18803), 2,
      anon_sym_true,
      anon_sym_false,
  [751593] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19494), 1,
      anon_sym_COMMA,
    ACTIONS(19496), 1,
      anon_sym_PIPE,
    ACTIONS(19502), 1,
      anon_sym_as,
    ACTIONS(19504), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19830), 1,
      anon_sym_RBRACK,
    ACTIONS(19832), 1,
      anon_sym_SEMI,
    STATE(15086), 1,
      sym_attribute,
    STATE(17115), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751625] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19506), 1,
      anon_sym_COMMA,
    ACTIONS(19508), 1,
      anon_sym_PIPE,
    ACTIONS(19512), 1,
      anon_sym_as,
    ACTIONS(19514), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19834), 1,
      anon_sym_SEMI,
    ACTIONS(19836), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15087), 1,
      sym_attribute,
    STATE(17120), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751657] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19838), 1,
      anon_sym__,
    ACTIONS(19840), 1,
      anon_sym_RBRACE,
    STATE(15088), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(18753), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751689] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19842), 1,
      anon_sym_RBRACK,
    ACTIONS(19844), 1,
      anon_sym_SEMI,
    STATE(15089), 1,
      sym_attribute,
    STATE(16913), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751721] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(19410), 1,
      anon_sym__,
    STATE(15090), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16740), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [751751] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(19410), 1,
      anon_sym__,
    STATE(15091), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(17814), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [751781] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19494), 1,
      anon_sym_COMMA,
    ACTIONS(19496), 1,
      anon_sym_PIPE,
    ACTIONS(19502), 1,
      anon_sym_as,
    ACTIONS(19504), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19846), 1,
      anon_sym_RBRACK,
    ACTIONS(19848), 1,
      anon_sym_SEMI,
    STATE(15092), 1,
      sym_attribute,
    STATE(17420), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751813] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(19410), 1,
      anon_sym__,
    STATE(15093), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16750), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [751843] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(19770), 1,
      anon_sym_DASH_GT,
    STATE(15094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13608), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [751867] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19384), 1,
      anon_sym_COMMA,
    ACTIONS(19386), 1,
      anon_sym_PIPE,
    ACTIONS(19390), 1,
      anon_sym_as,
    ACTIONS(19392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19850), 1,
      anon_sym_SEMI,
    ACTIONS(19852), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15095), 1,
      sym_attribute,
    STATE(16916), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751899] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13450), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13452), 1,
      anon_sym_in,
    ACTIONS(18533), 1,
      sym__identifier,
    ACTIONS(18535), 1,
      anon_sym_POUND,
    STATE(15096), 1,
      sym_attribute,
    STATE(15102), 1,
      sym_type_constructor_path,
    STATE(18548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12603), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12601), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [751953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12607), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12605), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [751975] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13564), 1,
      anon_sym_LPAREN,
    ACTIONS(13566), 1,
      anon_sym_LBRACK,
    STATE(11602), 1,
      sym_constructor_declaration,
    STATE(11935), 1,
      sym__constructor_name,
    STATE(15099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13568), 2,
      anon_sym_true,
      anon_sym_false,
  [752005] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(19410), 1,
      anon_sym__,
    STATE(15100), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(16716), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [752035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12643), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12641), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [752057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12647), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12645), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [752079] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19854), 1,
      anon_sym_COLON2,
    STATE(15103), 1,
      sym_attribute,
    STATE(18068), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 5,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_POUND,
      sym__identifier,
      sym__capitalized_identifier,
  [752103] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19856), 1,
      anon_sym_DASH_GT,
    STATE(15104), 1,
      sym_attribute,
    STATE(20935), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752135] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19330), 1,
      anon_sym_RPAREN,
    STATE(15105), 1,
      sym_attribute,
    STATE(22369), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752167] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19286), 1,
      anon_sym_RPAREN,
    STATE(15106), 1,
      sym_attribute,
    STATE(19324), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752199] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19858), 1,
      anon_sym_RPAREN,
    STATE(15107), 1,
      sym_attribute,
    STATE(22436), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752231] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19860), 1,
      anon_sym_RBRACK,
    ACTIONS(19862), 1,
      anon_sym_SEMI,
    STATE(15108), 1,
      sym_attribute,
    STATE(17141), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752263] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19384), 1,
      anon_sym_COMMA,
    ACTIONS(19386), 1,
      anon_sym_PIPE,
    ACTIONS(19390), 1,
      anon_sym_as,
    ACTIONS(19392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19864), 1,
      anon_sym_SEMI,
    ACTIONS(19866), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15109), 1,
      sym_attribute,
    STATE(17143), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12715), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12713), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [752317] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13676), 1,
      anon_sym_LPAREN,
    ACTIONS(13678), 1,
      anon_sym_LBRACK,
    STATE(11602), 1,
      sym_constructor_declaration,
    STATE(12250), 1,
      sym__constructor_name,
    STATE(15111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13680), 2,
      anon_sym_true,
      anon_sym_false,
  [752347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12719), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12717), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [752369] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19868), 1,
      anon_sym_DASH_GT,
    STATE(15113), 1,
      sym_attribute,
    STATE(21908), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12723), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12721), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [752423] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19870), 1,
      anon_sym__,
    ACTIONS(19872), 1,
      anon_sym_RBRACE,
    STATE(15115), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(18194), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752455] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13228), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [752475] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13536), 1,
      anon_sym_as,
    ACTIONS(19770), 1,
      anon_sym_DASH_GT,
    STATE(15117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13530), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [752499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12675), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12673), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [752521] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(14541), 1,
      anon_sym_LPAREN,
    ACTIONS(14543), 1,
      anon_sym_LBRACK,
    STATE(11602), 1,
      sym_constructor_declaration,
    STATE(12695), 1,
      sym__constructor_name,
    STATE(15119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14545), 2,
      anon_sym_true,
      anon_sym_false,
  [752551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12727), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12725), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [752573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12731), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12729), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [752595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12735), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12733), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [752617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12525), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12523), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [752639] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(13780), 1,
      anon_sym_LPAREN,
    ACTIONS(13782), 1,
      anon_sym_LBRACK,
    STATE(11602), 1,
      sym_constructor_declaration,
    STATE(12256), 1,
      sym__constructor_name,
    STATE(15124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13784), 2,
      anon_sym_true,
      anon_sym_false,
  [752669] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19874), 1,
      anon_sym_RPAREN,
    STATE(15125), 1,
      sym_attribute,
    STATE(22460), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752701] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(14550), 1,
      anon_sym_LPAREN,
    ACTIONS(14552), 1,
      anon_sym_LBRACK,
    STATE(11602), 1,
      sym_constructor_declaration,
    STATE(12717), 1,
      sym__constructor_name,
    STATE(15126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14554), 2,
      anon_sym_true,
      anon_sym_false,
  [752731] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19876), 1,
      anon_sym_DASH_GT,
    STATE(15127), 1,
      sym_attribute,
    STATE(20516), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752763] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19878), 1,
      anon_sym_DASH_GT,
    STATE(15128), 1,
      sym_attribute,
    STATE(21007), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752795] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19880), 1,
      anon_sym_RPAREN,
    STATE(15129), 1,
      sym_attribute,
    STATE(20423), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752827] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19882), 1,
      anon_sym__,
    ACTIONS(19884), 1,
      anon_sym_RBRACE,
    STATE(15130), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(18753), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752859] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19886), 1,
      anon_sym_DASH_GT,
    STATE(15131), 1,
      sym_attribute,
    STATE(22020), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752891] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19888), 1,
      anon_sym__,
    ACTIONS(19890), 1,
      anon_sym_RBRACE,
    STATE(15132), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(18753), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752923] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19892), 1,
      anon_sym_RPAREN,
    STATE(15133), 1,
      sym_attribute,
    STATE(19274), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752955] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19506), 1,
      anon_sym_COMMA,
    ACTIONS(19508), 1,
      anon_sym_PIPE,
    ACTIONS(19512), 1,
      anon_sym_as,
    ACTIONS(19514), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19894), 1,
      anon_sym_SEMI,
    ACTIONS(19896), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15134), 1,
      sym_attribute,
    STATE(17903), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752987] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    ACTIONS(18793), 1,
      anon_sym_LPAREN,
    ACTIONS(18795), 1,
      anon_sym_LBRACK,
    STATE(11951), 1,
      sym_constructor_declaration,
    STATE(12233), 1,
      sym__constructor_name,
    STATE(15135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18797), 2,
      anon_sym_true,
      anon_sym_false,
  [753017] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19898), 1,
      anon_sym_DASH_GT,
    STATE(15136), 1,
      sym_attribute,
    STATE(19285), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753049] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15137), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(17087), 1,
      sym_field_binding_pattern,
    STATE(19442), 1,
      sym__quoted_string,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753081] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5955), 1,
      anon_sym_PIPE,
    ACTIONS(19900), 1,
      anon_sym_DOT_DOT,
    STATE(15138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5951), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [753105] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18523), 1,
      anon_sym_STAR,
    STATE(15139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
  [753127] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19902), 1,
      anon_sym_RPAREN,
    STATE(15140), 1,
      sym_attribute,
    STATE(19289), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753159] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19904), 1,
      anon_sym_RPAREN,
    STATE(15141), 1,
      sym_attribute,
    STATE(21764), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753191] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19906), 1,
      anon_sym_DASH_GT,
    STATE(15142), 1,
      sym_attribute,
    STATE(21741), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753223] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15143), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(17463), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    STATE(20202), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753255] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15144), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(16844), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    STATE(21635), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753287] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19908), 1,
      anon_sym_DASH_GT,
    STATE(15145), 1,
      sym_attribute,
    STATE(20630), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753319] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19258), 1,
      anon_sym_RPAREN,
    STATE(15146), 1,
      sym_attribute,
    STATE(21806), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753351] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19910), 1,
      anon_sym_RBRACK,
    ACTIONS(19912), 1,
      anon_sym_SEMI,
    STATE(15147), 1,
      sym_attribute,
    STATE(17832), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753383] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19384), 1,
      anon_sym_COMMA,
    ACTIONS(19386), 1,
      anon_sym_PIPE,
    ACTIONS(19390), 1,
      anon_sym_as,
    ACTIONS(19392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19914), 1,
      anon_sym_SEMI,
    ACTIONS(19916), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15148), 1,
      sym_attribute,
    STATE(17837), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753415] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19918), 1,
      anon_sym__,
    ACTIONS(19920), 1,
      anon_sym_RBRACE,
    STATE(15149), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(18194), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12679), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12677), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [753469] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19486), 1,
      anon_sym_COMMA,
    ACTIONS(19488), 1,
      anon_sym_PIPE,
    ACTIONS(19490), 1,
      anon_sym_as,
    ACTIONS(19492), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19922), 1,
      anon_sym_RPAREN,
    STATE(15151), 1,
      sym_attribute,
    STATE(22172), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753501] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15152), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(16866), 1,
      sym_field_pattern,
    STATE(19796), 1,
      sym__quoted_string,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753533] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19924), 1,
      anon_sym__,
    ACTIONS(19926), 1,
      anon_sym_RBRACE,
    STATE(15153), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(18194), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753565] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19928), 1,
      anon_sym_RPAREN,
    STATE(15154), 1,
      sym_attribute,
    STATE(19337), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753597] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15155), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(17480), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    STATE(20379), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753629] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13248), 1,
      anon_sym_LPAREN,
    ACTIONS(13250), 1,
      anon_sym_LBRACK,
    ACTIONS(13254), 1,
      sym__capitalized_identifier,
    STATE(11537), 1,
      sym__constructor_name,
    STATE(11602), 1,
      sym_constructor_declaration,
    STATE(15156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13252), 2,
      anon_sym_true,
      anon_sym_false,
  [753659] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19930), 1,
      anon_sym__,
    ACTIONS(19932), 1,
      anon_sym_RBRACE,
    STATE(15157), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(18194), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753691] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19934), 1,
      anon_sym__,
    ACTIONS(19936), 1,
      anon_sym_RBRACE,
    STATE(15158), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(18753), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753723] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19938), 1,
      anon_sym_RPAREN,
    STATE(15159), 1,
      sym_attribute,
    STATE(19352), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753755] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19940), 1,
      anon_sym__,
    ACTIONS(19942), 1,
      anon_sym_RBRACE,
    STATE(15160), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(18194), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753787] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13260), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [753807] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19494), 1,
      anon_sym_COMMA,
    ACTIONS(19496), 1,
      anon_sym_PIPE,
    ACTIONS(19502), 1,
      anon_sym_as,
    ACTIONS(19504), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19944), 1,
      anon_sym_RBRACK,
    ACTIONS(19946), 1,
      anon_sym_SEMI,
    STATE(15162), 1,
      sym_attribute,
    STATE(17075), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753839] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19948), 1,
      anon_sym__,
    ACTIONS(19950), 1,
      anon_sym_RBRACE,
    STATE(15163), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(18753), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753871] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19506), 1,
      anon_sym_COMMA,
    ACTIONS(19508), 1,
      anon_sym_PIPE,
    ACTIONS(19512), 1,
      anon_sym_as,
    ACTIONS(19514), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19952), 1,
      anon_sym_SEMI,
    ACTIONS(19954), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15164), 1,
      sym_attribute,
    STATE(17097), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12739), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12737), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [753925] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19956), 1,
      anon_sym_RPAREN,
    STATE(15166), 1,
      sym_attribute,
    STATE(19399), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753957] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19958), 1,
      anon_sym_DASH_GT,
    STATE(15167), 1,
      sym_attribute,
    STATE(19937), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12743), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12741), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [754011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12747), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12745), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [754033] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19960), 1,
      anon_sym_RPAREN,
    STATE(15170), 1,
      sym_attribute,
    STATE(21067), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754065] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19962), 1,
      anon_sym_RPAREN,
    STATE(15171), 1,
      sym_attribute,
    STATE(20119), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754097] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(19402), 1,
      anon_sym_type,
    ACTIONS(19964), 1,
      sym__identifier,
    ACTIONS(19966), 1,
      anon_sym_LBRACK,
    ACTIONS(19968), 1,
      anon_sym_virtual,
    STATE(13450), 1,
      sym_class_binding,
    STATE(15172), 1,
      sym_attribute,
    STATE(16342), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754129] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19970), 1,
      anon_sym_RPAREN,
    STATE(15173), 1,
      sym_attribute,
    STATE(19414), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754161] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15174), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(17099), 1,
      sym_field_pattern,
    STATE(19918), 1,
      sym__quoted_string,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12769), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(12767), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [754215] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19972), 1,
      anon_sym_RPAREN,
    STATE(15176), 1,
      sym_attribute,
    STATE(19462), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754247] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19974), 1,
      anon_sym_DASH_GT,
    STATE(15177), 1,
      sym_attribute,
    STATE(20559), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754279] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19976), 1,
      anon_sym_RPAREN,
    STATE(15178), 1,
      sym_attribute,
    STATE(20183), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754311] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19978), 1,
      anon_sym__,
    ACTIONS(19980), 1,
      anon_sym_RBRACE,
    STATE(15179), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(18194), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754343] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19982), 1,
      anon_sym_RPAREN,
    STATE(15180), 1,
      sym_attribute,
    STATE(19477), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754375] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19984), 1,
      anon_sym__,
    ACTIONS(19986), 1,
      anon_sym_RBRACE,
    STATE(15181), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(18194), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754407] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(19988), 1,
      anon_sym_DASH_GT,
    STATE(15182), 1,
      sym_attribute,
    STATE(22201), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754439] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9100), 1,
      anon_sym_PIPE,
    STATE(15183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [754461] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9104), 1,
      anon_sym_PIPE,
    STATE(15184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [754483] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9108), 1,
      anon_sym_PIPE,
    STATE(15185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [754505] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19990), 1,
      anon_sym_RPAREN,
    STATE(15186), 1,
      sym_attribute,
    STATE(21098), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754537] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9112), 1,
      anon_sym_PIPE,
    STATE(15187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [754559] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19992), 1,
      anon_sym_RPAREN,
    STATE(15188), 1,
      sym_attribute,
    STATE(19517), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754591] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(19994), 1,
      anon_sym__,
    ACTIONS(19996), 1,
      anon_sym_RBRACE,
    STATE(15189), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(18194), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754623] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(19410), 1,
      anon_sym__,
    STATE(15190), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(18020), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [754653] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8259), 1,
      anon_sym_PIPE,
    ACTIONS(19900), 1,
      anon_sym_DOT_DOT,
    STATE(15191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8255), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [754677] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(19410), 1,
      anon_sym__,
    STATE(15192), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(18022), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [754707] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(19998), 1,
      anon_sym_RPAREN,
    STATE(15193), 1,
      sym_attribute,
    STATE(19532), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754739] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(19376), 1,
      sym__identifier,
    ACTIONS(20000), 1,
      anon_sym__,
    ACTIONS(20002), 1,
      anon_sym_RBRACE,
    STATE(15194), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(18194), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754771] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      anon_sym_PIPE,
    STATE(15195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [754793] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(20004), 1,
      anon_sym_DASH_GT,
    STATE(15196), 1,
      sym_attribute,
    STATE(21548), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754825] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(20006), 1,
      anon_sym_DASH_GT,
    STATE(15197), 1,
      sym_attribute,
    STATE(19349), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754857] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20008), 1,
      anon_sym_RBRACK,
    ACTIONS(20010), 1,
      anon_sym_when,
    STATE(15198), 1,
      sym_attribute,
    STATE(21195), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754889] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9120), 1,
      anon_sym_PIPE,
    STATE(15199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [754911] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(19402), 1,
      anon_sym_type,
    ACTIONS(20012), 1,
      sym__identifier,
    ACTIONS(20014), 1,
      anon_sym_LBRACK,
    ACTIONS(20016), 1,
      anon_sym_virtual,
    STATE(13959), 1,
      sym_class_binding,
    STATE(15200), 1,
      sym_attribute,
    STATE(16423), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754943] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      anon_sym_when,
    ACTIONS(20018), 1,
      anon_sym_DASH_GT,
    STATE(15201), 1,
      sym_attribute,
    STATE(22448), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754975] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(20020), 1,
      anon_sym_RPAREN,
    STATE(15202), 1,
      sym_attribute,
    STATE(19572), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755007] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20022), 1,
      anon_sym_rec,
    ACTIONS(20024), 1,
      anon_sym_type,
    STATE(13534), 1,
      sym_module_binding,
    STATE(15203), 1,
      sym_attribute,
    STATE(16511), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20026), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [755037] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20028), 1,
      anon_sym_rec,
    ACTIONS(20030), 1,
      anon_sym_type,
    STATE(14160), 1,
      sym_module_binding,
    STATE(15204), 1,
      sym_attribute,
    STATE(16514), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20032), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [755067] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16290), 1,
      anon_sym_BANG,
    ACTIONS(19410), 1,
      anon_sym__,
    STATE(15205), 1,
      sym_attribute,
    STATE(15697), 1,
      sym_type_variable,
    STATE(18062), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16288), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [755097] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20034), 1,
      anon_sym_RBRACE,
    STATE(15206), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755126] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20036), 1,
      anon_sym_RBRACE,
    STATE(15207), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755155] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10336), 1,
      anon_sym_PIPE,
    STATE(15208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [755176] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20038), 1,
      sym__identifier,
    STATE(8820), 1,
      sym_class_path,
    STATE(15209), 1,
      sym_attribute,
    STATE(16186), 1,
      sym__attribute,
    STATE(21218), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755205] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10324), 1,
      anon_sym_PIPE,
    STATE(15210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10322), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [755226] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10328), 1,
      anon_sym_PIPE,
    STATE(15211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10326), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [755247] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20040), 1,
      anon_sym_RBRACE,
    STATE(15212), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755276] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20042), 1,
      anon_sym_RBRACE,
    STATE(15213), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755305] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20044), 1,
      anon_sym_RBRACE,
    STATE(15214), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755334] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20046), 1,
      anon_sym_RBRACE,
    STATE(15215), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755363] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20048), 1,
      sym__identifier,
    STATE(6910), 1,
      sym_class_path,
    STATE(15216), 1,
      sym_attribute,
    STATE(16290), 1,
      sym__attribute,
    STATE(20324), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755392] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20050), 1,
      sym__identifier,
    STATE(5156), 1,
      sym_class_path,
    STATE(15217), 1,
      sym_attribute,
    STATE(15868), 1,
      sym__attribute,
    STATE(20060), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755421] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20052), 1,
      anon_sym_RBRACE,
    STATE(15218), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755450] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10270), 1,
      anon_sym_PIPE,
    STATE(15219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10268), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [755471] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20054), 1,
      sym__identifier,
    STATE(3200), 1,
      sym_class_path,
    STATE(15220), 1,
      sym_attribute,
    STATE(15879), 1,
      sym__attribute,
    STATE(20742), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755500] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20056), 1,
      anon_sym_RBRACE,
    STATE(15221), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755529] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20058), 1,
      sym__identifier,
    STATE(3983), 1,
      sym_class_path,
    STATE(15222), 1,
      sym_attribute,
    STATE(16221), 1,
      sym__attribute,
    STATE(20207), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755558] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10368), 1,
      anon_sym_PIPE,
    STATE(15223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [755579] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20060), 1,
      anon_sym_RBRACE,
    STATE(15224), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755608] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20062), 1,
      anon_sym_RBRACE,
    STATE(15225), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755637] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10264), 1,
      anon_sym_PIPE,
    STATE(15226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10262), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [755658] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20064), 1,
      anon_sym_RBRACE,
    STATE(15227), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755687] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20066), 1,
      anon_sym_RBRACE,
    STATE(15228), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755716] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10288), 1,
      anon_sym_PIPE,
    STATE(15229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [755737] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20068), 1,
      anon_sym_RBRACE,
    STATE(15230), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755766] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20070), 1,
      anon_sym_RBRACE,
    STATE(15231), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755795] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8645), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13726), 1,
      anon_sym_and,
    STATE(15232), 1,
      sym_attribute,
    STATE(15384), 1,
      aux_sym_expression_item_repeat1,
    STATE(15965), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13724), 2,
      anon_sym_in,
      sym_let_and_operator,
  [755822] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20072), 1,
      anon_sym_RBRACE,
    STATE(15233), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755851] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19384), 1,
      anon_sym_COMMA,
    ACTIONS(19386), 1,
      anon_sym_PIPE,
    ACTIONS(19390), 1,
      anon_sym_as,
    ACTIONS(19392), 1,
      anon_sym_COLON_COLON,
    STATE(15234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18249), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [755878] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10292), 1,
      anon_sym_PIPE,
    STATE(15235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10290), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [755899] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18263), 1,
      anon_sym_PIPE,
    STATE(15236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18261), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [755920] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20074), 1,
      anon_sym_RBRACE,
    STATE(15237), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755949] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20076), 1,
      anon_sym_RBRACE,
    STATE(15238), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755978] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18277), 1,
      anon_sym_PIPE,
    ACTIONS(19392), 1,
      anon_sym_COLON_COLON,
    STATE(15239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18275), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [756001] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20078), 1,
      anon_sym_RBRACE,
    STATE(15240), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756030] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18283), 1,
      anon_sym_PIPE,
    ACTIONS(19384), 1,
      anon_sym_COMMA,
    ACTIONS(19392), 1,
      anon_sym_COLON_COLON,
    STATE(15241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18281), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [756055] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20080), 1,
      anon_sym_RBRACE,
    STATE(15242), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756084] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20082), 1,
      anon_sym_RBRACE,
    STATE(15243), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756113] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8645), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13877), 1,
      anon_sym_and,
    STATE(15244), 1,
      sym_attribute,
    STATE(15384), 1,
      aux_sym_expression_item_repeat1,
    STATE(15965), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13875), 2,
      anon_sym_in,
      sym_let_and_operator,
  [756140] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8645), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13750), 1,
      anon_sym_and,
    STATE(15245), 1,
      sym_attribute,
    STATE(15362), 1,
      aux_sym_expression_item_repeat1,
    STATE(15965), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13748), 2,
      anon_sym_in,
      sym_let_and_operator,
  [756167] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20084), 1,
      anon_sym_RBRACE,
    STATE(15246), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756196] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18299), 1,
      anon_sym_PIPE,
    STATE(15247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18297), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [756217] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20086), 1,
      anon_sym_RBRACE,
    STATE(15248), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756246] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10356), 1,
      anon_sym_PIPE,
    ACTIONS(19514), 1,
      anon_sym_COLON_COLON,
    STATE(15249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [756269] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20088), 1,
      sym__identifier,
    STATE(8685), 1,
      sym_class_path,
    STATE(15250), 1,
      sym_attribute,
    STATE(16195), 1,
      sym__attribute,
    STATE(20167), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756298] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20090), 1,
      sym__identifier,
    STATE(4785), 1,
      sym_class_path,
    STATE(15251), 1,
      sym_attribute,
    STATE(16174), 1,
      sym__attribute,
    STATE(19377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756327] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20092), 1,
      anon_sym_RBRACE,
    STATE(15252), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756356] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10656), 1,
      anon_sym_PIPE,
    STATE(15253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10654), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [756377] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10332), 1,
      anon_sym_PIPE,
    STATE(15254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [756398] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20094), 1,
      sym__identifier,
    STATE(7378), 1,
      sym_class_path,
    STATE(15255), 1,
      sym_attribute,
    STATE(15957), 1,
      sym__attribute,
    STATE(19496), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756427] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20096), 1,
      anon_sym_RBRACE,
    STATE(15256), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756456] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20098), 1,
      sym__identifier,
    STATE(7042), 1,
      sym_class_path,
    STATE(15257), 1,
      sym_attribute,
    STATE(16351), 1,
      sym__attribute,
    STATE(20477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756485] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20100), 1,
      sym__identifier,
    STATE(6233), 1,
      sym_class_path,
    STATE(15258), 1,
      sym_attribute,
    STATE(15982), 1,
      sym__attribute,
    STATE(21477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756514] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20102), 1,
      anon_sym_RBRACE,
    STATE(15259), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756543] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20104), 1,
      sym__identifier,
    STATE(7683), 1,
      sym_class_path,
    STATE(15260), 1,
      sym_attribute,
    STATE(16058), 1,
      sym__attribute,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756572] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20106), 1,
      anon_sym_RBRACE,
    STATE(15261), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756601] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20108), 1,
      anon_sym_RBRACE,
    STATE(15262), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756630] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20110), 1,
      anon_sym_RBRACE,
    STATE(15263), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756659] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20112), 1,
      anon_sym_RBRACE,
    STATE(15264), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756688] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18319), 1,
      anon_sym_PIPE,
    STATE(15265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18317), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [756709] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20114), 1,
      anon_sym_RBRACE,
    STATE(15266), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756738] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9092), 1,
      anon_sym_PIPE,
    STATE(15267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [756759] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20116), 1,
      anon_sym_RBRACE,
    STATE(15268), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756788] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18303), 1,
      anon_sym_PIPE,
    ACTIONS(19392), 1,
      anon_sym_COLON_COLON,
    STATE(15269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18301), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [756811] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20118), 1,
      sym__identifier,
    STATE(9020), 1,
      sym_class_path,
    STATE(15270), 1,
      sym_attribute,
    STATE(15946), 1,
      sym__attribute,
    STATE(20009), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756840] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10708), 1,
      anon_sym_PIPE,
    STATE(15271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10706), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [756861] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18311), 1,
      anon_sym_PIPE,
    STATE(15272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18309), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [756882] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20120), 1,
      sym__identifier,
    STATE(3607), 1,
      sym_class_path,
    STATE(15273), 1,
      sym_attribute,
    STATE(15856), 1,
      sym__attribute,
    STATE(19315), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756911] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20122), 1,
      anon_sym_RBRACE,
    STATE(15274), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756940] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9096), 1,
      anon_sym_PIPE,
    STATE(15275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [756961] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20124), 1,
      anon_sym_RBRACE,
    STATE(15276), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756990] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20126), 1,
      anon_sym_RBRACE,
    STATE(15277), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757019] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20128), 1,
      anon_sym_RBRACE,
    STATE(15278), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757048] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20130), 1,
      anon_sym_RBRACE,
    STATE(15279), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757077] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20132), 1,
      anon_sym_RBRACE,
    STATE(15280), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757106] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20134), 1,
      anon_sym_RBRACE,
    STATE(15281), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757135] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20136), 1,
      sym__identifier,
    STATE(6798), 1,
      sym_class_path,
    STATE(15282), 1,
      sym_attribute,
    STATE(16063), 1,
      sym__attribute,
    STATE(19551), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757164] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(16181), 1,
      anon_sym_POUND,
    ACTIONS(20138), 1,
      anon_sym_DASH_GT,
    STATE(13769), 1,
      sym_type_constructor_path,
    STATE(15283), 1,
      sym_attribute,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757193] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10696), 1,
      anon_sym_PIPE,
    STATE(15284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10694), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [757214] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20140), 1,
      anon_sym_RBRACE,
    STATE(15285), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757243] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20142), 1,
      anon_sym_RBRACE,
    STATE(15286), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757272] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20144), 1,
      anon_sym_RBRACE,
    STATE(15287), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757301] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    STATE(15288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20146), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [757328] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(17640), 1,
      sym__identifier,
    ACTIONS(20148), 1,
      anon_sym_LPAREN,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15289), 1,
      sym_attribute,
    STATE(16348), 1,
      sym__attribute,
    STATE(18559), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757357] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20150), 1,
      sym__identifier,
    STATE(7859), 1,
      sym_class_path,
    STATE(15290), 1,
      sym_attribute,
    STATE(15901), 1,
      sym__attribute,
    STATE(20429), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757386] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20152), 1,
      anon_sym_RBRACE,
    STATE(15291), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757415] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20154), 1,
      anon_sym_RBRACE,
    STATE(15292), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757444] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20156), 1,
      sym__identifier,
    ACTIONS(20158), 1,
      anon_sym_LBRACK,
    ACTIONS(20160), 1,
      anon_sym_virtual,
    STATE(12279), 1,
      sym_class_type_binding,
    STATE(15293), 1,
      sym_attribute,
    STATE(16323), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757473] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20162), 1,
      anon_sym_RBRACE,
    STATE(15294), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757502] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20164), 1,
      sym__identifier,
    STATE(7834), 1,
      sym_class_path,
    STATE(15295), 1,
      sym_attribute,
    STATE(15847), 1,
      sym__attribute,
    STATE(20794), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757531] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20166), 1,
      anon_sym_RBRACE,
    STATE(15296), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757560] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20168), 1,
      anon_sym_RBRACE,
    STATE(15297), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757589] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19384), 1,
      anon_sym_COMMA,
    ACTIONS(19386), 1,
      anon_sym_PIPE,
    ACTIONS(19390), 1,
      anon_sym_as,
    ACTIONS(19392), 1,
      anon_sym_COLON_COLON,
    STATE(15298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18481), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [757616] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20170), 1,
      anon_sym_RBRACE,
    STATE(15299), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757645] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20172), 1,
      anon_sym_RBRACE,
    STATE(15300), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757674] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20174), 1,
      anon_sym_RBRACE,
    STATE(15301), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757703] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10712), 1,
      anon_sym_PIPE,
    STATE(15302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10710), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [757724] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20176), 1,
      anon_sym_RBRACE,
    STATE(15303), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757753] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20178), 1,
      sym__identifier,
    STATE(7976), 1,
      sym_class_path,
    STATE(15304), 1,
      sym_attribute,
    STATE(16084), 1,
      sym__attribute,
    STATE(21015), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757782] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10716), 1,
      anon_sym_PIPE,
    STATE(15305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10714), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [757803] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20180), 1,
      anon_sym_RBRACE,
    STATE(15306), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757832] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10724), 1,
      anon_sym_PIPE,
    STATE(15307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10722), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [757853] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20182), 1,
      sym__identifier,
    STATE(4285), 1,
      sym_class_path,
    STATE(15308), 1,
      sym_attribute,
    STATE(16369), 1,
      sym__attribute,
    STATE(20515), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757882] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20184), 1,
      anon_sym_RBRACE,
    STATE(15309), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757911] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20186), 1,
      anon_sym_RBRACE,
    STATE(15310), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757940] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12551), 1,
      anon_sym_RPAREN,
    STATE(15311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__identifier,
      sym__capitalized_identifier,
  [757961] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20188), 1,
      sym__identifier,
    STATE(10823), 1,
      sym_class_path,
    STATE(15312), 1,
      sym_attribute,
    STATE(15981), 1,
      sym__attribute,
    STATE(19881), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757990] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    STATE(15313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20190), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [758017] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20192), 1,
      anon_sym_RBRACE,
    STATE(15314), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758046] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20194), 1,
      sym__identifier,
    STATE(4236), 1,
      sym_class_path,
    STATE(15315), 1,
      sym_attribute,
    STATE(16317), 1,
      sym__attribute,
    STATE(20363), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758075] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10380), 1,
      anon_sym_PIPE,
    STATE(15316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [758096] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20196), 1,
      sym__identifier,
    STATE(8579), 1,
      sym_class_path,
    STATE(15317), 1,
      sym_attribute,
    STATE(15835), 1,
      sym__attribute,
    STATE(19252), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758125] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20198), 1,
      anon_sym_RBRACE,
    STATE(15318), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758154] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20200), 1,
      anon_sym_RBRACE,
    STATE(15319), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758183] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20202), 1,
      anon_sym_RBRACE,
    STATE(15320), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758212] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20204), 1,
      anon_sym_RBRACE,
    STATE(15321), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758241] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10316), 1,
      anon_sym_PIPE,
    ACTIONS(19506), 1,
      anon_sym_COMMA,
    ACTIONS(19514), 1,
      anon_sym_COLON_COLON,
    STATE(15322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [758266] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20206), 1,
      anon_sym_RBRACE,
    STATE(15323), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758295] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20208), 1,
      anon_sym_RBRACE,
    STATE(15324), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758324] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20210), 1,
      anon_sym_RBRACE,
    STATE(15325), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758353] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20212), 1,
      anon_sym_RBRACE,
    STATE(15326), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758382] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20214), 1,
      anon_sym_RBRACE,
    STATE(15327), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758411] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20216), 1,
      sym__identifier,
    STATE(8243), 1,
      sym_class_path,
    STATE(15328), 1,
      sym_attribute,
    STATE(15891), 1,
      sym__attribute,
    STATE(20439), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758440] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20218), 1,
      anon_sym_RBRACE,
    STATE(15329), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758469] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10300), 1,
      anon_sym_PIPE,
    STATE(15330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [758490] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20220), 1,
      anon_sym_RBRACE,
    STATE(15331), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758519] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20222), 1,
      sym__identifier,
    STATE(5949), 1,
      sym_class_path,
    STATE(15332), 1,
      sym_attribute,
    STATE(16472), 1,
      sym__attribute,
    STATE(22409), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758548] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20224), 1,
      anon_sym_RBRACE,
    STATE(15333), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758577] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_PIPE,
    STATE(15334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [758598] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20226), 1,
      anon_sym_RBRACE,
    STATE(15335), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758627] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20228), 1,
      anon_sym_RBRACE,
    STATE(15336), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758656] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20230), 1,
      anon_sym_RBRACE,
    STATE(15337), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758685] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8259), 1,
      anon_sym_PIPE,
    STATE(15338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8255), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [758706] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20232), 1,
      anon_sym_RBRACE,
    STATE(15339), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758735] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10364), 1,
      anon_sym_PIPE,
    STATE(15340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [758756] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20234), 1,
      sym__identifier,
    STATE(10395), 1,
      sym_class_path,
    STATE(15341), 1,
      sym_attribute,
    STATE(15843), 1,
      sym__attribute,
    STATE(22180), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758785] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20236), 1,
      sym__identifier,
    ACTIONS(20238), 1,
      anon_sym_BANG,
    STATE(13909), 1,
      sym__instance_variable_name,
    STATE(15342), 1,
      sym_attribute,
    STATE(15666), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20240), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [758812] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20242), 1,
      anon_sym_RBRACE,
    STATE(15343), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758841] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20244), 1,
      anon_sym_RBRACE,
    STATE(15344), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758870] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10248), 1,
      anon_sym_PIPE,
    STATE(15345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10246), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [758891] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20246), 1,
      anon_sym_RBRACE,
    STATE(15346), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758920] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18136), 1,
      anon_sym_PIPE,
    STATE(15347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18134), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [758941] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20248), 1,
      anon_sym_RBRACE,
    STATE(15348), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758970] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20250), 1,
      anon_sym_RBRACE,
    STATE(15349), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758999] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20252), 1,
      sym__identifier,
    STATE(7484), 1,
      sym_class_path,
    STATE(15350), 1,
      sym_attribute,
    STATE(16412), 1,
      sym__attribute,
    STATE(20553), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759028] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20254), 1,
      anon_sym_RBRACE,
    STATE(15351), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759057] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19506), 1,
      anon_sym_COMMA,
    ACTIONS(19508), 1,
      anon_sym_PIPE,
    ACTIONS(19512), 1,
      anon_sym_as,
    ACTIONS(19514), 1,
      anon_sym_COLON_COLON,
    STATE(15352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20256), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [759084] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20258), 1,
      anon_sym_RBRACE,
    STATE(15353), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759113] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20260), 1,
      anon_sym_RBRACE,
    STATE(15354), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759142] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20262), 1,
      anon_sym_and,
    STATE(15355), 1,
      sym_attribute,
    STATE(15356), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13835), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [759165] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20264), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15356), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13218), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [759186] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20267), 1,
      anon_sym_RBRACE,
    STATE(15357), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759215] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20269), 1,
      sym__identifier,
    STATE(6030), 1,
      sym_class_path,
    STATE(15358), 1,
      sym_attribute,
    STATE(16164), 1,
      sym__attribute,
    STATE(19606), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759244] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20271), 1,
      anon_sym_RBRACE,
    STATE(15359), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759273] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20273), 1,
      anon_sym_RBRACE,
    STATE(15360), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759302] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20275), 1,
      anon_sym_RBRACE,
    STATE(15361), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759331] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8645), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13859), 1,
      anon_sym_and,
    STATE(15362), 1,
      sym_attribute,
    STATE(15384), 1,
      aux_sym_expression_item_repeat1,
    STATE(15965), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13857), 2,
      anon_sym_in,
      sym_let_and_operator,
  [759358] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20277), 1,
      anon_sym_RBRACE,
    STATE(15363), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759387] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20279), 1,
      anon_sym_RBRACE,
    STATE(15364), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759416] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20281), 1,
      anon_sym_RBRACE,
    STATE(15365), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759445] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20283), 1,
      anon_sym_RBRACE,
    STATE(15366), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759474] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9080), 1,
      anon_sym_PIPE,
    STATE(15367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [759495] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20285), 1,
      sym__identifier,
    STATE(3578), 1,
      sym_class_path,
    STATE(15368), 1,
      sym_attribute,
    STATE(15914), 1,
      sym__attribute,
    STATE(20813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759524] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20287), 1,
      sym__identifier,
    STATE(3336), 1,
      sym_class_path,
    STATE(15369), 1,
      sym_attribute,
    STATE(15905), 1,
      sym__attribute,
    STATE(20779), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759553] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20289), 1,
      anon_sym_RBRACE,
    STATE(15370), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759582] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10720), 1,
      anon_sym_PIPE,
    STATE(15371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10718), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [759603] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8645), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13845), 1,
      anon_sym_and,
    STATE(15372), 1,
      sym_attribute,
    STATE(15384), 1,
      aux_sym_expression_item_repeat1,
    STATE(15965), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13843), 2,
      anon_sym_in,
      sym_let_and_operator,
  [759630] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20291), 1,
      anon_sym_RBRACE,
    STATE(15373), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759659] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20293), 1,
      anon_sym_RBRACE,
    STATE(15374), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759688] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20295), 1,
      anon_sym_RBRACE,
    STATE(15375), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759717] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10372), 1,
      anon_sym_PIPE,
    STATE(15376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [759738] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8645), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13684), 1,
      anon_sym_and,
    STATE(15377), 1,
      sym_attribute,
    STATE(15471), 1,
      aux_sym_expression_item_repeat1,
    STATE(15965), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13682), 2,
      anon_sym_in,
      sym_let_and_operator,
  [759765] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20297), 1,
      anon_sym_RBRACE,
    STATE(15378), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759794] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20299), 1,
      anon_sym_RBRACE,
    STATE(15379), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759823] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10736), 1,
      anon_sym_PIPE,
    STATE(15380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10734), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [759844] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13510), 1,
      anon_sym_RPAREN,
    STATE(15381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__identifier,
      sym__capitalized_identifier,
  [759865] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20301), 1,
      anon_sym_RBRACE,
    STATE(15382), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759894] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20303), 1,
      sym__identifier,
    STATE(3651), 1,
      sym_class_path,
    STATE(15383), 1,
      sym_attribute,
    STATE(15923), 1,
      sym__attribute,
    STATE(20831), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759923] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13193), 1,
      anon_sym_and,
    ACTIONS(20305), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15965), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13191), 2,
      anon_sym_in,
      sym_let_and_operator,
    STATE(15384), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
  [759948] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20308), 1,
      anon_sym_RBRACE,
    STATE(15385), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759977] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20310), 1,
      anon_sym_RBRACE,
    STATE(15386), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760006] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10836), 1,
      anon_sym_PIPE,
    STATE(15387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [760027] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20312), 1,
      anon_sym_RBRACE,
    STATE(15388), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760056] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    ACTIONS(20318), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      sym_attribute,
    STATE(17322), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760085] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20320), 1,
      anon_sym_RBRACE,
    STATE(15390), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760114] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20322), 1,
      anon_sym_RBRACE,
    STATE(15391), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760143] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20324), 1,
      anon_sym_RBRACE,
    STATE(15392), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760172] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20326), 1,
      anon_sym_RBRACE,
    STATE(15393), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760201] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20328), 1,
      anon_sym_RBRACE,
    STATE(15394), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760230] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20330), 1,
      anon_sym_RBRACE,
    STATE(15395), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760259] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10810), 1,
      anon_sym_PIPE,
    STATE(15396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10808), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [760280] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10814), 1,
      anon_sym_PIPE,
    STATE(15397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10812), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [760301] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20332), 1,
      sym__identifier,
    STATE(4498), 1,
      sym_class_path,
    STATE(15398), 1,
      sym_attribute,
    STATE(16144), 1,
      sym__attribute,
    STATE(20127), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760330] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20334), 1,
      sym__identifier,
    STATE(6856), 1,
      sym_class_path,
    STATE(15399), 1,
      sym_attribute,
    STATE(16481), 1,
      sym__attribute,
    STATE(20591), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760359] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20336), 1,
      anon_sym_RBRACE,
    STATE(15400), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760388] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10818), 1,
      anon_sym_PIPE,
    STATE(15401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10816), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [760409] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20338), 1,
      anon_sym_RBRACE,
    STATE(15402), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760438] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20340), 1,
      anon_sym_RBRACE,
    STATE(15403), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760467] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10824), 1,
      anon_sym_PIPE,
    STATE(15404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10822), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [760488] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19384), 1,
      anon_sym_COMMA,
    ACTIONS(19386), 1,
      anon_sym_PIPE,
    ACTIONS(19390), 1,
      anon_sym_as,
    ACTIONS(19392), 1,
      anon_sym_COLON_COLON,
    STATE(15405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20342), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [760515] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8645), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13768), 1,
      anon_sym_and,
    STATE(15372), 1,
      aux_sym_expression_item_repeat1,
    STATE(15406), 1,
      sym_attribute,
    STATE(15965), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13766), 2,
      anon_sym_in,
      sym_let_and_operator,
  [760542] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20344), 1,
      sym__identifier,
    STATE(4542), 1,
      sym_class_path,
    STATE(15407), 1,
      sym_attribute,
    STATE(16248), 1,
      sym__attribute,
    STATE(20246), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760571] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10242), 1,
      anon_sym_PIPE,
    STATE(15408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10240), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [760592] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20346), 1,
      anon_sym_RBRACE,
    STATE(15409), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760621] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20348), 1,
      anon_sym_RBRACE,
    STATE(15410), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760650] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8645), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_and,
    STATE(15411), 1,
      sym_attribute,
    STATE(15424), 1,
      aux_sym_expression_item_repeat1,
    STATE(15965), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13889), 2,
      anon_sym_in,
      sym_let_and_operator,
  [760677] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20350), 1,
      sym__identifier,
    STATE(7628), 1,
      sym_class_path,
    STATE(15412), 1,
      sym_attribute,
    STATE(16024), 1,
      sym__attribute,
    STATE(19922), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760706] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20352), 1,
      anon_sym_RBRACE,
    STATE(15413), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760735] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10312), 1,
      anon_sym_PIPE,
    STATE(15414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10310), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [760756] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20354), 1,
      anon_sym_RBRACE,
    STATE(15415), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760785] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10732), 1,
      anon_sym_PIPE,
    STATE(15416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10730), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [760806] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20356), 1,
      anon_sym_RBRACE,
    STATE(15417), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760835] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20358), 1,
      anon_sym_RBRACE,
    STATE(15418), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760864] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10344), 1,
      anon_sym_COLON2,
    ACTIONS(19492), 1,
      anon_sym_COLON_COLON,
    STATE(15419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10342), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
  [760887] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20360), 1,
      anon_sym_RBRACE,
    STATE(15420), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760916] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20362), 1,
      sym__identifier,
    STATE(8165), 1,
      sym_class_path,
    STATE(15421), 1,
      sym_attribute,
    STATE(15822), 1,
      sym__attribute,
    STATE(19440), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760945] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10316), 1,
      anon_sym_COLON2,
    ACTIONS(19486), 1,
      anon_sym_COMMA,
    ACTIONS(19492), 1,
      anon_sym_COLON_COLON,
    STATE(15422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_as,
  [760970] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20364), 1,
      anon_sym_RBRACE,
    STATE(15423), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760999] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8645), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13788), 1,
      anon_sym_and,
    STATE(15384), 1,
      aux_sym_expression_item_repeat1,
    STATE(15424), 1,
      sym_attribute,
    STATE(15965), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13786), 2,
      anon_sym_in,
      sym_let_and_operator,
  [761026] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20366), 1,
      anon_sym_RBRACE,
    STATE(15425), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761055] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19494), 1,
      anon_sym_COMMA,
    ACTIONS(19496), 1,
      anon_sym_PIPE,
    ACTIONS(19502), 1,
      anon_sym_as,
    ACTIONS(19504), 1,
      anon_sym_COLON_COLON,
    STATE(15426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20256), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [761082] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20368), 1,
      anon_sym_RBRACE,
    STATE(15427), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761111] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19494), 1,
      anon_sym_COMMA,
    ACTIONS(19496), 1,
      anon_sym_PIPE,
    ACTIONS(19502), 1,
      anon_sym_as,
    ACTIONS(19504), 1,
      anon_sym_COLON_COLON,
    STATE(15428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20370), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [761138] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    ACTIONS(20372), 1,
      anon_sym_RBRACK,
    STATE(15429), 1,
      sym_attribute,
    STATE(17612), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761167] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20374), 1,
      anon_sym_RBRACE,
    STATE(15430), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761196] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20376), 1,
      anon_sym_RBRACE,
    STATE(15431), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761225] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20378), 1,
      anon_sym_RBRACE,
    STATE(15432), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761254] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20380), 1,
      anon_sym_RBRACE,
    STATE(15433), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761283] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9088), 1,
      anon_sym_PIPE,
    STATE(15434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [761304] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5955), 1,
      anon_sym_PIPE,
    STATE(15435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5951), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [761325] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10234), 1,
      anon_sym_PIPE,
    STATE(15436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [761346] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10252), 1,
      anon_sym_PIPE,
    STATE(15437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10250), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [761367] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9084), 1,
      anon_sym_PIPE,
    STATE(15438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [761388] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10260), 1,
      anon_sym_PIPE,
    STATE(15439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10258), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [761409] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20382), 1,
      anon_sym_RBRACE,
    STATE(15440), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761438] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20384), 1,
      sym__identifier,
    STATE(8286), 1,
      sym_class_path,
    STATE(15441), 1,
      sym_attribute,
    STATE(16258), 1,
      sym__attribute,
    STATE(21407), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761467] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(17640), 1,
      sym__identifier,
    ACTIONS(20148), 1,
      anon_sym_LPAREN,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15442), 1,
      sym_attribute,
    STATE(16197), 1,
      sym__attribute,
    STATE(18203), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761496] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20386), 1,
      anon_sym_RBRACE,
    STATE(15443), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761525] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20388), 1,
      sym__identifier,
    STATE(7821), 1,
      sym_class_path,
    STATE(15444), 1,
      sym_attribute,
    STATE(16513), 1,
      sym__attribute,
    STATE(20086), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761554] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20390), 1,
      anon_sym_RBRACE,
    STATE(15445), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761583] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20392), 1,
      anon_sym_RBRACE,
    STATE(15446), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761612] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20394), 1,
      sym__identifier,
    STATE(7569), 1,
      sym_class_path,
    STATE(15447), 1,
      sym_attribute,
    STATE(15939), 1,
      sym__attribute,
    STATE(19840), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761641] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20396), 1,
      anon_sym_RBRACE,
    STATE(15448), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761670] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20398), 1,
      anon_sym_RBRACE,
    STATE(15449), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761699] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20400), 1,
      anon_sym_RBRACE,
    STATE(15450), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761728] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20402), 1,
      anon_sym_RBRACE,
    STATE(15451), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761757] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20404), 1,
      anon_sym_RBRACE,
    STATE(15452), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761786] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20406), 1,
      anon_sym_RBRACE,
    STATE(15453), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761815] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20408), 1,
      anon_sym_RBRACE,
    STATE(15454), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761844] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20410), 1,
      anon_sym_RBRACE,
    STATE(15455), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761873] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20412), 1,
      anon_sym_RBRACE,
    STATE(15456), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761902] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10340), 1,
      anon_sym_PIPE,
    STATE(15457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [761923] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20414), 1,
      anon_sym_RBRACE,
    STATE(15458), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761952] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20416), 1,
      sym__identifier,
    STATE(5087), 1,
      sym_class_path,
    STATE(15459), 1,
      sym_attribute,
    STATE(16401), 1,
      sym__attribute,
    STATE(21801), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761981] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20418), 1,
      anon_sym_RBRACE,
    STATE(15460), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762010] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20420), 1,
      anon_sym_RBRACE,
    STATE(15461), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762039] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20422), 1,
      anon_sym_RBRACE,
    STATE(15462), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762068] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20424), 1,
      anon_sym_RBRACE,
    STATE(15463), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762097] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18333), 1,
      anon_sym_PIPE,
    STATE(15464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18331), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [762118] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20426), 1,
      anon_sym_RBRACE,
    STATE(15465), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762147] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20428), 1,
      anon_sym_RBRACE,
    STATE(15466), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762176] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8915), 1,
      anon_sym_PIPE,
    STATE(15467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8913), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [762197] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20430), 1,
      sym__identifier,
    STATE(3552), 1,
      sym_class_path,
    STATE(15468), 1,
      sym_attribute,
    STATE(16108), 1,
      sym__attribute,
    STATE(20045), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762226] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20432), 1,
      anon_sym_RBRACE,
    STATE(15469), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762255] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20434), 1,
      anon_sym_RBRACE,
    STATE(15470), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762284] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8645), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13855), 1,
      anon_sym_and,
    STATE(15384), 1,
      aux_sym_expression_item_repeat1,
    STATE(15471), 1,
      sym_attribute,
    STATE(15965), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13853), 2,
      anon_sym_in,
      sym_let_and_operator,
  [762311] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20436), 1,
      sym__identifier,
    STATE(3309), 1,
      sym_class_path,
    STATE(15472), 1,
      sym_attribute,
    STATE(16335), 1,
      sym__attribute,
    STATE(20401), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762340] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10320), 1,
      anon_sym_PIPE,
    STATE(15473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [762361] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20438), 1,
      anon_sym_RBRACE,
    STATE(15474), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762390] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10356), 1,
      anon_sym_COLON2,
    ACTIONS(19492), 1,
      anon_sym_COLON_COLON,
    STATE(15475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
  [762413] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20440), 1,
      anon_sym_RBRACE,
    STATE(15476), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762442] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20442), 1,
      anon_sym_RBRACE,
    STATE(15477), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762471] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10308), 1,
      anon_sym_PIPE,
    STATE(15478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10306), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [762492] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10238), 1,
      anon_sym_PIPE,
    STATE(15479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10236), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [762513] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20444), 1,
      anon_sym_RBRACE,
    STATE(15480), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762542] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10344), 1,
      anon_sym_PIPE,
    ACTIONS(19514), 1,
      anon_sym_COLON_COLON,
    STATE(15481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10342), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [762565] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20446), 1,
      anon_sym_RBRACE,
    STATE(15482), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762594] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20448), 1,
      anon_sym_RBRACE,
    STATE(15483), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762623] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8645), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13674), 1,
      anon_sym_and,
    STATE(15244), 1,
      aux_sym_expression_item_repeat1,
    STATE(15484), 1,
      sym_attribute,
    STATE(15965), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13672), 2,
      anon_sym_in,
      sym_let_and_operator,
  [762650] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20450), 1,
      anon_sym_RBRACE,
    STATE(15485), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762679] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20452), 1,
      anon_sym_RBRACE,
    STATE(15486), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762708] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20454), 1,
      anon_sym_RBRACE,
    STATE(15487), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762737] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20456), 1,
      anon_sym_rec,
    STATE(15488), 1,
      sym_attribute,
    STATE(15950), 1,
      sym__attribute,
    STATE(17361), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20458), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [762764] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20460), 1,
      anon_sym_RBRACE,
    STATE(15489), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762793] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10284), 1,
      anon_sym_PIPE,
    STATE(15490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10282), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [762814] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10304), 1,
      anon_sym_PIPE,
    STATE(15491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [762835] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20462), 1,
      anon_sym_RBRACE,
    STATE(15492), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762864] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20148), 1,
      anon_sym_LPAREN,
    ACTIONS(20464), 1,
      sym__identifier,
    STATE(15493), 1,
      sym_attribute,
    STATE(16330), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(21166), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [762891] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20466), 1,
      anon_sym_RBRACE,
    STATE(15494), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762920] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20468), 1,
      anon_sym_RBRACE,
    STATE(15495), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762949] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20470), 1,
      anon_sym_RBRACE,
    STATE(15496), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762978] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20472), 1,
      anon_sym_RBRACE,
    STATE(15497), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763007] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20474), 1,
      anon_sym_RBRACE,
    STATE(15498), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763036] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10274), 1,
      anon_sym_PIPE,
    STATE(15499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10272), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [763057] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10740), 1,
      anon_sym_PIPE,
    STATE(15500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10738), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [763078] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20476), 1,
      sym__identifier,
    STATE(5016), 1,
      sym_class_path,
    STATE(15501), 1,
      sym_attribute,
    STATE(16313), 1,
      sym__attribute,
    STATE(21606), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763107] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20478), 1,
      anon_sym_RBRACE,
    STATE(15502), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763136] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19494), 1,
      anon_sym_COMMA,
    ACTIONS(19496), 1,
      anon_sym_PIPE,
    ACTIONS(19502), 1,
      anon_sym_as,
    ACTIONS(19504), 1,
      anon_sym_COLON_COLON,
    STATE(15503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20480), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [763163] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20482), 1,
      sym__identifier,
    STATE(6653), 1,
      sym_class_path,
    STATE(15504), 1,
      sym_attribute,
    STATE(15832), 1,
      sym__attribute,
    STATE(20629), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763192] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20484), 1,
      anon_sym_RBRACE,
    STATE(15505), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763221] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20486), 1,
      sym__identifier,
    STATE(4054), 1,
      sym_class_path,
    STATE(15506), 1,
      sym_attribute,
    STATE(15870), 1,
      sym__attribute,
    STATE(20705), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763250] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20488), 1,
      anon_sym_RBRACE,
    STATE(15507), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763279] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20490), 1,
      anon_sym_RBRACE,
    STATE(15508), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763308] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20492), 1,
      anon_sym_RBRACE,
    STATE(15509), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763337] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20494), 1,
      anon_sym_DASH_GT,
    STATE(15510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13594), 5,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
  [763358] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    STATE(15511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20496), 4,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
  [763381] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20498), 1,
      anon_sym_RBRACE,
    STATE(15512), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763410] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20500), 1,
      anon_sym_RBRACE,
    STATE(15513), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763439] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20502), 1,
      anon_sym_RBRACE,
    STATE(15514), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763468] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20504), 1,
      anon_sym_RBRACE,
    STATE(15515), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763497] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20506), 1,
      anon_sym_RBRACE,
    STATE(15516), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763526] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20262), 1,
      anon_sym_and,
    STATE(15355), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(15517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13734), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [763549] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(17640), 1,
      sym__identifier,
    ACTIONS(20148), 1,
      anon_sym_LPAREN,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(15518), 1,
      sym_attribute,
    STATE(16379), 1,
      sym__attribute,
    STATE(18666), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763578] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10296), 1,
      anon_sym_PIPE,
    STATE(15519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [763599] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20508), 1,
      anon_sym_RBRACE,
    STATE(15520), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763628] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20510), 1,
      anon_sym_RBRACE,
    STATE(15521), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763657] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20512), 1,
      anon_sym_RBRACE,
    STATE(15522), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763686] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    STATE(15523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20342), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [763713] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20514), 1,
      anon_sym_RBRACE,
    STATE(15524), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763742] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10352), 1,
      anon_sym_PIPE,
    STATE(15525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10350), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [763763] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20516), 1,
      anon_sym_RBRACE,
    STATE(15526), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763792] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20518), 1,
      anon_sym_RBRACE,
    STATE(15527), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763821] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20520), 1,
      sym__identifier,
    STATE(7509), 1,
      sym_class_path,
    STATE(15528), 1,
      sym_attribute,
    STATE(15895), 1,
      sym__attribute,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763850] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20522), 1,
      anon_sym_RBRACE,
    STATE(15529), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763879] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20524), 1,
      anon_sym_RBRACE,
    STATE(15530), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763908] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20526), 1,
      anon_sym_RBRACE,
    STATE(15531), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763937] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20528), 1,
      anon_sym_RBRACE,
    STATE(15532), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763966] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20530), 1,
      anon_sym_RBRACE,
    STATE(15533), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763995] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20532), 1,
      anon_sym_RBRACE,
    STATE(15534), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764024] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10728), 1,
      anon_sym_PIPE,
    STATE(15535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10726), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [764045] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      anon_sym_PIPE,
    STATE(15536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10228), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [764066] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20534), 1,
      sym__identifier,
    STATE(6143), 1,
      sym_class_path,
    STATE(15537), 1,
      sym_attribute,
    STATE(15857), 1,
      sym__attribute,
    STATE(20667), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764095] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20536), 1,
      sym__identifier,
    STATE(6393), 1,
      sym_class_path,
    STATE(15538), 1,
      sym_attribute,
    STATE(16284), 1,
      sym__attribute,
    STATE(19661), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764124] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20538), 1,
      anon_sym_RBRACE,
    STATE(15539), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764153] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18461), 1,
      anon_sym_PIPE,
    STATE(15540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18459), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [764174] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20540), 1,
      anon_sym_RBRACE,
    STATE(15541), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764203] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10692), 1,
      anon_sym_PIPE,
    STATE(15542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10690), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [764224] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20542), 1,
      sym__identifier,
    STATE(5754), 1,
      sym_class_path,
    STATE(15543), 1,
      sym_attribute,
    STATE(16269), 1,
      sym__attribute,
    STATE(20285), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764253] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20148), 1,
      anon_sym_LPAREN,
    ACTIONS(20464), 1,
      sym__identifier,
    STATE(15544), 1,
      sym_attribute,
    STATE(16502), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(22340), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [764280] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20544), 1,
      anon_sym_RBRACE,
    STATE(15545), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764309] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20546), 1,
      anon_sym_RBRACE,
    STATE(15546), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764338] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20548), 1,
      anon_sym_RBRACE,
    STATE(15547), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764367] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20550), 1,
      anon_sym_RBRACE,
    STATE(15548), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764396] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20552), 1,
      anon_sym_RBRACE,
    STATE(15549), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764425] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20554), 1,
      anon_sym_RBRACE,
    STATE(15550), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764454] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20148), 1,
      anon_sym_LPAREN,
    ACTIONS(20464), 1,
      sym__identifier,
    STATE(15551), 1,
      sym_attribute,
    STATE(16505), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(22359), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [764481] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20556), 1,
      sym__identifier,
    STATE(7116), 1,
      sym_class_path,
    STATE(15552), 1,
      sym_attribute,
    STATE(16383), 1,
      sym__attribute,
    STATE(19758), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764510] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10278), 1,
      anon_sym_PIPE,
    STATE(15553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10276), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [764531] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20148), 1,
      anon_sym_LPAREN,
    ACTIONS(20464), 1,
      sym__identifier,
    STATE(15554), 1,
      sym_attribute,
    STATE(16508), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(22366), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [764558] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10348), 1,
      anon_sym_PIPE,
    STATE(15555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10346), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [764579] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20558), 1,
      anon_sym_RBRACE,
    STATE(15556), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764608] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20560), 1,
      anon_sym_RBRACE,
    STATE(15557), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764637] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20562), 1,
      anon_sym_RBRACE,
    STATE(15558), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764666] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20564), 1,
      anon_sym_RBRACE,
    STATE(15559), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764695] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20566), 1,
      anon_sym_RBRACE,
    STATE(15560), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764724] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20568), 1,
      anon_sym_RBRACE,
    STATE(15561), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764753] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10840), 1,
      anon_sym_PIPE,
    STATE(15562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10838), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [764774] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20570), 1,
      anon_sym_RBRACE,
    STATE(15563), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764803] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20572), 1,
      anon_sym_RBRACE,
    STATE(15564), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764832] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20574), 1,
      anon_sym_RBRACE,
    STATE(15565), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764861] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20576), 1,
      sym__identifier,
    STATE(8373), 1,
      sym_class_path,
    STATE(15566), 1,
      sym_attribute,
    STATE(16431), 1,
      sym__attribute,
    STATE(19580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764890] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9064), 1,
      anon_sym_PIPE,
    STATE(15567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [764911] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20578), 1,
      anon_sym_RBRACE,
    STATE(15568), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764940] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20580), 1,
      anon_sym_RBRACE,
    STATE(15569), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764969] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20582), 1,
      anon_sym_RBRACE,
    STATE(15570), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764998] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    ACTIONS(20584), 1,
      anon_sym_RBRACE,
    STATE(15571), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765027] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    ACTIONS(20586), 1,
      sym__identifier,
    STATE(4490), 1,
      sym_class_path,
    STATE(15572), 1,
      sym_attribute,
    STATE(16091), 1,
      sym__attribute,
    STATE(20004), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765056] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10828), 1,
      anon_sym_PIPE,
    STATE(15573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10826), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [765077] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15574), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(16882), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765103] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20590), 1,
      anon_sym_SEMI,
    ACTIONS(20592), 1,
      anon_sym_GT_RBRACE,
    STATE(15575), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17223), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765129] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15576), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(16779), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765155] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20594), 1,
      anon_sym_SEMI,
    ACTIONS(20596), 1,
      anon_sym_GT_RBRACE,
    STATE(15577), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(16775), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765181] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20598), 1,
      anon_sym_SEMI,
    ACTIONS(20600), 1,
      anon_sym_GT_RBRACE,
    STATE(15578), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(16836), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765207] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20602), 1,
      anon_sym_SEMI,
    ACTIONS(20604), 1,
      anon_sym_GT_RBRACE,
    STATE(15579), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17622), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765233] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15580), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(16744), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765259] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15581), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17284), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765285] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20606), 1,
      anon_sym_RPAREN,
    STATE(15582), 1,
      sym_attribute,
    STATE(16849), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765311] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20608), 1,
      anon_sym_RBRACK,
    STATE(15583), 1,
      sym_attribute,
    STATE(16851), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765337] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20610), 1,
      anon_sym_RPAREN,
    STATE(15584), 1,
      sym_attribute,
    STATE(17202), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765363] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20612), 1,
      anon_sym_RPAREN,
    STATE(15585), 1,
      sym_attribute,
    STATE(17232), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765389] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15586), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(16552), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765415] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20614), 1,
      anon_sym_SEMI,
    ACTIONS(20616), 1,
      anon_sym_GT_RBRACE,
    STATE(15587), 1,
      sym_attribute,
    STATE(16525), 1,
      sym_instance_variable_expression,
    STATE(16725), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765441] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15588), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(17087), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765467] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20618), 1,
      anon_sym_SEMI,
    ACTIONS(20620), 1,
      anon_sym_GT_RBRACE,
    STATE(15589), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17300), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765493] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    STATE(15590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20622), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [765515] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20624), 1,
      anon_sym_SEMI,
    ACTIONS(20626), 1,
      anon_sym_GT_RBRACE,
    STATE(15591), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17078), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765541] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20628), 1,
      anon_sym_SEMI,
    ACTIONS(20630), 1,
      anon_sym_GT_RBRACE,
    STATE(15592), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17773), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765567] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20632), 1,
      anon_sym_RPAREN,
    STATE(15593), 1,
      sym_attribute,
    STATE(17147), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765593] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20634), 1,
      anon_sym_SEMI,
    ACTIONS(20636), 1,
      anon_sym_GT_RBRACE,
    STATE(15594), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17373), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765619] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20638), 1,
      anon_sym_RPAREN,
    STATE(15595), 1,
      sym_attribute,
    STATE(17186), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765645] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15596), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17110), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765671] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20640), 1,
      anon_sym_SEMI,
    ACTIONS(20642), 1,
      anon_sym_GT_RBRACE,
    STATE(15597), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17668), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765697] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20644), 1,
      anon_sym_RPAREN,
    STATE(15598), 1,
      sym_attribute,
    STATE(17808), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765723] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20646), 1,
      anon_sym_SEMI,
    ACTIONS(20648), 1,
      anon_sym_GT_RBRACE,
    STATE(15599), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17680), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765749] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15600), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17024), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765775] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13618), 1,
      sym__identifier,
    ACTIONS(20650), 1,
      anon_sym_POUND,
    STATE(14255), 1,
      sym_type_constructor_path,
    STATE(15601), 1,
      sym_attribute,
    STATE(19061), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765801] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15602), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17592), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765827] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15603), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(16897), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765853] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20652), 1,
      anon_sym_SEMI,
    ACTIONS(20654), 1,
      anon_sym_GT_RBRACE,
    STATE(15604), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(16727), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765879] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15605), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17406), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765905] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    STATE(15606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20316), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [765927] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20656), 1,
      anon_sym_RPAREN,
    STATE(15607), 1,
      sym_attribute,
    STATE(16966), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765953] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20658), 1,
      anon_sym_type,
    ACTIONS(20660), 1,
      anon_sym_module,
    STATE(15608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10620), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [765975] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15609), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17127), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766001] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15610), 1,
      sym_attribute,
    STATE(15781), 1,
      aux_sym_expression_item_repeat1,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13647), 2,
      anon_sym_and,
      anon_sym_in,
  [766025] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20662), 1,
      anon_sym_RPAREN,
    STATE(15611), 1,
      sym_attribute,
    STATE(16802), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766051] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19486), 1,
      anon_sym_COMMA,
    ACTIONS(19488), 1,
      anon_sym_PIPE,
    ACTIONS(19490), 1,
      anon_sym_as,
    ACTIONS(19492), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20664), 1,
      anon_sym_RPAREN,
    STATE(15612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766077] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12531), 1,
      sym__identifier,
    ACTIONS(20666), 1,
      anon_sym_POUND,
    STATE(11576), 1,
      sym_type_constructor_path,
    STATE(15613), 1,
      sym_attribute,
    STATE(18974), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766103] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15614), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17076), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766129] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20236), 1,
      sym__identifier,
    STATE(15615), 1,
      sym_attribute,
    STATE(16182), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(18281), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20240), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [766153] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15616), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(16711), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766179] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13522), 1,
      sym__identifier,
    ACTIONS(20668), 1,
      anon_sym_POUND,
    STATE(10846), 1,
      sym_type_constructor_path,
    STATE(15617), 1,
      sym_attribute,
    STATE(19128), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766205] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15618), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(16557), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766231] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20670), 1,
      anon_sym_SEMI,
    ACTIONS(20672), 1,
      anon_sym_GT_RBRACE,
    STATE(15619), 1,
      sym_attribute,
    STATE(16527), 1,
      sym_instance_variable_expression,
    STATE(16725), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766257] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19486), 1,
      anon_sym_COMMA,
    ACTIONS(19488), 1,
      anon_sym_PIPE,
    ACTIONS(19490), 1,
      anon_sym_as,
    ACTIONS(19492), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20674), 1,
      anon_sym_RPAREN,
    STATE(15620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766283] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    STATE(15621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18026), 3,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [766305] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20676), 1,
      anon_sym_EQ,
    ACTIONS(20678), 1,
      anon_sym_of,
    ACTIONS(20680), 1,
      anon_sym_COLON2,
    STATE(15622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13879), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [766329] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15623), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17339), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766355] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20682), 1,
      anon_sym_LPAREN,
    ACTIONS(20684), 1,
      sym__capitalized_identifier,
    STATE(11847), 1,
      sym__constructor_name,
    STATE(11893), 1,
      sym_constructor_path,
    STATE(15624), 1,
      sym_attribute,
    STATE(19892), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766381] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20686), 1,
      anon_sym_RPAREN,
    STATE(15625), 1,
      sym_attribute,
    STATE(16934), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766407] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20688), 1,
      anon_sym_EQ,
    ACTIONS(20690), 1,
      anon_sym_of,
    ACTIONS(20692), 1,
      anon_sym_COLON2,
    STATE(15626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13770), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [766431] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15627), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(16559), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766457] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15628), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17201), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766483] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20694), 1,
      anon_sym_SEMI,
    ACTIONS(20696), 1,
      anon_sym_GT_RBRACE,
    STATE(15629), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17377), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766509] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20236), 1,
      sym__identifier,
    STATE(13774), 1,
      sym__instance_variable_name,
    STATE(15630), 1,
      sym_attribute,
    STATE(15766), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20240), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [766533] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20698), 1,
      anon_sym_RPAREN,
    STATE(15631), 1,
      sym_attribute,
    STATE(17126), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766559] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15632), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(17798), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766585] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15633), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17325), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766611] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20700), 1,
      anon_sym_RPAREN,
    STATE(15634), 1,
      sym_attribute,
    STATE(16758), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766637] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19486), 1,
      anon_sym_COMMA,
    ACTIONS(19488), 1,
      anon_sym_PIPE,
    ACTIONS(19490), 1,
      anon_sym_as,
    ACTIONS(19492), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20702), 1,
      anon_sym_RPAREN,
    STATE(15635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766663] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20704), 1,
      anon_sym_type,
    ACTIONS(20706), 1,
      anon_sym_module,
    STATE(15636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11407), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [766685] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20708), 1,
      anon_sym_SEMI,
    ACTIONS(20710), 1,
      anon_sym_GT_RBRACE,
    STATE(15637), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17372), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766711] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 5,
      anon_sym_EQ,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [766729] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12575), 1,
      sym__identifier,
    ACTIONS(20712), 1,
      anon_sym_POUND,
    STATE(12145), 1,
      sym_type_constructor_path,
    STATE(15639), 1,
      sym_attribute,
    STATE(18768), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766755] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20714), 1,
      anon_sym_type,
    ACTIONS(20716), 1,
      anon_sym_module,
    STATE(15640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15044), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [766777] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15641), 1,
      sym_attribute,
    STATE(15781), 1,
      aux_sym_expression_item_repeat1,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13916), 2,
      anon_sym_and,
      anon_sym_in,
  [766801] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12797), 1,
      sym__identifier,
    ACTIONS(20718), 1,
      anon_sym_POUND,
    STATE(11245), 1,
      sym_type_constructor_path,
    STATE(15642), 1,
      sym_attribute,
    STATE(18863), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766827] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15643), 1,
      sym_attribute,
    STATE(15644), 1,
      sym_field_path,
    STATE(17099), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766853] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20720), 1,
      anon_sym_EQ,
    ACTIONS(20722), 1,
      anon_sym_COLON2,
    STATE(15644), 1,
      sym_attribute,
    STATE(17182), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20724), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [766877] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15645), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17645), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766903] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20726), 1,
      anon_sym_RPAREN,
    STATE(15646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766929] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20728), 1,
      anon_sym_SEMI,
    ACTIONS(20730), 1,
      anon_sym_GT_RBRACE,
    STATE(15647), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17819), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766955] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20732), 1,
      anon_sym_SEMI,
    ACTIONS(20734), 1,
      anon_sym_GT_RBRACE,
    STATE(15648), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17288), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766981] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15649), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17269), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767007] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20736), 1,
      anon_sym_RPAREN,
    STATE(15650), 1,
      sym_attribute,
    STATE(16901), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767033] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15644), 1,
      sym_field_path,
    STATE(15651), 1,
      sym_attribute,
    STATE(16982), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767059] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12555), 1,
      sym__identifier,
    ACTIONS(20738), 1,
      anon_sym_POUND,
    STATE(12045), 1,
      sym_type_constructor_path,
    STATE(15652), 1,
      sym_attribute,
    STATE(18674), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767085] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19438), 1,
      anon_sym_AMP,
    STATE(15653), 1,
      sym_attribute,
    STATE(15752), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19668), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [767107] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15654), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17588), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767133] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15655), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17158), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767159] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20740), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__identifier,
      sym__capitalized_identifier,
  [767177] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20704), 1,
      anon_sym_type,
    ACTIONS(20706), 1,
      anon_sym_module,
    STATE(15657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10620), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [767199] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20742), 1,
      anon_sym_RPAREN,
    STATE(15658), 1,
      sym_attribute,
    STATE(17083), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767225] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20744), 1,
      anon_sym_SEMI,
    ACTIONS(20746), 1,
      anon_sym_GT_RBRACE,
    STATE(15659), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(16837), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767251] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15660), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(16526), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767277] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20748), 1,
      anon_sym_SEMI,
    ACTIONS(20750), 1,
      anon_sym_GT_RBRACE,
    STATE(15661), 1,
      sym_attribute,
    STATE(16669), 1,
      sym_instance_variable_expression,
    STATE(16725), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767303] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15662), 1,
      sym_attribute,
    STATE(15781), 1,
      aux_sym_expression_item_repeat1,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13920), 2,
      anon_sym_and,
      anon_sym_in,
  [767327] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19438), 1,
      anon_sym_AMP,
    STATE(15663), 1,
      sym_attribute,
    STATE(15752), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20752), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [767349] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15664), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(17296), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767375] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13655), 1,
      sym__identifier,
    ACTIONS(20754), 1,
      anon_sym_POUND,
    STATE(14551), 1,
      sym_type_constructor_path,
    STATE(15665), 1,
      sym_attribute,
    STATE(19081), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767401] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20236), 1,
      sym__identifier,
    STATE(13774), 1,
      sym__instance_variable_name,
    STATE(15666), 1,
      sym_attribute,
    STATE(16182), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20240), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [767425] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9556), 1,
      sym__capitalized_identifier,
    ACTIONS(20682), 1,
      anon_sym_LPAREN,
    STATE(8231), 1,
      sym__constructor_name,
    STATE(11893), 1,
      sym_constructor_path,
    STATE(15667), 1,
      sym_attribute,
    STATE(19667), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767451] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20756), 1,
      anon_sym_RBRACK,
    STATE(15668), 1,
      sym_attribute,
    STATE(16692), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767477] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20758), 1,
      anon_sym_RPAREN,
    STATE(15669), 1,
      sym_attribute,
    STATE(17053), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767503] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    STATE(15670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14051), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [767525] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12765), 1,
      sym__identifier,
    ACTIONS(20764), 1,
      anon_sym_POUND,
    STATE(11271), 1,
      sym_type_constructor_path,
    STATE(15671), 1,
      sym_attribute,
    STATE(18717), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767551] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20372), 1,
      anon_sym_RBRACK,
    STATE(15672), 1,
      sym_attribute,
    STATE(17612), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767577] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15673), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17590), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767603] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20494), 1,
      anon_sym_DASH_GT,
    ACTIONS(20766), 1,
      anon_sym_as,
    STATE(15674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17064), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [767625] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15675), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(17345), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767651] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12609), 1,
      sym__identifier,
    ACTIONS(20768), 1,
      anon_sym_POUND,
    STATE(11456), 1,
      sym_type_constructor_path,
    STATE(15676), 1,
      sym_attribute,
    STATE(18936), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767677] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20770), 1,
      anon_sym_RBRACK,
    STATE(15677), 1,
      sym_attribute,
    STATE(16538), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767703] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15678), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(18753), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767729] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19486), 1,
      anon_sym_COMMA,
    ACTIONS(19488), 1,
      anon_sym_PIPE,
    ACTIONS(19490), 1,
      anon_sym_as,
    ACTIONS(19492), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20772), 1,
      anon_sym_RPAREN,
    STATE(15679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767755] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20774), 1,
      anon_sym_RPAREN,
    STATE(15680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767781] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19486), 1,
      anon_sym_COMMA,
    ACTIONS(19488), 1,
      anon_sym_PIPE,
    ACTIONS(19490), 1,
      anon_sym_as,
    ACTIONS(19492), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20776), 1,
      anon_sym_RPAREN,
    STATE(15681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767807] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15682), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(16899), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767833] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9556), 1,
      sym__capitalized_identifier,
    ACTIONS(20682), 1,
      anon_sym_LPAREN,
    STATE(8231), 1,
      sym__constructor_name,
    STATE(11794), 1,
      sym_constructor_path,
    STATE(15683), 1,
      sym_attribute,
    STATE(19667), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767859] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20778), 1,
      anon_sym_SEMI,
    ACTIONS(20780), 1,
      anon_sym_GT_RBRACE,
    STATE(15684), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(16785), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767885] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15685), 1,
      sym_attribute,
    STATE(15781), 1,
      aux_sym_expression_item_repeat1,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13022), 2,
      anon_sym_and,
      anon_sym_in,
  [767909] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    STATE(15686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14137), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [767931] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15687), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17421), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767957] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15688), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18202), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767983] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12589), 1,
      sym__identifier,
    ACTIONS(20782), 1,
      anon_sym_POUND,
    STATE(10295), 1,
      sym_type_constructor_path,
    STATE(15689), 1,
      sym_attribute,
    STATE(18796), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768009] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20784), 1,
      anon_sym_SEMI,
    ACTIONS(20786), 1,
      anon_sym_GT_RBRACE,
    STATE(15690), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17132), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768035] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20788), 1,
      anon_sym_type,
    ACTIONS(20790), 1,
      anon_sym_module,
    STATE(15691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10620), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [768057] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20494), 1,
      anon_sym_DASH_GT,
    ACTIONS(20766), 1,
      anon_sym_as,
    STATE(15692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16944), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [768079] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15693), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17171), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768105] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20792), 1,
      anon_sym_SEMI,
    ACTIONS(20794), 1,
      anon_sym_GT_RBRACE,
    STATE(15694), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18014), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768131] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20682), 1,
      anon_sym_LPAREN,
    ACTIONS(20684), 1,
      sym__capitalized_identifier,
    STATE(11794), 1,
      sym_constructor_path,
    STATE(11847), 1,
      sym__constructor_name,
    STATE(15695), 1,
      sym_attribute,
    STATE(19892), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768157] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20714), 1,
      anon_sym_type,
    ACTIONS(20716), 1,
      anon_sym_module,
    STATE(15696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14830), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [768179] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20796), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__identifier,
      sym__capitalized_identifier,
  [768197] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19486), 1,
      anon_sym_COMMA,
    ACTIONS(19488), 1,
      anon_sym_PIPE,
    ACTIONS(19490), 1,
      anon_sym_as,
    ACTIONS(19492), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20798), 1,
      anon_sym_RPAREN,
    STATE(15698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768223] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20800), 1,
      anon_sym_SEMI,
    ACTIONS(20802), 1,
      anon_sym_GT_RBRACE,
    STATE(15699), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17681), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768249] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20804), 1,
      anon_sym_SEMI,
    ACTIONS(20806), 1,
      anon_sym_GT_RBRACE,
    STATE(15700), 1,
      sym_attribute,
    STATE(16583), 1,
      sym_instance_variable_expression,
    STATE(16725), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768275] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20808), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__identifier,
      sym__capitalized_identifier,
  [768293] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20810), 1,
      anon_sym_RPAREN,
    STATE(15702), 1,
      sym_attribute,
    STATE(17217), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768319] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20788), 1,
      anon_sym_type,
    ACTIONS(20790), 1,
      anon_sym_module,
    STATE(15703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12367), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [768341] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20812), 1,
      anon_sym_RPAREN,
    STATE(15704), 1,
      sym_attribute,
    STATE(16690), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768367] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20814), 1,
      anon_sym_RPAREN,
    STATE(15705), 1,
      sym_attribute,
    STATE(17000), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768393] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15706), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17822), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768419] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19486), 1,
      anon_sym_COMMA,
    ACTIONS(19488), 1,
      anon_sym_PIPE,
    ACTIONS(19490), 1,
      anon_sym_as,
    ACTIONS(19492), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20816), 1,
      anon_sym_RPAREN,
    STATE(15707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768445] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15708), 1,
      sym_attribute,
    STATE(15712), 1,
      sym_field_path,
    STATE(16844), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768471] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15709), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(16606), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768497] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20318), 1,
      anon_sym_RBRACK,
    STATE(15710), 1,
      sym_attribute,
    STATE(17322), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768523] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15711), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17718), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768549] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20722), 1,
      anon_sym_COLON2,
    ACTIONS(20818), 1,
      anon_sym_EQ,
    STATE(15712), 1,
      sym_attribute,
    STATE(17865), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20820), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [768573] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20822), 1,
      anon_sym_RPAREN,
    STATE(15713), 1,
      sym_attribute,
    STATE(16536), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768599] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20824), 1,
      sym__identifier,
    ACTIONS(20828), 1,
      anon_sym_BANG,
    STATE(15714), 1,
      sym_attribute,
    STATE(15855), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20826), 2,
      anon_sym_private,
      anon_sym_virtual,
  [768623] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15715), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(16800), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768649] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20830), 1,
      anon_sym_RPAREN,
    STATE(15716), 1,
      sym_attribute,
    STATE(17169), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768675] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20658), 1,
      anon_sym_type,
    ACTIONS(20660), 1,
      anon_sym_module,
    STATE(15717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15517), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [768697] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20832), 1,
      anon_sym_SEMI,
    ACTIONS(20834), 1,
      anon_sym_GT_RBRACE,
    STATE(15718), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(16960), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768723] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15719), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(16752), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768749] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13661), 1,
      sym__identifier,
    ACTIONS(20836), 1,
      anon_sym_POUND,
    STATE(10238), 1,
      sym_type_constructor_path,
    STATE(15720), 1,
      sym_attribute,
    STATE(19000), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768775] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15721), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17734), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768801] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15722), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17258), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768827] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20838), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__identifier,
      sym__capitalized_identifier,
  [768845] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15724), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(18046), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768871] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15725), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17907), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768897] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20840), 1,
      anon_sym_RBRACK,
    STATE(15726), 1,
      sym_attribute,
    STATE(16761), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768923] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20842), 1,
      anon_sym_SEMI,
    ACTIONS(20844), 1,
      anon_sym_GT_RBRACE,
    STATE(15727), 1,
      sym_attribute,
    STATE(16709), 1,
      sym_instance_variable_expression,
    STATE(16725), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768949] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20494), 1,
      anon_sym_DASH_GT,
    ACTIONS(20766), 1,
      anon_sym_as,
    STATE(15728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16950), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [768971] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15729), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17010), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768997] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20846), 1,
      anon_sym_type,
    ACTIONS(20848), 1,
      anon_sym_module,
    STATE(15730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12371), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [769019] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20850), 1,
      anon_sym_type,
    ACTIONS(20852), 1,
      anon_sym_module,
    STATE(15731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10620), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [769041] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15644), 1,
      sym_field_path,
    STATE(15732), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769067] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20854), 1,
      anon_sym_SEMI,
    ACTIONS(20856), 1,
      anon_sym_GT_RBRACE,
    STATE(15733), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17713), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769093] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15734), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17459), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769119] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20858), 1,
      anon_sym_RPAREN,
    STATE(15735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769145] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20860), 1,
      sym__identifier,
    ACTIONS(20862), 1,
      anon_sym_LPAREN,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    STATE(13449), 1,
      sym__value_name,
    STATE(13501), 1,
      sym_parenthesized_operator,
    STATE(15736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769171] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20866), 1,
      anon_sym_RPAREN,
    STATE(15737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769197] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20850), 1,
      anon_sym_type,
    ACTIONS(20852), 1,
      anon_sym_module,
    STATE(15738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11903), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [769219] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12663), 1,
      sym__identifier,
    ACTIONS(20868), 1,
      anon_sym_POUND,
    STATE(12196), 1,
      sym_type_constructor_path,
    STATE(15739), 1,
      sym_attribute,
    STATE(18904), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769245] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20870), 1,
      anon_sym_RPAREN,
    STATE(15740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769271] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15741), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17483), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769297] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20494), 1,
      anon_sym_DASH_GT,
    ACTIONS(20766), 1,
      anon_sym_as,
    STATE(15742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18026), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [769319] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20872), 1,
      anon_sym_SEMI,
    ACTIONS(20874), 1,
      anon_sym_GT_RBRACE,
    STATE(15743), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17030), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769345] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15744), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17902), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769371] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15712), 1,
      sym_field_path,
    STATE(15745), 1,
      sym_attribute,
    STATE(17463), 1,
      sym_field_binding_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769397] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15746), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(16898), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769423] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20876), 1,
      anon_sym_SEMI,
    ACTIONS(20878), 1,
      anon_sym_GT_RBRACE,
    STATE(15747), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(16840), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769449] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15748), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17640), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769475] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20880), 1,
      anon_sym_SEMI,
    ACTIONS(20882), 1,
      anon_sym_GT_RBRACE,
    STATE(15749), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(16981), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769501] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9556), 1,
      sym__capitalized_identifier,
    ACTIONS(20682), 1,
      anon_sym_LPAREN,
    STATE(8231), 1,
      sym__constructor_name,
    STATE(11797), 1,
      sym_constructor_path,
    STATE(15750), 1,
      sym_attribute,
    STATE(19667), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769527] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    ACTIONS(20884), 1,
      anon_sym_POUND,
    STATE(13621), 1,
      sym_type_constructor_path,
    STATE(15751), 1,
      sym_attribute,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769553] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20886), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15752), 2,
      sym_attribute,
      aux_sym_tag_specification_repeat1,
    ACTIONS(20496), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [769573] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20889), 1,
      anon_sym_RBRACK,
    STATE(15753), 1,
      sym_attribute,
    STATE(16805), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769599] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13600), 1,
      sym__identifier,
    ACTIONS(20891), 1,
      anon_sym_POUND,
    STATE(10942), 1,
      sym_type_constructor_path,
    STATE(15754), 1,
      sym_attribute,
    STATE(19029), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769625] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20893), 1,
      anon_sym_SEMI,
    ACTIONS(20895), 1,
      anon_sym_GT_RBRACE,
    STATE(15755), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17042), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769651] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20897), 1,
      anon_sym_SEMI,
    ACTIONS(20899), 1,
      anon_sym_GT_RBRACE,
    STATE(15756), 1,
      sym_attribute,
    STATE(16712), 1,
      sym_instance_variable_expression,
    STATE(16725), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769677] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15757), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(16603), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769703] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12577), 1,
      sym__identifier,
    ACTIONS(20901), 1,
      anon_sym_POUND,
    STATE(10637), 1,
      sym_type_constructor_path,
    STATE(15758), 1,
      sym_attribute,
    STATE(18611), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769729] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13582), 1,
      sym__identifier,
    ACTIONS(20903), 1,
      anon_sym_POUND,
    STATE(10535), 1,
      sym_type_constructor_path,
    STATE(15759), 1,
      sym_attribute,
    STATE(19167), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769755] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13614), 1,
      sym__identifier,
    ACTIONS(20905), 1,
      anon_sym_POUND,
    STATE(13101), 1,
      sym_type_constructor_path,
    STATE(15760), 1,
      sym_attribute,
    STATE(18449), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769781] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15761), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(16531), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769807] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20907), 1,
      anon_sym_SEMI,
    ACTIONS(20909), 1,
      anon_sym_GT_RBRACE,
    STATE(15762), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17456), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769833] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20911), 1,
      anon_sym_SEMI,
    ACTIONS(20913), 1,
      anon_sym_GT_RBRACE,
    STATE(15763), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(16894), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769859] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15764), 1,
      sym_attribute,
    STATE(15781), 1,
      aux_sym_expression_item_repeat1,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14141), 2,
      anon_sym_and,
      anon_sym_in,
  [769883] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9468), 1,
      sym__capitalized_identifier,
    ACTIONS(20915), 1,
      anon_sym_LPAREN,
    STATE(10913), 1,
      sym__constructor_name,
    STATE(15765), 1,
      sym_attribute,
    STATE(18574), 1,
      sym_constructor_path,
    STATE(21711), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769909] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20236), 1,
      sym__identifier,
    STATE(13552), 1,
      sym__instance_variable_name,
    STATE(15766), 1,
      sym_attribute,
    STATE(16182), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20240), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [769933] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15767), 1,
      sym_attribute,
    STATE(15768), 1,
      sym_field_path,
    STATE(17125), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769959] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20722), 1,
      anon_sym_COLON2,
    ACTIONS(20917), 1,
      anon_sym_EQ,
    STATE(15768), 1,
      sym_attribute,
    STATE(17041), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20919), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [769983] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15644), 1,
      sym_field_path,
    STATE(15769), 1,
      sym_attribute,
    STATE(17313), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770009] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15768), 1,
      sym_field_path,
    STATE(15770), 1,
      sym_attribute,
    STATE(16708), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770035] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20921), 1,
      anon_sym_SEMI,
    ACTIONS(20923), 1,
      anon_sym_GT_RBRACE,
    STATE(15771), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17517), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770061] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20925), 1,
      anon_sym_SEMI,
    ACTIONS(20927), 1,
      anon_sym_GT_RBRACE,
    STATE(15772), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(16865), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770087] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20929), 1,
      anon_sym_SEMI,
    ACTIONS(20931), 1,
      anon_sym_GT_RBRACE,
    STATE(15773), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18011), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770113] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20933), 1,
      anon_sym_SEMI,
    ACTIONS(20935), 1,
      anon_sym_GT_RBRACE,
    STATE(15774), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17435), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770139] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20937), 1,
      anon_sym_RPAREN,
    STATE(15775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770165] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20939), 1,
      anon_sym_SEMI,
    ACTIONS(20941), 1,
      anon_sym_GT_RBRACE,
    STATE(15776), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17438), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770191] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12749), 1,
      sym__identifier,
    ACTIONS(20943), 1,
      anon_sym_POUND,
    STATE(15114), 1,
      sym_type_constructor_path,
    STATE(15777), 1,
      sym_attribute,
    STATE(18548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770217] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20945), 1,
      anon_sym_SEMI,
    ACTIONS(20947), 1,
      anon_sym_GT_RBRACE,
    STATE(15778), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17048), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770243] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15779), 1,
      sym_attribute,
    STATE(15781), 1,
      aux_sym_expression_item_repeat1,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14059), 2,
      anon_sym_and,
      anon_sym_in,
  [770267] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15644), 1,
      sym_field_path,
    STATE(15780), 1,
      sym_attribute,
    STATE(17480), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770293] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20949), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13191), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(15781), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
  [770315] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20952), 1,
      anon_sym_RPAREN,
    STATE(15782), 1,
      sym_attribute,
    STATE(17106), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770341] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20954), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__identifier,
      sym__capitalized_identifier,
  [770359] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15768), 1,
      sym_field_path,
    STATE(15784), 1,
      sym_attribute,
    STATE(16645), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770385] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13580), 1,
      sym__identifier,
    ACTIONS(20956), 1,
      anon_sym_POUND,
    STATE(14054), 1,
      sym_type_constructor_path,
    STATE(15785), 1,
      sym_attribute,
    STATE(18960), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770411] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15768), 1,
      sym_field_path,
    STATE(15786), 1,
      sym_attribute,
    STATE(17633), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770437] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20682), 1,
      anon_sym_LPAREN,
    ACTIONS(20684), 1,
      sym__capitalized_identifier,
    STATE(11797), 1,
      sym_constructor_path,
    STATE(11847), 1,
      sym__constructor_name,
    STATE(15787), 1,
      sym_attribute,
    STATE(19892), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770463] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20958), 1,
      anon_sym_SEMI,
    ACTIONS(20960), 1,
      anon_sym_GT_RBRACE,
    STATE(15788), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17941), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770489] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20962), 1,
      anon_sym_RPAREN,
    STATE(15789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770515] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15644), 1,
      sym_field_path,
    STATE(15790), 1,
      sym_attribute,
    STATE(18194), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770541] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20964), 1,
      anon_sym_RPAREN,
    STATE(15791), 1,
      sym_attribute,
    STATE(17031), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770567] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20966), 1,
      anon_sym_SEMI,
    ACTIONS(20968), 1,
      anon_sym_GT_RBRACE,
    STATE(15792), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17230), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770593] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12693), 1,
      sym__identifier,
    ACTIONS(20970), 1,
      anon_sym_POUND,
    STATE(11996), 1,
      sym_type_constructor_path,
    STATE(15793), 1,
      sym_attribute,
    STATE(19100), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770619] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15768), 1,
      sym_field_path,
    STATE(15794), 1,
      sym_attribute,
    STATE(18027), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770645] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20972), 1,
      anon_sym_SEMI,
    ACTIONS(20974), 1,
      anon_sym_GT_RBRACE,
    STATE(15795), 1,
      sym_attribute,
    STATE(16630), 1,
      sym_instance_variable_expression,
    STATE(16725), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770671] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20978), 1,
      anon_sym__,
    STATE(15701), 1,
      sym_type_variable,
    STATE(15796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20976), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [770695] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15768), 1,
      sym_field_path,
    STATE(15797), 1,
      sym_attribute,
    STATE(16996), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770721] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20980), 1,
      anon_sym_SEMI,
    ACTIONS(20982), 1,
      anon_sym_GT_RBRACE,
    STATE(15798), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17091), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770747] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20984), 1,
      anon_sym_SEMI,
    ACTIONS(20986), 1,
      anon_sym_GT_RBRACE,
    STATE(15799), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17326), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770773] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(20988), 1,
      anon_sym_RPAREN,
    STATE(15800), 1,
      sym_attribute,
    STATE(17250), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770799] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12625), 1,
      sym__identifier,
    ACTIONS(20990), 1,
      anon_sym_POUND,
    STATE(11099), 1,
      sym_type_constructor_path,
    STATE(15801), 1,
      sym_attribute,
    STATE(18558), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770825] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9468), 1,
      sym__capitalized_identifier,
    ACTIONS(20915), 1,
      anon_sym_LPAREN,
    STATE(10913), 1,
      sym__constructor_name,
    STATE(15802), 1,
      sym_attribute,
    STATE(18739), 1,
      sym_constructor_path,
    STATE(21711), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770851] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20992), 1,
      anon_sym_EQ,
    ACTIONS(20994), 1,
      anon_sym_of,
    ACTIONS(20996), 1,
      anon_sym_COLON2,
    STATE(15803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13865), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [770875] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(20998), 1,
      anon_sym_SEMI,
    ACTIONS(21000), 1,
      anon_sym_GT_RBRACE,
    STATE(15804), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18030), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770901] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20236), 1,
      sym__identifier,
    STATE(15615), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(15805), 1,
      sym_attribute,
    STATE(19102), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20240), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [770925] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9468), 1,
      sym__capitalized_identifier,
    ACTIONS(20915), 1,
      anon_sym_LPAREN,
    STATE(10913), 1,
      sym__constructor_name,
    STATE(15806), 1,
      sym_attribute,
    STATE(18780), 1,
      sym_constructor_path,
    STATE(21711), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770951] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15768), 1,
      sym_field_path,
    STATE(15807), 1,
      sym_attribute,
    STATE(16998), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770977] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21002), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__identifier,
      sym__capitalized_identifier,
  [770995] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15644), 1,
      sym_field_path,
    STATE(15809), 1,
      sym_attribute,
    STATE(18055), 1,
      sym_field_pattern,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771021] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21004), 1,
      anon_sym_SEMI,
    ACTIONS(21006), 1,
      anon_sym_GT_RBRACE,
    STATE(15810), 1,
      sym_attribute,
    STATE(16724), 1,
      sym_instance_variable_expression,
    STATE(16725), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771047] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21008), 1,
      anon_sym_SEMI,
    ACTIONS(21010), 1,
      anon_sym_GT_RBRACE,
    STATE(15811), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17875), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771073] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21012), 1,
      anon_sym_SEMI,
    ACTIONS(21014), 1,
      anon_sym_GT_RBRACE,
    STATE(15812), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17422), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771099] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21016), 1,
      anon_sym_SEMI,
    ACTIONS(21018), 1,
      anon_sym_GT_RBRACE,
    STATE(15813), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(17583), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771125] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_PIPE,
    ACTIONS(18257), 1,
      anon_sym_as,
    ACTIONS(18259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21020), 1,
      anon_sym_RPAREN,
    STATE(15814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771151] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15768), 1,
      sym_field_path,
    STATE(15815), 1,
      sym_attribute,
    STATE(16667), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771177] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(21022), 1,
      anon_sym_RBRACK,
    STATE(15816), 1,
      sym_attribute,
    STATE(16999), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771203] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12781), 1,
      sym__identifier,
    ACTIONS(21024), 1,
      anon_sym_POUND,
    STATE(11954), 1,
      sym_type_constructor_path,
    STATE(15817), 1,
      sym_attribute,
    STATE(18981), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771229] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(18705), 1,
      sym__identifier,
    STATE(15768), 1,
      sym_field_path,
    STATE(15818), 1,
      sym_attribute,
    STATE(16830), 1,
      sym_field_expression,
    STATE(20081), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771255] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20846), 1,
      anon_sym_type,
    ACTIONS(20848), 1,
      anon_sym_module,
    STATE(15819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10620), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [771277] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21026), 1,
      sym__identifier,
    STATE(11539), 1,
      sym_class_type_path,
    STATE(15820), 1,
      sym_attribute,
    STATE(18481), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771300] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21028), 1,
      anon_sym_GT_RBRACE,
    STATE(15821), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771323] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20362), 1,
      sym__identifier,
    STATE(8188), 1,
      sym_class_path,
    STATE(15822), 1,
      sym_attribute,
    STATE(19440), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771346] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21032), 1,
      anon_sym_RBRACK,
    ACTIONS(21034), 1,
      anon_sym_GT,
    STATE(15823), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771369] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21036), 1,
      sym__identifier,
    STATE(11911), 1,
      sym_class_type_path,
    STATE(15824), 1,
      sym_attribute,
    STATE(18590), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771392] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21038), 1,
      anon_sym_GT_RBRACE,
    STATE(15825), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771415] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21040), 1,
      anon_sym_RBRACK,
    ACTIONS(21042), 1,
      anon_sym_GT,
    STATE(15826), 1,
      sym_attribute,
    STATE(15833), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771438] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21040), 1,
      anon_sym_RBRACK,
    ACTIONS(21042), 1,
      anon_sym_GT,
    STATE(15827), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771461] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21032), 1,
      anon_sym_RBRACK,
    STATE(15828), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771484] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21044), 1,
      anon_sym_GT_RBRACE,
    STATE(15829), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771507] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21036), 1,
      sym__identifier,
    STATE(11953), 1,
      sym_class_type_path,
    STATE(15830), 1,
      sym_attribute,
    STATE(18590), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771530] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21036), 1,
      sym__identifier,
    STATE(11966), 1,
      sym_class_type_path,
    STATE(15831), 1,
      sym_attribute,
    STATE(18590), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771553] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20482), 1,
      sym__identifier,
    STATE(6741), 1,
      sym_class_path,
    STATE(15832), 1,
      sym_attribute,
    STATE(20629), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771576] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21046), 1,
      anon_sym_RBRACK,
    ACTIONS(21048), 1,
      anon_sym_GT,
    STATE(15833), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771599] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21046), 1,
      anon_sym_RBRACK,
    STATE(15834), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771622] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20196), 1,
      sym__identifier,
    STATE(8603), 1,
      sym_class_path,
    STATE(15835), 1,
      sym_attribute,
    STATE(19252), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771645] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21050), 1,
      anon_sym_RBRACK,
    STATE(15836), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771668] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21052), 1,
      anon_sym_COLON_GT,
    ACTIONS(21054), 1,
      anon_sym_RPAREN,
    STATE(15837), 1,
      sym_attribute,
    STATE(18067), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771691] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21056), 1,
      anon_sym_RBRACK,
    STATE(15838), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771714] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20148), 1,
      anon_sym_LPAREN,
    ACTIONS(20464), 1,
      sym__identifier,
    STATE(15839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14385), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [771735] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21058), 1,
      sym__identifier,
    STATE(12162), 1,
      sym_class_type_path,
    STATE(15840), 1,
      sym_attribute,
    STATE(18409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771758] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11176), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21060), 1,
      anon_sym_GT,
    STATE(15841), 1,
      sym_attribute,
    STATE(16067), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771781] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20976), 1,
      anon_sym_BANG,
    ACTIONS(20978), 1,
      anon_sym__,
    STATE(15701), 1,
      sym_type_variable,
    STATE(15842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771804] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20234), 1,
      sym__identifier,
    STATE(10404), 1,
      sym_class_path,
    STATE(15843), 1,
      sym_attribute,
    STATE(22180), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771827] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21062), 1,
      sym__identifier,
    STATE(10825), 1,
      sym_class_type_path,
    STATE(15844), 1,
      sym_attribute,
    STATE(18884), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771850] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21062), 1,
      sym__identifier,
    STATE(10845), 1,
      sym_class_type_path,
    STATE(15845), 1,
      sym_attribute,
    STATE(18884), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771873] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21062), 1,
      sym__identifier,
    STATE(10850), 1,
      sym_class_type_path,
    STATE(15846), 1,
      sym_attribute,
    STATE(18884), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771896] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20164), 1,
      sym__identifier,
    STATE(7910), 1,
      sym_class_path,
    STATE(15847), 1,
      sym_attribute,
    STATE(20794), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771919] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21064), 1,
      anon_sym_RBRACK,
    STATE(15848), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771942] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21066), 1,
      anon_sym_GT_RBRACE,
    STATE(15849), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771965] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21058), 1,
      sym__identifier,
    STATE(12192), 1,
      sym_class_type_path,
    STATE(15850), 1,
      sym_attribute,
    STATE(18409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771988] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21058), 1,
      sym__identifier,
    STATE(12206), 1,
      sym_class_type_path,
    STATE(15851), 1,
      sym_attribute,
    STATE(18409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772011] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21068), 1,
      anon_sym_RBRACK,
    STATE(15852), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772034] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21070), 1,
      anon_sym_GT_RBRACE,
    STATE(15853), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772057] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(21072), 1,
      anon_sym_DASH_GT,
    STATE(10323), 1,
      aux_sym_module_binding_repeat1,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(15854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772080] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21074), 1,
      sym__identifier,
    STATE(15855), 1,
      sym_attribute,
    STATE(16209), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20826), 2,
      anon_sym_private,
      anon_sym_virtual,
  [772101] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20120), 1,
      sym__identifier,
    STATE(4019), 1,
      sym_class_path,
    STATE(15856), 1,
      sym_attribute,
    STATE(19315), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772124] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20534), 1,
      sym__identifier,
    STATE(6190), 1,
      sym_class_path,
    STATE(15857), 1,
      sym_attribute,
    STATE(20667), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772147] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21026), 1,
      sym__identifier,
    STATE(11392), 1,
      sym_class_type_path,
    STATE(15858), 1,
      sym_attribute,
    STATE(18481), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772170] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21076), 1,
      sym__identifier,
    STATE(8874), 1,
      sym_type_constructor_path,
    STATE(15859), 1,
      sym_attribute,
    STATE(18813), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772193] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21078), 1,
      anon_sym_COLON_GT,
    ACTIONS(21080), 1,
      anon_sym_RPAREN,
    STATE(15860), 1,
      sym_attribute,
    STATE(18214), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772216] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21026), 1,
      sym__identifier,
    STATE(11541), 1,
      sym_class_type_path,
    STATE(15861), 1,
      sym_attribute,
    STATE(18481), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772239] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21082), 1,
      anon_sym_COLON_GT,
    ACTIONS(21084), 1,
      anon_sym_RPAREN,
    STATE(15862), 1,
      sym_attribute,
    STATE(18254), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772262] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21026), 1,
      sym__identifier,
    STATE(11475), 1,
      sym_class_type_path,
    STATE(15863), 1,
      sym_attribute,
    STATE(18481), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772285] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21086), 1,
      anon_sym_GT_RBRACE,
    STATE(15864), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772308] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21088), 1,
      anon_sym_GT_RBRACE,
    STATE(15865), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772331] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21090), 1,
      anon_sym_COLON_GT,
    ACTIONS(21092), 1,
      anon_sym_RPAREN,
    STATE(15866), 1,
      sym_attribute,
    STATE(18126), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772354] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21094), 1,
      anon_sym_GT_RBRACE,
    STATE(15867), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772377] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20050), 1,
      sym__identifier,
    STATE(5304), 1,
      sym_class_path,
    STATE(15868), 1,
      sym_attribute,
    STATE(20060), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772400] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21096), 1,
      sym__identifier,
    STATE(13158), 1,
      sym_class_type_path,
    STATE(15869), 1,
      sym_attribute,
    STATE(18445), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772423] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20486), 1,
      sym__identifier,
    STATE(4066), 1,
      sym_class_path,
    STATE(15870), 1,
      sym_attribute,
    STATE(20705), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772446] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21096), 1,
      sym__identifier,
    STATE(13097), 1,
      sym_class_type_path,
    STATE(15871), 1,
      sym_attribute,
    STATE(18445), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772469] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21098), 1,
      anon_sym_COLON_GT,
    ACTIONS(21100), 1,
      anon_sym_RPAREN,
    STATE(15872), 1,
      sym_attribute,
    STATE(18802), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772492] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21102), 1,
      sym__identifier,
    STATE(15165), 1,
      sym_class_type_path,
    STATE(15873), 1,
      sym_attribute,
    STATE(18079), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772515] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21104), 1,
      sym__identifier,
    STATE(14528), 1,
      sym_class_type_path,
    STATE(15874), 1,
      sym_attribute,
    STATE(18789), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772538] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21096), 1,
      sym__identifier,
    STATE(12988), 1,
      sym_class_type_path,
    STATE(15875), 1,
      sym_attribute,
    STATE(18445), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772561] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21106), 1,
      anon_sym_GT_RBRACE,
    STATE(15876), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772584] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21108), 1,
      anon_sym_GT_RBRACE,
    STATE(15877), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772607] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21110), 1,
      anon_sym_GT_RBRACE,
    STATE(15878), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772630] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20054), 1,
      sym__identifier,
    STATE(3227), 1,
      sym_class_path,
    STATE(15879), 1,
      sym_attribute,
    STATE(20742), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772653] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11052), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21112), 1,
      anon_sym_GT,
    STATE(15880), 1,
      sym_attribute,
    STATE(15886), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772676] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20118), 1,
      sym__identifier,
    STATE(9595), 1,
      sym_class_path,
    STATE(15881), 1,
      sym_attribute,
    STATE(20009), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772699] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21114), 1,
      anon_sym_GT_RBRACE,
    STATE(15882), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772722] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21116), 1,
      anon_sym_COLON_GT,
    ACTIONS(21118), 1,
      anon_sym_RPAREN,
    STATE(15883), 1,
      sym_attribute,
    STATE(18228), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772745] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19400), 1,
      sym__identifier,
    ACTIONS(19404), 1,
      anon_sym_LBRACK,
    ACTIONS(19406), 1,
      anon_sym_virtual,
    STATE(14012), 1,
      sym_class_binding,
    STATE(15884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772768] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21120), 1,
      anon_sym_RBRACK,
    ACTIONS(21122), 1,
      anon_sym_GT,
    STATE(15885), 1,
      sym_attribute,
    STATE(15889), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772791] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21120), 1,
      anon_sym_RBRACK,
    ACTIONS(21122), 1,
      anon_sym_GT,
    STATE(15886), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772814] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21124), 1,
      anon_sym_GT_RBRACE,
    STATE(15887), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772837] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21126), 1,
      anon_sym_GT_RBRACE,
    STATE(15888), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772860] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21128), 1,
      anon_sym_RBRACK,
    ACTIONS(21130), 1,
      anon_sym_GT,
    STATE(15889), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772883] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21128), 1,
      anon_sym_RBRACK,
    STATE(15890), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772906] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20216), 1,
      sym__identifier,
    STATE(8265), 1,
      sym_class_path,
    STATE(15891), 1,
      sym_attribute,
    STATE(20439), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772929] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21132), 1,
      anon_sym_RBRACK,
    STATE(15892), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772952] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21134), 1,
      anon_sym_RBRACK,
    STATE(15893), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772975] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21136), 1,
      anon_sym_COLON_GT,
    ACTIONS(21138), 1,
      anon_sym_RPAREN,
    STATE(15894), 1,
      sym_attribute,
    STATE(18342), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772998] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20520), 1,
      sym__identifier,
    STATE(7518), 1,
      sym_class_path,
    STATE(15895), 1,
      sym_attribute,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773021] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21140), 1,
      sym__identifier,
    STATE(10524), 1,
      sym_class_type_path,
    STATE(15896), 1,
      sym_attribute,
    STATE(18926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773044] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21140), 1,
      sym__identifier,
    STATE(10534), 1,
      sym_class_type_path,
    STATE(15897), 1,
      sym_attribute,
    STATE(18926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773067] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21140), 1,
      sym__identifier,
    STATE(10541), 1,
      sym_class_type_path,
    STATE(15898), 1,
      sym_attribute,
    STATE(18926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773090] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21142), 1,
      anon_sym_GT_RBRACE,
    STATE(15899), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773113] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21144), 1,
      anon_sym_GT_RBRACE,
    STATE(15900), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773136] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20150), 1,
      sym__identifier,
    STATE(7963), 1,
      sym_class_path,
    STATE(15901), 1,
      sym_attribute,
    STATE(20429), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773159] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21146), 1,
      anon_sym_GT_RBRACE,
    STATE(15902), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773182] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21148), 1,
      anon_sym_RBRACK,
    ACTIONS(21150), 1,
      anon_sym_GT,
    STATE(15903), 1,
      sym_attribute,
    STATE(16421), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773205] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21148), 1,
      anon_sym_RBRACK,
    ACTIONS(21150), 1,
      anon_sym_GT,
    STATE(15904), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773228] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20287), 1,
      sym__identifier,
    STATE(3355), 1,
      sym_class_path,
    STATE(15905), 1,
      sym_attribute,
    STATE(20779), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773251] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21152), 1,
      anon_sym_COLON_GT,
    ACTIONS(21154), 1,
      anon_sym_RPAREN,
    STATE(15906), 1,
      sym_attribute,
    STATE(18457), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773274] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    STATE(15907), 1,
      sym_attribute,
    STATE(18842), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21156), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [773295] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21158), 1,
      anon_sym_COLON_GT,
    ACTIONS(21160), 1,
      anon_sym_RPAREN,
    STATE(15908), 1,
      sym_attribute,
    STATE(18837), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773318] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11371), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21162), 1,
      anon_sym_GT,
    STATE(15909), 1,
      sym_attribute,
    STATE(15933), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773341] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21164), 1,
      anon_sym_GT_RBRACE,
    STATE(15910), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773364] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21166), 1,
      anon_sym_GT_RBRACE,
    STATE(15911), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773387] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21168), 1,
      anon_sym_GT_RBRACE,
    STATE(15912), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773410] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21170), 1,
      anon_sym_GT_RBRACE,
    STATE(15913), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773433] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20285), 1,
      sym__identifier,
    STATE(3591), 1,
      sym_class_path,
    STATE(15914), 1,
      sym_attribute,
    STATE(20813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773456] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21172), 1,
      sym__identifier,
    STATE(11975), 1,
      sym_class_type_path,
    STATE(15915), 1,
      sym_attribute,
    STATE(18839), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773479] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21174), 1,
      anon_sym_COLON_GT,
    ACTIONS(21176), 1,
      anon_sym_RPAREN,
    STATE(15916), 1,
      sym_attribute,
    STATE(19039), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773502] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21178), 1,
      anon_sym_GT_RBRACE,
    STATE(15917), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773525] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21180), 1,
      anon_sym_GT_RBRACE,
    STATE(15918), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773548] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19800), 1,
      sym__identifier,
    ACTIONS(19802), 1,
      anon_sym_LBRACK,
    ACTIONS(19804), 1,
      anon_sym_virtual,
    STATE(13535), 1,
      sym_class_binding,
    STATE(15919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773571] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21182), 1,
      sym__identifier,
    STATE(6366), 1,
      sym_type_constructor_path,
    STATE(15920), 1,
      sym_attribute,
    STATE(19009), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773594] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21184), 1,
      anon_sym_GT_RBRACE,
    STATE(15921), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773617] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11088), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21186), 1,
      anon_sym_GT,
    STATE(15922), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773640] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20303), 1,
      sym__identifier,
    STATE(3665), 1,
      sym_class_path,
    STATE(15923), 1,
      sym_attribute,
    STATE(20831), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773663] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(21188), 1,
      aux_sym_attribute_id_token1,
    STATE(15924), 1,
      sym_attribute,
    STATE(16007), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [773684] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15475), 1,
      anon_sym_in,
    ACTIONS(21190), 1,
      anon_sym_and,
    ACTIONS(21192), 1,
      sym_let_and_operator,
    STATE(15925), 1,
      sym_attribute,
    STATE(16026), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773707] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21194), 1,
      anon_sym_GT_RBRACE,
    STATE(15926), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773730] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21196), 1,
      anon_sym_COLON_GT,
    ACTIONS(21198), 1,
      anon_sym_RPAREN,
    STATE(15927), 1,
      sym_attribute,
    STATE(18296), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773753] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21200), 1,
      anon_sym_RBRACK,
    ACTIONS(21202), 1,
      anon_sym_GT,
    STATE(15928), 1,
      sym_attribute,
    STATE(15934), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773776] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21204), 1,
      anon_sym_GT_RBRACE,
    STATE(15929), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773799] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21200), 1,
      anon_sym_RBRACK,
    ACTIONS(21202), 1,
      anon_sym_GT,
    STATE(15930), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773822] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21206), 1,
      anon_sym_GT_RBRACE,
    STATE(15931), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773845] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21208), 1,
      anon_sym_RBRACK,
    ACTIONS(21210), 1,
      anon_sym_GT,
    STATE(15932), 1,
      sym_attribute,
    STATE(15943), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773868] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21208), 1,
      anon_sym_RBRACK,
    ACTIONS(21210), 1,
      anon_sym_GT,
    STATE(15933), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773891] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21212), 1,
      anon_sym_RBRACK,
    ACTIONS(21214), 1,
      anon_sym_GT,
    STATE(15934), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773914] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21212), 1,
      anon_sym_RBRACK,
    STATE(15935), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773937] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21216), 1,
      anon_sym_RBRACK,
    STATE(15936), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773960] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21218), 1,
      anon_sym_COLON_GT,
    ACTIONS(21220), 1,
      anon_sym_RPAREN,
    STATE(15937), 1,
      sym_attribute,
    STATE(18820), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773983] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21222), 1,
      anon_sym_RBRACK,
    STATE(15938), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774006] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20394), 1,
      sym__identifier,
    STATE(7579), 1,
      sym_class_path,
    STATE(15939), 1,
      sym_attribute,
    STATE(19840), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774029] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14689), 1,
      anon_sym_in,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15940), 1,
      sym_attribute,
    STATE(16037), 1,
      aux_sym_expression_item_repeat1,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774052] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21224), 1,
      sym__identifier,
    STATE(6645), 1,
      sym_type_constructor_path,
    STATE(15941), 1,
      sym_attribute,
    STATE(18350), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774075] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21226), 1,
      anon_sym_GT_RBRACE,
    STATE(15942), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774098] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21228), 1,
      anon_sym_RBRACK,
    ACTIONS(21230), 1,
      anon_sym_GT,
    STATE(15943), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774121] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21228), 1,
      anon_sym_RBRACK,
    STATE(15944), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774144] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21232), 1,
      anon_sym_GT_RBRACE,
    STATE(15945), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774167] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20118), 1,
      sym__identifier,
    STATE(8925), 1,
      sym_class_path,
    STATE(15946), 1,
      sym_attribute,
    STATE(20009), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774190] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 4,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_GT,
  [774207] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21234), 1,
      anon_sym_RBRACK,
    STATE(15948), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774230] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21236), 1,
      anon_sym_COLON_GT,
    ACTIONS(21238), 1,
      anon_sym_RPAREN,
    STATE(15949), 1,
      sym_attribute,
    STATE(18085), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774253] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21240), 1,
      anon_sym_rec,
    STATE(15950), 1,
      sym_attribute,
    STATE(16653), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20458), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [774274] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21242), 1,
      anon_sym_COLON_GT,
    ACTIONS(21244), 1,
      anon_sym_RPAREN,
    STATE(15951), 1,
      sym_attribute,
    STATE(18248), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774297] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21246), 1,
      anon_sym_RBRACK,
    STATE(15952), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774320] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21248), 1,
      anon_sym_GT_RBRACE,
    STATE(15953), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774343] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    STATE(15954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16944), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [774364] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21250), 1,
      anon_sym_GT_RBRACE,
    STATE(15955), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774387] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    STATE(15956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16950), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [774408] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20094), 1,
      sym__identifier,
    STATE(7397), 1,
      sym_class_path,
    STATE(15957), 1,
      sym_attribute,
    STATE(19496), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774431] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21252), 1,
      sym__identifier,
    STATE(10225), 1,
      sym_class_type_path,
    STATE(15958), 1,
      sym_attribute,
    STATE(18646), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774454] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19676), 1,
      sym__identifier,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_virtual,
    STATE(13439), 1,
      sym_class_binding,
    STATE(15959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774477] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21252), 1,
      sym__identifier,
    STATE(10237), 1,
      sym_class_type_path,
    STATE(15960), 1,
      sym_attribute,
    STATE(18646), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774500] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21252), 1,
      sym__identifier,
    STATE(10242), 1,
      sym_class_type_path,
    STATE(15961), 1,
      sym_attribute,
    STATE(18646), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774523] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21062), 1,
      sym__identifier,
    STATE(10813), 1,
      sym_class_type_path,
    STATE(15962), 1,
      sym_attribute,
    STATE(18884), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774546] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21254), 1,
      anon_sym_COLON_GT,
    ACTIONS(21256), 1,
      anon_sym_RPAREN,
    STATE(15963), 1,
      sym_attribute,
    STATE(18538), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774569] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21258), 1,
      sym__identifier,
    ACTIONS(21260), 1,
      anon_sym_RBRACE,
    ACTIONS(21262), 1,
      anon_sym_mutable,
    STATE(15964), 1,
      sym_attribute,
    STATE(18501), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13574), 1,
      anon_sym_and,
    STATE(15965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13572), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [774611] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21264), 1,
      anon_sym_COLON_GT,
    ACTIONS(21266), 1,
      anon_sym_RPAREN,
    STATE(15966), 1,
      sym_attribute,
    STATE(18890), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774634] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21268), 1,
      anon_sym_GT_RBRACE,
    STATE(15967), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774657] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21270), 1,
      anon_sym_GT_RBRACE,
    STATE(15968), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774680] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21272), 1,
      anon_sym_GT_RBRACE,
    STATE(15969), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774703] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11220), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21274), 1,
      anon_sym_GT,
    STATE(15970), 1,
      sym_attribute,
    STATE(15973), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774726] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21276), 1,
      anon_sym_GT_RBRACE,
    STATE(15971), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774749] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21278), 1,
      anon_sym_RBRACK,
    ACTIONS(21280), 1,
      anon_sym_GT,
    STATE(15972), 1,
      sym_attribute,
    STATE(15974), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774772] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21278), 1,
      anon_sym_RBRACK,
    ACTIONS(21280), 1,
      anon_sym_GT,
    STATE(15973), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774795] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21282), 1,
      anon_sym_RBRACK,
    ACTIONS(21284), 1,
      anon_sym_GT,
    STATE(15974), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774818] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21282), 1,
      anon_sym_RBRACK,
    STATE(15975), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774841] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21286), 1,
      sym__identifier,
    STATE(8507), 1,
      sym_type_constructor_path,
    STATE(15976), 1,
      sym_attribute,
    STATE(18233), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774864] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21288), 1,
      anon_sym_RBRACK,
    STATE(15977), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774887] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21290), 1,
      anon_sym_DOT,
    STATE(15978), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774910] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21292), 1,
      anon_sym_RBRACK,
    STATE(15979), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774933] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21294), 1,
      sym__identifier,
    STATE(15980), 1,
      sym_attribute,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(19893), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774956] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20188), 1,
      sym__identifier,
    STATE(10865), 1,
      sym_class_path,
    STATE(15981), 1,
      sym_attribute,
    STATE(19881), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774979] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20100), 1,
      sym__identifier,
    STATE(6144), 1,
      sym_class_path,
    STATE(15982), 1,
      sym_attribute,
    STATE(21477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775002] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    STATE(15983), 1,
      sym_attribute,
    STATE(18711), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21296), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [775023] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21298), 1,
      anon_sym_DOT,
    STATE(15984), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775046] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    STATE(15985), 1,
      sym_attribute,
    STATE(16958), 1,
      sym_type_constructor_path,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775069] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(21300), 1,
      sym__identifier,
    STATE(15986), 1,
      sym_attribute,
    STATE(18081), 1,
      sym_module_type_path,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775092] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    STATE(14474), 1,
      sym_type_constructor_path,
    STATE(15987), 1,
      sym_attribute,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775115] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19400), 1,
      sym__identifier,
    ACTIONS(19404), 1,
      anon_sym_LBRACK,
    ACTIONS(19406), 1,
      anon_sym_virtual,
    STATE(12639), 1,
      sym_class_binding,
    STATE(15988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775138] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21302), 1,
      sym__identifier,
    STATE(15989), 1,
      sym_attribute,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(22206), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775161] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21304), 1,
      anon_sym_COLON_GT,
    ACTIONS(21306), 1,
      anon_sym_RPAREN,
    STATE(15990), 1,
      sym_attribute,
    STATE(18777), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775184] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    STATE(15991), 1,
      sym_attribute,
    STATE(19174), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21308), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [775205] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21310), 1,
      anon_sym_COLON_GT,
    ACTIONS(21312), 1,
      anon_sym_RPAREN,
    STATE(15992), 1,
      sym_attribute,
    STATE(19079), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775228] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(14055), 1,
      anon_sym_DASH_GT,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(15854), 1,
      aux_sym_module_binding_repeat1,
    STATE(15993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775251] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21314), 1,
      anon_sym_COLON_GT,
    ACTIONS(21316), 1,
      anon_sym_RPAREN,
    STATE(15994), 1,
      sym_attribute,
    STATE(18184), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775274] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21318), 1,
      anon_sym_DOT,
    STATE(15995), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775297] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21320), 1,
      anon_sym_DOT,
    STATE(15996), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775320] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21322), 1,
      anon_sym_DOT,
    STATE(15997), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775343] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21324), 1,
      anon_sym_DOT,
    STATE(15998), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775366] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21326), 1,
      anon_sym_rec,
    STATE(13011), 1,
      sym_module_binding,
    STATE(15999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19788), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [775387] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21140), 1,
      sym__identifier,
    STATE(10514), 1,
      sym_class_type_path,
    STATE(16000), 1,
      sym_attribute,
    STATE(18926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775410] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    STATE(16001), 1,
      sym_attribute,
    STATE(17745), 1,
      sym_type_constructor_path,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775433] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(21300), 1,
      sym__identifier,
    STATE(16002), 1,
      sym_attribute,
    STATE(18778), 1,
      sym_module_type_path,
    STATE(18846), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775456] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21328), 1,
      sym__identifier,
    STATE(11005), 1,
      sym_class_type_path,
    STATE(16003), 1,
      sym_attribute,
    STATE(18755), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775479] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21330), 1,
      anon_sym_GT_RBRACE,
    STATE(16004), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775502] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21332), 1,
      sym__identifier,
    STATE(11555), 1,
      sym_class_type_path,
    STATE(16005), 1,
      sym_attribute,
    STATE(19085), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775525] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21258), 1,
      sym__identifier,
    ACTIONS(21262), 1,
      anon_sym_mutable,
    ACTIONS(21334), 1,
      anon_sym_RBRACE,
    STATE(16006), 1,
      sym_attribute,
    STATE(18501), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775548] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(21188), 1,
      aux_sym_attribute_id_token1,
    STATE(16007), 1,
      sym_attribute,
    STATE(16118), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10077), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [775569] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11266), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21336), 1,
      anon_sym_GT,
    STATE(16008), 1,
      sym_attribute,
    STATE(16015), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775592] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21338), 1,
      sym__identifier,
    STATE(14027), 1,
      sym_class_type_path,
    STATE(16009), 1,
      sym_attribute,
    STATE(18531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775615] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21340), 1,
      anon_sym_GT_RBRACE,
    STATE(16010), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775638] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15384), 1,
      anon_sym_in,
    ACTIONS(21190), 1,
      anon_sym_and,
    ACTIONS(21192), 1,
      sym_let_and_operator,
    STATE(16011), 1,
      sym_attribute,
    STATE(16120), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775661] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21342), 1,
      anon_sym_GT_RBRACE,
    STATE(16012), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775684] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21344), 1,
      anon_sym_GT_RBRACE,
    STATE(16013), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775707] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21346), 1,
      anon_sym_RBRACK,
    ACTIONS(21348), 1,
      anon_sym_GT,
    STATE(16014), 1,
      sym_attribute,
    STATE(16017), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775730] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21346), 1,
      anon_sym_RBRACK,
    ACTIONS(21348), 1,
      anon_sym_GT,
    STATE(16015), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775753] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21350), 1,
      anon_sym_COLON_GT,
    ACTIONS(21352), 1,
      anon_sym_RPAREN,
    STATE(16016), 1,
      sym_attribute,
    STATE(18828), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775776] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21354), 1,
      anon_sym_RBRACK,
    ACTIONS(21356), 1,
      anon_sym_GT,
    STATE(16017), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775799] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21358), 1,
      anon_sym_DOT,
    STATE(16018), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775822] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21354), 1,
      anon_sym_RBRACK,
    STATE(16019), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775845] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21360), 1,
      anon_sym_COLON_GT,
    ACTIONS(21362), 1,
      anon_sym_RPAREN,
    STATE(16020), 1,
      sym_attribute,
    STATE(18895), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775868] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21364), 1,
      anon_sym_RBRACK,
    STATE(16021), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775891] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21366), 1,
      sym__identifier,
    STATE(11172), 1,
      sym_class_type_path,
    STATE(16022), 1,
      sym_attribute,
    STATE(18285), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775914] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21368), 1,
      anon_sym_RBRACK,
    STATE(16023), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775937] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20350), 1,
      sym__identifier,
    STATE(7637), 1,
      sym_class_path,
    STATE(16024), 1,
      sym_attribute,
    STATE(19922), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775960] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21370), 1,
      anon_sym_GT_RBRACE,
    STATE(16025), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775983] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15384), 1,
      anon_sym_in,
    ACTIONS(21190), 1,
      anon_sym_and,
    ACTIONS(21192), 1,
      sym_let_and_operator,
    STATE(16026), 1,
      sym_attribute,
    STATE(16123), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776006] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11373), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21372), 1,
      anon_sym_GT,
    STATE(16027), 1,
      sym_attribute,
    STATE(16043), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776029] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11254), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21374), 1,
      anon_sym_GT,
    STATE(16028), 1,
      sym_attribute,
    STATE(16041), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776052] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21376), 1,
      anon_sym_GT_RBRACE,
    STATE(16029), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776075] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21378), 1,
      anon_sym_EQ,
    ACTIONS(21380), 1,
      anon_sym_RPAREN,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(16030), 1,
      sym_attribute,
    STATE(18573), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776098] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20148), 1,
      anon_sym_LPAREN,
    ACTIONS(20860), 1,
      sym__identifier,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14665), 1,
      sym__value_name,
    STATE(16031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776121] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21384), 1,
      sym__identifier,
    STATE(13797), 1,
      sym_class_type_path,
    STATE(16032), 1,
      sym_attribute,
    STATE(18667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776144] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21386), 1,
      anon_sym_COLON_GT,
    ACTIONS(21388), 1,
      anon_sym_RPAREN,
    STATE(16033), 1,
      sym_attribute,
    STATE(18236), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776167] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20156), 1,
      sym__identifier,
    ACTIONS(20158), 1,
      anon_sym_LBRACK,
    ACTIONS(20160), 1,
      anon_sym_virtual,
    STATE(12843), 1,
      sym_class_type_binding,
    STATE(16034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776190] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21390), 1,
      anon_sym_GT_RBRACE,
    STATE(16035), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776213] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21392), 1,
      anon_sym_GT_RBRACE,
    STATE(16036), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776236] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14637), 1,
      anon_sym_in,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15781), 1,
      aux_sym_expression_item_repeat1,
    STATE(16037), 1,
      sym_attribute,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776259] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14637), 1,
      anon_sym_in,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16038), 1,
      sym_attribute,
    STATE(16138), 1,
      aux_sym_expression_item_repeat1,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776282] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21394), 1,
      anon_sym_RBRACK,
    ACTIONS(21396), 1,
      anon_sym_GT,
    STATE(16039), 1,
      sym_attribute,
    STATE(16057), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776305] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21398), 1,
      anon_sym_RBRACK,
    ACTIONS(21400), 1,
      anon_sym_GT,
    STATE(16040), 1,
      sym_attribute,
    STATE(16052), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776328] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21398), 1,
      anon_sym_RBRACK,
    ACTIONS(21400), 1,
      anon_sym_GT,
    STATE(16041), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776351] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20234), 1,
      sym__identifier,
    STATE(11211), 1,
      sym_class_path,
    STATE(16042), 1,
      sym_attribute,
    STATE(22180), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776374] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21394), 1,
      anon_sym_RBRACK,
    ACTIONS(21396), 1,
      anon_sym_GT,
    STATE(16043), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776397] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21402), 1,
      anon_sym_RBRACK,
    STATE(16044), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776420] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21404), 1,
      anon_sym_GT_RBRACE,
    STATE(16045), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776443] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21406), 1,
      sym__identifier,
    STATE(16046), 1,
      sym_attribute,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(22234), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776466] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21408), 1,
      anon_sym_RBRACK,
    ACTIONS(21410), 1,
      aux_sym_tag_token1,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16047), 2,
      sym_attribute,
      aux_sym_polymorphic_variant_type_repeat2,
  [776487] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    STATE(16048), 1,
      sym_attribute,
    STATE(18901), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21413), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [776508] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21415), 1,
      anon_sym_GT_RBRACE,
    STATE(16049), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776531] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21417), 1,
      anon_sym_DOT,
    STATE(16050), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776554] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21419), 1,
      anon_sym_DOT,
    STATE(16051), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776577] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21421), 1,
      anon_sym_RBRACK,
    ACTIONS(21423), 1,
      anon_sym_GT,
    STATE(16052), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776600] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21421), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16053), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776623] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21425), 1,
      anon_sym_DOT,
    STATE(16054), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776646] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20234), 1,
      sym__identifier,
    STATE(11246), 1,
      sym_class_path,
    STATE(16055), 1,
      sym_attribute,
    STATE(22180), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776669] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21427), 1,
      anon_sym_RBRACK,
    ACTIONS(21429), 1,
      anon_sym_GT,
    STATE(16056), 1,
      sym_attribute,
    STATE(16224), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776692] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21431), 1,
      anon_sym_RBRACK,
    ACTIONS(21433), 1,
      anon_sym_GT,
    STATE(16057), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776715] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20104), 1,
      sym__identifier,
    STATE(7693), 1,
      sym_class_path,
    STATE(16058), 1,
      sym_attribute,
    STATE(19963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776738] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21431), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16059), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776761] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21435), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16060), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776784] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21332), 1,
      sym__identifier,
    STATE(11564), 1,
      sym_class_type_path,
    STATE(16061), 1,
      sym_attribute,
    STATE(19085), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776807] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21437), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16062), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776830] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20136), 1,
      sym__identifier,
    STATE(6818), 1,
      sym_class_path,
    STATE(16063), 1,
      sym_attribute,
    STATE(19551), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776853] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12353), 1,
      anon_sym_in,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15781), 1,
      aux_sym_expression_item_repeat1,
    STATE(16064), 1,
      sym_attribute,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776876] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21439), 1,
      sym__identifier,
    STATE(11040), 1,
      sym_class_type_path,
    STATE(16065), 1,
      sym_attribute,
    STATE(18698), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776899] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21441), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16066), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776922] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21427), 1,
      anon_sym_RBRACK,
    ACTIONS(21429), 1,
      anon_sym_GT,
    STATE(16067), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776945] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21439), 1,
      sym__identifier,
    STATE(10937), 1,
      sym_class_type_path,
    STATE(16068), 1,
      sym_attribute,
    STATE(18698), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776968] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    STATE(16069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17064), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [776989] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21439), 1,
      sym__identifier,
    STATE(10711), 1,
      sym_class_type_path,
    STATE(16070), 1,
      sym_attribute,
    STATE(18698), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777012] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11318), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21443), 1,
      anon_sym_GT,
    STATE(16071), 1,
      sym_attribute,
    STATE(16095), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777035] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21445), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16072), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777058] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19676), 1,
      sym__identifier,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_virtual,
    STATE(12639), 1,
      sym_class_binding,
    STATE(16073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777081] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21447), 1,
      anon_sym_COLON_GT,
    ACTIONS(21449), 1,
      anon_sym_RPAREN,
    STATE(16074), 1,
      sym_attribute,
    STATE(18512), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777104] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21451), 1,
      anon_sym_DOT,
    STATE(16075), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777127] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21453), 1,
      anon_sym_GT_RBRACE,
    STATE(16076), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777150] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21455), 1,
      sym__identifier,
    ACTIONS(21457), 1,
      anon_sym_LPAREN,
    STATE(15226), 1,
      sym__value_name,
    STATE(15567), 1,
      sym_parenthesized_operator,
    STATE(16077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777173] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21459), 1,
      sym__identifier,
    STATE(16078), 1,
      sym_attribute,
    STATE(18371), 1,
      sym_extended_module_path,
    STATE(22252), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777196] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    STATE(16079), 1,
      sym_attribute,
    STATE(18663), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21461), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [777217] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21463), 1,
      anon_sym_GT_RBRACE,
    STATE(16080), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777240] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21465), 1,
      anon_sym_DOT,
    STATE(16081), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777263] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21467), 1,
      anon_sym_DOT,
    STATE(16082), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777286] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21469), 1,
      anon_sym_GT_RBRACE,
    STATE(16083), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777309] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20178), 1,
      sym__identifier,
    STATE(8205), 1,
      sym_class_path,
    STATE(16084), 1,
      sym_attribute,
    STATE(21015), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777332] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21471), 1,
      anon_sym_DOT,
    STATE(16085), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777355] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21473), 1,
      sym__identifier,
    STATE(11293), 1,
      sym_class_type_path,
    STATE(16086), 1,
      sym_attribute,
    STATE(18670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777378] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21473), 1,
      sym__identifier,
    STATE(11214), 1,
      sym_class_type_path,
    STATE(16087), 1,
      sym_attribute,
    STATE(18670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777401] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21473), 1,
      sym__identifier,
    STATE(11139), 1,
      sym_class_type_path,
    STATE(16088), 1,
      sym_attribute,
    STATE(18670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777424] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20148), 1,
      anon_sym_LPAREN,
    ACTIONS(20464), 1,
      sym__identifier,
    STATE(16089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14453), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [777445] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21475), 1,
      anon_sym_COLON_GT,
    ACTIONS(21477), 1,
      anon_sym_RPAREN,
    STATE(16090), 1,
      sym_attribute,
    STATE(19019), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777468] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20586), 1,
      sym__identifier,
    STATE(4175), 1,
      sym_class_path,
    STATE(16091), 1,
      sym_attribute,
    STATE(20004), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777491] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21332), 1,
      sym__identifier,
    STATE(11574), 1,
      sym_class_type_path,
    STATE(16092), 1,
      sym_attribute,
    STATE(19085), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777514] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21479), 1,
      sym__identifier,
    STATE(11534), 1,
      sym_type_constructor_path,
    STATE(16093), 1,
      sym_attribute,
    STATE(18721), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777537] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21481), 1,
      anon_sym_RBRACK,
    ACTIONS(21483), 1,
      anon_sym_GT,
    STATE(16094), 1,
      sym_attribute,
    STATE(16110), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777560] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21481), 1,
      anon_sym_RBRACK,
    ACTIONS(21483), 1,
      anon_sym_GT,
    STATE(16095), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777583] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21485), 1,
      anon_sym_COLON_GT,
    ACTIONS(21487), 1,
      anon_sym_RPAREN,
    STATE(16096), 1,
      sym_attribute,
    STATE(19063), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777606] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21036), 1,
      sym__identifier,
    STATE(12077), 1,
      sym_class_type_path,
    STATE(16097), 1,
      sym_attribute,
    STATE(18590), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777629] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    STATE(16098), 1,
      sym_attribute,
    STATE(19200), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21489), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [777650] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21491), 1,
      anon_sym_COLON_GT,
    ACTIONS(21493), 1,
      anon_sym_RPAREN,
    STATE(16099), 1,
      sym_attribute,
    STATE(18858), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777673] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21495), 1,
      anon_sym_GT_RBRACE,
    STATE(16100), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777696] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21497), 1,
      anon_sym_DOT,
    STATE(16101), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777719] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21499), 1,
      anon_sym_DOT,
    STATE(16102), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777742] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21501), 1,
      anon_sym_DOT,
    STATE(16103), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777765] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21505), 1,
      anon_sym_of,
    STATE(16104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21503), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [777784] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(12749), 1,
      sym__identifier,
    STATE(15553), 1,
      sym_type_constructor_path,
    STATE(16105), 1,
      sym_attribute,
    STATE(18548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777807] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21507), 1,
      anon_sym_GT_RBRACE,
    STATE(16106), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777830] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21509), 1,
      anon_sym_COLON_GT,
    ACTIONS(21511), 1,
      anon_sym_RPAREN,
    STATE(16107), 1,
      sym_attribute,
    STATE(18463), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777853] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20430), 1,
      sym__identifier,
    STATE(3670), 1,
      sym_class_path,
    STATE(16108), 1,
      sym_attribute,
    STATE(20045), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777876] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21513), 1,
      anon_sym_GT_RBRACE,
    STATE(16109), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777899] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21515), 1,
      anon_sym_RBRACK,
    ACTIONS(21517), 1,
      anon_sym_GT,
    STATE(16110), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777922] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    STATE(16111), 1,
      sym_attribute,
    STATE(18408), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21519), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [777943] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11278), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21521), 1,
      anon_sym_GT,
    STATE(16112), 1,
      sym_attribute,
    STATE(16132), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777966] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21515), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16113), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777989] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21523), 1,
      anon_sym_DOT,
    STATE(16114), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778012] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21525), 1,
      anon_sym_DOT,
    STATE(16115), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778035] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21527), 1,
      anon_sym_DOT,
    STATE(16116), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778058] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11280), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21529), 1,
      anon_sym_GT,
    STATE(15904), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(21531), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10083), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
    STATE(16118), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
  [778100] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21534), 1,
      anon_sym_COLON_GT,
    ACTIONS(21536), 1,
      anon_sym_RPAREN,
    STATE(16119), 1,
      sym_attribute,
    STATE(18543), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778123] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15396), 1,
      anon_sym_in,
    ACTIONS(21190), 1,
      anon_sym_and,
    ACTIONS(21192), 1,
      sym_let_and_operator,
    STATE(16120), 1,
      sym_attribute,
    STATE(16123), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778146] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21538), 1,
      anon_sym_GT_RBRACE,
    STATE(16121), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778169] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21102), 1,
      sym__identifier,
    STATE(15101), 1,
      sym_class_type_path,
    STATE(16122), 1,
      sym_attribute,
    STATE(18079), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778192] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15063), 1,
      anon_sym_in,
    ACTIONS(21540), 1,
      anon_sym_and,
    ACTIONS(21543), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16123), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
  [778213] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21546), 1,
      anon_sym_GT_RBRACE,
    STATE(16124), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778236] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    STATE(16125), 1,
      sym_attribute,
    STATE(18647), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21548), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [778257] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21550), 1,
      anon_sym_DOT,
    STATE(16126), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778280] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15396), 1,
      anon_sym_in,
    ACTIONS(21190), 1,
      anon_sym_and,
    ACTIONS(21192), 1,
      sym_let_and_operator,
    STATE(16127), 1,
      sym_attribute,
    STATE(16226), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778303] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21552), 1,
      anon_sym_GT_RBRACE,
    STATE(16128), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778326] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21554), 1,
      anon_sym_DOT,
    STATE(16129), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778349] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21556), 1,
      anon_sym_DOT,
    STATE(16130), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778372] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21558), 1,
      anon_sym_RBRACK,
    ACTIONS(21560), 1,
      anon_sym_GT,
    STATE(16131), 1,
      sym_attribute,
    STATE(16146), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778395] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21558), 1,
      anon_sym_RBRACK,
    ACTIONS(21560), 1,
      anon_sym_GT,
    STATE(16132), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778418] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21562), 1,
      anon_sym_DOT,
    STATE(16133), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778441] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21564), 1,
      anon_sym_GT_RBRACE,
    STATE(16134), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778464] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21384), 1,
      sym__identifier,
    STATE(13882), 1,
      sym_class_type_path,
    STATE(16135), 1,
      sym_attribute,
    STATE(18667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778487] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11186), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21566), 1,
      anon_sym_GT,
    STATE(16136), 1,
      sym_attribute,
    STATE(16152), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778510] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    ACTIONS(21568), 1,
      anon_sym_EQ,
    ACTIONS(21570), 1,
      anon_sym_RPAREN,
    STATE(16137), 1,
      sym_attribute,
    STATE(18965), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778533] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14695), 1,
      anon_sym_in,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15781), 1,
      aux_sym_expression_item_repeat1,
    STATE(16138), 1,
      sym_attribute,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778556] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21572), 1,
      anon_sym_GT_RBRACE,
    STATE(16139), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778579] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    STATE(16140), 1,
      sym_attribute,
    STATE(18838), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21574), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [778600] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21576), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16141), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778623] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21578), 1,
      anon_sym_DOT,
    STATE(16142), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778646] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21580), 1,
      anon_sym_DOT,
    STATE(16143), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778669] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20332), 1,
      sym__identifier,
    STATE(4546), 1,
      sym_class_path,
    STATE(16144), 1,
      sym_attribute,
    STATE(20127), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778692] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21582), 1,
      anon_sym_DOT,
    STATE(16145), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778715] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21584), 1,
      anon_sym_RBRACK,
    ACTIONS(21586), 1,
      anon_sym_GT,
    STATE(16146), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778738] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21584), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16147), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778761] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21590), 1,
      anon_sym_with,
    ACTIONS(21592), 1,
      sym_hash_operator,
    STATE(16148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778784] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(21594), 1,
      anon_sym_DASH_GT,
    STATE(10323), 1,
      aux_sym_module_binding_repeat1,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(16149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778807] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21596), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16150), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778830] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21598), 1,
      anon_sym_RBRACK,
    ACTIONS(21600), 1,
      anon_sym_GT,
    STATE(16151), 1,
      sym_attribute,
    STATE(16168), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778853] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21598), 1,
      anon_sym_RBRACK,
    ACTIONS(21600), 1,
      anon_sym_GT,
    STATE(16152), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778876] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(21602), 1,
      sym__identifier,
    STATE(8344), 1,
      sym_class_path,
    STATE(16153), 1,
      sym_attribute,
    STATE(19716), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778899] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21604), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16154), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778922] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21606), 1,
      sym__identifier,
    STATE(12104), 1,
      sym_class_type_path,
    STATE(16155), 1,
      sym_attribute,
    STATE(18172), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778945] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21608), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16156), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778968] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21610), 1,
      sym__identifier,
    STATE(10579), 1,
      sym_class_type_path,
    STATE(16157), 1,
      sym_attribute,
    STATE(18131), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778991] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12359), 1,
      anon_sym_in,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15781), 1,
      aux_sym_expression_item_repeat1,
    STATE(16158), 1,
      sym_attribute,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779014] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    STATE(16159), 1,
      sym_attribute,
    STATE(19003), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21612), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [779035] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21614), 1,
      anon_sym_DOT,
    STATE(16160), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779058] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21616), 1,
      anon_sym_DOT,
    STATE(16161), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779081] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21618), 1,
      anon_sym_COLON_GT,
    ACTIONS(21620), 1,
      anon_sym_RPAREN,
    STATE(16162), 1,
      sym_attribute,
    STATE(19107), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779104] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21622), 1,
      anon_sym_DOT,
    STATE(16163), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779127] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20269), 1,
      sym__identifier,
    STATE(6041), 1,
      sym_class_path,
    STATE(16164), 1,
      sym_attribute,
    STATE(19606), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779150] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21624), 1,
      sym__identifier,
    STATE(14196), 1,
      sym_class_type_path,
    STATE(16165), 1,
      sym_attribute,
    STATE(18748), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779173] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21624), 1,
      sym__identifier,
    STATE(14252), 1,
      sym_class_type_path,
    STATE(16166), 1,
      sym_attribute,
    STATE(18748), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779196] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21624), 1,
      sym__identifier,
    STATE(14268), 1,
      sym_class_type_path,
    STATE(16167), 1,
      sym_attribute,
    STATE(18748), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779219] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21626), 1,
      anon_sym_RBRACK,
    ACTIONS(21628), 1,
      anon_sym_GT,
    STATE(16168), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779242] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21626), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16169), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779265] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(21602), 1,
      sym__identifier,
    STATE(8345), 1,
      sym_class_path,
    STATE(16170), 1,
      sym_attribute,
    STATE(19716), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779288] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21630), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16171), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779311] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    STATE(16172), 1,
      sym_attribute,
    STATE(19172), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21632), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [779332] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20118), 1,
      sym__identifier,
    STATE(9530), 1,
      sym_class_path,
    STATE(16173), 1,
      sym_attribute,
    STATE(20009), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779355] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20090), 1,
      sym__identifier,
    STATE(4800), 1,
      sym_class_path,
    STATE(16174), 1,
      sym_attribute,
    STATE(19377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779378] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21634), 1,
      anon_sym_DOT,
    STATE(16175), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779401] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21636), 1,
      anon_sym_DOT,
    STATE(16176), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779424] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21638), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16177), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779447] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21640), 1,
      anon_sym_DOT,
    STATE(16178), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779470] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21642), 1,
      anon_sym_GT_RBRACE,
    STATE(16179), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779493] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21610), 1,
      sym__identifier,
    STATE(10548), 1,
      sym_class_type_path,
    STATE(16180), 1,
      sym_attribute,
    STATE(18131), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779516] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21644), 1,
      sym__identifier,
    ACTIONS(21646), 1,
      anon_sym_LPAREN,
    STATE(10144), 1,
      sym_parenthesized_operator,
    STATE(10161), 1,
      sym__value_name,
    STATE(16181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779539] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21648), 1,
      sym__identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21650), 2,
      anon_sym_mutable,
      anon_sym_virtual,
    STATE(16182), 2,
      sym_attribute,
      aux_sym_instance_variable_specification_repeat1,
  [779558] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21338), 1,
      sym__identifier,
    STATE(14083), 1,
      sym_class_type_path,
    STATE(16183), 1,
      sym_attribute,
    STATE(18531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779581] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21102), 1,
      sym__identifier,
    STATE(15118), 1,
      sym_class_type_path,
    STATE(16184), 1,
      sym_attribute,
    STATE(18079), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779604] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21653), 1,
      anon_sym_GT_RBRACE,
    STATE(16185), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779627] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20038), 1,
      sym__identifier,
    STATE(8801), 1,
      sym_class_path,
    STATE(16186), 1,
      sym_attribute,
    STATE(21218), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779650] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    STATE(16187), 1,
      sym_attribute,
    STATE(18154), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21655), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [779671] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21338), 1,
      sym__identifier,
    STATE(14070), 1,
      sym_class_type_path,
    STATE(16188), 1,
      sym_attribute,
    STATE(18531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779694] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21657), 1,
      sym__identifier,
    STATE(10673), 1,
      sym_class_type_path,
    STATE(16189), 1,
      sym_attribute,
    STATE(18866), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779717] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21338), 1,
      sym__identifier,
    STATE(13961), 1,
      sym_class_type_path,
    STATE(16190), 1,
      sym_attribute,
    STATE(18531), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779740] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21657), 1,
      sym__identifier,
    STATE(10632), 1,
      sym_class_type_path,
    STATE(16191), 1,
      sym_attribute,
    STATE(18866), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779763] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21657), 1,
      sym__identifier,
    STATE(10666), 1,
      sym_class_type_path,
    STATE(16192), 1,
      sym_attribute,
    STATE(18866), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779786] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21659), 1,
      anon_sym_DOT,
    STATE(16193), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779809] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21661), 1,
      anon_sym_DOT,
    STATE(16194), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779832] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20088), 1,
      sym__identifier,
    STATE(8707), 1,
      sym_class_path,
    STATE(16195), 1,
      sym_attribute,
    STATE(20167), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779855] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21663), 1,
      anon_sym_DOT,
    STATE(16196), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779878] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17640), 1,
      sym__identifier,
    ACTIONS(20148), 1,
      anon_sym_LPAREN,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(16197), 1,
      sym_attribute,
    STATE(18747), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779901] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21457), 1,
      anon_sym_LPAREN,
    ACTIONS(21665), 1,
      sym__identifier,
    STATE(16198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15247), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [779922] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20148), 1,
      anon_sym_LPAREN,
    ACTIONS(20464), 1,
      sym__identifier,
    STATE(16199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14321), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [779943] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21667), 1,
      anon_sym_GT_RBRACE,
    STATE(16200), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779966] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21669), 1,
      anon_sym_GT_RBRACE,
    STATE(16201), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779989] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21671), 1,
      sym__identifier,
    STATE(16202), 1,
      sym_attribute,
    STATE(16209), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20826), 2,
      anon_sym_private,
      anon_sym_virtual,
  [780010] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21673), 1,
      anon_sym_COLON_GT,
    ACTIONS(21675), 1,
      anon_sym_RPAREN,
    STATE(16203), 1,
      sym_attribute,
    STATE(18255), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780033] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    STATE(16204), 1,
      sym_attribute,
    STATE(18267), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21677), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [780054] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21679), 1,
      anon_sym_COLON_GT,
    ACTIONS(21681), 1,
      anon_sym_RPAREN,
    STATE(16205), 1,
      sym_attribute,
    STATE(18478), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780077] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21683), 1,
      anon_sym_DOT,
    STATE(16206), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780100] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21685), 1,
      anon_sym_DOT,
    STATE(16207), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780123] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21687), 1,
      anon_sym_DOT,
    STATE(16208), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780146] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21691), 2,
      anon_sym_private,
      anon_sym_virtual,
    STATE(16209), 2,
      sym_attribute,
      aux_sym_method_specification_repeat1,
  [780165] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21694), 1,
      sym__identifier,
    STATE(10139), 1,
      sym_type_constructor_path,
    STATE(16210), 1,
      sym_attribute,
    STATE(19084), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780188] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    ACTIONS(21696), 1,
      anon_sym_EQ,
    ACTIONS(21698), 1,
      anon_sym_RPAREN,
    STATE(16211), 1,
      sym_attribute,
    STATE(18250), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780211] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(21300), 1,
      sym__identifier,
    STATE(16212), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    STATE(19216), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780234] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21700), 1,
      anon_sym_GT_RBRACE,
    STATE(16213), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780257] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21702), 1,
      sym__identifier,
    STATE(16214), 1,
      sym_attribute,
    STATE(16271), 1,
      aux_sym__abstract_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21704), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [780278] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    STATE(16215), 1,
      sym_attribute,
    STATE(18384), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21706), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [780299] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21708), 1,
      anon_sym_DOT,
    STATE(16216), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780322] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21710), 1,
      anon_sym_DOT,
    STATE(16217), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780345] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21712), 1,
      anon_sym_GT_RBRACE,
    STATE(16218), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780368] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21714), 1,
      anon_sym_DOT,
    STATE(16219), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780391] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21096), 1,
      sym__identifier,
    STATE(13121), 1,
      sym_class_type_path,
    STATE(16220), 1,
      sym_attribute,
    STATE(18445), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780414] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20058), 1,
      sym__identifier,
    STATE(4023), 1,
      sym_class_path,
    STATE(16221), 1,
      sym_attribute,
    STATE(20207), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780437] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21332), 1,
      sym__identifier,
    STATE(11580), 1,
      sym_class_type_path,
    STATE(16222), 1,
      sym_attribute,
    STATE(19085), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780460] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21716), 1,
      anon_sym_DOT,
    STATE(16223), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780483] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21718), 1,
      anon_sym_RBRACK,
    ACTIONS(21720), 1,
      anon_sym_GT,
    STATE(16224), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780506] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21718), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16225), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780529] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15415), 1,
      anon_sym_in,
    ACTIONS(21190), 1,
      anon_sym_and,
    ACTIONS(21192), 1,
      sym_let_and_operator,
    STATE(16123), 1,
      aux_sym_value_definition_repeat1,
    STATE(16226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780552] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21722), 1,
      anon_sym_GT_RBRACE,
    STATE(16227), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780575] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21724), 1,
      anon_sym_DOT,
    STATE(16228), 1,
      sym_attribute,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780598] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21726), 1,
      anon_sym_COLON_GT,
    ACTIONS(21728), 1,
      anon_sym_RPAREN,
    STATE(16229), 1,
      sym_attribute,
    STATE(18578), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780621] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21252), 1,
      sym__identifier,
    STATE(10218), 1,
      sym_class_type_path,
    STATE(16230), 1,
      sym_attribute,
    STATE(18646), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780644] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21730), 1,
      sym__identifier,
    STATE(9161), 1,
      sym_type_constructor_path,
    STATE(16231), 1,
      sym_attribute,
    STATE(18508), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780667] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11046), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21732), 1,
      anon_sym_GT,
    STATE(16232), 1,
      sym_attribute,
    STATE(16241), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780690] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    ACTIONS(21734), 1,
      anon_sym_EQ,
    ACTIONS(21736), 1,
      anon_sym_RPAREN,
    STATE(16233), 1,
      sym_attribute,
    STATE(18685), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780713] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18805), 1,
      anon_sym_STAR,
    STATE(16234), 1,
      sym_attribute,
    STATE(16281), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14447), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [780734] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21738), 1,
      anon_sym_GT_RBRACE,
    STATE(16235), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780757] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21740), 1,
      sym__identifier,
    ACTIONS(21742), 1,
      anon_sym_LPAREN,
    STATE(6354), 1,
      sym__value_name,
    STATE(6411), 1,
      sym_parenthesized_operator,
    STATE(16236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780780] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21744), 1,
      anon_sym_GT_RBRACE,
    STATE(16237), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780803] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14673), 1,
      anon_sym_in,
    ACTIONS(18030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15781), 1,
      aux_sym_expression_item_repeat1,
    STATE(16238), 1,
      sym_attribute,
    STATE(16554), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780826] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21746), 1,
      anon_sym_GT_RBRACE,
    STATE(16239), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780849] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21748), 1,
      anon_sym_RBRACK,
    ACTIONS(21750), 1,
      anon_sym_GT,
    STATE(16240), 1,
      sym_attribute,
    STATE(16245), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780872] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21748), 1,
      anon_sym_RBRACK,
    ACTIONS(21750), 1,
      anon_sym_GT,
    STATE(16241), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780895] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20388), 1,
      sym__identifier,
    STATE(8758), 1,
      sym_class_path,
    STATE(16242), 1,
      sym_attribute,
    STATE(20086), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780918] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(19426), 1,
      anon_sym_DASH_GT,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(16243), 1,
      sym_attribute,
    STATE(16318), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780941] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21752), 1,
      anon_sym_GT_RBRACE,
    STATE(16244), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780964] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21754), 1,
      anon_sym_RBRACK,
    ACTIONS(21756), 1,
      anon_sym_GT,
    STATE(16245), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780987] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21754), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16246), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781010] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20388), 1,
      sym__identifier,
    STATE(8803), 1,
      sym_class_path,
    STATE(16247), 1,
      sym_attribute,
    STATE(20086), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781033] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20344), 1,
      sym__identifier,
    STATE(4555), 1,
      sym_class_path,
    STATE(16248), 1,
      sym_attribute,
    STATE(20246), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781056] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21758), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16249), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13639), 1,
      anon_sym_and,
    STATE(16250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13637), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [781098] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21760), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16251), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781121] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11192), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21762), 1,
      anon_sym_GT,
    STATE(16252), 1,
      sym_attribute,
    STATE(16267), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781144] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21764), 1,
      sym__identifier,
    ACTIONS(21766), 1,
      anon_sym_LPAREN,
    STATE(6516), 1,
      sym_parenthesized_operator,
    STATE(6517), 1,
      sym__value_name,
    STATE(16253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781167] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11132), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21768), 1,
      anon_sym_GT,
    STATE(16254), 1,
      sym_attribute,
    STATE(16328), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781190] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21770), 1,
      anon_sym_COLON_GT,
    ACTIONS(21772), 1,
      anon_sym_RPAREN,
    STATE(16255), 1,
      sym_attribute,
    STATE(18859), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781213] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21774), 1,
      anon_sym_COLON_GT,
    ACTIONS(21776), 1,
      anon_sym_RPAREN,
    STATE(16256), 1,
      sym_attribute,
    STATE(19219), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781236] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21778), 1,
      anon_sym_GT_RBRACE,
    STATE(16257), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781259] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20384), 1,
      sym__identifier,
    STATE(8031), 1,
      sym_class_path,
    STATE(16258), 1,
      sym_attribute,
    STATE(21407), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781282] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21780), 1,
      sym__identifier,
    STATE(12009), 1,
      sym_class_type_path,
    STATE(16259), 1,
      sym_attribute,
    STATE(19028), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781305] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21780), 1,
      sym__identifier,
    STATE(12044), 1,
      sym_class_type_path,
    STATE(16260), 1,
      sym_attribute,
    STATE(19028), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781328] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21780), 1,
      sym__identifier,
    STATE(12050), 1,
      sym_class_type_path,
    STATE(16261), 1,
      sym_attribute,
    STATE(19028), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781351] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21782), 1,
      anon_sym_GT_RBRACE,
    STATE(16262), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781374] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    ACTIONS(21784), 1,
      anon_sym_EQ,
    ACTIONS(21786), 1,
      anon_sym_RPAREN,
    STATE(16263), 1,
      sym_attribute,
    STATE(18313), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781397] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21788), 1,
      anon_sym_GT_RBRACE,
    STATE(16264), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781420] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(21790), 1,
      anon_sym_DASH_GT,
    STATE(10323), 1,
      aux_sym_module_binding_repeat1,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(16265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781443] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21792), 1,
      anon_sym_RBRACK,
    ACTIONS(21794), 1,
      anon_sym_GT,
    STATE(16266), 1,
      sym_attribute,
    STATE(16273), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781466] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21792), 1,
      anon_sym_RBRACK,
    ACTIONS(21794), 1,
      anon_sym_GT,
    STATE(16267), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781489] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21796), 1,
      sym__identifier,
    STATE(8328), 1,
      sym_type_constructor_path,
    STATE(16268), 1,
      sym_attribute,
    STATE(18321), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781512] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20542), 1,
      sym__identifier,
    STATE(5883), 1,
      sym_class_path,
    STATE(16269), 1,
      sym_attribute,
    STATE(20285), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781535] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21798), 1,
      anon_sym_COLON_GT,
    ACTIONS(21800), 1,
      anon_sym_RPAREN,
    STATE(16270), 1,
      sym_attribute,
    STATE(19027), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781558] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21802), 1,
      sym__identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21805), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(16271), 2,
      sym_attribute,
      aux_sym__abstract_type_repeat1,
  [781577] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21807), 1,
      anon_sym_COLON_GT,
    ACTIONS(21809), 1,
      anon_sym_RPAREN,
    STATE(16272), 1,
      sym_attribute,
    STATE(19048), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781600] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21811), 1,
      anon_sym_RBRACK,
    ACTIONS(21813), 1,
      anon_sym_GT,
    STATE(16273), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781623] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21811), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16274), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781646] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21328), 1,
      sym__identifier,
    STATE(10717), 1,
      sym_class_type_path,
    STATE(16275), 1,
      sym_attribute,
    STATE(18755), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781669] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21815), 1,
      anon_sym_GT_RBRACE,
    STATE(16276), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781692] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21817), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16277), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781715] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21473), 1,
      sym__identifier,
    STATE(11210), 1,
      sym_class_type_path,
    STATE(16278), 1,
      sym_attribute,
    STATE(18670), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781738] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21819), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16279), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781761] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21821), 1,
      anon_sym_GT_RBRACE,
    STATE(16280), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(21823), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13222), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    STATE(16281), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
  [781803] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21826), 1,
      anon_sym_GT_RBRACE,
    STATE(16282), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781826] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21828), 1,
      anon_sym_GT_RBRACE,
    STATE(16283), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781849] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20536), 1,
      sym__identifier,
    STATE(6407), 1,
      sym_class_path,
    STATE(16284), 1,
      sym_attribute,
    STATE(19661), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781872] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21104), 1,
      sym__identifier,
    STATE(14535), 1,
      sym_class_type_path,
    STATE(16285), 1,
      sym_attribute,
    STATE(18789), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781895] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21104), 1,
      sym__identifier,
    STATE(14550), 1,
      sym_class_type_path,
    STATE(16286), 1,
      sym_attribute,
    STATE(18789), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781918] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21104), 1,
      sym__identifier,
    STATE(14556), 1,
      sym_class_type_path,
    STATE(16287), 1,
      sym_attribute,
    STATE(18789), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781941] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11264), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21830), 1,
      anon_sym_GT,
    STATE(16288), 1,
      sym_attribute,
    STATE(16298), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781964] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    ACTIONS(21832), 1,
      anon_sym_EQ,
    ACTIONS(21834), 1,
      anon_sym_RPAREN,
    STATE(16289), 1,
      sym_attribute,
    STATE(18101), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781987] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20048), 1,
      sym__identifier,
    STATE(6918), 1,
      sym_class_path,
    STATE(16290), 1,
      sym_attribute,
    STATE(20324), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782010] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21836), 1,
      sym__identifier,
    STATE(16209), 1,
      aux_sym_method_specification_repeat1,
    STATE(16291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20826), 2,
      anon_sym_private,
      anon_sym_virtual,
  [782031] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11268), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21838), 1,
      anon_sym_GT,
    STATE(16292), 1,
      sym_attribute,
    STATE(16447), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782054] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21840), 1,
      anon_sym_GT_RBRACE,
    STATE(16293), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782077] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21842), 1,
      anon_sym_COLON_GT,
    ACTIONS(21844), 1,
      anon_sym_RPAREN,
    STATE(16294), 1,
      sym_attribute,
    STATE(18090), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782100] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21384), 1,
      sym__identifier,
    STATE(10717), 1,
      sym_class_type_path,
    STATE(16295), 1,
      sym_attribute,
    STATE(18667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782123] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21846), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16296), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782146] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21848), 1,
      anon_sym_RBRACK,
    ACTIONS(21850), 1,
      anon_sym_GT,
    STATE(16297), 1,
      sym_attribute,
    STATE(16305), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782169] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21848), 1,
      anon_sym_RBRACK,
    ACTIONS(21850), 1,
      anon_sym_GT,
    STATE(16298), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782192] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21610), 1,
      sym__identifier,
    STATE(10294), 1,
      sym_class_type_path,
    STATE(16299), 1,
      sym_attribute,
    STATE(18131), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782215] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20216), 1,
      sym__identifier,
    STATE(8842), 1,
      sym_class_path,
    STATE(16300), 1,
      sym_attribute,
    STATE(20439), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782238] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21058), 1,
      sym__identifier,
    STATE(12154), 1,
      sym_class_type_path,
    STATE(16301), 1,
      sym_attribute,
    STATE(18409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782261] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21852), 1,
      anon_sym_GT_RBRACE,
    STATE(16302), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782284] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21854), 1,
      sym__identifier,
    STATE(16291), 1,
      aux_sym_method_specification_repeat1,
    STATE(16303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20826), 2,
      anon_sym_private,
      anon_sym_virtual,
  [782305] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21856), 1,
      anon_sym_GT_RBRACE,
    STATE(16304), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782328] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21858), 1,
      anon_sym_RBRACK,
    ACTIONS(21860), 1,
      anon_sym_GT,
    STATE(16305), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782351] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21858), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16306), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782374] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20216), 1,
      sym__identifier,
    STATE(8726), 1,
      sym_class_path,
    STATE(16307), 1,
      sym_attribute,
    STATE(20439), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782397] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21862), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16308), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782420] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21864), 1,
      anon_sym_GT_RBRACE,
    STATE(16309), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782443] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21866), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16310), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782466] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21868), 1,
      anon_sym_GT_RBRACE,
    STATE(16311), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782489] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21870), 1,
      sym__identifier,
    ACTIONS(21872), 1,
      anon_sym_LPAREN,
    STATE(6542), 1,
      sym_parenthesized_operator,
    STATE(6547), 1,
      sym__value_name,
    STATE(16312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782512] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20476), 1,
      sym__identifier,
    STATE(5039), 1,
      sym_class_path,
    STATE(16313), 1,
      sym_attribute,
    STATE(21606), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782535] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21874), 1,
      sym__identifier,
    STATE(11072), 1,
      sym_class_type_path,
    STATE(16314), 1,
      sym_attribute,
    STATE(19221), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782558] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21874), 1,
      sym__identifier,
    STATE(11176), 1,
      sym_class_type_path,
    STATE(16315), 1,
      sym_attribute,
    STATE(19221), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782581] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21874), 1,
      sym__identifier,
    STATE(11155), 1,
      sym_class_type_path,
    STATE(16316), 1,
      sym_attribute,
    STATE(19221), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782604] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20194), 1,
      sym__identifier,
    STATE(4243), 1,
      sym_class_path,
    STATE(16317), 1,
      sym_attribute,
    STATE(20363), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782627] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(21876), 1,
      anon_sym_DASH_GT,
    STATE(10323), 1,
      aux_sym_module_binding_repeat1,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(16318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782650] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21878), 1,
      anon_sym_COLON_GT,
    ACTIONS(21880), 1,
      anon_sym_RPAREN,
    STATE(16319), 1,
      sym_attribute,
    STATE(18272), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782673] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21882), 1,
      anon_sym_COLON_GT,
    ACTIONS(21884), 1,
      anon_sym_RPAREN,
    STATE(16320), 1,
      sym_attribute,
    STATE(18220), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782696] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21384), 1,
      sym__identifier,
    STATE(11005), 1,
      sym_class_type_path,
    STATE(16321), 1,
      sym_attribute,
    STATE(18667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782719] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21886), 1,
      anon_sym_GT_RBRACE,
    STATE(16322), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782742] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20156), 1,
      sym__identifier,
    ACTIONS(20158), 1,
      anon_sym_LBRACK,
    ACTIONS(20160), 1,
      anon_sym_virtual,
    STATE(12201), 1,
      sym_class_type_binding,
    STATE(16323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782765] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21610), 1,
      sym__identifier,
    STATE(10364), 1,
      sym_class_type_path,
    STATE(16324), 1,
      sym_attribute,
    STATE(18131), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782788] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21888), 1,
      sym__identifier,
    STATE(6584), 1,
      sym_type_constructor_path,
    STATE(16325), 1,
      sym_attribute,
    STATE(18593), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782811] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21890), 1,
      anon_sym_COLON_GT,
    ACTIONS(21892), 1,
      anon_sym_RPAREN,
    STATE(16326), 1,
      sym_attribute,
    STATE(18289), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782834] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21894), 1,
      anon_sym_RBRACK,
    ACTIONS(21896), 1,
      anon_sym_GT,
    STATE(16327), 1,
      sym_attribute,
    STATE(16362), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782857] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21894), 1,
      anon_sym_RBRACK,
    ACTIONS(21896), 1,
      anon_sym_GT,
    STATE(16328), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782880] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21898), 1,
      anon_sym_GT_RBRACE,
    STATE(16329), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782903] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20148), 1,
      anon_sym_LPAREN,
    ACTIONS(20464), 1,
      sym__identifier,
    STATE(16330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(21980), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [782924] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21900), 1,
      anon_sym_GT_RBRACE,
    STATE(16331), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782947] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21439), 1,
      sym__identifier,
    STATE(10719), 1,
      sym_class_type_path,
    STATE(16332), 1,
      sym_attribute,
    STATE(18698), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782970] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(21902), 1,
      sym__identifier,
    STATE(8209), 1,
      sym_class_path,
    STATE(16333), 1,
      sym_attribute,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782993] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21657), 1,
      sym__identifier,
    STATE(10680), 1,
      sym_class_type_path,
    STATE(16334), 1,
      sym_attribute,
    STATE(18866), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783016] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20436), 1,
      sym__identifier,
    STATE(3331), 1,
      sym_class_path,
    STATE(16335), 1,
      sym_attribute,
    STATE(20401), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783039] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21904), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16336), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783062] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21906), 1,
      anon_sym_GT_RBRACE,
    STATE(16337), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783085] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21908), 1,
      anon_sym_COLON_GT,
    ACTIONS(21910), 1,
      anon_sym_RPAREN,
    STATE(16338), 1,
      sym_attribute,
    STATE(18505), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783108] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21912), 1,
      anon_sym_GT_RBRACE,
    STATE(16339), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783131] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21074), 1,
      sym__identifier,
    STATE(16202), 1,
      aux_sym_method_specification_repeat1,
    STATE(16340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20826), 2,
      anon_sym_private,
      anon_sym_virtual,
  [783152] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(21914), 1,
      anon_sym_with,
    STATE(16341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783175] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19964), 1,
      sym__identifier,
    ACTIONS(19966), 1,
      anon_sym_LBRACK,
    ACTIONS(19968), 1,
      anon_sym_virtual,
    STATE(13250), 1,
      sym_class_binding,
    STATE(16342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783198] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19964), 1,
      sym__identifier,
    ACTIONS(19966), 1,
      anon_sym_LBRACK,
    ACTIONS(19968), 1,
      anon_sym_virtual,
    STATE(12639), 1,
      sym_class_binding,
    STATE(16343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783221] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21916), 1,
      anon_sym_GT_RBRACE,
    STATE(16344), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783244] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11326), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21918), 1,
      anon_sym_GT,
    STATE(16345), 1,
      sym_attribute,
    STATE(16434), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783267] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21258), 1,
      sym__identifier,
    ACTIONS(21262), 1,
      anon_sym_mutable,
    ACTIONS(21920), 1,
      anon_sym_RBRACE,
    STATE(16346), 1,
      sym_attribute,
    STATE(18501), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783290] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21922), 1,
      anon_sym_GT_RBRACE,
    STATE(16347), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783313] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17640), 1,
      sym__identifier,
    ACTIONS(20148), 1,
      anon_sym_LPAREN,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(16348), 1,
      sym_attribute,
    STATE(19057), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783336] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11282), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21924), 1,
      anon_sym_GT,
    STATE(16349), 1,
      sym_attribute,
    STATE(16361), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783359] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9224), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    STATE(16350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 2,
      anon_sym_with,
      sym_hash_operator,
  [783380] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20098), 1,
      sym__identifier,
    STATE(6836), 1,
      sym_class_path,
    STATE(16351), 1,
      sym_attribute,
    STATE(20477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783403] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21926), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16352), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783426] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21928), 1,
      anon_sym_GT_RBRACE,
    STATE(16353), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783449] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    STATE(16354), 1,
      sym_attribute,
    STATE(16551), 1,
      sym_type_constructor_path,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783472] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11314), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21930), 1,
      anon_sym_GT,
    STATE(16355), 1,
      sym_attribute,
    STATE(16378), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783495] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21932), 1,
      anon_sym_COLON_GT,
    ACTIONS(21934), 1,
      anon_sym_RPAREN,
    STATE(16356), 1,
      sym_attribute,
    STATE(18588), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783518] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21936), 1,
      anon_sym_GT_RBRACE,
    STATE(16357), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783541] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(21938), 1,
      anon_sym_with,
    STATE(16358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783564] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21940), 1,
      anon_sym_GT_RBRACE,
    STATE(16359), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783587] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21942), 1,
      anon_sym_RBRACK,
    ACTIONS(21944), 1,
      anon_sym_GT,
    STATE(16360), 1,
      sym_attribute,
    STATE(16370), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783610] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21942), 1,
      anon_sym_RBRACK,
    ACTIONS(21944), 1,
      anon_sym_GT,
    STATE(16361), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783633] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21946), 1,
      anon_sym_RBRACK,
    ACTIONS(21948), 1,
      anon_sym_GT,
    STATE(16362), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783656] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21946), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16363), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783679] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21950), 1,
      anon_sym_GT_RBRACE,
    STATE(16364), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783702] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(21902), 1,
      sym__identifier,
    STATE(7926), 1,
      sym_class_path,
    STATE(16365), 1,
      sym_attribute,
    STATE(21986), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783725] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    STATE(16366), 1,
      sym_attribute,
    STATE(16699), 1,
      sym_type_constructor_path,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783748] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21952), 1,
      anon_sym_GT_RBRACE,
    STATE(16367), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783771] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(21954), 1,
      anon_sym_with,
    STATE(16368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783794] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20182), 1,
      sym__identifier,
    STATE(4295), 1,
      sym_class_path,
    STATE(16369), 1,
      sym_attribute,
    STATE(20515), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783817] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21956), 1,
      anon_sym_RBRACK,
    ACTIONS(21958), 1,
      anon_sym_GT,
    STATE(16370), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783840] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21956), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16371), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783863] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21258), 1,
      sym__identifier,
    ACTIONS(21262), 1,
      anon_sym_mutable,
    ACTIONS(21960), 1,
      anon_sym_RBRACE,
    STATE(16372), 1,
      sym_attribute,
    STATE(18501), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783886] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    STATE(16373), 1,
      sym_attribute,
    STATE(16768), 1,
      sym_type_constructor_path,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783909] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(21962), 1,
      anon_sym_COLON_GT,
    ACTIONS(21964), 1,
      anon_sym_RPAREN,
    STATE(16374), 1,
      sym_attribute,
    STATE(18681), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783932] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21966), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16375), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783955] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(21968), 1,
      anon_sym_with,
    STATE(16376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783978] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21970), 1,
      anon_sym_RBRACK,
    ACTIONS(21972), 1,
      anon_sym_GT,
    STATE(16377), 1,
      sym_attribute,
    STATE(16387), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784001] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21970), 1,
      anon_sym_RBRACK,
    ACTIONS(21972), 1,
      anon_sym_GT,
    STATE(16378), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784024] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17640), 1,
      sym__identifier,
    ACTIONS(20148), 1,
      anon_sym_LPAREN,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(16379), 1,
      sym_attribute,
    STATE(18102), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784047] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21974), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16380), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784070] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(13184), 1,
      sym__identifier,
    STATE(16381), 1,
      sym_attribute,
    STATE(16812), 1,
      sym_type_constructor_path,
    STATE(18371), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784093] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(21976), 1,
      anon_sym_with,
    STATE(16382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784116] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20556), 1,
      sym__identifier,
    STATE(7123), 1,
      sym_class_path,
    STATE(16383), 1,
      sym_attribute,
    STATE(19758), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784139] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21384), 1,
      sym__identifier,
    STATE(13620), 1,
      sym_class_type_path,
    STATE(16384), 1,
      sym_attribute,
    STATE(18667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784162] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21978), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16385), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784185] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(21980), 1,
      anon_sym_with,
    STATE(16386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784208] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21982), 1,
      anon_sym_RBRACK,
    ACTIONS(21984), 1,
      anon_sym_GT,
    STATE(16387), 1,
      sym_attribute,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784231] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21982), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16388), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784254] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(21986), 1,
      anon_sym_GT_RBRACE,
    STATE(16389), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784277] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19800), 1,
      sym__identifier,
    ACTIONS(19802), 1,
      anon_sym_LBRACK,
    ACTIONS(19804), 1,
      anon_sym_virtual,
    STATE(12639), 1,
      sym_class_binding,
    STATE(16390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784300] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(21988), 1,
      anon_sym_with,
    STATE(16391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784323] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21990), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16392), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784346] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21172), 1,
      sym__identifier,
    STATE(11986), 1,
      sym_class_type_path,
    STATE(16393), 1,
      sym_attribute,
    STATE(18839), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784369] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(21992), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16394), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784392] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(21994), 1,
      anon_sym_with,
    STATE(16395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784415] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21172), 1,
      sym__identifier,
    STATE(11995), 1,
      sym_class_type_path,
    STATE(16396), 1,
      sym_attribute,
    STATE(18839), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784438] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21172), 1,
      sym__identifier,
    STATE(12000), 1,
      sym_class_type_path,
    STATE(16397), 1,
      sym_attribute,
    STATE(18839), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784461] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21996), 1,
      sym__identifier,
    ACTIONS(21998), 1,
      anon_sym_LPAREN,
    STATE(6661), 1,
      sym_parenthesized_operator,
    STATE(6739), 1,
      sym__value_name,
    STATE(16398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784484] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(22000), 1,
      anon_sym_GT_RBRACE,
    STATE(16399), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784507] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22002), 1,
      anon_sym_with,
    STATE(16400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784530] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20416), 1,
      sym__identifier,
    STATE(5105), 1,
      sym_class_path,
    STATE(16401), 1,
      sym_attribute,
    STATE(21801), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784553] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21606), 1,
      sym__identifier,
    STATE(12120), 1,
      sym_class_type_path,
    STATE(16402), 1,
      sym_attribute,
    STATE(18172), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784576] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22004), 1,
      anon_sym_with,
    STATE(16403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784599] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21606), 1,
      sym__identifier,
    STATE(12144), 1,
      sym_class_type_path,
    STATE(16404), 1,
      sym_attribute,
    STATE(18172), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784622] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21606), 1,
      sym__identifier,
    STATE(12167), 1,
      sym_class_type_path,
    STATE(16405), 1,
      sym_attribute,
    STATE(18172), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784645] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22006), 1,
      anon_sym_with,
    STATE(16406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784668] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21874), 1,
      sym__identifier,
    STATE(11108), 1,
      sym_class_type_path,
    STATE(16407), 1,
      sym_attribute,
    STATE(19221), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13562), 1,
      anon_sym_and,
    STATE(16408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13560), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [784710] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22008), 1,
      anon_sym_with,
    STATE(16409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784733] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22010), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20622), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(16410), 2,
      sym_attribute,
      aux_sym_instantiated_class_type_repeat1,
  [784752] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22013), 1,
      anon_sym_with,
    STATE(16411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784775] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20252), 1,
      sym__identifier,
    STATE(7312), 1,
      sym_class_path,
    STATE(16412), 1,
      sym_attribute,
    STATE(20553), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784798] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(22015), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16413), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784821] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22017), 1,
      anon_sym_with,
    STATE(16414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784844] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(22019), 1,
      sym__identifier,
    STATE(6598), 1,
      sym_type_constructor_path,
    STATE(16415), 1,
      sym_attribute,
    STATE(19104), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784867] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22021), 1,
      anon_sym_with,
    STATE(16416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784890] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21384), 1,
      sym__identifier,
    STATE(13753), 1,
      sym_class_type_path,
    STATE(16417), 1,
      sym_attribute,
    STATE(18667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784913] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22023), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22026), 2,
      anon_sym_RBRACK,
      anon_sym_GT,
    STATE(16418), 2,
      sym_attribute,
      aux_sym_polymorphic_variant_type_repeat1,
  [784932] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22028), 1,
      anon_sym_with,
    STATE(16419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784955] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(22030), 1,
      anon_sym_COLON_GT,
    ACTIONS(22032), 1,
      anon_sym_RPAREN,
    STATE(16420), 1,
      sym_attribute,
    STATE(18833), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784978] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22034), 1,
      anon_sym_RBRACK,
    ACTIONS(22036), 1,
      anon_sym_GT,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785001] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22038), 1,
      anon_sym_with,
    STATE(16422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785024] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20012), 1,
      sym__identifier,
    ACTIONS(20014), 1,
      anon_sym_LBRACK,
    ACTIONS(20016), 1,
      anon_sym_virtual,
    STATE(14123), 1,
      sym_class_binding,
    STATE(16423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785047] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22040), 1,
      anon_sym_DOT,
    ACTIONS(22042), 1,
      aux_sym_type_variable_token1,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16424), 2,
      sym_attribute,
      aux_sym_constructor_declaration_repeat1,
  [785068] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22045), 1,
      anon_sym_with,
    STATE(16425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785091] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22047), 1,
      anon_sym_with,
    STATE(16426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785114] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22049), 1,
      anon_sym_with,
    STATE(16427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785137] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22051), 1,
      anon_sym_with,
    STATE(16428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785160] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(22053), 1,
      anon_sym_COLON_GT,
    ACTIONS(22055), 1,
      anon_sym_RPAREN,
    STATE(16429), 1,
      sym_attribute,
    STATE(18914), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785183] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22057), 1,
      anon_sym_RBRACK,
    ACTIONS(22059), 1,
      anon_sym_GT,
    STATE(16430), 1,
      sym_attribute,
    STATE(16482), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785206] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20576), 1,
      sym__identifier,
    STATE(8406), 1,
      sym_class_path,
    STATE(16431), 1,
      sym_attribute,
    STATE(19580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785229] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22061), 1,
      anon_sym_with,
    STATE(16432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785252] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21780), 1,
      sym__identifier,
    STATE(11982), 1,
      sym_class_type_path,
    STATE(16433), 1,
      sym_attribute,
    STATE(19028), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785275] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22057), 1,
      anon_sym_RBRACK,
    ACTIONS(22059), 1,
      anon_sym_GT,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785298] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22063), 1,
      anon_sym_RBRACK,
    ACTIONS(22065), 1,
      anon_sym_GT,
    STATE(15823), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785321] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22067), 1,
      anon_sym_with,
    STATE(16436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785344] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22069), 1,
      anon_sym_with,
    STATE(16437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785367] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22071), 1,
      anon_sym_with,
    STATE(16438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785390] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(22073), 1,
      anon_sym_GT_RBRACE,
    STATE(16439), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785413] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22075), 1,
      anon_sym_with,
    STATE(16440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785436] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22077), 1,
      anon_sym_with,
    STATE(16441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785459] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22081), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22079), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(16442), 2,
      sym_attribute,
      aux_sym__type_params_repeat1,
  [785478] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22084), 1,
      anon_sym_with,
    STATE(16443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785501] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11114), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22086), 1,
      anon_sym_GT,
    STATE(16444), 1,
      sym_attribute,
    STATE(16454), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785524] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22088), 1,
      anon_sym_with,
    STATE(16445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785547] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22090), 1,
      anon_sym_with,
    STATE(16446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785570] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22063), 1,
      anon_sym_RBRACK,
    ACTIONS(22065), 1,
      anon_sym_GT,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785593] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(22092), 1,
      anon_sym_GT_RBRACE,
    STATE(16448), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785616] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22094), 1,
      anon_sym_with,
    STATE(16449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785639] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22096), 1,
      anon_sym_with,
    STATE(16450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785662] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22098), 1,
      anon_sym_with,
    STATE(16451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785685] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22100), 1,
      anon_sym_with,
    STATE(16452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785708] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22102), 1,
      anon_sym_RBRACK,
    ACTIONS(22104), 1,
      anon_sym_GT,
    STATE(16453), 1,
      sym_attribute,
    STATE(16460), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785731] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22102), 1,
      anon_sym_RBRACK,
    ACTIONS(22104), 1,
      anon_sym_GT,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785754] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22106), 1,
      anon_sym_with,
    STATE(16455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785777] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22108), 1,
      anon_sym_with,
    STATE(16456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785800] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(22110), 1,
      anon_sym_GT_RBRACE,
    STATE(16457), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785823] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22112), 1,
      anon_sym_with,
    STATE(16458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785846] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22114), 1,
      anon_sym_with,
    STATE(16459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785869] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22116), 1,
      anon_sym_RBRACK,
    ACTIONS(22118), 1,
      anon_sym_GT,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785892] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(22116), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16461), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785915] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17818), 1,
      sym__identifier,
    ACTIONS(20148), 1,
      anon_sym_LPAREN,
    STATE(14199), 1,
      sym_parenthesized_operator,
    STATE(14665), 1,
      sym__value_name,
    STATE(16462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785938] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22120), 1,
      anon_sym_with,
    STATE(16463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785961] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(22034), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16464), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785984] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(22122), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16465), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786007] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22124), 1,
      anon_sym_with,
    STATE(16466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786030] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(22126), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16467), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786053] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22128), 1,
      anon_sym_with,
    STATE(16468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786076] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(22130), 1,
      anon_sym_COLON_GT,
    ACTIONS(22132), 1,
      anon_sym_RPAREN,
    STATE(16469), 1,
      sym_attribute,
    STATE(19130), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786099] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(22134), 1,
      anon_sym_GT_RBRACE,
    STATE(16470), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786122] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22136), 1,
      anon_sym_with,
    STATE(16471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786145] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20222), 1,
      sym__identifier,
    STATE(5963), 1,
      sym_class_path,
    STATE(16472), 1,
      sym_attribute,
    STATE(22409), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786168] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21366), 1,
      sym__identifier,
    STATE(11333), 1,
      sym_class_type_path,
    STATE(16473), 1,
      sym_attribute,
    STATE(18285), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786191] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21366), 1,
      sym__identifier,
    STATE(11244), 1,
      sym_class_type_path,
    STATE(16474), 1,
      sym_attribute,
    STATE(18285), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786214] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21366), 1,
      sym__identifier,
    STATE(11131), 1,
      sym_class_type_path,
    STATE(16475), 1,
      sym_attribute,
    STATE(18285), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786237] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22138), 1,
      anon_sym_with,
    STATE(16476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786260] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22140), 1,
      anon_sym_with,
    STATE(16477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786283] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20012), 1,
      sym__identifier,
    ACTIONS(20014), 1,
      anon_sym_LBRACK,
    ACTIONS(20016), 1,
      anon_sym_virtual,
    STATE(12639), 1,
      sym_class_binding,
    STATE(16478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786306] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22142), 1,
      anon_sym_with,
    STATE(16479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786329] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22144), 1,
      anon_sym_with,
    STATE(16480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786352] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20334), 1,
      sym__identifier,
    STATE(6866), 1,
      sym_class_path,
    STATE(16481), 1,
      sym_attribute,
    STATE(20591), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786375] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22146), 1,
      anon_sym_RBRACK,
    ACTIONS(22148), 1,
      anon_sym_GT,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786398] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(22146), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16483), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786421] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22150), 1,
      anon_sym_with,
    STATE(16484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786444] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(22152), 1,
      sym__identifier,
    STATE(10048), 1,
      sym_type_constructor_path,
    STATE(16485), 1,
      sym_attribute,
    STATE(18118), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786467] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22154), 1,
      anon_sym_with,
    STATE(16486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786490] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22156), 1,
      anon_sym_DOT,
    STATE(16424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16487), 1,
      sym_attribute,
    STATE(18812), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786513] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_POUND,
    ACTIONS(21588), 1,
      anon_sym_DOT,
    ACTIONS(21592), 1,
      sym_hash_operator,
    ACTIONS(22158), 1,
      anon_sym_with,
    STATE(16488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786536] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(22160), 1,
      anon_sym_COLON_GT,
    ACTIONS(22162), 1,
      anon_sym_RPAREN,
    STATE(16489), 1,
      sym_attribute,
    STATE(19088), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786559] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(22164), 1,
      anon_sym_DASH_GT,
    STATE(10323), 1,
      aux_sym_module_binding_repeat1,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(16490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786582] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(16491), 1,
      sym_attribute,
    STATE(16493), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786605] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    STATE(16492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14443), 2,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [786626] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(22166), 1,
      anon_sym_DASH_GT,
    STATE(10323), 1,
      aux_sym_module_binding_repeat1,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(16493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786649] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(22168), 1,
      anon_sym_COLON_GT,
    ACTIONS(22170), 1,
      anon_sym_RPAREN,
    STATE(16494), 1,
      sym_attribute,
    STATE(19142), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786672] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21624), 1,
      sym__identifier,
    STATE(14230), 1,
      sym_class_type_path,
    STATE(16495), 1,
      sym_attribute,
    STATE(18748), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786695] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    ACTIONS(21102), 1,
      sym__identifier,
    STATE(15112), 1,
      sym_class_type_path,
    STATE(16496), 1,
      sym_attribute,
    STATE(18079), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786718] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(22172), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16497), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786741] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(22174), 1,
      anon_sym_GT_RBRACE,
    STATE(16498), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786764] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(21300), 1,
      sym__identifier,
    STATE(16499), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    STATE(19127), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786787] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(22176), 1,
      anon_sym_GT_RBRACE,
    STATE(16500), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786810] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    ACTIONS(22178), 1,
      anon_sym_GT_RBRACE,
    STATE(16501), 1,
      sym_attribute,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786833] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20148), 1,
      anon_sym_LPAREN,
    ACTIONS(20464), 1,
      sym__identifier,
    STATE(16502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(22342), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [786854] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(15907), 1,
      anon_sym_DASH_GT,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(16503), 1,
      sym_attribute,
    STATE(16504), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786877] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(22180), 1,
      anon_sym_DASH_GT,
    STATE(10323), 1,
      aux_sym_module_binding_repeat1,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(16504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786900] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20148), 1,
      anon_sym_LPAREN,
    ACTIONS(20464), 1,
      sym__identifier,
    STATE(16505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(22360), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [786921] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(15915), 1,
      anon_sym_DASH_GT,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(16506), 1,
      sym_attribute,
    STATE(16507), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786944] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(22182), 1,
      anon_sym_DASH_GT,
    STATE(10323), 1,
      aux_sym_module_binding_repeat1,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(16507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786967] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20148), 1,
      anon_sym_LPAREN,
    ACTIONS(20464), 1,
      sym__identifier,
    STATE(16508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(22367), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [786988] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(14745), 1,
      anon_sym_DASH_GT,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(16509), 1,
      sym_attribute,
    STATE(16510), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787011] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    ACTIONS(22184), 1,
      anon_sym_DASH_GT,
    STATE(10323), 1,
      aux_sym_module_binding_repeat1,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(16510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787034] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22186), 1,
      anon_sym_rec,
    STATE(13285), 1,
      sym_module_binding,
    STATE(16511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20026), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [787055] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    ACTIONS(22188), 1,
      anon_sym_RBRACK,
    STATE(16047), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16512), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787078] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(20388), 1,
      sym__identifier,
    STATE(7840), 1,
      sym_class_path,
    STATE(16513), 1,
      sym_attribute,
    STATE(20086), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787101] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22190), 1,
      anon_sym_rec,
    STATE(14161), 1,
      sym_module_binding,
    STATE(16514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20032), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [787122] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22192), 1,
      anon_sym_rec,
    STATE(14163), 1,
      sym_module_binding,
    STATE(16515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19766), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [787143] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11134), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22194), 1,
      anon_sym_GT,
    STATE(15827), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787166] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    STATE(16517), 1,
      sym_attribute,
    STATE(19189), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22196), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [787187] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(21300), 1,
      sym__identifier,
    STATE(16518), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    STATE(19196), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787210] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    STATE(16519), 1,
      sym_attribute,
    STATE(19199), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22198), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [787231] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14947), 1,
      sym__capitalized_identifier,
    ACTIONS(21300), 1,
      sym__identifier,
    STATE(16520), 1,
      sym_attribute,
    STATE(18846), 1,
      sym_extended_module_path,
    STATE(19208), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787254] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15140), 1,
      anon_sym_PERCENT,
    STATE(16521), 1,
      sym_attribute,
    STATE(19211), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22200), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [787275] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(22202), 1,
      anon_sym_COLON_GT,
    ACTIONS(22204), 1,
      anon_sym_RPAREN,
    STATE(16522), 1,
      sym_attribute,
    STATE(18213), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787298] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_COLON2,
    ACTIONS(22206), 1,
      anon_sym_COLON_GT,
    ACTIONS(22208), 1,
      anon_sym_RPAREN,
    STATE(16523), 1,
      sym_attribute,
    STATE(18439), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787321] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(15893), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16524), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787341] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22210), 1,
      anon_sym_SEMI,
    ACTIONS(22212), 1,
      anon_sym_GT_RBRACE,
    STATE(16525), 1,
      sym_attribute,
    STATE(16553), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787361] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22214), 1,
      anon_sym_SEMI,
    ACTIONS(22216), 1,
      anon_sym_RBRACE,
    STATE(16526), 1,
      sym_attribute,
    STATE(16586), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787381] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22218), 1,
      anon_sym_SEMI,
    ACTIONS(22220), 1,
      anon_sym_GT_RBRACE,
    STATE(16527), 1,
      sym_attribute,
    STATE(16601), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787401] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20256), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22222), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16528), 2,
      sym_attribute,
      aux_sym_list_binding_pattern_repeat1,
  [787419] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22225), 1,
      anon_sym_EQ,
    STATE(16529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787439] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11905), 1,
      sym_attribute_id,
    STATE(16530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22227), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [787457] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20378), 1,
      anon_sym_RBRACE,
    ACTIONS(22229), 1,
      anon_sym_SEMI,
    STATE(16531), 1,
      sym_attribute,
    STATE(16591), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787477] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(22233), 1,
      anon_sym_RBRACK,
    STATE(16442), 1,
      aux_sym__type_params_repeat1,
    STATE(16532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787497] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22235), 1,
      sym__identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    STATE(16533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787517] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4085), 1,
      anon_sym_RBRACK,
    ACTIONS(22239), 1,
      anon_sym_SEMI,
    STATE(16534), 1,
      sym_attribute,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787537] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20410), 1,
      anon_sym_RBRACE,
    ACTIONS(22241), 1,
      anon_sym_SEMI,
    STATE(16535), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787557] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(22243), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787577] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16363), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16537), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787597] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(22245), 1,
      anon_sym_RBRACK,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787617] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20342), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22247), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16539), 2,
      sym_attribute,
      aux_sym_list_pattern_repeat1,
  [787635] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22250), 1,
      anon_sym_EQ,
    STATE(16540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787655] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(22252), 1,
      anon_sym_type,
    STATE(16541), 1,
      sym_attribute,
    STATE(17672), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787675] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3945), 1,
      anon_sym_RBRACK,
    ACTIONS(22254), 1,
      anon_sym_SEMI,
    STATE(16542), 1,
      sym_attribute,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787695] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3835), 1,
      anon_sym_RBRACK,
    ACTIONS(22256), 1,
      anon_sym_SEMI,
    STATE(16543), 1,
      sym_attribute,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787715] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16385), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16544), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787735] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20418), 1,
      anon_sym_RBRACE,
    ACTIONS(22258), 1,
      anon_sym_SEMI,
    STATE(16545), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787755] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11894), 1,
      sym__type_equation,
    STATE(16546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22260), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [787773] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4087), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22262), 1,
      anon_sym_SEMI,
    STATE(16547), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787793] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20532), 1,
      anon_sym_RBRACE,
    ACTIONS(22264), 1,
      anon_sym_SEMI,
    STATE(16548), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787813] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16413), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16549), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787833] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22266), 1,
      anon_sym_EQ,
    STATE(16550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787853] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11895), 1,
      sym__type_equation,
    STATE(16551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22260), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [787871] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20220), 1,
      anon_sym_RBRACE,
    ACTIONS(22268), 1,
      anon_sym_SEMI,
    STATE(16552), 1,
      sym_attribute,
    STATE(16736), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787891] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21330), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22270), 1,
      anon_sym_SEMI,
    STATE(16553), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787911] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13572), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [787927] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11052), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(16555), 1,
      sym_attribute,
    STATE(16600), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787947] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22272), 1,
      anon_sym_RPAREN,
    STATE(16556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787967] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22274), 1,
      anon_sym_SEMI,
    ACTIONS(22276), 1,
      anon_sym_RBRACE,
    STATE(16557), 1,
      sym_attribute,
    STATE(16620), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787987] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3981), 1,
      anon_sym_RBRACK,
    ACTIONS(22278), 1,
      anon_sym_SEMI,
    STATE(16558), 1,
      sym_attribute,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788007] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20570), 1,
      anon_sym_RBRACE,
    ACTIONS(22280), 1,
      anon_sym_SEMI,
    STATE(16559), 1,
      sym_attribute,
    STATE(16572), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788027] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20512), 1,
      anon_sym_RBRACE,
    ACTIONS(22282), 1,
      anon_sym_SEMI,
    STATE(16560), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788047] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3837), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22284), 1,
      anon_sym_SEMI,
    STATE(16561), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788067] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3969), 1,
      anon_sym_RBRACK,
    ACTIONS(22286), 1,
      anon_sym_SEMI,
    STATE(16562), 1,
      sym_attribute,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788087] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11266), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(16563), 1,
      sym_attribute,
    STATE(16577), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788107] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19302), 1,
      anon_sym_SEMI,
    ACTIONS(19304), 1,
      anon_sym_GT,
    STATE(16564), 1,
      sym_attribute,
    STATE(16626), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788127] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21334), 1,
      anon_sym_RBRACE,
    ACTIONS(22288), 1,
      anon_sym_SEMI,
    STATE(16565), 1,
      sym_attribute,
    STATE(17585), 1,
      aux_sym_record_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788147] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19354), 1,
      anon_sym_SEMI,
    ACTIONS(19356), 1,
      anon_sym_GT,
    STATE(16566), 1,
      sym_attribute,
    STATE(16579), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788167] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20206), 1,
      anon_sym_RBRACE,
    ACTIONS(22290), 1,
      anon_sym_SEMI,
    STATE(16567), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788187] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4315), 1,
      anon_sym_RBRACK,
    ACTIONS(22292), 1,
      anon_sym_SEMI,
    STATE(16568), 1,
      sym_attribute,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788207] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(22294), 1,
      sym__identifier,
    STATE(16569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788227] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22296), 1,
      anon_sym_RPAREN,
    STATE(16570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788247] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22298), 1,
      anon_sym_RPAREN,
    STATE(16571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788267] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20086), 1,
      anon_sym_RBRACE,
    ACTIONS(22300), 1,
      anon_sym_SEMI,
    STATE(16572), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788287] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22302), 1,
      anon_sym_SEMI,
    ACTIONS(22304), 1,
      anon_sym_RBRACE,
    STATE(16573), 1,
      sym_attribute,
    STATE(16596), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788307] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21342), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22306), 1,
      anon_sym_SEMI,
    STATE(16574), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788327] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(22308), 1,
      anon_sym_RPAREN,
    STATE(16575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788347] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21346), 1,
      anon_sym_RBRACK,
    STATE(16576), 1,
      sym_attribute,
    STATE(16585), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788367] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21346), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788387] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(22310), 1,
      sym__identifier,
    STATE(16578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788407] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13084), 1,
      anon_sym_GT,
    ACTIONS(22312), 1,
      anon_sym_SEMI,
    STATE(16579), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788427] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3983), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22314), 1,
      anon_sym_SEMI,
    STATE(16580), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788447] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(22316), 1,
      anon_sym_RPAREN,
    STATE(16581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788467] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(22318), 1,
      anon_sym_RPAREN,
    STATE(16582), 1,
      sym_attribute,
    STATE(19383), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788487] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22320), 1,
      anon_sym_SEMI,
    ACTIONS(22322), 1,
      anon_sym_GT_RBRACE,
    STATE(16583), 1,
      sym_attribute,
    STATE(16623), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788507] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9772), 1,
      anon_sym_RBRACK,
    ACTIONS(22324), 1,
      anon_sym_SEMI,
    STATE(16584), 1,
      sym_attribute,
    STATE(17728), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788527] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21354), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788547] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19738), 1,
      anon_sym_RBRACE,
    ACTIONS(22326), 1,
      anon_sym_SEMI,
    STATE(16586), 1,
      sym_attribute,
    STATE(17732), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788567] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21354), 1,
      anon_sym_RBRACK,
    STATE(16587), 1,
      sym_attribute,
    STATE(16593), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788587] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9776), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22328), 1,
      anon_sym_SEMI,
    STATE(16528), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788607] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22330), 1,
      anon_sym_RPAREN,
    STATE(16589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788627] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20208), 1,
      anon_sym_RBRACE,
    ACTIONS(22332), 1,
      anon_sym_SEMI,
    STATE(16590), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788647] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20386), 1,
      anon_sym_RBRACE,
    ACTIONS(22334), 1,
      anon_sym_SEMI,
    STATE(16591), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788667] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22336), 1,
      anon_sym_RPAREN,
    STATE(16592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788687] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21364), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788707] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4415), 1,
      anon_sym_RBRACK,
    ACTIONS(22338), 1,
      anon_sym_SEMI,
    STATE(16594), 1,
      sym_attribute,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788727] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20295), 1,
      anon_sym_RBRACE,
    ACTIONS(22340), 1,
      anon_sym_SEMI,
    STATE(16595), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788747] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20506), 1,
      anon_sym_RBRACE,
    ACTIONS(22342), 1,
      anon_sym_SEMI,
    STATE(16596), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788767] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(22344), 1,
      anon_sym_RPAREN,
    STATE(16597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788787] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22346), 1,
      anon_sym_RPAREN,
    STATE(16598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788807] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21120), 1,
      anon_sym_RBRACK,
    STATE(16599), 1,
      sym_attribute,
    STATE(16659), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788827] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21120), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788847] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21370), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22348), 1,
      anon_sym_SEMI,
    STATE(16601), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788867] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(22350), 1,
      anon_sym_RBRACK,
    STATE(16602), 1,
      sym_attribute,
    STATE(16705), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788887] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20293), 1,
      anon_sym_RBRACE,
    ACTIONS(22352), 1,
      anon_sym_SEMI,
    STATE(16603), 1,
      sym_attribute,
    STATE(16634), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788907] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21344), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22354), 1,
      anon_sym_SEMI,
    STATE(16604), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788927] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22356), 1,
      anon_sym_RPAREN,
    STATE(16605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788947] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20297), 1,
      anon_sym_RBRACE,
    ACTIONS(22358), 1,
      anon_sym_SEMI,
    STATE(16606), 1,
      sym_attribute,
    STATE(16631), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788967] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22360), 1,
      anon_sym_SEMI,
    ACTIONS(22362), 1,
      anon_sym_RBRACE,
    STATE(16607), 1,
      sym_attribute,
    STATE(16827), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788987] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3947), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22364), 1,
      anon_sym_SEMI,
    STATE(16608), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789007] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11373), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(16609), 1,
      sym_attribute,
    STATE(16642), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789027] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4417), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22366), 1,
      anon_sym_SEMI,
    STATE(16610), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789047] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19272), 1,
      anon_sym_SEMI,
    ACTIONS(19274), 1,
      anon_sym_GT,
    STATE(16611), 1,
      sym_attribute,
    STATE(16663), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789067] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(22368), 1,
      anon_sym_RPAREN,
    STATE(16612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789087] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21427), 1,
      anon_sym_RBRACK,
    STATE(16613), 1,
      sym_attribute,
    STATE(17035), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789107] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11254), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(16614), 1,
      sym_attribute,
    STATE(16651), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789127] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21427), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789147] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19246), 1,
      anon_sym_SEMI,
    ACTIONS(19248), 1,
      anon_sym_GT,
    STATE(16616), 1,
      sym_attribute,
    STATE(16654), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789167] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13124), 1,
      anon_sym_GT,
    ACTIONS(22370), 1,
      anon_sym_SEMI,
    STATE(16617), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789187] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22372), 1,
      anon_sym_RPAREN,
    ACTIONS(22374), 1,
      anon_sym_COLON2,
    STATE(16618), 1,
      sym_attribute,
    STATE(19503), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789207] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9596), 1,
      anon_sym_RBRACK,
    ACTIONS(22376), 1,
      anon_sym_SEMI,
    STATE(16619), 1,
      sym_attribute,
    STATE(17381), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789227] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20002), 1,
      anon_sym_RBRACE,
    ACTIONS(22378), 1,
      anon_sym_SEMI,
    STATE(16620), 1,
      sym_attribute,
    STATE(17487), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789247] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9598), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22380), 1,
      anon_sym_SEMI,
    STATE(16539), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789267] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21064), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789287] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21124), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22382), 1,
      anon_sym_SEMI,
    STATE(16623), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789307] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22384), 1,
      anon_sym_SEMI,
    ACTIONS(22386), 1,
      anon_sym_RBRACE,
    STATE(16624), 1,
      sym_attribute,
    STATE(16641), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789327] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(22388), 1,
      sym__identifier,
    STATE(16625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789347] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12831), 1,
      anon_sym_GT,
    ACTIONS(22390), 1,
      anon_sym_SEMI,
    STATE(16626), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789367] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(22392), 1,
      sym__identifier,
    STATE(16627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789387] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(22394), 1,
      anon_sym_RPAREN,
    STATE(16628), 1,
      sym_attribute,
    STATE(19570), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789407] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22396), 1,
      anon_sym_RPAREN,
    STATE(16629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789427] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22398), 1,
      anon_sym_SEMI,
    ACTIONS(22400), 1,
      anon_sym_GT_RBRACE,
    STATE(16630), 1,
      sym_attribute,
    STATE(16661), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789447] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20174), 1,
      anon_sym_RBRACE,
    ACTIONS(22402), 1,
      anon_sym_SEMI,
    STATE(16631), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789467] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22404), 1,
      anon_sym_RPAREN,
    STATE(16632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789487] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21392), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22406), 1,
      anon_sym_SEMI,
    STATE(16633), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789507] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20228), 1,
      anon_sym_RBRACE,
    ACTIONS(22408), 1,
      anon_sym_SEMI,
    STATE(16634), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789527] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17646), 1,
      sym__capitalized_identifier,
    ACTIONS(20682), 1,
      anon_sym_LPAREN,
    STATE(7737), 1,
      sym__constructor_name,
    STATE(16635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789547] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(22410), 1,
      anon_sym_RBRACK,
    STATE(16442), 1,
      aux_sym__type_params_repeat1,
    STATE(16636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789567] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(22410), 1,
      anon_sym_RBRACK,
    STATE(16637), 1,
      sym_attribute,
    STATE(16880), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789587] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(22412), 1,
      anon_sym_RPAREN,
    STATE(16638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789607] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4111), 1,
      anon_sym_RBRACK,
    ACTIONS(22414), 1,
      anon_sym_SEMI,
    STATE(16639), 1,
      sym_attribute,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789627] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21394), 1,
      anon_sym_RBRACK,
    STATE(16640), 1,
      sym_attribute,
    STATE(16697), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789647] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20578), 1,
      anon_sym_RBRACE,
    ACTIONS(22416), 1,
      anon_sym_SEMI,
    STATE(16641), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789667] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21394), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789687] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21402), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789707] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22418), 1,
      anon_sym_RPAREN,
    STATE(16644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789727] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20516), 1,
      anon_sym_RBRACE,
    ACTIONS(22420), 1,
      anon_sym_SEMI,
    STATE(16645), 1,
      sym_attribute,
    STATE(16656), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789747] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4317), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22422), 1,
      anon_sym_SEMI,
    STATE(16646), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789767] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4113), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22424), 1,
      anon_sym_SEMI,
    STATE(16647), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789787] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(16265), 1,
      aux_sym_module_binding_repeat1,
    STATE(16648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789807] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(22426), 1,
      anon_sym_RPAREN,
    STATE(16649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789827] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21398), 1,
      anon_sym_RBRACK,
    STATE(16650), 1,
      sym_attribute,
    STATE(16676), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789847] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21398), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789867] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(22428), 1,
      sym__identifier,
    STATE(16652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789887] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15997), 1,
      anon_sym_in,
    ACTIONS(22430), 1,
      anon_sym_and,
    STATE(16653), 1,
      sym_attribute,
    STATE(16919), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789907] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13092), 1,
      anon_sym_GT,
    ACTIONS(22432), 1,
      anon_sym_SEMI,
    STATE(16654), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789927] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22434), 1,
      anon_sym_RPAREN,
    STATE(16655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789947] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20524), 1,
      anon_sym_RBRACE,
    ACTIONS(22436), 1,
      anon_sym_SEMI,
    STATE(16656), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789967] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(22438), 1,
      anon_sym_RPAREN,
    STATE(16657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789987] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16336), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16658), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790007] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21128), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790027] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10), 1,
      sym_attribute_id,
    STATE(16660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [790045] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21404), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22442), 1,
      anon_sym_SEMI,
    STATE(16661), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790065] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21128), 1,
      anon_sym_RBRACK,
    STATE(16662), 1,
      sym_attribute,
    STATE(16687), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790085] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13042), 1,
      anon_sym_GT,
    ACTIONS(22444), 1,
      anon_sym_SEMI,
    STATE(16663), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790105] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22446), 1,
      anon_sym_RPAREN,
    STATE(16664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790125] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22448), 1,
      aux_sym_quoted_extension_token1,
    STATE(16665), 1,
      sym_attribute,
    STATE(22352), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790145] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11), 1,
      sym_attribute_id,
    STATE(16666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [790163] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20062), 1,
      anon_sym_RBRACE,
    ACTIONS(22450), 1,
      anon_sym_SEMI,
    STATE(16667), 1,
      sym_attribute,
    STATE(16682), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790183] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(22452), 1,
      anon_sym_RBRACK,
    STATE(16668), 1,
      sym_attribute,
    STATE(16680), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790203] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22454), 1,
      anon_sym_SEMI,
    ACTIONS(22456), 1,
      anon_sym_GT_RBRACE,
    STATE(16669), 1,
      sym_attribute,
    STATE(17424), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790223] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16670), 1,
      sym_attribute,
    STATE(18942), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20458), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [790241] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15997), 1,
      anon_sym_in,
    ACTIONS(22430), 1,
      anon_sym_and,
    STATE(16671), 1,
      sym_attribute,
    STATE(16953), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790261] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16672), 1,
      sym_attribute,
    STATE(16955), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20458), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [790279] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(22458), 1,
      sym__identifier,
    STATE(16673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790299] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22460), 1,
      anon_sym_EQ,
    STATE(16674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790319] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(22462), 1,
      anon_sym_RPAREN,
    STATE(16675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790339] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21421), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790359] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22464), 1,
      anon_sym_EQ,
    STATE(16677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790379] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22466), 1,
      anon_sym_RPAREN,
    STATE(16678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790399] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(4), 1,
      sym_attribute_id,
    STATE(16679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [790417] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(22468), 1,
      anon_sym_RBRACK,
    STATE(16442), 1,
      aux_sym__type_params_repeat1,
    STATE(16680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790437] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(22468), 1,
      anon_sym_RBRACK,
    STATE(16681), 1,
      sym_attribute,
    STATE(16688), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790457] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20096), 1,
      anon_sym_RBRACE,
    ACTIONS(22470), 1,
      anon_sym_SEMI,
    STATE(16682), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790477] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21421), 1,
      anon_sym_RBRACK,
    STATE(16683), 1,
      sym_attribute,
    STATE(16713), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790497] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22472), 1,
      anon_sym_RPAREN,
    STATE(16684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790517] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22474), 1,
      anon_sym_RPAREN,
    STATE(16685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790537] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22476), 1,
      anon_sym_EQ,
    STATE(16686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790557] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21132), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790577] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(22478), 1,
      anon_sym_RBRACK,
    STATE(16442), 1,
      aux_sym__type_params_repeat1,
    STATE(16688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790597] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(22480), 1,
      sym__identifier,
    STATE(16689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790617] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(22482), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790637] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16053), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16691), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790657] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(22484), 1,
      anon_sym_RBRACK,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790677] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22486), 1,
      anon_sym_EQ,
    STATE(16693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790697] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(22488), 1,
      anon_sym_RPAREN,
    STATE(16694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790717] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16066), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16695), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790737] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14825), 1,
      sym__type_equation,
    STATE(16696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22490), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [790755] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21431), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790775] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16072), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16698), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790795] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14826), 1,
      sym__type_equation,
    STATE(16699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22490), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [790813] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21431), 1,
      anon_sym_RBRACK,
    STATE(16700), 1,
      sym_attribute,
    STATE(16704), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790833] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21066), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22492), 1,
      anon_sym_SEMI,
    STATE(16701), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790853] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(22494), 1,
      anon_sym_RPAREN,
    STATE(16702), 1,
      sym_attribute,
    STATE(19998), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790873] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22496), 1,
      anon_sym_RPAREN,
    STATE(16703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790893] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21435), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790913] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(22498), 1,
      anon_sym_RBRACK,
    STATE(16442), 1,
      aux_sym__type_params_repeat1,
    STATE(16705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790933] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22500), 1,
      anon_sym_SEMI,
    ACTIONS(22502), 1,
      anon_sym_RBRACE,
    STATE(16706), 1,
      sym_attribute,
    STATE(16719), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790953] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22504), 1,
      anon_sym_RPAREN,
    STATE(16707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790973] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20560), 1,
      anon_sym_RBRACE,
    ACTIONS(22506), 1,
      anon_sym_SEMI,
    STATE(16708), 1,
      sym_attribute,
    STATE(16741), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790993] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22508), 1,
      anon_sym_SEMI,
    ACTIONS(22510), 1,
      anon_sym_GT_RBRACE,
    STATE(16709), 1,
      sym_attribute,
    STATE(17045), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791013] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22512), 1,
      anon_sym_RPAREN,
    STATE(16710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791033] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20310), 1,
      anon_sym_RBRACE,
    ACTIONS(22514), 1,
      anon_sym_SEMI,
    STATE(16711), 1,
      sym_attribute,
    STATE(16794), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791053] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22516), 1,
      anon_sym_SEMI,
    ACTIONS(22518), 1,
      anon_sym_GT_RBRACE,
    STATE(16712), 1,
      sym_attribute,
    STATE(16738), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791073] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21441), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791093] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22520), 1,
      anon_sym_RPAREN,
    STATE(16714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791113] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3971), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22522), 1,
      anon_sym_SEMI,
    STATE(16715), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791133] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(22498), 1,
      anon_sym_RBRACK,
    STATE(16716), 1,
      sym_attribute,
    STATE(17022), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791153] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11318), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(16717), 1,
      sym_attribute,
    STATE(16774), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791173] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4427), 1,
      anon_sym_RBRACK,
    ACTIONS(22524), 1,
      anon_sym_SEMI,
    STATE(16718), 1,
      sym_attribute,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791193] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20552), 1,
      anon_sym_RBRACE,
    ACTIONS(22526), 1,
      anon_sym_SEMI,
    STATE(16719), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791213] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22530), 1,
      anon_sym_LBRACK,
    STATE(16720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22528), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [791231] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(22532), 1,
      anon_sym_RPAREN,
    STATE(16721), 1,
      sym_attribute,
    STATE(20754), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791251] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19156), 1,
      anon_sym_SEMI,
    ACTIONS(19158), 1,
      anon_sym_GT,
    STATE(16722), 1,
      sym_attribute,
    STATE(16782), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791271] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22534), 1,
      anon_sym_SEMI,
    ACTIONS(22536), 1,
      anon_sym_RBRACE,
    STATE(16723), 1,
      sym_attribute,
    STATE(16731), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791291] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22538), 1,
      anon_sym_SEMI,
    ACTIONS(22540), 1,
      anon_sym_GT_RBRACE,
    STATE(16724), 1,
      sym_attribute,
    STATE(16917), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791311] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22542), 1,
      anon_sym_EQ,
    STATE(16725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22544), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
  [791329] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4429), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22546), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791349] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22548), 1,
      anon_sym_SEMI,
    ACTIONS(22550), 1,
      anon_sym_GT_RBRACE,
    STATE(16727), 1,
      sym_attribute,
    STATE(16739), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791369] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12), 1,
      sym_attribute_id,
    STATE(16728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [791387] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4123), 1,
      anon_sym_RBRACK,
    ACTIONS(22552), 1,
      anon_sym_SEMI,
    STATE(16729), 1,
      sym_attribute,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791407] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(22554), 1,
      sym__identifier,
    STATE(16730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791427] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20522), 1,
      anon_sym_RBRACE,
    ACTIONS(22556), 1,
      anon_sym_SEMI,
    STATE(16731), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791447] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4125), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22558), 1,
      anon_sym_SEMI,
    STATE(16732), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791467] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(22560), 1,
      anon_sym_RPAREN,
    STATE(16733), 1,
      sym_attribute,
    STATE(20492), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791487] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22562), 1,
      aux_sym_quoted_extension_token1,
    STATE(16734), 1,
      sym_attribute,
    STATE(20987), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791507] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13), 1,
      sym_attribute_id,
    STATE(16735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [791525] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20230), 1,
      anon_sym_RBRACE,
    ACTIONS(22564), 1,
      anon_sym_SEMI,
    STATE(16736), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791545] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22566), 1,
      anon_sym_RPAREN,
    STATE(16737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791565] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21142), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22568), 1,
      anon_sym_SEMI,
    STATE(16738), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791585] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21463), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22570), 1,
      anon_sym_SEMI,
    STATE(16739), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791605] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(22572), 1,
      anon_sym_RBRACK,
    STATE(16740), 1,
      sym_attribute,
    STATE(16749), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791625] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20142), 1,
      anon_sym_RBRACE,
    ACTIONS(22574), 1,
      anon_sym_SEMI,
    STATE(16741), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791645] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22576), 1,
      anon_sym_RPAREN,
    STATE(16742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791665] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12974), 1,
      anon_sym_GT,
    ACTIONS(22578), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791685] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20106), 1,
      anon_sym_RBRACE,
    ACTIONS(22580), 1,
      anon_sym_SEMI,
    STATE(16744), 1,
      sym_attribute,
    STATE(16762), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791705] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22582), 1,
      anon_sym_EQ,
    STATE(16745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791725] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22584), 1,
      anon_sym_EQ,
    STATE(16746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791745] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20122), 1,
      anon_sym_RBRACE,
    ACTIONS(22586), 1,
      anon_sym_SEMI,
    STATE(16747), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791765] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21144), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22588), 1,
      anon_sym_SEMI,
    STATE(16748), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791785] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(22590), 1,
      anon_sym_RBRACK,
    STATE(16442), 1,
      aux_sym__type_params_repeat1,
    STATE(16749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791805] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(22590), 1,
      anon_sym_RBRACK,
    STATE(16750), 1,
      sym_attribute,
    STATE(16755), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791825] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22592), 1,
      anon_sym_RPAREN,
    STATE(16751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791845] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20562), 1,
      anon_sym_RBRACE,
    ACTIONS(22594), 1,
      anon_sym_SEMI,
    STATE(16752), 1,
      sym_attribute,
    STATE(16770), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791865] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(22596), 1,
      sym__identifier,
    STATE(16753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791885] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22598), 1,
      anon_sym_EQ,
    STATE(16754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791905] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(22600), 1,
      anon_sym_RBRACK,
    STATE(16442), 1,
      aux_sym__type_params_repeat1,
    STATE(16755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791925] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22602), 1,
      anon_sym_RPAREN,
    STATE(16756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791945] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(22604), 1,
      sym__identifier,
    STATE(16757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791965] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(22606), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791985] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16169), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16759), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792005] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(22608), 1,
      anon_sym_RPAREN,
    STATE(16760), 1,
      sym_attribute,
    STATE(21530), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792025] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(22610), 1,
      anon_sym_RBRACK,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792045] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20273), 1,
      anon_sym_RBRACE,
    ACTIONS(22612), 1,
      anon_sym_SEMI,
    STATE(16762), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792065] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22614), 1,
      anon_sym_EQ,
    STATE(16763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792085] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(22616), 1,
      sym__identifier,
    STATE(16764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792105] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16171), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16765), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792125] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11899), 1,
      sym__type_equation,
    STATE(16766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22618), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [792143] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16177), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16767), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792163] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11900), 1,
      sym__type_equation,
    STATE(16768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22618), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [792181] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22620), 1,
      anon_sym_RPAREN,
    STATE(16769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792201] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20568), 1,
      anon_sym_RBRACE,
    ACTIONS(22622), 1,
      anon_sym_SEMI,
    STATE(16770), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792221] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22624), 1,
      anon_sym_SEMI,
    ACTIONS(22626), 1,
      anon_sym_RBRACE,
    STATE(16771), 1,
      sym_attribute,
    STATE(16786), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792241] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(22628), 1,
      anon_sym_RPAREN,
    STATE(16772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792261] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21481), 1,
      anon_sym_RBRACK,
    STATE(16773), 1,
      sym_attribute,
    STATE(16832), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792281] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21481), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792301] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22630), 1,
      anon_sym_SEMI,
    ACTIONS(22632), 1,
      anon_sym_GT_RBRACE,
    STATE(16775), 1,
      sym_attribute,
    STATE(16824), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792321] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22634), 1,
      sym__identifier,
    ACTIONS(22636), 1,
      anon_sym_LPAREN,
    STATE(11384), 1,
      sym__simple_value_pattern,
    STATE(16776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792341] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22638), 1,
      anon_sym_RPAREN,
    STATE(16777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792361] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21148), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792381] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20250), 1,
      anon_sym_RBRACE,
    ACTIONS(22640), 1,
      anon_sym_SEMI,
    STATE(16779), 1,
      sym_attribute,
    STATE(16995), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792401] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13070), 1,
      sym_attribute_id,
    STATE(16780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22642), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [792419] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22644), 1,
      anon_sym_RPAREN,
    STATE(16781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792439] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13116), 1,
      anon_sym_GT,
    ACTIONS(22646), 1,
      anon_sym_SEMI,
    STATE(16782), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792459] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22648), 1,
      anon_sym_SEMI,
    ACTIONS(22650), 1,
      anon_sym_RBRACE,
    STATE(16783), 1,
      sym_attribute,
    STATE(16789), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792479] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3993), 1,
      anon_sym_RBRACK,
    ACTIONS(22652), 1,
      anon_sym_SEMI,
    STATE(16784), 1,
      sym_attribute,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792499] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22654), 1,
      anon_sym_SEMI,
    ACTIONS(22656), 1,
      anon_sym_GT_RBRACE,
    STATE(16785), 1,
      sym_attribute,
    STATE(16795), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792519] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20354), 1,
      anon_sym_RBRACE,
    ACTIONS(22658), 1,
      anon_sym_SEMI,
    STATE(16786), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792539] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14), 1,
      sym_attribute_id,
    STATE(16787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [792557] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4135), 1,
      anon_sym_RBRACK,
    ACTIONS(22660), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      sym_attribute,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792577] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20226), 1,
      anon_sym_RBRACE,
    ACTIONS(22662), 1,
      anon_sym_SEMI,
    STATE(16789), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792597] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16464), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16790), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792617] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4137), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22664), 1,
      anon_sym_SEMI,
    STATE(16791), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792637] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22666), 1,
      aux_sym_quoted_extension_token1,
    STATE(16792), 1,
      sym_attribute,
    STATE(19236), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792657] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19342), 1,
      anon_sym_SEMI,
    ACTIONS(19344), 1,
      anon_sym_GT,
    STATE(16743), 1,
      aux_sym_object_type_repeat1,
    STATE(16793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792677] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20324), 1,
      anon_sym_RBRACE,
    ACTIONS(22668), 1,
      anon_sym_SEMI,
    STATE(16794), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792697] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21495), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22670), 1,
      anon_sym_SEMI,
    STATE(16795), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792717] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22672), 1,
      anon_sym_SEMI,
    ACTIONS(22674), 1,
      anon_sym_RBRACE,
    STATE(16796), 1,
      sym_attribute,
    STATE(16941), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792737] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22676), 1,
      anon_sym_EQ,
    STATE(16797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792757] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22678), 1,
      anon_sym_RPAREN,
    STATE(16798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792777] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22680), 1,
      anon_sym_EQ,
    STATE(16799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792797] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20246), 1,
      anon_sym_RBRACE,
    ACTIONS(22682), 1,
      anon_sym_SEMI,
    STATE(16800), 1,
      sym_attribute,
    STATE(16817), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792817] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22684), 1,
      anon_sym_EQ,
    STATE(16801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792837] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(22686), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792857] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16246), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16803), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792877] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4509), 1,
      anon_sym_RBRACK,
    ACTIONS(22688), 1,
      anon_sym_SEMI,
    STATE(16804), 1,
      sym_attribute,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792897] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(22690), 1,
      anon_sym_RBRACK,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792917] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22692), 1,
      anon_sym_EQ,
    STATE(16806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792937] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16653), 1,
      sym_module_binding,
    STATE(16807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20458), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [792955] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16249), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16808), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792975] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4305), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22694), 1,
      anon_sym_SEMI,
    STATE(16809), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792995] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11350), 1,
      sym__type_equation,
    STATE(16810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22696), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [793013] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16251), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16811), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793033] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11351), 1,
      sym__type_equation,
    STATE(16812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22696), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [793051] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9471), 1,
      sym_attribute_id,
    STATE(16813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22698), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [793069] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(22700), 1,
      sym__identifier,
    STATE(16814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793089] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22702), 1,
      anon_sym_RPAREN,
    STATE(16815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793109] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3995), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22704), 1,
      anon_sym_SEMI,
    STATE(16816), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793129] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20248), 1,
      anon_sym_RBRACE,
    ACTIONS(22706), 1,
      anon_sym_SEMI,
    STATE(16817), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793149] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22708), 1,
      anon_sym_SEMI,
    ACTIONS(22710), 1,
      anon_sym_RBRACE,
    STATE(16818), 1,
      sym_attribute,
    STATE(16857), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793169] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22712), 1,
      anon_sym_SEMI,
    ACTIONS(22714), 1,
      anon_sym_RBRACE,
    STATE(16819), 1,
      sym_attribute,
    STATE(16859), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793189] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22718), 1,
      anon_sym_LBRACK,
    STATE(16820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22716), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [793207] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22720), 1,
      sym__identifier,
    ACTIONS(22722), 1,
      anon_sym_LPAREN,
    STATE(8578), 1,
      sym__simple_value_pattern,
    STATE(16821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793227] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3933), 1,
      anon_sym_RBRACK,
    ACTIONS(22724), 1,
      anon_sym_SEMI,
    STATE(16822), 1,
      sym_attribute,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793247] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      sym__identifier,
    STATE(16725), 1,
      sym__instance_variable_name,
    STATE(16823), 1,
      sym_attribute,
    STATE(18138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793267] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21513), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22726), 1,
      anon_sym_SEMI,
    STATE(16824), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793287] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22728), 1,
      sym__identifier,
    ACTIONS(22730), 1,
      anon_sym_LPAREN,
    STATE(8351), 1,
      sym__simple_value_pattern,
    STATE(16825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793307] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22732), 1,
      anon_sym_LPAREN,
    ACTIONS(22734), 1,
      anon_sym_LBRACK,
    ACTIONS(22736), 1,
      anon_sym_LBRACE,
    STATE(16826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793327] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20277), 1,
      anon_sym_RBRACE,
    ACTIONS(22738), 1,
      anon_sym_SEMI,
    STATE(16827), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793347] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(22740), 1,
      anon_sym_RPAREN,
    STATE(16828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793367] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22742), 1,
      anon_sym_RPAREN,
    STATE(16829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793387] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20408), 1,
      anon_sym_RBRACE,
    ACTIONS(22744), 1,
      anon_sym_SEMI,
    STATE(16830), 1,
      sym_attribute,
    STATE(16878), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793407] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15), 1,
      sym_attribute_id,
    STATE(16831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [793425] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21515), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793445] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21515), 1,
      anon_sym_RBRACK,
    STATE(16833), 1,
      sym_attribute,
    STATE(16926), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793465] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11371), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(16834), 1,
      sym_attribute,
    STATE(17100), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793485] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(22746), 1,
      anon_sym_type,
    STATE(16835), 1,
      sym_attribute,
    STATE(17893), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793505] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22748), 1,
      anon_sym_SEMI,
    ACTIONS(22750), 1,
      anon_sym_GT_RBRACE,
    STATE(16836), 1,
      sym_attribute,
    STATE(17036), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793525] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22752), 1,
      anon_sym_SEMI,
    ACTIONS(22754), 1,
      anon_sym_GT_RBRACE,
    STATE(16837), 1,
      sym_attribute,
    STATE(16871), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793545] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11278), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(16838), 1,
      sym_attribute,
    STATE(16896), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793565] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22756), 1,
      aux_sym_quoted_extension_token1,
    STATE(16839), 1,
      sym_attribute,
    STATE(20021), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793585] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22758), 1,
      anon_sym_SEMI,
    ACTIONS(22760), 1,
      anon_sym_GT_RBRACE,
    STATE(16840), 1,
      sym_attribute,
    STATE(16885), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793605] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19182), 1,
      anon_sym_SEMI,
    ACTIONS(19184), 1,
      anon_sym_GT,
    STATE(16841), 1,
      sym_attribute,
    STATE(16902), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793625] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11280), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(16778), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793645] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22762), 1,
      anon_sym_EQ,
    STATE(16843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793665] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22764), 1,
      anon_sym_SEMI,
    ACTIONS(22766), 1,
      anon_sym_RBRACE,
    STATE(16844), 1,
      sym_attribute,
    STATE(16881), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793685] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22768), 1,
      anon_sym_EQ,
    STATE(16845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793705] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22770), 1,
      anon_sym_SEMI,
    ACTIONS(22772), 1,
      anon_sym_RBRACE,
    STATE(16846), 1,
      sym_attribute,
    STATE(16936), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793725] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20316), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [793741] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22774), 1,
      anon_sym_EQ,
    STATE(16848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793761] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(22776), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793781] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16306), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16850), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793801] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(22778), 1,
      anon_sym_RBRACK,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793821] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4439), 1,
      anon_sym_RBRACK,
    ACTIONS(22780), 1,
      anon_sym_SEMI,
    STATE(16852), 1,
      sym_attribute,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793841] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22782), 1,
      anon_sym_EQ,
    STATE(16853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793861] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16308), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16854), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793881] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16310), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16855), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10081), 1,
      aux_sym_attribute_id_token1,
    STATE(16856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10083), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [793919] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20110), 1,
      anon_sym_RBRACE,
    ACTIONS(22784), 1,
      anon_sym_SEMI,
    STATE(16857), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793939] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3847), 1,
      anon_sym_RBRACK,
    ACTIONS(22786), 1,
      anon_sym_SEMI,
    STATE(16858), 1,
      sym_attribute,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793959] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20186), 1,
      anon_sym_RBRACE,
    ACTIONS(22788), 1,
      anon_sym_SEMI,
    STATE(16859), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793979] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19262), 1,
      anon_sym_SEMI,
    ACTIONS(19264), 1,
      anon_sym_GT,
    STATE(16860), 1,
      sym_attribute,
    STATE(17178), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793999] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22790), 1,
      anon_sym_SEMI,
    ACTIONS(22792), 1,
      anon_sym_RBRACE,
    STATE(16861), 1,
      sym_attribute,
    STATE(16873), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794019] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22794), 1,
      anon_sym_RPAREN,
    STATE(16862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794039] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4441), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22796), 1,
      anon_sym_SEMI,
    STATE(16863), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794059] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15065), 1,
      anon_sym_and,
    STATE(16864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15063), 2,
      anon_sym_in,
      sym_let_and_operator,
  [794077] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22798), 1,
      anon_sym_SEMI,
    ACTIONS(22800), 1,
      anon_sym_GT_RBRACE,
    STATE(16865), 1,
      sym_attribute,
    STATE(16886), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794097] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22802), 1,
      anon_sym_SEMI,
    ACTIONS(22804), 1,
      anon_sym_RBRACE,
    STATE(16866), 1,
      sym_attribute,
    STATE(16915), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794117] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3849), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22806), 1,
      anon_sym_SEMI,
    STATE(16867), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794137] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(22808), 1,
      sym__identifier,
    STATE(16868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794157] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4147), 1,
      anon_sym_RBRACK,
    ACTIONS(22810), 1,
      anon_sym_SEMI,
    STATE(16869), 1,
      sym_attribute,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794177] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22812), 1,
      anon_sym_LPAREN,
    ACTIONS(22814), 1,
      anon_sym_LBRACK,
    ACTIONS(22816), 1,
      anon_sym_LBRACE,
    STATE(16870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794197] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21546), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22818), 1,
      anon_sym_SEMI,
    STATE(16871), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794217] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22820), 1,
      anon_sym_RPAREN,
    STATE(16872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794237] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20400), 1,
      anon_sym_RBRACE,
    ACTIONS(22822), 1,
      anon_sym_SEMI,
    STATE(16873), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794257] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19294), 1,
      anon_sym_SEMI,
    ACTIONS(19296), 1,
      anon_sym_GT,
    STATE(16874), 1,
      sym_attribute,
    STATE(17014), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794277] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(22824), 1,
      anon_sym_RPAREN,
    STATE(16875), 1,
      sym_attribute,
    STATE(21240), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794297] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9814), 1,
      anon_sym_RBRACK,
    ACTIONS(22826), 1,
      anon_sym_SEMI,
    STATE(16876), 1,
      sym_attribute,
    STATE(17728), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794317] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16), 1,
      sym_attribute_id,
    STATE(16877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [794335] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20180), 1,
      anon_sym_RBRACE,
    ACTIONS(22828), 1,
      anon_sym_SEMI,
    STATE(16878), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794355] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4149), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22830), 1,
      anon_sym_SEMI,
    STATE(16879), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794375] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(22832), 1,
      anon_sym_RBRACK,
    STATE(16442), 1,
      aux_sym__type_params_repeat1,
    STATE(16880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794395] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19936), 1,
      anon_sym_RBRACE,
    ACTIONS(22834), 1,
      anon_sym_SEMI,
    STATE(16881), 1,
      sym_attribute,
    STATE(17732), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794415] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22836), 1,
      anon_sym_SEMI,
    ACTIONS(22838), 1,
      anon_sym_RBRACE,
    STATE(16882), 1,
      sym_attribute,
    STATE(17081), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794435] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9816), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22840), 1,
      anon_sym_SEMI,
    STATE(16528), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794455] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22842), 1,
      aux_sym_quoted_extension_token1,
    STATE(16884), 1,
      sym_attribute,
    STATE(21035), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794475] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21164), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22844), 1,
      anon_sym_SEMI,
    STATE(16885), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794495] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21552), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22846), 1,
      anon_sym_SEMI,
    STATE(16886), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794515] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(22848), 1,
      anon_sym_RPAREN,
    STATE(16887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794535] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21258), 1,
      sym__identifier,
    ACTIONS(21262), 1,
      anon_sym_mutable,
    STATE(16888), 1,
      sym_attribute,
    STATE(18501), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794555] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22850), 1,
      anon_sym_RPAREN,
    STATE(16889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794575] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22852), 1,
      anon_sym_EQ,
    STATE(16890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794595] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21558), 1,
      anon_sym_RBRACK,
    STATE(16891), 1,
      sym_attribute,
    STATE(16931), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794615] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22854), 1,
      anon_sym_EQ,
    STATE(16892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794635] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22856), 1,
      anon_sym_RPAREN,
    STATE(16893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794655] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22858), 1,
      anon_sym_SEMI,
    ACTIONS(22860), 1,
      anon_sym_GT_RBRACE,
    STATE(16894), 1,
      sym_attribute,
    STATE(16963), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794675] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22862), 1,
      anon_sym_RPAREN,
    STATE(16895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794695] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21558), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794715] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20472), 1,
      anon_sym_RBRACE,
    ACTIONS(22864), 1,
      anon_sym_SEMI,
    STATE(16897), 1,
      sym_attribute,
    STATE(16922), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794735] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20352), 1,
      anon_sym_RBRACE,
    ACTIONS(22866), 1,
      anon_sym_SEMI,
    STATE(16898), 1,
      sym_attribute,
    STATE(16920), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794755] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20558), 1,
      anon_sym_RBRACE,
    ACTIONS(22868), 1,
      anon_sym_SEMI,
    STATE(16899), 1,
      sym_attribute,
    STATE(16943), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794775] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22870), 1,
      anon_sym_EQ,
    STATE(16900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794795] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(22872), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794815] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13034), 1,
      anon_sym_GT,
    ACTIONS(22874), 1,
      anon_sym_SEMI,
    STATE(16902), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794835] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16388), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16903), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794855] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22876), 1,
      anon_sym_EQ,
    STATE(16904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794875] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16392), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16905), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794895] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16394), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16906), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794915] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(22878), 1,
      anon_sym_RPAREN,
    STATE(16907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794935] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(22880), 1,
      sym__identifier,
    STATE(16908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794955] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11186), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(16909), 1,
      sym_attribute,
    STATE(16950), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794975] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19298), 1,
      anon_sym_SEMI,
    ACTIONS(19300), 1,
      anon_sym_GT,
    STATE(16910), 1,
      sym_attribute,
    STATE(16952), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794995] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22374), 1,
      anon_sym_COLON2,
    ACTIONS(22882), 1,
      anon_sym_RPAREN,
    STATE(16911), 1,
      sym_attribute,
    STATE(21383), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795015] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22884), 1,
      anon_sym_RPAREN,
    STATE(16912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795035] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9608), 1,
      anon_sym_RBRACK,
    ACTIONS(22886), 1,
      anon_sym_SEMI,
    STATE(16913), 1,
      sym_attribute,
    STATE(17381), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795055] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(22888), 1,
      sym__identifier,
    STATE(16914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795075] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19380), 1,
      anon_sym_RBRACE,
    ACTIONS(22890), 1,
      anon_sym_SEMI,
    STATE(16915), 1,
      sym_attribute,
    STATE(17487), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795095] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9610), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22892), 1,
      anon_sym_SEMI,
    STATE(16539), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795115] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21166), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22894), 1,
      anon_sym_SEMI,
    STATE(16917), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795135] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22896), 1,
      anon_sym_RPAREN,
    STATE(16918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795155] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16012), 1,
      anon_sym_in,
    ACTIONS(22430), 1,
      anon_sym_and,
    STATE(16919), 1,
      sym_attribute,
    STATE(16953), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795175] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20488), 1,
      anon_sym_RBRACE,
    ACTIONS(22898), 1,
      anon_sym_SEMI,
    STATE(16920), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795195] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17), 1,
      sym_attribute_id,
    STATE(16921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [795213] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20500), 1,
      anon_sym_RBRACE,
    ACTIONS(22900), 1,
      anon_sym_SEMI,
    STATE(16922), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795233] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(22902), 1,
      sym__identifier,
    STATE(16923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795253] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22904), 1,
      aux_sym_quoted_extension_token1,
    STATE(16924), 1,
      sym_attribute,
    STATE(21756), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795273] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(22906), 1,
      anon_sym_RPAREN,
    STATE(16925), 1,
      sym_attribute,
    STATE(21443), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795293] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21576), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795313] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(22908), 1,
      anon_sym_RPAREN,
    STATE(16927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795333] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22910), 1,
      anon_sym_EQ,
    STATE(16928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795353] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22912), 1,
      anon_sym_EQ,
    STATE(16929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795373] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22914), 1,
      anon_sym_RPAREN,
    STATE(16930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795393] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21584), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795413] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4051), 1,
      anon_sym_RBRACK,
    ACTIONS(22916), 1,
      anon_sym_SEMI,
    STATE(16932), 1,
      sym_attribute,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795433] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21584), 1,
      anon_sym_RBRACK,
    STATE(16933), 1,
      sym_attribute,
    STATE(16946), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795453] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(22918), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795473] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16461), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16935), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795493] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20580), 1,
      anon_sym_RBRACE,
    ACTIONS(22920), 1,
      anon_sym_SEMI,
    STATE(16936), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795513] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16465), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16937), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795533] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16467), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16938), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795553] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4575), 1,
      anon_sym_RBRACK,
    ACTIONS(22922), 1,
      anon_sym_SEMI,
    STATE(16939), 1,
      sym_attribute,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795573] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3923), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22924), 1,
      anon_sym_SEMI,
    STATE(16940), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795593] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20566), 1,
      anon_sym_RBRACE,
    ACTIONS(22926), 1,
      anon_sym_SEMI,
    STATE(16941), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795613] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22928), 1,
      anon_sym_RPAREN,
    STATE(16942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795633] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20212), 1,
      anon_sym_RBRACE,
    ACTIONS(22930), 1,
      anon_sym_SEMI,
    STATE(16943), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795653] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16944), 1,
      sym_attribute,
    STATE(17073), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [795671] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22934), 1,
      anon_sym_RPAREN,
    STATE(16945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22936), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [795689] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21596), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795709] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(22938), 1,
      sym__identifier,
    STATE(16947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795729] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(22940), 1,
      anon_sym_RPAREN,
    STATE(16948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795749] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21598), 1,
      anon_sym_RBRACK,
    STATE(16949), 1,
      sym_attribute,
    STATE(16977), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795769] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21598), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795789] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21046), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795809] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12827), 1,
      anon_sym_GT,
    ACTIONS(22942), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795829] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15425), 1,
      anon_sym_in,
    ACTIONS(22944), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16953), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
  [795847] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4053), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22947), 1,
      anon_sym_SEMI,
    STATE(16954), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795867] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16012), 1,
      anon_sym_in,
    ACTIONS(22430), 1,
      anon_sym_and,
    STATE(16955), 1,
      sym_attribute,
    STATE(17160), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795887] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18), 1,
      sym_attribute_id,
    STATE(16956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [795905] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22949), 1,
      anon_sym_SEMI,
    ACTIONS(22951), 1,
      anon_sym_RBRACE,
    STATE(16957), 1,
      sym_attribute,
    STATE(16973), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795925] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10708), 1,
      sym__type_equation,
    STATE(16958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22953), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [795943] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(22955), 1,
      anon_sym_RPAREN,
    STATE(16959), 1,
      sym_attribute,
    STATE(19388), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795963] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22957), 1,
      anon_sym_SEMI,
    ACTIONS(22959), 1,
      anon_sym_GT_RBRACE,
    STATE(16960), 1,
      sym_attribute,
    STATE(16980), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795983] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22961), 1,
      aux_sym_quoted_extension_token1,
    STATE(16961), 1,
      sym_attribute,
    STATE(21091), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796003] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22963), 1,
      anon_sym_EQ,
    STATE(16962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796023] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21178), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22965), 1,
      anon_sym_SEMI,
    STATE(16963), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796043] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(12661), 1,
      anon_sym_DOT,
    ACTIONS(22967), 1,
      anon_sym_RPAREN,
    STATE(16964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796063] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22969), 1,
      anon_sym_SEMI,
    ACTIONS(22971), 1,
      anon_sym_RBRACE,
    STATE(16965), 1,
      sym_attribute,
    STATE(17026), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796083] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(22973), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796103] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22975), 1,
      anon_sym_SEMI,
    ACTIONS(22977), 1,
      anon_sym_RBRACE,
    STATE(16967), 1,
      sym_attribute,
    STATE(16991), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796123] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16225), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16968), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796143] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16296), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16969), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796163] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16352), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16970), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796183] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4451), 1,
      anon_sym_RBRACK,
    ACTIONS(22979), 1,
      anon_sym_SEMI,
    STATE(16971), 1,
      sym_attribute,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796203] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(22981), 1,
      anon_sym_RPAREN,
    STATE(16972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796223] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20082), 1,
      anon_sym_RBRACE,
    ACTIONS(22983), 1,
      anon_sym_SEMI,
    STATE(16973), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796243] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4453), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22985), 1,
      anon_sym_SEMI,
    STATE(16974), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796263] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(22987), 1,
      anon_sym_RPAREN,
    STATE(16975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796283] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22989), 1,
      anon_sym_RPAREN,
    STATE(16976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796303] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21626), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796323] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21626), 1,
      anon_sym_RBRACK,
    STATE(16978), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796343] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(22991), 1,
      anon_sym_RPAREN,
    STATE(16979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796363] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21180), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22993), 1,
      anon_sym_SEMI,
    STATE(16980), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796383] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22995), 1,
      anon_sym_SEMI,
    ACTIONS(22997), 1,
      anon_sym_GT_RBRACE,
    STATE(16981), 1,
      sym_attribute,
    STATE(17006), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796403] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22999), 1,
      anon_sym_SEMI,
    ACTIONS(23001), 1,
      anon_sym_RBRACE,
    STATE(16982), 1,
      sym_attribute,
    STATE(17264), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796423] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19), 1,
      sym_attribute_id,
    STATE(16983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [796441] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21630), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796461] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23003), 1,
      anon_sym_RPAREN,
    STATE(16985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796481] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23005), 1,
      aux_sym_quoted_extension_token1,
    STATE(16986), 1,
      sym_attribute,
    STATE(22178), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796501] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21046), 1,
      anon_sym_RBRACK,
    STATE(16987), 1,
      sym_attribute,
    STATE(17317), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796521] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23007), 3,
      anon_sym_private,
      anon_sym_virtual,
      sym__identifier,
  [796537] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4159), 1,
      anon_sym_RBRACK,
    ACTIONS(23009), 1,
      anon_sym_SEMI,
    STATE(16989), 1,
      sym_attribute,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796557] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3935), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23011), 1,
      anon_sym_SEMI,
    STATE(16990), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796577] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20267), 1,
      anon_sym_RBRACE,
    ACTIONS(23013), 1,
      anon_sym_SEMI,
    STATE(16991), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796597] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23015), 1,
      anon_sym_RPAREN,
    STATE(16992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796617] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23017), 1,
      anon_sym_RPAREN,
    STATE(16993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796637] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23019), 1,
      anon_sym_EQ,
    STATE(16994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796657] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20301), 1,
      anon_sym_RBRACE,
    ACTIONS(23021), 1,
      anon_sym_SEMI,
    STATE(16995), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796677] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20056), 1,
      anon_sym_RBRACE,
    ACTIONS(23023), 1,
      anon_sym_SEMI,
    STATE(16996), 1,
      sym_attribute,
    STATE(17012), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796697] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4161), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23025), 1,
      anon_sym_SEMI,
    STATE(16997), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796717] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20360), 1,
      anon_sym_RBRACE,
    ACTIONS(23027), 1,
      anon_sym_SEMI,
    STATE(16998), 1,
      sym_attribute,
    STATE(17055), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796737] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(23029), 1,
      anon_sym_RBRACK,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796757] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(23031), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796777] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(15828), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17001), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796797] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4577), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23033), 1,
      anon_sym_SEMI,
    STATE(17002), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796817] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(15848), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17003), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796837] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(15852), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17004), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796857] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17720), 1,
      anon_sym_RBRACK,
    ACTIONS(23035), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17005), 2,
      sym_attribute,
      aux_sym_list_expression_repeat1,
  [796875] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21642), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23038), 1,
      anon_sym_SEMI,
    STATE(17006), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796895] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(23040), 1,
      sym__identifier,
    STATE(17007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796915] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(23042), 1,
      sym__identifier,
    STATE(17008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796935] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23044), 1,
      anon_sym_RPAREN,
    STATE(17009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796955] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20420), 1,
      anon_sym_RBRACE,
    ACTIONS(23046), 1,
      anon_sym_SEMI,
    STATE(17010), 1,
      sym_attribute,
    STATE(17018), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796975] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23048), 1,
      anon_sym_RPAREN,
    STATE(17011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796995] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20382), 1,
      anon_sym_RBRACE,
    ACTIONS(23050), 1,
      anon_sym_SEMI,
    STATE(17012), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797015] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4583), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23052), 1,
      anon_sym_SEMI,
    STATE(17013), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797035] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13054), 1,
      anon_sym_GT,
    ACTIONS(23054), 1,
      anon_sym_SEMI,
    STATE(17014), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797055] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(20), 1,
      sym_attribute_id,
    STATE(17015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [797073] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(23056), 1,
      sym__identifier,
    STATE(17016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797093] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23058), 1,
      anon_sym_RPAREN,
    STATE(17017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797113] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20076), 1,
      anon_sym_RBRACE,
    ACTIONS(23060), 1,
      anon_sym_SEMI,
    STATE(17018), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797133] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22374), 1,
      anon_sym_COLON2,
    ACTIONS(23062), 1,
      anon_sym_RPAREN,
    STATE(17019), 1,
      sym_attribute,
    STATE(19931), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797153] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23064), 1,
      aux_sym_quoted_extension_token1,
    STATE(17020), 1,
      sym_attribute,
    STATE(19685), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797173] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11088), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(17021), 1,
      sym_attribute,
    STATE(17080), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797193] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(23066), 1,
      anon_sym_RBRACK,
    STATE(16442), 1,
      aux_sym__type_params_repeat1,
    STATE(17022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797213] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23068), 1,
      anon_sym_SEMI,
    ACTIONS(23070), 1,
      anon_sym_RBRACE,
    STATE(17023), 1,
      sym_attribute,
    STATE(17095), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797233] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20254), 1,
      anon_sym_RBRACE,
    ACTIONS(23072), 1,
      anon_sym_SEMI,
    STATE(17024), 1,
      sym_attribute,
    STATE(17934), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797253] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(23074), 1,
      anon_sym_RPAREN,
    STATE(17025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797273] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20348), 1,
      anon_sym_RBRACE,
    ACTIONS(23076), 1,
      anon_sym_SEMI,
    STATE(17026), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797293] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19242), 1,
      anon_sym_SEMI,
    ACTIONS(19244), 1,
      anon_sym_GT,
    STATE(17027), 1,
      sym_attribute,
    STATE(17102), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797313] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(20008), 1,
      anon_sym_RBRACK,
    STATE(17028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797333] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(23078), 1,
      anon_sym_RPAREN,
    STATE(17029), 1,
      sym_attribute,
    STATE(19790), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797353] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23080), 1,
      anon_sym_SEMI,
    ACTIONS(23082), 1,
      anon_sym_GT_RBRACE,
    STATE(17030), 1,
      sym_attribute,
    STATE(17213), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797373] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(23084), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797393] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16113), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17032), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797413] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16141), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17033), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797433] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16156), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17034), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797453] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21718), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797473] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21667), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23086), 1,
      anon_sym_SEMI,
    STATE(17036), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797493] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4327), 1,
      anon_sym_RBRACK,
    ACTIONS(23088), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797513] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23090), 1,
      anon_sym_SEMI,
    ACTIONS(23092), 1,
      anon_sym_RBRACE,
    STATE(17038), 1,
      sym_attribute,
    STATE(17063), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797533] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23094), 1,
      anon_sym_SEMI,
    ACTIONS(23096), 1,
      anon_sym_RBRACE,
    STATE(17039), 1,
      sym_attribute,
    STATE(17050), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797553] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(21), 1,
      sym_attribute_id,
    STATE(17040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [797571] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23098), 1,
      anon_sym_EQ,
    STATE(17041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23100), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [797589] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23102), 1,
      anon_sym_SEMI,
    ACTIONS(23104), 1,
      anon_sym_GT_RBRACE,
    STATE(17042), 1,
      sym_attribute,
    STATE(17069), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797609] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23106), 1,
      aux_sym_quoted_extension_token1,
    STATE(17043), 1,
      sym_attribute,
    STATE(20656), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797629] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(23108), 1,
      sym__identifier,
    STATE(17044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797649] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21669), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23110), 1,
      anon_sym_SEMI,
    STATE(17045), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797669] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23112), 1,
      anon_sym_RPAREN,
    STATE(17046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797689] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4171), 1,
      anon_sym_RBRACK,
    ACTIONS(23114), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797709] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23116), 1,
      anon_sym_SEMI,
    ACTIONS(23118), 1,
      anon_sym_GT_RBRACE,
    STATE(17048), 1,
      sym_attribute,
    STATE(17098), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797729] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23120), 1,
      anon_sym_RPAREN,
    STATE(17049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797749] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20134), 1,
      anon_sym_RBRACE,
    ACTIONS(23122), 1,
      anon_sym_SEMI,
    STATE(17050), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797769] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23124), 1,
      anon_sym_SEMI,
    ACTIONS(23126), 1,
      anon_sym_RBRACE,
    STATE(17051), 1,
      sym_attribute,
    STATE(17122), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797789] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4173), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23128), 1,
      anon_sym_SEMI,
    STATE(17052), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797809] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(23130), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797829] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16483), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17054), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797849] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20548), 1,
      anon_sym_RBRACE,
    ACTIONS(23132), 1,
      anon_sym_SEMI,
    STATE(17055), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797869] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16497), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17056), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797889] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16512), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17057), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797909] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4463), 1,
      anon_sym_RBRACK,
    ACTIONS(23134), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797929] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(23136), 1,
      anon_sym_RPAREN,
    STATE(17059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797949] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12280), 1,
      sym_attribute_id,
    STATE(17060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23138), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [797967] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13637), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [797983] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23140), 3,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym__identifier,
  [797999] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20468), 1,
      anon_sym_RBRACE,
    ACTIONS(23142), 1,
      anon_sym_SEMI,
    STATE(17063), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798019] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(23144), 1,
      anon_sym_RPAREN,
    STATE(17064), 1,
      sym_attribute,
    STATE(20037), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798039] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23146), 1,
      anon_sym_SEMI,
    ACTIONS(23148), 1,
      anon_sym_RBRACE,
    STATE(17065), 1,
      sym_attribute,
    STATE(17093), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798059] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21208), 1,
      anon_sym_RBRACK,
    STATE(17066), 1,
      sym_attribute,
    STATE(17292), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798079] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23150), 1,
      sym__identifier,
    ACTIONS(23152), 1,
      anon_sym_LPAREN,
    STATE(8948), 1,
      sym__simple_value_pattern,
    STATE(17067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798099] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(23154), 1,
      anon_sym_RPAREN,
    STATE(17068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798119] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21700), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23156), 1,
      anon_sym_SEMI,
    STATE(17069), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798139] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(22), 1,
      sym_attribute_id,
    STATE(17070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [798157] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23158), 1,
      aux_sym_quoted_extension_token1,
    STATE(17071), 1,
      sym_attribute,
    STATE(19966), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798177] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21200), 1,
      anon_sym_RBRACK,
    STATE(17072), 1,
      sym_attribute,
    STATE(17157), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798197] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23160), 1,
      aux_sym_quoted_extension_token1,
    STATE(17073), 1,
      sym_attribute,
    STATE(20108), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798217] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23162), 1,
      anon_sym_RPAREN,
    STATE(17074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798237] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9794), 1,
      anon_sym_RBRACK,
    ACTIONS(23164), 1,
      anon_sym_SEMI,
    STATE(17075), 1,
      sym_attribute,
    STATE(17728), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798257] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20330), 1,
      anon_sym_RBRACE,
    ACTIONS(23166), 1,
      anon_sym_SEMI,
    STATE(17076), 1,
      sym_attribute,
    STATE(17090), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798277] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21718), 1,
      anon_sym_RBRACK,
    STATE(17077), 1,
      sym_attribute,
    STATE(17369), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798297] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23168), 1,
      anon_sym_SEMI,
    ACTIONS(23170), 1,
      anon_sym_GT_RBRACE,
    STATE(17078), 1,
      sym_attribute,
    STATE(17111), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798317] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4465), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23172), 1,
      anon_sym_SEMI,
    STATE(17079), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798337] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21200), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798357] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19612), 1,
      anon_sym_RBRACE,
    ACTIONS(23174), 1,
      anon_sym_SEMI,
    STATE(17081), 1,
      sym_attribute,
    STATE(17732), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798377] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(23176), 1,
      anon_sym_RPAREN,
    STATE(17082), 1,
      sym_attribute,
    STATE(20739), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798397] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(23178), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798417] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(15944), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17084), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798437] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(15948), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17085), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798457] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(15952), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17086), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798477] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23180), 1,
      anon_sym_SEMI,
    ACTIONS(23182), 1,
      anon_sym_RBRACE,
    STATE(17087), 1,
      sym_attribute,
    STATE(17116), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798497] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(23184), 1,
      sym__identifier,
    STATE(17088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798517] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23186), 1,
      anon_sym_RPAREN,
    STATE(17089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798537] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20390), 1,
      anon_sym_RBRACE,
    ACTIONS(23188), 1,
      anon_sym_SEMI,
    STATE(17090), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798557] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23190), 1,
      anon_sym_SEMI,
    ACTIONS(23192), 1,
      anon_sym_GT_RBRACE,
    STATE(17091), 1,
      sym_attribute,
    STATE(17166), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798577] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3861), 1,
      anon_sym_RBRACK,
    ACTIONS(23194), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798597] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20291), 1,
      anon_sym_RBRACE,
    ACTIONS(23196), 1,
      anon_sym_SEMI,
    STATE(17093), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798617] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(23), 1,
      sym_attribute_id,
    STATE(17094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [798635] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20356), 1,
      anon_sym_RBRACE,
    ACTIONS(23198), 1,
      anon_sym_SEMI,
    STATE(17095), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798655] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23200), 1,
      aux_sym_quoted_extension_token1,
    STATE(17096), 1,
      sym_attribute,
    STATE(19244), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798675] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9796), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23202), 1,
      anon_sym_SEMI,
    STATE(16528), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(17097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798695] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21204), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23204), 1,
      anon_sym_SEMI,
    STATE(17098), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798715] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23206), 1,
      anon_sym_SEMI,
    ACTIONS(23208), 1,
      anon_sym_RBRACE,
    STATE(17099), 1,
      sym_attribute,
    STATE(17142), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798735] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21208), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798755] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3863), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23210), 1,
      anon_sym_SEMI,
    STATE(17101), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798775] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12875), 1,
      anon_sym_GT,
    ACTIONS(23212), 1,
      anon_sym_SEMI,
    STATE(17102), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798795] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23214), 1,
      anon_sym_RPAREN,
    STATE(17103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798815] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23216), 1,
      anon_sym_RPAREN,
    STATE(17104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798835] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4005), 1,
      anon_sym_RBRACK,
    ACTIONS(23218), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798855] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(23220), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798875] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16059), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17107), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798895] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16060), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17108), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798915] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16062), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17109), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798935] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20554), 1,
      anon_sym_RBRACE,
    ACTIONS(23222), 1,
      anon_sym_SEMI,
    STATE(17110), 1,
      sym_attribute,
    STATE(17140), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798955] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21722), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23224), 1,
      anon_sym_SEMI,
    STATE(17111), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798975] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(23226), 1,
      anon_sym_RPAREN,
    STATE(17112), 1,
      sym_attribute,
    STATE(19364), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798995] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(24), 1,
      sym_attribute_id,
    STATE(17113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [799013] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9670), 1,
      anon_sym_RBRACK,
    ACTIONS(23228), 1,
      anon_sym_SEMI,
    STATE(17114), 1,
      sym_attribute,
    STATE(17381), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799033] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9828), 1,
      anon_sym_RBRACK,
    ACTIONS(23230), 1,
      anon_sym_SEMI,
    STATE(17115), 1,
      sym_attribute,
    STATE(17728), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799053] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19884), 1,
      anon_sym_RBRACE,
    ACTIONS(23232), 1,
      anon_sym_SEMI,
    STATE(17116), 1,
      sym_attribute,
    STATE(17732), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799073] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23234), 1,
      aux_sym_quoted_extension_token1,
    STATE(17117), 1,
      sym_attribute,
    STATE(20732), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799093] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5), 1,
      sym_attribute_id,
    STATE(17118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [799111] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23236), 1,
      anon_sym_RPAREN,
    STATE(17119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799131] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9830), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23238), 1,
      anon_sym_SEMI,
    STATE(16528), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(17120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799151] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(23240), 1,
      sym__identifier,
    STATE(17121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799171] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20412), 1,
      anon_sym_RBRACE,
    ACTIONS(23242), 1,
      anon_sym_SEMI,
    STATE(17122), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799191] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23244), 1,
      anon_sym_SEMI,
    ACTIONS(23246), 1,
      anon_sym_RBRACE,
    STATE(17123), 1,
      sym_attribute,
    STATE(17145), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799211] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23248), 1,
      anon_sym_RPAREN,
    STATE(17124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799231] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20034), 1,
      anon_sym_RBRACE,
    ACTIONS(23250), 1,
      anon_sym_SEMI,
    STATE(17125), 1,
      sym_attribute,
    STATE(17593), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799251] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(23252), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799271] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20402), 1,
      anon_sym_RBRACE,
    ACTIONS(23254), 1,
      anon_sym_SEMI,
    STATE(17127), 1,
      sym_attribute,
    STATE(17164), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799291] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16147), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17128), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799311] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23256), 1,
      anon_sym_RPAREN,
    STATE(17129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799331] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16150), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17130), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799351] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16154), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17131), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799371] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23258), 1,
      anon_sym_SEMI,
    ACTIONS(23260), 1,
      anon_sym_GT_RBRACE,
    STATE(17132), 1,
      sym_attribute,
    STATE(17163), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799391] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11046), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(17133), 1,
      sym_attribute,
    STATE(17176), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799411] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(25), 1,
      sym_attribute_id,
    STATE(17134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [799429] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4329), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23262), 1,
      anon_sym_SEMI,
    STATE(17135), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799449] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19178), 1,
      anon_sym_SEMI,
    ACTIONS(19180), 1,
      anon_sym_GT,
    STATE(17136), 1,
      sym_attribute,
    STATE(17179), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799469] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23264), 1,
      aux_sym_quoted_extension_token1,
    STATE(17137), 1,
      sym_attribute,
    STATE(19429), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799489] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22374), 1,
      anon_sym_COLON2,
    ACTIONS(23266), 1,
      anon_sym_RPAREN,
    STATE(17138), 1,
      sym_attribute,
    STATE(19437), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799509] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4007), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23268), 1,
      anon_sym_SEMI,
    STATE(17139), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799529] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20572), 1,
      anon_sym_RBRACE,
    ACTIONS(23270), 1,
      anon_sym_SEMI,
    STATE(17140), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799549] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9622), 1,
      anon_sym_RBRACK,
    ACTIONS(23272), 1,
      anon_sym_SEMI,
    STATE(17141), 1,
      sym_attribute,
    STATE(17381), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799569] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19932), 1,
      anon_sym_RBRACE,
    ACTIONS(23274), 1,
      anon_sym_SEMI,
    STATE(17142), 1,
      sym_attribute,
    STATE(17487), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799589] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9624), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23276), 1,
      anon_sym_SEMI,
    STATE(16539), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799609] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4183), 1,
      anon_sym_RBRACK,
    ACTIONS(23278), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799629] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20202), 1,
      anon_sym_RBRACE,
    ACTIONS(23280), 1,
      anon_sym_SEMI,
    STATE(17145), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799649] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6), 1,
      sym_attribute_id,
    STATE(17146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [799667] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(23282), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799687] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16274), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17148), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799707] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16277), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17149), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799727] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16279), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17150), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799747] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(23284), 1,
      anon_sym_RPAREN,
    STATE(17151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799767] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(23286), 1,
      sym__identifier,
    STATE(17152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799787] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(26), 1,
      sym_attribute_id,
    STATE(17153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [799805] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(12661), 1,
      anon_sym_DOT,
    ACTIONS(23288), 1,
      anon_sym_RPAREN,
    STATE(17154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799825] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4185), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23290), 1,
      anon_sym_SEMI,
    STATE(17155), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799845] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(23292), 1,
      anon_sym_RPAREN,
    STATE(17156), 1,
      sym_attribute,
    STATE(19469), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799865] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21212), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799885] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20218), 1,
      anon_sym_RBRACE,
    ACTIONS(23294), 1,
      anon_sym_SEMI,
    STATE(17158), 1,
      sym_attribute,
    STATE(17388), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799905] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23296), 1,
      aux_sym_quoted_extension_token1,
    STATE(17159), 1,
      sym_attribute,
    STATE(21042), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799925] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16203), 1,
      anon_sym_in,
    ACTIONS(22430), 1,
      anon_sym_and,
    STATE(16953), 1,
      aux_sym_module_definition_repeat1,
    STATE(17160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799945] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21212), 1,
      anon_sym_RBRACK,
    STATE(17161), 1,
      sym_attribute,
    STATE(17199), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799965] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23298), 1,
      anon_sym_RPAREN,
    STATE(17162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799985] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21744), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23300), 1,
      anon_sym_SEMI,
    STATE(17163), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800005] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20478), 1,
      anon_sym_RBRACE,
    ACTIONS(23302), 1,
      anon_sym_SEMI,
    STATE(17164), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800025] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23304), 1,
      anon_sym_RPAREN,
    STATE(17165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800045] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21746), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23306), 1,
      anon_sym_SEMI,
    STATE(17166), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800065] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19920), 1,
      anon_sym_RBRACE,
    ACTIONS(23308), 1,
      anon_sym_SEMI,
    STATE(17167), 1,
      sym_attribute,
    STATE(17487), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800085] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23310), 1,
      anon_sym_RPAREN,
    STATE(17168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800105] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(23312), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800125] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16371), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17170), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800145] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20404), 1,
      anon_sym_RBRACE,
    ACTIONS(23314), 1,
      anon_sym_SEMI,
    STATE(17171), 1,
      sym_attribute,
    STATE(17193), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800165] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16375), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17172), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800185] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16380), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17173), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800205] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(23316), 1,
      anon_sym_RPAREN,
    STATE(17174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800225] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21748), 1,
      anon_sym_RBRACK,
    STATE(17175), 1,
      sym_attribute,
    STATE(17197), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800245] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21748), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800265] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23318), 1,
      anon_sym_SEMI,
    ACTIONS(23320), 1,
      anon_sym_RBRACE,
    STATE(17177), 1,
      sym_attribute,
    STATE(17488), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800285] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13162), 1,
      anon_sym_GT,
    ACTIONS(23322), 1,
      anon_sym_SEMI,
    STATE(17178), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800305] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12968), 1,
      anon_sym_GT,
    ACTIONS(23324), 1,
      anon_sym_SEMI,
    STATE(17179), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800325] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(27), 1,
      sym_attribute_id,
    STATE(17180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [800343] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23326), 1,
      anon_sym_SEMI,
    ACTIONS(23329), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17181), 2,
      sym_attribute,
      aux_sym_record_expression_repeat1,
  [800361] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23331), 1,
      anon_sym_EQ,
    STATE(17182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23333), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [800379] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23335), 1,
      aux_sym_quoted_extension_token1,
    STATE(17183), 1,
      sym_attribute,
    STATE(22393), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800399] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23337), 1,
      anon_sym_RPAREN,
    STATE(17184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800419] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(23339), 1,
      sym__identifier,
    STATE(17185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800439] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(23341), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800459] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9672), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23343), 1,
      anon_sym_SEMI,
    STATE(16539), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800479] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(15834), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17188), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800499] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(15836), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17189), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800519] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(15838), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17190), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800539] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23345), 1,
      anon_sym_RPAREN,
    STATE(17191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800559] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(28), 1,
      sym_attribute_id,
    STATE(17192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [800577] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20440), 1,
      anon_sym_RBRACE,
    ACTIONS(23347), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800597] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23349), 1,
      anon_sym_RPAREN,
    STATE(17194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800617] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(23351), 1,
      anon_sym_RPAREN,
    STATE(17195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800637] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23353), 1,
      aux_sym_quoted_extension_token1,
    STATE(17196), 1,
      sym_attribute,
    STATE(21401), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800657] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21754), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800677] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21754), 1,
      anon_sym_RBRACK,
    STATE(17198), 1,
      sym_attribute,
    STATE(17207), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800697] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21216), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800717] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23355), 1,
      anon_sym_RPAREN,
    STATE(17200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800737] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20184), 1,
      anon_sym_RBRACE,
    ACTIONS(23357), 1,
      anon_sym_SEMI,
    STATE(17201), 1,
      sym_attribute,
    STATE(17246), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800757] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(23359), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800777] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(15890), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17203), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800797] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(15892), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17204), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800817] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(23361), 1,
      anon_sym_type,
    STATE(17205), 1,
      sym_attribute,
    STATE(17893), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800837] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(96), 1,
      sym_attribute_id,
    STATE(17206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [800855] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21758), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800875] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23363), 1,
      anon_sym_RPAREN,
    STATE(17208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800895] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23365), 1,
      aux_sym_quoted_extension_token1,
    STATE(17209), 1,
      sym_attribute,
    STATE(21671), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800915] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23367), 1,
      anon_sym_RPAREN,
    STATE(17210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800935] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23369), 1,
      anon_sym_SEMI,
    ACTIONS(23371), 1,
      anon_sym_RBRACE,
    STATE(17211), 1,
      sym_attribute,
    STATE(17228), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800955] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11192), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(17212), 1,
      sym_attribute,
    STATE(17263), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800975] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21086), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23373), 1,
      anon_sym_SEMI,
    STATE(17213), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800995] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13011), 1,
      sym_module_binding,
    STATE(17214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19788), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [801013] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23375), 1,
      anon_sym_RPAREN,
    STATE(17215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23377), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [801031] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19219), 1,
      anon_sym_SEMI,
    ACTIONS(19221), 1,
      anon_sym_GT,
    STATE(17216), 1,
      sym_attribute,
    STATE(17273), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801051] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(23379), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801071] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(15935), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17218), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801091] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(15936), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17219), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801111] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(15938), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17220), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801131] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2), 1,
      sym_attribute_id,
    STATE(17221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [801149] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11132), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(17222), 1,
      sym_attribute,
    STATE(17449), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801169] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23381), 1,
      anon_sym_SEMI,
    ACTIONS(23383), 1,
      anon_sym_GT_RBRACE,
    STATE(17223), 1,
      sym_attribute,
    STATE(17272), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801189] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23385), 1,
      aux_sym_quoted_extension_token1,
    STATE(17224), 1,
      sym_attribute,
    STATE(20075), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801209] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23387), 1,
      anon_sym_SEMI,
    ACTIONS(23389), 1,
      anon_sym_RBRACE,
    STATE(17225), 1,
      sym_attribute,
    STATE(17241), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801229] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3921), 1,
      anon_sym_RBRACK,
    ACTIONS(23391), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801249] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4475), 1,
      anon_sym_RBRACK,
    ACTIONS(23393), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801269] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20550), 1,
      anon_sym_RBRACE,
    ACTIONS(23395), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801289] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(23397), 1,
      anon_sym_RPAREN,
    STATE(17229), 1,
      sym_attribute,
    STATE(21431), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801309] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23399), 1,
      anon_sym_SEMI,
    ACTIONS(23401), 1,
      anon_sym_GT_RBRACE,
    STATE(17230), 1,
      sym_attribute,
    STATE(17248), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801329] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19350), 1,
      anon_sym_SEMI,
    ACTIONS(19352), 1,
      anon_sym_GT,
    STATE(17231), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801349] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(23403), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801369] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(15975), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17233), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801389] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23405), 1,
      anon_sym_SEMI,
    ACTIONS(23407), 1,
      anon_sym_RBRACE,
    STATE(16567), 1,
      aux_sym_record_expression_repeat1,
    STATE(17234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801409] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(15977), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17235), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801429] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(15979), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17236), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801449] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(23409), 1,
      sym__identifier,
    STATE(17237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801469] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(30), 1,
      sym_attribute_id,
    STATE(17238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [801487] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4649), 1,
      anon_sym_RBRACK,
    ACTIONS(23411), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801507] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23413), 1,
      aux_sym_quoted_extension_token1,
    STATE(17240), 1,
      sym_attribute,
    STATE(22043), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801527] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20289), 1,
      anon_sym_RBRACE,
    ACTIONS(23415), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801547] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23417), 1,
      anon_sym_RPAREN,
    STATE(17242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801567] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23419), 1,
      anon_sym_SEMI,
    ACTIONS(23421), 1,
      anon_sym_RBRACE,
    STATE(17243), 1,
      sym_attribute,
    STATE(17370), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801587] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4197), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23423), 1,
      anon_sym_SEMI,
    STATE(17244), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801607] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22374), 1,
      anon_sym_COLON2,
    ACTIONS(23425), 1,
      anon_sym_RPAREN,
    STATE(17245), 1,
      sym_attribute,
    STATE(20686), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801627] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20396), 1,
      anon_sym_RBRACE,
    ACTIONS(23427), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801647] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4477), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23429), 1,
      anon_sym_SEMI,
    STATE(17247), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801667] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21782), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23431), 1,
      anon_sym_SEMI,
    STATE(17248), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801687] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12540), 1,
      sym_module_binding,
    STATE(17249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19788), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [801705] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(23433), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801725] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16019), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17251), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801745] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13020), 1,
      sym_module_binding,
    STATE(17252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19788), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [801763] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16021), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17253), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801783] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16023), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17254), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801803] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23435), 1,
      anon_sym_RPAREN,
    STATE(17255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801823] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(31), 1,
      sym_attribute_id,
    STATE(17256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [801841] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23437), 1,
      anon_sym_RPAREN,
    STATE(17257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801861] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20392), 1,
      anon_sym_RBRACE,
    ACTIONS(23439), 1,
      anon_sym_SEMI,
    STATE(17258), 1,
      sym_attribute,
    STATE(17270), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801881] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23441), 1,
      aux_sym_quoted_extension_token1,
    STATE(17259), 1,
      sym_attribute,
    STATE(19548), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801901] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(23443), 1,
      anon_sym_RPAREN,
    STATE(17260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801921] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21792), 1,
      anon_sym_RBRACK,
    STATE(17261), 1,
      sym_attribute,
    STATE(17289), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801941] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9584), 1,
      anon_sym_RBRACK,
    ACTIONS(23445), 1,
      anon_sym_SEMI,
    STATE(17262), 1,
      sym_attribute,
    STATE(17381), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801961] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21792), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801981] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19480), 1,
      anon_sym_RBRACE,
    ACTIONS(23447), 1,
      anon_sym_SEMI,
    STATE(17264), 1,
      sym_attribute,
    STATE(17487), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802001] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(23449), 1,
      sym__identifier,
    STATE(17265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802021] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13560), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [802037] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(32), 1,
      sym_attribute_id,
    STATE(17267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [802055] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23451), 1,
      anon_sym_RPAREN,
    STATE(17268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802075] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20366), 1,
      anon_sym_RBRACE,
    ACTIONS(23453), 1,
      anon_sym_SEMI,
    STATE(17269), 1,
      sym_attribute,
    STATE(17379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802095] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20544), 1,
      anon_sym_RBRACE,
    ACTIONS(23455), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802115] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23457), 1,
      aux_sym_quoted_extension_token1,
    STATE(17271), 1,
      sym_attribute,
    STATE(20046), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802135] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21226), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23459), 1,
      anon_sym_SEMI,
    STATE(17272), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802155] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12847), 1,
      anon_sym_GT,
    ACTIONS(23461), 1,
      anon_sym_SEMI,
    STATE(17273), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802175] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12236), 1,
      sym_attribute_id,
    STATE(17274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23463), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [802193] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(33), 1,
      sym_attribute_id,
    STATE(17275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [802211] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23465), 1,
      aux_sym_quoted_extension_token1,
    STATE(17276), 1,
      sym_attribute,
    STATE(20473), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802231] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(23467), 1,
      anon_sym_RPAREN,
    STATE(17277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802251] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9586), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23469), 1,
      anon_sym_SEMI,
    STATE(16539), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802271] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23471), 1,
      anon_sym_RPAREN,
    STATE(17279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802291] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23473), 1,
      anon_sym_SEMI,
    ACTIONS(23475), 1,
      anon_sym_RBRACE,
    STATE(17280), 1,
      sym_attribute,
    STATE(17304), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802311] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13635), 1,
      anon_sym_DQUOTE,
    STATE(11298), 1,
      aux_sym_external_repeat1,
    STATE(12356), 1,
      sym_string,
    STATE(17281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802331] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23477), 1,
      sym__identifier,
    ACTIONS(23479), 1,
      anon_sym_LPAREN,
    STATE(9157), 1,
      sym__simple_value_pattern,
    STATE(17282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802351] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(34), 1,
      sym_attribute_id,
    STATE(17283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [802369] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20112), 1,
      anon_sym_RBRACE,
    ACTIONS(23481), 1,
      anon_sym_SEMI,
    STATE(17284), 1,
      sym_attribute,
    STATE(17314), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802389] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23483), 1,
      anon_sym_RPAREN,
    STATE(17285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802409] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(23485), 1,
      anon_sym_RPAREN,
    STATE(17286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802429] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23487), 1,
      aux_sym_quoted_extension_token1,
    STATE(17287), 1,
      sym_attribute,
    STATE(21029), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802449] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23489), 1,
      anon_sym_SEMI,
    ACTIONS(23491), 1,
      anon_sym_GT_RBRACE,
    STATE(17288), 1,
      sym_attribute,
    STATE(17324), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802469] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21811), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802489] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(35), 1,
      sym_attribute_id,
    STATE(17290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [802507] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21811), 1,
      anon_sym_RBRACK,
    STATE(17291), 1,
      sym_attribute,
    STATE(17305), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802527] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21228), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802547] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21228), 1,
      anon_sym_RBRACK,
    STATE(17293), 1,
      sym_attribute,
    STATE(17344), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802567] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23493), 1,
      aux_sym_quoted_extension_token1,
    STATE(17294), 1,
      sym_attribute,
    STATE(21727), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802587] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23495), 1,
      anon_sym_SEMI,
    ACTIONS(23497), 1,
      anon_sym_RBRACE,
    STATE(17295), 1,
      sym_attribute,
    STATE(17308), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802607] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23499), 1,
      anon_sym_SEMI,
    ACTIONS(23501), 1,
      anon_sym_RBRACE,
    STATE(17296), 1,
      sym_attribute,
    STATE(17332), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802627] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23503), 1,
      anon_sym_RPAREN,
    STATE(17297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802647] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11268), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(17298), 1,
      sym_attribute,
    STATE(17751), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802667] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23505), 1,
      anon_sym_SEMI,
    ACTIONS(23507), 1,
      anon_sym_RBRACE,
    STATE(16590), 1,
      aux_sym_record_expression_repeat1,
    STATE(17299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802687] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23509), 1,
      anon_sym_SEMI,
    ACTIONS(23511), 1,
      anon_sym_GT_RBRACE,
    STATE(17300), 1,
      sym_attribute,
    STATE(17316), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802707] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(36), 1,
      sym_attribute_id,
    STATE(17301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [802725] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3883), 1,
      anon_sym_RBRACK,
    ACTIONS(23513), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802745] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23515), 1,
      aux_sym_quoted_extension_token1,
    STATE(17303), 1,
      sym_attribute,
    STATE(22167), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802765] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20582), 1,
      anon_sym_RBRACE,
    ACTIONS(23517), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802785] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21817), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802805] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(23519), 1,
      sym__identifier,
    STATE(17306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802825] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4207), 1,
      anon_sym_RBRACK,
    ACTIONS(23521), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802845] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20299), 1,
      anon_sym_RBRACE,
    ACTIONS(23523), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802865] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(37), 1,
      sym_attribute_id,
    STATE(17309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [802883] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23525), 1,
      anon_sym_RPAREN,
    STATE(17310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802903] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23527), 1,
      aux_sym_quoted_extension_token1,
    STATE(17311), 1,
      sym_attribute,
    STATE(19400), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802923] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4209), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23529), 1,
      anon_sym_SEMI,
    STATE(17312), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802943] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23531), 1,
      anon_sym_SEMI,
    ACTIONS(23533), 1,
      anon_sym_RBRACE,
    STATE(17313), 1,
      sym_attribute,
    STATE(17353), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802963] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20364), 1,
      anon_sym_RBRACE,
    ACTIONS(23535), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802983] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3885), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23537), 1,
      anon_sym_SEMI,
    STATE(17315), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803003] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21821), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23539), 1,
      anon_sym_SEMI,
    STATE(17316), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803023] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21050), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803043] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(38), 1,
      sym_attribute_id,
    STATE(17318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [803061] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(23541), 1,
      sym__identifier,
    STATE(17319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803081] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23543), 1,
      aux_sym_quoted_extension_token1,
    STATE(17320), 1,
      sym_attribute,
    STATE(19694), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803101] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(23545), 1,
      sym__identifier,
    STATE(17321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803121] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(23547), 1,
      anon_sym_RBRACK,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803141] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23549), 1,
      anon_sym_RPAREN,
    STATE(17323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803161] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21826), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23551), 1,
      anon_sym_SEMI,
    STATE(17324), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803181] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20336), 1,
      anon_sym_RBRACE,
    ACTIONS(23553), 1,
      anon_sym_SEMI,
    STATE(17325), 1,
      sym_attribute,
    STATE(17340), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803201] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23555), 1,
      anon_sym_SEMI,
    ACTIONS(23557), 1,
      anon_sym_GT_RBRACE,
    STATE(17326), 1,
      sym_attribute,
    STATE(17434), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803221] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(23559), 1,
      anon_sym_RPAREN,
    STATE(17327), 1,
      sym_attribute,
    STATE(20178), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803241] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23561), 1,
      anon_sym_RPAREN,
    STATE(17328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803261] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9844), 1,
      anon_sym_RBRACK,
    ACTIONS(23563), 1,
      anon_sym_SEMI,
    STATE(17329), 1,
      sym_attribute,
    STATE(17728), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803281] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(39), 1,
      sym_attribute_id,
    STATE(17330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [803299] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(23565), 1,
      anon_sym_RPAREN,
    STATE(17331), 1,
      sym_attribute,
    STATE(21065), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803319] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19550), 1,
      anon_sym_RBRACE,
    ACTIONS(23567), 1,
      anon_sym_SEMI,
    STATE(17332), 1,
      sym_attribute,
    STATE(17732), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803339] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9846), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23569), 1,
      anon_sym_SEMI,
    STATE(16528), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(17333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803359] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23571), 1,
      aux_sym_quoted_extension_token1,
    STATE(17334), 1,
      sym_attribute,
    STATE(19996), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803379] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23573), 1,
      anon_sym_RPAREN,
    STATE(17335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803399] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(23575), 1,
      sym__identifier,
    STATE(17336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803419] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23577), 1,
      anon_sym_RPAREN,
    STATE(17337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803439] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23579), 1,
      anon_sym_RPAREN,
    STATE(17338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803459] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20130), 1,
      anon_sym_RBRACE,
    ACTIONS(23581), 1,
      anon_sym_SEMI,
    STATE(17339), 1,
      sym_attribute,
    STATE(17371), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803479] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20470), 1,
      anon_sym_RBRACE,
    ACTIONS(23583), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803499] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(40), 1,
      sym_attribute_id,
    STATE(17341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [803517] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23585), 1,
      aux_sym_quoted_extension_token1,
    STATE(17342), 1,
      sym_attribute,
    STATE(20329), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803537] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23587), 1,
      aux_sym_quoted_extension_token1,
    STATE(17343), 1,
      sym_attribute,
    STATE(20512), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803557] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21234), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803577] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23589), 1,
      anon_sym_SEMI,
    ACTIONS(23591), 1,
      anon_sym_RBRACE,
    STATE(17345), 1,
      sym_attribute,
    STATE(17664), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803597] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11264), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(17346), 1,
      sym_attribute,
    STATE(17378), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803617] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19266), 1,
      anon_sym_SEMI,
    ACTIONS(19268), 1,
      anon_sym_GT,
    STATE(17347), 1,
      sym_attribute,
    STATE(17382), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803637] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22374), 1,
      anon_sym_COLON2,
    ACTIONS(23593), 1,
      anon_sym_RPAREN,
    STATE(17348), 1,
      sym_attribute,
    STATE(20263), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803657] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(41), 1,
      sym_attribute_id,
    STATE(17349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [803675] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9636), 1,
      anon_sym_RBRACK,
    ACTIONS(23595), 1,
      anon_sym_SEMI,
    STATE(17350), 1,
      sym_attribute,
    STATE(17381), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803695] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23597), 1,
      aux_sym_quoted_extension_token1,
    STATE(17351), 1,
      sym_attribute,
    STATE(20646), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803715] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23599), 1,
      anon_sym_RPAREN,
    STATE(17352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803735] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19564), 1,
      anon_sym_RBRACE,
    ACTIONS(23601), 1,
      anon_sym_SEMI,
    STATE(17353), 1,
      sym_attribute,
    STATE(17487), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803755] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9638), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23603), 1,
      anon_sym_SEMI,
    STATE(16539), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803775] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23605), 1,
      anon_sym_SEMI,
    ACTIONS(23607), 1,
      anon_sym_RBRACE,
    STATE(17355), 1,
      sym_attribute,
    STATE(17387), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803795] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(42), 1,
      sym_attribute_id,
    STATE(17356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [803813] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23609), 1,
      aux_sym_quoted_extension_token1,
    STATE(17357), 1,
      sym_attribute,
    STATE(21084), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803833] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(23611), 1,
      sym__identifier,
    STATE(17358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803853] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(23613), 1,
      anon_sym_RPAREN,
    STATE(17359), 1,
      sym_attribute,
    STATE(20302), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803873] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23615), 1,
      anon_sym_RPAREN,
    STATE(17360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803893] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16081), 1,
      anon_sym_in,
    ACTIONS(22430), 1,
      anon_sym_and,
    STATE(16671), 1,
      aux_sym_module_definition_repeat1,
    STATE(17361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803913] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(43), 1,
      sym_attribute_id,
    STATE(17362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [803931] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23617), 1,
      anon_sym_SEMI,
    ACTIONS(23619), 1,
      anon_sym_RBRACE,
    STATE(17363), 1,
      sym_attribute,
    STATE(17386), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803951] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23621), 1,
      anon_sym_RPAREN,
    STATE(17364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803971] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19208), 1,
      anon_sym_SEMI,
    ACTIONS(19210), 1,
      anon_sym_GT,
    STATE(17365), 1,
      sym_attribute,
    STATE(17905), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803991] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3957), 1,
      anon_sym_RBRACK,
    ACTIONS(23623), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804011] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23625), 1,
      aux_sym_quoted_extension_token1,
    STATE(17367), 1,
      sym_attribute,
    STATE(21238), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804031] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23627), 1,
      anon_sym_SEMI,
    ACTIONS(23629), 1,
      anon_sym_RBRACE,
    STATE(17368), 1,
      sym_attribute,
    STATE(17596), 1,
      aux_sym_record_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804051] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21846), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804071] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20504), 1,
      anon_sym_RBRACE,
    ACTIONS(23631), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804091] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20281), 1,
      anon_sym_RBRACE,
    ACTIONS(23633), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804111] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23635), 1,
      anon_sym_SEMI,
    ACTIONS(23637), 1,
      anon_sym_GT_RBRACE,
    STATE(17372), 1,
      sym_attribute,
    STATE(17395), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804131] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23639), 1,
      anon_sym_SEMI,
    ACTIONS(23641), 1,
      anon_sym_GT_RBRACE,
    STATE(17373), 1,
      sym_attribute,
    STATE(17410), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804151] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(23643), 1,
      anon_sym_RPAREN,
    STATE(17374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804171] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21848), 1,
      anon_sym_RBRACK,
    STATE(17375), 1,
      sym_attribute,
    STATE(17399), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804191] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(44), 1,
      sym_attribute_id,
    STATE(17376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [804209] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23645), 1,
      anon_sym_SEMI,
    ACTIONS(23647), 1,
      anon_sym_GT_RBRACE,
    STATE(17377), 1,
      sym_attribute,
    STATE(17888), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804229] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21848), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804249] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20374), 1,
      anon_sym_RBRACE,
    ACTIONS(23649), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804269] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23651), 1,
      aux_sym_quoted_extension_token1,
    STATE(17380), 1,
      sym_attribute,
    STATE(21439), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804289] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20342), 1,
      anon_sym_RBRACK,
    ACTIONS(23653), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17381), 2,
      sym_attribute,
      aux_sym_list_pattern_repeat1,
  [804307] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12906), 1,
      anon_sym_GT,
    ACTIONS(23656), 1,
      anon_sym_SEMI,
    STATE(17382), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804327] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4487), 1,
      anon_sym_RBRACK,
    ACTIONS(23658), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804347] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4219), 1,
      anon_sym_RBRACK,
    ACTIONS(23660), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804367] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(45), 1,
      sym_attribute_id,
    STATE(17385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [804385] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20132), 1,
      anon_sym_RBRACE,
    ACTIONS(23662), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804405] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20271), 1,
      anon_sym_RBRACE,
    ACTIONS(23664), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804425] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20128), 1,
      anon_sym_RBRACE,
    ACTIONS(23666), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804445] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23668), 1,
      aux_sym_quoted_extension_token1,
    STATE(17389), 1,
      sym_attribute,
    STATE(21929), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804465] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17545), 1,
      sym__capitalized_identifier,
    ACTIONS(20915), 1,
      anon_sym_LPAREN,
    STATE(10932), 1,
      sym__constructor_name,
    STATE(17390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804485] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4221), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23670), 1,
      anon_sym_SEMI,
    STATE(17391), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804505] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12519), 1,
      anon_sym_STAR,
    ACTIONS(14447), 1,
      anon_sym_DASH_GT,
    STATE(17392), 1,
      sym_attribute,
    STATE(17606), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804525] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(46), 1,
      sym_attribute_id,
    STATE(17393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [804543] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23672), 1,
      anon_sym_SEMI,
    ACTIONS(23674), 1,
      anon_sym_RBRACE,
    STATE(17394), 1,
      sym_attribute,
    STATE(17478), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804563] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21852), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23676), 1,
      anon_sym_SEMI,
    STATE(17395), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804583] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23678), 1,
      aux_sym_quoted_extension_token1,
    STATE(17396), 1,
      sym_attribute,
    STATE(22356), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804603] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(23680), 1,
      anon_sym_RPAREN,
    STATE(17397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804623] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4489), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23682), 1,
      anon_sym_SEMI,
    STATE(17398), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804643] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21858), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804663] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(23684), 1,
      anon_sym_type,
    STATE(17400), 1,
      sym_attribute,
    STATE(17893), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804683] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20424), 1,
      anon_sym_RBRACE,
    ACTIONS(23686), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804703] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23688), 1,
      anon_sym_RPAREN,
    STATE(17402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804723] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(47), 1,
      sym_attribute_id,
    STATE(17403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [804741] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23690), 1,
      anon_sym_RPAREN,
    STATE(17404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804761] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23692), 1,
      aux_sym_quoted_extension_token1,
    STATE(17405), 1,
      sym_attribute,
    STATE(19396), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804781] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20210), 1,
      anon_sym_RBRACE,
    ACTIONS(23694), 1,
      anon_sym_SEMI,
    STATE(17406), 1,
      sym_attribute,
    STATE(17417), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804801] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3959), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23696), 1,
      anon_sym_SEMI,
    STATE(17407), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804821] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(23698), 1,
      anon_sym_RPAREN,
    STATE(17408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804841] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21862), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804861] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21248), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23700), 1,
      anon_sym_SEMI,
    STATE(17410), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804881] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(48), 1,
      sym_attribute_id,
    STATE(17411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [804899] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23702), 1,
      aux_sym_quoted_extension_token1,
    STATE(17412), 1,
      sym_attribute,
    STATE(19749), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804919] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(23704), 1,
      sym__identifier,
    STATE(17413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804939] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23706), 1,
      anon_sym_RPAREN,
    STATE(17414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804959] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23708), 1,
      anon_sym_SEMI,
    ACTIONS(23711), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17415), 2,
      sym_attribute,
      aux_sym_object_copy_expression_repeat1,
  [804977] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23713), 1,
      anon_sym_RPAREN,
    STATE(17416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804997] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20242), 1,
      anon_sym_RBRACE,
    ACTIONS(23715), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805017] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(49), 1,
      sym_attribute_id,
    STATE(17418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [805035] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23717), 1,
      aux_sym_quoted_extension_token1,
    STATE(17419), 1,
      sym_attribute,
    STATE(19441), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805055] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9826), 1,
      anon_sym_RBRACK,
    ACTIONS(23719), 1,
      anon_sym_SEMI,
    STATE(17420), 1,
      sym_attribute,
    STATE(17728), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805075] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20070), 1,
      anon_sym_RBRACE,
    ACTIONS(23721), 1,
      anon_sym_SEMI,
    STATE(17421), 1,
      sym_attribute,
    STATE(17433), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805095] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23723), 1,
      anon_sym_SEMI,
    ACTIONS(23725), 1,
      anon_sym_GT_RBRACE,
    STATE(17422), 1,
      sym_attribute,
    STATE(17608), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805115] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(50), 1,
      sym_attribute_id,
    STATE(17423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [805133] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21038), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23727), 1,
      anon_sym_SEMI,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805153] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(23729), 1,
      sym__identifier,
    STATE(17425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805173] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23731), 1,
      aux_sym_quoted_extension_token1,
    STATE(17426), 1,
      sym_attribute,
    STATE(21300), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805193] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21032), 1,
      anon_sym_RBRACK,
    STATE(16622), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805213] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(51), 1,
      sym_attribute_id,
    STATE(17428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [805231] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23733), 1,
      anon_sym_SEMI,
    ACTIONS(23735), 1,
      anon_sym_RBRACE,
    STATE(17429), 1,
      sym_attribute,
    STATE(17475), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805251] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23737), 1,
      anon_sym_RPAREN,
    STATE(17430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805271] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23739), 1,
      aux_sym_quoted_extension_token1,
    STATE(17431), 1,
      sym_attribute,
    STATE(19246), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805291] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23741), 1,
      anon_sym_SEMI,
    ACTIONS(23743), 1,
      anon_sym_RBRACE,
    STATE(17432), 1,
      sym_attribute,
    STATE(17447), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805311] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20114), 1,
      anon_sym_RBRACE,
    ACTIONS(23745), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805331] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21886), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23747), 1,
      anon_sym_SEMI,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805351] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23749), 1,
      anon_sym_SEMI,
    ACTIONS(23751), 1,
      anon_sym_GT_RBRACE,
    STATE(17435), 1,
      sym_attribute,
    STATE(17454), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805371] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(52), 1,
      sym_attribute_id,
    STATE(17436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [805389] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23753), 1,
      anon_sym_SEMI,
    ACTIONS(23755), 1,
      anon_sym_RBRACE,
    STATE(16595), 1,
      aux_sym_record_expression_repeat1,
    STATE(17437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805409] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23757), 1,
      anon_sym_SEMI,
    ACTIONS(23759), 1,
      anon_sym_GT_RBRACE,
    STATE(17438), 1,
      sym_attribute,
    STATE(17506), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805429] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23761), 1,
      aux_sym_quoted_extension_token1,
    STATE(17439), 1,
      sym_attribute,
    STATE(19898), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805449] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(23763), 1,
      anon_sym_RPAREN,
    STATE(17440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805469] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(23765), 1,
      anon_sym_RPAREN,
    STATE(17441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805489] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(23767), 1,
      anon_sym_RBRACK,
    STATE(16636), 1,
      aux_sym__type_params_repeat1,
    STATE(17442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805509] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(53), 1,
      sym_attribute_id,
    STATE(17443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [805527] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4231), 1,
      anon_sym_RBRACK,
    ACTIONS(23769), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805547] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14788), 1,
      sym_attribute_id,
    STATE(17445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23771), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [805565] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23773), 1,
      aux_sym_quoted_extension_token1,
    STATE(17446), 1,
      sym_attribute,
    STATE(20894), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805585] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20444), 1,
      anon_sym_RBRACE,
    ACTIONS(23775), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805605] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21894), 1,
      anon_sym_RBRACK,
    STATE(17448), 1,
      sym_attribute,
    STATE(17635), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805625] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21894), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805645] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4233), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23777), 1,
      anon_sym_SEMI,
    STATE(17450), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805665] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(54), 1,
      sym_attribute_id,
    STATE(17451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [805683] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23779), 1,
      anon_sym_SEMI,
    ACTIONS(23781), 1,
      anon_sym_RBRACE,
    STATE(17452), 1,
      sym_attribute,
    STATE(17472), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805703] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23783), 1,
      aux_sym_quoted_extension_token1,
    STATE(17453), 1,
      sym_attribute,
    STATE(21743), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805723] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21898), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23785), 1,
      anon_sym_SEMI,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805743] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13136), 1,
      anon_sym_GT,
    ACTIONS(23787), 1,
      anon_sym_SEMI,
    STATE(17455), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805763] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23789), 1,
      anon_sym_SEMI,
    ACTIONS(23791), 1,
      anon_sym_GT_RBRACE,
    STATE(17456), 1,
      sym_attribute,
    STATE(17490), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805783] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(55), 1,
      sym_attribute_id,
    STATE(17457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [805801] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23793), 1,
      anon_sym_RPAREN,
    STATE(17458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805821] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20484), 1,
      anon_sym_RBRACE,
    ACTIONS(23795), 1,
      anon_sym_SEMI,
    STATE(17459), 1,
      sym_attribute,
    STATE(17469), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805841] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23797), 1,
      aux_sym_quoted_extension_token1,
    STATE(17460), 1,
      sym_attribute,
    STATE(22244), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805861] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(23799), 1,
      sym__identifier,
    STATE(17461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805881] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4063), 1,
      anon_sym_RBRACK,
    ACTIONS(23801), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805901] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23803), 1,
      anon_sym_SEMI,
    ACTIONS(23805), 1,
      anon_sym_RBRACE,
    STATE(17463), 1,
      sym_attribute,
    STATE(17575), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805921] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(56), 1,
      sym_attribute_id,
    STATE(17464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [805939] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(23807), 1,
      sym__identifier,
    STATE(17465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805959] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23809), 1,
      aux_sym_quoted_extension_token1,
    STATE(17466), 1,
      sym_attribute,
    STATE(19428), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805979] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23811), 1,
      anon_sym_RPAREN,
    STATE(17467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805999] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(23813), 1,
      anon_sym_RPAREN,
    STATE(17468), 1,
      sym_attribute,
    STATE(21310), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806019] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20502), 1,
      anon_sym_RBRACE,
    ACTIONS(23815), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806039] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3833), 1,
      anon_sym_RBRACK,
    ACTIONS(23817), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806059] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3897), 1,
      anon_sym_RBRACK,
    ACTIONS(23819), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806079] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20084), 1,
      anon_sym_RBRACE,
    ACTIONS(23821), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806099] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(23823), 1,
      sym__identifier,
    STATE(17473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806119] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(57), 1,
      sym_attribute_id,
    STATE(17474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [806137] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20540), 1,
      anon_sym_RBRACE,
    ACTIONS(23825), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806157] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23827), 1,
      anon_sym_RPAREN,
    STATE(17476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806177] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23829), 1,
      aux_sym_quoted_extension_token1,
    STATE(17477), 1,
      sym_attribute,
    STATE(19720), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806197] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20126), 1,
      anon_sym_RBRACE,
    ACTIONS(23831), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806217] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4039), 1,
      anon_sym_RBRACK,
    ACTIONS(23833), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806237] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23835), 1,
      anon_sym_SEMI,
    ACTIONS(23837), 1,
      anon_sym_RBRACE,
    STATE(17480), 1,
      sym_attribute,
    STATE(17619), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806257] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(23839), 1,
      anon_sym_RPAREN,
    STATE(17481), 1,
      sym_attribute,
    STATE(22262), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806277] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(58), 1,
      sym_attribute_id,
    STATE(17482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [806295] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20204), 1,
      anon_sym_RBRACE,
    ACTIONS(23841), 1,
      anon_sym_SEMI,
    STATE(17483), 1,
      sym_attribute,
    STATE(17714), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806315] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23843), 1,
      aux_sym_quoted_extension_token1,
    STATE(17484), 1,
      sym_attribute,
    STATE(20074), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806335] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4017), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23845), 1,
      anon_sym_SEMI,
    STATE(17485), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806355] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3899), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23847), 1,
      anon_sym_SEMI,
    STATE(17486), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806375] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23849), 1,
      anon_sym_SEMI,
    ACTIONS(23852), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17487), 2,
      sym_attribute,
      aux_sym_record_pattern_repeat1,
  [806393] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20328), 1,
      anon_sym_RBRACE,
    ACTIONS(23854), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806413] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(59), 1,
      sym_attribute_id,
    STATE(17489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [806431] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21906), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23856), 1,
      anon_sym_SEMI,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806451] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23858), 1,
      aux_sym_quoted_extension_token1,
    STATE(17491), 1,
      sym_attribute,
    STATE(20281), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806471] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(60), 1,
      sym_attribute_id,
    STATE(17492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [806489] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23860), 1,
      aux_sym_quoted_extension_token1,
    STATE(17493), 1,
      sym_attribute,
    STATE(20417), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806509] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23862), 1,
      anon_sym_RPAREN,
    STATE(17494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806529] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(61), 1,
      sym_attribute_id,
    STATE(17495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [806547] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23864), 1,
      anon_sym_SEMI,
    ACTIONS(23866), 1,
      anon_sym_RBRACE,
    STATE(17496), 1,
      sym_attribute,
    STATE(17579), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806567] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23868), 1,
      aux_sym_quoted_extension_token1,
    STATE(17497), 1,
      sym_attribute,
    STATE(20524), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806587] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(62), 1,
      sym_attribute_id,
    STATE(17498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [806605] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23870), 1,
      aux_sym_quoted_extension_token1,
    STATE(17499), 1,
      sym_attribute,
    STATE(20584), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806625] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(63), 1,
      sym_attribute_id,
    STATE(17500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [806643] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23872), 1,
      aux_sym_quoted_extension_token1,
    STATE(17501), 1,
      sym_attribute,
    STATE(20649), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806663] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(64), 1,
      sym_attribute_id,
    STATE(17502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [806681] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23874), 1,
      anon_sym_SEMI,
    ACTIONS(23876), 1,
      anon_sym_RBRACE,
    STATE(17503), 1,
      sym_attribute,
    STATE(17604), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806701] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23878), 1,
      aux_sym_quoted_extension_token1,
    STATE(17504), 1,
      sym_attribute,
    STATE(20727), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806721] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(65), 1,
      sym_attribute_id,
    STATE(17505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [806739] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21912), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23880), 1,
      anon_sym_SEMI,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806759] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23882), 1,
      aux_sym_quoted_extension_token1,
    STATE(17507), 1,
      sym_attribute,
    STATE(20769), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806779] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(66), 1,
      sym_attribute_id,
    STATE(17508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [806797] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23884), 1,
      aux_sym_quoted_extension_token1,
    STATE(17509), 1,
      sym_attribute,
    STATE(20833), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806817] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(67), 1,
      sym_attribute_id,
    STATE(17510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [806835] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23886), 1,
      aux_sym_quoted_extension_token1,
    STATE(17511), 1,
      sym_attribute,
    STATE(20874), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806855] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(68), 1,
      sym_attribute_id,
    STATE(17512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [806873] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23888), 1,
      aux_sym_quoted_extension_token1,
    STATE(17513), 1,
      sym_attribute,
    STATE(20924), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806893] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(69), 1,
      sym_attribute_id,
    STATE(17514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [806911] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23890), 1,
      aux_sym_quoted_extension_token1,
    STATE(17515), 1,
      sym_attribute,
    STATE(20966), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806931] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(70), 1,
      sym_attribute_id,
    STATE(17516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [806949] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23892), 1,
      anon_sym_SEMI,
    ACTIONS(23894), 1,
      anon_sym_GT_RBRACE,
    STATE(17517), 1,
      sym_attribute,
    STATE(17586), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806969] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23896), 1,
      aux_sym_quoted_extension_token1,
    STATE(17518), 1,
      sym_attribute,
    STATE(20990), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806989] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(71), 1,
      sym_attribute_id,
    STATE(17519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807007] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23898), 1,
      aux_sym_quoted_extension_token1,
    STATE(17520), 1,
      sym_attribute,
    STATE(21013), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807027] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(72), 1,
      sym_attribute_id,
    STATE(17521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807045] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23900), 1,
      aux_sym_quoted_extension_token1,
    STATE(17522), 1,
      sym_attribute,
    STATE(21048), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807065] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(73), 1,
      sym_attribute_id,
    STATE(17523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807083] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23902), 1,
      aux_sym_quoted_extension_token1,
    STATE(17524), 1,
      sym_attribute,
    STATE(21073), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807103] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(74), 1,
      sym_attribute_id,
    STATE(17525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807121] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23904), 1,
      aux_sym_quoted_extension_token1,
    STATE(17526), 1,
      sym_attribute,
    STATE(21079), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807141] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(75), 1,
      sym_attribute_id,
    STATE(17527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807159] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23906), 1,
      aux_sym_quoted_extension_token1,
    STATE(17528), 1,
      sym_attribute,
    STATE(21089), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807179] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(76), 1,
      sym_attribute_id,
    STATE(17529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807197] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23908), 1,
      aux_sym_quoted_extension_token1,
    STATE(17530), 1,
      sym_attribute,
    STATE(21099), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807217] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(77), 1,
      sym_attribute_id,
    STATE(17531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807235] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23910), 1,
      aux_sym_quoted_extension_token1,
    STATE(17532), 1,
      sym_attribute,
    STATE(21122), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807255] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(78), 1,
      sym_attribute_id,
    STATE(17533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807273] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23912), 1,
      aux_sym_quoted_extension_token1,
    STATE(17534), 1,
      sym_attribute,
    STATE(21136), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807293] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(79), 1,
      sym_attribute_id,
    STATE(17535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807311] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23914), 1,
      aux_sym_quoted_extension_token1,
    STATE(17536), 1,
      sym_attribute,
    STATE(21147), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807331] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(80), 1,
      sym_attribute_id,
    STATE(17537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807349] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23916), 1,
      aux_sym_quoted_extension_token1,
    STATE(17538), 1,
      sym_attribute,
    STATE(21163), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807369] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(81), 1,
      sym_attribute_id,
    STATE(17539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807387] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23918), 1,
      aux_sym_quoted_extension_token1,
    STATE(17540), 1,
      sym_attribute,
    STATE(21173), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807407] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(82), 1,
      sym_attribute_id,
    STATE(17541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807425] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23920), 1,
      aux_sym_quoted_extension_token1,
    STATE(17542), 1,
      sym_attribute,
    STATE(21184), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807445] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(83), 1,
      sym_attribute_id,
    STATE(17543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807463] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23922), 1,
      aux_sym_quoted_extension_token1,
    STATE(17544), 1,
      sym_attribute,
    STATE(21197), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807483] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(84), 1,
      sym_attribute_id,
    STATE(17545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807501] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23924), 1,
      aux_sym_quoted_extension_token1,
    STATE(17546), 1,
      sym_attribute,
    STATE(21226), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807521] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(85), 1,
      sym_attribute_id,
    STATE(17547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807539] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23926), 1,
      aux_sym_quoted_extension_token1,
    STATE(17548), 1,
      sym_attribute,
    STATE(21245), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807559] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(86), 1,
      sym_attribute_id,
    STATE(17549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807577] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23928), 1,
      aux_sym_quoted_extension_token1,
    STATE(17550), 1,
      sym_attribute,
    STATE(21262), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807597] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(87), 1,
      sym_attribute_id,
    STATE(17551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807615] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23930), 1,
      aux_sym_quoted_extension_token1,
    STATE(17552), 1,
      sym_attribute,
    STATE(21269), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807635] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(88), 1,
      sym_attribute_id,
    STATE(17553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807653] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23932), 1,
      aux_sym_quoted_extension_token1,
    STATE(17554), 1,
      sym_attribute,
    STATE(21286), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807673] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(89), 1,
      sym_attribute_id,
    STATE(17555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807691] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23934), 1,
      aux_sym_quoted_extension_token1,
    STATE(17556), 1,
      sym_attribute,
    STATE(21294), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807711] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(90), 1,
      sym_attribute_id,
    STATE(17557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807729] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23936), 1,
      aux_sym_quoted_extension_token1,
    STATE(17558), 1,
      sym_attribute,
    STATE(21306), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807749] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(91), 1,
      sym_attribute_id,
    STATE(17559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807767] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23938), 1,
      aux_sym_quoted_extension_token1,
    STATE(17560), 1,
      sym_attribute,
    STATE(21317), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807787] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(92), 1,
      sym_attribute_id,
    STATE(17561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807805] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23940), 1,
      aux_sym_quoted_extension_token1,
    STATE(17562), 1,
      sym_attribute,
    STATE(21332), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807825] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(93), 1,
      sym_attribute_id,
    STATE(17563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807843] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23942), 1,
      aux_sym_quoted_extension_token1,
    STATE(17564), 1,
      sym_attribute,
    STATE(21339), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807863] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(94), 1,
      sym_attribute_id,
    STATE(17565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807881] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23944), 1,
      aux_sym_quoted_extension_token1,
    STATE(17566), 1,
      sym_attribute,
    STATE(21343), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807901] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(95), 1,
      sym_attribute_id,
    STATE(17567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807919] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23946), 1,
      aux_sym_quoted_extension_token1,
    STATE(17568), 1,
      sym_attribute,
    STATE(21355), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807939] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17569), 1,
      sym_attribute,
    STATE(17933), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807957] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(29), 1,
      sym_attribute_id,
    STATE(17570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [807975] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(23948), 1,
      anon_sym_RPAREN,
    STATE(17571), 1,
      sym_attribute,
    STATE(21221), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807995] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11176), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(16615), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808015] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9778), 1,
      anon_sym_RBRACK,
    ACTIONS(23950), 1,
      anon_sym_SEMI,
    STATE(17573), 1,
      sym_attribute,
    STATE(17728), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808035] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4065), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23952), 1,
      anon_sym_SEMI,
    STATE(17574), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808055] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19752), 1,
      anon_sym_RBRACE,
    ACTIONS(23954), 1,
      anon_sym_SEMI,
    STATE(17575), 1,
      sym_attribute,
    STATE(17732), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808075] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4243), 1,
      anon_sym_RBRACK,
    ACTIONS(23956), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808095] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9780), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23958), 1,
      anon_sym_SEMI,
    STATE(16528), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(17577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808115] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23960), 1,
      aux_sym_quoted_extension_token1,
    STATE(17578), 1,
      sym_attribute,
    STATE(21610), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808135] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20040), 1,
      anon_sym_RBRACE,
    ACTIONS(23962), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808155] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23964), 1,
      anon_sym_LPAREN,
    ACTIONS(23966), 1,
      anon_sym_LBRACK,
    ACTIONS(23968), 1,
      anon_sym_LBRACE,
    STATE(17580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808175] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4245), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23970), 1,
      anon_sym_SEMI,
    STATE(17581), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808195] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23972), 1,
      anon_sym_RPAREN,
    STATE(17582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808215] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23974), 1,
      anon_sym_SEMI,
    ACTIONS(23976), 1,
      anon_sym_GT_RBRACE,
    STATE(17583), 1,
      sym_attribute,
    STATE(17624), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808235] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23978), 1,
      anon_sym_RPAREN,
    STATE(17584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808255] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23980), 1,
      anon_sym_SEMI,
    ACTIONS(23983), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17585), 2,
      sym_attribute,
      aux_sym_record_declaration_repeat1,
  [808273] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21916), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23985), 1,
      anon_sym_SEMI,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808293] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23987), 1,
      anon_sym_LPAREN,
    ACTIONS(23989), 1,
      anon_sym_LBRACK,
    ACTIONS(23991), 1,
      anon_sym_LBRACE,
    STATE(17587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808313] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20152), 1,
      anon_sym_RBRACE,
    ACTIONS(23993), 1,
      anon_sym_SEMI,
    STATE(17588), 1,
      sym_attribute,
    STATE(17656), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808333] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11326), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(17589), 1,
      sym_attribute,
    STATE(17781), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808353] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20312), 1,
      anon_sym_RBRACE,
    ACTIONS(23995), 1,
      anon_sym_SEMI,
    STATE(17590), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808373] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(23997), 1,
      anon_sym_RPAREN,
    STATE(17591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808393] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20244), 1,
      anon_sym_RBRACE,
    ACTIONS(23999), 1,
      anon_sym_SEMI,
    STATE(17592), 1,
      sym_attribute,
    STATE(17600), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808413] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20198), 1,
      anon_sym_RBRACE,
    ACTIONS(24001), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808433] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17720), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24003), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17594), 2,
      sym_attribute,
      aux_sym_list_expression_repeat1,
  [808451] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(24006), 1,
      anon_sym_RPAREN,
    STATE(17595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808471] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21920), 1,
      anon_sym_RBRACE,
    ACTIONS(24008), 1,
      anon_sym_SEMI,
    STATE(17585), 1,
      aux_sym_record_declaration_repeat1,
    STATE(17596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808491] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(24010), 1,
      sym__identifier,
    STATE(17597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808511] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24012), 1,
      anon_sym_RPAREN,
    STATE(17598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808531] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19332), 1,
      anon_sym_SEMI,
    ACTIONS(19334), 1,
      anon_sym_GT,
    STATE(17599), 1,
      sym_attribute,
    STATE(17799), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808551] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20279), 1,
      anon_sym_RBRACE,
    ACTIONS(24014), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808571] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11282), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(17601), 1,
      sym_attribute,
    STATE(17628), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808591] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4499), 1,
      anon_sym_RBRACK,
    ACTIONS(24016), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808611] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19204), 1,
      anon_sym_SEMI,
    ACTIONS(19206), 1,
      anon_sym_GT,
    STATE(17603), 1,
      sym_attribute,
    STATE(17642), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808631] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20064), 1,
      anon_sym_RBRACE,
    ACTIONS(24018), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808651] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24020), 1,
      anon_sym_SEMI,
    ACTIONS(24022), 1,
      anon_sym_RBRACE,
    STATE(17605), 1,
      sym_attribute,
    STATE(17827), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808671] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13222), 1,
      anon_sym_DASH_GT,
    ACTIONS(24024), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17606), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
  [808689] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(24027), 1,
      anon_sym_RPAREN,
    STATE(17607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808709] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21268), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24029), 1,
      anon_sym_SEMI,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808729] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(24031), 1,
      sym__identifier,
    STATE(17609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808749] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11314), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(17610), 1,
      sym_attribute,
    STATE(17676), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808769] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4501), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24033), 1,
      anon_sym_SEMI,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    STATE(17611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808789] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(24035), 1,
      anon_sym_RBRACK,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808809] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24037), 1,
      anon_sym_SEMI,
    ACTIONS(24039), 1,
      anon_sym_RBRACE,
    STATE(17613), 1,
      sym_attribute,
    STATE(17634), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808829] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19174), 1,
      anon_sym_SEMI,
    ACTIONS(19176), 1,
      anon_sym_GT,
    STATE(17614), 1,
      sym_attribute,
    STATE(17678), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808849] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24041), 1,
      anon_sym_RPAREN,
    STATE(17615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808869] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20490), 1,
      anon_sym_RBRACE,
    ACTIONS(24043), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808889] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9648), 1,
      anon_sym_RBRACK,
    ACTIONS(24045), 1,
      anon_sym_SEMI,
    STATE(17381), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808909] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21040), 1,
      anon_sym_RBRACK,
    STATE(16951), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808929] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19814), 1,
      anon_sym_RBRACE,
    ACTIONS(24047), 1,
      anon_sym_SEMI,
    STATE(17487), 1,
      aux_sym_record_pattern_repeat1,
    STATE(17619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808949] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9650), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24049), 1,
      anon_sym_SEMI,
    STATE(16539), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808969] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16665), 1,
      sym_attribute_id,
    STATE(17621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [808987] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24051), 1,
      anon_sym_SEMI,
    ACTIONS(24053), 1,
      anon_sym_GT_RBRACE,
    STATE(17622), 1,
      sym_attribute,
    STATE(17641), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809007] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(24055), 1,
      anon_sym_RPAREN,
    STATE(17623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809027] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21270), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24057), 1,
      anon_sym_SEMI,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809047] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24059), 1,
      anon_sym_LPAREN,
    ACTIONS(24061), 1,
      anon_sym_LBRACK,
    ACTIONS(24063), 1,
      anon_sym_LBRACE,
    STATE(17625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809067] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(24065), 1,
      anon_sym_RPAREN,
    STATE(17626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809087] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21942), 1,
      anon_sym_RBRACK,
    STATE(17627), 1,
      sym_attribute,
    STATE(17659), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809107] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21942), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809127] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24067), 1,
      anon_sym_LPAREN,
    ACTIONS(24069), 1,
      anon_sym_LBRACK,
    ACTIONS(24071), 1,
      anon_sym_LBRACE,
    STATE(17629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809147] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(24073), 1,
      sym__identifier,
    STATE(17630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809167] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24075), 1,
      anon_sym_RPAREN,
    STATE(17631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809187] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4255), 1,
      anon_sym_RBRACK,
    ACTIONS(24077), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809207] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20176), 1,
      anon_sym_RBRACE,
    ACTIONS(24079), 1,
      anon_sym_SEMI,
    STATE(17633), 1,
      sym_attribute,
    STATE(17662), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809227] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20508), 1,
      anon_sym_RBRACE,
    ACTIONS(24081), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809247] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21946), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809267] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21946), 1,
      anon_sym_RBRACK,
    STATE(17636), 1,
      sym_attribute,
    STATE(17695), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809287] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4257), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24083), 1,
      anon_sym_SEMI,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    STATE(17637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809307] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24085), 1,
      anon_sym_EQ,
    STATE(17638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809327] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24087), 1,
      anon_sym_RPAREN,
    STATE(17639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809347] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20144), 1,
      anon_sym_RBRACE,
    ACTIONS(24089), 1,
      anon_sym_SEMI,
    STATE(17640), 1,
      sym_attribute,
    STATE(17701), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809367] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21950), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24091), 1,
      anon_sym_SEMI,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809387] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13012), 1,
      anon_sym_GT,
    ACTIONS(24093), 1,
      anon_sym_SEMI,
    STATE(17642), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809407] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24095), 1,
      anon_sym_RPAREN,
    STATE(17643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809427] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24097), 1,
      anon_sym_RPAREN,
    STATE(17644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809447] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_RBRACE,
    ACTIONS(24099), 1,
      anon_sym_SEMI,
    STATE(17645), 1,
      sym_attribute,
    STATE(17653), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809467] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(24101), 1,
      sym__identifier,
    STATE(17646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809487] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(24103), 1,
      anon_sym_RPAREN,
    STATE(17647), 1,
      sym_attribute,
    STATE(21375), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809507] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16734), 1,
      sym_attribute_id,
    STATE(17648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [809525] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(24105), 1,
      sym__identifier,
    STATE(17649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809545] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24107), 1,
      anon_sym_RPAREN,
    STATE(17650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809565] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24109), 1,
      anon_sym_RPAREN,
    STATE(17651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809585] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24111), 1,
      anon_sym_LPAREN,
    ACTIONS(24113), 1,
      anon_sym_LBRACK,
    ACTIONS(24115), 1,
      anon_sym_LBRACE,
    STATE(17652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809605] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20092), 1,
      anon_sym_RBRACE,
    ACTIONS(24117), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809625] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24119), 1,
      anon_sym_RPAREN,
    STATE(17654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809645] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24121), 1,
      anon_sym_LPAREN,
    ACTIONS(24123), 1,
      anon_sym_LBRACK,
    ACTIONS(24125), 1,
      anon_sym_LBRACE,
    STATE(17655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809665] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20283), 1,
      anon_sym_RBRACE,
    ACTIONS(24127), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809685] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(24129), 1,
      anon_sym_RPAREN,
    STATE(17657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809705] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(24131), 1,
      sym__identifier,
    STATE(17658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809725] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21956), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809745] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21956), 1,
      anon_sym_RBRACK,
    STATE(17660), 1,
      sym_attribute,
    STATE(17665), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809765] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24133), 1,
      anon_sym_SEMI,
    ACTIONS(24135), 1,
      anon_sym_RBRACE,
    STATE(16548), 1,
      aux_sym_record_expression_repeat1,
    STATE(17661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809785] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20192), 1,
      anon_sym_RBRACE,
    ACTIONS(24137), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809805] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24139), 1,
      anon_sym_RPAREN,
    STATE(17663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809825] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19704), 1,
      anon_sym_RBRACE,
    ACTIONS(24141), 1,
      anon_sym_SEMI,
    STATE(17664), 1,
      sym_attribute,
    STATE(17732), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809845] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21966), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809865] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14572), 1,
      sym__type_equation,
    STATE(17666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24143), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [809883] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11220), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(17667), 1,
      sym_attribute,
    STATE(17710), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809903] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24145), 1,
      anon_sym_SEMI,
    ACTIONS(24147), 1,
      anon_sym_GT_RBRACE,
    STATE(16701), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809923] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24149), 1,
      anon_sym_SEMI,
    ACTIONS(24151), 1,
      anon_sym_RBRACE,
    STATE(17669), 1,
      sym_attribute,
    STATE(17692), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809943] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(24153), 1,
      anon_sym_RPAREN,
    STATE(17670), 1,
      sym_attribute,
    STATE(21810), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809963] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16792), 1,
      sym_attribute_id,
    STATE(17671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [809981] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12286), 1,
      anon_sym_DOT,
    STATE(17672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24155), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [809999] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19200), 1,
      anon_sym_SEMI,
    ACTIONS(19202), 1,
      anon_sym_GT,
    STATE(17673), 1,
      sym_attribute,
    STATE(17719), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810019] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(24157), 1,
      anon_sym_RPAREN,
    STATE(17674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810039] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21970), 1,
      anon_sym_RBRACK,
    STATE(17675), 1,
      sym_attribute,
    STATE(17699), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810059] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21970), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810079] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24159), 1,
      anon_sym_LPAREN,
    ACTIONS(24161), 1,
      anon_sym_LBRACK,
    ACTIONS(24163), 1,
      anon_sym_LBRACE,
    STATE(17677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810099] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13100), 1,
      anon_sym_GT,
    ACTIONS(24165), 1,
      anon_sym_SEMI,
    STATE(17678), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810119] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24167), 1,
      anon_sym_LPAREN,
    ACTIONS(24169), 1,
      anon_sym_LBRACK,
    ACTIONS(24171), 1,
      anon_sym_LBRACE,
    STATE(17679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810139] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24173), 1,
      anon_sym_SEMI,
    ACTIONS(24175), 1,
      anon_sym_GT_RBRACE,
    STATE(17680), 1,
      sym_attribute,
    STATE(17884), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810159] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24177), 1,
      anon_sym_SEMI,
    ACTIONS(24179), 1,
      anon_sym_GT_RBRACE,
    STATE(17681), 1,
      sym_attribute,
    STATE(17706), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810179] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(24181), 1,
      anon_sym_RPAREN,
    STATE(17682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810199] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(24183), 1,
      sym__identifier,
    STATE(17683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810219] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24185), 1,
      anon_sym_RPAREN,
    STATE(17684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810239] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17343), 1,
      sym_attribute_id,
    STATE(17685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [810257] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16839), 1,
      sym_attribute_id,
    STATE(17686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [810275] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24187), 1,
      anon_sym_LPAREN,
    ACTIONS(24189), 1,
      anon_sym_LBRACK,
    ACTIONS(24191), 1,
      anon_sym_LBRACE,
    STATE(17687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810295] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(24193), 1,
      anon_sym_RPAREN,
    STATE(16442), 1,
      aux_sym__type_params_repeat1,
    STATE(17688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810315] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24195), 1,
      anon_sym_LPAREN,
    ACTIONS(24197), 1,
      anon_sym_LBRACK,
    ACTIONS(24199), 1,
      anon_sym_LBRACE,
    STATE(17689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810335] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4267), 1,
      anon_sym_RBRACK,
    ACTIONS(24201), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810355] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(24203), 1,
      anon_sym_RPAREN,
    STATE(17691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810375] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_RBRACE,
    ACTIONS(24205), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810395] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(24207), 1,
      sym__identifier,
    STATE(17693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810415] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4269), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24209), 1,
      anon_sym_SEMI,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    STATE(17694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810435] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21978), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810455] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(24211), 1,
      anon_sym_RPAREN,
    STATE(17696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810475] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16884), 1,
      sym_attribute_id,
    STATE(17697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [810493] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24213), 1,
      anon_sym_RPAREN,
    STATE(17698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810513] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21982), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810533] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21982), 1,
      anon_sym_RBRACK,
    STATE(17700), 1,
      sym_attribute,
    STATE(17709), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810553] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20442), 1,
      anon_sym_RBRACE,
    ACTIONS(24215), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810573] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24217), 1,
      anon_sym_LPAREN,
    ACTIONS(24219), 1,
      anon_sym_LBRACK,
    ACTIONS(24221), 1,
      anon_sym_LBRACE,
    STATE(17702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810593] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24223), 1,
      anon_sym_RPAREN,
    STATE(17703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810613] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24225), 1,
      anon_sym_LPAREN,
    ACTIONS(24227), 1,
      anon_sym_LBRACK,
    ACTIONS(24229), 1,
      anon_sym_LBRACE,
    STATE(17704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810633] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(24231), 1,
      anon_sym_RPAREN,
    STATE(17705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810653] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21986), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24233), 1,
      anon_sym_SEMI,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810673] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21278), 1,
      anon_sym_RBRACK,
    STATE(17707), 1,
      sym_attribute,
    STATE(17746), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810693] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16924), 1,
      sym_attribute_id,
    STATE(17708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [810711] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21990), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810731] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21278), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810751] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24235), 1,
      anon_sym_LPAREN,
    ACTIONS(24237), 1,
      anon_sym_LBRACK,
    ACTIONS(24239), 1,
      anon_sym_LBRACE,
    STATE(17711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810771] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24241), 1,
      anon_sym_LPAREN,
    ACTIONS(24243), 1,
      anon_sym_LBRACK,
    ACTIONS(24245), 1,
      anon_sym_LBRACE,
    STATE(17712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810791] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24247), 1,
      anon_sym_SEMI,
    ACTIONS(24249), 1,
      anon_sym_GT_RBRACE,
    STATE(16748), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810811] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20426), 1,
      anon_sym_RBRACE,
    ACTIONS(24251), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810831] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24253), 1,
      anon_sym_RPAREN,
    STATE(17715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810851] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4041), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24255), 1,
      anon_sym_SEMI,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    STATE(17716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810871] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16961), 1,
      sym_attribute_id,
    STATE(17717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [810889] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20338), 1,
      anon_sym_RBRACE,
    ACTIONS(24257), 1,
      anon_sym_SEMI,
    STATE(17718), 1,
      sym_attribute,
    STATE(17735), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810909] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12984), 1,
      anon_sym_GT,
    ACTIONS(24259), 1,
      anon_sym_SEMI,
    STATE(17719), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810929] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24261), 1,
      anon_sym_LPAREN,
    ACTIONS(24263), 1,
      anon_sym_LBRACK,
    ACTIONS(24265), 1,
      anon_sym_LBRACE,
    STATE(17720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810949] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24267), 1,
      anon_sym_LPAREN,
    ACTIONS(24269), 1,
      anon_sym_LBRACK,
    ACTIONS(24271), 1,
      anon_sym_LBRACE,
    STATE(17721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810969] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(24273), 1,
      anon_sym_RPAREN,
    STATE(17722), 1,
      sym_attribute,
    STATE(21780), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810989] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16986), 1,
      sym_attribute_id,
    STATE(17723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [811007] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24275), 1,
      anon_sym_LPAREN,
    ACTIONS(24277), 1,
      anon_sym_LBRACK,
    ACTIONS(24279), 1,
      anon_sym_LBRACE,
    STATE(17724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811027] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(24281), 1,
      sym__identifier,
    STATE(17725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811047] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24283), 1,
      anon_sym_LPAREN,
    ACTIONS(24285), 1,
      anon_sym_LBRACK,
    ACTIONS(24287), 1,
      anon_sym_LBRACE,
    STATE(17726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811067] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17020), 1,
      sym_attribute_id,
    STATE(17727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [811085] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20256), 1,
      anon_sym_RBRACK,
    ACTIONS(24289), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17728), 2,
      sym_attribute,
      aux_sym_list_binding_pattern_repeat1,
  [811103] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24292), 1,
      anon_sym_LPAREN,
    ACTIONS(24294), 1,
      anon_sym_LBRACK,
    ACTIONS(24296), 1,
      anon_sym_LBRACE,
    STATE(17729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811123] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24298), 1,
      anon_sym_LPAREN,
    ACTIONS(24300), 1,
      anon_sym_LBRACK,
    ACTIONS(24302), 1,
      anon_sym_LBRACE,
    STATE(17730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811143] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17043), 1,
      sym_attribute_id,
    STATE(17731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [811161] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24304), 1,
      anon_sym_SEMI,
    ACTIONS(24307), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17732), 2,
      sym_attribute,
      aux_sym_record_binding_pattern_repeat1,
  [811179] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24309), 1,
      anon_sym_RPAREN,
    STATE(17733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811199] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20452), 1,
      anon_sym_RBRACE,
    ACTIONS(24311), 1,
      anon_sym_SEMI,
    STATE(17401), 1,
      aux_sym_record_expression_repeat1,
    STATE(17734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811219] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20358), 1,
      anon_sym_RBRACE,
    ACTIONS(24313), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811239] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24315), 1,
      anon_sym_LPAREN,
    ACTIONS(24317), 1,
      anon_sym_LBRACK,
    ACTIONS(24319), 1,
      anon_sym_LBRACE,
    STATE(17736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811259] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24321), 1,
      anon_sym_LPAREN,
    ACTIONS(24323), 1,
      anon_sym_LBRACK,
    ACTIONS(24325), 1,
      anon_sym_LBRACE,
    STATE(17737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811279] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(24327), 1,
      anon_sym_RPAREN,
    STATE(17738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811299] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17071), 1,
      sym_attribute_id,
    STATE(17739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [811317] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24329), 1,
      anon_sym_LPAREN,
    ACTIONS(24331), 1,
      anon_sym_LBRACK,
    ACTIONS(24333), 1,
      anon_sym_LBRACE,
    STATE(17740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811337] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24335), 1,
      anon_sym_LPAREN,
    ACTIONS(24337), 1,
      anon_sym_LBRACK,
    ACTIONS(24339), 1,
      anon_sym_LBRACE,
    STATE(17741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811357] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(24341), 1,
      anon_sym_RPAREN,
    STATE(17742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811377] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17096), 1,
      sym_attribute_id,
    STATE(17743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [811395] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22063), 1,
      anon_sym_RBRACK,
    STATE(17744), 1,
      sym_attribute,
    STATE(18056), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811415] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14590), 1,
      sym__type_equation,
    STATE(17745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24143), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [811433] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21282), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811453] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24343), 1,
      anon_sym_LPAREN,
    ACTIONS(24345), 1,
      anon_sym_LBRACK,
    ACTIONS(24347), 1,
      anon_sym_LBRACE,
    STATE(17747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811473] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24349), 1,
      anon_sym_LPAREN,
    ACTIONS(24351), 1,
      anon_sym_LBRACK,
    ACTIONS(24353), 1,
      anon_sym_LBRACE,
    STATE(17748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811493] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22034), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811513] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22034), 1,
      anon_sym_RBRACK,
    STATE(16643), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811533] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22063), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811553] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17117), 1,
      sym_attribute_id,
    STATE(17752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [811571] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7), 1,
      sym_attribute_id,
    STATE(17753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [811589] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(24355), 1,
      anon_sym_RPAREN,
    STATE(17754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811609] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24357), 1,
      anon_sym_LPAREN,
    ACTIONS(24359), 1,
      anon_sym_LBRACK,
    ACTIONS(24361), 1,
      anon_sym_LBRACE,
    STATE(17755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811629] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24363), 1,
      anon_sym_LPAREN,
    ACTIONS(24365), 1,
      anon_sym_LBRACK,
    ACTIONS(24367), 1,
      anon_sym_LBRACE,
    STATE(17756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811649] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22026), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [811665] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17137), 1,
      sym_attribute_id,
    STATE(17758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [811683] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21282), 1,
      anon_sym_RBRACK,
    STATE(17759), 1,
      sym_attribute,
    STATE(17796), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811703] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24369), 1,
      anon_sym_LPAREN,
    ACTIONS(24371), 1,
      anon_sym_LBRACK,
    ACTIONS(24373), 1,
      anon_sym_LBRACE,
    STATE(17760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811723] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24375), 1,
      anon_sym_LPAREN,
    ACTIONS(24377), 1,
      anon_sym_LBRACK,
    ACTIONS(24379), 1,
      anon_sym_LBRACE,
    STATE(17761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811743] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17159), 1,
      sym_attribute_id,
    STATE(17762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [811761] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      aux_sym_tag_token1,
    STATE(16044), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17763), 1,
      sym_attribute,
    STATE(18941), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811781] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24381), 1,
      anon_sym_LPAREN,
    ACTIONS(24383), 1,
      anon_sym_LBRACK,
    ACTIONS(24385), 1,
      anon_sym_LBRACE,
    STATE(17764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811801] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24387), 1,
      anon_sym_LPAREN,
    ACTIONS(24389), 1,
      anon_sym_LBRACK,
    ACTIONS(24391), 1,
      anon_sym_LBRACE,
    STATE(17765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811821] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24393), 1,
      anon_sym_SEMI,
    ACTIONS(24395), 1,
      anon_sym_RBRACE,
    STATE(17766), 1,
      sym_attribute,
    STATE(17788), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811841] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17183), 1,
      sym_attribute_id,
    STATE(17767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [811859] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24397), 1,
      anon_sym_LPAREN,
    ACTIONS(24399), 1,
      anon_sym_LBRACK,
    ACTIONS(24401), 1,
      anon_sym_LBRACE,
    STATE(17768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811879] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24403), 1,
      anon_sym_LPAREN,
    ACTIONS(24405), 1,
      anon_sym_LBRACK,
    ACTIONS(24407), 1,
      anon_sym_LBRACE,
    STATE(17769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811899] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24409), 1,
      anon_sym_EQ,
    STATE(17770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811919] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17196), 1,
      sym_attribute_id,
    STATE(17771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [811937] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24411), 1,
      anon_sym_LPAREN,
    ACTIONS(24413), 1,
      anon_sym_LBRACK,
    ACTIONS(24415), 1,
      anon_sym_LBRACE,
    STATE(17772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811957] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24417), 1,
      anon_sym_SEMI,
    ACTIONS(24419), 1,
      anon_sym_GT_RBRACE,
    STATE(17773), 1,
      sym_attribute,
    STATE(17809), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811977] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24421), 1,
      anon_sym_LPAREN,
    ACTIONS(24423), 1,
      anon_sym_LBRACK,
    ACTIONS(24425), 1,
      anon_sym_LBRACE,
    STATE(17774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811997] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24427), 1,
      anon_sym_EQ,
    STATE(17775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812017] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17209), 1,
      sym_attribute_id,
    STATE(17776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [812035] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24429), 1,
      anon_sym_LPAREN,
    ACTIONS(24431), 1,
      anon_sym_LBRACK,
    ACTIONS(24433), 1,
      anon_sym_LBRACE,
    STATE(17777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812055] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24435), 1,
      anon_sym_LPAREN,
    ACTIONS(24437), 1,
      anon_sym_LBRACK,
    ACTIONS(24439), 1,
      anon_sym_LBRACE,
    STATE(17778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812075] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22057), 1,
      anon_sym_RBRACK,
    STATE(17779), 1,
      sym_attribute,
    STATE(17931), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812095] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17224), 1,
      sym_attribute_id,
    STATE(17780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [812113] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22057), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812133] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24441), 1,
      anon_sym_LPAREN,
    ACTIONS(24443), 1,
      anon_sym_LBRACK,
    ACTIONS(24445), 1,
      anon_sym_LBRACE,
    STATE(17782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812153] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24447), 1,
      anon_sym_LPAREN,
    ACTIONS(24449), 1,
      anon_sym_LBRACK,
    ACTIONS(24451), 1,
      anon_sym_LBRACE,
    STATE(17783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812173] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(3), 1,
      sym_attribute_id,
    STATE(17784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [812191] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3909), 1,
      anon_sym_RBRACK,
    ACTIONS(24453), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812211] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17240), 1,
      sym_attribute_id,
    STATE(17786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [812229] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24455), 1,
      anon_sym_RPAREN,
    STATE(17787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812249] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20406), 1,
      anon_sym_RBRACE,
    ACTIONS(24457), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812269] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4403), 1,
      anon_sym_RBRACK,
    ACTIONS(24459), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812289] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24461), 1,
      anon_sym_LPAREN,
    ACTIONS(24463), 1,
      anon_sym_LBRACK,
    ACTIONS(24465), 1,
      anon_sym_LBRACE,
    STATE(17790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812309] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24467), 1,
      anon_sym_SEMI,
    ACTIONS(24469), 1,
      anon_sym_RBRACE,
    STATE(17791), 1,
      sym_attribute,
    STATE(17852), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812329] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24471), 1,
      anon_sym_LPAREN,
    ACTIONS(24473), 1,
      anon_sym_LBRACK,
    ACTIONS(24475), 1,
      anon_sym_LBRACE,
    STATE(17792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812349] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17259), 1,
      sym_attribute_id,
    STATE(17793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [812367] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24477), 1,
      anon_sym_LPAREN,
    ACTIONS(24479), 1,
      anon_sym_LBRACK,
    ACTIONS(24481), 1,
      anon_sym_LBRACE,
    STATE(17794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812387] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24483), 1,
      anon_sym_LPAREN,
    ACTIONS(24485), 1,
      anon_sym_LBRACK,
    ACTIONS(24487), 1,
      anon_sym_LBRACE,
    STATE(17795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812407] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21288), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812427] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17271), 1,
      sym_attribute_id,
    STATE(17797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [812445] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24489), 1,
      anon_sym_SEMI,
    ACTIONS(24491), 1,
      anon_sym_RBRACE,
    STATE(17798), 1,
      sym_attribute,
    STATE(17835), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812465] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13144), 1,
      anon_sym_GT,
    ACTIONS(24493), 1,
      anon_sym_SEMI,
    STATE(17799), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812485] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24495), 1,
      anon_sym_LPAREN,
    ACTIONS(24497), 1,
      anon_sym_LBRACK,
    ACTIONS(24499), 1,
      anon_sym_LBRACE,
    STATE(17800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812505] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24501), 1,
      anon_sym_LPAREN,
    ACTIONS(24503), 1,
      anon_sym_LBRACK,
    ACTIONS(24505), 1,
      anon_sym_LBRACE,
    STATE(17801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812525] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3911), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24507), 1,
      anon_sym_SEMI,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    STATE(17802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812545] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17276), 1,
      sym_attribute_id,
    STATE(17803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [812563] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24509), 1,
      anon_sym_LPAREN,
    ACTIONS(24511), 1,
      anon_sym_LBRACK,
    ACTIONS(24513), 1,
      anon_sym_LBRACE,
    STATE(17804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812583] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24515), 1,
      anon_sym_LPAREN,
    ACTIONS(24517), 1,
      anon_sym_LBRACK,
    ACTIONS(24519), 1,
      anon_sym_LBRACE,
    STATE(17805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812603] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24521), 1,
      anon_sym_RPAREN,
    STATE(17806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812623] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17287), 1,
      sym_attribute_id,
    STATE(17807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [812641] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20314), 1,
      anon_sym_COMMA,
    ACTIONS(24523), 1,
      anon_sym_RPAREN,
    STATE(16410), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812661] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22073), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24525), 1,
      anon_sym_SEMI,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812681] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24527), 1,
      anon_sym_LPAREN,
    ACTIONS(24529), 1,
      anon_sym_LBRACK,
    ACTIONS(24531), 1,
      anon_sym_LBRACE,
    STATE(17810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812701] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24533), 1,
      anon_sym_LPAREN,
    ACTIONS(24535), 1,
      anon_sym_LBRACK,
    ACTIONS(24537), 1,
      anon_sym_LBRACE,
    STATE(17811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812721] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13635), 1,
      anon_sym_DQUOTE,
    STATE(11341), 1,
      aux_sym_external_repeat1,
    STATE(12356), 1,
      sym_string,
    STATE(17812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812741] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17294), 1,
      sym_attribute_id,
    STATE(17813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [812759] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(24539), 1,
      anon_sym_RPAREN,
    STATE(17688), 1,
      aux_sym__type_params_repeat1,
    STATE(17814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812779] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(24541), 1,
      anon_sym_RPAREN,
    STATE(17815), 1,
      sym_attribute,
    STATE(21849), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812799] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24543), 1,
      anon_sym_LPAREN,
    ACTIONS(24545), 1,
      anon_sym_LBRACK,
    ACTIONS(24547), 1,
      anon_sym_LBRACE,
    STATE(17816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812819] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24549), 1,
      anon_sym_RPAREN,
    STATE(17817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812839] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24551), 1,
      anon_sym_LPAREN,
    ACTIONS(24553), 1,
      anon_sym_LBRACK,
    ACTIONS(24555), 1,
      anon_sym_LBRACE,
    STATE(17818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812859] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24557), 1,
      anon_sym_SEMI,
    ACTIONS(24559), 1,
      anon_sym_GT_RBRACE,
    STATE(17819), 1,
      sym_attribute,
    STATE(17877), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812879] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17303), 1,
      sym_attribute_id,
    STATE(17820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [812897] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22079), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [812913] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20422), 1,
      anon_sym_RBRACE,
    ACTIONS(24561), 1,
      anon_sym_SEMI,
    STATE(17822), 1,
      sym_attribute,
    STATE(17854), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812933] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24563), 1,
      anon_sym_LPAREN,
    ACTIONS(24565), 1,
      anon_sym_LBRACK,
    ACTIONS(24567), 1,
      anon_sym_LBRACE,
    STATE(17823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812953] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24569), 1,
      anon_sym_LPAREN,
    ACTIONS(24571), 1,
      anon_sym_LBRACK,
    ACTIONS(24573), 1,
      anon_sym_LBRACE,
    STATE(17824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812973] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17311), 1,
      sym_attribute_id,
    STATE(17825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [812991] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11114), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(17826), 1,
      sym_attribute,
    STATE(17863), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813011] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20432), 1,
      anon_sym_RBRACE,
    ACTIONS(24575), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813031] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24577), 1,
      anon_sym_LPAREN,
    ACTIONS(24579), 1,
      anon_sym_LBRACK,
    ACTIONS(24581), 1,
      anon_sym_LBRACE,
    STATE(17828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813051] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24583), 1,
      anon_sym_LPAREN,
    ACTIONS(24585), 1,
      anon_sym_LBRACK,
    ACTIONS(24587), 1,
      anon_sym_LBRACE,
    STATE(17829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813071] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19126), 1,
      anon_sym_SEMI,
    ACTIONS(19128), 1,
      anon_sym_GT,
    STATE(17830), 1,
      sym_attribute,
    STATE(17868), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813091] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17320), 1,
      sym_attribute_id,
    STATE(17831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [813109] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9660), 1,
      anon_sym_RBRACK,
    ACTIONS(24589), 1,
      anon_sym_SEMI,
    STATE(17381), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813129] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24591), 1,
      anon_sym_LPAREN,
    ACTIONS(24593), 1,
      anon_sym_LBRACK,
    ACTIONS(24595), 1,
      anon_sym_LBRACE,
    STATE(17833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813149] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24597), 1,
      anon_sym_LPAREN,
    ACTIONS(24599), 1,
      anon_sym_LBRACK,
    ACTIONS(24601), 1,
      anon_sym_LBRACE,
    STATE(17834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813169] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19926), 1,
      anon_sym_RBRACE,
    ACTIONS(24603), 1,
      anon_sym_SEMI,
    STATE(17487), 1,
      aux_sym_record_pattern_repeat1,
    STATE(17835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813189] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17334), 1,
      sym_attribute_id,
    STATE(17836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [813207] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9662), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24605), 1,
      anon_sym_SEMI,
    STATE(16539), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813227] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24607), 1,
      anon_sym_LPAREN,
    ACTIONS(24609), 1,
      anon_sym_LBRACK,
    ACTIONS(24611), 1,
      anon_sym_LBRACE,
    STATE(17838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813247] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24613), 1,
      anon_sym_LPAREN,
    ACTIONS(24615), 1,
      anon_sym_LBRACK,
    ACTIONS(24617), 1,
      anon_sym_LBRACE,
    STATE(17839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813267] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24619), 1,
      anon_sym_SEMI,
    ACTIONS(24621), 1,
      anon_sym_RBRACE,
    STATE(16565), 1,
      aux_sym_record_declaration_repeat1,
    STATE(17840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813287] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17342), 1,
      sym_attribute_id,
    STATE(17841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [813305] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24623), 1,
      anon_sym_LPAREN,
    ACTIONS(24625), 1,
      anon_sym_LBRACK,
    ACTIONS(24627), 1,
      anon_sym_LBRACE,
    STATE(17842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813325] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24629), 1,
      anon_sym_LPAREN,
    ACTIONS(24631), 1,
      anon_sym_LBRACK,
    ACTIONS(24633), 1,
      anon_sym_LBRACE,
    STATE(17843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813345] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(24635), 1,
      sym__identifier,
    STATE(17844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813365] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17351), 1,
      sym_attribute_id,
    STATE(17845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [813383] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    ACTIONS(24637), 1,
      anon_sym_RPAREN,
    STATE(17846), 1,
      sym_attribute,
    STATE(21920), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813403] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24639), 1,
      anon_sym_LPAREN,
    ACTIONS(24641), 1,
      anon_sym_LBRACK,
    ACTIONS(24643), 1,
      anon_sym_LBRACE,
    STATE(17847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813423] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24645), 1,
      anon_sym_RPAREN,
    STATE(17848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813443] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24647), 1,
      anon_sym_LPAREN,
    ACTIONS(24649), 1,
      anon_sym_LBRACK,
    ACTIONS(24651), 1,
      anon_sym_LBRACE,
    STATE(17849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813463] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4279), 1,
      anon_sym_RBRACK,
    ACTIONS(24653), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813483] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17357), 1,
      sym_attribute_id,
    STATE(17851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [813501] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20564), 1,
      anon_sym_RBRACE,
    ACTIONS(24655), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813521] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4405), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24657), 1,
      anon_sym_SEMI,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    STATE(17853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813541] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20428), 1,
      anon_sym_RBRACE,
    ACTIONS(24659), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813561] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24661), 3,
      anon_sym_mutable,
      anon_sym_virtual,
      sym__identifier,
  [813577] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24663), 1,
      anon_sym_LPAREN,
    ACTIONS(24665), 1,
      anon_sym_LBRACK,
    ACTIONS(24667), 1,
      anon_sym_LBRACE,
    STATE(17856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813597] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24669), 1,
      anon_sym_LPAREN,
    ACTIONS(24671), 1,
      anon_sym_LBRACK,
    ACTIONS(24673), 1,
      anon_sym_LBRACE,
    STATE(17857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813617] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17367), 1,
      sym_attribute_id,
    STATE(17858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [813635] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4281), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24675), 1,
      anon_sym_SEMI,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    STATE(17859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813655] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(24677), 1,
      anon_sym_RPAREN,
    STATE(17860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813675] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22102), 1,
      anon_sym_RBRACK,
    STATE(17861), 1,
      sym_attribute,
    STATE(17882), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813695] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24679), 1,
      anon_sym_LPAREN,
    ACTIONS(24681), 1,
      anon_sym_LBRACK,
    ACTIONS(24683), 1,
      anon_sym_LBRACE,
    STATE(17862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813715] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22102), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813735] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24685), 1,
      anon_sym_LPAREN,
    ACTIONS(24687), 1,
      anon_sym_LBRACK,
    ACTIONS(24689), 1,
      anon_sym_LBRACE,
    STATE(17864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813755] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24691), 1,
      anon_sym_EQ,
    STATE(17865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24693), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [813773] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17380), 1,
      sym_attribute_id,
    STATE(17866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [813791] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21040), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813811] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12934), 1,
      anon_sym_GT,
    ACTIONS(24695), 1,
      anon_sym_SEMI,
    STATE(17868), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813831] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24697), 1,
      anon_sym_LPAREN,
    ACTIONS(24699), 1,
      anon_sym_LBRACK,
    ACTIONS(24701), 1,
      anon_sym_LBRACE,
    STATE(17869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813851] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24703), 1,
      anon_sym_LPAREN,
    ACTIONS(24705), 1,
      anon_sym_LBRACK,
    ACTIONS(24707), 1,
      anon_sym_LBRACE,
    STATE(17870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813871] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17389), 1,
      sym_attribute_id,
    STATE(17871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [813889] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24709), 1,
      anon_sym_LPAREN,
    ACTIONS(24711), 1,
      anon_sym_LBRACK,
    ACTIONS(24713), 1,
      anon_sym_LBRACE,
    STATE(17872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813909] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24715), 1,
      anon_sym_LPAREN,
    ACTIONS(24717), 1,
      anon_sym_LBRACK,
    ACTIONS(24719), 1,
      anon_sym_LBRACE,
    STATE(17873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813929] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17396), 1,
      sym_attribute_id,
    STATE(17874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [813947] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24721), 1,
      anon_sym_SEMI,
    ACTIONS(24723), 1,
      anon_sym_GT_RBRACE,
    STATE(16633), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813967] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24725), 1,
      anon_sym_RPAREN,
    STATE(17876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813987] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22110), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24727), 1,
      anon_sym_SEMI,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814007] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24729), 1,
      anon_sym_LPAREN,
    ACTIONS(24731), 1,
      anon_sym_LBRACK,
    ACTIONS(24733), 1,
      anon_sym_LBRACE,
    STATE(17878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814027] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24735), 1,
      anon_sym_LPAREN,
    ACTIONS(24737), 1,
      anon_sym_LBRACK,
    ACTIONS(24739), 1,
      anon_sym_LBRACE,
    STATE(17879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814047] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(24741), 1,
      anon_sym_RPAREN,
    STATE(17880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814067] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17405), 1,
      sym_attribute_id,
    STATE(17881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [814085] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22116), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814105] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22116), 1,
      anon_sym_RBRACK,
    STATE(17883), 1,
      sym_attribute,
    STATE(17896), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814125] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21108), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24743), 1,
      anon_sym_SEMI,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814145] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10883), 1,
      sym__type_equation,
    STATE(17885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22953), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [814163] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24745), 1,
      anon_sym_LPAREN,
    ACTIONS(24747), 1,
      anon_sym_LBRACK,
    ACTIONS(24749), 1,
      anon_sym_LBRACE,
    STATE(17886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814183] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24751), 1,
      anon_sym_LPAREN,
    ACTIONS(24753), 1,
      anon_sym_LBRACK,
    ACTIONS(24755), 1,
      anon_sym_LBRACE,
    STATE(17887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814203] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21106), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24757), 1,
      anon_sym_SEMI,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814223] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24759), 1,
      anon_sym_RPAREN,
    STATE(17889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814243] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17412), 1,
      sym_attribute_id,
    STATE(17890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [814261] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24761), 1,
      anon_sym_RPAREN,
    STATE(17891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814281] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24763), 1,
      anon_sym_LPAREN,
    ACTIONS(24765), 1,
      anon_sym_LBRACK,
    ACTIONS(24767), 1,
      anon_sym_LBRACE,
    STATE(17892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814301] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12286), 1,
      anon_sym_DOT,
    STATE(17893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24769), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [814319] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24771), 1,
      anon_sym_LPAREN,
    ACTIONS(24773), 1,
      anon_sym_LBRACK,
    ACTIONS(24775), 1,
      anon_sym_LBRACE,
    STATE(17894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814339] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24777), 1,
      anon_sym_RPAREN,
    STATE(17895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814359] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22122), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814379] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17419), 1,
      sym_attribute_id,
    STATE(17897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [814397] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14562), 1,
      sym_attribute_id,
    STATE(17898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24779), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [814415] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8), 1,
      sym_attribute_id,
    STATE(17899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [814433] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24781), 1,
      anon_sym_LPAREN,
    ACTIONS(24783), 1,
      anon_sym_LBRACK,
    ACTIONS(24785), 1,
      anon_sym_LBRACE,
    STATE(17900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814453] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24787), 1,
      anon_sym_LPAREN,
    ACTIONS(24789), 1,
      anon_sym_LBRACK,
    ACTIONS(24791), 1,
      anon_sym_LBRACE,
    STATE(17901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814473] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20042), 1,
      anon_sym_RBRACE,
    ACTIONS(24793), 1,
      anon_sym_SEMI,
    STATE(17902), 1,
      sym_attribute,
    STATE(17922), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814493] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9832), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24795), 1,
      anon_sym_SEMI,
    STATE(16528), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(17903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814513] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17426), 1,
      sym_attribute_id,
    STATE(17904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [814531] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13076), 1,
      anon_sym_GT,
    ACTIONS(24797), 1,
      anon_sym_SEMI,
    STATE(17905), 1,
      sym_attribute,
    STATE(18025), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814551] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24799), 1,
      anon_sym_LPAREN,
    ACTIONS(24801), 1,
      anon_sym_LBRACK,
    ACTIONS(24803), 1,
      anon_sym_LBRACE,
    STATE(17906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814571] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20450), 1,
      anon_sym_RBRACE,
    ACTIONS(24805), 1,
      anon_sym_SEMI,
    STATE(17907), 1,
      sym_attribute,
    STATE(18052), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814591] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24807), 1,
      anon_sym_LPAREN,
    ACTIONS(24809), 1,
      anon_sym_LBRACK,
    ACTIONS(24811), 1,
      anon_sym_LBRACE,
    STATE(17908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814611] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(24813), 1,
      anon_sym_RPAREN,
    STATE(17909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814631] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17431), 1,
      sym_attribute_id,
    STATE(17910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [814649] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    ACTIONS(24815), 1,
      anon_sym__,
    STATE(15808), 1,
      sym_type_variable,
    STATE(17911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814669] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24817), 1,
      anon_sym_LPAREN,
    ACTIONS(24819), 1,
      anon_sym_LBRACK,
    ACTIONS(24821), 1,
      anon_sym_LBRACE,
    STATE(17912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814689] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24823), 1,
      anon_sym_LPAREN,
    ACTIONS(24825), 1,
      anon_sym_LBRACK,
    ACTIONS(24827), 1,
      anon_sym_LBRACE,
    STATE(17913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814709] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(16149), 1,
      aux_sym_module_binding_repeat1,
    STATE(17914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814729] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21148), 1,
      anon_sym_RBRACK,
    STATE(17749), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814749] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17439), 1,
      sym_attribute_id,
    STATE(17916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [814767] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(24829), 1,
      sym__identifier,
    STATE(17917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814787] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24831), 1,
      anon_sym_LPAREN,
    ACTIONS(24833), 1,
      anon_sym_LBRACK,
    ACTIONS(24835), 1,
      anon_sym_LBRACE,
    STATE(17918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814807] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24837), 1,
      anon_sym_LPAREN,
    ACTIONS(24839), 1,
      anon_sym_LBRACK,
    ACTIONS(24841), 1,
      anon_sym_LBRACE,
    STATE(17919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814827] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(24843), 1,
      anon_sym_RPAREN,
    STATE(17920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814847] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17446), 1,
      sym_attribute_id,
    STATE(17921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [814865] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20060), 1,
      anon_sym_RBRACE,
    ACTIONS(24845), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814885] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24847), 1,
      anon_sym_SEMI,
    ACTIONS(24849), 1,
      anon_sym_RBRACE,
    STATE(17923), 1,
      sym_attribute,
    STATE(18010), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814905] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24851), 1,
      anon_sym_LPAREN,
    ACTIONS(24853), 1,
      anon_sym_LBRACK,
    ACTIONS(24855), 1,
      anon_sym_LBRACE,
    STATE(17924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814925] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24857), 1,
      anon_sym_LPAREN,
    ACTIONS(24859), 1,
      anon_sym_LBRACK,
    ACTIONS(24861), 1,
      anon_sym_LBRACE,
    STATE(17925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814945] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24863), 1,
      anon_sym_SEMI,
    ACTIONS(24865), 1,
      anon_sym_RBRACE,
    STATE(16545), 1,
      aux_sym_record_expression_repeat1,
    STATE(17926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814965] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17453), 1,
      sym_attribute_id,
    STATE(17927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [814983] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(24867), 1,
      anon_sym_RPAREN,
    STATE(17928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815003] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24869), 1,
      anon_sym_LPAREN,
    ACTIONS(24871), 1,
      anon_sym_LBRACK,
    ACTIONS(24873), 1,
      anon_sym_LBRACE,
    STATE(17929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815023] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24875), 1,
      anon_sym_LPAREN,
    ACTIONS(24877), 1,
      anon_sym_LBRACK,
    ACTIONS(24879), 1,
      anon_sym_LBRACE,
    STATE(17930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815043] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22146), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815063] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17460), 1,
      sym_attribute_id,
    STATE(17932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [815081] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24881), 1,
      aux_sym_quoted_extension_token1,
    STATE(17933), 1,
      sym_attribute,
    STATE(21951), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815101] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20474), 1,
      anon_sym_RBRACE,
    ACTIONS(24883), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(17934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815121] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22146), 1,
      anon_sym_RBRACK,
    STATE(17935), 1,
      sym_attribute,
    STATE(18015), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815141] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24885), 1,
      anon_sym_LPAREN,
    ACTIONS(24887), 1,
      anon_sym_LBRACK,
    ACTIONS(24889), 1,
      anon_sym_LBRACE,
    STATE(17936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815161] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24891), 1,
      anon_sym_LPAREN,
    ACTIONS(24893), 1,
      anon_sym_LBRACK,
    ACTIONS(24895), 1,
      anon_sym_LBRACE,
    STATE(17937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815181] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9), 1,
      sym_attribute_id,
    STATE(17938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22440), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [815199] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17466), 1,
      sym_attribute_id,
    STATE(17939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [815217] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4303), 1,
      anon_sym_RBRACK,
    ACTIONS(24897), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(17940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815237] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24899), 1,
      anon_sym_SEMI,
    ACTIONS(24901), 1,
      anon_sym_GT_RBRACE,
    STATE(17941), 1,
      sym_attribute,
    STATE(18028), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815257] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24903), 1,
      anon_sym_LPAREN,
    ACTIONS(24905), 1,
      anon_sym_LBRACK,
    ACTIONS(24907), 1,
      anon_sym_LBRACE,
    STATE(17942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815277] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24909), 1,
      anon_sym_LPAREN,
    ACTIONS(24911), 1,
      anon_sym_LBRACK,
    ACTIONS(24913), 1,
      anon_sym_LBRACE,
    STATE(17943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815297] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17477), 1,
      sym_attribute_id,
    STATE(17944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [815315] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24915), 1,
      anon_sym_LPAREN,
    ACTIONS(24917), 1,
      anon_sym_LBRACK,
    ACTIONS(24919), 1,
      anon_sym_LBRACE,
    STATE(17945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815335] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24921), 1,
      anon_sym_LPAREN,
    ACTIONS(24923), 1,
      anon_sym_LBRACK,
    ACTIONS(24925), 1,
      anon_sym_LBRACE,
    STATE(17946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815355] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17484), 1,
      sym_attribute_id,
    STATE(17947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [815373] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24927), 1,
      sym__identifier,
    ACTIONS(24929), 1,
      anon_sym_LPAREN,
    STATE(10032), 1,
      sym__simple_value_pattern,
    STATE(17948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815393] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20682), 1,
      anon_sym_LPAREN,
    ACTIONS(24931), 1,
      sym__capitalized_identifier,
    STATE(11850), 1,
      sym__constructor_name,
    STATE(17949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815413] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24933), 1,
      anon_sym_LPAREN,
    ACTIONS(24935), 1,
      anon_sym_LBRACK,
    ACTIONS(24937), 1,
      anon_sym_LBRACE,
    STATE(17950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815433] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24939), 1,
      anon_sym_LPAREN,
    ACTIONS(24941), 1,
      anon_sym_LBRACK,
    ACTIONS(24943), 1,
      anon_sym_LBRACE,
    STATE(17951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815453] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17491), 1,
      sym_attribute_id,
    STATE(17952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [815471] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(24945), 1,
      sym__identifier,
    STATE(17953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815491] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24947), 1,
      anon_sym_LPAREN,
    ACTIONS(24949), 1,
      anon_sym_LBRACK,
    ACTIONS(24951), 1,
      anon_sym_LBRACE,
    STATE(17954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815511] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17493), 1,
      sym_attribute_id,
    STATE(17955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [815529] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24953), 1,
      anon_sym_LPAREN,
    ACTIONS(24955), 1,
      anon_sym_LBRACK,
    ACTIONS(24957), 1,
      anon_sym_LBRACE,
    STATE(17956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815549] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24959), 1,
      anon_sym_SEMI,
    ACTIONS(24961), 1,
      anon_sym_RBRACE,
    STATE(17957), 1,
      sym_attribute,
    STATE(18049), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815569] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17497), 1,
      sym_attribute_id,
    STATE(17958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [815587] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24963), 1,
      anon_sym_LPAREN,
    ACTIONS(24965), 1,
      anon_sym_LBRACK,
    ACTIONS(24967), 1,
      anon_sym_LBRACE,
    STATE(17959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815607] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17499), 1,
      sym_attribute_id,
    STATE(17960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [815625] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24969), 1,
      anon_sym_LPAREN,
    ACTIONS(24971), 1,
      anon_sym_LBRACK,
    ACTIONS(24973), 1,
      anon_sym_LBRACE,
    STATE(17961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815645] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17501), 1,
      sym_attribute_id,
    STATE(17962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [815663] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24975), 1,
      anon_sym_LPAREN,
    ACTIONS(24977), 1,
      anon_sym_LBRACK,
    ACTIONS(24979), 1,
      anon_sym_LBRACE,
    STATE(17963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815683] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17504), 1,
      sym_attribute_id,
    STATE(17964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [815701] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24981), 1,
      anon_sym_LPAREN,
    ACTIONS(24983), 1,
      anon_sym_LBRACK,
    ACTIONS(24985), 1,
      anon_sym_LBRACE,
    STATE(17965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815721] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17507), 1,
      sym_attribute_id,
    STATE(17966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [815739] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24987), 1,
      anon_sym_LPAREN,
    ACTIONS(24989), 1,
      anon_sym_LBRACK,
    ACTIONS(24991), 1,
      anon_sym_LBRACE,
    STATE(17967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815759] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17509), 1,
      sym_attribute_id,
    STATE(17968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [815777] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24993), 1,
      anon_sym_LPAREN,
    ACTIONS(24995), 1,
      anon_sym_LBRACK,
    ACTIONS(24997), 1,
      anon_sym_LBRACE,
    STATE(17969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815797] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17511), 1,
      sym_attribute_id,
    STATE(17970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [815815] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24999), 1,
      anon_sym_LPAREN,
    ACTIONS(25001), 1,
      anon_sym_LBRACK,
    ACTIONS(25003), 1,
      anon_sym_LBRACE,
    STATE(17971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815835] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17513), 1,
      sym_attribute_id,
    STATE(17972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [815853] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25005), 1,
      anon_sym_LPAREN,
    ACTIONS(25007), 1,
      anon_sym_LBRACK,
    ACTIONS(25009), 1,
      anon_sym_LBRACE,
    STATE(17973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815873] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17515), 1,
      sym_attribute_id,
    STATE(17974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [815891] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25011), 1,
      anon_sym_LPAREN,
    ACTIONS(25013), 1,
      anon_sym_LBRACK,
    ACTIONS(25015), 1,
      anon_sym_LBRACE,
    STATE(17975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815911] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17518), 1,
      sym_attribute_id,
    STATE(17976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [815929] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25017), 1,
      anon_sym_LPAREN,
    ACTIONS(25019), 1,
      anon_sym_LBRACK,
    ACTIONS(25021), 1,
      anon_sym_LBRACE,
    STATE(17977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815949] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17520), 1,
      sym_attribute_id,
    STATE(17978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [815967] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25023), 1,
      anon_sym_LPAREN,
    ACTIONS(25025), 1,
      anon_sym_LBRACK,
    ACTIONS(25027), 1,
      anon_sym_LBRACE,
    STATE(17979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815987] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17522), 1,
      sym_attribute_id,
    STATE(17980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816005] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25029), 1,
      anon_sym_LPAREN,
    ACTIONS(25031), 1,
      anon_sym_LBRACK,
    ACTIONS(25033), 1,
      anon_sym_LBRACE,
    STATE(17981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816025] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17524), 1,
      sym_attribute_id,
    STATE(17982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816043] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17526), 1,
      sym_attribute_id,
    STATE(17983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816061] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17528), 1,
      sym_attribute_id,
    STATE(17984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816079] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17530), 1,
      sym_attribute_id,
    STATE(17985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816097] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17532), 1,
      sym_attribute_id,
    STATE(17986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816115] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17534), 1,
      sym_attribute_id,
    STATE(17987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816133] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17536), 1,
      sym_attribute_id,
    STATE(17988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816151] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17538), 1,
      sym_attribute_id,
    STATE(17989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816169] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17540), 1,
      sym_attribute_id,
    STATE(17990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816187] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17542), 1,
      sym_attribute_id,
    STATE(17991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816205] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17544), 1,
      sym_attribute_id,
    STATE(17992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816223] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17546), 1,
      sym_attribute_id,
    STATE(17993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816241] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17548), 1,
      sym_attribute_id,
    STATE(17994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816259] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17550), 1,
      sym_attribute_id,
    STATE(17995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816277] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17552), 1,
      sym_attribute_id,
    STATE(17996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816295] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17554), 1,
      sym_attribute_id,
    STATE(17997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816313] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17556), 1,
      sym_attribute_id,
    STATE(17998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816331] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17558), 1,
      sym_attribute_id,
    STATE(17999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816349] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17560), 1,
      sym_attribute_id,
    STATE(18000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816367] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17562), 1,
      sym_attribute_id,
    STATE(18001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816385] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17564), 1,
      sym_attribute_id,
    STATE(18002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816403] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17566), 1,
      sym_attribute_id,
    STATE(18003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816421] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17568), 1,
      sym_attribute_id,
    STATE(18004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816439] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17578), 1,
      sym_attribute_id,
    STATE(18005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22932), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [816457] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(25035), 1,
      anon_sym_RPAREN,
    STATE(18006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816477] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(25037), 1,
      anon_sym_RBRACK,
    STATE(18007), 1,
      sym_attribute,
    STATE(18061), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816497] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25039), 1,
      anon_sym_SEMI,
    ACTIONS(25041), 1,
      anon_sym_RBRACE,
    STATE(18008), 1,
      sym_attribute,
    STATE(18013), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816517] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4027), 1,
      anon_sym_RBRACK,
    ACTIONS(25043), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(18009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816537] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20460), 1,
      anon_sym_RBRACE,
    ACTIONS(25045), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(18010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816557] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25047), 1,
      anon_sym_SEMI,
    ACTIONS(25049), 1,
      anon_sym_GT_RBRACE,
    STATE(18011), 1,
      sym_attribute,
    STATE(18023), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816577] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4291), 1,
      anon_sym_RBRACK,
    ACTIONS(25051), 1,
      anon_sym_SEMI,
    STATE(17005), 1,
      aux_sym_list_expression_repeat1,
    STATE(18012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816597] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20140), 1,
      anon_sym_RBRACE,
    ACTIONS(25053), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(18013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816617] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25055), 1,
      anon_sym_SEMI,
    ACTIONS(25057), 1,
      anon_sym_GT_RBRACE,
    STATE(16604), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816637] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(22172), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816657] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4029), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25059), 1,
      anon_sym_SEMI,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    STATE(18016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816677] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4293), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25061), 1,
      anon_sym_SEMI,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    STATE(18017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816697] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(25063), 1,
      anon_sym_EQ,
    STATE(18018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816717] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    STATE(10808), 1,
      sym_module_parameter,
    STATE(16490), 1,
      aux_sym_module_binding_repeat1,
    STATE(18019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816737] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(25065), 1,
      anon_sym_RBRACK,
    STATE(18020), 1,
      sym_attribute,
    STATE(18021), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816757] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(25067), 1,
      anon_sym_RBRACK,
    STATE(16442), 1,
      aux_sym__type_params_repeat1,
    STATE(18021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816777] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(25067), 1,
      anon_sym_RBRACK,
    STATE(18022), 1,
      sym_attribute,
    STATE(18024), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816797] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22174), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(25069), 1,
      anon_sym_SEMI,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816817] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(25071), 1,
      anon_sym_RBRACK,
    STATE(16442), 1,
      aux_sym__type_params_repeat1,
    STATE(18024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816837] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19618), 1,
      anon_sym_GT,
    ACTIONS(25073), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(18025), 2,
      sym_attribute,
      aux_sym_object_type_repeat1,
  [816855] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(25076), 1,
      anon_sym_RPAREN,
    STATE(18026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816875] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20166), 1,
      anon_sym_RBRACE,
    ACTIONS(25078), 1,
      anon_sym_SEMI,
    STATE(18027), 1,
      sym_attribute,
    STATE(18036), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816895] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22176), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(25080), 1,
      anon_sym_SEMI,
    STATE(17415), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816915] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25082), 1,
      anon_sym_SEMI,
    ACTIONS(25084), 1,
      anon_sym_RBRACE,
    STATE(16560), 1,
      aux_sym_record_expression_repeat1,
    STATE(18029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816935] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25086), 1,
      anon_sym_SEMI,
    ACTIONS(25088), 1,
      anon_sym_GT_RBRACE,
    STATE(16574), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816955] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22237), 1,
      sym_indexing_operator,
    ACTIONS(25090), 1,
      sym__identifier,
    STATE(18031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816975] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(25092), 1,
      anon_sym_EQ,
    STATE(18032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816995] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(25094), 1,
      anon_sym_type,
    STATE(17893), 1,
      sym_module_path,
    STATE(18033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817015] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(25096), 1,
      anon_sym_RPAREN,
    STATE(18034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817035] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(25098), 1,
      anon_sym_RPAREN,
    STATE(18035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817055] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20170), 1,
      anon_sym_RBRACE,
    ACTIONS(25100), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(18036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817075] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(25102), 1,
      anon_sym_RPAREN,
    STATE(18037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817095] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12540), 1,
      sym_module_binding,
    STATE(18038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20026), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [817113] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13528), 1,
      sym_module_binding,
    STATE(18039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20026), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [817131] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25104), 1,
      anon_sym_SEMI,
    ACTIONS(25106), 1,
      anon_sym_RBRACE,
    STATE(16535), 1,
      aux_sym_record_expression_repeat1,
    STATE(18040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817151] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(25108), 1,
      anon_sym_RPAREN,
    STATE(18041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817171] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21258), 1,
      sym__identifier,
    ACTIONS(21262), 1,
      anon_sym_mutable,
    STATE(17840), 1,
      sym_field_declaration,
    STATE(18042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817191] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21258), 1,
      sym__identifier,
    ACTIONS(21262), 1,
      anon_sym_mutable,
    STATE(17368), 1,
      sym_field_declaration,
    STATE(18043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817211] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(25110), 1,
      anon_sym_EQ,
    STATE(18044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817231] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12540), 1,
      sym_module_binding,
    STATE(18045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20032), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [817249] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20066), 1,
      anon_sym_RBRACE,
    ACTIONS(25112), 1,
      anon_sym_SEMI,
    STATE(16747), 1,
      aux_sym_record_expression_repeat1,
    STATE(18046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817269] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14152), 1,
      sym_module_binding,
    STATE(18047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20032), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [817287] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(25114), 1,
      anon_sym_RPAREN,
    STATE(18048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817307] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20162), 1,
      anon_sym_RBRACE,
    ACTIONS(25116), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(18049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817327] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11134), 1,
      anon_sym_RBRACK,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    STATE(17867), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817347] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12540), 1,
      sym_module_binding,
    STATE(18051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19766), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [817365] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20462), 1,
      anon_sym_RBRACE,
    ACTIONS(25118), 1,
      anon_sym_SEMI,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    STATE(18052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817385] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14158), 1,
      sym_module_binding,
    STATE(18053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19766), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [817403] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13285), 1,
      sym_module_binding,
    STATE(18054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20026), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [817421] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25120), 1,
      anon_sym_SEMI,
    ACTIONS(25122), 1,
      anon_sym_RBRACE,
    STATE(17167), 1,
      aux_sym_record_pattern_repeat1,
    STATE(18055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817441] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21032), 1,
      anon_sym_RBRACK,
    STATE(16418), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817461] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14161), 1,
      sym_module_binding,
    STATE(18057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20032), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [817479] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_DASH_GT,
    ACTIONS(20762), 1,
      anon_sym_with,
    ACTIONS(25124), 1,
      anon_sym_RPAREN,
    STATE(18058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817499] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19238), 1,
      anon_sym_SEMI,
    ACTIONS(19240), 1,
      anon_sym_GT,
    STATE(16617), 1,
      aux_sym_object_type_repeat1,
    STATE(18059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817519] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14163), 1,
      sym_module_binding,
    STATE(18060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19766), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [817537] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(25126), 1,
      anon_sym_RBRACK,
    STATE(16442), 1,
      aux_sym__type_params_repeat1,
    STATE(18061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817557] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22231), 1,
      anon_sym_COMMA,
    ACTIONS(25126), 1,
      anon_sym_RBRACK,
    STATE(16532), 1,
      aux_sym__type_params_repeat1,
    STATE(18062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817577] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(25128), 1,
      anon_sym_RPAREN,
    STATE(18063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817597] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11004), 1,
      sym__capitalized_identifier,
    ACTIONS(25130), 1,
      anon_sym_type,
    STATE(17893), 1,
      sym_module_path,
    STATE(18064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817617] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21030), 1,
      anon_sym_PIPE,
    ACTIONS(21858), 1,
      anon_sym_RBRACK,
    STATE(17409), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817637] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25132), 1,
      anon_sym_COLON_GT,
    ACTIONS(25134), 1,
      anon_sym_RPAREN,
    STATE(18066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817654] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25136), 1,
      anon_sym_COLON_GT,
    ACTIONS(25138), 1,
      anon_sym_RPAREN,
    STATE(18067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817671] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25140), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [817686] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11371), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(18069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817703] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18070), 1,
      sym_attribute,
    STATE(21254), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817720] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25142), 1,
      anon_sym_DOT,
    STATE(18071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817737] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(25144), 1,
      sym__identifier,
    STATE(18072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817754] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25146), 1,
      anon_sym_RPAREN,
    ACTIONS(25148), 1,
      anon_sym_SEMI,
    STATE(18073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817771] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25146), 1,
      anon_sym_RBRACK,
    ACTIONS(25150), 1,
      anon_sym_SEMI,
    STATE(18074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817788] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25146), 1,
      anon_sym_RBRACE,
    ACTIONS(25152), 1,
      anon_sym_SEMI,
    STATE(18075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817805] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(25154), 1,
      sym__identifier,
    STATE(18076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817822] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18077), 1,
      sym_attribute,
    STATE(21276), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817839] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25156), 1,
      sym__identifier,
    ACTIONS(25158), 1,
      anon_sym_LPAREN,
    STATE(18078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817856] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25160), 1,
      anon_sym_DOT,
    STATE(18079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817873] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18080), 1,
      sym_attribute,
    STATE(19456), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25162), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [817905] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    STATE(10221), 1,
      sym_extended_module_path,
    STATE(18082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817922] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25164), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [817937] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25166), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [817952] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25168), 1,
      anon_sym_COLON_GT,
    ACTIONS(25170), 1,
      anon_sym_RPAREN,
    STATE(18085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817969] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11280), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(18086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817986] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25172), 1,
      anon_sym_then,
    STATE(11834), 1,
      sym_then_clause,
    STATE(18087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818003] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25174), 2,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
  [818018] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19986), 1,
      anon_sym_RBRACE,
    ACTIONS(25176), 1,
      anon_sym_SEMI,
    STATE(18089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818035] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25178), 1,
      anon_sym_COLON_GT,
    ACTIONS(25180), 1,
      anon_sym_RPAREN,
    STATE(18090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818052] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18091), 1,
      sym_attribute,
    STATE(21480), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818069] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25182), 1,
      anon_sym_RPAREN,
    ACTIONS(25184), 1,
      anon_sym_LT_DASH,
    STATE(18092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818086] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(25186), 1,
      sym__identifier,
    STATE(18093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818103] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25188), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [818118] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25190), 1,
      anon_sym_RPAREN,
    ACTIONS(25192), 1,
      anon_sym_SEMI,
    STATE(18095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818135] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25190), 1,
      anon_sym_RBRACK,
    ACTIONS(25194), 1,
      anon_sym_SEMI,
    STATE(18096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818152] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25190), 1,
      anon_sym_RBRACE,
    ACTIONS(25196), 1,
      anon_sym_SEMI,
    STATE(18097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818169] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19164), 1,
      sym__identifier,
    STATE(18098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818186] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18099), 1,
      sym_attribute,
    STATE(21531), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818203] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25198), 1,
      anon_sym_then,
    STATE(10646), 1,
      sym_then_clause,
    STATE(18100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818220] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25200), 1,
      anon_sym_EQ,
    ACTIONS(25202), 1,
      anon_sym_RPAREN,
    STATE(18101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818237] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25204), 1,
      anon_sym_COLON2,
    STATE(13297), 1,
      sym__polymorphic_typed,
    STATE(18102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818254] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19596), 1,
      anon_sym_RBRACE,
    ACTIONS(25206), 1,
      anon_sym_SEMI,
    STATE(18103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818271] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25208), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [818286] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2993), 1,
      anon_sym_COLON_COLON,
    ACTIONS(25210), 1,
      anon_sym_RPAREN,
    STATE(18105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818303] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25212), 1,
      anon_sym_do,
    STATE(9096), 1,
      sym_do_clause,
    STATE(18106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818320] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19448), 1,
      anon_sym_RBRACE,
    ACTIONS(25214), 1,
      anon_sym_SEMI,
    STATE(18107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818337] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25216), 1,
      anon_sym_EQ,
    ACTIONS(25218), 1,
      anon_sym_RPAREN,
    STATE(18108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818354] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25220), 1,
      anon_sym_open,
    STATE(18109), 1,
      sym_attribute,
    STATE(20505), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818371] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25222), 1,
      anon_sym_SEMI,
    ACTIONS(25224), 1,
      anon_sym_RBRACE,
    STATE(18110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818388] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25226), 1,
      anon_sym_then,
    STATE(10763), 1,
      sym_then_clause,
    STATE(18111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818405] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18112), 1,
      sym_attribute,
    STATE(21994), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818422] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25228), 1,
      anon_sym_RPAREN,
    ACTIONS(25230), 1,
      anon_sym_SEMI,
    STATE(18113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818439] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25228), 1,
      anon_sym_RBRACK,
    ACTIONS(25232), 1,
      anon_sym_SEMI,
    STATE(18114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818456] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25228), 1,
      anon_sym_RBRACE,
    ACTIONS(25234), 1,
      anon_sym_SEMI,
    STATE(18115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818473] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18116), 1,
      sym_attribute,
    STATE(22028), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818490] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25236), 1,
      anon_sym_SEMI,
    ACTIONS(25238), 1,
      anon_sym_RBRACE,
    STATE(18117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818507] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25240), 1,
      anon_sym_DOT,
    STATE(18118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818524] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25242), 1,
      anon_sym_DOT,
    STATE(18119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818541] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25244), 1,
      anon_sym_RPAREN,
    ACTIONS(25246), 1,
      anon_sym_LT_DASH,
    STATE(18120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818558] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(25248), 1,
      sym__identifier,
    STATE(18121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818575] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(25250), 1,
      sym__identifier,
    STATE(18122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818592] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25252), 1,
      anon_sym_do,
    STATE(8986), 1,
      sym_do_clause,
    STATE(18123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818609] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25254), 1,
      anon_sym_then,
    STATE(9473), 1,
      sym_then_clause,
    STATE(18124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25256), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [818641] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25258), 1,
      anon_sym_COLON_GT,
    ACTIONS(25260), 1,
      anon_sym_RPAREN,
    STATE(18126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818658] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25262), 1,
      sym__identifier,
    ACTIONS(25264), 1,
      anon_sym_LPAREN,
    STATE(18127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818675] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18128), 1,
      sym_attribute,
    STATE(22376), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818692] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11088), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(18129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818709] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25266), 1,
      anon_sym_do,
    STATE(11662), 1,
      sym_do_clause,
    STATE(18130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818726] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25268), 1,
      anon_sym_DOT,
    STATE(18131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818743] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25270), 1,
      anon_sym_RPAREN,
    ACTIONS(25272), 1,
      anon_sym_SEMI,
    STATE(18132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818760] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25270), 1,
      anon_sym_RBRACK,
    ACTIONS(25274), 1,
      anon_sym_SEMI,
    STATE(18133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818777] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25270), 1,
      anon_sym_RBRACE,
    ACTIONS(25276), 1,
      anon_sym_SEMI,
    STATE(18134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818794] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25278), 1,
      anon_sym_DOT,
    STATE(18135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818811] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18136), 1,
      sym_attribute,
    STATE(22398), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818828] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25280), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [818843] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23711), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
  [818858] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25282), 1,
      anon_sym_RPAREN,
    ACTIONS(25284), 1,
      anon_sym_LT_DASH,
    STATE(18139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818875] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(25286), 1,
      sym__identifier,
    STATE(18140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818892] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25288), 1,
      anon_sym_RPAREN,
    ACTIONS(25290), 1,
      anon_sym_LT_DASH,
    STATE(18141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818909] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25292), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [818924] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25294), 1,
      anon_sym_SEMI,
    ACTIONS(25296), 1,
      anon_sym_RBRACE,
    STATE(18143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818941] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18144), 1,
      sym_attribute,
    STATE(19950), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818958] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25298), 1,
      anon_sym_then,
    STATE(9691), 1,
      sym_then_clause,
    STATE(18145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818975] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25300), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [818990] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25302), 1,
      sym__identifier,
    ACTIONS(25304), 1,
      anon_sym_LPAREN,
    STATE(18147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819007] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18148), 1,
      sym_attribute,
    STATE(21056), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819024] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25306), 1,
      anon_sym_RPAREN,
    ACTIONS(25308), 1,
      anon_sym_LT_DASH,
    STATE(18149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819041] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25310), 1,
      anon_sym_RPAREN,
    ACTIONS(25312), 1,
      anon_sym_SEMI,
    STATE(18150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819058] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25310), 1,
      anon_sym_RBRACK,
    ACTIONS(25314), 1,
      anon_sym_SEMI,
    STATE(18151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819075] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25310), 1,
      anon_sym_RBRACE,
    ACTIONS(25316), 1,
      anon_sym_SEMI,
    STATE(18152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819092] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25318), 1,
      anon_sym_RPAREN,
    ACTIONS(25320), 1,
      anon_sym_LT_DASH,
    STATE(18153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819109] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25322), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [819124] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25324), 1,
      anon_sym_RPAREN,
    ACTIONS(25326), 1,
      anon_sym_LT_DASH,
    STATE(18155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819141] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25328), 1,
      anon_sym_RPAREN,
    ACTIONS(25330), 1,
      anon_sym_SEMI,
    STATE(18156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819158] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25328), 1,
      anon_sym_RBRACK,
    ACTIONS(25332), 1,
      anon_sym_SEMI,
    STATE(18157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819175] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25334), 1,
      anon_sym_RPAREN,
    ACTIONS(25336), 1,
      anon_sym_LT_DASH,
    STATE(18158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819192] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25328), 1,
      anon_sym_RBRACE,
    ACTIONS(25338), 1,
      anon_sym_SEMI,
    STATE(18159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819209] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(25340), 1,
      sym__identifier,
    STATE(18160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819226] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18161), 1,
      sym_attribute,
    STATE(20200), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819243] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25342), 1,
      anon_sym_RPAREN,
    ACTIONS(25344), 1,
      anon_sym_LT_DASH,
    STATE(18162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819260] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25346), 1,
      anon_sym_then,
    STATE(13317), 1,
      sym_then_clause,
    STATE(18163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819277] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25348), 1,
      anon_sym_RPAREN,
    ACTIONS(25350), 1,
      anon_sym_SEMI,
    STATE(18164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819294] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25348), 1,
      anon_sym_RBRACK,
    ACTIONS(25352), 1,
      anon_sym_SEMI,
    STATE(18165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819311] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25348), 1,
      anon_sym_RBRACE,
    ACTIONS(25354), 1,
      anon_sym_SEMI,
    STATE(18166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819328] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25356), 1,
      anon_sym_RPAREN,
    ACTIONS(25358), 1,
      anon_sym_LT_DASH,
    STATE(18167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819345] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25360), 1,
      anon_sym_RPAREN,
    ACTIONS(25362), 1,
      anon_sym_LT_DASH,
    STATE(18168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819362] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25364), 1,
      anon_sym_RPAREN,
    ACTIONS(25366), 1,
      anon_sym_LT_DASH,
    STATE(18169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819379] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25368), 1,
      sym__identifier,
    ACTIONS(25370), 1,
      anon_sym_LBRACK,
    STATE(18170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819396] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25372), 1,
      anon_sym_DOT,
    STATE(18171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819413] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25374), 1,
      anon_sym_DOT,
    STATE(18172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819430] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25226), 1,
      anon_sym_then,
    STATE(10974), 1,
      sym_then_clause,
    STATE(18173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819447] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18174), 1,
      sym_attribute,
    STATE(19670), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819464] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25376), 1,
      anon_sym_RPAREN,
    ACTIONS(25378), 1,
      anon_sym_LT_DASH,
    STATE(18175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819481] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25380), 1,
      anon_sym_RPAREN,
    ACTIONS(25382), 1,
      anon_sym_SEMI,
    STATE(18176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819498] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25380), 1,
      anon_sym_RBRACK,
    ACTIONS(25384), 1,
      anon_sym_SEMI,
    STATE(18177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819515] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25380), 1,
      anon_sym_RBRACE,
    ACTIONS(25386), 1,
      anon_sym_SEMI,
    STATE(18178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819532] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18179), 1,
      sym_attribute,
    STATE(20365), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819549] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13754), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [819564] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25252), 1,
      anon_sym_do,
    STATE(9196), 1,
      sym_do_clause,
    STATE(18181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819581] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25388), 1,
      anon_sym_then,
    STATE(9656), 1,
      sym_then_clause,
    STATE(18182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819598] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(25390), 1,
      sym__identifier,
    STATE(18183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819615] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25392), 1,
      anon_sym_COLON_GT,
    ACTIONS(25394), 1,
      anon_sym_RPAREN,
    STATE(18184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819632] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25396), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [819647] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25398), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [819662] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25388), 1,
      anon_sym_then,
    STATE(9710), 1,
      sym_then_clause,
    STATE(18187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819679] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25400), 1,
      sym__identifier,
    ACTIONS(25402), 1,
      sym__capitalized_identifier,
    STATE(18188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819696] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25404), 1,
      anon_sym_then,
    STATE(12719), 1,
      sym_then_clause,
    STATE(18189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819713] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25406), 1,
      anon_sym_then,
    STATE(13040), 1,
      sym_then_clause,
    STATE(18190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819730] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18191), 1,
      sym_attribute,
    STATE(21535), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819747] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25408), 1,
      anon_sym_RPAREN,
    ACTIONS(25410), 1,
      anon_sym_LT_DASH,
    STATE(18192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25412), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [819779] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23852), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [819794] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25414), 1,
      anon_sym_RPAREN,
    ACTIONS(25416), 1,
      anon_sym_SEMI,
    STATE(18195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819811] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25414), 1,
      anon_sym_RBRACK,
    ACTIONS(25418), 1,
      anon_sym_SEMI,
    STATE(18196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819828] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25414), 1,
      anon_sym_RBRACE,
    ACTIONS(25420), 1,
      anon_sym_SEMI,
    STATE(18197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819845] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25422), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [819860] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25424), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [819875] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25426), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [819890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25428), 2,
      anon_sym_to,
      anon_sym_downto,
  [819905] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23329), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [819920] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25430), 1,
      anon_sym_COLON2,
    STATE(18203), 1,
      sym_attribute,
    STATE(20715), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819937] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(25432), 1,
      sym__identifier,
    STATE(18204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819954] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18205), 1,
      sym_attribute,
    STATE(19333), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819971] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(25434), 1,
      sym__identifier,
    STATE(18206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819988] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25436), 1,
      sym__identifier,
    ACTIONS(25438), 1,
      anon_sym_LPAREN,
    STATE(18207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820005] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25440), 1,
      anon_sym_then,
    STATE(13508), 1,
      sym_then_clause,
    STATE(18208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820022] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25442), 1,
      anon_sym_RPAREN,
    ACTIONS(25444), 1,
      anon_sym_SEMI,
    STATE(18209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820039] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25442), 1,
      anon_sym_RBRACK,
    ACTIONS(25446), 1,
      anon_sym_SEMI,
    STATE(18210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820056] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25442), 1,
      anon_sym_RBRACE,
    ACTIONS(25448), 1,
      anon_sym_SEMI,
    STATE(18211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820073] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(25450), 1,
      sym__identifier,
    STATE(18212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820090] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25452), 1,
      anon_sym_COLON_GT,
    ACTIONS(25454), 1,
      anon_sym_RPAREN,
    STATE(18213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820107] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25456), 1,
      anon_sym_COLON_GT,
    ACTIONS(25458), 1,
      anon_sym_RPAREN,
    STATE(18214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820124] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25460), 1,
      sym__identifier,
    ACTIONS(25462), 1,
      anon_sym_LPAREN,
    STATE(18215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820141] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25464), 1,
      sym__identifier,
    ACTIONS(25466), 1,
      anon_sym_LBRACK,
    STATE(18216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820158] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25468), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [820173] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25470), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [820188] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18219), 1,
      sym_attribute,
    STATE(20488), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820205] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25472), 1,
      anon_sym_COLON_GT,
    ACTIONS(25474), 1,
      anon_sym_RPAREN,
    STATE(18220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820222] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18221), 1,
      sym_attribute,
    STATE(20014), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820239] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19160), 1,
      sym__identifier,
    STATE(18222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820256] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25476), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [820271] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25478), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [820286] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25480), 1,
      anon_sym_RPAREN,
    ACTIONS(25482), 1,
      anon_sym_SEMI,
    STATE(18225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820303] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25480), 1,
      anon_sym_RBRACK,
    ACTIONS(25484), 1,
      anon_sym_SEMI,
    STATE(18226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820320] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25480), 1,
      anon_sym_RBRACE,
    ACTIONS(25486), 1,
      anon_sym_SEMI,
    STATE(18227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820337] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25488), 1,
      anon_sym_COLON_GT,
    ACTIONS(25490), 1,
      anon_sym_RPAREN,
    STATE(18228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820354] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25252), 1,
      anon_sym_do,
    STATE(9037), 1,
      sym_do_clause,
    STATE(18229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820371] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(25492), 1,
      anon_sym_DASH_GT,
    STATE(18230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820388] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25494), 1,
      anon_sym_RPAREN,
    ACTIONS(25496), 1,
      anon_sym_LT_DASH,
    STATE(18231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820405] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25498), 1,
      anon_sym_RPAREN,
    ACTIONS(25500), 1,
      anon_sym_LT_DASH,
    STATE(18232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820422] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25502), 1,
      anon_sym_DOT,
    STATE(18233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820439] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25504), 1,
      anon_sym_then,
    STATE(9369), 1,
      sym_then_clause,
    STATE(18234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820456] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(25506), 1,
      sym__identifier,
    STATE(18235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820473] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25508), 1,
      anon_sym_COLON_GT,
    ACTIONS(25510), 1,
      anon_sym_RPAREN,
    STATE(18236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820490] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18237), 1,
      sym_attribute,
    STATE(21002), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820507] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25512), 1,
      anon_sym_RPAREN,
    ACTIONS(25514), 1,
      anon_sym_SEMI,
    STATE(18238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820524] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25512), 1,
      anon_sym_RBRACK,
    ACTIONS(25516), 1,
      anon_sym_SEMI,
    STATE(18239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820541] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25512), 1,
      anon_sym_RBRACE,
    ACTIONS(25518), 1,
      anon_sym_SEMI,
    STATE(18240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820558] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11514), 1,
      anon_sym_RPAREN,
    ACTIONS(25520), 1,
      aux_sym_number_token1,
    STATE(18241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820575] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25522), 1,
      sym__identifier,
    ACTIONS(25524), 1,
      anon_sym_LBRACK,
    STATE(18242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820592] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25526), 1,
      anon_sym_EQ,
    ACTIONS(25528), 1,
      anon_sym_RPAREN,
    STATE(18243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820609] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25530), 1,
      anon_sym_RPAREN,
    ACTIONS(25532), 1,
      anon_sym_LT_DASH,
    STATE(18244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25534), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [820641] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25198), 1,
      anon_sym_then,
    STATE(10643), 1,
      sym_then_clause,
    STATE(18246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820658] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25536), 1,
      sym__identifier,
    ACTIONS(25538), 1,
      anon_sym_LPAREN,
    STATE(18247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820675] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25540), 1,
      anon_sym_COLON_GT,
    ACTIONS(25542), 1,
      anon_sym_RPAREN,
    STATE(18248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820692] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(25544), 1,
      sym__identifier,
    STATE(18249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820709] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25546), 1,
      anon_sym_EQ,
    ACTIONS(25548), 1,
      anon_sym_RPAREN,
    STATE(18250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820726] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25550), 1,
      anon_sym_RPAREN,
    ACTIONS(25552), 1,
      anon_sym_LT_DASH,
    STATE(18251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820743] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25554), 1,
      sym__identifier,
    ACTIONS(25556), 1,
      anon_sym_LPAREN,
    STATE(18252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820760] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(25558), 1,
      sym__identifier,
    STATE(18253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820777] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25560), 1,
      anon_sym_COLON_GT,
    ACTIONS(25562), 1,
      anon_sym_RPAREN,
    STATE(18254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820794] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25564), 1,
      anon_sym_COLON_GT,
    ACTIONS(25566), 1,
      anon_sym_RPAREN,
    STATE(18255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820811] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18256), 1,
      sym_attribute,
    STATE(21823), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820828] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19196), 1,
      sym__identifier,
    STATE(18257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820845] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25568), 1,
      anon_sym_RPAREN,
    ACTIONS(25570), 1,
      anon_sym_SEMI,
    STATE(18258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820862] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25568), 1,
      anon_sym_RBRACK,
    ACTIONS(25572), 1,
      anon_sym_SEMI,
    STATE(18259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820879] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25568), 1,
      anon_sym_RBRACE,
    ACTIONS(25574), 1,
      anon_sym_SEMI,
    STATE(18260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820896] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18261), 1,
      sym_attribute,
    STATE(21179), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820913] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(25576), 1,
      sym__identifier,
    STATE(18262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820930] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25226), 1,
      anon_sym_then,
    STATE(10982), 1,
      sym_then_clause,
    STATE(18263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820947] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19140), 1,
      sym__identifier,
    STATE(18264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820964] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19306), 1,
      sym__identifier,
    STATE(18265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820981] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25578), 1,
      anon_sym_RPAREN,
    ACTIONS(25580), 1,
      anon_sym_LT_DASH,
    STATE(18266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820998] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25582), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [821013] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25584), 1,
      anon_sym_RPAREN,
    ACTIONS(25586), 1,
      anon_sym_SEMI,
    STATE(18268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821030] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25584), 1,
      anon_sym_RBRACK,
    ACTIONS(25588), 1,
      anon_sym_SEMI,
    STATE(18269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821047] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18270), 1,
      sym_attribute,
    STATE(22416), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821064] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25590), 1,
      sym__identifier,
    ACTIONS(25592), 1,
      anon_sym_LPAREN,
    STATE(18271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821081] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25594), 1,
      anon_sym_COLON_GT,
    ACTIONS(25596), 1,
      anon_sym_RPAREN,
    STATE(18272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821098] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25598), 1,
      anon_sym_RPAREN,
    ACTIONS(25600), 1,
      anon_sym_SEMI,
    STATE(18273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821115] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25598), 1,
      anon_sym_RBRACK,
    ACTIONS(25602), 1,
      anon_sym_SEMI,
    STATE(18274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821132] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25598), 1,
      anon_sym_RBRACE,
    ACTIONS(25604), 1,
      anon_sym_SEMI,
    STATE(18275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821149] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19320), 1,
      sym__identifier,
    STATE(18276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821166] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25584), 1,
      anon_sym_RBRACE,
    ACTIONS(25606), 1,
      anon_sym_SEMI,
    STATE(18277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821183] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25608), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [821198] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11266), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(18279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821215] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25610), 1,
      anon_sym_RPAREN,
    ACTIONS(25612), 1,
      anon_sym_LT_DASH,
    STATE(18280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821232] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25614), 1,
      anon_sym_COLON2,
    STATE(14508), 1,
      sym__typed,
    STATE(18281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821249] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25616), 1,
      anon_sym_RPAREN,
    ACTIONS(25618), 1,
      anon_sym_LT_DASH,
    STATE(18282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821266] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25172), 1,
      anon_sym_then,
    STATE(11819), 1,
      sym_then_clause,
    STATE(18283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821283] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25620), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [821298] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25622), 1,
      anon_sym_DOT,
    STATE(18285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821315] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18286), 1,
      sym_attribute,
    STATE(21733), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821332] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25624), 1,
      anon_sym_then,
    STATE(13679), 1,
      sym_then_clause,
    STATE(18287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821349] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18288), 1,
      sym_attribute,
    STATE(19481), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821366] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25626), 1,
      anon_sym_COLON_GT,
    ACTIONS(25628), 1,
      anon_sym_RPAREN,
    STATE(18289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821383] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(25630), 1,
      sym__identifier,
    STATE(18290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821400] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25632), 1,
      anon_sym_RPAREN,
    ACTIONS(25634), 1,
      anon_sym_SEMI,
    STATE(18291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821417] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25632), 1,
      anon_sym_RBRACK,
    ACTIONS(25636), 1,
      anon_sym_SEMI,
    STATE(18292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821434] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25632), 1,
      anon_sym_RBRACE,
    ACTIONS(25638), 1,
      anon_sym_SEMI,
    STATE(18293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821451] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25640), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [821466] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25642), 1,
      anon_sym_do,
    STATE(9249), 1,
      sym_do_clause,
    STATE(18295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821483] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25644), 1,
      anon_sym_COLON_GT,
    ACTIONS(25646), 1,
      anon_sym_RPAREN,
    STATE(18296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821500] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13716), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [821515] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25648), 1,
      anon_sym_then,
    STATE(9363), 1,
      sym_then_clause,
    STATE(18298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821532] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25346), 1,
      anon_sym_then,
    STATE(13337), 1,
      sym_then_clause,
    STATE(18299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821549] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25212), 1,
      anon_sym_do,
    STATE(9140), 1,
      sym_do_clause,
    STATE(18300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821566] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25650), 1,
      anon_sym_then,
    STATE(13408), 1,
      sym_then_clause,
    STATE(18301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821583] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25652), 1,
      anon_sym_RPAREN,
    ACTIONS(25654), 1,
      anon_sym_LT_DASH,
    STATE(18302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821600] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25656), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [821615] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25658), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [821630] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18305), 1,
      sym_attribute,
    STATE(19772), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821647] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19130), 1,
      sym__identifier,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    STATE(18306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821664] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25660), 1,
      anon_sym_DOT,
    STATE(18307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821681] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25662), 1,
      anon_sym_RPAREN,
    ACTIONS(25664), 1,
      anon_sym_SEMI,
    STATE(18308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821698] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25662), 1,
      anon_sym_RBRACK,
    ACTIONS(25666), 1,
      anon_sym_SEMI,
    STATE(18309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821715] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25662), 1,
      anon_sym_RBRACE,
    ACTIONS(25668), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821732] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25650), 1,
      anon_sym_then,
    STATE(13306), 1,
      sym_then_clause,
    STATE(18311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821749] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25670), 1,
      anon_sym_DOT,
    STATE(18312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821766] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25672), 1,
      anon_sym_EQ,
    ACTIONS(25674), 1,
      anon_sym_RPAREN,
    STATE(18313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821783] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25676), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [821798] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(25678), 1,
      sym__identifier,
    STATE(18315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821815] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18523), 1,
      anon_sym_STAR,
    ACTIONS(25680), 1,
      anon_sym_DASH_GT,
    STATE(18316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821832] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19996), 1,
      anon_sym_RBRACE,
    ACTIONS(25682), 1,
      anon_sym_SEMI,
    STATE(18317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821849] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18318), 1,
      sym_attribute,
    STATE(20915), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821866] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11278), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(18319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821883] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25684), 1,
      anon_sym_RPAREN,
    ACTIONS(25686), 1,
      anon_sym_LT_DASH,
    STATE(18320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821900] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25688), 1,
      anon_sym_DOT,
    STATE(18321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821917] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25690), 1,
      anon_sym_then,
    STATE(12258), 1,
      sym_then_clause,
    STATE(18322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821934] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25692), 1,
      anon_sym_then,
    STATE(11434), 1,
      sym_then_clause,
    STATE(18323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821951] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25694), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [821966] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18325), 1,
      sym_attribute,
    STATE(20118), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821983] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25696), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [821998] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25698), 1,
      anon_sym_RPAREN,
    ACTIONS(25700), 1,
      anon_sym_SEMI,
    STATE(18327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822015] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25698), 1,
      anon_sym_RBRACK,
    ACTIONS(25702), 1,
      anon_sym_SEMI,
    STATE(18328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822032] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25698), 1,
      anon_sym_RBRACE,
    ACTIONS(25704), 1,
      anon_sym_SEMI,
    STATE(18329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822049] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25706), 1,
      anon_sym_then,
    STATE(13606), 1,
      sym_then_clause,
    STATE(18330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822066] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25708), 1,
      sym__identifier,
    ACTIONS(25710), 1,
      anon_sym_LPAREN,
    STATE(18331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822083] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(25712), 1,
      sym__identifier,
    STATE(18332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822100] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25714), 1,
      anon_sym_then,
    STATE(9460), 1,
      sym_then_clause,
    STATE(18333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822117] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(25716), 1,
      sym__identifier,
    STATE(18334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822134] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25266), 1,
      anon_sym_do,
    STATE(11663), 1,
      sym_do_clause,
    STATE(18335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822151] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25718), 1,
      sym__identifier,
    ACTIONS(25720), 1,
      anon_sym_LPAREN,
    STATE(18336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822168] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19436), 1,
      anon_sym_as,
    ACTIONS(25722), 1,
      anon_sym_DASH_GT,
    STATE(18337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822185] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18338), 1,
      sym_attribute,
    STATE(20291), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822202] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25724), 1,
      anon_sym_RPAREN,
    ACTIONS(25726), 1,
      anon_sym_SEMI,
    STATE(18339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822219] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25724), 1,
      anon_sym_RBRACK,
    ACTIONS(25728), 1,
      anon_sym_SEMI,
    STATE(18340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822236] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25724), 1,
      anon_sym_RBRACE,
    ACTIONS(25730), 1,
      anon_sym_SEMI,
    STATE(18341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822253] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25732), 1,
      anon_sym_COLON_GT,
    ACTIONS(25734), 1,
      anon_sym_RPAREN,
    STATE(18342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822270] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18343), 1,
      sym_attribute,
    STATE(19442), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822287] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25736), 1,
      anon_sym_DOT,
    STATE(18344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822304] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18345), 1,
      sym_attribute,
    STATE(20441), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822321] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25738), 1,
      anon_sym_RPAREN,
    ACTIONS(25740), 1,
      anon_sym_SEMI,
    STATE(18346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822338] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25738), 1,
      anon_sym_RBRACK,
    ACTIONS(25742), 1,
      anon_sym_SEMI,
    STATE(18347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822355] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25738), 1,
      anon_sym_RBRACE,
    ACTIONS(25744), 1,
      anon_sym_SEMI,
    STATE(18348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822372] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25746), 1,
      anon_sym_then,
    STATE(13484), 1,
      sym_then_clause,
    STATE(18349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822389] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25748), 1,
      anon_sym_DOT,
    STATE(18350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822406] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25750), 1,
      anon_sym_then,
    STATE(9378), 1,
      sym_then_clause,
    STATE(18351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822423] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25752), 1,
      anon_sym_then,
    STATE(13775), 1,
      sym_then_clause,
    STATE(18352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822440] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18353), 1,
      sym_attribute,
    STATE(20526), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822457] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25754), 1,
      anon_sym_RPAREN,
    ACTIONS(25756), 1,
      anon_sym_SEMI,
    STATE(18354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822474] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25754), 1,
      anon_sym_RBRACK,
    ACTIONS(25758), 1,
      anon_sym_SEMI,
    STATE(18355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822491] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25754), 1,
      anon_sym_RBRACE,
    ACTIONS(25760), 1,
      anon_sym_SEMI,
    STATE(18356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822508] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9913), 1,
      anon_sym_COLON_GT,
    ACTIONS(9915), 1,
      anon_sym_EQ,
    STATE(18357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822525] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25762), 1,
      anon_sym_RPAREN,
    ACTIONS(25764), 1,
      anon_sym_LT_DASH,
    STATE(18358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822542] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18359), 1,
      sym_attribute,
    STATE(20587), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822559] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25766), 1,
      anon_sym_RPAREN,
    ACTIONS(25768), 1,
      anon_sym_SEMI,
    STATE(18360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822576] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25766), 1,
      anon_sym_RBRACK,
    ACTIONS(25770), 1,
      anon_sym_SEMI,
    STATE(18361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822593] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25766), 1,
      anon_sym_RBRACE,
    ACTIONS(25772), 1,
      anon_sym_SEMI,
    STATE(18362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822610] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25774), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [822625] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(25776), 1,
      sym__identifier,
    STATE(18364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822642] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25778), 1,
      sym__identifier,
    ACTIONS(25780), 1,
      anon_sym_LPAREN,
    STATE(18365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822659] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18366), 1,
      sym_attribute,
    STATE(20669), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822676] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25782), 1,
      anon_sym_RPAREN,
    ACTIONS(25784), 1,
      anon_sym_SEMI,
    STATE(18367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822693] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25782), 1,
      anon_sym_RBRACK,
    ACTIONS(25786), 1,
      anon_sym_SEMI,
    STATE(18368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822710] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25782), 1,
      anon_sym_RBRACE,
    ACTIONS(25788), 1,
      anon_sym_SEMI,
    STATE(18369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822727] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11318), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(18370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822744] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25790), 1,
      anon_sym_DOT,
    STATE(18371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822761] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20464), 1,
      sym__identifier,
    STATE(16289), 1,
      sym__simple_value_pattern,
    STATE(18372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822778] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18373), 1,
      sym_attribute,
    STATE(20733), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822795] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25792), 1,
      anon_sym_RPAREN,
    ACTIONS(25794), 1,
      anon_sym_SEMI,
    STATE(18374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822812] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25792), 1,
      anon_sym_RBRACK,
    ACTIONS(25796), 1,
      anon_sym_SEMI,
    STATE(18375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822829] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25792), 1,
      anon_sym_RBRACE,
    ACTIONS(25798), 1,
      anon_sym_SEMI,
    STATE(18376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822846] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25800), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [822861] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25624), 1,
      anon_sym_then,
    STATE(13666), 1,
      sym_then_clause,
    STATE(18378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822878] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18379), 1,
      sym_attribute,
    STATE(21288), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822895] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18380), 1,
      sym_attribute,
    STATE(20770), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822912] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25802), 1,
      anon_sym_RPAREN,
    ACTIONS(25804), 1,
      anon_sym_SEMI,
    STATE(18381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822929] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25802), 1,
      anon_sym_RBRACK,
    ACTIONS(25806), 1,
      anon_sym_SEMI,
    STATE(18382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822946] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25802), 1,
      anon_sym_RBRACE,
    ACTIONS(25808), 1,
      anon_sym_SEMI,
    STATE(18383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822963] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25810), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [822978] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25812), 1,
      anon_sym_RPAREN,
    ACTIONS(25814), 1,
      anon_sym_SEMI,
    STATE(18385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822995] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18386), 1,
      sym_attribute,
    STATE(20835), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823012] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25816), 1,
      anon_sym_RPAREN,
    ACTIONS(25818), 1,
      anon_sym_SEMI,
    STATE(18387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823029] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25816), 1,
      anon_sym_RBRACK,
    ACTIONS(25820), 1,
      anon_sym_SEMI,
    STATE(18388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823046] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25816), 1,
      anon_sym_RBRACE,
    ACTIONS(25822), 1,
      anon_sym_SEMI,
    STATE(18389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823063] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25812), 1,
      anon_sym_RBRACK,
    ACTIONS(25824), 1,
      anon_sym_SEMI,
    STATE(18390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823080] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25812), 1,
      anon_sym_RBRACE,
    ACTIONS(25826), 1,
      anon_sym_SEMI,
    STATE(18391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823097] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18392), 1,
      sym_attribute,
    STATE(20875), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823114] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25828), 1,
      anon_sym_RPAREN,
    ACTIONS(25830), 1,
      anon_sym_SEMI,
    STATE(18393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823131] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25828), 1,
      anon_sym_RBRACK,
    ACTIONS(25832), 1,
      anon_sym_SEMI,
    STATE(18394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823148] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25828), 1,
      anon_sym_RBRACE,
    ACTIONS(25834), 1,
      anon_sym_SEMI,
    STATE(18395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823165] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25836), 1,
      sym__identifier,
    ACTIONS(25838), 1,
      anon_sym_LPAREN,
    STATE(18396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823182] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18397), 1,
      sym_attribute,
    STATE(20158), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823199] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18398), 1,
      sym_attribute,
    STATE(20926), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823216] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25840), 1,
      anon_sym_RPAREN,
    ACTIONS(25842), 1,
      anon_sym_SEMI,
    STATE(18399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823233] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25840), 1,
      anon_sym_RBRACK,
    ACTIONS(25844), 1,
      anon_sym_SEMI,
    STATE(18400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823250] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25840), 1,
      anon_sym_RBRACE,
    ACTIONS(25846), 1,
      anon_sym_SEMI,
    STATE(18401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823267] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25848), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [823282] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20464), 1,
      sym__identifier,
    STATE(16211), 1,
      sym__simple_value_pattern,
    STATE(18403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823299] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18404), 1,
      sym_attribute,
    STATE(20969), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823316] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25850), 1,
      anon_sym_RPAREN,
    ACTIONS(25852), 1,
      anon_sym_SEMI,
    STATE(18405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823333] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25850), 1,
      anon_sym_RBRACK,
    ACTIONS(25854), 1,
      anon_sym_SEMI,
    STATE(18406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823350] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25850), 1,
      anon_sym_RBRACE,
    ACTIONS(25856), 1,
      anon_sym_SEMI,
    STATE(18407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823367] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25858), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [823382] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25860), 1,
      anon_sym_DOT,
    STATE(18409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823399] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(25862), 1,
      sym__identifier,
    STATE(18410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823416] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18411), 1,
      sym_attribute,
    STATE(20991), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823433] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25864), 1,
      anon_sym_RPAREN,
    ACTIONS(25866), 1,
      anon_sym_SEMI,
    STATE(18412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823450] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25864), 1,
      anon_sym_RBRACK,
    ACTIONS(25868), 1,
      anon_sym_SEMI,
    STATE(18413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823467] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25864), 1,
      anon_sym_RBRACE,
    ACTIONS(25870), 1,
      anon_sym_SEMI,
    STATE(18414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823484] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18415), 1,
      sym_attribute,
    STATE(19298), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823501] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25872), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [823516] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18417), 1,
      sym_attribute,
    STATE(21017), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823533] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25874), 1,
      anon_sym_RPAREN,
    ACTIONS(25876), 1,
      anon_sym_SEMI,
    STATE(18418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823550] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25874), 1,
      anon_sym_RBRACK,
    ACTIONS(25878), 1,
      anon_sym_SEMI,
    STATE(18419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823567] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25874), 1,
      anon_sym_RBRACE,
    ACTIONS(25880), 1,
      anon_sym_SEMI,
    STATE(18420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823584] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25882), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [823599] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(25884), 1,
      sym__identifier,
    STATE(18422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823616] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18423), 1,
      sym_attribute,
    STATE(21050), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823633] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25886), 1,
      anon_sym_RPAREN,
    ACTIONS(25888), 1,
      anon_sym_SEMI,
    STATE(18424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823650] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25886), 1,
      anon_sym_RBRACK,
    ACTIONS(25890), 1,
      anon_sym_SEMI,
    STATE(18425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823667] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25886), 1,
      anon_sym_RBRACE,
    ACTIONS(25892), 1,
      anon_sym_SEMI,
    STATE(18426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823684] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22762), 1,
      anon_sym_EQ,
    ACTIONS(25894), 1,
      anon_sym_COLON_GT,
    STATE(18427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823701] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25896), 1,
      anon_sym_RPAREN,
    ACTIONS(25898), 1,
      anon_sym_SEMI,
    STATE(18428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823718] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18429), 1,
      sym_attribute,
    STATE(21074), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823735] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25896), 1,
      anon_sym_RBRACK,
    ACTIONS(25900), 1,
      anon_sym_SEMI,
    STATE(18430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823752] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25896), 1,
      anon_sym_RBRACE,
    ACTIONS(25902), 1,
      anon_sym_SEMI,
    STATE(18431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823769] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18432), 1,
      sym_attribute,
    STATE(21081), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823786] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25904), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [823801] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(25906), 1,
      sym__identifier,
    STATE(18434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823818] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18435), 1,
      sym_attribute,
    STATE(21092), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823835] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25908), 1,
      anon_sym_RPAREN,
    ACTIONS(25910), 1,
      anon_sym_LT_DASH,
    STATE(18436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823852] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25912), 1,
      anon_sym_COLON_GT,
    ACTIONS(25914), 1,
      anon_sym_RPAREN,
    STATE(18437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823869] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18438), 1,
      sym_attribute,
    STATE(21115), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823886] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25916), 1,
      anon_sym_COLON_GT,
    ACTIONS(25918), 1,
      anon_sym_RPAREN,
    STATE(18439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823903] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25692), 1,
      anon_sym_then,
    STATE(11450), 1,
      sym_then_clause,
    STATE(18440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823920] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18441), 1,
      sym_attribute,
    STATE(21127), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823937] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(25920), 1,
      sym__identifier,
    STATE(18442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823954] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25226), 1,
      anon_sym_then,
    STATE(11014), 1,
      sym_then_clause,
    STATE(18443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823971] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18444), 1,
      sym_attribute,
    STATE(21137), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823988] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25922), 1,
      anon_sym_DOT,
    STATE(18445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824005] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18446), 1,
      sym_attribute,
    STATE(20289), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824022] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18447), 1,
      sym_attribute,
    STATE(21148), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824039] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25924), 1,
      sym__identifier,
    ACTIONS(25926), 1,
      anon_sym_LPAREN,
    STATE(18448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824056] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25928), 1,
      anon_sym_DOT,
    STATE(18449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824073] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18450), 1,
      sym_attribute,
    STATE(21164), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824090] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25710), 1,
      anon_sym_LPAREN,
    ACTIONS(25930), 1,
      sym__identifier,
    STATE(18451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824107] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25714), 1,
      anon_sym_then,
    STATE(9488), 1,
      sym_then_clause,
    STATE(18452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824124] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18453), 1,
      sym_attribute,
    STATE(21175), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824141] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25932), 1,
      anon_sym_DOT,
    STATE(18454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824158] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25934), 1,
      anon_sym_RPAREN,
    ACTIONS(25936), 1,
      anon_sym_LT_DASH,
    STATE(18455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824175] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18456), 1,
      sym_attribute,
    STATE(21185), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824192] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25938), 1,
      anon_sym_COLON_GT,
    ACTIONS(25940), 1,
      anon_sym_RPAREN,
    STATE(18457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824209] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25942), 1,
      sym__identifier,
    ACTIONS(25944), 1,
      anon_sym_LPAREN,
    STATE(18458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824226] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18459), 1,
      sym_attribute,
    STATE(21209), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824243] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25946), 1,
      sym__identifier,
    ACTIONS(25948), 1,
      anon_sym_LPAREN,
    STATE(18460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25950), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [824275] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18462), 1,
      sym_attribute,
    STATE(21227), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824292] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25952), 1,
      anon_sym_COLON_GT,
    ACTIONS(25954), 1,
      anon_sym_RPAREN,
    STATE(18463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824309] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(25956), 1,
      sym__identifier,
    STATE(18464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824326] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18465), 1,
      sym_attribute,
    STATE(21253), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824343] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25958), 1,
      anon_sym_COLON2,
    STATE(14514), 1,
      sym__polymorphic_typed,
    STATE(18466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824360] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18467), 1,
      sym_attribute,
    STATE(19317), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824377] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18468), 1,
      sym_attribute,
    STATE(21263), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824394] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25960), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [824409] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25962), 1,
      anon_sym_RPAREN,
    ACTIONS(25964), 1,
      anon_sym_SEMI,
    STATE(18470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824426] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18471), 1,
      sym_attribute,
    STATE(21270), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824443] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25962), 1,
      anon_sym_RBRACK,
    ACTIONS(25966), 1,
      anon_sym_SEMI,
    STATE(18472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824460] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25962), 1,
      anon_sym_RBRACE,
    ACTIONS(25968), 1,
      anon_sym_SEMI,
    STATE(18473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824477] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18474), 1,
      sym_attribute,
    STATE(21287), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824494] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25970), 1,
      anon_sym_DOT,
    STATE(18475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824511] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25972), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [824526] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18477), 1,
      sym_attribute,
    STATE(21299), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824543] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25974), 1,
      anon_sym_COLON_GT,
    ACTIONS(25976), 1,
      anon_sym_RPAREN,
    STATE(18478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824560] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25624), 1,
      anon_sym_then,
    STATE(13682), 1,
      sym_then_clause,
    STATE(18479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824577] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18480), 1,
      sym_attribute,
    STATE(21307), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824594] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(25978), 1,
      anon_sym_DOT,
    STATE(18481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824611] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19231), 1,
      sym__identifier,
    STATE(18482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824628] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18483), 1,
      sym_attribute,
    STATE(21328), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824645] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18484), 1,
      sym_attribute,
    STATE(19601), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824662] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25746), 1,
      anon_sym_then,
    STATE(13513), 1,
      sym_then_clause,
    STATE(18485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824679] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18486), 1,
      sym_attribute,
    STATE(21335), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824696] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(25980), 1,
      sym__identifier,
    STATE(18487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824713] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25690), 1,
      anon_sym_then,
    STATE(12194), 1,
      sym_then_clause,
    STATE(18488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824730] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18489), 1,
      sym_attribute,
    STATE(21340), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824747] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19188), 1,
      sym__identifier,
    STATE(18490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25982), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [824779] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18492), 1,
      sym_attribute,
    STATE(21345), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824796] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25266), 1,
      anon_sym_do,
    STATE(11626), 1,
      sym_do_clause,
    STATE(18493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824813] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(25984), 1,
      sym__identifier,
    STATE(18494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824830] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18495), 1,
      sym_attribute,
    STATE(21360), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824847] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25986), 1,
      sym__identifier,
    ACTIONS(25988), 1,
      anon_sym_LPAREN,
    STATE(18496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824864] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25990), 1,
      sym__capitalized_identifier,
    STATE(14708), 1,
      sym_extended_module_path,
    STATE(18497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824881] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25346), 1,
      anon_sym_then,
    STATE(13309), 1,
      sym_then_clause,
    STATE(18498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824898] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25992), 1,
      anon_sym_RPAREN,
    ACTIONS(25994), 1,
      anon_sym_LT_DASH,
    STATE(18499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824915] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25996), 1,
      sym__identifier,
    ACTIONS(25998), 1,
      anon_sym_LPAREN,
    STATE(18500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23983), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [824947] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11326), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(18502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824964] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25440), 1,
      anon_sym_then,
    STATE(13211), 1,
      sym_then_clause,
    STATE(18503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824981] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11687), 1,
      anon_sym_COLON_COLON,
    ACTIONS(26000), 1,
      anon_sym_RPAREN,
    STATE(18504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824998] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26002), 1,
      anon_sym_COLON_GT,
    ACTIONS(26004), 1,
      anon_sym_RPAREN,
    STATE(18505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825015] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25220), 1,
      anon_sym_open,
    STATE(18506), 1,
      sym_attribute,
    STATE(21870), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825032] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26006), 1,
      sym__identifier,
    STATE(18507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825049] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26008), 1,
      anon_sym_DOT,
    STATE(18508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825066] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25648), 1,
      anon_sym_then,
    STATE(9212), 1,
      sym_then_clause,
    STATE(18509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825083] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26010), 1,
      anon_sym_RPAREN,
    ACTIONS(26012), 1,
      anon_sym_LT_DASH,
    STATE(18510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825100] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25404), 1,
      anon_sym_then,
    STATE(12641), 1,
      sym_then_clause,
    STATE(18511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825117] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26014), 1,
      anon_sym_COLON_GT,
    ACTIONS(26016), 1,
      anon_sym_RPAREN,
    STATE(18512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825134] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25198), 1,
      anon_sym_then,
    STATE(10648), 1,
      sym_then_clause,
    STATE(18513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825151] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26018), 1,
      anon_sym_DOT,
    STATE(18514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825168] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25254), 1,
      anon_sym_then,
    STATE(9455), 1,
      sym_then_clause,
    STATE(18515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825185] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19192), 1,
      sym__identifier,
    STATE(18516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825202] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18523), 1,
      anon_sym_STAR,
    ACTIONS(26020), 1,
      anon_sym_DASH_GT,
    STATE(18517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825219] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26022), 1,
      anon_sym_SEMI,
    ACTIONS(26024), 1,
      anon_sym_RBRACE,
    STATE(18518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825236] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26026), 1,
      sym__identifier,
    STATE(18519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825253] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26028), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [825268] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18521), 1,
      sym_attribute,
    STATE(20940), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825285] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25706), 1,
      anon_sym_then,
    STATE(13615), 1,
      sym_then_clause,
    STATE(18522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825302] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18523), 1,
      sym_attribute,
    STATE(21794), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825319] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26030), 1,
      sym__identifier,
    ACTIONS(26032), 1,
      anon_sym_LPAREN,
    STATE(18524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825336] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26034), 1,
      anon_sym_RPAREN,
    ACTIONS(26036), 1,
      anon_sym_SEMI,
    STATE(18525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825353] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26034), 1,
      anon_sym_RBRACK,
    ACTIONS(26038), 1,
      anon_sym_SEMI,
    STATE(18526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825370] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26034), 1,
      anon_sym_RBRACE,
    ACTIONS(26040), 1,
      anon_sym_SEMI,
    STATE(18527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825387] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25624), 1,
      anon_sym_then,
    STATE(13576), 1,
      sym_then_clause,
    STATE(18528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825404] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26042), 1,
      sym__identifier,
    STATE(18529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825421] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26044), 1,
      anon_sym_RPAREN,
    ACTIONS(26046), 1,
      anon_sym_LT_DASH,
    STATE(18530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825438] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26048), 1,
      anon_sym_DOT,
    STATE(18531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825455] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11282), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(18532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26050), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [825487] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18534), 1,
      sym_attribute,
    STATE(21182), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825504] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26052), 1,
      anon_sym_RPAREN,
    ACTIONS(26054), 1,
      anon_sym_LT_DASH,
    STATE(18535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825521] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18536), 1,
      sym_attribute,
    STATE(20450), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26056), 2,
      anon_sym_to,
      anon_sym_downto,
  [825553] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26058), 1,
      anon_sym_COLON_GT,
    ACTIONS(26060), 1,
      anon_sym_RPAREN,
    STATE(18538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825570] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26062), 1,
      anon_sym_RPAREN,
    ACTIONS(26064), 1,
      anon_sym_LT_DASH,
    STATE(18539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825587] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26066), 1,
      anon_sym_RPAREN,
    ACTIONS(26068), 1,
      anon_sym_LT_DASH,
    STATE(18540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825604] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26070), 1,
      anon_sym_DOT,
    STATE(18541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825621] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26072), 1,
      anon_sym_then,
    STATE(13673), 1,
      sym_then_clause,
    STATE(18542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825638] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26074), 1,
      anon_sym_COLON_GT,
    ACTIONS(26076), 1,
      anon_sym_RPAREN,
    STATE(18543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825655] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25642), 1,
      anon_sym_do,
    STATE(9360), 1,
      sym_do_clause,
    STATE(18544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825672] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19223), 1,
      sym__identifier,
    STATE(18545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825689] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26078), 2,
      anon_sym_to,
      anon_sym_downto,
  [825704] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26080), 1,
      anon_sym_RPAREN,
    ACTIONS(26082), 1,
      anon_sym_LT_DASH,
    STATE(18547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825721] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26084), 1,
      anon_sym_DOT,
    STATE(18548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825738] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26086), 1,
      anon_sym_RPAREN,
    ACTIONS(26088), 1,
      anon_sym_LT_DASH,
    STATE(18549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825755] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26090), 1,
      sym__identifier,
    STATE(18550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825772] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11314), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(18551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825789] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26092), 1,
      sym__identifier,
    STATE(18552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825806] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18523), 1,
      anon_sym_STAR,
    ACTIONS(26094), 1,
      anon_sym_DASH_GT,
    STATE(18553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825823] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(26096), 1,
      sym__identifier,
    STATE(18554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825840] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11046), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(18555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825857] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25504), 1,
      anon_sym_then,
    STATE(9199), 1,
      sym_then_clause,
    STATE(18556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825874] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25752), 1,
      anon_sym_then,
    STATE(13726), 1,
      sym_then_clause,
    STATE(18557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825891] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26098), 1,
      anon_sym_DOT,
    STATE(18558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825908] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26100), 1,
      anon_sym_COLON2,
    STATE(13219), 1,
      sym__polymorphic_typed,
    STATE(18559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825925] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26102), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [825940] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26104), 1,
      anon_sym_RPAREN,
    ACTIONS(26106), 1,
      anon_sym_LT_DASH,
    STATE(18561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825957] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26108), 1,
      anon_sym_then,
    STATE(9219), 1,
      sym_then_clause,
    STATE(18562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825974] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26110), 1,
      sym__identifier,
    STATE(18563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825991] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26112), 1,
      sym__identifier,
    ACTIONS(26114), 1,
      anon_sym_LPAREN,
    STATE(18564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826008] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    STATE(16964), 1,
      sym_extended_module_path,
    STATE(18565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826025] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25198), 1,
      anon_sym_then,
    STATE(10636), 1,
      sym_then_clause,
    STATE(18566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826042] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25648), 1,
      anon_sym_then,
    STATE(9262), 1,
      sym_then_clause,
    STATE(18567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826059] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26108), 1,
      anon_sym_then,
    STATE(9278), 1,
      sym_then_clause,
    STATE(18568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826076] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25254), 1,
      anon_sym_then,
    STATE(9392), 1,
      sym_then_clause,
    STATE(18569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826093] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25750), 1,
      anon_sym_then,
    STATE(9410), 1,
      sym_then_clause,
    STATE(18570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826110] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18523), 1,
      anon_sym_STAR,
    ACTIONS(26116), 1,
      anon_sym_DASH_GT,
    STATE(18571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826127] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26118), 1,
      anon_sym_RPAREN,
    ACTIONS(26120), 1,
      anon_sym_LT_DASH,
    STATE(18572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826144] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26122), 1,
      anon_sym_EQ,
    ACTIONS(26124), 1,
      anon_sym_RPAREN,
    STATE(18573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826161] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [826176] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18575), 1,
      sym_attribute,
    STATE(19796), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826193] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18576), 1,
      sym_attribute,
    STATE(19621), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826210] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26126), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [826225] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26128), 1,
      anon_sym_COLON_GT,
    ACTIONS(26130), 1,
      anon_sym_RPAREN,
    STATE(18578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826242] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26132), 1,
      sym__identifier,
    ACTIONS(26134), 1,
      anon_sym_LPAREN,
    STATE(18579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826259] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26136), 1,
      anon_sym_RPAREN,
    ACTIONS(26138), 1,
      anon_sym_SEMI,
    STATE(18580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826276] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11687), 1,
      anon_sym_COLON_COLON,
    ACTIONS(26140), 1,
      anon_sym_RPAREN,
    STATE(18581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826293] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26142), 1,
      sym__identifier,
    ACTIONS(26144), 1,
      anon_sym_LPAREN,
    STATE(18582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826310] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26136), 1,
      anon_sym_RBRACK,
    ACTIONS(26146), 1,
      anon_sym_SEMI,
    STATE(18583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826327] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26136), 1,
      anon_sym_RBRACE,
    ACTIONS(26148), 1,
      anon_sym_SEMI,
    STATE(18584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826344] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26150), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [826359] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26152), 1,
      anon_sym_then,
    STATE(13324), 1,
      sym_then_clause,
    STATE(18586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826376] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19358), 1,
      sym__identifier,
    STATE(18587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826393] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26154), 1,
      anon_sym_COLON_GT,
    ACTIONS(26156), 1,
      anon_sym_RPAREN,
    STATE(18588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826410] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9925), 1,
      anon_sym_COLON_GT,
    ACTIONS(9927), 1,
      anon_sym_EQ,
    STATE(18589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826427] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26158), 1,
      anon_sym_DOT,
    STATE(18590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826444] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25172), 1,
      anon_sym_then,
    STATE(11750), 1,
      sym_then_clause,
    STATE(18591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826461] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18592), 1,
      sym_attribute,
    STATE(19793), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826478] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26160), 1,
      anon_sym_DOT,
    STATE(18593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826495] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25346), 1,
      anon_sym_then,
    STATE(13265), 1,
      sym_then_clause,
    STATE(18594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826512] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26162), 1,
      anon_sym_RPAREN,
    ACTIONS(26164), 1,
      anon_sym_LT_DASH,
    STATE(18595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826529] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26166), 1,
      anon_sym_then,
    STATE(13530), 1,
      sym_then_clause,
    STATE(18596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826546] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26168), 2,
      anon_sym_to,
      anon_sym_downto,
  [826561] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25648), 1,
      anon_sym_then,
    STATE(9370), 1,
      sym_then_clause,
    STATE(18598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826578] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25504), 1,
      anon_sym_then,
    STATE(9237), 1,
      sym_then_clause,
    STATE(18599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826595] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26170), 1,
      anon_sym_RPAREN,
    ACTIONS(26172), 1,
      anon_sym_LT_DASH,
    STATE(18600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826612] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19648), 1,
      anon_sym_RBRACE,
    ACTIONS(26174), 1,
      anon_sym_SEMI,
    STATE(18601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826629] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26176), 1,
      sym__identifier,
    STATE(18602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826646] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26178), 1,
      sym__identifier,
    STATE(18603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826663] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25304), 1,
      anon_sym_LPAREN,
    ACTIONS(26180), 1,
      sym__identifier,
    STATE(18604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826680] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26182), 2,
      anon_sym_to,
      anon_sym_downto,
  [826695] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18606), 1,
      sym_attribute,
    STATE(21680), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826712] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26184), 1,
      sym__identifier,
    STATE(18607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826729] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(26186), 1,
      sym__identifier,
    STATE(18608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826746] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9850), 1,
      anon_sym_COLON_GT,
    ACTIONS(9852), 1,
      anon_sym_EQ,
    STATE(18609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826763] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26188), 1,
      anon_sym_DOT,
    STATE(18610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826780] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26190), 1,
      anon_sym_DOT,
    STATE(18611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826797] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26192), 1,
      anon_sym_RPAREN,
    ACTIONS(26194), 1,
      anon_sym_LT_DASH,
    STATE(18612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826814] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26196), 1,
      anon_sym_RPAREN,
    ACTIONS(26198), 1,
      anon_sym_LT_DASH,
    STATE(18613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826831] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25254), 1,
      anon_sym_then,
    STATE(9394), 1,
      sym_then_clause,
    STATE(18614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826848] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19840), 1,
      anon_sym_RBRACE,
    ACTIONS(26200), 1,
      anon_sym_SEMI,
    STATE(18615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826865] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26202), 1,
      anon_sym_then,
    STATE(9734), 1,
      sym_then_clause,
    STATE(18616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826882] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19950), 1,
      anon_sym_RBRACE,
    ACTIONS(26204), 1,
      anon_sym_SEMI,
    STATE(18617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826899] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26206), 1,
      sym__identifier,
    STATE(18618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826916] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11687), 1,
      anon_sym_COLON_COLON,
    ACTIONS(26208), 1,
      anon_sym_RPAREN,
    STATE(18619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826933] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26210), 1,
      anon_sym_RPAREN,
    ACTIONS(26212), 1,
      anon_sym_LT_DASH,
    STATE(18620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826950] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25690), 1,
      anon_sym_then,
    STATE(12209), 1,
      sym_then_clause,
    STATE(18621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826967] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26214), 1,
      anon_sym_RPAREN,
    ACTIONS(26216), 1,
      anon_sym_LT_DASH,
    STATE(18622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826984] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26218), 1,
      sym__identifier,
    ACTIONS(26220), 1,
      anon_sym_LPAREN,
    STATE(18623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827001] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25714), 1,
      anon_sym_then,
    STATE(9452), 1,
      sym_then_clause,
    STATE(18624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827018] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26222), 1,
      sym__identifier,
    STATE(18625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827035] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26114), 1,
      anon_sym_LPAREN,
    ACTIONS(26224), 1,
      sym__identifier,
    STATE(18626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827052] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26226), 1,
      anon_sym_RPAREN,
    ACTIONS(26228), 1,
      anon_sym_LT_DASH,
    STATE(18627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827069] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18628), 1,
      sym_attribute,
    STATE(21203), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827086] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18629), 1,
      sym_attribute,
    STATE(21140), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827103] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26230), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [827118] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26232), 1,
      anon_sym_RPAREN,
    ACTIONS(26234), 1,
      anon_sym_LT_DASH,
    STATE(18631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827135] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26236), 1,
      anon_sym_RPAREN,
    ACTIONS(26238), 1,
      anon_sym_SEMI,
    STATE(18632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827152] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26236), 1,
      anon_sym_RBRACK,
    ACTIONS(26240), 1,
      anon_sym_SEMI,
    STATE(18633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827169] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26242), 2,
      anon_sym_to,
      anon_sym_downto,
  [827184] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26244), 1,
      anon_sym_SEMI,
    ACTIONS(26246), 1,
      anon_sym_RBRACE,
    STATE(18635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827201] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25212), 1,
      anon_sym_do,
    STATE(9186), 1,
      sym_do_clause,
    STATE(18636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827218] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26236), 1,
      anon_sym_RBRACE,
    ACTIONS(26248), 1,
      anon_sym_SEMI,
    STATE(18637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827235] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11220), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(18638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827252] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26250), 1,
      anon_sym_RPAREN,
    ACTIONS(26252), 1,
      anon_sym_LT_DASH,
    STATE(18639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827269] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20464), 1,
      sym__identifier,
    STATE(16137), 1,
      sym__simple_value_pattern,
    STATE(18640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827286] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26254), 1,
      anon_sym_RPAREN,
    ACTIONS(26256), 1,
      anon_sym_LT_DASH,
    STATE(18641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827303] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26258), 2,
      anon_sym_to,
      anon_sym_downto,
  [827318] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26260), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [827333] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26262), 1,
      anon_sym_RPAREN,
    ACTIONS(26264), 1,
      anon_sym_LT_DASH,
    STATE(18644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827350] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26266), 1,
      sym__identifier,
    STATE(18645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827367] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26268), 1,
      anon_sym_DOT,
    STATE(18646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827384] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26270), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [827399] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18648), 1,
      sym_attribute,
    STATE(21246), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827416] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26272), 1,
      anon_sym_RPAREN,
    ACTIONS(26274), 1,
      anon_sym_LT_DASH,
    STATE(18649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827433] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26276), 1,
      sym__identifier,
    ACTIONS(26278), 1,
      anon_sym_LPAREN,
    STATE(18650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827450] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22852), 1,
      anon_sym_EQ,
    ACTIONS(26280), 1,
      anon_sym_COLON_GT,
    STATE(18651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827467] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26282), 1,
      anon_sym_RPAREN,
    ACTIONS(26284), 1,
      anon_sym_SEMI,
    STATE(18652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827484] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26282), 1,
      anon_sym_RBRACK,
    ACTIONS(26286), 1,
      anon_sym_SEMI,
    STATE(18653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827501] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26282), 1,
      anon_sym_RBRACE,
    ACTIONS(26288), 1,
      anon_sym_SEMI,
    STATE(18654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827518] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10984), 1,
      anon_sym_RPAREN,
    ACTIONS(11687), 1,
      anon_sym_COLON_COLON,
    STATE(18655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827535] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18656), 1,
      sym_attribute,
    STATE(21202), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827552] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26290), 1,
      anon_sym_EQ,
    ACTIONS(26292), 1,
      anon_sym_RPAREN,
    STATE(18657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827569] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25690), 1,
      anon_sym_then,
    STATE(12227), 1,
      sym_then_clause,
    STATE(18658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827586] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11373), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(18659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827603] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26294), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [827618] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(22392), 1,
      sym__identifier,
    STATE(18661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827635] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26296), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [827650] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26298), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [827665] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(26300), 1,
      sym__identifier,
    STATE(18664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827682] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26302), 1,
      sym__identifier,
    STATE(18665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827699] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25204), 1,
      anon_sym_COLON2,
    STATE(13219), 1,
      sym__polymorphic_typed,
    STATE(18666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827716] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26304), 1,
      anon_sym_DOT,
    STATE(18667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827733] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26306), 1,
      anon_sym_RPAREN,
    ACTIONS(26308), 1,
      anon_sym_LT_DASH,
    STATE(18668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827750] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19872), 1,
      anon_sym_RBRACE,
    ACTIONS(26310), 1,
      anon_sym_SEMI,
    STATE(18669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827767] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26312), 1,
      anon_sym_DOT,
    STATE(18670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827784] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22582), 1,
      anon_sym_EQ,
    ACTIONS(26314), 1,
      anon_sym_COLON_GT,
    STATE(18671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827801] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26316), 1,
      anon_sym_RPAREN,
    ACTIONS(26318), 1,
      anon_sym_SEMI,
    STATE(18672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827818] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26278), 1,
      anon_sym_LPAREN,
    ACTIONS(26320), 1,
      sym__identifier,
    STATE(18673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827835] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26322), 1,
      anon_sym_DOT,
    STATE(18674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827852] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(26324), 1,
      sym__identifier,
    STATE(18675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827869] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25750), 1,
      anon_sym_then,
    STATE(9425), 1,
      sym_then_clause,
    STATE(18676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827886] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26326), 1,
      sym__identifier,
    STATE(18677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827903] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11687), 1,
      anon_sym_COLON_COLON,
    ACTIONS(26328), 1,
      anon_sym_RPAREN,
    STATE(18678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827920] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18679), 1,
      sym_attribute,
    STATE(21368), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827937] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26330), 1,
      anon_sym_SEMI,
    ACTIONS(26332), 1,
      anon_sym_RBRACE,
    STATE(18680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827954] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26334), 1,
      anon_sym_COLON_GT,
    ACTIONS(26336), 1,
      anon_sym_RPAREN,
    STATE(18681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827971] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26316), 1,
      anon_sym_RBRACK,
    ACTIONS(26338), 1,
      anon_sym_SEMI,
    STATE(18682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827988] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19252), 1,
      sym__identifier,
    STATE(18683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828005] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26316), 1,
      anon_sym_RBRACE,
    ACTIONS(26340), 1,
      anon_sym_SEMI,
    STATE(18684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828022] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26342), 1,
      anon_sym_EQ,
    ACTIONS(26344), 1,
      anon_sym_RPAREN,
    STATE(18685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828039] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(26346), 1,
      sym__identifier,
    STATE(18686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828056] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26348), 1,
      anon_sym_RPAREN,
    ACTIONS(26350), 1,
      anon_sym_LT_DASH,
    STATE(18687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828073] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19980), 1,
      anon_sym_RBRACE,
    ACTIONS(26352), 1,
      anon_sym_SEMI,
    STATE(18688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828090] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18523), 1,
      anon_sym_STAR,
    ACTIONS(26354), 1,
      anon_sym_DASH_GT,
    STATE(18689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828107] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18690), 1,
      sym_attribute,
    STATE(20155), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828124] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25750), 1,
      anon_sym_then,
    STATE(9418), 1,
      sym_then_clause,
    STATE(18691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828141] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26356), 1,
      sym__identifier,
    ACTIONS(26358), 1,
      anon_sym_LPAREN,
    STATE(18692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828158] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26360), 1,
      anon_sym_RPAREN,
    ACTIONS(26362), 1,
      anon_sym_SEMI,
    STATE(18693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828175] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26360), 1,
      anon_sym_RBRACK,
    ACTIONS(26364), 1,
      anon_sym_SEMI,
    STATE(18694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828192] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26366), 1,
      anon_sym_RPAREN,
    ACTIONS(26368), 1,
      anon_sym_LT_DASH,
    STATE(18695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828209] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26360), 1,
      anon_sym_RBRACE,
    ACTIONS(26370), 1,
      anon_sym_SEMI,
    STATE(18696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828226] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11687), 1,
      anon_sym_COLON_COLON,
    ACTIONS(26372), 1,
      anon_sym_RPAREN,
    STATE(18697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828243] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26374), 1,
      anon_sym_DOT,
    STATE(18698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828260] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26376), 1,
      anon_sym_RPAREN,
    ACTIONS(26378), 1,
      anon_sym_LT_DASH,
    STATE(18699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828277] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18700), 1,
      sym_attribute,
    STATE(20837), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828294] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26380), 1,
      anon_sym_RPAREN,
    ACTIONS(26382), 1,
      anon_sym_LT_DASH,
    STATE(18701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828311] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26384), 1,
      anon_sym_SEMI,
    ACTIONS(26386), 1,
      anon_sym_RBRACE,
    STATE(18702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828328] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19250), 1,
      sym__identifier,
    STATE(18703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828345] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26388), 1,
      sym__identifier,
    STATE(18704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828362] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26390), 1,
      anon_sym_SEMI,
    ACTIONS(26392), 1,
      anon_sym_RBRACE,
    STATE(18705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828379] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26394), 1,
      sym__identifier,
    STATE(18706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828396] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26396), 1,
      anon_sym_DOT,
    STATE(18707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828413] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25504), 1,
      anon_sym_then,
    STATE(9224), 1,
      sym_then_clause,
    STATE(18708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828430] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25440), 1,
      anon_sym_then,
    STATE(13422), 1,
      sym_then_clause,
    STATE(18709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828447] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26398), 1,
      anon_sym_RPAREN,
    ACTIONS(26400), 1,
      anon_sym_LT_DASH,
    STATE(18710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828464] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26402), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [828479] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26404), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [828494] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11687), 1,
      anon_sym_COLON_COLON,
    ACTIONS(26406), 1,
      anon_sym_RPAREN,
    STATE(18713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828511] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25692), 1,
      anon_sym_then,
    STATE(11468), 1,
      sym_then_clause,
    STATE(18714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828528] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(26408), 1,
      sym__identifier,
    STATE(18715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828545] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18523), 1,
      anon_sym_STAR,
    ACTIONS(26410), 1,
      anon_sym_DASH_GT,
    STATE(18716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828562] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26412), 1,
      anon_sym_DOT,
    STATE(18717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828579] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18523), 1,
      anon_sym_STAR,
    ACTIONS(26414), 1,
      anon_sym_DASH_GT,
    STATE(18718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828596] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26416), 1,
      anon_sym_DOT,
    STATE(18719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828613] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11186), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(18720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828630] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26418), 1,
      anon_sym_DOT,
    STATE(18721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828647] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18523), 1,
      anon_sym_STAR,
    ACTIONS(26420), 1,
      anon_sym_DASH_GT,
    STATE(18722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828664] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26422), 1,
      anon_sym_RPAREN,
    ACTIONS(26424), 1,
      anon_sym_LT_DASH,
    STATE(18723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828681] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18724), 1,
      sym_attribute,
    STATE(20532), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828698] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10896), 1,
      anon_sym_RPAREN,
    ACTIONS(11687), 1,
      anon_sym_COLON_COLON,
    STATE(18725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828715] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26072), 1,
      anon_sym_then,
    STATE(13911), 1,
      sym_then_clause,
    STATE(18726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828732] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26426), 1,
      anon_sym_RPAREN,
    ACTIONS(26428), 1,
      anon_sym_LT_DASH,
    STATE(18727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828749] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18728), 1,
      sym_attribute,
    STATE(21999), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828766] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25212), 1,
      anon_sym_do,
    STATE(8885), 1,
      sym_do_clause,
    STATE(18729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828783] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26430), 1,
      anon_sym_RPAREN,
    ACTIONS(26432), 1,
      anon_sym_LT_DASH,
    STATE(18730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828800] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18523), 1,
      anon_sym_STAR,
    ACTIONS(26434), 1,
      anon_sym_DASH_GT,
    STATE(18731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828817] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26436), 1,
      anon_sym_RPAREN,
    ACTIONS(26438), 1,
      anon_sym_SEMI,
    STATE(18732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828834] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21702), 1,
      sym__identifier,
    STATE(16214), 1,
      aux_sym__abstract_type_repeat1,
    STATE(18733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828851] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26436), 1,
      anon_sym_RBRACK,
    ACTIONS(26440), 1,
      anon_sym_SEMI,
    STATE(18734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828868] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(26442), 1,
      sym__identifier,
    STATE(18735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828885] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26444), 1,
      anon_sym_RPAREN,
    ACTIONS(26446), 1,
      anon_sym_LT_DASH,
    STATE(18736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828902] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10904), 1,
      anon_sym_RPAREN,
    ACTIONS(11687), 1,
      anon_sym_COLON_COLON,
    STATE(18737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828919] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26436), 1,
      anon_sym_RBRACE,
    ACTIONS(26448), 1,
      anon_sym_SEMI,
    STATE(18738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828936] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12771), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [828951] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26450), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [828966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26452), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [828981] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26454), 1,
      anon_sym_RPAREN,
    ACTIONS(26456), 1,
      anon_sym_LT_DASH,
    STATE(18742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828998] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26458), 1,
      aux_sym_type_variable_token1,
    STATE(14347), 1,
      sym_type_variable,
    STATE(18743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829015] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26460), 1,
      anon_sym_RPAREN,
    ACTIONS(26462), 1,
      anon_sym_LT_DASH,
    STATE(18744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829032] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11687), 1,
      anon_sym_COLON_COLON,
    ACTIONS(26464), 1,
      anon_sym_RPAREN,
    STATE(18745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829049] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26466), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [829064] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25430), 1,
      anon_sym_COLON2,
    STATE(18747), 1,
      sym_attribute,
    STATE(19820), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829081] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26468), 1,
      anon_sym_DOT,
    STATE(18748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829098] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18749), 1,
      sym_attribute,
    STATE(19270), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829115] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19890), 1,
      anon_sym_RBRACE,
    ACTIONS(26470), 1,
      anon_sym_SEMI,
    STATE(18750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829132] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26472), 1,
      anon_sym_SEMI,
    ACTIONS(26474), 1,
      anon_sym_RBRACE,
    STATE(18751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829149] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26476), 1,
      anon_sym_RPAREN,
    ACTIONS(26478), 1,
      anon_sym_LT_DASH,
    STATE(18752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829166] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24307), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [829181] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26480), 1,
      anon_sym_RPAREN,
    ACTIONS(26482), 1,
      anon_sym_LT_DASH,
    STATE(18754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829198] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26484), 1,
      anon_sym_DOT,
    STATE(18755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829215] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26486), 1,
      anon_sym_RPAREN,
    ACTIONS(26488), 1,
      anon_sym_LT_DASH,
    STATE(18756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829232] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10912), 1,
      anon_sym_RPAREN,
    ACTIONS(11687), 1,
      anon_sym_COLON_COLON,
    STATE(18757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829249] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12517), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [829264] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18759), 1,
      sym_attribute,
    STATE(21428), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829281] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25298), 1,
      anon_sym_then,
    STATE(9646), 1,
      sym_then_clause,
    STATE(18760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829298] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26490), 1,
      anon_sym_RPAREN,
    ACTIONS(26492), 1,
      anon_sym_LT_DASH,
    STATE(18761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829315] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26494), 1,
      anon_sym_RPAREN,
    ACTIONS(26496), 1,
      anon_sym_LT_DASH,
    STATE(18762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829332] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18523), 1,
      anon_sym_STAR,
    ACTIONS(26498), 1,
      anon_sym_DASH_GT,
    STATE(18763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829349] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26500), 1,
      anon_sym_RPAREN,
    ACTIONS(26502), 1,
      anon_sym_LT_DASH,
    STATE(18764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829366] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26504), 1,
      sym__identifier,
    STATE(18765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829383] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26506), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [829398] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26508), 1,
      anon_sym_RPAREN,
    ACTIONS(26510), 1,
      anon_sym_LT_DASH,
    STATE(18767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829415] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26512), 1,
      anon_sym_DOT,
    STATE(18768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829432] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26514), 1,
      anon_sym_SEMI,
    ACTIONS(26516), 1,
      anon_sym_RBRACE,
    STATE(18769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829449] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26518), 1,
      sym__identifier,
    STATE(18770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829466] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26520), 1,
      anon_sym_RPAREN,
    ACTIONS(26522), 1,
      anon_sym_LT_DASH,
    STATE(18771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829483] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26524), 1,
      anon_sym_RPAREN,
    ACTIONS(26526), 1,
      anon_sym_LT_DASH,
    STATE(18772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829500] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11254), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(18773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829517] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26528), 1,
      anon_sym_RPAREN,
    ACTIONS(26530), 1,
      anon_sym_LT_DASH,
    STATE(18774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829534] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18523), 1,
      anon_sym_STAR,
    ACTIONS(26532), 1,
      anon_sym_DASH_GT,
    STATE(18775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829551] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11192), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(18776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829568] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26534), 1,
      anon_sym_COLON_GT,
    ACTIONS(26536), 1,
      anon_sym_RPAREN,
    STATE(18777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829585] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26538), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [829600] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18779), 1,
      sym_attribute,
    STATE(22047), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829617] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [829632] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26540), 1,
      anon_sym_DOT,
    STATE(18781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829649] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26542), 1,
      anon_sym_RPAREN,
    ACTIONS(26544), 1,
      anon_sym_SEMI,
    STATE(18782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829666] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26542), 1,
      anon_sym_RBRACK,
    ACTIONS(26546), 1,
      anon_sym_SEMI,
    STATE(18783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829683] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26548), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [829698] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26550), 1,
      anon_sym_RPAREN,
    ACTIONS(26552), 1,
      anon_sym_LT_DASH,
    STATE(18785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829715] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26542), 1,
      anon_sym_RBRACE,
    ACTIONS(26554), 1,
      anon_sym_SEMI,
    STATE(18786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829732] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18787), 1,
      sym_attribute,
    STATE(20687), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829749] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26556), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [829764] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26558), 1,
      anon_sym_DOT,
    STATE(18789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829781] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11132), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(18790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829798] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26560), 1,
      anon_sym_RPAREN,
    ACTIONS(26562), 1,
      anon_sym_LT_DASH,
    STATE(18791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829815] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18792), 1,
      sym_attribute,
    STATE(22383), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829832] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26564), 1,
      anon_sym_DOT,
    STATE(18793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829849] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26566), 1,
      anon_sym_RPAREN,
    ACTIONS(26568), 1,
      anon_sym_LT_DASH,
    STATE(18794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829866] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26570), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [829881] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26572), 1,
      anon_sym_DOT,
    STATE(18796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829898] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26574), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [829913] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26576), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [829928] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26578), 1,
      anon_sym_RPAREN,
    ACTIONS(26580), 1,
      anon_sym_LT_DASH,
    STATE(18799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829945] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26582), 1,
      anon_sym_RPAREN,
    ACTIONS(26584), 1,
      anon_sym_LT_DASH,
    STATE(18800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829962] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26202), 1,
      anon_sym_then,
    STATE(9739), 1,
      sym_then_clause,
    STATE(18801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829979] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26586), 1,
      anon_sym_COLON_GT,
    ACTIONS(26588), 1,
      anon_sym_RPAREN,
    STATE(18802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829996] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9905), 1,
      anon_sym_COLON_GT,
    ACTIONS(9907), 1,
      anon_sym_EQ,
    STATE(18803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830013] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26590), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [830028] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(26592), 1,
      sym__identifier,
    STATE(18805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830045] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26594), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [830060] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18807), 1,
      sym_attribute,
    STATE(20202), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830077] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25404), 1,
      anon_sym_then,
    STATE(12607), 1,
      sym_then_clause,
    STATE(18808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830094] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26596), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [830109] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26072), 1,
      anon_sym_then,
    STATE(13730), 1,
      sym_then_clause,
    STATE(18810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830126] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26598), 1,
      anon_sym_RPAREN,
    ACTIONS(26600), 1,
      anon_sym_LT_DASH,
    STATE(18811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830143] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12970), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
  [830158] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26602), 1,
      anon_sym_DOT,
    STATE(18813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830175] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26604), 1,
      anon_sym_RPAREN,
    ACTIONS(26606), 1,
      anon_sym_LT_DASH,
    STATE(18814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830192] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26608), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [830207] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26610), 1,
      anon_sym_RPAREN,
    ACTIONS(26612), 1,
      anon_sym_LT_DASH,
    STATE(18816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830224] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26166), 1,
      anon_sym_then,
    STATE(13476), 1,
      sym_then_clause,
    STATE(18817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830241] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25746), 1,
      anon_sym_then,
    STATE(13216), 1,
      sym_then_clause,
    STATE(18818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26614), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [830273] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26616), 1,
      anon_sym_COLON_GT,
    ACTIONS(26618), 1,
      anon_sym_RPAREN,
    STATE(18820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830290] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26620), 1,
      anon_sym_EQ,
    ACTIONS(26622), 1,
      anon_sym_RPAREN,
    STATE(18821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830307] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26624), 1,
      anon_sym_RPAREN,
    ACTIONS(26626), 1,
      anon_sym_LT_DASH,
    STATE(18822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830324] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26628), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [830339] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18824), 1,
      sym_attribute,
    STATE(21836), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830356] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26630), 1,
      anon_sym_RPAREN,
    ACTIONS(26632), 1,
      anon_sym_LT_DASH,
    STATE(18825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830373] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26634), 1,
      sym__identifier,
    ACTIONS(26636), 1,
      anon_sym_LPAREN,
    STATE(18826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830390] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18827), 1,
      sym_attribute,
    STATE(20255), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830407] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26638), 1,
      anon_sym_COLON_GT,
    ACTIONS(26640), 1,
      anon_sym_RPAREN,
    STATE(18828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830424] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19418), 1,
      anon_sym_RBRACE,
    ACTIONS(26642), 1,
      anon_sym_SEMI,
    STATE(18829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830441] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26644), 1,
      anon_sym_RPAREN,
    ACTIONS(26646), 1,
      anon_sym_SEMI,
    STATE(18830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830458] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26648), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [830473] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26650), 1,
      anon_sym_RPAREN,
    ACTIONS(26652), 1,
      anon_sym_LT_DASH,
    STATE(18832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830490] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26654), 1,
      anon_sym_COLON_GT,
    ACTIONS(26656), 1,
      anon_sym_RPAREN,
    STATE(18833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830507] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26644), 1,
      anon_sym_RBRACK,
    ACTIONS(26658), 1,
      anon_sym_SEMI,
    STATE(18834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830524] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26644), 1,
      anon_sym_RBRACE,
    ACTIONS(26660), 1,
      anon_sym_SEMI,
    STATE(18835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830541] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19316), 1,
      sym__identifier,
    STATE(18836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830558] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26662), 1,
      anon_sym_COLON_GT,
    ACTIONS(26664), 1,
      anon_sym_RPAREN,
    STATE(18837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830575] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26666), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [830590] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26668), 1,
      anon_sym_DOT,
    STATE(18839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830607] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26670), 1,
      anon_sym_RPAREN,
    ACTIONS(26672), 1,
      anon_sym_SEMI,
    STATE(18840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830624] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18841), 1,
      sym_attribute,
    STATE(20453), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830641] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26674), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [830656] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26676), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [830671] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26670), 1,
      anon_sym_RBRACK,
    ACTIONS(26678), 1,
      anon_sym_SEMI,
    STATE(18844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830688] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26670), 1,
      anon_sym_RBRACE,
    ACTIONS(26680), 1,
      anon_sym_SEMI,
    STATE(18845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830705] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26682), 1,
      anon_sym_DOT,
    STATE(18846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830722] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26684), 1,
      sym__identifier,
    ACTIONS(26686), 1,
      anon_sym_LPAREN,
    STATE(18847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830739] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26688), 1,
      anon_sym_RPAREN,
    ACTIONS(26690), 1,
      anon_sym_LT_DASH,
    STATE(18848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830756] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11052), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(18849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830773] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26692), 1,
      anon_sym_RPAREN,
    ACTIONS(26694), 1,
      anon_sym_LT_DASH,
    STATE(18850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830790] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26696), 1,
      anon_sym_RPAREN,
    ACTIONS(26698), 1,
      anon_sym_LT_DASH,
    STATE(18851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830807] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26700), 1,
      anon_sym_RPAREN,
    ACTIONS(26702), 1,
      anon_sym_LT_DASH,
    STATE(18852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830824] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26704), 1,
      anon_sym_DOT,
    STATE(18853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830841] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19324), 1,
      sym__identifier,
    STATE(18854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830858] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26706), 1,
      anon_sym_RPAREN,
    ACTIONS(26708), 1,
      anon_sym_LT_DASH,
    STATE(18855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830875] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26710), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [830890] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26712), 1,
      sym__identifier,
    STATE(18857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830907] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26714), 1,
      anon_sym_COLON_GT,
    ACTIONS(26716), 1,
      anon_sym_RPAREN,
    STATE(18858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830924] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26718), 1,
      anon_sym_COLON_GT,
    ACTIONS(26720), 1,
      anon_sym_RPAREN,
    STATE(18859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830941] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26722), 1,
      anon_sym_RPAREN,
    ACTIONS(26724), 1,
      anon_sym_LT_DASH,
    STATE(18860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830958] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19362), 1,
      sym__identifier,
    STATE(18861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830975] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(26726), 1,
      sym__identifier,
    STATE(18862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830992] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26728), 1,
      anon_sym_DOT,
    STATE(18863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831009] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26730), 1,
      anon_sym_RPAREN,
    ACTIONS(26732), 1,
      anon_sym_LT_DASH,
    STATE(18864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831026] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26734), 1,
      anon_sym_RPAREN,
    ACTIONS(26736), 1,
      anon_sym_LT_DASH,
    STATE(18865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831043] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26738), 1,
      anon_sym_DOT,
    STATE(18866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831060] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26740), 1,
      anon_sym_RPAREN,
    ACTIONS(26742), 1,
      anon_sym_LT_DASH,
    STATE(18867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831077] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26202), 1,
      anon_sym_then,
    STATE(9685), 1,
      sym_then_clause,
    STATE(18868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831094] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18869), 1,
      sym_attribute,
    STATE(21910), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831111] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    STATE(14347), 1,
      sym_type_variable,
    STATE(18870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831128] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20464), 1,
      sym__identifier,
    STATE(16030), 1,
      sym__simple_value_pattern,
    STATE(18871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831145] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18872), 1,
      sym_attribute,
    STATE(19368), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831162] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26744), 1,
      sym__identifier,
    STATE(18873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831179] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18874), 1,
      sym_attribute,
    STATE(22182), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831196] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26746), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [831211] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26108), 1,
      anon_sym_then,
    STATE(9204), 1,
      sym_then_clause,
    STATE(18876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831228] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26748), 1,
      aux_sym_type_variable_token1,
    STATE(9356), 1,
      sym_type_variable,
    STATE(18877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831245] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(26750), 1,
      sym__identifier,
    STATE(18878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831262] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26752), 1,
      anon_sym_RPAREN,
    ACTIONS(26754), 1,
      anon_sym_SEMI,
    STATE(18879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831279] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26752), 1,
      anon_sym_RBRACK,
    ACTIONS(26756), 1,
      anon_sym_SEMI,
    STATE(18880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831296] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26752), 1,
      anon_sym_RBRACE,
    ACTIONS(26758), 1,
      anon_sym_SEMI,
    STATE(18881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831313] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26760), 1,
      anon_sym_RPAREN,
    ACTIONS(26762), 1,
      anon_sym_LT_DASH,
    STATE(18882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831330] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26764), 1,
      sym__identifier,
    STATE(18883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831347] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26766), 1,
      anon_sym_DOT,
    STATE(18884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831364] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(26768), 1,
      sym__identifier,
    STATE(18885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831381] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18886), 1,
      sym_attribute,
    STATE(22341), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831398] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26770), 1,
      anon_sym_RPAREN,
    ACTIONS(26772), 1,
      anon_sym_LT_DASH,
    STATE(18887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831415] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26774), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [831430] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26776), 1,
      anon_sym_RPAREN,
    ACTIONS(26778), 1,
      anon_sym_LT_DASH,
    STATE(18889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831447] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26780), 1,
      anon_sym_COLON_GT,
    ACTIONS(26782), 1,
      anon_sym_RPAREN,
    STATE(18890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831464] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26784), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [831479] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18523), 1,
      anon_sym_STAR,
    ACTIONS(26786), 1,
      anon_sym_DASH_GT,
    STATE(18892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831496] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26788), 1,
      anon_sym_RPAREN,
    ACTIONS(26790), 1,
      anon_sym_LT_DASH,
    STATE(18893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831513] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(26792), 1,
      sym__identifier,
    STATE(18894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831530] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26794), 1,
      anon_sym_COLON_GT,
    ACTIONS(26796), 1,
      anon_sym_RPAREN,
    STATE(18895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831547] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11114), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(18896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831564] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26798), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [831579] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26800), 1,
      anon_sym_DOT,
    STATE(18898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831596] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26802), 1,
      anon_sym_EQ,
    ACTIONS(26804), 1,
      anon_sym_RPAREN,
    STATE(18899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831613] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26806), 1,
      anon_sym_DOT,
    STATE(18900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26808), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [831645] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26152), 1,
      anon_sym_then,
    STATE(13300), 1,
      sym_then_clause,
    STATE(18902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831662] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26810), 1,
      sym__identifier,
    ACTIONS(26812), 1,
      anon_sym_LPAREN,
    STATE(18903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831679] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26814), 1,
      anon_sym_DOT,
    STATE(18904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831696] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26816), 2,
      anon_sym_to,
      anon_sym_downto,
  [831711] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26818), 1,
      anon_sym_RPAREN,
    ACTIONS(26820), 1,
      anon_sym_LT_DASH,
    STATE(18906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831728] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26822), 1,
      anon_sym_RPAREN,
    ACTIONS(26824), 1,
      anon_sym_LT_DASH,
    STATE(18907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831745] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22266), 1,
      anon_sym_EQ,
    ACTIONS(26826), 1,
      anon_sym_COLON_GT,
    STATE(18908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831762] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26828), 1,
      anon_sym_RPAREN,
    ACTIONS(26830), 1,
      anon_sym_SEMI,
    STATE(18909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831779] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26828), 1,
      anon_sym_RBRACK,
    ACTIONS(26832), 1,
      anon_sym_SEMI,
    STATE(18910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831796] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26834), 1,
      sym__identifier,
    STATE(18911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831813] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26836), 1,
      anon_sym_RPAREN,
    ACTIONS(26838), 1,
      anon_sym_LT_DASH,
    STATE(18912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831830] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26840), 1,
      anon_sym_RPAREN,
    ACTIONS(26842), 1,
      anon_sym_LT_DASH,
    STATE(18913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831847] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26844), 1,
      anon_sym_COLON_GT,
    ACTIONS(26846), 1,
      anon_sym_RPAREN,
    STATE(18914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831864] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25172), 1,
      anon_sym_then,
    STATE(11878), 1,
      sym_then_clause,
    STATE(18915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831881] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18916), 1,
      sym_attribute,
    STATE(19614), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831898] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26848), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [831913] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19854), 1,
      anon_sym_COLON2,
    STATE(18918), 1,
      sym_attribute,
    STATE(19209), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831930] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26850), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [831945] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26852), 1,
      anon_sym_RPAREN,
    ACTIONS(26854), 1,
      anon_sym_LT_DASH,
    STATE(18920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831962] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26856), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [831977] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26858), 1,
      anon_sym_RPAREN,
    ACTIONS(26860), 1,
      anon_sym_LT_DASH,
    STATE(18922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831994] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26862), 1,
      anon_sym_RPAREN,
    ACTIONS(26864), 1,
      anon_sym_SEMI,
    STATE(18923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832011] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26862), 1,
      anon_sym_RBRACK,
    ACTIONS(26866), 1,
      anon_sym_SEMI,
    STATE(18924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832028] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26862), 1,
      anon_sym_RBRACE,
    ACTIONS(26868), 1,
      anon_sym_SEMI,
    STATE(18925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832045] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26870), 1,
      anon_sym_DOT,
    STATE(18926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832062] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26872), 1,
      anon_sym_RPAREN,
    ACTIONS(26874), 1,
      anon_sym_LT_DASH,
    STATE(18927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832079] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18928), 1,
      sym_attribute,
    STATE(19702), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832096] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26876), 1,
      anon_sym_RPAREN,
    ACTIONS(26878), 1,
      anon_sym_LT_DASH,
    STATE(18929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832113] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26880), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [832128] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25252), 1,
      anon_sym_do,
    STATE(8957), 1,
      sym_do_clause,
    STATE(18931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832145] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26882), 1,
      anon_sym_RPAREN,
    ACTIONS(26884), 1,
      anon_sym_LT_DASH,
    STATE(18932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832162] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26886), 1,
      sym__identifier,
    STATE(18933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832179] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22460), 1,
      anon_sym_EQ,
    ACTIONS(26888), 1,
      anon_sym_COLON_GT,
    STATE(18934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832196] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26890), 1,
      anon_sym_RPAREN,
    ACTIONS(26892), 1,
      anon_sym_SEMI,
    STATE(18935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832213] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26894), 1,
      anon_sym_DOT,
    STATE(18936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832230] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26896), 1,
      anon_sym_SEMI,
    ACTIONS(26898), 1,
      anon_sym_RBRACE,
    STATE(18937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832247] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26900), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [832262] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26902), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [832277] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26890), 1,
      anon_sym_RBRACK,
    ACTIONS(26904), 1,
      anon_sym_SEMI,
    STATE(18940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26906), 2,
      anon_sym_RBRACK,
      aux_sym_tag_token1,
  [832309] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15425), 2,
      anon_sym_and,
      anon_sym_in,
  [832324] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26890), 1,
      anon_sym_RBRACE,
    ACTIONS(26908), 1,
      anon_sym_SEMI,
    STATE(18943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832341] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11268), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(18944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832358] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25440), 1,
      anon_sym_then,
    STATE(13213), 1,
      sym_then_clause,
    STATE(18945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832375] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25746), 1,
      anon_sym_then,
    STATE(13360), 1,
      sym_then_clause,
    STATE(18946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832392] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18947), 1,
      sym_attribute,
    STATE(20122), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832409] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26910), 1,
      anon_sym_SEMI,
    ACTIONS(26912), 1,
      anon_sym_RBRACE,
    STATE(18948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832426] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26914), 1,
      anon_sym_RPAREN,
    ACTIONS(26916), 1,
      anon_sym_SEMI,
    STATE(18949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832443] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26914), 1,
      anon_sym_RBRACK,
    ACTIONS(26918), 1,
      anon_sym_SEMI,
    STATE(18950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832460] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26914), 1,
      anon_sym_RBRACE,
    ACTIONS(26920), 1,
      anon_sym_SEMI,
    STATE(18951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832477] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26922), 1,
      sym__identifier,
    STATE(18952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832494] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18953), 1,
      sym_attribute,
    STATE(20208), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832511] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(26924), 1,
      sym__identifier,
    STATE(18954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832528] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26926), 1,
      anon_sym_RPAREN,
    ACTIONS(26928), 1,
      anon_sym_LT_DASH,
    STATE(18955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832545] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26930), 1,
      sym__identifier,
    ACTIONS(26932), 1,
      anon_sym_LPAREN,
    STATE(18956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832562] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(26934), 1,
      sym__identifier,
    STATE(18957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832579] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(26936), 1,
      sym__identifier,
    STATE(18958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832596] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19942), 1,
      anon_sym_RBRACE,
    ACTIONS(26938), 1,
      anon_sym_SEMI,
    STATE(18959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832613] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26940), 1,
      anon_sym_DOT,
    STATE(18960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832630] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26942), 1,
      anon_sym_RPAREN,
    ACTIONS(26944), 1,
      anon_sym_LT_DASH,
    STATE(18961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832647] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26946), 1,
      sym__identifier,
    STATE(18962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832664] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(26948), 1,
      sym__identifier,
    STATE(18963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832681] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26950), 1,
      anon_sym_RPAREN,
    ACTIONS(26952), 1,
      anon_sym_LT_DASH,
    STATE(18964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832698] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26954), 1,
      anon_sym_EQ,
    ACTIONS(26956), 1,
      anon_sym_RPAREN,
    STATE(18965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832715] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18966), 1,
      sym_attribute,
    STATE(20631), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832732] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26958), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [832747] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26960), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [832762] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26962), 1,
      anon_sym_RPAREN,
    ACTIONS(26964), 1,
      anon_sym_SEMI,
    STATE(18969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832779] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26962), 1,
      anon_sym_RBRACK,
    ACTIONS(26966), 1,
      anon_sym_SEMI,
    STATE(18970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832796] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26962), 1,
      anon_sym_RBRACE,
    ACTIONS(26968), 1,
      anon_sym_SEMI,
    STATE(18971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832813] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26970), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [832828] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18973), 1,
      sym_attribute,
    STATE(20676), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832845] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26972), 1,
      anon_sym_DOT,
    STATE(18974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26974), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [832877] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(26976), 1,
      sym__identifier,
    STATE(18976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832894] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26152), 1,
      anon_sym_then,
    STATE(13318), 1,
      sym_then_clause,
    STATE(18977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832911] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(26978), 1,
      sym__identifier,
    STATE(18978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832928] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26980), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [832943] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26108), 1,
      anon_sym_then,
    STATE(9342), 1,
      sym_then_clause,
    STATE(18980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832960] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(26982), 1,
      anon_sym_DOT,
    STATE(18981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832977] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26984), 1,
      anon_sym_RPAREN,
    ACTIONS(26986), 1,
      anon_sym_LT_DASH,
    STATE(18982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832994] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19476), 1,
      anon_sym_RBRACE,
    ACTIONS(26988), 1,
      anon_sym_SEMI,
    STATE(18983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833011] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(26990), 1,
      sym__identifier,
    STATE(18984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833028] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26992), 1,
      anon_sym_SEMI,
    ACTIONS(26994), 1,
      anon_sym_RBRACE,
    STATE(18985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833045] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26996), 1,
      anon_sym_RPAREN,
    ACTIONS(26998), 1,
      anon_sym_LT_DASH,
    STATE(18986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833062] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27000), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [833077] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18988), 1,
      sym_attribute,
    STATE(21128), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833094] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25706), 1,
      anon_sym_then,
    STATE(13808), 1,
      sym_then_clause,
    STATE(18989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833111] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27002), 1,
      anon_sym_RPAREN,
    ACTIONS(27004), 1,
      anon_sym_SEMI,
    STATE(18990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833128] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27002), 1,
      anon_sym_RBRACK,
    ACTIONS(27006), 1,
      anon_sym_SEMI,
    STATE(18991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833145] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27002), 1,
      anon_sym_RBRACE,
    ACTIONS(27008), 1,
      anon_sym_SEMI,
    STATE(18992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833162] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25692), 1,
      anon_sym_then,
    STATE(11385), 1,
      sym_then_clause,
    STATE(18993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833179] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(18994), 1,
      sym_attribute,
    STATE(21198), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833196] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(27010), 1,
      sym__identifier,
    STATE(18995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833213] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27012), 1,
      sym__identifier,
    ACTIONS(27014), 1,
      anon_sym_LPAREN,
    STATE(18996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833230] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(27016), 1,
      sym__identifier,
    STATE(18997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833247] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27018), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [833262] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(18999), 1,
      sym_attribute,
    STATE(19527), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833279] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27020), 1,
      anon_sym_DOT,
    STATE(19000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27022), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [833311] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27024), 1,
      anon_sym_SEMI,
    ACTIONS(27026), 1,
      anon_sym_RBRACE,
    STATE(19002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27028), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [833343] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27030), 1,
      anon_sym_RPAREN,
    ACTIONS(27032), 1,
      anon_sym_SEMI,
    STATE(19004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833360] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27034), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [833375] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27030), 1,
      anon_sym_RBRACK,
    ACTIONS(27036), 1,
      anon_sym_SEMI,
    STATE(19006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833392] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27038), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [833407] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25948), 1,
      anon_sym_LPAREN,
    ACTIONS(27040), 1,
      sym__identifier,
    STATE(19008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833424] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27042), 1,
      anon_sym_DOT,
    STATE(19009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833441] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27044), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [833456] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(19011), 1,
      sym_attribute,
    STATE(21765), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833473] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26166), 1,
      anon_sym_then,
    STATE(13514), 1,
      sym_then_clause,
    STATE(19012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833490] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27030), 1,
      anon_sym_RBRACE,
    ACTIONS(27046), 1,
      anon_sym_SEMI,
    STATE(19013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833507] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27048), 1,
      anon_sym_RPAREN,
    ACTIONS(27050), 1,
      anon_sym_SEMI,
    STATE(19014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833524] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27048), 1,
      anon_sym_RBRACK,
    ACTIONS(27052), 1,
      anon_sym_SEMI,
    STATE(19015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833541] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26202), 1,
      anon_sym_then,
    STATE(9654), 1,
      sym_then_clause,
    STATE(19016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833558] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27048), 1,
      anon_sym_RBRACE,
    ACTIONS(27054), 1,
      anon_sym_SEMI,
    STATE(19017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833575] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27056), 1,
      anon_sym_RPAREN,
    ACTIONS(27058), 1,
      anon_sym_LT_DASH,
    STATE(19018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833592] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27060), 1,
      anon_sym_COLON_GT,
    ACTIONS(27062), 1,
      anon_sym_RPAREN,
    STATE(19019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833609] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [833624] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(19021), 1,
      sym_attribute,
    STATE(21812), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833641] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(27066), 1,
      sym__identifier,
    STATE(19022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833658] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25388), 1,
      anon_sym_then,
    STATE(9634), 1,
      sym_then_clause,
    STATE(19023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833675] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(27068), 1,
      sym__identifier,
    STATE(19024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833692] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27070), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [833707] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27072), 1,
      anon_sym_DOT,
    STATE(19026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833724] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27074), 1,
      anon_sym_COLON_GT,
    ACTIONS(27076), 1,
      anon_sym_RPAREN,
    STATE(19027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833741] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27078), 1,
      anon_sym_DOT,
    STATE(19028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833758] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27080), 1,
      anon_sym_DOT,
    STATE(19029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833775] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(27082), 1,
      sym__identifier,
    STATE(19030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833792] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27084), 1,
      sym__identifier,
    ACTIONS(27086), 1,
      anon_sym_LBRACK,
    STATE(19031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833809] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(19032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13839), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [833824] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27088), 1,
      anon_sym_DOT,
    STATE(19033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833841] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(19034), 1,
      sym_attribute,
    STATE(20247), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833858] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27090), 1,
      sym__identifier,
    ACTIONS(27092), 1,
      anon_sym_LPAREN,
    STATE(19035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833875] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27094), 1,
      anon_sym_RPAREN,
    ACTIONS(27096), 1,
      anon_sym_LT_DASH,
    STATE(19036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833892] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27098), 1,
      anon_sym_RPAREN,
    ACTIONS(27100), 1,
      anon_sym_LT_DASH,
    STATE(19037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833909] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(19038), 1,
      sym_attribute,
    STATE(22246), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833926] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27102), 1,
      anon_sym_COLON_GT,
    ACTIONS(27104), 1,
      anon_sym_RPAREN,
    STATE(19039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833943] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(27106), 1,
      sym__identifier,
    STATE(19040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833960] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25406), 1,
      anon_sym_then,
    STATE(13162), 1,
      sym_then_clause,
    STATE(19041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833977] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25752), 1,
      anon_sym_then,
    STATE(13804), 1,
      sym_then_clause,
    STATE(19042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833994] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27108), 1,
      anon_sym_RPAREN,
    ACTIONS(27110), 1,
      anon_sym_SEMI,
    STATE(19043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834011] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26220), 1,
      anon_sym_LPAREN,
    ACTIONS(27112), 1,
      sym__identifier,
    STATE(19044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834028] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27108), 1,
      anon_sym_RBRACK,
    ACTIONS(27114), 1,
      anon_sym_SEMI,
    STATE(19045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834045] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27108), 1,
      anon_sym_RBRACE,
    ACTIONS(27116), 1,
      anon_sym_SEMI,
    STATE(19046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834062] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(19047), 1,
      sym_attribute,
    STATE(20534), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834079] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27118), 1,
      anon_sym_COLON_GT,
    ACTIONS(27120), 1,
      anon_sym_RPAREN,
    STATE(19048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834096] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19212), 1,
      sym__identifier,
    STATE(19049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834113] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(19050), 1,
      sym_attribute,
    STATE(22371), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834130] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27122), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [834145] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27124), 1,
      sym__identifier,
    ACTIONS(27126), 1,
      anon_sym_LPAREN,
    STATE(19052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834162] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27128), 1,
      anon_sym_RPAREN,
    ACTIONS(27130), 1,
      anon_sym_LT_DASH,
    STATE(19053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834179] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25720), 1,
      anon_sym_LPAREN,
    ACTIONS(27132), 1,
      sym__identifier,
    STATE(19054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834196] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9921), 1,
      anon_sym_COLON_GT,
    ACTIONS(9923), 1,
      anon_sym_EQ,
    STATE(19055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834213] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27134), 1,
      anon_sym_DOT,
    STATE(19056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834230] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26100), 1,
      anon_sym_COLON2,
    STATE(13297), 1,
      sym__polymorphic_typed,
    STATE(19057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834247] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27136), 1,
      sym__identifier,
    ACTIONS(27138), 1,
      anon_sym_LPAREN,
    STATE(19058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834264] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27140), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [834279] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19854), 1,
      anon_sym_COLON2,
    STATE(18137), 1,
      sym__polymorphic_typed,
    STATE(19060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834296] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27142), 1,
      anon_sym_DOT,
    STATE(19061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834313] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26166), 1,
      anon_sym_then,
    STATE(13223), 1,
      sym_then_clause,
    STATE(19062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834330] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27144), 1,
      anon_sym_COLON_GT,
    ACTIONS(27146), 1,
      anon_sym_RPAREN,
    STATE(19063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834347] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19288), 1,
      sym__identifier,
    STATE(19064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834364] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25298), 1,
      anon_sym_then,
    STATE(9623), 1,
      sym_then_clause,
    STATE(19065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834381] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(19066), 1,
      sym_attribute,
    STATE(19447), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834398] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27148), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [834413] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27150), 1,
      anon_sym_RPAREN,
    ACTIONS(27152), 1,
      anon_sym_SEMI,
    STATE(19068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834430] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19618), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [834445] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27150), 1,
      anon_sym_RBRACK,
    ACTIONS(27154), 1,
      anon_sym_SEMI,
    STATE(19070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834462] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27150), 1,
      anon_sym_RBRACE,
    ACTIONS(27156), 1,
      anon_sym_SEMI,
    STATE(19071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834479] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(27158), 1,
      sym__identifier,
    STATE(19072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834496] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(19073), 1,
      sym_attribute,
    STATE(19499), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834513] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27160), 1,
      anon_sym_DOT,
    STATE(19074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834530] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27162), 1,
      sym__identifier,
    ACTIONS(27164), 1,
      sym__capitalized_identifier,
    STATE(19075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834547] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26152), 1,
      anon_sym_then,
    STATE(13392), 1,
      sym_then_clause,
    STATE(19076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834564] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18523), 1,
      anon_sym_STAR,
    ACTIONS(27166), 1,
      anon_sym_DASH_GT,
    STATE(19077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834581] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25752), 1,
      anon_sym_then,
    STATE(13652), 1,
      sym_then_clause,
    STATE(19078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834598] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27168), 1,
      anon_sym_COLON_GT,
    ACTIONS(27170), 1,
      anon_sym_RPAREN,
    STATE(19079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834615] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27172), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [834630] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27174), 1,
      anon_sym_DOT,
    STATE(19081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834647] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(27176), 1,
      sym__identifier,
    STATE(19082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834664] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19276), 1,
      sym__identifier,
    STATE(19083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834681] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27178), 1,
      anon_sym_DOT,
    STATE(19084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834698] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27180), 1,
      anon_sym_DOT,
    STATE(19085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834715] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(27182), 1,
      sym__identifier,
    STATE(19086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834732] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(19087), 1,
      sym_attribute,
    STATE(19733), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834749] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27184), 1,
      anon_sym_COLON_GT,
    ACTIONS(27186), 1,
      anon_sym_RPAREN,
    STATE(19088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834766] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27188), 1,
      anon_sym_RPAREN,
    ACTIONS(27190), 1,
      anon_sym_SEMI,
    STATE(19089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834783] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27188), 1,
      anon_sym_RBRACK,
    ACTIONS(27192), 1,
      anon_sym_SEMI,
    STATE(19090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834800] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27188), 1,
      anon_sym_RBRACE,
    ACTIONS(27194), 1,
      anon_sym_SEMI,
    STATE(19091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834817] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(19092), 1,
      sym_attribute,
    STATE(19764), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834834] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25388), 1,
      anon_sym_then,
    STATE(9628), 1,
      sym_then_clause,
    STATE(19093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834851] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27196), 1,
      anon_sym_DOT,
    STATE(19094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834868] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25706), 1,
      anon_sym_then,
    STATE(13792), 1,
      sym_then_clause,
    STATE(19095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834885] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27198), 1,
      anon_sym_SEMI,
    ACTIONS(27200), 1,
      anon_sym_RBRACE,
    STATE(19096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834902] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25642), 1,
      anon_sym_do,
    STATE(9364), 1,
      sym_do_clause,
    STATE(19097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834919] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25404), 1,
      anon_sym_then,
    STATE(12579), 1,
      sym_then_clause,
    STATE(19098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834936] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27202), 1,
      anon_sym_RPAREN,
    ACTIONS(27204), 1,
      anon_sym_LT_DASH,
    STATE(19099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834953] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27206), 1,
      anon_sym_DOT,
    STATE(19100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834970] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(19101), 1,
      sym_attribute,
    STATE(21635), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834987] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25614), 1,
      anon_sym_COLON2,
    STATE(14542), 1,
      sym__typed,
    STATE(19102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835004] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27208), 1,
      sym__identifier,
    ACTIONS(27210), 1,
      anon_sym_LPAREN,
    STATE(19103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835021] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27212), 1,
      anon_sym_DOT,
    STATE(19104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835038] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25298), 1,
      anon_sym_then,
    STATE(9671), 1,
      sym_then_clause,
    STATE(19105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835055] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(19106), 1,
      sym_attribute,
    STATE(20049), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835072] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27214), 1,
      anon_sym_COLON_GT,
    ACTIONS(27216), 1,
      anon_sym_RPAREN,
    STATE(19107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835089] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27218), 1,
      anon_sym_RPAREN,
    ACTIONS(27220), 1,
      anon_sym_SEMI,
    STATE(19108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835106] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27218), 1,
      anon_sym_RBRACK,
    ACTIONS(27222), 1,
      anon_sym_SEMI,
    STATE(19109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835123] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27218), 1,
      anon_sym_RBRACE,
    ACTIONS(27224), 1,
      anon_sym_SEMI,
    STATE(19110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835140] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(19111), 1,
      sym_attribute,
    STATE(20082), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835157] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27226), 1,
      anon_sym_RPAREN,
    ACTIONS(27228), 1,
      anon_sym_LT_DASH,
    STATE(19112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835174] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18523), 1,
      anon_sym_STAR,
    ACTIONS(27230), 1,
      anon_sym_DASH_GT,
    STATE(19113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835191] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27232), 1,
      anon_sym_RPAREN,
    ACTIONS(27234), 1,
      anon_sym_LT_DASH,
    STATE(19114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835208] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27236), 1,
      anon_sym_RPAREN,
    ACTIONS(27238), 1,
      anon_sym_LT_DASH,
    STATE(19115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835225] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9909), 1,
      anon_sym_COLON_GT,
    ACTIONS(9911), 1,
      anon_sym_EQ,
    STATE(19116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835242] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27240), 1,
      anon_sym_RPAREN,
    ACTIONS(27242), 1,
      anon_sym_LT_DASH,
    STATE(19117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835259] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27244), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [835274] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27246), 1,
      anon_sym_RPAREN,
    ACTIONS(27248), 1,
      anon_sym_LT_DASH,
    STATE(19119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835291] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27250), 1,
      sym__identifier,
    ACTIONS(27252), 1,
      anon_sym_LBRACK,
    STATE(19120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835308] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27254), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [835323] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27256), 1,
      sym__identifier,
    ACTIONS(27258), 1,
      anon_sym_LPAREN,
    STATE(19122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835340] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27260), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [835355] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8725), 1,
      sym__capitalized_identifier,
    STATE(17154), 1,
      sym_extended_module_path,
    STATE(19124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835372] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    STATE(19125), 1,
      sym_attribute,
    STATE(22138), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835389] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27262), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [835404] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27264), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [835419] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27266), 1,
      anon_sym_DOT,
    STATE(19128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835436] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19312), 1,
      sym__identifier,
    STATE(19129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835453] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27268), 1,
      anon_sym_COLON_GT,
    ACTIONS(27270), 1,
      anon_sym_RPAREN,
    STATE(19130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835470] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(27272), 1,
      sym__identifier,
    STATE(19131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835487] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(19280), 1,
      sym__identifier,
    STATE(19132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835504] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(27274), 1,
      sym__identifier,
    STATE(19133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835521] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27276), 1,
      anon_sym_RPAREN,
    ACTIONS(27278), 1,
      anon_sym_LT_DASH,
    STATE(19134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835538] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(19135), 1,
      sym_attribute,
    STATE(20394), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835555] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(19136), 1,
      sym_attribute,
    STATE(20159), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835572] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11264), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(19137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835589] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25406), 1,
      anon_sym_then,
    STATE(13112), 1,
      sym_then_clause,
    STATE(19138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835606] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27280), 1,
      sym__identifier,
    ACTIONS(27282), 1,
      anon_sym_LPAREN,
    STATE(19139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835623] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26072), 1,
      anon_sym_then,
    STATE(13841), 1,
      sym_then_clause,
    STATE(19140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835640] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27284), 1,
      anon_sym_DOT,
    STATE(19141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835657] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27286), 1,
      anon_sym_COLON_GT,
    ACTIONS(27288), 1,
      anon_sym_RPAREN,
    STATE(19142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835674] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9917), 1,
      anon_sym_COLON_GT,
    ACTIONS(9919), 1,
      anon_sym_EQ,
    STATE(19143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835691] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(19144), 1,
      sym_attribute,
    STATE(19536), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835708] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25266), 1,
      anon_sym_do,
    STATE(11603), 1,
      sym_do_clause,
    STATE(19145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835725] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20464), 1,
      sym__identifier,
    STATE(16233), 1,
      sym__simple_value_pattern,
    STATE(19146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835742] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27290), 1,
      anon_sym_RPAREN,
    ACTIONS(27292), 1,
      anon_sym_SEMI,
    STATE(19147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835759] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27290), 1,
      anon_sym_RBRACK,
    ACTIONS(27294), 1,
      anon_sym_SEMI,
    STATE(19148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835776] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27290), 1,
      anon_sym_RBRACE,
    ACTIONS(27296), 1,
      anon_sym_SEMI,
    STATE(19149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835793] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27298), 1,
      anon_sym_RPAREN,
    ACTIONS(27300), 1,
      anon_sym_LT_DASH,
    STATE(19150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835810] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25406), 1,
      anon_sym_then,
    STATE(13151), 1,
      sym_then_clause,
    STATE(19151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835827] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27302), 1,
      anon_sym_RPAREN,
    ACTIONS(27304), 1,
      anon_sym_LT_DASH,
    STATE(19152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835844] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(19153), 1,
      sym_attribute,
    STATE(20435), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835861] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25958), 1,
      anon_sym_COLON2,
    STATE(14555), 1,
      sym__polymorphic_typed,
    STATE(19154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835878] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27306), 1,
      anon_sym_EQ,
    ACTIONS(27308), 1,
      anon_sym_RPAREN,
    STATE(19155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835895] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25642), 1,
      anon_sym_do,
    STATE(9220), 1,
      sym_do_clause,
    STATE(19156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835912] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(19157), 1,
      sym_attribute,
    STATE(20358), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835929] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25650), 1,
      anon_sym_then,
    STATE(13413), 1,
      sym_then_clause,
    STATE(19158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835946] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(27310), 1,
      sym__identifier,
    STATE(19159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835963] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20464), 1,
      sym__identifier,
    STATE(16263), 1,
      sym__simple_value_pattern,
    STATE(19160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835980] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19656), 1,
      anon_sym_RBRACE,
    ACTIONS(27312), 1,
      anon_sym_SEMI,
    STATE(19161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835997] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27314), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [836012] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27316), 1,
      anon_sym_RPAREN,
    ACTIONS(27318), 1,
      anon_sym_LT_DASH,
    STATE(19163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836029] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27320), 1,
      anon_sym_RPAREN,
    ACTIONS(27322), 1,
      anon_sym_LT_DASH,
    STATE(19164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836046] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27324), 1,
      anon_sym_RPAREN,
    ACTIONS(27326), 1,
      anon_sym_LT_DASH,
    STATE(19165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836063] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27328), 1,
      sym__identifier,
    ACTIONS(27330), 1,
      anon_sym_LBRACK,
    STATE(19166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836080] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27332), 1,
      anon_sym_DOT,
    STATE(19167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836097] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(27334), 1,
      sym__identifier,
    STATE(19168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836114] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(19169), 1,
      sym_attribute,
    STATE(19914), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836131] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27336), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [836146] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26828), 1,
      anon_sym_RBRACE,
    ACTIONS(27338), 1,
      anon_sym_SEMI,
    STATE(19171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836163] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27340), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [836178] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11687), 1,
      anon_sym_COLON_COLON,
    ACTIONS(27342), 1,
      anon_sym_RPAREN,
    STATE(19173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836195] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27344), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [836210] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27346), 1,
      anon_sym_RPAREN,
    ACTIONS(27348), 1,
      anon_sym_LT_DASH,
    STATE(19175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836227] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27350), 1,
      sym__identifier,
    ACTIONS(27352), 1,
      anon_sym_LPAREN,
    STATE(19176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836244] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27354), 1,
      anon_sym_RPAREN,
    ACTIONS(27356), 1,
      anon_sym_SEMI,
    STATE(19177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836261] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(19178), 1,
      sym_attribute,
    STATE(20689), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836278] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27354), 1,
      anon_sym_RBRACK,
    ACTIONS(27358), 1,
      anon_sym_SEMI,
    STATE(19179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836295] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27354), 1,
      anon_sym_RBRACE,
    ACTIONS(27360), 1,
      anon_sym_SEMI,
    STATE(19180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836312] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27362), 1,
      anon_sym_RPAREN,
    ACTIONS(27364), 1,
      anon_sym_SEMI,
    STATE(19181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836329] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25092), 1,
      anon_sym_EQ,
    ACTIONS(27366), 1,
      anon_sym_COLON_GT,
    STATE(19182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836346] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27368), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [836361] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27370), 1,
      anon_sym_RPAREN,
    ACTIONS(27372), 1,
      anon_sym_SEMI,
    STATE(19184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836378] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27370), 1,
      anon_sym_RBRACK,
    ACTIONS(27374), 1,
      anon_sym_SEMI,
    STATE(19185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836395] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27376), 1,
      sym__identifier,
    ACTIONS(27378), 1,
      anon_sym_LPAREN,
    STATE(19186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836412] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27370), 1,
      anon_sym_RBRACE,
    ACTIONS(27380), 1,
      anon_sym_SEMI,
    STATE(19187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836429] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27382), 1,
      anon_sym_DOT,
    STATE(19188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836446] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27384), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [836461] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27362), 1,
      anon_sym_RBRACK,
    ACTIONS(27386), 1,
      anon_sym_SEMI,
    STATE(19190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836478] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27362), 1,
      anon_sym_RBRACE,
    ACTIONS(27388), 1,
      anon_sym_SEMI,
    STATE(19191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836495] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(19192), 1,
      sym_attribute,
    STATE(20722), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836512] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27390), 1,
      anon_sym_RPAREN,
    ACTIONS(27392), 1,
      anon_sym_LT_DASH,
    STATE(19193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836529] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18523), 1,
      anon_sym_STAR,
    ACTIONS(27394), 1,
      anon_sym_DASH_GT,
    STATE(19194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836546] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27396), 1,
      anon_sym_RPAREN,
    ACTIONS(27398), 1,
      anon_sym_LT_DASH,
    STATE(19195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836563] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27400), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [836578] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27402), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [836593] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(19198), 1,
      sym_attribute,
    STATE(19358), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836610] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27404), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [836625] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27406), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [836640] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27408), 1,
      anon_sym_DOT,
    STATE(19201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836657] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22676), 1,
      anon_sym_EQ,
    ACTIONS(27410), 1,
      anon_sym_COLON_GT,
    STATE(19202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836674] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27412), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [836689] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11176), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(19204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836706] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      sym__left_quoted_string_delimiter,
    STATE(19205), 1,
      sym_attribute,
    STATE(21100), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836723] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11134), 1,
      anon_sym_RBRACK,
    ACTIONS(20316), 1,
      anon_sym_PIPE,
    STATE(19206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836740] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27414), 1,
      anon_sym_RPAREN,
    ACTIONS(27416), 1,
      anon_sym_SEMI,
    STATE(19207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836757] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27418), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [836772] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27420), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [836787] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27422), 1,
      anon_sym_RPAREN,
    ACTIONS(27424), 1,
      anon_sym_SEMI,
    STATE(19210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836804] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27426), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [836819] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27422), 1,
      anon_sym_RBRACK,
    ACTIONS(27428), 1,
      anon_sym_SEMI,
    STATE(19212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836836] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27422), 1,
      anon_sym_RBRACE,
    ACTIONS(27430), 1,
      anon_sym_SEMI,
    STATE(19213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836853] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27414), 1,
      anon_sym_RBRACK,
    ACTIONS(27432), 1,
      anon_sym_SEMI,
    STATE(19214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836870] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27434), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [836885] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27436), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [836900] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(19217), 1,
      sym_attribute,
    STATE(21119), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836917] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19580), 1,
      anon_sym_RBRACE,
    ACTIONS(27438), 1,
      anon_sym_SEMI,
    STATE(19218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836934] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27440), 1,
      anon_sym_COLON_GT,
    ACTIONS(27442), 1,
      anon_sym_RPAREN,
    STATE(19219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836951] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18110), 1,
      anon_sym_COLON2,
    STATE(19220), 1,
      sym_attribute,
    STATE(20375), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836968] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27444), 1,
      anon_sym_DOT,
    STATE(19221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836985] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    ACTIONS(27446), 1,
      sym__identifier,
    STATE(19222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837002] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27448), 1,
      anon_sym_RPAREN,
    ACTIONS(27450), 1,
      anon_sym_LT_DASH,
    STATE(19223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837019] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12659), 1,
      anon_sym_LPAREN,
    ACTIONS(27452), 1,
      anon_sym_DOT,
    STATE(19224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837036] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25714), 1,
      anon_sym_then,
    STATE(9444), 1,
      sym_then_clause,
    STATE(19225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837053] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_COLON2,
    STATE(19226), 1,
      sym_attribute,
    STATE(22042), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837070] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8727), 1,
      aux_sym_type_variable_token1,
    STATE(9356), 1,
      sym_type_variable,
    STATE(19227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837087] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27454), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [837102] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27456), 1,
      sym__identifier,
    ACTIONS(27458), 1,
      anon_sym_LPAREN,
    STATE(19229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837119] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27414), 1,
      anon_sym_RBRACE,
    ACTIONS(27460), 1,
      anon_sym_SEMI,
    STATE(19230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837136] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25650), 1,
      anon_sym_then,
    STATE(13293), 1,
      sym_then_clause,
    STATE(19231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837153] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    ACTIONS(27462), 1,
      sym__identifier,
    STATE(19232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837170] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27464), 1,
      anon_sym_RPAREN,
    STATE(19233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837184] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27466), 1,
      anon_sym_end,
    STATE(19234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837198] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27468), 1,
      anon_sym_RBRACK,
    STATE(19235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27470), 1,
      anon_sym_RBRACE,
    STATE(19236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27472), 1,
      anon_sym_LT_DASH,
    STATE(19237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837240] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27474), 1,
      anon_sym_in,
    STATE(19238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837254] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26912), 1,
      anon_sym_RBRACE,
    STATE(19239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27476), 1,
      anon_sym_RBRACK,
    STATE(19240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837282] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27478), 1,
      anon_sym_in,
    STATE(19241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27480), 1,
      anon_sym_DOT,
    STATE(19242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837310] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27482), 1,
      anon_sym_in,
    STATE(19243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837324] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27484), 1,
      anon_sym_RBRACE,
    STATE(19244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837338] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27486), 1,
      anon_sym_RPAREN,
    STATE(19245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837352] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27488), 1,
      anon_sym_RBRACE,
    STATE(19246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837366] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10031), 1,
      anon_sym_DASH_GT,
    STATE(19247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837380] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27490), 1,
      anon_sym_with,
    STATE(19248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837394] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18199), 1,
      anon_sym_RPAREN,
    STATE(19249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837408] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27492), 1,
      anon_sym_RPAREN,
    STATE(19250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837422] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27494), 1,
      anon_sym_with,
    STATE(19251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837436] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27496), 1,
      anon_sym_DOT,
    STATE(19252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837450] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27498), 1,
      sym__identifier,
    STATE(19253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837464] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27500), 1,
      anon_sym_RBRACE,
    STATE(19254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837478] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_RPAREN,
    STATE(19255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837492] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3741), 1,
      anon_sym_RPAREN,
    STATE(19256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837506] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27502), 1,
      anon_sym_RPAREN,
    STATE(19257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837520] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18469), 1,
      anon_sym_RPAREN,
    STATE(19258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837534] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9963), 1,
      anon_sym_DASH_GT,
    STATE(19259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837548] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27504), 1,
      anon_sym_DOT,
    STATE(19260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837562] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12879), 1,
      anon_sym_GT,
    STATE(19261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837576] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27506), 1,
      anon_sym_with,
    STATE(19262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837590] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27508), 1,
      anon_sym_in,
    STATE(19263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837604] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27510), 1,
      anon_sym_with,
    STATE(19264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837618] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27512), 1,
      anon_sym_RPAREN,
    STATE(19265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837632] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7871), 1,
      anon_sym_RPAREN,
    STATE(19266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837646] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27514), 1,
      anon_sym_RBRACK,
    STATE(19267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837660] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27516), 1,
      anon_sym_RBRACE,
    STATE(19268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837674] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27518), 1,
      anon_sym_DOT,
    STATE(19269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837688] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27520), 1,
      anon_sym_RPAREN,
    STATE(19270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837702] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27522), 1,
      anon_sym_end,
    STATE(19271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837716] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27524), 1,
      anon_sym_RBRACE,
    STATE(19272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837730] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18219), 1,
      anon_sym_RPAREN,
    STATE(19273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837744] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19902), 1,
      anon_sym_RPAREN,
    STATE(19274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837758] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27526), 1,
      anon_sym_RPAREN,
    STATE(19275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837772] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27528), 1,
      anon_sym_RBRACE,
    STATE(19276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837786] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19274), 1,
      anon_sym_GT,
    STATE(19277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837800] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27530), 1,
      anon_sym_RBRACK,
    STATE(19278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837814] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27532), 1,
      anon_sym_DASH_GT,
    STATE(19279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837828] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27534), 1,
      anon_sym_LT_DASH,
    STATE(19280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837842] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27536), 1,
      anon_sym_in,
    STATE(19281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837856] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27538), 1,
      anon_sym_DASH_GT,
    STATE(19282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837870] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27540), 1,
      anon_sym_in,
    STATE(19283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837884] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27542), 1,
      anon_sym_LT_DASH,
    STATE(19284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837898] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27544), 1,
      anon_sym_DASH_GT,
    STATE(19285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837912] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27546), 1,
      anon_sym_in,
    STATE(19286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837926] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27548), 1,
      anon_sym_RPAREN,
    STATE(19287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837940] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19248), 1,
      anon_sym_GT,
    STATE(19288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837954] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27550), 1,
      anon_sym_RPAREN,
    STATE(19289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837968] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27552), 1,
      anon_sym_RPAREN,
    STATE(19290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837982] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27552), 1,
      anon_sym_RBRACK,
    STATE(19291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837996] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27552), 1,
      anon_sym_RBRACE,
    STATE(19292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838010] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27554), 1,
      anon_sym_RBRACE,
    STATE(19293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838024] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3661), 1,
      anon_sym_RPAREN,
    STATE(19294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838038] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23260), 1,
      anon_sym_GT_RBRACE,
    STATE(19295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838052] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27556), 1,
      sym__capitalized_identifier,
    STATE(19296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838066] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27558), 1,
      anon_sym_GT,
    STATE(19297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838080] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27560), 1,
      anon_sym_RPAREN,
    STATE(19298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838094] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21728), 1,
      anon_sym_end,
    STATE(19299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838108] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27562), 1,
      anon_sym_in,
    STATE(19300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838122] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9957), 1,
      anon_sym_DASH_GT,
    STATE(19301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838136] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27564), 1,
      anon_sym_EQ,
    STATE(19302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838150] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27566), 1,
      anon_sym_RPAREN,
    STATE(19303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838164] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27568), 1,
      anon_sym_SQUOTE2,
    STATE(19304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838178] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27570), 1,
      anon_sym_DOT,
    STATE(19305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838192] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27572), 1,
      anon_sym_DQUOTE,
    STATE(19306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838206] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25528), 1,
      anon_sym_RPAREN,
    STATE(19307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838220] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27574), 1,
      anon_sym_RPAREN,
    STATE(19308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838234] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27576), 1,
      anon_sym_RPAREN,
    STATE(19309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838248] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19180), 1,
      anon_sym_GT,
    STATE(19310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838262] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27578), 1,
      anon_sym_with,
    STATE(19311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838276] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27580), 1,
      anon_sym_RBRACE,
    STATE(19312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838290] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27582), 1,
      anon_sym_RPAREN,
    STATE(19313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27584), 1,
      anon_sym_with,
    STATE(19314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838318] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27586), 1,
      anon_sym_DOT,
    STATE(19315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838332] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27588), 1,
      anon_sym_in,
    STATE(19316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838346] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27590), 1,
      anon_sym_RBRACE,
    STATE(19317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838360] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7891), 1,
      anon_sym_end,
    STATE(19318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838374] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27592), 1,
      anon_sym_RPAREN,
    STATE(19319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838388] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27594), 1,
      sym__identifier,
    STATE(19320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838402] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27596), 1,
      anon_sym_LT_DASH,
    STATE(19321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838416] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27598), 1,
      anon_sym_in,
    STATE(19322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838430] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27600), 1,
      anon_sym_in,
    STATE(19323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838444] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27308), 1,
      anon_sym_RPAREN,
    STATE(19324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838458] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27602), 1,
      anon_sym_with,
    STATE(19325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27604), 1,
      aux_sym_number_token1,
    STATE(19326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838486] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27606), 1,
      anon_sym_with,
    STATE(19327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838500] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27608), 1,
      anon_sym_in,
    STATE(19328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838514] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27610), 1,
      anon_sym_RPAREN,
    STATE(19329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838528] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27612), 1,
      anon_sym_RPAREN,
    STATE(19330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838542] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3723), 1,
      anon_sym_RPAREN,
    STATE(19331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838556] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27614), 1,
      anon_sym_DOT,
    STATE(19332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838570] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27616), 1,
      anon_sym_RBRACE,
    STATE(19333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838584] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27618), 1,
      anon_sym_RBRACK,
    STATE(19334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838598] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27620), 1,
      anon_sym_in,
    STATE(19335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838612] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27622), 1,
      anon_sym_RPAREN,
    STATE(19336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19938), 1,
      anon_sym_RPAREN,
    STATE(19337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838640] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27624), 1,
      anon_sym_RBRACK,
    STATE(19338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838654] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27626), 1,
      anon_sym_RBRACE,
    STATE(19339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838668] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27628), 1,
      anon_sym_DASH_GT,
    STATE(19340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838682] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27630), 1,
      anon_sym_DASH_GT,
    STATE(19341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838696] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23383), 1,
      anon_sym_GT_RBRACE,
    STATE(19342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838710] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27632), 1,
      anon_sym_RBRACE,
    STATE(19343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838724] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27634), 1,
      anon_sym_RBRACE,
    STATE(19344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838738] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27636), 1,
      anon_sym_in,
    STATE(19345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838752] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27638), 1,
      anon_sym_done,
    STATE(19346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838766] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21220), 1,
      anon_sym_end,
    STATE(19347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838780] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27640), 1,
      anon_sym_RPAREN,
    STATE(19348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838794] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27642), 1,
      anon_sym_DASH_GT,
    STATE(19349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838808] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27644), 1,
      anon_sym_LT_DASH,
    STATE(19350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838822] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9949), 1,
      anon_sym_DASH_GT,
    STATE(19351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838836] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27646), 1,
      anon_sym_RPAREN,
    STATE(19352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838850] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27648), 1,
      anon_sym_RPAREN,
    STATE(19353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838864] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27648), 1,
      anon_sym_RBRACK,
    STATE(19354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838878] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27648), 1,
      anon_sym_RBRACE,
    STATE(19355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838892] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27650), 1,
      anon_sym_in,
    STATE(19356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838906] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27652), 1,
      anon_sym_in,
    STATE(19357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838920] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27654), 1,
      anon_sym_RBRACE,
    STATE(19358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838934] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27656), 1,
      anon_sym_RPAREN,
    STATE(19359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838948] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27658), 1,
      anon_sym_RBRACK,
    STATE(19360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838962] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27660), 1,
      anon_sym_RBRACE,
    STATE(19361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838976] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27662), 1,
      anon_sym_in,
    STATE(19362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838990] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27664), 1,
      anon_sym_RPAREN,
    STATE(19363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839004] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27666), 1,
      anon_sym_RPAREN,
    STATE(19364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839018] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27668), 1,
      anon_sym_SQUOTE2,
    STATE(19365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839032] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27670), 1,
      anon_sym_DQUOTE,
    STATE(19366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839046] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27672), 1,
      anon_sym_DOT,
    STATE(19367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839060] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27674), 1,
      anon_sym_RBRACE,
    STATE(19368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839074] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27676), 1,
      anon_sym_RPAREN,
    STATE(19369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839088] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27678), 1,
      anon_sym_RPAREN,
    STATE(19370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839102] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10092), 1,
      anon_sym_DASH_GT,
    STATE(19371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839116] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27680), 1,
      anon_sym_RBRACK,
    STATE(19372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839130] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27682), 1,
      anon_sym_with,
    STATE(19373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839144] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27684), 1,
      anon_sym_DASH_GT,
    STATE(19374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839158] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27686), 1,
      anon_sym_RBRACE,
    STATE(19375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839172] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27688), 1,
      anon_sym_with,
    STATE(19376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839186] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27690), 1,
      anon_sym_DOT,
    STATE(19377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839200] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27692), 1,
      anon_sym_RBRACK,
    STATE(19378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839214] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27694), 1,
      anon_sym_RBRACK,
    STATE(19379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839228] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27696), 1,
      anon_sym_DASH_GT,
    STATE(19380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839242] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27698), 1,
      anon_sym_RPAREN,
    STATE(19381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839256] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27700), 1,
      sym__identifier,
    STATE(19382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839270] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27702), 1,
      anon_sym_RPAREN,
    STATE(19383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839284] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27704), 1,
      sym__identifier,
    STATE(19384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839298] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27706), 1,
      anon_sym_RBRACE,
    STATE(19385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839312] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27708), 1,
      anon_sym_RPAREN,
    STATE(19386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839326] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27710), 1,
      anon_sym_with,
    STATE(19387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839340] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27712), 1,
      anon_sym_RPAREN,
    STATE(19388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839354] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27714), 1,
      anon_sym_with,
    STATE(19389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839368] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27716), 1,
      anon_sym_RPAREN,
    STATE(19390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839382] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27718), 1,
      anon_sym_RPAREN,
    STATE(19391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839396] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27720), 1,
      anon_sym_end,
    STATE(19392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839410] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27722), 1,
      anon_sym_RBRACK,
    STATE(19393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839424] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27724), 1,
      anon_sym_DOT,
    STATE(19394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839438] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22400), 1,
      anon_sym_GT_RBRACE,
    STATE(19395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839452] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27726), 1,
      anon_sym_RBRACE,
    STATE(19396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839466] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21388), 1,
      anon_sym_end,
    STATE(19397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839480] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27728), 1,
      anon_sym_RPAREN,
    STATE(19398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839494] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19970), 1,
      anon_sym_RPAREN,
    STATE(19399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839508] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27730), 1,
      anon_sym_RBRACE,
    STATE(19400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839522] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27732), 1,
      anon_sym_SQUOTE2,
    STATE(19401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839536] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27734), 1,
      anon_sym_DQUOTE,
    STATE(19402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839550] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27736), 1,
      anon_sym_RPAREN,
    STATE(19403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839564] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27738), 1,
      anon_sym_LT_DASH,
    STATE(19404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839578] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10021), 1,
      anon_sym_DASH_GT,
    STATE(19405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839592] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18148), 1,
      anon_sym_RPAREN,
    STATE(19406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839606] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27740), 1,
      anon_sym_RPAREN,
    STATE(19407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839620] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10063), 1,
      anon_sym_DASH_GT,
    STATE(19408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839634] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27742), 1,
      sym__identifier,
    STATE(19409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839648] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27744), 1,
      sym__identifier,
    STATE(19410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839662] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27746), 1,
      anon_sym_end,
    STATE(19411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839676] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27748), 1,
      anon_sym_RPAREN,
    STATE(19412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839690] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27750), 1,
      anon_sym_end,
    STATE(19413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839704] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27752), 1,
      anon_sym_RPAREN,
    STATE(19414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839718] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27754), 1,
      anon_sym_RPAREN,
    STATE(19415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839732] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27754), 1,
      anon_sym_RBRACK,
    STATE(19416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839746] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27754), 1,
      anon_sym_RBRACE,
    STATE(19417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839760] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27756), 1,
      anon_sym_end,
    STATE(19418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839774] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27758), 1,
      anon_sym_RBRACK,
    STATE(19419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839788] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27760), 1,
      anon_sym_RBRACK,
    STATE(19420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839802] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27762), 1,
      anon_sym_RBRACK,
    STATE(19421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839816] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27764), 1,
      anon_sym_RPAREN,
    STATE(19422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839830] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27766), 1,
      anon_sym_RBRACK,
    STATE(19423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839844] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27768), 1,
      anon_sym_RBRACE,
    STATE(19424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839858] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27770), 1,
      anon_sym_end,
    STATE(19425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839872] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27772), 1,
      ts_builtin_sym_end,
    STATE(19426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839886] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27774), 1,
      anon_sym_RBRACK,
    STATE(19427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839900] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27776), 1,
      anon_sym_RBRACE,
    STATE(19428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839914] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27778), 1,
      anon_sym_RBRACE,
    STATE(19429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839928] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27780), 1,
      anon_sym_DOT,
    STATE(19430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839942] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27782), 1,
      anon_sym_DASH_GT,
    STATE(19431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839956] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27784), 1,
      anon_sym_RPAREN,
    STATE(19432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839970] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6529), 1,
      anon_sym_end,
    STATE(19433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839984] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_RPAREN,
    STATE(19434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839998] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27786), 1,
      anon_sym_in,
    STATE(19435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840012] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27788), 1,
      anon_sym_with,
    STATE(19436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840026] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27790), 1,
      anon_sym_RPAREN,
    STATE(19437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840040] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27792), 1,
      sym__identifier,
    STATE(19438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840054] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27794), 1,
      anon_sym_with,
    STATE(19439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840068] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27796), 1,
      anon_sym_DOT,
    STATE(19440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840082] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27798), 1,
      anon_sym_RBRACE,
    STATE(19441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840096] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27800), 1,
      anon_sym_RBRACE,
    STATE(19442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840110] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27802), 1,
      aux_sym_number_token1,
    STATE(19443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840124] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10098), 1,
      anon_sym_DASH_GT,
    STATE(19444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840138] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27804), 1,
      anon_sym_in,
    STATE(19445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840152] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27806), 1,
      anon_sym_RPAREN,
    STATE(19446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840166] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27808), 1,
      anon_sym_RBRACE,
    STATE(19447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840180] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27810), 1,
      anon_sym_RPAREN,
    STATE(19448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840194] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18415), 1,
      anon_sym_RPAREN,
    STATE(19449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840208] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27812), 1,
      anon_sym_with,
    STATE(19450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840222] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27814), 1,
      anon_sym_RBRACK,
    STATE(19451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840236] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27816), 1,
      anon_sym_with,
    STATE(19452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840250] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27818), 1,
      anon_sym_in,
    STATE(19453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840264] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27820), 1,
      anon_sym_RBRACE,
    STATE(19454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840278] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27822), 1,
      anon_sym_DASH_GT,
    STATE(19455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840292] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27824), 1,
      anon_sym_RPAREN,
    STATE(19456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840306] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27826), 1,
      anon_sym_DOT,
    STATE(19457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840320] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27828), 1,
      anon_sym_RPAREN,
    STATE(19458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840334] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12835), 1,
      anon_sym_GT,
    STATE(19459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840348] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12916), 1,
      anon_sym_GT,
    STATE(19460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840362] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27830), 1,
      anon_sym_RPAREN,
    STATE(19461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840376] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19982), 1,
      anon_sym_RPAREN,
    STATE(19462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840390] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27832), 1,
      anon_sym_RPAREN,
    STATE(19463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840404] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27834), 1,
      anon_sym_RBRACK,
    STATE(19464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840418] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27836), 1,
      anon_sym_RBRACE,
    STATE(19465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840432] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27838), 1,
      anon_sym_LT_DASH,
    STATE(19466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840446] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22204), 1,
      anon_sym_end,
    STATE(19467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840460] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27840), 1,
      anon_sym_LT_DASH,
    STATE(19468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840474] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27842), 1,
      anon_sym_RPAREN,
    STATE(19469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840488] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26386), 1,
      anon_sym_RBRACE,
    STATE(19470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840502] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27844), 1,
      anon_sym_in,
    STATE(19471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840516] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27846), 1,
      anon_sym_RPAREN,
    STATE(19472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840530] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27848), 1,
      anon_sym_in,
    STATE(19473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840544] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27850), 1,
      anon_sym_in,
    STATE(19474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840558] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27852), 1,
      anon_sym_in,
    STATE(19475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840572] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27854), 1,
      anon_sym_RPAREN,
    STATE(19476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840586] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27856), 1,
      anon_sym_RPAREN,
    STATE(19477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840600] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27858), 1,
      anon_sym_RPAREN,
    STATE(19478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840614] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27858), 1,
      anon_sym_RBRACK,
    STATE(19479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840628] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27858), 1,
      anon_sym_RBRACE,
    STATE(19480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840642] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27860), 1,
      anon_sym_RBRACE,
    STATE(19481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840656] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27862), 1,
      anon_sym_RPAREN,
    STATE(19482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840670] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10102), 1,
      anon_sym_DASH_GT,
    STATE(19483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840684] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27864), 1,
      anon_sym_RBRACK,
    STATE(19484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840698] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27866), 1,
      anon_sym_DASH_GT,
    STATE(19485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840712] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18120), 1,
      anon_sym_RPAREN,
    STATE(19486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840726] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27868), 1,
      anon_sym_DASH_GT,
    STATE(19487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840740] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27870), 1,
      anon_sym_RBRACE,
    STATE(19488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840754] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27872), 1,
      anon_sym_DOT,
    STATE(19489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840768] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27874), 1,
      anon_sym_RPAREN,
    STATE(19490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840782] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18379), 1,
      anon_sym_RPAREN,
    STATE(19491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840796] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27876), 1,
      anon_sym_RPAREN,
    STATE(19492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840810] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27878), 1,
      anon_sym_RPAREN,
    STATE(19493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840824] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27880), 1,
      anon_sym_with,
    STATE(19494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840838] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27882), 1,
      anon_sym_with,
    STATE(19495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840852] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27884), 1,
      anon_sym_DOT,
    STATE(19496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840866] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27886), 1,
      anon_sym_RPAREN,
    STATE(19497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840880] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19770), 1,
      anon_sym_DASH_GT,
    STATE(19498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840894] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27888), 1,
      anon_sym_RPAREN,
    STATE(19499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840908] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27890), 1,
      anon_sym_RPAREN,
    STATE(19500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840922] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27892), 1,
      anon_sym_RBRACK,
    STATE(19501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840936] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27894), 1,
      anon_sym_RBRACE,
    STATE(19502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840950] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27896), 1,
      anon_sym_RPAREN,
    STATE(19503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840964] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27898), 1,
      anon_sym_in,
    STATE(19504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840978] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27900), 1,
      anon_sym_GT,
    STATE(19505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840992] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27902), 1,
      anon_sym_with,
    STATE(19506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841006] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27904), 1,
      anon_sym_with,
    STATE(19507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841020] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27906), 1,
      anon_sym_RBRACE,
    STATE(19508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841034] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13080), 1,
      anon_sym_GT,
    STATE(19509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841048] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13020), 1,
      anon_sym_GT,
    STATE(19510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841062] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27908), 1,
      anon_sym_RPAREN,
    STATE(19511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841076] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27910), 1,
      anon_sym_DOT,
    STATE(19512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841090] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27912), 1,
      anon_sym_DASH_GT,
    STATE(19513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841104] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27914), 1,
      anon_sym_RPAREN,
    STATE(19514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841118] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27916), 1,
      anon_sym_RBRACK,
    STATE(19515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841132] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27918), 1,
      anon_sym_RBRACE,
    STATE(19516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841146] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19998), 1,
      anon_sym_RPAREN,
    STATE(19517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841160] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12988), 1,
      anon_sym_GT,
    STATE(19518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841174] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27920), 1,
      anon_sym_RPAREN,
    STATE(19519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841188] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27922), 1,
      anon_sym_DASH_GT,
    STATE(19520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841202] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27924), 1,
      anon_sym_GT,
    STATE(19521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841216] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3785), 1,
      anon_sym_RPAREN,
    STATE(19522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841230] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27926), 1,
      anon_sym_LT_DASH,
    STATE(19523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841244] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27928), 1,
      anon_sym_RPAREN,
    STATE(19524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26474), 1,
      anon_sym_RBRACE,
    STATE(19525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841272] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27930), 1,
      anon_sym_in,
    STATE(19526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841286] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27932), 1,
      anon_sym_RBRACE,
    STATE(19527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841300] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27934), 1,
      anon_sym_RPAREN,
    STATE(19528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841314] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27936), 1,
      anon_sym_RBRACE,
    STATE(19529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27938), 1,
      anon_sym_RPAREN,
    STATE(19530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841342] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18395), 1,
      anon_sym_RPAREN,
    STATE(19531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841356] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27940), 1,
      anon_sym_RPAREN,
    STATE(19532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841370] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27942), 1,
      anon_sym_RPAREN,
    STATE(19533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841384] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27942), 1,
      anon_sym_RBRACK,
    STATE(19534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841398] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27942), 1,
      anon_sym_RBRACE,
    STATE(19535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841412] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27944), 1,
      anon_sym_RPAREN,
    STATE(19536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841426] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27946), 1,
      anon_sym_RPAREN,
    STATE(19537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841440] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27948), 1,
      anon_sym_RBRACK,
    STATE(19538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27950), 1,
      anon_sym_RPAREN,
    STATE(19539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841468] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27952), 1,
      anon_sym_RPAREN,
    STATE(19540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841482] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27954), 1,
      anon_sym_in,
    STATE(19541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841496] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27956), 1,
      anon_sym_DOT,
    STATE(19542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841510] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27958), 1,
      anon_sym_end,
    STATE(19543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841524] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27960), 1,
      anon_sym_DOT,
    STATE(19544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27962), 1,
      sym__identifier,
    STATE(19545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841552] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27964), 1,
      anon_sym_DOT,
    STATE(19546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841566] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27966), 1,
      anon_sym_RBRACK,
    STATE(19547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841580] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27968), 1,
      anon_sym_RBRACE,
    STATE(19548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841594] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27970), 1,
      anon_sym_with,
    STATE(19549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841608] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27972), 1,
      anon_sym_with,
    STATE(19550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841622] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27974), 1,
      anon_sym_DOT,
    STATE(19551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841636] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27976), 1,
      anon_sym_GT,
    STATE(19552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841650] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27978), 1,
      anon_sym_RBRACK,
    STATE(19553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841664] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27980), 1,
      anon_sym_RBRACK,
    STATE(19554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841678] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27982), 1,
      anon_sym_LT_DASH,
    STATE(19555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841692] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27984), 1,
      anon_sym_in,
    STATE(19556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841706] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27986), 1,
      anon_sym_RBRACK,
    STATE(19557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841720] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27988), 1,
      anon_sym_RPAREN,
    STATE(19558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841734] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27990), 1,
      anon_sym_RBRACE,
    STATE(19559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841748] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27992), 1,
      anon_sym_RPAREN,
    STATE(19560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841762] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27994), 1,
      anon_sym_with,
    STATE(19561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841776] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27996), 1,
      anon_sym_with,
    STATE(19562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841790] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18189), 1,
      anon_sym_RPAREN,
    STATE(19563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841804] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27998), 1,
      anon_sym_in,
    STATE(19564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841818] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28000), 1,
      anon_sym_RBRACE,
    STATE(19565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841832] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28002), 1,
      anon_sym_RPAREN,
    STATE(19566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841846] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28004), 1,
      anon_sym_DOT,
    STATE(19567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841860] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28006), 1,
      anon_sym_DOT,
    STATE(19568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841874] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28008), 1,
      anon_sym_in,
    STATE(19569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841888] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28010), 1,
      anon_sym_RPAREN,
    STATE(19570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841902] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28012), 1,
      anon_sym_RPAREN,
    STATE(19571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841916] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19366), 1,
      anon_sym_RPAREN,
    STATE(19572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841930] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26516), 1,
      anon_sym_RBRACE,
    STATE(19573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841944] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19221), 1,
      anon_sym_GT,
    STATE(19574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841958] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28014), 1,
      anon_sym_in,
    STATE(19575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841972] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28016), 1,
      anon_sym_with,
    STATE(19576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841986] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28018), 1,
      anon_sym_RPAREN,
    STATE(19577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842000] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28020), 1,
      anon_sym_RPAREN,
    STATE(19578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842014] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28022), 1,
      anon_sym_with,
    STATE(19579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842028] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28024), 1,
      anon_sym_DOT,
    STATE(19580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842042] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28026), 1,
      anon_sym_RPAREN,
    STATE(19581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842056] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28028), 1,
      anon_sym_LT_DASH,
    STATE(19582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842070] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28030), 1,
      anon_sym_in,
    STATE(19583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842084] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28032), 1,
      anon_sym_in,
    STATE(19584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842098] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28034), 1,
      anon_sym_in,
    STATE(19585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842112] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28036), 1,
      anon_sym_in,
    STATE(19586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842126] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28038), 1,
      anon_sym_RPAREN,
    STATE(19587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28040), 1,
      anon_sym_RPAREN,
    STATE(19588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842154] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28040), 1,
      anon_sym_RBRACK,
    STATE(19589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842168] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28040), 1,
      anon_sym_RBRACE,
    STATE(19590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842182] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28042), 1,
      anon_sym_RPAREN,
    STATE(19591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842196] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28044), 1,
      anon_sym_LT_DASH,
    STATE(19592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842210] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28046), 1,
      anon_sym_in,
    STATE(19593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842224] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28048), 1,
      anon_sym_in,
    STATE(19594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842238] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28050), 1,
      anon_sym_RPAREN,
    STATE(19595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842252] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28052), 1,
      anon_sym_DASH_GT,
    STATE(19596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3747), 1,
      anon_sym_RPAREN,
    STATE(19597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842280] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3769), 1,
      anon_sym_RPAREN,
    STATE(19598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28054), 1,
      anon_sym_DOT,
    STATE(19599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842308] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28056), 1,
      anon_sym_in,
    STATE(19600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842322] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28058), 1,
      anon_sym_RPAREN,
    STATE(19601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842336] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28060), 1,
      anon_sym_RPAREN,
    STATE(19602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842350] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28062), 1,
      anon_sym_in,
    STATE(19603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842364] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28064), 1,
      anon_sym_with,
    STATE(19604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842378] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28066), 1,
      anon_sym_with,
    STATE(19605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842392] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28068), 1,
      anon_sym_DOT,
    STATE(19606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842406] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28070), 1,
      anon_sym_DASH_GT,
    STATE(19607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842420] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28072), 1,
      anon_sym_GT,
    STATE(19608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842434] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28074), 1,
      anon_sym_RBRACK,
    STATE(19609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842448] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28076), 1,
      anon_sym_RBRACE,
    STATE(19610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842462] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28078), 1,
      anon_sym_in,
    STATE(19611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842476] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28080), 1,
      anon_sym_RBRACE,
    STATE(19612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842490] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28082), 1,
      anon_sym_in,
    STATE(19613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842504] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28084), 1,
      anon_sym_RBRACE,
    STATE(19614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842518] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19352), 1,
      anon_sym_GT,
    STATE(19615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842532] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28086), 1,
      anon_sym_with,
    STATE(19616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842546] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28088), 1,
      anon_sym_with,
    STATE(19617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28090), 1,
      anon_sym_RPAREN,
    STATE(19618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842574] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3751), 1,
      anon_sym_RPAREN,
    STATE(19619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842588] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28092), 1,
      anon_sym_RBRACK,
    STATE(19620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842602] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28094), 1,
      anon_sym_RBRACE,
    STATE(19621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28096), 1,
      anon_sym_DOT,
    STATE(19622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28098), 1,
      anon_sym_RBRACE,
    STATE(19623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842644] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28100), 1,
      anon_sym_in,
    STATE(19624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842658] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28102), 1,
      anon_sym_in,
    STATE(19625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842672] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23647), 1,
      anon_sym_GT_RBRACE,
    STATE(19626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842686] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19408), 1,
      anon_sym_RPAREN,
    STATE(19627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842700] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28104), 1,
      anon_sym_RPAREN,
    STATE(19628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842714] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23401), 1,
      anon_sym_GT_RBRACE,
    STATE(19629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842728] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28106), 1,
      anon_sym_with,
    STATE(19630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842742] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28108), 1,
      sym__identifier,
    STATE(19631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842756] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28110), 1,
      anon_sym_with,
    STATE(19632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842770] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28112), 1,
      anon_sym_RBRACE,
    STATE(19633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842784] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28114), 1,
      anon_sym_RPAREN,
    STATE(19634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842798] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21772), 1,
      anon_sym_end,
    STATE(19635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842812] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28116), 1,
      anon_sym_GT,
    STATE(19636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842826] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28118), 1,
      anon_sym_SQUOTE2,
    STATE(19637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842840] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28120), 1,
      sym__identifier,
    STATE(19638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842854] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28122), 1,
      anon_sym_DQUOTE,
    STATE(19639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842868] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28124), 1,
      anon_sym_DOT,
    STATE(19640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842882] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3721), 1,
      anon_sym_RPAREN,
    STATE(19641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842896] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28126), 1,
      anon_sym_RPAREN,
    STATE(19642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842910] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28128), 1,
      anon_sym_RPAREN,
    STATE(19643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842924] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27464), 1,
      anon_sym_RBRACK,
    STATE(19644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842938] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27464), 1,
      anon_sym_RBRACE,
    STATE(19645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842952] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23641), 1,
      anon_sym_GT_RBRACE,
    STATE(19646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28130), 1,
      anon_sym_in,
    STATE(19647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842980] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28132), 1,
      anon_sym_RBRACK,
    STATE(19648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842994] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28134), 1,
      sym__identifier,
    STATE(19649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843008] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28136), 1,
      anon_sym_RBRACE,
    STATE(19650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843022] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21238), 1,
      anon_sym_end,
    STATE(19651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843036] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28138), 1,
      anon_sym_SQUOTE2,
    STATE(19652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843050] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28140), 1,
      anon_sym_SQUOTE2,
    STATE(19653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843064] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28142), 1,
      anon_sym_DOT,
    STATE(19654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843078] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28144), 1,
      anon_sym_RPAREN,
    STATE(19655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843092] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28146), 1,
      anon_sym_DQUOTE,
    STATE(19656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843106] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28148), 1,
      anon_sym_RPAREN,
    STATE(19657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843120] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28150), 1,
      anon_sym_RPAREN,
    STATE(19658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843134] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28152), 1,
      anon_sym_with,
    STATE(19659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843148] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28154), 1,
      anon_sym_with,
    STATE(19660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843162] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28156), 1,
      anon_sym_DOT,
    STATE(19661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843176] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28158), 1,
      sym__identifier,
    STATE(19662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843190] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28160), 1,
      anon_sym_RPAREN,
    STATE(19663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843204] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28162), 1,
      anon_sym_in,
    STATE(19664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843218] = 4,
    ACTIONS(797), 1,
      ts_builtin_sym_end,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843232] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28164), 1,
      anon_sym_RPAREN,
    STATE(19666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843246] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28166), 1,
      anon_sym_DOT,
    STATE(19667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9955), 1,
      anon_sym_DASH_GT,
    STATE(19668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843274] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28168), 1,
      anon_sym_DASH_GT,
    STATE(19669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843288] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28170), 1,
      anon_sym_RBRACE,
    STATE(19670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843302] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28172), 1,
      anon_sym_with,
    STATE(19671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843316] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28174), 1,
      anon_sym_with,
    STATE(19672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843330] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28176), 1,
      anon_sym_DASH_GT,
    STATE(19673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843344] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28178), 1,
      anon_sym_RPAREN,
    STATE(19674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843358] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28180), 1,
      anon_sym_RBRACE,
    STATE(19675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843372] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10110), 1,
      anon_sym_DASH_GT,
    STATE(19676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843386] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28182), 1,
      anon_sym_DOT,
    STATE(19677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843400] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28184), 1,
      anon_sym_RPAREN,
    STATE(19678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843414] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28186), 1,
      sym__identifier,
    STATE(19679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843428] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28188), 1,
      anon_sym_RBRACE,
    STATE(19680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843442] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28190), 1,
      anon_sym_DOT,
    STATE(19681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843456] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19420), 1,
      anon_sym_RPAREN,
    STATE(19682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28192), 1,
      anon_sym_DASH_GT,
    STATE(19683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843484] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19794), 1,
      anon_sym_RPAREN,
    STATE(19684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843498] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28194), 1,
      anon_sym_RBRACE,
    STATE(19685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843512] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28196), 1,
      anon_sym_RBRACK,
    STATE(19686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843526] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28198), 1,
      anon_sym_RBRACE,
    STATE(19687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843540] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_DASH_GT,
    STATE(19688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843554] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28200), 1,
      anon_sym_in,
    STATE(19689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843568] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28202), 1,
      anon_sym_end,
    STATE(19690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843582] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28204), 1,
      anon_sym_RBRACE,
    STATE(19691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843596] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28206), 1,
      anon_sym_RBRACK,
    STATE(19692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843610] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28208), 1,
      anon_sym_end,
    STATE(19693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843624] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28210), 1,
      anon_sym_RBRACE,
    STATE(19694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843638] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22518), 1,
      anon_sym_GT_RBRACE,
    STATE(19695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843652] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28212), 1,
      anon_sym_RPAREN,
    STATE(19696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843666] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28214), 1,
      anon_sym_RPAREN,
    STATE(19697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843680] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28216), 1,
      anon_sym_RPAREN,
    STATE(19698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843694] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28216), 1,
      anon_sym_RBRACK,
    STATE(19699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843708] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28216), 1,
      anon_sym_RBRACE,
    STATE(19700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843722] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13112), 1,
      anon_sym_GT,
    STATE(19701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843736] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28218), 1,
      anon_sym_RPAREN,
    STATE(19702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843750] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21138), 1,
      anon_sym_end,
    STATE(19703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28220), 1,
      anon_sym_done,
    STATE(19704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843778] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28222), 1,
      anon_sym_RPAREN,
    STATE(19705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843792] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18156), 1,
      anon_sym_RPAREN,
    STATE(19706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843806] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28224), 1,
      anon_sym_RBRACK,
    STATE(19707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843820] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28226), 1,
      anon_sym_RBRACE,
    STATE(19708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843834] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28228), 1,
      anon_sym_DOT,
    STATE(19709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843848] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28230), 1,
      anon_sym_RPAREN,
    STATE(19710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28232), 1,
      anon_sym_DASH_GT,
    STATE(19711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843876] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28234), 1,
      anon_sym_SQUOTE2,
    STATE(19712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28236), 1,
      anon_sym_end,
    STATE(19713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843904] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28238), 1,
      anon_sym_with,
    STATE(19714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843918] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28240), 1,
      anon_sym_with,
    STATE(19715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28242), 1,
      anon_sym_DOT,
    STATE(19716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843946] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28244), 1,
      anon_sym_RBRACK,
    STATE(19717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843960] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28246), 1,
      anon_sym_RBRACK,
    STATE(19718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843974] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28248), 1,
      anon_sym_RBRACE,
    STATE(19719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843988] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28250), 1,
      anon_sym_RBRACE,
    STATE(19720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844002] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28252), 1,
      anon_sym_DASH_GT,
    STATE(19721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844016] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28254), 1,
      anon_sym_RPAREN,
    STATE(19722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844030] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28256), 1,
      anon_sym_with,
    STATE(19723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28258), 1,
      anon_sym_with,
    STATE(19724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844058] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28260), 1,
      anon_sym_DQUOTE,
    STATE(19725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844072] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28262), 1,
      anon_sym_RPAREN,
    STATE(19726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844086] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28264), 1,
      anon_sym_RPAREN,
    STATE(19727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844100] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28266), 1,
      anon_sym_RPAREN,
    STATE(19728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844114] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28268), 1,
      anon_sym_DOT,
    STATE(19729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844128] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25224), 1,
      anon_sym_RBRACE,
    STATE(19730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844142] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18187), 1,
      anon_sym_RPAREN,
    STATE(19731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844156] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28270), 1,
      anon_sym_RPAREN,
    STATE(19732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844170] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28272), 1,
      anon_sym_RBRACE,
    STATE(19733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844184] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19432), 1,
      anon_sym_RPAREN,
    STATE(19734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844198] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28274), 1,
      anon_sym_RPAREN,
    STATE(19735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28276), 1,
      anon_sym_RPAREN,
    STATE(19736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28274), 1,
      anon_sym_RBRACK,
    STATE(19737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844240] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28278), 1,
      anon_sym_RBRACK,
    STATE(19738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844254] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28280), 1,
      anon_sym_RBRACE,
    STATE(19739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28274), 1,
      anon_sym_RBRACE,
    STATE(19740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844282] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28282), 1,
      anon_sym_RPAREN,
    STATE(19741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28284), 1,
      anon_sym_RPAREN,
    STATE(19742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844310] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28284), 1,
      anon_sym_RBRACK,
    STATE(19743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844324] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28284), 1,
      anon_sym_RBRACE,
    STATE(19744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844338] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28286), 1,
      anon_sym_DASH_GT,
    STATE(19745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844352] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28288), 1,
      anon_sym_RPAREN,
    STATE(19746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844366] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28290), 1,
      anon_sym_DASH_GT,
    STATE(19747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844380] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28292), 1,
      sym__identifier,
    STATE(19748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844394] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28294), 1,
      anon_sym_RBRACE,
    STATE(19749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844408] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28296), 1,
      anon_sym_RPAREN,
    STATE(19750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844422] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28298), 1,
      anon_sym_DOT,
    STATE(19751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844436] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8701), 1,
      anon_sym_RBRACK,
    STATE(19752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844450] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28300), 1,
      anon_sym_RBRACE,
    STATE(19753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844464] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23725), 1,
      anon_sym_GT_RBRACE,
    STATE(19754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844478] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28302), 1,
      anon_sym_DASH_GT,
    STATE(19755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844492] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28304), 1,
      anon_sym_with,
    STATE(19756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844506] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28306), 1,
      anon_sym_with,
    STATE(19757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844520] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28308), 1,
      anon_sym_DOT,
    STATE(19758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844534] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10015), 1,
      anon_sym_DASH_GT,
    STATE(19759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844548] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28310), 1,
      anon_sym_DASH_GT,
    STATE(19760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844562] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21244), 1,
      anon_sym_end,
    STATE(19761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844576] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28312), 1,
      anon_sym_LT_DASH,
    STATE(19762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844590] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28314), 1,
      anon_sym_DQUOTE,
    STATE(19763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844604] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28316), 1,
      anon_sym_RPAREN,
    STATE(19764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844618] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28318), 1,
      anon_sym_with,
    STATE(19765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844632] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28320), 1,
      anon_sym_with,
    STATE(19766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844646] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28322), 1,
      anon_sym_SQUOTE2,
    STATE(19767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844660] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28324), 1,
      anon_sym_RPAREN,
    STATE(19768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844674] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28326), 1,
      anon_sym_RBRACK,
    STATE(19769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844688] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21084), 1,
      anon_sym_end,
    STATE(19770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844702] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28328), 1,
      anon_sym_DOT,
    STATE(19771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844716] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28330), 1,
      anon_sym_RBRACE,
    STATE(19772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844730] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28332), 1,
      anon_sym_RPAREN,
    STATE(19773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844744] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28334), 1,
      anon_sym_RPAREN,
    STATE(19774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844758] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28336), 1,
      anon_sym_RBRACE,
    STATE(19775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844772] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19444), 1,
      anon_sym_RPAREN,
    STATE(19776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844786] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28338), 1,
      anon_sym_RPAREN,
    STATE(19777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844800] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28340), 1,
      anon_sym_RBRACK,
    STATE(19778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844814] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28342), 1,
      anon_sym_RBRACE,
    STATE(19779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844828] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7881), 1,
      anon_sym_end,
    STATE(19780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844842] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13046), 1,
      anon_sym_GT,
    STATE(19781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844856] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28344), 1,
      anon_sym_RPAREN,
    STATE(19782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844870] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28346), 1,
      anon_sym_RPAREN,
    STATE(19783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844884] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28346), 1,
      anon_sym_RBRACK,
    STATE(19784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844898] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28346), 1,
      anon_sym_RBRACE,
    STATE(19785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844912] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28348), 1,
      aux_sym_number_token1,
    STATE(19786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844926] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28350), 1,
      anon_sym_in,
    STATE(19787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844940] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28352), 1,
      anon_sym_in,
    STATE(19788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844954] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28354), 1,
      anon_sym_in,
    STATE(19789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844968] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28356), 1,
      anon_sym_RPAREN,
    STATE(19790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844982] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28358), 1,
      anon_sym_RPAREN,
    STATE(19791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844996] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28360), 1,
      anon_sym_DOT,
    STATE(19792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845010] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28362), 1,
      anon_sym_RPAREN,
    STATE(19793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845024] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18112), 1,
      anon_sym_RPAREN,
    STATE(19794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845038] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28364), 1,
      anon_sym_RPAREN,
    STATE(19795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845052] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28366), 1,
      anon_sym_RBRACE,
    STATE(19796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845066] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28368), 1,
      anon_sym_with,
    STATE(19797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845080] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28370), 1,
      anon_sym_with,
    STATE(19798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845094] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28372), 1,
      anon_sym_DOT,
    STATE(19799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845108] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3685), 1,
      anon_sym_RPAREN,
    STATE(19800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845122] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28374), 1,
      anon_sym_RPAREN,
    STATE(19801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845136] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28376), 1,
      anon_sym_RPAREN,
    STATE(19802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845150] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28378), 1,
      anon_sym_RPAREN,
    STATE(19803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845164] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28380), 1,
      anon_sym_RBRACK,
    STATE(19804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845178] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28382), 1,
      anon_sym_RPAREN,
    STATE(19805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845192] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28384), 1,
      anon_sym_with,
    STATE(19806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845206] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28386), 1,
      anon_sym_with,
    STATE(19807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845220] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28388), 1,
      anon_sym_GT,
    STATE(19808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845234] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28390), 1,
      anon_sym_DQUOTE,
    STATE(19809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845248] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28392), 1,
      anon_sym_in,
    STATE(19810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845262] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28394), 1,
      anon_sym_RPAREN,
    STATE(19811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845276] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28396), 1,
      anon_sym_DOT,
    STATE(19812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845290] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28398), 1,
      anon_sym_DASH_GT,
    STATE(19813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10045), 1,
      anon_sym_DASH_GT,
    STATE(19814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845318] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22510), 1,
      anon_sym_GT_RBRACE,
    STATE(19815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845332] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28400), 1,
      anon_sym_DOT,
    STATE(19816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845346] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19454), 1,
      anon_sym_RPAREN,
    STATE(19817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845360] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28402), 1,
      anon_sym_DASH_GT,
    STATE(19818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845374] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28404), 1,
      anon_sym_RBRACK,
    STATE(19819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845388] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28406), 1,
      anon_sym_EQ,
    STATE(19820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845402] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28408), 1,
      anon_sym_RPAREN,
    STATE(19821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845416] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28410), 1,
      anon_sym_RBRACE,
    STATE(19822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845430] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28412), 1,
      anon_sym_RPAREN,
    STATE(19823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845444] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28414), 1,
      anon_sym_RPAREN,
    STATE(19824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845458] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28414), 1,
      anon_sym_RBRACK,
    STATE(19825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28414), 1,
      anon_sym_RBRACE,
    STATE(19826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845486] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28416), 1,
      anon_sym_RBRACE,
    STATE(19827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845500] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21362), 1,
      anon_sym_end,
    STATE(19828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845514] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28418), 1,
      anon_sym_RBRACK,
    STATE(19829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845528] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28420), 1,
      anon_sym_RPAREN,
    STATE(19830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845542] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9969), 1,
      anon_sym_DASH_GT,
    STATE(19831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845556] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28422), 1,
      anon_sym_RBRACE,
    STATE(19832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845570] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28424), 1,
      anon_sym_DOT,
    STATE(19833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845584] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28426), 1,
      anon_sym_RPAREN,
    STATE(19834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845598] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28428), 1,
      sym__identifier,
    STATE(19835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845612] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28430), 1,
      anon_sym_RBRACE,
    STATE(19836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28432), 1,
      anon_sym_done,
    STATE(19837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845640] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28434), 1,
      anon_sym_with,
    STATE(19838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845654] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28436), 1,
      anon_sym_with,
    STATE(19839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845668] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28438), 1,
      anon_sym_DOT,
    STATE(19840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845682] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28440), 1,
      anon_sym_RPAREN,
    STATE(19841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845696] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28442), 1,
      anon_sym_GT,
    STATE(19842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845710] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28444), 1,
      anon_sym_SQUOTE2,
    STATE(19843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845724] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28446), 1,
      anon_sym_LT_DASH,
    STATE(19844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845738] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28448), 1,
      anon_sym_in,
    STATE(19845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845752] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28450), 1,
      anon_sym_in,
    STATE(19846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845766] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28452), 1,
      anon_sym_with,
    STATE(19847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845780] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28454), 1,
      anon_sym_with,
    STATE(19848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845794] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28456), 1,
      anon_sym_RPAREN,
    STATE(19849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845808] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28458), 1,
      anon_sym_RBRACE,
    STATE(19850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845822] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28460), 1,
      anon_sym_in,
    STATE(19851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845836] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28462), 1,
      anon_sym_RPAREN,
    STATE(19852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845850] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28464), 1,
      anon_sym_DOT,
    STATE(19853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845864] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28466), 1,
      anon_sym_RBRACK,
    STATE(19854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845878] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28468), 1,
      anon_sym_RPAREN,
    STATE(19855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845892] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28470), 1,
      anon_sym_RPAREN,
    STATE(19856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845906] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23491), 1,
      anon_sym_GT_RBRACE,
    STATE(19857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845920] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19472), 1,
      anon_sym_RPAREN,
    STATE(19858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845934] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28472), 1,
      anon_sym_DQUOTE,
    STATE(19859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845948] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11687), 1,
      anon_sym_COLON_COLON,
    STATE(19860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845962] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28474), 1,
      anon_sym_SQUOTE2,
    STATE(19861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845976] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21800), 1,
      anon_sym_end,
    STATE(19862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845990] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28476), 1,
      anon_sym_RPAREN,
    STATE(19863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846004] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28478), 1,
      anon_sym_RPAREN,
    STATE(19864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846018] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28480), 1,
      anon_sym_RPAREN,
    STATE(19865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846032] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28480), 1,
      anon_sym_RBRACK,
    STATE(19866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846046] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28480), 1,
      anon_sym_RBRACE,
    STATE(19867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846060] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28482), 1,
      anon_sym_SQUOTE2,
    STATE(19868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846074] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28484), 1,
      anon_sym_DQUOTE,
    STATE(19869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846088] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18401), 1,
      anon_sym_RPAREN,
    STATE(19870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846102] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28486), 1,
      anon_sym_RPAREN,
    STATE(19871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846116] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28488), 1,
      anon_sym_DQUOTE,
    STATE(19872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846130] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28490), 1,
      anon_sym_end,
    STATE(19873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846144] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28492), 1,
      anon_sym_DOT,
    STATE(19874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846158] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28494), 1,
      anon_sym_in,
    STATE(19875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846172] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28496), 1,
      anon_sym_PLUS_EQ,
    STATE(19876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846186] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28498), 1,
      sym__identifier,
    STATE(19877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846200] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28500), 1,
      anon_sym_in,
    STATE(19878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846214] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28502), 1,
      anon_sym_with,
    STATE(19879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846228] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28504), 1,
      anon_sym_with,
    STATE(19880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846242] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28506), 1,
      anon_sym_DOT,
    STATE(19881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846256] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28508), 1,
      sym__identifier,
    STATE(19882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846270] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28510), 1,
      anon_sym_LT_DASH,
    STATE(19883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846284] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28512), 1,
      anon_sym_in,
    STATE(19884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846298] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28514), 1,
      anon_sym_in,
    STATE(19885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846312] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28516), 1,
      anon_sym_RBRACE,
    STATE(19886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846326] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28518), 1,
      anon_sym_in,
    STATE(19887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846340] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28520), 1,
      anon_sym_with,
    STATE(19888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846354] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28522), 1,
      anon_sym_with,
    STATE(19889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846368] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28524), 1,
      anon_sym_RPAREN,
    STATE(19890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846382] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12855), 1,
      anon_sym_GT,
    STATE(19891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846396] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28526), 1,
      anon_sym_DOT,
    STATE(19892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846410] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28528), 1,
      anon_sym_PLUS_EQ,
    STATE(19893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846424] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28530), 1,
      anon_sym_DOT,
    STATE(19894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846438] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28532), 1,
      anon_sym_RPAREN,
    STATE(19895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846452] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28534), 1,
      anon_sym_RBRACK,
    STATE(19896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846466] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28536), 1,
      anon_sym_RPAREN,
    STATE(19897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846480] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28538), 1,
      anon_sym_RBRACE,
    STATE(19898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846494] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19518), 1,
      anon_sym_RPAREN,
    STATE(19899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846508] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19158), 1,
      anon_sym_GT,
    STATE(19900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846522] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28540), 1,
      anon_sym_in,
    STATE(19901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846536] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28542), 1,
      anon_sym_in,
    STATE(19902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846550] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28544), 1,
      anon_sym_end,
    STATE(19903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846564] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28546), 1,
      anon_sym_in,
    STATE(19904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846578] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28548), 1,
      anon_sym_RPAREN,
    STATE(19905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846592] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28550), 1,
      anon_sym_RPAREN,
    STATE(19906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846606] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28550), 1,
      anon_sym_RBRACK,
    STATE(19907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846620] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28550), 1,
      anon_sym_RBRACE,
    STATE(19908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846634] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23511), 1,
      anon_sym_GT_RBRACE,
    STATE(19909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846648] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28552), 1,
      anon_sym_in,
    STATE(19910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846662] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28554), 1,
      anon_sym_RPAREN,
    STATE(19911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846676] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21809), 1,
      anon_sym_end,
    STATE(19912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846690] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28556), 1,
      anon_sym_RPAREN,
    STATE(19913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846704] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28558), 1,
      anon_sym_RBRACE,
    STATE(19914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846718] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28560), 1,
      anon_sym_DOT,
    STATE(19915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846732] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28562), 1,
      anon_sym_SQUOTE2,
    STATE(19916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846746] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28564), 1,
      anon_sym_RBRACE,
    STATE(19917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846760] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28566), 1,
      anon_sym_RBRACE,
    STATE(19918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846774] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28568), 1,
      anon_sym_RBRACK,
    STATE(19919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846788] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28570), 1,
      anon_sym_with,
    STATE(19920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846802] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28572), 1,
      anon_sym_with,
    STATE(19921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846816] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28574), 1,
      anon_sym_DOT,
    STATE(19922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846830] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28576), 1,
      anon_sym_DASH_GT,
    STATE(19923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846844] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3779), 1,
      anon_sym_RPAREN,
    STATE(19924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846858] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28578), 1,
      anon_sym_DQUOTE,
    STATE(19925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846872] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28580), 1,
      anon_sym_RPAREN,
    STATE(19926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846886] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18499), 1,
      anon_sym_RPAREN,
    STATE(19927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846900] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28582), 1,
      sym__identifier,
    STATE(19928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846914] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28584), 1,
      anon_sym_with,
    STATE(19929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846928] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28586), 1,
      anon_sym_with,
    STATE(19930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846942] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28588), 1,
      anon_sym_RPAREN,
    STATE(19931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846956] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28590), 1,
      anon_sym_in,
    STATE(19932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846970] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22550), 1,
      anon_sym_GT_RBRACE,
    STATE(19933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846984] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28592), 1,
      anon_sym_end,
    STATE(19934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846998] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28594), 1,
      anon_sym_DOT,
    STATE(19935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847012] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21449), 1,
      anon_sym_end,
    STATE(19936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847026] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28596), 1,
      anon_sym_DASH_GT,
    STATE(19937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847040] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28598), 1,
      anon_sym_SQUOTE2,
    STATE(19938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847054] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28600), 1,
      anon_sym_DQUOTE,
    STATE(19939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847068] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19528), 1,
      anon_sym_RPAREN,
    STATE(19940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847082] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28602), 1,
      anon_sym_RBRACK,
    STATE(19941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847096] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28604), 1,
      anon_sym_RBRACE,
    STATE(19942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847110] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28606), 1,
      anon_sym_GT,
    STATE(19943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847124] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28608), 1,
      anon_sym_RBRACK,
    STATE(19944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847138] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28610), 1,
      anon_sym_with,
    STATE(19945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847152] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28612), 1,
      anon_sym_RPAREN,
    STATE(19946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847166] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28614), 1,
      anon_sym_RPAREN,
    STATE(19947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847180] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28614), 1,
      anon_sym_RBRACK,
    STATE(19948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847194] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28614), 1,
      anon_sym_RBRACE,
    STATE(19949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847208] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28616), 1,
      anon_sym_RBRACE,
    STATE(19950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847222] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16840), 1,
      anon_sym_DASH_GT,
    STATE(19951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847236] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28618), 1,
      sym__identifier,
    STATE(19952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847250] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28620), 1,
      anon_sym_RPAREN,
    STATE(19953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847264] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13132), 1,
      anon_sym_GT,
    STATE(19954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847278] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28622), 1,
      anon_sym_RPAREN,
    STATE(19955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847292] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28624), 1,
      anon_sym_DOT,
    STATE(19956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847306] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10041), 1,
      anon_sym_DASH_GT,
    STATE(19957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847320] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28626), 1,
      anon_sym_RBRACK,
    STATE(19958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847334] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28628), 1,
      anon_sym_RPAREN,
    STATE(19959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847348] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9961), 1,
      anon_sym_DASH_GT,
    STATE(19960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847362] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28630), 1,
      anon_sym_with,
    STATE(19961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847376] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28632), 1,
      anon_sym_with,
    STATE(19962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847390] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28634), 1,
      anon_sym_DOT,
    STATE(19963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847404] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23557), 1,
      anon_sym_GT_RBRACE,
    STATE(19964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847418] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28636), 1,
      anon_sym_DOT,
    STATE(19965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847432] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28638), 1,
      anon_sym_RBRACE,
    STATE(19966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847446] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28640), 1,
      anon_sym_DOT,
    STATE(19967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847460] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28642), 1,
      sym__identifier,
    STATE(19968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847474] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28644), 1,
      anon_sym_RPAREN,
    STATE(19969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847488] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28646), 1,
      anon_sym_with,
    STATE(19970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847502] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28648), 1,
      anon_sym_with,
    STATE(19971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847516] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28650), 1,
      anon_sym_RBRACE,
    STATE(19972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847530] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28652), 1,
      anon_sym_RBRACK,
    STATE(19973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847544] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28654), 1,
      anon_sym_DASH_GT,
    STATE(19974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847558] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28656), 1,
      anon_sym_RBRACE,
    STATE(19975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847572] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28658), 1,
      anon_sym_DOT,
    STATE(19976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847586] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23976), 1,
      anon_sym_GT_RBRACE,
    STATE(19977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847600] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28660), 1,
      anon_sym_DASH_GT,
    STATE(19978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847614] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21256), 1,
      anon_sym_end,
    STATE(19979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847628] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10152), 1,
      anon_sym_DASH_GT,
    STATE(19980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847642] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19542), 1,
      anon_sym_RPAREN,
    STATE(19981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847656] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28662), 1,
      sym__identifier,
    STATE(19982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847670] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28664), 1,
      anon_sym_SQUOTE2,
    STATE(19983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847684] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28666), 1,
      anon_sym_RPAREN,
    STATE(19984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847698] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28668), 1,
      anon_sym_DASH_GT,
    STATE(19985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847712] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28670), 1,
      sym__identifier,
    STATE(19986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847726] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28672), 1,
      anon_sym_RPAREN,
    STATE(19987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847740] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28674), 1,
      anon_sym_RPAREN,
    STATE(19988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847754] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28674), 1,
      anon_sym_RBRACK,
    STATE(19989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847768] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28674), 1,
      anon_sym_RBRACE,
    STATE(19990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847782] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28676), 1,
      anon_sym_DOT,
    STATE(19991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847796] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28678), 1,
      anon_sym_DQUOTE,
    STATE(19992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847810] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28680), 1,
      anon_sym_end,
    STATE(19993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847824] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28682), 1,
      anon_sym_RBRACK,
    STATE(19994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847838] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10114), 1,
      anon_sym_DASH_GT,
    STATE(19995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847852] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28684), 1,
      anon_sym_RBRACE,
    STATE(19996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847866] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28686), 1,
      anon_sym_DOT,
    STATE(19997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847880] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28688), 1,
      anon_sym_RPAREN,
    STATE(19998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847894] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28690), 1,
      anon_sym_with,
    STATE(19999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847908] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28692), 1,
      anon_sym_DASH_GT,
    STATE(20000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847922] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28694), 1,
      anon_sym_RBRACK,
    STATE(20001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847936] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28696), 1,
      anon_sym_with,
    STATE(20002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847950] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28698), 1,
      anon_sym_with,
    STATE(20003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847964] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28700), 1,
      anon_sym_DOT,
    STATE(20004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847978] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28702), 1,
      anon_sym_RPAREN,
    STATE(20005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847992] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28704), 1,
      sym__identifier,
    STATE(20006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848006] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18176), 1,
      anon_sym_RPAREN,
    STATE(20007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848020] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28706), 1,
      anon_sym_with,
    STATE(20008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848034] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28708), 1,
      anon_sym_DOT,
    STATE(20009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848048] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18385), 1,
      anon_sym_RPAREN,
    STATE(20010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848062] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28710), 1,
      anon_sym_with,
    STATE(20011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848076] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28712), 1,
      anon_sym_with,
    STATE(20012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848090] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28714), 1,
      anon_sym_DASH_GT,
    STATE(20013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848104] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28716), 1,
      anon_sym_RBRACE,
    STATE(20014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848118] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28718), 1,
      anon_sym_end,
    STATE(20015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848132] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28720), 1,
      anon_sym_RBRACK,
    STATE(20016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848146] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28722), 1,
      anon_sym_DOT,
    STATE(20017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848160] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28724), 1,
      anon_sym_DASH_GT,
    STATE(20018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848174] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28726), 1,
      anon_sym_RPAREN,
    STATE(20019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848188] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28728), 1,
      anon_sym_RBRACK,
    STATE(20020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848202] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28730), 1,
      anon_sym_RBRACE,
    STATE(20021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848216] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19546), 1,
      anon_sym_RPAREN,
    STATE(20022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848230] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28732), 1,
      anon_sym_RPAREN,
    STATE(20023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848244] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28734), 1,
      anon_sym_RBRACE,
    STATE(20024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28736), 1,
      anon_sym_DASH_GT,
    STATE(20025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848272] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28738), 1,
      anon_sym_RPAREN,
    STATE(20026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848286] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28740), 1,
      anon_sym_DASH_GT,
    STATE(20027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848300] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28742), 1,
      anon_sym_RPAREN,
    STATE(20028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848314] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28744), 1,
      anon_sym_RPAREN,
    STATE(20029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28744), 1,
      anon_sym_RBRACK,
    STATE(20030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848342] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28744), 1,
      anon_sym_RBRACE,
    STATE(20031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848356] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28746), 1,
      anon_sym_RPAREN,
    STATE(20032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848370] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28748), 1,
      anon_sym_RPAREN,
    STATE(20033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848384] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10073), 1,
      anon_sym_DASH_GT,
    STATE(20034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848398] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28750), 1,
      anon_sym_DASH_GT,
    STATE(20035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848412] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28752), 1,
      anon_sym_RBRACK,
    STATE(20036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848426] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28754), 1,
      anon_sym_RPAREN,
    STATE(20037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848440] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28756), 1,
      anon_sym_DOT,
    STATE(20038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28758), 1,
      anon_sym_RPAREN,
    STATE(20039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848468] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28760), 1,
      anon_sym_end,
    STATE(20040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848482] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28762), 1,
      anon_sym_end,
    STATE(20041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848496] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28764), 1,
      anon_sym_RBRACK,
    STATE(20042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848510] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28766), 1,
      anon_sym_with,
    STATE(20043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848524] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28768), 1,
      anon_sym_with,
    STATE(20044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28770), 1,
      anon_sym_DOT,
    STATE(20045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848552] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28772), 1,
      anon_sym_RBRACE,
    STATE(20046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848566] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28774), 1,
      sym__identifier,
    STATE(20047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848580] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28776), 1,
      anon_sym_RBRACK,
    STATE(20048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848594] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28778), 1,
      anon_sym_RBRACE,
    STATE(20049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848608] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28780), 1,
      anon_sym_RPAREN,
    STATE(20050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848622] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28782), 1,
      anon_sym_RBRACK,
    STATE(20051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848636] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28784), 1,
      anon_sym_with,
    STATE(20052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848650] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28786), 1,
      anon_sym_with,
    STATE(20053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848664] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18271), 1,
      anon_sym_RPAREN,
    STATE(20054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848678] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7861), 1,
      anon_sym_RPAREN,
    STATE(20055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848692] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28788), 1,
      anon_sym_RBRACE,
    STATE(20056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848706] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19344), 1,
      anon_sym_GT,
    STATE(20057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848720] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28790), 1,
      anon_sym_DOT,
    STATE(20058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848734] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28792), 1,
      anon_sym_in,
    STATE(20059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848748] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28794), 1,
      anon_sym_DOT,
    STATE(20060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848762] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28796), 1,
      anon_sym_with,
    STATE(20061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848776] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18285), 1,
      anon_sym_RPAREN,
    STATE(20062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848790] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19554), 1,
      anon_sym_RPAREN,
    STATE(20063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848804] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28798), 1,
      anon_sym_RPAREN,
    STATE(20064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848818] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10116), 1,
      anon_sym_DASH_GT,
    STATE(20065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848832] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28800), 1,
      anon_sym_with,
    STATE(20066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848846] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28802), 1,
      anon_sym_end,
    STATE(20067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848860] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28804), 1,
      anon_sym_RPAREN,
    STATE(20068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848874] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28806), 1,
      anon_sym_RPAREN,
    STATE(20069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848888] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28808), 1,
      anon_sym_RPAREN,
    STATE(20070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848902] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28808), 1,
      anon_sym_RBRACK,
    STATE(20071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848916] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28808), 1,
      anon_sym_RBRACE,
    STATE(20072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848930] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28810), 1,
      anon_sym_RBRACK,
    STATE(20073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848944] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28812), 1,
      anon_sym_RBRACE,
    STATE(20074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848958] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28814), 1,
      anon_sym_RBRACE,
    STATE(20075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848972] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28816), 1,
      anon_sym_DOT,
    STATE(20076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848986] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28818), 1,
      anon_sym_DOT,
    STATE(20077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849000] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21776), 1,
      anon_sym_end,
    STATE(20078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849014] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28820), 1,
      anon_sym_DOT,
    STATE(20079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849028] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18365), 1,
      anon_sym_RPAREN,
    STATE(20080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849042] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28822), 1,
      anon_sym_DOT,
    STATE(20081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849056] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28824), 1,
      anon_sym_RPAREN,
    STATE(20082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849070] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28826), 1,
      anon_sym_RPAREN,
    STATE(20083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849084] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28828), 1,
      anon_sym_with,
    STATE(20084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849098] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28830), 1,
      anon_sym_with,
    STATE(20085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849112] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28832), 1,
      anon_sym_DOT,
    STATE(20086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849126] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28834), 1,
      anon_sym_RBRACK,
    STATE(20087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28836), 1,
      anon_sym_LT_DASH,
    STATE(20088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849154] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28838), 1,
      anon_sym_RBRACE,
    STATE(20089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849168] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28840), 1,
      anon_sym_RPAREN,
    STATE(20090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849182] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18191), 1,
      anon_sym_RPAREN,
    STATE(20091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849196] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28842), 1,
      anon_sym_RPAREN,
    STATE(20092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849210] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28844), 1,
      anon_sym_with,
    STATE(20093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849224] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28846), 1,
      anon_sym_with,
    STATE(20094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849238] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28848), 1,
      anon_sym_LT_DASH,
    STATE(20095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849252] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28850), 1,
      anon_sym_in,
    STATE(20096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28852), 1,
      anon_sym_DASH_GT,
    STATE(20097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849280] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28854), 1,
      anon_sym_RBRACK,
    STATE(20098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28856), 1,
      anon_sym_DOT,
    STATE(20099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849308] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28858), 1,
      anon_sym_RBRACE,
    STATE(20100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849322] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28860), 1,
      anon_sym_in,
    STATE(20101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849336] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28862), 1,
      anon_sym_in,
    STATE(20102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849350] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28864), 1,
      anon_sym_DASH_GT,
    STATE(20103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849364] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19558), 1,
      anon_sym_RPAREN,
    STATE(20104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849378] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28866), 1,
      anon_sym_DASH_GT,
    STATE(20105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849392] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28868), 1,
      anon_sym_DASH_GT,
    STATE(20106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849406] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_GT,
    STATE(20107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849420] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28870), 1,
      anon_sym_RBRACE,
    STATE(20108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849434] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28872), 1,
      anon_sym_RPAREN,
    STATE(20109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849448] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28874), 1,
      anon_sym_RPAREN,
    STATE(20110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849462] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28876), 1,
      anon_sym_RPAREN,
    STATE(20111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849476] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28876), 1,
      anon_sym_RBRACK,
    STATE(20112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849490] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28876), 1,
      anon_sym_RBRACE,
    STATE(20113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849504] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28878), 1,
      anon_sym_RPAREN,
    STATE(20114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849518] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21072), 1,
      anon_sym_DASH_GT,
    STATE(20115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849532] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10212), 1,
      anon_sym_DASH_GT,
    STATE(20116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849546] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28880), 1,
      anon_sym_in,
    STATE(20117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28882), 1,
      anon_sym_RBRACE,
    STATE(20118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849574] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19976), 1,
      anon_sym_RPAREN,
    STATE(20119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849588] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28884), 1,
      anon_sym_DOT,
    STATE(20120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849602] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28886), 1,
      anon_sym_SQUOTE2,
    STATE(20121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28888), 1,
      anon_sym_RBRACE,
    STATE(20122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26292), 1,
      anon_sym_RPAREN,
    STATE(20123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849644] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28890), 1,
      anon_sym_RPAREN,
    STATE(20124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849658] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28892), 1,
      anon_sym_with,
    STATE(20125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849672] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28894), 1,
      anon_sym_with,
    STATE(20126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849686] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28896), 1,
      anon_sym_DOT,
    STATE(20127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849700] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28898), 1,
      anon_sym_RBRACK,
    STATE(20128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849714] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28900), 1,
      anon_sym_RBRACE,
    STATE(20129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849728] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28902), 1,
      anon_sym_DQUOTE,
    STATE(20130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849742] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28904), 1,
      anon_sym_in,
    STATE(20131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849756] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28906), 1,
      anon_sym_RPAREN,
    STATE(20132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849770] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28908), 1,
      anon_sym_RBRACK,
    STATE(20133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849784] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28910), 1,
      anon_sym_with,
    STATE(20134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849798] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28912), 1,
      anon_sym_with,
    STATE(20135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849812] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28914), 1,
      anon_sym_RBRACE,
    STATE(20136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849826] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28916), 1,
      anon_sym_in,
    STATE(20137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849840] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28918), 1,
      sym__identifier,
    STATE(20138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849854] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28920), 1,
      anon_sym_RPAREN,
    STATE(20139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849868] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28922), 1,
      anon_sym_DOT,
    STATE(20140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849882] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28924), 1,
      anon_sym_RPAREN,
    STATE(20141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849896] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28926), 1,
      anon_sym_in,
    STATE(20142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849910] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28928), 1,
      anon_sym_RPAREN,
    STATE(20143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849924] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28930), 1,
      anon_sym_DASH_GT,
    STATE(20144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849938] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19568), 1,
      anon_sym_RPAREN,
    STATE(20145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849952] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19210), 1,
      anon_sym_GT,
    STATE(20146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28932), 1,
      anon_sym_RPAREN,
    STATE(20147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849980] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28934), 1,
      anon_sym_DASH_GT,
    STATE(20148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849994] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28936), 1,
      anon_sym_RPAREN,
    STATE(20149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850008] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28938), 1,
      anon_sym_of,
    STATE(20150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850022] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28940), 1,
      anon_sym_RPAREN,
    STATE(20151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850036] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28942), 1,
      anon_sym_RPAREN,
    STATE(20152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850050] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28942), 1,
      anon_sym_RBRACK,
    STATE(20153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850064] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28942), 1,
      anon_sym_RBRACE,
    STATE(20154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850078] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28944), 1,
      anon_sym_RBRACE,
    STATE(20155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850092] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28946), 1,
      anon_sym_LT_DASH,
    STATE(20156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850106] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28948), 1,
      anon_sym_RPAREN,
    STATE(20157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850120] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28950), 1,
      anon_sym_RBRACE,
    STATE(20158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850134] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28952), 1,
      anon_sym_RBRACE,
    STATE(20159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850148] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28954), 1,
      anon_sym_in,
    STATE(20160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850162] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28956), 1,
      anon_sym_DOT,
    STATE(20161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850176] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28958), 1,
      anon_sym_in,
    STATE(20162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850190] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28960), 1,
      anon_sym_RPAREN,
    STATE(20163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850204] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28962), 1,
      anon_sym_RBRACK,
    STATE(20164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850218] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28964), 1,
      anon_sym_with,
    STATE(20165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850232] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28966), 1,
      anon_sym_with,
    STATE(20166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850246] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28968), 1,
      anon_sym_DOT,
    STATE(20167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28970), 1,
      anon_sym_RBRACE,
    STATE(20168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850274] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28972), 1,
      anon_sym_RPAREN,
    STATE(20169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850288] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28974), 1,
      anon_sym_in,
    STATE(20170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850302] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28976), 1,
      anon_sym_RPAREN,
    STATE(20171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850316] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28978), 1,
      anon_sym_RPAREN,
    STATE(20172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850330] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28980), 1,
      anon_sym_RPAREN,
    STATE(20173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850344] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28982), 1,
      anon_sym_with,
    STATE(20174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850358] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28984), 1,
      anon_sym_with,
    STATE(20175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850372] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28986), 1,
      anon_sym_RPAREN,
    STATE(20176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850386] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28988), 1,
      anon_sym_RPAREN,
    STATE(20177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850400] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28990), 1,
      anon_sym_RPAREN,
    STATE(20178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850414] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28992), 1,
      anon_sym_RBRACK,
    STATE(20179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850428] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28994), 1,
      anon_sym_DOT,
    STATE(20180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850442] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28996), 1,
      anon_sym_RBRACE,
    STATE(20181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850456] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28998), 1,
      anon_sym_RPAREN,
    STATE(20182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29000), 1,
      anon_sym_RPAREN,
    STATE(20183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850484] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29002), 1,
      anon_sym_RPAREN,
    STATE(20184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850498] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19576), 1,
      anon_sym_RPAREN,
    STATE(20185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850512] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29004), 1,
      anon_sym_RPAREN,
    STATE(20186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850526] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11514), 1,
      anon_sym_RPAREN,
    STATE(20187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850540] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29006), 1,
      anon_sym_RBRACE,
    STATE(20188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850554] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29008), 1,
      anon_sym_RPAREN,
    STATE(20189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850568] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29010), 1,
      anon_sym_in,
    STATE(20190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850582] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29012), 1,
      anon_sym_RPAREN,
    STATE(20191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850596] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29014), 1,
      anon_sym_RPAREN,
    STATE(20192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850610] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29014), 1,
      anon_sym_RBRACK,
    STATE(20193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850624] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29014), 1,
      anon_sym_RBRACE,
    STATE(20194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850638] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29008), 1,
      anon_sym_RBRACK,
    STATE(20195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850652] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29008), 1,
      anon_sym_RBRACE,
    STATE(20196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850666] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29016), 1,
      anon_sym_DASH_GT,
    STATE(20197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850680] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29018), 1,
      anon_sym_RPAREN,
    STATE(20198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850694] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29020), 1,
      anon_sym_DASH_GT,
    STATE(20199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850708] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29022), 1,
      anon_sym_RBRACE,
    STATE(20200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850722] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29024), 1,
      anon_sym_DOT,
    STATE(20201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850736] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29026), 1,
      anon_sym_RBRACE,
    STATE(20202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850750] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3701), 1,
      anon_sym_RPAREN,
    STATE(20203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19202), 1,
      anon_sym_GT,
    STATE(20204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850778] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29028), 1,
      anon_sym_with,
    STATE(20205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850792] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29030), 1,
      anon_sym_with,
    STATE(20206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850806] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29032), 1,
      anon_sym_DOT,
    STATE(20207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850820] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29034), 1,
      anon_sym_RPAREN,
    STATE(20208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850834] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29036), 1,
      anon_sym_RPAREN,
    STATE(20209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850848] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29038), 1,
      anon_sym_DASH_GT,
    STATE(20210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27342), 1,
      anon_sym_RBRACK,
    STATE(20211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850876] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29040), 1,
      anon_sym_RPAREN,
    STATE(20212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29042), 1,
      anon_sym_RBRACK,
    STATE(20213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850904] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29044), 1,
      anon_sym_with,
    STATE(20214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850918] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29046), 1,
      anon_sym_with,
    STATE(20215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29048), 1,
      anon_sym_RBRACE,
    STATE(20216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850946] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29050), 1,
      anon_sym_RPAREN,
    STATE(20217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850960] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23637), 1,
      anon_sym_GT_RBRACE,
    STATE(20218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850974] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29052), 1,
      anon_sym_RPAREN,
    STATE(20219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850988] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29054), 1,
      anon_sym_DOT,
    STATE(20220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851002] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29056), 1,
      anon_sym_in,
    STATE(20221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851016] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29058), 1,
      anon_sym_DASH_GT,
    STATE(20222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851030] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29060), 1,
      anon_sym_DASH_GT,
    STATE(20223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29062), 1,
      anon_sym_in,
    STATE(20224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851058] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_RPAREN,
    STATE(20225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851072] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21844), 1,
      anon_sym_end,
    STATE(20226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851086] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29064), 1,
      anon_sym_RPAREN,
    STATE(20227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851100] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29066), 1,
      anon_sym_DASH_GT,
    STATE(20228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851114] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29068), 1,
      anon_sym_SQUOTE2,
    STATE(20229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851128] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29070), 1,
      anon_sym_DQUOTE,
    STATE(20230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851142] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29072), 1,
      anon_sym_RPAREN,
    STATE(20231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851156] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29074), 1,
      anon_sym_RPAREN,
    STATE(20232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851170] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29074), 1,
      anon_sym_RBRACK,
    STATE(20233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851184] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29074), 1,
      anon_sym_RBRACE,
    STATE(20234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851198] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29076), 1,
      anon_sym_RPAREN,
    STATE(20235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29078), 1,
      anon_sym_RPAREN,
    STATE(20236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29080), 1,
      anon_sym_RPAREN,
    STATE(20237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851240] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10198), 1,
      anon_sym_DASH_GT,
    STATE(20238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851254] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29082), 1,
      anon_sym_RPAREN,
    STATE(20239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29084), 1,
      anon_sym_DOT,
    STATE(20240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851282] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29086), 1,
      sym__identifier,
    STATE(20241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29088), 1,
      anon_sym_LT_DASH,
    STATE(20242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851310] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29090), 1,
      anon_sym_RBRACE,
    STATE(20243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851324] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29092), 1,
      anon_sym_with,
    STATE(20244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851338] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29094), 1,
      anon_sym_with,
    STATE(20245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851352] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29096), 1,
      anon_sym_DOT,
    STATE(20246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851366] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29098), 1,
      anon_sym_RPAREN,
    STATE(20247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851380] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29100), 1,
      anon_sym_RBRACK,
    STATE(20248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851394] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29102), 1,
      anon_sym_RPAREN,
    STATE(20249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851408] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29104), 1,
      anon_sym_RPAREN,
    STATE(20250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851422] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29106), 1,
      ts_builtin_sym_end,
    STATE(20251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851436] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29108), 1,
      anon_sym_RBRACE,
    STATE(20252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851450] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29110), 1,
      anon_sym_with,
    STATE(20253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851464] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29112), 1,
      anon_sym_with,
    STATE(20254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851478] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29114), 1,
      anon_sym_RBRACE,
    STATE(20255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851492] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29116), 1,
      anon_sym_RPAREN,
    STATE(20256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851506] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29118), 1,
      anon_sym_RBRACK,
    STATE(20257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851520] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29120), 1,
      anon_sym_SQUOTE2,
    STATE(20258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851534] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29122), 1,
      anon_sym_DOT,
    STATE(20259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851548] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29124), 1,
      anon_sym_RBRACE,
    STATE(20260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851562] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29126), 1,
      anon_sym_DQUOTE,
    STATE(20261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851576] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29128), 1,
      anon_sym_RBRACE,
    STATE(20262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851590] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29130), 1,
      anon_sym_RPAREN,
    STATE(20263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851604] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19592), 1,
      anon_sym_RPAREN,
    STATE(20264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851618] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29132), 1,
      anon_sym_LT_DASH,
    STATE(20265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851632] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29134), 1,
      anon_sym_RPAREN,
    STATE(20266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851646] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22632), 1,
      anon_sym_GT_RBRACE,
    STATE(20267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851660] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29136), 1,
      anon_sym_SQUOTE2,
    STATE(20268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851674] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29138), 1,
      anon_sym_LT_DASH,
    STATE(20269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851688] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29140), 1,
      anon_sym_RPAREN,
    STATE(20270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851702] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29142), 1,
      anon_sym_RPAREN,
    STATE(20271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851716] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29142), 1,
      anon_sym_RBRACK,
    STATE(20272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851730] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29142), 1,
      anon_sym_RBRACE,
    STATE(20273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851744] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29144), 1,
      anon_sym_in,
    STATE(20274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851758] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      sym__capitalized_identifier,
    STATE(20275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851772] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29146), 1,
      anon_sym_RBRACK,
    STATE(20276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851786] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7843), 1,
      anon_sym_RPAREN,
    STATE(20277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851800] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29148), 1,
      anon_sym_GT,
    STATE(20278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851814] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29150), 1,
      anon_sym_DOT,
    STATE(20279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851828] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21477), 1,
      anon_sym_end,
    STATE(20280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851842] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29152), 1,
      anon_sym_RBRACE,
    STATE(20281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851856] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29154), 1,
      anon_sym_in,
    STATE(20282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851870] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29156), 1,
      anon_sym_with,
    STATE(20283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851884] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29158), 1,
      anon_sym_with,
    STATE(20284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851898] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29160), 1,
      anon_sym_DOT,
    STATE(20285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851912] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9967), 1,
      anon_sym_DASH_GT,
    STATE(20286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851926] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29162), 1,
      anon_sym_SQUOTE2,
    STATE(20287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851940] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29164), 1,
      anon_sym_DQUOTE,
    STATE(20288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851954] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29166), 1,
      anon_sym_RPAREN,
    STATE(20289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851968] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29168), 1,
      anon_sym_RPAREN,
    STATE(20290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851982] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29170), 1,
      anon_sym_RBRACE,
    STATE(20291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851996] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29172), 1,
      anon_sym_with,
    STATE(20292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852010] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29174), 1,
      anon_sym_with,
    STATE(20293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852024] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6437), 1,
      anon_sym_end,
    STATE(20294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852038] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29176), 1,
      anon_sym_RPAREN,
    STATE(20295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852052] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29178), 1,
      anon_sym_RBRACK,
    STATE(20296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852066] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29180), 1,
      anon_sym_RBRACE,
    STATE(20297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852080] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29182), 1,
      anon_sym_DOT,
    STATE(20298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852094] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29184), 1,
      sym__identifier,
    STATE(20299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852108] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29186), 1,
      anon_sym_in,
    STATE(20300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852122] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29188), 1,
      anon_sym_RPAREN,
    STATE(20301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852136] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29190), 1,
      anon_sym_RPAREN,
    STATE(20302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852150] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19600), 1,
      anon_sym_RPAREN,
    STATE(20303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852164] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18597), 1,
      anon_sym_DASH_GT,
    STATE(20304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852178] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29192), 1,
      anon_sym_LT_DASH,
    STATE(20305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852192] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25238), 1,
      anon_sym_RBRACE,
    STATE(20306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852206] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29194), 1,
      anon_sym_in,
    STATE(20307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852220] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29196), 1,
      anon_sym_in,
    STATE(20308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852234] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29198), 1,
      anon_sym_RPAREN,
    STATE(20309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852248] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29200), 1,
      anon_sym_RPAREN,
    STATE(20310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852262] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29200), 1,
      anon_sym_RBRACK,
    STATE(20311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852276] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29200), 1,
      anon_sym_RBRACE,
    STATE(20312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852290] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29202), 1,
      anon_sym_RPAREN,
    STATE(20313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29204), 1,
      anon_sym_DASH_GT,
    STATE(20314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852318] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29206), 1,
      anon_sym_in,
    STATE(20315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852332] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29208), 1,
      anon_sym_RPAREN,
    STATE(20316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852346] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29210), 1,
      aux_sym_number_token1,
    STATE(20317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852360] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29212), 1,
      anon_sym_DOT,
    STATE(20318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852374] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3739), 1,
      anon_sym_RPAREN,
    STATE(20319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852388] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29214), 1,
      anon_sym_in,
    STATE(20320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852402] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29216), 1,
      anon_sym_in,
    STATE(20321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852416] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29218), 1,
      anon_sym_with,
    STATE(20322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852430] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29220), 1,
      anon_sym_with,
    STATE(20323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852444] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29222), 1,
      anon_sym_DOT,
    STATE(20324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852458] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29224), 1,
      anon_sym_end,
    STATE(20325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29226), 1,
      anon_sym_in,
    STATE(20326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852486] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29228), 1,
      anon_sym_RBRACK,
    STATE(20327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852500] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29064), 1,
      anon_sym_RBRACK,
    STATE(20328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852514] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29230), 1,
      anon_sym_RBRACE,
    STATE(20329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852528] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29232), 1,
      anon_sym_RPAREN,
    STATE(20330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852542] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29234), 1,
      anon_sym_with,
    STATE(20331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852556] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29236), 1,
      anon_sym_with,
    STATE(20332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852570] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3757), 1,
      anon_sym_RPAREN,
    STATE(20333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852584] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29238), 1,
      anon_sym_RBRACE,
    STATE(20334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852598] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29064), 1,
      anon_sym_RBRACE,
    STATE(20335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852612] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29240), 1,
      anon_sym_in,
    STATE(20336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29242), 1,
      anon_sym_DOT,
    STATE(20337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852640] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29244), 1,
      anon_sym_in,
    STATE(20338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852654] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29246), 1,
      anon_sym_RBRACK,
    STATE(20339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852668] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29248), 1,
      anon_sym_RPAREN,
    STATE(20340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852682] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29250), 1,
      anon_sym_in,
    STATE(20341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852696] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19608), 1,
      anon_sym_RPAREN,
    STATE(20342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852710] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18203), 1,
      anon_sym_RPAREN,
    STATE(20343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852724] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29252), 1,
      anon_sym_in,
    STATE(20344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852738] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22656), 1,
      anon_sym_GT_RBRACE,
    STATE(20345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852752] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12912), 1,
      anon_sym_GT,
    STATE(20346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852766] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29254), 1,
      anon_sym_in,
    STATE(20347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852780] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29256), 1,
      anon_sym_RPAREN,
    STATE(20348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852794] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29258), 1,
      anon_sym_RPAREN,
    STATE(20349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852808] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29258), 1,
      anon_sym_RBRACK,
    STATE(20350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852822] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29258), 1,
      anon_sym_RBRACE,
    STATE(20351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852836] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21487), 1,
      anon_sym_end,
    STATE(20352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852850] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29260), 1,
      anon_sym_RPAREN,
    STATE(20353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852864] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10003), 1,
      anon_sym_DASH_GT,
    STATE(20354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852878] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29262), 1,
      anon_sym_SQUOTE2,
    STATE(20355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852892] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29264), 1,
      anon_sym_DQUOTE,
    STATE(20356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852906] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29266), 1,
      anon_sym_DOT,
    STATE(20357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852920] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29268), 1,
      anon_sym_RBRACE,
    STATE(20358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852934] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29270), 1,
      anon_sym_RPAREN,
    STATE(20359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852948] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25296), 1,
      anon_sym_RBRACE,
    STATE(20360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852962] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29272), 1,
      anon_sym_with,
    STATE(20361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852976] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29274), 1,
      anon_sym_with,
    STATE(20362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852990] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29276), 1,
      anon_sym_DOT,
    STATE(20363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853004] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29278), 1,
      anon_sym_RBRACE,
    STATE(20364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853018] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29280), 1,
      anon_sym_RPAREN,
    STATE(20365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853032] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29282), 1,
      sym__identifier,
    STATE(20366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853046] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29284), 1,
      anon_sym_RBRACE,
    STATE(20367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853060] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29286), 1,
      anon_sym_RPAREN,
    STATE(20368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853074] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3663), 1,
      anon_sym_RPAREN,
    STATE(20369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853088] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29288), 1,
      anon_sym_with,
    STATE(20370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853102] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29290), 1,
      anon_sym_with,
    STATE(20371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853116] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29292), 1,
      anon_sym_RPAREN,
    STATE(20372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853130] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29294), 1,
      anon_sym_DASH_GT,
    STATE(20373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853144] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29296), 1,
      anon_sym_RBRACE,
    STATE(20374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853158] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29298), 1,
      anon_sym_RPAREN,
    STATE(20375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853172] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29300), 1,
      anon_sym_DOT,
    STATE(20376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853186] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29302), 1,
      anon_sym_RPAREN,
    STATE(20377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853200] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29304), 1,
      anon_sym_RPAREN,
    STATE(20378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853214] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29306), 1,
      anon_sym_RBRACE,
    STATE(20379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853228] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21876), 1,
      anon_sym_DASH_GT,
    STATE(20380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853242] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19624), 1,
      anon_sym_RPAREN,
    STATE(20381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853256] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29308), 1,
      anon_sym_RBRACE,
    STATE(20382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853270] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29310), 1,
      anon_sym_DOT,
    STATE(20383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853284] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29312), 1,
      anon_sym_RBRACK,
    STATE(20384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853298] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29314), 1,
      anon_sym_GT,
    STATE(20385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853312] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29316), 1,
      anon_sym_RPAREN,
    STATE(20386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853326] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29318), 1,
      anon_sym_RPAREN,
    STATE(20387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853340] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29318), 1,
      anon_sym_RBRACK,
    STATE(20388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853354] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29318), 1,
      anon_sym_RBRACE,
    STATE(20389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853368] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29320), 1,
      anon_sym_DOT,
    STATE(20390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853382] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29322), 1,
      anon_sym_RPAREN,
    STATE(20391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853396] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29324), 1,
      anon_sym_RBRACE,
    STATE(20392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853410] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29326), 1,
      anon_sym_SQUOTE2,
    STATE(20393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853424] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29328), 1,
      anon_sym_RBRACE,
    STATE(20394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853438] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29330), 1,
      anon_sym_DOT,
    STATE(20395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853452] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29332), 1,
      anon_sym_RPAREN,
    STATE(20396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853466] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29334), 1,
      anon_sym_RPAREN,
    STATE(20397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853480] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29336), 1,
      anon_sym_RBRACK,
    STATE(20398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853494] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29338), 1,
      anon_sym_with,
    STATE(20399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853508] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29340), 1,
      anon_sym_with,
    STATE(20400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853522] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29342), 1,
      anon_sym_DOT,
    STATE(20401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853536] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29344), 1,
      anon_sym_DQUOTE,
    STATE(20402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853550] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29346), 1,
      anon_sym_RPAREN,
    STATE(20403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853564] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29348), 1,
      anon_sym_RBRACE,
    STATE(20404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853578] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29350), 1,
      anon_sym_RPAREN,
    STATE(20405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853592] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29352), 1,
      anon_sym_RPAREN,
    STATE(20406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853606] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29354), 1,
      anon_sym_RPAREN,
    STATE(20407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853620] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29356), 1,
      anon_sym_with,
    STATE(20408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853634] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29358), 1,
      anon_sym_with,
    STATE(20409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853648] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10126), 1,
      anon_sym_DASH_GT,
    STATE(20410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853662] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29360), 1,
      anon_sym_RPAREN,
    STATE(20411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853676] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13808), 1,
      anon_sym_DASH_GT,
    STATE(20412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853690] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3759), 1,
      anon_sym_RPAREN,
    STATE(20413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853704] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29362), 1,
      anon_sym_DOT,
    STATE(20414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853718] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29364), 1,
      anon_sym_DOT,
    STATE(20415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853732] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29366), 1,
      anon_sym_RBRACK,
    STATE(20416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853746] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29368), 1,
      anon_sym_RBRACE,
    STATE(20417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853760] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29370), 1,
      anon_sym_RPAREN,
    STATE(20418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853774] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19632), 1,
      anon_sym_RPAREN,
    STATE(20419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853788] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29372), 1,
      anon_sym_with,
    STATE(20420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853802] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29374), 1,
      anon_sym_RPAREN,
    STATE(20421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853816] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29376), 1,
      anon_sym_LT_DASH,
    STATE(20422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853830] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19796), 1,
      anon_sym_RPAREN,
    STATE(20423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853844] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29378), 1,
      anon_sym_RPAREN,
    STATE(20424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853858] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29380), 1,
      anon_sym_RPAREN,
    STATE(20425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853872] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29380), 1,
      anon_sym_RBRACK,
    STATE(20426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853886] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29380), 1,
      anon_sym_RBRACE,
    STATE(20427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853900] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29382), 1,
      anon_sym_with,
    STATE(20428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853914] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29384), 1,
      anon_sym_DOT,
    STATE(20429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853928] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29386), 1,
      anon_sym_EQ,
    STATE(20430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853942] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29388), 1,
      anon_sym_in,
    STATE(20431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853956] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29390), 1,
      anon_sym_in,
    STATE(20432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853970] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29392), 1,
      anon_sym_DOT,
    STATE(20433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853984] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29394), 1,
      anon_sym_in,
    STATE(20434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853998] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29396), 1,
      anon_sym_RPAREN,
    STATE(20435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854012] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29398), 1,
      anon_sym_RPAREN,
    STATE(20436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854026] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29400), 1,
      anon_sym_with,
    STATE(20437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854040] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29402), 1,
      anon_sym_with,
    STATE(20438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854054] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29404), 1,
      anon_sym_DOT,
    STATE(20439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854068] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29406), 1,
      anon_sym_RBRACK,
    STATE(20440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854082] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29408), 1,
      anon_sym_RBRACE,
    STATE(20441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854096] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29410), 1,
      anon_sym_RBRACE,
    STATE(20442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854110] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29412), 1,
      anon_sym_RPAREN,
    STATE(20443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854124] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29414), 1,
      anon_sym_in,
    STATE(20444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854138] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29416), 1,
      anon_sym_RPAREN,
    STATE(20445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854152] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29418), 1,
      anon_sym_with,
    STATE(20446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854166] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29420), 1,
      anon_sym_with,
    STATE(20447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854180] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29422), 1,
      anon_sym_LT_DASH,
    STATE(20448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854194] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29424), 1,
      anon_sym_RPAREN,
    STATE(20449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854208] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29426), 1,
      anon_sym_RBRACE,
    STATE(20450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854222] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29428), 1,
      anon_sym_in,
    STATE(20451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854236] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29430), 1,
      anon_sym_DOT,
    STATE(20452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854250] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29432), 1,
      anon_sym_RPAREN,
    STATE(20453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854264] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29434), 1,
      anon_sym_COLON2,
    STATE(20454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854278] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29436), 1,
      anon_sym_RPAREN,
    STATE(20455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854292] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29438), 1,
      anon_sym_DASH_GT,
    STATE(20456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854306] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19640), 1,
      anon_sym_RPAREN,
    STATE(20457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854320] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29440), 1,
      anon_sym_RPAREN,
    STATE(20458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854334] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29442), 1,
      anon_sym_RPAREN,
    STATE(20459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854348] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29444), 1,
      anon_sym_RBRACK,
    STATE(20460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854362] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29446), 1,
      anon_sym_RPAREN,
    STATE(20461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854376] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29448), 1,
      anon_sym_RPAREN,
    STATE(20462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854390] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29450), 1,
      anon_sym_RPAREN,
    STATE(20463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854404] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29450), 1,
      anon_sym_RBRACK,
    STATE(20464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854418] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29450), 1,
      anon_sym_RBRACE,
    STATE(20465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854432] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22760), 1,
      anon_sym_GT_RBRACE,
    STATE(20466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854446] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29452), 1,
      anon_sym_RBRACE,
    STATE(20467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854460] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29454), 1,
      anon_sym_of,
    STATE(20468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854474] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29456), 1,
      anon_sym_end,
    STATE(20469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854488] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29458), 1,
      anon_sym_RBRACK,
    STATE(20470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854502] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29460), 1,
      anon_sym_DOT,
    STATE(20471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854516] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29462), 1,
      anon_sym_end,
    STATE(20472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854530] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29464), 1,
      anon_sym_RBRACE,
    STATE(20473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854544] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29466), 1,
      anon_sym_RBRACE,
    STATE(20474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854558] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29468), 1,
      anon_sym_with,
    STATE(20475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854572] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29470), 1,
      anon_sym_with,
    STATE(20476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854586] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29472), 1,
      anon_sym_DOT,
    STATE(20477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854600] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29474), 1,
      anon_sym_in,
    STATE(20478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854614] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29476), 1,
      anon_sym_RPAREN,
    STATE(20479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854628] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29478), 1,
      anon_sym_with,
    STATE(20480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854642] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29480), 1,
      anon_sym_RBRACK,
    STATE(20481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854656] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29482), 1,
      sym__identifier,
    STATE(20482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854670] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29484), 1,
      anon_sym_in,
    STATE(20483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854684] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29486), 1,
      anon_sym_with,
    STATE(20484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854698] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29488), 1,
      anon_sym_with,
    STATE(20485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854712] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29490), 1,
      anon_sym_RPAREN,
    STATE(20486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854726] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29492), 1,
      anon_sym_with,
    STATE(20487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854740] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29494), 1,
      anon_sym_RPAREN,
    STATE(20488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854754] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18391), 1,
      anon_sym_RPAREN,
    STATE(20489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854768] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29496), 1,
      anon_sym_DOT,
    STATE(20490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854782] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29498), 1,
      aux_sym_number_token1,
    STATE(20491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854796] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29500), 1,
      anon_sym_RPAREN,
    STATE(20492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854810] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29502), 1,
      anon_sym_DOT,
    STATE(20493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854824] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29504), 1,
      anon_sym_RPAREN,
    STATE(20494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854838] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19650), 1,
      anon_sym_RPAREN,
    STATE(20495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854852] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29506), 1,
      anon_sym_LT_DASH,
    STATE(20496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854866] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29508), 1,
      anon_sym_in,
    STATE(20497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854880] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29510), 1,
      anon_sym_in,
    STATE(20498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854894] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29512), 1,
      anon_sym_in,
    STATE(20499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854908] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29514), 1,
      anon_sym_RPAREN,
    STATE(20500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854922] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29516), 1,
      anon_sym_RPAREN,
    STATE(20501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854936] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29516), 1,
      anon_sym_RBRACK,
    STATE(20502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854950] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29516), 1,
      anon_sym_RBRACE,
    STATE(20503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854964] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29518), 1,
      anon_sym_RPAREN,
    STATE(20504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854978] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29520), 1,
      anon_sym_in,
    STATE(20505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854992] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3783), 1,
      anon_sym_RPAREN,
    STATE(20506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855006] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3633), 1,
      anon_sym_RPAREN,
    STATE(20507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855020] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29522), 1,
      anon_sym_RBRACE,
    STATE(20508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855034] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29524), 1,
      anon_sym_DOT,
    STATE(20509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855048] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29526), 1,
      anon_sym_RBRACE,
    STATE(20510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855062] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29528), 1,
      anon_sym_in,
    STATE(20511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855076] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29530), 1,
      anon_sym_RBRACE,
    STATE(20512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855090] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29532), 1,
      anon_sym_with,
    STATE(20513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855104] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29534), 1,
      anon_sym_with,
    STATE(20514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855118] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29536), 1,
      anon_sym_DOT,
    STATE(20515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855132] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29538), 1,
      anon_sym_DASH_GT,
    STATE(20516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855146] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29540), 1,
      anon_sym_SQUOTE2,
    STATE(20517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855160] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29542), 1,
      anon_sym_DQUOTE,
    STATE(20518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855174] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29544), 1,
      anon_sym_RBRACE,
    STATE(20519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855188] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29546), 1,
      anon_sym_RBRACE,
    STATE(20520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855202] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29548), 1,
      anon_sym_RBRACK,
    STATE(20521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855216] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29550), 1,
      anon_sym_with,
    STATE(20522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855230] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29552), 1,
      anon_sym_with,
    STATE(20523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855244] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29554), 1,
      anon_sym_RBRACE,
    STATE(20524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29556), 1,
      anon_sym_DASH_GT,
    STATE(20525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855272] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29558), 1,
      anon_sym_RBRACE,
    STATE(20526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855286] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29560), 1,
      anon_sym_DASH_GT,
    STATE(20527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855300] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29562), 1,
      anon_sym_DOT,
    STATE(20528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855314] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21154), 1,
      anon_sym_end,
    STATE(20529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29564), 1,
      anon_sym_RPAREN,
    STATE(20530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855342] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19464), 1,
      anon_sym_RPAREN,
    STATE(20531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855356] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29566), 1,
      anon_sym_RBRACE,
    STATE(20532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855370] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19662), 1,
      anon_sym_RPAREN,
    STATE(20533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855384] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29568), 1,
      anon_sym_RBRACE,
    STATE(20534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855398] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29570), 1,
      anon_sym_end,
    STATE(20535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855412] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23751), 1,
      anon_sym_GT_RBRACE,
    STATE(20536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855426] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24249), 1,
      anon_sym_GT_RBRACE,
    STATE(20537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855440] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29572), 1,
      anon_sym_RPAREN,
    STATE(20538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29574), 1,
      anon_sym_RPAREN,
    STATE(20539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855468] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29574), 1,
      anon_sym_RBRACK,
    STATE(20540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855482] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29574), 1,
      anon_sym_RBRACE,
    STATE(20541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855496] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21884), 1,
      anon_sym_end,
    STATE(20542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855510] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23759), 1,
      anon_sym_GT_RBRACE,
    STATE(20543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855524] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29576), 1,
      anon_sym_SQUOTE2,
    STATE(20544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10154), 1,
      anon_sym_DASH_GT,
    STATE(20545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855552] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29578), 1,
      anon_sym_DQUOTE,
    STATE(20546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855566] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29580), 1,
      anon_sym_DOT,
    STATE(20547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855580] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29582), 1,
      anon_sym_RPAREN,
    STATE(20548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855594] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29584), 1,
      anon_sym_in,
    STATE(20549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855608] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29586), 1,
      anon_sym_RPAREN,
    STATE(20550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855622] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29588), 1,
      anon_sym_with,
    STATE(20551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855636] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29590), 1,
      anon_sym_with,
    STATE(20552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855650] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29592), 1,
      anon_sym_DOT,
    STATE(20553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855664] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29594), 1,
      sym__identifier,
    STATE(20554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855678] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29596), 1,
      anon_sym_PIPE,
    STATE(20555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855692] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21880), 1,
      anon_sym_end,
    STATE(20556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855706] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29598), 1,
      anon_sym_DASH_GT,
    STATE(20557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855720] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29600), 1,
      anon_sym_RBRACK,
    STATE(20558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855734] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29602), 1,
      anon_sym_DASH_GT,
    STATE(20559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855748] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29604), 1,
      anon_sym_with,
    STATE(20560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855762] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29606), 1,
      anon_sym_with,
    STATE(20561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855776] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29608), 1,
      anon_sym_SQUOTE2,
    STATE(20562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855790] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29610), 1,
      anon_sym_RPAREN,
    STATE(20563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855804] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29612), 1,
      anon_sym_LT_DASH,
    STATE(20564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855818] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3743), 1,
      anon_sym_RPAREN,
    STATE(20565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855832] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29614), 1,
      anon_sym_DOT,
    STATE(20566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855846] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29616), 1,
      anon_sym_DASH_GT,
    STATE(20567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855860] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29618), 1,
      anon_sym_RBRACE,
    STATE(20568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855874] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29620), 1,
      anon_sym_DQUOTE,
    STATE(20569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855888] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29622), 1,
      anon_sym_LT_DASH,
    STATE(20570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855902] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19670), 1,
      anon_sym_RPAREN,
    STATE(20571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855916] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29624), 1,
      anon_sym_SQUOTE2,
    STATE(20572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855930] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29626), 1,
      anon_sym_DQUOTE,
    STATE(20573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855944] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29628), 1,
      anon_sym_RPAREN,
    STATE(20574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855958] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25210), 1,
      anon_sym_RBRACK,
    STATE(20575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855972] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29630), 1,
      anon_sym_RPAREN,
    STATE(20576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855986] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29632), 1,
      anon_sym_RPAREN,
    STATE(20577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856000] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29632), 1,
      anon_sym_RBRACK,
    STATE(20578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856014] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29632), 1,
      anon_sym_RBRACE,
    STATE(20579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856028] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29634), 1,
      anon_sym_RBRACK,
    STATE(20580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856042] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29636), 1,
      anon_sym_RBRACE,
    STATE(20581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856056] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6539), 1,
      anon_sym_end,
    STATE(20582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856070] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29638), 1,
      anon_sym_RBRACK,
    STATE(20583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856084] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29640), 1,
      anon_sym_RBRACE,
    STATE(20584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856098] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29642), 1,
      anon_sym_DOT,
    STATE(20585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856112] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29644), 1,
      anon_sym_SQUOTE2,
    STATE(20586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856126] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29646), 1,
      anon_sym_RBRACE,
    STATE(20587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29648), 1,
      aux_sym_number_token1,
    STATE(20588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856154] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29650), 1,
      anon_sym_with,
    STATE(20589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856168] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29652), 1,
      anon_sym_with,
    STATE(20590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856182] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29654), 1,
      anon_sym_DOT,
    STATE(20591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856196] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29656), 1,
      anon_sym_in,
    STATE(20592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856210] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29658), 1,
      anon_sym_RPAREN,
    STATE(20593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856224] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24175), 1,
      anon_sym_GT_RBRACE,
    STATE(20594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856238] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29660), 1,
      anon_sym_in,
    STATE(20595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856252] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29662), 1,
      anon_sym_DQUOTE,
    STATE(20596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29664), 1,
      anon_sym_RPAREN,
    STATE(20597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856280] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29666), 1,
      anon_sym_with,
    STATE(20598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29668), 1,
      anon_sym_with,
    STATE(20599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856308] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29670), 1,
      anon_sym_RPAREN,
    STATE(20600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856322] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29672), 1,
      anon_sym_in,
    STATE(20601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856336] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29674), 1,
      anon_sym_RPAREN,
    STATE(20602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856350] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9973), 1,
      anon_sym_DASH_GT,
    STATE(20603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856364] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29676), 1,
      anon_sym_DOT,
    STATE(20604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856378] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29670), 1,
      anon_sym_RBRACK,
    STATE(20605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856392] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29670), 1,
      anon_sym_RBRACE,
    STATE(20606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856406] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29678), 1,
      anon_sym_DASH_GT,
    STATE(20607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856420] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3797), 1,
      anon_sym_RPAREN,
    STATE(20608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856434] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19674), 1,
      anon_sym_RPAREN,
    STATE(20609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856448] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29680), 1,
      anon_sym_DASH_GT,
    STATE(20610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856462] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29682), 1,
      sym__identifier,
    STATE(20611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856476] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29684), 1,
      anon_sym_RPAREN,
    STATE(20612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856490] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29686), 1,
      anon_sym_in,
    STATE(20613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856504] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29688), 1,
      anon_sym_RPAREN,
    STATE(20614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856518] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29690), 1,
      anon_sym_RPAREN,
    STATE(20615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856532] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29690), 1,
      anon_sym_RBRACK,
    STATE(20616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856546] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29690), 1,
      anon_sym_RBRACE,
    STATE(20617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29692), 1,
      anon_sym_RPAREN,
    STATE(20618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856574] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29694), 1,
      anon_sym_DASH_GT,
    STATE(20619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856588] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21100), 1,
      anon_sym_end,
    STATE(20620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856602] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29696), 1,
      anon_sym_RPAREN,
    STATE(20621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15310), 1,
      anon_sym_end,
    STATE(20622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29698), 1,
      anon_sym_DOT,
    STATE(20623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856644] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3761), 1,
      anon_sym_RPAREN,
    STATE(20624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856658] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29700), 1,
      anon_sym_RBRACE,
    STATE(20625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856672] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29702), 1,
      anon_sym_RBRACE,
    STATE(20626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856686] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29704), 1,
      anon_sym_with,
    STATE(20627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856700] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29706), 1,
      anon_sym_with,
    STATE(20628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856714] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29708), 1,
      anon_sym_DOT,
    STATE(20629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856728] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29710), 1,
      anon_sym_DASH_GT,
    STATE(20630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856742] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29712), 1,
      anon_sym_RBRACE,
    STATE(20631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856756] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29714), 1,
      anon_sym_RPAREN,
    STATE(20632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856770] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29716), 1,
      anon_sym_RBRACK,
    STATE(20633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856784] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29718), 1,
      anon_sym_RBRACE,
    STATE(20634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856798] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29720), 1,
      anon_sym_LT_DASH,
    STATE(20635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856812] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29722), 1,
      anon_sym_with,
    STATE(20636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856826] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29724), 1,
      anon_sym_with,
    STATE(20637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856840] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29726), 1,
      anon_sym_RPAREN,
    STATE(20638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856854] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29728), 1,
      anon_sym_end,
    STATE(20639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856868] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29730), 1,
      anon_sym_SQUOTE2,
    STATE(20640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856882] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29732), 1,
      anon_sym_RBRACK,
    STATE(20641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856896] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29734), 1,
      anon_sym_DOT,
    STATE(20642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856910] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29736), 1,
      aux_sym_number_token1,
    STATE(20643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856924] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29738), 1,
      anon_sym_RPAREN,
    STATE(20644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856938] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29740), 1,
      anon_sym_DQUOTE,
    STATE(20645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856952] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29742), 1,
      anon_sym_RBRACE,
    STATE(20646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19684), 1,
      anon_sym_RPAREN,
    STATE(20647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856980] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29744), 1,
      anon_sym_RBRACK,
    STATE(20648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856994] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29746), 1,
      anon_sym_RBRACE,
    STATE(20649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857008] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29748), 1,
      anon_sym_RBRACK,
    STATE(20650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857022] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18223), 1,
      anon_sym_RPAREN,
    STATE(20651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857036] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29750), 1,
      anon_sym_RPAREN,
    STATE(20652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857050] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29752), 1,
      anon_sym_RPAREN,
    STATE(20653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857064] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29752), 1,
      anon_sym_RBRACK,
    STATE(20654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857078] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29752), 1,
      anon_sym_RBRACE,
    STATE(20655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857092] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29754), 1,
      anon_sym_RBRACE,
    STATE(20656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857106] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23791), 1,
      anon_sym_GT_RBRACE,
    STATE(20657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857120] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29756), 1,
      anon_sym_in,
    STATE(20658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857134] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29758), 1,
      anon_sym_in,
    STATE(20659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857148] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29760), 1,
      anon_sym_in,
    STATE(20660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857162] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29762), 1,
      anon_sym_DOT,
    STATE(20661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857176] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29764), 1,
      sym__identifier,
    STATE(20662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857190] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21892), 1,
      anon_sym_end,
    STATE(20663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857204] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29766), 1,
      anon_sym_RPAREN,
    STATE(20664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857218] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29768), 1,
      anon_sym_with,
    STATE(20665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857232] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29770), 1,
      anon_sym_with,
    STATE(20666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857246] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29772), 1,
      anon_sym_DOT,
    STATE(20667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29774), 1,
      anon_sym_SQUOTE2,
    STATE(20668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857274] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29776), 1,
      anon_sym_RBRACE,
    STATE(20669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857288] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3645), 1,
      anon_sym_RPAREN,
    STATE(20670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857302] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29778), 1,
      anon_sym_DQUOTE,
    STATE(20671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857316] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29780), 1,
      anon_sym_RPAREN,
    STATE(20672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857330] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29782), 1,
      anon_sym_DASH_GT,
    STATE(20673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857344] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29784), 1,
      anon_sym_with,
    STATE(20674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857358] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29786), 1,
      anon_sym_with,
    STATE(20675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857372] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29788), 1,
      anon_sym_RPAREN,
    STATE(20676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857386] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29790), 1,
      anon_sym_RPAREN,
    STATE(20677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857400] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29792), 1,
      anon_sym_in,
    STATE(20678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857414] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29794), 1,
      sym__identifier,
    STATE(20679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857428] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29796), 1,
      anon_sym_DOT,
    STATE(20680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857442] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10011), 1,
      anon_sym_DASH_GT,
    STATE(20681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857456] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29798), 1,
      anon_sym_RPAREN,
    STATE(20682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29800), 1,
      anon_sym_RBRACK,
    STATE(20683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857484] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29802), 1,
      anon_sym_RBRACE,
    STATE(20684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857498] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19690), 1,
      anon_sym_RPAREN,
    STATE(20685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857512] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29804), 1,
      anon_sym_RPAREN,
    STATE(20686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857526] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29806), 1,
      anon_sym_RBRACE,
    STATE(20687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857540] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29808), 1,
      anon_sym_RPAREN,
    STATE(20688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857554] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29810), 1,
      anon_sym_RBRACE,
    STATE(20689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857568] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29812), 1,
      anon_sym_RPAREN,
    STATE(20690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857582] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29814), 1,
      anon_sym_RPAREN,
    STATE(20691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857596] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29814), 1,
      anon_sym_RBRACK,
    STATE(20692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857610] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29814), 1,
      anon_sym_RBRACE,
    STATE(20693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857624] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29816), 1,
      anon_sym_RPAREN,
    STATE(20694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857638] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29818), 1,
      anon_sym_RBRACE,
    STATE(20695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857652] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29820), 1,
      anon_sym_RBRACK,
    STATE(20696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857666] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29822), 1,
      anon_sym_RPAREN,
    STATE(20697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857680] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29824), 1,
      anon_sym_RBRACE,
    STATE(20698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857694] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29826), 1,
      anon_sym_DOT,
    STATE(20699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857708] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29828), 1,
      anon_sym_SQUOTE2,
    STATE(20700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857722] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29830), 1,
      anon_sym_RPAREN,
    STATE(20701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857736] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19264), 1,
      anon_sym_GT,
    STATE(20702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857750] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29832), 1,
      anon_sym_with,
    STATE(20703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29834), 1,
      anon_sym_with,
    STATE(20704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857778] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29836), 1,
      anon_sym_DOT,
    STATE(20705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857792] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29838), 1,
      anon_sym_RPAREN,
    STATE(20706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857806] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29840), 1,
      anon_sym_RPAREN,
    STATE(20707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857820] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29842), 1,
      anon_sym_DASH_GT,
    STATE(20708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857834] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3775), 1,
      anon_sym_RPAREN,
    STATE(20709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857848] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29844), 1,
      anon_sym_RBRACE,
    STATE(20710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29846), 1,
      anon_sym_RPAREN,
    STATE(20711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857876] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29848), 1,
      anon_sym_with,
    STATE(20712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29850), 1,
      anon_sym_with,
    STATE(20713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857904] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29852), 1,
      anon_sym_RBRACE,
    STATE(20714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857918] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29854), 1,
      anon_sym_EQ,
    STATE(20715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18118), 1,
      anon_sym_RPAREN,
    STATE(20716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857946] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29856), 1,
      anon_sym_SQUOTE2,
    STATE(20717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857960] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29858), 1,
      anon_sym_DOT,
    STATE(20718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857974] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29860), 1,
      anon_sym_DQUOTE,
    STATE(20719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857988] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29862), 1,
      anon_sym_RBRACK,
    STATE(20720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858002] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29864), 1,
      anon_sym_end,
    STATE(20721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858016] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29866), 1,
      anon_sym_RPAREN,
    STATE(20722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858030] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19710), 1,
      anon_sym_RPAREN,
    STATE(20723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29868), 1,
      anon_sym_RPAREN,
    STATE(20724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858058] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29870), 1,
      anon_sym_RBRACK,
    STATE(20725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858072] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29872), 1,
      anon_sym_RBRACK,
    STATE(20726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858086] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29874), 1,
      anon_sym_RBRACE,
    STATE(20727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858100] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29876), 1,
      anon_sym_RPAREN,
    STATE(20728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858114] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29878), 1,
      anon_sym_RPAREN,
    STATE(20729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858128] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29878), 1,
      anon_sym_RBRACK,
    STATE(20730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858142] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29878), 1,
      anon_sym_RBRACE,
    STATE(20731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858156] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29880), 1,
      anon_sym_RBRACE,
    STATE(20732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858170] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29882), 1,
      anon_sym_RBRACE,
    STATE(20733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858184] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29884), 1,
      anon_sym_RBRACE,
    STATE(20734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858198] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29886), 1,
      anon_sym_DQUOTE,
    STATE(20735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29888), 1,
      anon_sym_RPAREN,
    STATE(20736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29890), 1,
      anon_sym_DOT,
    STATE(20737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858240] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18305), 1,
      anon_sym_RPAREN,
    STATE(20738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858254] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29892), 1,
      anon_sym_RPAREN,
    STATE(20739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29894), 1,
      anon_sym_with,
    STATE(20740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858282] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29896), 1,
      anon_sym_with,
    STATE(20741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29898), 1,
      anon_sym_DOT,
    STATE(20742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858310] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29900), 1,
      anon_sym_RPAREN,
    STATE(20743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858324] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29902), 1,
      anon_sym_in,
    STATE(20744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858338] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29904), 1,
      anon_sym_RPAREN,
    STATE(20745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858352] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29906), 1,
      sym__identifier,
    STATE(20746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858366] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29908), 1,
      anon_sym_RPAREN,
    STATE(20747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858380] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10049), 1,
      anon_sym_DASH_GT,
    STATE(20748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858394] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29910), 1,
      anon_sym_with,
    STATE(20749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858408] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29912), 1,
      anon_sym_with,
    STATE(20750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858422] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29914), 1,
      anon_sym_RPAREN,
    STATE(20751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858436] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3639), 1,
      anon_sym_RPAREN,
    STATE(20752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858450] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15596), 1,
      anon_sym_DASH_GT,
    STATE(20753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858464] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29916), 1,
      anon_sym_RPAREN,
    STATE(20754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858478] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29918), 1,
      anon_sym_DOT,
    STATE(20755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858492] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29920), 1,
      anon_sym_RBRACE,
    STATE(20756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858506] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29922), 1,
      anon_sym_DASH_GT,
    STATE(20757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858520] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29924), 1,
      anon_sym_SQUOTE2,
    STATE(20758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858534] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29926), 1,
      anon_sym_DOT,
    STATE(20759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858548] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19714), 1,
      anon_sym_RPAREN,
    STATE(20760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858562] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29928), 1,
      anon_sym_DQUOTE,
    STATE(20761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858576] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29930), 1,
      anon_sym_RPAREN,
    STATE(20762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858590] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29932), 1,
      anon_sym_DOT,
    STATE(20763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858604] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29934), 1,
      anon_sym_RBRACK,
    STATE(20764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858618] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29936), 1,
      anon_sym_RPAREN,
    STATE(20765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858632] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29938), 1,
      anon_sym_RPAREN,
    STATE(20766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858646] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29938), 1,
      anon_sym_RBRACK,
    STATE(20767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858660] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29938), 1,
      anon_sym_RBRACE,
    STATE(20768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858674] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29940), 1,
      anon_sym_RBRACE,
    STATE(20769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858688] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29942), 1,
      anon_sym_RBRACE,
    STATE(20770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858702] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29944), 1,
      anon_sym_RPAREN,
    STATE(20771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858716] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22750), 1,
      anon_sym_GT_RBRACE,
    STATE(20772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858730] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29946), 1,
      anon_sym_RPAREN,
    STATE(20773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858744] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29948), 1,
      anon_sym_DOT,
    STATE(20774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858758] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9977), 1,
      anon_sym_DASH_GT,
    STATE(20775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858772] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21493), 1,
      anon_sym_end,
    STATE(20776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858786] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29950), 1,
      anon_sym_with,
    STATE(20777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858800] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29952), 1,
      anon_sym_with,
    STATE(20778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858814] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29954), 1,
      anon_sym_DOT,
    STATE(20779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858828] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9943), 1,
      anon_sym_DASH_GT,
    STATE(20780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858842] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29956), 1,
      anon_sym_DOT,
    STATE(20781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858856] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29958), 1,
      anon_sym_in,
    STATE(20782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858870] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29960), 1,
      anon_sym_RPAREN,
    STATE(20783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858884] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22754), 1,
      anon_sym_GT_RBRACE,
    STATE(20784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858898] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29962), 1,
      anon_sym_with,
    STATE(20785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858912] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29964), 1,
      anon_sym_with,
    STATE(20786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858926] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29966), 1,
      anon_sym_with,
    STATE(20787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858940] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29968), 1,
      anon_sym_RPAREN,
    STATE(20788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858954] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21511), 1,
      anon_sym_end,
    STATE(20789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858968] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29970), 1,
      anon_sym_LT_DASH,
    STATE(20790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858982] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29972), 1,
      anon_sym_in,
    STATE(20791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858996] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29974), 1,
      anon_sym_DOT,
    STATE(20792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859010] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29976), 1,
      anon_sym_with,
    STATE(20793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859024] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29978), 1,
      anon_sym_DOT,
    STATE(20794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859038] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21092), 1,
      anon_sym_end,
    STATE(20795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859052] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29980), 1,
      anon_sym_in,
    STATE(20796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859066] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19726), 1,
      anon_sym_RPAREN,
    STATE(20797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859080] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29982), 1,
      anon_sym_in,
    STATE(20798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859094] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29984), 1,
      anon_sym_in,
    STATE(20799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859108] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29986), 1,
      anon_sym_RPAREN,
    STATE(20800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859122] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29988), 1,
      anon_sym_DASH_GT,
    STATE(20801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859136] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29990), 1,
      anon_sym_RPAREN,
    STATE(20802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859150] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29992), 1,
      anon_sym_RPAREN,
    STATE(20803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859164] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29992), 1,
      anon_sym_RBRACK,
    STATE(20804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859178] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29992), 1,
      anon_sym_RBRACE,
    STATE(20805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859192] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29994), 1,
      anon_sym_RPAREN,
    STATE(20806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859206] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3665), 1,
      anon_sym_RPAREN,
    STATE(20807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859220] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29996), 1,
      anon_sym_RBRACE,
    STATE(20808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859234] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29998), 1,
      anon_sym_SQUOTE2,
    STATE(20809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859248] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3669), 1,
      anon_sym_RPAREN,
    STATE(20810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859262] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30000), 1,
      anon_sym_DOT,
    STATE(20811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859276] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30002), 1,
      anon_sym_RPAREN,
    STATE(20812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859290] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30004), 1,
      anon_sym_DOT,
    STATE(20813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30006), 1,
      anon_sym_DQUOTE,
    STATE(20814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859318] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30008), 1,
      anon_sym_SQUOTE2,
    STATE(20815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859332] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19184), 1,
      anon_sym_GT,
    STATE(20816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859346] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30010), 1,
      anon_sym_DOT,
    STATE(20817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859360] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30012), 1,
      anon_sym_SQUOTE2,
    STATE(20818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859374] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30014), 1,
      anon_sym_DQUOTE,
    STATE(20819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859388] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30016), 1,
      anon_sym_DQUOTE,
    STATE(20820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859402] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19730), 1,
      anon_sym_RPAREN,
    STATE(20821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859416] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30018), 1,
      anon_sym_DASH_GT,
    STATE(20822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859430] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30020), 1,
      anon_sym_RPAREN,
    STATE(20823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859444] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30022), 1,
      anon_sym_RPAREN,
    STATE(20824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859458] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30022), 1,
      anon_sym_RBRACK,
    STATE(20825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30022), 1,
      anon_sym_RBRACE,
    STATE(20826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859486] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30024), 1,
      anon_sym_end,
    STATE(20827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859500] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30026), 1,
      sym__identifier,
    STATE(20828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859514] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30028), 1,
      anon_sym_in,
    STATE(20829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859528] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30030), 1,
      anon_sym_RBRACK,
    STATE(20830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859542] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30032), 1,
      anon_sym_DOT,
    STATE(20831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859556] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30034), 1,
      anon_sym_RBRACK,
    STATE(20832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859570] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30036), 1,
      anon_sym_RBRACE,
    STATE(20833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859584] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30038), 1,
      anon_sym_in,
    STATE(20834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859598] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30040), 1,
      anon_sym_RBRACE,
    STATE(20835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859612] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30042), 1,
      anon_sym_with,
    STATE(20836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30044), 1,
      anon_sym_RPAREN,
    STATE(20837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859640] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19734), 1,
      anon_sym_RPAREN,
    STATE(20838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859654] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30046), 1,
      anon_sym_with,
    STATE(20839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859668] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30048), 1,
      anon_sym_RPAREN,
    STATE(20840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859682] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30050), 1,
      anon_sym_RPAREN,
    STATE(20841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859696] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30050), 1,
      anon_sym_RBRACK,
    STATE(20842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859710] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30050), 1,
      anon_sym_RBRACE,
    STATE(20843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859724] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30052), 1,
      anon_sym_RPAREN,
    STATE(20844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859738] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30054), 1,
      anon_sym_RPAREN,
    STATE(20845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859752] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30056), 1,
      anon_sym_DOT,
    STATE(20846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859766] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30058), 1,
      anon_sym_LT_DASH,
    STATE(20847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859780] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30060), 1,
      anon_sym_DOT,
    STATE(20848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859794] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30062), 1,
      anon_sym_RPAREN,
    STATE(20849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859808] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12992), 1,
      anon_sym_GT,
    STATE(20850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859822] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30064), 1,
      anon_sym_RPAREN,
    STATE(20851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859836] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30064), 1,
      anon_sym_RBRACK,
    STATE(20852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859850] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30064), 1,
      anon_sym_RBRACE,
    STATE(20853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859864] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30066), 1,
      anon_sym_RBRACK,
    STATE(20854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859878] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30068), 1,
      anon_sym_RBRACE,
    STATE(20855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859892] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30070), 1,
      anon_sym_RPAREN,
    STATE(20856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859906] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3687), 1,
      anon_sym_RPAREN,
    STATE(20857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859920] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30072), 1,
      anon_sym_RBRACE,
    STATE(20858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859934] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30074), 1,
      anon_sym_DASH_GT,
    STATE(20859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859948] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30076), 1,
      anon_sym_SQUOTE2,
    STATE(20860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859962] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30078), 1,
      anon_sym_RPAREN,
    STATE(20861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859976] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30078), 1,
      anon_sym_RBRACK,
    STATE(20862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859990] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30078), 1,
      anon_sym_RBRACE,
    STATE(20863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860004] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30080), 1,
      anon_sym_DASH_GT,
    STATE(20864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860018] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30082), 1,
      anon_sym_DQUOTE,
    STATE(20865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860032] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30084), 1,
      anon_sym_DASH_GT,
    STATE(20866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860046] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30086), 1,
      anon_sym_RBRACK,
    STATE(20867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860060] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19778), 1,
      anon_sym_RPAREN,
    STATE(20868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860074] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30088), 1,
      anon_sym_in,
    STATE(20869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860088] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30090), 1,
      anon_sym_in,
    STATE(20870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860102] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30092), 1,
      anon_sym_RPAREN,
    STATE(20871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860116] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30092), 1,
      anon_sym_RBRACK,
    STATE(20872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860130] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30092), 1,
      anon_sym_RBRACE,
    STATE(20873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860144] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30094), 1,
      anon_sym_RBRACE,
    STATE(20874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860158] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30096), 1,
      anon_sym_RBRACE,
    STATE(20875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860172] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30098), 1,
      anon_sym_in,
    STATE(20876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860186] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30100), 1,
      anon_sym_in,
    STATE(20877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860200] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30102), 1,
      anon_sym_RPAREN,
    STATE(20878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860214] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30104), 1,
      anon_sym_DASH_GT,
    STATE(20879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860228] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30106), 1,
      anon_sym_end,
    STATE(20880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860242] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30108), 1,
      anon_sym_RPAREN,
    STATE(20881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860256] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30108), 1,
      anon_sym_RBRACK,
    STATE(20882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860270] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30108), 1,
      anon_sym_RBRACE,
    STATE(20883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860284] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3641), 1,
      anon_sym_RPAREN,
    STATE(20884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860298] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30110), 1,
      anon_sym_RPAREN,
    STATE(20885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860312] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13120), 1,
      anon_sym_GT,
    STATE(20886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860326] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30112), 1,
      anon_sym_RBRACK,
    STATE(20887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860340] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30114), 1,
      anon_sym_DASH_GT,
    STATE(20888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860354] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30116), 1,
      anon_sym_RPAREN,
    STATE(20889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860368] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30118), 1,
      anon_sym_in,
    STATE(20890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860382] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30120), 1,
      anon_sym_RPAREN,
    STATE(20891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860396] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30120), 1,
      anon_sym_RBRACK,
    STATE(20892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860410] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30120), 1,
      anon_sym_RBRACE,
    STATE(20893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860424] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30122), 1,
      anon_sym_RBRACE,
    STATE(20894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860438] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30124), 1,
      anon_sym_end,
    STATE(20895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860452] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30126), 1,
      anon_sym_RBRACE,
    STATE(20896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860466] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30128), 1,
      anon_sym_DASH_GT,
    STATE(20897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860480] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30130), 1,
      anon_sym_RPAREN,
    STATE(20898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860494] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3707), 1,
      anon_sym_RPAREN,
    STATE(20899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860508] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30132), 1,
      anon_sym_RPAREN,
    STATE(20900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860522] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30134), 1,
      anon_sym_RPAREN,
    STATE(20901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860536] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30134), 1,
      anon_sym_RBRACK,
    STATE(20902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860550] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30134), 1,
      anon_sym_RBRACE,
    STATE(20903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860564] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30136), 1,
      anon_sym_RBRACE,
    STATE(20904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860578] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30138), 1,
      anon_sym_RBRACK,
    STATE(20905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860592] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30140), 1,
      anon_sym_SQUOTE2,
    STATE(20906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860606] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30142), 1,
      anon_sym_RPAREN,
    STATE(20907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860620] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30142), 1,
      anon_sym_RBRACK,
    STATE(20908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860634] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30142), 1,
      anon_sym_RBRACE,
    STATE(20909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860648] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30144), 1,
      anon_sym_DASH_GT,
    STATE(20910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860662] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30146), 1,
      anon_sym_RPAREN,
    STATE(20911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860676] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30146), 1,
      anon_sym_RBRACK,
    STATE(20912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860690] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30146), 1,
      anon_sym_RBRACE,
    STATE(20913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860704] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30148), 1,
      anon_sym_DASH_GT,
    STATE(20914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860718] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30150), 1,
      anon_sym_RPAREN,
    STATE(20915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860732] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30152), 1,
      anon_sym_SQUOTE2,
    STATE(20916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860746] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19296), 1,
      anon_sym_GT,
    STATE(20917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860760] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30154), 1,
      anon_sym_DASH_GT,
    STATE(20918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860774] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30156), 1,
      anon_sym_DQUOTE,
    STATE(20919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860788] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30158), 1,
      anon_sym_RBRACK,
    STATE(20920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860802] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30160), 1,
      anon_sym_RPAREN,
    STATE(20921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860816] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30160), 1,
      anon_sym_RBRACK,
    STATE(20922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860830] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30160), 1,
      anon_sym_RBRACE,
    STATE(20923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860844] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30162), 1,
      anon_sym_RBRACE,
    STATE(20924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860858] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23894), 1,
      anon_sym_GT_RBRACE,
    STATE(20925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860872] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30164), 1,
      anon_sym_RBRACE,
    STATE(20926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860886] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18387), 1,
      anon_sym_RPAREN,
    STATE(20927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860900] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30166), 1,
      anon_sym_RPAREN,
    STATE(20928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860914] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22860), 1,
      anon_sym_GT_RBRACE,
    STATE(20929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860928] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30168), 1,
      anon_sym_RPAREN,
    STATE(20930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860942] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30170), 1,
      anon_sym_RPAREN,
    STATE(20931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860956] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30170), 1,
      anon_sym_RBRACK,
    STATE(20932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860970] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30170), 1,
      anon_sym_RBRACE,
    STATE(20933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860984] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30172), 1,
      anon_sym_RPAREN,
    STATE(20934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860998] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30174), 1,
      anon_sym_DASH_GT,
    STATE(20935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861012] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30176), 1,
      anon_sym_RBRACE,
    STATE(20936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861026] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10035), 1,
      anon_sym_DASH_GT,
    STATE(20937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861040] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30178), 1,
      anon_sym_RPAREN,
    STATE(20938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861054] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30180), 1,
      sym__identifier,
    STATE(20939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861068] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30182), 1,
      anon_sym_RBRACE,
    STATE(20940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861082] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30184), 1,
      anon_sym_RPAREN,
    STATE(20941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861096] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30184), 1,
      anon_sym_RBRACK,
    STATE(20942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861110] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30184), 1,
      anon_sym_RBRACE,
    STATE(20943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861124] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3727), 1,
      anon_sym_RPAREN,
    STATE(20944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861138] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21910), 1,
      anon_sym_end,
    STATE(20945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861152] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30186), 1,
      anon_sym_RPAREN,
    STATE(20946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861166] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30188), 1,
      anon_sym_RBRACK,
    STATE(20947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861180] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22800), 1,
      anon_sym_GT_RBRACE,
    STATE(20948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861194] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30190), 1,
      anon_sym_RBRACE,
    STATE(20949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861208] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30192), 1,
      anon_sym_DQUOTE,
    STATE(20950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861222] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30194), 1,
      anon_sym_RPAREN,
    STATE(20951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861236] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30194), 1,
      anon_sym_RBRACK,
    STATE(20952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861250] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30194), 1,
      anon_sym_RBRACE,
    STATE(20953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861264] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14593), 1,
      anon_sym_DASH_GT,
    STATE(20954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861278] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30196), 1,
      anon_sym_RPAREN,
    STATE(20955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861292] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30198), 1,
      anon_sym_SQUOTE2,
    STATE(20956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861306] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30200), 1,
      anon_sym_DQUOTE,
    STATE(20957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861320] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30202), 1,
      anon_sym_RPAREN,
    STATE(20958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861334] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21536), 1,
      anon_sym_end,
    STATE(20959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861348] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30204), 1,
      anon_sym_RBRACE,
    STATE(20960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861362] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30206), 1,
      anon_sym_RPAREN,
    STATE(20961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861376] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30206), 1,
      anon_sym_RBRACK,
    STATE(20962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861390] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30206), 1,
      anon_sym_RBRACE,
    STATE(20963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861404] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30208), 1,
      anon_sym_RBRACK,
    STATE(20964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861418] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30210), 1,
      anon_sym_SQUOTE2,
    STATE(20965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861432] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30212), 1,
      anon_sym_RBRACE,
    STATE(20966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861446] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30214), 1,
      anon_sym_DQUOTE,
    STATE(20967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861460] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10108), 1,
      anon_sym_DASH_GT,
    STATE(20968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861474] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30216), 1,
      anon_sym_RBRACE,
    STATE(20969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861488] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21160), 1,
      anon_sym_end,
    STATE(20970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861502] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30218), 1,
      anon_sym_RPAREN,
    STATE(20971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861516] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30220), 1,
      sym__identifier,
    STATE(20972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861530] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30222), 1,
      anon_sym_RPAREN,
    STATE(20973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861544] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30224), 1,
      anon_sym_RBRACE,
    STATE(20974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861558] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30226), 1,
      anon_sym_RPAREN,
    STATE(20975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861572] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30228), 1,
      anon_sym_DASH_GT,
    STATE(20976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861586] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30230), 1,
      anon_sym_SQUOTE2,
    STATE(20977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861600] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30232), 1,
      anon_sym_RPAREN,
    STATE(20978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861614] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30234), 1,
      anon_sym_RPAREN,
    STATE(20979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861628] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30236), 1,
      anon_sym_DASH_GT,
    STATE(20980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861642] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3745), 1,
      anon_sym_RPAREN,
    STATE(20981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861656] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30238), 1,
      anon_sym_RBRACE,
    STATE(20982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861670] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30240), 1,
      anon_sym_DQUOTE,
    STATE(20983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861684] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30242), 1,
      anon_sym_SQUOTE2,
    STATE(20984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861698] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30244), 1,
      anon_sym_end,
    STATE(20985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861712] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30246), 1,
      anon_sym_RBRACK,
    STATE(20986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861726] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30248), 1,
      anon_sym_RBRACE,
    STATE(20987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861740] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30250), 1,
      anon_sym_DQUOTE,
    STATE(20988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861754] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30252), 1,
      anon_sym_RBRACK,
    STATE(20989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861768] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30254), 1,
      anon_sym_RBRACE,
    STATE(20990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861782] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30256), 1,
      anon_sym_RBRACE,
    STATE(20991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861796] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30258), 1,
      anon_sym_RPAREN,
    STATE(20992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861810] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30260), 1,
      anon_sym_RPAREN,
    STATE(20993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861824] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30262), 1,
      sym__identifier,
    STATE(20994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861838] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30264), 1,
      anon_sym_RPAREN,
    STATE(20995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861852] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30266), 1,
      anon_sym_DASH_GT,
    STATE(20996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861866] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30268), 1,
      anon_sym_RPAREN,
    STATE(20997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861880] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30270), 1,
      anon_sym_DOT,
    STATE(20998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861894] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10142), 1,
      anon_sym_DASH_GT,
    STATE(20999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861908] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30272), 1,
      anon_sym_DOT,
    STATE(21000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861922] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30274), 1,
      anon_sym_GT,
    STATE(21001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861936] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30276), 1,
      anon_sym_RBRACE,
    STATE(21002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861950] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30278), 1,
      anon_sym_RPAREN,
    STATE(21003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861964] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3755), 1,
      anon_sym_RPAREN,
    STATE(21004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861978] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30280), 1,
      anon_sym_RBRACE,
    STATE(21005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861992] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30282), 1,
      anon_sym_RPAREN,
    STATE(21006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862006] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30284), 1,
      anon_sym_DASH_GT,
    STATE(21007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862020] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30286), 1,
      anon_sym_DOT,
    STATE(21008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862034] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30288), 1,
      anon_sym_SQUOTE2,
    STATE(21009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862048] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30290), 1,
      anon_sym_DQUOTE,
    STATE(21010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862062] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30292), 1,
      anon_sym_with,
    STATE(21011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862076] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30294), 1,
      anon_sym_RBRACK,
    STATE(21012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862090] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30296), 1,
      anon_sym_RBRACE,
    STATE(21013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862104] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30298), 1,
      anon_sym_with,
    STATE(21014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862118] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30300), 1,
      anon_sym_DOT,
    STATE(21015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862132] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30302), 1,
      anon_sym_DOT,
    STATE(21016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862146] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30304), 1,
      anon_sym_RBRACE,
    STATE(21017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862160] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30306), 1,
      anon_sym_RBRACK,
    STATE(21018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862174] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30308), 1,
      anon_sym_RPAREN,
    STATE(21019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862188] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30310), 1,
      anon_sym_RBRACE,
    STATE(21020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862202] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30312), 1,
      anon_sym_RPAREN,
    STATE(21021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862216] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3635), 1,
      anon_sym_RPAREN,
    STATE(21022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862230] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30314), 1,
      anon_sym_RPAREN,
    STATE(21023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862244] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30316), 1,
      anon_sym_RPAREN,
    STATE(21024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3765), 1,
      anon_sym_RPAREN,
    STATE(21025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862272] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30318), 1,
      anon_sym_end,
    STATE(21026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862286] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7881), 1,
      anon_sym_RPAREN,
    STATE(21027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862300] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30320), 1,
      anon_sym_RBRACK,
    STATE(21028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862314] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30322), 1,
      anon_sym_RBRACE,
    STATE(21029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30324), 1,
      anon_sym_RBRACE,
    STATE(21030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862342] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30326), 1,
      anon_sym_in,
    STATE(21031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862356] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30328), 1,
      anon_sym_with,
    STATE(21032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862370] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30330), 1,
      anon_sym_SQUOTE2,
    STATE(21033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862384] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30332), 1,
      anon_sym_DQUOTE,
    STATE(21034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862398] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30334), 1,
      anon_sym_RBRACE,
    STATE(21035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862412] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18150), 1,
      anon_sym_RPAREN,
    STATE(21036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862426] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30336), 1,
      anon_sym_with,
    STATE(21037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862440] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30338), 1,
      anon_sym_RPAREN,
    STATE(21038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30340), 1,
      anon_sym_SQUOTE2,
    STATE(21039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862468] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30342), 1,
      anon_sym_DQUOTE,
    STATE(21040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862482] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30344), 1,
      anon_sym_RPAREN,
    STATE(21041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862496] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30346), 1,
      anon_sym_RBRACE,
    STATE(21042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862510] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30348), 1,
      sym__identifier,
    STATE(21043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862524] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30350), 1,
      anon_sym_in,
    STATE(21044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18457), 1,
      anon_sym_RPAREN,
    STATE(21045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862552] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30352), 1,
      anon_sym_DOT,
    STATE(21046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862566] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30354), 1,
      anon_sym_RBRACK,
    STATE(21047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862580] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30356), 1,
      anon_sym_RBRACE,
    STATE(21048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862594] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26000), 1,
      anon_sym_RBRACK,
    STATE(21049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862608] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30358), 1,
      anon_sym_RBRACE,
    STATE(21050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862622] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30360), 1,
      anon_sym_RPAREN,
    STATE(21051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862636] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30362), 1,
      anon_sym_RPAREN,
    STATE(21052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862650] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30364), 1,
      anon_sym_RBRACK,
    STATE(21053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862664] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30366), 1,
      anon_sym_RPAREN,
    STATE(21054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862678] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30368), 1,
      anon_sym_RPAREN,
    STATE(21055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862692] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30370), 1,
      anon_sym_RBRACE,
    STATE(21056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862706] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30372), 1,
      anon_sym_DASH_GT,
    STATE(21057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862720] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18211), 1,
      anon_sym_RPAREN,
    STATE(21058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862734] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30374), 1,
      anon_sym_RPAREN,
    STATE(21059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862748] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7891), 1,
      anon_sym_RPAREN,
    STATE(21060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862762] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30376), 1,
      anon_sym_DASH_GT,
    STATE(21061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862776] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30378), 1,
      anon_sym_RPAREN,
    STATE(21062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862790] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30380), 1,
      anon_sym_RBRACE,
    STATE(21063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862804] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9983), 1,
      anon_sym_DASH_GT,
    STATE(21064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862818] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30382), 1,
      anon_sym_RPAREN,
    STATE(21065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862832] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6553), 1,
      anon_sym_end,
    STATE(21066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862846] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19990), 1,
      anon_sym_RPAREN,
    STATE(21067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862860] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30384), 1,
      anon_sym_DQUOTE,
    STATE(21068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862874] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18359), 1,
      anon_sym_RPAREN,
    STATE(21069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862888] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26024), 1,
      anon_sym_RBRACE,
    STATE(21070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862902] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30386), 1,
      anon_sym_DASH_GT,
    STATE(21071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862916] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30388), 1,
      anon_sym_RBRACE,
    STATE(21072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862930] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30390), 1,
      anon_sym_RBRACE,
    STATE(21073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862944] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30392), 1,
      anon_sym_RBRACE,
    STATE(21074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862958] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30394), 1,
      anon_sym_in,
    STATE(21075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862972] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30396), 1,
      anon_sym_in,
    STATE(21076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862986] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30398), 1,
      anon_sym_RBRACK,
    STATE(21077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863000] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30400), 1,
      anon_sym_end,
    STATE(21078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863014] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30402), 1,
      anon_sym_RBRACE,
    STATE(21079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863028] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30404), 1,
      sym__identifier,
    STATE(21080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863042] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30406), 1,
      anon_sym_RBRACE,
    STATE(21081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863056] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30408), 1,
      anon_sym_RBRACK,
    STATE(21082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863070] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30410), 1,
      anon_sym_end,
    STATE(21083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863084] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30412), 1,
      anon_sym_RBRACE,
    STATE(21084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863098] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30414), 1,
      anon_sym_DASH_GT,
    STATE(21085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863112] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30416), 1,
      anon_sym_RBRACK,
    STATE(21086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863126] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18239), 1,
      anon_sym_RPAREN,
    STATE(21087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30418), 1,
      anon_sym_DASH_GT,
    STATE(21088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863154] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30420), 1,
      anon_sym_RBRACE,
    STATE(21089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863168] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19334), 1,
      anon_sym_GT,
    STATE(21090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863182] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30422), 1,
      anon_sym_RBRACE,
    STATE(21091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863196] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30424), 1,
      anon_sym_RBRACE,
    STATE(21092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863210] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30426), 1,
      aux_sym_number_token1,
    STATE(21093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863224] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30428), 1,
      anon_sym_RBRACK,
    STATE(21094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863238] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30430), 1,
      anon_sym_DASH_GT,
    STATE(21095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863252] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30432), 1,
      anon_sym_RPAREN,
    STATE(21096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30434), 1,
      sym__identifier,
    STATE(21097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863280] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30436), 1,
      anon_sym_RPAREN,
    STATE(21098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30438), 1,
      anon_sym_RBRACE,
    STATE(21099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863308] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30440), 1,
      anon_sym_RBRACE,
    STATE(21100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863322] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30442), 1,
      anon_sym_PIPE,
    STATE(21101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863336] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30444), 1,
      anon_sym_RPAREN,
    STATE(21102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863350] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30444), 1,
      anon_sym_RBRACK,
    STATE(21103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863364] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30446), 1,
      anon_sym_RPAREN,
    STATE(21104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863378] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30448), 1,
      anon_sym_DOT_DOT,
    STATE(21105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863392] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30450), 1,
      anon_sym_DOT_DOT,
    STATE(21106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863406] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30452), 1,
      anon_sym_DOT_DOT,
    STATE(21107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863420] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30454), 1,
      anon_sym_RBRACK,
    STATE(21108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863434] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30456), 1,
      anon_sym_RBRACE,
    STATE(21109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863448] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30444), 1,
      anon_sym_RBRACE,
    STATE(21110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863462] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30458), 1,
      anon_sym_RPAREN,
    STATE(21111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863476] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30460), 1,
      anon_sym_DASH_GT,
    STATE(21112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863490] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30462), 1,
      anon_sym_RPAREN,
    STATE(21113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863504] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30464), 1,
      anon_sym_DASH_GT,
    STATE(21114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863518] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30466), 1,
      anon_sym_RBRACE,
    STATE(21115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863532] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30468), 1,
      anon_sym_DASH_GT,
    STATE(21116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863546] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30470), 1,
      sym__identifier,
    STATE(21117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30472), 1,
      anon_sym_RBRACK,
    STATE(21118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863574] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30474), 1,
      anon_sym_RPAREN,
    STATE(21119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863588] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30476), 1,
      anon_sym_RPAREN,
    STATE(21120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863602] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30478), 1,
      anon_sym_COLON2,
    STATE(21121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30480), 1,
      anon_sym_RBRACE,
    STATE(21122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30482), 1,
      anon_sym_RBRACK,
    STATE(21123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863644] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30484), 1,
      anon_sym_RBRACE,
    STATE(21124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863658] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30486), 1,
      anon_sym_RPAREN,
    STATE(21125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863672] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19206), 1,
      anon_sym_GT,
    STATE(21126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863686] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30488), 1,
      anon_sym_RBRACE,
    STATE(21127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863700] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30490), 1,
      anon_sym_RBRACE,
    STATE(21128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863714] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30492), 1,
      anon_sym_RPAREN,
    STATE(21129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863728] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30494), 1,
      anon_sym_DASH_GT,
    STATE(21130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863742] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30496), 1,
      anon_sym_RPAREN,
    STATE(21131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863756] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30498), 1,
      anon_sym_DASH_GT,
    STATE(21132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863770] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30500), 1,
      anon_sym_DASH_GT,
    STATE(21133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863784] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18080), 1,
      anon_sym_SQUOTE2,
    STATE(21134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863798] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30502), 1,
      anon_sym_RBRACK,
    STATE(21135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863812] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30504), 1,
      anon_sym_RBRACE,
    STATE(21136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863826] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30506), 1,
      anon_sym_RBRACE,
    STATE(21137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863840] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19300), 1,
      anon_sym_GT,
    STATE(21138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863854] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30508), 1,
      anon_sym_RBRACK,
    STATE(21139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863868] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30510), 1,
      anon_sym_RBRACE,
    STATE(21140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863882] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30512), 1,
      anon_sym_RPAREN,
    STATE(21141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863896] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30514), 1,
      anon_sym_RBRACK,
    STATE(21142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863910] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30516), 1,
      anon_sym_RBRACK,
    STATE(21143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863924] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30518), 1,
      anon_sym_RBRACE,
    STATE(21144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863938] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30520), 1,
      anon_sym_RBRACK,
    STATE(21145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863952] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30522), 1,
      anon_sym_RPAREN,
    STATE(21146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30524), 1,
      anon_sym_RBRACE,
    STATE(21147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863980] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30526), 1,
      anon_sym_RBRACE,
    STATE(21148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863994] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30528), 1,
      anon_sym_RPAREN,
    STATE(21149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864008] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30530), 1,
      anon_sym_LT_DASH,
    STATE(21150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864022] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30532), 1,
      anon_sym_in,
    STATE(21151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864036] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30534), 1,
      anon_sym_in,
    STATE(21152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864050] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_GT,
    STATE(21153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864064] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30536), 1,
      anon_sym_in,
    STATE(21154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864078] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30538), 1,
      anon_sym_RPAREN,
    STATE(21155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864092] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30540), 1,
      sym__identifier,
    STATE(21156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864106] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3703), 1,
      anon_sym_RPAREN,
    STATE(21157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864120] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30542), 1,
      anon_sym_RBRACK,
    STATE(21158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864134] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30544), 1,
      anon_sym_RPAREN,
    STATE(21159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864148] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30546), 1,
      anon_sym_in,
    STATE(21160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864162] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30548), 1,
      anon_sym_RBRACE,
    STATE(21161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864176] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30550), 1,
      anon_sym_RPAREN,
    STATE(21162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864190] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30552), 1,
      anon_sym_RBRACE,
    STATE(21163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864204] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30554), 1,
      anon_sym_RBRACE,
    STATE(21164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864218] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30556), 1,
      anon_sym_RBRACE,
    STATE(21165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864232] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30558), 1,
      anon_sym_EQ,
    STATE(21166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864246] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25218), 1,
      anon_sym_RPAREN,
    STATE(21167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24723), 1,
      anon_sym_GT_RBRACE,
    STATE(21168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864274] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30560), 1,
      anon_sym_SQUOTE2,
    STATE(21169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864288] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30562), 1,
      anon_sym_RPAREN,
    STATE(21170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864302] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30564), 1,
      anon_sym_RBRACK,
    STATE(21171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864316] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30566), 1,
      anon_sym_DASH_GT,
    STATE(21172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864330] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30568), 1,
      anon_sym_RBRACE,
    STATE(21173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864344] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30570), 1,
      anon_sym_RPAREN,
    STATE(21174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864358] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30572), 1,
      anon_sym_RBRACE,
    STATE(21175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864372] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30574), 1,
      anon_sym_RBRACK,
    STATE(21176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864386] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30576), 1,
      anon_sym_RBRACK,
    STATE(21177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864400] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30578), 1,
      anon_sym_done,
    STATE(21178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864414] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30580), 1,
      anon_sym_RBRACE,
    STATE(21179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864428] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24053), 1,
      anon_sym_GT_RBRACE,
    STATE(21180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864442] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30582), 1,
      anon_sym_RBRACK,
    STATE(21181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864456] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30584), 1,
      anon_sym_RPAREN,
    STATE(21182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30586), 1,
      anon_sym_DASH_GT,
    STATE(21183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864484] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30588), 1,
      anon_sym_RBRACE,
    STATE(21184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864498] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30590), 1,
      anon_sym_RBRACE,
    STATE(21185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864512] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21934), 1,
      anon_sym_end,
    STATE(21186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864526] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21266), 1,
      anon_sym_end,
    STATE(21187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864540] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30592), 1,
      anon_sym_RBRACK,
    STATE(21188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864554] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30594), 1,
      anon_sym_DOT,
    STATE(21189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864568] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26140), 1,
      anon_sym_RBRACK,
    STATE(21190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864582] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30596), 1,
      anon_sym_SQUOTE2,
    STATE(21191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864596] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30598), 1,
      anon_sym_DQUOTE,
    STATE(21192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864610] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30600), 1,
      anon_sym_RPAREN,
    STATE(21193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864624] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30602), 1,
      anon_sym_RPAREN,
    STATE(21194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864638] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30604), 1,
      anon_sym_RBRACK,
    STATE(21195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864652] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30606), 1,
      anon_sym_RBRACK,
    STATE(21196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864666] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30608), 1,
      anon_sym_RBRACE,
    STATE(21197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864680] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30610), 1,
      anon_sym_RPAREN,
    STATE(21198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864694] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30612), 1,
      sym__identifier,
    STATE(21199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864708] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30614), 1,
      anon_sym_RPAREN,
    STATE(21200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864722] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30616), 1,
      anon_sym_RBRACK,
    STATE(21201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864736] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30618), 1,
      anon_sym_RBRACE,
    STATE(21202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864750] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30620), 1,
      anon_sym_RBRACE,
    STATE(21203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30622), 1,
      anon_sym_RPAREN,
    STATE(21204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864778] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30624), 1,
      anon_sym_RBRACK,
    STATE(21205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864792] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30626), 1,
      anon_sym_RBRACE,
    STATE(21206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864806] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30628), 1,
      sym__identifier,
    STATE(21207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864820] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30630), 1,
      anon_sym_DOT,
    STATE(21208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864834] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30632), 1,
      anon_sym_RBRACE,
    STATE(21209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864848] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30634), 1,
      anon_sym_RPAREN,
    STATE(21210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30636), 1,
      anon_sym_RPAREN,
    STATE(21211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864876] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30638), 1,
      anon_sym_with,
    STATE(21212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30640), 1,
      anon_sym_RBRACK,
    STATE(21213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864904] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30642), 1,
      anon_sym_RBRACE,
    STATE(21214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864918] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30644), 1,
      anon_sym_RPAREN,
    STATE(21215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30646), 1,
      anon_sym_with,
    STATE(21216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864946] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9987), 1,
      anon_sym_DASH_GT,
    STATE(21217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864960] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30648), 1,
      anon_sym_DOT,
    STATE(21218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864974] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30650), 1,
      anon_sym_PIPE,
    STATE(21219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864988] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30652), 1,
      anon_sym_RBRACE,
    STATE(21220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865002] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30654), 1,
      anon_sym_RPAREN,
    STATE(21221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865016] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30656), 1,
      anon_sym_DOT_DOT,
    STATE(21222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865030] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30658), 1,
      anon_sym_DOT_DOT,
    STATE(21223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30660), 1,
      anon_sym_DOT_DOT,
    STATE(21224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865058] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30662), 1,
      anon_sym_RBRACK,
    STATE(21225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865072] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30664), 1,
      anon_sym_RBRACE,
    STATE(21226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865086] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30666), 1,
      anon_sym_RBRACE,
    STATE(21227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865100] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30668), 1,
      anon_sym_RBRACE,
    STATE(21228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865114] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30670), 1,
      anon_sym_DASH_GT,
    STATE(21229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865128] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13108), 1,
      anon_sym_GT,
    STATE(21230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865142] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30672), 1,
      anon_sym_RBRACK,
    STATE(21231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865156] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30674), 1,
      anon_sym_RPAREN,
    STATE(21232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865170] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30676), 1,
      anon_sym_RBRACE,
    STATE(21233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865184] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30678), 1,
      anon_sym_COLON2,
    STATE(21234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865198] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30680), 1,
      anon_sym_RPAREN,
    STATE(21235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30682), 1,
      anon_sym_end,
    STATE(21236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30684), 1,
      anon_sym_RBRACK,
    STATE(21237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865240] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30686), 1,
      anon_sym_RBRACE,
    STATE(21238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865254] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30688), 1,
      anon_sym_RPAREN,
    STATE(21239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30690), 1,
      anon_sym_RPAREN,
    STATE(21240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865282] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18279), 1,
      anon_sym_RPAREN,
    STATE(21241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30692), 1,
      anon_sym_RPAREN,
    STATE(21242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865310] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30694), 1,
      anon_sym_RBRACK,
    STATE(21243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865324] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30696), 1,
      anon_sym_with,
    STATE(21244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865338] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30698), 1,
      anon_sym_RBRACE,
    STATE(21245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865352] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30700), 1,
      anon_sym_RPAREN,
    STATE(21246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865366] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30702), 1,
      anon_sym_with,
    STATE(21247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865380] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30704), 1,
      anon_sym_RPAREN,
    STATE(21248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865394] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30706), 1,
      anon_sym_DASH_GT,
    STATE(21249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865408] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30708), 1,
      anon_sym_RBRACK,
    STATE(21250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865422] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30710), 1,
      anon_sym_RPAREN,
    STATE(21251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865436] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30712), 1,
      anon_sym_RBRACE,
    STATE(21252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865450] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30714), 1,
      anon_sym_RBRACE,
    STATE(21253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865464] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30716), 1,
      anon_sym_RBRACE,
    STATE(21254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865478] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30718), 1,
      anon_sym_in,
    STATE(21255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865492] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30720), 1,
      anon_sym_RPAREN,
    STATE(21256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865506] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30722), 1,
      anon_sym_RBRACK,
    STATE(21257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865520] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30724), 1,
      anon_sym_RPAREN,
    STATE(21258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865534] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30726), 1,
      anon_sym_RBRACK,
    STATE(21259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865548] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30728), 1,
      anon_sym_RBRACE,
    STATE(21260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865562] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30730), 1,
      anon_sym_DOT,
    STATE(21261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865576] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30732), 1,
      anon_sym_RBRACE,
    STATE(21262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865590] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30734), 1,
      anon_sym_RBRACE,
    STATE(21263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865604] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26208), 1,
      anon_sym_RBRACK,
    STATE(21264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865618] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30736), 1,
      anon_sym_RPAREN,
    STATE(21265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865632] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30738), 1,
      anon_sym_SQUOTE2,
    STATE(21266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865646] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30740), 1,
      anon_sym_RPAREN,
    STATE(21267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865660] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30742), 1,
      anon_sym_RBRACK,
    STATE(21268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865674] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30744), 1,
      anon_sym_RBRACE,
    STATE(21269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865688] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30746), 1,
      anon_sym_RBRACE,
    STATE(21270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865702] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30748), 1,
      anon_sym_RPAREN,
    STATE(21271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865716] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30750), 1,
      anon_sym_RPAREN,
    STATE(21272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865730] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30752), 1,
      anon_sym_DASH_GT,
    STATE(21273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865744] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30754), 1,
      anon_sym_RBRACK,
    STATE(21274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865758] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30756), 1,
      anon_sym_RBRACE,
    STATE(21275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865772] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30758), 1,
      anon_sym_RPAREN,
    STATE(21276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865786] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30760), 1,
      anon_sym_LT_DASH,
    STATE(21277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865800] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30762), 1,
      anon_sym_RPAREN,
    STATE(21278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865814] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30764), 1,
      anon_sym_RBRACK,
    STATE(21279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865828] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30766), 1,
      anon_sym_RBRACE,
    STATE(21280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865842] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30768), 1,
      sym__identifier,
    STATE(21281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865856] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30770), 1,
      anon_sym_DASH_GT,
    STATE(21282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865870] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30772), 1,
      anon_sym_RBRACK,
    STATE(21283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865884] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30774), 1,
      anon_sym_RPAREN,
    STATE(21284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865898] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19422), 1,
      anon_sym_RPAREN,
    STATE(21285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865912] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30776), 1,
      anon_sym_RBRACE,
    STATE(21286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865926] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30778), 1,
      anon_sym_RBRACE,
    STATE(21287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865940] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30780), 1,
      anon_sym_RBRACE,
    STATE(21288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865954] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30782), 1,
      anon_sym_RBRACK,
    STATE(21289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865968] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30784), 1,
      anon_sym_RPAREN,
    STATE(21290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865982] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26246), 1,
      anon_sym_RBRACE,
    STATE(21291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865996] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30786), 1,
      anon_sym_GT,
    STATE(21292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866010] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30788), 1,
      anon_sym_PIPE,
    STATE(21293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866024] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30790), 1,
      anon_sym_RBRACE,
    STATE(21294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866038] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30792), 1,
      anon_sym_RPAREN,
    STATE(21295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866052] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30794), 1,
      anon_sym_DOT_DOT,
    STATE(21296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866066] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30796), 1,
      anon_sym_DOT_DOT,
    STATE(21297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866080] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30798), 1,
      anon_sym_DOT_DOT,
    STATE(21298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866094] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30800), 1,
      anon_sym_RBRACE,
    STATE(21299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866108] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30802), 1,
      anon_sym_RBRACE,
    STATE(21300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866122] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30804), 1,
      anon_sym_RBRACE,
    STATE(21301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866136] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30806), 1,
      anon_sym_DASH_GT,
    STATE(21302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866150] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13016), 1,
      anon_sym_GT,
    STATE(21303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866164] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30808), 1,
      anon_sym_RBRACK,
    STATE(21304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866178] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30810), 1,
      anon_sym_RPAREN,
    STATE(21305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866192] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30812), 1,
      anon_sym_RBRACE,
    STATE(21306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866206] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30814), 1,
      anon_sym_RBRACE,
    STATE(21307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866220] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30816), 1,
      anon_sym_COLON2,
    STATE(21308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866234] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30818), 1,
      anon_sym_RPAREN,
    STATE(21309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866248] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30820), 1,
      anon_sym_RPAREN,
    STATE(21310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866262] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30822), 1,
      anon_sym_RBRACK,
    STATE(21311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866276] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30824), 1,
      anon_sym_LT_DASH,
    STATE(21312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866290] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30826), 1,
      anon_sym_in,
    STATE(21313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30828), 1,
      anon_sym_in,
    STATE(21314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866318] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30830), 1,
      anon_sym_in,
    STATE(21315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866332] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30832), 1,
      anon_sym_RPAREN,
    STATE(21316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866346] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30834), 1,
      anon_sym_RBRACE,
    STATE(21317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866360] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3725), 1,
      anon_sym_RPAREN,
    STATE(21318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866374] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30836), 1,
      anon_sym_RPAREN,
    STATE(21319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866388] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30838), 1,
      anon_sym_RPAREN,
    STATE(21320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866402] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30838), 1,
      anon_sym_RBRACK,
    STATE(21321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866416] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30840), 1,
      anon_sym_in,
    STATE(21322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866430] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30838), 1,
      anon_sym_RBRACE,
    STATE(21323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866444] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30842), 1,
      anon_sym_DASH_GT,
    STATE(21324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866458] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30844), 1,
      anon_sym_DASH_GT,
    STATE(21325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30846), 1,
      anon_sym_RBRACE,
    STATE(21326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866486] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30848), 1,
      anon_sym_GT,
    STATE(21327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866500] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30850), 1,
      anon_sym_RBRACE,
    STATE(21328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866514] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30852), 1,
      anon_sym_DASH_GT,
    STATE(21329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866528] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30854), 1,
      anon_sym_end,
    STATE(21330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866542] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30856), 1,
      anon_sym_RBRACK,
    STATE(21331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866556] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30858), 1,
      anon_sym_RBRACE,
    STATE(21332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866570] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10984), 1,
      anon_sym_RBRACK,
    STATE(21333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866584] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30860), 1,
      anon_sym_RPAREN,
    STATE(21334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866598] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30862), 1,
      anon_sym_RBRACE,
    STATE(21335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866612] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13038), 1,
      anon_sym_GT,
    STATE(21336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30864), 1,
      anon_sym_RPAREN,
    STATE(21337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866640] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30866), 1,
      anon_sym_RBRACK,
    STATE(21338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866654] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30868), 1,
      anon_sym_RBRACE,
    STATE(21339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866668] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30870), 1,
      anon_sym_RBRACE,
    STATE(21340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866682] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30872), 1,
      anon_sym_DQUOTE,
    STATE(21341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866696] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30874), 1,
      anon_sym_RBRACK,
    STATE(21342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866710] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30876), 1,
      anon_sym_RBRACE,
    STATE(21343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866724] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30878), 1,
      sym__identifier,
    STATE(21344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866738] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30880), 1,
      anon_sym_RBRACE,
    STATE(21345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866752] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30882), 1,
      sym__identifier,
    STATE(21346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866766] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2989), 1,
      anon_sym_end,
    STATE(21347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866780] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30884), 1,
      anon_sym_RBRACK,
    STATE(21348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866794] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30886), 1,
      anon_sym_PIPE,
    STATE(21349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866808] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30888), 1,
      anon_sym_end,
    STATE(21350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866822] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30890), 1,
      anon_sym_DOT_DOT,
    STATE(21351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866836] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30892), 1,
      anon_sym_DOT_DOT,
    STATE(21352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866850] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30894), 1,
      anon_sym_DOT_DOT,
    STATE(21353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866864] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24179), 1,
      anon_sym_GT_RBRACE,
    STATE(21354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866878] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30896), 1,
      anon_sym_RBRACE,
    STATE(21355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866892] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30898), 1,
      anon_sym_COLON2,
    STATE(21356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866906] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21964), 1,
      anon_sym_end,
    STATE(21357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866920] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30900), 1,
      sym__capitalized_identifier,
    STATE(21358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866934] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30902), 1,
      anon_sym_SQUOTE2,
    STATE(21359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866948] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30904), 1,
      anon_sym_RBRACE,
    STATE(21360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866962] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30906), 1,
      anon_sym_DQUOTE,
    STATE(21361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866976] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30908), 1,
      anon_sym_RPAREN,
    STATE(21362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866990] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30910), 1,
      anon_sym_RPAREN,
    STATE(21363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867004] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30912), 1,
      sym__identifier,
    STATE(21364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867018] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25520), 1,
      aux_sym_number_token1,
    STATE(21365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867032] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30914), 1,
      anon_sym_in,
    STATE(21366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867046] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30916), 1,
      anon_sym_in,
    STATE(21367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867060] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30918), 1,
      anon_sym_RPAREN,
    STATE(21368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867074] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30920), 1,
      anon_sym_in,
    STATE(21369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867088] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30922), 1,
      anon_sym_RPAREN,
    STATE(21370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867102] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26328), 1,
      anon_sym_RBRACK,
    STATE(21371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867116] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30924), 1,
      anon_sym_RPAREN,
    STATE(21372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867130] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30926), 1,
      anon_sym_RBRACK,
    STATE(21373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867144] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30928), 1,
      anon_sym_RBRACE,
    STATE(21374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867158] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30930), 1,
      anon_sym_RPAREN,
    STATE(21375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867172] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30932), 1,
      anon_sym_GT,
    STATE(21376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867186] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26332), 1,
      anon_sym_RBRACE,
    STATE(21377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867200] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30934), 1,
      anon_sym_RPAREN,
    STATE(21378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867214] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18455), 1,
      anon_sym_RPAREN,
    STATE(21379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867228] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30936), 1,
      anon_sym_RPAREN,
    STATE(21380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867242] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30938), 1,
      anon_sym_RBRACK,
    STATE(21381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867256] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30940), 1,
      sym__identifier,
    STATE(21382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867270] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30942), 1,
      anon_sym_RPAREN,
    STATE(21383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867284] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30944), 1,
      anon_sym_DOT,
    STATE(21384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867298] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30946), 1,
      anon_sym_RBRACK,
    STATE(21385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867312] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30948), 1,
      anon_sym_RPAREN,
    STATE(21386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867326] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30950), 1,
      anon_sym_PIPE,
    STATE(21387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867340] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3767), 1,
      anon_sym_RPAREN,
    STATE(21388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867354] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30952), 1,
      anon_sym_DOT_DOT,
    STATE(21389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867368] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30954), 1,
      anon_sym_DOT_DOT,
    STATE(21390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867382] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30956), 1,
      anon_sym_DOT_DOT,
    STATE(21391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867396] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30958), 1,
      anon_sym_RPAREN,
    STATE(21392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867410] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9995), 1,
      anon_sym_DASH_GT,
    STATE(21393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867424] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30960), 1,
      anon_sym_DOT,
    STATE(21394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867438] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30962), 1,
      anon_sym_DOT,
    STATE(21395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867452] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30964), 1,
      anon_sym_LT_DASH,
    STATE(21396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867466] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6427), 1,
      anon_sym_end,
    STATE(21397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867480] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30966), 1,
      anon_sym_RBRACE,
    STATE(21398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867494] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26898), 1,
      anon_sym_RBRACE,
    STATE(21399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867508] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30968), 1,
      anon_sym_in,
    STATE(21400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867522] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30970), 1,
      anon_sym_RBRACE,
    STATE(21401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867536] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30972), 1,
      anon_sym_with,
    STATE(21402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867550] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26372), 1,
      anon_sym_RBRACK,
    STATE(21403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867564] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30974), 1,
      anon_sym_GT,
    STATE(21404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867578] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13534), 1,
      anon_sym_DASH_GT,
    STATE(21405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867592] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30976), 1,
      anon_sym_with,
    STATE(21406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867606] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30978), 1,
      anon_sym_DOT,
    STATE(21407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867620] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30980), 1,
      anon_sym_in,
    STATE(21408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867634] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13158), 1,
      anon_sym_GT,
    STATE(21409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867648] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30982), 1,
      anon_sym_with,
    STATE(21410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867662] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30984), 1,
      anon_sym_in,
    STATE(21411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867676] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30986), 1,
      anon_sym_DASH_GT,
    STATE(21412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867690] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30988), 1,
      sym__identifier,
    STATE(21413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867704] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30990), 1,
      anon_sym_in,
    STATE(21414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867718] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26392), 1,
      anon_sym_RBRACE,
    STATE(21415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867732] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30992), 1,
      anon_sym_RBRACK,
    STATE(21416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867746] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30994), 1,
      anon_sym_GT,
    STATE(21417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867760] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30996), 1,
      anon_sym_PIPE,
    STATE(21418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867774] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30998), 1,
      anon_sym_RBRACE,
    STATE(21419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867788] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31000), 1,
      anon_sym_DOT_DOT,
    STATE(21420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867802] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31002), 1,
      anon_sym_DOT_DOT,
    STATE(21421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867816] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31004), 1,
      anon_sym_DOT_DOT,
    STATE(21422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867830] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14311), 1,
      anon_sym_DASH_GT,
    STATE(21423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867844] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31006), 1,
      anon_sym_LT_DASH,
    STATE(21424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867858] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31008), 1,
      anon_sym_in,
    STATE(21425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867872] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31010), 1,
      anon_sym_end,
    STATE(21426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867886] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31012), 1,
      anon_sym_in,
    STATE(21427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867900] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31014), 1,
      anon_sym_RPAREN,
    STATE(21428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867914] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31016), 1,
      anon_sym_RBRACK,
    STATE(21429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867928] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31018), 1,
      anon_sym_RPAREN,
    STATE(21430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867942] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31020), 1,
      anon_sym_RPAREN,
    STATE(21431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867956] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31022), 1,
      anon_sym_RBRACK,
    STATE(21432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867970] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31024), 1,
      anon_sym_in,
    STATE(21433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867984] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26406), 1,
      anon_sym_RBRACK,
    STATE(21434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867998] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31026), 1,
      anon_sym_with,
    STATE(21435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868012] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31028), 1,
      anon_sym_RBRACE,
    STATE(21436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868026] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31030), 1,
      anon_sym_GT,
    STATE(21437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868040] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31032), 1,
      anon_sym_with,
    STATE(21438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868054] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31034), 1,
      anon_sym_RBRACE,
    STATE(21439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868068] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31036), 1,
      anon_sym_RBRACE,
    STATE(21440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868082] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31038), 1,
      sym__identifier,
    STATE(21441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868096] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31040), 1,
      anon_sym_EQ,
    STATE(21442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868110] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31042), 1,
      anon_sym_RPAREN,
    STATE(21443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868124] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31044), 1,
      anon_sym_PIPE,
    STATE(21444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868138] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31046), 1,
      anon_sym_DOT_DOT,
    STATE(21445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868152] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31048), 1,
      anon_sym_DOT_DOT,
    STATE(21446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868166] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31050), 1,
      anon_sym_DOT_DOT,
    STATE(21447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868180] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31052), 1,
      anon_sym_RPAREN,
    STATE(21448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868194] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18507), 1,
      anon_sym_RPAREN,
    STATE(21449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868208] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27026), 1,
      anon_sym_RBRACE,
    STATE(21450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868222] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31054), 1,
      anon_sym_RBRACE,
    STATE(21451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868236] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31056), 1,
      anon_sym_RPAREN,
    STATE(21452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868250] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31058), 1,
      anon_sym_RBRACE,
    STATE(21453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868264] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31060), 1,
      anon_sym_DOT,
    STATE(21454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868278] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31062), 1,
      anon_sym_DOT,
    STATE(21455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868292] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31064), 1,
      anon_sym_LT_DASH,
    STATE(21456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868306] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31066), 1,
      anon_sym_in,
    STATE(21457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868320] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31068), 1,
      sym__identifier,
    STATE(21458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868334] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10896), 1,
      anon_sym_RBRACK,
    STATE(21459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868348] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31070), 1,
      anon_sym_RPAREN,
    STATE(21460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868362] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31072), 1,
      anon_sym_with,
    STATE(21461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868376] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31074), 1,
      anon_sym_DASH_GT,
    STATE(21462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868390] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31076), 1,
      anon_sym_DASH_GT,
    STATE(21463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868404] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31078), 1,
      anon_sym_in,
    STATE(21464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868418] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31080), 1,
      anon_sym_DASH_GT,
    STATE(21465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868432] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31082), 1,
      sym__identifier,
    STATE(21466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868446] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31084), 1,
      anon_sym_RBRACE,
    STATE(21467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868460] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31086), 1,
      anon_sym_PIPE,
    STATE(21468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868474] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31088), 1,
      anon_sym_DOT_DOT,
    STATE(21469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868488] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31090), 1,
      anon_sym_DOT_DOT,
    STATE(21470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868502] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31092), 1,
      anon_sym_DOT_DOT,
    STATE(21471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868516] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19526), 1,
      anon_sym_RPAREN,
    STATE(21472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868530] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31094), 1,
      anon_sym_RPAREN,
    STATE(21473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868544] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31096), 1,
      anon_sym_with,
    STATE(21474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868558] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31098), 1,
      anon_sym_RPAREN,
    STATE(21475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868572] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3771), 1,
      anon_sym_RPAREN,
    STATE(21476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868586] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31100), 1,
      anon_sym_DOT,
    STATE(21477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868600] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31102), 1,
      anon_sym_in,
    STATE(21478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868614] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10904), 1,
      anon_sym_RBRACK,
    STATE(21479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868628] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31104), 1,
      anon_sym_RBRACE,
    STATE(21480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868642] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31106), 1,
      anon_sym_RPAREN,
    STATE(21481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868656] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31108), 1,
      anon_sym_RBRACK,
    STATE(21482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868670] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31110), 1,
      anon_sym_RPAREN,
    STATE(21483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868684] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31112), 1,
      anon_sym_RBRACE,
    STATE(21484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868698] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31114), 1,
      anon_sym_RPAREN,
    STATE(21485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868712] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31116), 1,
      sym__identifier,
    STATE(21486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868726] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31118), 1,
      anon_sym_in,
    STATE(21487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868740] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31120), 1,
      anon_sym_PIPE,
    STATE(21488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868754] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31122), 1,
      anon_sym_DOT_DOT,
    STATE(21489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868768] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31124), 1,
      anon_sym_DOT_DOT,
    STATE(21490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868782] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31126), 1,
      anon_sym_DOT_DOT,
    STATE(21491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868796] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31128), 1,
      anon_sym_RPAREN,
    STATE(21492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868810] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31130), 1,
      anon_sym_RPAREN,
    STATE(21493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868824] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31132), 1,
      anon_sym_DASH_GT,
    STATE(21494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868838] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31134), 1,
      anon_sym_RPAREN,
    STATE(21495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868852] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31136), 1,
      sym__identifier,
    STATE(21496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868866] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3659), 1,
      anon_sym_RPAREN,
    STATE(21497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868880] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10025), 1,
      anon_sym_DASH_GT,
    STATE(21498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868894] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26464), 1,
      anon_sym_RBRACK,
    STATE(21499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868908] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31138), 1,
      anon_sym_DASH_GT,
    STATE(21500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868922] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31140), 1,
      anon_sym_in,
    STATE(21501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868936] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31142), 1,
      sym__identifier,
    STATE(21502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868950] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31144), 1,
      anon_sym_RPAREN,
    STATE(21503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868964] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31146), 1,
      anon_sym_RPAREN,
    STATE(21504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868978] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31148), 1,
      sym__identifier,
    STATE(21505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868992] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31146), 1,
      anon_sym_RBRACK,
    STATE(21506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869006] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31150), 1,
      anon_sym_PIPE,
    STATE(21507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869020] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31152), 1,
      anon_sym_DOT_DOT,
    STATE(21508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869034] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31154), 1,
      anon_sym_DOT_DOT,
    STATE(21509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869048] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31156), 1,
      anon_sym_DOT_DOT,
    STATE(21510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869062] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31146), 1,
      anon_sym_RBRACE,
    STATE(21511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869076] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31158), 1,
      anon_sym_DASH_GT,
    STATE(21512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869090] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31160), 1,
      anon_sym_RPAREN,
    STATE(21513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869104] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31162), 1,
      anon_sym_DASH_GT,
    STATE(21514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869118] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31164), 1,
      anon_sym_RPAREN,
    STATE(21515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869132] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31166), 1,
      anon_sym_DASH_GT,
    STATE(21516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869146] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31168), 1,
      anon_sym_RPAREN,
    STATE(21517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869160] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10912), 1,
      anon_sym_RBRACK,
    STATE(21518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869174] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31170), 1,
      anon_sym_RBRACE,
    STATE(21519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869188] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31172), 1,
      anon_sym_in,
    STATE(21520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869202] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18417), 1,
      anon_sym_RPAREN,
    STATE(21521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869216] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31174), 1,
      sym__identifier,
    STATE(21522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869230] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31176), 1,
      anon_sym_in,
    STATE(21523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869244] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31178), 1,
      sym__identifier,
    STATE(21524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31180), 1,
      anon_sym_RBRACE,
    STATE(21525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869272] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31182), 1,
      anon_sym_PIPE,
    STATE(21526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869286] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31184), 1,
      anon_sym_DOT_DOT,
    STATE(21527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869300] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31186), 1,
      anon_sym_DOT_DOT,
    STATE(21528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869314] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31188), 1,
      anon_sym_DOT_DOT,
    STATE(21529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31190), 1,
      anon_sym_RPAREN,
    STATE(21530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869342] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31192), 1,
      anon_sym_RPAREN,
    STATE(21531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869356] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31194), 1,
      anon_sym_RPAREN,
    STATE(21532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869370] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31196), 1,
      anon_sym_RBRACE,
    STATE(21533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869384] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31198), 1,
      anon_sym_RBRACK,
    STATE(21534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869398] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31200), 1,
      anon_sym_RBRACE,
    STATE(21535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869412] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31202), 1,
      anon_sym_RBRACE,
    STATE(21536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869426] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31204), 1,
      anon_sym_RPAREN,
    STATE(21537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869440] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31206), 1,
      anon_sym_LT_DASH,
    STATE(21538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31208), 1,
      anon_sym_RPAREN,
    STATE(21539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869468] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31210), 1,
      anon_sym_DOT,
    STATE(21540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869482] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31212), 1,
      sym__identifier,
    STATE(21541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869496] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31214), 1,
      anon_sym_in,
    STATE(21542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869510] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31216), 1,
      anon_sym_PIPE,
    STATE(21543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869524] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31218), 1,
      anon_sym_DOT_DOT,
    STATE(21544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31220), 1,
      anon_sym_DOT_DOT,
    STATE(21545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869552] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31222), 1,
      anon_sym_DOT_DOT,
    STATE(21546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869566] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31224), 1,
      anon_sym_end,
    STATE(21547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869580] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31226), 1,
      anon_sym_DASH_GT,
    STATE(21548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869594] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31228), 1,
      anon_sym_type,
    STATE(21549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869608] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12859), 1,
      anon_sym_GT,
    STATE(21550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869622] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22997), 1,
      anon_sym_GT_RBRACE,
    STATE(21551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869636] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31230), 1,
      anon_sym_in,
    STATE(21552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869650] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31232), 1,
      anon_sym_RPAREN,
    STATE(21553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869664] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31234), 1,
      anon_sym_in,
    STATE(21554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869678] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31236), 1,
      anon_sym_RPAREN,
    STATE(21555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869692] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31238), 1,
      anon_sym_RPAREN,
    STATE(21556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869706] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27200), 1,
      anon_sym_RBRACE,
    STATE(21557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869720] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31240), 1,
      sym__identifier,
    STATE(21558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869734] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22959), 1,
      anon_sym_GT_RBRACE,
    STATE(21559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869748] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31242), 1,
      anon_sym_PIPE,
    STATE(21560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869762] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31244), 1,
      anon_sym_DOT_DOT,
    STATE(21561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869776] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31246), 1,
      anon_sym_DOT_DOT,
    STATE(21562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869790] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31248), 1,
      anon_sym_DOT_DOT,
    STATE(21563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869804] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31250), 1,
      anon_sym_RBRACK,
    STATE(21564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869818] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31252), 1,
      anon_sym_RBRACE,
    STATE(21565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869832] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21620), 1,
      anon_sym_end,
    STATE(21566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869846] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31254), 1,
      sym__identifier,
    STATE(21567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869860] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31256), 1,
      anon_sym_SQUOTE2,
    STATE(21568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869874] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21176), 1,
      anon_sym_end,
    STATE(21569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869888] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31258), 1,
      sym__right_quoted_string_delimiter,
    STATE(21570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869902] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31260), 1,
      anon_sym_DQUOTE,
    STATE(21571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869916] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20494), 1,
      anon_sym_DASH_GT,
    STATE(21572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869930] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31262), 1,
      anon_sym_RPAREN,
    STATE(21573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869944] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31264), 1,
      anon_sym_RPAREN,
    STATE(21574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869958] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31266), 1,
      sym__identifier,
    STATE(21575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869972] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31268), 1,
      anon_sym_DOT,
    STATE(21576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869986] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31270), 1,
      anon_sym_PIPE,
    STATE(21577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870000] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31272), 1,
      anon_sym_DOT_DOT,
    STATE(21578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870014] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31274), 1,
      anon_sym_DOT_DOT,
    STATE(21579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870028] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31276), 1,
      anon_sym_DOT_DOT,
    STATE(21580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870042] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31278), 1,
      anon_sym_LT_DASH,
    STATE(21581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870056] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3801), 1,
      anon_sym_RPAREN,
    STATE(21582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870070] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31280), 1,
      anon_sym_in,
    STATE(21583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870084] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31282), 1,
      sym__identifier,
    STATE(21584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870098] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7871), 1,
      anon_sym_end,
    STATE(21585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870112] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31284), 1,
      anon_sym_RBRACE,
    STATE(21586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870126] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31286), 1,
      aux_sym_number_token1,
    STATE(21587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31288), 1,
      anon_sym_in,
    STATE(21588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870154] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31290), 1,
      anon_sym_in,
    STATE(21589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870168] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9939), 1,
      anon_sym_DASH_GT,
    STATE(21590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870182] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31292), 1,
      anon_sym_in,
    STATE(21591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870196] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31294), 1,
      sym__identifier,
    STATE(21592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870210] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20008), 1,
      anon_sym_RBRACK,
    STATE(21593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870224] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31296), 1,
      anon_sym_PIPE,
    STATE(21594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870238] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31298), 1,
      anon_sym_DOT_DOT,
    STATE(21595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870252] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31300), 1,
      anon_sym_DOT_DOT,
    STATE(21596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31302), 1,
      anon_sym_DOT_DOT,
    STATE(21597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870280] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31304), 1,
      anon_sym_RPAREN,
    STATE(21598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31306), 1,
      anon_sym_with,
    STATE(21599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870308] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3643), 1,
      anon_sym_RPAREN,
    STATE(21600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870322] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31308), 1,
      anon_sym_with,
    STATE(21601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870336] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31310), 1,
      anon_sym_SQUOTE2,
    STATE(21602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870350] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31312), 1,
      anon_sym_with,
    STATE(21603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870364] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31314), 1,
      anon_sym_with,
    STATE(21604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870378] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31316), 1,
      anon_sym_in,
    STATE(21605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870392] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31318), 1,
      anon_sym_DOT,
    STATE(21606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870406] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31320), 1,
      anon_sym_DQUOTE,
    STATE(21607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870420] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31322), 1,
      anon_sym_RBRACK,
    STATE(21608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870434] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31324), 1,
      sym__identifier,
    STATE(21609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870448] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31326), 1,
      anon_sym_RBRACE,
    STATE(21610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870462] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31328), 1,
      anon_sym_PIPE,
    STATE(21611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870476] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31330), 1,
      anon_sym_DOT_DOT,
    STATE(21612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870490] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31332), 1,
      anon_sym_DOT_DOT,
    STATE(21613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870504] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31334), 1,
      anon_sym_DOT_DOT,
    STATE(21614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870518] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31336), 1,
      anon_sym_RBRACE,
    STATE(21615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870532] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31338), 1,
      anon_sym_GT,
    STATE(21616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870546] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31340), 1,
      anon_sym_RBRACE,
    STATE(21617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7843), 1,
      anon_sym_end,
    STATE(21618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870574] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25088), 1,
      anon_sym_GT_RBRACE,
    STATE(21619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870588] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31342), 1,
      anon_sym_DOT,
    STATE(21620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870602] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31344), 1,
      anon_sym_LT_DASH,
    STATE(21621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31346), 1,
      sym__identifier,
    STATE(21622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31348), 1,
      anon_sym_RPAREN,
    STATE(21623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870644] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31350), 1,
      anon_sym_RBRACE,
    STATE(21624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870658] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21306), 1,
      anon_sym_end,
    STATE(21625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870672] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31352), 1,
      sym__identifier,
    STATE(21626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870686] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31354), 1,
      anon_sym_with,
    STATE(21627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870700] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31356), 1,
      anon_sym_PIPE,
    STATE(21628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870714] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31358), 1,
      anon_sym_DOT_DOT,
    STATE(21629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870728] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31360), 1,
      anon_sym_DOT_DOT,
    STATE(21630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870742] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31362), 1,
      anon_sym_DOT_DOT,
    STATE(21631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870756] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31364), 1,
      anon_sym_RPAREN,
    STATE(21632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870770] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31366), 1,
      anon_sym_in,
    STATE(21633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870784] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31368), 1,
      anon_sym_with,
    STATE(21634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870798] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31370), 1,
      anon_sym_RBRACE,
    STATE(21635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870812] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31372), 1,
      anon_sym_RPAREN,
    STATE(21636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870826] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31374), 1,
      anon_sym_in,
    STATE(21637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870840] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31376), 1,
      anon_sym_in,
    STATE(21638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870854] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24419), 1,
      anon_sym_GT_RBRACE,
    STATE(21639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870868] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31378), 1,
      anon_sym_in,
    STATE(21640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870882] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10039), 1,
      anon_sym_DASH_GT,
    STATE(21641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870896] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31380), 1,
      sym__identifier,
    STATE(21642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870910] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31382), 1,
      anon_sym_DOT,
    STATE(21643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870924] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31384), 1,
      anon_sym_PIPE,
    STATE(21644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870938] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31386), 1,
      anon_sym_DOT_DOT,
    STATE(21645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870952] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31388), 1,
      anon_sym_DOT_DOT,
    STATE(21646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31390), 1,
      anon_sym_DOT_DOT,
    STATE(21647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870980] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22032), 1,
      anon_sym_end,
    STATE(21648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870994] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31392), 1,
      anon_sym_RPAREN,
    STATE(21649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871008] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31394), 1,
      anon_sym_DOT,
    STATE(21650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871022] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31396), 1,
      anon_sym_SQUOTE2,
    STATE(21651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871036] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22456), 1,
      anon_sym_GT_RBRACE,
    STATE(21652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871050] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31398), 1,
      anon_sym_DQUOTE,
    STATE(21653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871064] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31400), 1,
      anon_sym_RPAREN,
    STATE(21654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871078] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31402), 1,
      anon_sym_RPAREN,
    STATE(21655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871092] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31404), 1,
      anon_sym_LT_DASH,
    STATE(21656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871106] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31406), 1,
      sym__identifier,
    STATE(21657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871120] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31408), 1,
      sym__identifier,
    STATE(21658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871134] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31410), 1,
      anon_sym_end,
    STATE(21659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871148] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31412), 1,
      anon_sym_PIPE,
    STATE(21660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871162] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31414), 1,
      anon_sym_DOT_DOT,
    STATE(21661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871176] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31416), 1,
      anon_sym_DOT_DOT,
    STATE(21662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871190] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31418), 1,
      anon_sym_DOT_DOT,
    STATE(21663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871204] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31420), 1,
      anon_sym_DASH_GT,
    STATE(21664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871218] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3749), 1,
      anon_sym_RPAREN,
    STATE(21665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871232] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31422), 1,
      anon_sym_RPAREN,
    STATE(21666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871246] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31424), 1,
      anon_sym_DASH_GT,
    STATE(21667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31426), 1,
      anon_sym_RBRACK,
    STATE(21668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871274] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31428), 1,
      anon_sym_RPAREN,
    STATE(21669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871288] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19586), 1,
      anon_sym_RPAREN,
    STATE(21670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871302] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31430), 1,
      anon_sym_RBRACE,
    STATE(21671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871316] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31432), 1,
      anon_sym_in,
    STATE(21672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871330] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31434), 1,
      anon_sym_RPAREN,
    STATE(21673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871344] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31436), 1,
      sym__identifier,
    STATE(21674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871358] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10053), 1,
      anon_sym_DASH_GT,
    STATE(21675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871372] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31438), 1,
      anon_sym_PIPE,
    STATE(21676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871386] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31440), 1,
      anon_sym_DOT_DOT,
    STATE(21677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871400] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31442), 1,
      anon_sym_DOT_DOT,
    STATE(21678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871414] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31444), 1,
      anon_sym_DOT_DOT,
    STATE(21679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871428] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31446), 1,
      anon_sym_RBRACE,
    STATE(21680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871442] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31448), 1,
      anon_sym_SQUOTE2,
    STATE(21681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871456] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31450), 1,
      anon_sym_DQUOTE,
    STATE(21682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31452), 1,
      anon_sym_in,
    STATE(21683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871484] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10134), 1,
      anon_sym_DASH_GT,
    STATE(21684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871498] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31454), 1,
      anon_sym_RPAREN,
    STATE(21685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871512] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31456), 1,
      anon_sym_DASH_GT,
    STATE(21686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871526] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31458), 1,
      anon_sym_RPAREN,
    STATE(21687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871540] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6573), 1,
      anon_sym_end,
    STATE(21688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871554] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31460), 1,
      anon_sym_RPAREN,
    STATE(21689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871568] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31462), 1,
      sym__identifier,
    STATE(21690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871582] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31464), 1,
      anon_sym_DASH_GT,
    STATE(21691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871596] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31466), 1,
      anon_sym_PIPE,
    STATE(21692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871610] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31468), 1,
      anon_sym_DOT_DOT,
    STATE(21693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871624] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31470), 1,
      anon_sym_DOT_DOT,
    STATE(21694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871638] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31472), 1,
      anon_sym_DOT_DOT,
    STATE(21695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871652] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31474), 1,
      anon_sym_DQUOTE,
    STATE(21696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871666] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31476), 1,
      anon_sym_DOT_DOT,
    STATE(21697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871680] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2993), 1,
      anon_sym_COLON_COLON,
    STATE(21698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871694] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31478), 1,
      anon_sym_RPAREN,
    STATE(21699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871708] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31480), 1,
      anon_sym_RPAREN,
    STATE(21700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871722] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31480), 1,
      anon_sym_RBRACK,
    STATE(21701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871736] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16946), 1,
      anon_sym_DASH_GT,
    STATE(21702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871750] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31480), 1,
      anon_sym_RBRACE,
    STATE(21703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31482), 1,
      anon_sym_DASH_GT,
    STATE(21704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871778] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31484), 1,
      anon_sym_RBRACE,
    STATE(21705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871792] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31486), 1,
      sym__identifier,
    STATE(21706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871806] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31488), 1,
      anon_sym_DASH_GT,
    STATE(21707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871820] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31490), 1,
      anon_sym_DOT_DOT,
    STATE(21708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871834] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31492), 1,
      anon_sym_DOT_DOT,
    STATE(21709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871848] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31494), 1,
      anon_sym_DOT_DOT,
    STATE(21710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31496), 1,
      anon_sym_DOT,
    STATE(21711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871876] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31498), 1,
      anon_sym_DASH_GT,
    STATE(21712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31500), 1,
      anon_sym_DASH_GT,
    STATE(21713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871904] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18247), 1,
      anon_sym_RPAREN,
    STATE(21714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871918] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31502), 1,
      anon_sym_DASH_GT,
    STATE(21715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31504), 1,
      anon_sym_LT_DASH,
    STATE(21716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871946] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31506), 1,
      anon_sym_DOT_DOT,
    STATE(21717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871960] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31508), 1,
      anon_sym_end,
    STATE(21718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871974] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31510), 1,
      anon_sym_RBRACK,
    STATE(21719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871988] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10146), 1,
      anon_sym_DASH_GT,
    STATE(21720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872002] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31512), 1,
      sym__identifier,
    STATE(21721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872016] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31514), 1,
      anon_sym_RPAREN,
    STATE(21722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872030] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31516), 1,
      anon_sym_DOT_DOT,
    STATE(21723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31518), 1,
      anon_sym_DOT_DOT,
    STATE(21724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872058] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31520), 1,
      anon_sym_DOT_DOT,
    STATE(21725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872072] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31522), 1,
      anon_sym_DOT_DOT,
    STATE(21726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872086] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31524), 1,
      anon_sym_RBRACE,
    STATE(21727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872100] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31526), 1,
      anon_sym_RBRACK,
    STATE(21728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872114] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18563), 1,
      anon_sym_DASH_GT,
    STATE(21729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872128] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31528), 1,
      anon_sym_type,
    STATE(21730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872142] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31530), 1,
      anon_sym_RPAREN,
    STATE(21731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872156] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18116), 1,
      anon_sym_RPAREN,
    STATE(21732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872170] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31532), 1,
      anon_sym_RPAREN,
    STATE(21733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872184] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31534), 1,
      anon_sym_end,
    STATE(21734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872198] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31536), 1,
      sym_indexing_operator,
    STATE(21735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31538), 1,
      sym__identifier,
    STATE(21736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31540), 1,
      anon_sym_RBRACK,
    STATE(21737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872240] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31542), 1,
      anon_sym_DOT_DOT,
    STATE(21738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872254] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31544), 1,
      anon_sym_DOT_DOT,
    STATE(21739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31546), 1,
      anon_sym_DOT_DOT,
    STATE(21740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872282] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31548), 1,
      anon_sym_DASH_GT,
    STATE(21741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31550), 1,
      anon_sym_EQ,
    STATE(21742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872310] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31552), 1,
      anon_sym_RBRACE,
    STATE(21743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872324] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31554), 1,
      anon_sym_RBRACE,
    STATE(21744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872338] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31556), 1,
      anon_sym_RPAREN,
    STATE(21745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872352] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18178), 1,
      anon_sym_RPAREN,
    STATE(21746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872366] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31558), 1,
      anon_sym_in,
    STATE(21747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872380] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31560), 1,
      anon_sym_end,
    STATE(21748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872394] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31562), 1,
      anon_sym_in,
    STATE(21749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872408] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31564), 1,
      anon_sym_RBRACK,
    STATE(21750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872422] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31566), 1,
      sym__identifier,
    STATE(21751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872436] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31568), 1,
      anon_sym_DASH_GT,
    STATE(21752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872450] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31570), 1,
      anon_sym_DOT_DOT,
    STATE(21753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872464] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31572), 1,
      anon_sym_DOT_DOT,
    STATE(21754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872478] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31574), 1,
      anon_sym_DOT_DOT,
    STATE(21755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872492] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31576), 1,
      anon_sym_RBRACE,
    STATE(21756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872506] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31578), 1,
      sym__identifier,
    STATE(21757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872520] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31580), 1,
      anon_sym_in,
    STATE(21758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872534] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31582), 1,
      anon_sym_RPAREN,
    STATE(21759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872548] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31584), 1,
      anon_sym_in,
    STATE(21760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872562] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18122), 1,
      anon_sym_RPAREN,
    STATE(21761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872576] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18431), 1,
      anon_sym_RPAREN,
    STATE(21762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872590] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24559), 1,
      anon_sym_GT_RBRACE,
    STATE(21763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872604] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19602), 1,
      anon_sym_RPAREN,
    STATE(21764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872618] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31586), 1,
      anon_sym_RBRACE,
    STATE(21765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872632] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31588), 1,
      sym__identifier,
    STATE(21766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872646] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31590), 1,
      anon_sym_RPAREN,
    STATE(21767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872660] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31592), 1,
      anon_sym_DOT_DOT,
    STATE(21768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872674] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31594), 1,
      anon_sym_DOT_DOT,
    STATE(21769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872688] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31596), 1,
      anon_sym_DOT_DOT,
    STATE(21770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872702] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31598), 1,
      anon_sym_RBRACK,
    STATE(21771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872716] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22055), 1,
      anon_sym_end,
    STATE(21772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872730] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31600), 1,
      anon_sym_RPAREN,
    STATE(21773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872744] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31602), 1,
      anon_sym_RBRACE,
    STATE(21774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872758] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22212), 1,
      anon_sym_GT_RBRACE,
    STATE(21775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872772] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31604), 1,
      aux_sym_number_token1,
    STATE(21776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872786] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31606), 1,
      anon_sym_RBRACK,
    STATE(21777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872800] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31608), 1,
      anon_sym_DOT,
    STATE(21778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872814] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31610), 1,
      anon_sym_RPAREN,
    STATE(21779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872828] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31612), 1,
      anon_sym_RPAREN,
    STATE(21780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872842] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31614), 1,
      sym__identifier,
    STATE(21781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872856] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31616), 1,
      anon_sym_in,
    STATE(21782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872870] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31618), 1,
      anon_sym_DOT_DOT,
    STATE(21783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872884] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31620), 1,
      anon_sym_DOT_DOT,
    STATE(21784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872898] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31622), 1,
      anon_sym_DOT_DOT,
    STATE(21785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872912] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31624), 1,
      anon_sym_SQUOTE2,
    STATE(21786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872926] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31626), 1,
      anon_sym_DQUOTE,
    STATE(21787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872940] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31628), 1,
      anon_sym_RPAREN,
    STATE(21788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872954] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21316), 1,
      anon_sym_end,
    STATE(21789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872968] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31630), 1,
      anon_sym_DASH_GT,
    STATE(21790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872982] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31632), 1,
      sym__identifier,
    STATE(21791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872996] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31634), 1,
      anon_sym_with,
    STATE(21792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873010] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22220), 1,
      anon_sym_GT_RBRACE,
    STATE(21793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873024] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31636), 1,
      anon_sym_RBRACE,
    STATE(21794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873038] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19128), 1,
      anon_sym_GT,
    STATE(21795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873052] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31638), 1,
      sym__identifier,
    STATE(21796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873066] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31640), 1,
      anon_sym_with,
    STATE(21797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873080] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31642), 1,
      anon_sym_DOT_DOT,
    STATE(21798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873094] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31644), 1,
      anon_sym_DOT_DOT,
    STATE(21799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873108] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31646), 1,
      anon_sym_DOT_DOT,
    STATE(21800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873122] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31648), 1,
      anon_sym_DOT,
    STATE(21801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873136] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31650), 1,
      anon_sym_RPAREN,
    STATE(21802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873150] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31652), 1,
      anon_sym_SQUOTE2,
    STATE(21803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873164] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31654), 1,
      anon_sym_RBRACE,
    STATE(21804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873178] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31656), 1,
      anon_sym_DQUOTE,
    STATE(21805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873192] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26622), 1,
      anon_sym_RPAREN,
    STATE(21806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873206] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31658), 1,
      sym__identifier,
    STATE(21807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873220] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31660), 1,
      anon_sym_with,
    STATE(21808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873234] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31662), 1,
      anon_sym_RBRACE,
    STATE(21809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873248] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31664), 1,
      anon_sym_RPAREN,
    STATE(21810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873262] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31666), 1,
      sym__identifier,
    STATE(21811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873276] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31668), 1,
      anon_sym_RPAREN,
    STATE(21812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873290] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31670), 1,
      anon_sym_DOT_DOT,
    STATE(21813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31672), 1,
      anon_sym_DOT_DOT,
    STATE(21814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873318] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31674), 1,
      anon_sym_DOT_DOT,
    STATE(21815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873332] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31676), 1,
      anon_sym_RPAREN,
    STATE(21816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873346] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31678), 1,
      anon_sym_RPAREN,
    STATE(21817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873360] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31680), 1,
      anon_sym_RBRACK,
    STATE(21818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873374] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31682), 1,
      anon_sym_RBRACE,
    STATE(21819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873388] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31684), 1,
      anon_sym_RPAREN,
    STATE(21820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873402] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31686), 1,
      anon_sym_DASH_GT,
    STATE(21821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873416] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3683), 1,
      anon_sym_RPAREN,
    STATE(21822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873430] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31688), 1,
      anon_sym_RBRACE,
    STATE(21823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873444] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31690), 1,
      anon_sym_with,
    STATE(21824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873458] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31692), 1,
      sym__identifier,
    STATE(21825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31694), 1,
      sym__identifier,
    STATE(21826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873486] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21352), 1,
      anon_sym_end,
    STATE(21827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873500] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31696), 1,
      anon_sym_DOT_DOT,
    STATE(21828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873514] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31698), 1,
      anon_sym_DOT_DOT,
    STATE(21829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873528] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31700), 1,
      anon_sym_DOT_DOT,
    STATE(21830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873542] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31702), 1,
      anon_sym_with,
    STATE(21831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873556] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31704), 1,
      anon_sym_RPAREN,
    STATE(21832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873570] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31706), 1,
      anon_sym_RBRACK,
    STATE(21833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873584] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31708), 1,
      sym__identifier,
    STATE(21834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873598] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21312), 1,
      anon_sym_end,
    STATE(21835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873612] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31710), 1,
      anon_sym_RBRACE,
    STATE(21836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31712), 1,
      anon_sym_RPAREN,
    STATE(21837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873640] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31714), 1,
      anon_sym_RBRACK,
    STATE(21838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873654] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31716), 1,
      anon_sym_DOT,
    STATE(21839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873668] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31718), 1,
      anon_sym_RBRACE,
    STATE(21840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873682] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31720), 1,
      sym__identifier,
    STATE(21841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873696] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31722), 1,
      anon_sym_RBRACE,
    STATE(21842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873710] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31724), 1,
      anon_sym_DOT_DOT,
    STATE(21843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873724] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31726), 1,
      anon_sym_DOT_DOT,
    STATE(21844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873738] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31728), 1,
      anon_sym_DOT_DOT,
    STATE(21845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873752] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31730), 1,
      anon_sym_DASH_GT,
    STATE(21846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873766] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31732), 1,
      anon_sym_RPAREN,
    STATE(21847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873780] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31734), 1,
      anon_sym_in,
    STATE(21848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873794] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31736), 1,
      anon_sym_RPAREN,
    STATE(21849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873808] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3799), 1,
      anon_sym_RPAREN,
    STATE(21850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873822] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31738), 1,
      anon_sym_RPAREN,
    STATE(21851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873836] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31740), 1,
      anon_sym_DASH_GT,
    STATE(21852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873850] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31742), 1,
      anon_sym_RPAREN,
    STATE(21853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873864] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31744), 1,
      anon_sym_in,
    STATE(21854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873878] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31746), 1,
      anon_sym_DASH_GT,
    STATE(21855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873892] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31748), 1,
      sym__identifier,
    STATE(21856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873906] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31750), 1,
      anon_sym_RPAREN,
    STATE(21857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873920] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31752), 1,
      anon_sym_DOT_DOT,
    STATE(21858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873934] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31754), 1,
      anon_sym_DOT_DOT,
    STATE(21859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873948] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31756), 1,
      anon_sym_DOT_DOT,
    STATE(21860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873962] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19664), 1,
      anon_sym_RPAREN,
    STATE(21861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873976] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18066), 1,
      anon_sym_DASH_GT,
    STATE(21862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873990] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19304), 1,
      anon_sym_GT,
    STATE(21863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874004] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31758), 1,
      anon_sym_with,
    STATE(21864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874018] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31760), 1,
      anon_sym_RPAREN,
    STATE(21865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874032] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31762), 1,
      anon_sym_SQUOTE2,
    STATE(21866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874046] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31764), 1,
      anon_sym_in,
    STATE(21867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874060] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24147), 1,
      anon_sym_GT_RBRACE,
    STATE(21868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874074] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31766), 1,
      anon_sym_DASH_GT,
    STATE(21869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874088] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31768), 1,
      anon_sym_in,
    STATE(21870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874102] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31770), 1,
      sym__identifier,
    STATE(21871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874116] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31772), 1,
      anon_sym_RPAREN,
    STATE(21872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874130] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31774), 1,
      anon_sym_DOT_DOT,
    STATE(21873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874144] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31776), 1,
      anon_sym_DOT_DOT,
    STATE(21874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874158] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31778), 1,
      anon_sym_DOT_DOT,
    STATE(21875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874172] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10001), 1,
      anon_sym_DASH_GT,
    STATE(21876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874186] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31780), 1,
      anon_sym_LT_DASH,
    STATE(21877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874200] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31782), 1,
      anon_sym_DASH_GT,
    STATE(21878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874214] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31784), 1,
      anon_sym_RBRACK,
    STATE(21879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874228] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31786), 1,
      anon_sym_EQ,
    STATE(21880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874242] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31788), 1,
      anon_sym_RBRACE,
    STATE(21881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874256] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31790), 1,
      anon_sym_RPAREN,
    STATE(21882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874270] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31792), 1,
      anon_sym_DQUOTE,
    STATE(21883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874284] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31794), 1,
      anon_sym_COLON2,
    STATE(21884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874298] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31796), 1,
      anon_sym_RPAREN,
    STATE(21885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874312] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31798), 1,
      sym__identifier,
    STATE(21886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874326] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31800), 1,
      anon_sym_RPAREN,
    STATE(21887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874340] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31802), 1,
      anon_sym_DOT_DOT,
    STATE(21888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874354] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31804), 1,
      anon_sym_DOT_DOT,
    STATE(21889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874368] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31806), 1,
      anon_sym_DOT_DOT,
    STATE(21890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874382] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31800), 1,
      anon_sym_RBRACK,
    STATE(21891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874396] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31800), 1,
      anon_sym_RBRACE,
    STATE(21892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874410] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31808), 1,
      anon_sym_DASH_GT,
    STATE(21893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874424] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31810), 1,
      anon_sym_in,
    STATE(21894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874438] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31812), 1,
      anon_sym_DASH_GT,
    STATE(21895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874452] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31814), 1,
      anon_sym_RPAREN,
    STATE(21896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874466] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31816), 1,
      anon_sym_DASH_GT,
    STATE(21897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874480] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31818), 1,
      anon_sym_in,
    STATE(21898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874494] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31820), 1,
      anon_sym_end,
    STATE(21899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874508] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31822), 1,
      sym__identifier,
    STATE(21900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874522] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31824), 1,
      anon_sym_DASH_GT,
    STATE(21901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874536] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31826), 1,
      anon_sym_DOT_DOT,
    STATE(21902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874550] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31828), 1,
      anon_sym_DOT_DOT,
    STATE(21903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874564] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31830), 1,
      anon_sym_DOT_DOT,
    STATE(21904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874578] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31832), 1,
      anon_sym_DASH_GT,
    STATE(21905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874592] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31834), 1,
      anon_sym_in,
    STATE(21906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874606] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31836), 1,
      anon_sym_in,
    STATE(21907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874620] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31838), 1,
      anon_sym_DASH_GT,
    STATE(21908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874634] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31840), 1,
      anon_sym_DOT,
    STATE(21909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874648] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31842), 1,
      anon_sym_RPAREN,
    STATE(21910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874662] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31844), 1,
      anon_sym_RPAREN,
    STATE(21911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874676] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31846), 1,
      anon_sym_RBRACK,
    STATE(21912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874690] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31848), 1,
      anon_sym_RPAREN,
    STATE(21913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874704] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31850), 1,
      anon_sym_RBRACE,
    STATE(21914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874718] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31852), 1,
      sym__identifier,
    STATE(21915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874732] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31854), 1,
      anon_sym_RPAREN,
    STATE(21916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874746] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31856), 1,
      anon_sym_DOT_DOT,
    STATE(21917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874760] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31858), 1,
      anon_sym_DOT_DOT,
    STATE(21918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874774] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31860), 1,
      anon_sym_DOT_DOT,
    STATE(21919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874788] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31862), 1,
      anon_sym_RPAREN,
    STATE(21920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874802] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31864), 1,
      anon_sym_RPAREN,
    STATE(21921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874816] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31854), 1,
      anon_sym_RBRACK,
    STATE(21922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874830] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31854), 1,
      anon_sym_RBRACE,
    STATE(21923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874844] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31866), 1,
      anon_sym_DASH_GT,
    STATE(21924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874858] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31868), 1,
      anon_sym_DASH_GT,
    STATE(21925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874872] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31870), 1,
      anon_sym_end,
    STATE(21926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874886] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31872), 1,
      anon_sym_RBRACK,
    STATE(21927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874900] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31874), 1,
      anon_sym_RPAREN,
    STATE(21928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874914] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31876), 1,
      anon_sym_RBRACE,
    STATE(21929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874928] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31878), 1,
      sym__identifier,
    STATE(21930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874942] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19244), 1,
      anon_sym_GT,
    STATE(21931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874956] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31880), 1,
      anon_sym_DOT_DOT,
    STATE(21932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874970] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31882), 1,
      anon_sym_DOT_DOT,
    STATE(21933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874984] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31884), 1,
      anon_sym_DOT_DOT,
    STATE(21934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874998] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31886), 1,
      anon_sym_RPAREN,
    STATE(21935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875012] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31888), 1,
      anon_sym_RPAREN,
    STATE(21936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875026] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31890), 1,
      anon_sym_LT_DASH,
    STATE(21937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875040] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31892), 1,
      anon_sym_in,
    STATE(21938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875054] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31894), 1,
      anon_sym_LT_DASH,
    STATE(21939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875068] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31896), 1,
      anon_sym_in,
    STATE(21940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875082] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31898), 1,
      anon_sym_in,
    STATE(21941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875096] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31900), 1,
      anon_sym_in,
    STATE(21942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875110] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31902), 1,
      anon_sym_RPAREN,
    STATE(21943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875124] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12938), 1,
      anon_sym_GT,
    STATE(21944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875138] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31904), 1,
      anon_sym_end,
    STATE(21945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875152] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31906), 1,
      anon_sym_DOT_DOT,
    STATE(21946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875166] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31908), 1,
      anon_sym_DOT_DOT,
    STATE(21947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875180] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31910), 1,
      anon_sym_DOT_DOT,
    STATE(21948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875194] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3681), 1,
      anon_sym_RPAREN,
    STATE(21949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875208] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31912), 1,
      anon_sym_RBRACK,
    STATE(21950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875222] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31914), 1,
      anon_sym_RBRACE,
    STATE(21951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875236] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18339), 1,
      anon_sym_RPAREN,
    STATE(21952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875250] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31916), 1,
      anon_sym_in,
    STATE(21953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875264] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26994), 1,
      anon_sym_RBRACE,
    STATE(21954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875278] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31918), 1,
      sym__identifier,
    STATE(21955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875292] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31920), 1,
      anon_sym_in,
    STATE(21956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875306] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10065), 1,
      anon_sym_DASH_GT,
    STATE(21957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875320] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31922), 1,
      anon_sym_RBRACE,
    STATE(21958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875334] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31924), 1,
      anon_sym_in,
    STATE(21959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875348] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31926), 1,
      anon_sym_DOT_DOT,
    STATE(21960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875362] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31928), 1,
      anon_sym_DOT_DOT,
    STATE(21961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875376] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31930), 1,
      anon_sym_DOT_DOT,
    STATE(21962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875390] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31932), 1,
      anon_sym_LT_DASH,
    STATE(21963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875404] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31934), 1,
      anon_sym_DOT,
    STATE(21964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875418] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31936), 1,
      anon_sym_in,
    STATE(21965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875432] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31938), 1,
      anon_sym_DASH_GT,
    STATE(21966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875446] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31940), 1,
      anon_sym_in,
    STATE(21967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875460] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31942), 1,
      anon_sym_GT,
    STATE(21968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875474] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3705), 1,
      anon_sym_RPAREN,
    STATE(21969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875488] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31944), 1,
      anon_sym_RBRACE,
    STATE(21970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875502] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31946), 1,
      anon_sym_in,
    STATE(21971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875516] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31948), 1,
      anon_sym_RPAREN,
    STATE(21972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875530] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31950), 1,
      anon_sym_RPAREN,
    STATE(21973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875544] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31952), 1,
      anon_sym_DOT_DOT,
    STATE(21974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875558] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31954), 1,
      anon_sym_DOT_DOT,
    STATE(21975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875572] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31956), 1,
      anon_sym_DOT_DOT,
    STATE(21976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875586] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31958), 1,
      anon_sym_RPAREN,
    STATE(21977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875600] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31960), 1,
      anon_sym_DASH_GT,
    STATE(21978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875614] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31962), 1,
      anon_sym_with,
    STATE(21979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875628] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31964), 1,
      anon_sym_EQ,
    STATE(21980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875642] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23104), 1,
      anon_sym_GT_RBRACE,
    STATE(21981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875656] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13000), 1,
      anon_sym_GT,
    STATE(21982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875670] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31966), 1,
      anon_sym_DASH_GT,
    STATE(21983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875684] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31968), 1,
      anon_sym_in,
    STATE(21984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875698] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31970), 1,
      anon_sym_with,
    STATE(21985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875712] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31972), 1,
      anon_sym_DOT,
    STATE(21986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875726] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31974), 1,
      anon_sym_RPAREN,
    STATE(21987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875740] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31976), 1,
      anon_sym_DOT_DOT,
    STATE(21988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875754] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31978), 1,
      anon_sym_DOT_DOT,
    STATE(21989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875768] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31980), 1,
      anon_sym_DOT_DOT,
    STATE(21990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875782] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3719), 1,
      anon_sym_RPAREN,
    STATE(21991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875796] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31982), 1,
      anon_sym_RBRACE,
    STATE(21992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875810] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21675), 1,
      anon_sym_end,
    STATE(21993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875824] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31984), 1,
      anon_sym_RBRACE,
    STATE(21994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875838] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3777), 1,
      anon_sym_RPAREN,
    STATE(21995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875852] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31986), 1,
      anon_sym_SQUOTE2,
    STATE(21996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875866] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31988), 1,
      anon_sym_RPAREN,
    STATE(21997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875880] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31990), 1,
      anon_sym_DQUOTE,
    STATE(21998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875894] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31992), 1,
      anon_sym_RBRACE,
    STATE(21999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875908] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31994), 1,
      anon_sym_RBRACK,
    STATE(22000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875922] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31996), 1,
      anon_sym_LT_DASH,
    STATE(22001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875936] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31998), 1,
      anon_sym_DOT_DOT,
    STATE(22002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875950] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32000), 1,
      anon_sym_DOT_DOT,
    STATE(22003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875964] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32002), 1,
      anon_sym_DOT_DOT,
    STATE(22004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875978] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32004), 1,
      sym__identifier,
    STATE(22005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875992] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32006), 1,
      anon_sym_in,
    STATE(22006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876006] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32008), 1,
      anon_sym_in,
    STATE(22007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876020] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32010), 1,
      anon_sym_RBRACE,
    STATE(22008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876034] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32012), 1,
      anon_sym_with,
    STATE(22009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876048] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32014), 1,
      anon_sym_in,
    STATE(22010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876062] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32016), 1,
      anon_sym_RPAREN,
    STATE(22011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876076] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32018), 1,
      anon_sym_with,
    STATE(22012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876090] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32020), 1,
      anon_sym_in,
    STATE(22013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876104] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32022), 1,
      anon_sym_RPAREN,
    STATE(22014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876118] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32024), 1,
      anon_sym_RPAREN,
    STATE(22015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876132] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32026), 1,
      anon_sym_DOT_DOT,
    STATE(22016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876146] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32028), 1,
      anon_sym_DOT_DOT,
    STATE(22017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876160] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32030), 1,
      anon_sym_DOT_DOT,
    STATE(22018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876174] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32032), 1,
      anon_sym_in,
    STATE(22019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876188] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32034), 1,
      anon_sym_DASH_GT,
    STATE(22020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876202] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32036), 1,
      anon_sym_DOT,
    STATE(22021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876216] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3753), 1,
      anon_sym_RPAREN,
    STATE(22022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876230] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21054), 1,
      anon_sym_end,
    STATE(22023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876244] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32038), 1,
      anon_sym_RPAREN,
    STATE(22024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19134), 1,
      sym__capitalized_identifier,
    STATE(22025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876272] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32040), 1,
      anon_sym_RBRACE,
    STATE(22026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876286] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32042), 1,
      anon_sym_in,
    STATE(22027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876300] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32044), 1,
      anon_sym_RPAREN,
    STATE(22028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876314] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32046), 1,
      anon_sym_RPAREN,
    STATE(22029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32048), 1,
      anon_sym_DOT_DOT,
    STATE(22030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876342] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32050), 1,
      anon_sym_DOT_DOT,
    STATE(22031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876356] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32052), 1,
      anon_sym_DOT_DOT,
    STATE(22032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876370] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32054), 1,
      anon_sym_RPAREN,
    STATE(22033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876384] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32056), 1,
      anon_sym_DASH_GT,
    STATE(22034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876398] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32058), 1,
      anon_sym_end,
    STATE(22035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876412] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32060), 1,
      anon_sym_RBRACK,
    STATE(22036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876426] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32062), 1,
      anon_sym_DASH_GT,
    STATE(22037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876440] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32064), 1,
      anon_sym_RBRACE,
    STATE(22038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32066), 1,
      anon_sym_RPAREN,
    STATE(22039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876468] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32068), 1,
      anon_sym_RBRACK,
    STATE(22040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876482] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19780), 1,
      anon_sym_RPAREN,
    STATE(22041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876496] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32070), 1,
      anon_sym_RPAREN,
    STATE(22042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876510] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32072), 1,
      anon_sym_RBRACE,
    STATE(22043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876524] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32074), 1,
      anon_sym_DOT_DOT,
    STATE(22044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32076), 1,
      anon_sym_DOT_DOT,
    STATE(22045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876552] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32078), 1,
      anon_sym_DOT_DOT,
    STATE(22046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876566] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32080), 1,
      anon_sym_RBRACE,
    STATE(22047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876580] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32082), 1,
      anon_sym_end,
    STATE(22048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876594] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32084), 1,
      anon_sym_RBRACE,
    STATE(22049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876608] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32086), 1,
      anon_sym_RPAREN,
    STATE(22050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876622] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9941), 1,
      anon_sym_DASH_GT,
    STATE(22051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876636] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17613), 1,
      anon_sym_DASH_GT,
    STATE(22052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876650] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32088), 1,
      anon_sym_RBRACE,
    STATE(22053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876664] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32090), 1,
      anon_sym_RPAREN,
    STATE(22054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876678] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32092), 1,
      anon_sym_RPAREN,
    STATE(22055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876692] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18477), 1,
      anon_sym_RPAREN,
    STATE(22056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876706] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32094), 1,
      anon_sym_DASH_GT,
    STATE(22057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876720] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32096), 1,
      anon_sym_DOT_DOT,
    STATE(22058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876734] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32098), 1,
      anon_sym_DOT_DOT,
    STATE(22059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876748] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32100), 1,
      anon_sym_DOT_DOT,
    STATE(22060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876762] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32102), 1,
      anon_sym_RPAREN,
    STATE(22061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876776] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32104), 1,
      anon_sym_RBRACK,
    STATE(22062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876790] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32106), 1,
      anon_sym_RBRACE,
    STATE(22063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876804] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32108), 1,
      anon_sym_LT_DASH,
    STATE(22064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876818] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32110), 1,
      anon_sym_RBRACK,
    STATE(22065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876832] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24901), 1,
      anon_sym_GT_RBRACE,
    STATE(22066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876846] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32112), 1,
      anon_sym_DASH_GT,
    STATE(22067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876860] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32114), 1,
      anon_sym_RPAREN,
    STATE(22068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876874] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32116), 1,
      anon_sym_RPAREN,
    STATE(22069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876888] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32118), 1,
      anon_sym_RPAREN,
    STATE(22070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876902] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32118), 1,
      anon_sym_RBRACK,
    STATE(22071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876916] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32120), 1,
      anon_sym_DOT_DOT,
    STATE(22072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876930] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32122), 1,
      anon_sym_DOT_DOT,
    STATE(22073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876944] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32124), 1,
      anon_sym_DOT_DOT,
    STATE(22074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876958] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32126), 1,
      anon_sym_in,
    STATE(22075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876972] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32128), 1,
      anon_sym_LT_DASH,
    STATE(22076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876986] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32118), 1,
      anon_sym_RBRACE,
    STATE(22077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877000] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32130), 1,
      anon_sym_DASH_GT,
    STATE(22078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877014] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32132), 1,
      anon_sym_DASH_GT,
    STATE(22079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877028] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7861), 1,
      anon_sym_end,
    STATE(22080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877042] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32134), 1,
      aux_sym_number_token1,
    STATE(22081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877056] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32136), 1,
      anon_sym_in,
    STATE(22082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877070] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23118), 1,
      anon_sym_GT_RBRACE,
    STATE(22083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877084] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32138), 1,
      anon_sym_in,
    STATE(22084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877098] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32140), 1,
      anon_sym_DASH_GT,
    STATE(22085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877112] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32142), 1,
      anon_sym_DOT_DOT,
    STATE(22086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877126] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32144), 1,
      anon_sym_DOT_DOT,
    STATE(22087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32146), 1,
      anon_sym_DOT_DOT,
    STATE(22088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877154] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32148), 1,
      anon_sym_in,
    STATE(22089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877168] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32150), 1,
      anon_sym_RPAREN,
    STATE(22090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877182] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32152), 1,
      anon_sym_in,
    STATE(22091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877196] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32154), 1,
      anon_sym_RBRACE,
    STATE(22092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877210] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32156), 1,
      anon_sym_RBRACK,
    STATE(22093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877224] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3773), 1,
      anon_sym_RPAREN,
    STATE(22094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877238] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22132), 1,
      anon_sym_end,
    STATE(22095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877252] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_DASH_GT,
    STATE(22096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32158), 1,
      anon_sym_DASH_GT,
    STATE(22097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877280] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32160), 1,
      anon_sym_in,
    STATE(22098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32162), 1,
      anon_sym_RBRACE,
    STATE(22099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877308] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32164), 1,
      anon_sym_DOT_DOT,
    STATE(22100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877322] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32166), 1,
      anon_sym_DOT_DOT,
    STATE(22101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877336] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32168), 1,
      anon_sym_DOT_DOT,
    STATE(22102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877350] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6295), 1,
      anon_sym_end,
    STATE(22103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877364] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21198), 1,
      anon_sym_end,
    STATE(22104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877378] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32170), 1,
      aux_sym_number_token1,
    STATE(22105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877392] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32172), 1,
      anon_sym_in,
    STATE(22106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877406] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32174), 1,
      anon_sym_DOT_DOT,
    STATE(22107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877420] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32176), 1,
      anon_sym_DOT_DOT,
    STATE(22108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877434] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32178), 1,
      anon_sym_DOT_DOT,
    STATE(22109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877448] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32180), 1,
      anon_sym_in,
    STATE(22110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877462] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32182), 1,
      anon_sym_in,
    STATE(22111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877476] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32184), 1,
      anon_sym_RPAREN,
    STATE(22112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877490] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32186), 1,
      anon_sym_in,
    STATE(22113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877504] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32188), 1,
      anon_sym_DOT_DOT,
    STATE(22114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877518] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32190), 1,
      anon_sym_DOT_DOT,
    STATE(22115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877532] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32192), 1,
      anon_sym_DOT_DOT,
    STATE(22116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877546] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32194), 1,
      anon_sym_RPAREN,
    STATE(22117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32196), 1,
      anon_sym_LT_DASH,
    STATE(22118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877574] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32198), 1,
      anon_sym_DOT_DOT,
    STATE(22119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877588] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32200), 1,
      anon_sym_DOT_DOT,
    STATE(22120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877602] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32202), 1,
      anon_sym_DOT_DOT,
    STATE(22121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32204), 1,
      anon_sym_SQUOTE2,
    STATE(22122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32206), 1,
      anon_sym_in,
    STATE(22123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877644] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32208), 1,
      anon_sym_DOT_DOT,
    STATE(22124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877658] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32210), 1,
      anon_sym_DOT_DOT,
    STATE(22125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877672] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32212), 1,
      anon_sym_DOT_DOT,
    STATE(22126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877686] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32214), 1,
      anon_sym_DQUOTE,
    STATE(22127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877700] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32216), 1,
      anon_sym_RPAREN,
    STATE(22128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877714] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32218), 1,
      anon_sym_DOT_DOT,
    STATE(22129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877728] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32220), 1,
      anon_sym_DOT_DOT,
    STATE(22130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877742] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32222), 1,
      anon_sym_DOT_DOT,
    STATE(22131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877756] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32224), 1,
      sym__identifier,
    STATE(22132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877770] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32226), 1,
      anon_sym_RPAREN,
    STATE(22133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877784] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32228), 1,
      anon_sym_DOT_DOT,
    STATE(22134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877798] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32230), 1,
      anon_sym_DOT_DOT,
    STATE(22135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877812] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32232), 1,
      anon_sym_DOT_DOT,
    STATE(22136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877826] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32234), 1,
      anon_sym_RBRACE,
    STATE(22137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877840] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32236), 1,
      anon_sym_RPAREN,
    STATE(22138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877854] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32238), 1,
      anon_sym_DOT_DOT,
    STATE(22139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877868] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32240), 1,
      anon_sym_DOT_DOT,
    STATE(22140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877882] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32242), 1,
      anon_sym_DOT_DOT,
    STATE(22141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877896] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19356), 1,
      anon_sym_GT,
    STATE(22142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877910] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32244), 1,
      anon_sym_in,
    STATE(22143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877924] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32246), 1,
      anon_sym_DOT_DOT,
    STATE(22144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877938] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32248), 1,
      anon_sym_DOT_DOT,
    STATE(22145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877952] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32250), 1,
      anon_sym_DOT_DOT,
    STATE(22146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22322), 1,
      anon_sym_GT_RBRACE,
    STATE(22147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877980] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32252), 1,
      anon_sym_in,
    STATE(22148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877994] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32254), 1,
      anon_sym_DOT_DOT,
    STATE(22149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878008] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32256), 1,
      anon_sym_DOT_DOT,
    STATE(22150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878022] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32258), 1,
      anon_sym_DOT_DOT,
    STATE(22151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878036] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32260), 1,
      anon_sym_DASH_GT,
    STATE(22152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878050] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32262), 1,
      anon_sym_in,
    STATE(22153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878064] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32264), 1,
      anon_sym_DOT_DOT,
    STATE(22154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878078] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32266), 1,
      anon_sym_DOT_DOT,
    STATE(22155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878092] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32268), 1,
      anon_sym_DOT_DOT,
    STATE(22156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878106] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32270), 1,
      anon_sym_end,
    STATE(22157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878120] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32272), 1,
      anon_sym_DOT,
    STATE(22158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878134] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32274), 1,
      anon_sym_DOT_DOT,
    STATE(22159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878148] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32276), 1,
      anon_sym_DOT_DOT,
    STATE(22160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878162] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32278), 1,
      anon_sym_DOT_DOT,
    STATE(22161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878176] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32280), 1,
      anon_sym_RBRACK,
    STATE(22162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878190] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14699), 1,
      anon_sym_DASH_GT,
    STATE(22163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878204] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32282), 1,
      anon_sym_DOT_DOT,
    STATE(22164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878218] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32284), 1,
      anon_sym_DOT_DOT,
    STATE(22165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878232] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32286), 1,
      anon_sym_DOT_DOT,
    STATE(22166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878246] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32288), 1,
      anon_sym_RBRACE,
    STATE(22167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21118), 1,
      anon_sym_end,
    STATE(22168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878274] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32290), 1,
      anon_sym_DOT_DOT,
    STATE(22169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878288] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32292), 1,
      anon_sym_DOT_DOT,
    STATE(22170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878302] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32294), 1,
      anon_sym_DOT_DOT,
    STATE(22171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878316] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32296), 1,
      anon_sym_RPAREN,
    STATE(22172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878330] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32298), 1,
      anon_sym_with,
    STATE(22173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878344] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32300), 1,
      anon_sym_DOT_DOT,
    STATE(22174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878358] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32302), 1,
      anon_sym_DOT_DOT,
    STATE(22175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878372] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32304), 1,
      anon_sym_DOT_DOT,
    STATE(22176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878386] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32306), 1,
      anon_sym_RPAREN,
    STATE(22177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878400] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32308), 1,
      anon_sym_RBRACE,
    STATE(22178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878414] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32310), 1,
      anon_sym_with,
    STATE(22179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878428] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32312), 1,
      anon_sym_DOT,
    STATE(22180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878442] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18132), 1,
      anon_sym_RPAREN,
    STATE(22181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878456] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32314), 1,
      anon_sym_RBRACE,
    STATE(22182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32316), 1,
      anon_sym_RPAREN,
    STATE(22183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878484] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32318), 1,
      anon_sym_RBRACK,
    STATE(22184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878498] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32320), 1,
      anon_sym_SQUOTE2,
    STATE(22185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878512] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32322), 1,
      anon_sym_DQUOTE,
    STATE(22186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878526] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32324), 1,
      anon_sym_RBRACE,
    STATE(22187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878540] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10059), 1,
      anon_sym_DASH_GT,
    STATE(22188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878554] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23170), 1,
      anon_sym_GT_RBRACE,
    STATE(22189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878568] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32326), 1,
      anon_sym_RPAREN,
    STATE(22190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878582] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23082), 1,
      anon_sym_GT_RBRACE,
    STATE(22191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878596] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32328), 1,
      anon_sym_with,
    STATE(22192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878610] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22208), 1,
      anon_sym_end,
    STATE(22193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878624] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32330), 1,
      anon_sym_with,
    STATE(22194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878638] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32332), 1,
      anon_sym_RPAREN,
    STATE(22195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878652] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32334), 1,
      anon_sym_DASH_GT,
    STATE(22196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878666] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32336), 1,
      anon_sym_SQUOTE2,
    STATE(22197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878680] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32338), 1,
      anon_sym_DQUOTE,
    STATE(22198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878694] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32340), 1,
      anon_sym_DOT,
    STATE(22199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878708] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32342), 1,
      anon_sym_SQUOTE2,
    STATE(22200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878722] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32344), 1,
      anon_sym_DASH_GT,
    STATE(22201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878736] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32346), 1,
      sym_indexing_operator,
    STATE(22202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878750] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32348), 1,
      anon_sym_PLUS_EQ,
    STATE(22203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32350), 1,
      anon_sym_RPAREN,
    STATE(22204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878778] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32352), 1,
      anon_sym_DQUOTE,
    STATE(22205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878792] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32354), 1,
      anon_sym_PLUS_EQ,
    STATE(22206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878806] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32356), 1,
      sym__identifier,
    STATE(22207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878820] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32358), 1,
      anon_sym_RBRACE,
    STATE(22208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878834] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32360), 1,
      anon_sym_end,
    STATE(22209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878848] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21080), 1,
      anon_sym_end,
    STATE(22210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32362), 1,
      anon_sym_DASH_GT,
    STATE(22211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878876] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32364), 1,
      sym__identifier,
    STATE(22212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32366), 1,
      sym__identifier,
    STATE(22213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878904] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13148), 1,
      anon_sym_GT,
    STATE(22214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878918] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32368), 1,
      sym__identifier,
    STATE(22215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22166), 1,
      anon_sym_DASH_GT,
    STATE(22216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878946] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32370), 1,
      anon_sym_of,
    STATE(22217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878960] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32372), 1,
      anon_sym_in,
    STATE(22218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878974] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32374), 1,
      anon_sym_DASH_GT,
    STATE(22219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878988] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32376), 1,
      sym__identifier,
    STATE(22220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879002] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32378), 1,
      anon_sym_LT_DASH,
    STATE(22221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879016] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32380), 1,
      anon_sym_in,
    STATE(22222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879030] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32382), 1,
      anon_sym_in,
    STATE(22223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32384), 1,
      sym__identifier,
    STATE(22224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879058] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32386), 1,
      anon_sym_in,
    STATE(22225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879072] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32388), 1,
      anon_sym_RPAREN,
    STATE(22226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879086] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32390), 1,
      anon_sym_LT_DASH,
    STATE(22227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879100] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32392), 1,
      anon_sym_RPAREN,
    STATE(22228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879114] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3763), 1,
      anon_sym_RPAREN,
    STATE(22229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879128] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32394), 1,
      anon_sym_RPAREN,
    STATE(22230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879142] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19822), 1,
      anon_sym_RPAREN,
    STATE(22231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879156] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32396), 1,
      sym_indexing_operator,
    STATE(22232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879170] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32398), 1,
      anon_sym_PLUS_EQ,
    STATE(22233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879184] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32400), 1,
      anon_sym_PLUS_EQ,
    STATE(22234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879198] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32402), 1,
      anon_sym_in,
    STATE(22235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32404), 1,
      anon_sym_SQUOTE2,
    STATE(22236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32406), 1,
      sym__identifier,
    STATE(22237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879240] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32408), 1,
      anon_sym_end,
    STATE(22238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879254] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32410), 1,
      sym__identifier,
    STATE(22239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32412), 1,
      anon_sym_RBRACE,
    STATE(22240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879282] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32414), 1,
      anon_sym_in,
    STATE(22241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32416), 1,
      anon_sym_RBRACK,
    STATE(22242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879310] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32418), 1,
      anon_sym_RBRACK,
    STATE(22243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879324] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32420), 1,
      anon_sym_RBRACE,
    STATE(22244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879338] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32422), 1,
      anon_sym_DQUOTE,
    STATE(22245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879352] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32424), 1,
      anon_sym_RBRACE,
    STATE(22246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879366] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25049), 1,
      anon_sym_GT_RBRACE,
    STATE(22247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879380] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32426), 1,
      anon_sym_RPAREN,
    STATE(22248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879394] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22170), 1,
      anon_sym_end,
    STATE(22249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879408] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32428), 1,
      sym_indexing_operator,
    STATE(22250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879422] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32430), 1,
      anon_sym_PLUS_EQ,
    STATE(22251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879436] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32432), 1,
      anon_sym_PLUS_EQ,
    STATE(22252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879450] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32434), 1,
      anon_sym_DASH_GT,
    STATE(22253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879464] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32436), 1,
      anon_sym_RBRACE,
    STATE(22254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879478] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32438), 1,
      sym__identifier,
    STATE(22255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879492] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32440), 1,
      anon_sym_SQUOTE2,
    STATE(22256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879506] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32442), 1,
      anon_sym_DQUOTE,
    STATE(22257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879520] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18493), 1,
      anon_sym_RPAREN,
    STATE(22258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879534] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32444), 1,
      anon_sym_RPAREN,
    STATE(22259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879548] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32446), 1,
      sym__identifier,
    STATE(22260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879562] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10124), 1,
      anon_sym_DASH_GT,
    STATE(22261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879576] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32448), 1,
      anon_sym_RPAREN,
    STATE(22262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879590] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32450), 1,
      anon_sym_RBRACK,
    STATE(22263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879604] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32452), 1,
      sym_indexing_operator,
    STATE(22264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879618] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32454), 1,
      anon_sym_end,
    STATE(22265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879632] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32456), 1,
      sym__identifier,
    STATE(22266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879646] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32458), 1,
      anon_sym_RBRACE,
    STATE(22267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879660] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32460), 1,
      anon_sym_RPAREN,
    STATE(22268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879674] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32462), 1,
      anon_sym_RPAREN,
    STATE(22269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879688] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9997), 1,
      anon_sym_DASH_GT,
    STATE(22270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879702] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25057), 1,
      anon_sym_GT_RBRACE,
    STATE(22271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879716] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32462), 1,
      anon_sym_RBRACK,
    STATE(22272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879730] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22162), 1,
      anon_sym_end,
    STATE(22273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879744] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32464), 1,
      sym_indexing_operator,
    STATE(22274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879758] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32462), 1,
      anon_sym_RBRACE,
    STATE(22275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879772] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10009), 1,
      anon_sym_DASH_GT,
    STATE(22276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879786] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32466), 1,
      sym_indexing_operator,
    STATE(22277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879800] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32468), 1,
      anon_sym_DASH_GT,
    STATE(22278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879814] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32470), 1,
      anon_sym_DASH_GT,
    STATE(22279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879828] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32472), 1,
      sym_indexing_operator,
    STATE(22280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879842] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32474), 1,
      sym__identifier,
    STATE(22281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879856] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32476), 1,
      anon_sym_DASH_GT,
    STATE(22282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879870] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32478), 1,
      sym_indexing_operator,
    STATE(22283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879884] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32480), 1,
      sym_indexing_operator,
    STATE(22284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879898] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32482), 1,
      sym_indexing_operator,
    STATE(22285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879912] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32484), 1,
      sym_indexing_operator,
    STATE(22286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879926] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32486), 1,
      sym_indexing_operator,
    STATE(22287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879940] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32488), 1,
      sym_indexing_operator,
    STATE(22288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879954] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32490), 1,
      sym_indexing_operator,
    STATE(22289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879968] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32492), 1,
      sym_indexing_operator,
    STATE(22290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879982] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32494), 1,
      sym_indexing_operator,
    STATE(22291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879996] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32496), 1,
      sym_indexing_operator,
    STATE(22292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880010] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32498), 1,
      sym_indexing_operator,
    STATE(22293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880024] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32500), 1,
      sym_indexing_operator,
    STATE(22294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880038] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32502), 1,
      sym_indexing_operator,
    STATE(22295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880052] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32504), 1,
      sym_indexing_operator,
    STATE(22296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880066] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32506), 1,
      sym_indexing_operator,
    STATE(22297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880080] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32508), 1,
      sym_indexing_operator,
    STATE(22298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880094] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32510), 1,
      sym_indexing_operator,
    STATE(22299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880108] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32512), 1,
      sym_indexing_operator,
    STATE(22300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880122] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32514), 1,
      sym_indexing_operator,
    STATE(22301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880136] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32516), 1,
      sym_indexing_operator,
    STATE(22302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880150] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32518), 1,
      sym_indexing_operator,
    STATE(22303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880164] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32520), 1,
      sym_indexing_operator,
    STATE(22304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880178] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32522), 1,
      sym_indexing_operator,
    STATE(22305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880192] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32524), 1,
      sym_indexing_operator,
    STATE(22306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880206] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32526), 1,
      sym_indexing_operator,
    STATE(22307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880220] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32528), 1,
      sym_indexing_operator,
    STATE(22308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880234] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32530), 1,
      sym_indexing_operator,
    STATE(22309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880248] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32532), 1,
      sym_indexing_operator,
    STATE(22310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880262] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32534), 1,
      sym_indexing_operator,
    STATE(22311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880276] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32536), 1,
      sym_indexing_operator,
    STATE(22312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880290] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32538), 1,
      sym_indexing_operator,
    STATE(22313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32540), 1,
      sym_indexing_operator,
    STATE(22314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880318] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32542), 1,
      sym_indexing_operator,
    STATE(22315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880332] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32544), 1,
      sym_indexing_operator,
    STATE(22316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880346] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32546), 1,
      sym_indexing_operator,
    STATE(22317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880360] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32548), 1,
      sym_indexing_operator,
    STATE(22318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880374] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32550), 1,
      sym_indexing_operator,
    STATE(22319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880388] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32552), 1,
      sym_indexing_operator,
    STATE(22320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880402] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32554), 1,
      sym_indexing_operator,
    STATE(22321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880416] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32556), 1,
      sym_indexing_operator,
    STATE(22322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880430] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32558), 1,
      sym_indexing_operator,
    STATE(22323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880444] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32560), 1,
      sym_indexing_operator,
    STATE(22324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880458] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32562), 1,
      sym_indexing_operator,
    STATE(22325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32564), 1,
      sym_indexing_operator,
    STATE(22326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880486] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32566), 1,
      sym_indexing_operator,
    STATE(22327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880500] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32568), 1,
      sym_indexing_operator,
    STATE(22328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880514] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32570), 1,
      sym_indexing_operator,
    STATE(22329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880528] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32572), 1,
      sym_indexing_operator,
    STATE(22330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880542] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32574), 1,
      sym_indexing_operator,
    STATE(22331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880556] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32576), 1,
      sym_indexing_operator,
    STATE(22332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880570] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32578), 1,
      sym_indexing_operator,
    STATE(22333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880584] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32580), 1,
      sym_indexing_operator,
    STATE(22334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880598] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32582), 1,
      sym_indexing_operator,
    STATE(22335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880612] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32584), 1,
      sym_indexing_operator,
    STATE(22336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32586), 1,
      sym_indexing_operator,
    STATE(22337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880640] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32588), 1,
      sym_indexing_operator,
    STATE(22338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880654] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32590), 1,
      anon_sym_SQUOTE2,
    STATE(22339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880668] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32592), 1,
      anon_sym_EQ,
    STATE(22340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880682] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32594), 1,
      anon_sym_RPAREN,
    STATE(22341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880696] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32596), 1,
      anon_sym_EQ,
    STATE(22342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880710] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32598), 1,
      anon_sym_RPAREN,
    STATE(22343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880724] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32600), 1,
      anon_sym_type,
    STATE(22344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880738] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32602), 1,
      anon_sym_DASH_GT,
    STATE(22345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880752] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32604), 1,
      anon_sym_RPAREN,
    STATE(22346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880766] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32606), 1,
      anon_sym_RBRACK,
    STATE(22347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880780] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32608), 1,
      anon_sym_RPAREN,
    STATE(22348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880794] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32610), 1,
      anon_sym_RBRACE,
    STATE(22349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880808] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23192), 1,
      anon_sym_GT_RBRACE,
    STATE(22350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880822] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32612), 1,
      anon_sym_RBRACK,
    STATE(22351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880836] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32614), 1,
      anon_sym_RBRACE,
    STATE(22352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880850] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32616), 1,
      anon_sym_end,
    STATE(22353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880864] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32618), 1,
      anon_sym_RBRACK,
    STATE(22354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880878] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32620), 1,
      anon_sym_RPAREN,
    STATE(22355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880892] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32622), 1,
      anon_sym_RBRACE,
    STATE(22356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880906] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32624), 1,
      anon_sym_GT,
    STATE(22357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880920] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22540), 1,
      anon_sym_GT_RBRACE,
    STATE(22358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880934] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32626), 1,
      anon_sym_EQ,
    STATE(22359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880948] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32628), 1,
      anon_sym_EQ,
    STATE(22360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880962] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18363), 1,
      anon_sym_RPAREN,
    STATE(22361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880976] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32630), 1,
      anon_sym_DASH_GT,
    STATE(22362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880990] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10158), 1,
      anon_sym_DASH_GT,
    STATE(22363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881004] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21681), 1,
      anon_sym_end,
    STATE(22364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881018] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32632), 1,
      anon_sym_RPAREN,
    STATE(22365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881032] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32634), 1,
      anon_sym_EQ,
    STATE(22366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881046] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32636), 1,
      anon_sym_EQ,
    STATE(22367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881060] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32638), 1,
      anon_sym_RPAREN,
    STATE(22368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881074] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26804), 1,
      anon_sym_RPAREN,
    STATE(22369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881088] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32640), 1,
      anon_sym_DASH_GT,
    STATE(22370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881102] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32642), 1,
      anon_sym_RPAREN,
    STATE(22371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881116] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32644), 1,
      anon_sym_RPAREN,
    STATE(22372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881130] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32646), 1,
      anon_sym_end,
    STATE(22373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881144] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32648), 1,
      anon_sym_RBRACK,
    STATE(22374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881158] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32650), 1,
      anon_sym_RBRACE,
    STATE(22375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881172] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32652), 1,
      anon_sym_RBRACE,
    STATE(22376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881186] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32654), 1,
      anon_sym_RPAREN,
    STATE(22377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881200] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32656), 1,
      anon_sym_RBRACK,
    STATE(22378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881214] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32658), 1,
      anon_sym_RBRACE,
    STATE(22379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881228] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32660), 1,
      anon_sym_RPAREN,
    STATE(22380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881242] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32662), 1,
      anon_sym_RPAREN,
    STATE(22381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881256] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18485), 1,
      anon_sym_RPAREN,
    STATE(22382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881270] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32664), 1,
      anon_sym_RPAREN,
    STATE(22383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881284] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22180), 1,
      anon_sym_DASH_GT,
    STATE(22384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881298] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32666), 1,
      anon_sym_SQUOTE2,
    STATE(22385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881312] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32668), 1,
      anon_sym_DOT,
    STATE(22386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881326] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32670), 1,
      anon_sym_RPAREN,
    STATE(22387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881340] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32672), 1,
      anon_sym_DQUOTE,
    STATE(22388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881354] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32674), 1,
      anon_sym_RPAREN,
    STATE(22389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881368] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32676), 1,
      anon_sym_RBRACK,
    STATE(22390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881382] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32678), 1,
      anon_sym_SQUOTE2,
    STATE(22391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881396] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32680), 1,
      anon_sym_RPAREN,
    STATE(22392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881410] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32682), 1,
      anon_sym_RBRACE,
    STATE(22393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881424] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32684), 1,
      anon_sym_DASH_GT,
    STATE(22394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881438] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22182), 1,
      anon_sym_DASH_GT,
    STATE(22395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881452] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15467), 1,
      anon_sym_DASH_GT,
    STATE(22396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881466] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32686), 1,
      anon_sym_RPAREN,
    STATE(22397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881480] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32688), 1,
      anon_sym_RPAREN,
    STATE(22398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881494] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32690), 1,
      anon_sym_with,
    STATE(22399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881508] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32692), 1,
      anon_sym_RPAREN,
    STATE(22400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881522] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32694), 1,
      anon_sym_DQUOTE,
    STATE(22401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881536] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32696), 1,
      anon_sym_RBRACK,
    STATE(22402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881550] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32698), 1,
      anon_sym_RBRACE,
    STATE(22403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881564] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32700), 1,
      anon_sym_RBRACK,
    STATE(22404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881578] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22184), 1,
      anon_sym_DASH_GT,
    STATE(22405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881592] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32702), 1,
      anon_sym_RBRACE,
    STATE(22406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881606] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32704), 1,
      anon_sym_RPAREN,
    STATE(22407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881620] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32706), 1,
      anon_sym_with,
    STATE(22408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881634] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32708), 1,
      anon_sym_DOT,
    STATE(22409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881648] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32710), 1,
      anon_sym_RPAREN,
    STATE(22410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881662] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32712), 1,
      anon_sym_RPAREN,
    STATE(22411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881676] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32714), 1,
      anon_sym_DQUOTE,
    STATE(22412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881690] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18343), 1,
      anon_sym_RPAREN,
    STATE(22413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881704] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32716), 1,
      anon_sym_RPAREN,
    STATE(22414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881718] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32718), 1,
      anon_sym_DOT,
    STATE(22415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881732] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32720), 1,
      anon_sym_RBRACE,
    STATE(22416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881746] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32722), 1,
      anon_sym_DOT,
    STATE(22417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881760] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32724), 1,
      anon_sym_RPAREN,
    STATE(22418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881774] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32726), 1,
      anon_sym_RPAREN,
    STATE(22419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881788] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32728), 1,
      anon_sym_RBRACK,
    STATE(22420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881802] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6295), 1,
      anon_sym_RPAREN,
    STATE(22421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881816] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32730), 1,
      anon_sym_with,
    STATE(22422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881830] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32732), 1,
      anon_sym_RPAREN,
    STATE(22423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881844] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32734), 1,
      sym__identifier,
    STATE(22424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881858] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32736), 1,
      anon_sym_with,
    STATE(22425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881872] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13088), 1,
      anon_sym_GT,
    STATE(22426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881886] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10132), 1,
      anon_sym_DASH_GT,
    STATE(22427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881900] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2989), 1,
      anon_sym_RPAREN,
    STATE(22428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881914] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32738), 1,
      anon_sym_RBRACE,
    STATE(22429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881928] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32740), 1,
      anon_sym_DOT,
    STATE(22430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881942] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18205), 1,
      anon_sym_RPAREN,
    STATE(22431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881956] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32742), 1,
      anon_sym_RPAREN,
    STATE(22432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881970] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32744), 1,
      anon_sym_RPAREN,
    STATE(22433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881984] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32746), 1,
      sym__identifier,
    STATE(22434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881998] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32748), 1,
      anon_sym_RPAREN,
    STATE(22435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882012] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19874), 1,
      anon_sym_RPAREN,
    STATE(22436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882026] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32750), 1,
      anon_sym_RPAREN,
    STATE(22437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882040] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32752), 1,
      sym__identifier,
    STATE(22438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882054] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32754), 1,
      anon_sym_GT,
    STATE(22439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882068] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32756), 1,
      anon_sym_RBRACK,
    STATE(22440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882082] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19240), 1,
      anon_sym_GT,
    STATE(22441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882096] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32758), 1,
      anon_sym_RPAREN,
    STATE(22442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882110] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32760), 1,
      anon_sym_LT_DASH,
    STATE(22443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882124] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32762), 1,
      anon_sym_in,
    STATE(22444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882138] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32764), 1,
      anon_sym_in,
    STATE(22445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882152] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32766), 1,
      anon_sym_in,
    STATE(22446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882166] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32768), 1,
      anon_sym_in,
    STATE(22447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882180] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32770), 1,
      anon_sym_DASH_GT,
    STATE(22448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882194] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32772), 1,
      anon_sym_RBRACK,
    STATE(22449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882208] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32774), 1,
      anon_sym_RPAREN,
    STATE(22450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882222] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32776), 1,
      anon_sym_DASH_GT,
    STATE(22451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882236] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14647), 1,
      anon_sym_DASH_GT,
    STATE(22452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882250] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3781), 1,
      anon_sym_RPAREN,
    STATE(22453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882264] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10202), 1,
      anon_sym_DASH_GT,
    STATE(22454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882278] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32778), 1,
      anon_sym_end,
    STATE(22455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882292] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32780), 1,
      anon_sym_RPAREN,
    STATE(22456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882306] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32782), 1,
      anon_sym_DASH_GT,
    STATE(22457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882320] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32784), 1,
      anon_sym_RBRACK,
    STATE(22458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882334] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32786), 1,
      anon_sym_in,
    STATE(22459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882348] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32788), 1,
      anon_sym_RPAREN,
    STATE(22460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882362] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32790), 1,
      anon_sym_RPAREN,
    STATE(22461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882376] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32790), 1,
      anon_sym_RBRACK,
    STATE(22462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882390] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32790), 1,
      anon_sym_RBRACE,
    STATE(22463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882404] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32792), 1,
      anon_sym_RBRACE,
    STATE(22464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882418] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32794), 1,
      anon_sym_RPAREN,
    STATE(22465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882432] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32796), 1,
      anon_sym_end,
    STATE(22466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882446] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32798), 1,
      anon_sym_RBRACK,
    STATE(22467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882460] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32800), 1,
      anon_sym_RBRACK,
    STATE(22468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882474] = 1,
    ACTIONS(32802), 1,
      ts_builtin_sym_end,
  [882478] = 1,
    ACTIONS(32804), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(3020)] = 0,
  [SMALL_STATE(3021)] = 137,
  [SMALL_STATE(3022)] = 212,
  [SMALL_STATE(3023)] = 287,
  [SMALL_STATE(3024)] = 362,
  [SMALL_STATE(3025)] = 499,
  [SMALL_STATE(3026)] = 636,
  [SMALL_STATE(3027)] = 773,
  [SMALL_STATE(3028)] = 848,
  [SMALL_STATE(3029)] = 985,
  [SMALL_STATE(3030)] = 1122,
  [SMALL_STATE(3031)] = 1259,
  [SMALL_STATE(3032)] = 1334,
  [SMALL_STATE(3033)] = 1471,
  [SMALL_STATE(3034)] = 1608,
  [SMALL_STATE(3035)] = 1745,
  [SMALL_STATE(3036)] = 1882,
  [SMALL_STATE(3037)] = 2019,
  [SMALL_STATE(3038)] = 2156,
  [SMALL_STATE(3039)] = 2293,
  [SMALL_STATE(3040)] = 2430,
  [SMALL_STATE(3041)] = 2567,
  [SMALL_STATE(3042)] = 2704,
  [SMALL_STATE(3043)] = 2841,
  [SMALL_STATE(3044)] = 2978,
  [SMALL_STATE(3045)] = 3115,
  [SMALL_STATE(3046)] = 3252,
  [SMALL_STATE(3047)] = 3389,
  [SMALL_STATE(3048)] = 3526,
  [SMALL_STATE(3049)] = 3663,
  [SMALL_STATE(3050)] = 3800,
  [SMALL_STATE(3051)] = 3937,
  [SMALL_STATE(3052)] = 4074,
  [SMALL_STATE(3053)] = 4149,
  [SMALL_STATE(3054)] = 4286,
  [SMALL_STATE(3055)] = 4423,
  [SMALL_STATE(3056)] = 4560,
  [SMALL_STATE(3057)] = 4697,
  [SMALL_STATE(3058)] = 4834,
  [SMALL_STATE(3059)] = 4971,
  [SMALL_STATE(3060)] = 5108,
  [SMALL_STATE(3061)] = 5185,
  [SMALL_STATE(3062)] = 5322,
  [SMALL_STATE(3063)] = 5397,
  [SMALL_STATE(3064)] = 5472,
  [SMALL_STATE(3065)] = 5547,
  [SMALL_STATE(3066)] = 5624,
  [SMALL_STATE(3067)] = 5761,
  [SMALL_STATE(3068)] = 5836,
  [SMALL_STATE(3069)] = 5959,
  [SMALL_STATE(3070)] = 6096,
  [SMALL_STATE(3071)] = 6233,
  [SMALL_STATE(3072)] = 6308,
  [SMALL_STATE(3073)] = 6445,
  [SMALL_STATE(3074)] = 6520,
  [SMALL_STATE(3075)] = 6597,
  [SMALL_STATE(3076)] = 6674,
  [SMALL_STATE(3077)] = 6811,
  [SMALL_STATE(3078)] = 6948,
  [SMALL_STATE(3079)] = 7085,
  [SMALL_STATE(3080)] = 7160,
  [SMALL_STATE(3081)] = 7235,
  [SMALL_STATE(3082)] = 7372,
  [SMALL_STATE(3083)] = 7447,
  [SMALL_STATE(3084)] = 7584,
  [SMALL_STATE(3085)] = 7659,
  [SMALL_STATE(3086)] = 7734,
  [SMALL_STATE(3087)] = 7809,
  [SMALL_STATE(3088)] = 7884,
  [SMALL_STATE(3089)] = 7959,
  [SMALL_STATE(3090)] = 8034,
  [SMALL_STATE(3091)] = 8111,
  [SMALL_STATE(3092)] = 8188,
  [SMALL_STATE(3093)] = 8263,
  [SMALL_STATE(3094)] = 8400,
  [SMALL_STATE(3095)] = 8537,
  [SMALL_STATE(3096)] = 8612,
  [SMALL_STATE(3097)] = 8687,
  [SMALL_STATE(3098)] = 8824,
  [SMALL_STATE(3099)] = 8961,
  [SMALL_STATE(3100)] = 9036,
  [SMALL_STATE(3101)] = 9111,
  [SMALL_STATE(3102)] = 9248,
  [SMALL_STATE(3103)] = 9385,
  [SMALL_STATE(3104)] = 9460,
  [SMALL_STATE(3105)] = 9590,
  [SMALL_STATE(3106)] = 9664,
  [SMALL_STATE(3107)] = 9738,
  [SMALL_STATE(3108)] = 9868,
  [SMALL_STATE(3109)] = 9942,
  [SMALL_STATE(3110)] = 10016,
  [SMALL_STATE(3111)] = 10090,
  [SMALL_STATE(3112)] = 10220,
  [SMALL_STATE(3113)] = 10296,
  [SMALL_STATE(3114)] = 10370,
  [SMALL_STATE(3115)] = 10444,
  [SMALL_STATE(3116)] = 10574,
  [SMALL_STATE(3117)] = 10648,
  [SMALL_STATE(3118)] = 10722,
  [SMALL_STATE(3119)] = 10796,
  [SMALL_STATE(3120)] = 10870,
  [SMALL_STATE(3121)] = 11000,
  [SMALL_STATE(3122)] = 11130,
  [SMALL_STATE(3123)] = 11204,
  [SMALL_STATE(3124)] = 11278,
  [SMALL_STATE(3125)] = 11352,
  [SMALL_STATE(3126)] = 11482,
  [SMALL_STATE(3127)] = 11556,
  [SMALL_STATE(3128)] = 11630,
  [SMALL_STATE(3129)] = 11760,
  [SMALL_STATE(3130)] = 11890,
  [SMALL_STATE(3131)] = 11964,
  [SMALL_STATE(3132)] = 12038,
  [SMALL_STATE(3133)] = 12168,
  [SMALL_STATE(3134)] = 12242,
  [SMALL_STATE(3135)] = 12316,
  [SMALL_STATE(3136)] = 12390,
  [SMALL_STATE(3137)] = 12464,
  [SMALL_STATE(3138)] = 12538,
  [SMALL_STATE(3139)] = 12612,
  [SMALL_STATE(3140)] = 12686,
  [SMALL_STATE(3141)] = 12816,
  [SMALL_STATE(3142)] = 12890,
  [SMALL_STATE(3143)] = 12964,
  [SMALL_STATE(3144)] = 13038,
  [SMALL_STATE(3145)] = 13112,
  [SMALL_STATE(3146)] = 13242,
  [SMALL_STATE(3147)] = 13372,
  [SMALL_STATE(3148)] = 13446,
  [SMALL_STATE(3149)] = 13520,
  [SMALL_STATE(3150)] = 13594,
  [SMALL_STATE(3151)] = 13668,
  [SMALL_STATE(3152)] = 13742,
  [SMALL_STATE(3153)] = 13816,
  [SMALL_STATE(3154)] = 13946,
  [SMALL_STATE(3155)] = 14020,
  [SMALL_STATE(3156)] = 14094,
  [SMALL_STATE(3157)] = 14168,
  [SMALL_STATE(3158)] = 14242,
  [SMALL_STATE(3159)] = 14316,
  [SMALL_STATE(3160)] = 14390,
  [SMALL_STATE(3161)] = 14520,
  [SMALL_STATE(3162)] = 14650,
  [SMALL_STATE(3163)] = 14724,
  [SMALL_STATE(3164)] = 14798,
  [SMALL_STATE(3165)] = 14872,
  [SMALL_STATE(3166)] = 15002,
  [SMALL_STATE(3167)] = 15076,
  [SMALL_STATE(3168)] = 15150,
  [SMALL_STATE(3169)] = 15226,
  [SMALL_STATE(3170)] = 15300,
  [SMALL_STATE(3171)] = 15374,
  [SMALL_STATE(3172)] = 15448,
  [SMALL_STATE(3173)] = 15522,
  [SMALL_STATE(3174)] = 15652,
  [SMALL_STATE(3175)] = 15726,
  [SMALL_STATE(3176)] = 15800,
  [SMALL_STATE(3177)] = 15874,
  [SMALL_STATE(3178)] = 15948,
  [SMALL_STATE(3179)] = 16024,
  [SMALL_STATE(3180)] = 16098,
  [SMALL_STATE(3181)] = 16172,
  [SMALL_STATE(3182)] = 16302,
  [SMALL_STATE(3183)] = 16376,
  [SMALL_STATE(3184)] = 16450,
  [SMALL_STATE(3185)] = 16580,
  [SMALL_STATE(3186)] = 16654,
  [SMALL_STATE(3187)] = 16730,
  [SMALL_STATE(3188)] = 16804,
  [SMALL_STATE(3189)] = 16934,
  [SMALL_STATE(3190)] = 17064,
  [SMALL_STATE(3191)] = 17140,
  [SMALL_STATE(3192)] = 17214,
  [SMALL_STATE(3193)] = 17288,
  [SMALL_STATE(3194)] = 17418,
  [SMALL_STATE(3195)] = 17548,
  [SMALL_STATE(3196)] = 17624,
  [SMALL_STATE(3197)] = 17698,
  [SMALL_STATE(3198)] = 17772,
  [SMALL_STATE(3199)] = 17846,
  [SMALL_STATE(3200)] = 17920,
  [SMALL_STATE(3201)] = 17994,
  [SMALL_STATE(3202)] = 18068,
  [SMALL_STATE(3203)] = 18142,
  [SMALL_STATE(3204)] = 18222,
  [SMALL_STATE(3205)] = 18296,
  [SMALL_STATE(3206)] = 18370,
  [SMALL_STATE(3207)] = 18444,
  [SMALL_STATE(3208)] = 18574,
  [SMALL_STATE(3209)] = 18648,
  [SMALL_STATE(3210)] = 18722,
  [SMALL_STATE(3211)] = 18796,
  [SMALL_STATE(3212)] = 18870,
  [SMALL_STATE(3213)] = 18944,
  [SMALL_STATE(3214)] = 19018,
  [SMALL_STATE(3215)] = 19092,
  [SMALL_STATE(3216)] = 19166,
  [SMALL_STATE(3217)] = 19240,
  [SMALL_STATE(3218)] = 19314,
  [SMALL_STATE(3219)] = 19388,
  [SMALL_STATE(3220)] = 19462,
  [SMALL_STATE(3221)] = 19536,
  [SMALL_STATE(3222)] = 19610,
  [SMALL_STATE(3223)] = 19684,
  [SMALL_STATE(3224)] = 19758,
  [SMALL_STATE(3225)] = 19888,
  [SMALL_STATE(3226)] = 19962,
  [SMALL_STATE(3227)] = 20036,
  [SMALL_STATE(3228)] = 20110,
  [SMALL_STATE(3229)] = 20184,
  [SMALL_STATE(3230)] = 20258,
  [SMALL_STATE(3231)] = 20332,
  [SMALL_STATE(3232)] = 20408,
  [SMALL_STATE(3233)] = 20482,
  [SMALL_STATE(3234)] = 20556,
  [SMALL_STATE(3235)] = 20630,
  [SMALL_STATE(3236)] = 20704,
  [SMALL_STATE(3237)] = 20778,
  [SMALL_STATE(3238)] = 20908,
  [SMALL_STATE(3239)] = 20982,
  [SMALL_STATE(3240)] = 21056,
  [SMALL_STATE(3241)] = 21130,
  [SMALL_STATE(3242)] = 21204,
  [SMALL_STATE(3243)] = 21278,
  [SMALL_STATE(3244)] = 21352,
  [SMALL_STATE(3245)] = 21426,
  [SMALL_STATE(3246)] = 21500,
  [SMALL_STATE(3247)] = 21574,
  [SMALL_STATE(3248)] = 21706,
  [SMALL_STATE(3249)] = 21838,
  [SMALL_STATE(3250)] = 21968,
  [SMALL_STATE(3251)] = 22098,
  [SMALL_STATE(3252)] = 22172,
  [SMALL_STATE(3253)] = 22302,
  [SMALL_STATE(3254)] = 22376,
  [SMALL_STATE(3255)] = 22450,
  [SMALL_STATE(3256)] = 22524,
  [SMALL_STATE(3257)] = 22598,
  [SMALL_STATE(3258)] = 22672,
  [SMALL_STATE(3259)] = 22746,
  [SMALL_STATE(3260)] = 22820,
  [SMALL_STATE(3261)] = 22894,
  [SMALL_STATE(3262)] = 22968,
  [SMALL_STATE(3263)] = 23044,
  [SMALL_STATE(3264)] = 23118,
  [SMALL_STATE(3265)] = 23192,
  [SMALL_STATE(3266)] = 23266,
  [SMALL_STATE(3267)] = 23340,
  [SMALL_STATE(3268)] = 23470,
  [SMALL_STATE(3269)] = 23546,
  [SMALL_STATE(3270)] = 23626,
  [SMALL_STATE(3271)] = 23700,
  [SMALL_STATE(3272)] = 23774,
  [SMALL_STATE(3273)] = 23848,
  [SMALL_STATE(3274)] = 23978,
  [SMALL_STATE(3275)] = 24052,
  [SMALL_STATE(3276)] = 24126,
  [SMALL_STATE(3277)] = 24200,
  [SMALL_STATE(3278)] = 24274,
  [SMALL_STATE(3279)] = 24348,
  [SMALL_STATE(3280)] = 24422,
  [SMALL_STATE(3281)] = 24496,
  [SMALL_STATE(3282)] = 24570,
  [SMALL_STATE(3283)] = 24644,
  [SMALL_STATE(3284)] = 24774,
  [SMALL_STATE(3285)] = 24904,
  [SMALL_STATE(3286)] = 24978,
  [SMALL_STATE(3287)] = 25052,
  [SMALL_STATE(3288)] = 25126,
  [SMALL_STATE(3289)] = 25200,
  [SMALL_STATE(3290)] = 25274,
  [SMALL_STATE(3291)] = 25404,
  [SMALL_STATE(3292)] = 25478,
  [SMALL_STATE(3293)] = 25552,
  [SMALL_STATE(3294)] = 25626,
  [SMALL_STATE(3295)] = 25700,
  [SMALL_STATE(3296)] = 25774,
  [SMALL_STATE(3297)] = 25848,
  [SMALL_STATE(3298)] = 25928,
  [SMALL_STATE(3299)] = 26004,
  [SMALL_STATE(3300)] = 26078,
  [SMALL_STATE(3301)] = 26152,
  [SMALL_STATE(3302)] = 26226,
  [SMALL_STATE(3303)] = 26300,
  [SMALL_STATE(3304)] = 26374,
  [SMALL_STATE(3305)] = 26448,
  [SMALL_STATE(3306)] = 26522,
  [SMALL_STATE(3307)] = 26596,
  [SMALL_STATE(3308)] = 26670,
  [SMALL_STATE(3309)] = 26800,
  [SMALL_STATE(3310)] = 26874,
  [SMALL_STATE(3311)] = 26950,
  [SMALL_STATE(3312)] = 27024,
  [SMALL_STATE(3313)] = 27098,
  [SMALL_STATE(3314)] = 27172,
  [SMALL_STATE(3315)] = 27302,
  [SMALL_STATE(3316)] = 27376,
  [SMALL_STATE(3317)] = 27450,
  [SMALL_STATE(3318)] = 27530,
  [SMALL_STATE(3319)] = 27604,
  [SMALL_STATE(3320)] = 27678,
  [SMALL_STATE(3321)] = 27752,
  [SMALL_STATE(3322)] = 27826,
  [SMALL_STATE(3323)] = 27900,
  [SMALL_STATE(3324)] = 27974,
  [SMALL_STATE(3325)] = 28048,
  [SMALL_STATE(3326)] = 28122,
  [SMALL_STATE(3327)] = 28196,
  [SMALL_STATE(3328)] = 28270,
  [SMALL_STATE(3329)] = 28344,
  [SMALL_STATE(3330)] = 28418,
  [SMALL_STATE(3331)] = 28492,
  [SMALL_STATE(3332)] = 28566,
  [SMALL_STATE(3333)] = 28640,
  [SMALL_STATE(3334)] = 28770,
  [SMALL_STATE(3335)] = 28844,
  [SMALL_STATE(3336)] = 28918,
  [SMALL_STATE(3337)] = 28992,
  [SMALL_STATE(3338)] = 29066,
  [SMALL_STATE(3339)] = 29140,
  [SMALL_STATE(3340)] = 29214,
  [SMALL_STATE(3341)] = 29290,
  [SMALL_STATE(3342)] = 29364,
  [SMALL_STATE(3343)] = 29438,
  [SMALL_STATE(3344)] = 29512,
  [SMALL_STATE(3345)] = 29586,
  [SMALL_STATE(3346)] = 29662,
  [SMALL_STATE(3347)] = 29736,
  [SMALL_STATE(3348)] = 29866,
  [SMALL_STATE(3349)] = 29940,
  [SMALL_STATE(3350)] = 30070,
  [SMALL_STATE(3351)] = 30144,
  [SMALL_STATE(3352)] = 30218,
  [SMALL_STATE(3353)] = 30292,
  [SMALL_STATE(3354)] = 30366,
  [SMALL_STATE(3355)] = 30440,
  [SMALL_STATE(3356)] = 30514,
  [SMALL_STATE(3357)] = 30588,
  [SMALL_STATE(3358)] = 30662,
  [SMALL_STATE(3359)] = 30736,
  [SMALL_STATE(3360)] = 30810,
  [SMALL_STATE(3361)] = 30884,
  [SMALL_STATE(3362)] = 30958,
  [SMALL_STATE(3363)] = 31088,
  [SMALL_STATE(3364)] = 31162,
  [SMALL_STATE(3365)] = 31292,
  [SMALL_STATE(3366)] = 31366,
  [SMALL_STATE(3367)] = 31440,
  [SMALL_STATE(3368)] = 31516,
  [SMALL_STATE(3369)] = 31590,
  [SMALL_STATE(3370)] = 31664,
  [SMALL_STATE(3371)] = 31738,
  [SMALL_STATE(3372)] = 31812,
  [SMALL_STATE(3373)] = 31886,
  [SMALL_STATE(3374)] = 31960,
  [SMALL_STATE(3375)] = 32034,
  [SMALL_STATE(3376)] = 32108,
  [SMALL_STATE(3377)] = 32182,
  [SMALL_STATE(3378)] = 32256,
  [SMALL_STATE(3379)] = 32386,
  [SMALL_STATE(3380)] = 32460,
  [SMALL_STATE(3381)] = 32534,
  [SMALL_STATE(3382)] = 32608,
  [SMALL_STATE(3383)] = 32682,
  [SMALL_STATE(3384)] = 32756,
  [SMALL_STATE(3385)] = 32830,
  [SMALL_STATE(3386)] = 32960,
  [SMALL_STATE(3387)] = 33090,
  [SMALL_STATE(3388)] = 33164,
  [SMALL_STATE(3389)] = 33238,
  [SMALL_STATE(3390)] = 33312,
  [SMALL_STATE(3391)] = 33386,
  [SMALL_STATE(3392)] = 33460,
  [SMALL_STATE(3393)] = 33534,
  [SMALL_STATE(3394)] = 33608,
  [SMALL_STATE(3395)] = 33688,
  [SMALL_STATE(3396)] = 33762,
  [SMALL_STATE(3397)] = 33836,
  [SMALL_STATE(3398)] = 33910,
  [SMALL_STATE(3399)] = 33984,
  [SMALL_STATE(3400)] = 34064,
  [SMALL_STATE(3401)] = 34140,
  [SMALL_STATE(3402)] = 34214,
  [SMALL_STATE(3403)] = 34290,
  [SMALL_STATE(3404)] = 34364,
  [SMALL_STATE(3405)] = 34440,
  [SMALL_STATE(3406)] = 34570,
  [SMALL_STATE(3407)] = 34644,
  [SMALL_STATE(3408)] = 34718,
  [SMALL_STATE(3409)] = 34792,
  [SMALL_STATE(3410)] = 34922,
  [SMALL_STATE(3411)] = 34996,
  [SMALL_STATE(3412)] = 35070,
  [SMALL_STATE(3413)] = 35146,
  [SMALL_STATE(3414)] = 35220,
  [SMALL_STATE(3415)] = 35294,
  [SMALL_STATE(3416)] = 35370,
  [SMALL_STATE(3417)] = 35444,
  [SMALL_STATE(3418)] = 35520,
  [SMALL_STATE(3419)] = 35594,
  [SMALL_STATE(3420)] = 35668,
  [SMALL_STATE(3421)] = 35742,
  [SMALL_STATE(3422)] = 35816,
  [SMALL_STATE(3423)] = 35946,
  [SMALL_STATE(3424)] = 36076,
  [SMALL_STATE(3425)] = 36150,
  [SMALL_STATE(3426)] = 36224,
  [SMALL_STATE(3427)] = 36298,
  [SMALL_STATE(3428)] = 36372,
  [SMALL_STATE(3429)] = 36446,
  [SMALL_STATE(3430)] = 36520,
  [SMALL_STATE(3431)] = 36594,
  [SMALL_STATE(3432)] = 36668,
  [SMALL_STATE(3433)] = 36744,
  [SMALL_STATE(3434)] = 36818,
  [SMALL_STATE(3435)] = 36948,
  [SMALL_STATE(3436)] = 37078,
  [SMALL_STATE(3437)] = 37152,
  [SMALL_STATE(3438)] = 37226,
  [SMALL_STATE(3439)] = 37300,
  [SMALL_STATE(3440)] = 37431,
  [SMALL_STATE(3441)] = 37504,
  [SMALL_STATE(3442)] = 37577,
  [SMALL_STATE(3443)] = 37650,
  [SMALL_STATE(3444)] = 37781,
  [SMALL_STATE(3445)] = 37912,
  [SMALL_STATE(3446)] = 37985,
  [SMALL_STATE(3447)] = 38116,
  [SMALL_STATE(3448)] = 38247,
  [SMALL_STATE(3449)] = 38378,
  [SMALL_STATE(3450)] = 38509,
  [SMALL_STATE(3451)] = 38640,
  [SMALL_STATE(3452)] = 38771,
  [SMALL_STATE(3453)] = 38902,
  [SMALL_STATE(3454)] = 38975,
  [SMALL_STATE(3455)] = 39106,
  [SMALL_STATE(3456)] = 39179,
  [SMALL_STATE(3457)] = 39310,
  [SMALL_STATE(3458)] = 39441,
  [SMALL_STATE(3459)] = 39572,
  [SMALL_STATE(3460)] = 39651,
  [SMALL_STATE(3461)] = 39782,
  [SMALL_STATE(3462)] = 39913,
  [SMALL_STATE(3463)] = 39986,
  [SMALL_STATE(3464)] = 40117,
  [SMALL_STATE(3465)] = 40248,
  [SMALL_STATE(3466)] = 40379,
  [SMALL_STATE(3467)] = 40510,
  [SMALL_STATE(3468)] = 40583,
  [SMALL_STATE(3469)] = 40656,
  [SMALL_STATE(3470)] = 40787,
  [SMALL_STATE(3471)] = 40918,
  [SMALL_STATE(3472)] = 40997,
  [SMALL_STATE(3473)] = 41070,
  [SMALL_STATE(3474)] = 41201,
  [SMALL_STATE(3475)] = 41274,
  [SMALL_STATE(3476)] = 41405,
  [SMALL_STATE(3477)] = 41478,
  [SMALL_STATE(3478)] = 41609,
  [SMALL_STATE(3479)] = 41740,
  [SMALL_STATE(3480)] = 41813,
  [SMALL_STATE(3481)] = 41944,
  [SMALL_STATE(3482)] = 42017,
  [SMALL_STATE(3483)] = 42148,
  [SMALL_STATE(3484)] = 42279,
  [SMALL_STATE(3485)] = 42352,
  [SMALL_STATE(3486)] = 42425,
  [SMALL_STATE(3487)] = 42556,
  [SMALL_STATE(3488)] = 42629,
  [SMALL_STATE(3489)] = 42702,
  [SMALL_STATE(3490)] = 42833,
  [SMALL_STATE(3491)] = 42906,
  [SMALL_STATE(3492)] = 42979,
  [SMALL_STATE(3493)] = 43052,
  [SMALL_STATE(3494)] = 43183,
  [SMALL_STATE(3495)] = 43314,
  [SMALL_STATE(3496)] = 43387,
  [SMALL_STATE(3497)] = 43518,
  [SMALL_STATE(3498)] = 43591,
  [SMALL_STATE(3499)] = 43722,
  [SMALL_STATE(3500)] = 43801,
  [SMALL_STATE(3501)] = 43932,
  [SMALL_STATE(3502)] = 44063,
  [SMALL_STATE(3503)] = 44194,
  [SMALL_STATE(3504)] = 44325,
  [SMALL_STATE(3505)] = 44456,
  [SMALL_STATE(3506)] = 44529,
  [SMALL_STATE(3507)] = 44602,
  [SMALL_STATE(3508)] = 44675,
  [SMALL_STATE(3509)] = 44748,
  [SMALL_STATE(3510)] = 44879,
  [SMALL_STATE(3511)] = 44952,
  [SMALL_STATE(3512)] = 45025,
  [SMALL_STATE(3513)] = 45098,
  [SMALL_STATE(3514)] = 45229,
  [SMALL_STATE(3515)] = 45360,
  [SMALL_STATE(3516)] = 45491,
  [SMALL_STATE(3517)] = 45622,
  [SMALL_STATE(3518)] = 45695,
  [SMALL_STATE(3519)] = 45826,
  [SMALL_STATE(3520)] = 45957,
  [SMALL_STATE(3521)] = 46088,
  [SMALL_STATE(3522)] = 46163,
  [SMALL_STATE(3523)] = 46236,
  [SMALL_STATE(3524)] = 46309,
  [SMALL_STATE(3525)] = 46382,
  [SMALL_STATE(3526)] = 46513,
  [SMALL_STATE(3527)] = 46586,
  [SMALL_STATE(3528)] = 46717,
  [SMALL_STATE(3529)] = 46790,
  [SMALL_STATE(3530)] = 46921,
  [SMALL_STATE(3531)] = 47052,
  [SMALL_STATE(3532)] = 47125,
  [SMALL_STATE(3533)] = 47198,
  [SMALL_STATE(3534)] = 47271,
  [SMALL_STATE(3535)] = 47402,
  [SMALL_STATE(3536)] = 47533,
  [SMALL_STATE(3537)] = 47606,
  [SMALL_STATE(3538)] = 47679,
  [SMALL_STATE(3539)] = 47752,
  [SMALL_STATE(3540)] = 47883,
  [SMALL_STATE(3541)] = 48014,
  [SMALL_STATE(3542)] = 48145,
  [SMALL_STATE(3543)] = 48218,
  [SMALL_STATE(3544)] = 48349,
  [SMALL_STATE(3545)] = 48422,
  [SMALL_STATE(3546)] = 48495,
  [SMALL_STATE(3547)] = 48574,
  [SMALL_STATE(3548)] = 48649,
  [SMALL_STATE(3549)] = 48722,
  [SMALL_STATE(3550)] = 48853,
  [SMALL_STATE(3551)] = 48926,
  [SMALL_STATE(3552)] = 48999,
  [SMALL_STATE(3553)] = 49072,
  [SMALL_STATE(3554)] = 49203,
  [SMALL_STATE(3555)] = 49334,
  [SMALL_STATE(3556)] = 49407,
  [SMALL_STATE(3557)] = 49480,
  [SMALL_STATE(3558)] = 49553,
  [SMALL_STATE(3559)] = 49626,
  [SMALL_STATE(3560)] = 49757,
  [SMALL_STATE(3561)] = 49888,
  [SMALL_STATE(3562)] = 49961,
  [SMALL_STATE(3563)] = 50092,
  [SMALL_STATE(3564)] = 50165,
  [SMALL_STATE(3565)] = 50238,
  [SMALL_STATE(3566)] = 50311,
  [SMALL_STATE(3567)] = 50384,
  [SMALL_STATE(3568)] = 50457,
  [SMALL_STATE(3569)] = 50530,
  [SMALL_STATE(3570)] = 50661,
  [SMALL_STATE(3571)] = 50734,
  [SMALL_STATE(3572)] = 50865,
  [SMALL_STATE(3573)] = 50938,
  [SMALL_STATE(3574)] = 51069,
  [SMALL_STATE(3575)] = 51142,
  [SMALL_STATE(3576)] = 51273,
  [SMALL_STATE(3577)] = 51346,
  [SMALL_STATE(3578)] = 51477,
  [SMALL_STATE(3579)] = 51550,
  [SMALL_STATE(3580)] = 51623,
  [SMALL_STATE(3581)] = 51696,
  [SMALL_STATE(3582)] = 51775,
  [SMALL_STATE(3583)] = 51848,
  [SMALL_STATE(3584)] = 51979,
  [SMALL_STATE(3585)] = 52110,
  [SMALL_STATE(3586)] = 52183,
  [SMALL_STATE(3587)] = 52256,
  [SMALL_STATE(3588)] = 52329,
  [SMALL_STATE(3589)] = 52460,
  [SMALL_STATE(3590)] = 52591,
  [SMALL_STATE(3591)] = 52664,
  [SMALL_STATE(3592)] = 52737,
  [SMALL_STATE(3593)] = 52810,
  [SMALL_STATE(3594)] = 52883,
  [SMALL_STATE(3595)] = 53014,
  [SMALL_STATE(3596)] = 53087,
  [SMALL_STATE(3597)] = 53160,
  [SMALL_STATE(3598)] = 53233,
  [SMALL_STATE(3599)] = 53308,
  [SMALL_STATE(3600)] = 53381,
  [SMALL_STATE(3601)] = 53454,
  [SMALL_STATE(3602)] = 53527,
  [SMALL_STATE(3603)] = 53600,
  [SMALL_STATE(3604)] = 53673,
  [SMALL_STATE(3605)] = 53804,
  [SMALL_STATE(3606)] = 53877,
  [SMALL_STATE(3607)] = 53950,
  [SMALL_STATE(3608)] = 54023,
  [SMALL_STATE(3609)] = 54096,
  [SMALL_STATE(3610)] = 54227,
  [SMALL_STATE(3611)] = 54300,
  [SMALL_STATE(3612)] = 54373,
  [SMALL_STATE(3613)] = 54446,
  [SMALL_STATE(3614)] = 54519,
  [SMALL_STATE(3615)] = 54592,
  [SMALL_STATE(3616)] = 54723,
  [SMALL_STATE(3617)] = 54854,
  [SMALL_STATE(3618)] = 54927,
  [SMALL_STATE(3619)] = 55000,
  [SMALL_STATE(3620)] = 55073,
  [SMALL_STATE(3621)] = 55146,
  [SMALL_STATE(3622)] = 55219,
  [SMALL_STATE(3623)] = 55298,
  [SMALL_STATE(3624)] = 55429,
  [SMALL_STATE(3625)] = 55502,
  [SMALL_STATE(3626)] = 55633,
  [SMALL_STATE(3627)] = 55764,
  [SMALL_STATE(3628)] = 55837,
  [SMALL_STATE(3629)] = 55910,
  [SMALL_STATE(3630)] = 55983,
  [SMALL_STATE(3631)] = 56056,
  [SMALL_STATE(3632)] = 56129,
  [SMALL_STATE(3633)] = 56260,
  [SMALL_STATE(3634)] = 56333,
  [SMALL_STATE(3635)] = 56406,
  [SMALL_STATE(3636)] = 56479,
  [SMALL_STATE(3637)] = 56552,
  [SMALL_STATE(3638)] = 56683,
  [SMALL_STATE(3639)] = 56756,
  [SMALL_STATE(3640)] = 56887,
  [SMALL_STATE(3641)] = 56960,
  [SMALL_STATE(3642)] = 57033,
  [SMALL_STATE(3643)] = 57106,
  [SMALL_STATE(3644)] = 57237,
  [SMALL_STATE(3645)] = 57310,
  [SMALL_STATE(3646)] = 57383,
  [SMALL_STATE(3647)] = 57514,
  [SMALL_STATE(3648)] = 57587,
  [SMALL_STATE(3649)] = 57718,
  [SMALL_STATE(3650)] = 57791,
  [SMALL_STATE(3651)] = 57864,
  [SMALL_STATE(3652)] = 57937,
  [SMALL_STATE(3653)] = 58010,
  [SMALL_STATE(3654)] = 58141,
  [SMALL_STATE(3655)] = 58214,
  [SMALL_STATE(3656)] = 58345,
  [SMALL_STATE(3657)] = 58476,
  [SMALL_STATE(3658)] = 58607,
  [SMALL_STATE(3659)] = 58680,
  [SMALL_STATE(3660)] = 58753,
  [SMALL_STATE(3661)] = 58884,
  [SMALL_STATE(3662)] = 58957,
  [SMALL_STATE(3663)] = 59030,
  [SMALL_STATE(3664)] = 59103,
  [SMALL_STATE(3665)] = 59176,
  [SMALL_STATE(3666)] = 59249,
  [SMALL_STATE(3667)] = 59322,
  [SMALL_STATE(3668)] = 59453,
  [SMALL_STATE(3669)] = 59584,
  [SMALL_STATE(3670)] = 59657,
  [SMALL_STATE(3671)] = 59730,
  [SMALL_STATE(3672)] = 59803,
  [SMALL_STATE(3673)] = 59878,
  [SMALL_STATE(3674)] = 59951,
  [SMALL_STATE(3675)] = 60024,
  [SMALL_STATE(3676)] = 60097,
  [SMALL_STATE(3677)] = 60170,
  [SMALL_STATE(3678)] = 60243,
  [SMALL_STATE(3679)] = 60316,
  [SMALL_STATE(3680)] = 60447,
  [SMALL_STATE(3681)] = 60520,
  [SMALL_STATE(3682)] = 60651,
  [SMALL_STATE(3683)] = 60782,
  [SMALL_STATE(3684)] = 60855,
  [SMALL_STATE(3685)] = 60928,
  [SMALL_STATE(3686)] = 61001,
  [SMALL_STATE(3687)] = 61074,
  [SMALL_STATE(3688)] = 61149,
  [SMALL_STATE(3689)] = 61222,
  [SMALL_STATE(3690)] = 61295,
  [SMALL_STATE(3691)] = 61368,
  [SMALL_STATE(3692)] = 61441,
  [SMALL_STATE(3693)] = 61572,
  [SMALL_STATE(3694)] = 61703,
  [SMALL_STATE(3695)] = 61834,
  [SMALL_STATE(3696)] = 61907,
  [SMALL_STATE(3697)] = 61980,
  [SMALL_STATE(3698)] = 62111,
  [SMALL_STATE(3699)] = 62184,
  [SMALL_STATE(3700)] = 62259,
  [SMALL_STATE(3701)] = 62332,
  [SMALL_STATE(3702)] = 62405,
  [SMALL_STATE(3703)] = 62478,
  [SMALL_STATE(3704)] = 62551,
  [SMALL_STATE(3705)] = 62682,
  [SMALL_STATE(3706)] = 62755,
  [SMALL_STATE(3707)] = 62828,
  [SMALL_STATE(3708)] = 62901,
  [SMALL_STATE(3709)] = 63032,
  [SMALL_STATE(3710)] = 63163,
  [SMALL_STATE(3711)] = 63236,
  [SMALL_STATE(3712)] = 63367,
  [SMALL_STATE(3713)] = 63440,
  [SMALL_STATE(3714)] = 63571,
  [SMALL_STATE(3715)] = 63702,
  [SMALL_STATE(3716)] = 63833,
  [SMALL_STATE(3717)] = 63906,
  [SMALL_STATE(3718)] = 64037,
  [SMALL_STATE(3719)] = 64116,
  [SMALL_STATE(3720)] = 64189,
  [SMALL_STATE(3721)] = 64262,
  [SMALL_STATE(3722)] = 64393,
  [SMALL_STATE(3723)] = 64524,
  [SMALL_STATE(3724)] = 64597,
  [SMALL_STATE(3725)] = 64670,
  [SMALL_STATE(3726)] = 64801,
  [SMALL_STATE(3727)] = 64880,
  [SMALL_STATE(3728)] = 64953,
  [SMALL_STATE(3729)] = 65084,
  [SMALL_STATE(3730)] = 65157,
  [SMALL_STATE(3731)] = 65288,
  [SMALL_STATE(3732)] = 65361,
  [SMALL_STATE(3733)] = 65434,
  [SMALL_STATE(3734)] = 65507,
  [SMALL_STATE(3735)] = 65580,
  [SMALL_STATE(3736)] = 65653,
  [SMALL_STATE(3737)] = 65784,
  [SMALL_STATE(3738)] = 65915,
  [SMALL_STATE(3739)] = 65988,
  [SMALL_STATE(3740)] = 66061,
  [SMALL_STATE(3741)] = 66134,
  [SMALL_STATE(3742)] = 66207,
  [SMALL_STATE(3743)] = 66280,
  [SMALL_STATE(3744)] = 66353,
  [SMALL_STATE(3745)] = 66426,
  [SMALL_STATE(3746)] = 66499,
  [SMALL_STATE(3747)] = 66630,
  [SMALL_STATE(3748)] = 66703,
  [SMALL_STATE(3749)] = 66776,
  [SMALL_STATE(3750)] = 66907,
  [SMALL_STATE(3751)] = 66980,
  [SMALL_STATE(3752)] = 67053,
  [SMALL_STATE(3753)] = 67126,
  [SMALL_STATE(3754)] = 67199,
  [SMALL_STATE(3755)] = 67272,
  [SMALL_STATE(3756)] = 67403,
  [SMALL_STATE(3757)] = 67476,
  [SMALL_STATE(3758)] = 67549,
  [SMALL_STATE(3759)] = 67622,
  [SMALL_STATE(3760)] = 67695,
  [SMALL_STATE(3761)] = 67768,
  [SMALL_STATE(3762)] = 67841,
  [SMALL_STATE(3763)] = 67914,
  [SMALL_STATE(3764)] = 68045,
  [SMALL_STATE(3765)] = 68118,
  [SMALL_STATE(3766)] = 68249,
  [SMALL_STATE(3767)] = 68322,
  [SMALL_STATE(3768)] = 68395,
  [SMALL_STATE(3769)] = 68468,
  [SMALL_STATE(3770)] = 68541,
  [SMALL_STATE(3771)] = 68614,
  [SMALL_STATE(3772)] = 68687,
  [SMALL_STATE(3773)] = 68760,
  [SMALL_STATE(3774)] = 68833,
  [SMALL_STATE(3775)] = 68906,
  [SMALL_STATE(3776)] = 69037,
  [SMALL_STATE(3777)] = 69168,
  [SMALL_STATE(3778)] = 69241,
  [SMALL_STATE(3779)] = 69372,
  [SMALL_STATE(3780)] = 69445,
  [SMALL_STATE(3781)] = 69576,
  [SMALL_STATE(3782)] = 69707,
  [SMALL_STATE(3783)] = 69780,
  [SMALL_STATE(3784)] = 69853,
  [SMALL_STATE(3785)] = 69926,
  [SMALL_STATE(3786)] = 69999,
  [SMALL_STATE(3787)] = 70072,
  [SMALL_STATE(3788)] = 70145,
  [SMALL_STATE(3789)] = 70218,
  [SMALL_STATE(3790)] = 70291,
  [SMALL_STATE(3791)] = 70364,
  [SMALL_STATE(3792)] = 70437,
  [SMALL_STATE(3793)] = 70568,
  [SMALL_STATE(3794)] = 70699,
  [SMALL_STATE(3795)] = 70772,
  [SMALL_STATE(3796)] = 70845,
  [SMALL_STATE(3797)] = 70920,
  [SMALL_STATE(3798)] = 71051,
  [SMALL_STATE(3799)] = 71124,
  [SMALL_STATE(3800)] = 71197,
  [SMALL_STATE(3801)] = 71328,
  [SMALL_STATE(3802)] = 71401,
  [SMALL_STATE(3803)] = 71474,
  [SMALL_STATE(3804)] = 71605,
  [SMALL_STATE(3805)] = 71678,
  [SMALL_STATE(3806)] = 71809,
  [SMALL_STATE(3807)] = 71940,
  [SMALL_STATE(3808)] = 72071,
  [SMALL_STATE(3809)] = 72202,
  [SMALL_STATE(3810)] = 72277,
  [SMALL_STATE(3811)] = 72408,
  [SMALL_STATE(3812)] = 72483,
  [SMALL_STATE(3813)] = 72556,
  [SMALL_STATE(3814)] = 72687,
  [SMALL_STATE(3815)] = 72818,
  [SMALL_STATE(3816)] = 72949,
  [SMALL_STATE(3817)] = 73024,
  [SMALL_STATE(3818)] = 73155,
  [SMALL_STATE(3819)] = 73228,
  [SMALL_STATE(3820)] = 73301,
  [SMALL_STATE(3821)] = 73432,
  [SMALL_STATE(3822)] = 73507,
  [SMALL_STATE(3823)] = 73580,
  [SMALL_STATE(3824)] = 73653,
  [SMALL_STATE(3825)] = 73726,
  [SMALL_STATE(3826)] = 73857,
  [SMALL_STATE(3827)] = 73930,
  [SMALL_STATE(3828)] = 74003,
  [SMALL_STATE(3829)] = 74076,
  [SMALL_STATE(3830)] = 74207,
  [SMALL_STATE(3831)] = 74280,
  [SMALL_STATE(3832)] = 74411,
  [SMALL_STATE(3833)] = 74542,
  [SMALL_STATE(3834)] = 74673,
  [SMALL_STATE(3835)] = 74804,
  [SMALL_STATE(3836)] = 74935,
  [SMALL_STATE(3837)] = 75008,
  [SMALL_STATE(3838)] = 75139,
  [SMALL_STATE(3839)] = 75270,
  [SMALL_STATE(3840)] = 75343,
  [SMALL_STATE(3841)] = 75474,
  [SMALL_STATE(3842)] = 75605,
  [SMALL_STATE(3843)] = 75678,
  [SMALL_STATE(3844)] = 75751,
  [SMALL_STATE(3845)] = 75824,
  [SMALL_STATE(3846)] = 75897,
  [SMALL_STATE(3847)] = 75970,
  [SMALL_STATE(3848)] = 76101,
  [SMALL_STATE(3849)] = 76174,
  [SMALL_STATE(3850)] = 76247,
  [SMALL_STATE(3851)] = 76320,
  [SMALL_STATE(3852)] = 76393,
  [SMALL_STATE(3853)] = 76466,
  [SMALL_STATE(3854)] = 76539,
  [SMALL_STATE(3855)] = 76612,
  [SMALL_STATE(3856)] = 76685,
  [SMALL_STATE(3857)] = 76816,
  [SMALL_STATE(3858)] = 76889,
  [SMALL_STATE(3859)] = 76962,
  [SMALL_STATE(3860)] = 77035,
  [SMALL_STATE(3861)] = 77108,
  [SMALL_STATE(3862)] = 77181,
  [SMALL_STATE(3863)] = 77254,
  [SMALL_STATE(3864)] = 77327,
  [SMALL_STATE(3865)] = 77400,
  [SMALL_STATE(3866)] = 77473,
  [SMALL_STATE(3867)] = 77546,
  [SMALL_STATE(3868)] = 77619,
  [SMALL_STATE(3869)] = 77750,
  [SMALL_STATE(3870)] = 77823,
  [SMALL_STATE(3871)] = 77896,
  [SMALL_STATE(3872)] = 77969,
  [SMALL_STATE(3873)] = 78042,
  [SMALL_STATE(3874)] = 78115,
  [SMALL_STATE(3875)] = 78188,
  [SMALL_STATE(3876)] = 78261,
  [SMALL_STATE(3877)] = 78334,
  [SMALL_STATE(3878)] = 78407,
  [SMALL_STATE(3879)] = 78538,
  [SMALL_STATE(3880)] = 78611,
  [SMALL_STATE(3881)] = 78742,
  [SMALL_STATE(3882)] = 78817,
  [SMALL_STATE(3883)] = 78890,
  [SMALL_STATE(3884)] = 79021,
  [SMALL_STATE(3885)] = 79162,
  [SMALL_STATE(3886)] = 79235,
  [SMALL_STATE(3887)] = 79366,
  [SMALL_STATE(3888)] = 79497,
  [SMALL_STATE(3889)] = 79570,
  [SMALL_STATE(3890)] = 79643,
  [SMALL_STATE(3891)] = 79774,
  [SMALL_STATE(3892)] = 79847,
  [SMALL_STATE(3893)] = 79920,
  [SMALL_STATE(3894)] = 79993,
  [SMALL_STATE(3895)] = 80066,
  [SMALL_STATE(3896)] = 80139,
  [SMALL_STATE(3897)] = 80212,
  [SMALL_STATE(3898)] = 80285,
  [SMALL_STATE(3899)] = 80360,
  [SMALL_STATE(3900)] = 80433,
  [SMALL_STATE(3901)] = 80508,
  [SMALL_STATE(3902)] = 80581,
  [SMALL_STATE(3903)] = 80654,
  [SMALL_STATE(3904)] = 80795,
  [SMALL_STATE(3905)] = 80868,
  [SMALL_STATE(3906)] = 80943,
  [SMALL_STATE(3907)] = 81016,
  [SMALL_STATE(3908)] = 81089,
  [SMALL_STATE(3909)] = 81162,
  [SMALL_STATE(3910)] = 81235,
  [SMALL_STATE(3911)] = 81376,
  [SMALL_STATE(3912)] = 81449,
  [SMALL_STATE(3913)] = 81522,
  [SMALL_STATE(3914)] = 81595,
  [SMALL_STATE(3915)] = 81668,
  [SMALL_STATE(3916)] = 81799,
  [SMALL_STATE(3917)] = 81872,
  [SMALL_STATE(3918)] = 82013,
  [SMALL_STATE(3919)] = 82086,
  [SMALL_STATE(3920)] = 82159,
  [SMALL_STATE(3921)] = 82232,
  [SMALL_STATE(3922)] = 82305,
  [SMALL_STATE(3923)] = 82436,
  [SMALL_STATE(3924)] = 82567,
  [SMALL_STATE(3925)] = 82708,
  [SMALL_STATE(3926)] = 82781,
  [SMALL_STATE(3927)] = 82854,
  [SMALL_STATE(3928)] = 82927,
  [SMALL_STATE(3929)] = 83000,
  [SMALL_STATE(3930)] = 83073,
  [SMALL_STATE(3931)] = 83146,
  [SMALL_STATE(3932)] = 83287,
  [SMALL_STATE(3933)] = 83360,
  [SMALL_STATE(3934)] = 83433,
  [SMALL_STATE(3935)] = 83506,
  [SMALL_STATE(3936)] = 83579,
  [SMALL_STATE(3937)] = 83652,
  [SMALL_STATE(3938)] = 83725,
  [SMALL_STATE(3939)] = 83798,
  [SMALL_STATE(3940)] = 83939,
  [SMALL_STATE(3941)] = 84012,
  [SMALL_STATE(3942)] = 84085,
  [SMALL_STATE(3943)] = 84158,
  [SMALL_STATE(3944)] = 84231,
  [SMALL_STATE(3945)] = 84362,
  [SMALL_STATE(3946)] = 84493,
  [SMALL_STATE(3947)] = 84624,
  [SMALL_STATE(3948)] = 84697,
  [SMALL_STATE(3949)] = 84770,
  [SMALL_STATE(3950)] = 84843,
  [SMALL_STATE(3951)] = 84974,
  [SMALL_STATE(3952)] = 85047,
  [SMALL_STATE(3953)] = 85178,
  [SMALL_STATE(3954)] = 85251,
  [SMALL_STATE(3955)] = 85382,
  [SMALL_STATE(3956)] = 85513,
  [SMALL_STATE(3957)] = 85586,
  [SMALL_STATE(3958)] = 85717,
  [SMALL_STATE(3959)] = 85848,
  [SMALL_STATE(3960)] = 85921,
  [SMALL_STATE(3961)] = 85994,
  [SMALL_STATE(3962)] = 86125,
  [SMALL_STATE(3963)] = 86256,
  [SMALL_STATE(3964)] = 86387,
  [SMALL_STATE(3965)] = 86518,
  [SMALL_STATE(3966)] = 86649,
  [SMALL_STATE(3967)] = 86724,
  [SMALL_STATE(3968)] = 86797,
  [SMALL_STATE(3969)] = 86928,
  [SMALL_STATE(3970)] = 87059,
  [SMALL_STATE(3971)] = 87134,
  [SMALL_STATE(3972)] = 87207,
  [SMALL_STATE(3973)] = 87338,
  [SMALL_STATE(3974)] = 87411,
  [SMALL_STATE(3975)] = 87484,
  [SMALL_STATE(3976)] = 87557,
  [SMALL_STATE(3977)] = 87688,
  [SMALL_STATE(3978)] = 87819,
  [SMALL_STATE(3979)] = 87892,
  [SMALL_STATE(3980)] = 88023,
  [SMALL_STATE(3981)] = 88154,
  [SMALL_STATE(3982)] = 88285,
  [SMALL_STATE(3983)] = 88416,
  [SMALL_STATE(3984)] = 88489,
  [SMALL_STATE(3985)] = 88562,
  [SMALL_STATE(3986)] = 88693,
  [SMALL_STATE(3987)] = 88766,
  [SMALL_STATE(3988)] = 88839,
  [SMALL_STATE(3989)] = 88918,
  [SMALL_STATE(3990)] = 89049,
  [SMALL_STATE(3991)] = 89122,
  [SMALL_STATE(3992)] = 89253,
  [SMALL_STATE(3993)] = 89384,
  [SMALL_STATE(3994)] = 89457,
  [SMALL_STATE(3995)] = 89530,
  [SMALL_STATE(3996)] = 89661,
  [SMALL_STATE(3997)] = 89792,
  [SMALL_STATE(3998)] = 89865,
  [SMALL_STATE(3999)] = 89938,
  [SMALL_STATE(4000)] = 90069,
  [SMALL_STATE(4001)] = 90200,
  [SMALL_STATE(4002)] = 90331,
  [SMALL_STATE(4003)] = 90404,
  [SMALL_STATE(4004)] = 90477,
  [SMALL_STATE(4005)] = 90608,
  [SMALL_STATE(4006)] = 90681,
  [SMALL_STATE(4007)] = 90754,
  [SMALL_STATE(4008)] = 90885,
  [SMALL_STATE(4009)] = 90958,
  [SMALL_STATE(4010)] = 91031,
  [SMALL_STATE(4011)] = 91104,
  [SMALL_STATE(4012)] = 91177,
  [SMALL_STATE(4013)] = 91308,
  [SMALL_STATE(4014)] = 91381,
  [SMALL_STATE(4015)] = 91454,
  [SMALL_STATE(4016)] = 91527,
  [SMALL_STATE(4017)] = 91658,
  [SMALL_STATE(4018)] = 91789,
  [SMALL_STATE(4019)] = 91862,
  [SMALL_STATE(4020)] = 91935,
  [SMALL_STATE(4021)] = 92066,
  [SMALL_STATE(4022)] = 92197,
  [SMALL_STATE(4023)] = 92328,
  [SMALL_STATE(4024)] = 92401,
  [SMALL_STATE(4025)] = 92474,
  [SMALL_STATE(4026)] = 92605,
  [SMALL_STATE(4027)] = 92678,
  [SMALL_STATE(4028)] = 92753,
  [SMALL_STATE(4029)] = 92884,
  [SMALL_STATE(4030)] = 93015,
  [SMALL_STATE(4031)] = 93088,
  [SMALL_STATE(4032)] = 93161,
  [SMALL_STATE(4033)] = 93234,
  [SMALL_STATE(4034)] = 93365,
  [SMALL_STATE(4035)] = 93440,
  [SMALL_STATE(4036)] = 93513,
  [SMALL_STATE(4037)] = 93586,
  [SMALL_STATE(4038)] = 93659,
  [SMALL_STATE(4039)] = 93732,
  [SMALL_STATE(4040)] = 93863,
  [SMALL_STATE(4041)] = 93936,
  [SMALL_STATE(4042)] = 94009,
  [SMALL_STATE(4043)] = 94082,
  [SMALL_STATE(4044)] = 94155,
  [SMALL_STATE(4045)] = 94228,
  [SMALL_STATE(4046)] = 94303,
  [SMALL_STATE(4047)] = 94434,
  [SMALL_STATE(4048)] = 94565,
  [SMALL_STATE(4049)] = 94696,
  [SMALL_STATE(4050)] = 94827,
  [SMALL_STATE(4051)] = 94900,
  [SMALL_STATE(4052)] = 95031,
  [SMALL_STATE(4053)] = 95104,
  [SMALL_STATE(4054)] = 95177,
  [SMALL_STATE(4055)] = 95250,
  [SMALL_STATE(4056)] = 95381,
  [SMALL_STATE(4057)] = 95454,
  [SMALL_STATE(4058)] = 95527,
  [SMALL_STATE(4059)] = 95600,
  [SMALL_STATE(4060)] = 95673,
  [SMALL_STATE(4061)] = 95752,
  [SMALL_STATE(4062)] = 95883,
  [SMALL_STATE(4063)] = 95956,
  [SMALL_STATE(4064)] = 96029,
  [SMALL_STATE(4065)] = 96102,
  [SMALL_STATE(4066)] = 96175,
  [SMALL_STATE(4067)] = 96248,
  [SMALL_STATE(4068)] = 96321,
  [SMALL_STATE(4069)] = 96394,
  [SMALL_STATE(4070)] = 96467,
  [SMALL_STATE(4071)] = 96598,
  [SMALL_STATE(4072)] = 96729,
  [SMALL_STATE(4073)] = 96860,
  [SMALL_STATE(4074)] = 96933,
  [SMALL_STATE(4075)] = 97006,
  [SMALL_STATE(4076)] = 97079,
  [SMALL_STATE(4077)] = 97152,
  [SMALL_STATE(4078)] = 97227,
  [SMALL_STATE(4079)] = 97358,
  [SMALL_STATE(4080)] = 97431,
  [SMALL_STATE(4081)] = 97504,
  [SMALL_STATE(4082)] = 97577,
  [SMALL_STATE(4083)] = 97650,
  [SMALL_STATE(4084)] = 97723,
  [SMALL_STATE(4085)] = 97796,
  [SMALL_STATE(4086)] = 97869,
  [SMALL_STATE(4087)] = 97942,
  [SMALL_STATE(4088)] = 98073,
  [SMALL_STATE(4089)] = 98146,
  [SMALL_STATE(4090)] = 98219,
  [SMALL_STATE(4091)] = 98350,
  [SMALL_STATE(4092)] = 98423,
  [SMALL_STATE(4093)] = 98496,
  [SMALL_STATE(4094)] = 98627,
  [SMALL_STATE(4095)] = 98700,
  [SMALL_STATE(4096)] = 98773,
  [SMALL_STATE(4097)] = 98846,
  [SMALL_STATE(4098)] = 98919,
  [SMALL_STATE(4099)] = 98992,
  [SMALL_STATE(4100)] = 99065,
  [SMALL_STATE(4101)] = 99144,
  [SMALL_STATE(4102)] = 99275,
  [SMALL_STATE(4103)] = 99406,
  [SMALL_STATE(4104)] = 99537,
  [SMALL_STATE(4105)] = 99610,
  [SMALL_STATE(4106)] = 99683,
  [SMALL_STATE(4107)] = 99756,
  [SMALL_STATE(4108)] = 99829,
  [SMALL_STATE(4109)] = 99960,
  [SMALL_STATE(4110)] = 100091,
  [SMALL_STATE(4111)] = 100222,
  [SMALL_STATE(4112)] = 100295,
  [SMALL_STATE(4113)] = 100368,
  [SMALL_STATE(4114)] = 100441,
  [SMALL_STATE(4115)] = 100514,
  [SMALL_STATE(4116)] = 100645,
  [SMALL_STATE(4117)] = 100720,
  [SMALL_STATE(4118)] = 100793,
  [SMALL_STATE(4119)] = 100866,
  [SMALL_STATE(4120)] = 100941,
  [SMALL_STATE(4121)] = 101014,
  [SMALL_STATE(4122)] = 101145,
  [SMALL_STATE(4123)] = 101276,
  [SMALL_STATE(4124)] = 101349,
  [SMALL_STATE(4125)] = 101480,
  [SMALL_STATE(4126)] = 101553,
  [SMALL_STATE(4127)] = 101684,
  [SMALL_STATE(4128)] = 101815,
  [SMALL_STATE(4129)] = 101946,
  [SMALL_STATE(4130)] = 102019,
  [SMALL_STATE(4131)] = 102092,
  [SMALL_STATE(4132)] = 102223,
  [SMALL_STATE(4133)] = 102354,
  [SMALL_STATE(4134)] = 102485,
  [SMALL_STATE(4135)] = 102616,
  [SMALL_STATE(4136)] = 102747,
  [SMALL_STATE(4137)] = 102820,
  [SMALL_STATE(4138)] = 102893,
  [SMALL_STATE(4139)] = 102966,
  [SMALL_STATE(4140)] = 103039,
  [SMALL_STATE(4141)] = 103170,
  [SMALL_STATE(4142)] = 103243,
  [SMALL_STATE(4143)] = 103316,
  [SMALL_STATE(4144)] = 103447,
  [SMALL_STATE(4145)] = 103526,
  [SMALL_STATE(4146)] = 103657,
  [SMALL_STATE(4147)] = 103730,
  [SMALL_STATE(4148)] = 103861,
  [SMALL_STATE(4149)] = 103992,
  [SMALL_STATE(4150)] = 104065,
  [SMALL_STATE(4151)] = 104196,
  [SMALL_STATE(4152)] = 104327,
  [SMALL_STATE(4153)] = 104458,
  [SMALL_STATE(4154)] = 104533,
  [SMALL_STATE(4155)] = 104664,
  [SMALL_STATE(4156)] = 104795,
  [SMALL_STATE(4157)] = 104868,
  [SMALL_STATE(4158)] = 104941,
  [SMALL_STATE(4159)] = 105072,
  [SMALL_STATE(4160)] = 105203,
  [SMALL_STATE(4161)] = 105276,
  [SMALL_STATE(4162)] = 105349,
  [SMALL_STATE(4163)] = 105422,
  [SMALL_STATE(4164)] = 105553,
  [SMALL_STATE(4165)] = 105626,
  [SMALL_STATE(4166)] = 105698,
  [SMALL_STATE(4167)] = 105770,
  [SMALL_STATE(4168)] = 105842,
  [SMALL_STATE(4169)] = 105914,
  [SMALL_STATE(4170)] = 105986,
  [SMALL_STATE(4171)] = 106058,
  [SMALL_STATE(4172)] = 106130,
  [SMALL_STATE(4173)] = 106202,
  [SMALL_STATE(4174)] = 106274,
  [SMALL_STATE(4175)] = 106346,
  [SMALL_STATE(4176)] = 106418,
  [SMALL_STATE(4177)] = 106490,
  [SMALL_STATE(4178)] = 106562,
  [SMALL_STATE(4179)] = 106636,
  [SMALL_STATE(4180)] = 106708,
  [SMALL_STATE(4181)] = 106780,
  [SMALL_STATE(4182)] = 106852,
  [SMALL_STATE(4183)] = 106924,
  [SMALL_STATE(4184)] = 106996,
  [SMALL_STATE(4185)] = 107068,
  [SMALL_STATE(4186)] = 107140,
  [SMALL_STATE(4187)] = 107212,
  [SMALL_STATE(4188)] = 107284,
  [SMALL_STATE(4189)] = 107356,
  [SMALL_STATE(4190)] = 107428,
  [SMALL_STATE(4191)] = 107500,
  [SMALL_STATE(4192)] = 107572,
  [SMALL_STATE(4193)] = 107644,
  [SMALL_STATE(4194)] = 107716,
  [SMALL_STATE(4195)] = 107788,
  [SMALL_STATE(4196)] = 107860,
  [SMALL_STATE(4197)] = 107932,
  [SMALL_STATE(4198)] = 108004,
  [SMALL_STATE(4199)] = 108076,
  [SMALL_STATE(4200)] = 108148,
  [SMALL_STATE(4201)] = 108220,
  [SMALL_STATE(4202)] = 108292,
  [SMALL_STATE(4203)] = 108364,
  [SMALL_STATE(4204)] = 108436,
  [SMALL_STATE(4205)] = 108508,
  [SMALL_STATE(4206)] = 108580,
  [SMALL_STATE(4207)] = 108652,
  [SMALL_STATE(4208)] = 108724,
  [SMALL_STATE(4209)] = 108796,
  [SMALL_STATE(4210)] = 108868,
  [SMALL_STATE(4211)] = 108940,
  [SMALL_STATE(4212)] = 109012,
  [SMALL_STATE(4213)] = 109084,
  [SMALL_STATE(4214)] = 109156,
  [SMALL_STATE(4215)] = 109228,
  [SMALL_STATE(4216)] = 109300,
  [SMALL_STATE(4217)] = 109372,
  [SMALL_STATE(4218)] = 109444,
  [SMALL_STATE(4219)] = 109518,
  [SMALL_STATE(4220)] = 109590,
  [SMALL_STATE(4221)] = 109662,
  [SMALL_STATE(4222)] = 109734,
  [SMALL_STATE(4223)] = 109806,
  [SMALL_STATE(4224)] = 109878,
  [SMALL_STATE(4225)] = 109950,
  [SMALL_STATE(4226)] = 110022,
  [SMALL_STATE(4227)] = 110094,
  [SMALL_STATE(4228)] = 110166,
  [SMALL_STATE(4229)] = 110238,
  [SMALL_STATE(4230)] = 110310,
  [SMALL_STATE(4231)] = 110382,
  [SMALL_STATE(4232)] = 110454,
  [SMALL_STATE(4233)] = 110526,
  [SMALL_STATE(4234)] = 110598,
  [SMALL_STATE(4235)] = 110670,
  [SMALL_STATE(4236)] = 110742,
  [SMALL_STATE(4237)] = 110814,
  [SMALL_STATE(4238)] = 110886,
  [SMALL_STATE(4239)] = 110958,
  [SMALL_STATE(4240)] = 111030,
  [SMALL_STATE(4241)] = 111102,
  [SMALL_STATE(4242)] = 111174,
  [SMALL_STATE(4243)] = 111246,
  [SMALL_STATE(4244)] = 111318,
  [SMALL_STATE(4245)] = 111390,
  [SMALL_STATE(4246)] = 111462,
  [SMALL_STATE(4247)] = 111536,
  [SMALL_STATE(4248)] = 111608,
  [SMALL_STATE(4249)] = 111680,
  [SMALL_STATE(4250)] = 111752,
  [SMALL_STATE(4251)] = 111824,
  [SMALL_STATE(4252)] = 111896,
  [SMALL_STATE(4253)] = 111968,
  [SMALL_STATE(4254)] = 112040,
  [SMALL_STATE(4255)] = 112112,
  [SMALL_STATE(4256)] = 112184,
  [SMALL_STATE(4257)] = 112256,
  [SMALL_STATE(4258)] = 112328,
  [SMALL_STATE(4259)] = 112400,
  [SMALL_STATE(4260)] = 112472,
  [SMALL_STATE(4261)] = 112544,
  [SMALL_STATE(4262)] = 112616,
  [SMALL_STATE(4263)] = 112688,
  [SMALL_STATE(4264)] = 112760,
  [SMALL_STATE(4265)] = 112832,
  [SMALL_STATE(4266)] = 112904,
  [SMALL_STATE(4267)] = 112976,
  [SMALL_STATE(4268)] = 113048,
  [SMALL_STATE(4269)] = 113126,
  [SMALL_STATE(4270)] = 113198,
  [SMALL_STATE(4271)] = 113270,
  [SMALL_STATE(4272)] = 113348,
  [SMALL_STATE(4273)] = 113420,
  [SMALL_STATE(4274)] = 113492,
  [SMALL_STATE(4275)] = 113564,
  [SMALL_STATE(4276)] = 113636,
  [SMALL_STATE(4277)] = 113708,
  [SMALL_STATE(4278)] = 113780,
  [SMALL_STATE(4279)] = 113852,
  [SMALL_STATE(4280)] = 113924,
  [SMALL_STATE(4281)] = 113996,
  [SMALL_STATE(4282)] = 114068,
  [SMALL_STATE(4283)] = 114140,
  [SMALL_STATE(4284)] = 114212,
  [SMALL_STATE(4285)] = 114284,
  [SMALL_STATE(4286)] = 114356,
  [SMALL_STATE(4287)] = 114428,
  [SMALL_STATE(4288)] = 114500,
  [SMALL_STATE(4289)] = 114578,
  [SMALL_STATE(4290)] = 114650,
  [SMALL_STATE(4291)] = 114722,
  [SMALL_STATE(4292)] = 114794,
  [SMALL_STATE(4293)] = 114866,
  [SMALL_STATE(4294)] = 114938,
  [SMALL_STATE(4295)] = 115010,
  [SMALL_STATE(4296)] = 115082,
  [SMALL_STATE(4297)] = 115154,
  [SMALL_STATE(4298)] = 115226,
  [SMALL_STATE(4299)] = 115300,
  [SMALL_STATE(4300)] = 115372,
  [SMALL_STATE(4301)] = 115446,
  [SMALL_STATE(4302)] = 115518,
  [SMALL_STATE(4303)] = 115590,
  [SMALL_STATE(4304)] = 115662,
  [SMALL_STATE(4305)] = 115734,
  [SMALL_STATE(4306)] = 115806,
  [SMALL_STATE(4307)] = 115878,
  [SMALL_STATE(4308)] = 115950,
  [SMALL_STATE(4309)] = 116022,
  [SMALL_STATE(4310)] = 116094,
  [SMALL_STATE(4311)] = 116166,
  [SMALL_STATE(4312)] = 116238,
  [SMALL_STATE(4313)] = 116310,
  [SMALL_STATE(4314)] = 116382,
  [SMALL_STATE(4315)] = 116454,
  [SMALL_STATE(4316)] = 116526,
  [SMALL_STATE(4317)] = 116598,
  [SMALL_STATE(4318)] = 116670,
  [SMALL_STATE(4319)] = 116742,
  [SMALL_STATE(4320)] = 116820,
  [SMALL_STATE(4321)] = 116892,
  [SMALL_STATE(4322)] = 116964,
  [SMALL_STATE(4323)] = 117036,
  [SMALL_STATE(4324)] = 117108,
  [SMALL_STATE(4325)] = 117180,
  [SMALL_STATE(4326)] = 117252,
  [SMALL_STATE(4327)] = 117324,
  [SMALL_STATE(4328)] = 117396,
  [SMALL_STATE(4329)] = 117468,
  [SMALL_STATE(4330)] = 117540,
  [SMALL_STATE(4331)] = 117612,
  [SMALL_STATE(4332)] = 117684,
  [SMALL_STATE(4333)] = 117756,
  [SMALL_STATE(4334)] = 117828,
  [SMALL_STATE(4335)] = 117902,
  [SMALL_STATE(4336)] = 117974,
  [SMALL_STATE(4337)] = 118046,
  [SMALL_STATE(4338)] = 118120,
  [SMALL_STATE(4339)] = 118192,
  [SMALL_STATE(4340)] = 118264,
  [SMALL_STATE(4341)] = 118336,
  [SMALL_STATE(4342)] = 118408,
  [SMALL_STATE(4343)] = 118480,
  [SMALL_STATE(4344)] = 118552,
  [SMALL_STATE(4345)] = 118624,
  [SMALL_STATE(4346)] = 118696,
  [SMALL_STATE(4347)] = 118768,
  [SMALL_STATE(4348)] = 118840,
  [SMALL_STATE(4349)] = 118912,
  [SMALL_STATE(4350)] = 118984,
  [SMALL_STATE(4351)] = 119056,
  [SMALL_STATE(4352)] = 119128,
  [SMALL_STATE(4353)] = 119200,
  [SMALL_STATE(4354)] = 119272,
  [SMALL_STATE(4355)] = 119344,
  [SMALL_STATE(4356)] = 119416,
  [SMALL_STATE(4357)] = 119488,
  [SMALL_STATE(4358)] = 119560,
  [SMALL_STATE(4359)] = 119632,
  [SMALL_STATE(4360)] = 119704,
  [SMALL_STATE(4361)] = 119776,
  [SMALL_STATE(4362)] = 119848,
  [SMALL_STATE(4363)] = 119920,
  [SMALL_STATE(4364)] = 119992,
  [SMALL_STATE(4365)] = 120064,
  [SMALL_STATE(4366)] = 120136,
  [SMALL_STATE(4367)] = 120208,
  [SMALL_STATE(4368)] = 120280,
  [SMALL_STATE(4369)] = 120354,
  [SMALL_STATE(4370)] = 120426,
  [SMALL_STATE(4371)] = 120498,
  [SMALL_STATE(4372)] = 120570,
  [SMALL_STATE(4373)] = 120644,
  [SMALL_STATE(4374)] = 120716,
  [SMALL_STATE(4375)] = 120840,
  [SMALL_STATE(4376)] = 120912,
  [SMALL_STATE(4377)] = 120984,
  [SMALL_STATE(4378)] = 121056,
  [SMALL_STATE(4379)] = 121128,
  [SMALL_STATE(4380)] = 121200,
  [SMALL_STATE(4381)] = 121272,
  [SMALL_STATE(4382)] = 121344,
  [SMALL_STATE(4383)] = 121416,
  [SMALL_STATE(4384)] = 121488,
  [SMALL_STATE(4385)] = 121560,
  [SMALL_STATE(4386)] = 121632,
  [SMALL_STATE(4387)] = 121704,
  [SMALL_STATE(4388)] = 121776,
  [SMALL_STATE(4389)] = 121850,
  [SMALL_STATE(4390)] = 121922,
  [SMALL_STATE(4391)] = 121994,
  [SMALL_STATE(4392)] = 122068,
  [SMALL_STATE(4393)] = 122140,
  [SMALL_STATE(4394)] = 122212,
  [SMALL_STATE(4395)] = 122284,
  [SMALL_STATE(4396)] = 122356,
  [SMALL_STATE(4397)] = 122428,
  [SMALL_STATE(4398)] = 122500,
  [SMALL_STATE(4399)] = 122572,
  [SMALL_STATE(4400)] = 122644,
  [SMALL_STATE(4401)] = 122716,
  [SMALL_STATE(4402)] = 122840,
  [SMALL_STATE(4403)] = 122964,
  [SMALL_STATE(4404)] = 123092,
  [SMALL_STATE(4405)] = 123220,
  [SMALL_STATE(4406)] = 123344,
  [SMALL_STATE(4407)] = 123472,
  [SMALL_STATE(4408)] = 123596,
  [SMALL_STATE(4409)] = 123720,
  [SMALL_STATE(4410)] = 123844,
  [SMALL_STATE(4411)] = 123972,
  [SMALL_STATE(4412)] = 124096,
  [SMALL_STATE(4413)] = 124220,
  [SMALL_STATE(4414)] = 124344,
  [SMALL_STATE(4415)] = 124472,
  [SMALL_STATE(4416)] = 124596,
  [SMALL_STATE(4417)] = 124720,
  [SMALL_STATE(4418)] = 124844,
  [SMALL_STATE(4419)] = 124972,
  [SMALL_STATE(4420)] = 125096,
  [SMALL_STATE(4421)] = 125224,
  [SMALL_STATE(4422)] = 125348,
  [SMALL_STATE(4423)] = 125476,
  [SMALL_STATE(4424)] = 125600,
  [SMALL_STATE(4425)] = 125728,
  [SMALL_STATE(4426)] = 125852,
  [SMALL_STATE(4427)] = 125980,
  [SMALL_STATE(4428)] = 126108,
  [SMALL_STATE(4429)] = 126236,
  [SMALL_STATE(4430)] = 126360,
  [SMALL_STATE(4431)] = 126484,
  [SMALL_STATE(4432)] = 126608,
  [SMALL_STATE(4433)] = 126732,
  [SMALL_STATE(4434)] = 126856,
  [SMALL_STATE(4435)] = 126980,
  [SMALL_STATE(4436)] = 127104,
  [SMALL_STATE(4437)] = 127228,
  [SMALL_STATE(4438)] = 127352,
  [SMALL_STATE(4439)] = 127476,
  [SMALL_STATE(4440)] = 127600,
  [SMALL_STATE(4441)] = 127724,
  [SMALL_STATE(4442)] = 127798,
  [SMALL_STATE(4443)] = 127872,
  [SMALL_STATE(4444)] = 127996,
  [SMALL_STATE(4445)] = 128120,
  [SMALL_STATE(4446)] = 128244,
  [SMALL_STATE(4447)] = 128368,
  [SMALL_STATE(4448)] = 128492,
  [SMALL_STATE(4449)] = 128616,
  [SMALL_STATE(4450)] = 128740,
  [SMALL_STATE(4451)] = 128864,
  [SMALL_STATE(4452)] = 128988,
  [SMALL_STATE(4453)] = 129112,
  [SMALL_STATE(4454)] = 129236,
  [SMALL_STATE(4455)] = 129360,
  [SMALL_STATE(4456)] = 129484,
  [SMALL_STATE(4457)] = 129608,
  [SMALL_STATE(4458)] = 129732,
  [SMALL_STATE(4459)] = 129856,
  [SMALL_STATE(4460)] = 129980,
  [SMALL_STATE(4461)] = 130104,
  [SMALL_STATE(4462)] = 130228,
  [SMALL_STATE(4463)] = 130352,
  [SMALL_STATE(4464)] = 130476,
  [SMALL_STATE(4465)] = 130600,
  [SMALL_STATE(4466)] = 130724,
  [SMALL_STATE(4467)] = 130796,
  [SMALL_STATE(4468)] = 130920,
  [SMALL_STATE(4469)] = 131044,
  [SMALL_STATE(4470)] = 131116,
  [SMALL_STATE(4471)] = 131188,
  [SMALL_STATE(4472)] = 131260,
  [SMALL_STATE(4473)] = 131384,
  [SMALL_STATE(4474)] = 131456,
  [SMALL_STATE(4475)] = 131528,
  [SMALL_STATE(4476)] = 131600,
  [SMALL_STATE(4477)] = 131724,
  [SMALL_STATE(4478)] = 131848,
  [SMALL_STATE(4479)] = 131972,
  [SMALL_STATE(4480)] = 132096,
  [SMALL_STATE(4481)] = 132220,
  [SMALL_STATE(4482)] = 132292,
  [SMALL_STATE(4483)] = 132366,
  [SMALL_STATE(4484)] = 132438,
  [SMALL_STATE(4485)] = 132512,
  [SMALL_STATE(4486)] = 132586,
  [SMALL_STATE(4487)] = 132664,
  [SMALL_STATE(4488)] = 132738,
  [SMALL_STATE(4489)] = 132812,
  [SMALL_STATE(4490)] = 132890,
  [SMALL_STATE(4491)] = 132962,
  [SMALL_STATE(4492)] = 133083,
  [SMALL_STATE(4493)] = 133208,
  [SMALL_STATE(4494)] = 133279,
  [SMALL_STATE(4495)] = 133350,
  [SMALL_STATE(4496)] = 133421,
  [SMALL_STATE(4497)] = 133492,
  [SMALL_STATE(4498)] = 133563,
  [SMALL_STATE(4499)] = 133634,
  [SMALL_STATE(4500)] = 133705,
  [SMALL_STATE(4501)] = 133776,
  [SMALL_STATE(4502)] = 133849,
  [SMALL_STATE(4503)] = 133920,
  [SMALL_STATE(4504)] = 133993,
  [SMALL_STATE(4505)] = 134064,
  [SMALL_STATE(4506)] = 134135,
  [SMALL_STATE(4507)] = 134208,
  [SMALL_STATE(4508)] = 134279,
  [SMALL_STATE(4509)] = 134350,
  [SMALL_STATE(4510)] = 134421,
  [SMALL_STATE(4511)] = 134492,
  [SMALL_STATE(4512)] = 134569,
  [SMALL_STATE(4513)] = 134640,
  [SMALL_STATE(4514)] = 134711,
  [SMALL_STATE(4515)] = 134782,
  [SMALL_STATE(4516)] = 134853,
  [SMALL_STATE(4517)] = 134924,
  [SMALL_STATE(4518)] = 135049,
  [SMALL_STATE(4519)] = 135174,
  [SMALL_STATE(4520)] = 135245,
  [SMALL_STATE(4521)] = 135316,
  [SMALL_STATE(4522)] = 135387,
  [SMALL_STATE(4523)] = 135458,
  [SMALL_STATE(4524)] = 135529,
  [SMALL_STATE(4525)] = 135600,
  [SMALL_STATE(4526)] = 135671,
  [SMALL_STATE(4527)] = 135742,
  [SMALL_STATE(4528)] = 135813,
  [SMALL_STATE(4529)] = 135884,
  [SMALL_STATE(4530)] = 135955,
  [SMALL_STATE(4531)] = 136026,
  [SMALL_STATE(4532)] = 136097,
  [SMALL_STATE(4533)] = 136168,
  [SMALL_STATE(4534)] = 136239,
  [SMALL_STATE(4535)] = 136310,
  [SMALL_STATE(4536)] = 136381,
  [SMALL_STATE(4537)] = 136452,
  [SMALL_STATE(4538)] = 136523,
  [SMALL_STATE(4539)] = 136594,
  [SMALL_STATE(4540)] = 136667,
  [SMALL_STATE(4541)] = 136738,
  [SMALL_STATE(4542)] = 136809,
  [SMALL_STATE(4543)] = 136880,
  [SMALL_STATE(4544)] = 136951,
  [SMALL_STATE(4545)] = 137022,
  [SMALL_STATE(4546)] = 137093,
  [SMALL_STATE(4547)] = 137164,
  [SMALL_STATE(4548)] = 137235,
  [SMALL_STATE(4549)] = 137306,
  [SMALL_STATE(4550)] = 137377,
  [SMALL_STATE(4551)] = 137448,
  [SMALL_STATE(4552)] = 137519,
  [SMALL_STATE(4553)] = 137590,
  [SMALL_STATE(4554)] = 137661,
  [SMALL_STATE(4555)] = 137732,
  [SMALL_STATE(4556)] = 137803,
  [SMALL_STATE(4557)] = 137874,
  [SMALL_STATE(4558)] = 137945,
  [SMALL_STATE(4559)] = 138016,
  [SMALL_STATE(4560)] = 138087,
  [SMALL_STATE(4561)] = 138160,
  [SMALL_STATE(4562)] = 138231,
  [SMALL_STATE(4563)] = 138302,
  [SMALL_STATE(4564)] = 138373,
  [SMALL_STATE(4565)] = 138444,
  [SMALL_STATE(4566)] = 138565,
  [SMALL_STATE(4567)] = 138690,
  [SMALL_STATE(4568)] = 138815,
  [SMALL_STATE(4569)] = 138940,
  [SMALL_STATE(4570)] = 139011,
  [SMALL_STATE(4571)] = 139082,
  [SMALL_STATE(4572)] = 139217,
  [SMALL_STATE(4573)] = 139342,
  [SMALL_STATE(4574)] = 139413,
  [SMALL_STATE(4575)] = 139538,
  [SMALL_STATE(4576)] = 139663,
  [SMALL_STATE(4577)] = 139734,
  [SMALL_STATE(4578)] = 139859,
  [SMALL_STATE(4579)] = 139984,
  [SMALL_STATE(4580)] = 140055,
  [SMALL_STATE(4581)] = 140126,
  [SMALL_STATE(4582)] = 140247,
  [SMALL_STATE(4583)] = 140372,
  [SMALL_STATE(4584)] = 140497,
  [SMALL_STATE(4585)] = 140622,
  [SMALL_STATE(4586)] = 140747,
  [SMALL_STATE(4587)] = 140818,
  [SMALL_STATE(4588)] = 140943,
  [SMALL_STATE(4589)] = 141068,
  [SMALL_STATE(4590)] = 141139,
  [SMALL_STATE(4591)] = 141264,
  [SMALL_STATE(4592)] = 141389,
  [SMALL_STATE(4593)] = 141460,
  [SMALL_STATE(4594)] = 141531,
  [SMALL_STATE(4595)] = 141652,
  [SMALL_STATE(4596)] = 141777,
  [SMALL_STATE(4597)] = 141902,
  [SMALL_STATE(4598)] = 142027,
  [SMALL_STATE(4599)] = 142152,
  [SMALL_STATE(4600)] = 142223,
  [SMALL_STATE(4601)] = 142296,
  [SMALL_STATE(4602)] = 142421,
  [SMALL_STATE(4603)] = 142546,
  [SMALL_STATE(4604)] = 142617,
  [SMALL_STATE(4605)] = 142690,
  [SMALL_STATE(4606)] = 142815,
  [SMALL_STATE(4607)] = 142940,
  [SMALL_STATE(4608)] = 143011,
  [SMALL_STATE(4609)] = 143084,
  [SMALL_STATE(4610)] = 143205,
  [SMALL_STATE(4611)] = 143330,
  [SMALL_STATE(4612)] = 143455,
  [SMALL_STATE(4613)] = 143580,
  [SMALL_STATE(4614)] = 143651,
  [SMALL_STATE(4615)] = 143776,
  [SMALL_STATE(4616)] = 143901,
  [SMALL_STATE(4617)] = 143972,
  [SMALL_STATE(4618)] = 144097,
  [SMALL_STATE(4619)] = 144222,
  [SMALL_STATE(4620)] = 144295,
  [SMALL_STATE(4621)] = 144416,
  [SMALL_STATE(4622)] = 144541,
  [SMALL_STATE(4623)] = 144666,
  [SMALL_STATE(4624)] = 144791,
  [SMALL_STATE(4625)] = 144862,
  [SMALL_STATE(4626)] = 144987,
  [SMALL_STATE(4627)] = 145112,
  [SMALL_STATE(4628)] = 145183,
  [SMALL_STATE(4629)] = 145308,
  [SMALL_STATE(4630)] = 145433,
  [SMALL_STATE(4631)] = 145554,
  [SMALL_STATE(4632)] = 145679,
  [SMALL_STATE(4633)] = 145804,
  [SMALL_STATE(4634)] = 145929,
  [SMALL_STATE(4635)] = 146000,
  [SMALL_STATE(4636)] = 146125,
  [SMALL_STATE(4637)] = 146250,
  [SMALL_STATE(4638)] = 146321,
  [SMALL_STATE(4639)] = 146446,
  [SMALL_STATE(4640)] = 146571,
  [SMALL_STATE(4641)] = 146692,
  [SMALL_STATE(4642)] = 146817,
  [SMALL_STATE(4643)] = 146942,
  [SMALL_STATE(4644)] = 147067,
  [SMALL_STATE(4645)] = 147138,
  [SMALL_STATE(4646)] = 147263,
  [SMALL_STATE(4647)] = 147388,
  [SMALL_STATE(4648)] = 147459,
  [SMALL_STATE(4649)] = 147584,
  [SMALL_STATE(4650)] = 147709,
  [SMALL_STATE(4651)] = 147782,
  [SMALL_STATE(4652)] = 147855,
  [SMALL_STATE(4653)] = 147980,
  [SMALL_STATE(4654)] = 148101,
  [SMALL_STATE(4655)] = 148226,
  [SMALL_STATE(4656)] = 148297,
  [SMALL_STATE(4657)] = 148422,
  [SMALL_STATE(4658)] = 148547,
  [SMALL_STATE(4659)] = 148618,
  [SMALL_STATE(4660)] = 148689,
  [SMALL_STATE(4661)] = 148766,
  [SMALL_STATE(4662)] = 148887,
  [SMALL_STATE(4663)] = 149012,
  [SMALL_STATE(4664)] = 149083,
  [SMALL_STATE(4665)] = 149204,
  [SMALL_STATE(4666)] = 149329,
  [SMALL_STATE(4667)] = 149400,
  [SMALL_STATE(4668)] = 149521,
  [SMALL_STATE(4669)] = 149646,
  [SMALL_STATE(4670)] = 149723,
  [SMALL_STATE(4671)] = 149844,
  [SMALL_STATE(4672)] = 149969,
  [SMALL_STATE(4673)] = 150040,
  [SMALL_STATE(4674)] = 150111,
  [SMALL_STATE(4675)] = 150182,
  [SMALL_STATE(4676)] = 150303,
  [SMALL_STATE(4677)] = 150374,
  [SMALL_STATE(4678)] = 150499,
  [SMALL_STATE(4679)] = 150570,
  [SMALL_STATE(4680)] = 150691,
  [SMALL_STATE(4681)] = 150816,
  [SMALL_STATE(4682)] = 150887,
  [SMALL_STATE(4683)] = 150958,
  [SMALL_STATE(4684)] = 151029,
  [SMALL_STATE(4685)] = 151100,
  [SMALL_STATE(4686)] = 151171,
  [SMALL_STATE(4687)] = 151292,
  [SMALL_STATE(4688)] = 151417,
  [SMALL_STATE(4689)] = 151488,
  [SMALL_STATE(4690)] = 151559,
  [SMALL_STATE(4691)] = 151630,
  [SMALL_STATE(4692)] = 151701,
  [SMALL_STATE(4693)] = 151822,
  [SMALL_STATE(4694)] = 151947,
  [SMALL_STATE(4695)] = 152018,
  [SMALL_STATE(4696)] = 152089,
  [SMALL_STATE(4697)] = 152210,
  [SMALL_STATE(4698)] = 152335,
  [SMALL_STATE(4699)] = 152406,
  [SMALL_STATE(4700)] = 152479,
  [SMALL_STATE(4701)] = 152550,
  [SMALL_STATE(4702)] = 152671,
  [SMALL_STATE(4703)] = 152796,
  [SMALL_STATE(4704)] = 152867,
  [SMALL_STATE(4705)] = 152938,
  [SMALL_STATE(4706)] = 153009,
  [SMALL_STATE(4707)] = 153080,
  [SMALL_STATE(4708)] = 153201,
  [SMALL_STATE(4709)] = 153326,
  [SMALL_STATE(4710)] = 153397,
  [SMALL_STATE(4711)] = 153468,
  [SMALL_STATE(4712)] = 153539,
  [SMALL_STATE(4713)] = 153610,
  [SMALL_STATE(4714)] = 153681,
  [SMALL_STATE(4715)] = 153752,
  [SMALL_STATE(4716)] = 153823,
  [SMALL_STATE(4717)] = 153944,
  [SMALL_STATE(4718)] = 154069,
  [SMALL_STATE(4719)] = 154140,
  [SMALL_STATE(4720)] = 154211,
  [SMALL_STATE(4721)] = 154332,
  [SMALL_STATE(4722)] = 154457,
  [SMALL_STATE(4723)] = 154530,
  [SMALL_STATE(4724)] = 154651,
  [SMALL_STATE(4725)] = 154776,
  [SMALL_STATE(4726)] = 154847,
  [SMALL_STATE(4727)] = 154918,
  [SMALL_STATE(4728)] = 155039,
  [SMALL_STATE(4729)] = 155164,
  [SMALL_STATE(4730)] = 155235,
  [SMALL_STATE(4731)] = 155308,
  [SMALL_STATE(4732)] = 155379,
  [SMALL_STATE(4733)] = 155450,
  [SMALL_STATE(4734)] = 155521,
  [SMALL_STATE(4735)] = 155646,
  [SMALL_STATE(4736)] = 155771,
  [SMALL_STATE(4737)] = 155892,
  [SMALL_STATE(4738)] = 156017,
  [SMALL_STATE(4739)] = 156088,
  [SMALL_STATE(4740)] = 156223,
  [SMALL_STATE(4741)] = 156294,
  [SMALL_STATE(4742)] = 156365,
  [SMALL_STATE(4743)] = 156436,
  [SMALL_STATE(4744)] = 156557,
  [SMALL_STATE(4745)] = 156682,
  [SMALL_STATE(4746)] = 156753,
  [SMALL_STATE(4747)] = 156874,
  [SMALL_STATE(4748)] = 156999,
  [SMALL_STATE(4749)] = 157070,
  [SMALL_STATE(4750)] = 157191,
  [SMALL_STATE(4751)] = 157316,
  [SMALL_STATE(4752)] = 157387,
  [SMALL_STATE(4753)] = 157508,
  [SMALL_STATE(4754)] = 157633,
  [SMALL_STATE(4755)] = 157704,
  [SMALL_STATE(4756)] = 157825,
  [SMALL_STATE(4757)] = 157950,
  [SMALL_STATE(4758)] = 158021,
  [SMALL_STATE(4759)] = 158142,
  [SMALL_STATE(4760)] = 158267,
  [SMALL_STATE(4761)] = 158338,
  [SMALL_STATE(4762)] = 158459,
  [SMALL_STATE(4763)] = 158584,
  [SMALL_STATE(4764)] = 158655,
  [SMALL_STATE(4765)] = 158776,
  [SMALL_STATE(4766)] = 158901,
  [SMALL_STATE(4767)] = 158972,
  [SMALL_STATE(4768)] = 159093,
  [SMALL_STATE(4769)] = 159218,
  [SMALL_STATE(4770)] = 159289,
  [SMALL_STATE(4771)] = 159410,
  [SMALL_STATE(4772)] = 159535,
  [SMALL_STATE(4773)] = 159606,
  [SMALL_STATE(4774)] = 159727,
  [SMALL_STATE(4775)] = 159852,
  [SMALL_STATE(4776)] = 159923,
  [SMALL_STATE(4777)] = 160044,
  [SMALL_STATE(4778)] = 160169,
  [SMALL_STATE(4779)] = 160240,
  [SMALL_STATE(4780)] = 160361,
  [SMALL_STATE(4781)] = 160432,
  [SMALL_STATE(4782)] = 160503,
  [SMALL_STATE(4783)] = 160574,
  [SMALL_STATE(4784)] = 160695,
  [SMALL_STATE(4785)] = 160766,
  [SMALL_STATE(4786)] = 160837,
  [SMALL_STATE(4787)] = 160908,
  [SMALL_STATE(4788)] = 160979,
  [SMALL_STATE(4789)] = 161050,
  [SMALL_STATE(4790)] = 161127,
  [SMALL_STATE(4791)] = 161198,
  [SMALL_STATE(4792)] = 161269,
  [SMALL_STATE(4793)] = 161340,
  [SMALL_STATE(4794)] = 161461,
  [SMALL_STATE(4795)] = 161532,
  [SMALL_STATE(4796)] = 161603,
  [SMALL_STATE(4797)] = 161674,
  [SMALL_STATE(4798)] = 161795,
  [SMALL_STATE(4799)] = 161866,
  [SMALL_STATE(4800)] = 161937,
  [SMALL_STATE(4801)] = 162008,
  [SMALL_STATE(4802)] = 162079,
  [SMALL_STATE(4803)] = 162150,
  [SMALL_STATE(4804)] = 162221,
  [SMALL_STATE(4805)] = 162292,
  [SMALL_STATE(4806)] = 162365,
  [SMALL_STATE(4807)] = 162486,
  [SMALL_STATE(4808)] = 162557,
  [SMALL_STATE(4809)] = 162628,
  [SMALL_STATE(4810)] = 162699,
  [SMALL_STATE(4811)] = 162770,
  [SMALL_STATE(4812)] = 162841,
  [SMALL_STATE(4813)] = 162912,
  [SMALL_STATE(4814)] = 162983,
  [SMALL_STATE(4815)] = 163104,
  [SMALL_STATE(4816)] = 163175,
  [SMALL_STATE(4817)] = 163246,
  [SMALL_STATE(4818)] = 163317,
  [SMALL_STATE(4819)] = 163388,
  [SMALL_STATE(4820)] = 163459,
  [SMALL_STATE(4821)] = 163530,
  [SMALL_STATE(4822)] = 163601,
  [SMALL_STATE(4823)] = 163672,
  [SMALL_STATE(4824)] = 163743,
  [SMALL_STATE(4825)] = 163814,
  [SMALL_STATE(4826)] = 163935,
  [SMALL_STATE(4827)] = 164012,
  [SMALL_STATE(4828)] = 164083,
  [SMALL_STATE(4829)] = 164160,
  [SMALL_STATE(4830)] = 164231,
  [SMALL_STATE(4831)] = 164302,
  [SMALL_STATE(4832)] = 164373,
  [SMALL_STATE(4833)] = 164444,
  [SMALL_STATE(4834)] = 164515,
  [SMALL_STATE(4835)] = 164586,
  [SMALL_STATE(4836)] = 164657,
  [SMALL_STATE(4837)] = 164728,
  [SMALL_STATE(4838)] = 164849,
  [SMALL_STATE(4839)] = 164970,
  [SMALL_STATE(4840)] = 165041,
  [SMALL_STATE(4841)] = 165112,
  [SMALL_STATE(4842)] = 165183,
  [SMALL_STATE(4843)] = 165304,
  [SMALL_STATE(4844)] = 165375,
  [SMALL_STATE(4845)] = 165496,
  [SMALL_STATE(4846)] = 165567,
  [SMALL_STATE(4847)] = 165688,
  [SMALL_STATE(4848)] = 165759,
  [SMALL_STATE(4849)] = 165880,
  [SMALL_STATE(4850)] = 165951,
  [SMALL_STATE(4851)] = 166022,
  [SMALL_STATE(4852)] = 166143,
  [SMALL_STATE(4853)] = 166268,
  [SMALL_STATE(4854)] = 166339,
  [SMALL_STATE(4855)] = 166410,
  [SMALL_STATE(4856)] = 166481,
  [SMALL_STATE(4857)] = 166554,
  [SMALL_STATE(4858)] = 166625,
  [SMALL_STATE(4859)] = 166698,
  [SMALL_STATE(4860)] = 166771,
  [SMALL_STATE(4861)] = 166842,
  [SMALL_STATE(4862)] = 166967,
  [SMALL_STATE(4863)] = 167092,
  [SMALL_STATE(4864)] = 167217,
  [SMALL_STATE(4865)] = 167288,
  [SMALL_STATE(4866)] = 167359,
  [SMALL_STATE(4867)] = 167430,
  [SMALL_STATE(4868)] = 167555,
  [SMALL_STATE(4869)] = 167626,
  [SMALL_STATE(4870)] = 167697,
  [SMALL_STATE(4871)] = 167822,
  [SMALL_STATE(4872)] = 167947,
  [SMALL_STATE(4873)] = 168072,
  [SMALL_STATE(4874)] = 168143,
  [SMALL_STATE(4875)] = 168214,
  [SMALL_STATE(4876)] = 168339,
  [SMALL_STATE(4877)] = 168464,
  [SMALL_STATE(4878)] = 168589,
  [SMALL_STATE(4879)] = 168714,
  [SMALL_STATE(4880)] = 168839,
  [SMALL_STATE(4881)] = 168964,
  [SMALL_STATE(4882)] = 169089,
  [SMALL_STATE(4883)] = 169214,
  [SMALL_STATE(4884)] = 169339,
  [SMALL_STATE(4885)] = 169464,
  [SMALL_STATE(4886)] = 169589,
  [SMALL_STATE(4887)] = 169714,
  [SMALL_STATE(4888)] = 169839,
  [SMALL_STATE(4889)] = 169964,
  [SMALL_STATE(4890)] = 170089,
  [SMALL_STATE(4891)] = 170214,
  [SMALL_STATE(4892)] = 170339,
  [SMALL_STATE(4893)] = 170464,
  [SMALL_STATE(4894)] = 170589,
  [SMALL_STATE(4895)] = 170714,
  [SMALL_STATE(4896)] = 170839,
  [SMALL_STATE(4897)] = 170964,
  [SMALL_STATE(4898)] = 171089,
  [SMALL_STATE(4899)] = 171214,
  [SMALL_STATE(4900)] = 171339,
  [SMALL_STATE(4901)] = 171464,
  [SMALL_STATE(4902)] = 171535,
  [SMALL_STATE(4903)] = 171606,
  [SMALL_STATE(4904)] = 171677,
  [SMALL_STATE(4905)] = 171748,
  [SMALL_STATE(4906)] = 171819,
  [SMALL_STATE(4907)] = 171890,
  [SMALL_STATE(4908)] = 171961,
  [SMALL_STATE(4909)] = 172032,
  [SMALL_STATE(4910)] = 172167,
  [SMALL_STATE(4911)] = 172238,
  [SMALL_STATE(4912)] = 172309,
  [SMALL_STATE(4913)] = 172380,
  [SMALL_STATE(4914)] = 172451,
  [SMALL_STATE(4915)] = 172522,
  [SMALL_STATE(4916)] = 172593,
  [SMALL_STATE(4917)] = 172664,
  [SMALL_STATE(4918)] = 172735,
  [SMALL_STATE(4919)] = 172806,
  [SMALL_STATE(4920)] = 172877,
  [SMALL_STATE(4921)] = 172948,
  [SMALL_STATE(4922)] = 173021,
  [SMALL_STATE(4923)] = 173092,
  [SMALL_STATE(4924)] = 173165,
  [SMALL_STATE(4925)] = 173236,
  [SMALL_STATE(4926)] = 173307,
  [SMALL_STATE(4927)] = 173378,
  [SMALL_STATE(4928)] = 173449,
  [SMALL_STATE(4929)] = 173522,
  [SMALL_STATE(4930)] = 173647,
  [SMALL_STATE(4931)] = 173717,
  [SMALL_STATE(4932)] = 173839,
  [SMALL_STATE(4933)] = 173957,
  [SMALL_STATE(4934)] = 174075,
  [SMALL_STATE(4935)] = 174145,
  [SMALL_STATE(4936)] = 174215,
  [SMALL_STATE(4937)] = 174333,
  [SMALL_STATE(4938)] = 174451,
  [SMALL_STATE(4939)] = 174573,
  [SMALL_STATE(4940)] = 174695,
  [SMALL_STATE(4941)] = 174813,
  [SMALL_STATE(4942)] = 174935,
  [SMALL_STATE(4943)] = 175057,
  [SMALL_STATE(4944)] = 175179,
  [SMALL_STATE(4945)] = 175301,
  [SMALL_STATE(4946)] = 175423,
  [SMALL_STATE(4947)] = 175541,
  [SMALL_STATE(4948)] = 175659,
  [SMALL_STATE(4949)] = 175777,
  [SMALL_STATE(4950)] = 175895,
  [SMALL_STATE(4951)] = 176013,
  [SMALL_STATE(4952)] = 176083,
  [SMALL_STATE(4953)] = 176153,
  [SMALL_STATE(4954)] = 176271,
  [SMALL_STATE(4955)] = 176389,
  [SMALL_STATE(4956)] = 176459,
  [SMALL_STATE(4957)] = 176577,
  [SMALL_STATE(4958)] = 176695,
  [SMALL_STATE(4959)] = 176813,
  [SMALL_STATE(4960)] = 176931,
  [SMALL_STATE(4961)] = 177049,
  [SMALL_STATE(4962)] = 177167,
  [SMALL_STATE(4963)] = 177237,
  [SMALL_STATE(4964)] = 177355,
  [SMALL_STATE(4965)] = 177473,
  [SMALL_STATE(4966)] = 177591,
  [SMALL_STATE(4967)] = 177713,
  [SMALL_STATE(4968)] = 177783,
  [SMALL_STATE(4969)] = 177901,
  [SMALL_STATE(4970)] = 178019,
  [SMALL_STATE(4971)] = 178137,
  [SMALL_STATE(4972)] = 178255,
  [SMALL_STATE(4973)] = 178331,
  [SMALL_STATE(4974)] = 178449,
  [SMALL_STATE(4975)] = 178567,
  [SMALL_STATE(4976)] = 178637,
  [SMALL_STATE(4977)] = 178755,
  [SMALL_STATE(4978)] = 178873,
  [SMALL_STATE(4979)] = 178991,
  [SMALL_STATE(4980)] = 179061,
  [SMALL_STATE(4981)] = 179133,
  [SMALL_STATE(4982)] = 179251,
  [SMALL_STATE(4983)] = 179369,
  [SMALL_STATE(4984)] = 179487,
  [SMALL_STATE(4985)] = 179605,
  [SMALL_STATE(4986)] = 179681,
  [SMALL_STATE(4987)] = 179799,
  [SMALL_STATE(4988)] = 179917,
  [SMALL_STATE(4989)] = 180035,
  [SMALL_STATE(4990)] = 180153,
  [SMALL_STATE(4991)] = 180271,
  [SMALL_STATE(4992)] = 180389,
  [SMALL_STATE(4993)] = 180507,
  [SMALL_STATE(4994)] = 180583,
  [SMALL_STATE(4995)] = 180705,
  [SMALL_STATE(4996)] = 180775,
  [SMALL_STATE(4997)] = 180893,
  [SMALL_STATE(4998)] = 180963,
  [SMALL_STATE(4999)] = 181081,
  [SMALL_STATE(5000)] = 181199,
  [SMALL_STATE(5001)] = 181317,
  [SMALL_STATE(5002)] = 181435,
  [SMALL_STATE(5003)] = 181553,
  [SMALL_STATE(5004)] = 181671,
  [SMALL_STATE(5005)] = 181789,
  [SMALL_STATE(5006)] = 181907,
  [SMALL_STATE(5007)] = 181983,
  [SMALL_STATE(5008)] = 182101,
  [SMALL_STATE(5009)] = 182219,
  [SMALL_STATE(5010)] = 182337,
  [SMALL_STATE(5011)] = 182407,
  [SMALL_STATE(5012)] = 182525,
  [SMALL_STATE(5013)] = 182595,
  [SMALL_STATE(5014)] = 182665,
  [SMALL_STATE(5015)] = 182735,
  [SMALL_STATE(5016)] = 182805,
  [SMALL_STATE(5017)] = 182875,
  [SMALL_STATE(5018)] = 182945,
  [SMALL_STATE(5019)] = 183015,
  [SMALL_STATE(5020)] = 183133,
  [SMALL_STATE(5021)] = 183203,
  [SMALL_STATE(5022)] = 183273,
  [SMALL_STATE(5023)] = 183343,
  [SMALL_STATE(5024)] = 183413,
  [SMALL_STATE(5025)] = 183483,
  [SMALL_STATE(5026)] = 183601,
  [SMALL_STATE(5027)] = 183671,
  [SMALL_STATE(5028)] = 183741,
  [SMALL_STATE(5029)] = 183859,
  [SMALL_STATE(5030)] = 183977,
  [SMALL_STATE(5031)] = 184095,
  [SMALL_STATE(5032)] = 184165,
  [SMALL_STATE(5033)] = 184283,
  [SMALL_STATE(5034)] = 184353,
  [SMALL_STATE(5035)] = 184423,
  [SMALL_STATE(5036)] = 184493,
  [SMALL_STATE(5037)] = 184563,
  [SMALL_STATE(5038)] = 184633,
  [SMALL_STATE(5039)] = 184703,
  [SMALL_STATE(5040)] = 184773,
  [SMALL_STATE(5041)] = 184843,
  [SMALL_STATE(5042)] = 184913,
  [SMALL_STATE(5043)] = 184985,
  [SMALL_STATE(5044)] = 185103,
  [SMALL_STATE(5045)] = 185221,
  [SMALL_STATE(5046)] = 185339,
  [SMALL_STATE(5047)] = 185409,
  [SMALL_STATE(5048)] = 185479,
  [SMALL_STATE(5049)] = 185549,
  [SMALL_STATE(5050)] = 185619,
  [SMALL_STATE(5051)] = 185689,
  [SMALL_STATE(5052)] = 185759,
  [SMALL_STATE(5053)] = 185829,
  [SMALL_STATE(5054)] = 185899,
  [SMALL_STATE(5055)] = 185969,
  [SMALL_STATE(5056)] = 186039,
  [SMALL_STATE(5057)] = 186109,
  [SMALL_STATE(5058)] = 186179,
  [SMALL_STATE(5059)] = 186249,
  [SMALL_STATE(5060)] = 186319,
  [SMALL_STATE(5061)] = 186389,
  [SMALL_STATE(5062)] = 186459,
  [SMALL_STATE(5063)] = 186577,
  [SMALL_STATE(5064)] = 186647,
  [SMALL_STATE(5065)] = 186765,
  [SMALL_STATE(5066)] = 186883,
  [SMALL_STATE(5067)] = 186953,
  [SMALL_STATE(5068)] = 187023,
  [SMALL_STATE(5069)] = 187093,
  [SMALL_STATE(5070)] = 187163,
  [SMALL_STATE(5071)] = 187233,
  [SMALL_STATE(5072)] = 187303,
  [SMALL_STATE(5073)] = 187373,
  [SMALL_STATE(5074)] = 187443,
  [SMALL_STATE(5075)] = 187561,
  [SMALL_STATE(5076)] = 187631,
  [SMALL_STATE(5077)] = 187749,
  [SMALL_STATE(5078)] = 187867,
  [SMALL_STATE(5079)] = 187937,
  [SMALL_STATE(5080)] = 188007,
  [SMALL_STATE(5081)] = 188125,
  [SMALL_STATE(5082)] = 188243,
  [SMALL_STATE(5083)] = 188313,
  [SMALL_STATE(5084)] = 188383,
  [SMALL_STATE(5085)] = 188453,
  [SMALL_STATE(5086)] = 188523,
  [SMALL_STATE(5087)] = 188593,
  [SMALL_STATE(5088)] = 188663,
  [SMALL_STATE(5089)] = 188733,
  [SMALL_STATE(5090)] = 188851,
  [SMALL_STATE(5091)] = 188921,
  [SMALL_STATE(5092)] = 189039,
  [SMALL_STATE(5093)] = 189157,
  [SMALL_STATE(5094)] = 189275,
  [SMALL_STATE(5095)] = 189345,
  [SMALL_STATE(5096)] = 189415,
  [SMALL_STATE(5097)] = 189485,
  [SMALL_STATE(5098)] = 189555,
  [SMALL_STATE(5099)] = 189625,
  [SMALL_STATE(5100)] = 189695,
  [SMALL_STATE(5101)] = 189765,
  [SMALL_STATE(5102)] = 189835,
  [SMALL_STATE(5103)] = 189905,
  [SMALL_STATE(5104)] = 189975,
  [SMALL_STATE(5105)] = 190045,
  [SMALL_STATE(5106)] = 190115,
  [SMALL_STATE(5107)] = 190185,
  [SMALL_STATE(5108)] = 190303,
  [SMALL_STATE(5109)] = 190421,
  [SMALL_STATE(5110)] = 190539,
  [SMALL_STATE(5111)] = 190609,
  [SMALL_STATE(5112)] = 190681,
  [SMALL_STATE(5113)] = 190751,
  [SMALL_STATE(5114)] = 190821,
  [SMALL_STATE(5115)] = 190891,
  [SMALL_STATE(5116)] = 190961,
  [SMALL_STATE(5117)] = 191031,
  [SMALL_STATE(5118)] = 191101,
  [SMALL_STATE(5119)] = 191171,
  [SMALL_STATE(5120)] = 191241,
  [SMALL_STATE(5121)] = 191359,
  [SMALL_STATE(5122)] = 191429,
  [SMALL_STATE(5123)] = 191547,
  [SMALL_STATE(5124)] = 191665,
  [SMALL_STATE(5125)] = 191735,
  [SMALL_STATE(5126)] = 191805,
  [SMALL_STATE(5127)] = 191875,
  [SMALL_STATE(5128)] = 191945,
  [SMALL_STATE(5129)] = 192015,
  [SMALL_STATE(5130)] = 192085,
  [SMALL_STATE(5131)] = 192155,
  [SMALL_STATE(5132)] = 192225,
  [SMALL_STATE(5133)] = 192295,
  [SMALL_STATE(5134)] = 192365,
  [SMALL_STATE(5135)] = 192435,
  [SMALL_STATE(5136)] = 192505,
  [SMALL_STATE(5137)] = 192575,
  [SMALL_STATE(5138)] = 192645,
  [SMALL_STATE(5139)] = 192715,
  [SMALL_STATE(5140)] = 192785,
  [SMALL_STATE(5141)] = 192903,
  [SMALL_STATE(5142)] = 193021,
  [SMALL_STATE(5143)] = 193139,
  [SMALL_STATE(5144)] = 193209,
  [SMALL_STATE(5145)] = 193279,
  [SMALL_STATE(5146)] = 193349,
  [SMALL_STATE(5147)] = 193419,
  [SMALL_STATE(5148)] = 193489,
  [SMALL_STATE(5149)] = 193559,
  [SMALL_STATE(5150)] = 193677,
  [SMALL_STATE(5151)] = 193747,
  [SMALL_STATE(5152)] = 193817,
  [SMALL_STATE(5153)] = 193887,
  [SMALL_STATE(5154)] = 193957,
  [SMALL_STATE(5155)] = 194075,
  [SMALL_STATE(5156)] = 194193,
  [SMALL_STATE(5157)] = 194263,
  [SMALL_STATE(5158)] = 194381,
  [SMALL_STATE(5159)] = 194499,
  [SMALL_STATE(5160)] = 194569,
  [SMALL_STATE(5161)] = 194687,
  [SMALL_STATE(5162)] = 194805,
  [SMALL_STATE(5163)] = 194923,
  [SMALL_STATE(5164)] = 194993,
  [SMALL_STATE(5165)] = 195063,
  [SMALL_STATE(5166)] = 195133,
  [SMALL_STATE(5167)] = 195251,
  [SMALL_STATE(5168)] = 195369,
  [SMALL_STATE(5169)] = 195487,
  [SMALL_STATE(5170)] = 195557,
  [SMALL_STATE(5171)] = 195675,
  [SMALL_STATE(5172)] = 195793,
  [SMALL_STATE(5173)] = 195911,
  [SMALL_STATE(5174)] = 195981,
  [SMALL_STATE(5175)] = 196051,
  [SMALL_STATE(5176)] = 196123,
  [SMALL_STATE(5177)] = 196193,
  [SMALL_STATE(5178)] = 196263,
  [SMALL_STATE(5179)] = 196333,
  [SMALL_STATE(5180)] = 196451,
  [SMALL_STATE(5181)] = 196569,
  [SMALL_STATE(5182)] = 196687,
  [SMALL_STATE(5183)] = 196757,
  [SMALL_STATE(5184)] = 196827,
  [SMALL_STATE(5185)] = 196897,
  [SMALL_STATE(5186)] = 196967,
  [SMALL_STATE(5187)] = 197037,
  [SMALL_STATE(5188)] = 197155,
  [SMALL_STATE(5189)] = 197277,
  [SMALL_STATE(5190)] = 197347,
  [SMALL_STATE(5191)] = 197417,
  [SMALL_STATE(5192)] = 197487,
  [SMALL_STATE(5193)] = 197605,
  [SMALL_STATE(5194)] = 197723,
  [SMALL_STATE(5195)] = 197841,
  [SMALL_STATE(5196)] = 197911,
  [SMALL_STATE(5197)] = 197981,
  [SMALL_STATE(5198)] = 198051,
  [SMALL_STATE(5199)] = 198121,
  [SMALL_STATE(5200)] = 198191,
  [SMALL_STATE(5201)] = 198261,
  [SMALL_STATE(5202)] = 198337,
  [SMALL_STATE(5203)] = 198407,
  [SMALL_STATE(5204)] = 198479,
  [SMALL_STATE(5205)] = 198549,
  [SMALL_STATE(5206)] = 198667,
  [SMALL_STATE(5207)] = 198785,
  [SMALL_STATE(5208)] = 198903,
  [SMALL_STATE(5209)] = 198973,
  [SMALL_STATE(5210)] = 199043,
  [SMALL_STATE(5211)] = 199113,
  [SMALL_STATE(5212)] = 199183,
  [SMALL_STATE(5213)] = 199253,
  [SMALL_STATE(5214)] = 199323,
  [SMALL_STATE(5215)] = 199393,
  [SMALL_STATE(5216)] = 199463,
  [SMALL_STATE(5217)] = 199581,
  [SMALL_STATE(5218)] = 199699,
  [SMALL_STATE(5219)] = 199817,
  [SMALL_STATE(5220)] = 199887,
  [SMALL_STATE(5221)] = 199957,
  [SMALL_STATE(5222)] = 200075,
  [SMALL_STATE(5223)] = 200193,
  [SMALL_STATE(5224)] = 200311,
  [SMALL_STATE(5225)] = 200381,
  [SMALL_STATE(5226)] = 200499,
  [SMALL_STATE(5227)] = 200569,
  [SMALL_STATE(5228)] = 200687,
  [SMALL_STATE(5229)] = 200805,
  [SMALL_STATE(5230)] = 200923,
  [SMALL_STATE(5231)] = 201041,
  [SMALL_STATE(5232)] = 201111,
  [SMALL_STATE(5233)] = 201229,
  [SMALL_STATE(5234)] = 201347,
  [SMALL_STATE(5235)] = 201465,
  [SMALL_STATE(5236)] = 201535,
  [SMALL_STATE(5237)] = 201653,
  [SMALL_STATE(5238)] = 201729,
  [SMALL_STATE(5239)] = 201847,
  [SMALL_STATE(5240)] = 201917,
  [SMALL_STATE(5241)] = 202035,
  [SMALL_STATE(5242)] = 202153,
  [SMALL_STATE(5243)] = 202271,
  [SMALL_STATE(5244)] = 202389,
  [SMALL_STATE(5245)] = 202507,
  [SMALL_STATE(5246)] = 202625,
  [SMALL_STATE(5247)] = 202743,
  [SMALL_STATE(5248)] = 202861,
  [SMALL_STATE(5249)] = 202931,
  [SMALL_STATE(5250)] = 203049,
  [SMALL_STATE(5251)] = 203167,
  [SMALL_STATE(5252)] = 203285,
  [SMALL_STATE(5253)] = 203403,
  [SMALL_STATE(5254)] = 203521,
  [SMALL_STATE(5255)] = 203639,
  [SMALL_STATE(5256)] = 203757,
  [SMALL_STATE(5257)] = 203875,
  [SMALL_STATE(5258)] = 203993,
  [SMALL_STATE(5259)] = 204115,
  [SMALL_STATE(5260)] = 204233,
  [SMALL_STATE(5261)] = 204351,
  [SMALL_STATE(5262)] = 204469,
  [SMALL_STATE(5263)] = 204539,
  [SMALL_STATE(5264)] = 204609,
  [SMALL_STATE(5265)] = 204681,
  [SMALL_STATE(5266)] = 204751,
  [SMALL_STATE(5267)] = 204821,
  [SMALL_STATE(5268)] = 204939,
  [SMALL_STATE(5269)] = 205009,
  [SMALL_STATE(5270)] = 205079,
  [SMALL_STATE(5271)] = 205149,
  [SMALL_STATE(5272)] = 205267,
  [SMALL_STATE(5273)] = 205337,
  [SMALL_STATE(5274)] = 205407,
  [SMALL_STATE(5275)] = 205477,
  [SMALL_STATE(5276)] = 205595,
  [SMALL_STATE(5277)] = 205717,
  [SMALL_STATE(5278)] = 205787,
  [SMALL_STATE(5279)] = 205857,
  [SMALL_STATE(5280)] = 205927,
  [SMALL_STATE(5281)] = 205997,
  [SMALL_STATE(5282)] = 206115,
  [SMALL_STATE(5283)] = 206233,
  [SMALL_STATE(5284)] = 206355,
  [SMALL_STATE(5285)] = 206427,
  [SMALL_STATE(5286)] = 206497,
  [SMALL_STATE(5287)] = 206615,
  [SMALL_STATE(5288)] = 206685,
  [SMALL_STATE(5289)] = 206755,
  [SMALL_STATE(5290)] = 206877,
  [SMALL_STATE(5291)] = 206999,
  [SMALL_STATE(5292)] = 207069,
  [SMALL_STATE(5293)] = 207191,
  [SMALL_STATE(5294)] = 207261,
  [SMALL_STATE(5295)] = 207331,
  [SMALL_STATE(5296)] = 207401,
  [SMALL_STATE(5297)] = 207523,
  [SMALL_STATE(5298)] = 207593,
  [SMALL_STATE(5299)] = 207711,
  [SMALL_STATE(5300)] = 207781,
  [SMALL_STATE(5301)] = 207853,
  [SMALL_STATE(5302)] = 207923,
  [SMALL_STATE(5303)] = 208045,
  [SMALL_STATE(5304)] = 208167,
  [SMALL_STATE(5305)] = 208237,
  [SMALL_STATE(5306)] = 208307,
  [SMALL_STATE(5307)] = 208425,
  [SMALL_STATE(5308)] = 208495,
  [SMALL_STATE(5309)] = 208565,
  [SMALL_STATE(5310)] = 208635,
  [SMALL_STATE(5311)] = 208705,
  [SMALL_STATE(5312)] = 208777,
  [SMALL_STATE(5313)] = 208847,
  [SMALL_STATE(5314)] = 208965,
  [SMALL_STATE(5315)] = 209037,
  [SMALL_STATE(5316)] = 209107,
  [SMALL_STATE(5317)] = 209225,
  [SMALL_STATE(5318)] = 209297,
  [SMALL_STATE(5319)] = 209415,
  [SMALL_STATE(5320)] = 209485,
  [SMALL_STATE(5321)] = 209603,
  [SMALL_STATE(5322)] = 209673,
  [SMALL_STATE(5323)] = 209743,
  [SMALL_STATE(5324)] = 209865,
  [SMALL_STATE(5325)] = 209987,
  [SMALL_STATE(5326)] = 210109,
  [SMALL_STATE(5327)] = 210179,
  [SMALL_STATE(5328)] = 210301,
  [SMALL_STATE(5329)] = 210371,
  [SMALL_STATE(5330)] = 210493,
  [SMALL_STATE(5331)] = 210615,
  [SMALL_STATE(5332)] = 210737,
  [SMALL_STATE(5333)] = 210859,
  [SMALL_STATE(5334)] = 210931,
  [SMALL_STATE(5335)] = 211053,
  [SMALL_STATE(5336)] = 211175,
  [SMALL_STATE(5337)] = 211297,
  [SMALL_STATE(5338)] = 211419,
  [SMALL_STATE(5339)] = 211541,
  [SMALL_STATE(5340)] = 211663,
  [SMALL_STATE(5341)] = 211785,
  [SMALL_STATE(5342)] = 211907,
  [SMALL_STATE(5343)] = 212029,
  [SMALL_STATE(5344)] = 212151,
  [SMALL_STATE(5345)] = 212273,
  [SMALL_STATE(5346)] = 212395,
  [SMALL_STATE(5347)] = 212517,
  [SMALL_STATE(5348)] = 212639,
  [SMALL_STATE(5349)] = 212761,
  [SMALL_STATE(5350)] = 212883,
  [SMALL_STATE(5351)] = 213005,
  [SMALL_STATE(5352)] = 213127,
  [SMALL_STATE(5353)] = 213197,
  [SMALL_STATE(5354)] = 213319,
  [SMALL_STATE(5355)] = 213441,
  [SMALL_STATE(5356)] = 213563,
  [SMALL_STATE(5357)] = 213685,
  [SMALL_STATE(5358)] = 213807,
  [SMALL_STATE(5359)] = 213929,
  [SMALL_STATE(5360)] = 214051,
  [SMALL_STATE(5361)] = 214121,
  [SMALL_STATE(5362)] = 214243,
  [SMALL_STATE(5363)] = 214365,
  [SMALL_STATE(5364)] = 214487,
  [SMALL_STATE(5365)] = 214609,
  [SMALL_STATE(5366)] = 214731,
  [SMALL_STATE(5367)] = 214853,
  [SMALL_STATE(5368)] = 214975,
  [SMALL_STATE(5369)] = 215097,
  [SMALL_STATE(5370)] = 215167,
  [SMALL_STATE(5371)] = 215289,
  [SMALL_STATE(5372)] = 215411,
  [SMALL_STATE(5373)] = 215533,
  [SMALL_STATE(5374)] = 215655,
  [SMALL_STATE(5375)] = 215777,
  [SMALL_STATE(5376)] = 215899,
  [SMALL_STATE(5377)] = 216021,
  [SMALL_STATE(5378)] = 216143,
  [SMALL_STATE(5379)] = 216265,
  [SMALL_STATE(5380)] = 216387,
  [SMALL_STATE(5381)] = 216509,
  [SMALL_STATE(5382)] = 216631,
  [SMALL_STATE(5383)] = 216753,
  [SMALL_STATE(5384)] = 216875,
  [SMALL_STATE(5385)] = 216997,
  [SMALL_STATE(5386)] = 217119,
  [SMALL_STATE(5387)] = 217241,
  [SMALL_STATE(5388)] = 217363,
  [SMALL_STATE(5389)] = 217485,
  [SMALL_STATE(5390)] = 217607,
  [SMALL_STATE(5391)] = 217729,
  [SMALL_STATE(5392)] = 217851,
  [SMALL_STATE(5393)] = 217973,
  [SMALL_STATE(5394)] = 218095,
  [SMALL_STATE(5395)] = 218165,
  [SMALL_STATE(5396)] = 218287,
  [SMALL_STATE(5397)] = 218409,
  [SMALL_STATE(5398)] = 218531,
  [SMALL_STATE(5399)] = 218653,
  [SMALL_STATE(5400)] = 218775,
  [SMALL_STATE(5401)] = 218845,
  [SMALL_STATE(5402)] = 218967,
  [SMALL_STATE(5403)] = 219089,
  [SMALL_STATE(5404)] = 219211,
  [SMALL_STATE(5405)] = 219333,
  [SMALL_STATE(5406)] = 219455,
  [SMALL_STATE(5407)] = 219577,
  [SMALL_STATE(5408)] = 219699,
  [SMALL_STATE(5409)] = 219821,
  [SMALL_STATE(5410)] = 219943,
  [SMALL_STATE(5411)] = 220065,
  [SMALL_STATE(5412)] = 220187,
  [SMALL_STATE(5413)] = 220309,
  [SMALL_STATE(5414)] = 220431,
  [SMALL_STATE(5415)] = 220553,
  [SMALL_STATE(5416)] = 220675,
  [SMALL_STATE(5417)] = 220797,
  [SMALL_STATE(5418)] = 220919,
  [SMALL_STATE(5419)] = 221041,
  [SMALL_STATE(5420)] = 221163,
  [SMALL_STATE(5421)] = 221285,
  [SMALL_STATE(5422)] = 221407,
  [SMALL_STATE(5423)] = 221529,
  [SMALL_STATE(5424)] = 221651,
  [SMALL_STATE(5425)] = 221773,
  [SMALL_STATE(5426)] = 221895,
  [SMALL_STATE(5427)] = 222017,
  [SMALL_STATE(5428)] = 222139,
  [SMALL_STATE(5429)] = 222261,
  [SMALL_STATE(5430)] = 222383,
  [SMALL_STATE(5431)] = 222505,
  [SMALL_STATE(5432)] = 222627,
  [SMALL_STATE(5433)] = 222745,
  [SMALL_STATE(5434)] = 222814,
  [SMALL_STATE(5435)] = 222943,
  [SMALL_STATE(5436)] = 223072,
  [SMALL_STATE(5437)] = 223201,
  [SMALL_STATE(5438)] = 223330,
  [SMALL_STATE(5439)] = 223459,
  [SMALL_STATE(5440)] = 223528,
  [SMALL_STATE(5441)] = 223657,
  [SMALL_STATE(5442)] = 223786,
  [SMALL_STATE(5443)] = 223915,
  [SMALL_STATE(5444)] = 224044,
  [SMALL_STATE(5445)] = 224173,
  [SMALL_STATE(5446)] = 224302,
  [SMALL_STATE(5447)] = 224431,
  [SMALL_STATE(5448)] = 224560,
  [SMALL_STATE(5449)] = 224689,
  [SMALL_STATE(5450)] = 224818,
  [SMALL_STATE(5451)] = 224947,
  [SMALL_STATE(5452)] = 225076,
  [SMALL_STATE(5453)] = 225205,
  [SMALL_STATE(5454)] = 225334,
  [SMALL_STATE(5455)] = 225463,
  [SMALL_STATE(5456)] = 225592,
  [SMALL_STATE(5457)] = 225721,
  [SMALL_STATE(5458)] = 225850,
  [SMALL_STATE(5459)] = 225979,
  [SMALL_STATE(5460)] = 226108,
  [SMALL_STATE(5461)] = 226237,
  [SMALL_STATE(5462)] = 226366,
  [SMALL_STATE(5463)] = 226495,
  [SMALL_STATE(5464)] = 226624,
  [SMALL_STATE(5465)] = 226753,
  [SMALL_STATE(5466)] = 226882,
  [SMALL_STATE(5467)] = 227011,
  [SMALL_STATE(5468)] = 227080,
  [SMALL_STATE(5469)] = 227209,
  [SMALL_STATE(5470)] = 227338,
  [SMALL_STATE(5471)] = 227409,
  [SMALL_STATE(5472)] = 227538,
  [SMALL_STATE(5473)] = 227667,
  [SMALL_STATE(5474)] = 227796,
  [SMALL_STATE(5475)] = 227925,
  [SMALL_STATE(5476)] = 228054,
  [SMALL_STATE(5477)] = 228183,
  [SMALL_STATE(5478)] = 228312,
  [SMALL_STATE(5479)] = 228441,
  [SMALL_STATE(5480)] = 228570,
  [SMALL_STATE(5481)] = 228699,
  [SMALL_STATE(5482)] = 228828,
  [SMALL_STATE(5483)] = 228957,
  [SMALL_STATE(5484)] = 229086,
  [SMALL_STATE(5485)] = 229215,
  [SMALL_STATE(5486)] = 229344,
  [SMALL_STATE(5487)] = 229473,
  [SMALL_STATE(5488)] = 229602,
  [SMALL_STATE(5489)] = 229731,
  [SMALL_STATE(5490)] = 229860,
  [SMALL_STATE(5491)] = 229989,
  [SMALL_STATE(5492)] = 230118,
  [SMALL_STATE(5493)] = 230247,
  [SMALL_STATE(5494)] = 230376,
  [SMALL_STATE(5495)] = 230505,
  [SMALL_STATE(5496)] = 230634,
  [SMALL_STATE(5497)] = 230763,
  [SMALL_STATE(5498)] = 230892,
  [SMALL_STATE(5499)] = 230963,
  [SMALL_STATE(5500)] = 231092,
  [SMALL_STATE(5501)] = 231221,
  [SMALL_STATE(5502)] = 231350,
  [SMALL_STATE(5503)] = 231479,
  [SMALL_STATE(5504)] = 231608,
  [SMALL_STATE(5505)] = 231737,
  [SMALL_STATE(5506)] = 231808,
  [SMALL_STATE(5507)] = 231937,
  [SMALL_STATE(5508)] = 232006,
  [SMALL_STATE(5509)] = 232135,
  [SMALL_STATE(5510)] = 232264,
  [SMALL_STATE(5511)] = 232393,
  [SMALL_STATE(5512)] = 232522,
  [SMALL_STATE(5513)] = 232651,
  [SMALL_STATE(5514)] = 232719,
  [SMALL_STATE(5515)] = 232845,
  [SMALL_STATE(5516)] = 232971,
  [SMALL_STATE(5517)] = 233097,
  [SMALL_STATE(5518)] = 233223,
  [SMALL_STATE(5519)] = 233349,
  [SMALL_STATE(5520)] = 233475,
  [SMALL_STATE(5521)] = 233601,
  [SMALL_STATE(5522)] = 233727,
  [SMALL_STATE(5523)] = 233853,
  [SMALL_STATE(5524)] = 233921,
  [SMALL_STATE(5525)] = 234047,
  [SMALL_STATE(5526)] = 234173,
  [SMALL_STATE(5527)] = 234299,
  [SMALL_STATE(5528)] = 234425,
  [SMALL_STATE(5529)] = 234551,
  [SMALL_STATE(5530)] = 234677,
  [SMALL_STATE(5531)] = 234803,
  [SMALL_STATE(5532)] = 234929,
  [SMALL_STATE(5533)] = 235055,
  [SMALL_STATE(5534)] = 235181,
  [SMALL_STATE(5535)] = 235307,
  [SMALL_STATE(5536)] = 235433,
  [SMALL_STATE(5537)] = 235503,
  [SMALL_STATE(5538)] = 235629,
  [SMALL_STATE(5539)] = 235755,
  [SMALL_STATE(5540)] = 235881,
  [SMALL_STATE(5541)] = 236007,
  [SMALL_STATE(5542)] = 236133,
  [SMALL_STATE(5543)] = 236259,
  [SMALL_STATE(5544)] = 236385,
  [SMALL_STATE(5545)] = 236511,
  [SMALL_STATE(5546)] = 236637,
  [SMALL_STATE(5547)] = 236763,
  [SMALL_STATE(5548)] = 236889,
  [SMALL_STATE(5549)] = 237015,
  [SMALL_STATE(5550)] = 237141,
  [SMALL_STATE(5551)] = 237267,
  [SMALL_STATE(5552)] = 237393,
  [SMALL_STATE(5553)] = 237519,
  [SMALL_STATE(5554)] = 237645,
  [SMALL_STATE(5555)] = 237771,
  [SMALL_STATE(5556)] = 237897,
  [SMALL_STATE(5557)] = 238023,
  [SMALL_STATE(5558)] = 238093,
  [SMALL_STATE(5559)] = 238219,
  [SMALL_STATE(5560)] = 238345,
  [SMALL_STATE(5561)] = 238471,
  [SMALL_STATE(5562)] = 238597,
  [SMALL_STATE(5563)] = 238723,
  [SMALL_STATE(5564)] = 238849,
  [SMALL_STATE(5565)] = 238975,
  [SMALL_STATE(5566)] = 239101,
  [SMALL_STATE(5567)] = 239227,
  [SMALL_STATE(5568)] = 239353,
  [SMALL_STATE(5569)] = 239479,
  [SMALL_STATE(5570)] = 239605,
  [SMALL_STATE(5571)] = 239731,
  [SMALL_STATE(5572)] = 239857,
  [SMALL_STATE(5573)] = 239983,
  [SMALL_STATE(5574)] = 240109,
  [SMALL_STATE(5575)] = 240235,
  [SMALL_STATE(5576)] = 240361,
  [SMALL_STATE(5577)] = 240487,
  [SMALL_STATE(5578)] = 240613,
  [SMALL_STATE(5579)] = 240739,
  [SMALL_STATE(5580)] = 240809,
  [SMALL_STATE(5581)] = 240935,
  [SMALL_STATE(5582)] = 241061,
  [SMALL_STATE(5583)] = 241129,
  [SMALL_STATE(5584)] = 241255,
  [SMALL_STATE(5585)] = 241381,
  [SMALL_STATE(5586)] = 241507,
  [SMALL_STATE(5587)] = 241633,
  [SMALL_STATE(5588)] = 241759,
  [SMALL_STATE(5589)] = 241827,
  [SMALL_STATE(5590)] = 241953,
  [SMALL_STATE(5591)] = 242074,
  [SMALL_STATE(5592)] = 242197,
  [SMALL_STATE(5593)] = 242320,
  [SMALL_STATE(5594)] = 242443,
  [SMALL_STATE(5595)] = 242566,
  [SMALL_STATE(5596)] = 242689,
  [SMALL_STATE(5597)] = 242804,
  [SMALL_STATE(5598)] = 242927,
  [SMALL_STATE(5599)] = 243050,
  [SMALL_STATE(5600)] = 243173,
  [SMALL_STATE(5601)] = 243296,
  [SMALL_STATE(5602)] = 243419,
  [SMALL_STATE(5603)] = 243540,
  [SMALL_STATE(5604)] = 243607,
  [SMALL_STATE(5605)] = 243730,
  [SMALL_STATE(5606)] = 243853,
  [SMALL_STATE(5607)] = 243976,
  [SMALL_STATE(5608)] = 244099,
  [SMALL_STATE(5609)] = 244222,
  [SMALL_STATE(5610)] = 244345,
  [SMALL_STATE(5611)] = 244468,
  [SMALL_STATE(5612)] = 244591,
  [SMALL_STATE(5613)] = 244714,
  [SMALL_STATE(5614)] = 244837,
  [SMALL_STATE(5615)] = 244960,
  [SMALL_STATE(5616)] = 245083,
  [SMALL_STATE(5617)] = 245204,
  [SMALL_STATE(5618)] = 245325,
  [SMALL_STATE(5619)] = 245448,
  [SMALL_STATE(5620)] = 245571,
  [SMALL_STATE(5621)] = 245694,
  [SMALL_STATE(5622)] = 245817,
  [SMALL_STATE(5623)] = 245940,
  [SMALL_STATE(5624)] = 246063,
  [SMALL_STATE(5625)] = 246186,
  [SMALL_STATE(5626)] = 246309,
  [SMALL_STATE(5627)] = 246432,
  [SMALL_STATE(5628)] = 246555,
  [SMALL_STATE(5629)] = 246678,
  [SMALL_STATE(5630)] = 246801,
  [SMALL_STATE(5631)] = 246924,
  [SMALL_STATE(5632)] = 247045,
  [SMALL_STATE(5633)] = 247112,
  [SMALL_STATE(5634)] = 247233,
  [SMALL_STATE(5635)] = 247356,
  [SMALL_STATE(5636)] = 247477,
  [SMALL_STATE(5637)] = 247595,
  [SMALL_STATE(5638)] = 247713,
  [SMALL_STATE(5639)] = 247831,
  [SMALL_STATE(5640)] = 247949,
  [SMALL_STATE(5641)] = 248067,
  [SMALL_STATE(5642)] = 248185,
  [SMALL_STATE(5643)] = 248303,
  [SMALL_STATE(5644)] = 248421,
  [SMALL_STATE(5645)] = 248539,
  [SMALL_STATE(5646)] = 248657,
  [SMALL_STATE(5647)] = 248775,
  [SMALL_STATE(5648)] = 248893,
  [SMALL_STATE(5649)] = 249011,
  [SMALL_STATE(5650)] = 249129,
  [SMALL_STATE(5651)] = 249247,
  [SMALL_STATE(5652)] = 249365,
  [SMALL_STATE(5653)] = 249483,
  [SMALL_STATE(5654)] = 249601,
  [SMALL_STATE(5655)] = 249719,
  [SMALL_STATE(5656)] = 249837,
  [SMALL_STATE(5657)] = 249955,
  [SMALL_STATE(5658)] = 250073,
  [SMALL_STATE(5659)] = 250191,
  [SMALL_STATE(5660)] = 250309,
  [SMALL_STATE(5661)] = 250427,
  [SMALL_STATE(5662)] = 250545,
  [SMALL_STATE(5663)] = 250663,
  [SMALL_STATE(5664)] = 250781,
  [SMALL_STATE(5665)] = 250899,
  [SMALL_STATE(5666)] = 251017,
  [SMALL_STATE(5667)] = 251135,
  [SMALL_STATE(5668)] = 251253,
  [SMALL_STATE(5669)] = 251371,
  [SMALL_STATE(5670)] = 251489,
  [SMALL_STATE(5671)] = 251607,
  [SMALL_STATE(5672)] = 251725,
  [SMALL_STATE(5673)] = 251843,
  [SMALL_STATE(5674)] = 251961,
  [SMALL_STATE(5675)] = 252079,
  [SMALL_STATE(5676)] = 252197,
  [SMALL_STATE(5677)] = 252263,
  [SMALL_STATE(5678)] = 252381,
  [SMALL_STATE(5679)] = 252499,
  [SMALL_STATE(5680)] = 252617,
  [SMALL_STATE(5681)] = 252735,
  [SMALL_STATE(5682)] = 252801,
  [SMALL_STATE(5683)] = 252919,
  [SMALL_STATE(5684)] = 253037,
  [SMALL_STATE(5685)] = 253103,
  [SMALL_STATE(5686)] = 253169,
  [SMALL_STATE(5687)] = 253287,
  [SMALL_STATE(5688)] = 253405,
  [SMALL_STATE(5689)] = 253523,
  [SMALL_STATE(5690)] = 253641,
  [SMALL_STATE(5691)] = 253707,
  [SMALL_STATE(5692)] = 253773,
  [SMALL_STATE(5693)] = 253839,
  [SMALL_STATE(5694)] = 253957,
  [SMALL_STATE(5695)] = 254075,
  [SMALL_STATE(5696)] = 254193,
  [SMALL_STATE(5697)] = 254311,
  [SMALL_STATE(5698)] = 254429,
  [SMALL_STATE(5699)] = 254547,
  [SMALL_STATE(5700)] = 254665,
  [SMALL_STATE(5701)] = 254783,
  [SMALL_STATE(5702)] = 254901,
  [SMALL_STATE(5703)] = 255019,
  [SMALL_STATE(5704)] = 255137,
  [SMALL_STATE(5705)] = 255255,
  [SMALL_STATE(5706)] = 255373,
  [SMALL_STATE(5707)] = 255491,
  [SMALL_STATE(5708)] = 255609,
  [SMALL_STATE(5709)] = 255727,
  [SMALL_STATE(5710)] = 255845,
  [SMALL_STATE(5711)] = 255963,
  [SMALL_STATE(5712)] = 256081,
  [SMALL_STATE(5713)] = 256199,
  [SMALL_STATE(5714)] = 256317,
  [SMALL_STATE(5715)] = 256387,
  [SMALL_STATE(5716)] = 256455,
  [SMALL_STATE(5717)] = 256523,
  [SMALL_STATE(5718)] = 256641,
  [SMALL_STATE(5719)] = 256759,
  [SMALL_STATE(5720)] = 256877,
  [SMALL_STATE(5721)] = 256995,
  [SMALL_STATE(5722)] = 257113,
  [SMALL_STATE(5723)] = 257231,
  [SMALL_STATE(5724)] = 257349,
  [SMALL_STATE(5725)] = 257467,
  [SMALL_STATE(5726)] = 257585,
  [SMALL_STATE(5727)] = 257651,
  [SMALL_STATE(5728)] = 257769,
  [SMALL_STATE(5729)] = 257887,
  [SMALL_STATE(5730)] = 258005,
  [SMALL_STATE(5731)] = 258123,
  [SMALL_STATE(5732)] = 258241,
  [SMALL_STATE(5733)] = 258359,
  [SMALL_STATE(5734)] = 258477,
  [SMALL_STATE(5735)] = 258543,
  [SMALL_STATE(5736)] = 258661,
  [SMALL_STATE(5737)] = 258779,
  [SMALL_STATE(5738)] = 258897,
  [SMALL_STATE(5739)] = 259015,
  [SMALL_STATE(5740)] = 259133,
  [SMALL_STATE(5741)] = 259251,
  [SMALL_STATE(5742)] = 259369,
  [SMALL_STATE(5743)] = 259439,
  [SMALL_STATE(5744)] = 259557,
  [SMALL_STATE(5745)] = 259675,
  [SMALL_STATE(5746)] = 259793,
  [SMALL_STATE(5747)] = 259911,
  [SMALL_STATE(5748)] = 260029,
  [SMALL_STATE(5749)] = 260147,
  [SMALL_STATE(5750)] = 260265,
  [SMALL_STATE(5751)] = 260333,
  [SMALL_STATE(5752)] = 260451,
  [SMALL_STATE(5753)] = 260569,
  [SMALL_STATE(5754)] = 260687,
  [SMALL_STATE(5755)] = 260752,
  [SMALL_STATE(5756)] = 260817,
  [SMALL_STATE(5757)] = 260888,
  [SMALL_STATE(5758)] = 260953,
  [SMALL_STATE(5759)] = 261018,
  [SMALL_STATE(5760)] = 261083,
  [SMALL_STATE(5761)] = 261148,
  [SMALL_STATE(5762)] = 261213,
  [SMALL_STATE(5763)] = 261278,
  [SMALL_STATE(5764)] = 261343,
  [SMALL_STATE(5765)] = 261408,
  [SMALL_STATE(5766)] = 261473,
  [SMALL_STATE(5767)] = 261538,
  [SMALL_STATE(5768)] = 261603,
  [SMALL_STATE(5769)] = 261668,
  [SMALL_STATE(5770)] = 261733,
  [SMALL_STATE(5771)] = 261804,
  [SMALL_STATE(5772)] = 261869,
  [SMALL_STATE(5773)] = 261934,
  [SMALL_STATE(5774)] = 262049,
  [SMALL_STATE(5775)] = 262114,
  [SMALL_STATE(5776)] = 262179,
  [SMALL_STATE(5777)] = 262246,
  [SMALL_STATE(5778)] = 262313,
  [SMALL_STATE(5779)] = 262378,
  [SMALL_STATE(5780)] = 262443,
  [SMALL_STATE(5781)] = 262508,
  [SMALL_STATE(5782)] = 262573,
  [SMALL_STATE(5783)] = 262638,
  [SMALL_STATE(5784)] = 262703,
  [SMALL_STATE(5785)] = 262768,
  [SMALL_STATE(5786)] = 262833,
  [SMALL_STATE(5787)] = 262898,
  [SMALL_STATE(5788)] = 262963,
  [SMALL_STATE(5789)] = 263028,
  [SMALL_STATE(5790)] = 263093,
  [SMALL_STATE(5791)] = 263208,
  [SMALL_STATE(5792)] = 263275,
  [SMALL_STATE(5793)] = 263340,
  [SMALL_STATE(5794)] = 263405,
  [SMALL_STATE(5795)] = 263520,
  [SMALL_STATE(5796)] = 263635,
  [SMALL_STATE(5797)] = 263700,
  [SMALL_STATE(5798)] = 263815,
  [SMALL_STATE(5799)] = 263930,
  [SMALL_STATE(5800)] = 264045,
  [SMALL_STATE(5801)] = 264110,
  [SMALL_STATE(5802)] = 264225,
  [SMALL_STATE(5803)] = 264340,
  [SMALL_STATE(5804)] = 264405,
  [SMALL_STATE(5805)] = 264470,
  [SMALL_STATE(5806)] = 264585,
  [SMALL_STATE(5807)] = 264700,
  [SMALL_STATE(5808)] = 264815,
  [SMALL_STATE(5809)] = 264880,
  [SMALL_STATE(5810)] = 264995,
  [SMALL_STATE(5811)] = 265060,
  [SMALL_STATE(5812)] = 265175,
  [SMALL_STATE(5813)] = 265290,
  [SMALL_STATE(5814)] = 265405,
  [SMALL_STATE(5815)] = 265520,
  [SMALL_STATE(5816)] = 265635,
  [SMALL_STATE(5817)] = 265750,
  [SMALL_STATE(5818)] = 265865,
  [SMALL_STATE(5819)] = 265980,
  [SMALL_STATE(5820)] = 266095,
  [SMALL_STATE(5821)] = 266160,
  [SMALL_STATE(5822)] = 266275,
  [SMALL_STATE(5823)] = 266390,
  [SMALL_STATE(5824)] = 266505,
  [SMALL_STATE(5825)] = 266620,
  [SMALL_STATE(5826)] = 266735,
  [SMALL_STATE(5827)] = 266850,
  [SMALL_STATE(5828)] = 266965,
  [SMALL_STATE(5829)] = 267080,
  [SMALL_STATE(5830)] = 267195,
  [SMALL_STATE(5831)] = 267260,
  [SMALL_STATE(5832)] = 267375,
  [SMALL_STATE(5833)] = 267490,
  [SMALL_STATE(5834)] = 267605,
  [SMALL_STATE(5835)] = 267720,
  [SMALL_STATE(5836)] = 267785,
  [SMALL_STATE(5837)] = 267900,
  [SMALL_STATE(5838)] = 268015,
  [SMALL_STATE(5839)] = 268130,
  [SMALL_STATE(5840)] = 268197,
  [SMALL_STATE(5841)] = 268312,
  [SMALL_STATE(5842)] = 268427,
  [SMALL_STATE(5843)] = 268492,
  [SMALL_STATE(5844)] = 268607,
  [SMALL_STATE(5845)] = 268722,
  [SMALL_STATE(5846)] = 268837,
  [SMALL_STATE(5847)] = 268952,
  [SMALL_STATE(5848)] = 269067,
  [SMALL_STATE(5849)] = 269182,
  [SMALL_STATE(5850)] = 269297,
  [SMALL_STATE(5851)] = 269412,
  [SMALL_STATE(5852)] = 269527,
  [SMALL_STATE(5853)] = 269642,
  [SMALL_STATE(5854)] = 269707,
  [SMALL_STATE(5855)] = 269772,
  [SMALL_STATE(5856)] = 269837,
  [SMALL_STATE(5857)] = 269902,
  [SMALL_STATE(5858)] = 269967,
  [SMALL_STATE(5859)] = 270032,
  [SMALL_STATE(5860)] = 270097,
  [SMALL_STATE(5861)] = 270162,
  [SMALL_STATE(5862)] = 270227,
  [SMALL_STATE(5863)] = 270294,
  [SMALL_STATE(5864)] = 270359,
  [SMALL_STATE(5865)] = 270426,
  [SMALL_STATE(5866)] = 270491,
  [SMALL_STATE(5867)] = 270556,
  [SMALL_STATE(5868)] = 270621,
  [SMALL_STATE(5869)] = 270686,
  [SMALL_STATE(5870)] = 270751,
  [SMALL_STATE(5871)] = 270816,
  [SMALL_STATE(5872)] = 270881,
  [SMALL_STATE(5873)] = 270996,
  [SMALL_STATE(5874)] = 271061,
  [SMALL_STATE(5875)] = 271126,
  [SMALL_STATE(5876)] = 271191,
  [SMALL_STATE(5877)] = 271256,
  [SMALL_STATE(5878)] = 271321,
  [SMALL_STATE(5879)] = 271386,
  [SMALL_STATE(5880)] = 271451,
  [SMALL_STATE(5881)] = 271516,
  [SMALL_STATE(5882)] = 271581,
  [SMALL_STATE(5883)] = 271646,
  [SMALL_STATE(5884)] = 271711,
  [SMALL_STATE(5885)] = 271776,
  [SMALL_STATE(5886)] = 271841,
  [SMALL_STATE(5887)] = 271906,
  [SMALL_STATE(5888)] = 271971,
  [SMALL_STATE(5889)] = 272036,
  [SMALL_STATE(5890)] = 272101,
  [SMALL_STATE(5891)] = 272216,
  [SMALL_STATE(5892)] = 272280,
  [SMALL_STATE(5893)] = 272344,
  [SMALL_STATE(5894)] = 272408,
  [SMALL_STATE(5895)] = 272474,
  [SMALL_STATE(5896)] = 272538,
  [SMALL_STATE(5897)] = 272602,
  [SMALL_STATE(5898)] = 272668,
  [SMALL_STATE(5899)] = 272732,
  [SMALL_STATE(5900)] = 272796,
  [SMALL_STATE(5901)] = 272860,
  [SMALL_STATE(5902)] = 272924,
  [SMALL_STATE(5903)] = 272988,
  [SMALL_STATE(5904)] = 273052,
  [SMALL_STATE(5905)] = 273116,
  [SMALL_STATE(5906)] = 273180,
  [SMALL_STATE(5907)] = 273292,
  [SMALL_STATE(5908)] = 273356,
  [SMALL_STATE(5909)] = 273420,
  [SMALL_STATE(5910)] = 273484,
  [SMALL_STATE(5911)] = 273548,
  [SMALL_STATE(5912)] = 273612,
  [SMALL_STATE(5913)] = 273676,
  [SMALL_STATE(5914)] = 273740,
  [SMALL_STATE(5915)] = 273852,
  [SMALL_STATE(5916)] = 273916,
  [SMALL_STATE(5917)] = 273980,
  [SMALL_STATE(5918)] = 274044,
  [SMALL_STATE(5919)] = 274110,
  [SMALL_STATE(5920)] = 274174,
  [SMALL_STATE(5921)] = 274286,
  [SMALL_STATE(5922)] = 274350,
  [SMALL_STATE(5923)] = 274414,
  [SMALL_STATE(5924)] = 274478,
  [SMALL_STATE(5925)] = 274590,
  [SMALL_STATE(5926)] = 274654,
  [SMALL_STATE(5927)] = 274718,
  [SMALL_STATE(5928)] = 274784,
  [SMALL_STATE(5929)] = 274848,
  [SMALL_STATE(5930)] = 274912,
  [SMALL_STATE(5931)] = 275024,
  [SMALL_STATE(5932)] = 275136,
  [SMALL_STATE(5933)] = 275200,
  [SMALL_STATE(5934)] = 275264,
  [SMALL_STATE(5935)] = 275328,
  [SMALL_STATE(5936)] = 275392,
  [SMALL_STATE(5937)] = 275456,
  [SMALL_STATE(5938)] = 275520,
  [SMALL_STATE(5939)] = 275586,
  [SMALL_STATE(5940)] = 275650,
  [SMALL_STATE(5941)] = 275714,
  [SMALL_STATE(5942)] = 275778,
  [SMALL_STATE(5943)] = 275842,
  [SMALL_STATE(5944)] = 275906,
  [SMALL_STATE(5945)] = 275970,
  [SMALL_STATE(5946)] = 276034,
  [SMALL_STATE(5947)] = 276098,
  [SMALL_STATE(5948)] = 276162,
  [SMALL_STATE(5949)] = 276226,
  [SMALL_STATE(5950)] = 276290,
  [SMALL_STATE(5951)] = 276354,
  [SMALL_STATE(5952)] = 276418,
  [SMALL_STATE(5953)] = 276530,
  [SMALL_STATE(5954)] = 276594,
  [SMALL_STATE(5955)] = 276658,
  [SMALL_STATE(5956)] = 276728,
  [SMALL_STATE(5957)] = 276792,
  [SMALL_STATE(5958)] = 276858,
  [SMALL_STATE(5959)] = 276922,
  [SMALL_STATE(5960)] = 276986,
  [SMALL_STATE(5961)] = 277050,
  [SMALL_STATE(5962)] = 277114,
  [SMALL_STATE(5963)] = 277178,
  [SMALL_STATE(5964)] = 277242,
  [SMALL_STATE(5965)] = 277306,
  [SMALL_STATE(5966)] = 277370,
  [SMALL_STATE(5967)] = 277434,
  [SMALL_STATE(5968)] = 277498,
  [SMALL_STATE(5969)] = 277562,
  [SMALL_STATE(5970)] = 277632,
  [SMALL_STATE(5971)] = 277696,
  [SMALL_STATE(5972)] = 277760,
  [SMALL_STATE(5973)] = 277824,
  [SMALL_STATE(5974)] = 277888,
  [SMALL_STATE(5975)] = 277952,
  [SMALL_STATE(5976)] = 278016,
  [SMALL_STATE(5977)] = 278080,
  [SMALL_STATE(5978)] = 278144,
  [SMALL_STATE(5979)] = 278208,
  [SMALL_STATE(5980)] = 278272,
  [SMALL_STATE(5981)] = 278336,
  [SMALL_STATE(5982)] = 278400,
  [SMALL_STATE(5983)] = 278509,
  [SMALL_STATE(5984)] = 278572,
  [SMALL_STATE(5985)] = 278637,
  [SMALL_STATE(5986)] = 278746,
  [SMALL_STATE(5987)] = 278809,
  [SMALL_STATE(5988)] = 278872,
  [SMALL_STATE(5989)] = 278935,
  [SMALL_STATE(5990)] = 278998,
  [SMALL_STATE(5991)] = 279061,
  [SMALL_STATE(5992)] = 279124,
  [SMALL_STATE(5993)] = 279187,
  [SMALL_STATE(5994)] = 279250,
  [SMALL_STATE(5995)] = 279313,
  [SMALL_STATE(5996)] = 279378,
  [SMALL_STATE(5997)] = 279441,
  [SMALL_STATE(5998)] = 279504,
  [SMALL_STATE(5999)] = 279569,
  [SMALL_STATE(6000)] = 279632,
  [SMALL_STATE(6001)] = 279697,
  [SMALL_STATE(6002)] = 279760,
  [SMALL_STATE(6003)] = 279825,
  [SMALL_STATE(6004)] = 279934,
  [SMALL_STATE(6005)] = 279997,
  [SMALL_STATE(6006)] = 280060,
  [SMALL_STATE(6007)] = 280123,
  [SMALL_STATE(6008)] = 280232,
  [SMALL_STATE(6009)] = 280341,
  [SMALL_STATE(6010)] = 280450,
  [SMALL_STATE(6011)] = 280513,
  [SMALL_STATE(6012)] = 280578,
  [SMALL_STATE(6013)] = 280643,
  [SMALL_STATE(6014)] = 280752,
  [SMALL_STATE(6015)] = 280861,
  [SMALL_STATE(6016)] = 280970,
  [SMALL_STATE(6017)] = 281035,
  [SMALL_STATE(6018)] = 281144,
  [SMALL_STATE(6019)] = 281207,
  [SMALL_STATE(6020)] = 281316,
  [SMALL_STATE(6021)] = 281379,
  [SMALL_STATE(6022)] = 281442,
  [SMALL_STATE(6023)] = 281551,
  [SMALL_STATE(6024)] = 281614,
  [SMALL_STATE(6025)] = 281723,
  [SMALL_STATE(6026)] = 281832,
  [SMALL_STATE(6027)] = 281895,
  [SMALL_STATE(6028)] = 282004,
  [SMALL_STATE(6029)] = 282067,
  [SMALL_STATE(6030)] = 282130,
  [SMALL_STATE(6031)] = 282193,
  [SMALL_STATE(6032)] = 282256,
  [SMALL_STATE(6033)] = 282365,
  [SMALL_STATE(6034)] = 282428,
  [SMALL_STATE(6035)] = 282497,
  [SMALL_STATE(6036)] = 282560,
  [SMALL_STATE(6037)] = 282669,
  [SMALL_STATE(6038)] = 282732,
  [SMALL_STATE(6039)] = 282795,
  [SMALL_STATE(6040)] = 282858,
  [SMALL_STATE(6041)] = 282921,
  [SMALL_STATE(6042)] = 282984,
  [SMALL_STATE(6043)] = 283047,
  [SMALL_STATE(6044)] = 283110,
  [SMALL_STATE(6045)] = 283219,
  [SMALL_STATE(6046)] = 283282,
  [SMALL_STATE(6047)] = 283347,
  [SMALL_STATE(6048)] = 283410,
  [SMALL_STATE(6049)] = 283519,
  [SMALL_STATE(6050)] = 283582,
  [SMALL_STATE(6051)] = 283645,
  [SMALL_STATE(6052)] = 283708,
  [SMALL_STATE(6053)] = 283771,
  [SMALL_STATE(6054)] = 283834,
  [SMALL_STATE(6055)] = 283897,
  [SMALL_STATE(6056)] = 284006,
  [SMALL_STATE(6057)] = 284069,
  [SMALL_STATE(6058)] = 284132,
  [SMALL_STATE(6059)] = 284195,
  [SMALL_STATE(6060)] = 284258,
  [SMALL_STATE(6061)] = 284367,
  [SMALL_STATE(6062)] = 284430,
  [SMALL_STATE(6063)] = 284493,
  [SMALL_STATE(6064)] = 284556,
  [SMALL_STATE(6065)] = 284619,
  [SMALL_STATE(6066)] = 284682,
  [SMALL_STATE(6067)] = 284745,
  [SMALL_STATE(6068)] = 284814,
  [SMALL_STATE(6069)] = 284923,
  [SMALL_STATE(6070)] = 284986,
  [SMALL_STATE(6071)] = 285049,
  [SMALL_STATE(6072)] = 285112,
  [SMALL_STATE(6073)] = 285175,
  [SMALL_STATE(6074)] = 285238,
  [SMALL_STATE(6075)] = 285347,
  [SMALL_STATE(6076)] = 285410,
  [SMALL_STATE(6077)] = 285473,
  [SMALL_STATE(6078)] = 285582,
  [SMALL_STATE(6079)] = 285645,
  [SMALL_STATE(6080)] = 285754,
  [SMALL_STATE(6081)] = 285863,
  [SMALL_STATE(6082)] = 285926,
  [SMALL_STATE(6083)] = 286035,
  [SMALL_STATE(6084)] = 286144,
  [SMALL_STATE(6085)] = 286207,
  [SMALL_STATE(6086)] = 286316,
  [SMALL_STATE(6087)] = 286379,
  [SMALL_STATE(6088)] = 286488,
  [SMALL_STATE(6089)] = 286597,
  [SMALL_STATE(6090)] = 286706,
  [SMALL_STATE(6091)] = 286815,
  [SMALL_STATE(6092)] = 286924,
  [SMALL_STATE(6093)] = 286987,
  [SMALL_STATE(6094)] = 287050,
  [SMALL_STATE(6095)] = 287113,
  [SMALL_STATE(6096)] = 287222,
  [SMALL_STATE(6097)] = 287331,
  [SMALL_STATE(6098)] = 287394,
  [SMALL_STATE(6099)] = 287503,
  [SMALL_STATE(6100)] = 287566,
  [SMALL_STATE(6101)] = 287675,
  [SMALL_STATE(6102)] = 287738,
  [SMALL_STATE(6103)] = 287801,
  [SMALL_STATE(6104)] = 287910,
  [SMALL_STATE(6105)] = 287973,
  [SMALL_STATE(6106)] = 288036,
  [SMALL_STATE(6107)] = 288145,
  [SMALL_STATE(6108)] = 288208,
  [SMALL_STATE(6109)] = 288317,
  [SMALL_STATE(6110)] = 288380,
  [SMALL_STATE(6111)] = 288443,
  [SMALL_STATE(6112)] = 288552,
  [SMALL_STATE(6113)] = 288615,
  [SMALL_STATE(6114)] = 288724,
  [SMALL_STATE(6115)] = 288833,
  [SMALL_STATE(6116)] = 288942,
  [SMALL_STATE(6117)] = 289051,
  [SMALL_STATE(6118)] = 289160,
  [SMALL_STATE(6119)] = 289269,
  [SMALL_STATE(6120)] = 289378,
  [SMALL_STATE(6121)] = 289487,
  [SMALL_STATE(6122)] = 289596,
  [SMALL_STATE(6123)] = 289705,
  [SMALL_STATE(6124)] = 289814,
  [SMALL_STATE(6125)] = 289923,
  [SMALL_STATE(6126)] = 290032,
  [SMALL_STATE(6127)] = 290141,
  [SMALL_STATE(6128)] = 290250,
  [SMALL_STATE(6129)] = 290359,
  [SMALL_STATE(6130)] = 290468,
  [SMALL_STATE(6131)] = 290531,
  [SMALL_STATE(6132)] = 290594,
  [SMALL_STATE(6133)] = 290657,
  [SMALL_STATE(6134)] = 290722,
  [SMALL_STATE(6135)] = 290785,
  [SMALL_STATE(6136)] = 290848,
  [SMALL_STATE(6137)] = 290911,
  [SMALL_STATE(6138)] = 290974,
  [SMALL_STATE(6139)] = 291037,
  [SMALL_STATE(6140)] = 291099,
  [SMALL_STATE(6141)] = 291161,
  [SMALL_STATE(6142)] = 291223,
  [SMALL_STATE(6143)] = 291285,
  [SMALL_STATE(6144)] = 291347,
  [SMALL_STATE(6145)] = 291409,
  [SMALL_STATE(6146)] = 291471,
  [SMALL_STATE(6147)] = 291533,
  [SMALL_STATE(6148)] = 291595,
  [SMALL_STATE(6149)] = 291657,
  [SMALL_STATE(6150)] = 291719,
  [SMALL_STATE(6151)] = 291781,
  [SMALL_STATE(6152)] = 291843,
  [SMALL_STATE(6153)] = 291905,
  [SMALL_STATE(6154)] = 291967,
  [SMALL_STATE(6155)] = 292029,
  [SMALL_STATE(6156)] = 292091,
  [SMALL_STATE(6157)] = 292153,
  [SMALL_STATE(6158)] = 292215,
  [SMALL_STATE(6159)] = 292277,
  [SMALL_STATE(6160)] = 292339,
  [SMALL_STATE(6161)] = 292401,
  [SMALL_STATE(6162)] = 292463,
  [SMALL_STATE(6163)] = 292525,
  [SMALL_STATE(6164)] = 292587,
  [SMALL_STATE(6165)] = 292649,
  [SMALL_STATE(6166)] = 292711,
  [SMALL_STATE(6167)] = 292773,
  [SMALL_STATE(6168)] = 292835,
  [SMALL_STATE(6169)] = 292897,
  [SMALL_STATE(6170)] = 292959,
  [SMALL_STATE(6171)] = 293021,
  [SMALL_STATE(6172)] = 293083,
  [SMALL_STATE(6173)] = 293145,
  [SMALL_STATE(6174)] = 293213,
  [SMALL_STATE(6175)] = 293275,
  [SMALL_STATE(6176)] = 293337,
  [SMALL_STATE(6177)] = 293399,
  [SMALL_STATE(6178)] = 293467,
  [SMALL_STATE(6179)] = 293529,
  [SMALL_STATE(6180)] = 293591,
  [SMALL_STATE(6181)] = 293653,
  [SMALL_STATE(6182)] = 293715,
  [SMALL_STATE(6183)] = 293777,
  [SMALL_STATE(6184)] = 293841,
  [SMALL_STATE(6185)] = 293903,
  [SMALL_STATE(6186)] = 293965,
  [SMALL_STATE(6187)] = 294027,
  [SMALL_STATE(6188)] = 294089,
  [SMALL_STATE(6189)] = 294151,
  [SMALL_STATE(6190)] = 294213,
  [SMALL_STATE(6191)] = 294275,
  [SMALL_STATE(6192)] = 294343,
  [SMALL_STATE(6193)] = 294405,
  [SMALL_STATE(6194)] = 294467,
  [SMALL_STATE(6195)] = 294529,
  [SMALL_STATE(6196)] = 294591,
  [SMALL_STATE(6197)] = 294653,
  [SMALL_STATE(6198)] = 294715,
  [SMALL_STATE(6199)] = 294779,
  [SMALL_STATE(6200)] = 294841,
  [SMALL_STATE(6201)] = 294903,
  [SMALL_STATE(6202)] = 294965,
  [SMALL_STATE(6203)] = 295027,
  [SMALL_STATE(6204)] = 295091,
  [SMALL_STATE(6205)] = 295153,
  [SMALL_STATE(6206)] = 295215,
  [SMALL_STATE(6207)] = 295277,
  [SMALL_STATE(6208)] = 295339,
  [SMALL_STATE(6209)] = 295401,
  [SMALL_STATE(6210)] = 295463,
  [SMALL_STATE(6211)] = 295525,
  [SMALL_STATE(6212)] = 295589,
  [SMALL_STATE(6213)] = 295653,
  [SMALL_STATE(6214)] = 295715,
  [SMALL_STATE(6215)] = 295777,
  [SMALL_STATE(6216)] = 295839,
  [SMALL_STATE(6217)] = 295901,
  [SMALL_STATE(6218)] = 295963,
  [SMALL_STATE(6219)] = 296025,
  [SMALL_STATE(6220)] = 296087,
  [SMALL_STATE(6221)] = 296149,
  [SMALL_STATE(6222)] = 296211,
  [SMALL_STATE(6223)] = 296273,
  [SMALL_STATE(6224)] = 296335,
  [SMALL_STATE(6225)] = 296397,
  [SMALL_STATE(6226)] = 296459,
  [SMALL_STATE(6227)] = 296521,
  [SMALL_STATE(6228)] = 296583,
  [SMALL_STATE(6229)] = 296645,
  [SMALL_STATE(6230)] = 296707,
  [SMALL_STATE(6231)] = 296769,
  [SMALL_STATE(6232)] = 296831,
  [SMALL_STATE(6233)] = 296893,
  [SMALL_STATE(6234)] = 296955,
  [SMALL_STATE(6235)] = 297017,
  [SMALL_STATE(6236)] = 297079,
  [SMALL_STATE(6237)] = 297141,
  [SMALL_STATE(6238)] = 297203,
  [SMALL_STATE(6239)] = 297265,
  [SMALL_STATE(6240)] = 297327,
  [SMALL_STATE(6241)] = 297389,
  [SMALL_STATE(6242)] = 297453,
  [SMALL_STATE(6243)] = 297515,
  [SMALL_STATE(6244)] = 297577,
  [SMALL_STATE(6245)] = 297639,
  [SMALL_STATE(6246)] = 297701,
  [SMALL_STATE(6247)] = 297765,
  [SMALL_STATE(6248)] = 297827,
  [SMALL_STATE(6249)] = 297889,
  [SMALL_STATE(6250)] = 297951,
  [SMALL_STATE(6251)] = 298019,
  [SMALL_STATE(6252)] = 298081,
  [SMALL_STATE(6253)] = 298143,
  [SMALL_STATE(6254)] = 298205,
  [SMALL_STATE(6255)] = 298267,
  [SMALL_STATE(6256)] = 298329,
  [SMALL_STATE(6257)] = 298391,
  [SMALL_STATE(6258)] = 298455,
  [SMALL_STATE(6259)] = 298517,
  [SMALL_STATE(6260)] = 298581,
  [SMALL_STATE(6261)] = 298643,
  [SMALL_STATE(6262)] = 298705,
  [SMALL_STATE(6263)] = 298767,
  [SMALL_STATE(6264)] = 298831,
  [SMALL_STATE(6265)] = 298893,
  [SMALL_STATE(6266)] = 298957,
  [SMALL_STATE(6267)] = 299019,
  [SMALL_STATE(6268)] = 299081,
  [SMALL_STATE(6269)] = 299143,
  [SMALL_STATE(6270)] = 299205,
  [SMALL_STATE(6271)] = 299267,
  [SMALL_STATE(6272)] = 299331,
  [SMALL_STATE(6273)] = 299393,
  [SMALL_STATE(6274)] = 299455,
  [SMALL_STATE(6275)] = 299519,
  [SMALL_STATE(6276)] = 299581,
  [SMALL_STATE(6277)] = 299643,
  [SMALL_STATE(6278)] = 299705,
  [SMALL_STATE(6279)] = 299767,
  [SMALL_STATE(6280)] = 299829,
  [SMALL_STATE(6281)] = 299891,
  [SMALL_STATE(6282)] = 299953,
  [SMALL_STATE(6283)] = 300015,
  [SMALL_STATE(6284)] = 300077,
  [SMALL_STATE(6285)] = 300139,
  [SMALL_STATE(6286)] = 300203,
  [SMALL_STATE(6287)] = 300265,
  [SMALL_STATE(6288)] = 300327,
  [SMALL_STATE(6289)] = 300389,
  [SMALL_STATE(6290)] = 300451,
  [SMALL_STATE(6291)] = 300513,
  [SMALL_STATE(6292)] = 300575,
  [SMALL_STATE(6293)] = 300637,
  [SMALL_STATE(6294)] = 300699,
  [SMALL_STATE(6295)] = 300761,
  [SMALL_STATE(6296)] = 300825,
  [SMALL_STATE(6297)] = 300887,
  [SMALL_STATE(6298)] = 300949,
  [SMALL_STATE(6299)] = 301011,
  [SMALL_STATE(6300)] = 301073,
  [SMALL_STATE(6301)] = 301135,
  [SMALL_STATE(6302)] = 301197,
  [SMALL_STATE(6303)] = 301259,
  [SMALL_STATE(6304)] = 301321,
  [SMALL_STATE(6305)] = 301383,
  [SMALL_STATE(6306)] = 301445,
  [SMALL_STATE(6307)] = 301507,
  [SMALL_STATE(6308)] = 301569,
  [SMALL_STATE(6309)] = 301631,
  [SMALL_STATE(6310)] = 301693,
  [SMALL_STATE(6311)] = 301755,
  [SMALL_STATE(6312)] = 301817,
  [SMALL_STATE(6313)] = 301879,
  [SMALL_STATE(6314)] = 301941,
  [SMALL_STATE(6315)] = 302003,
  [SMALL_STATE(6316)] = 302065,
  [SMALL_STATE(6317)] = 302127,
  [SMALL_STATE(6318)] = 302189,
  [SMALL_STATE(6319)] = 302251,
  [SMALL_STATE(6320)] = 302313,
  [SMALL_STATE(6321)] = 302375,
  [SMALL_STATE(6322)] = 302436,
  [SMALL_STATE(6323)] = 302497,
  [SMALL_STATE(6324)] = 302558,
  [SMALL_STATE(6325)] = 302619,
  [SMALL_STATE(6326)] = 302680,
  [SMALL_STATE(6327)] = 302741,
  [SMALL_STATE(6328)] = 302802,
  [SMALL_STATE(6329)] = 302863,
  [SMALL_STATE(6330)] = 302924,
  [SMALL_STATE(6331)] = 302985,
  [SMALL_STATE(6332)] = 303048,
  [SMALL_STATE(6333)] = 303109,
  [SMALL_STATE(6334)] = 303170,
  [SMALL_STATE(6335)] = 303231,
  [SMALL_STATE(6336)] = 303292,
  [SMALL_STATE(6337)] = 303353,
  [SMALL_STATE(6338)] = 303414,
  [SMALL_STATE(6339)] = 303475,
  [SMALL_STATE(6340)] = 303536,
  [SMALL_STATE(6341)] = 303597,
  [SMALL_STATE(6342)] = 303658,
  [SMALL_STATE(6343)] = 303719,
  [SMALL_STATE(6344)] = 303780,
  [SMALL_STATE(6345)] = 303841,
  [SMALL_STATE(6346)] = 303904,
  [SMALL_STATE(6347)] = 303967,
  [SMALL_STATE(6348)] = 304028,
  [SMALL_STATE(6349)] = 304089,
  [SMALL_STATE(6350)] = 304150,
  [SMALL_STATE(6351)] = 304211,
  [SMALL_STATE(6352)] = 304272,
  [SMALL_STATE(6353)] = 304333,
  [SMALL_STATE(6354)] = 304394,
  [SMALL_STATE(6355)] = 304455,
  [SMALL_STATE(6356)] = 304516,
  [SMALL_STATE(6357)] = 304579,
  [SMALL_STATE(6358)] = 304640,
  [SMALL_STATE(6359)] = 304701,
  [SMALL_STATE(6360)] = 304762,
  [SMALL_STATE(6361)] = 304823,
  [SMALL_STATE(6362)] = 304884,
  [SMALL_STATE(6363)] = 304945,
  [SMALL_STATE(6364)] = 305006,
  [SMALL_STATE(6365)] = 305067,
  [SMALL_STATE(6366)] = 305128,
  [SMALL_STATE(6367)] = 305189,
  [SMALL_STATE(6368)] = 305250,
  [SMALL_STATE(6369)] = 305313,
  [SMALL_STATE(6370)] = 305374,
  [SMALL_STATE(6371)] = 305435,
  [SMALL_STATE(6372)] = 305496,
  [SMALL_STATE(6373)] = 305557,
  [SMALL_STATE(6374)] = 305618,
  [SMALL_STATE(6375)] = 305679,
  [SMALL_STATE(6376)] = 305740,
  [SMALL_STATE(6377)] = 305803,
  [SMALL_STATE(6378)] = 305864,
  [SMALL_STATE(6379)] = 305927,
  [SMALL_STATE(6380)] = 305988,
  [SMALL_STATE(6381)] = 306049,
  [SMALL_STATE(6382)] = 306110,
  [SMALL_STATE(6383)] = 306171,
  [SMALL_STATE(6384)] = 306232,
  [SMALL_STATE(6385)] = 306293,
  [SMALL_STATE(6386)] = 306354,
  [SMALL_STATE(6387)] = 306415,
  [SMALL_STATE(6388)] = 306476,
  [SMALL_STATE(6389)] = 306537,
  [SMALL_STATE(6390)] = 306600,
  [SMALL_STATE(6391)] = 306661,
  [SMALL_STATE(6392)] = 306722,
  [SMALL_STATE(6393)] = 306783,
  [SMALL_STATE(6394)] = 306844,
  [SMALL_STATE(6395)] = 306905,
  [SMALL_STATE(6396)] = 306966,
  [SMALL_STATE(6397)] = 307027,
  [SMALL_STATE(6398)] = 307088,
  [SMALL_STATE(6399)] = 307149,
  [SMALL_STATE(6400)] = 307210,
  [SMALL_STATE(6401)] = 307271,
  [SMALL_STATE(6402)] = 307332,
  [SMALL_STATE(6403)] = 307393,
  [SMALL_STATE(6404)] = 307454,
  [SMALL_STATE(6405)] = 307515,
  [SMALL_STATE(6406)] = 307576,
  [SMALL_STATE(6407)] = 307637,
  [SMALL_STATE(6408)] = 307698,
  [SMALL_STATE(6409)] = 307759,
  [SMALL_STATE(6410)] = 307824,
  [SMALL_STATE(6411)] = 307885,
  [SMALL_STATE(6412)] = 307946,
  [SMALL_STATE(6413)] = 308007,
  [SMALL_STATE(6414)] = 308068,
  [SMALL_STATE(6415)] = 308129,
  [SMALL_STATE(6416)] = 308190,
  [SMALL_STATE(6417)] = 308251,
  [SMALL_STATE(6418)] = 308312,
  [SMALL_STATE(6419)] = 308373,
  [SMALL_STATE(6420)] = 308434,
  [SMALL_STATE(6421)] = 308495,
  [SMALL_STATE(6422)] = 308556,
  [SMALL_STATE(6423)] = 308617,
  [SMALL_STATE(6424)] = 308678,
  [SMALL_STATE(6425)] = 308739,
  [SMALL_STATE(6426)] = 308800,
  [SMALL_STATE(6427)] = 308861,
  [SMALL_STATE(6428)] = 308922,
  [SMALL_STATE(6429)] = 308983,
  [SMALL_STATE(6430)] = 309044,
  [SMALL_STATE(6431)] = 309105,
  [SMALL_STATE(6432)] = 309166,
  [SMALL_STATE(6433)] = 309233,
  [SMALL_STATE(6434)] = 309294,
  [SMALL_STATE(6435)] = 309355,
  [SMALL_STATE(6436)] = 309416,
  [SMALL_STATE(6437)] = 309477,
  [SMALL_STATE(6438)] = 309538,
  [SMALL_STATE(6439)] = 309601,
  [SMALL_STATE(6440)] = 309662,
  [SMALL_STATE(6441)] = 309723,
  [SMALL_STATE(6442)] = 309786,
  [SMALL_STATE(6443)] = 309847,
  [SMALL_STATE(6444)] = 309908,
  [SMALL_STATE(6445)] = 309969,
  [SMALL_STATE(6446)] = 310030,
  [SMALL_STATE(6447)] = 310091,
  [SMALL_STATE(6448)] = 310152,
  [SMALL_STATE(6449)] = 310213,
  [SMALL_STATE(6450)] = 310274,
  [SMALL_STATE(6451)] = 310335,
  [SMALL_STATE(6452)] = 310396,
  [SMALL_STATE(6453)] = 310457,
  [SMALL_STATE(6454)] = 310520,
  [SMALL_STATE(6455)] = 310581,
  [SMALL_STATE(6456)] = 310642,
  [SMALL_STATE(6457)] = 310703,
  [SMALL_STATE(6458)] = 310764,
  [SMALL_STATE(6459)] = 310825,
  [SMALL_STATE(6460)] = 310886,
  [SMALL_STATE(6461)] = 310947,
  [SMALL_STATE(6462)] = 311008,
  [SMALL_STATE(6463)] = 311069,
  [SMALL_STATE(6464)] = 311130,
  [SMALL_STATE(6465)] = 311191,
  [SMALL_STATE(6466)] = 311252,
  [SMALL_STATE(6467)] = 311313,
  [SMALL_STATE(6468)] = 311374,
  [SMALL_STATE(6469)] = 311435,
  [SMALL_STATE(6470)] = 311496,
  [SMALL_STATE(6471)] = 311557,
  [SMALL_STATE(6472)] = 311618,
  [SMALL_STATE(6473)] = 311679,
  [SMALL_STATE(6474)] = 311740,
  [SMALL_STATE(6475)] = 311801,
  [SMALL_STATE(6476)] = 311868,
  [SMALL_STATE(6477)] = 311929,
  [SMALL_STATE(6478)] = 311990,
  [SMALL_STATE(6479)] = 312050,
  [SMALL_STATE(6480)] = 312110,
  [SMALL_STATE(6481)] = 312170,
  [SMALL_STATE(6482)] = 312230,
  [SMALL_STATE(6483)] = 312290,
  [SMALL_STATE(6484)] = 312350,
  [SMALL_STATE(6485)] = 312410,
  [SMALL_STATE(6486)] = 312470,
  [SMALL_STATE(6487)] = 312530,
  [SMALL_STATE(6488)] = 312590,
  [SMALL_STATE(6489)] = 312650,
  [SMALL_STATE(6490)] = 312710,
  [SMALL_STATE(6491)] = 312770,
  [SMALL_STATE(6492)] = 312830,
  [SMALL_STATE(6493)] = 312890,
  [SMALL_STATE(6494)] = 312950,
  [SMALL_STATE(6495)] = 313010,
  [SMALL_STATE(6496)] = 313070,
  [SMALL_STATE(6497)] = 313130,
  [SMALL_STATE(6498)] = 313190,
  [SMALL_STATE(6499)] = 313250,
  [SMALL_STATE(6500)] = 313310,
  [SMALL_STATE(6501)] = 313370,
  [SMALL_STATE(6502)] = 313430,
  [SMALL_STATE(6503)] = 313490,
  [SMALL_STATE(6504)] = 313550,
  [SMALL_STATE(6505)] = 313610,
  [SMALL_STATE(6506)] = 313670,
  [SMALL_STATE(6507)] = 313730,
  [SMALL_STATE(6508)] = 313790,
  [SMALL_STATE(6509)] = 313850,
  [SMALL_STATE(6510)] = 313912,
  [SMALL_STATE(6511)] = 313972,
  [SMALL_STATE(6512)] = 314032,
  [SMALL_STATE(6513)] = 314096,
  [SMALL_STATE(6514)] = 314156,
  [SMALL_STATE(6515)] = 314216,
  [SMALL_STATE(6516)] = 314276,
  [SMALL_STATE(6517)] = 314336,
  [SMALL_STATE(6518)] = 314396,
  [SMALL_STATE(6519)] = 314456,
  [SMALL_STATE(6520)] = 314516,
  [SMALL_STATE(6521)] = 314576,
  [SMALL_STATE(6522)] = 314636,
  [SMALL_STATE(6523)] = 314696,
  [SMALL_STATE(6524)] = 314758,
  [SMALL_STATE(6525)] = 314820,
  [SMALL_STATE(6526)] = 314880,
  [SMALL_STATE(6527)] = 314940,
  [SMALL_STATE(6528)] = 315000,
  [SMALL_STATE(6529)] = 315060,
  [SMALL_STATE(6530)] = 315120,
  [SMALL_STATE(6531)] = 315180,
  [SMALL_STATE(6532)] = 315240,
  [SMALL_STATE(6533)] = 315300,
  [SMALL_STATE(6534)] = 315360,
  [SMALL_STATE(6535)] = 315420,
  [SMALL_STATE(6536)] = 315480,
  [SMALL_STATE(6537)] = 315540,
  [SMALL_STATE(6538)] = 315600,
  [SMALL_STATE(6539)] = 315660,
  [SMALL_STATE(6540)] = 315722,
  [SMALL_STATE(6541)] = 315782,
  [SMALL_STATE(6542)] = 315842,
  [SMALL_STATE(6543)] = 315902,
  [SMALL_STATE(6544)] = 315962,
  [SMALL_STATE(6545)] = 316022,
  [SMALL_STATE(6546)] = 316084,
  [SMALL_STATE(6547)] = 316148,
  [SMALL_STATE(6548)] = 316208,
  [SMALL_STATE(6549)] = 316268,
  [SMALL_STATE(6550)] = 316328,
  [SMALL_STATE(6551)] = 316388,
  [SMALL_STATE(6552)] = 316448,
  [SMALL_STATE(6553)] = 316508,
  [SMALL_STATE(6554)] = 316570,
  [SMALL_STATE(6555)] = 316630,
  [SMALL_STATE(6556)] = 316690,
  [SMALL_STATE(6557)] = 316750,
  [SMALL_STATE(6558)] = 316810,
  [SMALL_STATE(6559)] = 316870,
  [SMALL_STATE(6560)] = 316930,
  [SMALL_STATE(6561)] = 316990,
  [SMALL_STATE(6562)] = 317050,
  [SMALL_STATE(6563)] = 317110,
  [SMALL_STATE(6564)] = 317170,
  [SMALL_STATE(6565)] = 317232,
  [SMALL_STATE(6566)] = 317292,
  [SMALL_STATE(6567)] = 317352,
  [SMALL_STATE(6568)] = 317412,
  [SMALL_STATE(6569)] = 317472,
  [SMALL_STATE(6570)] = 317532,
  [SMALL_STATE(6571)] = 317594,
  [SMALL_STATE(6572)] = 317654,
  [SMALL_STATE(6573)] = 317714,
  [SMALL_STATE(6574)] = 317774,
  [SMALL_STATE(6575)] = 317834,
  [SMALL_STATE(6576)] = 317896,
  [SMALL_STATE(6577)] = 317956,
  [SMALL_STATE(6578)] = 318016,
  [SMALL_STATE(6579)] = 318076,
  [SMALL_STATE(6580)] = 318136,
  [SMALL_STATE(6581)] = 318196,
  [SMALL_STATE(6582)] = 318256,
  [SMALL_STATE(6583)] = 318316,
  [SMALL_STATE(6584)] = 318376,
  [SMALL_STATE(6585)] = 318436,
  [SMALL_STATE(6586)] = 318496,
  [SMALL_STATE(6587)] = 318556,
  [SMALL_STATE(6588)] = 318616,
  [SMALL_STATE(6589)] = 318676,
  [SMALL_STATE(6590)] = 318736,
  [SMALL_STATE(6591)] = 318796,
  [SMALL_STATE(6592)] = 318856,
  [SMALL_STATE(6593)] = 318916,
  [SMALL_STATE(6594)] = 318976,
  [SMALL_STATE(6595)] = 319036,
  [SMALL_STATE(6596)] = 319096,
  [SMALL_STATE(6597)] = 319156,
  [SMALL_STATE(6598)] = 319216,
  [SMALL_STATE(6599)] = 319276,
  [SMALL_STATE(6600)] = 319336,
  [SMALL_STATE(6601)] = 319396,
  [SMALL_STATE(6602)] = 319456,
  [SMALL_STATE(6603)] = 319516,
  [SMALL_STATE(6604)] = 319576,
  [SMALL_STATE(6605)] = 319636,
  [SMALL_STATE(6606)] = 319696,
  [SMALL_STATE(6607)] = 319755,
  [SMALL_STATE(6608)] = 319814,
  [SMALL_STATE(6609)] = 319873,
  [SMALL_STATE(6610)] = 319938,
  [SMALL_STATE(6611)] = 319997,
  [SMALL_STATE(6612)] = 320056,
  [SMALL_STATE(6613)] = 320115,
  [SMALL_STATE(6614)] = 320180,
  [SMALL_STATE(6615)] = 320239,
  [SMALL_STATE(6616)] = 320298,
  [SMALL_STATE(6617)] = 320357,
  [SMALL_STATE(6618)] = 320416,
  [SMALL_STATE(6619)] = 320475,
  [SMALL_STATE(6620)] = 320534,
  [SMALL_STATE(6621)] = 320593,
  [SMALL_STATE(6622)] = 320652,
  [SMALL_STATE(6623)] = 320713,
  [SMALL_STATE(6624)] = 320772,
  [SMALL_STATE(6625)] = 320831,
  [SMALL_STATE(6626)] = 320890,
  [SMALL_STATE(6627)] = 320949,
  [SMALL_STATE(6628)] = 321008,
  [SMALL_STATE(6629)] = 321067,
  [SMALL_STATE(6630)] = 321126,
  [SMALL_STATE(6631)] = 321185,
  [SMALL_STATE(6632)] = 321244,
  [SMALL_STATE(6633)] = 321303,
  [SMALL_STATE(6634)] = 321364,
  [SMALL_STATE(6635)] = 321423,
  [SMALL_STATE(6636)] = 321482,
  [SMALL_STATE(6637)] = 321541,
  [SMALL_STATE(6638)] = 321600,
  [SMALL_STATE(6639)] = 321659,
  [SMALL_STATE(6640)] = 321718,
  [SMALL_STATE(6641)] = 321777,
  [SMALL_STATE(6642)] = 321836,
  [SMALL_STATE(6643)] = 321895,
  [SMALL_STATE(6644)] = 321954,
  [SMALL_STATE(6645)] = 322013,
  [SMALL_STATE(6646)] = 322072,
  [SMALL_STATE(6647)] = 322131,
  [SMALL_STATE(6648)] = 322190,
  [SMALL_STATE(6649)] = 322249,
  [SMALL_STATE(6650)] = 322308,
  [SMALL_STATE(6651)] = 322367,
  [SMALL_STATE(6652)] = 322426,
  [SMALL_STATE(6653)] = 322485,
  [SMALL_STATE(6654)] = 322544,
  [SMALL_STATE(6655)] = 322603,
  [SMALL_STATE(6656)] = 322662,
  [SMALL_STATE(6657)] = 322721,
  [SMALL_STATE(6658)] = 322780,
  [SMALL_STATE(6659)] = 322839,
  [SMALL_STATE(6660)] = 322898,
  [SMALL_STATE(6661)] = 322957,
  [SMALL_STATE(6662)] = 323016,
  [SMALL_STATE(6663)] = 323075,
  [SMALL_STATE(6664)] = 323136,
  [SMALL_STATE(6665)] = 323195,
  [SMALL_STATE(6666)] = 323256,
  [SMALL_STATE(6667)] = 323315,
  [SMALL_STATE(6668)] = 323374,
  [SMALL_STATE(6669)] = 323433,
  [SMALL_STATE(6670)] = 323492,
  [SMALL_STATE(6671)] = 323551,
  [SMALL_STATE(6672)] = 323610,
  [SMALL_STATE(6673)] = 323671,
  [SMALL_STATE(6674)] = 323730,
  [SMALL_STATE(6675)] = 323789,
  [SMALL_STATE(6676)] = 323848,
  [SMALL_STATE(6677)] = 323907,
  [SMALL_STATE(6678)] = 323966,
  [SMALL_STATE(6679)] = 324025,
  [SMALL_STATE(6680)] = 324084,
  [SMALL_STATE(6681)] = 324143,
  [SMALL_STATE(6682)] = 324202,
  [SMALL_STATE(6683)] = 324261,
  [SMALL_STATE(6684)] = 324320,
  [SMALL_STATE(6685)] = 324381,
  [SMALL_STATE(6686)] = 324440,
  [SMALL_STATE(6687)] = 324499,
  [SMALL_STATE(6688)] = 324558,
  [SMALL_STATE(6689)] = 324617,
  [SMALL_STATE(6690)] = 324676,
  [SMALL_STATE(6691)] = 324735,
  [SMALL_STATE(6692)] = 324794,
  [SMALL_STATE(6693)] = 324853,
  [SMALL_STATE(6694)] = 324914,
  [SMALL_STATE(6695)] = 324973,
  [SMALL_STATE(6696)] = 325032,
  [SMALL_STATE(6697)] = 325091,
  [SMALL_STATE(6698)] = 325150,
  [SMALL_STATE(6699)] = 325209,
  [SMALL_STATE(6700)] = 325268,
  [SMALL_STATE(6701)] = 325327,
  [SMALL_STATE(6702)] = 325386,
  [SMALL_STATE(6703)] = 325445,
  [SMALL_STATE(6704)] = 325504,
  [SMALL_STATE(6705)] = 325563,
  [SMALL_STATE(6706)] = 325622,
  [SMALL_STATE(6707)] = 325681,
  [SMALL_STATE(6708)] = 325740,
  [SMALL_STATE(6709)] = 325799,
  [SMALL_STATE(6710)] = 325858,
  [SMALL_STATE(6711)] = 325917,
  [SMALL_STATE(6712)] = 325976,
  [SMALL_STATE(6713)] = 326035,
  [SMALL_STATE(6714)] = 326094,
  [SMALL_STATE(6715)] = 326153,
  [SMALL_STATE(6716)] = 326212,
  [SMALL_STATE(6717)] = 326271,
  [SMALL_STATE(6718)] = 326330,
  [SMALL_STATE(6719)] = 326389,
  [SMALL_STATE(6720)] = 326448,
  [SMALL_STATE(6721)] = 326507,
  [SMALL_STATE(6722)] = 326566,
  [SMALL_STATE(6723)] = 326625,
  [SMALL_STATE(6724)] = 326684,
  [SMALL_STATE(6725)] = 326743,
  [SMALL_STATE(6726)] = 326802,
  [SMALL_STATE(6727)] = 326861,
  [SMALL_STATE(6728)] = 326920,
  [SMALL_STATE(6729)] = 326979,
  [SMALL_STATE(6730)] = 327038,
  [SMALL_STATE(6731)] = 327097,
  [SMALL_STATE(6732)] = 327156,
  [SMALL_STATE(6733)] = 327215,
  [SMALL_STATE(6734)] = 327274,
  [SMALL_STATE(6735)] = 327335,
  [SMALL_STATE(6736)] = 327394,
  [SMALL_STATE(6737)] = 327457,
  [SMALL_STATE(6738)] = 327516,
  [SMALL_STATE(6739)] = 327575,
  [SMALL_STATE(6740)] = 327634,
  [SMALL_STATE(6741)] = 327695,
  [SMALL_STATE(6742)] = 327754,
  [SMALL_STATE(6743)] = 327813,
  [SMALL_STATE(6744)] = 327872,
  [SMALL_STATE(6745)] = 327930,
  [SMALL_STATE(6746)] = 327994,
  [SMALL_STATE(6747)] = 328052,
  [SMALL_STATE(6748)] = 328112,
  [SMALL_STATE(6749)] = 328170,
  [SMALL_STATE(6750)] = 328228,
  [SMALL_STATE(6751)] = 328286,
  [SMALL_STATE(6752)] = 328346,
  [SMALL_STATE(6753)] = 328404,
  [SMALL_STATE(6754)] = 328462,
  [SMALL_STATE(6755)] = 328560,
  [SMALL_STATE(6756)] = 328620,
  [SMALL_STATE(6757)] = 328678,
  [SMALL_STATE(6758)] = 328736,
  [SMALL_STATE(6759)] = 328794,
  [SMALL_STATE(6760)] = 328852,
  [SMALL_STATE(6761)] = 328910,
  [SMALL_STATE(6762)] = 328970,
  [SMALL_STATE(6763)] = 329028,
  [SMALL_STATE(6764)] = 329086,
  [SMALL_STATE(6765)] = 329144,
  [SMALL_STATE(6766)] = 329202,
  [SMALL_STATE(6767)] = 329260,
  [SMALL_STATE(6768)] = 329318,
  [SMALL_STATE(6769)] = 329376,
  [SMALL_STATE(6770)] = 329434,
  [SMALL_STATE(6771)] = 329492,
  [SMALL_STATE(6772)] = 329550,
  [SMALL_STATE(6773)] = 329608,
  [SMALL_STATE(6774)] = 329666,
  [SMALL_STATE(6775)] = 329724,
  [SMALL_STATE(6776)] = 329782,
  [SMALL_STATE(6777)] = 329840,
  [SMALL_STATE(6778)] = 329898,
  [SMALL_STATE(6779)] = 329956,
  [SMALL_STATE(6780)] = 330014,
  [SMALL_STATE(6781)] = 330072,
  [SMALL_STATE(6782)] = 330130,
  [SMALL_STATE(6783)] = 330188,
  [SMALL_STATE(6784)] = 330248,
  [SMALL_STATE(6785)] = 330306,
  [SMALL_STATE(6786)] = 330364,
  [SMALL_STATE(6787)] = 330462,
  [SMALL_STATE(6788)] = 330520,
  [SMALL_STATE(6789)] = 330578,
  [SMALL_STATE(6790)] = 330636,
  [SMALL_STATE(6791)] = 330694,
  [SMALL_STATE(6792)] = 330752,
  [SMALL_STATE(6793)] = 330810,
  [SMALL_STATE(6794)] = 330868,
  [SMALL_STATE(6795)] = 330966,
  [SMALL_STATE(6796)] = 331024,
  [SMALL_STATE(6797)] = 331082,
  [SMALL_STATE(6798)] = 331140,
  [SMALL_STATE(6799)] = 331198,
  [SMALL_STATE(6800)] = 331256,
  [SMALL_STATE(6801)] = 331314,
  [SMALL_STATE(6802)] = 331372,
  [SMALL_STATE(6803)] = 331430,
  [SMALL_STATE(6804)] = 331488,
  [SMALL_STATE(6805)] = 331546,
  [SMALL_STATE(6806)] = 331644,
  [SMALL_STATE(6807)] = 331742,
  [SMALL_STATE(6808)] = 331800,
  [SMALL_STATE(6809)] = 331858,
  [SMALL_STATE(6810)] = 331916,
  [SMALL_STATE(6811)] = 331974,
  [SMALL_STATE(6812)] = 332032,
  [SMALL_STATE(6813)] = 332090,
  [SMALL_STATE(6814)] = 332148,
  [SMALL_STATE(6815)] = 332206,
  [SMALL_STATE(6816)] = 332264,
  [SMALL_STATE(6817)] = 332322,
  [SMALL_STATE(6818)] = 332386,
  [SMALL_STATE(6819)] = 332444,
  [SMALL_STATE(6820)] = 332502,
  [SMALL_STATE(6821)] = 332560,
  [SMALL_STATE(6822)] = 332618,
  [SMALL_STATE(6823)] = 332678,
  [SMALL_STATE(6824)] = 332736,
  [SMALL_STATE(6825)] = 332794,
  [SMALL_STATE(6826)] = 332852,
  [SMALL_STATE(6827)] = 332910,
  [SMALL_STATE(6828)] = 332968,
  [SMALL_STATE(6829)] = 333026,
  [SMALL_STATE(6830)] = 333084,
  [SMALL_STATE(6831)] = 333182,
  [SMALL_STATE(6832)] = 333240,
  [SMALL_STATE(6833)] = 333298,
  [SMALL_STATE(6834)] = 333356,
  [SMALL_STATE(6835)] = 333414,
  [SMALL_STATE(6836)] = 333472,
  [SMALL_STATE(6837)] = 333529,
  [SMALL_STATE(6838)] = 333586,
  [SMALL_STATE(6839)] = 333643,
  [SMALL_STATE(6840)] = 333700,
  [SMALL_STATE(6841)] = 333757,
  [SMALL_STATE(6842)] = 333814,
  [SMALL_STATE(6843)] = 333871,
  [SMALL_STATE(6844)] = 333928,
  [SMALL_STATE(6845)] = 333985,
  [SMALL_STATE(6846)] = 334042,
  [SMALL_STATE(6847)] = 334099,
  [SMALL_STATE(6848)] = 334156,
  [SMALL_STATE(6849)] = 334213,
  [SMALL_STATE(6850)] = 334270,
  [SMALL_STATE(6851)] = 334327,
  [SMALL_STATE(6852)] = 334384,
  [SMALL_STATE(6853)] = 334441,
  [SMALL_STATE(6854)] = 334498,
  [SMALL_STATE(6855)] = 334555,
  [SMALL_STATE(6856)] = 334612,
  [SMALL_STATE(6857)] = 334669,
  [SMALL_STATE(6858)] = 334726,
  [SMALL_STATE(6859)] = 334783,
  [SMALL_STATE(6860)] = 334846,
  [SMALL_STATE(6861)] = 334909,
  [SMALL_STATE(6862)] = 334966,
  [SMALL_STATE(6863)] = 335023,
  [SMALL_STATE(6864)] = 335080,
  [SMALL_STATE(6865)] = 335137,
  [SMALL_STATE(6866)] = 335194,
  [SMALL_STATE(6867)] = 335251,
  [SMALL_STATE(6868)] = 335308,
  [SMALL_STATE(6869)] = 335365,
  [SMALL_STATE(6870)] = 335424,
  [SMALL_STATE(6871)] = 335481,
  [SMALL_STATE(6872)] = 335538,
  [SMALL_STATE(6873)] = 335595,
  [SMALL_STATE(6874)] = 335652,
  [SMALL_STATE(6875)] = 335709,
  [SMALL_STATE(6876)] = 335766,
  [SMALL_STATE(6877)] = 335823,
  [SMALL_STATE(6878)] = 335880,
  [SMALL_STATE(6879)] = 335937,
  [SMALL_STATE(6880)] = 335994,
  [SMALL_STATE(6881)] = 336051,
  [SMALL_STATE(6882)] = 336108,
  [SMALL_STATE(6883)] = 336165,
  [SMALL_STATE(6884)] = 336222,
  [SMALL_STATE(6885)] = 336279,
  [SMALL_STATE(6886)] = 336336,
  [SMALL_STATE(6887)] = 336393,
  [SMALL_STATE(6888)] = 336456,
  [SMALL_STATE(6889)] = 336513,
  [SMALL_STATE(6890)] = 336570,
  [SMALL_STATE(6891)] = 336627,
  [SMALL_STATE(6892)] = 336684,
  [SMALL_STATE(6893)] = 336741,
  [SMALL_STATE(6894)] = 336798,
  [SMALL_STATE(6895)] = 336855,
  [SMALL_STATE(6896)] = 336912,
  [SMALL_STATE(6897)] = 336969,
  [SMALL_STATE(6898)] = 337026,
  [SMALL_STATE(6899)] = 337083,
  [SMALL_STATE(6900)] = 337140,
  [SMALL_STATE(6901)] = 337197,
  [SMALL_STATE(6902)] = 337254,
  [SMALL_STATE(6903)] = 337311,
  [SMALL_STATE(6904)] = 337368,
  [SMALL_STATE(6905)] = 337425,
  [SMALL_STATE(6906)] = 337484,
  [SMALL_STATE(6907)] = 337541,
  [SMALL_STATE(6908)] = 337598,
  [SMALL_STATE(6909)] = 337655,
  [SMALL_STATE(6910)] = 337712,
  [SMALL_STATE(6911)] = 337769,
  [SMALL_STATE(6912)] = 337826,
  [SMALL_STATE(6913)] = 337883,
  [SMALL_STATE(6914)] = 337940,
  [SMALL_STATE(6915)] = 337997,
  [SMALL_STATE(6916)] = 338054,
  [SMALL_STATE(6917)] = 338111,
  [SMALL_STATE(6918)] = 338168,
  [SMALL_STATE(6919)] = 338225,
  [SMALL_STATE(6920)] = 338282,
  [SMALL_STATE(6921)] = 338339,
  [SMALL_STATE(6922)] = 338396,
  [SMALL_STATE(6923)] = 338455,
  [SMALL_STATE(6924)] = 338514,
  [SMALL_STATE(6925)] = 338571,
  [SMALL_STATE(6926)] = 338628,
  [SMALL_STATE(6927)] = 338685,
  [SMALL_STATE(6928)] = 338742,
  [SMALL_STATE(6929)] = 338799,
  [SMALL_STATE(6930)] = 338856,
  [SMALL_STATE(6931)] = 338913,
  [SMALL_STATE(6932)] = 338970,
  [SMALL_STATE(6933)] = 339027,
  [SMALL_STATE(6934)] = 339084,
  [SMALL_STATE(6935)] = 339141,
  [SMALL_STATE(6936)] = 339198,
  [SMALL_STATE(6937)] = 339255,
  [SMALL_STATE(6938)] = 339312,
  [SMALL_STATE(6939)] = 339369,
  [SMALL_STATE(6940)] = 339426,
  [SMALL_STATE(6941)] = 339483,
  [SMALL_STATE(6942)] = 339540,
  [SMALL_STATE(6943)] = 339597,
  [SMALL_STATE(6944)] = 339654,
  [SMALL_STATE(6945)] = 339711,
  [SMALL_STATE(6946)] = 339768,
  [SMALL_STATE(6947)] = 339825,
  [SMALL_STATE(6948)] = 339882,
  [SMALL_STATE(6949)] = 339939,
  [SMALL_STATE(6950)] = 339996,
  [SMALL_STATE(6951)] = 340053,
  [SMALL_STATE(6952)] = 340110,
  [SMALL_STATE(6953)] = 340167,
  [SMALL_STATE(6954)] = 340224,
  [SMALL_STATE(6955)] = 340281,
  [SMALL_STATE(6956)] = 340338,
  [SMALL_STATE(6957)] = 340395,
  [SMALL_STATE(6958)] = 340452,
  [SMALL_STATE(6959)] = 340509,
  [SMALL_STATE(6960)] = 340566,
  [SMALL_STATE(6961)] = 340623,
  [SMALL_STATE(6962)] = 340680,
  [SMALL_STATE(6963)] = 340737,
  [SMALL_STATE(6964)] = 340794,
  [SMALL_STATE(6965)] = 340851,
  [SMALL_STATE(6966)] = 340908,
  [SMALL_STATE(6967)] = 340965,
  [SMALL_STATE(6968)] = 341022,
  [SMALL_STATE(6969)] = 341079,
  [SMALL_STATE(6970)] = 341136,
  [SMALL_STATE(6971)] = 341193,
  [SMALL_STATE(6972)] = 341250,
  [SMALL_STATE(6973)] = 341307,
  [SMALL_STATE(6974)] = 341364,
  [SMALL_STATE(6975)] = 341423,
  [SMALL_STATE(6976)] = 341480,
  [SMALL_STATE(6977)] = 341537,
  [SMALL_STATE(6978)] = 341594,
  [SMALL_STATE(6979)] = 341651,
  [SMALL_STATE(6980)] = 341708,
  [SMALL_STATE(6981)] = 341765,
  [SMALL_STATE(6982)] = 341822,
  [SMALL_STATE(6983)] = 341881,
  [SMALL_STATE(6984)] = 341940,
  [SMALL_STATE(6985)] = 341997,
  [SMALL_STATE(6986)] = 342054,
  [SMALL_STATE(6987)] = 342113,
  [SMALL_STATE(6988)] = 342170,
  [SMALL_STATE(6989)] = 342227,
  [SMALL_STATE(6990)] = 342284,
  [SMALL_STATE(6991)] = 342343,
  [SMALL_STATE(6992)] = 342400,
  [SMALL_STATE(6993)] = 342457,
  [SMALL_STATE(6994)] = 342520,
  [SMALL_STATE(6995)] = 342577,
  [SMALL_STATE(6996)] = 342634,
  [SMALL_STATE(6997)] = 342691,
  [SMALL_STATE(6998)] = 342748,
  [SMALL_STATE(6999)] = 342811,
  [SMALL_STATE(7000)] = 342870,
  [SMALL_STATE(7001)] = 342929,
  [SMALL_STATE(7002)] = 342986,
  [SMALL_STATE(7003)] = 343043,
  [SMALL_STATE(7004)] = 343100,
  [SMALL_STATE(7005)] = 343157,
  [SMALL_STATE(7006)] = 343220,
  [SMALL_STATE(7007)] = 343283,
  [SMALL_STATE(7008)] = 343340,
  [SMALL_STATE(7009)] = 343397,
  [SMALL_STATE(7010)] = 343454,
  [SMALL_STATE(7011)] = 343511,
  [SMALL_STATE(7012)] = 343568,
  [SMALL_STATE(7013)] = 343625,
  [SMALL_STATE(7014)] = 343682,
  [SMALL_STATE(7015)] = 343739,
  [SMALL_STATE(7016)] = 343796,
  [SMALL_STATE(7017)] = 343853,
  [SMALL_STATE(7018)] = 343910,
  [SMALL_STATE(7019)] = 343967,
  [SMALL_STATE(7020)] = 344024,
  [SMALL_STATE(7021)] = 344081,
  [SMALL_STATE(7022)] = 344138,
  [SMALL_STATE(7023)] = 344195,
  [SMALL_STATE(7024)] = 344254,
  [SMALL_STATE(7025)] = 344311,
  [SMALL_STATE(7026)] = 344368,
  [SMALL_STATE(7027)] = 344427,
  [SMALL_STATE(7028)] = 344484,
  [SMALL_STATE(7029)] = 344541,
  [SMALL_STATE(7030)] = 344598,
  [SMALL_STATE(7031)] = 344655,
  [SMALL_STATE(7032)] = 344712,
  [SMALL_STATE(7033)] = 344769,
  [SMALL_STATE(7034)] = 344826,
  [SMALL_STATE(7035)] = 344883,
  [SMALL_STATE(7036)] = 344942,
  [SMALL_STATE(7037)] = 344999,
  [SMALL_STATE(7038)] = 345056,
  [SMALL_STATE(7039)] = 345113,
  [SMALL_STATE(7040)] = 345170,
  [SMALL_STATE(7041)] = 345227,
  [SMALL_STATE(7042)] = 345284,
  [SMALL_STATE(7043)] = 345341,
  [SMALL_STATE(7044)] = 345398,
  [SMALL_STATE(7045)] = 345455,
  [SMALL_STATE(7046)] = 345512,
  [SMALL_STATE(7047)] = 345571,
  [SMALL_STATE(7048)] = 345630,
  [SMALL_STATE(7049)] = 345689,
  [SMALL_STATE(7050)] = 345748,
  [SMALL_STATE(7051)] = 345805,
  [SMALL_STATE(7052)] = 345862,
  [SMALL_STATE(7053)] = 345919,
  [SMALL_STATE(7054)] = 345976,
  [SMALL_STATE(7055)] = 346033,
  [SMALL_STATE(7056)] = 346090,
  [SMALL_STATE(7057)] = 346147,
  [SMALL_STATE(7058)] = 346204,
  [SMALL_STATE(7059)] = 346261,
  [SMALL_STATE(7060)] = 346318,
  [SMALL_STATE(7061)] = 346375,
  [SMALL_STATE(7062)] = 346432,
  [SMALL_STATE(7063)] = 346489,
  [SMALL_STATE(7064)] = 346546,
  [SMALL_STATE(7065)] = 346603,
  [SMALL_STATE(7066)] = 346662,
  [SMALL_STATE(7067)] = 346719,
  [SMALL_STATE(7068)] = 346778,
  [SMALL_STATE(7069)] = 346835,
  [SMALL_STATE(7070)] = 346892,
  [SMALL_STATE(7071)] = 346951,
  [SMALL_STATE(7072)] = 347008,
  [SMALL_STATE(7073)] = 347065,
  [SMALL_STATE(7074)] = 347122,
  [SMALL_STATE(7075)] = 347179,
  [SMALL_STATE(7076)] = 347236,
  [SMALL_STATE(7077)] = 347293,
  [SMALL_STATE(7078)] = 347350,
  [SMALL_STATE(7079)] = 347407,
  [SMALL_STATE(7080)] = 347464,
  [SMALL_STATE(7081)] = 347523,
  [SMALL_STATE(7082)] = 347580,
  [SMALL_STATE(7083)] = 347637,
  [SMALL_STATE(7084)] = 347694,
  [SMALL_STATE(7085)] = 347751,
  [SMALL_STATE(7086)] = 347808,
  [SMALL_STATE(7087)] = 347865,
  [SMALL_STATE(7088)] = 347922,
  [SMALL_STATE(7089)] = 347979,
  [SMALL_STATE(7090)] = 348036,
  [SMALL_STATE(7091)] = 348093,
  [SMALL_STATE(7092)] = 348150,
  [SMALL_STATE(7093)] = 348209,
  [SMALL_STATE(7094)] = 348266,
  [SMALL_STATE(7095)] = 348323,
  [SMALL_STATE(7096)] = 348380,
  [SMALL_STATE(7097)] = 348437,
  [SMALL_STATE(7098)] = 348494,
  [SMALL_STATE(7099)] = 348551,
  [SMALL_STATE(7100)] = 348608,
  [SMALL_STATE(7101)] = 348665,
  [SMALL_STATE(7102)] = 348722,
  [SMALL_STATE(7103)] = 348779,
  [SMALL_STATE(7104)] = 348836,
  [SMALL_STATE(7105)] = 348893,
  [SMALL_STATE(7106)] = 348950,
  [SMALL_STATE(7107)] = 349007,
  [SMALL_STATE(7108)] = 349064,
  [SMALL_STATE(7109)] = 349121,
  [SMALL_STATE(7110)] = 349178,
  [SMALL_STATE(7111)] = 349235,
  [SMALL_STATE(7112)] = 349294,
  [SMALL_STATE(7113)] = 349351,
  [SMALL_STATE(7114)] = 349408,
  [SMALL_STATE(7115)] = 349465,
  [SMALL_STATE(7116)] = 349522,
  [SMALL_STATE(7117)] = 349579,
  [SMALL_STATE(7118)] = 349636,
  [SMALL_STATE(7119)] = 349693,
  [SMALL_STATE(7120)] = 349750,
  [SMALL_STATE(7121)] = 349807,
  [SMALL_STATE(7122)] = 349864,
  [SMALL_STATE(7123)] = 349921,
  [SMALL_STATE(7124)] = 349978,
  [SMALL_STATE(7125)] = 350035,
  [SMALL_STATE(7126)] = 350092,
  [SMALL_STATE(7127)] = 350149,
  [SMALL_STATE(7128)] = 350208,
  [SMALL_STATE(7129)] = 350265,
  [SMALL_STATE(7130)] = 350328,
  [SMALL_STATE(7131)] = 350385,
  [SMALL_STATE(7132)] = 350442,
  [SMALL_STATE(7133)] = 350499,
  [SMALL_STATE(7134)] = 350556,
  [SMALL_STATE(7135)] = 350613,
  [SMALL_STATE(7136)] = 350670,
  [SMALL_STATE(7137)] = 350727,
  [SMALL_STATE(7138)] = 350784,
  [SMALL_STATE(7139)] = 350841,
  [SMALL_STATE(7140)] = 350898,
  [SMALL_STATE(7141)] = 350955,
  [SMALL_STATE(7142)] = 351012,
  [SMALL_STATE(7143)] = 351069,
  [SMALL_STATE(7144)] = 351126,
  [SMALL_STATE(7145)] = 351183,
  [SMALL_STATE(7146)] = 351240,
  [SMALL_STATE(7147)] = 351297,
  [SMALL_STATE(7148)] = 351354,
  [SMALL_STATE(7149)] = 351411,
  [SMALL_STATE(7150)] = 351468,
  [SMALL_STATE(7151)] = 351525,
  [SMALL_STATE(7152)] = 351582,
  [SMALL_STATE(7153)] = 351639,
  [SMALL_STATE(7154)] = 351696,
  [SMALL_STATE(7155)] = 351753,
  [SMALL_STATE(7156)] = 351810,
  [SMALL_STATE(7157)] = 351867,
  [SMALL_STATE(7158)] = 351924,
  [SMALL_STATE(7159)] = 351981,
  [SMALL_STATE(7160)] = 352038,
  [SMALL_STATE(7161)] = 352095,
  [SMALL_STATE(7162)] = 352152,
  [SMALL_STATE(7163)] = 352209,
  [SMALL_STATE(7164)] = 352266,
  [SMALL_STATE(7165)] = 352323,
  [SMALL_STATE(7166)] = 352380,
  [SMALL_STATE(7167)] = 352437,
  [SMALL_STATE(7168)] = 352494,
  [SMALL_STATE(7169)] = 352551,
  [SMALL_STATE(7170)] = 352608,
  [SMALL_STATE(7171)] = 352665,
  [SMALL_STATE(7172)] = 352722,
  [SMALL_STATE(7173)] = 352779,
  [SMALL_STATE(7174)] = 352836,
  [SMALL_STATE(7175)] = 352893,
  [SMALL_STATE(7176)] = 352950,
  [SMALL_STATE(7177)] = 353007,
  [SMALL_STATE(7178)] = 353064,
  [SMALL_STATE(7179)] = 353121,
  [SMALL_STATE(7180)] = 353178,
  [SMALL_STATE(7181)] = 353235,
  [SMALL_STATE(7182)] = 353292,
  [SMALL_STATE(7183)] = 353349,
  [SMALL_STATE(7184)] = 353408,
  [SMALL_STATE(7185)] = 353465,
  [SMALL_STATE(7186)] = 353522,
  [SMALL_STATE(7187)] = 353579,
  [SMALL_STATE(7188)] = 353636,
  [SMALL_STATE(7189)] = 353693,
  [SMALL_STATE(7190)] = 353750,
  [SMALL_STATE(7191)] = 353807,
  [SMALL_STATE(7192)] = 353864,
  [SMALL_STATE(7193)] = 353921,
  [SMALL_STATE(7194)] = 353978,
  [SMALL_STATE(7195)] = 354035,
  [SMALL_STATE(7196)] = 354092,
  [SMALL_STATE(7197)] = 354149,
  [SMALL_STATE(7198)] = 354206,
  [SMALL_STATE(7199)] = 354263,
  [SMALL_STATE(7200)] = 354320,
  [SMALL_STATE(7201)] = 354377,
  [SMALL_STATE(7202)] = 354434,
  [SMALL_STATE(7203)] = 354491,
  [SMALL_STATE(7204)] = 354548,
  [SMALL_STATE(7205)] = 354605,
  [SMALL_STATE(7206)] = 354662,
  [SMALL_STATE(7207)] = 354719,
  [SMALL_STATE(7208)] = 354776,
  [SMALL_STATE(7209)] = 354833,
  [SMALL_STATE(7210)] = 354890,
  [SMALL_STATE(7211)] = 354947,
  [SMALL_STATE(7212)] = 355004,
  [SMALL_STATE(7213)] = 355061,
  [SMALL_STATE(7214)] = 355118,
  [SMALL_STATE(7215)] = 355175,
  [SMALL_STATE(7216)] = 355232,
  [SMALL_STATE(7217)] = 355289,
  [SMALL_STATE(7218)] = 355346,
  [SMALL_STATE(7219)] = 355403,
  [SMALL_STATE(7220)] = 355459,
  [SMALL_STATE(7221)] = 355515,
  [SMALL_STATE(7222)] = 355571,
  [SMALL_STATE(7223)] = 355627,
  [SMALL_STATE(7224)] = 355683,
  [SMALL_STATE(7225)] = 355739,
  [SMALL_STATE(7226)] = 355795,
  [SMALL_STATE(7227)] = 355851,
  [SMALL_STATE(7228)] = 355913,
  [SMALL_STATE(7229)] = 355969,
  [SMALL_STATE(7230)] = 356025,
  [SMALL_STATE(7231)] = 356081,
  [SMALL_STATE(7232)] = 356137,
  [SMALL_STATE(7233)] = 356193,
  [SMALL_STATE(7234)] = 356249,
  [SMALL_STATE(7235)] = 356305,
  [SMALL_STATE(7236)] = 356361,
  [SMALL_STATE(7237)] = 356417,
  [SMALL_STATE(7238)] = 356473,
  [SMALL_STATE(7239)] = 356529,
  [SMALL_STATE(7240)] = 356585,
  [SMALL_STATE(7241)] = 356641,
  [SMALL_STATE(7242)] = 356697,
  [SMALL_STATE(7243)] = 356753,
  [SMALL_STATE(7244)] = 356809,
  [SMALL_STATE(7245)] = 356865,
  [SMALL_STATE(7246)] = 356921,
  [SMALL_STATE(7247)] = 356977,
  [SMALL_STATE(7248)] = 357033,
  [SMALL_STATE(7249)] = 357089,
  [SMALL_STATE(7250)] = 357145,
  [SMALL_STATE(7251)] = 357201,
  [SMALL_STATE(7252)] = 357257,
  [SMALL_STATE(7253)] = 357313,
  [SMALL_STATE(7254)] = 357369,
  [SMALL_STATE(7255)] = 357425,
  [SMALL_STATE(7256)] = 357481,
  [SMALL_STATE(7257)] = 357537,
  [SMALL_STATE(7258)] = 357593,
  [SMALL_STATE(7259)] = 357649,
  [SMALL_STATE(7260)] = 357705,
  [SMALL_STATE(7261)] = 357761,
  [SMALL_STATE(7262)] = 357817,
  [SMALL_STATE(7263)] = 357873,
  [SMALL_STATE(7264)] = 357929,
  [SMALL_STATE(7265)] = 357985,
  [SMALL_STATE(7266)] = 358041,
  [SMALL_STATE(7267)] = 358097,
  [SMALL_STATE(7268)] = 358153,
  [SMALL_STATE(7269)] = 358209,
  [SMALL_STATE(7270)] = 358265,
  [SMALL_STATE(7271)] = 358321,
  [SMALL_STATE(7272)] = 358377,
  [SMALL_STATE(7273)] = 358433,
  [SMALL_STATE(7274)] = 358489,
  [SMALL_STATE(7275)] = 358545,
  [SMALL_STATE(7276)] = 358601,
  [SMALL_STATE(7277)] = 358659,
  [SMALL_STATE(7278)] = 358715,
  [SMALL_STATE(7279)] = 358771,
  [SMALL_STATE(7280)] = 358879,
  [SMALL_STATE(7281)] = 358935,
  [SMALL_STATE(7282)] = 358991,
  [SMALL_STATE(7283)] = 359047,
  [SMALL_STATE(7284)] = 359155,
  [SMALL_STATE(7285)] = 359211,
  [SMALL_STATE(7286)] = 359267,
  [SMALL_STATE(7287)] = 359323,
  [SMALL_STATE(7288)] = 359431,
  [SMALL_STATE(7289)] = 359487,
  [SMALL_STATE(7290)] = 359545,
  [SMALL_STATE(7291)] = 359603,
  [SMALL_STATE(7292)] = 359659,
  [SMALL_STATE(7293)] = 359715,
  [SMALL_STATE(7294)] = 359771,
  [SMALL_STATE(7295)] = 359827,
  [SMALL_STATE(7296)] = 359883,
  [SMALL_STATE(7297)] = 359939,
  [SMALL_STATE(7298)] = 360047,
  [SMALL_STATE(7299)] = 360103,
  [SMALL_STATE(7300)] = 360159,
  [SMALL_STATE(7301)] = 360215,
  [SMALL_STATE(7302)] = 360271,
  [SMALL_STATE(7303)] = 360327,
  [SMALL_STATE(7304)] = 360383,
  [SMALL_STATE(7305)] = 360439,
  [SMALL_STATE(7306)] = 360495,
  [SMALL_STATE(7307)] = 360551,
  [SMALL_STATE(7308)] = 360607,
  [SMALL_STATE(7309)] = 360663,
  [SMALL_STATE(7310)] = 360719,
  [SMALL_STATE(7311)] = 360775,
  [SMALL_STATE(7312)] = 360831,
  [SMALL_STATE(7313)] = 360887,
  [SMALL_STATE(7314)] = 360945,
  [SMALL_STATE(7315)] = 361001,
  [SMALL_STATE(7316)] = 361057,
  [SMALL_STATE(7317)] = 361113,
  [SMALL_STATE(7318)] = 361169,
  [SMALL_STATE(7319)] = 361225,
  [SMALL_STATE(7320)] = 361281,
  [SMALL_STATE(7321)] = 361337,
  [SMALL_STATE(7322)] = 361393,
  [SMALL_STATE(7323)] = 361449,
  [SMALL_STATE(7324)] = 361557,
  [SMALL_STATE(7325)] = 361613,
  [SMALL_STATE(7326)] = 361669,
  [SMALL_STATE(7327)] = 361725,
  [SMALL_STATE(7328)] = 361781,
  [SMALL_STATE(7329)] = 361837,
  [SMALL_STATE(7330)] = 361895,
  [SMALL_STATE(7331)] = 361951,
  [SMALL_STATE(7332)] = 362007,
  [SMALL_STATE(7333)] = 362063,
  [SMALL_STATE(7334)] = 362121,
  [SMALL_STATE(7335)] = 362177,
  [SMALL_STATE(7336)] = 362233,
  [SMALL_STATE(7337)] = 362289,
  [SMALL_STATE(7338)] = 362345,
  [SMALL_STATE(7339)] = 362403,
  [SMALL_STATE(7340)] = 362459,
  [SMALL_STATE(7341)] = 362515,
  [SMALL_STATE(7342)] = 362571,
  [SMALL_STATE(7343)] = 362627,
  [SMALL_STATE(7344)] = 362683,
  [SMALL_STATE(7345)] = 362739,
  [SMALL_STATE(7346)] = 362795,
  [SMALL_STATE(7347)] = 362851,
  [SMALL_STATE(7348)] = 362909,
  [SMALL_STATE(7349)] = 362965,
  [SMALL_STATE(7350)] = 363021,
  [SMALL_STATE(7351)] = 363077,
  [SMALL_STATE(7352)] = 363133,
  [SMALL_STATE(7353)] = 363191,
  [SMALL_STATE(7354)] = 363247,
  [SMALL_STATE(7355)] = 363303,
  [SMALL_STATE(7356)] = 363359,
  [SMALL_STATE(7357)] = 363415,
  [SMALL_STATE(7358)] = 363471,
  [SMALL_STATE(7359)] = 363527,
  [SMALL_STATE(7360)] = 363583,
  [SMALL_STATE(7361)] = 363639,
  [SMALL_STATE(7362)] = 363695,
  [SMALL_STATE(7363)] = 363751,
  [SMALL_STATE(7364)] = 363807,
  [SMALL_STATE(7365)] = 363863,
  [SMALL_STATE(7366)] = 363919,
  [SMALL_STATE(7367)] = 363975,
  [SMALL_STATE(7368)] = 364031,
  [SMALL_STATE(7369)] = 364087,
  [SMALL_STATE(7370)] = 364143,
  [SMALL_STATE(7371)] = 364201,
  [SMALL_STATE(7372)] = 364257,
  [SMALL_STATE(7373)] = 364313,
  [SMALL_STATE(7374)] = 364371,
  [SMALL_STATE(7375)] = 364427,
  [SMALL_STATE(7376)] = 364483,
  [SMALL_STATE(7377)] = 364539,
  [SMALL_STATE(7378)] = 364595,
  [SMALL_STATE(7379)] = 364651,
  [SMALL_STATE(7380)] = 364707,
  [SMALL_STATE(7381)] = 364763,
  [SMALL_STATE(7382)] = 364819,
  [SMALL_STATE(7383)] = 364927,
  [SMALL_STATE(7384)] = 364989,
  [SMALL_STATE(7385)] = 365045,
  [SMALL_STATE(7386)] = 365101,
  [SMALL_STATE(7387)] = 365159,
  [SMALL_STATE(7388)] = 365217,
  [SMALL_STATE(7389)] = 365275,
  [SMALL_STATE(7390)] = 365333,
  [SMALL_STATE(7391)] = 365389,
  [SMALL_STATE(7392)] = 365445,
  [SMALL_STATE(7393)] = 365501,
  [SMALL_STATE(7394)] = 365557,
  [SMALL_STATE(7395)] = 365613,
  [SMALL_STATE(7396)] = 365669,
  [SMALL_STATE(7397)] = 365725,
  [SMALL_STATE(7398)] = 365781,
  [SMALL_STATE(7399)] = 365837,
  [SMALL_STATE(7400)] = 365893,
  [SMALL_STATE(7401)] = 365951,
  [SMALL_STATE(7402)] = 366007,
  [SMALL_STATE(7403)] = 366065,
  [SMALL_STATE(7404)] = 366121,
  [SMALL_STATE(7405)] = 366177,
  [SMALL_STATE(7406)] = 366233,
  [SMALL_STATE(7407)] = 366289,
  [SMALL_STATE(7408)] = 366345,
  [SMALL_STATE(7409)] = 366401,
  [SMALL_STATE(7410)] = 366509,
  [SMALL_STATE(7411)] = 366565,
  [SMALL_STATE(7412)] = 366621,
  [SMALL_STATE(7413)] = 366677,
  [SMALL_STATE(7414)] = 366733,
  [SMALL_STATE(7415)] = 366789,
  [SMALL_STATE(7416)] = 366845,
  [SMALL_STATE(7417)] = 366901,
  [SMALL_STATE(7418)] = 366957,
  [SMALL_STATE(7419)] = 367013,
  [SMALL_STATE(7420)] = 367069,
  [SMALL_STATE(7421)] = 367125,
  [SMALL_STATE(7422)] = 367181,
  [SMALL_STATE(7423)] = 367237,
  [SMALL_STATE(7424)] = 367293,
  [SMALL_STATE(7425)] = 367355,
  [SMALL_STATE(7426)] = 367411,
  [SMALL_STATE(7427)] = 367467,
  [SMALL_STATE(7428)] = 367523,
  [SMALL_STATE(7429)] = 367579,
  [SMALL_STATE(7430)] = 367635,
  [SMALL_STATE(7431)] = 367693,
  [SMALL_STATE(7432)] = 367749,
  [SMALL_STATE(7433)] = 367807,
  [SMALL_STATE(7434)] = 367863,
  [SMALL_STATE(7435)] = 367919,
  [SMALL_STATE(7436)] = 367977,
  [SMALL_STATE(7437)] = 368033,
  [SMALL_STATE(7438)] = 368089,
  [SMALL_STATE(7439)] = 368145,
  [SMALL_STATE(7440)] = 368201,
  [SMALL_STATE(7441)] = 368259,
  [SMALL_STATE(7442)] = 368315,
  [SMALL_STATE(7443)] = 368371,
  [SMALL_STATE(7444)] = 368429,
  [SMALL_STATE(7445)] = 368485,
  [SMALL_STATE(7446)] = 368541,
  [SMALL_STATE(7447)] = 368597,
  [SMALL_STATE(7448)] = 368653,
  [SMALL_STATE(7449)] = 368709,
  [SMALL_STATE(7450)] = 368765,
  [SMALL_STATE(7451)] = 368821,
  [SMALL_STATE(7452)] = 368877,
  [SMALL_STATE(7453)] = 368935,
  [SMALL_STATE(7454)] = 368991,
  [SMALL_STATE(7455)] = 369047,
  [SMALL_STATE(7456)] = 369103,
  [SMALL_STATE(7457)] = 369159,
  [SMALL_STATE(7458)] = 369215,
  [SMALL_STATE(7459)] = 369271,
  [SMALL_STATE(7460)] = 369327,
  [SMALL_STATE(7461)] = 369383,
  [SMALL_STATE(7462)] = 369439,
  [SMALL_STATE(7463)] = 369497,
  [SMALL_STATE(7464)] = 369553,
  [SMALL_STATE(7465)] = 369609,
  [SMALL_STATE(7466)] = 369665,
  [SMALL_STATE(7467)] = 369721,
  [SMALL_STATE(7468)] = 369777,
  [SMALL_STATE(7469)] = 369833,
  [SMALL_STATE(7470)] = 369889,
  [SMALL_STATE(7471)] = 369947,
  [SMALL_STATE(7472)] = 370003,
  [SMALL_STATE(7473)] = 370059,
  [SMALL_STATE(7474)] = 370115,
  [SMALL_STATE(7475)] = 370171,
  [SMALL_STATE(7476)] = 370227,
  [SMALL_STATE(7477)] = 370283,
  [SMALL_STATE(7478)] = 370339,
  [SMALL_STATE(7479)] = 370395,
  [SMALL_STATE(7480)] = 370451,
  [SMALL_STATE(7481)] = 370507,
  [SMALL_STATE(7482)] = 370563,
  [SMALL_STATE(7483)] = 370619,
  [SMALL_STATE(7484)] = 370677,
  [SMALL_STATE(7485)] = 370733,
  [SMALL_STATE(7486)] = 370789,
  [SMALL_STATE(7487)] = 370845,
  [SMALL_STATE(7488)] = 370903,
  [SMALL_STATE(7489)] = 370959,
  [SMALL_STATE(7490)] = 371015,
  [SMALL_STATE(7491)] = 371071,
  [SMALL_STATE(7492)] = 371127,
  [SMALL_STATE(7493)] = 371183,
  [SMALL_STATE(7494)] = 371239,
  [SMALL_STATE(7495)] = 371295,
  [SMALL_STATE(7496)] = 371351,
  [SMALL_STATE(7497)] = 371413,
  [SMALL_STATE(7498)] = 371469,
  [SMALL_STATE(7499)] = 371525,
  [SMALL_STATE(7500)] = 371581,
  [SMALL_STATE(7501)] = 371637,
  [SMALL_STATE(7502)] = 371693,
  [SMALL_STATE(7503)] = 371755,
  [SMALL_STATE(7504)] = 371811,
  [SMALL_STATE(7505)] = 371867,
  [SMALL_STATE(7506)] = 371925,
  [SMALL_STATE(7507)] = 371981,
  [SMALL_STATE(7508)] = 372037,
  [SMALL_STATE(7509)] = 372093,
  [SMALL_STATE(7510)] = 372149,
  [SMALL_STATE(7511)] = 372205,
  [SMALL_STATE(7512)] = 372261,
  [SMALL_STATE(7513)] = 372323,
  [SMALL_STATE(7514)] = 372379,
  [SMALL_STATE(7515)] = 372435,
  [SMALL_STATE(7516)] = 372491,
  [SMALL_STATE(7517)] = 372547,
  [SMALL_STATE(7518)] = 372603,
  [SMALL_STATE(7519)] = 372659,
  [SMALL_STATE(7520)] = 372715,
  [SMALL_STATE(7521)] = 372771,
  [SMALL_STATE(7522)] = 372827,
  [SMALL_STATE(7523)] = 372885,
  [SMALL_STATE(7524)] = 372941,
  [SMALL_STATE(7525)] = 372997,
  [SMALL_STATE(7526)] = 373053,
  [SMALL_STATE(7527)] = 373109,
  [SMALL_STATE(7528)] = 373165,
  [SMALL_STATE(7529)] = 373221,
  [SMALL_STATE(7530)] = 373277,
  [SMALL_STATE(7531)] = 373333,
  [SMALL_STATE(7532)] = 373389,
  [SMALL_STATE(7533)] = 373445,
  [SMALL_STATE(7534)] = 373501,
  [SMALL_STATE(7535)] = 373557,
  [SMALL_STATE(7536)] = 373613,
  [SMALL_STATE(7537)] = 373721,
  [SMALL_STATE(7538)] = 373777,
  [SMALL_STATE(7539)] = 373833,
  [SMALL_STATE(7540)] = 373895,
  [SMALL_STATE(7541)] = 373951,
  [SMALL_STATE(7542)] = 374007,
  [SMALL_STATE(7543)] = 374063,
  [SMALL_STATE(7544)] = 374119,
  [SMALL_STATE(7545)] = 374175,
  [SMALL_STATE(7546)] = 374231,
  [SMALL_STATE(7547)] = 374287,
  [SMALL_STATE(7548)] = 374343,
  [SMALL_STATE(7549)] = 374399,
  [SMALL_STATE(7550)] = 374455,
  [SMALL_STATE(7551)] = 374511,
  [SMALL_STATE(7552)] = 374567,
  [SMALL_STATE(7553)] = 374623,
  [SMALL_STATE(7554)] = 374679,
  [SMALL_STATE(7555)] = 374735,
  [SMALL_STATE(7556)] = 374791,
  [SMALL_STATE(7557)] = 374847,
  [SMALL_STATE(7558)] = 374903,
  [SMALL_STATE(7559)] = 374959,
  [SMALL_STATE(7560)] = 375015,
  [SMALL_STATE(7561)] = 375071,
  [SMALL_STATE(7562)] = 375127,
  [SMALL_STATE(7563)] = 375185,
  [SMALL_STATE(7564)] = 375241,
  [SMALL_STATE(7565)] = 375297,
  [SMALL_STATE(7566)] = 375353,
  [SMALL_STATE(7567)] = 375409,
  [SMALL_STATE(7568)] = 375465,
  [SMALL_STATE(7569)] = 375527,
  [SMALL_STATE(7570)] = 375583,
  [SMALL_STATE(7571)] = 375639,
  [SMALL_STATE(7572)] = 375695,
  [SMALL_STATE(7573)] = 375757,
  [SMALL_STATE(7574)] = 375813,
  [SMALL_STATE(7575)] = 375869,
  [SMALL_STATE(7576)] = 375925,
  [SMALL_STATE(7577)] = 375981,
  [SMALL_STATE(7578)] = 376037,
  [SMALL_STATE(7579)] = 376093,
  [SMALL_STATE(7580)] = 376149,
  [SMALL_STATE(7581)] = 376205,
  [SMALL_STATE(7582)] = 376261,
  [SMALL_STATE(7583)] = 376317,
  [SMALL_STATE(7584)] = 376373,
  [SMALL_STATE(7585)] = 376429,
  [SMALL_STATE(7586)] = 376485,
  [SMALL_STATE(7587)] = 376543,
  [SMALL_STATE(7588)] = 376599,
  [SMALL_STATE(7589)] = 376655,
  [SMALL_STATE(7590)] = 376711,
  [SMALL_STATE(7591)] = 376767,
  [SMALL_STATE(7592)] = 376823,
  [SMALL_STATE(7593)] = 376879,
  [SMALL_STATE(7594)] = 376935,
  [SMALL_STATE(7595)] = 376991,
  [SMALL_STATE(7596)] = 377047,
  [SMALL_STATE(7597)] = 377103,
  [SMALL_STATE(7598)] = 377159,
  [SMALL_STATE(7599)] = 377215,
  [SMALL_STATE(7600)] = 377271,
  [SMALL_STATE(7601)] = 377327,
  [SMALL_STATE(7602)] = 377383,
  [SMALL_STATE(7603)] = 377439,
  [SMALL_STATE(7604)] = 377495,
  [SMALL_STATE(7605)] = 377551,
  [SMALL_STATE(7606)] = 377607,
  [SMALL_STATE(7607)] = 377663,
  [SMALL_STATE(7608)] = 377725,
  [SMALL_STATE(7609)] = 377781,
  [SMALL_STATE(7610)] = 377837,
  [SMALL_STATE(7611)] = 377893,
  [SMALL_STATE(7612)] = 377949,
  [SMALL_STATE(7613)] = 378005,
  [SMALL_STATE(7614)] = 378061,
  [SMALL_STATE(7615)] = 378117,
  [SMALL_STATE(7616)] = 378173,
  [SMALL_STATE(7617)] = 378229,
  [SMALL_STATE(7618)] = 378285,
  [SMALL_STATE(7619)] = 378341,
  [SMALL_STATE(7620)] = 378397,
  [SMALL_STATE(7621)] = 378453,
  [SMALL_STATE(7622)] = 378509,
  [SMALL_STATE(7623)] = 378565,
  [SMALL_STATE(7624)] = 378621,
  [SMALL_STATE(7625)] = 378677,
  [SMALL_STATE(7626)] = 378733,
  [SMALL_STATE(7627)] = 378789,
  [SMALL_STATE(7628)] = 378845,
  [SMALL_STATE(7629)] = 378901,
  [SMALL_STATE(7630)] = 378957,
  [SMALL_STATE(7631)] = 379013,
  [SMALL_STATE(7632)] = 379075,
  [SMALL_STATE(7633)] = 379131,
  [SMALL_STATE(7634)] = 379187,
  [SMALL_STATE(7635)] = 379243,
  [SMALL_STATE(7636)] = 379299,
  [SMALL_STATE(7637)] = 379355,
  [SMALL_STATE(7638)] = 379411,
  [SMALL_STATE(7639)] = 379467,
  [SMALL_STATE(7640)] = 379523,
  [SMALL_STATE(7641)] = 379579,
  [SMALL_STATE(7642)] = 379637,
  [SMALL_STATE(7643)] = 379693,
  [SMALL_STATE(7644)] = 379749,
  [SMALL_STATE(7645)] = 379805,
  [SMALL_STATE(7646)] = 379861,
  [SMALL_STATE(7647)] = 379917,
  [SMALL_STATE(7648)] = 379973,
  [SMALL_STATE(7649)] = 380029,
  [SMALL_STATE(7650)] = 380085,
  [SMALL_STATE(7651)] = 380141,
  [SMALL_STATE(7652)] = 380197,
  [SMALL_STATE(7653)] = 380253,
  [SMALL_STATE(7654)] = 380309,
  [SMALL_STATE(7655)] = 380365,
  [SMALL_STATE(7656)] = 380421,
  [SMALL_STATE(7657)] = 380477,
  [SMALL_STATE(7658)] = 380533,
  [SMALL_STATE(7659)] = 380589,
  [SMALL_STATE(7660)] = 380645,
  [SMALL_STATE(7661)] = 380701,
  [SMALL_STATE(7662)] = 380763,
  [SMALL_STATE(7663)] = 380819,
  [SMALL_STATE(7664)] = 380875,
  [SMALL_STATE(7665)] = 380931,
  [SMALL_STATE(7666)] = 380987,
  [SMALL_STATE(7667)] = 381043,
  [SMALL_STATE(7668)] = 381099,
  [SMALL_STATE(7669)] = 381155,
  [SMALL_STATE(7670)] = 381211,
  [SMALL_STATE(7671)] = 381267,
  [SMALL_STATE(7672)] = 381323,
  [SMALL_STATE(7673)] = 381379,
  [SMALL_STATE(7674)] = 381435,
  [SMALL_STATE(7675)] = 381491,
  [SMALL_STATE(7676)] = 381547,
  [SMALL_STATE(7677)] = 381603,
  [SMALL_STATE(7678)] = 381659,
  [SMALL_STATE(7679)] = 381715,
  [SMALL_STATE(7680)] = 381771,
  [SMALL_STATE(7681)] = 381827,
  [SMALL_STATE(7682)] = 381883,
  [SMALL_STATE(7683)] = 381939,
  [SMALL_STATE(7684)] = 381995,
  [SMALL_STATE(7685)] = 382051,
  [SMALL_STATE(7686)] = 382107,
  [SMALL_STATE(7687)] = 382163,
  [SMALL_STATE(7688)] = 382219,
  [SMALL_STATE(7689)] = 382275,
  [SMALL_STATE(7690)] = 382331,
  [SMALL_STATE(7691)] = 382387,
  [SMALL_STATE(7692)] = 382443,
  [SMALL_STATE(7693)] = 382499,
  [SMALL_STATE(7694)] = 382555,
  [SMALL_STATE(7695)] = 382611,
  [SMALL_STATE(7696)] = 382667,
  [SMALL_STATE(7697)] = 382723,
  [SMALL_STATE(7698)] = 382779,
  [SMALL_STATE(7699)] = 382837,
  [SMALL_STATE(7700)] = 382893,
  [SMALL_STATE(7701)] = 382949,
  [SMALL_STATE(7702)] = 383005,
  [SMALL_STATE(7703)] = 383061,
  [SMALL_STATE(7704)] = 383117,
  [SMALL_STATE(7705)] = 383173,
  [SMALL_STATE(7706)] = 383229,
  [SMALL_STATE(7707)] = 383285,
  [SMALL_STATE(7708)] = 383341,
  [SMALL_STATE(7709)] = 383397,
  [SMALL_STATE(7710)] = 383453,
  [SMALL_STATE(7711)] = 383509,
  [SMALL_STATE(7712)] = 383565,
  [SMALL_STATE(7713)] = 383621,
  [SMALL_STATE(7714)] = 383677,
  [SMALL_STATE(7715)] = 383733,
  [SMALL_STATE(7716)] = 383789,
  [SMALL_STATE(7717)] = 383845,
  [SMALL_STATE(7718)] = 383903,
  [SMALL_STATE(7719)] = 383959,
  [SMALL_STATE(7720)] = 384015,
  [SMALL_STATE(7721)] = 384071,
  [SMALL_STATE(7722)] = 384127,
  [SMALL_STATE(7723)] = 384182,
  [SMALL_STATE(7724)] = 384237,
  [SMALL_STATE(7725)] = 384292,
  [SMALL_STATE(7726)] = 384347,
  [SMALL_STATE(7727)] = 384402,
  [SMALL_STATE(7728)] = 384457,
  [SMALL_STATE(7729)] = 384512,
  [SMALL_STATE(7730)] = 384567,
  [SMALL_STATE(7731)] = 384622,
  [SMALL_STATE(7732)] = 384677,
  [SMALL_STATE(7733)] = 384732,
  [SMALL_STATE(7734)] = 384787,
  [SMALL_STATE(7735)] = 384842,
  [SMALL_STATE(7736)] = 384897,
  [SMALL_STATE(7737)] = 384954,
  [SMALL_STATE(7738)] = 385009,
  [SMALL_STATE(7739)] = 385064,
  [SMALL_STATE(7740)] = 385169,
  [SMALL_STATE(7741)] = 385224,
  [SMALL_STATE(7742)] = 385281,
  [SMALL_STATE(7743)] = 385342,
  [SMALL_STATE(7744)] = 385397,
  [SMALL_STATE(7745)] = 385452,
  [SMALL_STATE(7746)] = 385507,
  [SMALL_STATE(7747)] = 385562,
  [SMALL_STATE(7748)] = 385617,
  [SMALL_STATE(7749)] = 385672,
  [SMALL_STATE(7750)] = 385727,
  [SMALL_STATE(7751)] = 385782,
  [SMALL_STATE(7752)] = 385887,
  [SMALL_STATE(7753)] = 385942,
  [SMALL_STATE(7754)] = 385997,
  [SMALL_STATE(7755)] = 386052,
  [SMALL_STATE(7756)] = 386107,
  [SMALL_STATE(7757)] = 386162,
  [SMALL_STATE(7758)] = 386217,
  [SMALL_STATE(7759)] = 386272,
  [SMALL_STATE(7760)] = 386327,
  [SMALL_STATE(7761)] = 386382,
  [SMALL_STATE(7762)] = 386437,
  [SMALL_STATE(7763)] = 386492,
  [SMALL_STATE(7764)] = 386547,
  [SMALL_STATE(7765)] = 386602,
  [SMALL_STATE(7766)] = 386657,
  [SMALL_STATE(7767)] = 386712,
  [SMALL_STATE(7768)] = 386767,
  [SMALL_STATE(7769)] = 386822,
  [SMALL_STATE(7770)] = 386877,
  [SMALL_STATE(7771)] = 386932,
  [SMALL_STATE(7772)] = 386987,
  [SMALL_STATE(7773)] = 387042,
  [SMALL_STATE(7774)] = 387097,
  [SMALL_STATE(7775)] = 387152,
  [SMALL_STATE(7776)] = 387207,
  [SMALL_STATE(7777)] = 387262,
  [SMALL_STATE(7778)] = 387317,
  [SMALL_STATE(7779)] = 387374,
  [SMALL_STATE(7780)] = 387429,
  [SMALL_STATE(7781)] = 387484,
  [SMALL_STATE(7782)] = 387541,
  [SMALL_STATE(7783)] = 387596,
  [SMALL_STATE(7784)] = 387651,
  [SMALL_STATE(7785)] = 387706,
  [SMALL_STATE(7786)] = 387761,
  [SMALL_STATE(7787)] = 387816,
  [SMALL_STATE(7788)] = 387873,
  [SMALL_STATE(7789)] = 387930,
  [SMALL_STATE(7790)] = 387985,
  [SMALL_STATE(7791)] = 388040,
  [SMALL_STATE(7792)] = 388095,
  [SMALL_STATE(7793)] = 388150,
  [SMALL_STATE(7794)] = 388205,
  [SMALL_STATE(7795)] = 388260,
  [SMALL_STATE(7796)] = 388315,
  [SMALL_STATE(7797)] = 388370,
  [SMALL_STATE(7798)] = 388425,
  [SMALL_STATE(7799)] = 388480,
  [SMALL_STATE(7800)] = 388535,
  [SMALL_STATE(7801)] = 388592,
  [SMALL_STATE(7802)] = 388647,
  [SMALL_STATE(7803)] = 388702,
  [SMALL_STATE(7804)] = 388757,
  [SMALL_STATE(7805)] = 388812,
  [SMALL_STATE(7806)] = 388867,
  [SMALL_STATE(7807)] = 388922,
  [SMALL_STATE(7808)] = 388977,
  [SMALL_STATE(7809)] = 389032,
  [SMALL_STATE(7810)] = 389087,
  [SMALL_STATE(7811)] = 389142,
  [SMALL_STATE(7812)] = 389197,
  [SMALL_STATE(7813)] = 389252,
  [SMALL_STATE(7814)] = 389307,
  [SMALL_STATE(7815)] = 389362,
  [SMALL_STATE(7816)] = 389417,
  [SMALL_STATE(7817)] = 389472,
  [SMALL_STATE(7818)] = 389527,
  [SMALL_STATE(7819)] = 389582,
  [SMALL_STATE(7820)] = 389637,
  [SMALL_STATE(7821)] = 389692,
  [SMALL_STATE(7822)] = 389747,
  [SMALL_STATE(7823)] = 389802,
  [SMALL_STATE(7824)] = 389857,
  [SMALL_STATE(7825)] = 389912,
  [SMALL_STATE(7826)] = 389967,
  [SMALL_STATE(7827)] = 390022,
  [SMALL_STATE(7828)] = 390077,
  [SMALL_STATE(7829)] = 390132,
  [SMALL_STATE(7830)] = 390187,
  [SMALL_STATE(7831)] = 390242,
  [SMALL_STATE(7832)] = 390297,
  [SMALL_STATE(7833)] = 390352,
  [SMALL_STATE(7834)] = 390407,
  [SMALL_STATE(7835)] = 390462,
  [SMALL_STATE(7836)] = 390517,
  [SMALL_STATE(7837)] = 390574,
  [SMALL_STATE(7838)] = 390629,
  [SMALL_STATE(7839)] = 390684,
  [SMALL_STATE(7840)] = 390739,
  [SMALL_STATE(7841)] = 390794,
  [SMALL_STATE(7842)] = 390849,
  [SMALL_STATE(7843)] = 390904,
  [SMALL_STATE(7844)] = 390959,
  [SMALL_STATE(7845)] = 391014,
  [SMALL_STATE(7846)] = 391069,
  [SMALL_STATE(7847)] = 391124,
  [SMALL_STATE(7848)] = 391185,
  [SMALL_STATE(7849)] = 391242,
  [SMALL_STATE(7850)] = 391297,
  [SMALL_STATE(7851)] = 391352,
  [SMALL_STATE(7852)] = 391407,
  [SMALL_STATE(7853)] = 391462,
  [SMALL_STATE(7854)] = 391519,
  [SMALL_STATE(7855)] = 391574,
  [SMALL_STATE(7856)] = 391629,
  [SMALL_STATE(7857)] = 391684,
  [SMALL_STATE(7858)] = 391739,
  [SMALL_STATE(7859)] = 391794,
  [SMALL_STATE(7860)] = 391849,
  [SMALL_STATE(7861)] = 391904,
  [SMALL_STATE(7862)] = 391959,
  [SMALL_STATE(7863)] = 392014,
  [SMALL_STATE(7864)] = 392069,
  [SMALL_STATE(7865)] = 392124,
  [SMALL_STATE(7866)] = 392179,
  [SMALL_STATE(7867)] = 392234,
  [SMALL_STATE(7868)] = 392289,
  [SMALL_STATE(7869)] = 392344,
  [SMALL_STATE(7870)] = 392399,
  [SMALL_STATE(7871)] = 392454,
  [SMALL_STATE(7872)] = 392509,
  [SMALL_STATE(7873)] = 392564,
  [SMALL_STATE(7874)] = 392619,
  [SMALL_STATE(7875)] = 392674,
  [SMALL_STATE(7876)] = 392729,
  [SMALL_STATE(7877)] = 392784,
  [SMALL_STATE(7878)] = 392839,
  [SMALL_STATE(7879)] = 392894,
  [SMALL_STATE(7880)] = 392949,
  [SMALL_STATE(7881)] = 393004,
  [SMALL_STATE(7882)] = 393059,
  [SMALL_STATE(7883)] = 393114,
  [SMALL_STATE(7884)] = 393169,
  [SMALL_STATE(7885)] = 393224,
  [SMALL_STATE(7886)] = 393279,
  [SMALL_STATE(7887)] = 393340,
  [SMALL_STATE(7888)] = 393395,
  [SMALL_STATE(7889)] = 393450,
  [SMALL_STATE(7890)] = 393505,
  [SMALL_STATE(7891)] = 393560,
  [SMALL_STATE(7892)] = 393615,
  [SMALL_STATE(7893)] = 393670,
  [SMALL_STATE(7894)] = 393725,
  [SMALL_STATE(7895)] = 393782,
  [SMALL_STATE(7896)] = 393887,
  [SMALL_STATE(7897)] = 393942,
  [SMALL_STATE(7898)] = 393997,
  [SMALL_STATE(7899)] = 394052,
  [SMALL_STATE(7900)] = 394107,
  [SMALL_STATE(7901)] = 394162,
  [SMALL_STATE(7902)] = 394217,
  [SMALL_STATE(7903)] = 394278,
  [SMALL_STATE(7904)] = 394333,
  [SMALL_STATE(7905)] = 394388,
  [SMALL_STATE(7906)] = 394443,
  [SMALL_STATE(7907)] = 394498,
  [SMALL_STATE(7908)] = 394555,
  [SMALL_STATE(7909)] = 394610,
  [SMALL_STATE(7910)] = 394665,
  [SMALL_STATE(7911)] = 394720,
  [SMALL_STATE(7912)] = 394775,
  [SMALL_STATE(7913)] = 394830,
  [SMALL_STATE(7914)] = 394887,
  [SMALL_STATE(7915)] = 394942,
  [SMALL_STATE(7916)] = 394997,
  [SMALL_STATE(7917)] = 395052,
  [SMALL_STATE(7918)] = 395107,
  [SMALL_STATE(7919)] = 395162,
  [SMALL_STATE(7920)] = 395217,
  [SMALL_STATE(7921)] = 395272,
  [SMALL_STATE(7922)] = 395327,
  [SMALL_STATE(7923)] = 395382,
  [SMALL_STATE(7924)] = 395437,
  [SMALL_STATE(7925)] = 395492,
  [SMALL_STATE(7926)] = 395547,
  [SMALL_STATE(7927)] = 395602,
  [SMALL_STATE(7928)] = 395657,
  [SMALL_STATE(7929)] = 395714,
  [SMALL_STATE(7930)] = 395771,
  [SMALL_STATE(7931)] = 395826,
  [SMALL_STATE(7932)] = 395881,
  [SMALL_STATE(7933)] = 395942,
  [SMALL_STATE(7934)] = 395997,
  [SMALL_STATE(7935)] = 396052,
  [SMALL_STATE(7936)] = 396107,
  [SMALL_STATE(7937)] = 396162,
  [SMALL_STATE(7938)] = 396217,
  [SMALL_STATE(7939)] = 396274,
  [SMALL_STATE(7940)] = 396329,
  [SMALL_STATE(7941)] = 396384,
  [SMALL_STATE(7942)] = 396439,
  [SMALL_STATE(7943)] = 396494,
  [SMALL_STATE(7944)] = 396549,
  [SMALL_STATE(7945)] = 396604,
  [SMALL_STATE(7946)] = 396659,
  [SMALL_STATE(7947)] = 396714,
  [SMALL_STATE(7948)] = 396769,
  [SMALL_STATE(7949)] = 396824,
  [SMALL_STATE(7950)] = 396879,
  [SMALL_STATE(7951)] = 396934,
  [SMALL_STATE(7952)] = 396989,
  [SMALL_STATE(7953)] = 397044,
  [SMALL_STATE(7954)] = 397099,
  [SMALL_STATE(7955)] = 397154,
  [SMALL_STATE(7956)] = 397209,
  [SMALL_STATE(7957)] = 397314,
  [SMALL_STATE(7958)] = 397369,
  [SMALL_STATE(7959)] = 397424,
  [SMALL_STATE(7960)] = 397479,
  [SMALL_STATE(7961)] = 397534,
  [SMALL_STATE(7962)] = 397589,
  [SMALL_STATE(7963)] = 397644,
  [SMALL_STATE(7964)] = 397699,
  [SMALL_STATE(7965)] = 397754,
  [SMALL_STATE(7966)] = 397809,
  [SMALL_STATE(7967)] = 397864,
  [SMALL_STATE(7968)] = 397919,
  [SMALL_STATE(7969)] = 397974,
  [SMALL_STATE(7970)] = 398029,
  [SMALL_STATE(7971)] = 398084,
  [SMALL_STATE(7972)] = 398139,
  [SMALL_STATE(7973)] = 398194,
  [SMALL_STATE(7974)] = 398249,
  [SMALL_STATE(7975)] = 398304,
  [SMALL_STATE(7976)] = 398359,
  [SMALL_STATE(7977)] = 398414,
  [SMALL_STATE(7978)] = 398475,
  [SMALL_STATE(7979)] = 398530,
  [SMALL_STATE(7980)] = 398587,
  [SMALL_STATE(7981)] = 398642,
  [SMALL_STATE(7982)] = 398697,
  [SMALL_STATE(7983)] = 398752,
  [SMALL_STATE(7984)] = 398807,
  [SMALL_STATE(7985)] = 398862,
  [SMALL_STATE(7986)] = 398917,
  [SMALL_STATE(7987)] = 398972,
  [SMALL_STATE(7988)] = 399027,
  [SMALL_STATE(7989)] = 399082,
  [SMALL_STATE(7990)] = 399137,
  [SMALL_STATE(7991)] = 399192,
  [SMALL_STATE(7992)] = 399247,
  [SMALL_STATE(7993)] = 399302,
  [SMALL_STATE(7994)] = 399357,
  [SMALL_STATE(7995)] = 399412,
  [SMALL_STATE(7996)] = 399467,
  [SMALL_STATE(7997)] = 399522,
  [SMALL_STATE(7998)] = 399577,
  [SMALL_STATE(7999)] = 399632,
  [SMALL_STATE(8000)] = 399687,
  [SMALL_STATE(8001)] = 399742,
  [SMALL_STATE(8002)] = 399797,
  [SMALL_STATE(8003)] = 399852,
  [SMALL_STATE(8004)] = 399907,
  [SMALL_STATE(8005)] = 399962,
  [SMALL_STATE(8006)] = 400017,
  [SMALL_STATE(8007)] = 400072,
  [SMALL_STATE(8008)] = 400127,
  [SMALL_STATE(8009)] = 400182,
  [SMALL_STATE(8010)] = 400237,
  [SMALL_STATE(8011)] = 400292,
  [SMALL_STATE(8012)] = 400347,
  [SMALL_STATE(8013)] = 400402,
  [SMALL_STATE(8014)] = 400457,
  [SMALL_STATE(8015)] = 400512,
  [SMALL_STATE(8016)] = 400567,
  [SMALL_STATE(8017)] = 400622,
  [SMALL_STATE(8018)] = 400677,
  [SMALL_STATE(8019)] = 400732,
  [SMALL_STATE(8020)] = 400787,
  [SMALL_STATE(8021)] = 400842,
  [SMALL_STATE(8022)] = 400897,
  [SMALL_STATE(8023)] = 400958,
  [SMALL_STATE(8024)] = 401013,
  [SMALL_STATE(8025)] = 401068,
  [SMALL_STATE(8026)] = 401123,
  [SMALL_STATE(8027)] = 401178,
  [SMALL_STATE(8028)] = 401233,
  [SMALL_STATE(8029)] = 401294,
  [SMALL_STATE(8030)] = 401349,
  [SMALL_STATE(8031)] = 401410,
  [SMALL_STATE(8032)] = 401465,
  [SMALL_STATE(8033)] = 401520,
  [SMALL_STATE(8034)] = 401575,
  [SMALL_STATE(8035)] = 401630,
  [SMALL_STATE(8036)] = 401685,
  [SMALL_STATE(8037)] = 401742,
  [SMALL_STATE(8038)] = 401797,
  [SMALL_STATE(8039)] = 401852,
  [SMALL_STATE(8040)] = 401907,
  [SMALL_STATE(8041)] = 401962,
  [SMALL_STATE(8042)] = 402017,
  [SMALL_STATE(8043)] = 402072,
  [SMALL_STATE(8044)] = 402127,
  [SMALL_STATE(8045)] = 402182,
  [SMALL_STATE(8046)] = 402239,
  [SMALL_STATE(8047)] = 402294,
  [SMALL_STATE(8048)] = 402349,
  [SMALL_STATE(8049)] = 402404,
  [SMALL_STATE(8050)] = 402459,
  [SMALL_STATE(8051)] = 402514,
  [SMALL_STATE(8052)] = 402569,
  [SMALL_STATE(8053)] = 402674,
  [SMALL_STATE(8054)] = 402729,
  [SMALL_STATE(8055)] = 402784,
  [SMALL_STATE(8056)] = 402839,
  [SMALL_STATE(8057)] = 402894,
  [SMALL_STATE(8058)] = 402949,
  [SMALL_STATE(8059)] = 403006,
  [SMALL_STATE(8060)] = 403061,
  [SMALL_STATE(8061)] = 403166,
  [SMALL_STATE(8062)] = 403221,
  [SMALL_STATE(8063)] = 403276,
  [SMALL_STATE(8064)] = 403331,
  [SMALL_STATE(8065)] = 403386,
  [SMALL_STATE(8066)] = 403441,
  [SMALL_STATE(8067)] = 403498,
  [SMALL_STATE(8068)] = 403553,
  [SMALL_STATE(8069)] = 403608,
  [SMALL_STATE(8070)] = 403663,
  [SMALL_STATE(8071)] = 403718,
  [SMALL_STATE(8072)] = 403773,
  [SMALL_STATE(8073)] = 403828,
  [SMALL_STATE(8074)] = 403883,
  [SMALL_STATE(8075)] = 403938,
  [SMALL_STATE(8076)] = 403993,
  [SMALL_STATE(8077)] = 404048,
  [SMALL_STATE(8078)] = 404103,
  [SMALL_STATE(8079)] = 404158,
  [SMALL_STATE(8080)] = 404213,
  [SMALL_STATE(8081)] = 404268,
  [SMALL_STATE(8082)] = 404325,
  [SMALL_STATE(8083)] = 404380,
  [SMALL_STATE(8084)] = 404435,
  [SMALL_STATE(8085)] = 404490,
  [SMALL_STATE(8086)] = 404545,
  [SMALL_STATE(8087)] = 404600,
  [SMALL_STATE(8088)] = 404655,
  [SMALL_STATE(8089)] = 404710,
  [SMALL_STATE(8090)] = 404771,
  [SMALL_STATE(8091)] = 404826,
  [SMALL_STATE(8092)] = 404883,
  [SMALL_STATE(8093)] = 404938,
  [SMALL_STATE(8094)] = 404993,
  [SMALL_STATE(8095)] = 405048,
  [SMALL_STATE(8096)] = 405109,
  [SMALL_STATE(8097)] = 405164,
  [SMALL_STATE(8098)] = 405219,
  [SMALL_STATE(8099)] = 405274,
  [SMALL_STATE(8100)] = 405329,
  [SMALL_STATE(8101)] = 405384,
  [SMALL_STATE(8102)] = 405439,
  [SMALL_STATE(8103)] = 405494,
  [SMALL_STATE(8104)] = 405549,
  [SMALL_STATE(8105)] = 405606,
  [SMALL_STATE(8106)] = 405661,
  [SMALL_STATE(8107)] = 405716,
  [SMALL_STATE(8108)] = 405771,
  [SMALL_STATE(8109)] = 405826,
  [SMALL_STATE(8110)] = 405881,
  [SMALL_STATE(8111)] = 405936,
  [SMALL_STATE(8112)] = 405991,
  [SMALL_STATE(8113)] = 406046,
  [SMALL_STATE(8114)] = 406101,
  [SMALL_STATE(8115)] = 406156,
  [SMALL_STATE(8116)] = 406211,
  [SMALL_STATE(8117)] = 406266,
  [SMALL_STATE(8118)] = 406321,
  [SMALL_STATE(8119)] = 406376,
  [SMALL_STATE(8120)] = 406431,
  [SMALL_STATE(8121)] = 406486,
  [SMALL_STATE(8122)] = 406541,
  [SMALL_STATE(8123)] = 406596,
  [SMALL_STATE(8124)] = 406651,
  [SMALL_STATE(8125)] = 406706,
  [SMALL_STATE(8126)] = 406761,
  [SMALL_STATE(8127)] = 406816,
  [SMALL_STATE(8128)] = 406877,
  [SMALL_STATE(8129)] = 406932,
  [SMALL_STATE(8130)] = 406987,
  [SMALL_STATE(8131)] = 407042,
  [SMALL_STATE(8132)] = 407097,
  [SMALL_STATE(8133)] = 407152,
  [SMALL_STATE(8134)] = 407207,
  [SMALL_STATE(8135)] = 407262,
  [SMALL_STATE(8136)] = 407317,
  [SMALL_STATE(8137)] = 407372,
  [SMALL_STATE(8138)] = 407427,
  [SMALL_STATE(8139)] = 407482,
  [SMALL_STATE(8140)] = 407537,
  [SMALL_STATE(8141)] = 407592,
  [SMALL_STATE(8142)] = 407647,
  [SMALL_STATE(8143)] = 407702,
  [SMALL_STATE(8144)] = 407757,
  [SMALL_STATE(8145)] = 407812,
  [SMALL_STATE(8146)] = 407867,
  [SMALL_STATE(8147)] = 407922,
  [SMALL_STATE(8148)] = 407977,
  [SMALL_STATE(8149)] = 408032,
  [SMALL_STATE(8150)] = 408087,
  [SMALL_STATE(8151)] = 408142,
  [SMALL_STATE(8152)] = 408197,
  [SMALL_STATE(8153)] = 408252,
  [SMALL_STATE(8154)] = 408307,
  [SMALL_STATE(8155)] = 408362,
  [SMALL_STATE(8156)] = 408419,
  [SMALL_STATE(8157)] = 408474,
  [SMALL_STATE(8158)] = 408529,
  [SMALL_STATE(8159)] = 408584,
  [SMALL_STATE(8160)] = 408639,
  [SMALL_STATE(8161)] = 408694,
  [SMALL_STATE(8162)] = 408749,
  [SMALL_STATE(8163)] = 408806,
  [SMALL_STATE(8164)] = 408861,
  [SMALL_STATE(8165)] = 408916,
  [SMALL_STATE(8166)] = 408971,
  [SMALL_STATE(8167)] = 409026,
  [SMALL_STATE(8168)] = 409081,
  [SMALL_STATE(8169)] = 409136,
  [SMALL_STATE(8170)] = 409197,
  [SMALL_STATE(8171)] = 409252,
  [SMALL_STATE(8172)] = 409307,
  [SMALL_STATE(8173)] = 409362,
  [SMALL_STATE(8174)] = 409417,
  [SMALL_STATE(8175)] = 409472,
  [SMALL_STATE(8176)] = 409527,
  [SMALL_STATE(8177)] = 409632,
  [SMALL_STATE(8178)] = 409687,
  [SMALL_STATE(8179)] = 409742,
  [SMALL_STATE(8180)] = 409797,
  [SMALL_STATE(8181)] = 409852,
  [SMALL_STATE(8182)] = 409909,
  [SMALL_STATE(8183)] = 409964,
  [SMALL_STATE(8184)] = 410019,
  [SMALL_STATE(8185)] = 410074,
  [SMALL_STATE(8186)] = 410129,
  [SMALL_STATE(8187)] = 410184,
  [SMALL_STATE(8188)] = 410239,
  [SMALL_STATE(8189)] = 410294,
  [SMALL_STATE(8190)] = 410349,
  [SMALL_STATE(8191)] = 410404,
  [SMALL_STATE(8192)] = 410459,
  [SMALL_STATE(8193)] = 410514,
  [SMALL_STATE(8194)] = 410571,
  [SMALL_STATE(8195)] = 410628,
  [SMALL_STATE(8196)] = 410683,
  [SMALL_STATE(8197)] = 410738,
  [SMALL_STATE(8198)] = 410795,
  [SMALL_STATE(8199)] = 410850,
  [SMALL_STATE(8200)] = 410905,
  [SMALL_STATE(8201)] = 410960,
  [SMALL_STATE(8202)] = 411015,
  [SMALL_STATE(8203)] = 411070,
  [SMALL_STATE(8204)] = 411125,
  [SMALL_STATE(8205)] = 411180,
  [SMALL_STATE(8206)] = 411235,
  [SMALL_STATE(8207)] = 411290,
  [SMALL_STATE(8208)] = 411345,
  [SMALL_STATE(8209)] = 411400,
  [SMALL_STATE(8210)] = 411455,
  [SMALL_STATE(8211)] = 411510,
  [SMALL_STATE(8212)] = 411565,
  [SMALL_STATE(8213)] = 411620,
  [SMALL_STATE(8214)] = 411675,
  [SMALL_STATE(8215)] = 411730,
  [SMALL_STATE(8216)] = 411785,
  [SMALL_STATE(8217)] = 411840,
  [SMALL_STATE(8218)] = 411895,
  [SMALL_STATE(8219)] = 411950,
  [SMALL_STATE(8220)] = 412005,
  [SMALL_STATE(8221)] = 412060,
  [SMALL_STATE(8222)] = 412121,
  [SMALL_STATE(8223)] = 412176,
  [SMALL_STATE(8224)] = 412231,
  [SMALL_STATE(8225)] = 412286,
  [SMALL_STATE(8226)] = 412341,
  [SMALL_STATE(8227)] = 412396,
  [SMALL_STATE(8228)] = 412451,
  [SMALL_STATE(8229)] = 412506,
  [SMALL_STATE(8230)] = 412561,
  [SMALL_STATE(8231)] = 412616,
  [SMALL_STATE(8232)] = 412671,
  [SMALL_STATE(8233)] = 412726,
  [SMALL_STATE(8234)] = 412781,
  [SMALL_STATE(8235)] = 412836,
  [SMALL_STATE(8236)] = 412891,
  [SMALL_STATE(8237)] = 412946,
  [SMALL_STATE(8238)] = 413001,
  [SMALL_STATE(8239)] = 413056,
  [SMALL_STATE(8240)] = 413111,
  [SMALL_STATE(8241)] = 413166,
  [SMALL_STATE(8242)] = 413221,
  [SMALL_STATE(8243)] = 413276,
  [SMALL_STATE(8244)] = 413331,
  [SMALL_STATE(8245)] = 413386,
  [SMALL_STATE(8246)] = 413441,
  [SMALL_STATE(8247)] = 413496,
  [SMALL_STATE(8248)] = 413551,
  [SMALL_STATE(8249)] = 413606,
  [SMALL_STATE(8250)] = 413661,
  [SMALL_STATE(8251)] = 413716,
  [SMALL_STATE(8252)] = 413771,
  [SMALL_STATE(8253)] = 413826,
  [SMALL_STATE(8254)] = 413881,
  [SMALL_STATE(8255)] = 413938,
  [SMALL_STATE(8256)] = 413993,
  [SMALL_STATE(8257)] = 414048,
  [SMALL_STATE(8258)] = 414103,
  [SMALL_STATE(8259)] = 414158,
  [SMALL_STATE(8260)] = 414213,
  [SMALL_STATE(8261)] = 414268,
  [SMALL_STATE(8262)] = 414373,
  [SMALL_STATE(8263)] = 414428,
  [SMALL_STATE(8264)] = 414483,
  [SMALL_STATE(8265)] = 414538,
  [SMALL_STATE(8266)] = 414593,
  [SMALL_STATE(8267)] = 414648,
  [SMALL_STATE(8268)] = 414703,
  [SMALL_STATE(8269)] = 414758,
  [SMALL_STATE(8270)] = 414813,
  [SMALL_STATE(8271)] = 414868,
  [SMALL_STATE(8272)] = 414923,
  [SMALL_STATE(8273)] = 414978,
  [SMALL_STATE(8274)] = 415033,
  [SMALL_STATE(8275)] = 415088,
  [SMALL_STATE(8276)] = 415143,
  [SMALL_STATE(8277)] = 415200,
  [SMALL_STATE(8278)] = 415255,
  [SMALL_STATE(8279)] = 415310,
  [SMALL_STATE(8280)] = 415365,
  [SMALL_STATE(8281)] = 415420,
  [SMALL_STATE(8282)] = 415477,
  [SMALL_STATE(8283)] = 415534,
  [SMALL_STATE(8284)] = 415589,
  [SMALL_STATE(8285)] = 415644,
  [SMALL_STATE(8286)] = 415699,
  [SMALL_STATE(8287)] = 415754,
  [SMALL_STATE(8288)] = 415809,
  [SMALL_STATE(8289)] = 415864,
  [SMALL_STATE(8290)] = 415919,
  [SMALL_STATE(8291)] = 415973,
  [SMALL_STATE(8292)] = 416027,
  [SMALL_STATE(8293)] = 416081,
  [SMALL_STATE(8294)] = 416135,
  [SMALL_STATE(8295)] = 416189,
  [SMALL_STATE(8296)] = 416243,
  [SMALL_STATE(8297)] = 416297,
  [SMALL_STATE(8298)] = 416351,
  [SMALL_STATE(8299)] = 416405,
  [SMALL_STATE(8300)] = 416459,
  [SMALL_STATE(8301)] = 416513,
  [SMALL_STATE(8302)] = 416567,
  [SMALL_STATE(8303)] = 416621,
  [SMALL_STATE(8304)] = 416675,
  [SMALL_STATE(8305)] = 416729,
  [SMALL_STATE(8306)] = 416783,
  [SMALL_STATE(8307)] = 416837,
  [SMALL_STATE(8308)] = 416891,
  [SMALL_STATE(8309)] = 416945,
  [SMALL_STATE(8310)] = 416999,
  [SMALL_STATE(8311)] = 417053,
  [SMALL_STATE(8312)] = 417107,
  [SMALL_STATE(8313)] = 417161,
  [SMALL_STATE(8314)] = 417215,
  [SMALL_STATE(8315)] = 417269,
  [SMALL_STATE(8316)] = 417323,
  [SMALL_STATE(8317)] = 417377,
  [SMALL_STATE(8318)] = 417431,
  [SMALL_STATE(8319)] = 417485,
  [SMALL_STATE(8320)] = 417539,
  [SMALL_STATE(8321)] = 417593,
  [SMALL_STATE(8322)] = 417647,
  [SMALL_STATE(8323)] = 417701,
  [SMALL_STATE(8324)] = 417755,
  [SMALL_STATE(8325)] = 417809,
  [SMALL_STATE(8326)] = 417865,
  [SMALL_STATE(8327)] = 417919,
  [SMALL_STATE(8328)] = 417973,
  [SMALL_STATE(8329)] = 418027,
  [SMALL_STATE(8330)] = 418081,
  [SMALL_STATE(8331)] = 418135,
  [SMALL_STATE(8332)] = 418191,
  [SMALL_STATE(8333)] = 418245,
  [SMALL_STATE(8334)] = 418299,
  [SMALL_STATE(8335)] = 418353,
  [SMALL_STATE(8336)] = 418409,
  [SMALL_STATE(8337)] = 418463,
  [SMALL_STATE(8338)] = 418519,
  [SMALL_STATE(8339)] = 418573,
  [SMALL_STATE(8340)] = 418627,
  [SMALL_STATE(8341)] = 418681,
  [SMALL_STATE(8342)] = 418735,
  [SMALL_STATE(8343)] = 418789,
  [SMALL_STATE(8344)] = 418843,
  [SMALL_STATE(8345)] = 418897,
  [SMALL_STATE(8346)] = 418951,
  [SMALL_STATE(8347)] = 419005,
  [SMALL_STATE(8348)] = 419059,
  [SMALL_STATE(8349)] = 419113,
  [SMALL_STATE(8350)] = 419167,
  [SMALL_STATE(8351)] = 419221,
  [SMALL_STATE(8352)] = 419275,
  [SMALL_STATE(8353)] = 419329,
  [SMALL_STATE(8354)] = 419383,
  [SMALL_STATE(8355)] = 419437,
  [SMALL_STATE(8356)] = 419491,
  [SMALL_STATE(8357)] = 419545,
  [SMALL_STATE(8358)] = 419599,
  [SMALL_STATE(8359)] = 419653,
  [SMALL_STATE(8360)] = 419707,
  [SMALL_STATE(8361)] = 419761,
  [SMALL_STATE(8362)] = 419815,
  [SMALL_STATE(8363)] = 419869,
  [SMALL_STATE(8364)] = 419923,
  [SMALL_STATE(8365)] = 419977,
  [SMALL_STATE(8366)] = 420031,
  [SMALL_STATE(8367)] = 420085,
  [SMALL_STATE(8368)] = 420139,
  [SMALL_STATE(8369)] = 420193,
  [SMALL_STATE(8370)] = 420247,
  [SMALL_STATE(8371)] = 420301,
  [SMALL_STATE(8372)] = 420355,
  [SMALL_STATE(8373)] = 420409,
  [SMALL_STATE(8374)] = 420463,
  [SMALL_STATE(8375)] = 420517,
  [SMALL_STATE(8376)] = 420571,
  [SMALL_STATE(8377)] = 420625,
  [SMALL_STATE(8378)] = 420679,
  [SMALL_STATE(8379)] = 420735,
  [SMALL_STATE(8380)] = 420791,
  [SMALL_STATE(8381)] = 420845,
  [SMALL_STATE(8382)] = 420899,
  [SMALL_STATE(8383)] = 420953,
  [SMALL_STATE(8384)] = 421007,
  [SMALL_STATE(8385)] = 421061,
  [SMALL_STATE(8386)] = 421115,
  [SMALL_STATE(8387)] = 421169,
  [SMALL_STATE(8388)] = 421223,
  [SMALL_STATE(8389)] = 421277,
  [SMALL_STATE(8390)] = 421331,
  [SMALL_STATE(8391)] = 421387,
  [SMALL_STATE(8392)] = 421441,
  [SMALL_STATE(8393)] = 421495,
  [SMALL_STATE(8394)] = 421549,
  [SMALL_STATE(8395)] = 421603,
  [SMALL_STATE(8396)] = 421657,
  [SMALL_STATE(8397)] = 421713,
  [SMALL_STATE(8398)] = 421767,
  [SMALL_STATE(8399)] = 421827,
  [SMALL_STATE(8400)] = 421881,
  [SMALL_STATE(8401)] = 421935,
  [SMALL_STATE(8402)] = 421989,
  [SMALL_STATE(8403)] = 422043,
  [SMALL_STATE(8404)] = 422097,
  [SMALL_STATE(8405)] = 422151,
  [SMALL_STATE(8406)] = 422207,
  [SMALL_STATE(8407)] = 422261,
  [SMALL_STATE(8408)] = 422315,
  [SMALL_STATE(8409)] = 422375,
  [SMALL_STATE(8410)] = 422435,
  [SMALL_STATE(8411)] = 422495,
  [SMALL_STATE(8412)] = 422551,
  [SMALL_STATE(8413)] = 422605,
  [SMALL_STATE(8414)] = 422659,
  [SMALL_STATE(8415)] = 422713,
  [SMALL_STATE(8416)] = 422769,
  [SMALL_STATE(8417)] = 422823,
  [SMALL_STATE(8418)] = 422877,
  [SMALL_STATE(8419)] = 422931,
  [SMALL_STATE(8420)] = 422985,
  [SMALL_STATE(8421)] = 423039,
  [SMALL_STATE(8422)] = 423093,
  [SMALL_STATE(8423)] = 423147,
  [SMALL_STATE(8424)] = 423201,
  [SMALL_STATE(8425)] = 423255,
  [SMALL_STATE(8426)] = 423309,
  [SMALL_STATE(8427)] = 423363,
  [SMALL_STATE(8428)] = 423417,
  [SMALL_STATE(8429)] = 423471,
  [SMALL_STATE(8430)] = 423525,
  [SMALL_STATE(8431)] = 423579,
  [SMALL_STATE(8432)] = 423633,
  [SMALL_STATE(8433)] = 423689,
  [SMALL_STATE(8434)] = 423743,
  [SMALL_STATE(8435)] = 423797,
  [SMALL_STATE(8436)] = 423851,
  [SMALL_STATE(8437)] = 423905,
  [SMALL_STATE(8438)] = 423959,
  [SMALL_STATE(8439)] = 424013,
  [SMALL_STATE(8440)] = 424067,
  [SMALL_STATE(8441)] = 424121,
  [SMALL_STATE(8442)] = 424175,
  [SMALL_STATE(8443)] = 424229,
  [SMALL_STATE(8444)] = 424283,
  [SMALL_STATE(8445)] = 424337,
  [SMALL_STATE(8446)] = 424391,
  [SMALL_STATE(8447)] = 424445,
  [SMALL_STATE(8448)] = 424499,
  [SMALL_STATE(8449)] = 424553,
  [SMALL_STATE(8450)] = 424607,
  [SMALL_STATE(8451)] = 424661,
  [SMALL_STATE(8452)] = 424715,
  [SMALL_STATE(8453)] = 424769,
  [SMALL_STATE(8454)] = 424823,
  [SMALL_STATE(8455)] = 424877,
  [SMALL_STATE(8456)] = 424931,
  [SMALL_STATE(8457)] = 424985,
  [SMALL_STATE(8458)] = 425039,
  [SMALL_STATE(8459)] = 425093,
  [SMALL_STATE(8460)] = 425147,
  [SMALL_STATE(8461)] = 425201,
  [SMALL_STATE(8462)] = 425255,
  [SMALL_STATE(8463)] = 425309,
  [SMALL_STATE(8464)] = 425363,
  [SMALL_STATE(8465)] = 425417,
  [SMALL_STATE(8466)] = 425471,
  [SMALL_STATE(8467)] = 425525,
  [SMALL_STATE(8468)] = 425578,
  [SMALL_STATE(8469)] = 425631,
  [SMALL_STATE(8470)] = 425684,
  [SMALL_STATE(8471)] = 425737,
  [SMALL_STATE(8472)] = 425790,
  [SMALL_STATE(8473)] = 425843,
  [SMALL_STATE(8474)] = 425896,
  [SMALL_STATE(8475)] = 425949,
  [SMALL_STATE(8476)] = 426004,
  [SMALL_STATE(8477)] = 426057,
  [SMALL_STATE(8478)] = 426110,
  [SMALL_STATE(8479)] = 426163,
  [SMALL_STATE(8480)] = 426216,
  [SMALL_STATE(8481)] = 426269,
  [SMALL_STATE(8482)] = 426322,
  [SMALL_STATE(8483)] = 426375,
  [SMALL_STATE(8484)] = 426428,
  [SMALL_STATE(8485)] = 426481,
  [SMALL_STATE(8486)] = 426534,
  [SMALL_STATE(8487)] = 426587,
  [SMALL_STATE(8488)] = 426640,
  [SMALL_STATE(8489)] = 426693,
  [SMALL_STATE(8490)] = 426746,
  [SMALL_STATE(8491)] = 426799,
  [SMALL_STATE(8492)] = 426852,
  [SMALL_STATE(8493)] = 426905,
  [SMALL_STATE(8494)] = 426958,
  [SMALL_STATE(8495)] = 427011,
  [SMALL_STATE(8496)] = 427064,
  [SMALL_STATE(8497)] = 427117,
  [SMALL_STATE(8498)] = 427170,
  [SMALL_STATE(8499)] = 427223,
  [SMALL_STATE(8500)] = 427276,
  [SMALL_STATE(8501)] = 427329,
  [SMALL_STATE(8502)] = 427382,
  [SMALL_STATE(8503)] = 427441,
  [SMALL_STATE(8504)] = 427500,
  [SMALL_STATE(8505)] = 427553,
  [SMALL_STATE(8506)] = 427606,
  [SMALL_STATE(8507)] = 427659,
  [SMALL_STATE(8508)] = 427712,
  [SMALL_STATE(8509)] = 427765,
  [SMALL_STATE(8510)] = 427818,
  [SMALL_STATE(8511)] = 427871,
  [SMALL_STATE(8512)] = 427924,
  [SMALL_STATE(8513)] = 427977,
  [SMALL_STATE(8514)] = 428030,
  [SMALL_STATE(8515)] = 428083,
  [SMALL_STATE(8516)] = 428136,
  [SMALL_STATE(8517)] = 428189,
  [SMALL_STATE(8518)] = 428242,
  [SMALL_STATE(8519)] = 428295,
  [SMALL_STATE(8520)] = 428348,
  [SMALL_STATE(8521)] = 428407,
  [SMALL_STATE(8522)] = 428460,
  [SMALL_STATE(8523)] = 428513,
  [SMALL_STATE(8524)] = 428566,
  [SMALL_STATE(8525)] = 428625,
  [SMALL_STATE(8526)] = 428678,
  [SMALL_STATE(8527)] = 428731,
  [SMALL_STATE(8528)] = 428784,
  [SMALL_STATE(8529)] = 428837,
  [SMALL_STATE(8530)] = 428890,
  [SMALL_STATE(8531)] = 428943,
  [SMALL_STATE(8532)] = 428996,
  [SMALL_STATE(8533)] = 429049,
  [SMALL_STATE(8534)] = 429102,
  [SMALL_STATE(8535)] = 429155,
  [SMALL_STATE(8536)] = 429208,
  [SMALL_STATE(8537)] = 429261,
  [SMALL_STATE(8538)] = 429314,
  [SMALL_STATE(8539)] = 429367,
  [SMALL_STATE(8540)] = 429420,
  [SMALL_STATE(8541)] = 429475,
  [SMALL_STATE(8542)] = 429528,
  [SMALL_STATE(8543)] = 429581,
  [SMALL_STATE(8544)] = 429634,
  [SMALL_STATE(8545)] = 429687,
  [SMALL_STATE(8546)] = 429742,
  [SMALL_STATE(8547)] = 429795,
  [SMALL_STATE(8548)] = 429848,
  [SMALL_STATE(8549)] = 429901,
  [SMALL_STATE(8550)] = 429954,
  [SMALL_STATE(8551)] = 430007,
  [SMALL_STATE(8552)] = 430060,
  [SMALL_STATE(8553)] = 430113,
  [SMALL_STATE(8554)] = 430168,
  [SMALL_STATE(8555)] = 430221,
  [SMALL_STATE(8556)] = 430274,
  [SMALL_STATE(8557)] = 430327,
  [SMALL_STATE(8558)] = 430380,
  [SMALL_STATE(8559)] = 430433,
  [SMALL_STATE(8560)] = 430486,
  [SMALL_STATE(8561)] = 430539,
  [SMALL_STATE(8562)] = 430592,
  [SMALL_STATE(8563)] = 430645,
  [SMALL_STATE(8564)] = 430698,
  [SMALL_STATE(8565)] = 430751,
  [SMALL_STATE(8566)] = 430804,
  [SMALL_STATE(8567)] = 430863,
  [SMALL_STATE(8568)] = 430916,
  [SMALL_STATE(8569)] = 430969,
  [SMALL_STATE(8570)] = 431022,
  [SMALL_STATE(8571)] = 431075,
  [SMALL_STATE(8572)] = 431128,
  [SMALL_STATE(8573)] = 431187,
  [SMALL_STATE(8574)] = 431240,
  [SMALL_STATE(8575)] = 431293,
  [SMALL_STATE(8576)] = 431346,
  [SMALL_STATE(8577)] = 431399,
  [SMALL_STATE(8578)] = 431452,
  [SMALL_STATE(8579)] = 431505,
  [SMALL_STATE(8580)] = 431558,
  [SMALL_STATE(8581)] = 431611,
  [SMALL_STATE(8582)] = 431664,
  [SMALL_STATE(8583)] = 431717,
  [SMALL_STATE(8584)] = 431770,
  [SMALL_STATE(8585)] = 431823,
  [SMALL_STATE(8586)] = 431876,
  [SMALL_STATE(8587)] = 431929,
  [SMALL_STATE(8588)] = 431984,
  [SMALL_STATE(8589)] = 432037,
  [SMALL_STATE(8590)] = 432090,
  [SMALL_STATE(8591)] = 432143,
  [SMALL_STATE(8592)] = 432196,
  [SMALL_STATE(8593)] = 432249,
  [SMALL_STATE(8594)] = 432302,
  [SMALL_STATE(8595)] = 432355,
  [SMALL_STATE(8596)] = 432408,
  [SMALL_STATE(8597)] = 432461,
  [SMALL_STATE(8598)] = 432514,
  [SMALL_STATE(8599)] = 432567,
  [SMALL_STATE(8600)] = 432620,
  [SMALL_STATE(8601)] = 432673,
  [SMALL_STATE(8602)] = 432726,
  [SMALL_STATE(8603)] = 432779,
  [SMALL_STATE(8604)] = 432832,
  [SMALL_STATE(8605)] = 432885,
  [SMALL_STATE(8606)] = 432938,
  [SMALL_STATE(8607)] = 432991,
  [SMALL_STATE(8608)] = 433044,
  [SMALL_STATE(8609)] = 433099,
  [SMALL_STATE(8610)] = 433152,
  [SMALL_STATE(8611)] = 433205,
  [SMALL_STATE(8612)] = 433258,
  [SMALL_STATE(8613)] = 433311,
  [SMALL_STATE(8614)] = 433364,
  [SMALL_STATE(8615)] = 433417,
  [SMALL_STATE(8616)] = 433470,
  [SMALL_STATE(8617)] = 433523,
  [SMALL_STATE(8618)] = 433576,
  [SMALL_STATE(8619)] = 433629,
  [SMALL_STATE(8620)] = 433682,
  [SMALL_STATE(8621)] = 433735,
  [SMALL_STATE(8622)] = 433788,
  [SMALL_STATE(8623)] = 433841,
  [SMALL_STATE(8624)] = 433894,
  [SMALL_STATE(8625)] = 433947,
  [SMALL_STATE(8626)] = 434000,
  [SMALL_STATE(8627)] = 434053,
  [SMALL_STATE(8628)] = 434106,
  [SMALL_STATE(8629)] = 434159,
  [SMALL_STATE(8630)] = 434212,
  [SMALL_STATE(8631)] = 434265,
  [SMALL_STATE(8632)] = 434318,
  [SMALL_STATE(8633)] = 434371,
  [SMALL_STATE(8634)] = 434426,
  [SMALL_STATE(8635)] = 434479,
  [SMALL_STATE(8636)] = 434532,
  [SMALL_STATE(8637)] = 434585,
  [SMALL_STATE(8638)] = 434638,
  [SMALL_STATE(8639)] = 434691,
  [SMALL_STATE(8640)] = 434744,
  [SMALL_STATE(8641)] = 434797,
  [SMALL_STATE(8642)] = 434850,
  [SMALL_STATE(8643)] = 434903,
  [SMALL_STATE(8644)] = 434956,
  [SMALL_STATE(8645)] = 435009,
  [SMALL_STATE(8646)] = 435062,
  [SMALL_STATE(8647)] = 435115,
  [SMALL_STATE(8648)] = 435170,
  [SMALL_STATE(8649)] = 435223,
  [SMALL_STATE(8650)] = 435276,
  [SMALL_STATE(8651)] = 435331,
  [SMALL_STATE(8652)] = 435384,
  [SMALL_STATE(8653)] = 435437,
  [SMALL_STATE(8654)] = 435490,
  [SMALL_STATE(8655)] = 435543,
  [SMALL_STATE(8656)] = 435596,
  [SMALL_STATE(8657)] = 435651,
  [SMALL_STATE(8658)] = 435704,
  [SMALL_STATE(8659)] = 435757,
  [SMALL_STATE(8660)] = 435810,
  [SMALL_STATE(8661)] = 435863,
  [SMALL_STATE(8662)] = 435916,
  [SMALL_STATE(8663)] = 435969,
  [SMALL_STATE(8664)] = 436022,
  [SMALL_STATE(8665)] = 436075,
  [SMALL_STATE(8666)] = 436128,
  [SMALL_STATE(8667)] = 436181,
  [SMALL_STATE(8668)] = 436234,
  [SMALL_STATE(8669)] = 436287,
  [SMALL_STATE(8670)] = 436340,
  [SMALL_STATE(8671)] = 436393,
  [SMALL_STATE(8672)] = 436446,
  [SMALL_STATE(8673)] = 436499,
  [SMALL_STATE(8674)] = 436552,
  [SMALL_STATE(8675)] = 436605,
  [SMALL_STATE(8676)] = 436658,
  [SMALL_STATE(8677)] = 436711,
  [SMALL_STATE(8678)] = 436764,
  [SMALL_STATE(8679)] = 436819,
  [SMALL_STATE(8680)] = 436872,
  [SMALL_STATE(8681)] = 436925,
  [SMALL_STATE(8682)] = 436978,
  [SMALL_STATE(8683)] = 437031,
  [SMALL_STATE(8684)] = 437090,
  [SMALL_STATE(8685)] = 437143,
  [SMALL_STATE(8686)] = 437196,
  [SMALL_STATE(8687)] = 437249,
  [SMALL_STATE(8688)] = 437302,
  [SMALL_STATE(8689)] = 437355,
  [SMALL_STATE(8690)] = 437408,
  [SMALL_STATE(8691)] = 437461,
  [SMALL_STATE(8692)] = 437514,
  [SMALL_STATE(8693)] = 437573,
  [SMALL_STATE(8694)] = 437626,
  [SMALL_STATE(8695)] = 437679,
  [SMALL_STATE(8696)] = 437732,
  [SMALL_STATE(8697)] = 437785,
  [SMALL_STATE(8698)] = 437838,
  [SMALL_STATE(8699)] = 437893,
  [SMALL_STATE(8700)] = 437946,
  [SMALL_STATE(8701)] = 437999,
  [SMALL_STATE(8702)] = 438052,
  [SMALL_STATE(8703)] = 438105,
  [SMALL_STATE(8704)] = 438158,
  [SMALL_STATE(8705)] = 438211,
  [SMALL_STATE(8706)] = 438264,
  [SMALL_STATE(8707)] = 438317,
  [SMALL_STATE(8708)] = 438370,
  [SMALL_STATE(8709)] = 438423,
  [SMALL_STATE(8710)] = 438476,
  [SMALL_STATE(8711)] = 438529,
  [SMALL_STATE(8712)] = 438584,
  [SMALL_STATE(8713)] = 438637,
  [SMALL_STATE(8714)] = 438690,
  [SMALL_STATE(8715)] = 438790,
  [SMALL_STATE(8716)] = 438842,
  [SMALL_STATE(8717)] = 438894,
  [SMALL_STATE(8718)] = 438946,
  [SMALL_STATE(8719)] = 438998,
  [SMALL_STATE(8720)] = 439052,
  [SMALL_STATE(8721)] = 439104,
  [SMALL_STATE(8722)] = 439204,
  [SMALL_STATE(8723)] = 439304,
  [SMALL_STATE(8724)] = 439356,
  [SMALL_STATE(8725)] = 439408,
  [SMALL_STATE(8726)] = 439460,
  [SMALL_STATE(8727)] = 439512,
  [SMALL_STATE(8728)] = 439566,
  [SMALL_STATE(8729)] = 439618,
  [SMALL_STATE(8730)] = 439670,
  [SMALL_STATE(8731)] = 439770,
  [SMALL_STATE(8732)] = 439822,
  [SMALL_STATE(8733)] = 439922,
  [SMALL_STATE(8734)] = 439974,
  [SMALL_STATE(8735)] = 440026,
  [SMALL_STATE(8736)] = 440078,
  [SMALL_STATE(8737)] = 440130,
  [SMALL_STATE(8738)] = 440182,
  [SMALL_STATE(8739)] = 440234,
  [SMALL_STATE(8740)] = 440286,
  [SMALL_STATE(8741)] = 440338,
  [SMALL_STATE(8742)] = 440390,
  [SMALL_STATE(8743)] = 440442,
  [SMALL_STATE(8744)] = 440494,
  [SMALL_STATE(8745)] = 440546,
  [SMALL_STATE(8746)] = 440598,
  [SMALL_STATE(8747)] = 440650,
  [SMALL_STATE(8748)] = 440702,
  [SMALL_STATE(8749)] = 440754,
  [SMALL_STATE(8750)] = 440806,
  [SMALL_STATE(8751)] = 440858,
  [SMALL_STATE(8752)] = 440958,
  [SMALL_STATE(8753)] = 441010,
  [SMALL_STATE(8754)] = 441110,
  [SMALL_STATE(8755)] = 441162,
  [SMALL_STATE(8756)] = 441262,
  [SMALL_STATE(8757)] = 441314,
  [SMALL_STATE(8758)] = 441414,
  [SMALL_STATE(8759)] = 441466,
  [SMALL_STATE(8760)] = 441518,
  [SMALL_STATE(8761)] = 441572,
  [SMALL_STATE(8762)] = 441624,
  [SMALL_STATE(8763)] = 441676,
  [SMALL_STATE(8764)] = 441728,
  [SMALL_STATE(8765)] = 441780,
  [SMALL_STATE(8766)] = 441880,
  [SMALL_STATE(8767)] = 441932,
  [SMALL_STATE(8768)] = 441984,
  [SMALL_STATE(8769)] = 442036,
  [SMALL_STATE(8770)] = 442088,
  [SMALL_STATE(8771)] = 442140,
  [SMALL_STATE(8772)] = 442192,
  [SMALL_STATE(8773)] = 442244,
  [SMALL_STATE(8774)] = 442296,
  [SMALL_STATE(8775)] = 442348,
  [SMALL_STATE(8776)] = 442448,
  [SMALL_STATE(8777)] = 442500,
  [SMALL_STATE(8778)] = 442552,
  [SMALL_STATE(8779)] = 442604,
  [SMALL_STATE(8780)] = 442656,
  [SMALL_STATE(8781)] = 442756,
  [SMALL_STATE(8782)] = 442808,
  [SMALL_STATE(8783)] = 442860,
  [SMALL_STATE(8784)] = 442912,
  [SMALL_STATE(8785)] = 442964,
  [SMALL_STATE(8786)] = 443018,
  [SMALL_STATE(8787)] = 443070,
  [SMALL_STATE(8788)] = 443122,
  [SMALL_STATE(8789)] = 443174,
  [SMALL_STATE(8790)] = 443274,
  [SMALL_STATE(8791)] = 443332,
  [SMALL_STATE(8792)] = 443384,
  [SMALL_STATE(8793)] = 443436,
  [SMALL_STATE(8794)] = 443536,
  [SMALL_STATE(8795)] = 443594,
  [SMALL_STATE(8796)] = 443646,
  [SMALL_STATE(8797)] = 443700,
  [SMALL_STATE(8798)] = 443752,
  [SMALL_STATE(8799)] = 443804,
  [SMALL_STATE(8800)] = 443856,
  [SMALL_STATE(8801)] = 443908,
  [SMALL_STATE(8802)] = 443960,
  [SMALL_STATE(8803)] = 444012,
  [SMALL_STATE(8804)] = 444064,
  [SMALL_STATE(8805)] = 444164,
  [SMALL_STATE(8806)] = 444264,
  [SMALL_STATE(8807)] = 444322,
  [SMALL_STATE(8808)] = 444374,
  [SMALL_STATE(8809)] = 444426,
  [SMALL_STATE(8810)] = 444480,
  [SMALL_STATE(8811)] = 444532,
  [SMALL_STATE(8812)] = 444584,
  [SMALL_STATE(8813)] = 444638,
  [SMALL_STATE(8814)] = 444690,
  [SMALL_STATE(8815)] = 444790,
  [SMALL_STATE(8816)] = 444842,
  [SMALL_STATE(8817)] = 444894,
  [SMALL_STATE(8818)] = 444946,
  [SMALL_STATE(8819)] = 445046,
  [SMALL_STATE(8820)] = 445098,
  [SMALL_STATE(8821)] = 445150,
  [SMALL_STATE(8822)] = 445202,
  [SMALL_STATE(8823)] = 445254,
  [SMALL_STATE(8824)] = 445354,
  [SMALL_STATE(8825)] = 445454,
  [SMALL_STATE(8826)] = 445506,
  [SMALL_STATE(8827)] = 445606,
  [SMALL_STATE(8828)] = 445706,
  [SMALL_STATE(8829)] = 445758,
  [SMALL_STATE(8830)] = 445810,
  [SMALL_STATE(8831)] = 445910,
  [SMALL_STATE(8832)] = 445962,
  [SMALL_STATE(8833)] = 446062,
  [SMALL_STATE(8834)] = 446162,
  [SMALL_STATE(8835)] = 446220,
  [SMALL_STATE(8836)] = 446300,
  [SMALL_STATE(8837)] = 446352,
  [SMALL_STATE(8838)] = 446404,
  [SMALL_STATE(8839)] = 446456,
  [SMALL_STATE(8840)] = 446508,
  [SMALL_STATE(8841)] = 446560,
  [SMALL_STATE(8842)] = 446612,
  [SMALL_STATE(8843)] = 446664,
  [SMALL_STATE(8844)] = 446716,
  [SMALL_STATE(8845)] = 446816,
  [SMALL_STATE(8846)] = 446868,
  [SMALL_STATE(8847)] = 446920,
  [SMALL_STATE(8848)] = 446972,
  [SMALL_STATE(8849)] = 447024,
  [SMALL_STATE(8850)] = 447075,
  [SMALL_STATE(8851)] = 447126,
  [SMALL_STATE(8852)] = 447223,
  [SMALL_STATE(8853)] = 447320,
  [SMALL_STATE(8854)] = 447371,
  [SMALL_STATE(8855)] = 447422,
  [SMALL_STATE(8856)] = 447473,
  [SMALL_STATE(8857)] = 447524,
  [SMALL_STATE(8858)] = 447575,
  [SMALL_STATE(8859)] = 447626,
  [SMALL_STATE(8860)] = 447705,
  [SMALL_STATE(8861)] = 447756,
  [SMALL_STATE(8862)] = 447853,
  [SMALL_STATE(8863)] = 447950,
  [SMALL_STATE(8864)] = 448047,
  [SMALL_STATE(8865)] = 448144,
  [SMALL_STATE(8866)] = 448195,
  [SMALL_STATE(8867)] = 448246,
  [SMALL_STATE(8868)] = 448297,
  [SMALL_STATE(8869)] = 448394,
  [SMALL_STATE(8870)] = 448491,
  [SMALL_STATE(8871)] = 448588,
  [SMALL_STATE(8872)] = 448639,
  [SMALL_STATE(8873)] = 448690,
  [SMALL_STATE(8874)] = 448741,
  [SMALL_STATE(8875)] = 448792,
  [SMALL_STATE(8876)] = 448843,
  [SMALL_STATE(8877)] = 448894,
  [SMALL_STATE(8878)] = 448945,
  [SMALL_STATE(8879)] = 449042,
  [SMALL_STATE(8880)] = 449139,
  [SMALL_STATE(8881)] = 449190,
  [SMALL_STATE(8882)] = 449241,
  [SMALL_STATE(8883)] = 449292,
  [SMALL_STATE(8884)] = 449343,
  [SMALL_STATE(8885)] = 449394,
  [SMALL_STATE(8886)] = 449445,
  [SMALL_STATE(8887)] = 449538,
  [SMALL_STATE(8888)] = 449635,
  [SMALL_STATE(8889)] = 449732,
  [SMALL_STATE(8890)] = 449783,
  [SMALL_STATE(8891)] = 449880,
  [SMALL_STATE(8892)] = 449931,
  [SMALL_STATE(8893)] = 450028,
  [SMALL_STATE(8894)] = 450125,
  [SMALL_STATE(8895)] = 450176,
  [SMALL_STATE(8896)] = 450227,
  [SMALL_STATE(8897)] = 450278,
  [SMALL_STATE(8898)] = 450375,
  [SMALL_STATE(8899)] = 450468,
  [SMALL_STATE(8900)] = 450565,
  [SMALL_STATE(8901)] = 450662,
  [SMALL_STATE(8902)] = 450713,
  [SMALL_STATE(8903)] = 450806,
  [SMALL_STATE(8904)] = 450863,
  [SMALL_STATE(8905)] = 450914,
  [SMALL_STATE(8906)] = 450965,
  [SMALL_STATE(8907)] = 451016,
  [SMALL_STATE(8908)] = 451113,
  [SMALL_STATE(8909)] = 451210,
  [SMALL_STATE(8910)] = 451261,
  [SMALL_STATE(8911)] = 451312,
  [SMALL_STATE(8912)] = 451363,
  [SMALL_STATE(8913)] = 451414,
  [SMALL_STATE(8914)] = 451511,
  [SMALL_STATE(8915)] = 451608,
  [SMALL_STATE(8916)] = 451659,
  [SMALL_STATE(8917)] = 451756,
  [SMALL_STATE(8918)] = 451807,
  [SMALL_STATE(8919)] = 451858,
  [SMALL_STATE(8920)] = 451909,
  [SMALL_STATE(8921)] = 451960,
  [SMALL_STATE(8922)] = 452011,
  [SMALL_STATE(8923)] = 452108,
  [SMALL_STATE(8924)] = 452205,
  [SMALL_STATE(8925)] = 452256,
  [SMALL_STATE(8926)] = 452307,
  [SMALL_STATE(8927)] = 452358,
  [SMALL_STATE(8928)] = 452409,
  [SMALL_STATE(8929)] = 452460,
  [SMALL_STATE(8930)] = 452553,
  [SMALL_STATE(8931)] = 452650,
  [SMALL_STATE(8932)] = 452747,
  [SMALL_STATE(8933)] = 452798,
  [SMALL_STATE(8934)] = 452895,
  [SMALL_STATE(8935)] = 452992,
  [SMALL_STATE(8936)] = 453043,
  [SMALL_STATE(8937)] = 453140,
  [SMALL_STATE(8938)] = 453191,
  [SMALL_STATE(8939)] = 453284,
  [SMALL_STATE(8940)] = 453381,
  [SMALL_STATE(8941)] = 453478,
  [SMALL_STATE(8942)] = 453529,
  [SMALL_STATE(8943)] = 453626,
  [SMALL_STATE(8944)] = 453723,
  [SMALL_STATE(8945)] = 453820,
  [SMALL_STATE(8946)] = 453871,
  [SMALL_STATE(8947)] = 453922,
  [SMALL_STATE(8948)] = 454019,
  [SMALL_STATE(8949)] = 454070,
  [SMALL_STATE(8950)] = 454167,
  [SMALL_STATE(8951)] = 454264,
  [SMALL_STATE(8952)] = 454315,
  [SMALL_STATE(8953)] = 454366,
  [SMALL_STATE(8954)] = 454417,
  [SMALL_STATE(8955)] = 454514,
  [SMALL_STATE(8956)] = 454611,
  [SMALL_STATE(8957)] = 454662,
  [SMALL_STATE(8958)] = 454713,
  [SMALL_STATE(8959)] = 454764,
  [SMALL_STATE(8960)] = 454815,
  [SMALL_STATE(8961)] = 454866,
  [SMALL_STATE(8962)] = 454917,
  [SMALL_STATE(8963)] = 454968,
  [SMALL_STATE(8964)] = 455019,
  [SMALL_STATE(8965)] = 455070,
  [SMALL_STATE(8966)] = 455169,
  [SMALL_STATE(8967)] = 455220,
  [SMALL_STATE(8968)] = 455271,
  [SMALL_STATE(8969)] = 455322,
  [SMALL_STATE(8970)] = 455373,
  [SMALL_STATE(8971)] = 455424,
  [SMALL_STATE(8972)] = 455517,
  [SMALL_STATE(8973)] = 455568,
  [SMALL_STATE(8974)] = 455667,
  [SMALL_STATE(8975)] = 455718,
  [SMALL_STATE(8976)] = 455769,
  [SMALL_STATE(8977)] = 455820,
  [SMALL_STATE(8978)] = 455871,
  [SMALL_STATE(8979)] = 455922,
  [SMALL_STATE(8980)] = 455973,
  [SMALL_STATE(8981)] = 456024,
  [SMALL_STATE(8982)] = 456075,
  [SMALL_STATE(8983)] = 456126,
  [SMALL_STATE(8984)] = 456177,
  [SMALL_STATE(8985)] = 456228,
  [SMALL_STATE(8986)] = 456279,
  [SMALL_STATE(8987)] = 456330,
  [SMALL_STATE(8988)] = 456381,
  [SMALL_STATE(8989)] = 456432,
  [SMALL_STATE(8990)] = 456529,
  [SMALL_STATE(8991)] = 456622,
  [SMALL_STATE(8992)] = 456719,
  [SMALL_STATE(8993)] = 456770,
  [SMALL_STATE(8994)] = 456821,
  [SMALL_STATE(8995)] = 456872,
  [SMALL_STATE(8996)] = 456925,
  [SMALL_STATE(8997)] = 456976,
  [SMALL_STATE(8998)] = 457027,
  [SMALL_STATE(8999)] = 457078,
  [SMALL_STATE(9000)] = 457129,
  [SMALL_STATE(9001)] = 457180,
  [SMALL_STATE(9002)] = 457231,
  [SMALL_STATE(9003)] = 457282,
  [SMALL_STATE(9004)] = 457333,
  [SMALL_STATE(9005)] = 457384,
  [SMALL_STATE(9006)] = 457435,
  [SMALL_STATE(9007)] = 457486,
  [SMALL_STATE(9008)] = 457537,
  [SMALL_STATE(9009)] = 457588,
  [SMALL_STATE(9010)] = 457639,
  [SMALL_STATE(9011)] = 457690,
  [SMALL_STATE(9012)] = 457741,
  [SMALL_STATE(9013)] = 457792,
  [SMALL_STATE(9014)] = 457889,
  [SMALL_STATE(9015)] = 457940,
  [SMALL_STATE(9016)] = 457991,
  [SMALL_STATE(9017)] = 458084,
  [SMALL_STATE(9018)] = 458135,
  [SMALL_STATE(9019)] = 458186,
  [SMALL_STATE(9020)] = 458237,
  [SMALL_STATE(9021)] = 458288,
  [SMALL_STATE(9022)] = 458339,
  [SMALL_STATE(9023)] = 458390,
  [SMALL_STATE(9024)] = 458441,
  [SMALL_STATE(9025)] = 458492,
  [SMALL_STATE(9026)] = 458543,
  [SMALL_STATE(9027)] = 458594,
  [SMALL_STATE(9028)] = 458645,
  [SMALL_STATE(9029)] = 458744,
  [SMALL_STATE(9030)] = 458795,
  [SMALL_STATE(9031)] = 458846,
  [SMALL_STATE(9032)] = 458901,
  [SMALL_STATE(9033)] = 458998,
  [SMALL_STATE(9034)] = 459049,
  [SMALL_STATE(9035)] = 459100,
  [SMALL_STATE(9036)] = 459151,
  [SMALL_STATE(9037)] = 459202,
  [SMALL_STATE(9038)] = 459253,
  [SMALL_STATE(9039)] = 459352,
  [SMALL_STATE(9040)] = 459403,
  [SMALL_STATE(9041)] = 459454,
  [SMALL_STATE(9042)] = 459509,
  [SMALL_STATE(9043)] = 459602,
  [SMALL_STATE(9044)] = 459653,
  [SMALL_STATE(9045)] = 459704,
  [SMALL_STATE(9046)] = 459755,
  [SMALL_STATE(9047)] = 459806,
  [SMALL_STATE(9048)] = 459903,
  [SMALL_STATE(9049)] = 459996,
  [SMALL_STATE(9050)] = 460093,
  [SMALL_STATE(9051)] = 460144,
  [SMALL_STATE(9052)] = 460195,
  [SMALL_STATE(9053)] = 460246,
  [SMALL_STATE(9054)] = 460297,
  [SMALL_STATE(9055)] = 460348,
  [SMALL_STATE(9056)] = 460399,
  [SMALL_STATE(9057)] = 460450,
  [SMALL_STATE(9058)] = 460543,
  [SMALL_STATE(9059)] = 460594,
  [SMALL_STATE(9060)] = 460691,
  [SMALL_STATE(9061)] = 460784,
  [SMALL_STATE(9062)] = 460835,
  [SMALL_STATE(9063)] = 460886,
  [SMALL_STATE(9064)] = 460937,
  [SMALL_STATE(9065)] = 461030,
  [SMALL_STATE(9066)] = 461081,
  [SMALL_STATE(9067)] = 461178,
  [SMALL_STATE(9068)] = 461271,
  [SMALL_STATE(9069)] = 461322,
  [SMALL_STATE(9070)] = 461373,
  [SMALL_STATE(9071)] = 461424,
  [SMALL_STATE(9072)] = 461475,
  [SMALL_STATE(9073)] = 461526,
  [SMALL_STATE(9074)] = 461623,
  [SMALL_STATE(9075)] = 461674,
  [SMALL_STATE(9076)] = 461725,
  [SMALL_STATE(9077)] = 461776,
  [SMALL_STATE(9078)] = 461827,
  [SMALL_STATE(9079)] = 461924,
  [SMALL_STATE(9080)] = 462021,
  [SMALL_STATE(9081)] = 462074,
  [SMALL_STATE(9082)] = 462125,
  [SMALL_STATE(9083)] = 462222,
  [SMALL_STATE(9084)] = 462315,
  [SMALL_STATE(9085)] = 462366,
  [SMALL_STATE(9086)] = 462417,
  [SMALL_STATE(9087)] = 462468,
  [SMALL_STATE(9088)] = 462519,
  [SMALL_STATE(9089)] = 462616,
  [SMALL_STATE(9090)] = 462713,
  [SMALL_STATE(9091)] = 462764,
  [SMALL_STATE(9092)] = 462861,
  [SMALL_STATE(9093)] = 462912,
  [SMALL_STATE(9094)] = 462963,
  [SMALL_STATE(9095)] = 463062,
  [SMALL_STATE(9096)] = 463113,
  [SMALL_STATE(9097)] = 463164,
  [SMALL_STATE(9098)] = 463261,
  [SMALL_STATE(9099)] = 463312,
  [SMALL_STATE(9100)] = 463363,
  [SMALL_STATE(9101)] = 463414,
  [SMALL_STATE(9102)] = 463465,
  [SMALL_STATE(9103)] = 463516,
  [SMALL_STATE(9104)] = 463567,
  [SMALL_STATE(9105)] = 463620,
  [SMALL_STATE(9106)] = 463671,
  [SMALL_STATE(9107)] = 463722,
  [SMALL_STATE(9108)] = 463773,
  [SMALL_STATE(9109)] = 463824,
  [SMALL_STATE(9110)] = 463875,
  [SMALL_STATE(9111)] = 463972,
  [SMALL_STATE(9112)] = 464023,
  [SMALL_STATE(9113)] = 464120,
  [SMALL_STATE(9114)] = 464171,
  [SMALL_STATE(9115)] = 464222,
  [SMALL_STATE(9116)] = 464319,
  [SMALL_STATE(9117)] = 464412,
  [SMALL_STATE(9118)] = 464463,
  [SMALL_STATE(9119)] = 464514,
  [SMALL_STATE(9120)] = 464565,
  [SMALL_STATE(9121)] = 464616,
  [SMALL_STATE(9122)] = 464667,
  [SMALL_STATE(9123)] = 464718,
  [SMALL_STATE(9124)] = 464769,
  [SMALL_STATE(9125)] = 464820,
  [SMALL_STATE(9126)] = 464871,
  [SMALL_STATE(9127)] = 464922,
  [SMALL_STATE(9128)] = 464973,
  [SMALL_STATE(9129)] = 465024,
  [SMALL_STATE(9130)] = 465075,
  [SMALL_STATE(9131)] = 465126,
  [SMALL_STATE(9132)] = 465177,
  [SMALL_STATE(9133)] = 465228,
  [SMALL_STATE(9134)] = 465279,
  [SMALL_STATE(9135)] = 465376,
  [SMALL_STATE(9136)] = 465427,
  [SMALL_STATE(9137)] = 465478,
  [SMALL_STATE(9138)] = 465529,
  [SMALL_STATE(9139)] = 465626,
  [SMALL_STATE(9140)] = 465677,
  [SMALL_STATE(9141)] = 465728,
  [SMALL_STATE(9142)] = 465779,
  [SMALL_STATE(9143)] = 465830,
  [SMALL_STATE(9144)] = 465881,
  [SMALL_STATE(9145)] = 465932,
  [SMALL_STATE(9146)] = 465983,
  [SMALL_STATE(9147)] = 466034,
  [SMALL_STATE(9148)] = 466085,
  [SMALL_STATE(9149)] = 466136,
  [SMALL_STATE(9150)] = 466187,
  [SMALL_STATE(9151)] = 466238,
  [SMALL_STATE(9152)] = 466289,
  [SMALL_STATE(9153)] = 466388,
  [SMALL_STATE(9154)] = 466439,
  [SMALL_STATE(9155)] = 466490,
  [SMALL_STATE(9156)] = 466541,
  [SMALL_STATE(9157)] = 466592,
  [SMALL_STATE(9158)] = 466643,
  [SMALL_STATE(9159)] = 466694,
  [SMALL_STATE(9160)] = 466791,
  [SMALL_STATE(9161)] = 466842,
  [SMALL_STATE(9162)] = 466893,
  [SMALL_STATE(9163)] = 466944,
  [SMALL_STATE(9164)] = 466995,
  [SMALL_STATE(9165)] = 467046,
  [SMALL_STATE(9166)] = 467097,
  [SMALL_STATE(9167)] = 467148,
  [SMALL_STATE(9168)] = 467199,
  [SMALL_STATE(9169)] = 467250,
  [SMALL_STATE(9170)] = 467301,
  [SMALL_STATE(9171)] = 467398,
  [SMALL_STATE(9172)] = 467449,
  [SMALL_STATE(9173)] = 467500,
  [SMALL_STATE(9174)] = 467551,
  [SMALL_STATE(9175)] = 467602,
  [SMALL_STATE(9176)] = 467655,
  [SMALL_STATE(9177)] = 467748,
  [SMALL_STATE(9178)] = 467799,
  [SMALL_STATE(9179)] = 467850,
  [SMALL_STATE(9180)] = 467901,
  [SMALL_STATE(9181)] = 467952,
  [SMALL_STATE(9182)] = 468003,
  [SMALL_STATE(9183)] = 468100,
  [SMALL_STATE(9184)] = 468151,
  [SMALL_STATE(9185)] = 468244,
  [SMALL_STATE(9186)] = 468341,
  [SMALL_STATE(9187)] = 468392,
  [SMALL_STATE(9188)] = 468443,
  [SMALL_STATE(9189)] = 468536,
  [SMALL_STATE(9190)] = 468587,
  [SMALL_STATE(9191)] = 468638,
  [SMALL_STATE(9192)] = 468695,
  [SMALL_STATE(9193)] = 468746,
  [SMALL_STATE(9194)] = 468843,
  [SMALL_STATE(9195)] = 468936,
  [SMALL_STATE(9196)] = 469033,
  [SMALL_STATE(9197)] = 469084,
  [SMALL_STATE(9198)] = 469135,
  [SMALL_STATE(9199)] = 469186,
  [SMALL_STATE(9200)] = 469240,
  [SMALL_STATE(9201)] = 469334,
  [SMALL_STATE(9202)] = 469428,
  [SMALL_STATE(9203)] = 469522,
  [SMALL_STATE(9204)] = 469572,
  [SMALL_STATE(9205)] = 469626,
  [SMALL_STATE(9206)] = 469700,
  [SMALL_STATE(9207)] = 469750,
  [SMALL_STATE(9208)] = 469844,
  [SMALL_STATE(9209)] = 469938,
  [SMALL_STATE(9210)] = 470032,
  [SMALL_STATE(9211)] = 470104,
  [SMALL_STATE(9212)] = 470156,
  [SMALL_STATE(9213)] = 470210,
  [SMALL_STATE(9214)] = 470260,
  [SMALL_STATE(9215)] = 470354,
  [SMALL_STATE(9216)] = 470448,
  [SMALL_STATE(9217)] = 470542,
  [SMALL_STATE(9218)] = 470614,
  [SMALL_STATE(9219)] = 470666,
  [SMALL_STATE(9220)] = 470720,
  [SMALL_STATE(9221)] = 470770,
  [SMALL_STATE(9222)] = 470820,
  [SMALL_STATE(9223)] = 470914,
  [SMALL_STATE(9224)] = 471008,
  [SMALL_STATE(9225)] = 471062,
  [SMALL_STATE(9226)] = 471156,
  [SMALL_STATE(9227)] = 471224,
  [SMALL_STATE(9228)] = 471284,
  [SMALL_STATE(9229)] = 471338,
  [SMALL_STATE(9230)] = 471392,
  [SMALL_STATE(9231)] = 471454,
  [SMALL_STATE(9232)] = 471516,
  [SMALL_STATE(9233)] = 471582,
  [SMALL_STATE(9234)] = 471650,
  [SMALL_STATE(9235)] = 471722,
  [SMALL_STATE(9236)] = 471778,
  [SMALL_STATE(9237)] = 471850,
  [SMALL_STATE(9238)] = 471904,
  [SMALL_STATE(9239)] = 471976,
  [SMALL_STATE(9240)] = 472026,
  [SMALL_STATE(9241)] = 472100,
  [SMALL_STATE(9242)] = 472194,
  [SMALL_STATE(9243)] = 472288,
  [SMALL_STATE(9244)] = 472382,
  [SMALL_STATE(9245)] = 472476,
  [SMALL_STATE(9246)] = 472570,
  [SMALL_STATE(9247)] = 472664,
  [SMALL_STATE(9248)] = 472758,
  [SMALL_STATE(9249)] = 472852,
  [SMALL_STATE(9250)] = 472902,
  [SMALL_STATE(9251)] = 472996,
  [SMALL_STATE(9252)] = 473064,
  [SMALL_STATE(9253)] = 473124,
  [SMALL_STATE(9254)] = 473178,
  [SMALL_STATE(9255)] = 473232,
  [SMALL_STATE(9256)] = 473294,
  [SMALL_STATE(9257)] = 473356,
  [SMALL_STATE(9258)] = 473422,
  [SMALL_STATE(9259)] = 473490,
  [SMALL_STATE(9260)] = 473562,
  [SMALL_STATE(9261)] = 473618,
  [SMALL_STATE(9262)] = 473690,
  [SMALL_STATE(9263)] = 473744,
  [SMALL_STATE(9264)] = 473816,
  [SMALL_STATE(9265)] = 473910,
  [SMALL_STATE(9266)] = 474004,
  [SMALL_STATE(9267)] = 474098,
  [SMALL_STATE(9268)] = 474166,
  [SMALL_STATE(9269)] = 474226,
  [SMALL_STATE(9270)] = 474280,
  [SMALL_STATE(9271)] = 474334,
  [SMALL_STATE(9272)] = 474396,
  [SMALL_STATE(9273)] = 474458,
  [SMALL_STATE(9274)] = 474524,
  [SMALL_STATE(9275)] = 474592,
  [SMALL_STATE(9276)] = 474664,
  [SMALL_STATE(9277)] = 474720,
  [SMALL_STATE(9278)] = 474792,
  [SMALL_STATE(9279)] = 474846,
  [SMALL_STATE(9280)] = 474918,
  [SMALL_STATE(9281)] = 474972,
  [SMALL_STATE(9282)] = 475026,
  [SMALL_STATE(9283)] = 475078,
  [SMALL_STATE(9284)] = 475132,
  [SMALL_STATE(9285)] = 475186,
  [SMALL_STATE(9286)] = 475280,
  [SMALL_STATE(9287)] = 475374,
  [SMALL_STATE(9288)] = 475468,
  [SMALL_STATE(9289)] = 475520,
  [SMALL_STATE(9290)] = 475570,
  [SMALL_STATE(9291)] = 475664,
  [SMALL_STATE(9292)] = 475758,
  [SMALL_STATE(9293)] = 475852,
  [SMALL_STATE(9294)] = 475902,
  [SMALL_STATE(9295)] = 475952,
  [SMALL_STATE(9296)] = 476046,
  [SMALL_STATE(9297)] = 476140,
  [SMALL_STATE(9298)] = 476234,
  [SMALL_STATE(9299)] = 476288,
  [SMALL_STATE(9300)] = 476342,
  [SMALL_STATE(9301)] = 476394,
  [SMALL_STATE(9302)] = 476448,
  [SMALL_STATE(9303)] = 476498,
  [SMALL_STATE(9304)] = 476552,
  [SMALL_STATE(9305)] = 476646,
  [SMALL_STATE(9306)] = 476740,
  [SMALL_STATE(9307)] = 476834,
  [SMALL_STATE(9308)] = 476888,
  [SMALL_STATE(9309)] = 476942,
  [SMALL_STATE(9310)] = 476994,
  [SMALL_STATE(9311)] = 477044,
  [SMALL_STATE(9312)] = 477098,
  [SMALL_STATE(9313)] = 477148,
  [SMALL_STATE(9314)] = 477202,
  [SMALL_STATE(9315)] = 477296,
  [SMALL_STATE(9316)] = 477390,
  [SMALL_STATE(9317)] = 477484,
  [SMALL_STATE(9318)] = 477578,
  [SMALL_STATE(9319)] = 477672,
  [SMALL_STATE(9320)] = 477766,
  [SMALL_STATE(9321)] = 477860,
  [SMALL_STATE(9322)] = 477954,
  [SMALL_STATE(9323)] = 478048,
  [SMALL_STATE(9324)] = 478142,
  [SMALL_STATE(9325)] = 478236,
  [SMALL_STATE(9326)] = 478330,
  [SMALL_STATE(9327)] = 478424,
  [SMALL_STATE(9328)] = 478518,
  [SMALL_STATE(9329)] = 478612,
  [SMALL_STATE(9330)] = 478662,
  [SMALL_STATE(9331)] = 478712,
  [SMALL_STATE(9332)] = 478806,
  [SMALL_STATE(9333)] = 478900,
  [SMALL_STATE(9334)] = 478994,
  [SMALL_STATE(9335)] = 479068,
  [SMALL_STATE(9336)] = 479162,
  [SMALL_STATE(9337)] = 479256,
  [SMALL_STATE(9338)] = 479306,
  [SMALL_STATE(9339)] = 479400,
  [SMALL_STATE(9340)] = 479450,
  [SMALL_STATE(9341)] = 479500,
  [SMALL_STATE(9342)] = 479550,
  [SMALL_STATE(9343)] = 479604,
  [SMALL_STATE(9344)] = 479654,
  [SMALL_STATE(9345)] = 479706,
  [SMALL_STATE(9346)] = 479756,
  [SMALL_STATE(9347)] = 479850,
  [SMALL_STATE(9348)] = 479944,
  [SMALL_STATE(9349)] = 479996,
  [SMALL_STATE(9350)] = 480046,
  [SMALL_STATE(9351)] = 480096,
  [SMALL_STATE(9352)] = 480190,
  [SMALL_STATE(9353)] = 480240,
  [SMALL_STATE(9354)] = 480334,
  [SMALL_STATE(9355)] = 480428,
  [SMALL_STATE(9356)] = 480478,
  [SMALL_STATE(9357)] = 480528,
  [SMALL_STATE(9358)] = 480578,
  [SMALL_STATE(9359)] = 480628,
  [SMALL_STATE(9360)] = 480678,
  [SMALL_STATE(9361)] = 480728,
  [SMALL_STATE(9362)] = 480778,
  [SMALL_STATE(9363)] = 480828,
  [SMALL_STATE(9364)] = 480882,
  [SMALL_STATE(9365)] = 480932,
  [SMALL_STATE(9366)] = 480982,
  [SMALL_STATE(9367)] = 481032,
  [SMALL_STATE(9368)] = 481082,
  [SMALL_STATE(9369)] = 481134,
  [SMALL_STATE(9370)] = 481188,
  [SMALL_STATE(9371)] = 481242,
  [SMALL_STATE(9372)] = 481336,
  [SMALL_STATE(9373)] = 481430,
  [SMALL_STATE(9374)] = 481524,
  [SMALL_STATE(9375)] = 481618,
  [SMALL_STATE(9376)] = 481690,
  [SMALL_STATE(9377)] = 481784,
  [SMALL_STATE(9378)] = 481837,
  [SMALL_STATE(9379)] = 481890,
  [SMALL_STATE(9380)] = 481961,
  [SMALL_STATE(9381)] = 482012,
  [SMALL_STATE(9382)] = 482079,
  [SMALL_STATE(9383)] = 482138,
  [SMALL_STATE(9384)] = 482191,
  [SMALL_STATE(9385)] = 482244,
  [SMALL_STATE(9386)] = 482305,
  [SMALL_STATE(9387)] = 482366,
  [SMALL_STATE(9388)] = 482431,
  [SMALL_STATE(9389)] = 482498,
  [SMALL_STATE(9390)] = 482553,
  [SMALL_STATE(9391)] = 482608,
  [SMALL_STATE(9392)] = 482679,
  [SMALL_STATE(9393)] = 482732,
  [SMALL_STATE(9394)] = 482803,
  [SMALL_STATE(9395)] = 482856,
  [SMALL_STATE(9396)] = 482929,
  [SMALL_STATE(9397)] = 482994,
  [SMALL_STATE(9398)] = 483061,
  [SMALL_STATE(9399)] = 483132,
  [SMALL_STATE(9400)] = 483199,
  [SMALL_STATE(9401)] = 483258,
  [SMALL_STATE(9402)] = 483311,
  [SMALL_STATE(9403)] = 483364,
  [SMALL_STATE(9404)] = 483425,
  [SMALL_STATE(9405)] = 483486,
  [SMALL_STATE(9406)] = 483551,
  [SMALL_STATE(9407)] = 483618,
  [SMALL_STATE(9408)] = 483689,
  [SMALL_STATE(9409)] = 483744,
  [SMALL_STATE(9410)] = 483815,
  [SMALL_STATE(9411)] = 483868,
  [SMALL_STATE(9412)] = 483939,
  [SMALL_STATE(9413)] = 483992,
  [SMALL_STATE(9414)] = 484045,
  [SMALL_STATE(9415)] = 484096,
  [SMALL_STATE(9416)] = 484149,
  [SMALL_STATE(9417)] = 484202,
  [SMALL_STATE(9418)] = 484251,
  [SMALL_STATE(9419)] = 484304,
  [SMALL_STATE(9420)] = 484353,
  [SMALL_STATE(9421)] = 484406,
  [SMALL_STATE(9422)] = 484477,
  [SMALL_STATE(9423)] = 484530,
  [SMALL_STATE(9424)] = 484581,
  [SMALL_STATE(9425)] = 484632,
  [SMALL_STATE(9426)] = 484685,
  [SMALL_STATE(9427)] = 484736,
  [SMALL_STATE(9428)] = 484789,
  [SMALL_STATE(9429)] = 484842,
  [SMALL_STATE(9430)] = 484895,
  [SMALL_STATE(9431)] = 484948,
  [SMALL_STATE(9432)] = 484999,
  [SMALL_STATE(9433)] = 485052,
  [SMALL_STATE(9434)] = 485105,
  [SMALL_STATE(9435)] = 485172,
  [SMALL_STATE(9436)] = 485225,
  [SMALL_STATE(9437)] = 485278,
  [SMALL_STATE(9438)] = 485329,
  [SMALL_STATE(9439)] = 485382,
  [SMALL_STATE(9440)] = 485435,
  [SMALL_STATE(9441)] = 485494,
  [SMALL_STATE(9442)] = 485547,
  [SMALL_STATE(9443)] = 485600,
  [SMALL_STATE(9444)] = 485673,
  [SMALL_STATE(9445)] = 485726,
  [SMALL_STATE(9446)] = 485787,
  [SMALL_STATE(9447)] = 485848,
  [SMALL_STATE(9448)] = 485913,
  [SMALL_STATE(9449)] = 485980,
  [SMALL_STATE(9450)] = 486051,
  [SMALL_STATE(9451)] = 486106,
  [SMALL_STATE(9452)] = 486177,
  [SMALL_STATE(9453)] = 486230,
  [SMALL_STATE(9454)] = 486301,
  [SMALL_STATE(9455)] = 486374,
  [SMALL_STATE(9456)] = 486427,
  [SMALL_STATE(9457)] = 486478,
  [SMALL_STATE(9458)] = 486531,
  [SMALL_STATE(9459)] = 486586,
  [SMALL_STATE(9460)] = 486639,
  [SMALL_STATE(9461)] = 486692,
  [SMALL_STATE(9462)] = 486743,
  [SMALL_STATE(9463)] = 486814,
  [SMALL_STATE(9464)] = 486885,
  [SMALL_STATE(9465)] = 486958,
  [SMALL_STATE(9466)] = 487031,
  [SMALL_STATE(9467)] = 487122,
  [SMALL_STATE(9468)] = 487173,
  [SMALL_STATE(9469)] = 487244,
  [SMALL_STATE(9470)] = 487297,
  [SMALL_STATE(9471)] = 487368,
  [SMALL_STATE(9472)] = 487417,
  [SMALL_STATE(9473)] = 487470,
  [SMALL_STATE(9474)] = 487523,
  [SMALL_STATE(9475)] = 487614,
  [SMALL_STATE(9476)] = 487681,
  [SMALL_STATE(9477)] = 487740,
  [SMALL_STATE(9478)] = 487811,
  [SMALL_STATE(9479)] = 487864,
  [SMALL_STATE(9480)] = 487917,
  [SMALL_STATE(9481)] = 487978,
  [SMALL_STATE(9482)] = 488039,
  [SMALL_STATE(9483)] = 488104,
  [SMALL_STATE(9484)] = 488171,
  [SMALL_STATE(9485)] = 488222,
  [SMALL_STATE(9486)] = 488293,
  [SMALL_STATE(9487)] = 488348,
  [SMALL_STATE(9488)] = 488419,
  [SMALL_STATE(9489)] = 488472,
  [SMALL_STATE(9490)] = 488543,
  [SMALL_STATE(9491)] = 488634,
  [SMALL_STATE(9492)] = 488687,
  [SMALL_STATE(9493)] = 488760,
  [SMALL_STATE(9494)] = 488827,
  [SMALL_STATE(9495)] = 488886,
  [SMALL_STATE(9496)] = 488953,
  [SMALL_STATE(9497)] = 489012,
  [SMALL_STATE(9498)] = 489063,
  [SMALL_STATE(9499)] = 489116,
  [SMALL_STATE(9500)] = 489169,
  [SMALL_STATE(9501)] = 489222,
  [SMALL_STATE(9502)] = 489283,
  [SMALL_STATE(9503)] = 489344,
  [SMALL_STATE(9504)] = 489409,
  [SMALL_STATE(9505)] = 489500,
  [SMALL_STATE(9506)] = 489567,
  [SMALL_STATE(9507)] = 489620,
  [SMALL_STATE(9508)] = 489681,
  [SMALL_STATE(9509)] = 489752,
  [SMALL_STATE(9510)] = 489805,
  [SMALL_STATE(9511)] = 489866,
  [SMALL_STATE(9512)] = 489919,
  [SMALL_STATE(9513)] = 489970,
  [SMALL_STATE(9514)] = 490041,
  [SMALL_STATE(9515)] = 490099,
  [SMALL_STATE(9516)] = 490183,
  [SMALL_STATE(9517)] = 490241,
  [SMALL_STATE(9518)] = 490325,
  [SMALL_STATE(9519)] = 490383,
  [SMALL_STATE(9520)] = 490435,
  [SMALL_STATE(9521)] = 490487,
  [SMALL_STATE(9522)] = 490571,
  [SMALL_STATE(9523)] = 490623,
  [SMALL_STATE(9524)] = 490683,
  [SMALL_STATE(9525)] = 490755,
  [SMALL_STATE(9526)] = 490839,
  [SMALL_STATE(9527)] = 490921,
  [SMALL_STATE(9528)] = 490991,
  [SMALL_STATE(9529)] = 491075,
  [SMALL_STATE(9530)] = 491123,
  [SMALL_STATE(9531)] = 491171,
  [SMALL_STATE(9532)] = 491231,
  [SMALL_STATE(9533)] = 491285,
  [SMALL_STATE(9534)] = 491337,
  [SMALL_STATE(9535)] = 491389,
  [SMALL_STATE(9536)] = 491439,
  [SMALL_STATE(9537)] = 491491,
  [SMALL_STATE(9538)] = 491561,
  [SMALL_STATE(9539)] = 491613,
  [SMALL_STATE(9540)] = 491665,
  [SMALL_STATE(9541)] = 491729,
  [SMALL_STATE(9542)] = 491795,
  [SMALL_STATE(9543)] = 491865,
  [SMALL_STATE(9544)] = 491949,
  [SMALL_STATE(9545)] = 492021,
  [SMALL_STATE(9546)] = 492071,
  [SMALL_STATE(9547)] = 492125,
  [SMALL_STATE(9548)] = 492195,
  [SMALL_STATE(9549)] = 492265,
  [SMALL_STATE(9550)] = 492317,
  [SMALL_STATE(9551)] = 492369,
  [SMALL_STATE(9552)] = 492453,
  [SMALL_STATE(9553)] = 492525,
  [SMALL_STATE(9554)] = 492591,
  [SMALL_STATE(9555)] = 492675,
  [SMALL_STATE(9556)] = 492727,
  [SMALL_STATE(9557)] = 492785,
  [SMALL_STATE(9558)] = 492835,
  [SMALL_STATE(9559)] = 492919,
  [SMALL_STATE(9560)] = 492971,
  [SMALL_STATE(9561)] = 493019,
  [SMALL_STATE(9562)] = 493071,
  [SMALL_STATE(9563)] = 493141,
  [SMALL_STATE(9564)] = 493207,
  [SMALL_STATE(9565)] = 493267,
  [SMALL_STATE(9566)] = 493327,
  [SMALL_STATE(9567)] = 493399,
  [SMALL_STATE(9568)] = 493463,
  [SMALL_STATE(9569)] = 493545,
  [SMALL_STATE(9570)] = 493597,
  [SMALL_STATE(9571)] = 493657,
  [SMALL_STATE(9572)] = 493705,
  [SMALL_STATE(9573)] = 493765,
  [SMALL_STATE(9574)] = 493829,
  [SMALL_STATE(9575)] = 493895,
  [SMALL_STATE(9576)] = 493965,
  [SMALL_STATE(9577)] = 494017,
  [SMALL_STATE(9578)] = 494071,
  [SMALL_STATE(9579)] = 494119,
  [SMALL_STATE(9580)] = 494189,
  [SMALL_STATE(9581)] = 494261,
  [SMALL_STATE(9582)] = 494333,
  [SMALL_STATE(9583)] = 494385,
  [SMALL_STATE(9584)] = 494435,
  [SMALL_STATE(9585)] = 494501,
  [SMALL_STATE(9586)] = 494551,
  [SMALL_STATE(9587)] = 494601,
  [SMALL_STATE(9588)] = 494683,
  [SMALL_STATE(9589)] = 494733,
  [SMALL_STATE(9590)] = 494817,
  [SMALL_STATE(9591)] = 494901,
  [SMALL_STATE(9592)] = 494971,
  [SMALL_STATE(9593)] = 495019,
  [SMALL_STATE(9594)] = 495085,
  [SMALL_STATE(9595)] = 495143,
  [SMALL_STATE(9596)] = 495191,
  [SMALL_STATE(9597)] = 495241,
  [SMALL_STATE(9598)] = 495325,
  [SMALL_STATE(9599)] = 495377,
  [SMALL_STATE(9600)] = 495429,
  [SMALL_STATE(9601)] = 495494,
  [SMALL_STATE(9602)] = 495579,
  [SMALL_STATE(9603)] = 495630,
  [SMALL_STATE(9604)] = 495715,
  [SMALL_STATE(9605)] = 495762,
  [SMALL_STATE(9606)] = 495827,
  [SMALL_STATE(9607)] = 495912,
  [SMALL_STATE(9608)] = 495969,
  [SMALL_STATE(9609)] = 496054,
  [SMALL_STATE(9610)] = 496139,
  [SMALL_STATE(9611)] = 496190,
  [SMALL_STATE(9612)] = 496275,
  [SMALL_STATE(9613)] = 496360,
  [SMALL_STATE(9614)] = 496411,
  [SMALL_STATE(9615)] = 496470,
  [SMALL_STATE(9616)] = 496555,
  [SMALL_STATE(9617)] = 496614,
  [SMALL_STATE(9618)] = 496677,
  [SMALL_STATE(9619)] = 496742,
  [SMALL_STATE(9620)] = 496811,
  [SMALL_STATE(9621)] = 496864,
  [SMALL_STATE(9622)] = 496933,
  [SMALL_STATE(9623)] = 497018,
  [SMALL_STATE(9624)] = 497069,
  [SMALL_STATE(9625)] = 497138,
  [SMALL_STATE(9626)] = 497189,
  [SMALL_STATE(9627)] = 497238,
  [SMALL_STATE(9628)] = 497323,
  [SMALL_STATE(9629)] = 497374,
  [SMALL_STATE(9630)] = 497459,
  [SMALL_STATE(9631)] = 497544,
  [SMALL_STATE(9632)] = 497615,
  [SMALL_STATE(9633)] = 497700,
  [SMALL_STATE(9634)] = 497785,
  [SMALL_STATE(9635)] = 497836,
  [SMALL_STATE(9636)] = 497883,
  [SMALL_STATE(9637)] = 497968,
  [SMALL_STATE(9638)] = 498053,
  [SMALL_STATE(9639)] = 498138,
  [SMALL_STATE(9640)] = 498223,
  [SMALL_STATE(9641)] = 498272,
  [SMALL_STATE(9642)] = 498357,
  [SMALL_STATE(9643)] = 498442,
  [SMALL_STATE(9644)] = 498527,
  [SMALL_STATE(9645)] = 498612,
  [SMALL_STATE(9646)] = 498697,
  [SMALL_STATE(9647)] = 498748,
  [SMALL_STATE(9648)] = 498795,
  [SMALL_STATE(9649)] = 498880,
  [SMALL_STATE(9650)] = 498965,
  [SMALL_STATE(9651)] = 499014,
  [SMALL_STATE(9652)] = 499099,
  [SMALL_STATE(9653)] = 499184,
  [SMALL_STATE(9654)] = 499253,
  [SMALL_STATE(9655)] = 499304,
  [SMALL_STATE(9656)] = 499389,
  [SMALL_STATE(9657)] = 499440,
  [SMALL_STATE(9658)] = 499525,
  [SMALL_STATE(9659)] = 499610,
  [SMALL_STATE(9660)] = 499695,
  [SMALL_STATE(9661)] = 499780,
  [SMALL_STATE(9662)] = 499851,
  [SMALL_STATE(9663)] = 499902,
  [SMALL_STATE(9664)] = 499987,
  [SMALL_STATE(9665)] = 500072,
  [SMALL_STATE(9666)] = 500157,
  [SMALL_STATE(9667)] = 500242,
  [SMALL_STATE(9668)] = 500327,
  [SMALL_STATE(9669)] = 500376,
  [SMALL_STATE(9670)] = 500461,
  [SMALL_STATE(9671)] = 500546,
  [SMALL_STATE(9672)] = 500597,
  [SMALL_STATE(9673)] = 500646,
  [SMALL_STATE(9674)] = 500711,
  [SMALL_STATE(9675)] = 500796,
  [SMALL_STATE(9676)] = 500847,
  [SMALL_STATE(9677)] = 500932,
  [SMALL_STATE(9678)] = 500983,
  [SMALL_STATE(9679)] = 501034,
  [SMALL_STATE(9680)] = 501093,
  [SMALL_STATE(9681)] = 501152,
  [SMALL_STATE(9682)] = 501215,
  [SMALL_STATE(9683)] = 501280,
  [SMALL_STATE(9684)] = 501349,
  [SMALL_STATE(9685)] = 501402,
  [SMALL_STATE(9686)] = 501453,
  [SMALL_STATE(9687)] = 501504,
  [SMALL_STATE(9688)] = 501555,
  [SMALL_STATE(9689)] = 501624,
  [SMALL_STATE(9690)] = 501671,
  [SMALL_STATE(9691)] = 501742,
  [SMALL_STATE(9692)] = 501793,
  [SMALL_STATE(9693)] = 501842,
  [SMALL_STATE(9694)] = 501913,
  [SMALL_STATE(9695)] = 501964,
  [SMALL_STATE(9696)] = 502013,
  [SMALL_STATE(9697)] = 502062,
  [SMALL_STATE(9698)] = 502147,
  [SMALL_STATE(9699)] = 502232,
  [SMALL_STATE(9700)] = 502317,
  [SMALL_STATE(9701)] = 502368,
  [SMALL_STATE(9702)] = 502453,
  [SMALL_STATE(9703)] = 502502,
  [SMALL_STATE(9704)] = 502587,
  [SMALL_STATE(9705)] = 502658,
  [SMALL_STATE(9706)] = 502707,
  [SMALL_STATE(9707)] = 502792,
  [SMALL_STATE(9708)] = 502841,
  [SMALL_STATE(9709)] = 502910,
  [SMALL_STATE(9710)] = 502979,
  [SMALL_STATE(9711)] = 503030,
  [SMALL_STATE(9712)] = 503115,
  [SMALL_STATE(9713)] = 503200,
  [SMALL_STATE(9714)] = 503285,
  [SMALL_STATE(9715)] = 503336,
  [SMALL_STATE(9716)] = 503421,
  [SMALL_STATE(9717)] = 503470,
  [SMALL_STATE(9718)] = 503521,
  [SMALL_STATE(9719)] = 503606,
  [SMALL_STATE(9720)] = 503655,
  [SMALL_STATE(9721)] = 503740,
  [SMALL_STATE(9722)] = 503791,
  [SMALL_STATE(9723)] = 503860,
  [SMALL_STATE(9724)] = 503925,
  [SMALL_STATE(9725)] = 503996,
  [SMALL_STATE(9726)] = 504053,
  [SMALL_STATE(9727)] = 504104,
  [SMALL_STATE(9728)] = 504155,
  [SMALL_STATE(9729)] = 504214,
  [SMALL_STATE(9730)] = 504273,
  [SMALL_STATE(9731)] = 504336,
  [SMALL_STATE(9732)] = 504405,
  [SMALL_STATE(9733)] = 504458,
  [SMALL_STATE(9734)] = 504527,
  [SMALL_STATE(9735)] = 504578,
  [SMALL_STATE(9736)] = 504647,
  [SMALL_STATE(9737)] = 504732,
  [SMALL_STATE(9738)] = 504783,
  [SMALL_STATE(9739)] = 504868,
  [SMALL_STATE(9740)] = 504919,
  [SMALL_STATE(9741)] = 504976,
  [SMALL_STATE(9742)] = 505058,
  [SMALL_STATE(9743)] = 505140,
  [SMALL_STATE(9744)] = 505222,
  [SMALL_STATE(9745)] = 505274,
  [SMALL_STATE(9746)] = 505356,
  [SMALL_STATE(9747)] = 505414,
  [SMALL_STATE(9748)] = 505460,
  [SMALL_STATE(9749)] = 505542,
  [SMALL_STATE(9750)] = 505624,
  [SMALL_STATE(9751)] = 505670,
  [SMALL_STATE(9752)] = 505752,
  [SMALL_STATE(9753)] = 505820,
  [SMALL_STATE(9754)] = 505882,
  [SMALL_STATE(9755)] = 505964,
  [SMALL_STATE(9756)] = 506046,
  [SMALL_STATE(9757)] = 506114,
  [SMALL_STATE(9758)] = 506196,
  [SMALL_STATE(9759)] = 506278,
  [SMALL_STATE(9760)] = 506360,
  [SMALL_STATE(9761)] = 506406,
  [SMALL_STATE(9762)] = 506468,
  [SMALL_STATE(9763)] = 506550,
  [SMALL_STATE(9764)] = 506596,
  [SMALL_STATE(9765)] = 506660,
  [SMALL_STATE(9766)] = 506742,
  [SMALL_STATE(9767)] = 506824,
  [SMALL_STATE(9768)] = 506906,
  [SMALL_STATE(9769)] = 506988,
  [SMALL_STATE(9770)] = 507070,
  [SMALL_STATE(9771)] = 507128,
  [SMALL_STATE(9772)] = 507210,
  [SMALL_STATE(9773)] = 507292,
  [SMALL_STATE(9774)] = 507338,
  [SMALL_STATE(9775)] = 507420,
  [SMALL_STATE(9776)] = 507502,
  [SMALL_STATE(9777)] = 507584,
  [SMALL_STATE(9778)] = 507630,
  [SMALL_STATE(9779)] = 507712,
  [SMALL_STATE(9780)] = 507794,
  [SMALL_STATE(9781)] = 507840,
  [SMALL_STATE(9782)] = 507886,
  [SMALL_STATE(9783)] = 507968,
  [SMALL_STATE(9784)] = 508050,
  [SMALL_STATE(9785)] = 508112,
  [SMALL_STATE(9786)] = 508194,
  [SMALL_STATE(9787)] = 508276,
  [SMALL_STATE(9788)] = 508322,
  [SMALL_STATE(9789)] = 508404,
  [SMALL_STATE(9790)] = 508450,
  [SMALL_STATE(9791)] = 508496,
  [SMALL_STATE(9792)] = 508578,
  [SMALL_STATE(9793)] = 508660,
  [SMALL_STATE(9794)] = 508742,
  [SMALL_STATE(9795)] = 508824,
  [SMALL_STATE(9796)] = 508872,
  [SMALL_STATE(9797)] = 508918,
  [SMALL_STATE(9798)] = 509000,
  [SMALL_STATE(9799)] = 509082,
  [SMALL_STATE(9800)] = 509164,
  [SMALL_STATE(9801)] = 509246,
  [SMALL_STATE(9802)] = 509328,
  [SMALL_STATE(9803)] = 509410,
  [SMALL_STATE(9804)] = 509492,
  [SMALL_STATE(9805)] = 509538,
  [SMALL_STATE(9806)] = 509620,
  [SMALL_STATE(9807)] = 509702,
  [SMALL_STATE(9808)] = 509784,
  [SMALL_STATE(9809)] = 509866,
  [SMALL_STATE(9810)] = 509912,
  [SMALL_STATE(9811)] = 509994,
  [SMALL_STATE(9812)] = 510076,
  [SMALL_STATE(9813)] = 510158,
  [SMALL_STATE(9814)] = 510240,
  [SMALL_STATE(9815)] = 510290,
  [SMALL_STATE(9816)] = 510372,
  [SMALL_STATE(9817)] = 510454,
  [SMALL_STATE(9818)] = 510536,
  [SMALL_STATE(9819)] = 510618,
  [SMALL_STATE(9820)] = 510700,
  [SMALL_STATE(9821)] = 510782,
  [SMALL_STATE(9822)] = 510864,
  [SMALL_STATE(9823)] = 510946,
  [SMALL_STATE(9824)] = 511028,
  [SMALL_STATE(9825)] = 511074,
  [SMALL_STATE(9826)] = 511156,
  [SMALL_STATE(9827)] = 511202,
  [SMALL_STATE(9828)] = 511284,
  [SMALL_STATE(9829)] = 511366,
  [SMALL_STATE(9830)] = 511448,
  [SMALL_STATE(9831)] = 511498,
  [SMALL_STATE(9832)] = 511580,
  [SMALL_STATE(9833)] = 511662,
  [SMALL_STATE(9834)] = 511744,
  [SMALL_STATE(9835)] = 511826,
  [SMALL_STATE(9836)] = 511872,
  [SMALL_STATE(9837)] = 511954,
  [SMALL_STATE(9838)] = 512004,
  [SMALL_STATE(9839)] = 512050,
  [SMALL_STATE(9840)] = 512132,
  [SMALL_STATE(9841)] = 512214,
  [SMALL_STATE(9842)] = 512296,
  [SMALL_STATE(9843)] = 512378,
  [SMALL_STATE(9844)] = 512424,
  [SMALL_STATE(9845)] = 512470,
  [SMALL_STATE(9846)] = 512516,
  [SMALL_STATE(9847)] = 512598,
  [SMALL_STATE(9848)] = 512680,
  [SMALL_STATE(9849)] = 512762,
  [SMALL_STATE(9850)] = 512844,
  [SMALL_STATE(9851)] = 512890,
  [SMALL_STATE(9852)] = 512972,
  [SMALL_STATE(9853)] = 513054,
  [SMALL_STATE(9854)] = 513124,
  [SMALL_STATE(9855)] = 513170,
  [SMALL_STATE(9856)] = 513252,
  [SMALL_STATE(9857)] = 513334,
  [SMALL_STATE(9858)] = 513416,
  [SMALL_STATE(9859)] = 513474,
  [SMALL_STATE(9860)] = 513556,
  [SMALL_STATE(9861)] = 513602,
  [SMALL_STATE(9862)] = 513684,
  [SMALL_STATE(9863)] = 513732,
  [SMALL_STATE(9864)] = 513814,
  [SMALL_STATE(9865)] = 513860,
  [SMALL_STATE(9866)] = 513942,
  [SMALL_STATE(9867)] = 514024,
  [SMALL_STATE(9868)] = 514070,
  [SMALL_STATE(9869)] = 514116,
  [SMALL_STATE(9870)] = 514186,
  [SMALL_STATE(9871)] = 514232,
  [SMALL_STATE(9872)] = 514278,
  [SMALL_STATE(9873)] = 514360,
  [SMALL_STATE(9874)] = 514410,
  [SMALL_STATE(9875)] = 514472,
  [SMALL_STATE(9876)] = 514554,
  [SMALL_STATE(9877)] = 514636,
  [SMALL_STATE(9878)] = 514682,
  [SMALL_STATE(9879)] = 514728,
  [SMALL_STATE(9880)] = 514774,
  [SMALL_STATE(9881)] = 514856,
  [SMALL_STATE(9882)] = 514938,
  [SMALL_STATE(9883)] = 514984,
  [SMALL_STATE(9884)] = 515030,
  [SMALL_STATE(9885)] = 515112,
  [SMALL_STATE(9886)] = 515194,
  [SMALL_STATE(9887)] = 515276,
  [SMALL_STATE(9888)] = 515326,
  [SMALL_STATE(9889)] = 515408,
  [SMALL_STATE(9890)] = 515490,
  [SMALL_STATE(9891)] = 515538,
  [SMALL_STATE(9892)] = 515620,
  [SMALL_STATE(9893)] = 515666,
  [SMALL_STATE(9894)] = 515748,
  [SMALL_STATE(9895)] = 515830,
  [SMALL_STATE(9896)] = 515912,
  [SMALL_STATE(9897)] = 515994,
  [SMALL_STATE(9898)] = 516040,
  [SMALL_STATE(9899)] = 516122,
  [SMALL_STATE(9900)] = 516204,
  [SMALL_STATE(9901)] = 516286,
  [SMALL_STATE(9902)] = 516368,
  [SMALL_STATE(9903)] = 516414,
  [SMALL_STATE(9904)] = 516496,
  [SMALL_STATE(9905)] = 516578,
  [SMALL_STATE(9906)] = 516660,
  [SMALL_STATE(9907)] = 516742,
  [SMALL_STATE(9908)] = 516824,
  [SMALL_STATE(9909)] = 516906,
  [SMALL_STATE(9910)] = 516952,
  [SMALL_STATE(9911)] = 516998,
  [SMALL_STATE(9912)] = 517048,
  [SMALL_STATE(9913)] = 517112,
  [SMALL_STATE(9914)] = 517194,
  [SMALL_STATE(9915)] = 517276,
  [SMALL_STATE(9916)] = 517326,
  [SMALL_STATE(9917)] = 517408,
  [SMALL_STATE(9918)] = 517454,
  [SMALL_STATE(9919)] = 517510,
  [SMALL_STATE(9920)] = 517560,
  [SMALL_STATE(9921)] = 517642,
  [SMALL_STATE(9922)] = 517688,
  [SMALL_STATE(9923)] = 517738,
  [SMALL_STATE(9924)] = 517820,
  [SMALL_STATE(9925)] = 517902,
  [SMALL_STATE(9926)] = 517984,
  [SMALL_STATE(9927)] = 518066,
  [SMALL_STATE(9928)] = 518148,
  [SMALL_STATE(9929)] = 518230,
  [SMALL_STATE(9930)] = 518312,
  [SMALL_STATE(9931)] = 518394,
  [SMALL_STATE(9932)] = 518440,
  [SMALL_STATE(9933)] = 518522,
  [SMALL_STATE(9934)] = 518604,
  [SMALL_STATE(9935)] = 518686,
  [SMALL_STATE(9936)] = 518732,
  [SMALL_STATE(9937)] = 518814,
  [SMALL_STATE(9938)] = 518872,
  [SMALL_STATE(9939)] = 518954,
  [SMALL_STATE(9940)] = 519036,
  [SMALL_STATE(9941)] = 519118,
  [SMALL_STATE(9942)] = 519180,
  [SMALL_STATE(9943)] = 519244,
  [SMALL_STATE(9944)] = 519312,
  [SMALL_STATE(9945)] = 519394,
  [SMALL_STATE(9946)] = 519446,
  [SMALL_STATE(9947)] = 519514,
  [SMALL_STATE(9948)] = 519560,
  [SMALL_STATE(9949)] = 519642,
  [SMALL_STATE(9950)] = 519688,
  [SMALL_STATE(9951)] = 519770,
  [SMALL_STATE(9952)] = 519852,
  [SMALL_STATE(9953)] = 519934,
  [SMALL_STATE(9954)] = 519980,
  [SMALL_STATE(9955)] = 520062,
  [SMALL_STATE(9956)] = 520144,
  [SMALL_STATE(9957)] = 520212,
  [SMALL_STATE(9958)] = 520294,
  [SMALL_STATE(9959)] = 520340,
  [SMALL_STATE(9960)] = 520422,
  [SMALL_STATE(9961)] = 520504,
  [SMALL_STATE(9962)] = 520586,
  [SMALL_STATE(9963)] = 520632,
  [SMALL_STATE(9964)] = 520714,
  [SMALL_STATE(9965)] = 520796,
  [SMALL_STATE(9966)] = 520878,
  [SMALL_STATE(9967)] = 520960,
  [SMALL_STATE(9968)] = 521042,
  [SMALL_STATE(9969)] = 521124,
  [SMALL_STATE(9970)] = 521206,
  [SMALL_STATE(9971)] = 521288,
  [SMALL_STATE(9972)] = 521370,
  [SMALL_STATE(9973)] = 521452,
  [SMALL_STATE(9974)] = 521534,
  [SMALL_STATE(9975)] = 521580,
  [SMALL_STATE(9976)] = 521628,
  [SMALL_STATE(9977)] = 521696,
  [SMALL_STATE(9978)] = 521778,
  [SMALL_STATE(9979)] = 521860,
  [SMALL_STATE(9980)] = 521942,
  [SMALL_STATE(9981)] = 522024,
  [SMALL_STATE(9982)] = 522106,
  [SMALL_STATE(9983)] = 522188,
  [SMALL_STATE(9984)] = 522270,
  [SMALL_STATE(9985)] = 522352,
  [SMALL_STATE(9986)] = 522400,
  [SMALL_STATE(9987)] = 522464,
  [SMALL_STATE(9988)] = 522510,
  [SMALL_STATE(9989)] = 522592,
  [SMALL_STATE(9990)] = 522674,
  [SMALL_STATE(9991)] = 522722,
  [SMALL_STATE(9992)] = 522804,
  [SMALL_STATE(9993)] = 522886,
  [SMALL_STATE(9994)] = 522968,
  [SMALL_STATE(9995)] = 523018,
  [SMALL_STATE(9996)] = 523100,
  [SMALL_STATE(9997)] = 523146,
  [SMALL_STATE(9998)] = 523228,
  [SMALL_STATE(9999)] = 523292,
  [SMALL_STATE(10000)] = 523374,
  [SMALL_STATE(10001)] = 523456,
  [SMALL_STATE(10002)] = 523538,
  [SMALL_STATE(10003)] = 523620,
  [SMALL_STATE(10004)] = 523690,
  [SMALL_STATE(10005)] = 523736,
  [SMALL_STATE(10006)] = 523818,
  [SMALL_STATE(10007)] = 523864,
  [SMALL_STATE(10008)] = 523910,
  [SMALL_STATE(10009)] = 523978,
  [SMALL_STATE(10010)] = 524060,
  [SMALL_STATE(10011)] = 524142,
  [SMALL_STATE(10012)] = 524224,
  [SMALL_STATE(10013)] = 524306,
  [SMALL_STATE(10014)] = 524374,
  [SMALL_STATE(10015)] = 524420,
  [SMALL_STATE(10016)] = 524502,
  [SMALL_STATE(10017)] = 524548,
  [SMALL_STATE(10018)] = 524604,
  [SMALL_STATE(10019)] = 524650,
  [SMALL_STATE(10020)] = 524732,
  [SMALL_STATE(10021)] = 524778,
  [SMALL_STATE(10022)] = 524860,
  [SMALL_STATE(10023)] = 524906,
  [SMALL_STATE(10024)] = 524952,
  [SMALL_STATE(10025)] = 525034,
  [SMALL_STATE(10026)] = 525080,
  [SMALL_STATE(10027)] = 525126,
  [SMALL_STATE(10028)] = 525208,
  [SMALL_STATE(10029)] = 525276,
  [SMALL_STATE(10030)] = 525326,
  [SMALL_STATE(10031)] = 525388,
  [SMALL_STATE(10032)] = 525434,
  [SMALL_STATE(10033)] = 525480,
  [SMALL_STATE(10034)] = 525526,
  [SMALL_STATE(10035)] = 525584,
  [SMALL_STATE(10036)] = 525634,
  [SMALL_STATE(10037)] = 525680,
  [SMALL_STATE(10038)] = 525730,
  [SMALL_STATE(10039)] = 525778,
  [SMALL_STATE(10040)] = 525842,
  [SMALL_STATE(10041)] = 525924,
  [SMALL_STATE(10042)] = 526006,
  [SMALL_STATE(10043)] = 526052,
  [SMALL_STATE(10044)] = 526134,
  [SMALL_STATE(10045)] = 526216,
  [SMALL_STATE(10046)] = 526298,
  [SMALL_STATE(10047)] = 526380,
  [SMALL_STATE(10048)] = 526426,
  [SMALL_STATE(10049)] = 526472,
  [SMALL_STATE(10050)] = 526518,
  [SMALL_STATE(10051)] = 526568,
  [SMALL_STATE(10052)] = 526650,
  [SMALL_STATE(10053)] = 526696,
  [SMALL_STATE(10054)] = 526778,
  [SMALL_STATE(10055)] = 526834,
  [SMALL_STATE(10056)] = 526880,
  [SMALL_STATE(10057)] = 526962,
  [SMALL_STATE(10058)] = 527012,
  [SMALL_STATE(10059)] = 527094,
  [SMALL_STATE(10060)] = 527140,
  [SMALL_STATE(10061)] = 527222,
  [SMALL_STATE(10062)] = 527272,
  [SMALL_STATE(10063)] = 527322,
  [SMALL_STATE(10064)] = 527372,
  [SMALL_STATE(10065)] = 527454,
  [SMALL_STATE(10066)] = 527536,
  [SMALL_STATE(10067)] = 527618,
  [SMALL_STATE(10068)] = 527664,
  [SMALL_STATE(10069)] = 527746,
  [SMALL_STATE(10070)] = 527792,
  [SMALL_STATE(10071)] = 527844,
  [SMALL_STATE(10072)] = 527890,
  [SMALL_STATE(10073)] = 527936,
  [SMALL_STATE(10074)] = 528018,
  [SMALL_STATE(10075)] = 528100,
  [SMALL_STATE(10076)] = 528182,
  [SMALL_STATE(10077)] = 528228,
  [SMALL_STATE(10078)] = 528276,
  [SMALL_STATE(10079)] = 528358,
  [SMALL_STATE(10080)] = 528404,
  [SMALL_STATE(10081)] = 528486,
  [SMALL_STATE(10082)] = 528568,
  [SMALL_STATE(10083)] = 528650,
  [SMALL_STATE(10084)] = 528732,
  [SMALL_STATE(10085)] = 528814,
  [SMALL_STATE(10086)] = 528896,
  [SMALL_STATE(10087)] = 528942,
  [SMALL_STATE(10088)] = 529024,
  [SMALL_STATE(10089)] = 529070,
  [SMALL_STATE(10090)] = 529116,
  [SMALL_STATE(10091)] = 529162,
  [SMALL_STATE(10092)] = 529208,
  [SMALL_STATE(10093)] = 529254,
  [SMALL_STATE(10094)] = 529336,
  [SMALL_STATE(10095)] = 529394,
  [SMALL_STATE(10096)] = 529463,
  [SMALL_STATE(10097)] = 529508,
  [SMALL_STATE(10098)] = 529553,
  [SMALL_STATE(10099)] = 529598,
  [SMALL_STATE(10100)] = 529643,
  [SMALL_STATE(10101)] = 529688,
  [SMALL_STATE(10102)] = 529737,
  [SMALL_STATE(10103)] = 529782,
  [SMALL_STATE(10104)] = 529827,
  [SMALL_STATE(10105)] = 529872,
  [SMALL_STATE(10106)] = 529917,
  [SMALL_STATE(10107)] = 529962,
  [SMALL_STATE(10108)] = 530007,
  [SMALL_STATE(10109)] = 530052,
  [SMALL_STATE(10110)] = 530097,
  [SMALL_STATE(10111)] = 530142,
  [SMALL_STATE(10112)] = 530187,
  [SMALL_STATE(10113)] = 530232,
  [SMALL_STATE(10114)] = 530277,
  [SMALL_STATE(10115)] = 530322,
  [SMALL_STATE(10116)] = 530383,
  [SMALL_STATE(10117)] = 530428,
  [SMALL_STATE(10118)] = 530473,
  [SMALL_STATE(10119)] = 530518,
  [SMALL_STATE(10120)] = 530587,
  [SMALL_STATE(10121)] = 530648,
  [SMALL_STATE(10122)] = 530693,
  [SMALL_STATE(10123)] = 530748,
  [SMALL_STATE(10124)] = 530803,
  [SMALL_STATE(10125)] = 530850,
  [SMALL_STATE(10126)] = 530895,
  [SMALL_STATE(10127)] = 530940,
  [SMALL_STATE(10128)] = 530985,
  [SMALL_STATE(10129)] = 531030,
  [SMALL_STATE(10130)] = 531075,
  [SMALL_STATE(10131)] = 531120,
  [SMALL_STATE(10132)] = 531165,
  [SMALL_STATE(10133)] = 531210,
  [SMALL_STATE(10134)] = 531255,
  [SMALL_STATE(10135)] = 531302,
  [SMALL_STATE(10136)] = 531347,
  [SMALL_STATE(10137)] = 531392,
  [SMALL_STATE(10138)] = 531437,
  [SMALL_STATE(10139)] = 531482,
  [SMALL_STATE(10140)] = 531527,
  [SMALL_STATE(10141)] = 531572,
  [SMALL_STATE(10142)] = 531617,
  [SMALL_STATE(10143)] = 531662,
  [SMALL_STATE(10144)] = 531707,
  [SMALL_STATE(10145)] = 531752,
  [SMALL_STATE(10146)] = 531797,
  [SMALL_STATE(10147)] = 531852,
  [SMALL_STATE(10148)] = 531897,
  [SMALL_STATE(10149)] = 531942,
  [SMALL_STATE(10150)] = 532003,
  [SMALL_STATE(10151)] = 532048,
  [SMALL_STATE(10152)] = 532125,
  [SMALL_STATE(10153)] = 532170,
  [SMALL_STATE(10154)] = 532215,
  [SMALL_STATE(10155)] = 532260,
  [SMALL_STATE(10156)] = 532305,
  [SMALL_STATE(10157)] = 532350,
  [SMALL_STATE(10158)] = 532395,
  [SMALL_STATE(10159)] = 532464,
  [SMALL_STATE(10160)] = 532509,
  [SMALL_STATE(10161)] = 532554,
  [SMALL_STATE(10162)] = 532599,
  [SMALL_STATE(10163)] = 532644,
  [SMALL_STATE(10164)] = 532689,
  [SMALL_STATE(10165)] = 532734,
  [SMALL_STATE(10166)] = 532779,
  [SMALL_STATE(10167)] = 532824,
  [SMALL_STATE(10168)] = 532869,
  [SMALL_STATE(10169)] = 532914,
  [SMALL_STATE(10170)] = 532959,
  [SMALL_STATE(10171)] = 533036,
  [SMALL_STATE(10172)] = 533108,
  [SMALL_STATE(10173)] = 533152,
  [SMALL_STATE(10174)] = 533206,
  [SMALL_STATE(10175)] = 533278,
  [SMALL_STATE(10176)] = 533352,
  [SMALL_STATE(10177)] = 533406,
  [SMALL_STATE(10178)] = 533452,
  [SMALL_STATE(10179)] = 533512,
  [SMALL_STATE(10180)] = 533572,
  [SMALL_STATE(10181)] = 533646,
  [SMALL_STATE(10182)] = 533700,
  [SMALL_STATE(10183)] = 533754,
  [SMALL_STATE(10184)] = 533813,
  [SMALL_STATE(10185)] = 533856,
  [SMALL_STATE(10186)] = 533915,
  [SMALL_STATE(10187)] = 533992,
  [SMALL_STATE(10188)] = 534035,
  [SMALL_STATE(10189)] = 534088,
  [SMALL_STATE(10190)] = 534165,
  [SMALL_STATE(10191)] = 534242,
  [SMALL_STATE(10192)] = 534319,
  [SMALL_STATE(10193)] = 534390,
  [SMALL_STATE(10194)] = 534467,
  [SMALL_STATE(10195)] = 534512,
  [SMALL_STATE(10196)] = 534589,
  [SMALL_STATE(10197)] = 534666,
  [SMALL_STATE(10198)] = 534743,
  [SMALL_STATE(10199)] = 534820,
  [SMALL_STATE(10200)] = 534897,
  [SMALL_STATE(10201)] = 534968,
  [SMALL_STATE(10202)] = 535027,
  [SMALL_STATE(10203)] = 535098,
  [SMALL_STATE(10204)] = 535157,
  [SMALL_STATE(10205)] = 535234,
  [SMALL_STATE(10206)] = 535311,
  [SMALL_STATE(10207)] = 535354,
  [SMALL_STATE(10208)] = 535431,
  [SMALL_STATE(10209)] = 535474,
  [SMALL_STATE(10210)] = 535519,
  [SMALL_STATE(10211)] = 535572,
  [SMALL_STATE(10212)] = 535615,
  [SMALL_STATE(10213)] = 535658,
  [SMALL_STATE(10214)] = 535735,
  [SMALL_STATE(10215)] = 535812,
  [SMALL_STATE(10216)] = 535889,
  [SMALL_STATE(10217)] = 535966,
  [SMALL_STATE(10218)] = 536043,
  [SMALL_STATE(10219)] = 536086,
  [SMALL_STATE(10220)] = 536129,
  [SMALL_STATE(10221)] = 536174,
  [SMALL_STATE(10222)] = 536221,
  [SMALL_STATE(10223)] = 536298,
  [SMALL_STATE(10224)] = 536341,
  [SMALL_STATE(10225)] = 536384,
  [SMALL_STATE(10226)] = 536427,
  [SMALL_STATE(10227)] = 536470,
  [SMALL_STATE(10228)] = 536547,
  [SMALL_STATE(10229)] = 536600,
  [SMALL_STATE(10230)] = 536643,
  [SMALL_STATE(10231)] = 536686,
  [SMALL_STATE(10232)] = 536763,
  [SMALL_STATE(10233)] = 536806,
  [SMALL_STATE(10234)] = 536883,
  [SMALL_STATE(10235)] = 536960,
  [SMALL_STATE(10236)] = 537003,
  [SMALL_STATE(10237)] = 537046,
  [SMALL_STATE(10238)] = 537089,
  [SMALL_STATE(10239)] = 537132,
  [SMALL_STATE(10240)] = 537175,
  [SMALL_STATE(10241)] = 537218,
  [SMALL_STATE(10242)] = 537261,
  [SMALL_STATE(10243)] = 537304,
  [SMALL_STATE(10244)] = 537347,
  [SMALL_STATE(10245)] = 537390,
  [SMALL_STATE(10246)] = 537467,
  [SMALL_STATE(10247)] = 537544,
  [SMALL_STATE(10248)] = 537587,
  [SMALL_STATE(10249)] = 537664,
  [SMALL_STATE(10250)] = 537723,
  [SMALL_STATE(10251)] = 537800,
  [SMALL_STATE(10252)] = 537843,
  [SMALL_STATE(10253)] = 537914,
  [SMALL_STATE(10254)] = 537957,
  [SMALL_STATE(10255)] = 538034,
  [SMALL_STATE(10256)] = 538111,
  [SMALL_STATE(10257)] = 538188,
  [SMALL_STATE(10258)] = 538265,
  [SMALL_STATE(10259)] = 538308,
  [SMALL_STATE(10260)] = 538351,
  [SMALL_STATE(10261)] = 538394,
  [SMALL_STATE(10262)] = 538437,
  [SMALL_STATE(10263)] = 538480,
  [SMALL_STATE(10264)] = 538557,
  [SMALL_STATE(10265)] = 538634,
  [SMALL_STATE(10266)] = 538711,
  [SMALL_STATE(10267)] = 538788,
  [SMALL_STATE(10268)] = 538865,
  [SMALL_STATE(10269)] = 538924,
  [SMALL_STATE(10270)] = 538967,
  [SMALL_STATE(10271)] = 539010,
  [SMALL_STATE(10272)] = 539087,
  [SMALL_STATE(10273)] = 539164,
  [SMALL_STATE(10274)] = 539241,
  [SMALL_STATE(10275)] = 539284,
  [SMALL_STATE(10276)] = 539356,
  [SMALL_STATE(10277)] = 539428,
  [SMALL_STATE(10278)] = 539490,
  [SMALL_STATE(10279)] = 539562,
  [SMALL_STATE(10280)] = 539634,
  [SMALL_STATE(10281)] = 539706,
  [SMALL_STATE(10282)] = 539778,
  [SMALL_STATE(10283)] = 539820,
  [SMALL_STATE(10284)] = 539872,
  [SMALL_STATE(10285)] = 539914,
  [SMALL_STATE(10286)] = 539986,
  [SMALL_STATE(10287)] = 540028,
  [SMALL_STATE(10288)] = 540100,
  [SMALL_STATE(10289)] = 540158,
  [SMALL_STATE(10290)] = 540230,
  [SMALL_STATE(10291)] = 540288,
  [SMALL_STATE(10292)] = 540360,
  [SMALL_STATE(10293)] = 540402,
  [SMALL_STATE(10294)] = 540474,
  [SMALL_STATE(10295)] = 540516,
  [SMALL_STATE(10296)] = 540558,
  [SMALL_STATE(10297)] = 540600,
  [SMALL_STATE(10298)] = 540642,
  [SMALL_STATE(10299)] = 540714,
  [SMALL_STATE(10300)] = 540786,
  [SMALL_STATE(10301)] = 540828,
  [SMALL_STATE(10302)] = 540870,
  [SMALL_STATE(10303)] = 540942,
  [SMALL_STATE(10304)] = 541014,
  [SMALL_STATE(10305)] = 541056,
  [SMALL_STATE(10306)] = 541128,
  [SMALL_STATE(10307)] = 541196,
  [SMALL_STATE(10308)] = 541268,
  [SMALL_STATE(10309)] = 541310,
  [SMALL_STATE(10310)] = 541352,
  [SMALL_STATE(10311)] = 541410,
  [SMALL_STATE(10312)] = 541482,
  [SMALL_STATE(10313)] = 541554,
  [SMALL_STATE(10314)] = 541626,
  [SMALL_STATE(10315)] = 541698,
  [SMALL_STATE(10316)] = 541740,
  [SMALL_STATE(10317)] = 541792,
  [SMALL_STATE(10318)] = 541864,
  [SMALL_STATE(10319)] = 541906,
  [SMALL_STATE(10320)] = 541978,
  [SMALL_STATE(10321)] = 542020,
  [SMALL_STATE(10322)] = 542082,
  [SMALL_STATE(10323)] = 542124,
  [SMALL_STATE(10324)] = 542170,
  [SMALL_STATE(10325)] = 542212,
  [SMALL_STATE(10326)] = 542254,
  [SMALL_STATE(10327)] = 542326,
  [SMALL_STATE(10328)] = 542368,
  [SMALL_STATE(10329)] = 542440,
  [SMALL_STATE(10330)] = 542512,
  [SMALL_STATE(10331)] = 542584,
  [SMALL_STATE(10332)] = 542626,
  [SMALL_STATE(10333)] = 542668,
  [SMALL_STATE(10334)] = 542740,
  [SMALL_STATE(10335)] = 542812,
  [SMALL_STATE(10336)] = 542884,
  [SMALL_STATE(10337)] = 542956,
  [SMALL_STATE(10338)] = 542998,
  [SMALL_STATE(10339)] = 543040,
  [SMALL_STATE(10340)] = 543112,
  [SMALL_STATE(10341)] = 543184,
  [SMALL_STATE(10342)] = 543256,
  [SMALL_STATE(10343)] = 543328,
  [SMALL_STATE(10344)] = 543388,
  [SMALL_STATE(10345)] = 543460,
  [SMALL_STATE(10346)] = 543528,
  [SMALL_STATE(10347)] = 543600,
  [SMALL_STATE(10348)] = 543672,
  [SMALL_STATE(10349)] = 543730,
  [SMALL_STATE(10350)] = 543802,
  [SMALL_STATE(10351)] = 543874,
  [SMALL_STATE(10352)] = 543932,
  [SMALL_STATE(10353)] = 543974,
  [SMALL_STATE(10354)] = 544016,
  [SMALL_STATE(10355)] = 544088,
  [SMALL_STATE(10356)] = 544160,
  [SMALL_STATE(10357)] = 544232,
  [SMALL_STATE(10358)] = 544304,
  [SMALL_STATE(10359)] = 544376,
  [SMALL_STATE(10360)] = 544418,
  [SMALL_STATE(10361)] = 544490,
  [SMALL_STATE(10362)] = 544532,
  [SMALL_STATE(10363)] = 544576,
  [SMALL_STATE(10364)] = 544648,
  [SMALL_STATE(10365)] = 544690,
  [SMALL_STATE(10366)] = 544732,
  [SMALL_STATE(10367)] = 544776,
  [SMALL_STATE(10368)] = 544818,
  [SMALL_STATE(10369)] = 544890,
  [SMALL_STATE(10370)] = 544962,
  [SMALL_STATE(10371)] = 545004,
  [SMALL_STATE(10372)] = 545076,
  [SMALL_STATE(10373)] = 545148,
  [SMALL_STATE(10374)] = 545220,
  [SMALL_STATE(10375)] = 545292,
  [SMALL_STATE(10376)] = 545364,
  [SMALL_STATE(10377)] = 545436,
  [SMALL_STATE(10378)] = 545478,
  [SMALL_STATE(10379)] = 545520,
  [SMALL_STATE(10380)] = 545564,
  [SMALL_STATE(10381)] = 545636,
  [SMALL_STATE(10382)] = 545708,
  [SMALL_STATE(10383)] = 545766,
  [SMALL_STATE(10384)] = 545808,
  [SMALL_STATE(10385)] = 545850,
  [SMALL_STATE(10386)] = 545922,
  [SMALL_STATE(10387)] = 545994,
  [SMALL_STATE(10388)] = 546066,
  [SMALL_STATE(10389)] = 546114,
  [SMALL_STATE(10390)] = 546156,
  [SMALL_STATE(10391)] = 546228,
  [SMALL_STATE(10392)] = 546300,
  [SMALL_STATE(10393)] = 546372,
  [SMALL_STATE(10394)] = 546414,
  [SMALL_STATE(10395)] = 546456,
  [SMALL_STATE(10396)] = 546498,
  [SMALL_STATE(10397)] = 546540,
  [SMALL_STATE(10398)] = 546582,
  [SMALL_STATE(10399)] = 546624,
  [SMALL_STATE(10400)] = 546666,
  [SMALL_STATE(10401)] = 546708,
  [SMALL_STATE(10402)] = 546750,
  [SMALL_STATE(10403)] = 546822,
  [SMALL_STATE(10404)] = 546864,
  [SMALL_STATE(10405)] = 546906,
  [SMALL_STATE(10406)] = 546948,
  [SMALL_STATE(10407)] = 547020,
  [SMALL_STATE(10408)] = 547062,
  [SMALL_STATE(10409)] = 547104,
  [SMALL_STATE(10410)] = 547148,
  [SMALL_STATE(10411)] = 547190,
  [SMALL_STATE(10412)] = 547232,
  [SMALL_STATE(10413)] = 547304,
  [SMALL_STATE(10414)] = 547346,
  [SMALL_STATE(10415)] = 547388,
  [SMALL_STATE(10416)] = 547430,
  [SMALL_STATE(10417)] = 547502,
  [SMALL_STATE(10418)] = 547544,
  [SMALL_STATE(10419)] = 547586,
  [SMALL_STATE(10420)] = 547628,
  [SMALL_STATE(10421)] = 547670,
  [SMALL_STATE(10422)] = 547712,
  [SMALL_STATE(10423)] = 547754,
  [SMALL_STATE(10424)] = 547796,
  [SMALL_STATE(10425)] = 547838,
  [SMALL_STATE(10426)] = 547910,
  [SMALL_STATE(10427)] = 547952,
  [SMALL_STATE(10428)] = 548024,
  [SMALL_STATE(10429)] = 548066,
  [SMALL_STATE(10430)] = 548122,
  [SMALL_STATE(10431)] = 548164,
  [SMALL_STATE(10432)] = 548206,
  [SMALL_STATE(10433)] = 548248,
  [SMALL_STATE(10434)] = 548290,
  [SMALL_STATE(10435)] = 548332,
  [SMALL_STATE(10436)] = 548374,
  [SMALL_STATE(10437)] = 548416,
  [SMALL_STATE(10438)] = 548458,
  [SMALL_STATE(10439)] = 548500,
  [SMALL_STATE(10440)] = 548542,
  [SMALL_STATE(10441)] = 548584,
  [SMALL_STATE(10442)] = 548656,
  [SMALL_STATE(10443)] = 548698,
  [SMALL_STATE(10444)] = 548740,
  [SMALL_STATE(10445)] = 548812,
  [SMALL_STATE(10446)] = 548884,
  [SMALL_STATE(10447)] = 548956,
  [SMALL_STATE(10448)] = 549016,
  [SMALL_STATE(10449)] = 549058,
  [SMALL_STATE(10450)] = 549100,
  [SMALL_STATE(10451)] = 549172,
  [SMALL_STATE(10452)] = 549244,
  [SMALL_STATE(10453)] = 549316,
  [SMALL_STATE(10454)] = 549388,
  [SMALL_STATE(10455)] = 549460,
  [SMALL_STATE(10456)] = 549502,
  [SMALL_STATE(10457)] = 549574,
  [SMALL_STATE(10458)] = 549646,
  [SMALL_STATE(10459)] = 549718,
  [SMALL_STATE(10460)] = 549770,
  [SMALL_STATE(10461)] = 549812,
  [SMALL_STATE(10462)] = 549854,
  [SMALL_STATE(10463)] = 549896,
  [SMALL_STATE(10464)] = 549968,
  [SMALL_STATE(10465)] = 550010,
  [SMALL_STATE(10466)] = 550082,
  [SMALL_STATE(10467)] = 550154,
  [SMALL_STATE(10468)] = 550226,
  [SMALL_STATE(10469)] = 550268,
  [SMALL_STATE(10470)] = 550310,
  [SMALL_STATE(10471)] = 550382,
  [SMALL_STATE(10472)] = 550454,
  [SMALL_STATE(10473)] = 550526,
  [SMALL_STATE(10474)] = 550578,
  [SMALL_STATE(10475)] = 550620,
  [SMALL_STATE(10476)] = 550692,
  [SMALL_STATE(10477)] = 550734,
  [SMALL_STATE(10478)] = 550806,
  [SMALL_STATE(10479)] = 550878,
  [SMALL_STATE(10480)] = 550950,
  [SMALL_STATE(10481)] = 551022,
  [SMALL_STATE(10482)] = 551064,
  [SMALL_STATE(10483)] = 551136,
  [SMALL_STATE(10484)] = 551208,
  [SMALL_STATE(10485)] = 551250,
  [SMALL_STATE(10486)] = 551292,
  [SMALL_STATE(10487)] = 551344,
  [SMALL_STATE(10488)] = 551416,
  [SMALL_STATE(10489)] = 551458,
  [SMALL_STATE(10490)] = 551530,
  [SMALL_STATE(10491)] = 551572,
  [SMALL_STATE(10492)] = 551614,
  [SMALL_STATE(10493)] = 551656,
  [SMALL_STATE(10494)] = 551728,
  [SMALL_STATE(10495)] = 551800,
  [SMALL_STATE(10496)] = 551842,
  [SMALL_STATE(10497)] = 551884,
  [SMALL_STATE(10498)] = 551956,
  [SMALL_STATE(10499)] = 551998,
  [SMALL_STATE(10500)] = 552070,
  [SMALL_STATE(10501)] = 552142,
  [SMALL_STATE(10502)] = 552184,
  [SMALL_STATE(10503)] = 552226,
  [SMALL_STATE(10504)] = 552284,
  [SMALL_STATE(10505)] = 552342,
  [SMALL_STATE(10506)] = 552414,
  [SMALL_STATE(10507)] = 552486,
  [SMALL_STATE(10508)] = 552528,
  [SMALL_STATE(10509)] = 552600,
  [SMALL_STATE(10510)] = 552672,
  [SMALL_STATE(10511)] = 552744,
  [SMALL_STATE(10512)] = 552792,
  [SMALL_STATE(10513)] = 552834,
  [SMALL_STATE(10514)] = 552876,
  [SMALL_STATE(10515)] = 552918,
  [SMALL_STATE(10516)] = 552960,
  [SMALL_STATE(10517)] = 553032,
  [SMALL_STATE(10518)] = 553104,
  [SMALL_STATE(10519)] = 553146,
  [SMALL_STATE(10520)] = 553218,
  [SMALL_STATE(10521)] = 553290,
  [SMALL_STATE(10522)] = 553362,
  [SMALL_STATE(10523)] = 553404,
  [SMALL_STATE(10524)] = 553446,
  [SMALL_STATE(10525)] = 553488,
  [SMALL_STATE(10526)] = 553530,
  [SMALL_STATE(10527)] = 553602,
  [SMALL_STATE(10528)] = 553674,
  [SMALL_STATE(10529)] = 553716,
  [SMALL_STATE(10530)] = 553758,
  [SMALL_STATE(10531)] = 553800,
  [SMALL_STATE(10532)] = 553842,
  [SMALL_STATE(10533)] = 553914,
  [SMALL_STATE(10534)] = 553956,
  [SMALL_STATE(10535)] = 553998,
  [SMALL_STATE(10536)] = 554040,
  [SMALL_STATE(10537)] = 554112,
  [SMALL_STATE(10538)] = 554154,
  [SMALL_STATE(10539)] = 554196,
  [SMALL_STATE(10540)] = 554268,
  [SMALL_STATE(10541)] = 554310,
  [SMALL_STATE(10542)] = 554352,
  [SMALL_STATE(10543)] = 554394,
  [SMALL_STATE(10544)] = 554466,
  [SMALL_STATE(10545)] = 554508,
  [SMALL_STATE(10546)] = 554580,
  [SMALL_STATE(10547)] = 554622,
  [SMALL_STATE(10548)] = 554680,
  [SMALL_STATE(10549)] = 554722,
  [SMALL_STATE(10550)] = 554764,
  [SMALL_STATE(10551)] = 554836,
  [SMALL_STATE(10552)] = 554908,
  [SMALL_STATE(10553)] = 554966,
  [SMALL_STATE(10554)] = 555024,
  [SMALL_STATE(10555)] = 555096,
  [SMALL_STATE(10556)] = 555168,
  [SMALL_STATE(10557)] = 555240,
  [SMALL_STATE(10558)] = 555312,
  [SMALL_STATE(10559)] = 555354,
  [SMALL_STATE(10560)] = 555426,
  [SMALL_STATE(10561)] = 555498,
  [SMALL_STATE(10562)] = 555570,
  [SMALL_STATE(10563)] = 555642,
  [SMALL_STATE(10564)] = 555714,
  [SMALL_STATE(10565)] = 555786,
  [SMALL_STATE(10566)] = 555858,
  [SMALL_STATE(10567)] = 555930,
  [SMALL_STATE(10568)] = 556002,
  [SMALL_STATE(10569)] = 556044,
  [SMALL_STATE(10570)] = 556086,
  [SMALL_STATE(10571)] = 556128,
  [SMALL_STATE(10572)] = 556170,
  [SMALL_STATE(10573)] = 556212,
  [SMALL_STATE(10574)] = 556270,
  [SMALL_STATE(10575)] = 556312,
  [SMALL_STATE(10576)] = 556354,
  [SMALL_STATE(10577)] = 556406,
  [SMALL_STATE(10578)] = 556458,
  [SMALL_STATE(10579)] = 556530,
  [SMALL_STATE(10580)] = 556572,
  [SMALL_STATE(10581)] = 556614,
  [SMALL_STATE(10582)] = 556686,
  [SMALL_STATE(10583)] = 556758,
  [SMALL_STATE(10584)] = 556830,
  [SMALL_STATE(10585)] = 556882,
  [SMALL_STATE(10586)] = 556954,
  [SMALL_STATE(10587)] = 556996,
  [SMALL_STATE(10588)] = 557068,
  [SMALL_STATE(10589)] = 557140,
  [SMALL_STATE(10590)] = 557212,
  [SMALL_STATE(10591)] = 557284,
  [SMALL_STATE(10592)] = 557356,
  [SMALL_STATE(10593)] = 557398,
  [SMALL_STATE(10594)] = 557463,
  [SMALL_STATE(10595)] = 557504,
  [SMALL_STATE(10596)] = 557573,
  [SMALL_STATE(10597)] = 557618,
  [SMALL_STATE(10598)] = 557663,
  [SMALL_STATE(10599)] = 557708,
  [SMALL_STATE(10600)] = 557749,
  [SMALL_STATE(10601)] = 557790,
  [SMALL_STATE(10602)] = 557833,
  [SMALL_STATE(10603)] = 557874,
  [SMALL_STATE(10604)] = 557919,
  [SMALL_STATE(10605)] = 557962,
  [SMALL_STATE(10606)] = 558031,
  [SMALL_STATE(10607)] = 558088,
  [SMALL_STATE(10608)] = 558139,
  [SMALL_STATE(10609)] = 558196,
  [SMALL_STATE(10610)] = 558237,
  [SMALL_STATE(10611)] = 558278,
  [SMALL_STATE(10612)] = 558319,
  [SMALL_STATE(10613)] = 558360,
  [SMALL_STATE(10614)] = 558431,
  [SMALL_STATE(10615)] = 558472,
  [SMALL_STATE(10616)] = 558529,
  [SMALL_STATE(10617)] = 558570,
  [SMALL_STATE(10618)] = 558611,
  [SMALL_STATE(10619)] = 558652,
  [SMALL_STATE(10620)] = 558709,
  [SMALL_STATE(10621)] = 558750,
  [SMALL_STATE(10622)] = 558807,
  [SMALL_STATE(10623)] = 558858,
  [SMALL_STATE(10624)] = 558901,
  [SMALL_STATE(10625)] = 558956,
  [SMALL_STATE(10626)] = 559025,
  [SMALL_STATE(10627)] = 559068,
  [SMALL_STATE(10628)] = 559137,
  [SMALL_STATE(10629)] = 559178,
  [SMALL_STATE(10630)] = 559219,
  [SMALL_STATE(10631)] = 559288,
  [SMALL_STATE(10632)] = 559329,
  [SMALL_STATE(10633)] = 559370,
  [SMALL_STATE(10634)] = 559413,
  [SMALL_STATE(10635)] = 559474,
  [SMALL_STATE(10636)] = 559517,
  [SMALL_STATE(10637)] = 559562,
  [SMALL_STATE(10638)] = 559603,
  [SMALL_STATE(10639)] = 559644,
  [SMALL_STATE(10640)] = 559713,
  [SMALL_STATE(10641)] = 559756,
  [SMALL_STATE(10642)] = 559797,
  [SMALL_STATE(10643)] = 559838,
  [SMALL_STATE(10644)] = 559883,
  [SMALL_STATE(10645)] = 559924,
  [SMALL_STATE(10646)] = 559965,
  [SMALL_STATE(10647)] = 560010,
  [SMALL_STATE(10648)] = 560051,
  [SMALL_STATE(10649)] = 560096,
  [SMALL_STATE(10650)] = 560155,
  [SMALL_STATE(10651)] = 560206,
  [SMALL_STATE(10652)] = 560251,
  [SMALL_STATE(10653)] = 560296,
  [SMALL_STATE(10654)] = 560349,
  [SMALL_STATE(10655)] = 560402,
  [SMALL_STATE(10656)] = 560443,
  [SMALL_STATE(10657)] = 560496,
  [SMALL_STATE(10658)] = 560553,
  [SMALL_STATE(10659)] = 560612,
  [SMALL_STATE(10660)] = 560653,
  [SMALL_STATE(10661)] = 560716,
  [SMALL_STATE(10662)] = 560757,
  [SMALL_STATE(10663)] = 560798,
  [SMALL_STATE(10664)] = 560839,
  [SMALL_STATE(10665)] = 560886,
  [SMALL_STATE(10666)] = 560927,
  [SMALL_STATE(10667)] = 560968,
  [SMALL_STATE(10668)] = 561031,
  [SMALL_STATE(10669)] = 561072,
  [SMALL_STATE(10670)] = 561113,
  [SMALL_STATE(10671)] = 561154,
  [SMALL_STATE(10672)] = 561195,
  [SMALL_STATE(10673)] = 561236,
  [SMALL_STATE(10674)] = 561277,
  [SMALL_STATE(10675)] = 561340,
  [SMALL_STATE(10676)] = 561381,
  [SMALL_STATE(10677)] = 561424,
  [SMALL_STATE(10678)] = 561465,
  [SMALL_STATE(10679)] = 561516,
  [SMALL_STATE(10680)] = 561585,
  [SMALL_STATE(10681)] = 561626,
  [SMALL_STATE(10682)] = 561683,
  [SMALL_STATE(10683)] = 561752,
  [SMALL_STATE(10684)] = 561793,
  [SMALL_STATE(10685)] = 561862,
  [SMALL_STATE(10686)] = 561917,
  [SMALL_STATE(10687)] = 561968,
  [SMALL_STATE(10688)] = 562009,
  [SMALL_STATE(10689)] = 562050,
  [SMALL_STATE(10690)] = 562091,
  [SMALL_STATE(10691)] = 562134,
  [SMALL_STATE(10692)] = 562175,
  [SMALL_STATE(10693)] = 562238,
  [SMALL_STATE(10694)] = 562279,
  [SMALL_STATE(10695)] = 562320,
  [SMALL_STATE(10696)] = 562381,
  [SMALL_STATE(10697)] = 562422,
  [SMALL_STATE(10698)] = 562467,
  [SMALL_STATE(10699)] = 562536,
  [SMALL_STATE(10700)] = 562595,
  [SMALL_STATE(10701)] = 562654,
  [SMALL_STATE(10702)] = 562722,
  [SMALL_STATE(10703)] = 562762,
  [SMALL_STATE(10704)] = 562830,
  [SMALL_STATE(10705)] = 562870,
  [SMALL_STATE(10706)] = 562938,
  [SMALL_STATE(10707)] = 562978,
  [SMALL_STATE(10708)] = 563040,
  [SMALL_STATE(10709)] = 563086,
  [SMALL_STATE(10710)] = 563136,
  [SMALL_STATE(10711)] = 563204,
  [SMALL_STATE(10712)] = 563244,
  [SMALL_STATE(10713)] = 563312,
  [SMALL_STATE(10714)] = 563352,
  [SMALL_STATE(10715)] = 563398,
  [SMALL_STATE(10716)] = 563438,
  [SMALL_STATE(10717)] = 563484,
  [SMALL_STATE(10718)] = 563524,
  [SMALL_STATE(10719)] = 563592,
  [SMALL_STATE(10720)] = 563632,
  [SMALL_STATE(10721)] = 563700,
  [SMALL_STATE(10722)] = 563740,
  [SMALL_STATE(10723)] = 563780,
  [SMALL_STATE(10724)] = 563820,
  [SMALL_STATE(10725)] = 563876,
  [SMALL_STATE(10726)] = 563916,
  [SMALL_STATE(10727)] = 563984,
  [SMALL_STATE(10728)] = 564050,
  [SMALL_STATE(10729)] = 564090,
  [SMALL_STATE(10730)] = 564148,
  [SMALL_STATE(10731)] = 564216,
  [SMALL_STATE(10732)] = 564284,
  [SMALL_STATE(10733)] = 564352,
  [SMALL_STATE(10734)] = 564420,
  [SMALL_STATE(10735)] = 564488,
  [SMALL_STATE(10736)] = 564530,
  [SMALL_STATE(10737)] = 564586,
  [SMALL_STATE(10738)] = 564654,
  [SMALL_STATE(10739)] = 564694,
  [SMALL_STATE(10740)] = 564734,
  [SMALL_STATE(10741)] = 564774,
  [SMALL_STATE(10742)] = 564824,
  [SMALL_STATE(10743)] = 564864,
  [SMALL_STATE(10744)] = 564904,
  [SMALL_STATE(10745)] = 564972,
  [SMALL_STATE(10746)] = 565028,
  [SMALL_STATE(10747)] = 565068,
  [SMALL_STATE(10748)] = 565108,
  [SMALL_STATE(10749)] = 565160,
  [SMALL_STATE(10750)] = 565228,
  [SMALL_STATE(10751)] = 565268,
  [SMALL_STATE(10752)] = 565336,
  [SMALL_STATE(10753)] = 565376,
  [SMALL_STATE(10754)] = 565444,
  [SMALL_STATE(10755)] = 565512,
  [SMALL_STATE(10756)] = 565564,
  [SMALL_STATE(10757)] = 565604,
  [SMALL_STATE(10758)] = 565660,
  [SMALL_STATE(10759)] = 565700,
  [SMALL_STATE(10760)] = 565740,
  [SMALL_STATE(10761)] = 565780,
  [SMALL_STATE(10762)] = 565848,
  [SMALL_STATE(10763)] = 565888,
  [SMALL_STATE(10764)] = 565932,
  [SMALL_STATE(10765)] = 566000,
  [SMALL_STATE(10766)] = 566068,
  [SMALL_STATE(10767)] = 566108,
  [SMALL_STATE(10768)] = 566148,
  [SMALL_STATE(10769)] = 566204,
  [SMALL_STATE(10770)] = 566272,
  [SMALL_STATE(10771)] = 566312,
  [SMALL_STATE(10772)] = 566368,
  [SMALL_STATE(10773)] = 566408,
  [SMALL_STATE(10774)] = 566448,
  [SMALL_STATE(10775)] = 566488,
  [SMALL_STATE(10776)] = 566556,
  [SMALL_STATE(10777)] = 566606,
  [SMALL_STATE(10778)] = 566646,
  [SMALL_STATE(10779)] = 566686,
  [SMALL_STATE(10780)] = 566754,
  [SMALL_STATE(10781)] = 566810,
  [SMALL_STATE(10782)] = 566850,
  [SMALL_STATE(10783)] = 566890,
  [SMALL_STATE(10784)] = 566932,
  [SMALL_STATE(10785)] = 566982,
  [SMALL_STATE(10786)] = 567022,
  [SMALL_STATE(10787)] = 567090,
  [SMALL_STATE(10788)] = 567148,
  [SMALL_STATE(10789)] = 567216,
  [SMALL_STATE(10790)] = 567284,
  [SMALL_STATE(10791)] = 567324,
  [SMALL_STATE(10792)] = 567392,
  [SMALL_STATE(10793)] = 567442,
  [SMALL_STATE(10794)] = 567504,
  [SMALL_STATE(10795)] = 567572,
  [SMALL_STATE(10796)] = 567640,
  [SMALL_STATE(10797)] = 567690,
  [SMALL_STATE(10798)] = 567746,
  [SMALL_STATE(10799)] = 567786,
  [SMALL_STATE(10800)] = 567854,
  [SMALL_STATE(10801)] = 567900,
  [SMALL_STATE(10802)] = 567940,
  [SMALL_STATE(10803)] = 567996,
  [SMALL_STATE(10804)] = 568064,
  [SMALL_STATE(10805)] = 568132,
  [SMALL_STATE(10806)] = 568182,
  [SMALL_STATE(10807)] = 568244,
  [SMALL_STATE(10808)] = 568284,
  [SMALL_STATE(10809)] = 568324,
  [SMALL_STATE(10810)] = 568364,
  [SMALL_STATE(10811)] = 568404,
  [SMALL_STATE(10812)] = 568444,
  [SMALL_STATE(10813)] = 568484,
  [SMALL_STATE(10814)] = 568524,
  [SMALL_STATE(10815)] = 568592,
  [SMALL_STATE(10816)] = 568632,
  [SMALL_STATE(10817)] = 568694,
  [SMALL_STATE(10818)] = 568762,
  [SMALL_STATE(10819)] = 568830,
  [SMALL_STATE(10820)] = 568876,
  [SMALL_STATE(10821)] = 568932,
  [SMALL_STATE(10822)] = 568990,
  [SMALL_STATE(10823)] = 569030,
  [SMALL_STATE(10824)] = 569070,
  [SMALL_STATE(10825)] = 569110,
  [SMALL_STATE(10826)] = 569150,
  [SMALL_STATE(10827)] = 569190,
  [SMALL_STATE(10828)] = 569230,
  [SMALL_STATE(10829)] = 569274,
  [SMALL_STATE(10830)] = 569314,
  [SMALL_STATE(10831)] = 569354,
  [SMALL_STATE(10832)] = 569422,
  [SMALL_STATE(10833)] = 569462,
  [SMALL_STATE(10834)] = 569530,
  [SMALL_STATE(10835)] = 569580,
  [SMALL_STATE(10836)] = 569648,
  [SMALL_STATE(10837)] = 569688,
  [SMALL_STATE(10838)] = 569728,
  [SMALL_STATE(10839)] = 569796,
  [SMALL_STATE(10840)] = 569836,
  [SMALL_STATE(10841)] = 569876,
  [SMALL_STATE(10842)] = 569932,
  [SMALL_STATE(10843)] = 569988,
  [SMALL_STATE(10844)] = 570056,
  [SMALL_STATE(10845)] = 570096,
  [SMALL_STATE(10846)] = 570136,
  [SMALL_STATE(10847)] = 570176,
  [SMALL_STATE(10848)] = 570216,
  [SMALL_STATE(10849)] = 570256,
  [SMALL_STATE(10850)] = 570296,
  [SMALL_STATE(10851)] = 570336,
  [SMALL_STATE(10852)] = 570376,
  [SMALL_STATE(10853)] = 570444,
  [SMALL_STATE(10854)] = 570484,
  [SMALL_STATE(10855)] = 570524,
  [SMALL_STATE(10856)] = 570564,
  [SMALL_STATE(10857)] = 570632,
  [SMALL_STATE(10858)] = 570684,
  [SMALL_STATE(10859)] = 570724,
  [SMALL_STATE(10860)] = 570764,
  [SMALL_STATE(10861)] = 570804,
  [SMALL_STATE(10862)] = 570844,
  [SMALL_STATE(10863)] = 570884,
  [SMALL_STATE(10864)] = 570940,
  [SMALL_STATE(10865)] = 570980,
  [SMALL_STATE(10866)] = 571020,
  [SMALL_STATE(10867)] = 571088,
  [SMALL_STATE(10868)] = 571156,
  [SMALL_STATE(10869)] = 571224,
  [SMALL_STATE(10870)] = 571292,
  [SMALL_STATE(10871)] = 571332,
  [SMALL_STATE(10872)] = 571372,
  [SMALL_STATE(10873)] = 571424,
  [SMALL_STATE(10874)] = 571468,
  [SMALL_STATE(10875)] = 571536,
  [SMALL_STATE(10876)] = 571604,
  [SMALL_STATE(10877)] = 571644,
  [SMALL_STATE(10878)] = 571684,
  [SMALL_STATE(10879)] = 571724,
  [SMALL_STATE(10880)] = 571792,
  [SMALL_STATE(10881)] = 571860,
  [SMALL_STATE(10882)] = 571900,
  [SMALL_STATE(10883)] = 571968,
  [SMALL_STATE(10884)] = 572014,
  [SMALL_STATE(10885)] = 572056,
  [SMALL_STATE(10886)] = 572096,
  [SMALL_STATE(10887)] = 572164,
  [SMALL_STATE(10888)] = 572208,
  [SMALL_STATE(10889)] = 572258,
  [SMALL_STATE(10890)] = 572308,
  [SMALL_STATE(10891)] = 572358,
  [SMALL_STATE(10892)] = 572398,
  [SMALL_STATE(10893)] = 572440,
  [SMALL_STATE(10894)] = 572480,
  [SMALL_STATE(10895)] = 572520,
  [SMALL_STATE(10896)] = 572560,
  [SMALL_STATE(10897)] = 572600,
  [SMALL_STATE(10898)] = 572640,
  [SMALL_STATE(10899)] = 572680,
  [SMALL_STATE(10900)] = 572748,
  [SMALL_STATE(10901)] = 572816,
  [SMALL_STATE(10902)] = 572856,
  [SMALL_STATE(10903)] = 572924,
  [SMALL_STATE(10904)] = 572964,
  [SMALL_STATE(10905)] = 573004,
  [SMALL_STATE(10906)] = 573044,
  [SMALL_STATE(10907)] = 573112,
  [SMALL_STATE(10908)] = 573156,
  [SMALL_STATE(10909)] = 573196,
  [SMALL_STATE(10910)] = 573238,
  [SMALL_STATE(10911)] = 573306,
  [SMALL_STATE(10912)] = 573374,
  [SMALL_STATE(10913)] = 573414,
  [SMALL_STATE(10914)] = 573454,
  [SMALL_STATE(10915)] = 573494,
  [SMALL_STATE(10916)] = 573562,
  [SMALL_STATE(10917)] = 573630,
  [SMALL_STATE(10918)] = 573698,
  [SMALL_STATE(10919)] = 573738,
  [SMALL_STATE(10920)] = 573778,
  [SMALL_STATE(10921)] = 573846,
  [SMALL_STATE(10922)] = 573886,
  [SMALL_STATE(10923)] = 573926,
  [SMALL_STATE(10924)] = 573978,
  [SMALL_STATE(10925)] = 574018,
  [SMALL_STATE(10926)] = 574086,
  [SMALL_STATE(10927)] = 574154,
  [SMALL_STATE(10928)] = 574194,
  [SMALL_STATE(10929)] = 574234,
  [SMALL_STATE(10930)] = 574302,
  [SMALL_STATE(10931)] = 574370,
  [SMALL_STATE(10932)] = 574412,
  [SMALL_STATE(10933)] = 574452,
  [SMALL_STATE(10934)] = 574492,
  [SMALL_STATE(10935)] = 574560,
  [SMALL_STATE(10936)] = 574616,
  [SMALL_STATE(10937)] = 574672,
  [SMALL_STATE(10938)] = 574712,
  [SMALL_STATE(10939)] = 574780,
  [SMALL_STATE(10940)] = 574830,
  [SMALL_STATE(10941)] = 574898,
  [SMALL_STATE(10942)] = 574938,
  [SMALL_STATE(10943)] = 574978,
  [SMALL_STATE(10944)] = 575018,
  [SMALL_STATE(10945)] = 575086,
  [SMALL_STATE(10946)] = 575126,
  [SMALL_STATE(10947)] = 575166,
  [SMALL_STATE(10948)] = 575234,
  [SMALL_STATE(10949)] = 575274,
  [SMALL_STATE(10950)] = 575314,
  [SMALL_STATE(10951)] = 575370,
  [SMALL_STATE(10952)] = 575410,
  [SMALL_STATE(10953)] = 575478,
  [SMALL_STATE(10954)] = 575518,
  [SMALL_STATE(10955)] = 575558,
  [SMALL_STATE(10956)] = 575598,
  [SMALL_STATE(10957)] = 575638,
  [SMALL_STATE(10958)] = 575678,
  [SMALL_STATE(10959)] = 575746,
  [SMALL_STATE(10960)] = 575790,
  [SMALL_STATE(10961)] = 575858,
  [SMALL_STATE(10962)] = 575926,
  [SMALL_STATE(10963)] = 575970,
  [SMALL_STATE(10964)] = 576038,
  [SMALL_STATE(10965)] = 576082,
  [SMALL_STATE(10966)] = 576126,
  [SMALL_STATE(10967)] = 576168,
  [SMALL_STATE(10968)] = 576222,
  [SMALL_STATE(10969)] = 576290,
  [SMALL_STATE(10970)] = 576358,
  [SMALL_STATE(10971)] = 576426,
  [SMALL_STATE(10972)] = 576494,
  [SMALL_STATE(10973)] = 576562,
  [SMALL_STATE(10974)] = 576630,
  [SMALL_STATE(10975)] = 576674,
  [SMALL_STATE(10976)] = 576742,
  [SMALL_STATE(10977)] = 576810,
  [SMALL_STATE(10978)] = 576850,
  [SMALL_STATE(10979)] = 576902,
  [SMALL_STATE(10980)] = 576942,
  [SMALL_STATE(10981)] = 577010,
  [SMALL_STATE(10982)] = 577078,
  [SMALL_STATE(10983)] = 577122,
  [SMALL_STATE(10984)] = 577190,
  [SMALL_STATE(10985)] = 577254,
  [SMALL_STATE(10986)] = 577300,
  [SMALL_STATE(10987)] = 577340,
  [SMALL_STATE(10988)] = 577380,
  [SMALL_STATE(10989)] = 577442,
  [SMALL_STATE(10990)] = 577482,
  [SMALL_STATE(10991)] = 577522,
  [SMALL_STATE(10992)] = 577578,
  [SMALL_STATE(10993)] = 577640,
  [SMALL_STATE(10994)] = 577680,
  [SMALL_STATE(10995)] = 577720,
  [SMALL_STATE(10996)] = 577776,
  [SMALL_STATE(10997)] = 577816,
  [SMALL_STATE(10998)] = 577856,
  [SMALL_STATE(10999)] = 577920,
  [SMALL_STATE(11000)] = 577962,
  [SMALL_STATE(11001)] = 578020,
  [SMALL_STATE(11002)] = 578088,
  [SMALL_STATE(11003)] = 578156,
  [SMALL_STATE(11004)] = 578224,
  [SMALL_STATE(11005)] = 578264,
  [SMALL_STATE(11006)] = 578304,
  [SMALL_STATE(11007)] = 578344,
  [SMALL_STATE(11008)] = 578388,
  [SMALL_STATE(11009)] = 578428,
  [SMALL_STATE(11010)] = 578468,
  [SMALL_STATE(11011)] = 578508,
  [SMALL_STATE(11012)] = 578548,
  [SMALL_STATE(11013)] = 578590,
  [SMALL_STATE(11014)] = 578658,
  [SMALL_STATE(11015)] = 578702,
  [SMALL_STATE(11016)] = 578742,
  [SMALL_STATE(11017)] = 578804,
  [SMALL_STATE(11018)] = 578844,
  [SMALL_STATE(11019)] = 578894,
  [SMALL_STATE(11020)] = 578934,
  [SMALL_STATE(11021)] = 578980,
  [SMALL_STATE(11022)] = 579020,
  [SMALL_STATE(11023)] = 579060,
  [SMALL_STATE(11024)] = 579128,
  [SMALL_STATE(11025)] = 579168,
  [SMALL_STATE(11026)] = 579208,
  [SMALL_STATE(11027)] = 579254,
  [SMALL_STATE(11028)] = 579294,
  [SMALL_STATE(11029)] = 579362,
  [SMALL_STATE(11030)] = 579402,
  [SMALL_STATE(11031)] = 579442,
  [SMALL_STATE(11032)] = 579482,
  [SMALL_STATE(11033)] = 579522,
  [SMALL_STATE(11034)] = 579562,
  [SMALL_STATE(11035)] = 579602,
  [SMALL_STATE(11036)] = 579652,
  [SMALL_STATE(11037)] = 579692,
  [SMALL_STATE(11038)] = 579760,
  [SMALL_STATE(11039)] = 579828,
  [SMALL_STATE(11040)] = 579896,
  [SMALL_STATE(11041)] = 579936,
  [SMALL_STATE(11042)] = 579992,
  [SMALL_STATE(11043)] = 580038,
  [SMALL_STATE(11044)] = 580106,
  [SMALL_STATE(11045)] = 580146,
  [SMALL_STATE(11046)] = 580192,
  [SMALL_STATE(11047)] = 580260,
  [SMALL_STATE(11048)] = 580328,
  [SMALL_STATE(11049)] = 580396,
  [SMALL_STATE(11050)] = 580436,
  [SMALL_STATE(11051)] = 580476,
  [SMALL_STATE(11052)] = 580516,
  [SMALL_STATE(11053)] = 580566,
  [SMALL_STATE(11054)] = 580622,
  [SMALL_STATE(11055)] = 580662,
  [SMALL_STATE(11056)] = 580730,
  [SMALL_STATE(11057)] = 580793,
  [SMALL_STATE(11058)] = 580848,
  [SMALL_STATE(11059)] = 580887,
  [SMALL_STATE(11060)] = 580942,
  [SMALL_STATE(11061)] = 580997,
  [SMALL_STATE(11062)] = 581060,
  [SMALL_STATE(11063)] = 581123,
  [SMALL_STATE(11064)] = 581186,
  [SMALL_STATE(11065)] = 581225,
  [SMALL_STATE(11066)] = 581264,
  [SMALL_STATE(11067)] = 581303,
  [SMALL_STATE(11068)] = 581342,
  [SMALL_STATE(11069)] = 581405,
  [SMALL_STATE(11070)] = 581468,
  [SMALL_STATE(11071)] = 581531,
  [SMALL_STATE(11072)] = 581572,
  [SMALL_STATE(11073)] = 581611,
  [SMALL_STATE(11074)] = 581674,
  [SMALL_STATE(11075)] = 581717,
  [SMALL_STATE(11076)] = 581760,
  [SMALL_STATE(11077)] = 581799,
  [SMALL_STATE(11078)] = 581862,
  [SMALL_STATE(11079)] = 581925,
  [SMALL_STATE(11080)] = 581988,
  [SMALL_STATE(11081)] = 582037,
  [SMALL_STATE(11082)] = 582100,
  [SMALL_STATE(11083)] = 582139,
  [SMALL_STATE(11084)] = 582178,
  [SMALL_STATE(11085)] = 582233,
  [SMALL_STATE(11086)] = 582276,
  [SMALL_STATE(11087)] = 582339,
  [SMALL_STATE(11088)] = 582400,
  [SMALL_STATE(11089)] = 582463,
  [SMALL_STATE(11090)] = 582514,
  [SMALL_STATE(11091)] = 582553,
  [SMALL_STATE(11092)] = 582616,
  [SMALL_STATE(11093)] = 582667,
  [SMALL_STATE(11094)] = 582730,
  [SMALL_STATE(11095)] = 582783,
  [SMALL_STATE(11096)] = 582822,
  [SMALL_STATE(11097)] = 582871,
  [SMALL_STATE(11098)] = 582910,
  [SMALL_STATE(11099)] = 582973,
  [SMALL_STATE(11100)] = 583012,
  [SMALL_STATE(11101)] = 583051,
  [SMALL_STATE(11102)] = 583114,
  [SMALL_STATE(11103)] = 583169,
  [SMALL_STATE(11104)] = 583232,
  [SMALL_STATE(11105)] = 583271,
  [SMALL_STATE(11106)] = 583310,
  [SMALL_STATE(11107)] = 583357,
  [SMALL_STATE(11108)] = 583396,
  [SMALL_STATE(11109)] = 583435,
  [SMALL_STATE(11110)] = 583474,
  [SMALL_STATE(11111)] = 583537,
  [SMALL_STATE(11112)] = 583576,
  [SMALL_STATE(11113)] = 583627,
  [SMALL_STATE(11114)] = 583682,
  [SMALL_STATE(11115)] = 583745,
  [SMALL_STATE(11116)] = 583798,
  [SMALL_STATE(11117)] = 583861,
  [SMALL_STATE(11118)] = 583900,
  [SMALL_STATE(11119)] = 583963,
  [SMALL_STATE(11120)] = 584002,
  [SMALL_STATE(11121)] = 584041,
  [SMALL_STATE(11122)] = 584104,
  [SMALL_STATE(11123)] = 584143,
  [SMALL_STATE(11124)] = 584200,
  [SMALL_STATE(11125)] = 584255,
  [SMALL_STATE(11126)] = 584296,
  [SMALL_STATE(11127)] = 584359,
  [SMALL_STATE(11128)] = 584414,
  [SMALL_STATE(11129)] = 584469,
  [SMALL_STATE(11130)] = 584532,
  [SMALL_STATE(11131)] = 584595,
  [SMALL_STATE(11132)] = 584634,
  [SMALL_STATE(11133)] = 584697,
  [SMALL_STATE(11134)] = 584758,
  [SMALL_STATE(11135)] = 584813,
  [SMALL_STATE(11136)] = 584876,
  [SMALL_STATE(11137)] = 584921,
  [SMALL_STATE(11138)] = 584984,
  [SMALL_STATE(11139)] = 585023,
  [SMALL_STATE(11140)] = 585062,
  [SMALL_STATE(11141)] = 585101,
  [SMALL_STATE(11142)] = 585164,
  [SMALL_STATE(11143)] = 585203,
  [SMALL_STATE(11144)] = 585242,
  [SMALL_STATE(11145)] = 585305,
  [SMALL_STATE(11146)] = 585368,
  [SMALL_STATE(11147)] = 585425,
  [SMALL_STATE(11148)] = 585466,
  [SMALL_STATE(11149)] = 585519,
  [SMALL_STATE(11150)] = 585558,
  [SMALL_STATE(11151)] = 585621,
  [SMALL_STATE(11152)] = 585660,
  [SMALL_STATE(11153)] = 585701,
  [SMALL_STATE(11154)] = 585764,
  [SMALL_STATE(11155)] = 585827,
  [SMALL_STATE(11156)] = 585866,
  [SMALL_STATE(11157)] = 585921,
  [SMALL_STATE(11158)] = 585984,
  [SMALL_STATE(11159)] = 586023,
  [SMALL_STATE(11160)] = 586078,
  [SMALL_STATE(11161)] = 586141,
  [SMALL_STATE(11162)] = 586180,
  [SMALL_STATE(11163)] = 586219,
  [SMALL_STATE(11164)] = 586274,
  [SMALL_STATE(11165)] = 586315,
  [SMALL_STATE(11166)] = 586378,
  [SMALL_STATE(11167)] = 586441,
  [SMALL_STATE(11168)] = 586490,
  [SMALL_STATE(11169)] = 586529,
  [SMALL_STATE(11170)] = 586568,
  [SMALL_STATE(11171)] = 586607,
  [SMALL_STATE(11172)] = 586660,
  [SMALL_STATE(11173)] = 586699,
  [SMALL_STATE(11174)] = 586754,
  [SMALL_STATE(11175)] = 586817,
  [SMALL_STATE(11176)] = 586880,
  [SMALL_STATE(11177)] = 586919,
  [SMALL_STATE(11178)] = 586958,
  [SMALL_STATE(11179)] = 587019,
  [SMALL_STATE(11180)] = 587082,
  [SMALL_STATE(11181)] = 587139,
  [SMALL_STATE(11182)] = 587202,
  [SMALL_STATE(11183)] = 587259,
  [SMALL_STATE(11184)] = 587322,
  [SMALL_STATE(11185)] = 587385,
  [SMALL_STATE(11186)] = 587424,
  [SMALL_STATE(11187)] = 587487,
  [SMALL_STATE(11188)] = 587550,
  [SMALL_STATE(11189)] = 587599,
  [SMALL_STATE(11190)] = 587662,
  [SMALL_STATE(11191)] = 587725,
  [SMALL_STATE(11192)] = 587788,
  [SMALL_STATE(11193)] = 587827,
  [SMALL_STATE(11194)] = 587890,
  [SMALL_STATE(11195)] = 587931,
  [SMALL_STATE(11196)] = 587972,
  [SMALL_STATE(11197)] = 588035,
  [SMALL_STATE(11198)] = 588098,
  [SMALL_STATE(11199)] = 588137,
  [SMALL_STATE(11200)] = 588200,
  [SMALL_STATE(11201)] = 588239,
  [SMALL_STATE(11202)] = 588302,
  [SMALL_STATE(11203)] = 588365,
  [SMALL_STATE(11204)] = 588428,
  [SMALL_STATE(11205)] = 588467,
  [SMALL_STATE(11206)] = 588530,
  [SMALL_STATE(11207)] = 588569,
  [SMALL_STATE(11208)] = 588608,
  [SMALL_STATE(11209)] = 588647,
  [SMALL_STATE(11210)] = 588690,
  [SMALL_STATE(11211)] = 588729,
  [SMALL_STATE(11212)] = 588768,
  [SMALL_STATE(11213)] = 588807,
  [SMALL_STATE(11214)] = 588848,
  [SMALL_STATE(11215)] = 588887,
  [SMALL_STATE(11216)] = 588942,
  [SMALL_STATE(11217)] = 588981,
  [SMALL_STATE(11218)] = 589044,
  [SMALL_STATE(11219)] = 589083,
  [SMALL_STATE(11220)] = 589122,
  [SMALL_STATE(11221)] = 589161,
  [SMALL_STATE(11222)] = 589200,
  [SMALL_STATE(11223)] = 589239,
  [SMALL_STATE(11224)] = 589278,
  [SMALL_STATE(11225)] = 589341,
  [SMALL_STATE(11226)] = 589404,
  [SMALL_STATE(11227)] = 589453,
  [SMALL_STATE(11228)] = 589516,
  [SMALL_STATE(11229)] = 589571,
  [SMALL_STATE(11230)] = 589626,
  [SMALL_STATE(11231)] = 589665,
  [SMALL_STATE(11232)] = 589714,
  [SMALL_STATE(11233)] = 589777,
  [SMALL_STATE(11234)] = 589826,
  [SMALL_STATE(11235)] = 589889,
  [SMALL_STATE(11236)] = 589928,
  [SMALL_STATE(11237)] = 589991,
  [SMALL_STATE(11238)] = 590034,
  [SMALL_STATE(11239)] = 590073,
  [SMALL_STATE(11240)] = 590136,
  [SMALL_STATE(11241)] = 590175,
  [SMALL_STATE(11242)] = 590214,
  [SMALL_STATE(11243)] = 590253,
  [SMALL_STATE(11244)] = 590302,
  [SMALL_STATE(11245)] = 590341,
  [SMALL_STATE(11246)] = 590380,
  [SMALL_STATE(11247)] = 590419,
  [SMALL_STATE(11248)] = 590458,
  [SMALL_STATE(11249)] = 590497,
  [SMALL_STATE(11250)] = 590560,
  [SMALL_STATE(11251)] = 590623,
  [SMALL_STATE(11252)] = 590662,
  [SMALL_STATE(11253)] = 590701,
  [SMALL_STATE(11254)] = 590764,
  [SMALL_STATE(11255)] = 590803,
  [SMALL_STATE(11256)] = 590860,
  [SMALL_STATE(11257)] = 590899,
  [SMALL_STATE(11258)] = 590962,
  [SMALL_STATE(11259)] = 591025,
  [SMALL_STATE(11260)] = 591088,
  [SMALL_STATE(11261)] = 591151,
  [SMALL_STATE(11262)] = 591214,
  [SMALL_STATE(11263)] = 591277,
  [SMALL_STATE(11264)] = 591316,
  [SMALL_STATE(11265)] = 591355,
  [SMALL_STATE(11266)] = 591404,
  [SMALL_STATE(11267)] = 591457,
  [SMALL_STATE(11268)] = 591520,
  [SMALL_STATE(11269)] = 591583,
  [SMALL_STATE(11270)] = 591646,
  [SMALL_STATE(11271)] = 591709,
  [SMALL_STATE(11272)] = 591748,
  [SMALL_STATE(11273)] = 591811,
  [SMALL_STATE(11274)] = 591850,
  [SMALL_STATE(11275)] = 591899,
  [SMALL_STATE(11276)] = 591938,
  [SMALL_STATE(11277)] = 591981,
  [SMALL_STATE(11278)] = 592020,
  [SMALL_STATE(11279)] = 592083,
  [SMALL_STATE(11280)] = 592146,
  [SMALL_STATE(11281)] = 592209,
  [SMALL_STATE(11282)] = 592272,
  [SMALL_STATE(11283)] = 592335,
  [SMALL_STATE(11284)] = 592374,
  [SMALL_STATE(11285)] = 592437,
  [SMALL_STATE(11286)] = 592500,
  [SMALL_STATE(11287)] = 592539,
  [SMALL_STATE(11288)] = 592578,
  [SMALL_STATE(11289)] = 592627,
  [SMALL_STATE(11290)] = 592666,
  [SMALL_STATE(11291)] = 592705,
  [SMALL_STATE(11292)] = 592744,
  [SMALL_STATE(11293)] = 592783,
  [SMALL_STATE(11294)] = 592822,
  [SMALL_STATE(11295)] = 592861,
  [SMALL_STATE(11296)] = 592924,
  [SMALL_STATE(11297)] = 592963,
  [SMALL_STATE(11298)] = 593026,
  [SMALL_STATE(11299)] = 593077,
  [SMALL_STATE(11300)] = 593140,
  [SMALL_STATE(11301)] = 593179,
  [SMALL_STATE(11302)] = 593228,
  [SMALL_STATE(11303)] = 593291,
  [SMALL_STATE(11304)] = 593340,
  [SMALL_STATE(11305)] = 593379,
  [SMALL_STATE(11306)] = 593442,
  [SMALL_STATE(11307)] = 593491,
  [SMALL_STATE(11308)] = 593532,
  [SMALL_STATE(11309)] = 593571,
  [SMALL_STATE(11310)] = 593626,
  [SMALL_STATE(11311)] = 593689,
  [SMALL_STATE(11312)] = 593728,
  [SMALL_STATE(11313)] = 593767,
  [SMALL_STATE(11314)] = 593806,
  [SMALL_STATE(11315)] = 593869,
  [SMALL_STATE(11316)] = 593932,
  [SMALL_STATE(11317)] = 593995,
  [SMALL_STATE(11318)] = 594058,
  [SMALL_STATE(11319)] = 594103,
  [SMALL_STATE(11320)] = 594146,
  [SMALL_STATE(11321)] = 594209,
  [SMALL_STATE(11322)] = 594272,
  [SMALL_STATE(11323)] = 594335,
  [SMALL_STATE(11324)] = 594390,
  [SMALL_STATE(11325)] = 594445,
  [SMALL_STATE(11326)] = 594508,
  [SMALL_STATE(11327)] = 594547,
  [SMALL_STATE(11328)] = 594610,
  [SMALL_STATE(11329)] = 594649,
  [SMALL_STATE(11330)] = 594692,
  [SMALL_STATE(11331)] = 594731,
  [SMALL_STATE(11332)] = 594770,
  [SMALL_STATE(11333)] = 594817,
  [SMALL_STATE(11334)] = 594856,
  [SMALL_STATE(11335)] = 594905,
  [SMALL_STATE(11336)] = 594944,
  [SMALL_STATE(11337)] = 594983,
  [SMALL_STATE(11338)] = 595022,
  [SMALL_STATE(11339)] = 595085,
  [SMALL_STATE(11340)] = 595148,
  [SMALL_STATE(11341)] = 595187,
  [SMALL_STATE(11342)] = 595238,
  [SMALL_STATE(11343)] = 595301,
  [SMALL_STATE(11344)] = 595364,
  [SMALL_STATE(11345)] = 595427,
  [SMALL_STATE(11346)] = 595466,
  [SMALL_STATE(11347)] = 595529,
  [SMALL_STATE(11348)] = 595568,
  [SMALL_STATE(11349)] = 595631,
  [SMALL_STATE(11350)] = 595674,
  [SMALL_STATE(11351)] = 595719,
  [SMALL_STATE(11352)] = 595764,
  [SMALL_STATE(11353)] = 595809,
  [SMALL_STATE(11354)] = 595854,
  [SMALL_STATE(11355)] = 595911,
  [SMALL_STATE(11356)] = 595966,
  [SMALL_STATE(11357)] = 596021,
  [SMALL_STATE(11358)] = 596076,
  [SMALL_STATE(11359)] = 596115,
  [SMALL_STATE(11360)] = 596153,
  [SMALL_STATE(11361)] = 596191,
  [SMALL_STATE(11362)] = 596229,
  [SMALL_STATE(11363)] = 596273,
  [SMALL_STATE(11364)] = 596323,
  [SMALL_STATE(11365)] = 596371,
  [SMALL_STATE(11366)] = 596415,
  [SMALL_STATE(11367)] = 596475,
  [SMALL_STATE(11368)] = 596513,
  [SMALL_STATE(11369)] = 596551,
  [SMALL_STATE(11370)] = 596589,
  [SMALL_STATE(11371)] = 596639,
  [SMALL_STATE(11372)] = 596691,
  [SMALL_STATE(11373)] = 596729,
  [SMALL_STATE(11374)] = 596767,
  [SMALL_STATE(11375)] = 596805,
  [SMALL_STATE(11376)] = 596845,
  [SMALL_STATE(11377)] = 596885,
  [SMALL_STATE(11378)] = 596935,
  [SMALL_STATE(11379)] = 596973,
  [SMALL_STATE(11380)] = 597011,
  [SMALL_STATE(11381)] = 597049,
  [SMALL_STATE(11382)] = 597087,
  [SMALL_STATE(11383)] = 597125,
  [SMALL_STATE(11384)] = 597163,
  [SMALL_STATE(11385)] = 597201,
  [SMALL_STATE(11386)] = 597243,
  [SMALL_STATE(11387)] = 597291,
  [SMALL_STATE(11388)] = 597329,
  [SMALL_STATE(11389)] = 597371,
  [SMALL_STATE(11390)] = 597409,
  [SMALL_STATE(11391)] = 597447,
  [SMALL_STATE(11392)] = 597497,
  [SMALL_STATE(11393)] = 597535,
  [SMALL_STATE(11394)] = 597595,
  [SMALL_STATE(11395)] = 597633,
  [SMALL_STATE(11396)] = 597681,
  [SMALL_STATE(11397)] = 597719,
  [SMALL_STATE(11398)] = 597769,
  [SMALL_STATE(11399)] = 597807,
  [SMALL_STATE(11400)] = 597845,
  [SMALL_STATE(11401)] = 597883,
  [SMALL_STATE(11402)] = 597921,
  [SMALL_STATE(11403)] = 597959,
  [SMALL_STATE(11404)] = 598001,
  [SMALL_STATE(11405)] = 598045,
  [SMALL_STATE(11406)] = 598093,
  [SMALL_STATE(11407)] = 598143,
  [SMALL_STATE(11408)] = 598185,
  [SMALL_STATE(11409)] = 598233,
  [SMALL_STATE(11410)] = 598275,
  [SMALL_STATE(11411)] = 598313,
  [SMALL_STATE(11412)] = 598351,
  [SMALL_STATE(11413)] = 598389,
  [SMALL_STATE(11414)] = 598429,
  [SMALL_STATE(11415)] = 598469,
  [SMALL_STATE(11416)] = 598513,
  [SMALL_STATE(11417)] = 598563,
  [SMALL_STATE(11418)] = 598601,
  [SMALL_STATE(11419)] = 598653,
  [SMALL_STATE(11420)] = 598691,
  [SMALL_STATE(11421)] = 598741,
  [SMALL_STATE(11422)] = 598779,
  [SMALL_STATE(11423)] = 598819,
  [SMALL_STATE(11424)] = 598869,
  [SMALL_STATE(11425)] = 598913,
  [SMALL_STATE(11426)] = 598957,
  [SMALL_STATE(11427)] = 599007,
  [SMALL_STATE(11428)] = 599045,
  [SMALL_STATE(11429)] = 599083,
  [SMALL_STATE(11430)] = 599121,
  [SMALL_STATE(11431)] = 599165,
  [SMALL_STATE(11432)] = 599203,
  [SMALL_STATE(11433)] = 599251,
  [SMALL_STATE(11434)] = 599289,
  [SMALL_STATE(11435)] = 599331,
  [SMALL_STATE(11436)] = 599369,
  [SMALL_STATE(11437)] = 599407,
  [SMALL_STATE(11438)] = 599459,
  [SMALL_STATE(11439)] = 599509,
  [SMALL_STATE(11440)] = 599547,
  [SMALL_STATE(11441)] = 599595,
  [SMALL_STATE(11442)] = 599643,
  [SMALL_STATE(11443)] = 599681,
  [SMALL_STATE(11444)] = 599731,
  [SMALL_STATE(11445)] = 599781,
  [SMALL_STATE(11446)] = 599819,
  [SMALL_STATE(11447)] = 599857,
  [SMALL_STATE(11448)] = 599895,
  [SMALL_STATE(11449)] = 599943,
  [SMALL_STATE(11450)] = 599981,
  [SMALL_STATE(11451)] = 600023,
  [SMALL_STATE(11452)] = 600061,
  [SMALL_STATE(11453)] = 600099,
  [SMALL_STATE(11454)] = 600141,
  [SMALL_STATE(11455)] = 600181,
  [SMALL_STATE(11456)] = 600219,
  [SMALL_STATE(11457)] = 600257,
  [SMALL_STATE(11458)] = 600305,
  [SMALL_STATE(11459)] = 600355,
  [SMALL_STATE(11460)] = 600393,
  [SMALL_STATE(11461)] = 600449,
  [SMALL_STATE(11462)] = 600489,
  [SMALL_STATE(11463)] = 600527,
  [SMALL_STATE(11464)] = 600579,
  [SMALL_STATE(11465)] = 600617,
  [SMALL_STATE(11466)] = 600655,
  [SMALL_STATE(11467)] = 600693,
  [SMALL_STATE(11468)] = 600735,
  [SMALL_STATE(11469)] = 600777,
  [SMALL_STATE(11470)] = 600829,
  [SMALL_STATE(11471)] = 600871,
  [SMALL_STATE(11472)] = 600913,
  [SMALL_STATE(11473)] = 600955,
  [SMALL_STATE(11474)] = 600997,
  [SMALL_STATE(11475)] = 601037,
  [SMALL_STATE(11476)] = 601075,
  [SMALL_STATE(11477)] = 601113,
  [SMALL_STATE(11478)] = 601151,
  [SMALL_STATE(11479)] = 601199,
  [SMALL_STATE(11480)] = 601237,
  [SMALL_STATE(11481)] = 601275,
  [SMALL_STATE(11482)] = 601313,
  [SMALL_STATE(11483)] = 601355,
  [SMALL_STATE(11484)] = 601393,
  [SMALL_STATE(11485)] = 601431,
  [SMALL_STATE(11486)] = 601469,
  [SMALL_STATE(11487)] = 601511,
  [SMALL_STATE(11488)] = 601549,
  [SMALL_STATE(11489)] = 601587,
  [SMALL_STATE(11490)] = 601625,
  [SMALL_STATE(11491)] = 601675,
  [SMALL_STATE(11492)] = 601717,
  [SMALL_STATE(11493)] = 601757,
  [SMALL_STATE(11494)] = 601795,
  [SMALL_STATE(11495)] = 601843,
  [SMALL_STATE(11496)] = 601903,
  [SMALL_STATE(11497)] = 601941,
  [SMALL_STATE(11498)] = 601991,
  [SMALL_STATE(11499)] = 602029,
  [SMALL_STATE(11500)] = 602067,
  [SMALL_STATE(11501)] = 602117,
  [SMALL_STATE(11502)] = 602155,
  [SMALL_STATE(11503)] = 602193,
  [SMALL_STATE(11504)] = 602235,
  [SMALL_STATE(11505)] = 602273,
  [SMALL_STATE(11506)] = 602311,
  [SMALL_STATE(11507)] = 602359,
  [SMALL_STATE(11508)] = 602403,
  [SMALL_STATE(11509)] = 602453,
  [SMALL_STATE(11510)] = 602507,
  [SMALL_STATE(11511)] = 602545,
  [SMALL_STATE(11512)] = 602595,
  [SMALL_STATE(11513)] = 602633,
  [SMALL_STATE(11514)] = 602673,
  [SMALL_STATE(11515)] = 602735,
  [SMALL_STATE(11516)] = 602773,
  [SMALL_STATE(11517)] = 602811,
  [SMALL_STATE(11518)] = 602849,
  [SMALL_STATE(11519)] = 602891,
  [SMALL_STATE(11520)] = 602935,
  [SMALL_STATE(11521)] = 602973,
  [SMALL_STATE(11522)] = 603029,
  [SMALL_STATE(11523)] = 603069,
  [SMALL_STATE(11524)] = 603129,
  [SMALL_STATE(11525)] = 603167,
  [SMALL_STATE(11526)] = 603205,
  [SMALL_STATE(11527)] = 603243,
  [SMALL_STATE(11528)] = 603281,
  [SMALL_STATE(11529)] = 603319,
  [SMALL_STATE(11530)] = 603363,
  [SMALL_STATE(11531)] = 603407,
  [SMALL_STATE(11532)] = 603445,
  [SMALL_STATE(11533)] = 603495,
  [SMALL_STATE(11534)] = 603539,
  [SMALL_STATE(11535)] = 603577,
  [SMALL_STATE(11536)] = 603615,
  [SMALL_STATE(11537)] = 603659,
  [SMALL_STATE(11538)] = 603703,
  [SMALL_STATE(11539)] = 603741,
  [SMALL_STATE(11540)] = 603779,
  [SMALL_STATE(11541)] = 603823,
  [SMALL_STATE(11542)] = 603861,
  [SMALL_STATE(11543)] = 603924,
  [SMALL_STATE(11544)] = 603963,
  [SMALL_STATE(11545)] = 604006,
  [SMALL_STATE(11546)] = 604043,
  [SMALL_STATE(11547)] = 604080,
  [SMALL_STATE(11548)] = 604117,
  [SMALL_STATE(11549)] = 604160,
  [SMALL_STATE(11550)] = 604197,
  [SMALL_STATE(11551)] = 604240,
  [SMALL_STATE(11552)] = 604303,
  [SMALL_STATE(11553)] = 604340,
  [SMALL_STATE(11554)] = 604377,
  [SMALL_STATE(11555)] = 604414,
  [SMALL_STATE(11556)] = 604451,
  [SMALL_STATE(11557)] = 604488,
  [SMALL_STATE(11558)] = 604531,
  [SMALL_STATE(11559)] = 604574,
  [SMALL_STATE(11560)] = 604617,
  [SMALL_STATE(11561)] = 604660,
  [SMALL_STATE(11562)] = 604703,
  [SMALL_STATE(11563)] = 604740,
  [SMALL_STATE(11564)] = 604777,
  [SMALL_STATE(11565)] = 604814,
  [SMALL_STATE(11566)] = 604851,
  [SMALL_STATE(11567)] = 604914,
  [SMALL_STATE(11568)] = 604951,
  [SMALL_STATE(11569)] = 604988,
  [SMALL_STATE(11570)] = 605025,
  [SMALL_STATE(11571)] = 605062,
  [SMALL_STATE(11572)] = 605099,
  [SMALL_STATE(11573)] = 605146,
  [SMALL_STATE(11574)] = 605183,
  [SMALL_STATE(11575)] = 605220,
  [SMALL_STATE(11576)] = 605283,
  [SMALL_STATE(11577)] = 605320,
  [SMALL_STATE(11578)] = 605357,
  [SMALL_STATE(11579)] = 605394,
  [SMALL_STATE(11580)] = 605431,
  [SMALL_STATE(11581)] = 605468,
  [SMALL_STATE(11582)] = 605515,
  [SMALL_STATE(11583)] = 605552,
  [SMALL_STATE(11584)] = 605599,
  [SMALL_STATE(11585)] = 605636,
  [SMALL_STATE(11586)] = 605673,
  [SMALL_STATE(11587)] = 605720,
  [SMALL_STATE(11588)] = 605767,
  [SMALL_STATE(11589)] = 605814,
  [SMALL_STATE(11590)] = 605875,
  [SMALL_STATE(11591)] = 605922,
  [SMALL_STATE(11592)] = 605959,
  [SMALL_STATE(11593)] = 606022,
  [SMALL_STATE(11594)] = 606059,
  [SMALL_STATE(11595)] = 606096,
  [SMALL_STATE(11596)] = 606133,
  [SMALL_STATE(11597)] = 606170,
  [SMALL_STATE(11598)] = 606231,
  [SMALL_STATE(11599)] = 606272,
  [SMALL_STATE(11600)] = 606315,
  [SMALL_STATE(11601)] = 606378,
  [SMALL_STATE(11602)] = 606421,
  [SMALL_STATE(11603)] = 606458,
  [SMALL_STATE(11604)] = 606495,
  [SMALL_STATE(11605)] = 606538,
  [SMALL_STATE(11606)] = 606575,
  [SMALL_STATE(11607)] = 606618,
  [SMALL_STATE(11608)] = 606661,
  [SMALL_STATE(11609)] = 606704,
  [SMALL_STATE(11610)] = 606741,
  [SMALL_STATE(11611)] = 606784,
  [SMALL_STATE(11612)] = 606831,
  [SMALL_STATE(11613)] = 606894,
  [SMALL_STATE(11614)] = 606941,
  [SMALL_STATE(11615)] = 606978,
  [SMALL_STATE(11616)] = 607015,
  [SMALL_STATE(11617)] = 607052,
  [SMALL_STATE(11618)] = 607093,
  [SMALL_STATE(11619)] = 607136,
  [SMALL_STATE(11620)] = 607179,
  [SMALL_STATE(11621)] = 607222,
  [SMALL_STATE(11622)] = 607265,
  [SMALL_STATE(11623)] = 607302,
  [SMALL_STATE(11624)] = 607365,
  [SMALL_STATE(11625)] = 607402,
  [SMALL_STATE(11626)] = 607439,
  [SMALL_STATE(11627)] = 607476,
  [SMALL_STATE(11628)] = 607513,
  [SMALL_STATE(11629)] = 607550,
  [SMALL_STATE(11630)] = 607587,
  [SMALL_STATE(11631)] = 607624,
  [SMALL_STATE(11632)] = 607667,
  [SMALL_STATE(11633)] = 607704,
  [SMALL_STATE(11634)] = 607747,
  [SMALL_STATE(11635)] = 607790,
  [SMALL_STATE(11636)] = 607827,
  [SMALL_STATE(11637)] = 607870,
  [SMALL_STATE(11638)] = 607907,
  [SMALL_STATE(11639)] = 607950,
  [SMALL_STATE(11640)] = 607993,
  [SMALL_STATE(11641)] = 608056,
  [SMALL_STATE(11642)] = 608093,
  [SMALL_STATE(11643)] = 608130,
  [SMALL_STATE(11644)] = 608167,
  [SMALL_STATE(11645)] = 608204,
  [SMALL_STATE(11646)] = 608241,
  [SMALL_STATE(11647)] = 608278,
  [SMALL_STATE(11648)] = 608325,
  [SMALL_STATE(11649)] = 608388,
  [SMALL_STATE(11650)] = 608435,
  [SMALL_STATE(11651)] = 608482,
  [SMALL_STATE(11652)] = 608529,
  [SMALL_STATE(11653)] = 608566,
  [SMALL_STATE(11654)] = 608613,
  [SMALL_STATE(11655)] = 608650,
  [SMALL_STATE(11656)] = 608697,
  [SMALL_STATE(11657)] = 608734,
  [SMALL_STATE(11658)] = 608771,
  [SMALL_STATE(11659)] = 608808,
  [SMALL_STATE(11660)] = 608855,
  [SMALL_STATE(11661)] = 608918,
  [SMALL_STATE(11662)] = 608965,
  [SMALL_STATE(11663)] = 609002,
  [SMALL_STATE(11664)] = 609039,
  [SMALL_STATE(11665)] = 609102,
  [SMALL_STATE(11666)] = 609139,
  [SMALL_STATE(11667)] = 609202,
  [SMALL_STATE(11668)] = 609245,
  [SMALL_STATE(11669)] = 609288,
  [SMALL_STATE(11670)] = 609331,
  [SMALL_STATE(11671)] = 609374,
  [SMALL_STATE(11672)] = 609417,
  [SMALL_STATE(11673)] = 609464,
  [SMALL_STATE(11674)] = 609505,
  [SMALL_STATE(11675)] = 609548,
  [SMALL_STATE(11676)] = 609591,
  [SMALL_STATE(11677)] = 609654,
  [SMALL_STATE(11678)] = 609697,
  [SMALL_STATE(11679)] = 609740,
  [SMALL_STATE(11680)] = 609783,
  [SMALL_STATE(11681)] = 609826,
  [SMALL_STATE(11682)] = 609869,
  [SMALL_STATE(11683)] = 609912,
  [SMALL_STATE(11684)] = 609949,
  [SMALL_STATE(11685)] = 609986,
  [SMALL_STATE(11686)] = 610023,
  [SMALL_STATE(11687)] = 610060,
  [SMALL_STATE(11688)] = 610103,
  [SMALL_STATE(11689)] = 610166,
  [SMALL_STATE(11690)] = 610203,
  [SMALL_STATE(11691)] = 610266,
  [SMALL_STATE(11692)] = 610329,
  [SMALL_STATE(11693)] = 610392,
  [SMALL_STATE(11694)] = 610429,
  [SMALL_STATE(11695)] = 610472,
  [SMALL_STATE(11696)] = 610515,
  [SMALL_STATE(11697)] = 610558,
  [SMALL_STATE(11698)] = 610605,
  [SMALL_STATE(11699)] = 610652,
  [SMALL_STATE(11700)] = 610715,
  [SMALL_STATE(11701)] = 610758,
  [SMALL_STATE(11702)] = 610801,
  [SMALL_STATE(11703)] = 610844,
  [SMALL_STATE(11704)] = 610907,
  [SMALL_STATE(11705)] = 610950,
  [SMALL_STATE(11706)] = 610993,
  [SMALL_STATE(11707)] = 611036,
  [SMALL_STATE(11708)] = 611099,
  [SMALL_STATE(11709)] = 611142,
  [SMALL_STATE(11710)] = 611189,
  [SMALL_STATE(11711)] = 611232,
  [SMALL_STATE(11712)] = 611295,
  [SMALL_STATE(11713)] = 611358,
  [SMALL_STATE(11714)] = 611421,
  [SMALL_STATE(11715)] = 611458,
  [SMALL_STATE(11716)] = 611521,
  [SMALL_STATE(11717)] = 611584,
  [SMALL_STATE(11718)] = 611647,
  [SMALL_STATE(11719)] = 611710,
  [SMALL_STATE(11720)] = 611773,
  [SMALL_STATE(11721)] = 611836,
  [SMALL_STATE(11722)] = 611873,
  [SMALL_STATE(11723)] = 611916,
  [SMALL_STATE(11724)] = 611963,
  [SMALL_STATE(11725)] = 612006,
  [SMALL_STATE(11726)] = 612069,
  [SMALL_STATE(11727)] = 612112,
  [SMALL_STATE(11728)] = 612155,
  [SMALL_STATE(11729)] = 612198,
  [SMALL_STATE(11730)] = 612241,
  [SMALL_STATE(11731)] = 612284,
  [SMALL_STATE(11732)] = 612325,
  [SMALL_STATE(11733)] = 612380,
  [SMALL_STATE(11734)] = 612427,
  [SMALL_STATE(11735)] = 612490,
  [SMALL_STATE(11736)] = 612531,
  [SMALL_STATE(11737)] = 612572,
  [SMALL_STATE(11738)] = 612621,
  [SMALL_STATE(11739)] = 612670,
  [SMALL_STATE(11740)] = 612723,
  [SMALL_STATE(11741)] = 612778,
  [SMALL_STATE(11742)] = 612837,
  [SMALL_STATE(11743)] = 612880,
  [SMALL_STATE(11744)] = 612939,
  [SMALL_STATE(11745)] = 612982,
  [SMALL_STATE(11746)] = 613025,
  [SMALL_STATE(11747)] = 613068,
  [SMALL_STATE(11748)] = 613105,
  [SMALL_STATE(11749)] = 613168,
  [SMALL_STATE(11750)] = 613231,
  [SMALL_STATE(11751)] = 613272,
  [SMALL_STATE(11752)] = 613315,
  [SMALL_STATE(11753)] = 613358,
  [SMALL_STATE(11754)] = 613397,
  [SMALL_STATE(11755)] = 613440,
  [SMALL_STATE(11756)] = 613503,
  [SMALL_STATE(11757)] = 613546,
  [SMALL_STATE(11758)] = 613589,
  [SMALL_STATE(11759)] = 613632,
  [SMALL_STATE(11760)] = 613675,
  [SMALL_STATE(11761)] = 613734,
  [SMALL_STATE(11762)] = 613797,
  [SMALL_STATE(11763)] = 613840,
  [SMALL_STATE(11764)] = 613883,
  [SMALL_STATE(11765)] = 613926,
  [SMALL_STATE(11766)] = 613969,
  [SMALL_STATE(11767)] = 614012,
  [SMALL_STATE(11768)] = 614075,
  [SMALL_STATE(11769)] = 614118,
  [SMALL_STATE(11770)] = 614161,
  [SMALL_STATE(11771)] = 614224,
  [SMALL_STATE(11772)] = 614271,
  [SMALL_STATE(11773)] = 614314,
  [SMALL_STATE(11774)] = 614377,
  [SMALL_STATE(11775)] = 614414,
  [SMALL_STATE(11776)] = 614477,
  [SMALL_STATE(11777)] = 614540,
  [SMALL_STATE(11778)] = 614593,
  [SMALL_STATE(11779)] = 614646,
  [SMALL_STATE(11780)] = 614709,
  [SMALL_STATE(11781)] = 614764,
  [SMALL_STATE(11782)] = 614811,
  [SMALL_STATE(11783)] = 614852,
  [SMALL_STATE(11784)] = 614893,
  [SMALL_STATE(11785)] = 614942,
  [SMALL_STATE(11786)] = 614991,
  [SMALL_STATE(11787)] = 615054,
  [SMALL_STATE(11788)] = 615107,
  [SMALL_STATE(11789)] = 615162,
  [SMALL_STATE(11790)] = 615221,
  [SMALL_STATE(11791)] = 615264,
  [SMALL_STATE(11792)] = 615323,
  [SMALL_STATE(11793)] = 615386,
  [SMALL_STATE(11794)] = 615423,
  [SMALL_STATE(11795)] = 615460,
  [SMALL_STATE(11796)] = 615501,
  [SMALL_STATE(11797)] = 615564,
  [SMALL_STATE(11798)] = 615601,
  [SMALL_STATE(11799)] = 615638,
  [SMALL_STATE(11800)] = 615691,
  [SMALL_STATE(11801)] = 615732,
  [SMALL_STATE(11802)] = 615791,
  [SMALL_STATE(11803)] = 615838,
  [SMALL_STATE(11804)] = 615881,
  [SMALL_STATE(11805)] = 615924,
  [SMALL_STATE(11806)] = 615971,
  [SMALL_STATE(11807)] = 616024,
  [SMALL_STATE(11808)] = 616077,
  [SMALL_STATE(11809)] = 616118,
  [SMALL_STATE(11810)] = 616171,
  [SMALL_STATE(11811)] = 616214,
  [SMALL_STATE(11812)] = 616257,
  [SMALL_STATE(11813)] = 616300,
  [SMALL_STATE(11814)] = 616339,
  [SMALL_STATE(11815)] = 616382,
  [SMALL_STATE(11816)] = 616425,
  [SMALL_STATE(11817)] = 616462,
  [SMALL_STATE(11818)] = 616499,
  [SMALL_STATE(11819)] = 616538,
  [SMALL_STATE(11820)] = 616579,
  [SMALL_STATE(11821)] = 616620,
  [SMALL_STATE(11822)] = 616661,
  [SMALL_STATE(11823)] = 616702,
  [SMALL_STATE(11824)] = 616745,
  [SMALL_STATE(11825)] = 616808,
  [SMALL_STATE(11826)] = 616849,
  [SMALL_STATE(11827)] = 616892,
  [SMALL_STATE(11828)] = 616935,
  [SMALL_STATE(11829)] = 616978,
  [SMALL_STATE(11830)] = 617017,
  [SMALL_STATE(11831)] = 617070,
  [SMALL_STATE(11832)] = 617123,
  [SMALL_STATE(11833)] = 617162,
  [SMALL_STATE(11834)] = 617221,
  [SMALL_STATE(11835)] = 617262,
  [SMALL_STATE(11836)] = 617303,
  [SMALL_STATE(11837)] = 617342,
  [SMALL_STATE(11838)] = 617395,
  [SMALL_STATE(11839)] = 617458,
  [SMALL_STATE(11840)] = 617497,
  [SMALL_STATE(11841)] = 617550,
  [SMALL_STATE(11842)] = 617603,
  [SMALL_STATE(11843)] = 617656,
  [SMALL_STATE(11844)] = 617695,
  [SMALL_STATE(11845)] = 617738,
  [SMALL_STATE(11846)] = 617801,
  [SMALL_STATE(11847)] = 617864,
  [SMALL_STATE(11848)] = 617901,
  [SMALL_STATE(11849)] = 617948,
  [SMALL_STATE(11850)] = 617985,
  [SMALL_STATE(11851)] = 618022,
  [SMALL_STATE(11852)] = 618061,
  [SMALL_STATE(11853)] = 618124,
  [SMALL_STATE(11854)] = 618173,
  [SMALL_STATE(11855)] = 618222,
  [SMALL_STATE(11856)] = 618271,
  [SMALL_STATE(11857)] = 618320,
  [SMALL_STATE(11858)] = 618367,
  [SMALL_STATE(11859)] = 618416,
  [SMALL_STATE(11860)] = 618465,
  [SMALL_STATE(11861)] = 618514,
  [SMALL_STATE(11862)] = 618563,
  [SMALL_STATE(11863)] = 618612,
  [SMALL_STATE(11864)] = 618661,
  [SMALL_STATE(11865)] = 618710,
  [SMALL_STATE(11866)] = 618759,
  [SMALL_STATE(11867)] = 618808,
  [SMALL_STATE(11868)] = 618857,
  [SMALL_STATE(11869)] = 618906,
  [SMALL_STATE(11870)] = 618955,
  [SMALL_STATE(11871)] = 618992,
  [SMALL_STATE(11872)] = 619035,
  [SMALL_STATE(11873)] = 619076,
  [SMALL_STATE(11874)] = 619115,
  [SMALL_STATE(11875)] = 619164,
  [SMALL_STATE(11876)] = 619205,
  [SMALL_STATE(11877)] = 619254,
  [SMALL_STATE(11878)] = 619293,
  [SMALL_STATE(11879)] = 619334,
  [SMALL_STATE(11880)] = 619397,
  [SMALL_STATE(11881)] = 619438,
  [SMALL_STATE(11882)] = 619479,
  [SMALL_STATE(11883)] = 619522,
  [SMALL_STATE(11884)] = 619563,
  [SMALL_STATE(11885)] = 619602,
  [SMALL_STATE(11886)] = 619645,
  [SMALL_STATE(11887)] = 619688,
  [SMALL_STATE(11888)] = 619731,
  [SMALL_STATE(11889)] = 619774,
  [SMALL_STATE(11890)] = 619817,
  [SMALL_STATE(11891)] = 619854,
  [SMALL_STATE(11892)] = 619891,
  [SMALL_STATE(11893)] = 619954,
  [SMALL_STATE(11894)] = 619991,
  [SMALL_STATE(11895)] = 620034,
  [SMALL_STATE(11896)] = 620077,
  [SMALL_STATE(11897)] = 620120,
  [SMALL_STATE(11898)] = 620163,
  [SMALL_STATE(11899)] = 620204,
  [SMALL_STATE(11900)] = 620247,
  [SMALL_STATE(11901)] = 620290,
  [SMALL_STATE(11902)] = 620333,
  [SMALL_STATE(11903)] = 620376,
  [SMALL_STATE(11904)] = 620417,
  [SMALL_STATE(11905)] = 620460,
  [SMALL_STATE(11906)] = 620496,
  [SMALL_STATE(11907)] = 620542,
  [SMALL_STATE(11908)] = 620582,
  [SMALL_STATE(11909)] = 620628,
  [SMALL_STATE(11910)] = 620664,
  [SMALL_STATE(11911)] = 620700,
  [SMALL_STATE(11912)] = 620736,
  [SMALL_STATE(11913)] = 620782,
  [SMALL_STATE(11914)] = 620822,
  [SMALL_STATE(11915)] = 620858,
  [SMALL_STATE(11916)] = 620904,
  [SMALL_STATE(11917)] = 620940,
  [SMALL_STATE(11918)] = 620994,
  [SMALL_STATE(11919)] = 621040,
  [SMALL_STATE(11920)] = 621080,
  [SMALL_STATE(11921)] = 621120,
  [SMALL_STATE(11922)] = 621168,
  [SMALL_STATE(11923)] = 621216,
  [SMALL_STATE(11924)] = 621268,
  [SMALL_STATE(11925)] = 621322,
  [SMALL_STATE(11926)] = 621380,
  [SMALL_STATE(11927)] = 621422,
  [SMALL_STATE(11928)] = 621480,
  [SMALL_STATE(11929)] = 621526,
  [SMALL_STATE(11930)] = 621566,
  [SMALL_STATE(11931)] = 621604,
  [SMALL_STATE(11932)] = 621642,
  [SMALL_STATE(11933)] = 621682,
  [SMALL_STATE(11934)] = 621722,
  [SMALL_STATE(11935)] = 621764,
  [SMALL_STATE(11936)] = 621806,
  [SMALL_STATE(11937)] = 621848,
  [SMALL_STATE(11938)] = 621884,
  [SMALL_STATE(11939)] = 621924,
  [SMALL_STATE(11940)] = 621974,
  [SMALL_STATE(11941)] = 622014,
  [SMALL_STATE(11942)] = 622060,
  [SMALL_STATE(11943)] = 622096,
  [SMALL_STATE(11944)] = 622132,
  [SMALL_STATE(11945)] = 622168,
  [SMALL_STATE(11946)] = 622214,
  [SMALL_STATE(11947)] = 622250,
  [SMALL_STATE(11948)] = 622292,
  [SMALL_STATE(11949)] = 622338,
  [SMALL_STATE(11950)] = 622376,
  [SMALL_STATE(11951)] = 622418,
  [SMALL_STATE(11952)] = 622460,
  [SMALL_STATE(11953)] = 622496,
  [SMALL_STATE(11954)] = 622532,
  [SMALL_STATE(11955)] = 622568,
  [SMALL_STATE(11956)] = 622612,
  [SMALL_STATE(11957)] = 622648,
  [SMALL_STATE(11958)] = 622684,
  [SMALL_STATE(11959)] = 622742,
  [SMALL_STATE(11960)] = 622778,
  [SMALL_STATE(11961)] = 622824,
  [SMALL_STATE(11962)] = 622860,
  [SMALL_STATE(11963)] = 622900,
  [SMALL_STATE(11964)] = 622946,
  [SMALL_STATE(11965)] = 622984,
  [SMALL_STATE(11966)] = 623024,
  [SMALL_STATE(11967)] = 623060,
  [SMALL_STATE(11968)] = 623096,
  [SMALL_STATE(11969)] = 623138,
  [SMALL_STATE(11970)] = 623178,
  [SMALL_STATE(11971)] = 623214,
  [SMALL_STATE(11972)] = 623250,
  [SMALL_STATE(11973)] = 623286,
  [SMALL_STATE(11974)] = 623322,
  [SMALL_STATE(11975)] = 623358,
  [SMALL_STATE(11976)] = 623394,
  [SMALL_STATE(11977)] = 623430,
  [SMALL_STATE(11978)] = 623466,
  [SMALL_STATE(11979)] = 623508,
  [SMALL_STATE(11980)] = 623550,
  [SMALL_STATE(11981)] = 623586,
  [SMALL_STATE(11982)] = 623622,
  [SMALL_STATE(11983)] = 623658,
  [SMALL_STATE(11984)] = 623694,
  [SMALL_STATE(11985)] = 623730,
  [SMALL_STATE(11986)] = 623766,
  [SMALL_STATE(11987)] = 623802,
  [SMALL_STATE(11988)] = 623838,
  [SMALL_STATE(11989)] = 623874,
  [SMALL_STATE(11990)] = 623916,
  [SMALL_STATE(11991)] = 623952,
  [SMALL_STATE(11992)] = 623988,
  [SMALL_STATE(11993)] = 624024,
  [SMALL_STATE(11994)] = 624060,
  [SMALL_STATE(11995)] = 624096,
  [SMALL_STATE(11996)] = 624132,
  [SMALL_STATE(11997)] = 624168,
  [SMALL_STATE(11998)] = 624204,
  [SMALL_STATE(11999)] = 624240,
  [SMALL_STATE(12000)] = 624276,
  [SMALL_STATE(12001)] = 624312,
  [SMALL_STATE(12002)] = 624348,
  [SMALL_STATE(12003)] = 624384,
  [SMALL_STATE(12004)] = 624420,
  [SMALL_STATE(12005)] = 624466,
  [SMALL_STATE(12006)] = 624502,
  [SMALL_STATE(12007)] = 624538,
  [SMALL_STATE(12008)] = 624584,
  [SMALL_STATE(12009)] = 624626,
  [SMALL_STATE(12010)] = 624662,
  [SMALL_STATE(12011)] = 624708,
  [SMALL_STATE(12012)] = 624754,
  [SMALL_STATE(12013)] = 624804,
  [SMALL_STATE(12014)] = 624840,
  [SMALL_STATE(12015)] = 624886,
  [SMALL_STATE(12016)] = 624926,
  [SMALL_STATE(12017)] = 624968,
  [SMALL_STATE(12018)] = 625004,
  [SMALL_STATE(12019)] = 625046,
  [SMALL_STATE(12020)] = 625082,
  [SMALL_STATE(12021)] = 625128,
  [SMALL_STATE(12022)] = 625164,
  [SMALL_STATE(12023)] = 625200,
  [SMALL_STATE(12024)] = 625240,
  [SMALL_STATE(12025)] = 625276,
  [SMALL_STATE(12026)] = 625318,
  [SMALL_STATE(12027)] = 625354,
  [SMALL_STATE(12028)] = 625402,
  [SMALL_STATE(12029)] = 625450,
  [SMALL_STATE(12030)] = 625498,
  [SMALL_STATE(12031)] = 625546,
  [SMALL_STATE(12032)] = 625584,
  [SMALL_STATE(12033)] = 625626,
  [SMALL_STATE(12034)] = 625672,
  [SMALL_STATE(12035)] = 625714,
  [SMALL_STATE(12036)] = 625760,
  [SMALL_STATE(12037)] = 625796,
  [SMALL_STATE(12038)] = 625856,
  [SMALL_STATE(12039)] = 625898,
  [SMALL_STATE(12040)] = 625934,
  [SMALL_STATE(12041)] = 625970,
  [SMALL_STATE(12042)] = 626006,
  [SMALL_STATE(12043)] = 626042,
  [SMALL_STATE(12044)] = 626078,
  [SMALL_STATE(12045)] = 626114,
  [SMALL_STATE(12046)] = 626150,
  [SMALL_STATE(12047)] = 626186,
  [SMALL_STATE(12048)] = 626222,
  [SMALL_STATE(12049)] = 626258,
  [SMALL_STATE(12050)] = 626294,
  [SMALL_STATE(12051)] = 626330,
  [SMALL_STATE(12052)] = 626366,
  [SMALL_STATE(12053)] = 626402,
  [SMALL_STATE(12054)] = 626438,
  [SMALL_STATE(12055)] = 626474,
  [SMALL_STATE(12056)] = 626516,
  [SMALL_STATE(12057)] = 626552,
  [SMALL_STATE(12058)] = 626592,
  [SMALL_STATE(12059)] = 626634,
  [SMALL_STATE(12060)] = 626676,
  [SMALL_STATE(12061)] = 626716,
  [SMALL_STATE(12062)] = 626756,
  [SMALL_STATE(12063)] = 626796,
  [SMALL_STATE(12064)] = 626838,
  [SMALL_STATE(12065)] = 626882,
  [SMALL_STATE(12066)] = 626928,
  [SMALL_STATE(12067)] = 626968,
  [SMALL_STATE(12068)] = 627010,
  [SMALL_STATE(12069)] = 627048,
  [SMALL_STATE(12070)] = 627084,
  [SMALL_STATE(12071)] = 627120,
  [SMALL_STATE(12072)] = 627158,
  [SMALL_STATE(12073)] = 627196,
  [SMALL_STATE(12074)] = 627232,
  [SMALL_STATE(12075)] = 627274,
  [SMALL_STATE(12076)] = 627310,
  [SMALL_STATE(12077)] = 627346,
  [SMALL_STATE(12078)] = 627382,
  [SMALL_STATE(12079)] = 627422,
  [SMALL_STATE(12080)] = 627460,
  [SMALL_STATE(12081)] = 627496,
  [SMALL_STATE(12082)] = 627532,
  [SMALL_STATE(12083)] = 627568,
  [SMALL_STATE(12084)] = 627614,
  [SMALL_STATE(12085)] = 627654,
  [SMALL_STATE(12086)] = 627694,
  [SMALL_STATE(12087)] = 627736,
  [SMALL_STATE(12088)] = 627776,
  [SMALL_STATE(12089)] = 627816,
  [SMALL_STATE(12090)] = 627856,
  [SMALL_STATE(12091)] = 627892,
  [SMALL_STATE(12092)] = 627935,
  [SMALL_STATE(12093)] = 627970,
  [SMALL_STATE(12094)] = 628027,
  [SMALL_STATE(12095)] = 628084,
  [SMALL_STATE(12096)] = 628141,
  [SMALL_STATE(12097)] = 628184,
  [SMALL_STATE(12098)] = 628227,
  [SMALL_STATE(12099)] = 628284,
  [SMALL_STATE(12100)] = 628341,
  [SMALL_STATE(12101)] = 628376,
  [SMALL_STATE(12102)] = 628411,
  [SMALL_STATE(12103)] = 628468,
  [SMALL_STATE(12104)] = 628525,
  [SMALL_STATE(12105)] = 628560,
  [SMALL_STATE(12106)] = 628617,
  [SMALL_STATE(12107)] = 628652,
  [SMALL_STATE(12108)] = 628711,
  [SMALL_STATE(12109)] = 628768,
  [SMALL_STATE(12110)] = 628825,
  [SMALL_STATE(12111)] = 628864,
  [SMALL_STATE(12112)] = 628921,
  [SMALL_STATE(12113)] = 628958,
  [SMALL_STATE(12114)] = 629015,
  [SMALL_STATE(12115)] = 629072,
  [SMALL_STATE(12116)] = 629107,
  [SMALL_STATE(12117)] = 629164,
  [SMALL_STATE(12118)] = 629199,
  [SMALL_STATE(12119)] = 629256,
  [SMALL_STATE(12120)] = 629291,
  [SMALL_STATE(12121)] = 629326,
  [SMALL_STATE(12122)] = 629361,
  [SMALL_STATE(12123)] = 629418,
  [SMALL_STATE(12124)] = 629455,
  [SMALL_STATE(12125)] = 629490,
  [SMALL_STATE(12126)] = 629529,
  [SMALL_STATE(12127)] = 629586,
  [SMALL_STATE(12128)] = 629643,
  [SMALL_STATE(12129)] = 629678,
  [SMALL_STATE(12130)] = 629721,
  [SMALL_STATE(12131)] = 629764,
  [SMALL_STATE(12132)] = 629821,
  [SMALL_STATE(12133)] = 629878,
  [SMALL_STATE(12134)] = 629921,
  [SMALL_STATE(12135)] = 629978,
  [SMALL_STATE(12136)] = 630013,
  [SMALL_STATE(12137)] = 630048,
  [SMALL_STATE(12138)] = 630083,
  [SMALL_STATE(12139)] = 630118,
  [SMALL_STATE(12140)] = 630175,
  [SMALL_STATE(12141)] = 630210,
  [SMALL_STATE(12142)] = 630251,
  [SMALL_STATE(12143)] = 630308,
  [SMALL_STATE(12144)] = 630343,
  [SMALL_STATE(12145)] = 630378,
  [SMALL_STATE(12146)] = 630413,
  [SMALL_STATE(12147)] = 630448,
  [SMALL_STATE(12148)] = 630505,
  [SMALL_STATE(12149)] = 630562,
  [SMALL_STATE(12150)] = 630597,
  [SMALL_STATE(12151)] = 630632,
  [SMALL_STATE(12152)] = 630667,
  [SMALL_STATE(12153)] = 630702,
  [SMALL_STATE(12154)] = 630759,
  [SMALL_STATE(12155)] = 630794,
  [SMALL_STATE(12156)] = 630829,
  [SMALL_STATE(12157)] = 630886,
  [SMALL_STATE(12158)] = 630943,
  [SMALL_STATE(12159)] = 631000,
  [SMALL_STATE(12160)] = 631035,
  [SMALL_STATE(12161)] = 631070,
  [SMALL_STATE(12162)] = 631105,
  [SMALL_STATE(12163)] = 631140,
  [SMALL_STATE(12164)] = 631197,
  [SMALL_STATE(12165)] = 631232,
  [SMALL_STATE(12166)] = 631267,
  [SMALL_STATE(12167)] = 631302,
  [SMALL_STATE(12168)] = 631337,
  [SMALL_STATE(12169)] = 631372,
  [SMALL_STATE(12170)] = 631429,
  [SMALL_STATE(12171)] = 631486,
  [SMALL_STATE(12172)] = 631521,
  [SMALL_STATE(12173)] = 631578,
  [SMALL_STATE(12174)] = 631613,
  [SMALL_STATE(12175)] = 631648,
  [SMALL_STATE(12176)] = 631683,
  [SMALL_STATE(12177)] = 631718,
  [SMALL_STATE(12178)] = 631775,
  [SMALL_STATE(12179)] = 631818,
  [SMALL_STATE(12180)] = 631861,
  [SMALL_STATE(12181)] = 631904,
  [SMALL_STATE(12182)] = 631961,
  [SMALL_STATE(12183)] = 631996,
  [SMALL_STATE(12184)] = 632039,
  [SMALL_STATE(12185)] = 632082,
  [SMALL_STATE(12186)] = 632125,
  [SMALL_STATE(12187)] = 632168,
  [SMALL_STATE(12188)] = 632211,
  [SMALL_STATE(12189)] = 632254,
  [SMALL_STATE(12190)] = 632297,
  [SMALL_STATE(12191)] = 632332,
  [SMALL_STATE(12192)] = 632367,
  [SMALL_STATE(12193)] = 632402,
  [SMALL_STATE(12194)] = 632459,
  [SMALL_STATE(12195)] = 632498,
  [SMALL_STATE(12196)] = 632539,
  [SMALL_STATE(12197)] = 632574,
  [SMALL_STATE(12198)] = 632609,
  [SMALL_STATE(12199)] = 632648,
  [SMALL_STATE(12200)] = 632683,
  [SMALL_STATE(12201)] = 632718,
  [SMALL_STATE(12202)] = 632757,
  [SMALL_STATE(12203)] = 632798,
  [SMALL_STATE(12204)] = 632841,
  [SMALL_STATE(12205)] = 632898,
  [SMALL_STATE(12206)] = 632955,
  [SMALL_STATE(12207)] = 632990,
  [SMALL_STATE(12208)] = 633025,
  [SMALL_STATE(12209)] = 633062,
  [SMALL_STATE(12210)] = 633101,
  [SMALL_STATE(12211)] = 633136,
  [SMALL_STATE(12212)] = 633171,
  [SMALL_STATE(12213)] = 633206,
  [SMALL_STATE(12214)] = 633263,
  [SMALL_STATE(12215)] = 633320,
  [SMALL_STATE(12216)] = 633359,
  [SMALL_STATE(12217)] = 633412,
  [SMALL_STATE(12218)] = 633457,
  [SMALL_STATE(12219)] = 633496,
  [SMALL_STATE(12220)] = 633535,
  [SMALL_STATE(12221)] = 633582,
  [SMALL_STATE(12222)] = 633629,
  [SMALL_STATE(12223)] = 633680,
  [SMALL_STATE(12224)] = 633733,
  [SMALL_STATE(12225)] = 633790,
  [SMALL_STATE(12226)] = 633831,
  [SMALL_STATE(12227)] = 633888,
  [SMALL_STATE(12228)] = 633927,
  [SMALL_STATE(12229)] = 633984,
  [SMALL_STATE(12230)] = 634027,
  [SMALL_STATE(12231)] = 634084,
  [SMALL_STATE(12232)] = 634121,
  [SMALL_STATE(12233)] = 634178,
  [SMALL_STATE(12234)] = 634219,
  [SMALL_STATE(12235)] = 634276,
  [SMALL_STATE(12236)] = 634333,
  [SMALL_STATE(12237)] = 634368,
  [SMALL_STATE(12238)] = 634407,
  [SMALL_STATE(12239)] = 634446,
  [SMALL_STATE(12240)] = 634485,
  [SMALL_STATE(12241)] = 634524,
  [SMALL_STATE(12242)] = 634561,
  [SMALL_STATE(12243)] = 634618,
  [SMALL_STATE(12244)] = 634655,
  [SMALL_STATE(12245)] = 634712,
  [SMALL_STATE(12246)] = 634751,
  [SMALL_STATE(12247)] = 634788,
  [SMALL_STATE(12248)] = 634831,
  [SMALL_STATE(12249)] = 634888,
  [SMALL_STATE(12250)] = 634929,
  [SMALL_STATE(12251)] = 634970,
  [SMALL_STATE(12252)] = 635005,
  [SMALL_STATE(12253)] = 635046,
  [SMALL_STATE(12254)] = 635103,
  [SMALL_STATE(12255)] = 635160,
  [SMALL_STATE(12256)] = 635201,
  [SMALL_STATE(12257)] = 635242,
  [SMALL_STATE(12258)] = 635283,
  [SMALL_STATE(12259)] = 635322,
  [SMALL_STATE(12260)] = 635379,
  [SMALL_STATE(12261)] = 635436,
  [SMALL_STATE(12262)] = 635477,
  [SMALL_STATE(12263)] = 635534,
  [SMALL_STATE(12264)] = 635591,
  [SMALL_STATE(12265)] = 635648,
  [SMALL_STATE(12266)] = 635693,
  [SMALL_STATE(12267)] = 635750,
  [SMALL_STATE(12268)] = 635807,
  [SMALL_STATE(12269)] = 635864,
  [SMALL_STATE(12270)] = 635921,
  [SMALL_STATE(12271)] = 635978,
  [SMALL_STATE(12272)] = 636035,
  [SMALL_STATE(12273)] = 636092,
  [SMALL_STATE(12274)] = 636149,
  [SMALL_STATE(12275)] = 636206,
  [SMALL_STATE(12276)] = 636263,
  [SMALL_STATE(12277)] = 636320,
  [SMALL_STATE(12278)] = 636355,
  [SMALL_STATE(12279)] = 636396,
  [SMALL_STATE(12280)] = 636435,
  [SMALL_STATE(12281)] = 636470,
  [SMALL_STATE(12282)] = 636505,
  [SMALL_STATE(12283)] = 636562,
  [SMALL_STATE(12284)] = 636597,
  [SMALL_STATE(12285)] = 636640,
  [SMALL_STATE(12286)] = 636697,
  [SMALL_STATE(12287)] = 636740,
  [SMALL_STATE(12288)] = 636783,
  [SMALL_STATE(12289)] = 636818,
  [SMALL_STATE(12290)] = 636857,
  [SMALL_STATE(12291)] = 636900,
  [SMALL_STATE(12292)] = 636943,
  [SMALL_STATE(12293)] = 636982,
  [SMALL_STATE(12294)] = 637025,
  [SMALL_STATE(12295)] = 637064,
  [SMALL_STATE(12296)] = 637101,
  [SMALL_STATE(12297)] = 637136,
  [SMALL_STATE(12298)] = 637171,
  [SMALL_STATE(12299)] = 637214,
  [SMALL_STATE(12300)] = 637249,
  [SMALL_STATE(12301)] = 637284,
  [SMALL_STATE(12302)] = 637323,
  [SMALL_STATE(12303)] = 637366,
  [SMALL_STATE(12304)] = 637403,
  [SMALL_STATE(12305)] = 637446,
  [SMALL_STATE(12306)] = 637489,
  [SMALL_STATE(12307)] = 637532,
  [SMALL_STATE(12308)] = 637571,
  [SMALL_STATE(12309)] = 637616,
  [SMALL_STATE(12310)] = 637659,
  [SMALL_STATE(12311)] = 637704,
  [SMALL_STATE(12312)] = 637749,
  [SMALL_STATE(12313)] = 637794,
  [SMALL_STATE(12314)] = 637851,
  [SMALL_STATE(12315)] = 637896,
  [SMALL_STATE(12316)] = 637941,
  [SMALL_STATE(12317)] = 637986,
  [SMALL_STATE(12318)] = 638025,
  [SMALL_STATE(12319)] = 638070,
  [SMALL_STATE(12320)] = 638115,
  [SMALL_STATE(12321)] = 638160,
  [SMALL_STATE(12322)] = 638199,
  [SMALL_STATE(12323)] = 638236,
  [SMALL_STATE(12324)] = 638281,
  [SMALL_STATE(12325)] = 638326,
  [SMALL_STATE(12326)] = 638371,
  [SMALL_STATE(12327)] = 638416,
  [SMALL_STATE(12328)] = 638461,
  [SMALL_STATE(12329)] = 638506,
  [SMALL_STATE(12330)] = 638551,
  [SMALL_STATE(12331)] = 638596,
  [SMALL_STATE(12332)] = 638641,
  [SMALL_STATE(12333)] = 638686,
  [SMALL_STATE(12334)] = 638731,
  [SMALL_STATE(12335)] = 638776,
  [SMALL_STATE(12336)] = 638821,
  [SMALL_STATE(12337)] = 638866,
  [SMALL_STATE(12338)] = 638911,
  [SMALL_STATE(12339)] = 638956,
  [SMALL_STATE(12340)] = 639001,
  [SMALL_STATE(12341)] = 639046,
  [SMALL_STATE(12342)] = 639091,
  [SMALL_STATE(12343)] = 639136,
  [SMALL_STATE(12344)] = 639181,
  [SMALL_STATE(12345)] = 639226,
  [SMALL_STATE(12346)] = 639265,
  [SMALL_STATE(12347)] = 639310,
  [SMALL_STATE(12348)] = 639347,
  [SMALL_STATE(12349)] = 639382,
  [SMALL_STATE(12350)] = 639427,
  [SMALL_STATE(12351)] = 639462,
  [SMALL_STATE(12352)] = 639519,
  [SMALL_STATE(12353)] = 639554,
  [SMALL_STATE(12354)] = 639595,
  [SMALL_STATE(12355)] = 639652,
  [SMALL_STATE(12356)] = 639709,
  [SMALL_STATE(12357)] = 639744,
  [SMALL_STATE(12358)] = 639801,
  [SMALL_STATE(12359)] = 639858,
  [SMALL_STATE(12360)] = 639915,
  [SMALL_STATE(12361)] = 639972,
  [SMALL_STATE(12362)] = 640007,
  [SMALL_STATE(12363)] = 640052,
  [SMALL_STATE(12364)] = 640091,
  [SMALL_STATE(12365)] = 640148,
  [SMALL_STATE(12366)] = 640187,
  [SMALL_STATE(12367)] = 640232,
  [SMALL_STATE(12368)] = 640271,
  [SMALL_STATE(12369)] = 640328,
  [SMALL_STATE(12370)] = 640367,
  [SMALL_STATE(12371)] = 640406,
  [SMALL_STATE(12372)] = 640445,
  [SMALL_STATE(12373)] = 640490,
  [SMALL_STATE(12374)] = 640535,
  [SMALL_STATE(12375)] = 640592,
  [SMALL_STATE(12376)] = 640635,
  [SMALL_STATE(12377)] = 640692,
  [SMALL_STATE(12378)] = 640746,
  [SMALL_STATE(12379)] = 640800,
  [SMALL_STATE(12380)] = 640854,
  [SMALL_STATE(12381)] = 640908,
  [SMALL_STATE(12382)] = 640962,
  [SMALL_STATE(12383)] = 641016,
  [SMALL_STATE(12384)] = 641070,
  [SMALL_STATE(12385)] = 641124,
  [SMALL_STATE(12386)] = 641178,
  [SMALL_STATE(12387)] = 641232,
  [SMALL_STATE(12388)] = 641286,
  [SMALL_STATE(12389)] = 641340,
  [SMALL_STATE(12390)] = 641394,
  [SMALL_STATE(12391)] = 641448,
  [SMALL_STATE(12392)] = 641502,
  [SMALL_STATE(12393)] = 641556,
  [SMALL_STATE(12394)] = 641610,
  [SMALL_STATE(12395)] = 641664,
  [SMALL_STATE(12396)] = 641718,
  [SMALL_STATE(12397)] = 641752,
  [SMALL_STATE(12398)] = 641806,
  [SMALL_STATE(12399)] = 641860,
  [SMALL_STATE(12400)] = 641914,
  [SMALL_STATE(12401)] = 641968,
  [SMALL_STATE(12402)] = 642022,
  [SMALL_STATE(12403)] = 642076,
  [SMALL_STATE(12404)] = 642130,
  [SMALL_STATE(12405)] = 642184,
  [SMALL_STATE(12406)] = 642238,
  [SMALL_STATE(12407)] = 642292,
  [SMALL_STATE(12408)] = 642346,
  [SMALL_STATE(12409)] = 642400,
  [SMALL_STATE(12410)] = 642454,
  [SMALL_STATE(12411)] = 642508,
  [SMALL_STATE(12412)] = 642562,
  [SMALL_STATE(12413)] = 642616,
  [SMALL_STATE(12414)] = 642670,
  [SMALL_STATE(12415)] = 642724,
  [SMALL_STATE(12416)] = 642778,
  [SMALL_STATE(12417)] = 642832,
  [SMALL_STATE(12418)] = 642886,
  [SMALL_STATE(12419)] = 642940,
  [SMALL_STATE(12420)] = 642994,
  [SMALL_STATE(12421)] = 643048,
  [SMALL_STATE(12422)] = 643102,
  [SMALL_STATE(12423)] = 643156,
  [SMALL_STATE(12424)] = 643210,
  [SMALL_STATE(12425)] = 643264,
  [SMALL_STATE(12426)] = 643318,
  [SMALL_STATE(12427)] = 643372,
  [SMALL_STATE(12428)] = 643426,
  [SMALL_STATE(12429)] = 643480,
  [SMALL_STATE(12430)] = 643534,
  [SMALL_STATE(12431)] = 643588,
  [SMALL_STATE(12432)] = 643642,
  [SMALL_STATE(12433)] = 643696,
  [SMALL_STATE(12434)] = 643750,
  [SMALL_STATE(12435)] = 643804,
  [SMALL_STATE(12436)] = 643858,
  [SMALL_STATE(12437)] = 643912,
  [SMALL_STATE(12438)] = 643966,
  [SMALL_STATE(12439)] = 644020,
  [SMALL_STATE(12440)] = 644078,
  [SMALL_STATE(12441)] = 644132,
  [SMALL_STATE(12442)] = 644186,
  [SMALL_STATE(12443)] = 644240,
  [SMALL_STATE(12444)] = 644294,
  [SMALL_STATE(12445)] = 644348,
  [SMALL_STATE(12446)] = 644402,
  [SMALL_STATE(12447)] = 644456,
  [SMALL_STATE(12448)] = 644510,
  [SMALL_STATE(12449)] = 644564,
  [SMALL_STATE(12450)] = 644618,
  [SMALL_STATE(12451)] = 644672,
  [SMALL_STATE(12452)] = 644726,
  [SMALL_STATE(12453)] = 644780,
  [SMALL_STATE(12454)] = 644834,
  [SMALL_STATE(12455)] = 644888,
  [SMALL_STATE(12456)] = 644942,
  [SMALL_STATE(12457)] = 644996,
  [SMALL_STATE(12458)] = 645050,
  [SMALL_STATE(12459)] = 645104,
  [SMALL_STATE(12460)] = 645158,
  [SMALL_STATE(12461)] = 645212,
  [SMALL_STATE(12462)] = 645266,
  [SMALL_STATE(12463)] = 645320,
  [SMALL_STATE(12464)] = 645374,
  [SMALL_STATE(12465)] = 645428,
  [SMALL_STATE(12466)] = 645482,
  [SMALL_STATE(12467)] = 645536,
  [SMALL_STATE(12468)] = 645590,
  [SMALL_STATE(12469)] = 645644,
  [SMALL_STATE(12470)] = 645690,
  [SMALL_STATE(12471)] = 645744,
  [SMALL_STATE(12472)] = 645798,
  [SMALL_STATE(12473)] = 645852,
  [SMALL_STATE(12474)] = 645906,
  [SMALL_STATE(12475)] = 645960,
  [SMALL_STATE(12476)] = 646014,
  [SMALL_STATE(12477)] = 646068,
  [SMALL_STATE(12478)] = 646122,
  [SMALL_STATE(12479)] = 646176,
  [SMALL_STATE(12480)] = 646230,
  [SMALL_STATE(12481)] = 646284,
  [SMALL_STATE(12482)] = 646338,
  [SMALL_STATE(12483)] = 646392,
  [SMALL_STATE(12484)] = 646446,
  [SMALL_STATE(12485)] = 646500,
  [SMALL_STATE(12486)] = 646554,
  [SMALL_STATE(12487)] = 646608,
  [SMALL_STATE(12488)] = 646662,
  [SMALL_STATE(12489)] = 646716,
  [SMALL_STATE(12490)] = 646770,
  [SMALL_STATE(12491)] = 646824,
  [SMALL_STATE(12492)] = 646878,
  [SMALL_STATE(12493)] = 646932,
  [SMALL_STATE(12494)] = 646986,
  [SMALL_STATE(12495)] = 647040,
  [SMALL_STATE(12496)] = 647094,
  [SMALL_STATE(12497)] = 647148,
  [SMALL_STATE(12498)] = 647202,
  [SMALL_STATE(12499)] = 647256,
  [SMALL_STATE(12500)] = 647310,
  [SMALL_STATE(12501)] = 647364,
  [SMALL_STATE(12502)] = 647418,
  [SMALL_STATE(12503)] = 647472,
  [SMALL_STATE(12504)] = 647526,
  [SMALL_STATE(12505)] = 647580,
  [SMALL_STATE(12506)] = 647634,
  [SMALL_STATE(12507)] = 647688,
  [SMALL_STATE(12508)] = 647742,
  [SMALL_STATE(12509)] = 647796,
  [SMALL_STATE(12510)] = 647850,
  [SMALL_STATE(12511)] = 647904,
  [SMALL_STATE(12512)] = 647958,
  [SMALL_STATE(12513)] = 648012,
  [SMALL_STATE(12514)] = 648066,
  [SMALL_STATE(12515)] = 648120,
  [SMALL_STATE(12516)] = 648174,
  [SMALL_STATE(12517)] = 648228,
  [SMALL_STATE(12518)] = 648282,
  [SMALL_STATE(12519)] = 648336,
  [SMALL_STATE(12520)] = 648390,
  [SMALL_STATE(12521)] = 648444,
  [SMALL_STATE(12522)] = 648498,
  [SMALL_STATE(12523)] = 648538,
  [SMALL_STATE(12524)] = 648592,
  [SMALL_STATE(12525)] = 648646,
  [SMALL_STATE(12526)] = 648700,
  [SMALL_STATE(12527)] = 648754,
  [SMALL_STATE(12528)] = 648794,
  [SMALL_STATE(12529)] = 648832,
  [SMALL_STATE(12530)] = 648872,
  [SMALL_STATE(12531)] = 648926,
  [SMALL_STATE(12532)] = 648980,
  [SMALL_STATE(12533)] = 649034,
  [SMALL_STATE(12534)] = 649088,
  [SMALL_STATE(12535)] = 649124,
  [SMALL_STATE(12536)] = 649164,
  [SMALL_STATE(12537)] = 649218,
  [SMALL_STATE(12538)] = 649272,
  [SMALL_STATE(12539)] = 649326,
  [SMALL_STATE(12540)] = 649380,
  [SMALL_STATE(12541)] = 649414,
  [SMALL_STATE(12542)] = 649468,
  [SMALL_STATE(12543)] = 649522,
  [SMALL_STATE(12544)] = 649576,
  [SMALL_STATE(12545)] = 649630,
  [SMALL_STATE(12546)] = 649684,
  [SMALL_STATE(12547)] = 649738,
  [SMALL_STATE(12548)] = 649778,
  [SMALL_STATE(12549)] = 649818,
  [SMALL_STATE(12550)] = 649856,
  [SMALL_STATE(12551)] = 649896,
  [SMALL_STATE(12552)] = 649936,
  [SMALL_STATE(12553)] = 649990,
  [SMALL_STATE(12554)] = 650042,
  [SMALL_STATE(12555)] = 650086,
  [SMALL_STATE(12556)] = 650124,
  [SMALL_STATE(12557)] = 650162,
  [SMALL_STATE(12558)] = 650208,
  [SMALL_STATE(12559)] = 650254,
  [SMALL_STATE(12560)] = 650304,
  [SMALL_STATE(12561)] = 650356,
  [SMALL_STATE(12562)] = 650412,
  [SMALL_STATE(12563)] = 650452,
  [SMALL_STATE(12564)] = 650508,
  [SMALL_STATE(12565)] = 650562,
  [SMALL_STATE(12566)] = 650618,
  [SMALL_STATE(12567)] = 650656,
  [SMALL_STATE(12568)] = 650710,
  [SMALL_STATE(12569)] = 650764,
  [SMALL_STATE(12570)] = 650808,
  [SMALL_STATE(12571)] = 650862,
  [SMALL_STATE(12572)] = 650916,
  [SMALL_STATE(12573)] = 650960,
  [SMALL_STATE(12574)] = 651000,
  [SMALL_STATE(12575)] = 651040,
  [SMALL_STATE(12576)] = 651094,
  [SMALL_STATE(12577)] = 651148,
  [SMALL_STATE(12578)] = 651202,
  [SMALL_STATE(12579)] = 651256,
  [SMALL_STATE(12580)] = 651294,
  [SMALL_STATE(12581)] = 651332,
  [SMALL_STATE(12582)] = 651386,
  [SMALL_STATE(12583)] = 651440,
  [SMALL_STATE(12584)] = 651494,
  [SMALL_STATE(12585)] = 651548,
  [SMALL_STATE(12586)] = 651602,
  [SMALL_STATE(12587)] = 651646,
  [SMALL_STATE(12588)] = 651700,
  [SMALL_STATE(12589)] = 651754,
  [SMALL_STATE(12590)] = 651808,
  [SMALL_STATE(12591)] = 651862,
  [SMALL_STATE(12592)] = 651916,
  [SMALL_STATE(12593)] = 651970,
  [SMALL_STATE(12594)] = 652014,
  [SMALL_STATE(12595)] = 652068,
  [SMALL_STATE(12596)] = 652112,
  [SMALL_STATE(12597)] = 652164,
  [SMALL_STATE(12598)] = 652208,
  [SMALL_STATE(12599)] = 652246,
  [SMALL_STATE(12600)] = 652284,
  [SMALL_STATE(12601)] = 652330,
  [SMALL_STATE(12602)] = 652376,
  [SMALL_STATE(12603)] = 652426,
  [SMALL_STATE(12604)] = 652478,
  [SMALL_STATE(12605)] = 652534,
  [SMALL_STATE(12606)] = 652574,
  [SMALL_STATE(12607)] = 652630,
  [SMALL_STATE(12608)] = 652668,
  [SMALL_STATE(12609)] = 652724,
  [SMALL_STATE(12610)] = 652778,
  [SMALL_STATE(12611)] = 652832,
  [SMALL_STATE(12612)] = 652886,
  [SMALL_STATE(12613)] = 652940,
  [SMALL_STATE(12614)] = 652994,
  [SMALL_STATE(12615)] = 653038,
  [SMALL_STATE(12616)] = 653092,
  [SMALL_STATE(12617)] = 653132,
  [SMALL_STATE(12618)] = 653172,
  [SMALL_STATE(12619)] = 653226,
  [SMALL_STATE(12620)] = 653266,
  [SMALL_STATE(12621)] = 653320,
  [SMALL_STATE(12622)] = 653374,
  [SMALL_STATE(12623)] = 653428,
  [SMALL_STATE(12624)] = 653482,
  [SMALL_STATE(12625)] = 653538,
  [SMALL_STATE(12626)] = 653592,
  [SMALL_STATE(12627)] = 653630,
  [SMALL_STATE(12628)] = 653684,
  [SMALL_STATE(12629)] = 653738,
  [SMALL_STATE(12630)] = 653792,
  [SMALL_STATE(12631)] = 653846,
  [SMALL_STATE(12632)] = 653900,
  [SMALL_STATE(12633)] = 653954,
  [SMALL_STATE(12634)] = 654008,
  [SMALL_STATE(12635)] = 654062,
  [SMALL_STATE(12636)] = 654116,
  [SMALL_STATE(12637)] = 654170,
  [SMALL_STATE(12638)] = 654224,
  [SMALL_STATE(12639)] = 654278,
  [SMALL_STATE(12640)] = 654312,
  [SMALL_STATE(12641)] = 654348,
  [SMALL_STATE(12642)] = 654386,
  [SMALL_STATE(12643)] = 654440,
  [SMALL_STATE(12644)] = 654494,
  [SMALL_STATE(12645)] = 654548,
  [SMALL_STATE(12646)] = 654582,
  [SMALL_STATE(12647)] = 654636,
  [SMALL_STATE(12648)] = 654674,
  [SMALL_STATE(12649)] = 654712,
  [SMALL_STATE(12650)] = 654750,
  [SMALL_STATE(12651)] = 654788,
  [SMALL_STATE(12652)] = 654824,
  [SMALL_STATE(12653)] = 654878,
  [SMALL_STATE(12654)] = 654932,
  [SMALL_STATE(12655)] = 654986,
  [SMALL_STATE(12656)] = 655040,
  [SMALL_STATE(12657)] = 655094,
  [SMALL_STATE(12658)] = 655148,
  [SMALL_STATE(12659)] = 655188,
  [SMALL_STATE(12660)] = 655242,
  [SMALL_STATE(12661)] = 655296,
  [SMALL_STATE(12662)] = 655350,
  [SMALL_STATE(12663)] = 655404,
  [SMALL_STATE(12664)] = 655458,
  [SMALL_STATE(12665)] = 655512,
  [SMALL_STATE(12666)] = 655566,
  [SMALL_STATE(12667)] = 655620,
  [SMALL_STATE(12668)] = 655674,
  [SMALL_STATE(12669)] = 655732,
  [SMALL_STATE(12670)] = 655786,
  [SMALL_STATE(12671)] = 655840,
  [SMALL_STATE(12672)] = 655878,
  [SMALL_STATE(12673)] = 655932,
  [SMALL_STATE(12674)] = 655986,
  [SMALL_STATE(12675)] = 656040,
  [SMALL_STATE(12676)] = 656094,
  [SMALL_STATE(12677)] = 656148,
  [SMALL_STATE(12678)] = 656202,
  [SMALL_STATE(12679)] = 656256,
  [SMALL_STATE(12680)] = 656310,
  [SMALL_STATE(12681)] = 656348,
  [SMALL_STATE(12682)] = 656402,
  [SMALL_STATE(12683)] = 656456,
  [SMALL_STATE(12684)] = 656494,
  [SMALL_STATE(12685)] = 656530,
  [SMALL_STATE(12686)] = 656584,
  [SMALL_STATE(12687)] = 656638,
  [SMALL_STATE(12688)] = 656692,
  [SMALL_STATE(12689)] = 656746,
  [SMALL_STATE(12690)] = 656800,
  [SMALL_STATE(12691)] = 656854,
  [SMALL_STATE(12692)] = 656908,
  [SMALL_STATE(12693)] = 656962,
  [SMALL_STATE(12694)] = 657016,
  [SMALL_STATE(12695)] = 657056,
  [SMALL_STATE(12696)] = 657096,
  [SMALL_STATE(12697)] = 657136,
  [SMALL_STATE(12698)] = 657190,
  [SMALL_STATE(12699)] = 657244,
  [SMALL_STATE(12700)] = 657298,
  [SMALL_STATE(12701)] = 657352,
  [SMALL_STATE(12702)] = 657406,
  [SMALL_STATE(12703)] = 657444,
  [SMALL_STATE(12704)] = 657480,
  [SMALL_STATE(12705)] = 657534,
  [SMALL_STATE(12706)] = 657588,
  [SMALL_STATE(12707)] = 657642,
  [SMALL_STATE(12708)] = 657678,
  [SMALL_STATE(12709)] = 657732,
  [SMALL_STATE(12710)] = 657786,
  [SMALL_STATE(12711)] = 657840,
  [SMALL_STATE(12712)] = 657894,
  [SMALL_STATE(12713)] = 657948,
  [SMALL_STATE(12714)] = 657988,
  [SMALL_STATE(12715)] = 658028,
  [SMALL_STATE(12716)] = 658082,
  [SMALL_STATE(12717)] = 658122,
  [SMALL_STATE(12718)] = 658162,
  [SMALL_STATE(12719)] = 658202,
  [SMALL_STATE(12720)] = 658240,
  [SMALL_STATE(12721)] = 658276,
  [SMALL_STATE(12722)] = 658330,
  [SMALL_STATE(12723)] = 658384,
  [SMALL_STATE(12724)] = 658438,
  [SMALL_STATE(12725)] = 658492,
  [SMALL_STATE(12726)] = 658546,
  [SMALL_STATE(12727)] = 658600,
  [SMALL_STATE(12728)] = 658654,
  [SMALL_STATE(12729)] = 658698,
  [SMALL_STATE(12730)] = 658752,
  [SMALL_STATE(12731)] = 658796,
  [SMALL_STATE(12732)] = 658850,
  [SMALL_STATE(12733)] = 658904,
  [SMALL_STATE(12734)] = 658958,
  [SMALL_STATE(12735)] = 659012,
  [SMALL_STATE(12736)] = 659056,
  [SMALL_STATE(12737)] = 659110,
  [SMALL_STATE(12738)] = 659164,
  [SMALL_STATE(12739)] = 659218,
  [SMALL_STATE(12740)] = 659272,
  [SMALL_STATE(12741)] = 659326,
  [SMALL_STATE(12742)] = 659380,
  [SMALL_STATE(12743)] = 659424,
  [SMALL_STATE(12744)] = 659478,
  [SMALL_STATE(12745)] = 659522,
  [SMALL_STATE(12746)] = 659576,
  [SMALL_STATE(12747)] = 659630,
  [SMALL_STATE(12748)] = 659684,
  [SMALL_STATE(12749)] = 659738,
  [SMALL_STATE(12750)] = 659792,
  [SMALL_STATE(12751)] = 659836,
  [SMALL_STATE(12752)] = 659890,
  [SMALL_STATE(12753)] = 659944,
  [SMALL_STATE(12754)] = 659998,
  [SMALL_STATE(12755)] = 660052,
  [SMALL_STATE(12756)] = 660106,
  [SMALL_STATE(12757)] = 660160,
  [SMALL_STATE(12758)] = 660214,
  [SMALL_STATE(12759)] = 660268,
  [SMALL_STATE(12760)] = 660322,
  [SMALL_STATE(12761)] = 660376,
  [SMALL_STATE(12762)] = 660430,
  [SMALL_STATE(12763)] = 660484,
  [SMALL_STATE(12764)] = 660538,
  [SMALL_STATE(12765)] = 660592,
  [SMALL_STATE(12766)] = 660646,
  [SMALL_STATE(12767)] = 660700,
  [SMALL_STATE(12768)] = 660754,
  [SMALL_STATE(12769)] = 660808,
  [SMALL_STATE(12770)] = 660862,
  [SMALL_STATE(12771)] = 660916,
  [SMALL_STATE(12772)] = 660970,
  [SMALL_STATE(12773)] = 661024,
  [SMALL_STATE(12774)] = 661078,
  [SMALL_STATE(12775)] = 661132,
  [SMALL_STATE(12776)] = 661186,
  [SMALL_STATE(12777)] = 661240,
  [SMALL_STATE(12778)] = 661294,
  [SMALL_STATE(12779)] = 661348,
  [SMALL_STATE(12780)] = 661384,
  [SMALL_STATE(12781)] = 661438,
  [SMALL_STATE(12782)] = 661492,
  [SMALL_STATE(12783)] = 661546,
  [SMALL_STATE(12784)] = 661600,
  [SMALL_STATE(12785)] = 661654,
  [SMALL_STATE(12786)] = 661708,
  [SMALL_STATE(12787)] = 661762,
  [SMALL_STATE(12788)] = 661816,
  [SMALL_STATE(12789)] = 661870,
  [SMALL_STATE(12790)] = 661924,
  [SMALL_STATE(12791)] = 661978,
  [SMALL_STATE(12792)] = 662032,
  [SMALL_STATE(12793)] = 662086,
  [SMALL_STATE(12794)] = 662140,
  [SMALL_STATE(12795)] = 662194,
  [SMALL_STATE(12796)] = 662248,
  [SMALL_STATE(12797)] = 662302,
  [SMALL_STATE(12798)] = 662356,
  [SMALL_STATE(12799)] = 662410,
  [SMALL_STATE(12800)] = 662464,
  [SMALL_STATE(12801)] = 662518,
  [SMALL_STATE(12802)] = 662572,
  [SMALL_STATE(12803)] = 662626,
  [SMALL_STATE(12804)] = 662680,
  [SMALL_STATE(12805)] = 662734,
  [SMALL_STATE(12806)] = 662788,
  [SMALL_STATE(12807)] = 662842,
  [SMALL_STATE(12808)] = 662896,
  [SMALL_STATE(12809)] = 662950,
  [SMALL_STATE(12810)] = 663004,
  [SMALL_STATE(12811)] = 663058,
  [SMALL_STATE(12812)] = 663096,
  [SMALL_STATE(12813)] = 663150,
  [SMALL_STATE(12814)] = 663204,
  [SMALL_STATE(12815)] = 663258,
  [SMALL_STATE(12816)] = 663312,
  [SMALL_STATE(12817)] = 663366,
  [SMALL_STATE(12818)] = 663420,
  [SMALL_STATE(12819)] = 663474,
  [SMALL_STATE(12820)] = 663514,
  [SMALL_STATE(12821)] = 663554,
  [SMALL_STATE(12822)] = 663608,
  [SMALL_STATE(12823)] = 663662,
  [SMALL_STATE(12824)] = 663716,
  [SMALL_STATE(12825)] = 663770,
  [SMALL_STATE(12826)] = 663824,
  [SMALL_STATE(12827)] = 663878,
  [SMALL_STATE(12828)] = 663932,
  [SMALL_STATE(12829)] = 663986,
  [SMALL_STATE(12830)] = 664040,
  [SMALL_STATE(12831)] = 664094,
  [SMALL_STATE(12832)] = 664148,
  [SMALL_STATE(12833)] = 664202,
  [SMALL_STATE(12834)] = 664256,
  [SMALL_STATE(12835)] = 664310,
  [SMALL_STATE(12836)] = 664364,
  [SMALL_STATE(12837)] = 664418,
  [SMALL_STATE(12838)] = 664472,
  [SMALL_STATE(12839)] = 664508,
  [SMALL_STATE(12840)] = 664562,
  [SMALL_STATE(12841)] = 664616,
  [SMALL_STATE(12842)] = 664670,
  [SMALL_STATE(12843)] = 664724,
  [SMALL_STATE(12844)] = 664758,
  [SMALL_STATE(12845)] = 664812,
  [SMALL_STATE(12846)] = 664866,
  [SMALL_STATE(12847)] = 664920,
  [SMALL_STATE(12848)] = 664974,
  [SMALL_STATE(12849)] = 665028,
  [SMALL_STATE(12850)] = 665082,
  [SMALL_STATE(12851)] = 665136,
  [SMALL_STATE(12852)] = 665190,
  [SMALL_STATE(12853)] = 665244,
  [SMALL_STATE(12854)] = 665298,
  [SMALL_STATE(12855)] = 665352,
  [SMALL_STATE(12856)] = 665406,
  [SMALL_STATE(12857)] = 665460,
  [SMALL_STATE(12858)] = 665514,
  [SMALL_STATE(12859)] = 665568,
  [SMALL_STATE(12860)] = 665622,
  [SMALL_STATE(12861)] = 665676,
  [SMALL_STATE(12862)] = 665730,
  [SMALL_STATE(12863)] = 665764,
  [SMALL_STATE(12864)] = 665818,
  [SMALL_STATE(12865)] = 665872,
  [SMALL_STATE(12866)] = 665926,
  [SMALL_STATE(12867)] = 665980,
  [SMALL_STATE(12868)] = 666034,
  [SMALL_STATE(12869)] = 666088,
  [SMALL_STATE(12870)] = 666142,
  [SMALL_STATE(12871)] = 666196,
  [SMALL_STATE(12872)] = 666250,
  [SMALL_STATE(12873)] = 666304,
  [SMALL_STATE(12874)] = 666356,
  [SMALL_STATE(12875)] = 666410,
  [SMALL_STATE(12876)] = 666448,
  [SMALL_STATE(12877)] = 666502,
  [SMALL_STATE(12878)] = 666556,
  [SMALL_STATE(12879)] = 666610,
  [SMALL_STATE(12880)] = 666648,
  [SMALL_STATE(12881)] = 666684,
  [SMALL_STATE(12882)] = 666738,
  [SMALL_STATE(12883)] = 666792,
  [SMALL_STATE(12884)] = 666846,
  [SMALL_STATE(12885)] = 666900,
  [SMALL_STATE(12886)] = 666954,
  [SMALL_STATE(12887)] = 667008,
  [SMALL_STATE(12888)] = 667062,
  [SMALL_STATE(12889)] = 667116,
  [SMALL_STATE(12890)] = 667170,
  [SMALL_STATE(12891)] = 667224,
  [SMALL_STATE(12892)] = 667278,
  [SMALL_STATE(12893)] = 667332,
  [SMALL_STATE(12894)] = 667386,
  [SMALL_STATE(12895)] = 667440,
  [SMALL_STATE(12896)] = 667494,
  [SMALL_STATE(12897)] = 667548,
  [SMALL_STATE(12898)] = 667602,
  [SMALL_STATE(12899)] = 667656,
  [SMALL_STATE(12900)] = 667710,
  [SMALL_STATE(12901)] = 667764,
  [SMALL_STATE(12902)] = 667818,
  [SMALL_STATE(12903)] = 667872,
  [SMALL_STATE(12904)] = 667926,
  [SMALL_STATE(12905)] = 667980,
  [SMALL_STATE(12906)] = 668034,
  [SMALL_STATE(12907)] = 668074,
  [SMALL_STATE(12908)] = 668128,
  [SMALL_STATE(12909)] = 668182,
  [SMALL_STATE(12910)] = 668236,
  [SMALL_STATE(12911)] = 668290,
  [SMALL_STATE(12912)] = 668344,
  [SMALL_STATE(12913)] = 668398,
  [SMALL_STATE(12914)] = 668452,
  [SMALL_STATE(12915)] = 668492,
  [SMALL_STATE(12916)] = 668546,
  [SMALL_STATE(12917)] = 668600,
  [SMALL_STATE(12918)] = 668654,
  [SMALL_STATE(12919)] = 668708,
  [SMALL_STATE(12920)] = 668762,
  [SMALL_STATE(12921)] = 668816,
  [SMALL_STATE(12922)] = 668856,
  [SMALL_STATE(12923)] = 668910,
  [SMALL_STATE(12924)] = 668964,
  [SMALL_STATE(12925)] = 669018,
  [SMALL_STATE(12926)] = 669072,
  [SMALL_STATE(12927)] = 669126,
  [SMALL_STATE(12928)] = 669180,
  [SMALL_STATE(12929)] = 669234,
  [SMALL_STATE(12930)] = 669288,
  [SMALL_STATE(12931)] = 669342,
  [SMALL_STATE(12932)] = 669396,
  [SMALL_STATE(12933)] = 669450,
  [SMALL_STATE(12934)] = 669504,
  [SMALL_STATE(12935)] = 669558,
  [SMALL_STATE(12936)] = 669594,
  [SMALL_STATE(12937)] = 669648,
  [SMALL_STATE(12938)] = 669702,
  [SMALL_STATE(12939)] = 669756,
  [SMALL_STATE(12940)] = 669810,
  [SMALL_STATE(12941)] = 669864,
  [SMALL_STATE(12942)] = 669918,
  [SMALL_STATE(12943)] = 669972,
  [SMALL_STATE(12944)] = 670026,
  [SMALL_STATE(12945)] = 670080,
  [SMALL_STATE(12946)] = 670118,
  [SMALL_STATE(12947)] = 670172,
  [SMALL_STATE(12948)] = 670210,
  [SMALL_STATE(12949)] = 670264,
  [SMALL_STATE(12950)] = 670318,
  [SMALL_STATE(12951)] = 670372,
  [SMALL_STATE(12952)] = 670426,
  [SMALL_STATE(12953)] = 670480,
  [SMALL_STATE(12954)] = 670534,
  [SMALL_STATE(12955)] = 670572,
  [SMALL_STATE(12956)] = 670610,
  [SMALL_STATE(12957)] = 670648,
  [SMALL_STATE(12958)] = 670686,
  [SMALL_STATE(12959)] = 670740,
  [SMALL_STATE(12960)] = 670794,
  [SMALL_STATE(12961)] = 670848,
  [SMALL_STATE(12962)] = 670886,
  [SMALL_STATE(12963)] = 670924,
  [SMALL_STATE(12964)] = 670978,
  [SMALL_STATE(12965)] = 671036,
  [SMALL_STATE(12966)] = 671090,
  [SMALL_STATE(12967)] = 671144,
  [SMALL_STATE(12968)] = 671198,
  [SMALL_STATE(12969)] = 671231,
  [SMALL_STATE(12970)] = 671268,
  [SMALL_STATE(12971)] = 671303,
  [SMALL_STATE(12972)] = 671354,
  [SMALL_STATE(12973)] = 671391,
  [SMALL_STATE(12974)] = 671442,
  [SMALL_STATE(12975)] = 671485,
  [SMALL_STATE(12976)] = 671536,
  [SMALL_STATE(12977)] = 671573,
  [SMALL_STATE(12978)] = 671612,
  [SMALL_STATE(12979)] = 671663,
  [SMALL_STATE(12980)] = 671702,
  [SMALL_STATE(12981)] = 671739,
  [SMALL_STATE(12982)] = 671774,
  [SMALL_STATE(12983)] = 671813,
  [SMALL_STATE(12984)] = 671864,
  [SMALL_STATE(12985)] = 671903,
  [SMALL_STATE(12986)] = 671954,
  [SMALL_STATE(12987)] = 671993,
  [SMALL_STATE(12988)] = 672032,
  [SMALL_STATE(12989)] = 672065,
  [SMALL_STATE(12990)] = 672116,
  [SMALL_STATE(12991)] = 672149,
  [SMALL_STATE(12992)] = 672188,
  [SMALL_STATE(12993)] = 672221,
  [SMALL_STATE(12994)] = 672272,
  [SMALL_STATE(12995)] = 672323,
  [SMALL_STATE(12996)] = 672362,
  [SMALL_STATE(12997)] = 672401,
  [SMALL_STATE(12998)] = 672440,
  [SMALL_STATE(12999)] = 672491,
  [SMALL_STATE(13000)] = 672530,
  [SMALL_STATE(13001)] = 672569,
  [SMALL_STATE(13002)] = 672608,
  [SMALL_STATE(13003)] = 672659,
  [SMALL_STATE(13004)] = 672696,
  [SMALL_STATE(13005)] = 672735,
  [SMALL_STATE(13006)] = 672786,
  [SMALL_STATE(13007)] = 672837,
  [SMALL_STATE(13008)] = 672876,
  [SMALL_STATE(13009)] = 672909,
  [SMALL_STATE(13010)] = 672960,
  [SMALL_STATE(13011)] = 673011,
  [SMALL_STATE(13012)] = 673048,
  [SMALL_STATE(13013)] = 673099,
  [SMALL_STATE(13014)] = 673136,
  [SMALL_STATE(13015)] = 673187,
  [SMALL_STATE(13016)] = 673220,
  [SMALL_STATE(13017)] = 673253,
  [SMALL_STATE(13018)] = 673304,
  [SMALL_STATE(13019)] = 673339,
  [SMALL_STATE(13020)] = 673390,
  [SMALL_STATE(13021)] = 673427,
  [SMALL_STATE(13022)] = 673462,
  [SMALL_STATE(13023)] = 673513,
  [SMALL_STATE(13024)] = 673564,
  [SMALL_STATE(13025)] = 673601,
  [SMALL_STATE(13026)] = 673640,
  [SMALL_STATE(13027)] = 673679,
  [SMALL_STATE(13028)] = 673730,
  [SMALL_STATE(13029)] = 673769,
  [SMALL_STATE(13030)] = 673806,
  [SMALL_STATE(13031)] = 673841,
  [SMALL_STATE(13032)] = 673892,
  [SMALL_STATE(13033)] = 673925,
  [SMALL_STATE(13034)] = 673962,
  [SMALL_STATE(13035)] = 674005,
  [SMALL_STATE(13036)] = 674058,
  [SMALL_STATE(13037)] = 674097,
  [SMALL_STATE(13038)] = 674154,
  [SMALL_STATE(13039)] = 674191,
  [SMALL_STATE(13040)] = 674224,
  [SMALL_STATE(13041)] = 674261,
  [SMALL_STATE(13042)] = 674300,
  [SMALL_STATE(13043)] = 674339,
  [SMALL_STATE(13044)] = 674390,
  [SMALL_STATE(13045)] = 674433,
  [SMALL_STATE(13046)] = 674470,
  [SMALL_STATE(13047)] = 674511,
  [SMALL_STATE(13048)] = 674550,
  [SMALL_STATE(13049)] = 674601,
  [SMALL_STATE(13050)] = 674640,
  [SMALL_STATE(13051)] = 674679,
  [SMALL_STATE(13052)] = 674718,
  [SMALL_STATE(13053)] = 674757,
  [SMALL_STATE(13054)] = 674790,
  [SMALL_STATE(13055)] = 674829,
  [SMALL_STATE(13056)] = 674868,
  [SMALL_STATE(13057)] = 674919,
  [SMALL_STATE(13058)] = 674956,
  [SMALL_STATE(13059)] = 674993,
  [SMALL_STATE(13060)] = 675030,
  [SMALL_STATE(13061)] = 675085,
  [SMALL_STATE(13062)] = 675122,
  [SMALL_STATE(13063)] = 675173,
  [SMALL_STATE(13064)] = 675208,
  [SMALL_STATE(13065)] = 675241,
  [SMALL_STATE(13066)] = 675280,
  [SMALL_STATE(13067)] = 675331,
  [SMALL_STATE(13068)] = 675382,
  [SMALL_STATE(13069)] = 675415,
  [SMALL_STATE(13070)] = 675458,
  [SMALL_STATE(13071)] = 675491,
  [SMALL_STATE(13072)] = 675524,
  [SMALL_STATE(13073)] = 675557,
  [SMALL_STATE(13074)] = 675594,
  [SMALL_STATE(13075)] = 675631,
  [SMALL_STATE(13076)] = 675682,
  [SMALL_STATE(13077)] = 675733,
  [SMALL_STATE(13078)] = 675766,
  [SMALL_STATE(13079)] = 675817,
  [SMALL_STATE(13080)] = 675868,
  [SMALL_STATE(13081)] = 675919,
  [SMALL_STATE(13082)] = 675970,
  [SMALL_STATE(13083)] = 676021,
  [SMALL_STATE(13084)] = 676064,
  [SMALL_STATE(13085)] = 676115,
  [SMALL_STATE(13086)] = 676154,
  [SMALL_STATE(13087)] = 676193,
  [SMALL_STATE(13088)] = 676230,
  [SMALL_STATE(13089)] = 676269,
  [SMALL_STATE(13090)] = 676308,
  [SMALL_STATE(13091)] = 676347,
  [SMALL_STATE(13092)] = 676386,
  [SMALL_STATE(13093)] = 676437,
  [SMALL_STATE(13094)] = 676472,
  [SMALL_STATE(13095)] = 676509,
  [SMALL_STATE(13096)] = 676552,
  [SMALL_STATE(13097)] = 676603,
  [SMALL_STATE(13098)] = 676636,
  [SMALL_STATE(13099)] = 676687,
  [SMALL_STATE(13100)] = 676726,
  [SMALL_STATE(13101)] = 676759,
  [SMALL_STATE(13102)] = 676792,
  [SMALL_STATE(13103)] = 676833,
  [SMALL_STATE(13104)] = 676884,
  [SMALL_STATE(13105)] = 676917,
  [SMALL_STATE(13106)] = 676968,
  [SMALL_STATE(13107)] = 677005,
  [SMALL_STATE(13108)] = 677042,
  [SMALL_STATE(13109)] = 677093,
  [SMALL_STATE(13110)] = 677126,
  [SMALL_STATE(13111)] = 677177,
  [SMALL_STATE(13112)] = 677228,
  [SMALL_STATE(13113)] = 677265,
  [SMALL_STATE(13114)] = 677302,
  [SMALL_STATE(13115)] = 677339,
  [SMALL_STATE(13116)] = 677374,
  [SMALL_STATE(13117)] = 677411,
  [SMALL_STATE(13118)] = 677448,
  [SMALL_STATE(13119)] = 677483,
  [SMALL_STATE(13120)] = 677516,
  [SMALL_STATE(13121)] = 677549,
  [SMALL_STATE(13122)] = 677582,
  [SMALL_STATE(13123)] = 677639,
  [SMALL_STATE(13124)] = 677682,
  [SMALL_STATE(13125)] = 677715,
  [SMALL_STATE(13126)] = 677758,
  [SMALL_STATE(13127)] = 677809,
  [SMALL_STATE(13128)] = 677860,
  [SMALL_STATE(13129)] = 677903,
  [SMALL_STATE(13130)] = 677936,
  [SMALL_STATE(13131)] = 677969,
  [SMALL_STATE(13132)] = 678012,
  [SMALL_STATE(13133)] = 678051,
  [SMALL_STATE(13134)] = 678102,
  [SMALL_STATE(13135)] = 678145,
  [SMALL_STATE(13136)] = 678182,
  [SMALL_STATE(13137)] = 678219,
  [SMALL_STATE(13138)] = 678264,
  [SMALL_STATE(13139)] = 678309,
  [SMALL_STATE(13140)] = 678360,
  [SMALL_STATE(13141)] = 678409,
  [SMALL_STATE(13142)] = 678448,
  [SMALL_STATE(13143)] = 678505,
  [SMALL_STATE(13144)] = 678556,
  [SMALL_STATE(13145)] = 678599,
  [SMALL_STATE(13146)] = 678636,
  [SMALL_STATE(13147)] = 678687,
  [SMALL_STATE(13148)] = 678742,
  [SMALL_STATE(13149)] = 678781,
  [SMALL_STATE(13150)] = 678824,
  [SMALL_STATE(13151)] = 678879,
  [SMALL_STATE(13152)] = 678916,
  [SMALL_STATE(13153)] = 678971,
  [SMALL_STATE(13154)] = 679004,
  [SMALL_STATE(13155)] = 679055,
  [SMALL_STATE(13156)] = 679092,
  [SMALL_STATE(13157)] = 679125,
  [SMALL_STATE(13158)] = 679162,
  [SMALL_STATE(13159)] = 679195,
  [SMALL_STATE(13160)] = 679236,
  [SMALL_STATE(13161)] = 679275,
  [SMALL_STATE(13162)] = 679310,
  [SMALL_STATE(13163)] = 679347,
  [SMALL_STATE(13164)] = 679392,
  [SMALL_STATE(13165)] = 679437,
  [SMALL_STATE(13166)] = 679486,
  [SMALL_STATE(13167)] = 679537,
  [SMALL_STATE(13168)] = 679574,
  [SMALL_STATE(13169)] = 679611,
  [SMALL_STATE(13170)] = 679666,
  [SMALL_STATE(13171)] = 679705,
  [SMALL_STATE(13172)] = 679742,
  [SMALL_STATE(13173)] = 679779,
  [SMALL_STATE(13174)] = 679834,
  [SMALL_STATE(13175)] = 679875,
  [SMALL_STATE(13176)] = 679926,
  [SMALL_STATE(13177)] = 679977,
  [SMALL_STATE(13178)] = 680018,
  [SMALL_STATE(13179)] = 680069,
  [SMALL_STATE(13180)] = 680110,
  [SMALL_STATE(13181)] = 680165,
  [SMALL_STATE(13182)] = 680198,
  [SMALL_STATE(13183)] = 680233,
  [SMALL_STATE(13184)] = 680274,
  [SMALL_STATE(13185)] = 680325,
  [SMALL_STATE(13186)] = 680376,
  [SMALL_STATE(13187)] = 680427,
  [SMALL_STATE(13188)] = 680468,
  [SMALL_STATE(13189)] = 680519,
  [SMALL_STATE(13190)] = 680570,
  [SMALL_STATE(13191)] = 680621,
  [SMALL_STATE(13192)] = 680672,
  [SMALL_STATE(13193)] = 680705,
  [SMALL_STATE(13194)] = 680742,
  [SMALL_STATE(13195)] = 680793,
  [SMALL_STATE(13196)] = 680830,
  [SMALL_STATE(13197)] = 680881,
  [SMALL_STATE(13198)] = 680932,
  [SMALL_STATE(13199)] = 680983,
  [SMALL_STATE(13200)] = 681034,
  [SMALL_STATE(13201)] = 681073,
  [SMALL_STATE(13202)] = 681124,
  [SMALL_STATE(13203)] = 681175,
  [SMALL_STATE(13204)] = 681226,
  [SMALL_STATE(13205)] = 681265,
  [SMALL_STATE(13206)] = 681316,
  [SMALL_STATE(13207)] = 681367,
  [SMALL_STATE(13208)] = 681406,
  [SMALL_STATE(13209)] = 681439,
  [SMALL_STATE(13210)] = 681471,
  [SMALL_STATE(13211)] = 681519,
  [SMALL_STATE(13212)] = 681555,
  [SMALL_STATE(13213)] = 681603,
  [SMALL_STATE(13214)] = 681639,
  [SMALL_STATE(13215)] = 681683,
  [SMALL_STATE(13216)] = 681731,
  [SMALL_STATE(13217)] = 681767,
  [SMALL_STATE(13218)] = 681815,
  [SMALL_STATE(13219)] = 681847,
  [SMALL_STATE(13220)] = 681883,
  [SMALL_STATE(13221)] = 681931,
  [SMALL_STATE(13222)] = 681965,
  [SMALL_STATE(13223)] = 682013,
  [SMALL_STATE(13224)] = 682049,
  [SMALL_STATE(13225)] = 682103,
  [SMALL_STATE(13226)] = 682151,
  [SMALL_STATE(13227)] = 682205,
  [SMALL_STATE(13228)] = 682239,
  [SMALL_STATE(13229)] = 682287,
  [SMALL_STATE(13230)] = 682319,
  [SMALL_STATE(13231)] = 682355,
  [SMALL_STATE(13232)] = 682403,
  [SMALL_STATE(13233)] = 682451,
  [SMALL_STATE(13234)] = 682499,
  [SMALL_STATE(13235)] = 682541,
  [SMALL_STATE(13236)] = 682577,
  [SMALL_STATE(13237)] = 682609,
  [SMALL_STATE(13238)] = 682645,
  [SMALL_STATE(13239)] = 682689,
  [SMALL_STATE(13240)] = 682749,
  [SMALL_STATE(13241)] = 682785,
  [SMALL_STATE(13242)] = 682819,
  [SMALL_STATE(13243)] = 682855,
  [SMALL_STATE(13244)] = 682891,
  [SMALL_STATE(13245)] = 682941,
  [SMALL_STATE(13246)] = 682977,
  [SMALL_STATE(13247)] = 683013,
  [SMALL_STATE(13248)] = 683049,
  [SMALL_STATE(13249)] = 683081,
  [SMALL_STATE(13250)] = 683117,
  [SMALL_STATE(13251)] = 683153,
  [SMALL_STATE(13252)] = 683203,
  [SMALL_STATE(13253)] = 683239,
  [SMALL_STATE(13254)] = 683299,
  [SMALL_STATE(13255)] = 683347,
  [SMALL_STATE(13256)] = 683395,
  [SMALL_STATE(13257)] = 683431,
  [SMALL_STATE(13258)] = 683479,
  [SMALL_STATE(13259)] = 683527,
  [SMALL_STATE(13260)] = 683559,
  [SMALL_STATE(13261)] = 683591,
  [SMALL_STATE(13262)] = 683627,
  [SMALL_STATE(13263)] = 683661,
  [SMALL_STATE(13264)] = 683697,
  [SMALL_STATE(13265)] = 683731,
  [SMALL_STATE(13266)] = 683767,
  [SMALL_STATE(13267)] = 683817,
  [SMALL_STATE(13268)] = 683851,
  [SMALL_STATE(13269)] = 683899,
  [SMALL_STATE(13270)] = 683947,
  [SMALL_STATE(13271)] = 683983,
  [SMALL_STATE(13272)] = 684025,
  [SMALL_STATE(13273)] = 684073,
  [SMALL_STATE(13274)] = 684105,
  [SMALL_STATE(13275)] = 684139,
  [SMALL_STATE(13276)] = 684175,
  [SMALL_STATE(13277)] = 684207,
  [SMALL_STATE(13278)] = 684255,
  [SMALL_STATE(13279)] = 684289,
  [SMALL_STATE(13280)] = 684337,
  [SMALL_STATE(13281)] = 684385,
  [SMALL_STATE(13282)] = 684435,
  [SMALL_STATE(13283)] = 684477,
  [SMALL_STATE(13284)] = 684509,
  [SMALL_STATE(13285)] = 684545,
  [SMALL_STATE(13286)] = 684581,
  [SMALL_STATE(13287)] = 684617,
  [SMALL_STATE(13288)] = 684649,
  [SMALL_STATE(13289)] = 684693,
  [SMALL_STATE(13290)] = 684737,
  [SMALL_STATE(13291)] = 684785,
  [SMALL_STATE(13292)] = 684833,
  [SMALL_STATE(13293)] = 684883,
  [SMALL_STATE(13294)] = 684919,
  [SMALL_STATE(13295)] = 684973,
  [SMALL_STATE(13296)] = 685021,
  [SMALL_STATE(13297)] = 685057,
  [SMALL_STATE(13298)] = 685093,
  [SMALL_STATE(13299)] = 685127,
  [SMALL_STATE(13300)] = 685177,
  [SMALL_STATE(13301)] = 685213,
  [SMALL_STATE(13302)] = 685255,
  [SMALL_STATE(13303)] = 685291,
  [SMALL_STATE(13304)] = 685345,
  [SMALL_STATE(13305)] = 685405,
  [SMALL_STATE(13306)] = 685443,
  [SMALL_STATE(13307)] = 685479,
  [SMALL_STATE(13308)] = 685533,
  [SMALL_STATE(13309)] = 685587,
  [SMALL_STATE(13310)] = 685623,
  [SMALL_STATE(13311)] = 685659,
  [SMALL_STATE(13312)] = 685707,
  [SMALL_STATE(13313)] = 685763,
  [SMALL_STATE(13314)] = 685801,
  [SMALL_STATE(13315)] = 685839,
  [SMALL_STATE(13316)] = 685875,
  [SMALL_STATE(13317)] = 685929,
  [SMALL_STATE(13318)] = 685965,
  [SMALL_STATE(13319)] = 686001,
  [SMALL_STATE(13320)] = 686049,
  [SMALL_STATE(13321)] = 686093,
  [SMALL_STATE(13322)] = 686131,
  [SMALL_STATE(13323)] = 686175,
  [SMALL_STATE(13324)] = 686231,
  [SMALL_STATE(13325)] = 686267,
  [SMALL_STATE(13326)] = 686315,
  [SMALL_STATE(13327)] = 686359,
  [SMALL_STATE(13328)] = 686407,
  [SMALL_STATE(13329)] = 686457,
  [SMALL_STATE(13330)] = 686517,
  [SMALL_STATE(13331)] = 686571,
  [SMALL_STATE(13332)] = 686627,
  [SMALL_STATE(13333)] = 686665,
  [SMALL_STATE(13334)] = 686719,
  [SMALL_STATE(13335)] = 686769,
  [SMALL_STATE(13336)] = 686803,
  [SMALL_STATE(13337)] = 686859,
  [SMALL_STATE(13338)] = 686895,
  [SMALL_STATE(13339)] = 686943,
  [SMALL_STATE(13340)] = 686991,
  [SMALL_STATE(13341)] = 687027,
  [SMALL_STATE(13342)] = 687081,
  [SMALL_STATE(13343)] = 687129,
  [SMALL_STATE(13344)] = 687183,
  [SMALL_STATE(13345)] = 687233,
  [SMALL_STATE(13346)] = 687275,
  [SMALL_STATE(13347)] = 687323,
  [SMALL_STATE(13348)] = 687359,
  [SMALL_STATE(13349)] = 687395,
  [SMALL_STATE(13350)] = 687449,
  [SMALL_STATE(13351)] = 687491,
  [SMALL_STATE(13352)] = 687525,
  [SMALL_STATE(13353)] = 687569,
  [SMALL_STATE(13354)] = 687625,
  [SMALL_STATE(13355)] = 687675,
  [SMALL_STATE(13356)] = 687717,
  [SMALL_STATE(13357)] = 687761,
  [SMALL_STATE(13358)] = 687797,
  [SMALL_STATE(13359)] = 687833,
  [SMALL_STATE(13360)] = 687871,
  [SMALL_STATE(13361)] = 687907,
  [SMALL_STATE(13362)] = 687961,
  [SMALL_STATE(13363)] = 687993,
  [SMALL_STATE(13364)] = 688037,
  [SMALL_STATE(13365)] = 688081,
  [SMALL_STATE(13366)] = 688129,
  [SMALL_STATE(13367)] = 688179,
  [SMALL_STATE(13368)] = 688227,
  [SMALL_STATE(13369)] = 688263,
  [SMALL_STATE(13370)] = 688299,
  [SMALL_STATE(13371)] = 688333,
  [SMALL_STATE(13372)] = 688387,
  [SMALL_STATE(13373)] = 688425,
  [SMALL_STATE(13374)] = 688473,
  [SMALL_STATE(13375)] = 688509,
  [SMALL_STATE(13376)] = 688557,
  [SMALL_STATE(13377)] = 688593,
  [SMALL_STATE(13378)] = 688647,
  [SMALL_STATE(13379)] = 688701,
  [SMALL_STATE(13380)] = 688737,
  [SMALL_STATE(13381)] = 688773,
  [SMALL_STATE(13382)] = 688807,
  [SMALL_STATE(13383)] = 688851,
  [SMALL_STATE(13384)] = 688883,
  [SMALL_STATE(13385)] = 688915,
  [SMALL_STATE(13386)] = 688963,
  [SMALL_STATE(13387)] = 689011,
  [SMALL_STATE(13388)] = 689059,
  [SMALL_STATE(13389)] = 689095,
  [SMALL_STATE(13390)] = 689131,
  [SMALL_STATE(13391)] = 689185,
  [SMALL_STATE(13392)] = 689219,
  [SMALL_STATE(13393)] = 689255,
  [SMALL_STATE(13394)] = 689305,
  [SMALL_STATE(13395)] = 689363,
  [SMALL_STATE(13396)] = 689411,
  [SMALL_STATE(13397)] = 689449,
  [SMALL_STATE(13398)] = 689487,
  [SMALL_STATE(13399)] = 689519,
  [SMALL_STATE(13400)] = 689567,
  [SMALL_STATE(13401)] = 689617,
  [SMALL_STATE(13402)] = 689655,
  [SMALL_STATE(13403)] = 689689,
  [SMALL_STATE(13404)] = 689743,
  [SMALL_STATE(13405)] = 689775,
  [SMALL_STATE(13406)] = 689823,
  [SMALL_STATE(13407)] = 689877,
  [SMALL_STATE(13408)] = 689911,
  [SMALL_STATE(13409)] = 689947,
  [SMALL_STATE(13410)] = 689985,
  [SMALL_STATE(13411)] = 690039,
  [SMALL_STATE(13412)] = 690071,
  [SMALL_STATE(13413)] = 690107,
  [SMALL_STATE(13414)] = 690143,
  [SMALL_STATE(13415)] = 690179,
  [SMALL_STATE(13416)] = 690227,
  [SMALL_STATE(13417)] = 690281,
  [SMALL_STATE(13418)] = 690313,
  [SMALL_STATE(13419)] = 690345,
  [SMALL_STATE(13420)] = 690393,
  [SMALL_STATE(13421)] = 690425,
  [SMALL_STATE(13422)] = 690461,
  [SMALL_STATE(13423)] = 690497,
  [SMALL_STATE(13424)] = 690533,
  [SMALL_STATE(13425)] = 690581,
  [SMALL_STATE(13426)] = 690617,
  [SMALL_STATE(13427)] = 690653,
  [SMALL_STATE(13428)] = 690701,
  [SMALL_STATE(13429)] = 690749,
  [SMALL_STATE(13430)] = 690785,
  [SMALL_STATE(13431)] = 690821,
  [SMALL_STATE(13432)] = 690869,
  [SMALL_STATE(13433)] = 690917,
  [SMALL_STATE(13434)] = 690965,
  [SMALL_STATE(13435)] = 691003,
  [SMALL_STATE(13436)] = 691051,
  [SMALL_STATE(13437)] = 691093,
  [SMALL_STATE(13438)] = 691129,
  [SMALL_STATE(13439)] = 691163,
  [SMALL_STATE(13440)] = 691199,
  [SMALL_STATE(13441)] = 691247,
  [SMALL_STATE(13442)] = 691297,
  [SMALL_STATE(13443)] = 691345,
  [SMALL_STATE(13444)] = 691387,
  [SMALL_STATE(13445)] = 691435,
  [SMALL_STATE(13446)] = 691483,
  [SMALL_STATE(13447)] = 691531,
  [SMALL_STATE(13448)] = 691567,
  [SMALL_STATE(13449)] = 691601,
  [SMALL_STATE(13450)] = 691633,
  [SMALL_STATE(13451)] = 691669,
  [SMALL_STATE(13452)] = 691701,
  [SMALL_STATE(13453)] = 691749,
  [SMALL_STATE(13454)] = 691785,
  [SMALL_STATE(13455)] = 691821,
  [SMALL_STATE(13456)] = 691857,
  [SMALL_STATE(13457)] = 691893,
  [SMALL_STATE(13458)] = 691929,
  [SMALL_STATE(13459)] = 691963,
  [SMALL_STATE(13460)] = 691995,
  [SMALL_STATE(13461)] = 692031,
  [SMALL_STATE(13462)] = 692079,
  [SMALL_STATE(13463)] = 692111,
  [SMALL_STATE(13464)] = 692155,
  [SMALL_STATE(13465)] = 692205,
  [SMALL_STATE(13466)] = 692249,
  [SMALL_STATE(13467)] = 692297,
  [SMALL_STATE(13468)] = 692347,
  [SMALL_STATE(13469)] = 692395,
  [SMALL_STATE(13470)] = 692431,
  [SMALL_STATE(13471)] = 692465,
  [SMALL_STATE(13472)] = 692519,
  [SMALL_STATE(13473)] = 692557,
  [SMALL_STATE(13474)] = 692611,
  [SMALL_STATE(13475)] = 692665,
  [SMALL_STATE(13476)] = 692713,
  [SMALL_STATE(13477)] = 692749,
  [SMALL_STATE(13478)] = 692785,
  [SMALL_STATE(13479)] = 692835,
  [SMALL_STATE(13480)] = 692883,
  [SMALL_STATE(13481)] = 692937,
  [SMALL_STATE(13482)] = 692973,
  [SMALL_STATE(13483)] = 693009,
  [SMALL_STATE(13484)] = 693045,
  [SMALL_STATE(13485)] = 693081,
  [SMALL_STATE(13486)] = 693117,
  [SMALL_STATE(13487)] = 693153,
  [SMALL_STATE(13488)] = 693189,
  [SMALL_STATE(13489)] = 693237,
  [SMALL_STATE(13490)] = 693291,
  [SMALL_STATE(13491)] = 693339,
  [SMALL_STATE(13492)] = 693373,
  [SMALL_STATE(13493)] = 693421,
  [SMALL_STATE(13494)] = 693453,
  [SMALL_STATE(13495)] = 693501,
  [SMALL_STATE(13496)] = 693537,
  [SMALL_STATE(13497)] = 693585,
  [SMALL_STATE(13498)] = 693619,
  [SMALL_STATE(13499)] = 693661,
  [SMALL_STATE(13500)] = 693709,
  [SMALL_STATE(13501)] = 693765,
  [SMALL_STATE(13502)] = 693797,
  [SMALL_STATE(13503)] = 693845,
  [SMALL_STATE(13504)] = 693903,
  [SMALL_STATE(13505)] = 693959,
  [SMALL_STATE(13506)] = 694007,
  [SMALL_STATE(13507)] = 694055,
  [SMALL_STATE(13508)] = 694091,
  [SMALL_STATE(13509)] = 694127,
  [SMALL_STATE(13510)] = 694163,
  [SMALL_STATE(13511)] = 694195,
  [SMALL_STATE(13512)] = 694231,
  [SMALL_STATE(13513)] = 694265,
  [SMALL_STATE(13514)] = 694301,
  [SMALL_STATE(13515)] = 694337,
  [SMALL_STATE(13516)] = 694385,
  [SMALL_STATE(13517)] = 694433,
  [SMALL_STATE(13518)] = 694469,
  [SMALL_STATE(13519)] = 694505,
  [SMALL_STATE(13520)] = 694553,
  [SMALL_STATE(13521)] = 694585,
  [SMALL_STATE(13522)] = 694639,
  [SMALL_STATE(13523)] = 694673,
  [SMALL_STATE(13524)] = 694721,
  [SMALL_STATE(13525)] = 694757,
  [SMALL_STATE(13526)] = 694793,
  [SMALL_STATE(13527)] = 694825,
  [SMALL_STATE(13528)] = 694859,
  [SMALL_STATE(13529)] = 694895,
  [SMALL_STATE(13530)] = 694931,
  [SMALL_STATE(13531)] = 694967,
  [SMALL_STATE(13532)] = 695003,
  [SMALL_STATE(13533)] = 695039,
  [SMALL_STATE(13534)] = 695075,
  [SMALL_STATE(13535)] = 695111,
  [SMALL_STATE(13536)] = 695147,
  [SMALL_STATE(13537)] = 695198,
  [SMALL_STATE(13538)] = 695245,
  [SMALL_STATE(13539)] = 695294,
  [SMALL_STATE(13540)] = 695335,
  [SMALL_STATE(13541)] = 695388,
  [SMALL_STATE(13542)] = 695425,
  [SMALL_STATE(13543)] = 695478,
  [SMALL_STATE(13544)] = 695533,
  [SMALL_STATE(13545)] = 695588,
  [SMALL_STATE(13546)] = 695641,
  [SMALL_STATE(13547)] = 695682,
  [SMALL_STATE(13548)] = 695737,
  [SMALL_STATE(13549)] = 695792,
  [SMALL_STATE(13550)] = 695833,
  [SMALL_STATE(13551)] = 695888,
  [SMALL_STATE(13552)] = 695943,
  [SMALL_STATE(13553)] = 695986,
  [SMALL_STATE(13554)] = 696027,
  [SMALL_STATE(13555)] = 696082,
  [SMALL_STATE(13556)] = 696137,
  [SMALL_STATE(13557)] = 696178,
  [SMALL_STATE(13558)] = 696233,
  [SMALL_STATE(13559)] = 696274,
  [SMALL_STATE(13560)] = 696329,
  [SMALL_STATE(13561)] = 696384,
  [SMALL_STATE(13562)] = 696439,
  [SMALL_STATE(13563)] = 696486,
  [SMALL_STATE(13564)] = 696527,
  [SMALL_STATE(13565)] = 696562,
  [SMALL_STATE(13566)] = 696597,
  [SMALL_STATE(13567)] = 696640,
  [SMALL_STATE(13568)] = 696683,
  [SMALL_STATE(13569)] = 696730,
  [SMALL_STATE(13570)] = 696777,
  [SMALL_STATE(13571)] = 696828,
  [SMALL_STATE(13572)] = 696869,
  [SMALL_STATE(13573)] = 696906,
  [SMALL_STATE(13574)] = 696957,
  [SMALL_STATE(13575)] = 697012,
  [SMALL_STATE(13576)] = 697067,
  [SMALL_STATE(13577)] = 697102,
  [SMALL_STATE(13578)] = 697133,
  [SMALL_STATE(13579)] = 697174,
  [SMALL_STATE(13580)] = 697229,
  [SMALL_STATE(13581)] = 697264,
  [SMALL_STATE(13582)] = 697319,
  [SMALL_STATE(13583)] = 697354,
  [SMALL_STATE(13584)] = 697395,
  [SMALL_STATE(13585)] = 697436,
  [SMALL_STATE(13586)] = 697477,
  [SMALL_STATE(13587)] = 697530,
  [SMALL_STATE(13588)] = 697585,
  [SMALL_STATE(13589)] = 697640,
  [SMALL_STATE(13590)] = 697695,
  [SMALL_STATE(13591)] = 697750,
  [SMALL_STATE(13592)] = 697791,
  [SMALL_STATE(13593)] = 697832,
  [SMALL_STATE(13594)] = 697873,
  [SMALL_STATE(13595)] = 697914,
  [SMALL_STATE(13596)] = 697955,
  [SMALL_STATE(13597)] = 697996,
  [SMALL_STATE(13598)] = 698037,
  [SMALL_STATE(13599)] = 698078,
  [SMALL_STATE(13600)] = 698119,
  [SMALL_STATE(13601)] = 698160,
  [SMALL_STATE(13602)] = 698201,
  [SMALL_STATE(13603)] = 698242,
  [SMALL_STATE(13604)] = 698283,
  [SMALL_STATE(13605)] = 698338,
  [SMALL_STATE(13606)] = 698379,
  [SMALL_STATE(13607)] = 698414,
  [SMALL_STATE(13608)] = 698455,
  [SMALL_STATE(13609)] = 698488,
  [SMALL_STATE(13610)] = 698519,
  [SMALL_STATE(13611)] = 698550,
  [SMALL_STATE(13612)] = 698605,
  [SMALL_STATE(13613)] = 698660,
  [SMALL_STATE(13614)] = 698693,
  [SMALL_STATE(13615)] = 698724,
  [SMALL_STATE(13616)] = 698759,
  [SMALL_STATE(13617)] = 698800,
  [SMALL_STATE(13618)] = 698833,
  [SMALL_STATE(13619)] = 698864,
  [SMALL_STATE(13620)] = 698905,
  [SMALL_STATE(13621)] = 698936,
  [SMALL_STATE(13622)] = 698967,
  [SMALL_STATE(13623)] = 699022,
  [SMALL_STATE(13624)] = 699057,
  [SMALL_STATE(13625)] = 699112,
  [SMALL_STATE(13626)] = 699167,
  [SMALL_STATE(13627)] = 699200,
  [SMALL_STATE(13628)] = 699235,
  [SMALL_STATE(13629)] = 699270,
  [SMALL_STATE(13630)] = 699319,
  [SMALL_STATE(13631)] = 699360,
  [SMALL_STATE(13632)] = 699395,
  [SMALL_STATE(13633)] = 699430,
  [SMALL_STATE(13634)] = 699473,
  [SMALL_STATE(13635)] = 699516,
  [SMALL_STATE(13636)] = 699563,
  [SMALL_STATE(13637)] = 699612,
  [SMALL_STATE(13638)] = 699665,
  [SMALL_STATE(13639)] = 699702,
  [SMALL_STATE(13640)] = 699755,
  [SMALL_STATE(13641)] = 699790,
  [SMALL_STATE(13642)] = 699823,
  [SMALL_STATE(13643)] = 699876,
  [SMALL_STATE(13644)] = 699907,
  [SMALL_STATE(13645)] = 699962,
  [SMALL_STATE(13646)] = 699993,
  [SMALL_STATE(13647)] = 700024,
  [SMALL_STATE(13648)] = 700079,
  [SMALL_STATE(13649)] = 700120,
  [SMALL_STATE(13650)] = 700175,
  [SMALL_STATE(13651)] = 700230,
  [SMALL_STATE(13652)] = 700265,
  [SMALL_STATE(13653)] = 700300,
  [SMALL_STATE(13654)] = 700341,
  [SMALL_STATE(13655)] = 700396,
  [SMALL_STATE(13656)] = 700437,
  [SMALL_STATE(13657)] = 700470,
  [SMALL_STATE(13658)] = 700511,
  [SMALL_STATE(13659)] = 700544,
  [SMALL_STATE(13660)] = 700599,
  [SMALL_STATE(13661)] = 700654,
  [SMALL_STATE(13662)] = 700689,
  [SMALL_STATE(13663)] = 700724,
  [SMALL_STATE(13664)] = 700759,
  [SMALL_STATE(13665)] = 700794,
  [SMALL_STATE(13666)] = 700827,
  [SMALL_STATE(13667)] = 700862,
  [SMALL_STATE(13668)] = 700917,
  [SMALL_STATE(13669)] = 700958,
  [SMALL_STATE(13670)] = 701011,
  [SMALL_STATE(13671)] = 701066,
  [SMALL_STATE(13672)] = 701121,
  [SMALL_STATE(13673)] = 701176,
  [SMALL_STATE(13674)] = 701211,
  [SMALL_STATE(13675)] = 701266,
  [SMALL_STATE(13676)] = 701307,
  [SMALL_STATE(13677)] = 701362,
  [SMALL_STATE(13678)] = 701417,
  [SMALL_STATE(13679)] = 701458,
  [SMALL_STATE(13680)] = 701493,
  [SMALL_STATE(13681)] = 701544,
  [SMALL_STATE(13682)] = 701579,
  [SMALL_STATE(13683)] = 701614,
  [SMALL_STATE(13684)] = 701649,
  [SMALL_STATE(13685)] = 701704,
  [SMALL_STATE(13686)] = 701737,
  [SMALL_STATE(13687)] = 701792,
  [SMALL_STATE(13688)] = 701839,
  [SMALL_STATE(13689)] = 701894,
  [SMALL_STATE(13690)] = 701935,
  [SMALL_STATE(13691)] = 701970,
  [SMALL_STATE(13692)] = 702005,
  [SMALL_STATE(13693)] = 702048,
  [SMALL_STATE(13694)] = 702091,
  [SMALL_STATE(13695)] = 702126,
  [SMALL_STATE(13696)] = 702161,
  [SMALL_STATE(13697)] = 702196,
  [SMALL_STATE(13698)] = 702231,
  [SMALL_STATE(13699)] = 702264,
  [SMALL_STATE(13700)] = 702299,
  [SMALL_STATE(13701)] = 702346,
  [SMALL_STATE(13702)] = 702393,
  [SMALL_STATE(13703)] = 702444,
  [SMALL_STATE(13704)] = 702481,
  [SMALL_STATE(13705)] = 702532,
  [SMALL_STATE(13706)] = 702573,
  [SMALL_STATE(13707)] = 702606,
  [SMALL_STATE(13708)] = 702661,
  [SMALL_STATE(13709)] = 702696,
  [SMALL_STATE(13710)] = 702727,
  [SMALL_STATE(13711)] = 702782,
  [SMALL_STATE(13712)] = 702829,
  [SMALL_STATE(13713)] = 702870,
  [SMALL_STATE(13714)] = 702905,
  [SMALL_STATE(13715)] = 702938,
  [SMALL_STATE(13716)] = 702973,
  [SMALL_STATE(13717)] = 703008,
  [SMALL_STATE(13718)] = 703041,
  [SMALL_STATE(13719)] = 703072,
  [SMALL_STATE(13720)] = 703115,
  [SMALL_STATE(13721)] = 703158,
  [SMALL_STATE(13722)] = 703205,
  [SMALL_STATE(13723)] = 703252,
  [SMALL_STATE(13724)] = 703303,
  [SMALL_STATE(13725)] = 703340,
  [SMALL_STATE(13726)] = 703391,
  [SMALL_STATE(13727)] = 703426,
  [SMALL_STATE(13728)] = 703477,
  [SMALL_STATE(13729)] = 703518,
  [SMALL_STATE(13730)] = 703573,
  [SMALL_STATE(13731)] = 703608,
  [SMALL_STATE(13732)] = 703663,
  [SMALL_STATE(13733)] = 703704,
  [SMALL_STATE(13734)] = 703735,
  [SMALL_STATE(13735)] = 703770,
  [SMALL_STATE(13736)] = 703805,
  [SMALL_STATE(13737)] = 703840,
  [SMALL_STATE(13738)] = 703875,
  [SMALL_STATE(13739)] = 703908,
  [SMALL_STATE(13740)] = 703939,
  [SMALL_STATE(13741)] = 703994,
  [SMALL_STATE(13742)] = 704029,
  [SMALL_STATE(13743)] = 704062,
  [SMALL_STATE(13744)] = 704115,
  [SMALL_STATE(13745)] = 704170,
  [SMALL_STATE(13746)] = 704211,
  [SMALL_STATE(13747)] = 704254,
  [SMALL_STATE(13748)] = 704305,
  [SMALL_STATE(13749)] = 704360,
  [SMALL_STATE(13750)] = 704391,
  [SMALL_STATE(13751)] = 704426,
  [SMALL_STATE(13752)] = 704475,
  [SMALL_STATE(13753)] = 704506,
  [SMALL_STATE(13754)] = 704537,
  [SMALL_STATE(13755)] = 704578,
  [SMALL_STATE(13756)] = 704613,
  [SMALL_STATE(13757)] = 704654,
  [SMALL_STATE(13758)] = 704709,
  [SMALL_STATE(13759)] = 704744,
  [SMALL_STATE(13760)] = 704799,
  [SMALL_STATE(13761)] = 704842,
  [SMALL_STATE(13762)] = 704883,
  [SMALL_STATE(13763)] = 704926,
  [SMALL_STATE(13764)] = 704973,
  [SMALL_STATE(13765)] = 705022,
  [SMALL_STATE(13766)] = 705075,
  [SMALL_STATE(13767)] = 705130,
  [SMALL_STATE(13768)] = 705167,
  [SMALL_STATE(13769)] = 705222,
  [SMALL_STATE(13770)] = 705253,
  [SMALL_STATE(13771)] = 705294,
  [SMALL_STATE(13772)] = 705349,
  [SMALL_STATE(13773)] = 705402,
  [SMALL_STATE(13774)] = 705457,
  [SMALL_STATE(13775)] = 705500,
  [SMALL_STATE(13776)] = 705535,
  [SMALL_STATE(13777)] = 705586,
  [SMALL_STATE(13778)] = 705619,
  [SMALL_STATE(13779)] = 705660,
  [SMALL_STATE(13780)] = 705715,
  [SMALL_STATE(13781)] = 705770,
  [SMALL_STATE(13782)] = 705817,
  [SMALL_STATE(13783)] = 705858,
  [SMALL_STATE(13784)] = 705893,
  [SMALL_STATE(13785)] = 705928,
  [SMALL_STATE(13786)] = 705971,
  [SMALL_STATE(13787)] = 706014,
  [SMALL_STATE(13788)] = 706061,
  [SMALL_STATE(13789)] = 706108,
  [SMALL_STATE(13790)] = 706159,
  [SMALL_STATE(13791)] = 706196,
  [SMALL_STATE(13792)] = 706247,
  [SMALL_STATE(13793)] = 706282,
  [SMALL_STATE(13794)] = 706333,
  [SMALL_STATE(13795)] = 706374,
  [SMALL_STATE(13796)] = 706429,
  [SMALL_STATE(13797)] = 706484,
  [SMALL_STATE(13798)] = 706515,
  [SMALL_STATE(13799)] = 706556,
  [SMALL_STATE(13800)] = 706611,
  [SMALL_STATE(13801)] = 706642,
  [SMALL_STATE(13802)] = 706697,
  [SMALL_STATE(13803)] = 706736,
  [SMALL_STATE(13804)] = 706769,
  [SMALL_STATE(13805)] = 706804,
  [SMALL_STATE(13806)] = 706835,
  [SMALL_STATE(13807)] = 706876,
  [SMALL_STATE(13808)] = 706931,
  [SMALL_STATE(13809)] = 706966,
  [SMALL_STATE(13810)] = 707021,
  [SMALL_STATE(13811)] = 707072,
  [SMALL_STATE(13812)] = 707105,
  [SMALL_STATE(13813)] = 707158,
  [SMALL_STATE(13814)] = 707189,
  [SMALL_STATE(13815)] = 707220,
  [SMALL_STATE(13816)] = 707251,
  [SMALL_STATE(13817)] = 707284,
  [SMALL_STATE(13818)] = 707339,
  [SMALL_STATE(13819)] = 707380,
  [SMALL_STATE(13820)] = 707435,
  [SMALL_STATE(13821)] = 707476,
  [SMALL_STATE(13822)] = 707531,
  [SMALL_STATE(13823)] = 707586,
  [SMALL_STATE(13824)] = 707641,
  [SMALL_STATE(13825)] = 707696,
  [SMALL_STATE(13826)] = 707737,
  [SMALL_STATE(13827)] = 707792,
  [SMALL_STATE(13828)] = 707833,
  [SMALL_STATE(13829)] = 707886,
  [SMALL_STATE(13830)] = 707941,
  [SMALL_STATE(13831)] = 707996,
  [SMALL_STATE(13832)] = 708027,
  [SMALL_STATE(13833)] = 708082,
  [SMALL_STATE(13834)] = 708123,
  [SMALL_STATE(13835)] = 708178,
  [SMALL_STATE(13836)] = 708233,
  [SMALL_STATE(13837)] = 708272,
  [SMALL_STATE(13838)] = 708303,
  [SMALL_STATE(13839)] = 708344,
  [SMALL_STATE(13840)] = 708399,
  [SMALL_STATE(13841)] = 708454,
  [SMALL_STATE(13842)] = 708489,
  [SMALL_STATE(13843)] = 708524,
  [SMALL_STATE(13844)] = 708565,
  [SMALL_STATE(13845)] = 708616,
  [SMALL_STATE(13846)] = 708671,
  [SMALL_STATE(13847)] = 708726,
  [SMALL_STATE(13848)] = 708761,
  [SMALL_STATE(13849)] = 708802,
  [SMALL_STATE(13850)] = 708837,
  [SMALL_STATE(13851)] = 708872,
  [SMALL_STATE(13852)] = 708925,
  [SMALL_STATE(13853)] = 708956,
  [SMALL_STATE(13854)] = 709011,
  [SMALL_STATE(13855)] = 709042,
  [SMALL_STATE(13856)] = 709083,
  [SMALL_STATE(13857)] = 709116,
  [SMALL_STATE(13858)] = 709171,
  [SMALL_STATE(13859)] = 709204,
  [SMALL_STATE(13860)] = 709259,
  [SMALL_STATE(13861)] = 709314,
  [SMALL_STATE(13862)] = 709363,
  [SMALL_STATE(13863)] = 709404,
  [SMALL_STATE(13864)] = 709439,
  [SMALL_STATE(13865)] = 709474,
  [SMALL_STATE(13866)] = 709517,
  [SMALL_STATE(13867)] = 709560,
  [SMALL_STATE(13868)] = 709607,
  [SMALL_STATE(13869)] = 709656,
  [SMALL_STATE(13870)] = 709691,
  [SMALL_STATE(13871)] = 709732,
  [SMALL_STATE(13872)] = 709785,
  [SMALL_STATE(13873)] = 709822,
  [SMALL_STATE(13874)] = 709875,
  [SMALL_STATE(13875)] = 709916,
  [SMALL_STATE(13876)] = 709971,
  [SMALL_STATE(13877)] = 710026,
  [SMALL_STATE(13878)] = 710081,
  [SMALL_STATE(13879)] = 710134,
  [SMALL_STATE(13880)] = 710175,
  [SMALL_STATE(13881)] = 710230,
  [SMALL_STATE(13882)] = 710285,
  [SMALL_STATE(13883)] = 710316,
  [SMALL_STATE(13884)] = 710357,
  [SMALL_STATE(13885)] = 710412,
  [SMALL_STATE(13886)] = 710467,
  [SMALL_STATE(13887)] = 710516,
  [SMALL_STATE(13888)] = 710571,
  [SMALL_STATE(13889)] = 710612,
  [SMALL_STATE(13890)] = 710647,
  [SMALL_STATE(13891)] = 710682,
  [SMALL_STATE(13892)] = 710725,
  [SMALL_STATE(13893)] = 710768,
  [SMALL_STATE(13894)] = 710815,
  [SMALL_STATE(13895)] = 710864,
  [SMALL_STATE(13896)] = 710917,
  [SMALL_STATE(13897)] = 710954,
  [SMALL_STATE(13898)] = 711007,
  [SMALL_STATE(13899)] = 711038,
  [SMALL_STATE(13900)] = 711079,
  [SMALL_STATE(13901)] = 711110,
  [SMALL_STATE(13902)] = 711165,
  [SMALL_STATE(13903)] = 711220,
  [SMALL_STATE(13904)] = 711261,
  [SMALL_STATE(13905)] = 711314,
  [SMALL_STATE(13906)] = 711349,
  [SMALL_STATE(13907)] = 711404,
  [SMALL_STATE(13908)] = 711459,
  [SMALL_STATE(13909)] = 711490,
  [SMALL_STATE(13910)] = 711533,
  [SMALL_STATE(13911)] = 711566,
  [SMALL_STATE(13912)] = 711601,
  [SMALL_STATE(13913)] = 711634,
  [SMALL_STATE(13914)] = 711675,
  [SMALL_STATE(13915)] = 711730,
  [SMALL_STATE(13916)] = 711779,
  [SMALL_STATE(13917)] = 711820,
  [SMALL_STATE(13918)] = 711861,
  [SMALL_STATE(13919)] = 711896,
  [SMALL_STATE(13920)] = 711951,
  [SMALL_STATE(13921)] = 711986,
  [SMALL_STATE(13922)] = 712041,
  [SMALL_STATE(13923)] = 712084,
  [SMALL_STATE(13924)] = 712127,
  [SMALL_STATE(13925)] = 712174,
  [SMALL_STATE(13926)] = 712229,
  [SMALL_STATE(13927)] = 712278,
  [SMALL_STATE(13928)] = 712331,
  [SMALL_STATE(13929)] = 712368,
  [SMALL_STATE(13930)] = 712421,
  [SMALL_STATE(13931)] = 712474,
  [SMALL_STATE(13932)] = 712529,
  [SMALL_STATE(13933)] = 712562,
  [SMALL_STATE(13934)] = 712603,
  [SMALL_STATE(13935)] = 712658,
  [SMALL_STATE(13936)] = 712713,
  [SMALL_STATE(13937)] = 712754,
  [SMALL_STATE(13938)] = 712809,
  [SMALL_STATE(13939)] = 712864,
  [SMALL_STATE(13940)] = 712913,
  [SMALL_STATE(13941)] = 712954,
  [SMALL_STATE(13942)] = 712989,
  [SMALL_STATE(13943)] = 713024,
  [SMALL_STATE(13944)] = 713055,
  [SMALL_STATE(13945)] = 713098,
  [SMALL_STATE(13946)] = 713153,
  [SMALL_STATE(13947)] = 713201,
  [SMALL_STATE(13948)] = 713233,
  [SMALL_STATE(13949)] = 713267,
  [SMALL_STATE(13950)] = 713297,
  [SMALL_STATE(13951)] = 713339,
  [SMALL_STATE(13952)] = 713387,
  [SMALL_STATE(13953)] = 713441,
  [SMALL_STATE(13954)] = 713493,
  [SMALL_STATE(13955)] = 713525,
  [SMALL_STATE(13956)] = 713567,
  [SMALL_STATE(13957)] = 713597,
  [SMALL_STATE(13958)] = 713627,
  [SMALL_STATE(13959)] = 713675,
  [SMALL_STATE(13960)] = 713707,
  [SMALL_STATE(13961)] = 713737,
  [SMALL_STATE(13962)] = 713767,
  [SMALL_STATE(13963)] = 713797,
  [SMALL_STATE(13964)] = 713845,
  [SMALL_STATE(13965)] = 713891,
  [SMALL_STATE(13966)] = 713937,
  [SMALL_STATE(13967)] = 713987,
  [SMALL_STATE(13968)] = 714035,
  [SMALL_STATE(13969)] = 714081,
  [SMALL_STATE(13970)] = 714117,
  [SMALL_STATE(13971)] = 714157,
  [SMALL_STATE(13972)] = 714187,
  [SMALL_STATE(13973)] = 714221,
  [SMALL_STATE(13974)] = 714261,
  [SMALL_STATE(13975)] = 714291,
  [SMALL_STATE(13976)] = 714323,
  [SMALL_STATE(13977)] = 714371,
  [SMALL_STATE(13978)] = 714405,
  [SMALL_STATE(13979)] = 714439,
  [SMALL_STATE(13980)] = 714479,
  [SMALL_STATE(13981)] = 714509,
  [SMALL_STATE(13982)] = 714551,
  [SMALL_STATE(13983)] = 714593,
  [SMALL_STATE(13984)] = 714643,
  [SMALL_STATE(13985)] = 714689,
  [SMALL_STATE(13986)] = 714737,
  [SMALL_STATE(13987)] = 714783,
  [SMALL_STATE(13988)] = 714831,
  [SMALL_STATE(13989)] = 714879,
  [SMALL_STATE(13990)] = 714921,
  [SMALL_STATE(13991)] = 714973,
  [SMALL_STATE(13992)] = 715005,
  [SMALL_STATE(13993)] = 715053,
  [SMALL_STATE(13994)] = 715101,
  [SMALL_STATE(13995)] = 715153,
  [SMALL_STATE(13996)] = 715203,
  [SMALL_STATE(13997)] = 715257,
  [SMALL_STATE(13998)] = 715309,
  [SMALL_STATE(13999)] = 715361,
  [SMALL_STATE(14000)] = 715393,
  [SMALL_STATE(14001)] = 715441,
  [SMALL_STATE(14002)] = 715473,
  [SMALL_STATE(14003)] = 715521,
  [SMALL_STATE(14004)] = 715561,
  [SMALL_STATE(14005)] = 715611,
  [SMALL_STATE(14006)] = 715647,
  [SMALL_STATE(14007)] = 715697,
  [SMALL_STATE(14008)] = 715729,
  [SMALL_STATE(14009)] = 715767,
  [SMALL_STATE(14010)] = 715799,
  [SMALL_STATE(14011)] = 715829,
  [SMALL_STATE(14012)] = 715861,
  [SMALL_STATE(14013)] = 715893,
  [SMALL_STATE(14014)] = 715925,
  [SMALL_STATE(14015)] = 715973,
  [SMALL_STATE(14016)] = 716021,
  [SMALL_STATE(14017)] = 716075,
  [SMALL_STATE(14018)] = 716123,
  [SMALL_STATE(14019)] = 716163,
  [SMALL_STATE(14020)] = 716209,
  [SMALL_STATE(14021)] = 716239,
  [SMALL_STATE(14022)] = 716269,
  [SMALL_STATE(14023)] = 716299,
  [SMALL_STATE(14024)] = 716329,
  [SMALL_STATE(14025)] = 716375,
  [SMALL_STATE(14026)] = 716423,
  [SMALL_STATE(14027)] = 716453,
  [SMALL_STATE(14028)] = 716483,
  [SMALL_STATE(14029)] = 716513,
  [SMALL_STATE(14030)] = 716561,
  [SMALL_STATE(14031)] = 716611,
  [SMALL_STATE(14032)] = 716651,
  [SMALL_STATE(14033)] = 716701,
  [SMALL_STATE(14034)] = 716753,
  [SMALL_STATE(14035)] = 716799,
  [SMALL_STATE(14036)] = 716831,
  [SMALL_STATE(14037)] = 716879,
  [SMALL_STATE(14038)] = 716911,
  [SMALL_STATE(14039)] = 716941,
  [SMALL_STATE(14040)] = 716993,
  [SMALL_STATE(14041)] = 717041,
  [SMALL_STATE(14042)] = 717089,
  [SMALL_STATE(14043)] = 717135,
  [SMALL_STATE(14044)] = 717185,
  [SMALL_STATE(14045)] = 717215,
  [SMALL_STATE(14046)] = 717263,
  [SMALL_STATE(14047)] = 717311,
  [SMALL_STATE(14048)] = 717361,
  [SMALL_STATE(14049)] = 717409,
  [SMALL_STATE(14050)] = 717457,
  [SMALL_STATE(14051)] = 717505,
  [SMALL_STATE(14052)] = 717535,
  [SMALL_STATE(14053)] = 717585,
  [SMALL_STATE(14054)] = 717631,
  [SMALL_STATE(14055)] = 717661,
  [SMALL_STATE(14056)] = 717695,
  [SMALL_STATE(14057)] = 717735,
  [SMALL_STATE(14058)] = 717785,
  [SMALL_STATE(14059)] = 717825,
  [SMALL_STATE(14060)] = 717871,
  [SMALL_STATE(14061)] = 717919,
  [SMALL_STATE(14062)] = 717949,
  [SMALL_STATE(14063)] = 717999,
  [SMALL_STATE(14064)] = 718045,
  [SMALL_STATE(14065)] = 718093,
  [SMALL_STATE(14066)] = 718141,
  [SMALL_STATE(14067)] = 718187,
  [SMALL_STATE(14068)] = 718237,
  [SMALL_STATE(14069)] = 718285,
  [SMALL_STATE(14070)] = 718333,
  [SMALL_STATE(14071)] = 718363,
  [SMALL_STATE(14072)] = 718403,
  [SMALL_STATE(14073)] = 718449,
  [SMALL_STATE(14074)] = 718483,
  [SMALL_STATE(14075)] = 718517,
  [SMALL_STATE(14076)] = 718549,
  [SMALL_STATE(14077)] = 718591,
  [SMALL_STATE(14078)] = 718623,
  [SMALL_STATE(14079)] = 718671,
  [SMALL_STATE(14080)] = 718713,
  [SMALL_STATE(14081)] = 718759,
  [SMALL_STATE(14082)] = 718789,
  [SMALL_STATE(14083)] = 718819,
  [SMALL_STATE(14084)] = 718849,
  [SMALL_STATE(14085)] = 718899,
  [SMALL_STATE(14086)] = 718935,
  [SMALL_STATE(14087)] = 718981,
  [SMALL_STATE(14088)] = 719027,
  [SMALL_STATE(14089)] = 719057,
  [SMALL_STATE(14090)] = 719089,
  [SMALL_STATE(14091)] = 719121,
  [SMALL_STATE(14092)] = 719171,
  [SMALL_STATE(14093)] = 719219,
  [SMALL_STATE(14094)] = 719265,
  [SMALL_STATE(14095)] = 719313,
  [SMALL_STATE(14096)] = 719361,
  [SMALL_STATE(14097)] = 719401,
  [SMALL_STATE(14098)] = 719449,
  [SMALL_STATE(14099)] = 719479,
  [SMALL_STATE(14100)] = 719509,
  [SMALL_STATE(14101)] = 719539,
  [SMALL_STATE(14102)] = 719587,
  [SMALL_STATE(14103)] = 719627,
  [SMALL_STATE(14104)] = 719675,
  [SMALL_STATE(14105)] = 719715,
  [SMALL_STATE(14106)] = 719747,
  [SMALL_STATE(14107)] = 719795,
  [SMALL_STATE(14108)] = 719847,
  [SMALL_STATE(14109)] = 719893,
  [SMALL_STATE(14110)] = 719941,
  [SMALL_STATE(14111)] = 719987,
  [SMALL_STATE(14112)] = 720027,
  [SMALL_STATE(14113)] = 720075,
  [SMALL_STATE(14114)] = 720115,
  [SMALL_STATE(14115)] = 720163,
  [SMALL_STATE(14116)] = 720211,
  [SMALL_STATE(14117)] = 720259,
  [SMALL_STATE(14118)] = 720289,
  [SMALL_STATE(14119)] = 720337,
  [SMALL_STATE(14120)] = 720389,
  [SMALL_STATE(14121)] = 720419,
  [SMALL_STATE(14122)] = 720449,
  [SMALL_STATE(14123)] = 720481,
  [SMALL_STATE(14124)] = 720513,
  [SMALL_STATE(14125)] = 720563,
  [SMALL_STATE(14126)] = 720605,
  [SMALL_STATE(14127)] = 720653,
  [SMALL_STATE(14128)] = 720689,
  [SMALL_STATE(14129)] = 720725,
  [SMALL_STATE(14130)] = 720773,
  [SMALL_STATE(14131)] = 720803,
  [SMALL_STATE(14132)] = 720833,
  [SMALL_STATE(14133)] = 720863,
  [SMALL_STATE(14134)] = 720911,
  [SMALL_STATE(14135)] = 720941,
  [SMALL_STATE(14136)] = 720995,
  [SMALL_STATE(14137)] = 721025,
  [SMALL_STATE(14138)] = 721073,
  [SMALL_STATE(14139)] = 721103,
  [SMALL_STATE(14140)] = 721135,
  [SMALL_STATE(14141)] = 721185,
  [SMALL_STATE(14142)] = 721219,
  [SMALL_STATE(14143)] = 721267,
  [SMALL_STATE(14144)] = 721299,
  [SMALL_STATE(14145)] = 721331,
  [SMALL_STATE(14146)] = 721361,
  [SMALL_STATE(14147)] = 721393,
  [SMALL_STATE(14148)] = 721445,
  [SMALL_STATE(14149)] = 721493,
  [SMALL_STATE(14150)] = 721525,
  [SMALL_STATE(14151)] = 721557,
  [SMALL_STATE(14152)] = 721587,
  [SMALL_STATE(14153)] = 721619,
  [SMALL_STATE(14154)] = 721651,
  [SMALL_STATE(14155)] = 721683,
  [SMALL_STATE(14156)] = 721715,
  [SMALL_STATE(14157)] = 721745,
  [SMALL_STATE(14158)] = 721775,
  [SMALL_STATE(14159)] = 721807,
  [SMALL_STATE(14160)] = 721839,
  [SMALL_STATE(14161)] = 721871,
  [SMALL_STATE(14162)] = 721903,
  [SMALL_STATE(14163)] = 721935,
  [SMALL_STATE(14164)] = 721967,
  [SMALL_STATE(14165)] = 722015,
  [SMALL_STATE(14166)] = 722042,
  [SMALL_STATE(14167)] = 722069,
  [SMALL_STATE(14168)] = 722096,
  [SMALL_STATE(14169)] = 722127,
  [SMALL_STATE(14170)] = 722154,
  [SMALL_STATE(14171)] = 722185,
  [SMALL_STATE(14172)] = 722218,
  [SMALL_STATE(14173)] = 722261,
  [SMALL_STATE(14174)] = 722304,
  [SMALL_STATE(14175)] = 722341,
  [SMALL_STATE(14176)] = 722378,
  [SMALL_STATE(14177)] = 722429,
  [SMALL_STATE(14178)] = 722466,
  [SMALL_STATE(14179)] = 722517,
  [SMALL_STATE(14180)] = 722568,
  [SMALL_STATE(14181)] = 722619,
  [SMALL_STATE(14182)] = 722662,
  [SMALL_STATE(14183)] = 722713,
  [SMALL_STATE(14184)] = 722764,
  [SMALL_STATE(14185)] = 722815,
  [SMALL_STATE(14186)] = 722866,
  [SMALL_STATE(14187)] = 722903,
  [SMALL_STATE(14188)] = 722954,
  [SMALL_STATE(14189)] = 723005,
  [SMALL_STATE(14190)] = 723042,
  [SMALL_STATE(14191)] = 723093,
  [SMALL_STATE(14192)] = 723144,
  [SMALL_STATE(14193)] = 723182,
  [SMALL_STATE(14194)] = 723210,
  [SMALL_STATE(14195)] = 723238,
  [SMALL_STATE(14196)] = 723280,
  [SMALL_STATE(14197)] = 723308,
  [SMALL_STATE(14198)] = 723336,
  [SMALL_STATE(14199)] = 723384,
  [SMALL_STATE(14200)] = 723412,
  [SMALL_STATE(14201)] = 723458,
  [SMALL_STATE(14202)] = 723490,
  [SMALL_STATE(14203)] = 723538,
  [SMALL_STATE(14204)] = 723566,
  [SMALL_STATE(14205)] = 723594,
  [SMALL_STATE(14206)] = 723640,
  [SMALL_STATE(14207)] = 723676,
  [SMALL_STATE(14208)] = 723704,
  [SMALL_STATE(14209)] = 723750,
  [SMALL_STATE(14210)] = 723778,
  [SMALL_STATE(14211)] = 723812,
  [SMALL_STATE(14212)] = 723840,
  [SMALL_STATE(14213)] = 723868,
  [SMALL_STATE(14214)] = 723898,
  [SMALL_STATE(14215)] = 723926,
  [SMALL_STATE(14216)] = 723954,
  [SMALL_STATE(14217)] = 723992,
  [SMALL_STATE(14218)] = 724020,
  [SMALL_STATE(14219)] = 724046,
  [SMALL_STATE(14220)] = 724080,
  [SMALL_STATE(14221)] = 724112,
  [SMALL_STATE(14222)] = 724140,
  [SMALL_STATE(14223)] = 724168,
  [SMALL_STATE(14224)] = 724202,
  [SMALL_STATE(14225)] = 724236,
  [SMALL_STATE(14226)] = 724264,
  [SMALL_STATE(14227)] = 724292,
  [SMALL_STATE(14228)] = 724326,
  [SMALL_STATE(14229)] = 724364,
  [SMALL_STATE(14230)] = 724392,
  [SMALL_STATE(14231)] = 724420,
  [SMALL_STATE(14232)] = 724448,
  [SMALL_STATE(14233)] = 724476,
  [SMALL_STATE(14234)] = 724504,
  [SMALL_STATE(14235)] = 724550,
  [SMALL_STATE(14236)] = 724578,
  [SMALL_STATE(14237)] = 724612,
  [SMALL_STATE(14238)] = 724640,
  [SMALL_STATE(14239)] = 724674,
  [SMALL_STATE(14240)] = 724702,
  [SMALL_STATE(14241)] = 724748,
  [SMALL_STATE(14242)] = 724776,
  [SMALL_STATE(14243)] = 724822,
  [SMALL_STATE(14244)] = 724864,
  [SMALL_STATE(14245)] = 724896,
  [SMALL_STATE(14246)] = 724924,
  [SMALL_STATE(14247)] = 724952,
  [SMALL_STATE(14248)] = 725000,
  [SMALL_STATE(14249)] = 725028,
  [SMALL_STATE(14250)] = 725076,
  [SMALL_STATE(14251)] = 725104,
  [SMALL_STATE(14252)] = 725146,
  [SMALL_STATE(14253)] = 725174,
  [SMALL_STATE(14254)] = 725202,
  [SMALL_STATE(14255)] = 725236,
  [SMALL_STATE(14256)] = 725264,
  [SMALL_STATE(14257)] = 725294,
  [SMALL_STATE(14258)] = 725322,
  [SMALL_STATE(14259)] = 725350,
  [SMALL_STATE(14260)] = 725378,
  [SMALL_STATE(14261)] = 725424,
  [SMALL_STATE(14262)] = 725452,
  [SMALL_STATE(14263)] = 725480,
  [SMALL_STATE(14264)] = 725526,
  [SMALL_STATE(14265)] = 725554,
  [SMALL_STATE(14266)] = 725582,
  [SMALL_STATE(14267)] = 725630,
  [SMALL_STATE(14268)] = 725658,
  [SMALL_STATE(14269)] = 725686,
  [SMALL_STATE(14270)] = 725734,
  [SMALL_STATE(14271)] = 725773,
  [SMALL_STATE(14272)] = 725812,
  [SMALL_STATE(14273)] = 725851,
  [SMALL_STATE(14274)] = 725890,
  [SMALL_STATE(14275)] = 725929,
  [SMALL_STATE(14276)] = 725968,
  [SMALL_STATE(14277)] = 726007,
  [SMALL_STATE(14278)] = 726038,
  [SMALL_STATE(14279)] = 726069,
  [SMALL_STATE(14280)] = 726108,
  [SMALL_STATE(14281)] = 726139,
  [SMALL_STATE(14282)] = 726178,
  [SMALL_STATE(14283)] = 726217,
  [SMALL_STATE(14284)] = 726244,
  [SMALL_STATE(14285)] = 726283,
  [SMALL_STATE(14286)] = 726322,
  [SMALL_STATE(14287)] = 726361,
  [SMALL_STATE(14288)] = 726400,
  [SMALL_STATE(14289)] = 726439,
  [SMALL_STATE(14290)] = 726478,
  [SMALL_STATE(14291)] = 726505,
  [SMALL_STATE(14292)] = 726544,
  [SMALL_STATE(14293)] = 726583,
  [SMALL_STATE(14294)] = 726622,
  [SMALL_STATE(14295)] = 726661,
  [SMALL_STATE(14296)] = 726690,
  [SMALL_STATE(14297)] = 726729,
  [SMALL_STATE(14298)] = 726768,
  [SMALL_STATE(14299)] = 726799,
  [SMALL_STATE(14300)] = 726842,
  [SMALL_STATE(14301)] = 726881,
  [SMALL_STATE(14302)] = 726920,
  [SMALL_STATE(14303)] = 726951,
  [SMALL_STATE(14304)] = 726982,
  [SMALL_STATE(14305)] = 727013,
  [SMALL_STATE(14306)] = 727052,
  [SMALL_STATE(14307)] = 727083,
  [SMALL_STATE(14308)] = 727110,
  [SMALL_STATE(14309)] = 727137,
  [SMALL_STATE(14310)] = 727176,
  [SMALL_STATE(14311)] = 727203,
  [SMALL_STATE(14312)] = 727230,
  [SMALL_STATE(14313)] = 727257,
  [SMALL_STATE(14314)] = 727296,
  [SMALL_STATE(14315)] = 727323,
  [SMALL_STATE(14316)] = 727362,
  [SMALL_STATE(14317)] = 727391,
  [SMALL_STATE(14318)] = 727430,
  [SMALL_STATE(14319)] = 727469,
  [SMALL_STATE(14320)] = 727500,
  [SMALL_STATE(14321)] = 727539,
  [SMALL_STATE(14322)] = 727570,
  [SMALL_STATE(14323)] = 727609,
  [SMALL_STATE(14324)] = 727648,
  [SMALL_STATE(14325)] = 727679,
  [SMALL_STATE(14326)] = 727710,
  [SMALL_STATE(14327)] = 727741,
  [SMALL_STATE(14328)] = 727780,
  [SMALL_STATE(14329)] = 727811,
  [SMALL_STATE(14330)] = 727842,
  [SMALL_STATE(14331)] = 727881,
  [SMALL_STATE(14332)] = 727920,
  [SMALL_STATE(14333)] = 727951,
  [SMALL_STATE(14334)] = 727982,
  [SMALL_STATE(14335)] = 728021,
  [SMALL_STATE(14336)] = 728060,
  [SMALL_STATE(14337)] = 728099,
  [SMALL_STATE(14338)] = 728130,
  [SMALL_STATE(14339)] = 728161,
  [SMALL_STATE(14340)] = 728200,
  [SMALL_STATE(14341)] = 728227,
  [SMALL_STATE(14342)] = 728258,
  [SMALL_STATE(14343)] = 728297,
  [SMALL_STATE(14344)] = 728336,
  [SMALL_STATE(14345)] = 728367,
  [SMALL_STATE(14346)] = 728398,
  [SMALL_STATE(14347)] = 728429,
  [SMALL_STATE(14348)] = 728454,
  [SMALL_STATE(14349)] = 728485,
  [SMALL_STATE(14350)] = 728516,
  [SMALL_STATE(14351)] = 728543,
  [SMALL_STATE(14352)] = 728570,
  [SMALL_STATE(14353)] = 728601,
  [SMALL_STATE(14354)] = 728632,
  [SMALL_STATE(14355)] = 728663,
  [SMALL_STATE(14356)] = 728702,
  [SMALL_STATE(14357)] = 728733,
  [SMALL_STATE(14358)] = 728772,
  [SMALL_STATE(14359)] = 728811,
  [SMALL_STATE(14360)] = 728838,
  [SMALL_STATE(14361)] = 728865,
  [SMALL_STATE(14362)] = 728892,
  [SMALL_STATE(14363)] = 728923,
  [SMALL_STATE(14364)] = 728950,
  [SMALL_STATE(14365)] = 728981,
  [SMALL_STATE(14366)] = 729020,
  [SMALL_STATE(14367)] = 729059,
  [SMALL_STATE(14368)] = 729094,
  [SMALL_STATE(14369)] = 729121,
  [SMALL_STATE(14370)] = 729152,
  [SMALL_STATE(14371)] = 729183,
  [SMALL_STATE(14372)] = 729214,
  [SMALL_STATE(14373)] = 729253,
  [SMALL_STATE(14374)] = 729292,
  [SMALL_STATE(14375)] = 729331,
  [SMALL_STATE(14376)] = 729360,
  [SMALL_STATE(14377)] = 729399,
  [SMALL_STATE(14378)] = 729430,
  [SMALL_STATE(14379)] = 729469,
  [SMALL_STATE(14380)] = 729500,
  [SMALL_STATE(14381)] = 729531,
  [SMALL_STATE(14382)] = 729562,
  [SMALL_STATE(14383)] = 729593,
  [SMALL_STATE(14384)] = 729624,
  [SMALL_STATE(14385)] = 729663,
  [SMALL_STATE(14386)] = 729690,
  [SMALL_STATE(14387)] = 729719,
  [SMALL_STATE(14388)] = 729758,
  [SMALL_STATE(14389)] = 729797,
  [SMALL_STATE(14390)] = 729828,
  [SMALL_STATE(14391)] = 729855,
  [SMALL_STATE(14392)] = 729882,
  [SMALL_STATE(14393)] = 729913,
  [SMALL_STATE(14394)] = 729940,
  [SMALL_STATE(14395)] = 729967,
  [SMALL_STATE(14396)] = 730006,
  [SMALL_STATE(14397)] = 730033,
  [SMALL_STATE(14398)] = 730060,
  [SMALL_STATE(14399)] = 730087,
  [SMALL_STATE(14400)] = 730118,
  [SMALL_STATE(14401)] = 730149,
  [SMALL_STATE(14402)] = 730188,
  [SMALL_STATE(14403)] = 730219,
  [SMALL_STATE(14404)] = 730250,
  [SMALL_STATE(14405)] = 730277,
  [SMALL_STATE(14406)] = 730308,
  [SMALL_STATE(14407)] = 730339,
  [SMALL_STATE(14408)] = 730378,
  [SMALL_STATE(14409)] = 730409,
  [SMALL_STATE(14410)] = 730448,
  [SMALL_STATE(14411)] = 730479,
  [SMALL_STATE(14412)] = 730506,
  [SMALL_STATE(14413)] = 730537,
  [SMALL_STATE(14414)] = 730568,
  [SMALL_STATE(14415)] = 730599,
  [SMALL_STATE(14416)] = 730638,
  [SMALL_STATE(14417)] = 730667,
  [SMALL_STATE(14418)] = 730698,
  [SMALL_STATE(14419)] = 730737,
  [SMALL_STATE(14420)] = 730776,
  [SMALL_STATE(14421)] = 730819,
  [SMALL_STATE(14422)] = 730858,
  [SMALL_STATE(14423)] = 730897,
  [SMALL_STATE(14424)] = 730940,
  [SMALL_STATE(14425)] = 730971,
  [SMALL_STATE(14426)] = 731014,
  [SMALL_STATE(14427)] = 731053,
  [SMALL_STATE(14428)] = 731084,
  [SMALL_STATE(14429)] = 731123,
  [SMALL_STATE(14430)] = 731162,
  [SMALL_STATE(14431)] = 731201,
  [SMALL_STATE(14432)] = 731244,
  [SMALL_STATE(14433)] = 731283,
  [SMALL_STATE(14434)] = 731322,
  [SMALL_STATE(14435)] = 731361,
  [SMALL_STATE(14436)] = 731404,
  [SMALL_STATE(14437)] = 731443,
  [SMALL_STATE(14438)] = 731486,
  [SMALL_STATE(14439)] = 731513,
  [SMALL_STATE(14440)] = 731552,
  [SMALL_STATE(14441)] = 731591,
  [SMALL_STATE(14442)] = 731622,
  [SMALL_STATE(14443)] = 731665,
  [SMALL_STATE(14444)] = 731696,
  [SMALL_STATE(14445)] = 731735,
  [SMALL_STATE(14446)] = 731778,
  [SMALL_STATE(14447)] = 731809,
  [SMALL_STATE(14448)] = 731848,
  [SMALL_STATE(14449)] = 731879,
  [SMALL_STATE(14450)] = 731918,
  [SMALL_STATE(14451)] = 731957,
  [SMALL_STATE(14452)] = 731996,
  [SMALL_STATE(14453)] = 732035,
  [SMALL_STATE(14454)] = 732066,
  [SMALL_STATE(14455)] = 732105,
  [SMALL_STATE(14456)] = 732130,
  [SMALL_STATE(14457)] = 732161,
  [SMALL_STATE(14458)] = 732200,
  [SMALL_STATE(14459)] = 732231,
  [SMALL_STATE(14460)] = 732260,
  [SMALL_STATE(14461)] = 732299,
  [SMALL_STATE(14462)] = 732338,
  [SMALL_STATE(14463)] = 732377,
  [SMALL_STATE(14464)] = 732408,
  [SMALL_STATE(14465)] = 732447,
  [SMALL_STATE(14466)] = 732486,
  [SMALL_STATE(14467)] = 732517,
  [SMALL_STATE(14468)] = 732560,
  [SMALL_STATE(14469)] = 732591,
  [SMALL_STATE(14470)] = 732622,
  [SMALL_STATE(14471)] = 732653,
  [SMALL_STATE(14472)] = 732684,
  [SMALL_STATE(14473)] = 732715,
  [SMALL_STATE(14474)] = 732746,
  [SMALL_STATE(14475)] = 732773,
  [SMALL_STATE(14476)] = 732812,
  [SMALL_STATE(14477)] = 732851,
  [SMALL_STATE(14478)] = 732878,
  [SMALL_STATE(14479)] = 732909,
  [SMALL_STATE(14480)] = 732936,
  [SMALL_STATE(14481)] = 732967,
  [SMALL_STATE(14482)] = 732994,
  [SMALL_STATE(14483)] = 733021,
  [SMALL_STATE(14484)] = 733060,
  [SMALL_STATE(14485)] = 733099,
  [SMALL_STATE(14486)] = 733130,
  [SMALL_STATE(14487)] = 733169,
  [SMALL_STATE(14488)] = 733200,
  [SMALL_STATE(14489)] = 733231,
  [SMALL_STATE(14490)] = 733270,
  [SMALL_STATE(14491)] = 733309,
  [SMALL_STATE(14492)] = 733340,
  [SMALL_STATE(14493)] = 733375,
  [SMALL_STATE(14494)] = 733414,
  [SMALL_STATE(14495)] = 733445,
  [SMALL_STATE(14496)] = 733476,
  [SMALL_STATE(14497)] = 733507,
  [SMALL_STATE(14498)] = 733546,
  [SMALL_STATE(14499)] = 733577,
  [SMALL_STATE(14500)] = 733616,
  [SMALL_STATE(14501)] = 733655,
  [SMALL_STATE(14502)] = 733682,
  [SMALL_STATE(14503)] = 733721,
  [SMALL_STATE(14504)] = 733760,
  [SMALL_STATE(14505)] = 733799,
  [SMALL_STATE(14506)] = 733838,
  [SMALL_STATE(14507)] = 733868,
  [SMALL_STATE(14508)] = 733894,
  [SMALL_STATE(14509)] = 733924,
  [SMALL_STATE(14510)] = 733950,
  [SMALL_STATE(14511)] = 733976,
  [SMALL_STATE(14512)] = 734002,
  [SMALL_STATE(14513)] = 734026,
  [SMALL_STATE(14514)] = 734056,
  [SMALL_STATE(14515)] = 734086,
  [SMALL_STATE(14516)] = 734112,
  [SMALL_STATE(14517)] = 734138,
  [SMALL_STATE(14518)] = 734168,
  [SMALL_STATE(14519)] = 734198,
  [SMALL_STATE(14520)] = 734224,
  [SMALL_STATE(14521)] = 734254,
  [SMALL_STATE(14522)] = 734278,
  [SMALL_STATE(14523)] = 734304,
  [SMALL_STATE(14524)] = 734334,
  [SMALL_STATE(14525)] = 734364,
  [SMALL_STATE(14526)] = 734390,
  [SMALL_STATE(14527)] = 734416,
  [SMALL_STATE(14528)] = 734442,
  [SMALL_STATE(14529)] = 734468,
  [SMALL_STATE(14530)] = 734496,
  [SMALL_STATE(14531)] = 734522,
  [SMALL_STATE(14532)] = 734548,
  [SMALL_STATE(14533)] = 734572,
  [SMALL_STATE(14534)] = 734598,
  [SMALL_STATE(14535)] = 734624,
  [SMALL_STATE(14536)] = 734650,
  [SMALL_STATE(14537)] = 734676,
  [SMALL_STATE(14538)] = 734702,
  [SMALL_STATE(14539)] = 734732,
  [SMALL_STATE(14540)] = 734758,
  [SMALL_STATE(14541)] = 734784,
  [SMALL_STATE(14542)] = 734810,
  [SMALL_STATE(14543)] = 734840,
  [SMALL_STATE(14544)] = 734866,
  [SMALL_STATE(14545)] = 734892,
  [SMALL_STATE(14546)] = 734922,
  [SMALL_STATE(14547)] = 734948,
  [SMALL_STATE(14548)] = 734978,
  [SMALL_STATE(14549)] = 735004,
  [SMALL_STATE(14550)] = 735030,
  [SMALL_STATE(14551)] = 735056,
  [SMALL_STATE(14552)] = 735082,
  [SMALL_STATE(14553)] = 735108,
  [SMALL_STATE(14554)] = 735134,
  [SMALL_STATE(14555)] = 735160,
  [SMALL_STATE(14556)] = 735190,
  [SMALL_STATE(14557)] = 735216,
  [SMALL_STATE(14558)] = 735242,
  [SMALL_STATE(14559)] = 735268,
  [SMALL_STATE(14560)] = 735297,
  [SMALL_STATE(14561)] = 735338,
  [SMALL_STATE(14562)] = 735365,
  [SMALL_STATE(14563)] = 735388,
  [SMALL_STATE(14564)] = 735413,
  [SMALL_STATE(14565)] = 735452,
  [SMALL_STATE(14566)] = 735475,
  [SMALL_STATE(14567)] = 735498,
  [SMALL_STATE(14568)] = 735521,
  [SMALL_STATE(14569)] = 735562,
  [SMALL_STATE(14570)] = 735585,
  [SMALL_STATE(14571)] = 735626,
  [SMALL_STATE(14572)] = 735649,
  [SMALL_STATE(14573)] = 735678,
  [SMALL_STATE(14574)] = 735717,
  [SMALL_STATE(14575)] = 735756,
  [SMALL_STATE(14576)] = 735779,
  [SMALL_STATE(14577)] = 735802,
  [SMALL_STATE(14578)] = 735841,
  [SMALL_STATE(14579)] = 735870,
  [SMALL_STATE(14580)] = 735897,
  [SMALL_STATE(14581)] = 735924,
  [SMALL_STATE(14582)] = 735963,
  [SMALL_STATE(14583)] = 735988,
  [SMALL_STATE(14584)] = 736027,
  [SMALL_STATE(14585)] = 736068,
  [SMALL_STATE(14586)] = 736109,
  [SMALL_STATE(14587)] = 736132,
  [SMALL_STATE(14588)] = 736171,
  [SMALL_STATE(14589)] = 736200,
  [SMALL_STATE(14590)] = 736241,
  [SMALL_STATE(14591)] = 736270,
  [SMALL_STATE(14592)] = 736293,
  [SMALL_STATE(14593)] = 736322,
  [SMALL_STATE(14594)] = 736345,
  [SMALL_STATE(14595)] = 736368,
  [SMALL_STATE(14596)] = 736391,
  [SMALL_STATE(14597)] = 736430,
  [SMALL_STATE(14598)] = 736460,
  [SMALL_STATE(14599)] = 736490,
  [SMALL_STATE(14600)] = 736520,
  [SMALL_STATE(14601)] = 736558,
  [SMALL_STATE(14602)] = 736596,
  [SMALL_STATE(14603)] = 736622,
  [SMALL_STATE(14604)] = 736644,
  [SMALL_STATE(14605)] = 736674,
  [SMALL_STATE(14606)] = 736710,
  [SMALL_STATE(14607)] = 736740,
  [SMALL_STATE(14608)] = 736764,
  [SMALL_STATE(14609)] = 736794,
  [SMALL_STATE(14610)] = 736818,
  [SMALL_STATE(14611)] = 736856,
  [SMALL_STATE(14612)] = 736892,
  [SMALL_STATE(14613)] = 736930,
  [SMALL_STATE(14614)] = 736968,
  [SMALL_STATE(14615)] = 737002,
  [SMALL_STATE(14616)] = 737032,
  [SMALL_STATE(14617)] = 737062,
  [SMALL_STATE(14618)] = 737100,
  [SMALL_STATE(14619)] = 737138,
  [SMALL_STATE(14620)] = 737162,
  [SMALL_STATE(14621)] = 737192,
  [SMALL_STATE(14622)] = 737222,
  [SMALL_STATE(14623)] = 737252,
  [SMALL_STATE(14624)] = 737286,
  [SMALL_STATE(14625)] = 737310,
  [SMALL_STATE(14626)] = 737340,
  [SMALL_STATE(14627)] = 737370,
  [SMALL_STATE(14628)] = 737400,
  [SMALL_STATE(14629)] = 737424,
  [SMALL_STATE(14630)] = 737454,
  [SMALL_STATE(14631)] = 737484,
  [SMALL_STATE(14632)] = 737508,
  [SMALL_STATE(14633)] = 737546,
  [SMALL_STATE(14634)] = 737570,
  [SMALL_STATE(14635)] = 737600,
  [SMALL_STATE(14636)] = 737624,
  [SMALL_STATE(14637)] = 737658,
  [SMALL_STATE(14638)] = 737682,
  [SMALL_STATE(14639)] = 737716,
  [SMALL_STATE(14640)] = 737746,
  [SMALL_STATE(14641)] = 737776,
  [SMALL_STATE(14642)] = 737810,
  [SMALL_STATE(14643)] = 737840,
  [SMALL_STATE(14644)] = 737870,
  [SMALL_STATE(14645)] = 737900,
  [SMALL_STATE(14646)] = 737930,
  [SMALL_STATE(14647)] = 737960,
  [SMALL_STATE(14648)] = 737990,
  [SMALL_STATE(14649)] = 738020,
  [SMALL_STATE(14650)] = 738050,
  [SMALL_STATE(14651)] = 738080,
  [SMALL_STATE(14652)] = 738110,
  [SMALL_STATE(14653)] = 738140,
  [SMALL_STATE(14654)] = 738170,
  [SMALL_STATE(14655)] = 738200,
  [SMALL_STATE(14656)] = 738230,
  [SMALL_STATE(14657)] = 738266,
  [SMALL_STATE(14658)] = 738296,
  [SMALL_STATE(14659)] = 738334,
  [SMALL_STATE(14660)] = 738372,
  [SMALL_STATE(14661)] = 738410,
  [SMALL_STATE(14662)] = 738440,
  [SMALL_STATE(14663)] = 738478,
  [SMALL_STATE(14664)] = 738516,
  [SMALL_STATE(14665)] = 738552,
  [SMALL_STATE(14666)] = 738576,
  [SMALL_STATE(14667)] = 738614,
  [SMALL_STATE(14668)] = 738650,
  [SMALL_STATE(14669)] = 738680,
  [SMALL_STATE(14670)] = 738710,
  [SMALL_STATE(14671)] = 738748,
  [SMALL_STATE(14672)] = 738786,
  [SMALL_STATE(14673)] = 738816,
  [SMALL_STATE(14674)] = 738854,
  [SMALL_STATE(14675)] = 738892,
  [SMALL_STATE(14676)] = 738930,
  [SMALL_STATE(14677)] = 738966,
  [SMALL_STATE(14678)] = 739004,
  [SMALL_STATE(14679)] = 739028,
  [SMALL_STATE(14680)] = 739050,
  [SMALL_STATE(14681)] = 739076,
  [SMALL_STATE(14682)] = 739112,
  [SMALL_STATE(14683)] = 739136,
  [SMALL_STATE(14684)] = 739158,
  [SMALL_STATE(14685)] = 739188,
  [SMALL_STATE(14686)] = 739224,
  [SMALL_STATE(14687)] = 739248,
  [SMALL_STATE(14688)] = 739272,
  [SMALL_STATE(14689)] = 739308,
  [SMALL_STATE(14690)] = 739344,
  [SMALL_STATE(14691)] = 739382,
  [SMALL_STATE(14692)] = 739420,
  [SMALL_STATE(14693)] = 739458,
  [SMALL_STATE(14694)] = 739482,
  [SMALL_STATE(14695)] = 739512,
  [SMALL_STATE(14696)] = 739548,
  [SMALL_STATE(14697)] = 739572,
  [SMALL_STATE(14698)] = 739602,
  [SMALL_STATE(14699)] = 739628,
  [SMALL_STATE(14700)] = 739664,
  [SMALL_STATE(14701)] = 739686,
  [SMALL_STATE(14702)] = 739710,
  [SMALL_STATE(14703)] = 739734,
  [SMALL_STATE(14704)] = 739768,
  [SMALL_STATE(14705)] = 739792,
  [SMALL_STATE(14706)] = 739816,
  [SMALL_STATE(14707)] = 739854,
  [SMALL_STATE(14708)] = 739884,
  [SMALL_STATE(14709)] = 739910,
  [SMALL_STATE(14710)] = 739940,
  [SMALL_STATE(14711)] = 739970,
  [SMALL_STATE(14712)] = 740008,
  [SMALL_STATE(14713)] = 740046,
  [SMALL_STATE(14714)] = 740076,
  [SMALL_STATE(14715)] = 740106,
  [SMALL_STATE(14716)] = 740144,
  [SMALL_STATE(14717)] = 740182,
  [SMALL_STATE(14718)] = 740206,
  [SMALL_STATE(14719)] = 740244,
  [SMALL_STATE(14720)] = 740282,
  [SMALL_STATE(14721)] = 740320,
  [SMALL_STATE(14722)] = 740354,
  [SMALL_STATE(14723)] = 740392,
  [SMALL_STATE(14724)] = 740414,
  [SMALL_STATE(14725)] = 740452,
  [SMALL_STATE(14726)] = 740490,
  [SMALL_STATE(14727)] = 740528,
  [SMALL_STATE(14728)] = 740552,
  [SMALL_STATE(14729)] = 740590,
  [SMALL_STATE(14730)] = 740620,
  [SMALL_STATE(14731)] = 740650,
  [SMALL_STATE(14732)] = 740688,
  [SMALL_STATE(14733)] = 740726,
  [SMALL_STATE(14734)] = 740760,
  [SMALL_STATE(14735)] = 740794,
  [SMALL_STATE(14736)] = 740824,
  [SMALL_STATE(14737)] = 740862,
  [SMALL_STATE(14738)] = 740888,
  [SMALL_STATE(14739)] = 740926,
  [SMALL_STATE(14740)] = 740964,
  [SMALL_STATE(14741)] = 740992,
  [SMALL_STATE(14742)] = 741022,
  [SMALL_STATE(14743)] = 741052,
  [SMALL_STATE(14744)] = 741086,
  [SMALL_STATE(14745)] = 741110,
  [SMALL_STATE(14746)] = 741144,
  [SMALL_STATE(14747)] = 741174,
  [SMALL_STATE(14748)] = 741204,
  [SMALL_STATE(14749)] = 741242,
  [SMALL_STATE(14750)] = 741272,
  [SMALL_STATE(14751)] = 741302,
  [SMALL_STATE(14752)] = 741338,
  [SMALL_STATE(14753)] = 741362,
  [SMALL_STATE(14754)] = 741392,
  [SMALL_STATE(14755)] = 741430,
  [SMALL_STATE(14756)] = 741454,
  [SMALL_STATE(14757)] = 741488,
  [SMALL_STATE(14758)] = 741512,
  [SMALL_STATE(14759)] = 741542,
  [SMALL_STATE(14760)] = 741566,
  [SMALL_STATE(14761)] = 741604,
  [SMALL_STATE(14762)] = 741642,
  [SMALL_STATE(14763)] = 741672,
  [SMALL_STATE(14764)] = 741696,
  [SMALL_STATE(14765)] = 741730,
  [SMALL_STATE(14766)] = 741760,
  [SMALL_STATE(14767)] = 741782,
  [SMALL_STATE(14768)] = 741806,
  [SMALL_STATE(14769)] = 741840,
  [SMALL_STATE(14770)] = 741878,
  [SMALL_STATE(14771)] = 741912,
  [SMALL_STATE(14772)] = 741942,
  [SMALL_STATE(14773)] = 741980,
  [SMALL_STATE(14774)] = 742004,
  [SMALL_STATE(14775)] = 742042,
  [SMALL_STATE(14776)] = 742072,
  [SMALL_STATE(14777)] = 742110,
  [SMALL_STATE(14778)] = 742144,
  [SMALL_STATE(14779)] = 742168,
  [SMALL_STATE(14780)] = 742198,
  [SMALL_STATE(14781)] = 742228,
  [SMALL_STATE(14782)] = 742266,
  [SMALL_STATE(14783)] = 742304,
  [SMALL_STATE(14784)] = 742328,
  [SMALL_STATE(14785)] = 742358,
  [SMALL_STATE(14786)] = 742396,
  [SMALL_STATE(14787)] = 742426,
  [SMALL_STATE(14788)] = 742450,
  [SMALL_STATE(14789)] = 742473,
  [SMALL_STATE(14790)] = 742508,
  [SMALL_STATE(14791)] = 742541,
  [SMALL_STATE(14792)] = 742574,
  [SMALL_STATE(14793)] = 742607,
  [SMALL_STATE(14794)] = 742640,
  [SMALL_STATE(14795)] = 742665,
  [SMALL_STATE(14796)] = 742686,
  [SMALL_STATE(14797)] = 742711,
  [SMALL_STATE(14798)] = 742746,
  [SMALL_STATE(14799)] = 742779,
  [SMALL_STATE(14800)] = 742812,
  [SMALL_STATE(14801)] = 742847,
  [SMALL_STATE(14802)] = 742882,
  [SMALL_STATE(14803)] = 742917,
  [SMALL_STATE(14804)] = 742952,
  [SMALL_STATE(14805)] = 742985,
  [SMALL_STATE(14806)] = 743018,
  [SMALL_STATE(14807)] = 743051,
  [SMALL_STATE(14808)] = 743084,
  [SMALL_STATE(14809)] = 743119,
  [SMALL_STATE(14810)] = 743154,
  [SMALL_STATE(14811)] = 743189,
  [SMALL_STATE(14812)] = 743222,
  [SMALL_STATE(14813)] = 743245,
  [SMALL_STATE(14814)] = 743280,
  [SMALL_STATE(14815)] = 743303,
  [SMALL_STATE(14816)] = 743336,
  [SMALL_STATE(14817)] = 743371,
  [SMALL_STATE(14818)] = 743404,
  [SMALL_STATE(14819)] = 743429,
  [SMALL_STATE(14820)] = 743464,
  [SMALL_STATE(14821)] = 743499,
  [SMALL_STATE(14822)] = 743534,
  [SMALL_STATE(14823)] = 743567,
  [SMALL_STATE(14824)] = 743600,
  [SMALL_STATE(14825)] = 743635,
  [SMALL_STATE(14826)] = 743662,
  [SMALL_STATE(14827)] = 743689,
  [SMALL_STATE(14828)] = 743716,
  [SMALL_STATE(14829)] = 743751,
  [SMALL_STATE(14830)] = 743786,
  [SMALL_STATE(14831)] = 743811,
  [SMALL_STATE(14832)] = 743846,
  [SMALL_STATE(14833)] = 743867,
  [SMALL_STATE(14834)] = 743900,
  [SMALL_STATE(14835)] = 743933,
  [SMALL_STATE(14836)] = 743968,
  [SMALL_STATE(14837)] = 743991,
  [SMALL_STATE(14838)] = 744024,
  [SMALL_STATE(14839)] = 744057,
  [SMALL_STATE(14840)] = 744092,
  [SMALL_STATE(14841)] = 744127,
  [SMALL_STATE(14842)] = 744152,
  [SMALL_STATE(14843)] = 744187,
  [SMALL_STATE(14844)] = 744220,
  [SMALL_STATE(14845)] = 744247,
  [SMALL_STATE(14846)] = 744280,
  [SMALL_STATE(14847)] = 744313,
  [SMALL_STATE(14848)] = 744346,
  [SMALL_STATE(14849)] = 744379,
  [SMALL_STATE(14850)] = 744412,
  [SMALL_STATE(14851)] = 744447,
  [SMALL_STATE(14852)] = 744482,
  [SMALL_STATE(14853)] = 744503,
  [SMALL_STATE(14854)] = 744538,
  [SMALL_STATE(14855)] = 744573,
  [SMALL_STATE(14856)] = 744606,
  [SMALL_STATE(14857)] = 744629,
  [SMALL_STATE(14858)] = 744664,
  [SMALL_STATE(14859)] = 744699,
  [SMALL_STATE(14860)] = 744732,
  [SMALL_STATE(14861)] = 744765,
  [SMALL_STATE(14862)] = 744790,
  [SMALL_STATE(14863)] = 744817,
  [SMALL_STATE(14864)] = 744839,
  [SMALL_STATE(14865)] = 744871,
  [SMALL_STATE(14866)] = 744893,
  [SMALL_STATE(14867)] = 744925,
  [SMALL_STATE(14868)] = 744957,
  [SMALL_STATE(14869)] = 744989,
  [SMALL_STATE(14870)] = 745021,
  [SMALL_STATE(14871)] = 745053,
  [SMALL_STATE(14872)] = 745085,
  [SMALL_STATE(14873)] = 745117,
  [SMALL_STATE(14874)] = 745149,
  [SMALL_STATE(14875)] = 745179,
  [SMALL_STATE(14876)] = 745211,
  [SMALL_STATE(14877)] = 745243,
  [SMALL_STATE(14878)] = 745275,
  [SMALL_STATE(14879)] = 745307,
  [SMALL_STATE(14880)] = 745329,
  [SMALL_STATE(14881)] = 745361,
  [SMALL_STATE(14882)] = 745381,
  [SMALL_STATE(14883)] = 745403,
  [SMALL_STATE(14884)] = 745435,
  [SMALL_STATE(14885)] = 745467,
  [SMALL_STATE(14886)] = 745491,
  [SMALL_STATE(14887)] = 745523,
  [SMALL_STATE(14888)] = 745555,
  [SMALL_STATE(14889)] = 745583,
  [SMALL_STATE(14890)] = 745603,
  [SMALL_STATE(14891)] = 745635,
  [SMALL_STATE(14892)] = 745663,
  [SMALL_STATE(14893)] = 745695,
  [SMALL_STATE(14894)] = 745727,
  [SMALL_STATE(14895)] = 745759,
  [SMALL_STATE(14896)] = 745791,
  [SMALL_STATE(14897)] = 745813,
  [SMALL_STATE(14898)] = 745845,
  [SMALL_STATE(14899)] = 745877,
  [SMALL_STATE(14900)] = 745909,
  [SMALL_STATE(14901)] = 745941,
  [SMALL_STATE(14902)] = 745973,
  [SMALL_STATE(14903)] = 746005,
  [SMALL_STATE(14904)] = 746037,
  [SMALL_STATE(14905)] = 746069,
  [SMALL_STATE(14906)] = 746101,
  [SMALL_STATE(14907)] = 746133,
  [SMALL_STATE(14908)] = 746165,
  [SMALL_STATE(14909)] = 746197,
  [SMALL_STATE(14910)] = 746229,
  [SMALL_STATE(14911)] = 746261,
  [SMALL_STATE(14912)] = 746293,
  [SMALL_STATE(14913)] = 746325,
  [SMALL_STATE(14914)] = 746357,
  [SMALL_STATE(14915)] = 746389,
  [SMALL_STATE(14916)] = 746421,
  [SMALL_STATE(14917)] = 746453,
  [SMALL_STATE(14918)] = 746483,
  [SMALL_STATE(14919)] = 746515,
  [SMALL_STATE(14920)] = 746547,
  [SMALL_STATE(14921)] = 746579,
  [SMALL_STATE(14922)] = 746611,
  [SMALL_STATE(14923)] = 746643,
  [SMALL_STATE(14924)] = 746675,
  [SMALL_STATE(14925)] = 746707,
  [SMALL_STATE(14926)] = 746729,
  [SMALL_STATE(14927)] = 746761,
  [SMALL_STATE(14928)] = 746793,
  [SMALL_STATE(14929)] = 746825,
  [SMALL_STATE(14930)] = 746857,
  [SMALL_STATE(14931)] = 746889,
  [SMALL_STATE(14932)] = 746921,
  [SMALL_STATE(14933)] = 746953,
  [SMALL_STATE(14934)] = 746975,
  [SMALL_STATE(14935)] = 747005,
  [SMALL_STATE(14936)] = 747025,
  [SMALL_STATE(14937)] = 747047,
  [SMALL_STATE(14938)] = 747079,
  [SMALL_STATE(14939)] = 747099,
  [SMALL_STATE(14940)] = 747131,
  [SMALL_STATE(14941)] = 747155,
  [SMALL_STATE(14942)] = 747187,
  [SMALL_STATE(14943)] = 747219,
  [SMALL_STATE(14944)] = 747251,
  [SMALL_STATE(14945)] = 747271,
  [SMALL_STATE(14946)] = 747303,
  [SMALL_STATE(14947)] = 747335,
  [SMALL_STATE(14948)] = 747367,
  [SMALL_STATE(14949)] = 747399,
  [SMALL_STATE(14950)] = 747431,
  [SMALL_STATE(14951)] = 747463,
  [SMALL_STATE(14952)] = 747495,
  [SMALL_STATE(14953)] = 747527,
  [SMALL_STATE(14954)] = 747559,
  [SMALL_STATE(14955)] = 747591,
  [SMALL_STATE(14956)] = 747621,
  [SMALL_STATE(14957)] = 747653,
  [SMALL_STATE(14958)] = 747685,
  [SMALL_STATE(14959)] = 747717,
  [SMALL_STATE(14960)] = 747749,
  [SMALL_STATE(14961)] = 747781,
  [SMALL_STATE(14962)] = 747813,
  [SMALL_STATE(14963)] = 747845,
  [SMALL_STATE(14964)] = 747875,
  [SMALL_STATE(14965)] = 747907,
  [SMALL_STATE(14966)] = 747939,
  [SMALL_STATE(14967)] = 747971,
  [SMALL_STATE(14968)] = 748003,
  [SMALL_STATE(14969)] = 748035,
  [SMALL_STATE(14970)] = 748067,
  [SMALL_STATE(14971)] = 748097,
  [SMALL_STATE(14972)] = 748129,
  [SMALL_STATE(14973)] = 748161,
  [SMALL_STATE(14974)] = 748193,
  [SMALL_STATE(14975)] = 748225,
  [SMALL_STATE(14976)] = 748257,
  [SMALL_STATE(14977)] = 748289,
  [SMALL_STATE(14978)] = 748321,
  [SMALL_STATE(14979)] = 748353,
  [SMALL_STATE(14980)] = 748385,
  [SMALL_STATE(14981)] = 748417,
  [SMALL_STATE(14982)] = 748439,
  [SMALL_STATE(14983)] = 748471,
  [SMALL_STATE(14984)] = 748493,
  [SMALL_STATE(14985)] = 748525,
  [SMALL_STATE(14986)] = 748557,
  [SMALL_STATE(14987)] = 748579,
  [SMALL_STATE(14988)] = 748601,
  [SMALL_STATE(14989)] = 748633,
  [SMALL_STATE(14990)] = 748665,
  [SMALL_STATE(14991)] = 748689,
  [SMALL_STATE(14992)] = 748717,
  [SMALL_STATE(14993)] = 748749,
  [SMALL_STATE(14994)] = 748781,
  [SMALL_STATE(14995)] = 748813,
  [SMALL_STATE(14996)] = 748845,
  [SMALL_STATE(14997)] = 748877,
  [SMALL_STATE(14998)] = 748899,
  [SMALL_STATE(14999)] = 748931,
  [SMALL_STATE(15000)] = 748963,
  [SMALL_STATE(15001)] = 748995,
  [SMALL_STATE(15002)] = 749027,
  [SMALL_STATE(15003)] = 749055,
  [SMALL_STATE(15004)] = 749087,
  [SMALL_STATE(15005)] = 749119,
  [SMALL_STATE(15006)] = 749151,
  [SMALL_STATE(15007)] = 749181,
  [SMALL_STATE(15008)] = 749213,
  [SMALL_STATE(15009)] = 749245,
  [SMALL_STATE(15010)] = 749277,
  [SMALL_STATE(15011)] = 749309,
  [SMALL_STATE(15012)] = 749341,
  [SMALL_STATE(15013)] = 749373,
  [SMALL_STATE(15014)] = 749405,
  [SMALL_STATE(15015)] = 749437,
  [SMALL_STATE(15016)] = 749469,
  [SMALL_STATE(15017)] = 749501,
  [SMALL_STATE(15018)] = 749533,
  [SMALL_STATE(15019)] = 749565,
  [SMALL_STATE(15020)] = 749597,
  [SMALL_STATE(15021)] = 749629,
  [SMALL_STATE(15022)] = 749661,
  [SMALL_STATE(15023)] = 749693,
  [SMALL_STATE(15024)] = 749725,
  [SMALL_STATE(15025)] = 749747,
  [SMALL_STATE(15026)] = 749771,
  [SMALL_STATE(15027)] = 749803,
  [SMALL_STATE(15028)] = 749835,
  [SMALL_STATE(15029)] = 749867,
  [SMALL_STATE(15030)] = 749899,
  [SMALL_STATE(15031)] = 749931,
  [SMALL_STATE(15032)] = 749953,
  [SMALL_STATE(15033)] = 749985,
  [SMALL_STATE(15034)] = 750017,
  [SMALL_STATE(15035)] = 750049,
  [SMALL_STATE(15036)] = 750081,
  [SMALL_STATE(15037)] = 750113,
  [SMALL_STATE(15038)] = 750145,
  [SMALL_STATE(15039)] = 750177,
  [SMALL_STATE(15040)] = 750209,
  [SMALL_STATE(15041)] = 750241,
  [SMALL_STATE(15042)] = 750273,
  [SMALL_STATE(15043)] = 750305,
  [SMALL_STATE(15044)] = 750337,
  [SMALL_STATE(15045)] = 750357,
  [SMALL_STATE(15046)] = 750389,
  [SMALL_STATE(15047)] = 750419,
  [SMALL_STATE(15048)] = 750451,
  [SMALL_STATE(15049)] = 750483,
  [SMALL_STATE(15050)] = 750515,
  [SMALL_STATE(15051)] = 750547,
  [SMALL_STATE(15052)] = 750577,
  [SMALL_STATE(15053)] = 750609,
  [SMALL_STATE(15054)] = 750633,
  [SMALL_STATE(15055)] = 750665,
  [SMALL_STATE(15056)] = 750697,
  [SMALL_STATE(15057)] = 750727,
  [SMALL_STATE(15058)] = 750749,
  [SMALL_STATE(15059)] = 750781,
  [SMALL_STATE(15060)] = 750811,
  [SMALL_STATE(15061)] = 750843,
  [SMALL_STATE(15062)] = 750875,
  [SMALL_STATE(15063)] = 750905,
  [SMALL_STATE(15064)] = 750937,
  [SMALL_STATE(15065)] = 750969,
  [SMALL_STATE(15066)] = 751001,
  [SMALL_STATE(15067)] = 751033,
  [SMALL_STATE(15068)] = 751055,
  [SMALL_STATE(15069)] = 751087,
  [SMALL_STATE(15070)] = 751109,
  [SMALL_STATE(15071)] = 751141,
  [SMALL_STATE(15072)] = 751173,
  [SMALL_STATE(15073)] = 751203,
  [SMALL_STATE(15074)] = 751235,
  [SMALL_STATE(15075)] = 751267,
  [SMALL_STATE(15076)] = 751297,
  [SMALL_STATE(15077)] = 751327,
  [SMALL_STATE(15078)] = 751359,
  [SMALL_STATE(15079)] = 751389,
  [SMALL_STATE(15080)] = 751421,
  [SMALL_STATE(15081)] = 751453,
  [SMALL_STATE(15082)] = 751475,
  [SMALL_STATE(15083)] = 751499,
  [SMALL_STATE(15084)] = 751531,
  [SMALL_STATE(15085)] = 751563,
  [SMALL_STATE(15086)] = 751593,
  [SMALL_STATE(15087)] = 751625,
  [SMALL_STATE(15088)] = 751657,
  [SMALL_STATE(15089)] = 751689,
  [SMALL_STATE(15090)] = 751721,
  [SMALL_STATE(15091)] = 751751,
  [SMALL_STATE(15092)] = 751781,
  [SMALL_STATE(15093)] = 751813,
  [SMALL_STATE(15094)] = 751843,
  [SMALL_STATE(15095)] = 751867,
  [SMALL_STATE(15096)] = 751899,
  [SMALL_STATE(15097)] = 751931,
  [SMALL_STATE(15098)] = 751953,
  [SMALL_STATE(15099)] = 751975,
  [SMALL_STATE(15100)] = 752005,
  [SMALL_STATE(15101)] = 752035,
  [SMALL_STATE(15102)] = 752057,
  [SMALL_STATE(15103)] = 752079,
  [SMALL_STATE(15104)] = 752103,
  [SMALL_STATE(15105)] = 752135,
  [SMALL_STATE(15106)] = 752167,
  [SMALL_STATE(15107)] = 752199,
  [SMALL_STATE(15108)] = 752231,
  [SMALL_STATE(15109)] = 752263,
  [SMALL_STATE(15110)] = 752295,
  [SMALL_STATE(15111)] = 752317,
  [SMALL_STATE(15112)] = 752347,
  [SMALL_STATE(15113)] = 752369,
  [SMALL_STATE(15114)] = 752401,
  [SMALL_STATE(15115)] = 752423,
  [SMALL_STATE(15116)] = 752455,
  [SMALL_STATE(15117)] = 752475,
  [SMALL_STATE(15118)] = 752499,
  [SMALL_STATE(15119)] = 752521,
  [SMALL_STATE(15120)] = 752551,
  [SMALL_STATE(15121)] = 752573,
  [SMALL_STATE(15122)] = 752595,
  [SMALL_STATE(15123)] = 752617,
  [SMALL_STATE(15124)] = 752639,
  [SMALL_STATE(15125)] = 752669,
  [SMALL_STATE(15126)] = 752701,
  [SMALL_STATE(15127)] = 752731,
  [SMALL_STATE(15128)] = 752763,
  [SMALL_STATE(15129)] = 752795,
  [SMALL_STATE(15130)] = 752827,
  [SMALL_STATE(15131)] = 752859,
  [SMALL_STATE(15132)] = 752891,
  [SMALL_STATE(15133)] = 752923,
  [SMALL_STATE(15134)] = 752955,
  [SMALL_STATE(15135)] = 752987,
  [SMALL_STATE(15136)] = 753017,
  [SMALL_STATE(15137)] = 753049,
  [SMALL_STATE(15138)] = 753081,
  [SMALL_STATE(15139)] = 753105,
  [SMALL_STATE(15140)] = 753127,
  [SMALL_STATE(15141)] = 753159,
  [SMALL_STATE(15142)] = 753191,
  [SMALL_STATE(15143)] = 753223,
  [SMALL_STATE(15144)] = 753255,
  [SMALL_STATE(15145)] = 753287,
  [SMALL_STATE(15146)] = 753319,
  [SMALL_STATE(15147)] = 753351,
  [SMALL_STATE(15148)] = 753383,
  [SMALL_STATE(15149)] = 753415,
  [SMALL_STATE(15150)] = 753447,
  [SMALL_STATE(15151)] = 753469,
  [SMALL_STATE(15152)] = 753501,
  [SMALL_STATE(15153)] = 753533,
  [SMALL_STATE(15154)] = 753565,
  [SMALL_STATE(15155)] = 753597,
  [SMALL_STATE(15156)] = 753629,
  [SMALL_STATE(15157)] = 753659,
  [SMALL_STATE(15158)] = 753691,
  [SMALL_STATE(15159)] = 753723,
  [SMALL_STATE(15160)] = 753755,
  [SMALL_STATE(15161)] = 753787,
  [SMALL_STATE(15162)] = 753807,
  [SMALL_STATE(15163)] = 753839,
  [SMALL_STATE(15164)] = 753871,
  [SMALL_STATE(15165)] = 753903,
  [SMALL_STATE(15166)] = 753925,
  [SMALL_STATE(15167)] = 753957,
  [SMALL_STATE(15168)] = 753989,
  [SMALL_STATE(15169)] = 754011,
  [SMALL_STATE(15170)] = 754033,
  [SMALL_STATE(15171)] = 754065,
  [SMALL_STATE(15172)] = 754097,
  [SMALL_STATE(15173)] = 754129,
  [SMALL_STATE(15174)] = 754161,
  [SMALL_STATE(15175)] = 754193,
  [SMALL_STATE(15176)] = 754215,
  [SMALL_STATE(15177)] = 754247,
  [SMALL_STATE(15178)] = 754279,
  [SMALL_STATE(15179)] = 754311,
  [SMALL_STATE(15180)] = 754343,
  [SMALL_STATE(15181)] = 754375,
  [SMALL_STATE(15182)] = 754407,
  [SMALL_STATE(15183)] = 754439,
  [SMALL_STATE(15184)] = 754461,
  [SMALL_STATE(15185)] = 754483,
  [SMALL_STATE(15186)] = 754505,
  [SMALL_STATE(15187)] = 754537,
  [SMALL_STATE(15188)] = 754559,
  [SMALL_STATE(15189)] = 754591,
  [SMALL_STATE(15190)] = 754623,
  [SMALL_STATE(15191)] = 754653,
  [SMALL_STATE(15192)] = 754677,
  [SMALL_STATE(15193)] = 754707,
  [SMALL_STATE(15194)] = 754739,
  [SMALL_STATE(15195)] = 754771,
  [SMALL_STATE(15196)] = 754793,
  [SMALL_STATE(15197)] = 754825,
  [SMALL_STATE(15198)] = 754857,
  [SMALL_STATE(15199)] = 754889,
  [SMALL_STATE(15200)] = 754911,
  [SMALL_STATE(15201)] = 754943,
  [SMALL_STATE(15202)] = 754975,
  [SMALL_STATE(15203)] = 755007,
  [SMALL_STATE(15204)] = 755037,
  [SMALL_STATE(15205)] = 755067,
  [SMALL_STATE(15206)] = 755097,
  [SMALL_STATE(15207)] = 755126,
  [SMALL_STATE(15208)] = 755155,
  [SMALL_STATE(15209)] = 755176,
  [SMALL_STATE(15210)] = 755205,
  [SMALL_STATE(15211)] = 755226,
  [SMALL_STATE(15212)] = 755247,
  [SMALL_STATE(15213)] = 755276,
  [SMALL_STATE(15214)] = 755305,
  [SMALL_STATE(15215)] = 755334,
  [SMALL_STATE(15216)] = 755363,
  [SMALL_STATE(15217)] = 755392,
  [SMALL_STATE(15218)] = 755421,
  [SMALL_STATE(15219)] = 755450,
  [SMALL_STATE(15220)] = 755471,
  [SMALL_STATE(15221)] = 755500,
  [SMALL_STATE(15222)] = 755529,
  [SMALL_STATE(15223)] = 755558,
  [SMALL_STATE(15224)] = 755579,
  [SMALL_STATE(15225)] = 755608,
  [SMALL_STATE(15226)] = 755637,
  [SMALL_STATE(15227)] = 755658,
  [SMALL_STATE(15228)] = 755687,
  [SMALL_STATE(15229)] = 755716,
  [SMALL_STATE(15230)] = 755737,
  [SMALL_STATE(15231)] = 755766,
  [SMALL_STATE(15232)] = 755795,
  [SMALL_STATE(15233)] = 755822,
  [SMALL_STATE(15234)] = 755851,
  [SMALL_STATE(15235)] = 755878,
  [SMALL_STATE(15236)] = 755899,
  [SMALL_STATE(15237)] = 755920,
  [SMALL_STATE(15238)] = 755949,
  [SMALL_STATE(15239)] = 755978,
  [SMALL_STATE(15240)] = 756001,
  [SMALL_STATE(15241)] = 756030,
  [SMALL_STATE(15242)] = 756055,
  [SMALL_STATE(15243)] = 756084,
  [SMALL_STATE(15244)] = 756113,
  [SMALL_STATE(15245)] = 756140,
  [SMALL_STATE(15246)] = 756167,
  [SMALL_STATE(15247)] = 756196,
  [SMALL_STATE(15248)] = 756217,
  [SMALL_STATE(15249)] = 756246,
  [SMALL_STATE(15250)] = 756269,
  [SMALL_STATE(15251)] = 756298,
  [SMALL_STATE(15252)] = 756327,
  [SMALL_STATE(15253)] = 756356,
  [SMALL_STATE(15254)] = 756377,
  [SMALL_STATE(15255)] = 756398,
  [SMALL_STATE(15256)] = 756427,
  [SMALL_STATE(15257)] = 756456,
  [SMALL_STATE(15258)] = 756485,
  [SMALL_STATE(15259)] = 756514,
  [SMALL_STATE(15260)] = 756543,
  [SMALL_STATE(15261)] = 756572,
  [SMALL_STATE(15262)] = 756601,
  [SMALL_STATE(15263)] = 756630,
  [SMALL_STATE(15264)] = 756659,
  [SMALL_STATE(15265)] = 756688,
  [SMALL_STATE(15266)] = 756709,
  [SMALL_STATE(15267)] = 756738,
  [SMALL_STATE(15268)] = 756759,
  [SMALL_STATE(15269)] = 756788,
  [SMALL_STATE(15270)] = 756811,
  [SMALL_STATE(15271)] = 756840,
  [SMALL_STATE(15272)] = 756861,
  [SMALL_STATE(15273)] = 756882,
  [SMALL_STATE(15274)] = 756911,
  [SMALL_STATE(15275)] = 756940,
  [SMALL_STATE(15276)] = 756961,
  [SMALL_STATE(15277)] = 756990,
  [SMALL_STATE(15278)] = 757019,
  [SMALL_STATE(15279)] = 757048,
  [SMALL_STATE(15280)] = 757077,
  [SMALL_STATE(15281)] = 757106,
  [SMALL_STATE(15282)] = 757135,
  [SMALL_STATE(15283)] = 757164,
  [SMALL_STATE(15284)] = 757193,
  [SMALL_STATE(15285)] = 757214,
  [SMALL_STATE(15286)] = 757243,
  [SMALL_STATE(15287)] = 757272,
  [SMALL_STATE(15288)] = 757301,
  [SMALL_STATE(15289)] = 757328,
  [SMALL_STATE(15290)] = 757357,
  [SMALL_STATE(15291)] = 757386,
  [SMALL_STATE(15292)] = 757415,
  [SMALL_STATE(15293)] = 757444,
  [SMALL_STATE(15294)] = 757473,
  [SMALL_STATE(15295)] = 757502,
  [SMALL_STATE(15296)] = 757531,
  [SMALL_STATE(15297)] = 757560,
  [SMALL_STATE(15298)] = 757589,
  [SMALL_STATE(15299)] = 757616,
  [SMALL_STATE(15300)] = 757645,
  [SMALL_STATE(15301)] = 757674,
  [SMALL_STATE(15302)] = 757703,
  [SMALL_STATE(15303)] = 757724,
  [SMALL_STATE(15304)] = 757753,
  [SMALL_STATE(15305)] = 757782,
  [SMALL_STATE(15306)] = 757803,
  [SMALL_STATE(15307)] = 757832,
  [SMALL_STATE(15308)] = 757853,
  [SMALL_STATE(15309)] = 757882,
  [SMALL_STATE(15310)] = 757911,
  [SMALL_STATE(15311)] = 757940,
  [SMALL_STATE(15312)] = 757961,
  [SMALL_STATE(15313)] = 757990,
  [SMALL_STATE(15314)] = 758017,
  [SMALL_STATE(15315)] = 758046,
  [SMALL_STATE(15316)] = 758075,
  [SMALL_STATE(15317)] = 758096,
  [SMALL_STATE(15318)] = 758125,
  [SMALL_STATE(15319)] = 758154,
  [SMALL_STATE(15320)] = 758183,
  [SMALL_STATE(15321)] = 758212,
  [SMALL_STATE(15322)] = 758241,
  [SMALL_STATE(15323)] = 758266,
  [SMALL_STATE(15324)] = 758295,
  [SMALL_STATE(15325)] = 758324,
  [SMALL_STATE(15326)] = 758353,
  [SMALL_STATE(15327)] = 758382,
  [SMALL_STATE(15328)] = 758411,
  [SMALL_STATE(15329)] = 758440,
  [SMALL_STATE(15330)] = 758469,
  [SMALL_STATE(15331)] = 758490,
  [SMALL_STATE(15332)] = 758519,
  [SMALL_STATE(15333)] = 758548,
  [SMALL_STATE(15334)] = 758577,
  [SMALL_STATE(15335)] = 758598,
  [SMALL_STATE(15336)] = 758627,
  [SMALL_STATE(15337)] = 758656,
  [SMALL_STATE(15338)] = 758685,
  [SMALL_STATE(15339)] = 758706,
  [SMALL_STATE(15340)] = 758735,
  [SMALL_STATE(15341)] = 758756,
  [SMALL_STATE(15342)] = 758785,
  [SMALL_STATE(15343)] = 758812,
  [SMALL_STATE(15344)] = 758841,
  [SMALL_STATE(15345)] = 758870,
  [SMALL_STATE(15346)] = 758891,
  [SMALL_STATE(15347)] = 758920,
  [SMALL_STATE(15348)] = 758941,
  [SMALL_STATE(15349)] = 758970,
  [SMALL_STATE(15350)] = 758999,
  [SMALL_STATE(15351)] = 759028,
  [SMALL_STATE(15352)] = 759057,
  [SMALL_STATE(15353)] = 759084,
  [SMALL_STATE(15354)] = 759113,
  [SMALL_STATE(15355)] = 759142,
  [SMALL_STATE(15356)] = 759165,
  [SMALL_STATE(15357)] = 759186,
  [SMALL_STATE(15358)] = 759215,
  [SMALL_STATE(15359)] = 759244,
  [SMALL_STATE(15360)] = 759273,
  [SMALL_STATE(15361)] = 759302,
  [SMALL_STATE(15362)] = 759331,
  [SMALL_STATE(15363)] = 759358,
  [SMALL_STATE(15364)] = 759387,
  [SMALL_STATE(15365)] = 759416,
  [SMALL_STATE(15366)] = 759445,
  [SMALL_STATE(15367)] = 759474,
  [SMALL_STATE(15368)] = 759495,
  [SMALL_STATE(15369)] = 759524,
  [SMALL_STATE(15370)] = 759553,
  [SMALL_STATE(15371)] = 759582,
  [SMALL_STATE(15372)] = 759603,
  [SMALL_STATE(15373)] = 759630,
  [SMALL_STATE(15374)] = 759659,
  [SMALL_STATE(15375)] = 759688,
  [SMALL_STATE(15376)] = 759717,
  [SMALL_STATE(15377)] = 759738,
  [SMALL_STATE(15378)] = 759765,
  [SMALL_STATE(15379)] = 759794,
  [SMALL_STATE(15380)] = 759823,
  [SMALL_STATE(15381)] = 759844,
  [SMALL_STATE(15382)] = 759865,
  [SMALL_STATE(15383)] = 759894,
  [SMALL_STATE(15384)] = 759923,
  [SMALL_STATE(15385)] = 759948,
  [SMALL_STATE(15386)] = 759977,
  [SMALL_STATE(15387)] = 760006,
  [SMALL_STATE(15388)] = 760027,
  [SMALL_STATE(15389)] = 760056,
  [SMALL_STATE(15390)] = 760085,
  [SMALL_STATE(15391)] = 760114,
  [SMALL_STATE(15392)] = 760143,
  [SMALL_STATE(15393)] = 760172,
  [SMALL_STATE(15394)] = 760201,
  [SMALL_STATE(15395)] = 760230,
  [SMALL_STATE(15396)] = 760259,
  [SMALL_STATE(15397)] = 760280,
  [SMALL_STATE(15398)] = 760301,
  [SMALL_STATE(15399)] = 760330,
  [SMALL_STATE(15400)] = 760359,
  [SMALL_STATE(15401)] = 760388,
  [SMALL_STATE(15402)] = 760409,
  [SMALL_STATE(15403)] = 760438,
  [SMALL_STATE(15404)] = 760467,
  [SMALL_STATE(15405)] = 760488,
  [SMALL_STATE(15406)] = 760515,
  [SMALL_STATE(15407)] = 760542,
  [SMALL_STATE(15408)] = 760571,
  [SMALL_STATE(15409)] = 760592,
  [SMALL_STATE(15410)] = 760621,
  [SMALL_STATE(15411)] = 760650,
  [SMALL_STATE(15412)] = 760677,
  [SMALL_STATE(15413)] = 760706,
  [SMALL_STATE(15414)] = 760735,
  [SMALL_STATE(15415)] = 760756,
  [SMALL_STATE(15416)] = 760785,
  [SMALL_STATE(15417)] = 760806,
  [SMALL_STATE(15418)] = 760835,
  [SMALL_STATE(15419)] = 760864,
  [SMALL_STATE(15420)] = 760887,
  [SMALL_STATE(15421)] = 760916,
  [SMALL_STATE(15422)] = 760945,
  [SMALL_STATE(15423)] = 760970,
  [SMALL_STATE(15424)] = 760999,
  [SMALL_STATE(15425)] = 761026,
  [SMALL_STATE(15426)] = 761055,
  [SMALL_STATE(15427)] = 761082,
  [SMALL_STATE(15428)] = 761111,
  [SMALL_STATE(15429)] = 761138,
  [SMALL_STATE(15430)] = 761167,
  [SMALL_STATE(15431)] = 761196,
  [SMALL_STATE(15432)] = 761225,
  [SMALL_STATE(15433)] = 761254,
  [SMALL_STATE(15434)] = 761283,
  [SMALL_STATE(15435)] = 761304,
  [SMALL_STATE(15436)] = 761325,
  [SMALL_STATE(15437)] = 761346,
  [SMALL_STATE(15438)] = 761367,
  [SMALL_STATE(15439)] = 761388,
  [SMALL_STATE(15440)] = 761409,
  [SMALL_STATE(15441)] = 761438,
  [SMALL_STATE(15442)] = 761467,
  [SMALL_STATE(15443)] = 761496,
  [SMALL_STATE(15444)] = 761525,
  [SMALL_STATE(15445)] = 761554,
  [SMALL_STATE(15446)] = 761583,
  [SMALL_STATE(15447)] = 761612,
  [SMALL_STATE(15448)] = 761641,
  [SMALL_STATE(15449)] = 761670,
  [SMALL_STATE(15450)] = 761699,
  [SMALL_STATE(15451)] = 761728,
  [SMALL_STATE(15452)] = 761757,
  [SMALL_STATE(15453)] = 761786,
  [SMALL_STATE(15454)] = 761815,
  [SMALL_STATE(15455)] = 761844,
  [SMALL_STATE(15456)] = 761873,
  [SMALL_STATE(15457)] = 761902,
  [SMALL_STATE(15458)] = 761923,
  [SMALL_STATE(15459)] = 761952,
  [SMALL_STATE(15460)] = 761981,
  [SMALL_STATE(15461)] = 762010,
  [SMALL_STATE(15462)] = 762039,
  [SMALL_STATE(15463)] = 762068,
  [SMALL_STATE(15464)] = 762097,
  [SMALL_STATE(15465)] = 762118,
  [SMALL_STATE(15466)] = 762147,
  [SMALL_STATE(15467)] = 762176,
  [SMALL_STATE(15468)] = 762197,
  [SMALL_STATE(15469)] = 762226,
  [SMALL_STATE(15470)] = 762255,
  [SMALL_STATE(15471)] = 762284,
  [SMALL_STATE(15472)] = 762311,
  [SMALL_STATE(15473)] = 762340,
  [SMALL_STATE(15474)] = 762361,
  [SMALL_STATE(15475)] = 762390,
  [SMALL_STATE(15476)] = 762413,
  [SMALL_STATE(15477)] = 762442,
  [SMALL_STATE(15478)] = 762471,
  [SMALL_STATE(15479)] = 762492,
  [SMALL_STATE(15480)] = 762513,
  [SMALL_STATE(15481)] = 762542,
  [SMALL_STATE(15482)] = 762565,
  [SMALL_STATE(15483)] = 762594,
  [SMALL_STATE(15484)] = 762623,
  [SMALL_STATE(15485)] = 762650,
  [SMALL_STATE(15486)] = 762679,
  [SMALL_STATE(15487)] = 762708,
  [SMALL_STATE(15488)] = 762737,
  [SMALL_STATE(15489)] = 762764,
  [SMALL_STATE(15490)] = 762793,
  [SMALL_STATE(15491)] = 762814,
  [SMALL_STATE(15492)] = 762835,
  [SMALL_STATE(15493)] = 762864,
  [SMALL_STATE(15494)] = 762891,
  [SMALL_STATE(15495)] = 762920,
  [SMALL_STATE(15496)] = 762949,
  [SMALL_STATE(15497)] = 762978,
  [SMALL_STATE(15498)] = 763007,
  [SMALL_STATE(15499)] = 763036,
  [SMALL_STATE(15500)] = 763057,
  [SMALL_STATE(15501)] = 763078,
  [SMALL_STATE(15502)] = 763107,
  [SMALL_STATE(15503)] = 763136,
  [SMALL_STATE(15504)] = 763163,
  [SMALL_STATE(15505)] = 763192,
  [SMALL_STATE(15506)] = 763221,
  [SMALL_STATE(15507)] = 763250,
  [SMALL_STATE(15508)] = 763279,
  [SMALL_STATE(15509)] = 763308,
  [SMALL_STATE(15510)] = 763337,
  [SMALL_STATE(15511)] = 763358,
  [SMALL_STATE(15512)] = 763381,
  [SMALL_STATE(15513)] = 763410,
  [SMALL_STATE(15514)] = 763439,
  [SMALL_STATE(15515)] = 763468,
  [SMALL_STATE(15516)] = 763497,
  [SMALL_STATE(15517)] = 763526,
  [SMALL_STATE(15518)] = 763549,
  [SMALL_STATE(15519)] = 763578,
  [SMALL_STATE(15520)] = 763599,
  [SMALL_STATE(15521)] = 763628,
  [SMALL_STATE(15522)] = 763657,
  [SMALL_STATE(15523)] = 763686,
  [SMALL_STATE(15524)] = 763713,
  [SMALL_STATE(15525)] = 763742,
  [SMALL_STATE(15526)] = 763763,
  [SMALL_STATE(15527)] = 763792,
  [SMALL_STATE(15528)] = 763821,
  [SMALL_STATE(15529)] = 763850,
  [SMALL_STATE(15530)] = 763879,
  [SMALL_STATE(15531)] = 763908,
  [SMALL_STATE(15532)] = 763937,
  [SMALL_STATE(15533)] = 763966,
  [SMALL_STATE(15534)] = 763995,
  [SMALL_STATE(15535)] = 764024,
  [SMALL_STATE(15536)] = 764045,
  [SMALL_STATE(15537)] = 764066,
  [SMALL_STATE(15538)] = 764095,
  [SMALL_STATE(15539)] = 764124,
  [SMALL_STATE(15540)] = 764153,
  [SMALL_STATE(15541)] = 764174,
  [SMALL_STATE(15542)] = 764203,
  [SMALL_STATE(15543)] = 764224,
  [SMALL_STATE(15544)] = 764253,
  [SMALL_STATE(15545)] = 764280,
  [SMALL_STATE(15546)] = 764309,
  [SMALL_STATE(15547)] = 764338,
  [SMALL_STATE(15548)] = 764367,
  [SMALL_STATE(15549)] = 764396,
  [SMALL_STATE(15550)] = 764425,
  [SMALL_STATE(15551)] = 764454,
  [SMALL_STATE(15552)] = 764481,
  [SMALL_STATE(15553)] = 764510,
  [SMALL_STATE(15554)] = 764531,
  [SMALL_STATE(15555)] = 764558,
  [SMALL_STATE(15556)] = 764579,
  [SMALL_STATE(15557)] = 764608,
  [SMALL_STATE(15558)] = 764637,
  [SMALL_STATE(15559)] = 764666,
  [SMALL_STATE(15560)] = 764695,
  [SMALL_STATE(15561)] = 764724,
  [SMALL_STATE(15562)] = 764753,
  [SMALL_STATE(15563)] = 764774,
  [SMALL_STATE(15564)] = 764803,
  [SMALL_STATE(15565)] = 764832,
  [SMALL_STATE(15566)] = 764861,
  [SMALL_STATE(15567)] = 764890,
  [SMALL_STATE(15568)] = 764911,
  [SMALL_STATE(15569)] = 764940,
  [SMALL_STATE(15570)] = 764969,
  [SMALL_STATE(15571)] = 764998,
  [SMALL_STATE(15572)] = 765027,
  [SMALL_STATE(15573)] = 765056,
  [SMALL_STATE(15574)] = 765077,
  [SMALL_STATE(15575)] = 765103,
  [SMALL_STATE(15576)] = 765129,
  [SMALL_STATE(15577)] = 765155,
  [SMALL_STATE(15578)] = 765181,
  [SMALL_STATE(15579)] = 765207,
  [SMALL_STATE(15580)] = 765233,
  [SMALL_STATE(15581)] = 765259,
  [SMALL_STATE(15582)] = 765285,
  [SMALL_STATE(15583)] = 765311,
  [SMALL_STATE(15584)] = 765337,
  [SMALL_STATE(15585)] = 765363,
  [SMALL_STATE(15586)] = 765389,
  [SMALL_STATE(15587)] = 765415,
  [SMALL_STATE(15588)] = 765441,
  [SMALL_STATE(15589)] = 765467,
  [SMALL_STATE(15590)] = 765493,
  [SMALL_STATE(15591)] = 765515,
  [SMALL_STATE(15592)] = 765541,
  [SMALL_STATE(15593)] = 765567,
  [SMALL_STATE(15594)] = 765593,
  [SMALL_STATE(15595)] = 765619,
  [SMALL_STATE(15596)] = 765645,
  [SMALL_STATE(15597)] = 765671,
  [SMALL_STATE(15598)] = 765697,
  [SMALL_STATE(15599)] = 765723,
  [SMALL_STATE(15600)] = 765749,
  [SMALL_STATE(15601)] = 765775,
  [SMALL_STATE(15602)] = 765801,
  [SMALL_STATE(15603)] = 765827,
  [SMALL_STATE(15604)] = 765853,
  [SMALL_STATE(15605)] = 765879,
  [SMALL_STATE(15606)] = 765905,
  [SMALL_STATE(15607)] = 765927,
  [SMALL_STATE(15608)] = 765953,
  [SMALL_STATE(15609)] = 765975,
  [SMALL_STATE(15610)] = 766001,
  [SMALL_STATE(15611)] = 766025,
  [SMALL_STATE(15612)] = 766051,
  [SMALL_STATE(15613)] = 766077,
  [SMALL_STATE(15614)] = 766103,
  [SMALL_STATE(15615)] = 766129,
  [SMALL_STATE(15616)] = 766153,
  [SMALL_STATE(15617)] = 766179,
  [SMALL_STATE(15618)] = 766205,
  [SMALL_STATE(15619)] = 766231,
  [SMALL_STATE(15620)] = 766257,
  [SMALL_STATE(15621)] = 766283,
  [SMALL_STATE(15622)] = 766305,
  [SMALL_STATE(15623)] = 766329,
  [SMALL_STATE(15624)] = 766355,
  [SMALL_STATE(15625)] = 766381,
  [SMALL_STATE(15626)] = 766407,
  [SMALL_STATE(15627)] = 766431,
  [SMALL_STATE(15628)] = 766457,
  [SMALL_STATE(15629)] = 766483,
  [SMALL_STATE(15630)] = 766509,
  [SMALL_STATE(15631)] = 766533,
  [SMALL_STATE(15632)] = 766559,
  [SMALL_STATE(15633)] = 766585,
  [SMALL_STATE(15634)] = 766611,
  [SMALL_STATE(15635)] = 766637,
  [SMALL_STATE(15636)] = 766663,
  [SMALL_STATE(15637)] = 766685,
  [SMALL_STATE(15638)] = 766711,
  [SMALL_STATE(15639)] = 766729,
  [SMALL_STATE(15640)] = 766755,
  [SMALL_STATE(15641)] = 766777,
  [SMALL_STATE(15642)] = 766801,
  [SMALL_STATE(15643)] = 766827,
  [SMALL_STATE(15644)] = 766853,
  [SMALL_STATE(15645)] = 766877,
  [SMALL_STATE(15646)] = 766903,
  [SMALL_STATE(15647)] = 766929,
  [SMALL_STATE(15648)] = 766955,
  [SMALL_STATE(15649)] = 766981,
  [SMALL_STATE(15650)] = 767007,
  [SMALL_STATE(15651)] = 767033,
  [SMALL_STATE(15652)] = 767059,
  [SMALL_STATE(15653)] = 767085,
  [SMALL_STATE(15654)] = 767107,
  [SMALL_STATE(15655)] = 767133,
  [SMALL_STATE(15656)] = 767159,
  [SMALL_STATE(15657)] = 767177,
  [SMALL_STATE(15658)] = 767199,
  [SMALL_STATE(15659)] = 767225,
  [SMALL_STATE(15660)] = 767251,
  [SMALL_STATE(15661)] = 767277,
  [SMALL_STATE(15662)] = 767303,
  [SMALL_STATE(15663)] = 767327,
  [SMALL_STATE(15664)] = 767349,
  [SMALL_STATE(15665)] = 767375,
  [SMALL_STATE(15666)] = 767401,
  [SMALL_STATE(15667)] = 767425,
  [SMALL_STATE(15668)] = 767451,
  [SMALL_STATE(15669)] = 767477,
  [SMALL_STATE(15670)] = 767503,
  [SMALL_STATE(15671)] = 767525,
  [SMALL_STATE(15672)] = 767551,
  [SMALL_STATE(15673)] = 767577,
  [SMALL_STATE(15674)] = 767603,
  [SMALL_STATE(15675)] = 767625,
  [SMALL_STATE(15676)] = 767651,
  [SMALL_STATE(15677)] = 767677,
  [SMALL_STATE(15678)] = 767703,
  [SMALL_STATE(15679)] = 767729,
  [SMALL_STATE(15680)] = 767755,
  [SMALL_STATE(15681)] = 767781,
  [SMALL_STATE(15682)] = 767807,
  [SMALL_STATE(15683)] = 767833,
  [SMALL_STATE(15684)] = 767859,
  [SMALL_STATE(15685)] = 767885,
  [SMALL_STATE(15686)] = 767909,
  [SMALL_STATE(15687)] = 767931,
  [SMALL_STATE(15688)] = 767957,
  [SMALL_STATE(15689)] = 767983,
  [SMALL_STATE(15690)] = 768009,
  [SMALL_STATE(15691)] = 768035,
  [SMALL_STATE(15692)] = 768057,
  [SMALL_STATE(15693)] = 768079,
  [SMALL_STATE(15694)] = 768105,
  [SMALL_STATE(15695)] = 768131,
  [SMALL_STATE(15696)] = 768157,
  [SMALL_STATE(15697)] = 768179,
  [SMALL_STATE(15698)] = 768197,
  [SMALL_STATE(15699)] = 768223,
  [SMALL_STATE(15700)] = 768249,
  [SMALL_STATE(15701)] = 768275,
  [SMALL_STATE(15702)] = 768293,
  [SMALL_STATE(15703)] = 768319,
  [SMALL_STATE(15704)] = 768341,
  [SMALL_STATE(15705)] = 768367,
  [SMALL_STATE(15706)] = 768393,
  [SMALL_STATE(15707)] = 768419,
  [SMALL_STATE(15708)] = 768445,
  [SMALL_STATE(15709)] = 768471,
  [SMALL_STATE(15710)] = 768497,
  [SMALL_STATE(15711)] = 768523,
  [SMALL_STATE(15712)] = 768549,
  [SMALL_STATE(15713)] = 768573,
  [SMALL_STATE(15714)] = 768599,
  [SMALL_STATE(15715)] = 768623,
  [SMALL_STATE(15716)] = 768649,
  [SMALL_STATE(15717)] = 768675,
  [SMALL_STATE(15718)] = 768697,
  [SMALL_STATE(15719)] = 768723,
  [SMALL_STATE(15720)] = 768749,
  [SMALL_STATE(15721)] = 768775,
  [SMALL_STATE(15722)] = 768801,
  [SMALL_STATE(15723)] = 768827,
  [SMALL_STATE(15724)] = 768845,
  [SMALL_STATE(15725)] = 768871,
  [SMALL_STATE(15726)] = 768897,
  [SMALL_STATE(15727)] = 768923,
  [SMALL_STATE(15728)] = 768949,
  [SMALL_STATE(15729)] = 768971,
  [SMALL_STATE(15730)] = 768997,
  [SMALL_STATE(15731)] = 769019,
  [SMALL_STATE(15732)] = 769041,
  [SMALL_STATE(15733)] = 769067,
  [SMALL_STATE(15734)] = 769093,
  [SMALL_STATE(15735)] = 769119,
  [SMALL_STATE(15736)] = 769145,
  [SMALL_STATE(15737)] = 769171,
  [SMALL_STATE(15738)] = 769197,
  [SMALL_STATE(15739)] = 769219,
  [SMALL_STATE(15740)] = 769245,
  [SMALL_STATE(15741)] = 769271,
  [SMALL_STATE(15742)] = 769297,
  [SMALL_STATE(15743)] = 769319,
  [SMALL_STATE(15744)] = 769345,
  [SMALL_STATE(15745)] = 769371,
  [SMALL_STATE(15746)] = 769397,
  [SMALL_STATE(15747)] = 769423,
  [SMALL_STATE(15748)] = 769449,
  [SMALL_STATE(15749)] = 769475,
  [SMALL_STATE(15750)] = 769501,
  [SMALL_STATE(15751)] = 769527,
  [SMALL_STATE(15752)] = 769553,
  [SMALL_STATE(15753)] = 769573,
  [SMALL_STATE(15754)] = 769599,
  [SMALL_STATE(15755)] = 769625,
  [SMALL_STATE(15756)] = 769651,
  [SMALL_STATE(15757)] = 769677,
  [SMALL_STATE(15758)] = 769703,
  [SMALL_STATE(15759)] = 769729,
  [SMALL_STATE(15760)] = 769755,
  [SMALL_STATE(15761)] = 769781,
  [SMALL_STATE(15762)] = 769807,
  [SMALL_STATE(15763)] = 769833,
  [SMALL_STATE(15764)] = 769859,
  [SMALL_STATE(15765)] = 769883,
  [SMALL_STATE(15766)] = 769909,
  [SMALL_STATE(15767)] = 769933,
  [SMALL_STATE(15768)] = 769959,
  [SMALL_STATE(15769)] = 769983,
  [SMALL_STATE(15770)] = 770009,
  [SMALL_STATE(15771)] = 770035,
  [SMALL_STATE(15772)] = 770061,
  [SMALL_STATE(15773)] = 770087,
  [SMALL_STATE(15774)] = 770113,
  [SMALL_STATE(15775)] = 770139,
  [SMALL_STATE(15776)] = 770165,
  [SMALL_STATE(15777)] = 770191,
  [SMALL_STATE(15778)] = 770217,
  [SMALL_STATE(15779)] = 770243,
  [SMALL_STATE(15780)] = 770267,
  [SMALL_STATE(15781)] = 770293,
  [SMALL_STATE(15782)] = 770315,
  [SMALL_STATE(15783)] = 770341,
  [SMALL_STATE(15784)] = 770359,
  [SMALL_STATE(15785)] = 770385,
  [SMALL_STATE(15786)] = 770411,
  [SMALL_STATE(15787)] = 770437,
  [SMALL_STATE(15788)] = 770463,
  [SMALL_STATE(15789)] = 770489,
  [SMALL_STATE(15790)] = 770515,
  [SMALL_STATE(15791)] = 770541,
  [SMALL_STATE(15792)] = 770567,
  [SMALL_STATE(15793)] = 770593,
  [SMALL_STATE(15794)] = 770619,
  [SMALL_STATE(15795)] = 770645,
  [SMALL_STATE(15796)] = 770671,
  [SMALL_STATE(15797)] = 770695,
  [SMALL_STATE(15798)] = 770721,
  [SMALL_STATE(15799)] = 770747,
  [SMALL_STATE(15800)] = 770773,
  [SMALL_STATE(15801)] = 770799,
  [SMALL_STATE(15802)] = 770825,
  [SMALL_STATE(15803)] = 770851,
  [SMALL_STATE(15804)] = 770875,
  [SMALL_STATE(15805)] = 770901,
  [SMALL_STATE(15806)] = 770925,
  [SMALL_STATE(15807)] = 770951,
  [SMALL_STATE(15808)] = 770977,
  [SMALL_STATE(15809)] = 770995,
  [SMALL_STATE(15810)] = 771021,
  [SMALL_STATE(15811)] = 771047,
  [SMALL_STATE(15812)] = 771073,
  [SMALL_STATE(15813)] = 771099,
  [SMALL_STATE(15814)] = 771125,
  [SMALL_STATE(15815)] = 771151,
  [SMALL_STATE(15816)] = 771177,
  [SMALL_STATE(15817)] = 771203,
  [SMALL_STATE(15818)] = 771229,
  [SMALL_STATE(15819)] = 771255,
  [SMALL_STATE(15820)] = 771277,
  [SMALL_STATE(15821)] = 771300,
  [SMALL_STATE(15822)] = 771323,
  [SMALL_STATE(15823)] = 771346,
  [SMALL_STATE(15824)] = 771369,
  [SMALL_STATE(15825)] = 771392,
  [SMALL_STATE(15826)] = 771415,
  [SMALL_STATE(15827)] = 771438,
  [SMALL_STATE(15828)] = 771461,
  [SMALL_STATE(15829)] = 771484,
  [SMALL_STATE(15830)] = 771507,
  [SMALL_STATE(15831)] = 771530,
  [SMALL_STATE(15832)] = 771553,
  [SMALL_STATE(15833)] = 771576,
  [SMALL_STATE(15834)] = 771599,
  [SMALL_STATE(15835)] = 771622,
  [SMALL_STATE(15836)] = 771645,
  [SMALL_STATE(15837)] = 771668,
  [SMALL_STATE(15838)] = 771691,
  [SMALL_STATE(15839)] = 771714,
  [SMALL_STATE(15840)] = 771735,
  [SMALL_STATE(15841)] = 771758,
  [SMALL_STATE(15842)] = 771781,
  [SMALL_STATE(15843)] = 771804,
  [SMALL_STATE(15844)] = 771827,
  [SMALL_STATE(15845)] = 771850,
  [SMALL_STATE(15846)] = 771873,
  [SMALL_STATE(15847)] = 771896,
  [SMALL_STATE(15848)] = 771919,
  [SMALL_STATE(15849)] = 771942,
  [SMALL_STATE(15850)] = 771965,
  [SMALL_STATE(15851)] = 771988,
  [SMALL_STATE(15852)] = 772011,
  [SMALL_STATE(15853)] = 772034,
  [SMALL_STATE(15854)] = 772057,
  [SMALL_STATE(15855)] = 772080,
  [SMALL_STATE(15856)] = 772101,
  [SMALL_STATE(15857)] = 772124,
  [SMALL_STATE(15858)] = 772147,
  [SMALL_STATE(15859)] = 772170,
  [SMALL_STATE(15860)] = 772193,
  [SMALL_STATE(15861)] = 772216,
  [SMALL_STATE(15862)] = 772239,
  [SMALL_STATE(15863)] = 772262,
  [SMALL_STATE(15864)] = 772285,
  [SMALL_STATE(15865)] = 772308,
  [SMALL_STATE(15866)] = 772331,
  [SMALL_STATE(15867)] = 772354,
  [SMALL_STATE(15868)] = 772377,
  [SMALL_STATE(15869)] = 772400,
  [SMALL_STATE(15870)] = 772423,
  [SMALL_STATE(15871)] = 772446,
  [SMALL_STATE(15872)] = 772469,
  [SMALL_STATE(15873)] = 772492,
  [SMALL_STATE(15874)] = 772515,
  [SMALL_STATE(15875)] = 772538,
  [SMALL_STATE(15876)] = 772561,
  [SMALL_STATE(15877)] = 772584,
  [SMALL_STATE(15878)] = 772607,
  [SMALL_STATE(15879)] = 772630,
  [SMALL_STATE(15880)] = 772653,
  [SMALL_STATE(15881)] = 772676,
  [SMALL_STATE(15882)] = 772699,
  [SMALL_STATE(15883)] = 772722,
  [SMALL_STATE(15884)] = 772745,
  [SMALL_STATE(15885)] = 772768,
  [SMALL_STATE(15886)] = 772791,
  [SMALL_STATE(15887)] = 772814,
  [SMALL_STATE(15888)] = 772837,
  [SMALL_STATE(15889)] = 772860,
  [SMALL_STATE(15890)] = 772883,
  [SMALL_STATE(15891)] = 772906,
  [SMALL_STATE(15892)] = 772929,
  [SMALL_STATE(15893)] = 772952,
  [SMALL_STATE(15894)] = 772975,
  [SMALL_STATE(15895)] = 772998,
  [SMALL_STATE(15896)] = 773021,
  [SMALL_STATE(15897)] = 773044,
  [SMALL_STATE(15898)] = 773067,
  [SMALL_STATE(15899)] = 773090,
  [SMALL_STATE(15900)] = 773113,
  [SMALL_STATE(15901)] = 773136,
  [SMALL_STATE(15902)] = 773159,
  [SMALL_STATE(15903)] = 773182,
  [SMALL_STATE(15904)] = 773205,
  [SMALL_STATE(15905)] = 773228,
  [SMALL_STATE(15906)] = 773251,
  [SMALL_STATE(15907)] = 773274,
  [SMALL_STATE(15908)] = 773295,
  [SMALL_STATE(15909)] = 773318,
  [SMALL_STATE(15910)] = 773341,
  [SMALL_STATE(15911)] = 773364,
  [SMALL_STATE(15912)] = 773387,
  [SMALL_STATE(15913)] = 773410,
  [SMALL_STATE(15914)] = 773433,
  [SMALL_STATE(15915)] = 773456,
  [SMALL_STATE(15916)] = 773479,
  [SMALL_STATE(15917)] = 773502,
  [SMALL_STATE(15918)] = 773525,
  [SMALL_STATE(15919)] = 773548,
  [SMALL_STATE(15920)] = 773571,
  [SMALL_STATE(15921)] = 773594,
  [SMALL_STATE(15922)] = 773617,
  [SMALL_STATE(15923)] = 773640,
  [SMALL_STATE(15924)] = 773663,
  [SMALL_STATE(15925)] = 773684,
  [SMALL_STATE(15926)] = 773707,
  [SMALL_STATE(15927)] = 773730,
  [SMALL_STATE(15928)] = 773753,
  [SMALL_STATE(15929)] = 773776,
  [SMALL_STATE(15930)] = 773799,
  [SMALL_STATE(15931)] = 773822,
  [SMALL_STATE(15932)] = 773845,
  [SMALL_STATE(15933)] = 773868,
  [SMALL_STATE(15934)] = 773891,
  [SMALL_STATE(15935)] = 773914,
  [SMALL_STATE(15936)] = 773937,
  [SMALL_STATE(15937)] = 773960,
  [SMALL_STATE(15938)] = 773983,
  [SMALL_STATE(15939)] = 774006,
  [SMALL_STATE(15940)] = 774029,
  [SMALL_STATE(15941)] = 774052,
  [SMALL_STATE(15942)] = 774075,
  [SMALL_STATE(15943)] = 774098,
  [SMALL_STATE(15944)] = 774121,
  [SMALL_STATE(15945)] = 774144,
  [SMALL_STATE(15946)] = 774167,
  [SMALL_STATE(15947)] = 774190,
  [SMALL_STATE(15948)] = 774207,
  [SMALL_STATE(15949)] = 774230,
  [SMALL_STATE(15950)] = 774253,
  [SMALL_STATE(15951)] = 774274,
  [SMALL_STATE(15952)] = 774297,
  [SMALL_STATE(15953)] = 774320,
  [SMALL_STATE(15954)] = 774343,
  [SMALL_STATE(15955)] = 774364,
  [SMALL_STATE(15956)] = 774387,
  [SMALL_STATE(15957)] = 774408,
  [SMALL_STATE(15958)] = 774431,
  [SMALL_STATE(15959)] = 774454,
  [SMALL_STATE(15960)] = 774477,
  [SMALL_STATE(15961)] = 774500,
  [SMALL_STATE(15962)] = 774523,
  [SMALL_STATE(15963)] = 774546,
  [SMALL_STATE(15964)] = 774569,
  [SMALL_STATE(15965)] = 774592,
  [SMALL_STATE(15966)] = 774611,
  [SMALL_STATE(15967)] = 774634,
  [SMALL_STATE(15968)] = 774657,
  [SMALL_STATE(15969)] = 774680,
  [SMALL_STATE(15970)] = 774703,
  [SMALL_STATE(15971)] = 774726,
  [SMALL_STATE(15972)] = 774749,
  [SMALL_STATE(15973)] = 774772,
  [SMALL_STATE(15974)] = 774795,
  [SMALL_STATE(15975)] = 774818,
  [SMALL_STATE(15976)] = 774841,
  [SMALL_STATE(15977)] = 774864,
  [SMALL_STATE(15978)] = 774887,
  [SMALL_STATE(15979)] = 774910,
  [SMALL_STATE(15980)] = 774933,
  [SMALL_STATE(15981)] = 774956,
  [SMALL_STATE(15982)] = 774979,
  [SMALL_STATE(15983)] = 775002,
  [SMALL_STATE(15984)] = 775023,
  [SMALL_STATE(15985)] = 775046,
  [SMALL_STATE(15986)] = 775069,
  [SMALL_STATE(15987)] = 775092,
  [SMALL_STATE(15988)] = 775115,
  [SMALL_STATE(15989)] = 775138,
  [SMALL_STATE(15990)] = 775161,
  [SMALL_STATE(15991)] = 775184,
  [SMALL_STATE(15992)] = 775205,
  [SMALL_STATE(15993)] = 775228,
  [SMALL_STATE(15994)] = 775251,
  [SMALL_STATE(15995)] = 775274,
  [SMALL_STATE(15996)] = 775297,
  [SMALL_STATE(15997)] = 775320,
  [SMALL_STATE(15998)] = 775343,
  [SMALL_STATE(15999)] = 775366,
  [SMALL_STATE(16000)] = 775387,
  [SMALL_STATE(16001)] = 775410,
  [SMALL_STATE(16002)] = 775433,
  [SMALL_STATE(16003)] = 775456,
  [SMALL_STATE(16004)] = 775479,
  [SMALL_STATE(16005)] = 775502,
  [SMALL_STATE(16006)] = 775525,
  [SMALL_STATE(16007)] = 775548,
  [SMALL_STATE(16008)] = 775569,
  [SMALL_STATE(16009)] = 775592,
  [SMALL_STATE(16010)] = 775615,
  [SMALL_STATE(16011)] = 775638,
  [SMALL_STATE(16012)] = 775661,
  [SMALL_STATE(16013)] = 775684,
  [SMALL_STATE(16014)] = 775707,
  [SMALL_STATE(16015)] = 775730,
  [SMALL_STATE(16016)] = 775753,
  [SMALL_STATE(16017)] = 775776,
  [SMALL_STATE(16018)] = 775799,
  [SMALL_STATE(16019)] = 775822,
  [SMALL_STATE(16020)] = 775845,
  [SMALL_STATE(16021)] = 775868,
  [SMALL_STATE(16022)] = 775891,
  [SMALL_STATE(16023)] = 775914,
  [SMALL_STATE(16024)] = 775937,
  [SMALL_STATE(16025)] = 775960,
  [SMALL_STATE(16026)] = 775983,
  [SMALL_STATE(16027)] = 776006,
  [SMALL_STATE(16028)] = 776029,
  [SMALL_STATE(16029)] = 776052,
  [SMALL_STATE(16030)] = 776075,
  [SMALL_STATE(16031)] = 776098,
  [SMALL_STATE(16032)] = 776121,
  [SMALL_STATE(16033)] = 776144,
  [SMALL_STATE(16034)] = 776167,
  [SMALL_STATE(16035)] = 776190,
  [SMALL_STATE(16036)] = 776213,
  [SMALL_STATE(16037)] = 776236,
  [SMALL_STATE(16038)] = 776259,
  [SMALL_STATE(16039)] = 776282,
  [SMALL_STATE(16040)] = 776305,
  [SMALL_STATE(16041)] = 776328,
  [SMALL_STATE(16042)] = 776351,
  [SMALL_STATE(16043)] = 776374,
  [SMALL_STATE(16044)] = 776397,
  [SMALL_STATE(16045)] = 776420,
  [SMALL_STATE(16046)] = 776443,
  [SMALL_STATE(16047)] = 776466,
  [SMALL_STATE(16048)] = 776487,
  [SMALL_STATE(16049)] = 776508,
  [SMALL_STATE(16050)] = 776531,
  [SMALL_STATE(16051)] = 776554,
  [SMALL_STATE(16052)] = 776577,
  [SMALL_STATE(16053)] = 776600,
  [SMALL_STATE(16054)] = 776623,
  [SMALL_STATE(16055)] = 776646,
  [SMALL_STATE(16056)] = 776669,
  [SMALL_STATE(16057)] = 776692,
  [SMALL_STATE(16058)] = 776715,
  [SMALL_STATE(16059)] = 776738,
  [SMALL_STATE(16060)] = 776761,
  [SMALL_STATE(16061)] = 776784,
  [SMALL_STATE(16062)] = 776807,
  [SMALL_STATE(16063)] = 776830,
  [SMALL_STATE(16064)] = 776853,
  [SMALL_STATE(16065)] = 776876,
  [SMALL_STATE(16066)] = 776899,
  [SMALL_STATE(16067)] = 776922,
  [SMALL_STATE(16068)] = 776945,
  [SMALL_STATE(16069)] = 776968,
  [SMALL_STATE(16070)] = 776989,
  [SMALL_STATE(16071)] = 777012,
  [SMALL_STATE(16072)] = 777035,
  [SMALL_STATE(16073)] = 777058,
  [SMALL_STATE(16074)] = 777081,
  [SMALL_STATE(16075)] = 777104,
  [SMALL_STATE(16076)] = 777127,
  [SMALL_STATE(16077)] = 777150,
  [SMALL_STATE(16078)] = 777173,
  [SMALL_STATE(16079)] = 777196,
  [SMALL_STATE(16080)] = 777217,
  [SMALL_STATE(16081)] = 777240,
  [SMALL_STATE(16082)] = 777263,
  [SMALL_STATE(16083)] = 777286,
  [SMALL_STATE(16084)] = 777309,
  [SMALL_STATE(16085)] = 777332,
  [SMALL_STATE(16086)] = 777355,
  [SMALL_STATE(16087)] = 777378,
  [SMALL_STATE(16088)] = 777401,
  [SMALL_STATE(16089)] = 777424,
  [SMALL_STATE(16090)] = 777445,
  [SMALL_STATE(16091)] = 777468,
  [SMALL_STATE(16092)] = 777491,
  [SMALL_STATE(16093)] = 777514,
  [SMALL_STATE(16094)] = 777537,
  [SMALL_STATE(16095)] = 777560,
  [SMALL_STATE(16096)] = 777583,
  [SMALL_STATE(16097)] = 777606,
  [SMALL_STATE(16098)] = 777629,
  [SMALL_STATE(16099)] = 777650,
  [SMALL_STATE(16100)] = 777673,
  [SMALL_STATE(16101)] = 777696,
  [SMALL_STATE(16102)] = 777719,
  [SMALL_STATE(16103)] = 777742,
  [SMALL_STATE(16104)] = 777765,
  [SMALL_STATE(16105)] = 777784,
  [SMALL_STATE(16106)] = 777807,
  [SMALL_STATE(16107)] = 777830,
  [SMALL_STATE(16108)] = 777853,
  [SMALL_STATE(16109)] = 777876,
  [SMALL_STATE(16110)] = 777899,
  [SMALL_STATE(16111)] = 777922,
  [SMALL_STATE(16112)] = 777943,
  [SMALL_STATE(16113)] = 777966,
  [SMALL_STATE(16114)] = 777989,
  [SMALL_STATE(16115)] = 778012,
  [SMALL_STATE(16116)] = 778035,
  [SMALL_STATE(16117)] = 778058,
  [SMALL_STATE(16118)] = 778081,
  [SMALL_STATE(16119)] = 778100,
  [SMALL_STATE(16120)] = 778123,
  [SMALL_STATE(16121)] = 778146,
  [SMALL_STATE(16122)] = 778169,
  [SMALL_STATE(16123)] = 778192,
  [SMALL_STATE(16124)] = 778213,
  [SMALL_STATE(16125)] = 778236,
  [SMALL_STATE(16126)] = 778257,
  [SMALL_STATE(16127)] = 778280,
  [SMALL_STATE(16128)] = 778303,
  [SMALL_STATE(16129)] = 778326,
  [SMALL_STATE(16130)] = 778349,
  [SMALL_STATE(16131)] = 778372,
  [SMALL_STATE(16132)] = 778395,
  [SMALL_STATE(16133)] = 778418,
  [SMALL_STATE(16134)] = 778441,
  [SMALL_STATE(16135)] = 778464,
  [SMALL_STATE(16136)] = 778487,
  [SMALL_STATE(16137)] = 778510,
  [SMALL_STATE(16138)] = 778533,
  [SMALL_STATE(16139)] = 778556,
  [SMALL_STATE(16140)] = 778579,
  [SMALL_STATE(16141)] = 778600,
  [SMALL_STATE(16142)] = 778623,
  [SMALL_STATE(16143)] = 778646,
  [SMALL_STATE(16144)] = 778669,
  [SMALL_STATE(16145)] = 778692,
  [SMALL_STATE(16146)] = 778715,
  [SMALL_STATE(16147)] = 778738,
  [SMALL_STATE(16148)] = 778761,
  [SMALL_STATE(16149)] = 778784,
  [SMALL_STATE(16150)] = 778807,
  [SMALL_STATE(16151)] = 778830,
  [SMALL_STATE(16152)] = 778853,
  [SMALL_STATE(16153)] = 778876,
  [SMALL_STATE(16154)] = 778899,
  [SMALL_STATE(16155)] = 778922,
  [SMALL_STATE(16156)] = 778945,
  [SMALL_STATE(16157)] = 778968,
  [SMALL_STATE(16158)] = 778991,
  [SMALL_STATE(16159)] = 779014,
  [SMALL_STATE(16160)] = 779035,
  [SMALL_STATE(16161)] = 779058,
  [SMALL_STATE(16162)] = 779081,
  [SMALL_STATE(16163)] = 779104,
  [SMALL_STATE(16164)] = 779127,
  [SMALL_STATE(16165)] = 779150,
  [SMALL_STATE(16166)] = 779173,
  [SMALL_STATE(16167)] = 779196,
  [SMALL_STATE(16168)] = 779219,
  [SMALL_STATE(16169)] = 779242,
  [SMALL_STATE(16170)] = 779265,
  [SMALL_STATE(16171)] = 779288,
  [SMALL_STATE(16172)] = 779311,
  [SMALL_STATE(16173)] = 779332,
  [SMALL_STATE(16174)] = 779355,
  [SMALL_STATE(16175)] = 779378,
  [SMALL_STATE(16176)] = 779401,
  [SMALL_STATE(16177)] = 779424,
  [SMALL_STATE(16178)] = 779447,
  [SMALL_STATE(16179)] = 779470,
  [SMALL_STATE(16180)] = 779493,
  [SMALL_STATE(16181)] = 779516,
  [SMALL_STATE(16182)] = 779539,
  [SMALL_STATE(16183)] = 779558,
  [SMALL_STATE(16184)] = 779581,
  [SMALL_STATE(16185)] = 779604,
  [SMALL_STATE(16186)] = 779627,
  [SMALL_STATE(16187)] = 779650,
  [SMALL_STATE(16188)] = 779671,
  [SMALL_STATE(16189)] = 779694,
  [SMALL_STATE(16190)] = 779717,
  [SMALL_STATE(16191)] = 779740,
  [SMALL_STATE(16192)] = 779763,
  [SMALL_STATE(16193)] = 779786,
  [SMALL_STATE(16194)] = 779809,
  [SMALL_STATE(16195)] = 779832,
  [SMALL_STATE(16196)] = 779855,
  [SMALL_STATE(16197)] = 779878,
  [SMALL_STATE(16198)] = 779901,
  [SMALL_STATE(16199)] = 779922,
  [SMALL_STATE(16200)] = 779943,
  [SMALL_STATE(16201)] = 779966,
  [SMALL_STATE(16202)] = 779989,
  [SMALL_STATE(16203)] = 780010,
  [SMALL_STATE(16204)] = 780033,
  [SMALL_STATE(16205)] = 780054,
  [SMALL_STATE(16206)] = 780077,
  [SMALL_STATE(16207)] = 780100,
  [SMALL_STATE(16208)] = 780123,
  [SMALL_STATE(16209)] = 780146,
  [SMALL_STATE(16210)] = 780165,
  [SMALL_STATE(16211)] = 780188,
  [SMALL_STATE(16212)] = 780211,
  [SMALL_STATE(16213)] = 780234,
  [SMALL_STATE(16214)] = 780257,
  [SMALL_STATE(16215)] = 780278,
  [SMALL_STATE(16216)] = 780299,
  [SMALL_STATE(16217)] = 780322,
  [SMALL_STATE(16218)] = 780345,
  [SMALL_STATE(16219)] = 780368,
  [SMALL_STATE(16220)] = 780391,
  [SMALL_STATE(16221)] = 780414,
  [SMALL_STATE(16222)] = 780437,
  [SMALL_STATE(16223)] = 780460,
  [SMALL_STATE(16224)] = 780483,
  [SMALL_STATE(16225)] = 780506,
  [SMALL_STATE(16226)] = 780529,
  [SMALL_STATE(16227)] = 780552,
  [SMALL_STATE(16228)] = 780575,
  [SMALL_STATE(16229)] = 780598,
  [SMALL_STATE(16230)] = 780621,
  [SMALL_STATE(16231)] = 780644,
  [SMALL_STATE(16232)] = 780667,
  [SMALL_STATE(16233)] = 780690,
  [SMALL_STATE(16234)] = 780713,
  [SMALL_STATE(16235)] = 780734,
  [SMALL_STATE(16236)] = 780757,
  [SMALL_STATE(16237)] = 780780,
  [SMALL_STATE(16238)] = 780803,
  [SMALL_STATE(16239)] = 780826,
  [SMALL_STATE(16240)] = 780849,
  [SMALL_STATE(16241)] = 780872,
  [SMALL_STATE(16242)] = 780895,
  [SMALL_STATE(16243)] = 780918,
  [SMALL_STATE(16244)] = 780941,
  [SMALL_STATE(16245)] = 780964,
  [SMALL_STATE(16246)] = 780987,
  [SMALL_STATE(16247)] = 781010,
  [SMALL_STATE(16248)] = 781033,
  [SMALL_STATE(16249)] = 781056,
  [SMALL_STATE(16250)] = 781079,
  [SMALL_STATE(16251)] = 781098,
  [SMALL_STATE(16252)] = 781121,
  [SMALL_STATE(16253)] = 781144,
  [SMALL_STATE(16254)] = 781167,
  [SMALL_STATE(16255)] = 781190,
  [SMALL_STATE(16256)] = 781213,
  [SMALL_STATE(16257)] = 781236,
  [SMALL_STATE(16258)] = 781259,
  [SMALL_STATE(16259)] = 781282,
  [SMALL_STATE(16260)] = 781305,
  [SMALL_STATE(16261)] = 781328,
  [SMALL_STATE(16262)] = 781351,
  [SMALL_STATE(16263)] = 781374,
  [SMALL_STATE(16264)] = 781397,
  [SMALL_STATE(16265)] = 781420,
  [SMALL_STATE(16266)] = 781443,
  [SMALL_STATE(16267)] = 781466,
  [SMALL_STATE(16268)] = 781489,
  [SMALL_STATE(16269)] = 781512,
  [SMALL_STATE(16270)] = 781535,
  [SMALL_STATE(16271)] = 781558,
  [SMALL_STATE(16272)] = 781577,
  [SMALL_STATE(16273)] = 781600,
  [SMALL_STATE(16274)] = 781623,
  [SMALL_STATE(16275)] = 781646,
  [SMALL_STATE(16276)] = 781669,
  [SMALL_STATE(16277)] = 781692,
  [SMALL_STATE(16278)] = 781715,
  [SMALL_STATE(16279)] = 781738,
  [SMALL_STATE(16280)] = 781761,
  [SMALL_STATE(16281)] = 781784,
  [SMALL_STATE(16282)] = 781803,
  [SMALL_STATE(16283)] = 781826,
  [SMALL_STATE(16284)] = 781849,
  [SMALL_STATE(16285)] = 781872,
  [SMALL_STATE(16286)] = 781895,
  [SMALL_STATE(16287)] = 781918,
  [SMALL_STATE(16288)] = 781941,
  [SMALL_STATE(16289)] = 781964,
  [SMALL_STATE(16290)] = 781987,
  [SMALL_STATE(16291)] = 782010,
  [SMALL_STATE(16292)] = 782031,
  [SMALL_STATE(16293)] = 782054,
  [SMALL_STATE(16294)] = 782077,
  [SMALL_STATE(16295)] = 782100,
  [SMALL_STATE(16296)] = 782123,
  [SMALL_STATE(16297)] = 782146,
  [SMALL_STATE(16298)] = 782169,
  [SMALL_STATE(16299)] = 782192,
  [SMALL_STATE(16300)] = 782215,
  [SMALL_STATE(16301)] = 782238,
  [SMALL_STATE(16302)] = 782261,
  [SMALL_STATE(16303)] = 782284,
  [SMALL_STATE(16304)] = 782305,
  [SMALL_STATE(16305)] = 782328,
  [SMALL_STATE(16306)] = 782351,
  [SMALL_STATE(16307)] = 782374,
  [SMALL_STATE(16308)] = 782397,
  [SMALL_STATE(16309)] = 782420,
  [SMALL_STATE(16310)] = 782443,
  [SMALL_STATE(16311)] = 782466,
  [SMALL_STATE(16312)] = 782489,
  [SMALL_STATE(16313)] = 782512,
  [SMALL_STATE(16314)] = 782535,
  [SMALL_STATE(16315)] = 782558,
  [SMALL_STATE(16316)] = 782581,
  [SMALL_STATE(16317)] = 782604,
  [SMALL_STATE(16318)] = 782627,
  [SMALL_STATE(16319)] = 782650,
  [SMALL_STATE(16320)] = 782673,
  [SMALL_STATE(16321)] = 782696,
  [SMALL_STATE(16322)] = 782719,
  [SMALL_STATE(16323)] = 782742,
  [SMALL_STATE(16324)] = 782765,
  [SMALL_STATE(16325)] = 782788,
  [SMALL_STATE(16326)] = 782811,
  [SMALL_STATE(16327)] = 782834,
  [SMALL_STATE(16328)] = 782857,
  [SMALL_STATE(16329)] = 782880,
  [SMALL_STATE(16330)] = 782903,
  [SMALL_STATE(16331)] = 782924,
  [SMALL_STATE(16332)] = 782947,
  [SMALL_STATE(16333)] = 782970,
  [SMALL_STATE(16334)] = 782993,
  [SMALL_STATE(16335)] = 783016,
  [SMALL_STATE(16336)] = 783039,
  [SMALL_STATE(16337)] = 783062,
  [SMALL_STATE(16338)] = 783085,
  [SMALL_STATE(16339)] = 783108,
  [SMALL_STATE(16340)] = 783131,
  [SMALL_STATE(16341)] = 783152,
  [SMALL_STATE(16342)] = 783175,
  [SMALL_STATE(16343)] = 783198,
  [SMALL_STATE(16344)] = 783221,
  [SMALL_STATE(16345)] = 783244,
  [SMALL_STATE(16346)] = 783267,
  [SMALL_STATE(16347)] = 783290,
  [SMALL_STATE(16348)] = 783313,
  [SMALL_STATE(16349)] = 783336,
  [SMALL_STATE(16350)] = 783359,
  [SMALL_STATE(16351)] = 783380,
  [SMALL_STATE(16352)] = 783403,
  [SMALL_STATE(16353)] = 783426,
  [SMALL_STATE(16354)] = 783449,
  [SMALL_STATE(16355)] = 783472,
  [SMALL_STATE(16356)] = 783495,
  [SMALL_STATE(16357)] = 783518,
  [SMALL_STATE(16358)] = 783541,
  [SMALL_STATE(16359)] = 783564,
  [SMALL_STATE(16360)] = 783587,
  [SMALL_STATE(16361)] = 783610,
  [SMALL_STATE(16362)] = 783633,
  [SMALL_STATE(16363)] = 783656,
  [SMALL_STATE(16364)] = 783679,
  [SMALL_STATE(16365)] = 783702,
  [SMALL_STATE(16366)] = 783725,
  [SMALL_STATE(16367)] = 783748,
  [SMALL_STATE(16368)] = 783771,
  [SMALL_STATE(16369)] = 783794,
  [SMALL_STATE(16370)] = 783817,
  [SMALL_STATE(16371)] = 783840,
  [SMALL_STATE(16372)] = 783863,
  [SMALL_STATE(16373)] = 783886,
  [SMALL_STATE(16374)] = 783909,
  [SMALL_STATE(16375)] = 783932,
  [SMALL_STATE(16376)] = 783955,
  [SMALL_STATE(16377)] = 783978,
  [SMALL_STATE(16378)] = 784001,
  [SMALL_STATE(16379)] = 784024,
  [SMALL_STATE(16380)] = 784047,
  [SMALL_STATE(16381)] = 784070,
  [SMALL_STATE(16382)] = 784093,
  [SMALL_STATE(16383)] = 784116,
  [SMALL_STATE(16384)] = 784139,
  [SMALL_STATE(16385)] = 784162,
  [SMALL_STATE(16386)] = 784185,
  [SMALL_STATE(16387)] = 784208,
  [SMALL_STATE(16388)] = 784231,
  [SMALL_STATE(16389)] = 784254,
  [SMALL_STATE(16390)] = 784277,
  [SMALL_STATE(16391)] = 784300,
  [SMALL_STATE(16392)] = 784323,
  [SMALL_STATE(16393)] = 784346,
  [SMALL_STATE(16394)] = 784369,
  [SMALL_STATE(16395)] = 784392,
  [SMALL_STATE(16396)] = 784415,
  [SMALL_STATE(16397)] = 784438,
  [SMALL_STATE(16398)] = 784461,
  [SMALL_STATE(16399)] = 784484,
  [SMALL_STATE(16400)] = 784507,
  [SMALL_STATE(16401)] = 784530,
  [SMALL_STATE(16402)] = 784553,
  [SMALL_STATE(16403)] = 784576,
  [SMALL_STATE(16404)] = 784599,
  [SMALL_STATE(16405)] = 784622,
  [SMALL_STATE(16406)] = 784645,
  [SMALL_STATE(16407)] = 784668,
  [SMALL_STATE(16408)] = 784691,
  [SMALL_STATE(16409)] = 784710,
  [SMALL_STATE(16410)] = 784733,
  [SMALL_STATE(16411)] = 784752,
  [SMALL_STATE(16412)] = 784775,
  [SMALL_STATE(16413)] = 784798,
  [SMALL_STATE(16414)] = 784821,
  [SMALL_STATE(16415)] = 784844,
  [SMALL_STATE(16416)] = 784867,
  [SMALL_STATE(16417)] = 784890,
  [SMALL_STATE(16418)] = 784913,
  [SMALL_STATE(16419)] = 784932,
  [SMALL_STATE(16420)] = 784955,
  [SMALL_STATE(16421)] = 784978,
  [SMALL_STATE(16422)] = 785001,
  [SMALL_STATE(16423)] = 785024,
  [SMALL_STATE(16424)] = 785047,
  [SMALL_STATE(16425)] = 785068,
  [SMALL_STATE(16426)] = 785091,
  [SMALL_STATE(16427)] = 785114,
  [SMALL_STATE(16428)] = 785137,
  [SMALL_STATE(16429)] = 785160,
  [SMALL_STATE(16430)] = 785183,
  [SMALL_STATE(16431)] = 785206,
  [SMALL_STATE(16432)] = 785229,
  [SMALL_STATE(16433)] = 785252,
  [SMALL_STATE(16434)] = 785275,
  [SMALL_STATE(16435)] = 785298,
  [SMALL_STATE(16436)] = 785321,
  [SMALL_STATE(16437)] = 785344,
  [SMALL_STATE(16438)] = 785367,
  [SMALL_STATE(16439)] = 785390,
  [SMALL_STATE(16440)] = 785413,
  [SMALL_STATE(16441)] = 785436,
  [SMALL_STATE(16442)] = 785459,
  [SMALL_STATE(16443)] = 785478,
  [SMALL_STATE(16444)] = 785501,
  [SMALL_STATE(16445)] = 785524,
  [SMALL_STATE(16446)] = 785547,
  [SMALL_STATE(16447)] = 785570,
  [SMALL_STATE(16448)] = 785593,
  [SMALL_STATE(16449)] = 785616,
  [SMALL_STATE(16450)] = 785639,
  [SMALL_STATE(16451)] = 785662,
  [SMALL_STATE(16452)] = 785685,
  [SMALL_STATE(16453)] = 785708,
  [SMALL_STATE(16454)] = 785731,
  [SMALL_STATE(16455)] = 785754,
  [SMALL_STATE(16456)] = 785777,
  [SMALL_STATE(16457)] = 785800,
  [SMALL_STATE(16458)] = 785823,
  [SMALL_STATE(16459)] = 785846,
  [SMALL_STATE(16460)] = 785869,
  [SMALL_STATE(16461)] = 785892,
  [SMALL_STATE(16462)] = 785915,
  [SMALL_STATE(16463)] = 785938,
  [SMALL_STATE(16464)] = 785961,
  [SMALL_STATE(16465)] = 785984,
  [SMALL_STATE(16466)] = 786007,
  [SMALL_STATE(16467)] = 786030,
  [SMALL_STATE(16468)] = 786053,
  [SMALL_STATE(16469)] = 786076,
  [SMALL_STATE(16470)] = 786099,
  [SMALL_STATE(16471)] = 786122,
  [SMALL_STATE(16472)] = 786145,
  [SMALL_STATE(16473)] = 786168,
  [SMALL_STATE(16474)] = 786191,
  [SMALL_STATE(16475)] = 786214,
  [SMALL_STATE(16476)] = 786237,
  [SMALL_STATE(16477)] = 786260,
  [SMALL_STATE(16478)] = 786283,
  [SMALL_STATE(16479)] = 786306,
  [SMALL_STATE(16480)] = 786329,
  [SMALL_STATE(16481)] = 786352,
  [SMALL_STATE(16482)] = 786375,
  [SMALL_STATE(16483)] = 786398,
  [SMALL_STATE(16484)] = 786421,
  [SMALL_STATE(16485)] = 786444,
  [SMALL_STATE(16486)] = 786467,
  [SMALL_STATE(16487)] = 786490,
  [SMALL_STATE(16488)] = 786513,
  [SMALL_STATE(16489)] = 786536,
  [SMALL_STATE(16490)] = 786559,
  [SMALL_STATE(16491)] = 786582,
  [SMALL_STATE(16492)] = 786605,
  [SMALL_STATE(16493)] = 786626,
  [SMALL_STATE(16494)] = 786649,
  [SMALL_STATE(16495)] = 786672,
  [SMALL_STATE(16496)] = 786695,
  [SMALL_STATE(16497)] = 786718,
  [SMALL_STATE(16498)] = 786741,
  [SMALL_STATE(16499)] = 786764,
  [SMALL_STATE(16500)] = 786787,
  [SMALL_STATE(16501)] = 786810,
  [SMALL_STATE(16502)] = 786833,
  [SMALL_STATE(16503)] = 786854,
  [SMALL_STATE(16504)] = 786877,
  [SMALL_STATE(16505)] = 786900,
  [SMALL_STATE(16506)] = 786921,
  [SMALL_STATE(16507)] = 786944,
  [SMALL_STATE(16508)] = 786967,
  [SMALL_STATE(16509)] = 786988,
  [SMALL_STATE(16510)] = 787011,
  [SMALL_STATE(16511)] = 787034,
  [SMALL_STATE(16512)] = 787055,
  [SMALL_STATE(16513)] = 787078,
  [SMALL_STATE(16514)] = 787101,
  [SMALL_STATE(16515)] = 787122,
  [SMALL_STATE(16516)] = 787143,
  [SMALL_STATE(16517)] = 787166,
  [SMALL_STATE(16518)] = 787187,
  [SMALL_STATE(16519)] = 787210,
  [SMALL_STATE(16520)] = 787231,
  [SMALL_STATE(16521)] = 787254,
  [SMALL_STATE(16522)] = 787275,
  [SMALL_STATE(16523)] = 787298,
  [SMALL_STATE(16524)] = 787321,
  [SMALL_STATE(16525)] = 787341,
  [SMALL_STATE(16526)] = 787361,
  [SMALL_STATE(16527)] = 787381,
  [SMALL_STATE(16528)] = 787401,
  [SMALL_STATE(16529)] = 787419,
  [SMALL_STATE(16530)] = 787439,
  [SMALL_STATE(16531)] = 787457,
  [SMALL_STATE(16532)] = 787477,
  [SMALL_STATE(16533)] = 787497,
  [SMALL_STATE(16534)] = 787517,
  [SMALL_STATE(16535)] = 787537,
  [SMALL_STATE(16536)] = 787557,
  [SMALL_STATE(16537)] = 787577,
  [SMALL_STATE(16538)] = 787597,
  [SMALL_STATE(16539)] = 787617,
  [SMALL_STATE(16540)] = 787635,
  [SMALL_STATE(16541)] = 787655,
  [SMALL_STATE(16542)] = 787675,
  [SMALL_STATE(16543)] = 787695,
  [SMALL_STATE(16544)] = 787715,
  [SMALL_STATE(16545)] = 787735,
  [SMALL_STATE(16546)] = 787755,
  [SMALL_STATE(16547)] = 787773,
  [SMALL_STATE(16548)] = 787793,
  [SMALL_STATE(16549)] = 787813,
  [SMALL_STATE(16550)] = 787833,
  [SMALL_STATE(16551)] = 787853,
  [SMALL_STATE(16552)] = 787871,
  [SMALL_STATE(16553)] = 787891,
  [SMALL_STATE(16554)] = 787911,
  [SMALL_STATE(16555)] = 787927,
  [SMALL_STATE(16556)] = 787947,
  [SMALL_STATE(16557)] = 787967,
  [SMALL_STATE(16558)] = 787987,
  [SMALL_STATE(16559)] = 788007,
  [SMALL_STATE(16560)] = 788027,
  [SMALL_STATE(16561)] = 788047,
  [SMALL_STATE(16562)] = 788067,
  [SMALL_STATE(16563)] = 788087,
  [SMALL_STATE(16564)] = 788107,
  [SMALL_STATE(16565)] = 788127,
  [SMALL_STATE(16566)] = 788147,
  [SMALL_STATE(16567)] = 788167,
  [SMALL_STATE(16568)] = 788187,
  [SMALL_STATE(16569)] = 788207,
  [SMALL_STATE(16570)] = 788227,
  [SMALL_STATE(16571)] = 788247,
  [SMALL_STATE(16572)] = 788267,
  [SMALL_STATE(16573)] = 788287,
  [SMALL_STATE(16574)] = 788307,
  [SMALL_STATE(16575)] = 788327,
  [SMALL_STATE(16576)] = 788347,
  [SMALL_STATE(16577)] = 788367,
  [SMALL_STATE(16578)] = 788387,
  [SMALL_STATE(16579)] = 788407,
  [SMALL_STATE(16580)] = 788427,
  [SMALL_STATE(16581)] = 788447,
  [SMALL_STATE(16582)] = 788467,
  [SMALL_STATE(16583)] = 788487,
  [SMALL_STATE(16584)] = 788507,
  [SMALL_STATE(16585)] = 788527,
  [SMALL_STATE(16586)] = 788547,
  [SMALL_STATE(16587)] = 788567,
  [SMALL_STATE(16588)] = 788587,
  [SMALL_STATE(16589)] = 788607,
  [SMALL_STATE(16590)] = 788627,
  [SMALL_STATE(16591)] = 788647,
  [SMALL_STATE(16592)] = 788667,
  [SMALL_STATE(16593)] = 788687,
  [SMALL_STATE(16594)] = 788707,
  [SMALL_STATE(16595)] = 788727,
  [SMALL_STATE(16596)] = 788747,
  [SMALL_STATE(16597)] = 788767,
  [SMALL_STATE(16598)] = 788787,
  [SMALL_STATE(16599)] = 788807,
  [SMALL_STATE(16600)] = 788827,
  [SMALL_STATE(16601)] = 788847,
  [SMALL_STATE(16602)] = 788867,
  [SMALL_STATE(16603)] = 788887,
  [SMALL_STATE(16604)] = 788907,
  [SMALL_STATE(16605)] = 788927,
  [SMALL_STATE(16606)] = 788947,
  [SMALL_STATE(16607)] = 788967,
  [SMALL_STATE(16608)] = 788987,
  [SMALL_STATE(16609)] = 789007,
  [SMALL_STATE(16610)] = 789027,
  [SMALL_STATE(16611)] = 789047,
  [SMALL_STATE(16612)] = 789067,
  [SMALL_STATE(16613)] = 789087,
  [SMALL_STATE(16614)] = 789107,
  [SMALL_STATE(16615)] = 789127,
  [SMALL_STATE(16616)] = 789147,
  [SMALL_STATE(16617)] = 789167,
  [SMALL_STATE(16618)] = 789187,
  [SMALL_STATE(16619)] = 789207,
  [SMALL_STATE(16620)] = 789227,
  [SMALL_STATE(16621)] = 789247,
  [SMALL_STATE(16622)] = 789267,
  [SMALL_STATE(16623)] = 789287,
  [SMALL_STATE(16624)] = 789307,
  [SMALL_STATE(16625)] = 789327,
  [SMALL_STATE(16626)] = 789347,
  [SMALL_STATE(16627)] = 789367,
  [SMALL_STATE(16628)] = 789387,
  [SMALL_STATE(16629)] = 789407,
  [SMALL_STATE(16630)] = 789427,
  [SMALL_STATE(16631)] = 789447,
  [SMALL_STATE(16632)] = 789467,
  [SMALL_STATE(16633)] = 789487,
  [SMALL_STATE(16634)] = 789507,
  [SMALL_STATE(16635)] = 789527,
  [SMALL_STATE(16636)] = 789547,
  [SMALL_STATE(16637)] = 789567,
  [SMALL_STATE(16638)] = 789587,
  [SMALL_STATE(16639)] = 789607,
  [SMALL_STATE(16640)] = 789627,
  [SMALL_STATE(16641)] = 789647,
  [SMALL_STATE(16642)] = 789667,
  [SMALL_STATE(16643)] = 789687,
  [SMALL_STATE(16644)] = 789707,
  [SMALL_STATE(16645)] = 789727,
  [SMALL_STATE(16646)] = 789747,
  [SMALL_STATE(16647)] = 789767,
  [SMALL_STATE(16648)] = 789787,
  [SMALL_STATE(16649)] = 789807,
  [SMALL_STATE(16650)] = 789827,
  [SMALL_STATE(16651)] = 789847,
  [SMALL_STATE(16652)] = 789867,
  [SMALL_STATE(16653)] = 789887,
  [SMALL_STATE(16654)] = 789907,
  [SMALL_STATE(16655)] = 789927,
  [SMALL_STATE(16656)] = 789947,
  [SMALL_STATE(16657)] = 789967,
  [SMALL_STATE(16658)] = 789987,
  [SMALL_STATE(16659)] = 790007,
  [SMALL_STATE(16660)] = 790027,
  [SMALL_STATE(16661)] = 790045,
  [SMALL_STATE(16662)] = 790065,
  [SMALL_STATE(16663)] = 790085,
  [SMALL_STATE(16664)] = 790105,
  [SMALL_STATE(16665)] = 790125,
  [SMALL_STATE(16666)] = 790145,
  [SMALL_STATE(16667)] = 790163,
  [SMALL_STATE(16668)] = 790183,
  [SMALL_STATE(16669)] = 790203,
  [SMALL_STATE(16670)] = 790223,
  [SMALL_STATE(16671)] = 790241,
  [SMALL_STATE(16672)] = 790261,
  [SMALL_STATE(16673)] = 790279,
  [SMALL_STATE(16674)] = 790299,
  [SMALL_STATE(16675)] = 790319,
  [SMALL_STATE(16676)] = 790339,
  [SMALL_STATE(16677)] = 790359,
  [SMALL_STATE(16678)] = 790379,
  [SMALL_STATE(16679)] = 790399,
  [SMALL_STATE(16680)] = 790417,
  [SMALL_STATE(16681)] = 790437,
  [SMALL_STATE(16682)] = 790457,
  [SMALL_STATE(16683)] = 790477,
  [SMALL_STATE(16684)] = 790497,
  [SMALL_STATE(16685)] = 790517,
  [SMALL_STATE(16686)] = 790537,
  [SMALL_STATE(16687)] = 790557,
  [SMALL_STATE(16688)] = 790577,
  [SMALL_STATE(16689)] = 790597,
  [SMALL_STATE(16690)] = 790617,
  [SMALL_STATE(16691)] = 790637,
  [SMALL_STATE(16692)] = 790657,
  [SMALL_STATE(16693)] = 790677,
  [SMALL_STATE(16694)] = 790697,
  [SMALL_STATE(16695)] = 790717,
  [SMALL_STATE(16696)] = 790737,
  [SMALL_STATE(16697)] = 790755,
  [SMALL_STATE(16698)] = 790775,
  [SMALL_STATE(16699)] = 790795,
  [SMALL_STATE(16700)] = 790813,
  [SMALL_STATE(16701)] = 790833,
  [SMALL_STATE(16702)] = 790853,
  [SMALL_STATE(16703)] = 790873,
  [SMALL_STATE(16704)] = 790893,
  [SMALL_STATE(16705)] = 790913,
  [SMALL_STATE(16706)] = 790933,
  [SMALL_STATE(16707)] = 790953,
  [SMALL_STATE(16708)] = 790973,
  [SMALL_STATE(16709)] = 790993,
  [SMALL_STATE(16710)] = 791013,
  [SMALL_STATE(16711)] = 791033,
  [SMALL_STATE(16712)] = 791053,
  [SMALL_STATE(16713)] = 791073,
  [SMALL_STATE(16714)] = 791093,
  [SMALL_STATE(16715)] = 791113,
  [SMALL_STATE(16716)] = 791133,
  [SMALL_STATE(16717)] = 791153,
  [SMALL_STATE(16718)] = 791173,
  [SMALL_STATE(16719)] = 791193,
  [SMALL_STATE(16720)] = 791213,
  [SMALL_STATE(16721)] = 791231,
  [SMALL_STATE(16722)] = 791251,
  [SMALL_STATE(16723)] = 791271,
  [SMALL_STATE(16724)] = 791291,
  [SMALL_STATE(16725)] = 791311,
  [SMALL_STATE(16726)] = 791329,
  [SMALL_STATE(16727)] = 791349,
  [SMALL_STATE(16728)] = 791369,
  [SMALL_STATE(16729)] = 791387,
  [SMALL_STATE(16730)] = 791407,
  [SMALL_STATE(16731)] = 791427,
  [SMALL_STATE(16732)] = 791447,
  [SMALL_STATE(16733)] = 791467,
  [SMALL_STATE(16734)] = 791487,
  [SMALL_STATE(16735)] = 791507,
  [SMALL_STATE(16736)] = 791525,
  [SMALL_STATE(16737)] = 791545,
  [SMALL_STATE(16738)] = 791565,
  [SMALL_STATE(16739)] = 791585,
  [SMALL_STATE(16740)] = 791605,
  [SMALL_STATE(16741)] = 791625,
  [SMALL_STATE(16742)] = 791645,
  [SMALL_STATE(16743)] = 791665,
  [SMALL_STATE(16744)] = 791685,
  [SMALL_STATE(16745)] = 791705,
  [SMALL_STATE(16746)] = 791725,
  [SMALL_STATE(16747)] = 791745,
  [SMALL_STATE(16748)] = 791765,
  [SMALL_STATE(16749)] = 791785,
  [SMALL_STATE(16750)] = 791805,
  [SMALL_STATE(16751)] = 791825,
  [SMALL_STATE(16752)] = 791845,
  [SMALL_STATE(16753)] = 791865,
  [SMALL_STATE(16754)] = 791885,
  [SMALL_STATE(16755)] = 791905,
  [SMALL_STATE(16756)] = 791925,
  [SMALL_STATE(16757)] = 791945,
  [SMALL_STATE(16758)] = 791965,
  [SMALL_STATE(16759)] = 791985,
  [SMALL_STATE(16760)] = 792005,
  [SMALL_STATE(16761)] = 792025,
  [SMALL_STATE(16762)] = 792045,
  [SMALL_STATE(16763)] = 792065,
  [SMALL_STATE(16764)] = 792085,
  [SMALL_STATE(16765)] = 792105,
  [SMALL_STATE(16766)] = 792125,
  [SMALL_STATE(16767)] = 792143,
  [SMALL_STATE(16768)] = 792163,
  [SMALL_STATE(16769)] = 792181,
  [SMALL_STATE(16770)] = 792201,
  [SMALL_STATE(16771)] = 792221,
  [SMALL_STATE(16772)] = 792241,
  [SMALL_STATE(16773)] = 792261,
  [SMALL_STATE(16774)] = 792281,
  [SMALL_STATE(16775)] = 792301,
  [SMALL_STATE(16776)] = 792321,
  [SMALL_STATE(16777)] = 792341,
  [SMALL_STATE(16778)] = 792361,
  [SMALL_STATE(16779)] = 792381,
  [SMALL_STATE(16780)] = 792401,
  [SMALL_STATE(16781)] = 792419,
  [SMALL_STATE(16782)] = 792439,
  [SMALL_STATE(16783)] = 792459,
  [SMALL_STATE(16784)] = 792479,
  [SMALL_STATE(16785)] = 792499,
  [SMALL_STATE(16786)] = 792519,
  [SMALL_STATE(16787)] = 792539,
  [SMALL_STATE(16788)] = 792557,
  [SMALL_STATE(16789)] = 792577,
  [SMALL_STATE(16790)] = 792597,
  [SMALL_STATE(16791)] = 792617,
  [SMALL_STATE(16792)] = 792637,
  [SMALL_STATE(16793)] = 792657,
  [SMALL_STATE(16794)] = 792677,
  [SMALL_STATE(16795)] = 792697,
  [SMALL_STATE(16796)] = 792717,
  [SMALL_STATE(16797)] = 792737,
  [SMALL_STATE(16798)] = 792757,
  [SMALL_STATE(16799)] = 792777,
  [SMALL_STATE(16800)] = 792797,
  [SMALL_STATE(16801)] = 792817,
  [SMALL_STATE(16802)] = 792837,
  [SMALL_STATE(16803)] = 792857,
  [SMALL_STATE(16804)] = 792877,
  [SMALL_STATE(16805)] = 792897,
  [SMALL_STATE(16806)] = 792917,
  [SMALL_STATE(16807)] = 792937,
  [SMALL_STATE(16808)] = 792955,
  [SMALL_STATE(16809)] = 792975,
  [SMALL_STATE(16810)] = 792995,
  [SMALL_STATE(16811)] = 793013,
  [SMALL_STATE(16812)] = 793033,
  [SMALL_STATE(16813)] = 793051,
  [SMALL_STATE(16814)] = 793069,
  [SMALL_STATE(16815)] = 793089,
  [SMALL_STATE(16816)] = 793109,
  [SMALL_STATE(16817)] = 793129,
  [SMALL_STATE(16818)] = 793149,
  [SMALL_STATE(16819)] = 793169,
  [SMALL_STATE(16820)] = 793189,
  [SMALL_STATE(16821)] = 793207,
  [SMALL_STATE(16822)] = 793227,
  [SMALL_STATE(16823)] = 793247,
  [SMALL_STATE(16824)] = 793267,
  [SMALL_STATE(16825)] = 793287,
  [SMALL_STATE(16826)] = 793307,
  [SMALL_STATE(16827)] = 793327,
  [SMALL_STATE(16828)] = 793347,
  [SMALL_STATE(16829)] = 793367,
  [SMALL_STATE(16830)] = 793387,
  [SMALL_STATE(16831)] = 793407,
  [SMALL_STATE(16832)] = 793425,
  [SMALL_STATE(16833)] = 793445,
  [SMALL_STATE(16834)] = 793465,
  [SMALL_STATE(16835)] = 793485,
  [SMALL_STATE(16836)] = 793505,
  [SMALL_STATE(16837)] = 793525,
  [SMALL_STATE(16838)] = 793545,
  [SMALL_STATE(16839)] = 793565,
  [SMALL_STATE(16840)] = 793585,
  [SMALL_STATE(16841)] = 793605,
  [SMALL_STATE(16842)] = 793625,
  [SMALL_STATE(16843)] = 793645,
  [SMALL_STATE(16844)] = 793665,
  [SMALL_STATE(16845)] = 793685,
  [SMALL_STATE(16846)] = 793705,
  [SMALL_STATE(16847)] = 793725,
  [SMALL_STATE(16848)] = 793741,
  [SMALL_STATE(16849)] = 793761,
  [SMALL_STATE(16850)] = 793781,
  [SMALL_STATE(16851)] = 793801,
  [SMALL_STATE(16852)] = 793821,
  [SMALL_STATE(16853)] = 793841,
  [SMALL_STATE(16854)] = 793861,
  [SMALL_STATE(16855)] = 793881,
  [SMALL_STATE(16856)] = 793901,
  [SMALL_STATE(16857)] = 793919,
  [SMALL_STATE(16858)] = 793939,
  [SMALL_STATE(16859)] = 793959,
  [SMALL_STATE(16860)] = 793979,
  [SMALL_STATE(16861)] = 793999,
  [SMALL_STATE(16862)] = 794019,
  [SMALL_STATE(16863)] = 794039,
  [SMALL_STATE(16864)] = 794059,
  [SMALL_STATE(16865)] = 794077,
  [SMALL_STATE(16866)] = 794097,
  [SMALL_STATE(16867)] = 794117,
  [SMALL_STATE(16868)] = 794137,
  [SMALL_STATE(16869)] = 794157,
  [SMALL_STATE(16870)] = 794177,
  [SMALL_STATE(16871)] = 794197,
  [SMALL_STATE(16872)] = 794217,
  [SMALL_STATE(16873)] = 794237,
  [SMALL_STATE(16874)] = 794257,
  [SMALL_STATE(16875)] = 794277,
  [SMALL_STATE(16876)] = 794297,
  [SMALL_STATE(16877)] = 794317,
  [SMALL_STATE(16878)] = 794335,
  [SMALL_STATE(16879)] = 794355,
  [SMALL_STATE(16880)] = 794375,
  [SMALL_STATE(16881)] = 794395,
  [SMALL_STATE(16882)] = 794415,
  [SMALL_STATE(16883)] = 794435,
  [SMALL_STATE(16884)] = 794455,
  [SMALL_STATE(16885)] = 794475,
  [SMALL_STATE(16886)] = 794495,
  [SMALL_STATE(16887)] = 794515,
  [SMALL_STATE(16888)] = 794535,
  [SMALL_STATE(16889)] = 794555,
  [SMALL_STATE(16890)] = 794575,
  [SMALL_STATE(16891)] = 794595,
  [SMALL_STATE(16892)] = 794615,
  [SMALL_STATE(16893)] = 794635,
  [SMALL_STATE(16894)] = 794655,
  [SMALL_STATE(16895)] = 794675,
  [SMALL_STATE(16896)] = 794695,
  [SMALL_STATE(16897)] = 794715,
  [SMALL_STATE(16898)] = 794735,
  [SMALL_STATE(16899)] = 794755,
  [SMALL_STATE(16900)] = 794775,
  [SMALL_STATE(16901)] = 794795,
  [SMALL_STATE(16902)] = 794815,
  [SMALL_STATE(16903)] = 794835,
  [SMALL_STATE(16904)] = 794855,
  [SMALL_STATE(16905)] = 794875,
  [SMALL_STATE(16906)] = 794895,
  [SMALL_STATE(16907)] = 794915,
  [SMALL_STATE(16908)] = 794935,
  [SMALL_STATE(16909)] = 794955,
  [SMALL_STATE(16910)] = 794975,
  [SMALL_STATE(16911)] = 794995,
  [SMALL_STATE(16912)] = 795015,
  [SMALL_STATE(16913)] = 795035,
  [SMALL_STATE(16914)] = 795055,
  [SMALL_STATE(16915)] = 795075,
  [SMALL_STATE(16916)] = 795095,
  [SMALL_STATE(16917)] = 795115,
  [SMALL_STATE(16918)] = 795135,
  [SMALL_STATE(16919)] = 795155,
  [SMALL_STATE(16920)] = 795175,
  [SMALL_STATE(16921)] = 795195,
  [SMALL_STATE(16922)] = 795213,
  [SMALL_STATE(16923)] = 795233,
  [SMALL_STATE(16924)] = 795253,
  [SMALL_STATE(16925)] = 795273,
  [SMALL_STATE(16926)] = 795293,
  [SMALL_STATE(16927)] = 795313,
  [SMALL_STATE(16928)] = 795333,
  [SMALL_STATE(16929)] = 795353,
  [SMALL_STATE(16930)] = 795373,
  [SMALL_STATE(16931)] = 795393,
  [SMALL_STATE(16932)] = 795413,
  [SMALL_STATE(16933)] = 795433,
  [SMALL_STATE(16934)] = 795453,
  [SMALL_STATE(16935)] = 795473,
  [SMALL_STATE(16936)] = 795493,
  [SMALL_STATE(16937)] = 795513,
  [SMALL_STATE(16938)] = 795533,
  [SMALL_STATE(16939)] = 795553,
  [SMALL_STATE(16940)] = 795573,
  [SMALL_STATE(16941)] = 795593,
  [SMALL_STATE(16942)] = 795613,
  [SMALL_STATE(16943)] = 795633,
  [SMALL_STATE(16944)] = 795653,
  [SMALL_STATE(16945)] = 795671,
  [SMALL_STATE(16946)] = 795689,
  [SMALL_STATE(16947)] = 795709,
  [SMALL_STATE(16948)] = 795729,
  [SMALL_STATE(16949)] = 795749,
  [SMALL_STATE(16950)] = 795769,
  [SMALL_STATE(16951)] = 795789,
  [SMALL_STATE(16952)] = 795809,
  [SMALL_STATE(16953)] = 795829,
  [SMALL_STATE(16954)] = 795847,
  [SMALL_STATE(16955)] = 795867,
  [SMALL_STATE(16956)] = 795887,
  [SMALL_STATE(16957)] = 795905,
  [SMALL_STATE(16958)] = 795925,
  [SMALL_STATE(16959)] = 795943,
  [SMALL_STATE(16960)] = 795963,
  [SMALL_STATE(16961)] = 795983,
  [SMALL_STATE(16962)] = 796003,
  [SMALL_STATE(16963)] = 796023,
  [SMALL_STATE(16964)] = 796043,
  [SMALL_STATE(16965)] = 796063,
  [SMALL_STATE(16966)] = 796083,
  [SMALL_STATE(16967)] = 796103,
  [SMALL_STATE(16968)] = 796123,
  [SMALL_STATE(16969)] = 796143,
  [SMALL_STATE(16970)] = 796163,
  [SMALL_STATE(16971)] = 796183,
  [SMALL_STATE(16972)] = 796203,
  [SMALL_STATE(16973)] = 796223,
  [SMALL_STATE(16974)] = 796243,
  [SMALL_STATE(16975)] = 796263,
  [SMALL_STATE(16976)] = 796283,
  [SMALL_STATE(16977)] = 796303,
  [SMALL_STATE(16978)] = 796323,
  [SMALL_STATE(16979)] = 796343,
  [SMALL_STATE(16980)] = 796363,
  [SMALL_STATE(16981)] = 796383,
  [SMALL_STATE(16982)] = 796403,
  [SMALL_STATE(16983)] = 796423,
  [SMALL_STATE(16984)] = 796441,
  [SMALL_STATE(16985)] = 796461,
  [SMALL_STATE(16986)] = 796481,
  [SMALL_STATE(16987)] = 796501,
  [SMALL_STATE(16988)] = 796521,
  [SMALL_STATE(16989)] = 796537,
  [SMALL_STATE(16990)] = 796557,
  [SMALL_STATE(16991)] = 796577,
  [SMALL_STATE(16992)] = 796597,
  [SMALL_STATE(16993)] = 796617,
  [SMALL_STATE(16994)] = 796637,
  [SMALL_STATE(16995)] = 796657,
  [SMALL_STATE(16996)] = 796677,
  [SMALL_STATE(16997)] = 796697,
  [SMALL_STATE(16998)] = 796717,
  [SMALL_STATE(16999)] = 796737,
  [SMALL_STATE(17000)] = 796757,
  [SMALL_STATE(17001)] = 796777,
  [SMALL_STATE(17002)] = 796797,
  [SMALL_STATE(17003)] = 796817,
  [SMALL_STATE(17004)] = 796837,
  [SMALL_STATE(17005)] = 796857,
  [SMALL_STATE(17006)] = 796875,
  [SMALL_STATE(17007)] = 796895,
  [SMALL_STATE(17008)] = 796915,
  [SMALL_STATE(17009)] = 796935,
  [SMALL_STATE(17010)] = 796955,
  [SMALL_STATE(17011)] = 796975,
  [SMALL_STATE(17012)] = 796995,
  [SMALL_STATE(17013)] = 797015,
  [SMALL_STATE(17014)] = 797035,
  [SMALL_STATE(17015)] = 797055,
  [SMALL_STATE(17016)] = 797073,
  [SMALL_STATE(17017)] = 797093,
  [SMALL_STATE(17018)] = 797113,
  [SMALL_STATE(17019)] = 797133,
  [SMALL_STATE(17020)] = 797153,
  [SMALL_STATE(17021)] = 797173,
  [SMALL_STATE(17022)] = 797193,
  [SMALL_STATE(17023)] = 797213,
  [SMALL_STATE(17024)] = 797233,
  [SMALL_STATE(17025)] = 797253,
  [SMALL_STATE(17026)] = 797273,
  [SMALL_STATE(17027)] = 797293,
  [SMALL_STATE(17028)] = 797313,
  [SMALL_STATE(17029)] = 797333,
  [SMALL_STATE(17030)] = 797353,
  [SMALL_STATE(17031)] = 797373,
  [SMALL_STATE(17032)] = 797393,
  [SMALL_STATE(17033)] = 797413,
  [SMALL_STATE(17034)] = 797433,
  [SMALL_STATE(17035)] = 797453,
  [SMALL_STATE(17036)] = 797473,
  [SMALL_STATE(17037)] = 797493,
  [SMALL_STATE(17038)] = 797513,
  [SMALL_STATE(17039)] = 797533,
  [SMALL_STATE(17040)] = 797553,
  [SMALL_STATE(17041)] = 797571,
  [SMALL_STATE(17042)] = 797589,
  [SMALL_STATE(17043)] = 797609,
  [SMALL_STATE(17044)] = 797629,
  [SMALL_STATE(17045)] = 797649,
  [SMALL_STATE(17046)] = 797669,
  [SMALL_STATE(17047)] = 797689,
  [SMALL_STATE(17048)] = 797709,
  [SMALL_STATE(17049)] = 797729,
  [SMALL_STATE(17050)] = 797749,
  [SMALL_STATE(17051)] = 797769,
  [SMALL_STATE(17052)] = 797789,
  [SMALL_STATE(17053)] = 797809,
  [SMALL_STATE(17054)] = 797829,
  [SMALL_STATE(17055)] = 797849,
  [SMALL_STATE(17056)] = 797869,
  [SMALL_STATE(17057)] = 797889,
  [SMALL_STATE(17058)] = 797909,
  [SMALL_STATE(17059)] = 797929,
  [SMALL_STATE(17060)] = 797949,
  [SMALL_STATE(17061)] = 797967,
  [SMALL_STATE(17062)] = 797983,
  [SMALL_STATE(17063)] = 797999,
  [SMALL_STATE(17064)] = 798019,
  [SMALL_STATE(17065)] = 798039,
  [SMALL_STATE(17066)] = 798059,
  [SMALL_STATE(17067)] = 798079,
  [SMALL_STATE(17068)] = 798099,
  [SMALL_STATE(17069)] = 798119,
  [SMALL_STATE(17070)] = 798139,
  [SMALL_STATE(17071)] = 798157,
  [SMALL_STATE(17072)] = 798177,
  [SMALL_STATE(17073)] = 798197,
  [SMALL_STATE(17074)] = 798217,
  [SMALL_STATE(17075)] = 798237,
  [SMALL_STATE(17076)] = 798257,
  [SMALL_STATE(17077)] = 798277,
  [SMALL_STATE(17078)] = 798297,
  [SMALL_STATE(17079)] = 798317,
  [SMALL_STATE(17080)] = 798337,
  [SMALL_STATE(17081)] = 798357,
  [SMALL_STATE(17082)] = 798377,
  [SMALL_STATE(17083)] = 798397,
  [SMALL_STATE(17084)] = 798417,
  [SMALL_STATE(17085)] = 798437,
  [SMALL_STATE(17086)] = 798457,
  [SMALL_STATE(17087)] = 798477,
  [SMALL_STATE(17088)] = 798497,
  [SMALL_STATE(17089)] = 798517,
  [SMALL_STATE(17090)] = 798537,
  [SMALL_STATE(17091)] = 798557,
  [SMALL_STATE(17092)] = 798577,
  [SMALL_STATE(17093)] = 798597,
  [SMALL_STATE(17094)] = 798617,
  [SMALL_STATE(17095)] = 798635,
  [SMALL_STATE(17096)] = 798655,
  [SMALL_STATE(17097)] = 798675,
  [SMALL_STATE(17098)] = 798695,
  [SMALL_STATE(17099)] = 798715,
  [SMALL_STATE(17100)] = 798735,
  [SMALL_STATE(17101)] = 798755,
  [SMALL_STATE(17102)] = 798775,
  [SMALL_STATE(17103)] = 798795,
  [SMALL_STATE(17104)] = 798815,
  [SMALL_STATE(17105)] = 798835,
  [SMALL_STATE(17106)] = 798855,
  [SMALL_STATE(17107)] = 798875,
  [SMALL_STATE(17108)] = 798895,
  [SMALL_STATE(17109)] = 798915,
  [SMALL_STATE(17110)] = 798935,
  [SMALL_STATE(17111)] = 798955,
  [SMALL_STATE(17112)] = 798975,
  [SMALL_STATE(17113)] = 798995,
  [SMALL_STATE(17114)] = 799013,
  [SMALL_STATE(17115)] = 799033,
  [SMALL_STATE(17116)] = 799053,
  [SMALL_STATE(17117)] = 799073,
  [SMALL_STATE(17118)] = 799093,
  [SMALL_STATE(17119)] = 799111,
  [SMALL_STATE(17120)] = 799131,
  [SMALL_STATE(17121)] = 799151,
  [SMALL_STATE(17122)] = 799171,
  [SMALL_STATE(17123)] = 799191,
  [SMALL_STATE(17124)] = 799211,
  [SMALL_STATE(17125)] = 799231,
  [SMALL_STATE(17126)] = 799251,
  [SMALL_STATE(17127)] = 799271,
  [SMALL_STATE(17128)] = 799291,
  [SMALL_STATE(17129)] = 799311,
  [SMALL_STATE(17130)] = 799331,
  [SMALL_STATE(17131)] = 799351,
  [SMALL_STATE(17132)] = 799371,
  [SMALL_STATE(17133)] = 799391,
  [SMALL_STATE(17134)] = 799411,
  [SMALL_STATE(17135)] = 799429,
  [SMALL_STATE(17136)] = 799449,
  [SMALL_STATE(17137)] = 799469,
  [SMALL_STATE(17138)] = 799489,
  [SMALL_STATE(17139)] = 799509,
  [SMALL_STATE(17140)] = 799529,
  [SMALL_STATE(17141)] = 799549,
  [SMALL_STATE(17142)] = 799569,
  [SMALL_STATE(17143)] = 799589,
  [SMALL_STATE(17144)] = 799609,
  [SMALL_STATE(17145)] = 799629,
  [SMALL_STATE(17146)] = 799649,
  [SMALL_STATE(17147)] = 799667,
  [SMALL_STATE(17148)] = 799687,
  [SMALL_STATE(17149)] = 799707,
  [SMALL_STATE(17150)] = 799727,
  [SMALL_STATE(17151)] = 799747,
  [SMALL_STATE(17152)] = 799767,
  [SMALL_STATE(17153)] = 799787,
  [SMALL_STATE(17154)] = 799805,
  [SMALL_STATE(17155)] = 799825,
  [SMALL_STATE(17156)] = 799845,
  [SMALL_STATE(17157)] = 799865,
  [SMALL_STATE(17158)] = 799885,
  [SMALL_STATE(17159)] = 799905,
  [SMALL_STATE(17160)] = 799925,
  [SMALL_STATE(17161)] = 799945,
  [SMALL_STATE(17162)] = 799965,
  [SMALL_STATE(17163)] = 799985,
  [SMALL_STATE(17164)] = 800005,
  [SMALL_STATE(17165)] = 800025,
  [SMALL_STATE(17166)] = 800045,
  [SMALL_STATE(17167)] = 800065,
  [SMALL_STATE(17168)] = 800085,
  [SMALL_STATE(17169)] = 800105,
  [SMALL_STATE(17170)] = 800125,
  [SMALL_STATE(17171)] = 800145,
  [SMALL_STATE(17172)] = 800165,
  [SMALL_STATE(17173)] = 800185,
  [SMALL_STATE(17174)] = 800205,
  [SMALL_STATE(17175)] = 800225,
  [SMALL_STATE(17176)] = 800245,
  [SMALL_STATE(17177)] = 800265,
  [SMALL_STATE(17178)] = 800285,
  [SMALL_STATE(17179)] = 800305,
  [SMALL_STATE(17180)] = 800325,
  [SMALL_STATE(17181)] = 800343,
  [SMALL_STATE(17182)] = 800361,
  [SMALL_STATE(17183)] = 800379,
  [SMALL_STATE(17184)] = 800399,
  [SMALL_STATE(17185)] = 800419,
  [SMALL_STATE(17186)] = 800439,
  [SMALL_STATE(17187)] = 800459,
  [SMALL_STATE(17188)] = 800479,
  [SMALL_STATE(17189)] = 800499,
  [SMALL_STATE(17190)] = 800519,
  [SMALL_STATE(17191)] = 800539,
  [SMALL_STATE(17192)] = 800559,
  [SMALL_STATE(17193)] = 800577,
  [SMALL_STATE(17194)] = 800597,
  [SMALL_STATE(17195)] = 800617,
  [SMALL_STATE(17196)] = 800637,
  [SMALL_STATE(17197)] = 800657,
  [SMALL_STATE(17198)] = 800677,
  [SMALL_STATE(17199)] = 800697,
  [SMALL_STATE(17200)] = 800717,
  [SMALL_STATE(17201)] = 800737,
  [SMALL_STATE(17202)] = 800757,
  [SMALL_STATE(17203)] = 800777,
  [SMALL_STATE(17204)] = 800797,
  [SMALL_STATE(17205)] = 800817,
  [SMALL_STATE(17206)] = 800837,
  [SMALL_STATE(17207)] = 800855,
  [SMALL_STATE(17208)] = 800875,
  [SMALL_STATE(17209)] = 800895,
  [SMALL_STATE(17210)] = 800915,
  [SMALL_STATE(17211)] = 800935,
  [SMALL_STATE(17212)] = 800955,
  [SMALL_STATE(17213)] = 800975,
  [SMALL_STATE(17214)] = 800995,
  [SMALL_STATE(17215)] = 801013,
  [SMALL_STATE(17216)] = 801031,
  [SMALL_STATE(17217)] = 801051,
  [SMALL_STATE(17218)] = 801071,
  [SMALL_STATE(17219)] = 801091,
  [SMALL_STATE(17220)] = 801111,
  [SMALL_STATE(17221)] = 801131,
  [SMALL_STATE(17222)] = 801149,
  [SMALL_STATE(17223)] = 801169,
  [SMALL_STATE(17224)] = 801189,
  [SMALL_STATE(17225)] = 801209,
  [SMALL_STATE(17226)] = 801229,
  [SMALL_STATE(17227)] = 801249,
  [SMALL_STATE(17228)] = 801269,
  [SMALL_STATE(17229)] = 801289,
  [SMALL_STATE(17230)] = 801309,
  [SMALL_STATE(17231)] = 801329,
  [SMALL_STATE(17232)] = 801349,
  [SMALL_STATE(17233)] = 801369,
  [SMALL_STATE(17234)] = 801389,
  [SMALL_STATE(17235)] = 801409,
  [SMALL_STATE(17236)] = 801429,
  [SMALL_STATE(17237)] = 801449,
  [SMALL_STATE(17238)] = 801469,
  [SMALL_STATE(17239)] = 801487,
  [SMALL_STATE(17240)] = 801507,
  [SMALL_STATE(17241)] = 801527,
  [SMALL_STATE(17242)] = 801547,
  [SMALL_STATE(17243)] = 801567,
  [SMALL_STATE(17244)] = 801587,
  [SMALL_STATE(17245)] = 801607,
  [SMALL_STATE(17246)] = 801627,
  [SMALL_STATE(17247)] = 801647,
  [SMALL_STATE(17248)] = 801667,
  [SMALL_STATE(17249)] = 801687,
  [SMALL_STATE(17250)] = 801705,
  [SMALL_STATE(17251)] = 801725,
  [SMALL_STATE(17252)] = 801745,
  [SMALL_STATE(17253)] = 801763,
  [SMALL_STATE(17254)] = 801783,
  [SMALL_STATE(17255)] = 801803,
  [SMALL_STATE(17256)] = 801823,
  [SMALL_STATE(17257)] = 801841,
  [SMALL_STATE(17258)] = 801861,
  [SMALL_STATE(17259)] = 801881,
  [SMALL_STATE(17260)] = 801901,
  [SMALL_STATE(17261)] = 801921,
  [SMALL_STATE(17262)] = 801941,
  [SMALL_STATE(17263)] = 801961,
  [SMALL_STATE(17264)] = 801981,
  [SMALL_STATE(17265)] = 802001,
  [SMALL_STATE(17266)] = 802021,
  [SMALL_STATE(17267)] = 802037,
  [SMALL_STATE(17268)] = 802055,
  [SMALL_STATE(17269)] = 802075,
  [SMALL_STATE(17270)] = 802095,
  [SMALL_STATE(17271)] = 802115,
  [SMALL_STATE(17272)] = 802135,
  [SMALL_STATE(17273)] = 802155,
  [SMALL_STATE(17274)] = 802175,
  [SMALL_STATE(17275)] = 802193,
  [SMALL_STATE(17276)] = 802211,
  [SMALL_STATE(17277)] = 802231,
  [SMALL_STATE(17278)] = 802251,
  [SMALL_STATE(17279)] = 802271,
  [SMALL_STATE(17280)] = 802291,
  [SMALL_STATE(17281)] = 802311,
  [SMALL_STATE(17282)] = 802331,
  [SMALL_STATE(17283)] = 802351,
  [SMALL_STATE(17284)] = 802369,
  [SMALL_STATE(17285)] = 802389,
  [SMALL_STATE(17286)] = 802409,
  [SMALL_STATE(17287)] = 802429,
  [SMALL_STATE(17288)] = 802449,
  [SMALL_STATE(17289)] = 802469,
  [SMALL_STATE(17290)] = 802489,
  [SMALL_STATE(17291)] = 802507,
  [SMALL_STATE(17292)] = 802527,
  [SMALL_STATE(17293)] = 802547,
  [SMALL_STATE(17294)] = 802567,
  [SMALL_STATE(17295)] = 802587,
  [SMALL_STATE(17296)] = 802607,
  [SMALL_STATE(17297)] = 802627,
  [SMALL_STATE(17298)] = 802647,
  [SMALL_STATE(17299)] = 802667,
  [SMALL_STATE(17300)] = 802687,
  [SMALL_STATE(17301)] = 802707,
  [SMALL_STATE(17302)] = 802725,
  [SMALL_STATE(17303)] = 802745,
  [SMALL_STATE(17304)] = 802765,
  [SMALL_STATE(17305)] = 802785,
  [SMALL_STATE(17306)] = 802805,
  [SMALL_STATE(17307)] = 802825,
  [SMALL_STATE(17308)] = 802845,
  [SMALL_STATE(17309)] = 802865,
  [SMALL_STATE(17310)] = 802883,
  [SMALL_STATE(17311)] = 802903,
  [SMALL_STATE(17312)] = 802923,
  [SMALL_STATE(17313)] = 802943,
  [SMALL_STATE(17314)] = 802963,
  [SMALL_STATE(17315)] = 802983,
  [SMALL_STATE(17316)] = 803003,
  [SMALL_STATE(17317)] = 803023,
  [SMALL_STATE(17318)] = 803043,
  [SMALL_STATE(17319)] = 803061,
  [SMALL_STATE(17320)] = 803081,
  [SMALL_STATE(17321)] = 803101,
  [SMALL_STATE(17322)] = 803121,
  [SMALL_STATE(17323)] = 803141,
  [SMALL_STATE(17324)] = 803161,
  [SMALL_STATE(17325)] = 803181,
  [SMALL_STATE(17326)] = 803201,
  [SMALL_STATE(17327)] = 803221,
  [SMALL_STATE(17328)] = 803241,
  [SMALL_STATE(17329)] = 803261,
  [SMALL_STATE(17330)] = 803281,
  [SMALL_STATE(17331)] = 803299,
  [SMALL_STATE(17332)] = 803319,
  [SMALL_STATE(17333)] = 803339,
  [SMALL_STATE(17334)] = 803359,
  [SMALL_STATE(17335)] = 803379,
  [SMALL_STATE(17336)] = 803399,
  [SMALL_STATE(17337)] = 803419,
  [SMALL_STATE(17338)] = 803439,
  [SMALL_STATE(17339)] = 803459,
  [SMALL_STATE(17340)] = 803479,
  [SMALL_STATE(17341)] = 803499,
  [SMALL_STATE(17342)] = 803517,
  [SMALL_STATE(17343)] = 803537,
  [SMALL_STATE(17344)] = 803557,
  [SMALL_STATE(17345)] = 803577,
  [SMALL_STATE(17346)] = 803597,
  [SMALL_STATE(17347)] = 803617,
  [SMALL_STATE(17348)] = 803637,
  [SMALL_STATE(17349)] = 803657,
  [SMALL_STATE(17350)] = 803675,
  [SMALL_STATE(17351)] = 803695,
  [SMALL_STATE(17352)] = 803715,
  [SMALL_STATE(17353)] = 803735,
  [SMALL_STATE(17354)] = 803755,
  [SMALL_STATE(17355)] = 803775,
  [SMALL_STATE(17356)] = 803795,
  [SMALL_STATE(17357)] = 803813,
  [SMALL_STATE(17358)] = 803833,
  [SMALL_STATE(17359)] = 803853,
  [SMALL_STATE(17360)] = 803873,
  [SMALL_STATE(17361)] = 803893,
  [SMALL_STATE(17362)] = 803913,
  [SMALL_STATE(17363)] = 803931,
  [SMALL_STATE(17364)] = 803951,
  [SMALL_STATE(17365)] = 803971,
  [SMALL_STATE(17366)] = 803991,
  [SMALL_STATE(17367)] = 804011,
  [SMALL_STATE(17368)] = 804031,
  [SMALL_STATE(17369)] = 804051,
  [SMALL_STATE(17370)] = 804071,
  [SMALL_STATE(17371)] = 804091,
  [SMALL_STATE(17372)] = 804111,
  [SMALL_STATE(17373)] = 804131,
  [SMALL_STATE(17374)] = 804151,
  [SMALL_STATE(17375)] = 804171,
  [SMALL_STATE(17376)] = 804191,
  [SMALL_STATE(17377)] = 804209,
  [SMALL_STATE(17378)] = 804229,
  [SMALL_STATE(17379)] = 804249,
  [SMALL_STATE(17380)] = 804269,
  [SMALL_STATE(17381)] = 804289,
  [SMALL_STATE(17382)] = 804307,
  [SMALL_STATE(17383)] = 804327,
  [SMALL_STATE(17384)] = 804347,
  [SMALL_STATE(17385)] = 804367,
  [SMALL_STATE(17386)] = 804385,
  [SMALL_STATE(17387)] = 804405,
  [SMALL_STATE(17388)] = 804425,
  [SMALL_STATE(17389)] = 804445,
  [SMALL_STATE(17390)] = 804465,
  [SMALL_STATE(17391)] = 804485,
  [SMALL_STATE(17392)] = 804505,
  [SMALL_STATE(17393)] = 804525,
  [SMALL_STATE(17394)] = 804543,
  [SMALL_STATE(17395)] = 804563,
  [SMALL_STATE(17396)] = 804583,
  [SMALL_STATE(17397)] = 804603,
  [SMALL_STATE(17398)] = 804623,
  [SMALL_STATE(17399)] = 804643,
  [SMALL_STATE(17400)] = 804663,
  [SMALL_STATE(17401)] = 804683,
  [SMALL_STATE(17402)] = 804703,
  [SMALL_STATE(17403)] = 804723,
  [SMALL_STATE(17404)] = 804741,
  [SMALL_STATE(17405)] = 804761,
  [SMALL_STATE(17406)] = 804781,
  [SMALL_STATE(17407)] = 804801,
  [SMALL_STATE(17408)] = 804821,
  [SMALL_STATE(17409)] = 804841,
  [SMALL_STATE(17410)] = 804861,
  [SMALL_STATE(17411)] = 804881,
  [SMALL_STATE(17412)] = 804899,
  [SMALL_STATE(17413)] = 804919,
  [SMALL_STATE(17414)] = 804939,
  [SMALL_STATE(17415)] = 804959,
  [SMALL_STATE(17416)] = 804977,
  [SMALL_STATE(17417)] = 804997,
  [SMALL_STATE(17418)] = 805017,
  [SMALL_STATE(17419)] = 805035,
  [SMALL_STATE(17420)] = 805055,
  [SMALL_STATE(17421)] = 805075,
  [SMALL_STATE(17422)] = 805095,
  [SMALL_STATE(17423)] = 805115,
  [SMALL_STATE(17424)] = 805133,
  [SMALL_STATE(17425)] = 805153,
  [SMALL_STATE(17426)] = 805173,
  [SMALL_STATE(17427)] = 805193,
  [SMALL_STATE(17428)] = 805213,
  [SMALL_STATE(17429)] = 805231,
  [SMALL_STATE(17430)] = 805251,
  [SMALL_STATE(17431)] = 805271,
  [SMALL_STATE(17432)] = 805291,
  [SMALL_STATE(17433)] = 805311,
  [SMALL_STATE(17434)] = 805331,
  [SMALL_STATE(17435)] = 805351,
  [SMALL_STATE(17436)] = 805371,
  [SMALL_STATE(17437)] = 805389,
  [SMALL_STATE(17438)] = 805409,
  [SMALL_STATE(17439)] = 805429,
  [SMALL_STATE(17440)] = 805449,
  [SMALL_STATE(17441)] = 805469,
  [SMALL_STATE(17442)] = 805489,
  [SMALL_STATE(17443)] = 805509,
  [SMALL_STATE(17444)] = 805527,
  [SMALL_STATE(17445)] = 805547,
  [SMALL_STATE(17446)] = 805565,
  [SMALL_STATE(17447)] = 805585,
  [SMALL_STATE(17448)] = 805605,
  [SMALL_STATE(17449)] = 805625,
  [SMALL_STATE(17450)] = 805645,
  [SMALL_STATE(17451)] = 805665,
  [SMALL_STATE(17452)] = 805683,
  [SMALL_STATE(17453)] = 805703,
  [SMALL_STATE(17454)] = 805723,
  [SMALL_STATE(17455)] = 805743,
  [SMALL_STATE(17456)] = 805763,
  [SMALL_STATE(17457)] = 805783,
  [SMALL_STATE(17458)] = 805801,
  [SMALL_STATE(17459)] = 805821,
  [SMALL_STATE(17460)] = 805841,
  [SMALL_STATE(17461)] = 805861,
  [SMALL_STATE(17462)] = 805881,
  [SMALL_STATE(17463)] = 805901,
  [SMALL_STATE(17464)] = 805921,
  [SMALL_STATE(17465)] = 805939,
  [SMALL_STATE(17466)] = 805959,
  [SMALL_STATE(17467)] = 805979,
  [SMALL_STATE(17468)] = 805999,
  [SMALL_STATE(17469)] = 806019,
  [SMALL_STATE(17470)] = 806039,
  [SMALL_STATE(17471)] = 806059,
  [SMALL_STATE(17472)] = 806079,
  [SMALL_STATE(17473)] = 806099,
  [SMALL_STATE(17474)] = 806119,
  [SMALL_STATE(17475)] = 806137,
  [SMALL_STATE(17476)] = 806157,
  [SMALL_STATE(17477)] = 806177,
  [SMALL_STATE(17478)] = 806197,
  [SMALL_STATE(17479)] = 806217,
  [SMALL_STATE(17480)] = 806237,
  [SMALL_STATE(17481)] = 806257,
  [SMALL_STATE(17482)] = 806277,
  [SMALL_STATE(17483)] = 806295,
  [SMALL_STATE(17484)] = 806315,
  [SMALL_STATE(17485)] = 806335,
  [SMALL_STATE(17486)] = 806355,
  [SMALL_STATE(17487)] = 806375,
  [SMALL_STATE(17488)] = 806393,
  [SMALL_STATE(17489)] = 806413,
  [SMALL_STATE(17490)] = 806431,
  [SMALL_STATE(17491)] = 806451,
  [SMALL_STATE(17492)] = 806471,
  [SMALL_STATE(17493)] = 806489,
  [SMALL_STATE(17494)] = 806509,
  [SMALL_STATE(17495)] = 806529,
  [SMALL_STATE(17496)] = 806547,
  [SMALL_STATE(17497)] = 806567,
  [SMALL_STATE(17498)] = 806587,
  [SMALL_STATE(17499)] = 806605,
  [SMALL_STATE(17500)] = 806625,
  [SMALL_STATE(17501)] = 806643,
  [SMALL_STATE(17502)] = 806663,
  [SMALL_STATE(17503)] = 806681,
  [SMALL_STATE(17504)] = 806701,
  [SMALL_STATE(17505)] = 806721,
  [SMALL_STATE(17506)] = 806739,
  [SMALL_STATE(17507)] = 806759,
  [SMALL_STATE(17508)] = 806779,
  [SMALL_STATE(17509)] = 806797,
  [SMALL_STATE(17510)] = 806817,
  [SMALL_STATE(17511)] = 806835,
  [SMALL_STATE(17512)] = 806855,
  [SMALL_STATE(17513)] = 806873,
  [SMALL_STATE(17514)] = 806893,
  [SMALL_STATE(17515)] = 806911,
  [SMALL_STATE(17516)] = 806931,
  [SMALL_STATE(17517)] = 806949,
  [SMALL_STATE(17518)] = 806969,
  [SMALL_STATE(17519)] = 806989,
  [SMALL_STATE(17520)] = 807007,
  [SMALL_STATE(17521)] = 807027,
  [SMALL_STATE(17522)] = 807045,
  [SMALL_STATE(17523)] = 807065,
  [SMALL_STATE(17524)] = 807083,
  [SMALL_STATE(17525)] = 807103,
  [SMALL_STATE(17526)] = 807121,
  [SMALL_STATE(17527)] = 807141,
  [SMALL_STATE(17528)] = 807159,
  [SMALL_STATE(17529)] = 807179,
  [SMALL_STATE(17530)] = 807197,
  [SMALL_STATE(17531)] = 807217,
  [SMALL_STATE(17532)] = 807235,
  [SMALL_STATE(17533)] = 807255,
  [SMALL_STATE(17534)] = 807273,
  [SMALL_STATE(17535)] = 807293,
  [SMALL_STATE(17536)] = 807311,
  [SMALL_STATE(17537)] = 807331,
  [SMALL_STATE(17538)] = 807349,
  [SMALL_STATE(17539)] = 807369,
  [SMALL_STATE(17540)] = 807387,
  [SMALL_STATE(17541)] = 807407,
  [SMALL_STATE(17542)] = 807425,
  [SMALL_STATE(17543)] = 807445,
  [SMALL_STATE(17544)] = 807463,
  [SMALL_STATE(17545)] = 807483,
  [SMALL_STATE(17546)] = 807501,
  [SMALL_STATE(17547)] = 807521,
  [SMALL_STATE(17548)] = 807539,
  [SMALL_STATE(17549)] = 807559,
  [SMALL_STATE(17550)] = 807577,
  [SMALL_STATE(17551)] = 807597,
  [SMALL_STATE(17552)] = 807615,
  [SMALL_STATE(17553)] = 807635,
  [SMALL_STATE(17554)] = 807653,
  [SMALL_STATE(17555)] = 807673,
  [SMALL_STATE(17556)] = 807691,
  [SMALL_STATE(17557)] = 807711,
  [SMALL_STATE(17558)] = 807729,
  [SMALL_STATE(17559)] = 807749,
  [SMALL_STATE(17560)] = 807767,
  [SMALL_STATE(17561)] = 807787,
  [SMALL_STATE(17562)] = 807805,
  [SMALL_STATE(17563)] = 807825,
  [SMALL_STATE(17564)] = 807843,
  [SMALL_STATE(17565)] = 807863,
  [SMALL_STATE(17566)] = 807881,
  [SMALL_STATE(17567)] = 807901,
  [SMALL_STATE(17568)] = 807919,
  [SMALL_STATE(17569)] = 807939,
  [SMALL_STATE(17570)] = 807957,
  [SMALL_STATE(17571)] = 807975,
  [SMALL_STATE(17572)] = 807995,
  [SMALL_STATE(17573)] = 808015,
  [SMALL_STATE(17574)] = 808035,
  [SMALL_STATE(17575)] = 808055,
  [SMALL_STATE(17576)] = 808075,
  [SMALL_STATE(17577)] = 808095,
  [SMALL_STATE(17578)] = 808115,
  [SMALL_STATE(17579)] = 808135,
  [SMALL_STATE(17580)] = 808155,
  [SMALL_STATE(17581)] = 808175,
  [SMALL_STATE(17582)] = 808195,
  [SMALL_STATE(17583)] = 808215,
  [SMALL_STATE(17584)] = 808235,
  [SMALL_STATE(17585)] = 808255,
  [SMALL_STATE(17586)] = 808273,
  [SMALL_STATE(17587)] = 808293,
  [SMALL_STATE(17588)] = 808313,
  [SMALL_STATE(17589)] = 808333,
  [SMALL_STATE(17590)] = 808353,
  [SMALL_STATE(17591)] = 808373,
  [SMALL_STATE(17592)] = 808393,
  [SMALL_STATE(17593)] = 808413,
  [SMALL_STATE(17594)] = 808433,
  [SMALL_STATE(17595)] = 808451,
  [SMALL_STATE(17596)] = 808471,
  [SMALL_STATE(17597)] = 808491,
  [SMALL_STATE(17598)] = 808511,
  [SMALL_STATE(17599)] = 808531,
  [SMALL_STATE(17600)] = 808551,
  [SMALL_STATE(17601)] = 808571,
  [SMALL_STATE(17602)] = 808591,
  [SMALL_STATE(17603)] = 808611,
  [SMALL_STATE(17604)] = 808631,
  [SMALL_STATE(17605)] = 808651,
  [SMALL_STATE(17606)] = 808671,
  [SMALL_STATE(17607)] = 808689,
  [SMALL_STATE(17608)] = 808709,
  [SMALL_STATE(17609)] = 808729,
  [SMALL_STATE(17610)] = 808749,
  [SMALL_STATE(17611)] = 808769,
  [SMALL_STATE(17612)] = 808789,
  [SMALL_STATE(17613)] = 808809,
  [SMALL_STATE(17614)] = 808829,
  [SMALL_STATE(17615)] = 808849,
  [SMALL_STATE(17616)] = 808869,
  [SMALL_STATE(17617)] = 808889,
  [SMALL_STATE(17618)] = 808909,
  [SMALL_STATE(17619)] = 808929,
  [SMALL_STATE(17620)] = 808949,
  [SMALL_STATE(17621)] = 808969,
  [SMALL_STATE(17622)] = 808987,
  [SMALL_STATE(17623)] = 809007,
  [SMALL_STATE(17624)] = 809027,
  [SMALL_STATE(17625)] = 809047,
  [SMALL_STATE(17626)] = 809067,
  [SMALL_STATE(17627)] = 809087,
  [SMALL_STATE(17628)] = 809107,
  [SMALL_STATE(17629)] = 809127,
  [SMALL_STATE(17630)] = 809147,
  [SMALL_STATE(17631)] = 809167,
  [SMALL_STATE(17632)] = 809187,
  [SMALL_STATE(17633)] = 809207,
  [SMALL_STATE(17634)] = 809227,
  [SMALL_STATE(17635)] = 809247,
  [SMALL_STATE(17636)] = 809267,
  [SMALL_STATE(17637)] = 809287,
  [SMALL_STATE(17638)] = 809307,
  [SMALL_STATE(17639)] = 809327,
  [SMALL_STATE(17640)] = 809347,
  [SMALL_STATE(17641)] = 809367,
  [SMALL_STATE(17642)] = 809387,
  [SMALL_STATE(17643)] = 809407,
  [SMALL_STATE(17644)] = 809427,
  [SMALL_STATE(17645)] = 809447,
  [SMALL_STATE(17646)] = 809467,
  [SMALL_STATE(17647)] = 809487,
  [SMALL_STATE(17648)] = 809507,
  [SMALL_STATE(17649)] = 809525,
  [SMALL_STATE(17650)] = 809545,
  [SMALL_STATE(17651)] = 809565,
  [SMALL_STATE(17652)] = 809585,
  [SMALL_STATE(17653)] = 809605,
  [SMALL_STATE(17654)] = 809625,
  [SMALL_STATE(17655)] = 809645,
  [SMALL_STATE(17656)] = 809665,
  [SMALL_STATE(17657)] = 809685,
  [SMALL_STATE(17658)] = 809705,
  [SMALL_STATE(17659)] = 809725,
  [SMALL_STATE(17660)] = 809745,
  [SMALL_STATE(17661)] = 809765,
  [SMALL_STATE(17662)] = 809785,
  [SMALL_STATE(17663)] = 809805,
  [SMALL_STATE(17664)] = 809825,
  [SMALL_STATE(17665)] = 809845,
  [SMALL_STATE(17666)] = 809865,
  [SMALL_STATE(17667)] = 809883,
  [SMALL_STATE(17668)] = 809903,
  [SMALL_STATE(17669)] = 809923,
  [SMALL_STATE(17670)] = 809943,
  [SMALL_STATE(17671)] = 809963,
  [SMALL_STATE(17672)] = 809981,
  [SMALL_STATE(17673)] = 809999,
  [SMALL_STATE(17674)] = 810019,
  [SMALL_STATE(17675)] = 810039,
  [SMALL_STATE(17676)] = 810059,
  [SMALL_STATE(17677)] = 810079,
  [SMALL_STATE(17678)] = 810099,
  [SMALL_STATE(17679)] = 810119,
  [SMALL_STATE(17680)] = 810139,
  [SMALL_STATE(17681)] = 810159,
  [SMALL_STATE(17682)] = 810179,
  [SMALL_STATE(17683)] = 810199,
  [SMALL_STATE(17684)] = 810219,
  [SMALL_STATE(17685)] = 810239,
  [SMALL_STATE(17686)] = 810257,
  [SMALL_STATE(17687)] = 810275,
  [SMALL_STATE(17688)] = 810295,
  [SMALL_STATE(17689)] = 810315,
  [SMALL_STATE(17690)] = 810335,
  [SMALL_STATE(17691)] = 810355,
  [SMALL_STATE(17692)] = 810375,
  [SMALL_STATE(17693)] = 810395,
  [SMALL_STATE(17694)] = 810415,
  [SMALL_STATE(17695)] = 810435,
  [SMALL_STATE(17696)] = 810455,
  [SMALL_STATE(17697)] = 810475,
  [SMALL_STATE(17698)] = 810493,
  [SMALL_STATE(17699)] = 810513,
  [SMALL_STATE(17700)] = 810533,
  [SMALL_STATE(17701)] = 810553,
  [SMALL_STATE(17702)] = 810573,
  [SMALL_STATE(17703)] = 810593,
  [SMALL_STATE(17704)] = 810613,
  [SMALL_STATE(17705)] = 810633,
  [SMALL_STATE(17706)] = 810653,
  [SMALL_STATE(17707)] = 810673,
  [SMALL_STATE(17708)] = 810693,
  [SMALL_STATE(17709)] = 810711,
  [SMALL_STATE(17710)] = 810731,
  [SMALL_STATE(17711)] = 810751,
  [SMALL_STATE(17712)] = 810771,
  [SMALL_STATE(17713)] = 810791,
  [SMALL_STATE(17714)] = 810811,
  [SMALL_STATE(17715)] = 810831,
  [SMALL_STATE(17716)] = 810851,
  [SMALL_STATE(17717)] = 810871,
  [SMALL_STATE(17718)] = 810889,
  [SMALL_STATE(17719)] = 810909,
  [SMALL_STATE(17720)] = 810929,
  [SMALL_STATE(17721)] = 810949,
  [SMALL_STATE(17722)] = 810969,
  [SMALL_STATE(17723)] = 810989,
  [SMALL_STATE(17724)] = 811007,
  [SMALL_STATE(17725)] = 811027,
  [SMALL_STATE(17726)] = 811047,
  [SMALL_STATE(17727)] = 811067,
  [SMALL_STATE(17728)] = 811085,
  [SMALL_STATE(17729)] = 811103,
  [SMALL_STATE(17730)] = 811123,
  [SMALL_STATE(17731)] = 811143,
  [SMALL_STATE(17732)] = 811161,
  [SMALL_STATE(17733)] = 811179,
  [SMALL_STATE(17734)] = 811199,
  [SMALL_STATE(17735)] = 811219,
  [SMALL_STATE(17736)] = 811239,
  [SMALL_STATE(17737)] = 811259,
  [SMALL_STATE(17738)] = 811279,
  [SMALL_STATE(17739)] = 811299,
  [SMALL_STATE(17740)] = 811317,
  [SMALL_STATE(17741)] = 811337,
  [SMALL_STATE(17742)] = 811357,
  [SMALL_STATE(17743)] = 811377,
  [SMALL_STATE(17744)] = 811395,
  [SMALL_STATE(17745)] = 811415,
  [SMALL_STATE(17746)] = 811433,
  [SMALL_STATE(17747)] = 811453,
  [SMALL_STATE(17748)] = 811473,
  [SMALL_STATE(17749)] = 811493,
  [SMALL_STATE(17750)] = 811513,
  [SMALL_STATE(17751)] = 811533,
  [SMALL_STATE(17752)] = 811553,
  [SMALL_STATE(17753)] = 811571,
  [SMALL_STATE(17754)] = 811589,
  [SMALL_STATE(17755)] = 811609,
  [SMALL_STATE(17756)] = 811629,
  [SMALL_STATE(17757)] = 811649,
  [SMALL_STATE(17758)] = 811665,
  [SMALL_STATE(17759)] = 811683,
  [SMALL_STATE(17760)] = 811703,
  [SMALL_STATE(17761)] = 811723,
  [SMALL_STATE(17762)] = 811743,
  [SMALL_STATE(17763)] = 811761,
  [SMALL_STATE(17764)] = 811781,
  [SMALL_STATE(17765)] = 811801,
  [SMALL_STATE(17766)] = 811821,
  [SMALL_STATE(17767)] = 811841,
  [SMALL_STATE(17768)] = 811859,
  [SMALL_STATE(17769)] = 811879,
  [SMALL_STATE(17770)] = 811899,
  [SMALL_STATE(17771)] = 811919,
  [SMALL_STATE(17772)] = 811937,
  [SMALL_STATE(17773)] = 811957,
  [SMALL_STATE(17774)] = 811977,
  [SMALL_STATE(17775)] = 811997,
  [SMALL_STATE(17776)] = 812017,
  [SMALL_STATE(17777)] = 812035,
  [SMALL_STATE(17778)] = 812055,
  [SMALL_STATE(17779)] = 812075,
  [SMALL_STATE(17780)] = 812095,
  [SMALL_STATE(17781)] = 812113,
  [SMALL_STATE(17782)] = 812133,
  [SMALL_STATE(17783)] = 812153,
  [SMALL_STATE(17784)] = 812173,
  [SMALL_STATE(17785)] = 812191,
  [SMALL_STATE(17786)] = 812211,
  [SMALL_STATE(17787)] = 812229,
  [SMALL_STATE(17788)] = 812249,
  [SMALL_STATE(17789)] = 812269,
  [SMALL_STATE(17790)] = 812289,
  [SMALL_STATE(17791)] = 812309,
  [SMALL_STATE(17792)] = 812329,
  [SMALL_STATE(17793)] = 812349,
  [SMALL_STATE(17794)] = 812367,
  [SMALL_STATE(17795)] = 812387,
  [SMALL_STATE(17796)] = 812407,
  [SMALL_STATE(17797)] = 812427,
  [SMALL_STATE(17798)] = 812445,
  [SMALL_STATE(17799)] = 812465,
  [SMALL_STATE(17800)] = 812485,
  [SMALL_STATE(17801)] = 812505,
  [SMALL_STATE(17802)] = 812525,
  [SMALL_STATE(17803)] = 812545,
  [SMALL_STATE(17804)] = 812563,
  [SMALL_STATE(17805)] = 812583,
  [SMALL_STATE(17806)] = 812603,
  [SMALL_STATE(17807)] = 812623,
  [SMALL_STATE(17808)] = 812641,
  [SMALL_STATE(17809)] = 812661,
  [SMALL_STATE(17810)] = 812681,
  [SMALL_STATE(17811)] = 812701,
  [SMALL_STATE(17812)] = 812721,
  [SMALL_STATE(17813)] = 812741,
  [SMALL_STATE(17814)] = 812759,
  [SMALL_STATE(17815)] = 812779,
  [SMALL_STATE(17816)] = 812799,
  [SMALL_STATE(17817)] = 812819,
  [SMALL_STATE(17818)] = 812839,
  [SMALL_STATE(17819)] = 812859,
  [SMALL_STATE(17820)] = 812879,
  [SMALL_STATE(17821)] = 812897,
  [SMALL_STATE(17822)] = 812913,
  [SMALL_STATE(17823)] = 812933,
  [SMALL_STATE(17824)] = 812953,
  [SMALL_STATE(17825)] = 812973,
  [SMALL_STATE(17826)] = 812991,
  [SMALL_STATE(17827)] = 813011,
  [SMALL_STATE(17828)] = 813031,
  [SMALL_STATE(17829)] = 813051,
  [SMALL_STATE(17830)] = 813071,
  [SMALL_STATE(17831)] = 813091,
  [SMALL_STATE(17832)] = 813109,
  [SMALL_STATE(17833)] = 813129,
  [SMALL_STATE(17834)] = 813149,
  [SMALL_STATE(17835)] = 813169,
  [SMALL_STATE(17836)] = 813189,
  [SMALL_STATE(17837)] = 813207,
  [SMALL_STATE(17838)] = 813227,
  [SMALL_STATE(17839)] = 813247,
  [SMALL_STATE(17840)] = 813267,
  [SMALL_STATE(17841)] = 813287,
  [SMALL_STATE(17842)] = 813305,
  [SMALL_STATE(17843)] = 813325,
  [SMALL_STATE(17844)] = 813345,
  [SMALL_STATE(17845)] = 813365,
  [SMALL_STATE(17846)] = 813383,
  [SMALL_STATE(17847)] = 813403,
  [SMALL_STATE(17848)] = 813423,
  [SMALL_STATE(17849)] = 813443,
  [SMALL_STATE(17850)] = 813463,
  [SMALL_STATE(17851)] = 813483,
  [SMALL_STATE(17852)] = 813501,
  [SMALL_STATE(17853)] = 813521,
  [SMALL_STATE(17854)] = 813541,
  [SMALL_STATE(17855)] = 813561,
  [SMALL_STATE(17856)] = 813577,
  [SMALL_STATE(17857)] = 813597,
  [SMALL_STATE(17858)] = 813617,
  [SMALL_STATE(17859)] = 813635,
  [SMALL_STATE(17860)] = 813655,
  [SMALL_STATE(17861)] = 813675,
  [SMALL_STATE(17862)] = 813695,
  [SMALL_STATE(17863)] = 813715,
  [SMALL_STATE(17864)] = 813735,
  [SMALL_STATE(17865)] = 813755,
  [SMALL_STATE(17866)] = 813773,
  [SMALL_STATE(17867)] = 813791,
  [SMALL_STATE(17868)] = 813811,
  [SMALL_STATE(17869)] = 813831,
  [SMALL_STATE(17870)] = 813851,
  [SMALL_STATE(17871)] = 813871,
  [SMALL_STATE(17872)] = 813889,
  [SMALL_STATE(17873)] = 813909,
  [SMALL_STATE(17874)] = 813929,
  [SMALL_STATE(17875)] = 813947,
  [SMALL_STATE(17876)] = 813967,
  [SMALL_STATE(17877)] = 813987,
  [SMALL_STATE(17878)] = 814007,
  [SMALL_STATE(17879)] = 814027,
  [SMALL_STATE(17880)] = 814047,
  [SMALL_STATE(17881)] = 814067,
  [SMALL_STATE(17882)] = 814085,
  [SMALL_STATE(17883)] = 814105,
  [SMALL_STATE(17884)] = 814125,
  [SMALL_STATE(17885)] = 814145,
  [SMALL_STATE(17886)] = 814163,
  [SMALL_STATE(17887)] = 814183,
  [SMALL_STATE(17888)] = 814203,
  [SMALL_STATE(17889)] = 814223,
  [SMALL_STATE(17890)] = 814243,
  [SMALL_STATE(17891)] = 814261,
  [SMALL_STATE(17892)] = 814281,
  [SMALL_STATE(17893)] = 814301,
  [SMALL_STATE(17894)] = 814319,
  [SMALL_STATE(17895)] = 814339,
  [SMALL_STATE(17896)] = 814359,
  [SMALL_STATE(17897)] = 814379,
  [SMALL_STATE(17898)] = 814397,
  [SMALL_STATE(17899)] = 814415,
  [SMALL_STATE(17900)] = 814433,
  [SMALL_STATE(17901)] = 814453,
  [SMALL_STATE(17902)] = 814473,
  [SMALL_STATE(17903)] = 814493,
  [SMALL_STATE(17904)] = 814513,
  [SMALL_STATE(17905)] = 814531,
  [SMALL_STATE(17906)] = 814551,
  [SMALL_STATE(17907)] = 814571,
  [SMALL_STATE(17908)] = 814591,
  [SMALL_STATE(17909)] = 814611,
  [SMALL_STATE(17910)] = 814631,
  [SMALL_STATE(17911)] = 814649,
  [SMALL_STATE(17912)] = 814669,
  [SMALL_STATE(17913)] = 814689,
  [SMALL_STATE(17914)] = 814709,
  [SMALL_STATE(17915)] = 814729,
  [SMALL_STATE(17916)] = 814749,
  [SMALL_STATE(17917)] = 814767,
  [SMALL_STATE(17918)] = 814787,
  [SMALL_STATE(17919)] = 814807,
  [SMALL_STATE(17920)] = 814827,
  [SMALL_STATE(17921)] = 814847,
  [SMALL_STATE(17922)] = 814865,
  [SMALL_STATE(17923)] = 814885,
  [SMALL_STATE(17924)] = 814905,
  [SMALL_STATE(17925)] = 814925,
  [SMALL_STATE(17926)] = 814945,
  [SMALL_STATE(17927)] = 814965,
  [SMALL_STATE(17928)] = 814983,
  [SMALL_STATE(17929)] = 815003,
  [SMALL_STATE(17930)] = 815023,
  [SMALL_STATE(17931)] = 815043,
  [SMALL_STATE(17932)] = 815063,
  [SMALL_STATE(17933)] = 815081,
  [SMALL_STATE(17934)] = 815101,
  [SMALL_STATE(17935)] = 815121,
  [SMALL_STATE(17936)] = 815141,
  [SMALL_STATE(17937)] = 815161,
  [SMALL_STATE(17938)] = 815181,
  [SMALL_STATE(17939)] = 815199,
  [SMALL_STATE(17940)] = 815217,
  [SMALL_STATE(17941)] = 815237,
  [SMALL_STATE(17942)] = 815257,
  [SMALL_STATE(17943)] = 815277,
  [SMALL_STATE(17944)] = 815297,
  [SMALL_STATE(17945)] = 815315,
  [SMALL_STATE(17946)] = 815335,
  [SMALL_STATE(17947)] = 815355,
  [SMALL_STATE(17948)] = 815373,
  [SMALL_STATE(17949)] = 815393,
  [SMALL_STATE(17950)] = 815413,
  [SMALL_STATE(17951)] = 815433,
  [SMALL_STATE(17952)] = 815453,
  [SMALL_STATE(17953)] = 815471,
  [SMALL_STATE(17954)] = 815491,
  [SMALL_STATE(17955)] = 815511,
  [SMALL_STATE(17956)] = 815529,
  [SMALL_STATE(17957)] = 815549,
  [SMALL_STATE(17958)] = 815569,
  [SMALL_STATE(17959)] = 815587,
  [SMALL_STATE(17960)] = 815607,
  [SMALL_STATE(17961)] = 815625,
  [SMALL_STATE(17962)] = 815645,
  [SMALL_STATE(17963)] = 815663,
  [SMALL_STATE(17964)] = 815683,
  [SMALL_STATE(17965)] = 815701,
  [SMALL_STATE(17966)] = 815721,
  [SMALL_STATE(17967)] = 815739,
  [SMALL_STATE(17968)] = 815759,
  [SMALL_STATE(17969)] = 815777,
  [SMALL_STATE(17970)] = 815797,
  [SMALL_STATE(17971)] = 815815,
  [SMALL_STATE(17972)] = 815835,
  [SMALL_STATE(17973)] = 815853,
  [SMALL_STATE(17974)] = 815873,
  [SMALL_STATE(17975)] = 815891,
  [SMALL_STATE(17976)] = 815911,
  [SMALL_STATE(17977)] = 815929,
  [SMALL_STATE(17978)] = 815949,
  [SMALL_STATE(17979)] = 815967,
  [SMALL_STATE(17980)] = 815987,
  [SMALL_STATE(17981)] = 816005,
  [SMALL_STATE(17982)] = 816025,
  [SMALL_STATE(17983)] = 816043,
  [SMALL_STATE(17984)] = 816061,
  [SMALL_STATE(17985)] = 816079,
  [SMALL_STATE(17986)] = 816097,
  [SMALL_STATE(17987)] = 816115,
  [SMALL_STATE(17988)] = 816133,
  [SMALL_STATE(17989)] = 816151,
  [SMALL_STATE(17990)] = 816169,
  [SMALL_STATE(17991)] = 816187,
  [SMALL_STATE(17992)] = 816205,
  [SMALL_STATE(17993)] = 816223,
  [SMALL_STATE(17994)] = 816241,
  [SMALL_STATE(17995)] = 816259,
  [SMALL_STATE(17996)] = 816277,
  [SMALL_STATE(17997)] = 816295,
  [SMALL_STATE(17998)] = 816313,
  [SMALL_STATE(17999)] = 816331,
  [SMALL_STATE(18000)] = 816349,
  [SMALL_STATE(18001)] = 816367,
  [SMALL_STATE(18002)] = 816385,
  [SMALL_STATE(18003)] = 816403,
  [SMALL_STATE(18004)] = 816421,
  [SMALL_STATE(18005)] = 816439,
  [SMALL_STATE(18006)] = 816457,
  [SMALL_STATE(18007)] = 816477,
  [SMALL_STATE(18008)] = 816497,
  [SMALL_STATE(18009)] = 816517,
  [SMALL_STATE(18010)] = 816537,
  [SMALL_STATE(18011)] = 816557,
  [SMALL_STATE(18012)] = 816577,
  [SMALL_STATE(18013)] = 816597,
  [SMALL_STATE(18014)] = 816617,
  [SMALL_STATE(18015)] = 816637,
  [SMALL_STATE(18016)] = 816657,
  [SMALL_STATE(18017)] = 816677,
  [SMALL_STATE(18018)] = 816697,
  [SMALL_STATE(18019)] = 816717,
  [SMALL_STATE(18020)] = 816737,
  [SMALL_STATE(18021)] = 816757,
  [SMALL_STATE(18022)] = 816777,
  [SMALL_STATE(18023)] = 816797,
  [SMALL_STATE(18024)] = 816817,
  [SMALL_STATE(18025)] = 816837,
  [SMALL_STATE(18026)] = 816855,
  [SMALL_STATE(18027)] = 816875,
  [SMALL_STATE(18028)] = 816895,
  [SMALL_STATE(18029)] = 816915,
  [SMALL_STATE(18030)] = 816935,
  [SMALL_STATE(18031)] = 816955,
  [SMALL_STATE(18032)] = 816975,
  [SMALL_STATE(18033)] = 816995,
  [SMALL_STATE(18034)] = 817015,
  [SMALL_STATE(18035)] = 817035,
  [SMALL_STATE(18036)] = 817055,
  [SMALL_STATE(18037)] = 817075,
  [SMALL_STATE(18038)] = 817095,
  [SMALL_STATE(18039)] = 817113,
  [SMALL_STATE(18040)] = 817131,
  [SMALL_STATE(18041)] = 817151,
  [SMALL_STATE(18042)] = 817171,
  [SMALL_STATE(18043)] = 817191,
  [SMALL_STATE(18044)] = 817211,
  [SMALL_STATE(18045)] = 817231,
  [SMALL_STATE(18046)] = 817249,
  [SMALL_STATE(18047)] = 817269,
  [SMALL_STATE(18048)] = 817287,
  [SMALL_STATE(18049)] = 817307,
  [SMALL_STATE(18050)] = 817327,
  [SMALL_STATE(18051)] = 817347,
  [SMALL_STATE(18052)] = 817365,
  [SMALL_STATE(18053)] = 817385,
  [SMALL_STATE(18054)] = 817403,
  [SMALL_STATE(18055)] = 817421,
  [SMALL_STATE(18056)] = 817441,
  [SMALL_STATE(18057)] = 817461,
  [SMALL_STATE(18058)] = 817479,
  [SMALL_STATE(18059)] = 817499,
  [SMALL_STATE(18060)] = 817519,
  [SMALL_STATE(18061)] = 817537,
  [SMALL_STATE(18062)] = 817557,
  [SMALL_STATE(18063)] = 817577,
  [SMALL_STATE(18064)] = 817597,
  [SMALL_STATE(18065)] = 817617,
  [SMALL_STATE(18066)] = 817637,
  [SMALL_STATE(18067)] = 817654,
  [SMALL_STATE(18068)] = 817671,
  [SMALL_STATE(18069)] = 817686,
  [SMALL_STATE(18070)] = 817703,
  [SMALL_STATE(18071)] = 817720,
  [SMALL_STATE(18072)] = 817737,
  [SMALL_STATE(18073)] = 817754,
  [SMALL_STATE(18074)] = 817771,
  [SMALL_STATE(18075)] = 817788,
  [SMALL_STATE(18076)] = 817805,
  [SMALL_STATE(18077)] = 817822,
  [SMALL_STATE(18078)] = 817839,
  [SMALL_STATE(18079)] = 817856,
  [SMALL_STATE(18080)] = 817873,
  [SMALL_STATE(18081)] = 817890,
  [SMALL_STATE(18082)] = 817905,
  [SMALL_STATE(18083)] = 817922,
  [SMALL_STATE(18084)] = 817937,
  [SMALL_STATE(18085)] = 817952,
  [SMALL_STATE(18086)] = 817969,
  [SMALL_STATE(18087)] = 817986,
  [SMALL_STATE(18088)] = 818003,
  [SMALL_STATE(18089)] = 818018,
  [SMALL_STATE(18090)] = 818035,
  [SMALL_STATE(18091)] = 818052,
  [SMALL_STATE(18092)] = 818069,
  [SMALL_STATE(18093)] = 818086,
  [SMALL_STATE(18094)] = 818103,
  [SMALL_STATE(18095)] = 818118,
  [SMALL_STATE(18096)] = 818135,
  [SMALL_STATE(18097)] = 818152,
  [SMALL_STATE(18098)] = 818169,
  [SMALL_STATE(18099)] = 818186,
  [SMALL_STATE(18100)] = 818203,
  [SMALL_STATE(18101)] = 818220,
  [SMALL_STATE(18102)] = 818237,
  [SMALL_STATE(18103)] = 818254,
  [SMALL_STATE(18104)] = 818271,
  [SMALL_STATE(18105)] = 818286,
  [SMALL_STATE(18106)] = 818303,
  [SMALL_STATE(18107)] = 818320,
  [SMALL_STATE(18108)] = 818337,
  [SMALL_STATE(18109)] = 818354,
  [SMALL_STATE(18110)] = 818371,
  [SMALL_STATE(18111)] = 818388,
  [SMALL_STATE(18112)] = 818405,
  [SMALL_STATE(18113)] = 818422,
  [SMALL_STATE(18114)] = 818439,
  [SMALL_STATE(18115)] = 818456,
  [SMALL_STATE(18116)] = 818473,
  [SMALL_STATE(18117)] = 818490,
  [SMALL_STATE(18118)] = 818507,
  [SMALL_STATE(18119)] = 818524,
  [SMALL_STATE(18120)] = 818541,
  [SMALL_STATE(18121)] = 818558,
  [SMALL_STATE(18122)] = 818575,
  [SMALL_STATE(18123)] = 818592,
  [SMALL_STATE(18124)] = 818609,
  [SMALL_STATE(18125)] = 818626,
  [SMALL_STATE(18126)] = 818641,
  [SMALL_STATE(18127)] = 818658,
  [SMALL_STATE(18128)] = 818675,
  [SMALL_STATE(18129)] = 818692,
  [SMALL_STATE(18130)] = 818709,
  [SMALL_STATE(18131)] = 818726,
  [SMALL_STATE(18132)] = 818743,
  [SMALL_STATE(18133)] = 818760,
  [SMALL_STATE(18134)] = 818777,
  [SMALL_STATE(18135)] = 818794,
  [SMALL_STATE(18136)] = 818811,
  [SMALL_STATE(18137)] = 818828,
  [SMALL_STATE(18138)] = 818843,
  [SMALL_STATE(18139)] = 818858,
  [SMALL_STATE(18140)] = 818875,
  [SMALL_STATE(18141)] = 818892,
  [SMALL_STATE(18142)] = 818909,
  [SMALL_STATE(18143)] = 818924,
  [SMALL_STATE(18144)] = 818941,
  [SMALL_STATE(18145)] = 818958,
  [SMALL_STATE(18146)] = 818975,
  [SMALL_STATE(18147)] = 818990,
  [SMALL_STATE(18148)] = 819007,
  [SMALL_STATE(18149)] = 819024,
  [SMALL_STATE(18150)] = 819041,
  [SMALL_STATE(18151)] = 819058,
  [SMALL_STATE(18152)] = 819075,
  [SMALL_STATE(18153)] = 819092,
  [SMALL_STATE(18154)] = 819109,
  [SMALL_STATE(18155)] = 819124,
  [SMALL_STATE(18156)] = 819141,
  [SMALL_STATE(18157)] = 819158,
  [SMALL_STATE(18158)] = 819175,
  [SMALL_STATE(18159)] = 819192,
  [SMALL_STATE(18160)] = 819209,
  [SMALL_STATE(18161)] = 819226,
  [SMALL_STATE(18162)] = 819243,
  [SMALL_STATE(18163)] = 819260,
  [SMALL_STATE(18164)] = 819277,
  [SMALL_STATE(18165)] = 819294,
  [SMALL_STATE(18166)] = 819311,
  [SMALL_STATE(18167)] = 819328,
  [SMALL_STATE(18168)] = 819345,
  [SMALL_STATE(18169)] = 819362,
  [SMALL_STATE(18170)] = 819379,
  [SMALL_STATE(18171)] = 819396,
  [SMALL_STATE(18172)] = 819413,
  [SMALL_STATE(18173)] = 819430,
  [SMALL_STATE(18174)] = 819447,
  [SMALL_STATE(18175)] = 819464,
  [SMALL_STATE(18176)] = 819481,
  [SMALL_STATE(18177)] = 819498,
  [SMALL_STATE(18178)] = 819515,
  [SMALL_STATE(18179)] = 819532,
  [SMALL_STATE(18180)] = 819549,
  [SMALL_STATE(18181)] = 819564,
  [SMALL_STATE(18182)] = 819581,
  [SMALL_STATE(18183)] = 819598,
  [SMALL_STATE(18184)] = 819615,
  [SMALL_STATE(18185)] = 819632,
  [SMALL_STATE(18186)] = 819647,
  [SMALL_STATE(18187)] = 819662,
  [SMALL_STATE(18188)] = 819679,
  [SMALL_STATE(18189)] = 819696,
  [SMALL_STATE(18190)] = 819713,
  [SMALL_STATE(18191)] = 819730,
  [SMALL_STATE(18192)] = 819747,
  [SMALL_STATE(18193)] = 819764,
  [SMALL_STATE(18194)] = 819779,
  [SMALL_STATE(18195)] = 819794,
  [SMALL_STATE(18196)] = 819811,
  [SMALL_STATE(18197)] = 819828,
  [SMALL_STATE(18198)] = 819845,
  [SMALL_STATE(18199)] = 819860,
  [SMALL_STATE(18200)] = 819875,
  [SMALL_STATE(18201)] = 819890,
  [SMALL_STATE(18202)] = 819905,
  [SMALL_STATE(18203)] = 819920,
  [SMALL_STATE(18204)] = 819937,
  [SMALL_STATE(18205)] = 819954,
  [SMALL_STATE(18206)] = 819971,
  [SMALL_STATE(18207)] = 819988,
  [SMALL_STATE(18208)] = 820005,
  [SMALL_STATE(18209)] = 820022,
  [SMALL_STATE(18210)] = 820039,
  [SMALL_STATE(18211)] = 820056,
  [SMALL_STATE(18212)] = 820073,
  [SMALL_STATE(18213)] = 820090,
  [SMALL_STATE(18214)] = 820107,
  [SMALL_STATE(18215)] = 820124,
  [SMALL_STATE(18216)] = 820141,
  [SMALL_STATE(18217)] = 820158,
  [SMALL_STATE(18218)] = 820173,
  [SMALL_STATE(18219)] = 820188,
  [SMALL_STATE(18220)] = 820205,
  [SMALL_STATE(18221)] = 820222,
  [SMALL_STATE(18222)] = 820239,
  [SMALL_STATE(18223)] = 820256,
  [SMALL_STATE(18224)] = 820271,
  [SMALL_STATE(18225)] = 820286,
  [SMALL_STATE(18226)] = 820303,
  [SMALL_STATE(18227)] = 820320,
  [SMALL_STATE(18228)] = 820337,
  [SMALL_STATE(18229)] = 820354,
  [SMALL_STATE(18230)] = 820371,
  [SMALL_STATE(18231)] = 820388,
  [SMALL_STATE(18232)] = 820405,
  [SMALL_STATE(18233)] = 820422,
  [SMALL_STATE(18234)] = 820439,
  [SMALL_STATE(18235)] = 820456,
  [SMALL_STATE(18236)] = 820473,
  [SMALL_STATE(18237)] = 820490,
  [SMALL_STATE(18238)] = 820507,
  [SMALL_STATE(18239)] = 820524,
  [SMALL_STATE(18240)] = 820541,
  [SMALL_STATE(18241)] = 820558,
  [SMALL_STATE(18242)] = 820575,
  [SMALL_STATE(18243)] = 820592,
  [SMALL_STATE(18244)] = 820609,
  [SMALL_STATE(18245)] = 820626,
  [SMALL_STATE(18246)] = 820641,
  [SMALL_STATE(18247)] = 820658,
  [SMALL_STATE(18248)] = 820675,
  [SMALL_STATE(18249)] = 820692,
  [SMALL_STATE(18250)] = 820709,
  [SMALL_STATE(18251)] = 820726,
  [SMALL_STATE(18252)] = 820743,
  [SMALL_STATE(18253)] = 820760,
  [SMALL_STATE(18254)] = 820777,
  [SMALL_STATE(18255)] = 820794,
  [SMALL_STATE(18256)] = 820811,
  [SMALL_STATE(18257)] = 820828,
  [SMALL_STATE(18258)] = 820845,
  [SMALL_STATE(18259)] = 820862,
  [SMALL_STATE(18260)] = 820879,
  [SMALL_STATE(18261)] = 820896,
  [SMALL_STATE(18262)] = 820913,
  [SMALL_STATE(18263)] = 820930,
  [SMALL_STATE(18264)] = 820947,
  [SMALL_STATE(18265)] = 820964,
  [SMALL_STATE(18266)] = 820981,
  [SMALL_STATE(18267)] = 820998,
  [SMALL_STATE(18268)] = 821013,
  [SMALL_STATE(18269)] = 821030,
  [SMALL_STATE(18270)] = 821047,
  [SMALL_STATE(18271)] = 821064,
  [SMALL_STATE(18272)] = 821081,
  [SMALL_STATE(18273)] = 821098,
  [SMALL_STATE(18274)] = 821115,
  [SMALL_STATE(18275)] = 821132,
  [SMALL_STATE(18276)] = 821149,
  [SMALL_STATE(18277)] = 821166,
  [SMALL_STATE(18278)] = 821183,
  [SMALL_STATE(18279)] = 821198,
  [SMALL_STATE(18280)] = 821215,
  [SMALL_STATE(18281)] = 821232,
  [SMALL_STATE(18282)] = 821249,
  [SMALL_STATE(18283)] = 821266,
  [SMALL_STATE(18284)] = 821283,
  [SMALL_STATE(18285)] = 821298,
  [SMALL_STATE(18286)] = 821315,
  [SMALL_STATE(18287)] = 821332,
  [SMALL_STATE(18288)] = 821349,
  [SMALL_STATE(18289)] = 821366,
  [SMALL_STATE(18290)] = 821383,
  [SMALL_STATE(18291)] = 821400,
  [SMALL_STATE(18292)] = 821417,
  [SMALL_STATE(18293)] = 821434,
  [SMALL_STATE(18294)] = 821451,
  [SMALL_STATE(18295)] = 821466,
  [SMALL_STATE(18296)] = 821483,
  [SMALL_STATE(18297)] = 821500,
  [SMALL_STATE(18298)] = 821515,
  [SMALL_STATE(18299)] = 821532,
  [SMALL_STATE(18300)] = 821549,
  [SMALL_STATE(18301)] = 821566,
  [SMALL_STATE(18302)] = 821583,
  [SMALL_STATE(18303)] = 821600,
  [SMALL_STATE(18304)] = 821615,
  [SMALL_STATE(18305)] = 821630,
  [SMALL_STATE(18306)] = 821647,
  [SMALL_STATE(18307)] = 821664,
  [SMALL_STATE(18308)] = 821681,
  [SMALL_STATE(18309)] = 821698,
  [SMALL_STATE(18310)] = 821715,
  [SMALL_STATE(18311)] = 821732,
  [SMALL_STATE(18312)] = 821749,
  [SMALL_STATE(18313)] = 821766,
  [SMALL_STATE(18314)] = 821783,
  [SMALL_STATE(18315)] = 821798,
  [SMALL_STATE(18316)] = 821815,
  [SMALL_STATE(18317)] = 821832,
  [SMALL_STATE(18318)] = 821849,
  [SMALL_STATE(18319)] = 821866,
  [SMALL_STATE(18320)] = 821883,
  [SMALL_STATE(18321)] = 821900,
  [SMALL_STATE(18322)] = 821917,
  [SMALL_STATE(18323)] = 821934,
  [SMALL_STATE(18324)] = 821951,
  [SMALL_STATE(18325)] = 821966,
  [SMALL_STATE(18326)] = 821983,
  [SMALL_STATE(18327)] = 821998,
  [SMALL_STATE(18328)] = 822015,
  [SMALL_STATE(18329)] = 822032,
  [SMALL_STATE(18330)] = 822049,
  [SMALL_STATE(18331)] = 822066,
  [SMALL_STATE(18332)] = 822083,
  [SMALL_STATE(18333)] = 822100,
  [SMALL_STATE(18334)] = 822117,
  [SMALL_STATE(18335)] = 822134,
  [SMALL_STATE(18336)] = 822151,
  [SMALL_STATE(18337)] = 822168,
  [SMALL_STATE(18338)] = 822185,
  [SMALL_STATE(18339)] = 822202,
  [SMALL_STATE(18340)] = 822219,
  [SMALL_STATE(18341)] = 822236,
  [SMALL_STATE(18342)] = 822253,
  [SMALL_STATE(18343)] = 822270,
  [SMALL_STATE(18344)] = 822287,
  [SMALL_STATE(18345)] = 822304,
  [SMALL_STATE(18346)] = 822321,
  [SMALL_STATE(18347)] = 822338,
  [SMALL_STATE(18348)] = 822355,
  [SMALL_STATE(18349)] = 822372,
  [SMALL_STATE(18350)] = 822389,
  [SMALL_STATE(18351)] = 822406,
  [SMALL_STATE(18352)] = 822423,
  [SMALL_STATE(18353)] = 822440,
  [SMALL_STATE(18354)] = 822457,
  [SMALL_STATE(18355)] = 822474,
  [SMALL_STATE(18356)] = 822491,
  [SMALL_STATE(18357)] = 822508,
  [SMALL_STATE(18358)] = 822525,
  [SMALL_STATE(18359)] = 822542,
  [SMALL_STATE(18360)] = 822559,
  [SMALL_STATE(18361)] = 822576,
  [SMALL_STATE(18362)] = 822593,
  [SMALL_STATE(18363)] = 822610,
  [SMALL_STATE(18364)] = 822625,
  [SMALL_STATE(18365)] = 822642,
  [SMALL_STATE(18366)] = 822659,
  [SMALL_STATE(18367)] = 822676,
  [SMALL_STATE(18368)] = 822693,
  [SMALL_STATE(18369)] = 822710,
  [SMALL_STATE(18370)] = 822727,
  [SMALL_STATE(18371)] = 822744,
  [SMALL_STATE(18372)] = 822761,
  [SMALL_STATE(18373)] = 822778,
  [SMALL_STATE(18374)] = 822795,
  [SMALL_STATE(18375)] = 822812,
  [SMALL_STATE(18376)] = 822829,
  [SMALL_STATE(18377)] = 822846,
  [SMALL_STATE(18378)] = 822861,
  [SMALL_STATE(18379)] = 822878,
  [SMALL_STATE(18380)] = 822895,
  [SMALL_STATE(18381)] = 822912,
  [SMALL_STATE(18382)] = 822929,
  [SMALL_STATE(18383)] = 822946,
  [SMALL_STATE(18384)] = 822963,
  [SMALL_STATE(18385)] = 822978,
  [SMALL_STATE(18386)] = 822995,
  [SMALL_STATE(18387)] = 823012,
  [SMALL_STATE(18388)] = 823029,
  [SMALL_STATE(18389)] = 823046,
  [SMALL_STATE(18390)] = 823063,
  [SMALL_STATE(18391)] = 823080,
  [SMALL_STATE(18392)] = 823097,
  [SMALL_STATE(18393)] = 823114,
  [SMALL_STATE(18394)] = 823131,
  [SMALL_STATE(18395)] = 823148,
  [SMALL_STATE(18396)] = 823165,
  [SMALL_STATE(18397)] = 823182,
  [SMALL_STATE(18398)] = 823199,
  [SMALL_STATE(18399)] = 823216,
  [SMALL_STATE(18400)] = 823233,
  [SMALL_STATE(18401)] = 823250,
  [SMALL_STATE(18402)] = 823267,
  [SMALL_STATE(18403)] = 823282,
  [SMALL_STATE(18404)] = 823299,
  [SMALL_STATE(18405)] = 823316,
  [SMALL_STATE(18406)] = 823333,
  [SMALL_STATE(18407)] = 823350,
  [SMALL_STATE(18408)] = 823367,
  [SMALL_STATE(18409)] = 823382,
  [SMALL_STATE(18410)] = 823399,
  [SMALL_STATE(18411)] = 823416,
  [SMALL_STATE(18412)] = 823433,
  [SMALL_STATE(18413)] = 823450,
  [SMALL_STATE(18414)] = 823467,
  [SMALL_STATE(18415)] = 823484,
  [SMALL_STATE(18416)] = 823501,
  [SMALL_STATE(18417)] = 823516,
  [SMALL_STATE(18418)] = 823533,
  [SMALL_STATE(18419)] = 823550,
  [SMALL_STATE(18420)] = 823567,
  [SMALL_STATE(18421)] = 823584,
  [SMALL_STATE(18422)] = 823599,
  [SMALL_STATE(18423)] = 823616,
  [SMALL_STATE(18424)] = 823633,
  [SMALL_STATE(18425)] = 823650,
  [SMALL_STATE(18426)] = 823667,
  [SMALL_STATE(18427)] = 823684,
  [SMALL_STATE(18428)] = 823701,
  [SMALL_STATE(18429)] = 823718,
  [SMALL_STATE(18430)] = 823735,
  [SMALL_STATE(18431)] = 823752,
  [SMALL_STATE(18432)] = 823769,
  [SMALL_STATE(18433)] = 823786,
  [SMALL_STATE(18434)] = 823801,
  [SMALL_STATE(18435)] = 823818,
  [SMALL_STATE(18436)] = 823835,
  [SMALL_STATE(18437)] = 823852,
  [SMALL_STATE(18438)] = 823869,
  [SMALL_STATE(18439)] = 823886,
  [SMALL_STATE(18440)] = 823903,
  [SMALL_STATE(18441)] = 823920,
  [SMALL_STATE(18442)] = 823937,
  [SMALL_STATE(18443)] = 823954,
  [SMALL_STATE(18444)] = 823971,
  [SMALL_STATE(18445)] = 823988,
  [SMALL_STATE(18446)] = 824005,
  [SMALL_STATE(18447)] = 824022,
  [SMALL_STATE(18448)] = 824039,
  [SMALL_STATE(18449)] = 824056,
  [SMALL_STATE(18450)] = 824073,
  [SMALL_STATE(18451)] = 824090,
  [SMALL_STATE(18452)] = 824107,
  [SMALL_STATE(18453)] = 824124,
  [SMALL_STATE(18454)] = 824141,
  [SMALL_STATE(18455)] = 824158,
  [SMALL_STATE(18456)] = 824175,
  [SMALL_STATE(18457)] = 824192,
  [SMALL_STATE(18458)] = 824209,
  [SMALL_STATE(18459)] = 824226,
  [SMALL_STATE(18460)] = 824243,
  [SMALL_STATE(18461)] = 824260,
  [SMALL_STATE(18462)] = 824275,
  [SMALL_STATE(18463)] = 824292,
  [SMALL_STATE(18464)] = 824309,
  [SMALL_STATE(18465)] = 824326,
  [SMALL_STATE(18466)] = 824343,
  [SMALL_STATE(18467)] = 824360,
  [SMALL_STATE(18468)] = 824377,
  [SMALL_STATE(18469)] = 824394,
  [SMALL_STATE(18470)] = 824409,
  [SMALL_STATE(18471)] = 824426,
  [SMALL_STATE(18472)] = 824443,
  [SMALL_STATE(18473)] = 824460,
  [SMALL_STATE(18474)] = 824477,
  [SMALL_STATE(18475)] = 824494,
  [SMALL_STATE(18476)] = 824511,
  [SMALL_STATE(18477)] = 824526,
  [SMALL_STATE(18478)] = 824543,
  [SMALL_STATE(18479)] = 824560,
  [SMALL_STATE(18480)] = 824577,
  [SMALL_STATE(18481)] = 824594,
  [SMALL_STATE(18482)] = 824611,
  [SMALL_STATE(18483)] = 824628,
  [SMALL_STATE(18484)] = 824645,
  [SMALL_STATE(18485)] = 824662,
  [SMALL_STATE(18486)] = 824679,
  [SMALL_STATE(18487)] = 824696,
  [SMALL_STATE(18488)] = 824713,
  [SMALL_STATE(18489)] = 824730,
  [SMALL_STATE(18490)] = 824747,
  [SMALL_STATE(18491)] = 824764,
  [SMALL_STATE(18492)] = 824779,
  [SMALL_STATE(18493)] = 824796,
  [SMALL_STATE(18494)] = 824813,
  [SMALL_STATE(18495)] = 824830,
  [SMALL_STATE(18496)] = 824847,
  [SMALL_STATE(18497)] = 824864,
  [SMALL_STATE(18498)] = 824881,
  [SMALL_STATE(18499)] = 824898,
  [SMALL_STATE(18500)] = 824915,
  [SMALL_STATE(18501)] = 824932,
  [SMALL_STATE(18502)] = 824947,
  [SMALL_STATE(18503)] = 824964,
  [SMALL_STATE(18504)] = 824981,
  [SMALL_STATE(18505)] = 824998,
  [SMALL_STATE(18506)] = 825015,
  [SMALL_STATE(18507)] = 825032,
  [SMALL_STATE(18508)] = 825049,
  [SMALL_STATE(18509)] = 825066,
  [SMALL_STATE(18510)] = 825083,
  [SMALL_STATE(18511)] = 825100,
  [SMALL_STATE(18512)] = 825117,
  [SMALL_STATE(18513)] = 825134,
  [SMALL_STATE(18514)] = 825151,
  [SMALL_STATE(18515)] = 825168,
  [SMALL_STATE(18516)] = 825185,
  [SMALL_STATE(18517)] = 825202,
  [SMALL_STATE(18518)] = 825219,
  [SMALL_STATE(18519)] = 825236,
  [SMALL_STATE(18520)] = 825253,
  [SMALL_STATE(18521)] = 825268,
  [SMALL_STATE(18522)] = 825285,
  [SMALL_STATE(18523)] = 825302,
  [SMALL_STATE(18524)] = 825319,
  [SMALL_STATE(18525)] = 825336,
  [SMALL_STATE(18526)] = 825353,
  [SMALL_STATE(18527)] = 825370,
  [SMALL_STATE(18528)] = 825387,
  [SMALL_STATE(18529)] = 825404,
  [SMALL_STATE(18530)] = 825421,
  [SMALL_STATE(18531)] = 825438,
  [SMALL_STATE(18532)] = 825455,
  [SMALL_STATE(18533)] = 825472,
  [SMALL_STATE(18534)] = 825487,
  [SMALL_STATE(18535)] = 825504,
  [SMALL_STATE(18536)] = 825521,
  [SMALL_STATE(18537)] = 825538,
  [SMALL_STATE(18538)] = 825553,
  [SMALL_STATE(18539)] = 825570,
  [SMALL_STATE(18540)] = 825587,
  [SMALL_STATE(18541)] = 825604,
  [SMALL_STATE(18542)] = 825621,
  [SMALL_STATE(18543)] = 825638,
  [SMALL_STATE(18544)] = 825655,
  [SMALL_STATE(18545)] = 825672,
  [SMALL_STATE(18546)] = 825689,
  [SMALL_STATE(18547)] = 825704,
  [SMALL_STATE(18548)] = 825721,
  [SMALL_STATE(18549)] = 825738,
  [SMALL_STATE(18550)] = 825755,
  [SMALL_STATE(18551)] = 825772,
  [SMALL_STATE(18552)] = 825789,
  [SMALL_STATE(18553)] = 825806,
  [SMALL_STATE(18554)] = 825823,
  [SMALL_STATE(18555)] = 825840,
  [SMALL_STATE(18556)] = 825857,
  [SMALL_STATE(18557)] = 825874,
  [SMALL_STATE(18558)] = 825891,
  [SMALL_STATE(18559)] = 825908,
  [SMALL_STATE(18560)] = 825925,
  [SMALL_STATE(18561)] = 825940,
  [SMALL_STATE(18562)] = 825957,
  [SMALL_STATE(18563)] = 825974,
  [SMALL_STATE(18564)] = 825991,
  [SMALL_STATE(18565)] = 826008,
  [SMALL_STATE(18566)] = 826025,
  [SMALL_STATE(18567)] = 826042,
  [SMALL_STATE(18568)] = 826059,
  [SMALL_STATE(18569)] = 826076,
  [SMALL_STATE(18570)] = 826093,
  [SMALL_STATE(18571)] = 826110,
  [SMALL_STATE(18572)] = 826127,
  [SMALL_STATE(18573)] = 826144,
  [SMALL_STATE(18574)] = 826161,
  [SMALL_STATE(18575)] = 826176,
  [SMALL_STATE(18576)] = 826193,
  [SMALL_STATE(18577)] = 826210,
  [SMALL_STATE(18578)] = 826225,
  [SMALL_STATE(18579)] = 826242,
  [SMALL_STATE(18580)] = 826259,
  [SMALL_STATE(18581)] = 826276,
  [SMALL_STATE(18582)] = 826293,
  [SMALL_STATE(18583)] = 826310,
  [SMALL_STATE(18584)] = 826327,
  [SMALL_STATE(18585)] = 826344,
  [SMALL_STATE(18586)] = 826359,
  [SMALL_STATE(18587)] = 826376,
  [SMALL_STATE(18588)] = 826393,
  [SMALL_STATE(18589)] = 826410,
  [SMALL_STATE(18590)] = 826427,
  [SMALL_STATE(18591)] = 826444,
  [SMALL_STATE(18592)] = 826461,
  [SMALL_STATE(18593)] = 826478,
  [SMALL_STATE(18594)] = 826495,
  [SMALL_STATE(18595)] = 826512,
  [SMALL_STATE(18596)] = 826529,
  [SMALL_STATE(18597)] = 826546,
  [SMALL_STATE(18598)] = 826561,
  [SMALL_STATE(18599)] = 826578,
  [SMALL_STATE(18600)] = 826595,
  [SMALL_STATE(18601)] = 826612,
  [SMALL_STATE(18602)] = 826629,
  [SMALL_STATE(18603)] = 826646,
  [SMALL_STATE(18604)] = 826663,
  [SMALL_STATE(18605)] = 826680,
  [SMALL_STATE(18606)] = 826695,
  [SMALL_STATE(18607)] = 826712,
  [SMALL_STATE(18608)] = 826729,
  [SMALL_STATE(18609)] = 826746,
  [SMALL_STATE(18610)] = 826763,
  [SMALL_STATE(18611)] = 826780,
  [SMALL_STATE(18612)] = 826797,
  [SMALL_STATE(18613)] = 826814,
  [SMALL_STATE(18614)] = 826831,
  [SMALL_STATE(18615)] = 826848,
  [SMALL_STATE(18616)] = 826865,
  [SMALL_STATE(18617)] = 826882,
  [SMALL_STATE(18618)] = 826899,
  [SMALL_STATE(18619)] = 826916,
  [SMALL_STATE(18620)] = 826933,
  [SMALL_STATE(18621)] = 826950,
  [SMALL_STATE(18622)] = 826967,
  [SMALL_STATE(18623)] = 826984,
  [SMALL_STATE(18624)] = 827001,
  [SMALL_STATE(18625)] = 827018,
  [SMALL_STATE(18626)] = 827035,
  [SMALL_STATE(18627)] = 827052,
  [SMALL_STATE(18628)] = 827069,
  [SMALL_STATE(18629)] = 827086,
  [SMALL_STATE(18630)] = 827103,
  [SMALL_STATE(18631)] = 827118,
  [SMALL_STATE(18632)] = 827135,
  [SMALL_STATE(18633)] = 827152,
  [SMALL_STATE(18634)] = 827169,
  [SMALL_STATE(18635)] = 827184,
  [SMALL_STATE(18636)] = 827201,
  [SMALL_STATE(18637)] = 827218,
  [SMALL_STATE(18638)] = 827235,
  [SMALL_STATE(18639)] = 827252,
  [SMALL_STATE(18640)] = 827269,
  [SMALL_STATE(18641)] = 827286,
  [SMALL_STATE(18642)] = 827303,
  [SMALL_STATE(18643)] = 827318,
  [SMALL_STATE(18644)] = 827333,
  [SMALL_STATE(18645)] = 827350,
  [SMALL_STATE(18646)] = 827367,
  [SMALL_STATE(18647)] = 827384,
  [SMALL_STATE(18648)] = 827399,
  [SMALL_STATE(18649)] = 827416,
  [SMALL_STATE(18650)] = 827433,
  [SMALL_STATE(18651)] = 827450,
  [SMALL_STATE(18652)] = 827467,
  [SMALL_STATE(18653)] = 827484,
  [SMALL_STATE(18654)] = 827501,
  [SMALL_STATE(18655)] = 827518,
  [SMALL_STATE(18656)] = 827535,
  [SMALL_STATE(18657)] = 827552,
  [SMALL_STATE(18658)] = 827569,
  [SMALL_STATE(18659)] = 827586,
  [SMALL_STATE(18660)] = 827603,
  [SMALL_STATE(18661)] = 827618,
  [SMALL_STATE(18662)] = 827635,
  [SMALL_STATE(18663)] = 827650,
  [SMALL_STATE(18664)] = 827665,
  [SMALL_STATE(18665)] = 827682,
  [SMALL_STATE(18666)] = 827699,
  [SMALL_STATE(18667)] = 827716,
  [SMALL_STATE(18668)] = 827733,
  [SMALL_STATE(18669)] = 827750,
  [SMALL_STATE(18670)] = 827767,
  [SMALL_STATE(18671)] = 827784,
  [SMALL_STATE(18672)] = 827801,
  [SMALL_STATE(18673)] = 827818,
  [SMALL_STATE(18674)] = 827835,
  [SMALL_STATE(18675)] = 827852,
  [SMALL_STATE(18676)] = 827869,
  [SMALL_STATE(18677)] = 827886,
  [SMALL_STATE(18678)] = 827903,
  [SMALL_STATE(18679)] = 827920,
  [SMALL_STATE(18680)] = 827937,
  [SMALL_STATE(18681)] = 827954,
  [SMALL_STATE(18682)] = 827971,
  [SMALL_STATE(18683)] = 827988,
  [SMALL_STATE(18684)] = 828005,
  [SMALL_STATE(18685)] = 828022,
  [SMALL_STATE(18686)] = 828039,
  [SMALL_STATE(18687)] = 828056,
  [SMALL_STATE(18688)] = 828073,
  [SMALL_STATE(18689)] = 828090,
  [SMALL_STATE(18690)] = 828107,
  [SMALL_STATE(18691)] = 828124,
  [SMALL_STATE(18692)] = 828141,
  [SMALL_STATE(18693)] = 828158,
  [SMALL_STATE(18694)] = 828175,
  [SMALL_STATE(18695)] = 828192,
  [SMALL_STATE(18696)] = 828209,
  [SMALL_STATE(18697)] = 828226,
  [SMALL_STATE(18698)] = 828243,
  [SMALL_STATE(18699)] = 828260,
  [SMALL_STATE(18700)] = 828277,
  [SMALL_STATE(18701)] = 828294,
  [SMALL_STATE(18702)] = 828311,
  [SMALL_STATE(18703)] = 828328,
  [SMALL_STATE(18704)] = 828345,
  [SMALL_STATE(18705)] = 828362,
  [SMALL_STATE(18706)] = 828379,
  [SMALL_STATE(18707)] = 828396,
  [SMALL_STATE(18708)] = 828413,
  [SMALL_STATE(18709)] = 828430,
  [SMALL_STATE(18710)] = 828447,
  [SMALL_STATE(18711)] = 828464,
  [SMALL_STATE(18712)] = 828479,
  [SMALL_STATE(18713)] = 828494,
  [SMALL_STATE(18714)] = 828511,
  [SMALL_STATE(18715)] = 828528,
  [SMALL_STATE(18716)] = 828545,
  [SMALL_STATE(18717)] = 828562,
  [SMALL_STATE(18718)] = 828579,
  [SMALL_STATE(18719)] = 828596,
  [SMALL_STATE(18720)] = 828613,
  [SMALL_STATE(18721)] = 828630,
  [SMALL_STATE(18722)] = 828647,
  [SMALL_STATE(18723)] = 828664,
  [SMALL_STATE(18724)] = 828681,
  [SMALL_STATE(18725)] = 828698,
  [SMALL_STATE(18726)] = 828715,
  [SMALL_STATE(18727)] = 828732,
  [SMALL_STATE(18728)] = 828749,
  [SMALL_STATE(18729)] = 828766,
  [SMALL_STATE(18730)] = 828783,
  [SMALL_STATE(18731)] = 828800,
  [SMALL_STATE(18732)] = 828817,
  [SMALL_STATE(18733)] = 828834,
  [SMALL_STATE(18734)] = 828851,
  [SMALL_STATE(18735)] = 828868,
  [SMALL_STATE(18736)] = 828885,
  [SMALL_STATE(18737)] = 828902,
  [SMALL_STATE(18738)] = 828919,
  [SMALL_STATE(18739)] = 828936,
  [SMALL_STATE(18740)] = 828951,
  [SMALL_STATE(18741)] = 828966,
  [SMALL_STATE(18742)] = 828981,
  [SMALL_STATE(18743)] = 828998,
  [SMALL_STATE(18744)] = 829015,
  [SMALL_STATE(18745)] = 829032,
  [SMALL_STATE(18746)] = 829049,
  [SMALL_STATE(18747)] = 829064,
  [SMALL_STATE(18748)] = 829081,
  [SMALL_STATE(18749)] = 829098,
  [SMALL_STATE(18750)] = 829115,
  [SMALL_STATE(18751)] = 829132,
  [SMALL_STATE(18752)] = 829149,
  [SMALL_STATE(18753)] = 829166,
  [SMALL_STATE(18754)] = 829181,
  [SMALL_STATE(18755)] = 829198,
  [SMALL_STATE(18756)] = 829215,
  [SMALL_STATE(18757)] = 829232,
  [SMALL_STATE(18758)] = 829249,
  [SMALL_STATE(18759)] = 829264,
  [SMALL_STATE(18760)] = 829281,
  [SMALL_STATE(18761)] = 829298,
  [SMALL_STATE(18762)] = 829315,
  [SMALL_STATE(18763)] = 829332,
  [SMALL_STATE(18764)] = 829349,
  [SMALL_STATE(18765)] = 829366,
  [SMALL_STATE(18766)] = 829383,
  [SMALL_STATE(18767)] = 829398,
  [SMALL_STATE(18768)] = 829415,
  [SMALL_STATE(18769)] = 829432,
  [SMALL_STATE(18770)] = 829449,
  [SMALL_STATE(18771)] = 829466,
  [SMALL_STATE(18772)] = 829483,
  [SMALL_STATE(18773)] = 829500,
  [SMALL_STATE(18774)] = 829517,
  [SMALL_STATE(18775)] = 829534,
  [SMALL_STATE(18776)] = 829551,
  [SMALL_STATE(18777)] = 829568,
  [SMALL_STATE(18778)] = 829585,
  [SMALL_STATE(18779)] = 829600,
  [SMALL_STATE(18780)] = 829617,
  [SMALL_STATE(18781)] = 829632,
  [SMALL_STATE(18782)] = 829649,
  [SMALL_STATE(18783)] = 829666,
  [SMALL_STATE(18784)] = 829683,
  [SMALL_STATE(18785)] = 829698,
  [SMALL_STATE(18786)] = 829715,
  [SMALL_STATE(18787)] = 829732,
  [SMALL_STATE(18788)] = 829749,
  [SMALL_STATE(18789)] = 829764,
  [SMALL_STATE(18790)] = 829781,
  [SMALL_STATE(18791)] = 829798,
  [SMALL_STATE(18792)] = 829815,
  [SMALL_STATE(18793)] = 829832,
  [SMALL_STATE(18794)] = 829849,
  [SMALL_STATE(18795)] = 829866,
  [SMALL_STATE(18796)] = 829881,
  [SMALL_STATE(18797)] = 829898,
  [SMALL_STATE(18798)] = 829913,
  [SMALL_STATE(18799)] = 829928,
  [SMALL_STATE(18800)] = 829945,
  [SMALL_STATE(18801)] = 829962,
  [SMALL_STATE(18802)] = 829979,
  [SMALL_STATE(18803)] = 829996,
  [SMALL_STATE(18804)] = 830013,
  [SMALL_STATE(18805)] = 830028,
  [SMALL_STATE(18806)] = 830045,
  [SMALL_STATE(18807)] = 830060,
  [SMALL_STATE(18808)] = 830077,
  [SMALL_STATE(18809)] = 830094,
  [SMALL_STATE(18810)] = 830109,
  [SMALL_STATE(18811)] = 830126,
  [SMALL_STATE(18812)] = 830143,
  [SMALL_STATE(18813)] = 830158,
  [SMALL_STATE(18814)] = 830175,
  [SMALL_STATE(18815)] = 830192,
  [SMALL_STATE(18816)] = 830207,
  [SMALL_STATE(18817)] = 830224,
  [SMALL_STATE(18818)] = 830241,
  [SMALL_STATE(18819)] = 830258,
  [SMALL_STATE(18820)] = 830273,
  [SMALL_STATE(18821)] = 830290,
  [SMALL_STATE(18822)] = 830307,
  [SMALL_STATE(18823)] = 830324,
  [SMALL_STATE(18824)] = 830339,
  [SMALL_STATE(18825)] = 830356,
  [SMALL_STATE(18826)] = 830373,
  [SMALL_STATE(18827)] = 830390,
  [SMALL_STATE(18828)] = 830407,
  [SMALL_STATE(18829)] = 830424,
  [SMALL_STATE(18830)] = 830441,
  [SMALL_STATE(18831)] = 830458,
  [SMALL_STATE(18832)] = 830473,
  [SMALL_STATE(18833)] = 830490,
  [SMALL_STATE(18834)] = 830507,
  [SMALL_STATE(18835)] = 830524,
  [SMALL_STATE(18836)] = 830541,
  [SMALL_STATE(18837)] = 830558,
  [SMALL_STATE(18838)] = 830575,
  [SMALL_STATE(18839)] = 830590,
  [SMALL_STATE(18840)] = 830607,
  [SMALL_STATE(18841)] = 830624,
  [SMALL_STATE(18842)] = 830641,
  [SMALL_STATE(18843)] = 830656,
  [SMALL_STATE(18844)] = 830671,
  [SMALL_STATE(18845)] = 830688,
  [SMALL_STATE(18846)] = 830705,
  [SMALL_STATE(18847)] = 830722,
  [SMALL_STATE(18848)] = 830739,
  [SMALL_STATE(18849)] = 830756,
  [SMALL_STATE(18850)] = 830773,
  [SMALL_STATE(18851)] = 830790,
  [SMALL_STATE(18852)] = 830807,
  [SMALL_STATE(18853)] = 830824,
  [SMALL_STATE(18854)] = 830841,
  [SMALL_STATE(18855)] = 830858,
  [SMALL_STATE(18856)] = 830875,
  [SMALL_STATE(18857)] = 830890,
  [SMALL_STATE(18858)] = 830907,
  [SMALL_STATE(18859)] = 830924,
  [SMALL_STATE(18860)] = 830941,
  [SMALL_STATE(18861)] = 830958,
  [SMALL_STATE(18862)] = 830975,
  [SMALL_STATE(18863)] = 830992,
  [SMALL_STATE(18864)] = 831009,
  [SMALL_STATE(18865)] = 831026,
  [SMALL_STATE(18866)] = 831043,
  [SMALL_STATE(18867)] = 831060,
  [SMALL_STATE(18868)] = 831077,
  [SMALL_STATE(18869)] = 831094,
  [SMALL_STATE(18870)] = 831111,
  [SMALL_STATE(18871)] = 831128,
  [SMALL_STATE(18872)] = 831145,
  [SMALL_STATE(18873)] = 831162,
  [SMALL_STATE(18874)] = 831179,
  [SMALL_STATE(18875)] = 831196,
  [SMALL_STATE(18876)] = 831211,
  [SMALL_STATE(18877)] = 831228,
  [SMALL_STATE(18878)] = 831245,
  [SMALL_STATE(18879)] = 831262,
  [SMALL_STATE(18880)] = 831279,
  [SMALL_STATE(18881)] = 831296,
  [SMALL_STATE(18882)] = 831313,
  [SMALL_STATE(18883)] = 831330,
  [SMALL_STATE(18884)] = 831347,
  [SMALL_STATE(18885)] = 831364,
  [SMALL_STATE(18886)] = 831381,
  [SMALL_STATE(18887)] = 831398,
  [SMALL_STATE(18888)] = 831415,
  [SMALL_STATE(18889)] = 831430,
  [SMALL_STATE(18890)] = 831447,
  [SMALL_STATE(18891)] = 831464,
  [SMALL_STATE(18892)] = 831479,
  [SMALL_STATE(18893)] = 831496,
  [SMALL_STATE(18894)] = 831513,
  [SMALL_STATE(18895)] = 831530,
  [SMALL_STATE(18896)] = 831547,
  [SMALL_STATE(18897)] = 831564,
  [SMALL_STATE(18898)] = 831579,
  [SMALL_STATE(18899)] = 831596,
  [SMALL_STATE(18900)] = 831613,
  [SMALL_STATE(18901)] = 831630,
  [SMALL_STATE(18902)] = 831645,
  [SMALL_STATE(18903)] = 831662,
  [SMALL_STATE(18904)] = 831679,
  [SMALL_STATE(18905)] = 831696,
  [SMALL_STATE(18906)] = 831711,
  [SMALL_STATE(18907)] = 831728,
  [SMALL_STATE(18908)] = 831745,
  [SMALL_STATE(18909)] = 831762,
  [SMALL_STATE(18910)] = 831779,
  [SMALL_STATE(18911)] = 831796,
  [SMALL_STATE(18912)] = 831813,
  [SMALL_STATE(18913)] = 831830,
  [SMALL_STATE(18914)] = 831847,
  [SMALL_STATE(18915)] = 831864,
  [SMALL_STATE(18916)] = 831881,
  [SMALL_STATE(18917)] = 831898,
  [SMALL_STATE(18918)] = 831913,
  [SMALL_STATE(18919)] = 831930,
  [SMALL_STATE(18920)] = 831945,
  [SMALL_STATE(18921)] = 831962,
  [SMALL_STATE(18922)] = 831977,
  [SMALL_STATE(18923)] = 831994,
  [SMALL_STATE(18924)] = 832011,
  [SMALL_STATE(18925)] = 832028,
  [SMALL_STATE(18926)] = 832045,
  [SMALL_STATE(18927)] = 832062,
  [SMALL_STATE(18928)] = 832079,
  [SMALL_STATE(18929)] = 832096,
  [SMALL_STATE(18930)] = 832113,
  [SMALL_STATE(18931)] = 832128,
  [SMALL_STATE(18932)] = 832145,
  [SMALL_STATE(18933)] = 832162,
  [SMALL_STATE(18934)] = 832179,
  [SMALL_STATE(18935)] = 832196,
  [SMALL_STATE(18936)] = 832213,
  [SMALL_STATE(18937)] = 832230,
  [SMALL_STATE(18938)] = 832247,
  [SMALL_STATE(18939)] = 832262,
  [SMALL_STATE(18940)] = 832277,
  [SMALL_STATE(18941)] = 832294,
  [SMALL_STATE(18942)] = 832309,
  [SMALL_STATE(18943)] = 832324,
  [SMALL_STATE(18944)] = 832341,
  [SMALL_STATE(18945)] = 832358,
  [SMALL_STATE(18946)] = 832375,
  [SMALL_STATE(18947)] = 832392,
  [SMALL_STATE(18948)] = 832409,
  [SMALL_STATE(18949)] = 832426,
  [SMALL_STATE(18950)] = 832443,
  [SMALL_STATE(18951)] = 832460,
  [SMALL_STATE(18952)] = 832477,
  [SMALL_STATE(18953)] = 832494,
  [SMALL_STATE(18954)] = 832511,
  [SMALL_STATE(18955)] = 832528,
  [SMALL_STATE(18956)] = 832545,
  [SMALL_STATE(18957)] = 832562,
  [SMALL_STATE(18958)] = 832579,
  [SMALL_STATE(18959)] = 832596,
  [SMALL_STATE(18960)] = 832613,
  [SMALL_STATE(18961)] = 832630,
  [SMALL_STATE(18962)] = 832647,
  [SMALL_STATE(18963)] = 832664,
  [SMALL_STATE(18964)] = 832681,
  [SMALL_STATE(18965)] = 832698,
  [SMALL_STATE(18966)] = 832715,
  [SMALL_STATE(18967)] = 832732,
  [SMALL_STATE(18968)] = 832747,
  [SMALL_STATE(18969)] = 832762,
  [SMALL_STATE(18970)] = 832779,
  [SMALL_STATE(18971)] = 832796,
  [SMALL_STATE(18972)] = 832813,
  [SMALL_STATE(18973)] = 832828,
  [SMALL_STATE(18974)] = 832845,
  [SMALL_STATE(18975)] = 832862,
  [SMALL_STATE(18976)] = 832877,
  [SMALL_STATE(18977)] = 832894,
  [SMALL_STATE(18978)] = 832911,
  [SMALL_STATE(18979)] = 832928,
  [SMALL_STATE(18980)] = 832943,
  [SMALL_STATE(18981)] = 832960,
  [SMALL_STATE(18982)] = 832977,
  [SMALL_STATE(18983)] = 832994,
  [SMALL_STATE(18984)] = 833011,
  [SMALL_STATE(18985)] = 833028,
  [SMALL_STATE(18986)] = 833045,
  [SMALL_STATE(18987)] = 833062,
  [SMALL_STATE(18988)] = 833077,
  [SMALL_STATE(18989)] = 833094,
  [SMALL_STATE(18990)] = 833111,
  [SMALL_STATE(18991)] = 833128,
  [SMALL_STATE(18992)] = 833145,
  [SMALL_STATE(18993)] = 833162,
  [SMALL_STATE(18994)] = 833179,
  [SMALL_STATE(18995)] = 833196,
  [SMALL_STATE(18996)] = 833213,
  [SMALL_STATE(18997)] = 833230,
  [SMALL_STATE(18998)] = 833247,
  [SMALL_STATE(18999)] = 833262,
  [SMALL_STATE(19000)] = 833279,
  [SMALL_STATE(19001)] = 833296,
  [SMALL_STATE(19002)] = 833311,
  [SMALL_STATE(19003)] = 833328,
  [SMALL_STATE(19004)] = 833343,
  [SMALL_STATE(19005)] = 833360,
  [SMALL_STATE(19006)] = 833375,
  [SMALL_STATE(19007)] = 833392,
  [SMALL_STATE(19008)] = 833407,
  [SMALL_STATE(19009)] = 833424,
  [SMALL_STATE(19010)] = 833441,
  [SMALL_STATE(19011)] = 833456,
  [SMALL_STATE(19012)] = 833473,
  [SMALL_STATE(19013)] = 833490,
  [SMALL_STATE(19014)] = 833507,
  [SMALL_STATE(19015)] = 833524,
  [SMALL_STATE(19016)] = 833541,
  [SMALL_STATE(19017)] = 833558,
  [SMALL_STATE(19018)] = 833575,
  [SMALL_STATE(19019)] = 833592,
  [SMALL_STATE(19020)] = 833609,
  [SMALL_STATE(19021)] = 833624,
  [SMALL_STATE(19022)] = 833641,
  [SMALL_STATE(19023)] = 833658,
  [SMALL_STATE(19024)] = 833675,
  [SMALL_STATE(19025)] = 833692,
  [SMALL_STATE(19026)] = 833707,
  [SMALL_STATE(19027)] = 833724,
  [SMALL_STATE(19028)] = 833741,
  [SMALL_STATE(19029)] = 833758,
  [SMALL_STATE(19030)] = 833775,
  [SMALL_STATE(19031)] = 833792,
  [SMALL_STATE(19032)] = 833809,
  [SMALL_STATE(19033)] = 833824,
  [SMALL_STATE(19034)] = 833841,
  [SMALL_STATE(19035)] = 833858,
  [SMALL_STATE(19036)] = 833875,
  [SMALL_STATE(19037)] = 833892,
  [SMALL_STATE(19038)] = 833909,
  [SMALL_STATE(19039)] = 833926,
  [SMALL_STATE(19040)] = 833943,
  [SMALL_STATE(19041)] = 833960,
  [SMALL_STATE(19042)] = 833977,
  [SMALL_STATE(19043)] = 833994,
  [SMALL_STATE(19044)] = 834011,
  [SMALL_STATE(19045)] = 834028,
  [SMALL_STATE(19046)] = 834045,
  [SMALL_STATE(19047)] = 834062,
  [SMALL_STATE(19048)] = 834079,
  [SMALL_STATE(19049)] = 834096,
  [SMALL_STATE(19050)] = 834113,
  [SMALL_STATE(19051)] = 834130,
  [SMALL_STATE(19052)] = 834145,
  [SMALL_STATE(19053)] = 834162,
  [SMALL_STATE(19054)] = 834179,
  [SMALL_STATE(19055)] = 834196,
  [SMALL_STATE(19056)] = 834213,
  [SMALL_STATE(19057)] = 834230,
  [SMALL_STATE(19058)] = 834247,
  [SMALL_STATE(19059)] = 834264,
  [SMALL_STATE(19060)] = 834279,
  [SMALL_STATE(19061)] = 834296,
  [SMALL_STATE(19062)] = 834313,
  [SMALL_STATE(19063)] = 834330,
  [SMALL_STATE(19064)] = 834347,
  [SMALL_STATE(19065)] = 834364,
  [SMALL_STATE(19066)] = 834381,
  [SMALL_STATE(19067)] = 834398,
  [SMALL_STATE(19068)] = 834413,
  [SMALL_STATE(19069)] = 834430,
  [SMALL_STATE(19070)] = 834445,
  [SMALL_STATE(19071)] = 834462,
  [SMALL_STATE(19072)] = 834479,
  [SMALL_STATE(19073)] = 834496,
  [SMALL_STATE(19074)] = 834513,
  [SMALL_STATE(19075)] = 834530,
  [SMALL_STATE(19076)] = 834547,
  [SMALL_STATE(19077)] = 834564,
  [SMALL_STATE(19078)] = 834581,
  [SMALL_STATE(19079)] = 834598,
  [SMALL_STATE(19080)] = 834615,
  [SMALL_STATE(19081)] = 834630,
  [SMALL_STATE(19082)] = 834647,
  [SMALL_STATE(19083)] = 834664,
  [SMALL_STATE(19084)] = 834681,
  [SMALL_STATE(19085)] = 834698,
  [SMALL_STATE(19086)] = 834715,
  [SMALL_STATE(19087)] = 834732,
  [SMALL_STATE(19088)] = 834749,
  [SMALL_STATE(19089)] = 834766,
  [SMALL_STATE(19090)] = 834783,
  [SMALL_STATE(19091)] = 834800,
  [SMALL_STATE(19092)] = 834817,
  [SMALL_STATE(19093)] = 834834,
  [SMALL_STATE(19094)] = 834851,
  [SMALL_STATE(19095)] = 834868,
  [SMALL_STATE(19096)] = 834885,
  [SMALL_STATE(19097)] = 834902,
  [SMALL_STATE(19098)] = 834919,
  [SMALL_STATE(19099)] = 834936,
  [SMALL_STATE(19100)] = 834953,
  [SMALL_STATE(19101)] = 834970,
  [SMALL_STATE(19102)] = 834987,
  [SMALL_STATE(19103)] = 835004,
  [SMALL_STATE(19104)] = 835021,
  [SMALL_STATE(19105)] = 835038,
  [SMALL_STATE(19106)] = 835055,
  [SMALL_STATE(19107)] = 835072,
  [SMALL_STATE(19108)] = 835089,
  [SMALL_STATE(19109)] = 835106,
  [SMALL_STATE(19110)] = 835123,
  [SMALL_STATE(19111)] = 835140,
  [SMALL_STATE(19112)] = 835157,
  [SMALL_STATE(19113)] = 835174,
  [SMALL_STATE(19114)] = 835191,
  [SMALL_STATE(19115)] = 835208,
  [SMALL_STATE(19116)] = 835225,
  [SMALL_STATE(19117)] = 835242,
  [SMALL_STATE(19118)] = 835259,
  [SMALL_STATE(19119)] = 835274,
  [SMALL_STATE(19120)] = 835291,
  [SMALL_STATE(19121)] = 835308,
  [SMALL_STATE(19122)] = 835323,
  [SMALL_STATE(19123)] = 835340,
  [SMALL_STATE(19124)] = 835355,
  [SMALL_STATE(19125)] = 835372,
  [SMALL_STATE(19126)] = 835389,
  [SMALL_STATE(19127)] = 835404,
  [SMALL_STATE(19128)] = 835419,
  [SMALL_STATE(19129)] = 835436,
  [SMALL_STATE(19130)] = 835453,
  [SMALL_STATE(19131)] = 835470,
  [SMALL_STATE(19132)] = 835487,
  [SMALL_STATE(19133)] = 835504,
  [SMALL_STATE(19134)] = 835521,
  [SMALL_STATE(19135)] = 835538,
  [SMALL_STATE(19136)] = 835555,
  [SMALL_STATE(19137)] = 835572,
  [SMALL_STATE(19138)] = 835589,
  [SMALL_STATE(19139)] = 835606,
  [SMALL_STATE(19140)] = 835623,
  [SMALL_STATE(19141)] = 835640,
  [SMALL_STATE(19142)] = 835657,
  [SMALL_STATE(19143)] = 835674,
  [SMALL_STATE(19144)] = 835691,
  [SMALL_STATE(19145)] = 835708,
  [SMALL_STATE(19146)] = 835725,
  [SMALL_STATE(19147)] = 835742,
  [SMALL_STATE(19148)] = 835759,
  [SMALL_STATE(19149)] = 835776,
  [SMALL_STATE(19150)] = 835793,
  [SMALL_STATE(19151)] = 835810,
  [SMALL_STATE(19152)] = 835827,
  [SMALL_STATE(19153)] = 835844,
  [SMALL_STATE(19154)] = 835861,
  [SMALL_STATE(19155)] = 835878,
  [SMALL_STATE(19156)] = 835895,
  [SMALL_STATE(19157)] = 835912,
  [SMALL_STATE(19158)] = 835929,
  [SMALL_STATE(19159)] = 835946,
  [SMALL_STATE(19160)] = 835963,
  [SMALL_STATE(19161)] = 835980,
  [SMALL_STATE(19162)] = 835997,
  [SMALL_STATE(19163)] = 836012,
  [SMALL_STATE(19164)] = 836029,
  [SMALL_STATE(19165)] = 836046,
  [SMALL_STATE(19166)] = 836063,
  [SMALL_STATE(19167)] = 836080,
  [SMALL_STATE(19168)] = 836097,
  [SMALL_STATE(19169)] = 836114,
  [SMALL_STATE(19170)] = 836131,
  [SMALL_STATE(19171)] = 836146,
  [SMALL_STATE(19172)] = 836163,
  [SMALL_STATE(19173)] = 836178,
  [SMALL_STATE(19174)] = 836195,
  [SMALL_STATE(19175)] = 836210,
  [SMALL_STATE(19176)] = 836227,
  [SMALL_STATE(19177)] = 836244,
  [SMALL_STATE(19178)] = 836261,
  [SMALL_STATE(19179)] = 836278,
  [SMALL_STATE(19180)] = 836295,
  [SMALL_STATE(19181)] = 836312,
  [SMALL_STATE(19182)] = 836329,
  [SMALL_STATE(19183)] = 836346,
  [SMALL_STATE(19184)] = 836361,
  [SMALL_STATE(19185)] = 836378,
  [SMALL_STATE(19186)] = 836395,
  [SMALL_STATE(19187)] = 836412,
  [SMALL_STATE(19188)] = 836429,
  [SMALL_STATE(19189)] = 836446,
  [SMALL_STATE(19190)] = 836461,
  [SMALL_STATE(19191)] = 836478,
  [SMALL_STATE(19192)] = 836495,
  [SMALL_STATE(19193)] = 836512,
  [SMALL_STATE(19194)] = 836529,
  [SMALL_STATE(19195)] = 836546,
  [SMALL_STATE(19196)] = 836563,
  [SMALL_STATE(19197)] = 836578,
  [SMALL_STATE(19198)] = 836593,
  [SMALL_STATE(19199)] = 836610,
  [SMALL_STATE(19200)] = 836625,
  [SMALL_STATE(19201)] = 836640,
  [SMALL_STATE(19202)] = 836657,
  [SMALL_STATE(19203)] = 836674,
  [SMALL_STATE(19204)] = 836689,
  [SMALL_STATE(19205)] = 836706,
  [SMALL_STATE(19206)] = 836723,
  [SMALL_STATE(19207)] = 836740,
  [SMALL_STATE(19208)] = 836757,
  [SMALL_STATE(19209)] = 836772,
  [SMALL_STATE(19210)] = 836787,
  [SMALL_STATE(19211)] = 836804,
  [SMALL_STATE(19212)] = 836819,
  [SMALL_STATE(19213)] = 836836,
  [SMALL_STATE(19214)] = 836853,
  [SMALL_STATE(19215)] = 836870,
  [SMALL_STATE(19216)] = 836885,
  [SMALL_STATE(19217)] = 836900,
  [SMALL_STATE(19218)] = 836917,
  [SMALL_STATE(19219)] = 836934,
  [SMALL_STATE(19220)] = 836951,
  [SMALL_STATE(19221)] = 836968,
  [SMALL_STATE(19222)] = 836985,
  [SMALL_STATE(19223)] = 837002,
  [SMALL_STATE(19224)] = 837019,
  [SMALL_STATE(19225)] = 837036,
  [SMALL_STATE(19226)] = 837053,
  [SMALL_STATE(19227)] = 837070,
  [SMALL_STATE(19228)] = 837087,
  [SMALL_STATE(19229)] = 837102,
  [SMALL_STATE(19230)] = 837119,
  [SMALL_STATE(19231)] = 837136,
  [SMALL_STATE(19232)] = 837153,
  [SMALL_STATE(19233)] = 837170,
  [SMALL_STATE(19234)] = 837184,
  [SMALL_STATE(19235)] = 837198,
  [SMALL_STATE(19236)] = 837212,
  [SMALL_STATE(19237)] = 837226,
  [SMALL_STATE(19238)] = 837240,
  [SMALL_STATE(19239)] = 837254,
  [SMALL_STATE(19240)] = 837268,
  [SMALL_STATE(19241)] = 837282,
  [SMALL_STATE(19242)] = 837296,
  [SMALL_STATE(19243)] = 837310,
  [SMALL_STATE(19244)] = 837324,
  [SMALL_STATE(19245)] = 837338,
  [SMALL_STATE(19246)] = 837352,
  [SMALL_STATE(19247)] = 837366,
  [SMALL_STATE(19248)] = 837380,
  [SMALL_STATE(19249)] = 837394,
  [SMALL_STATE(19250)] = 837408,
  [SMALL_STATE(19251)] = 837422,
  [SMALL_STATE(19252)] = 837436,
  [SMALL_STATE(19253)] = 837450,
  [SMALL_STATE(19254)] = 837464,
  [SMALL_STATE(19255)] = 837478,
  [SMALL_STATE(19256)] = 837492,
  [SMALL_STATE(19257)] = 837506,
  [SMALL_STATE(19258)] = 837520,
  [SMALL_STATE(19259)] = 837534,
  [SMALL_STATE(19260)] = 837548,
  [SMALL_STATE(19261)] = 837562,
  [SMALL_STATE(19262)] = 837576,
  [SMALL_STATE(19263)] = 837590,
  [SMALL_STATE(19264)] = 837604,
  [SMALL_STATE(19265)] = 837618,
  [SMALL_STATE(19266)] = 837632,
  [SMALL_STATE(19267)] = 837646,
  [SMALL_STATE(19268)] = 837660,
  [SMALL_STATE(19269)] = 837674,
  [SMALL_STATE(19270)] = 837688,
  [SMALL_STATE(19271)] = 837702,
  [SMALL_STATE(19272)] = 837716,
  [SMALL_STATE(19273)] = 837730,
  [SMALL_STATE(19274)] = 837744,
  [SMALL_STATE(19275)] = 837758,
  [SMALL_STATE(19276)] = 837772,
  [SMALL_STATE(19277)] = 837786,
  [SMALL_STATE(19278)] = 837800,
  [SMALL_STATE(19279)] = 837814,
  [SMALL_STATE(19280)] = 837828,
  [SMALL_STATE(19281)] = 837842,
  [SMALL_STATE(19282)] = 837856,
  [SMALL_STATE(19283)] = 837870,
  [SMALL_STATE(19284)] = 837884,
  [SMALL_STATE(19285)] = 837898,
  [SMALL_STATE(19286)] = 837912,
  [SMALL_STATE(19287)] = 837926,
  [SMALL_STATE(19288)] = 837940,
  [SMALL_STATE(19289)] = 837954,
  [SMALL_STATE(19290)] = 837968,
  [SMALL_STATE(19291)] = 837982,
  [SMALL_STATE(19292)] = 837996,
  [SMALL_STATE(19293)] = 838010,
  [SMALL_STATE(19294)] = 838024,
  [SMALL_STATE(19295)] = 838038,
  [SMALL_STATE(19296)] = 838052,
  [SMALL_STATE(19297)] = 838066,
  [SMALL_STATE(19298)] = 838080,
  [SMALL_STATE(19299)] = 838094,
  [SMALL_STATE(19300)] = 838108,
  [SMALL_STATE(19301)] = 838122,
  [SMALL_STATE(19302)] = 838136,
  [SMALL_STATE(19303)] = 838150,
  [SMALL_STATE(19304)] = 838164,
  [SMALL_STATE(19305)] = 838178,
  [SMALL_STATE(19306)] = 838192,
  [SMALL_STATE(19307)] = 838206,
  [SMALL_STATE(19308)] = 838220,
  [SMALL_STATE(19309)] = 838234,
  [SMALL_STATE(19310)] = 838248,
  [SMALL_STATE(19311)] = 838262,
  [SMALL_STATE(19312)] = 838276,
  [SMALL_STATE(19313)] = 838290,
  [SMALL_STATE(19314)] = 838304,
  [SMALL_STATE(19315)] = 838318,
  [SMALL_STATE(19316)] = 838332,
  [SMALL_STATE(19317)] = 838346,
  [SMALL_STATE(19318)] = 838360,
  [SMALL_STATE(19319)] = 838374,
  [SMALL_STATE(19320)] = 838388,
  [SMALL_STATE(19321)] = 838402,
  [SMALL_STATE(19322)] = 838416,
  [SMALL_STATE(19323)] = 838430,
  [SMALL_STATE(19324)] = 838444,
  [SMALL_STATE(19325)] = 838458,
  [SMALL_STATE(19326)] = 838472,
  [SMALL_STATE(19327)] = 838486,
  [SMALL_STATE(19328)] = 838500,
  [SMALL_STATE(19329)] = 838514,
  [SMALL_STATE(19330)] = 838528,
  [SMALL_STATE(19331)] = 838542,
  [SMALL_STATE(19332)] = 838556,
  [SMALL_STATE(19333)] = 838570,
  [SMALL_STATE(19334)] = 838584,
  [SMALL_STATE(19335)] = 838598,
  [SMALL_STATE(19336)] = 838612,
  [SMALL_STATE(19337)] = 838626,
  [SMALL_STATE(19338)] = 838640,
  [SMALL_STATE(19339)] = 838654,
  [SMALL_STATE(19340)] = 838668,
  [SMALL_STATE(19341)] = 838682,
  [SMALL_STATE(19342)] = 838696,
  [SMALL_STATE(19343)] = 838710,
  [SMALL_STATE(19344)] = 838724,
  [SMALL_STATE(19345)] = 838738,
  [SMALL_STATE(19346)] = 838752,
  [SMALL_STATE(19347)] = 838766,
  [SMALL_STATE(19348)] = 838780,
  [SMALL_STATE(19349)] = 838794,
  [SMALL_STATE(19350)] = 838808,
  [SMALL_STATE(19351)] = 838822,
  [SMALL_STATE(19352)] = 838836,
  [SMALL_STATE(19353)] = 838850,
  [SMALL_STATE(19354)] = 838864,
  [SMALL_STATE(19355)] = 838878,
  [SMALL_STATE(19356)] = 838892,
  [SMALL_STATE(19357)] = 838906,
  [SMALL_STATE(19358)] = 838920,
  [SMALL_STATE(19359)] = 838934,
  [SMALL_STATE(19360)] = 838948,
  [SMALL_STATE(19361)] = 838962,
  [SMALL_STATE(19362)] = 838976,
  [SMALL_STATE(19363)] = 838990,
  [SMALL_STATE(19364)] = 839004,
  [SMALL_STATE(19365)] = 839018,
  [SMALL_STATE(19366)] = 839032,
  [SMALL_STATE(19367)] = 839046,
  [SMALL_STATE(19368)] = 839060,
  [SMALL_STATE(19369)] = 839074,
  [SMALL_STATE(19370)] = 839088,
  [SMALL_STATE(19371)] = 839102,
  [SMALL_STATE(19372)] = 839116,
  [SMALL_STATE(19373)] = 839130,
  [SMALL_STATE(19374)] = 839144,
  [SMALL_STATE(19375)] = 839158,
  [SMALL_STATE(19376)] = 839172,
  [SMALL_STATE(19377)] = 839186,
  [SMALL_STATE(19378)] = 839200,
  [SMALL_STATE(19379)] = 839214,
  [SMALL_STATE(19380)] = 839228,
  [SMALL_STATE(19381)] = 839242,
  [SMALL_STATE(19382)] = 839256,
  [SMALL_STATE(19383)] = 839270,
  [SMALL_STATE(19384)] = 839284,
  [SMALL_STATE(19385)] = 839298,
  [SMALL_STATE(19386)] = 839312,
  [SMALL_STATE(19387)] = 839326,
  [SMALL_STATE(19388)] = 839340,
  [SMALL_STATE(19389)] = 839354,
  [SMALL_STATE(19390)] = 839368,
  [SMALL_STATE(19391)] = 839382,
  [SMALL_STATE(19392)] = 839396,
  [SMALL_STATE(19393)] = 839410,
  [SMALL_STATE(19394)] = 839424,
  [SMALL_STATE(19395)] = 839438,
  [SMALL_STATE(19396)] = 839452,
  [SMALL_STATE(19397)] = 839466,
  [SMALL_STATE(19398)] = 839480,
  [SMALL_STATE(19399)] = 839494,
  [SMALL_STATE(19400)] = 839508,
  [SMALL_STATE(19401)] = 839522,
  [SMALL_STATE(19402)] = 839536,
  [SMALL_STATE(19403)] = 839550,
  [SMALL_STATE(19404)] = 839564,
  [SMALL_STATE(19405)] = 839578,
  [SMALL_STATE(19406)] = 839592,
  [SMALL_STATE(19407)] = 839606,
  [SMALL_STATE(19408)] = 839620,
  [SMALL_STATE(19409)] = 839634,
  [SMALL_STATE(19410)] = 839648,
  [SMALL_STATE(19411)] = 839662,
  [SMALL_STATE(19412)] = 839676,
  [SMALL_STATE(19413)] = 839690,
  [SMALL_STATE(19414)] = 839704,
  [SMALL_STATE(19415)] = 839718,
  [SMALL_STATE(19416)] = 839732,
  [SMALL_STATE(19417)] = 839746,
  [SMALL_STATE(19418)] = 839760,
  [SMALL_STATE(19419)] = 839774,
  [SMALL_STATE(19420)] = 839788,
  [SMALL_STATE(19421)] = 839802,
  [SMALL_STATE(19422)] = 839816,
  [SMALL_STATE(19423)] = 839830,
  [SMALL_STATE(19424)] = 839844,
  [SMALL_STATE(19425)] = 839858,
  [SMALL_STATE(19426)] = 839872,
  [SMALL_STATE(19427)] = 839886,
  [SMALL_STATE(19428)] = 839900,
  [SMALL_STATE(19429)] = 839914,
  [SMALL_STATE(19430)] = 839928,
  [SMALL_STATE(19431)] = 839942,
  [SMALL_STATE(19432)] = 839956,
  [SMALL_STATE(19433)] = 839970,
  [SMALL_STATE(19434)] = 839984,
  [SMALL_STATE(19435)] = 839998,
  [SMALL_STATE(19436)] = 840012,
  [SMALL_STATE(19437)] = 840026,
  [SMALL_STATE(19438)] = 840040,
  [SMALL_STATE(19439)] = 840054,
  [SMALL_STATE(19440)] = 840068,
  [SMALL_STATE(19441)] = 840082,
  [SMALL_STATE(19442)] = 840096,
  [SMALL_STATE(19443)] = 840110,
  [SMALL_STATE(19444)] = 840124,
  [SMALL_STATE(19445)] = 840138,
  [SMALL_STATE(19446)] = 840152,
  [SMALL_STATE(19447)] = 840166,
  [SMALL_STATE(19448)] = 840180,
  [SMALL_STATE(19449)] = 840194,
  [SMALL_STATE(19450)] = 840208,
  [SMALL_STATE(19451)] = 840222,
  [SMALL_STATE(19452)] = 840236,
  [SMALL_STATE(19453)] = 840250,
  [SMALL_STATE(19454)] = 840264,
  [SMALL_STATE(19455)] = 840278,
  [SMALL_STATE(19456)] = 840292,
  [SMALL_STATE(19457)] = 840306,
  [SMALL_STATE(19458)] = 840320,
  [SMALL_STATE(19459)] = 840334,
  [SMALL_STATE(19460)] = 840348,
  [SMALL_STATE(19461)] = 840362,
  [SMALL_STATE(19462)] = 840376,
  [SMALL_STATE(19463)] = 840390,
  [SMALL_STATE(19464)] = 840404,
  [SMALL_STATE(19465)] = 840418,
  [SMALL_STATE(19466)] = 840432,
  [SMALL_STATE(19467)] = 840446,
  [SMALL_STATE(19468)] = 840460,
  [SMALL_STATE(19469)] = 840474,
  [SMALL_STATE(19470)] = 840488,
  [SMALL_STATE(19471)] = 840502,
  [SMALL_STATE(19472)] = 840516,
  [SMALL_STATE(19473)] = 840530,
  [SMALL_STATE(19474)] = 840544,
  [SMALL_STATE(19475)] = 840558,
  [SMALL_STATE(19476)] = 840572,
  [SMALL_STATE(19477)] = 840586,
  [SMALL_STATE(19478)] = 840600,
  [SMALL_STATE(19479)] = 840614,
  [SMALL_STATE(19480)] = 840628,
  [SMALL_STATE(19481)] = 840642,
  [SMALL_STATE(19482)] = 840656,
  [SMALL_STATE(19483)] = 840670,
  [SMALL_STATE(19484)] = 840684,
  [SMALL_STATE(19485)] = 840698,
  [SMALL_STATE(19486)] = 840712,
  [SMALL_STATE(19487)] = 840726,
  [SMALL_STATE(19488)] = 840740,
  [SMALL_STATE(19489)] = 840754,
  [SMALL_STATE(19490)] = 840768,
  [SMALL_STATE(19491)] = 840782,
  [SMALL_STATE(19492)] = 840796,
  [SMALL_STATE(19493)] = 840810,
  [SMALL_STATE(19494)] = 840824,
  [SMALL_STATE(19495)] = 840838,
  [SMALL_STATE(19496)] = 840852,
  [SMALL_STATE(19497)] = 840866,
  [SMALL_STATE(19498)] = 840880,
  [SMALL_STATE(19499)] = 840894,
  [SMALL_STATE(19500)] = 840908,
  [SMALL_STATE(19501)] = 840922,
  [SMALL_STATE(19502)] = 840936,
  [SMALL_STATE(19503)] = 840950,
  [SMALL_STATE(19504)] = 840964,
  [SMALL_STATE(19505)] = 840978,
  [SMALL_STATE(19506)] = 840992,
  [SMALL_STATE(19507)] = 841006,
  [SMALL_STATE(19508)] = 841020,
  [SMALL_STATE(19509)] = 841034,
  [SMALL_STATE(19510)] = 841048,
  [SMALL_STATE(19511)] = 841062,
  [SMALL_STATE(19512)] = 841076,
  [SMALL_STATE(19513)] = 841090,
  [SMALL_STATE(19514)] = 841104,
  [SMALL_STATE(19515)] = 841118,
  [SMALL_STATE(19516)] = 841132,
  [SMALL_STATE(19517)] = 841146,
  [SMALL_STATE(19518)] = 841160,
  [SMALL_STATE(19519)] = 841174,
  [SMALL_STATE(19520)] = 841188,
  [SMALL_STATE(19521)] = 841202,
  [SMALL_STATE(19522)] = 841216,
  [SMALL_STATE(19523)] = 841230,
  [SMALL_STATE(19524)] = 841244,
  [SMALL_STATE(19525)] = 841258,
  [SMALL_STATE(19526)] = 841272,
  [SMALL_STATE(19527)] = 841286,
  [SMALL_STATE(19528)] = 841300,
  [SMALL_STATE(19529)] = 841314,
  [SMALL_STATE(19530)] = 841328,
  [SMALL_STATE(19531)] = 841342,
  [SMALL_STATE(19532)] = 841356,
  [SMALL_STATE(19533)] = 841370,
  [SMALL_STATE(19534)] = 841384,
  [SMALL_STATE(19535)] = 841398,
  [SMALL_STATE(19536)] = 841412,
  [SMALL_STATE(19537)] = 841426,
  [SMALL_STATE(19538)] = 841440,
  [SMALL_STATE(19539)] = 841454,
  [SMALL_STATE(19540)] = 841468,
  [SMALL_STATE(19541)] = 841482,
  [SMALL_STATE(19542)] = 841496,
  [SMALL_STATE(19543)] = 841510,
  [SMALL_STATE(19544)] = 841524,
  [SMALL_STATE(19545)] = 841538,
  [SMALL_STATE(19546)] = 841552,
  [SMALL_STATE(19547)] = 841566,
  [SMALL_STATE(19548)] = 841580,
  [SMALL_STATE(19549)] = 841594,
  [SMALL_STATE(19550)] = 841608,
  [SMALL_STATE(19551)] = 841622,
  [SMALL_STATE(19552)] = 841636,
  [SMALL_STATE(19553)] = 841650,
  [SMALL_STATE(19554)] = 841664,
  [SMALL_STATE(19555)] = 841678,
  [SMALL_STATE(19556)] = 841692,
  [SMALL_STATE(19557)] = 841706,
  [SMALL_STATE(19558)] = 841720,
  [SMALL_STATE(19559)] = 841734,
  [SMALL_STATE(19560)] = 841748,
  [SMALL_STATE(19561)] = 841762,
  [SMALL_STATE(19562)] = 841776,
  [SMALL_STATE(19563)] = 841790,
  [SMALL_STATE(19564)] = 841804,
  [SMALL_STATE(19565)] = 841818,
  [SMALL_STATE(19566)] = 841832,
  [SMALL_STATE(19567)] = 841846,
  [SMALL_STATE(19568)] = 841860,
  [SMALL_STATE(19569)] = 841874,
  [SMALL_STATE(19570)] = 841888,
  [SMALL_STATE(19571)] = 841902,
  [SMALL_STATE(19572)] = 841916,
  [SMALL_STATE(19573)] = 841930,
  [SMALL_STATE(19574)] = 841944,
  [SMALL_STATE(19575)] = 841958,
  [SMALL_STATE(19576)] = 841972,
  [SMALL_STATE(19577)] = 841986,
  [SMALL_STATE(19578)] = 842000,
  [SMALL_STATE(19579)] = 842014,
  [SMALL_STATE(19580)] = 842028,
  [SMALL_STATE(19581)] = 842042,
  [SMALL_STATE(19582)] = 842056,
  [SMALL_STATE(19583)] = 842070,
  [SMALL_STATE(19584)] = 842084,
  [SMALL_STATE(19585)] = 842098,
  [SMALL_STATE(19586)] = 842112,
  [SMALL_STATE(19587)] = 842126,
  [SMALL_STATE(19588)] = 842140,
  [SMALL_STATE(19589)] = 842154,
  [SMALL_STATE(19590)] = 842168,
  [SMALL_STATE(19591)] = 842182,
  [SMALL_STATE(19592)] = 842196,
  [SMALL_STATE(19593)] = 842210,
  [SMALL_STATE(19594)] = 842224,
  [SMALL_STATE(19595)] = 842238,
  [SMALL_STATE(19596)] = 842252,
  [SMALL_STATE(19597)] = 842266,
  [SMALL_STATE(19598)] = 842280,
  [SMALL_STATE(19599)] = 842294,
  [SMALL_STATE(19600)] = 842308,
  [SMALL_STATE(19601)] = 842322,
  [SMALL_STATE(19602)] = 842336,
  [SMALL_STATE(19603)] = 842350,
  [SMALL_STATE(19604)] = 842364,
  [SMALL_STATE(19605)] = 842378,
  [SMALL_STATE(19606)] = 842392,
  [SMALL_STATE(19607)] = 842406,
  [SMALL_STATE(19608)] = 842420,
  [SMALL_STATE(19609)] = 842434,
  [SMALL_STATE(19610)] = 842448,
  [SMALL_STATE(19611)] = 842462,
  [SMALL_STATE(19612)] = 842476,
  [SMALL_STATE(19613)] = 842490,
  [SMALL_STATE(19614)] = 842504,
  [SMALL_STATE(19615)] = 842518,
  [SMALL_STATE(19616)] = 842532,
  [SMALL_STATE(19617)] = 842546,
  [SMALL_STATE(19618)] = 842560,
  [SMALL_STATE(19619)] = 842574,
  [SMALL_STATE(19620)] = 842588,
  [SMALL_STATE(19621)] = 842602,
  [SMALL_STATE(19622)] = 842616,
  [SMALL_STATE(19623)] = 842630,
  [SMALL_STATE(19624)] = 842644,
  [SMALL_STATE(19625)] = 842658,
  [SMALL_STATE(19626)] = 842672,
  [SMALL_STATE(19627)] = 842686,
  [SMALL_STATE(19628)] = 842700,
  [SMALL_STATE(19629)] = 842714,
  [SMALL_STATE(19630)] = 842728,
  [SMALL_STATE(19631)] = 842742,
  [SMALL_STATE(19632)] = 842756,
  [SMALL_STATE(19633)] = 842770,
  [SMALL_STATE(19634)] = 842784,
  [SMALL_STATE(19635)] = 842798,
  [SMALL_STATE(19636)] = 842812,
  [SMALL_STATE(19637)] = 842826,
  [SMALL_STATE(19638)] = 842840,
  [SMALL_STATE(19639)] = 842854,
  [SMALL_STATE(19640)] = 842868,
  [SMALL_STATE(19641)] = 842882,
  [SMALL_STATE(19642)] = 842896,
  [SMALL_STATE(19643)] = 842910,
  [SMALL_STATE(19644)] = 842924,
  [SMALL_STATE(19645)] = 842938,
  [SMALL_STATE(19646)] = 842952,
  [SMALL_STATE(19647)] = 842966,
  [SMALL_STATE(19648)] = 842980,
  [SMALL_STATE(19649)] = 842994,
  [SMALL_STATE(19650)] = 843008,
  [SMALL_STATE(19651)] = 843022,
  [SMALL_STATE(19652)] = 843036,
  [SMALL_STATE(19653)] = 843050,
  [SMALL_STATE(19654)] = 843064,
  [SMALL_STATE(19655)] = 843078,
  [SMALL_STATE(19656)] = 843092,
  [SMALL_STATE(19657)] = 843106,
  [SMALL_STATE(19658)] = 843120,
  [SMALL_STATE(19659)] = 843134,
  [SMALL_STATE(19660)] = 843148,
  [SMALL_STATE(19661)] = 843162,
  [SMALL_STATE(19662)] = 843176,
  [SMALL_STATE(19663)] = 843190,
  [SMALL_STATE(19664)] = 843204,
  [SMALL_STATE(19665)] = 843218,
  [SMALL_STATE(19666)] = 843232,
  [SMALL_STATE(19667)] = 843246,
  [SMALL_STATE(19668)] = 843260,
  [SMALL_STATE(19669)] = 843274,
  [SMALL_STATE(19670)] = 843288,
  [SMALL_STATE(19671)] = 843302,
  [SMALL_STATE(19672)] = 843316,
  [SMALL_STATE(19673)] = 843330,
  [SMALL_STATE(19674)] = 843344,
  [SMALL_STATE(19675)] = 843358,
  [SMALL_STATE(19676)] = 843372,
  [SMALL_STATE(19677)] = 843386,
  [SMALL_STATE(19678)] = 843400,
  [SMALL_STATE(19679)] = 843414,
  [SMALL_STATE(19680)] = 843428,
  [SMALL_STATE(19681)] = 843442,
  [SMALL_STATE(19682)] = 843456,
  [SMALL_STATE(19683)] = 843470,
  [SMALL_STATE(19684)] = 843484,
  [SMALL_STATE(19685)] = 843498,
  [SMALL_STATE(19686)] = 843512,
  [SMALL_STATE(19687)] = 843526,
  [SMALL_STATE(19688)] = 843540,
  [SMALL_STATE(19689)] = 843554,
  [SMALL_STATE(19690)] = 843568,
  [SMALL_STATE(19691)] = 843582,
  [SMALL_STATE(19692)] = 843596,
  [SMALL_STATE(19693)] = 843610,
  [SMALL_STATE(19694)] = 843624,
  [SMALL_STATE(19695)] = 843638,
  [SMALL_STATE(19696)] = 843652,
  [SMALL_STATE(19697)] = 843666,
  [SMALL_STATE(19698)] = 843680,
  [SMALL_STATE(19699)] = 843694,
  [SMALL_STATE(19700)] = 843708,
  [SMALL_STATE(19701)] = 843722,
  [SMALL_STATE(19702)] = 843736,
  [SMALL_STATE(19703)] = 843750,
  [SMALL_STATE(19704)] = 843764,
  [SMALL_STATE(19705)] = 843778,
  [SMALL_STATE(19706)] = 843792,
  [SMALL_STATE(19707)] = 843806,
  [SMALL_STATE(19708)] = 843820,
  [SMALL_STATE(19709)] = 843834,
  [SMALL_STATE(19710)] = 843848,
  [SMALL_STATE(19711)] = 843862,
  [SMALL_STATE(19712)] = 843876,
  [SMALL_STATE(19713)] = 843890,
  [SMALL_STATE(19714)] = 843904,
  [SMALL_STATE(19715)] = 843918,
  [SMALL_STATE(19716)] = 843932,
  [SMALL_STATE(19717)] = 843946,
  [SMALL_STATE(19718)] = 843960,
  [SMALL_STATE(19719)] = 843974,
  [SMALL_STATE(19720)] = 843988,
  [SMALL_STATE(19721)] = 844002,
  [SMALL_STATE(19722)] = 844016,
  [SMALL_STATE(19723)] = 844030,
  [SMALL_STATE(19724)] = 844044,
  [SMALL_STATE(19725)] = 844058,
  [SMALL_STATE(19726)] = 844072,
  [SMALL_STATE(19727)] = 844086,
  [SMALL_STATE(19728)] = 844100,
  [SMALL_STATE(19729)] = 844114,
  [SMALL_STATE(19730)] = 844128,
  [SMALL_STATE(19731)] = 844142,
  [SMALL_STATE(19732)] = 844156,
  [SMALL_STATE(19733)] = 844170,
  [SMALL_STATE(19734)] = 844184,
  [SMALL_STATE(19735)] = 844198,
  [SMALL_STATE(19736)] = 844212,
  [SMALL_STATE(19737)] = 844226,
  [SMALL_STATE(19738)] = 844240,
  [SMALL_STATE(19739)] = 844254,
  [SMALL_STATE(19740)] = 844268,
  [SMALL_STATE(19741)] = 844282,
  [SMALL_STATE(19742)] = 844296,
  [SMALL_STATE(19743)] = 844310,
  [SMALL_STATE(19744)] = 844324,
  [SMALL_STATE(19745)] = 844338,
  [SMALL_STATE(19746)] = 844352,
  [SMALL_STATE(19747)] = 844366,
  [SMALL_STATE(19748)] = 844380,
  [SMALL_STATE(19749)] = 844394,
  [SMALL_STATE(19750)] = 844408,
  [SMALL_STATE(19751)] = 844422,
  [SMALL_STATE(19752)] = 844436,
  [SMALL_STATE(19753)] = 844450,
  [SMALL_STATE(19754)] = 844464,
  [SMALL_STATE(19755)] = 844478,
  [SMALL_STATE(19756)] = 844492,
  [SMALL_STATE(19757)] = 844506,
  [SMALL_STATE(19758)] = 844520,
  [SMALL_STATE(19759)] = 844534,
  [SMALL_STATE(19760)] = 844548,
  [SMALL_STATE(19761)] = 844562,
  [SMALL_STATE(19762)] = 844576,
  [SMALL_STATE(19763)] = 844590,
  [SMALL_STATE(19764)] = 844604,
  [SMALL_STATE(19765)] = 844618,
  [SMALL_STATE(19766)] = 844632,
  [SMALL_STATE(19767)] = 844646,
  [SMALL_STATE(19768)] = 844660,
  [SMALL_STATE(19769)] = 844674,
  [SMALL_STATE(19770)] = 844688,
  [SMALL_STATE(19771)] = 844702,
  [SMALL_STATE(19772)] = 844716,
  [SMALL_STATE(19773)] = 844730,
  [SMALL_STATE(19774)] = 844744,
  [SMALL_STATE(19775)] = 844758,
  [SMALL_STATE(19776)] = 844772,
  [SMALL_STATE(19777)] = 844786,
  [SMALL_STATE(19778)] = 844800,
  [SMALL_STATE(19779)] = 844814,
  [SMALL_STATE(19780)] = 844828,
  [SMALL_STATE(19781)] = 844842,
  [SMALL_STATE(19782)] = 844856,
  [SMALL_STATE(19783)] = 844870,
  [SMALL_STATE(19784)] = 844884,
  [SMALL_STATE(19785)] = 844898,
  [SMALL_STATE(19786)] = 844912,
  [SMALL_STATE(19787)] = 844926,
  [SMALL_STATE(19788)] = 844940,
  [SMALL_STATE(19789)] = 844954,
  [SMALL_STATE(19790)] = 844968,
  [SMALL_STATE(19791)] = 844982,
  [SMALL_STATE(19792)] = 844996,
  [SMALL_STATE(19793)] = 845010,
  [SMALL_STATE(19794)] = 845024,
  [SMALL_STATE(19795)] = 845038,
  [SMALL_STATE(19796)] = 845052,
  [SMALL_STATE(19797)] = 845066,
  [SMALL_STATE(19798)] = 845080,
  [SMALL_STATE(19799)] = 845094,
  [SMALL_STATE(19800)] = 845108,
  [SMALL_STATE(19801)] = 845122,
  [SMALL_STATE(19802)] = 845136,
  [SMALL_STATE(19803)] = 845150,
  [SMALL_STATE(19804)] = 845164,
  [SMALL_STATE(19805)] = 845178,
  [SMALL_STATE(19806)] = 845192,
  [SMALL_STATE(19807)] = 845206,
  [SMALL_STATE(19808)] = 845220,
  [SMALL_STATE(19809)] = 845234,
  [SMALL_STATE(19810)] = 845248,
  [SMALL_STATE(19811)] = 845262,
  [SMALL_STATE(19812)] = 845276,
  [SMALL_STATE(19813)] = 845290,
  [SMALL_STATE(19814)] = 845304,
  [SMALL_STATE(19815)] = 845318,
  [SMALL_STATE(19816)] = 845332,
  [SMALL_STATE(19817)] = 845346,
  [SMALL_STATE(19818)] = 845360,
  [SMALL_STATE(19819)] = 845374,
  [SMALL_STATE(19820)] = 845388,
  [SMALL_STATE(19821)] = 845402,
  [SMALL_STATE(19822)] = 845416,
  [SMALL_STATE(19823)] = 845430,
  [SMALL_STATE(19824)] = 845444,
  [SMALL_STATE(19825)] = 845458,
  [SMALL_STATE(19826)] = 845472,
  [SMALL_STATE(19827)] = 845486,
  [SMALL_STATE(19828)] = 845500,
  [SMALL_STATE(19829)] = 845514,
  [SMALL_STATE(19830)] = 845528,
  [SMALL_STATE(19831)] = 845542,
  [SMALL_STATE(19832)] = 845556,
  [SMALL_STATE(19833)] = 845570,
  [SMALL_STATE(19834)] = 845584,
  [SMALL_STATE(19835)] = 845598,
  [SMALL_STATE(19836)] = 845612,
  [SMALL_STATE(19837)] = 845626,
  [SMALL_STATE(19838)] = 845640,
  [SMALL_STATE(19839)] = 845654,
  [SMALL_STATE(19840)] = 845668,
  [SMALL_STATE(19841)] = 845682,
  [SMALL_STATE(19842)] = 845696,
  [SMALL_STATE(19843)] = 845710,
  [SMALL_STATE(19844)] = 845724,
  [SMALL_STATE(19845)] = 845738,
  [SMALL_STATE(19846)] = 845752,
  [SMALL_STATE(19847)] = 845766,
  [SMALL_STATE(19848)] = 845780,
  [SMALL_STATE(19849)] = 845794,
  [SMALL_STATE(19850)] = 845808,
  [SMALL_STATE(19851)] = 845822,
  [SMALL_STATE(19852)] = 845836,
  [SMALL_STATE(19853)] = 845850,
  [SMALL_STATE(19854)] = 845864,
  [SMALL_STATE(19855)] = 845878,
  [SMALL_STATE(19856)] = 845892,
  [SMALL_STATE(19857)] = 845906,
  [SMALL_STATE(19858)] = 845920,
  [SMALL_STATE(19859)] = 845934,
  [SMALL_STATE(19860)] = 845948,
  [SMALL_STATE(19861)] = 845962,
  [SMALL_STATE(19862)] = 845976,
  [SMALL_STATE(19863)] = 845990,
  [SMALL_STATE(19864)] = 846004,
  [SMALL_STATE(19865)] = 846018,
  [SMALL_STATE(19866)] = 846032,
  [SMALL_STATE(19867)] = 846046,
  [SMALL_STATE(19868)] = 846060,
  [SMALL_STATE(19869)] = 846074,
  [SMALL_STATE(19870)] = 846088,
  [SMALL_STATE(19871)] = 846102,
  [SMALL_STATE(19872)] = 846116,
  [SMALL_STATE(19873)] = 846130,
  [SMALL_STATE(19874)] = 846144,
  [SMALL_STATE(19875)] = 846158,
  [SMALL_STATE(19876)] = 846172,
  [SMALL_STATE(19877)] = 846186,
  [SMALL_STATE(19878)] = 846200,
  [SMALL_STATE(19879)] = 846214,
  [SMALL_STATE(19880)] = 846228,
  [SMALL_STATE(19881)] = 846242,
  [SMALL_STATE(19882)] = 846256,
  [SMALL_STATE(19883)] = 846270,
  [SMALL_STATE(19884)] = 846284,
  [SMALL_STATE(19885)] = 846298,
  [SMALL_STATE(19886)] = 846312,
  [SMALL_STATE(19887)] = 846326,
  [SMALL_STATE(19888)] = 846340,
  [SMALL_STATE(19889)] = 846354,
  [SMALL_STATE(19890)] = 846368,
  [SMALL_STATE(19891)] = 846382,
  [SMALL_STATE(19892)] = 846396,
  [SMALL_STATE(19893)] = 846410,
  [SMALL_STATE(19894)] = 846424,
  [SMALL_STATE(19895)] = 846438,
  [SMALL_STATE(19896)] = 846452,
  [SMALL_STATE(19897)] = 846466,
  [SMALL_STATE(19898)] = 846480,
  [SMALL_STATE(19899)] = 846494,
  [SMALL_STATE(19900)] = 846508,
  [SMALL_STATE(19901)] = 846522,
  [SMALL_STATE(19902)] = 846536,
  [SMALL_STATE(19903)] = 846550,
  [SMALL_STATE(19904)] = 846564,
  [SMALL_STATE(19905)] = 846578,
  [SMALL_STATE(19906)] = 846592,
  [SMALL_STATE(19907)] = 846606,
  [SMALL_STATE(19908)] = 846620,
  [SMALL_STATE(19909)] = 846634,
  [SMALL_STATE(19910)] = 846648,
  [SMALL_STATE(19911)] = 846662,
  [SMALL_STATE(19912)] = 846676,
  [SMALL_STATE(19913)] = 846690,
  [SMALL_STATE(19914)] = 846704,
  [SMALL_STATE(19915)] = 846718,
  [SMALL_STATE(19916)] = 846732,
  [SMALL_STATE(19917)] = 846746,
  [SMALL_STATE(19918)] = 846760,
  [SMALL_STATE(19919)] = 846774,
  [SMALL_STATE(19920)] = 846788,
  [SMALL_STATE(19921)] = 846802,
  [SMALL_STATE(19922)] = 846816,
  [SMALL_STATE(19923)] = 846830,
  [SMALL_STATE(19924)] = 846844,
  [SMALL_STATE(19925)] = 846858,
  [SMALL_STATE(19926)] = 846872,
  [SMALL_STATE(19927)] = 846886,
  [SMALL_STATE(19928)] = 846900,
  [SMALL_STATE(19929)] = 846914,
  [SMALL_STATE(19930)] = 846928,
  [SMALL_STATE(19931)] = 846942,
  [SMALL_STATE(19932)] = 846956,
  [SMALL_STATE(19933)] = 846970,
  [SMALL_STATE(19934)] = 846984,
  [SMALL_STATE(19935)] = 846998,
  [SMALL_STATE(19936)] = 847012,
  [SMALL_STATE(19937)] = 847026,
  [SMALL_STATE(19938)] = 847040,
  [SMALL_STATE(19939)] = 847054,
  [SMALL_STATE(19940)] = 847068,
  [SMALL_STATE(19941)] = 847082,
  [SMALL_STATE(19942)] = 847096,
  [SMALL_STATE(19943)] = 847110,
  [SMALL_STATE(19944)] = 847124,
  [SMALL_STATE(19945)] = 847138,
  [SMALL_STATE(19946)] = 847152,
  [SMALL_STATE(19947)] = 847166,
  [SMALL_STATE(19948)] = 847180,
  [SMALL_STATE(19949)] = 847194,
  [SMALL_STATE(19950)] = 847208,
  [SMALL_STATE(19951)] = 847222,
  [SMALL_STATE(19952)] = 847236,
  [SMALL_STATE(19953)] = 847250,
  [SMALL_STATE(19954)] = 847264,
  [SMALL_STATE(19955)] = 847278,
  [SMALL_STATE(19956)] = 847292,
  [SMALL_STATE(19957)] = 847306,
  [SMALL_STATE(19958)] = 847320,
  [SMALL_STATE(19959)] = 847334,
  [SMALL_STATE(19960)] = 847348,
  [SMALL_STATE(19961)] = 847362,
  [SMALL_STATE(19962)] = 847376,
  [SMALL_STATE(19963)] = 847390,
  [SMALL_STATE(19964)] = 847404,
  [SMALL_STATE(19965)] = 847418,
  [SMALL_STATE(19966)] = 847432,
  [SMALL_STATE(19967)] = 847446,
  [SMALL_STATE(19968)] = 847460,
  [SMALL_STATE(19969)] = 847474,
  [SMALL_STATE(19970)] = 847488,
  [SMALL_STATE(19971)] = 847502,
  [SMALL_STATE(19972)] = 847516,
  [SMALL_STATE(19973)] = 847530,
  [SMALL_STATE(19974)] = 847544,
  [SMALL_STATE(19975)] = 847558,
  [SMALL_STATE(19976)] = 847572,
  [SMALL_STATE(19977)] = 847586,
  [SMALL_STATE(19978)] = 847600,
  [SMALL_STATE(19979)] = 847614,
  [SMALL_STATE(19980)] = 847628,
  [SMALL_STATE(19981)] = 847642,
  [SMALL_STATE(19982)] = 847656,
  [SMALL_STATE(19983)] = 847670,
  [SMALL_STATE(19984)] = 847684,
  [SMALL_STATE(19985)] = 847698,
  [SMALL_STATE(19986)] = 847712,
  [SMALL_STATE(19987)] = 847726,
  [SMALL_STATE(19988)] = 847740,
  [SMALL_STATE(19989)] = 847754,
  [SMALL_STATE(19990)] = 847768,
  [SMALL_STATE(19991)] = 847782,
  [SMALL_STATE(19992)] = 847796,
  [SMALL_STATE(19993)] = 847810,
  [SMALL_STATE(19994)] = 847824,
  [SMALL_STATE(19995)] = 847838,
  [SMALL_STATE(19996)] = 847852,
  [SMALL_STATE(19997)] = 847866,
  [SMALL_STATE(19998)] = 847880,
  [SMALL_STATE(19999)] = 847894,
  [SMALL_STATE(20000)] = 847908,
  [SMALL_STATE(20001)] = 847922,
  [SMALL_STATE(20002)] = 847936,
  [SMALL_STATE(20003)] = 847950,
  [SMALL_STATE(20004)] = 847964,
  [SMALL_STATE(20005)] = 847978,
  [SMALL_STATE(20006)] = 847992,
  [SMALL_STATE(20007)] = 848006,
  [SMALL_STATE(20008)] = 848020,
  [SMALL_STATE(20009)] = 848034,
  [SMALL_STATE(20010)] = 848048,
  [SMALL_STATE(20011)] = 848062,
  [SMALL_STATE(20012)] = 848076,
  [SMALL_STATE(20013)] = 848090,
  [SMALL_STATE(20014)] = 848104,
  [SMALL_STATE(20015)] = 848118,
  [SMALL_STATE(20016)] = 848132,
  [SMALL_STATE(20017)] = 848146,
  [SMALL_STATE(20018)] = 848160,
  [SMALL_STATE(20019)] = 848174,
  [SMALL_STATE(20020)] = 848188,
  [SMALL_STATE(20021)] = 848202,
  [SMALL_STATE(20022)] = 848216,
  [SMALL_STATE(20023)] = 848230,
  [SMALL_STATE(20024)] = 848244,
  [SMALL_STATE(20025)] = 848258,
  [SMALL_STATE(20026)] = 848272,
  [SMALL_STATE(20027)] = 848286,
  [SMALL_STATE(20028)] = 848300,
  [SMALL_STATE(20029)] = 848314,
  [SMALL_STATE(20030)] = 848328,
  [SMALL_STATE(20031)] = 848342,
  [SMALL_STATE(20032)] = 848356,
  [SMALL_STATE(20033)] = 848370,
  [SMALL_STATE(20034)] = 848384,
  [SMALL_STATE(20035)] = 848398,
  [SMALL_STATE(20036)] = 848412,
  [SMALL_STATE(20037)] = 848426,
  [SMALL_STATE(20038)] = 848440,
  [SMALL_STATE(20039)] = 848454,
  [SMALL_STATE(20040)] = 848468,
  [SMALL_STATE(20041)] = 848482,
  [SMALL_STATE(20042)] = 848496,
  [SMALL_STATE(20043)] = 848510,
  [SMALL_STATE(20044)] = 848524,
  [SMALL_STATE(20045)] = 848538,
  [SMALL_STATE(20046)] = 848552,
  [SMALL_STATE(20047)] = 848566,
  [SMALL_STATE(20048)] = 848580,
  [SMALL_STATE(20049)] = 848594,
  [SMALL_STATE(20050)] = 848608,
  [SMALL_STATE(20051)] = 848622,
  [SMALL_STATE(20052)] = 848636,
  [SMALL_STATE(20053)] = 848650,
  [SMALL_STATE(20054)] = 848664,
  [SMALL_STATE(20055)] = 848678,
  [SMALL_STATE(20056)] = 848692,
  [SMALL_STATE(20057)] = 848706,
  [SMALL_STATE(20058)] = 848720,
  [SMALL_STATE(20059)] = 848734,
  [SMALL_STATE(20060)] = 848748,
  [SMALL_STATE(20061)] = 848762,
  [SMALL_STATE(20062)] = 848776,
  [SMALL_STATE(20063)] = 848790,
  [SMALL_STATE(20064)] = 848804,
  [SMALL_STATE(20065)] = 848818,
  [SMALL_STATE(20066)] = 848832,
  [SMALL_STATE(20067)] = 848846,
  [SMALL_STATE(20068)] = 848860,
  [SMALL_STATE(20069)] = 848874,
  [SMALL_STATE(20070)] = 848888,
  [SMALL_STATE(20071)] = 848902,
  [SMALL_STATE(20072)] = 848916,
  [SMALL_STATE(20073)] = 848930,
  [SMALL_STATE(20074)] = 848944,
  [SMALL_STATE(20075)] = 848958,
  [SMALL_STATE(20076)] = 848972,
  [SMALL_STATE(20077)] = 848986,
  [SMALL_STATE(20078)] = 849000,
  [SMALL_STATE(20079)] = 849014,
  [SMALL_STATE(20080)] = 849028,
  [SMALL_STATE(20081)] = 849042,
  [SMALL_STATE(20082)] = 849056,
  [SMALL_STATE(20083)] = 849070,
  [SMALL_STATE(20084)] = 849084,
  [SMALL_STATE(20085)] = 849098,
  [SMALL_STATE(20086)] = 849112,
  [SMALL_STATE(20087)] = 849126,
  [SMALL_STATE(20088)] = 849140,
  [SMALL_STATE(20089)] = 849154,
  [SMALL_STATE(20090)] = 849168,
  [SMALL_STATE(20091)] = 849182,
  [SMALL_STATE(20092)] = 849196,
  [SMALL_STATE(20093)] = 849210,
  [SMALL_STATE(20094)] = 849224,
  [SMALL_STATE(20095)] = 849238,
  [SMALL_STATE(20096)] = 849252,
  [SMALL_STATE(20097)] = 849266,
  [SMALL_STATE(20098)] = 849280,
  [SMALL_STATE(20099)] = 849294,
  [SMALL_STATE(20100)] = 849308,
  [SMALL_STATE(20101)] = 849322,
  [SMALL_STATE(20102)] = 849336,
  [SMALL_STATE(20103)] = 849350,
  [SMALL_STATE(20104)] = 849364,
  [SMALL_STATE(20105)] = 849378,
  [SMALL_STATE(20106)] = 849392,
  [SMALL_STATE(20107)] = 849406,
  [SMALL_STATE(20108)] = 849420,
  [SMALL_STATE(20109)] = 849434,
  [SMALL_STATE(20110)] = 849448,
  [SMALL_STATE(20111)] = 849462,
  [SMALL_STATE(20112)] = 849476,
  [SMALL_STATE(20113)] = 849490,
  [SMALL_STATE(20114)] = 849504,
  [SMALL_STATE(20115)] = 849518,
  [SMALL_STATE(20116)] = 849532,
  [SMALL_STATE(20117)] = 849546,
  [SMALL_STATE(20118)] = 849560,
  [SMALL_STATE(20119)] = 849574,
  [SMALL_STATE(20120)] = 849588,
  [SMALL_STATE(20121)] = 849602,
  [SMALL_STATE(20122)] = 849616,
  [SMALL_STATE(20123)] = 849630,
  [SMALL_STATE(20124)] = 849644,
  [SMALL_STATE(20125)] = 849658,
  [SMALL_STATE(20126)] = 849672,
  [SMALL_STATE(20127)] = 849686,
  [SMALL_STATE(20128)] = 849700,
  [SMALL_STATE(20129)] = 849714,
  [SMALL_STATE(20130)] = 849728,
  [SMALL_STATE(20131)] = 849742,
  [SMALL_STATE(20132)] = 849756,
  [SMALL_STATE(20133)] = 849770,
  [SMALL_STATE(20134)] = 849784,
  [SMALL_STATE(20135)] = 849798,
  [SMALL_STATE(20136)] = 849812,
  [SMALL_STATE(20137)] = 849826,
  [SMALL_STATE(20138)] = 849840,
  [SMALL_STATE(20139)] = 849854,
  [SMALL_STATE(20140)] = 849868,
  [SMALL_STATE(20141)] = 849882,
  [SMALL_STATE(20142)] = 849896,
  [SMALL_STATE(20143)] = 849910,
  [SMALL_STATE(20144)] = 849924,
  [SMALL_STATE(20145)] = 849938,
  [SMALL_STATE(20146)] = 849952,
  [SMALL_STATE(20147)] = 849966,
  [SMALL_STATE(20148)] = 849980,
  [SMALL_STATE(20149)] = 849994,
  [SMALL_STATE(20150)] = 850008,
  [SMALL_STATE(20151)] = 850022,
  [SMALL_STATE(20152)] = 850036,
  [SMALL_STATE(20153)] = 850050,
  [SMALL_STATE(20154)] = 850064,
  [SMALL_STATE(20155)] = 850078,
  [SMALL_STATE(20156)] = 850092,
  [SMALL_STATE(20157)] = 850106,
  [SMALL_STATE(20158)] = 850120,
  [SMALL_STATE(20159)] = 850134,
  [SMALL_STATE(20160)] = 850148,
  [SMALL_STATE(20161)] = 850162,
  [SMALL_STATE(20162)] = 850176,
  [SMALL_STATE(20163)] = 850190,
  [SMALL_STATE(20164)] = 850204,
  [SMALL_STATE(20165)] = 850218,
  [SMALL_STATE(20166)] = 850232,
  [SMALL_STATE(20167)] = 850246,
  [SMALL_STATE(20168)] = 850260,
  [SMALL_STATE(20169)] = 850274,
  [SMALL_STATE(20170)] = 850288,
  [SMALL_STATE(20171)] = 850302,
  [SMALL_STATE(20172)] = 850316,
  [SMALL_STATE(20173)] = 850330,
  [SMALL_STATE(20174)] = 850344,
  [SMALL_STATE(20175)] = 850358,
  [SMALL_STATE(20176)] = 850372,
  [SMALL_STATE(20177)] = 850386,
  [SMALL_STATE(20178)] = 850400,
  [SMALL_STATE(20179)] = 850414,
  [SMALL_STATE(20180)] = 850428,
  [SMALL_STATE(20181)] = 850442,
  [SMALL_STATE(20182)] = 850456,
  [SMALL_STATE(20183)] = 850470,
  [SMALL_STATE(20184)] = 850484,
  [SMALL_STATE(20185)] = 850498,
  [SMALL_STATE(20186)] = 850512,
  [SMALL_STATE(20187)] = 850526,
  [SMALL_STATE(20188)] = 850540,
  [SMALL_STATE(20189)] = 850554,
  [SMALL_STATE(20190)] = 850568,
  [SMALL_STATE(20191)] = 850582,
  [SMALL_STATE(20192)] = 850596,
  [SMALL_STATE(20193)] = 850610,
  [SMALL_STATE(20194)] = 850624,
  [SMALL_STATE(20195)] = 850638,
  [SMALL_STATE(20196)] = 850652,
  [SMALL_STATE(20197)] = 850666,
  [SMALL_STATE(20198)] = 850680,
  [SMALL_STATE(20199)] = 850694,
  [SMALL_STATE(20200)] = 850708,
  [SMALL_STATE(20201)] = 850722,
  [SMALL_STATE(20202)] = 850736,
  [SMALL_STATE(20203)] = 850750,
  [SMALL_STATE(20204)] = 850764,
  [SMALL_STATE(20205)] = 850778,
  [SMALL_STATE(20206)] = 850792,
  [SMALL_STATE(20207)] = 850806,
  [SMALL_STATE(20208)] = 850820,
  [SMALL_STATE(20209)] = 850834,
  [SMALL_STATE(20210)] = 850848,
  [SMALL_STATE(20211)] = 850862,
  [SMALL_STATE(20212)] = 850876,
  [SMALL_STATE(20213)] = 850890,
  [SMALL_STATE(20214)] = 850904,
  [SMALL_STATE(20215)] = 850918,
  [SMALL_STATE(20216)] = 850932,
  [SMALL_STATE(20217)] = 850946,
  [SMALL_STATE(20218)] = 850960,
  [SMALL_STATE(20219)] = 850974,
  [SMALL_STATE(20220)] = 850988,
  [SMALL_STATE(20221)] = 851002,
  [SMALL_STATE(20222)] = 851016,
  [SMALL_STATE(20223)] = 851030,
  [SMALL_STATE(20224)] = 851044,
  [SMALL_STATE(20225)] = 851058,
  [SMALL_STATE(20226)] = 851072,
  [SMALL_STATE(20227)] = 851086,
  [SMALL_STATE(20228)] = 851100,
  [SMALL_STATE(20229)] = 851114,
  [SMALL_STATE(20230)] = 851128,
  [SMALL_STATE(20231)] = 851142,
  [SMALL_STATE(20232)] = 851156,
  [SMALL_STATE(20233)] = 851170,
  [SMALL_STATE(20234)] = 851184,
  [SMALL_STATE(20235)] = 851198,
  [SMALL_STATE(20236)] = 851212,
  [SMALL_STATE(20237)] = 851226,
  [SMALL_STATE(20238)] = 851240,
  [SMALL_STATE(20239)] = 851254,
  [SMALL_STATE(20240)] = 851268,
  [SMALL_STATE(20241)] = 851282,
  [SMALL_STATE(20242)] = 851296,
  [SMALL_STATE(20243)] = 851310,
  [SMALL_STATE(20244)] = 851324,
  [SMALL_STATE(20245)] = 851338,
  [SMALL_STATE(20246)] = 851352,
  [SMALL_STATE(20247)] = 851366,
  [SMALL_STATE(20248)] = 851380,
  [SMALL_STATE(20249)] = 851394,
  [SMALL_STATE(20250)] = 851408,
  [SMALL_STATE(20251)] = 851422,
  [SMALL_STATE(20252)] = 851436,
  [SMALL_STATE(20253)] = 851450,
  [SMALL_STATE(20254)] = 851464,
  [SMALL_STATE(20255)] = 851478,
  [SMALL_STATE(20256)] = 851492,
  [SMALL_STATE(20257)] = 851506,
  [SMALL_STATE(20258)] = 851520,
  [SMALL_STATE(20259)] = 851534,
  [SMALL_STATE(20260)] = 851548,
  [SMALL_STATE(20261)] = 851562,
  [SMALL_STATE(20262)] = 851576,
  [SMALL_STATE(20263)] = 851590,
  [SMALL_STATE(20264)] = 851604,
  [SMALL_STATE(20265)] = 851618,
  [SMALL_STATE(20266)] = 851632,
  [SMALL_STATE(20267)] = 851646,
  [SMALL_STATE(20268)] = 851660,
  [SMALL_STATE(20269)] = 851674,
  [SMALL_STATE(20270)] = 851688,
  [SMALL_STATE(20271)] = 851702,
  [SMALL_STATE(20272)] = 851716,
  [SMALL_STATE(20273)] = 851730,
  [SMALL_STATE(20274)] = 851744,
  [SMALL_STATE(20275)] = 851758,
  [SMALL_STATE(20276)] = 851772,
  [SMALL_STATE(20277)] = 851786,
  [SMALL_STATE(20278)] = 851800,
  [SMALL_STATE(20279)] = 851814,
  [SMALL_STATE(20280)] = 851828,
  [SMALL_STATE(20281)] = 851842,
  [SMALL_STATE(20282)] = 851856,
  [SMALL_STATE(20283)] = 851870,
  [SMALL_STATE(20284)] = 851884,
  [SMALL_STATE(20285)] = 851898,
  [SMALL_STATE(20286)] = 851912,
  [SMALL_STATE(20287)] = 851926,
  [SMALL_STATE(20288)] = 851940,
  [SMALL_STATE(20289)] = 851954,
  [SMALL_STATE(20290)] = 851968,
  [SMALL_STATE(20291)] = 851982,
  [SMALL_STATE(20292)] = 851996,
  [SMALL_STATE(20293)] = 852010,
  [SMALL_STATE(20294)] = 852024,
  [SMALL_STATE(20295)] = 852038,
  [SMALL_STATE(20296)] = 852052,
  [SMALL_STATE(20297)] = 852066,
  [SMALL_STATE(20298)] = 852080,
  [SMALL_STATE(20299)] = 852094,
  [SMALL_STATE(20300)] = 852108,
  [SMALL_STATE(20301)] = 852122,
  [SMALL_STATE(20302)] = 852136,
  [SMALL_STATE(20303)] = 852150,
  [SMALL_STATE(20304)] = 852164,
  [SMALL_STATE(20305)] = 852178,
  [SMALL_STATE(20306)] = 852192,
  [SMALL_STATE(20307)] = 852206,
  [SMALL_STATE(20308)] = 852220,
  [SMALL_STATE(20309)] = 852234,
  [SMALL_STATE(20310)] = 852248,
  [SMALL_STATE(20311)] = 852262,
  [SMALL_STATE(20312)] = 852276,
  [SMALL_STATE(20313)] = 852290,
  [SMALL_STATE(20314)] = 852304,
  [SMALL_STATE(20315)] = 852318,
  [SMALL_STATE(20316)] = 852332,
  [SMALL_STATE(20317)] = 852346,
  [SMALL_STATE(20318)] = 852360,
  [SMALL_STATE(20319)] = 852374,
  [SMALL_STATE(20320)] = 852388,
  [SMALL_STATE(20321)] = 852402,
  [SMALL_STATE(20322)] = 852416,
  [SMALL_STATE(20323)] = 852430,
  [SMALL_STATE(20324)] = 852444,
  [SMALL_STATE(20325)] = 852458,
  [SMALL_STATE(20326)] = 852472,
  [SMALL_STATE(20327)] = 852486,
  [SMALL_STATE(20328)] = 852500,
  [SMALL_STATE(20329)] = 852514,
  [SMALL_STATE(20330)] = 852528,
  [SMALL_STATE(20331)] = 852542,
  [SMALL_STATE(20332)] = 852556,
  [SMALL_STATE(20333)] = 852570,
  [SMALL_STATE(20334)] = 852584,
  [SMALL_STATE(20335)] = 852598,
  [SMALL_STATE(20336)] = 852612,
  [SMALL_STATE(20337)] = 852626,
  [SMALL_STATE(20338)] = 852640,
  [SMALL_STATE(20339)] = 852654,
  [SMALL_STATE(20340)] = 852668,
  [SMALL_STATE(20341)] = 852682,
  [SMALL_STATE(20342)] = 852696,
  [SMALL_STATE(20343)] = 852710,
  [SMALL_STATE(20344)] = 852724,
  [SMALL_STATE(20345)] = 852738,
  [SMALL_STATE(20346)] = 852752,
  [SMALL_STATE(20347)] = 852766,
  [SMALL_STATE(20348)] = 852780,
  [SMALL_STATE(20349)] = 852794,
  [SMALL_STATE(20350)] = 852808,
  [SMALL_STATE(20351)] = 852822,
  [SMALL_STATE(20352)] = 852836,
  [SMALL_STATE(20353)] = 852850,
  [SMALL_STATE(20354)] = 852864,
  [SMALL_STATE(20355)] = 852878,
  [SMALL_STATE(20356)] = 852892,
  [SMALL_STATE(20357)] = 852906,
  [SMALL_STATE(20358)] = 852920,
  [SMALL_STATE(20359)] = 852934,
  [SMALL_STATE(20360)] = 852948,
  [SMALL_STATE(20361)] = 852962,
  [SMALL_STATE(20362)] = 852976,
  [SMALL_STATE(20363)] = 852990,
  [SMALL_STATE(20364)] = 853004,
  [SMALL_STATE(20365)] = 853018,
  [SMALL_STATE(20366)] = 853032,
  [SMALL_STATE(20367)] = 853046,
  [SMALL_STATE(20368)] = 853060,
  [SMALL_STATE(20369)] = 853074,
  [SMALL_STATE(20370)] = 853088,
  [SMALL_STATE(20371)] = 853102,
  [SMALL_STATE(20372)] = 853116,
  [SMALL_STATE(20373)] = 853130,
  [SMALL_STATE(20374)] = 853144,
  [SMALL_STATE(20375)] = 853158,
  [SMALL_STATE(20376)] = 853172,
  [SMALL_STATE(20377)] = 853186,
  [SMALL_STATE(20378)] = 853200,
  [SMALL_STATE(20379)] = 853214,
  [SMALL_STATE(20380)] = 853228,
  [SMALL_STATE(20381)] = 853242,
  [SMALL_STATE(20382)] = 853256,
  [SMALL_STATE(20383)] = 853270,
  [SMALL_STATE(20384)] = 853284,
  [SMALL_STATE(20385)] = 853298,
  [SMALL_STATE(20386)] = 853312,
  [SMALL_STATE(20387)] = 853326,
  [SMALL_STATE(20388)] = 853340,
  [SMALL_STATE(20389)] = 853354,
  [SMALL_STATE(20390)] = 853368,
  [SMALL_STATE(20391)] = 853382,
  [SMALL_STATE(20392)] = 853396,
  [SMALL_STATE(20393)] = 853410,
  [SMALL_STATE(20394)] = 853424,
  [SMALL_STATE(20395)] = 853438,
  [SMALL_STATE(20396)] = 853452,
  [SMALL_STATE(20397)] = 853466,
  [SMALL_STATE(20398)] = 853480,
  [SMALL_STATE(20399)] = 853494,
  [SMALL_STATE(20400)] = 853508,
  [SMALL_STATE(20401)] = 853522,
  [SMALL_STATE(20402)] = 853536,
  [SMALL_STATE(20403)] = 853550,
  [SMALL_STATE(20404)] = 853564,
  [SMALL_STATE(20405)] = 853578,
  [SMALL_STATE(20406)] = 853592,
  [SMALL_STATE(20407)] = 853606,
  [SMALL_STATE(20408)] = 853620,
  [SMALL_STATE(20409)] = 853634,
  [SMALL_STATE(20410)] = 853648,
  [SMALL_STATE(20411)] = 853662,
  [SMALL_STATE(20412)] = 853676,
  [SMALL_STATE(20413)] = 853690,
  [SMALL_STATE(20414)] = 853704,
  [SMALL_STATE(20415)] = 853718,
  [SMALL_STATE(20416)] = 853732,
  [SMALL_STATE(20417)] = 853746,
  [SMALL_STATE(20418)] = 853760,
  [SMALL_STATE(20419)] = 853774,
  [SMALL_STATE(20420)] = 853788,
  [SMALL_STATE(20421)] = 853802,
  [SMALL_STATE(20422)] = 853816,
  [SMALL_STATE(20423)] = 853830,
  [SMALL_STATE(20424)] = 853844,
  [SMALL_STATE(20425)] = 853858,
  [SMALL_STATE(20426)] = 853872,
  [SMALL_STATE(20427)] = 853886,
  [SMALL_STATE(20428)] = 853900,
  [SMALL_STATE(20429)] = 853914,
  [SMALL_STATE(20430)] = 853928,
  [SMALL_STATE(20431)] = 853942,
  [SMALL_STATE(20432)] = 853956,
  [SMALL_STATE(20433)] = 853970,
  [SMALL_STATE(20434)] = 853984,
  [SMALL_STATE(20435)] = 853998,
  [SMALL_STATE(20436)] = 854012,
  [SMALL_STATE(20437)] = 854026,
  [SMALL_STATE(20438)] = 854040,
  [SMALL_STATE(20439)] = 854054,
  [SMALL_STATE(20440)] = 854068,
  [SMALL_STATE(20441)] = 854082,
  [SMALL_STATE(20442)] = 854096,
  [SMALL_STATE(20443)] = 854110,
  [SMALL_STATE(20444)] = 854124,
  [SMALL_STATE(20445)] = 854138,
  [SMALL_STATE(20446)] = 854152,
  [SMALL_STATE(20447)] = 854166,
  [SMALL_STATE(20448)] = 854180,
  [SMALL_STATE(20449)] = 854194,
  [SMALL_STATE(20450)] = 854208,
  [SMALL_STATE(20451)] = 854222,
  [SMALL_STATE(20452)] = 854236,
  [SMALL_STATE(20453)] = 854250,
  [SMALL_STATE(20454)] = 854264,
  [SMALL_STATE(20455)] = 854278,
  [SMALL_STATE(20456)] = 854292,
  [SMALL_STATE(20457)] = 854306,
  [SMALL_STATE(20458)] = 854320,
  [SMALL_STATE(20459)] = 854334,
  [SMALL_STATE(20460)] = 854348,
  [SMALL_STATE(20461)] = 854362,
  [SMALL_STATE(20462)] = 854376,
  [SMALL_STATE(20463)] = 854390,
  [SMALL_STATE(20464)] = 854404,
  [SMALL_STATE(20465)] = 854418,
  [SMALL_STATE(20466)] = 854432,
  [SMALL_STATE(20467)] = 854446,
  [SMALL_STATE(20468)] = 854460,
  [SMALL_STATE(20469)] = 854474,
  [SMALL_STATE(20470)] = 854488,
  [SMALL_STATE(20471)] = 854502,
  [SMALL_STATE(20472)] = 854516,
  [SMALL_STATE(20473)] = 854530,
  [SMALL_STATE(20474)] = 854544,
  [SMALL_STATE(20475)] = 854558,
  [SMALL_STATE(20476)] = 854572,
  [SMALL_STATE(20477)] = 854586,
  [SMALL_STATE(20478)] = 854600,
  [SMALL_STATE(20479)] = 854614,
  [SMALL_STATE(20480)] = 854628,
  [SMALL_STATE(20481)] = 854642,
  [SMALL_STATE(20482)] = 854656,
  [SMALL_STATE(20483)] = 854670,
  [SMALL_STATE(20484)] = 854684,
  [SMALL_STATE(20485)] = 854698,
  [SMALL_STATE(20486)] = 854712,
  [SMALL_STATE(20487)] = 854726,
  [SMALL_STATE(20488)] = 854740,
  [SMALL_STATE(20489)] = 854754,
  [SMALL_STATE(20490)] = 854768,
  [SMALL_STATE(20491)] = 854782,
  [SMALL_STATE(20492)] = 854796,
  [SMALL_STATE(20493)] = 854810,
  [SMALL_STATE(20494)] = 854824,
  [SMALL_STATE(20495)] = 854838,
  [SMALL_STATE(20496)] = 854852,
  [SMALL_STATE(20497)] = 854866,
  [SMALL_STATE(20498)] = 854880,
  [SMALL_STATE(20499)] = 854894,
  [SMALL_STATE(20500)] = 854908,
  [SMALL_STATE(20501)] = 854922,
  [SMALL_STATE(20502)] = 854936,
  [SMALL_STATE(20503)] = 854950,
  [SMALL_STATE(20504)] = 854964,
  [SMALL_STATE(20505)] = 854978,
  [SMALL_STATE(20506)] = 854992,
  [SMALL_STATE(20507)] = 855006,
  [SMALL_STATE(20508)] = 855020,
  [SMALL_STATE(20509)] = 855034,
  [SMALL_STATE(20510)] = 855048,
  [SMALL_STATE(20511)] = 855062,
  [SMALL_STATE(20512)] = 855076,
  [SMALL_STATE(20513)] = 855090,
  [SMALL_STATE(20514)] = 855104,
  [SMALL_STATE(20515)] = 855118,
  [SMALL_STATE(20516)] = 855132,
  [SMALL_STATE(20517)] = 855146,
  [SMALL_STATE(20518)] = 855160,
  [SMALL_STATE(20519)] = 855174,
  [SMALL_STATE(20520)] = 855188,
  [SMALL_STATE(20521)] = 855202,
  [SMALL_STATE(20522)] = 855216,
  [SMALL_STATE(20523)] = 855230,
  [SMALL_STATE(20524)] = 855244,
  [SMALL_STATE(20525)] = 855258,
  [SMALL_STATE(20526)] = 855272,
  [SMALL_STATE(20527)] = 855286,
  [SMALL_STATE(20528)] = 855300,
  [SMALL_STATE(20529)] = 855314,
  [SMALL_STATE(20530)] = 855328,
  [SMALL_STATE(20531)] = 855342,
  [SMALL_STATE(20532)] = 855356,
  [SMALL_STATE(20533)] = 855370,
  [SMALL_STATE(20534)] = 855384,
  [SMALL_STATE(20535)] = 855398,
  [SMALL_STATE(20536)] = 855412,
  [SMALL_STATE(20537)] = 855426,
  [SMALL_STATE(20538)] = 855440,
  [SMALL_STATE(20539)] = 855454,
  [SMALL_STATE(20540)] = 855468,
  [SMALL_STATE(20541)] = 855482,
  [SMALL_STATE(20542)] = 855496,
  [SMALL_STATE(20543)] = 855510,
  [SMALL_STATE(20544)] = 855524,
  [SMALL_STATE(20545)] = 855538,
  [SMALL_STATE(20546)] = 855552,
  [SMALL_STATE(20547)] = 855566,
  [SMALL_STATE(20548)] = 855580,
  [SMALL_STATE(20549)] = 855594,
  [SMALL_STATE(20550)] = 855608,
  [SMALL_STATE(20551)] = 855622,
  [SMALL_STATE(20552)] = 855636,
  [SMALL_STATE(20553)] = 855650,
  [SMALL_STATE(20554)] = 855664,
  [SMALL_STATE(20555)] = 855678,
  [SMALL_STATE(20556)] = 855692,
  [SMALL_STATE(20557)] = 855706,
  [SMALL_STATE(20558)] = 855720,
  [SMALL_STATE(20559)] = 855734,
  [SMALL_STATE(20560)] = 855748,
  [SMALL_STATE(20561)] = 855762,
  [SMALL_STATE(20562)] = 855776,
  [SMALL_STATE(20563)] = 855790,
  [SMALL_STATE(20564)] = 855804,
  [SMALL_STATE(20565)] = 855818,
  [SMALL_STATE(20566)] = 855832,
  [SMALL_STATE(20567)] = 855846,
  [SMALL_STATE(20568)] = 855860,
  [SMALL_STATE(20569)] = 855874,
  [SMALL_STATE(20570)] = 855888,
  [SMALL_STATE(20571)] = 855902,
  [SMALL_STATE(20572)] = 855916,
  [SMALL_STATE(20573)] = 855930,
  [SMALL_STATE(20574)] = 855944,
  [SMALL_STATE(20575)] = 855958,
  [SMALL_STATE(20576)] = 855972,
  [SMALL_STATE(20577)] = 855986,
  [SMALL_STATE(20578)] = 856000,
  [SMALL_STATE(20579)] = 856014,
  [SMALL_STATE(20580)] = 856028,
  [SMALL_STATE(20581)] = 856042,
  [SMALL_STATE(20582)] = 856056,
  [SMALL_STATE(20583)] = 856070,
  [SMALL_STATE(20584)] = 856084,
  [SMALL_STATE(20585)] = 856098,
  [SMALL_STATE(20586)] = 856112,
  [SMALL_STATE(20587)] = 856126,
  [SMALL_STATE(20588)] = 856140,
  [SMALL_STATE(20589)] = 856154,
  [SMALL_STATE(20590)] = 856168,
  [SMALL_STATE(20591)] = 856182,
  [SMALL_STATE(20592)] = 856196,
  [SMALL_STATE(20593)] = 856210,
  [SMALL_STATE(20594)] = 856224,
  [SMALL_STATE(20595)] = 856238,
  [SMALL_STATE(20596)] = 856252,
  [SMALL_STATE(20597)] = 856266,
  [SMALL_STATE(20598)] = 856280,
  [SMALL_STATE(20599)] = 856294,
  [SMALL_STATE(20600)] = 856308,
  [SMALL_STATE(20601)] = 856322,
  [SMALL_STATE(20602)] = 856336,
  [SMALL_STATE(20603)] = 856350,
  [SMALL_STATE(20604)] = 856364,
  [SMALL_STATE(20605)] = 856378,
  [SMALL_STATE(20606)] = 856392,
  [SMALL_STATE(20607)] = 856406,
  [SMALL_STATE(20608)] = 856420,
  [SMALL_STATE(20609)] = 856434,
  [SMALL_STATE(20610)] = 856448,
  [SMALL_STATE(20611)] = 856462,
  [SMALL_STATE(20612)] = 856476,
  [SMALL_STATE(20613)] = 856490,
  [SMALL_STATE(20614)] = 856504,
  [SMALL_STATE(20615)] = 856518,
  [SMALL_STATE(20616)] = 856532,
  [SMALL_STATE(20617)] = 856546,
  [SMALL_STATE(20618)] = 856560,
  [SMALL_STATE(20619)] = 856574,
  [SMALL_STATE(20620)] = 856588,
  [SMALL_STATE(20621)] = 856602,
  [SMALL_STATE(20622)] = 856616,
  [SMALL_STATE(20623)] = 856630,
  [SMALL_STATE(20624)] = 856644,
  [SMALL_STATE(20625)] = 856658,
  [SMALL_STATE(20626)] = 856672,
  [SMALL_STATE(20627)] = 856686,
  [SMALL_STATE(20628)] = 856700,
  [SMALL_STATE(20629)] = 856714,
  [SMALL_STATE(20630)] = 856728,
  [SMALL_STATE(20631)] = 856742,
  [SMALL_STATE(20632)] = 856756,
  [SMALL_STATE(20633)] = 856770,
  [SMALL_STATE(20634)] = 856784,
  [SMALL_STATE(20635)] = 856798,
  [SMALL_STATE(20636)] = 856812,
  [SMALL_STATE(20637)] = 856826,
  [SMALL_STATE(20638)] = 856840,
  [SMALL_STATE(20639)] = 856854,
  [SMALL_STATE(20640)] = 856868,
  [SMALL_STATE(20641)] = 856882,
  [SMALL_STATE(20642)] = 856896,
  [SMALL_STATE(20643)] = 856910,
  [SMALL_STATE(20644)] = 856924,
  [SMALL_STATE(20645)] = 856938,
  [SMALL_STATE(20646)] = 856952,
  [SMALL_STATE(20647)] = 856966,
  [SMALL_STATE(20648)] = 856980,
  [SMALL_STATE(20649)] = 856994,
  [SMALL_STATE(20650)] = 857008,
  [SMALL_STATE(20651)] = 857022,
  [SMALL_STATE(20652)] = 857036,
  [SMALL_STATE(20653)] = 857050,
  [SMALL_STATE(20654)] = 857064,
  [SMALL_STATE(20655)] = 857078,
  [SMALL_STATE(20656)] = 857092,
  [SMALL_STATE(20657)] = 857106,
  [SMALL_STATE(20658)] = 857120,
  [SMALL_STATE(20659)] = 857134,
  [SMALL_STATE(20660)] = 857148,
  [SMALL_STATE(20661)] = 857162,
  [SMALL_STATE(20662)] = 857176,
  [SMALL_STATE(20663)] = 857190,
  [SMALL_STATE(20664)] = 857204,
  [SMALL_STATE(20665)] = 857218,
  [SMALL_STATE(20666)] = 857232,
  [SMALL_STATE(20667)] = 857246,
  [SMALL_STATE(20668)] = 857260,
  [SMALL_STATE(20669)] = 857274,
  [SMALL_STATE(20670)] = 857288,
  [SMALL_STATE(20671)] = 857302,
  [SMALL_STATE(20672)] = 857316,
  [SMALL_STATE(20673)] = 857330,
  [SMALL_STATE(20674)] = 857344,
  [SMALL_STATE(20675)] = 857358,
  [SMALL_STATE(20676)] = 857372,
  [SMALL_STATE(20677)] = 857386,
  [SMALL_STATE(20678)] = 857400,
  [SMALL_STATE(20679)] = 857414,
  [SMALL_STATE(20680)] = 857428,
  [SMALL_STATE(20681)] = 857442,
  [SMALL_STATE(20682)] = 857456,
  [SMALL_STATE(20683)] = 857470,
  [SMALL_STATE(20684)] = 857484,
  [SMALL_STATE(20685)] = 857498,
  [SMALL_STATE(20686)] = 857512,
  [SMALL_STATE(20687)] = 857526,
  [SMALL_STATE(20688)] = 857540,
  [SMALL_STATE(20689)] = 857554,
  [SMALL_STATE(20690)] = 857568,
  [SMALL_STATE(20691)] = 857582,
  [SMALL_STATE(20692)] = 857596,
  [SMALL_STATE(20693)] = 857610,
  [SMALL_STATE(20694)] = 857624,
  [SMALL_STATE(20695)] = 857638,
  [SMALL_STATE(20696)] = 857652,
  [SMALL_STATE(20697)] = 857666,
  [SMALL_STATE(20698)] = 857680,
  [SMALL_STATE(20699)] = 857694,
  [SMALL_STATE(20700)] = 857708,
  [SMALL_STATE(20701)] = 857722,
  [SMALL_STATE(20702)] = 857736,
  [SMALL_STATE(20703)] = 857750,
  [SMALL_STATE(20704)] = 857764,
  [SMALL_STATE(20705)] = 857778,
  [SMALL_STATE(20706)] = 857792,
  [SMALL_STATE(20707)] = 857806,
  [SMALL_STATE(20708)] = 857820,
  [SMALL_STATE(20709)] = 857834,
  [SMALL_STATE(20710)] = 857848,
  [SMALL_STATE(20711)] = 857862,
  [SMALL_STATE(20712)] = 857876,
  [SMALL_STATE(20713)] = 857890,
  [SMALL_STATE(20714)] = 857904,
  [SMALL_STATE(20715)] = 857918,
  [SMALL_STATE(20716)] = 857932,
  [SMALL_STATE(20717)] = 857946,
  [SMALL_STATE(20718)] = 857960,
  [SMALL_STATE(20719)] = 857974,
  [SMALL_STATE(20720)] = 857988,
  [SMALL_STATE(20721)] = 858002,
  [SMALL_STATE(20722)] = 858016,
  [SMALL_STATE(20723)] = 858030,
  [SMALL_STATE(20724)] = 858044,
  [SMALL_STATE(20725)] = 858058,
  [SMALL_STATE(20726)] = 858072,
  [SMALL_STATE(20727)] = 858086,
  [SMALL_STATE(20728)] = 858100,
  [SMALL_STATE(20729)] = 858114,
  [SMALL_STATE(20730)] = 858128,
  [SMALL_STATE(20731)] = 858142,
  [SMALL_STATE(20732)] = 858156,
  [SMALL_STATE(20733)] = 858170,
  [SMALL_STATE(20734)] = 858184,
  [SMALL_STATE(20735)] = 858198,
  [SMALL_STATE(20736)] = 858212,
  [SMALL_STATE(20737)] = 858226,
  [SMALL_STATE(20738)] = 858240,
  [SMALL_STATE(20739)] = 858254,
  [SMALL_STATE(20740)] = 858268,
  [SMALL_STATE(20741)] = 858282,
  [SMALL_STATE(20742)] = 858296,
  [SMALL_STATE(20743)] = 858310,
  [SMALL_STATE(20744)] = 858324,
  [SMALL_STATE(20745)] = 858338,
  [SMALL_STATE(20746)] = 858352,
  [SMALL_STATE(20747)] = 858366,
  [SMALL_STATE(20748)] = 858380,
  [SMALL_STATE(20749)] = 858394,
  [SMALL_STATE(20750)] = 858408,
  [SMALL_STATE(20751)] = 858422,
  [SMALL_STATE(20752)] = 858436,
  [SMALL_STATE(20753)] = 858450,
  [SMALL_STATE(20754)] = 858464,
  [SMALL_STATE(20755)] = 858478,
  [SMALL_STATE(20756)] = 858492,
  [SMALL_STATE(20757)] = 858506,
  [SMALL_STATE(20758)] = 858520,
  [SMALL_STATE(20759)] = 858534,
  [SMALL_STATE(20760)] = 858548,
  [SMALL_STATE(20761)] = 858562,
  [SMALL_STATE(20762)] = 858576,
  [SMALL_STATE(20763)] = 858590,
  [SMALL_STATE(20764)] = 858604,
  [SMALL_STATE(20765)] = 858618,
  [SMALL_STATE(20766)] = 858632,
  [SMALL_STATE(20767)] = 858646,
  [SMALL_STATE(20768)] = 858660,
  [SMALL_STATE(20769)] = 858674,
  [SMALL_STATE(20770)] = 858688,
  [SMALL_STATE(20771)] = 858702,
  [SMALL_STATE(20772)] = 858716,
  [SMALL_STATE(20773)] = 858730,
  [SMALL_STATE(20774)] = 858744,
  [SMALL_STATE(20775)] = 858758,
  [SMALL_STATE(20776)] = 858772,
  [SMALL_STATE(20777)] = 858786,
  [SMALL_STATE(20778)] = 858800,
  [SMALL_STATE(20779)] = 858814,
  [SMALL_STATE(20780)] = 858828,
  [SMALL_STATE(20781)] = 858842,
  [SMALL_STATE(20782)] = 858856,
  [SMALL_STATE(20783)] = 858870,
  [SMALL_STATE(20784)] = 858884,
  [SMALL_STATE(20785)] = 858898,
  [SMALL_STATE(20786)] = 858912,
  [SMALL_STATE(20787)] = 858926,
  [SMALL_STATE(20788)] = 858940,
  [SMALL_STATE(20789)] = 858954,
  [SMALL_STATE(20790)] = 858968,
  [SMALL_STATE(20791)] = 858982,
  [SMALL_STATE(20792)] = 858996,
  [SMALL_STATE(20793)] = 859010,
  [SMALL_STATE(20794)] = 859024,
  [SMALL_STATE(20795)] = 859038,
  [SMALL_STATE(20796)] = 859052,
  [SMALL_STATE(20797)] = 859066,
  [SMALL_STATE(20798)] = 859080,
  [SMALL_STATE(20799)] = 859094,
  [SMALL_STATE(20800)] = 859108,
  [SMALL_STATE(20801)] = 859122,
  [SMALL_STATE(20802)] = 859136,
  [SMALL_STATE(20803)] = 859150,
  [SMALL_STATE(20804)] = 859164,
  [SMALL_STATE(20805)] = 859178,
  [SMALL_STATE(20806)] = 859192,
  [SMALL_STATE(20807)] = 859206,
  [SMALL_STATE(20808)] = 859220,
  [SMALL_STATE(20809)] = 859234,
  [SMALL_STATE(20810)] = 859248,
  [SMALL_STATE(20811)] = 859262,
  [SMALL_STATE(20812)] = 859276,
  [SMALL_STATE(20813)] = 859290,
  [SMALL_STATE(20814)] = 859304,
  [SMALL_STATE(20815)] = 859318,
  [SMALL_STATE(20816)] = 859332,
  [SMALL_STATE(20817)] = 859346,
  [SMALL_STATE(20818)] = 859360,
  [SMALL_STATE(20819)] = 859374,
  [SMALL_STATE(20820)] = 859388,
  [SMALL_STATE(20821)] = 859402,
  [SMALL_STATE(20822)] = 859416,
  [SMALL_STATE(20823)] = 859430,
  [SMALL_STATE(20824)] = 859444,
  [SMALL_STATE(20825)] = 859458,
  [SMALL_STATE(20826)] = 859472,
  [SMALL_STATE(20827)] = 859486,
  [SMALL_STATE(20828)] = 859500,
  [SMALL_STATE(20829)] = 859514,
  [SMALL_STATE(20830)] = 859528,
  [SMALL_STATE(20831)] = 859542,
  [SMALL_STATE(20832)] = 859556,
  [SMALL_STATE(20833)] = 859570,
  [SMALL_STATE(20834)] = 859584,
  [SMALL_STATE(20835)] = 859598,
  [SMALL_STATE(20836)] = 859612,
  [SMALL_STATE(20837)] = 859626,
  [SMALL_STATE(20838)] = 859640,
  [SMALL_STATE(20839)] = 859654,
  [SMALL_STATE(20840)] = 859668,
  [SMALL_STATE(20841)] = 859682,
  [SMALL_STATE(20842)] = 859696,
  [SMALL_STATE(20843)] = 859710,
  [SMALL_STATE(20844)] = 859724,
  [SMALL_STATE(20845)] = 859738,
  [SMALL_STATE(20846)] = 859752,
  [SMALL_STATE(20847)] = 859766,
  [SMALL_STATE(20848)] = 859780,
  [SMALL_STATE(20849)] = 859794,
  [SMALL_STATE(20850)] = 859808,
  [SMALL_STATE(20851)] = 859822,
  [SMALL_STATE(20852)] = 859836,
  [SMALL_STATE(20853)] = 859850,
  [SMALL_STATE(20854)] = 859864,
  [SMALL_STATE(20855)] = 859878,
  [SMALL_STATE(20856)] = 859892,
  [SMALL_STATE(20857)] = 859906,
  [SMALL_STATE(20858)] = 859920,
  [SMALL_STATE(20859)] = 859934,
  [SMALL_STATE(20860)] = 859948,
  [SMALL_STATE(20861)] = 859962,
  [SMALL_STATE(20862)] = 859976,
  [SMALL_STATE(20863)] = 859990,
  [SMALL_STATE(20864)] = 860004,
  [SMALL_STATE(20865)] = 860018,
  [SMALL_STATE(20866)] = 860032,
  [SMALL_STATE(20867)] = 860046,
  [SMALL_STATE(20868)] = 860060,
  [SMALL_STATE(20869)] = 860074,
  [SMALL_STATE(20870)] = 860088,
  [SMALL_STATE(20871)] = 860102,
  [SMALL_STATE(20872)] = 860116,
  [SMALL_STATE(20873)] = 860130,
  [SMALL_STATE(20874)] = 860144,
  [SMALL_STATE(20875)] = 860158,
  [SMALL_STATE(20876)] = 860172,
  [SMALL_STATE(20877)] = 860186,
  [SMALL_STATE(20878)] = 860200,
  [SMALL_STATE(20879)] = 860214,
  [SMALL_STATE(20880)] = 860228,
  [SMALL_STATE(20881)] = 860242,
  [SMALL_STATE(20882)] = 860256,
  [SMALL_STATE(20883)] = 860270,
  [SMALL_STATE(20884)] = 860284,
  [SMALL_STATE(20885)] = 860298,
  [SMALL_STATE(20886)] = 860312,
  [SMALL_STATE(20887)] = 860326,
  [SMALL_STATE(20888)] = 860340,
  [SMALL_STATE(20889)] = 860354,
  [SMALL_STATE(20890)] = 860368,
  [SMALL_STATE(20891)] = 860382,
  [SMALL_STATE(20892)] = 860396,
  [SMALL_STATE(20893)] = 860410,
  [SMALL_STATE(20894)] = 860424,
  [SMALL_STATE(20895)] = 860438,
  [SMALL_STATE(20896)] = 860452,
  [SMALL_STATE(20897)] = 860466,
  [SMALL_STATE(20898)] = 860480,
  [SMALL_STATE(20899)] = 860494,
  [SMALL_STATE(20900)] = 860508,
  [SMALL_STATE(20901)] = 860522,
  [SMALL_STATE(20902)] = 860536,
  [SMALL_STATE(20903)] = 860550,
  [SMALL_STATE(20904)] = 860564,
  [SMALL_STATE(20905)] = 860578,
  [SMALL_STATE(20906)] = 860592,
  [SMALL_STATE(20907)] = 860606,
  [SMALL_STATE(20908)] = 860620,
  [SMALL_STATE(20909)] = 860634,
  [SMALL_STATE(20910)] = 860648,
  [SMALL_STATE(20911)] = 860662,
  [SMALL_STATE(20912)] = 860676,
  [SMALL_STATE(20913)] = 860690,
  [SMALL_STATE(20914)] = 860704,
  [SMALL_STATE(20915)] = 860718,
  [SMALL_STATE(20916)] = 860732,
  [SMALL_STATE(20917)] = 860746,
  [SMALL_STATE(20918)] = 860760,
  [SMALL_STATE(20919)] = 860774,
  [SMALL_STATE(20920)] = 860788,
  [SMALL_STATE(20921)] = 860802,
  [SMALL_STATE(20922)] = 860816,
  [SMALL_STATE(20923)] = 860830,
  [SMALL_STATE(20924)] = 860844,
  [SMALL_STATE(20925)] = 860858,
  [SMALL_STATE(20926)] = 860872,
  [SMALL_STATE(20927)] = 860886,
  [SMALL_STATE(20928)] = 860900,
  [SMALL_STATE(20929)] = 860914,
  [SMALL_STATE(20930)] = 860928,
  [SMALL_STATE(20931)] = 860942,
  [SMALL_STATE(20932)] = 860956,
  [SMALL_STATE(20933)] = 860970,
  [SMALL_STATE(20934)] = 860984,
  [SMALL_STATE(20935)] = 860998,
  [SMALL_STATE(20936)] = 861012,
  [SMALL_STATE(20937)] = 861026,
  [SMALL_STATE(20938)] = 861040,
  [SMALL_STATE(20939)] = 861054,
  [SMALL_STATE(20940)] = 861068,
  [SMALL_STATE(20941)] = 861082,
  [SMALL_STATE(20942)] = 861096,
  [SMALL_STATE(20943)] = 861110,
  [SMALL_STATE(20944)] = 861124,
  [SMALL_STATE(20945)] = 861138,
  [SMALL_STATE(20946)] = 861152,
  [SMALL_STATE(20947)] = 861166,
  [SMALL_STATE(20948)] = 861180,
  [SMALL_STATE(20949)] = 861194,
  [SMALL_STATE(20950)] = 861208,
  [SMALL_STATE(20951)] = 861222,
  [SMALL_STATE(20952)] = 861236,
  [SMALL_STATE(20953)] = 861250,
  [SMALL_STATE(20954)] = 861264,
  [SMALL_STATE(20955)] = 861278,
  [SMALL_STATE(20956)] = 861292,
  [SMALL_STATE(20957)] = 861306,
  [SMALL_STATE(20958)] = 861320,
  [SMALL_STATE(20959)] = 861334,
  [SMALL_STATE(20960)] = 861348,
  [SMALL_STATE(20961)] = 861362,
  [SMALL_STATE(20962)] = 861376,
  [SMALL_STATE(20963)] = 861390,
  [SMALL_STATE(20964)] = 861404,
  [SMALL_STATE(20965)] = 861418,
  [SMALL_STATE(20966)] = 861432,
  [SMALL_STATE(20967)] = 861446,
  [SMALL_STATE(20968)] = 861460,
  [SMALL_STATE(20969)] = 861474,
  [SMALL_STATE(20970)] = 861488,
  [SMALL_STATE(20971)] = 861502,
  [SMALL_STATE(20972)] = 861516,
  [SMALL_STATE(20973)] = 861530,
  [SMALL_STATE(20974)] = 861544,
  [SMALL_STATE(20975)] = 861558,
  [SMALL_STATE(20976)] = 861572,
  [SMALL_STATE(20977)] = 861586,
  [SMALL_STATE(20978)] = 861600,
  [SMALL_STATE(20979)] = 861614,
  [SMALL_STATE(20980)] = 861628,
  [SMALL_STATE(20981)] = 861642,
  [SMALL_STATE(20982)] = 861656,
  [SMALL_STATE(20983)] = 861670,
  [SMALL_STATE(20984)] = 861684,
  [SMALL_STATE(20985)] = 861698,
  [SMALL_STATE(20986)] = 861712,
  [SMALL_STATE(20987)] = 861726,
  [SMALL_STATE(20988)] = 861740,
  [SMALL_STATE(20989)] = 861754,
  [SMALL_STATE(20990)] = 861768,
  [SMALL_STATE(20991)] = 861782,
  [SMALL_STATE(20992)] = 861796,
  [SMALL_STATE(20993)] = 861810,
  [SMALL_STATE(20994)] = 861824,
  [SMALL_STATE(20995)] = 861838,
  [SMALL_STATE(20996)] = 861852,
  [SMALL_STATE(20997)] = 861866,
  [SMALL_STATE(20998)] = 861880,
  [SMALL_STATE(20999)] = 861894,
  [SMALL_STATE(21000)] = 861908,
  [SMALL_STATE(21001)] = 861922,
  [SMALL_STATE(21002)] = 861936,
  [SMALL_STATE(21003)] = 861950,
  [SMALL_STATE(21004)] = 861964,
  [SMALL_STATE(21005)] = 861978,
  [SMALL_STATE(21006)] = 861992,
  [SMALL_STATE(21007)] = 862006,
  [SMALL_STATE(21008)] = 862020,
  [SMALL_STATE(21009)] = 862034,
  [SMALL_STATE(21010)] = 862048,
  [SMALL_STATE(21011)] = 862062,
  [SMALL_STATE(21012)] = 862076,
  [SMALL_STATE(21013)] = 862090,
  [SMALL_STATE(21014)] = 862104,
  [SMALL_STATE(21015)] = 862118,
  [SMALL_STATE(21016)] = 862132,
  [SMALL_STATE(21017)] = 862146,
  [SMALL_STATE(21018)] = 862160,
  [SMALL_STATE(21019)] = 862174,
  [SMALL_STATE(21020)] = 862188,
  [SMALL_STATE(21021)] = 862202,
  [SMALL_STATE(21022)] = 862216,
  [SMALL_STATE(21023)] = 862230,
  [SMALL_STATE(21024)] = 862244,
  [SMALL_STATE(21025)] = 862258,
  [SMALL_STATE(21026)] = 862272,
  [SMALL_STATE(21027)] = 862286,
  [SMALL_STATE(21028)] = 862300,
  [SMALL_STATE(21029)] = 862314,
  [SMALL_STATE(21030)] = 862328,
  [SMALL_STATE(21031)] = 862342,
  [SMALL_STATE(21032)] = 862356,
  [SMALL_STATE(21033)] = 862370,
  [SMALL_STATE(21034)] = 862384,
  [SMALL_STATE(21035)] = 862398,
  [SMALL_STATE(21036)] = 862412,
  [SMALL_STATE(21037)] = 862426,
  [SMALL_STATE(21038)] = 862440,
  [SMALL_STATE(21039)] = 862454,
  [SMALL_STATE(21040)] = 862468,
  [SMALL_STATE(21041)] = 862482,
  [SMALL_STATE(21042)] = 862496,
  [SMALL_STATE(21043)] = 862510,
  [SMALL_STATE(21044)] = 862524,
  [SMALL_STATE(21045)] = 862538,
  [SMALL_STATE(21046)] = 862552,
  [SMALL_STATE(21047)] = 862566,
  [SMALL_STATE(21048)] = 862580,
  [SMALL_STATE(21049)] = 862594,
  [SMALL_STATE(21050)] = 862608,
  [SMALL_STATE(21051)] = 862622,
  [SMALL_STATE(21052)] = 862636,
  [SMALL_STATE(21053)] = 862650,
  [SMALL_STATE(21054)] = 862664,
  [SMALL_STATE(21055)] = 862678,
  [SMALL_STATE(21056)] = 862692,
  [SMALL_STATE(21057)] = 862706,
  [SMALL_STATE(21058)] = 862720,
  [SMALL_STATE(21059)] = 862734,
  [SMALL_STATE(21060)] = 862748,
  [SMALL_STATE(21061)] = 862762,
  [SMALL_STATE(21062)] = 862776,
  [SMALL_STATE(21063)] = 862790,
  [SMALL_STATE(21064)] = 862804,
  [SMALL_STATE(21065)] = 862818,
  [SMALL_STATE(21066)] = 862832,
  [SMALL_STATE(21067)] = 862846,
  [SMALL_STATE(21068)] = 862860,
  [SMALL_STATE(21069)] = 862874,
  [SMALL_STATE(21070)] = 862888,
  [SMALL_STATE(21071)] = 862902,
  [SMALL_STATE(21072)] = 862916,
  [SMALL_STATE(21073)] = 862930,
  [SMALL_STATE(21074)] = 862944,
  [SMALL_STATE(21075)] = 862958,
  [SMALL_STATE(21076)] = 862972,
  [SMALL_STATE(21077)] = 862986,
  [SMALL_STATE(21078)] = 863000,
  [SMALL_STATE(21079)] = 863014,
  [SMALL_STATE(21080)] = 863028,
  [SMALL_STATE(21081)] = 863042,
  [SMALL_STATE(21082)] = 863056,
  [SMALL_STATE(21083)] = 863070,
  [SMALL_STATE(21084)] = 863084,
  [SMALL_STATE(21085)] = 863098,
  [SMALL_STATE(21086)] = 863112,
  [SMALL_STATE(21087)] = 863126,
  [SMALL_STATE(21088)] = 863140,
  [SMALL_STATE(21089)] = 863154,
  [SMALL_STATE(21090)] = 863168,
  [SMALL_STATE(21091)] = 863182,
  [SMALL_STATE(21092)] = 863196,
  [SMALL_STATE(21093)] = 863210,
  [SMALL_STATE(21094)] = 863224,
  [SMALL_STATE(21095)] = 863238,
  [SMALL_STATE(21096)] = 863252,
  [SMALL_STATE(21097)] = 863266,
  [SMALL_STATE(21098)] = 863280,
  [SMALL_STATE(21099)] = 863294,
  [SMALL_STATE(21100)] = 863308,
  [SMALL_STATE(21101)] = 863322,
  [SMALL_STATE(21102)] = 863336,
  [SMALL_STATE(21103)] = 863350,
  [SMALL_STATE(21104)] = 863364,
  [SMALL_STATE(21105)] = 863378,
  [SMALL_STATE(21106)] = 863392,
  [SMALL_STATE(21107)] = 863406,
  [SMALL_STATE(21108)] = 863420,
  [SMALL_STATE(21109)] = 863434,
  [SMALL_STATE(21110)] = 863448,
  [SMALL_STATE(21111)] = 863462,
  [SMALL_STATE(21112)] = 863476,
  [SMALL_STATE(21113)] = 863490,
  [SMALL_STATE(21114)] = 863504,
  [SMALL_STATE(21115)] = 863518,
  [SMALL_STATE(21116)] = 863532,
  [SMALL_STATE(21117)] = 863546,
  [SMALL_STATE(21118)] = 863560,
  [SMALL_STATE(21119)] = 863574,
  [SMALL_STATE(21120)] = 863588,
  [SMALL_STATE(21121)] = 863602,
  [SMALL_STATE(21122)] = 863616,
  [SMALL_STATE(21123)] = 863630,
  [SMALL_STATE(21124)] = 863644,
  [SMALL_STATE(21125)] = 863658,
  [SMALL_STATE(21126)] = 863672,
  [SMALL_STATE(21127)] = 863686,
  [SMALL_STATE(21128)] = 863700,
  [SMALL_STATE(21129)] = 863714,
  [SMALL_STATE(21130)] = 863728,
  [SMALL_STATE(21131)] = 863742,
  [SMALL_STATE(21132)] = 863756,
  [SMALL_STATE(21133)] = 863770,
  [SMALL_STATE(21134)] = 863784,
  [SMALL_STATE(21135)] = 863798,
  [SMALL_STATE(21136)] = 863812,
  [SMALL_STATE(21137)] = 863826,
  [SMALL_STATE(21138)] = 863840,
  [SMALL_STATE(21139)] = 863854,
  [SMALL_STATE(21140)] = 863868,
  [SMALL_STATE(21141)] = 863882,
  [SMALL_STATE(21142)] = 863896,
  [SMALL_STATE(21143)] = 863910,
  [SMALL_STATE(21144)] = 863924,
  [SMALL_STATE(21145)] = 863938,
  [SMALL_STATE(21146)] = 863952,
  [SMALL_STATE(21147)] = 863966,
  [SMALL_STATE(21148)] = 863980,
  [SMALL_STATE(21149)] = 863994,
  [SMALL_STATE(21150)] = 864008,
  [SMALL_STATE(21151)] = 864022,
  [SMALL_STATE(21152)] = 864036,
  [SMALL_STATE(21153)] = 864050,
  [SMALL_STATE(21154)] = 864064,
  [SMALL_STATE(21155)] = 864078,
  [SMALL_STATE(21156)] = 864092,
  [SMALL_STATE(21157)] = 864106,
  [SMALL_STATE(21158)] = 864120,
  [SMALL_STATE(21159)] = 864134,
  [SMALL_STATE(21160)] = 864148,
  [SMALL_STATE(21161)] = 864162,
  [SMALL_STATE(21162)] = 864176,
  [SMALL_STATE(21163)] = 864190,
  [SMALL_STATE(21164)] = 864204,
  [SMALL_STATE(21165)] = 864218,
  [SMALL_STATE(21166)] = 864232,
  [SMALL_STATE(21167)] = 864246,
  [SMALL_STATE(21168)] = 864260,
  [SMALL_STATE(21169)] = 864274,
  [SMALL_STATE(21170)] = 864288,
  [SMALL_STATE(21171)] = 864302,
  [SMALL_STATE(21172)] = 864316,
  [SMALL_STATE(21173)] = 864330,
  [SMALL_STATE(21174)] = 864344,
  [SMALL_STATE(21175)] = 864358,
  [SMALL_STATE(21176)] = 864372,
  [SMALL_STATE(21177)] = 864386,
  [SMALL_STATE(21178)] = 864400,
  [SMALL_STATE(21179)] = 864414,
  [SMALL_STATE(21180)] = 864428,
  [SMALL_STATE(21181)] = 864442,
  [SMALL_STATE(21182)] = 864456,
  [SMALL_STATE(21183)] = 864470,
  [SMALL_STATE(21184)] = 864484,
  [SMALL_STATE(21185)] = 864498,
  [SMALL_STATE(21186)] = 864512,
  [SMALL_STATE(21187)] = 864526,
  [SMALL_STATE(21188)] = 864540,
  [SMALL_STATE(21189)] = 864554,
  [SMALL_STATE(21190)] = 864568,
  [SMALL_STATE(21191)] = 864582,
  [SMALL_STATE(21192)] = 864596,
  [SMALL_STATE(21193)] = 864610,
  [SMALL_STATE(21194)] = 864624,
  [SMALL_STATE(21195)] = 864638,
  [SMALL_STATE(21196)] = 864652,
  [SMALL_STATE(21197)] = 864666,
  [SMALL_STATE(21198)] = 864680,
  [SMALL_STATE(21199)] = 864694,
  [SMALL_STATE(21200)] = 864708,
  [SMALL_STATE(21201)] = 864722,
  [SMALL_STATE(21202)] = 864736,
  [SMALL_STATE(21203)] = 864750,
  [SMALL_STATE(21204)] = 864764,
  [SMALL_STATE(21205)] = 864778,
  [SMALL_STATE(21206)] = 864792,
  [SMALL_STATE(21207)] = 864806,
  [SMALL_STATE(21208)] = 864820,
  [SMALL_STATE(21209)] = 864834,
  [SMALL_STATE(21210)] = 864848,
  [SMALL_STATE(21211)] = 864862,
  [SMALL_STATE(21212)] = 864876,
  [SMALL_STATE(21213)] = 864890,
  [SMALL_STATE(21214)] = 864904,
  [SMALL_STATE(21215)] = 864918,
  [SMALL_STATE(21216)] = 864932,
  [SMALL_STATE(21217)] = 864946,
  [SMALL_STATE(21218)] = 864960,
  [SMALL_STATE(21219)] = 864974,
  [SMALL_STATE(21220)] = 864988,
  [SMALL_STATE(21221)] = 865002,
  [SMALL_STATE(21222)] = 865016,
  [SMALL_STATE(21223)] = 865030,
  [SMALL_STATE(21224)] = 865044,
  [SMALL_STATE(21225)] = 865058,
  [SMALL_STATE(21226)] = 865072,
  [SMALL_STATE(21227)] = 865086,
  [SMALL_STATE(21228)] = 865100,
  [SMALL_STATE(21229)] = 865114,
  [SMALL_STATE(21230)] = 865128,
  [SMALL_STATE(21231)] = 865142,
  [SMALL_STATE(21232)] = 865156,
  [SMALL_STATE(21233)] = 865170,
  [SMALL_STATE(21234)] = 865184,
  [SMALL_STATE(21235)] = 865198,
  [SMALL_STATE(21236)] = 865212,
  [SMALL_STATE(21237)] = 865226,
  [SMALL_STATE(21238)] = 865240,
  [SMALL_STATE(21239)] = 865254,
  [SMALL_STATE(21240)] = 865268,
  [SMALL_STATE(21241)] = 865282,
  [SMALL_STATE(21242)] = 865296,
  [SMALL_STATE(21243)] = 865310,
  [SMALL_STATE(21244)] = 865324,
  [SMALL_STATE(21245)] = 865338,
  [SMALL_STATE(21246)] = 865352,
  [SMALL_STATE(21247)] = 865366,
  [SMALL_STATE(21248)] = 865380,
  [SMALL_STATE(21249)] = 865394,
  [SMALL_STATE(21250)] = 865408,
  [SMALL_STATE(21251)] = 865422,
  [SMALL_STATE(21252)] = 865436,
  [SMALL_STATE(21253)] = 865450,
  [SMALL_STATE(21254)] = 865464,
  [SMALL_STATE(21255)] = 865478,
  [SMALL_STATE(21256)] = 865492,
  [SMALL_STATE(21257)] = 865506,
  [SMALL_STATE(21258)] = 865520,
  [SMALL_STATE(21259)] = 865534,
  [SMALL_STATE(21260)] = 865548,
  [SMALL_STATE(21261)] = 865562,
  [SMALL_STATE(21262)] = 865576,
  [SMALL_STATE(21263)] = 865590,
  [SMALL_STATE(21264)] = 865604,
  [SMALL_STATE(21265)] = 865618,
  [SMALL_STATE(21266)] = 865632,
  [SMALL_STATE(21267)] = 865646,
  [SMALL_STATE(21268)] = 865660,
  [SMALL_STATE(21269)] = 865674,
  [SMALL_STATE(21270)] = 865688,
  [SMALL_STATE(21271)] = 865702,
  [SMALL_STATE(21272)] = 865716,
  [SMALL_STATE(21273)] = 865730,
  [SMALL_STATE(21274)] = 865744,
  [SMALL_STATE(21275)] = 865758,
  [SMALL_STATE(21276)] = 865772,
  [SMALL_STATE(21277)] = 865786,
  [SMALL_STATE(21278)] = 865800,
  [SMALL_STATE(21279)] = 865814,
  [SMALL_STATE(21280)] = 865828,
  [SMALL_STATE(21281)] = 865842,
  [SMALL_STATE(21282)] = 865856,
  [SMALL_STATE(21283)] = 865870,
  [SMALL_STATE(21284)] = 865884,
  [SMALL_STATE(21285)] = 865898,
  [SMALL_STATE(21286)] = 865912,
  [SMALL_STATE(21287)] = 865926,
  [SMALL_STATE(21288)] = 865940,
  [SMALL_STATE(21289)] = 865954,
  [SMALL_STATE(21290)] = 865968,
  [SMALL_STATE(21291)] = 865982,
  [SMALL_STATE(21292)] = 865996,
  [SMALL_STATE(21293)] = 866010,
  [SMALL_STATE(21294)] = 866024,
  [SMALL_STATE(21295)] = 866038,
  [SMALL_STATE(21296)] = 866052,
  [SMALL_STATE(21297)] = 866066,
  [SMALL_STATE(21298)] = 866080,
  [SMALL_STATE(21299)] = 866094,
  [SMALL_STATE(21300)] = 866108,
  [SMALL_STATE(21301)] = 866122,
  [SMALL_STATE(21302)] = 866136,
  [SMALL_STATE(21303)] = 866150,
  [SMALL_STATE(21304)] = 866164,
  [SMALL_STATE(21305)] = 866178,
  [SMALL_STATE(21306)] = 866192,
  [SMALL_STATE(21307)] = 866206,
  [SMALL_STATE(21308)] = 866220,
  [SMALL_STATE(21309)] = 866234,
  [SMALL_STATE(21310)] = 866248,
  [SMALL_STATE(21311)] = 866262,
  [SMALL_STATE(21312)] = 866276,
  [SMALL_STATE(21313)] = 866290,
  [SMALL_STATE(21314)] = 866304,
  [SMALL_STATE(21315)] = 866318,
  [SMALL_STATE(21316)] = 866332,
  [SMALL_STATE(21317)] = 866346,
  [SMALL_STATE(21318)] = 866360,
  [SMALL_STATE(21319)] = 866374,
  [SMALL_STATE(21320)] = 866388,
  [SMALL_STATE(21321)] = 866402,
  [SMALL_STATE(21322)] = 866416,
  [SMALL_STATE(21323)] = 866430,
  [SMALL_STATE(21324)] = 866444,
  [SMALL_STATE(21325)] = 866458,
  [SMALL_STATE(21326)] = 866472,
  [SMALL_STATE(21327)] = 866486,
  [SMALL_STATE(21328)] = 866500,
  [SMALL_STATE(21329)] = 866514,
  [SMALL_STATE(21330)] = 866528,
  [SMALL_STATE(21331)] = 866542,
  [SMALL_STATE(21332)] = 866556,
  [SMALL_STATE(21333)] = 866570,
  [SMALL_STATE(21334)] = 866584,
  [SMALL_STATE(21335)] = 866598,
  [SMALL_STATE(21336)] = 866612,
  [SMALL_STATE(21337)] = 866626,
  [SMALL_STATE(21338)] = 866640,
  [SMALL_STATE(21339)] = 866654,
  [SMALL_STATE(21340)] = 866668,
  [SMALL_STATE(21341)] = 866682,
  [SMALL_STATE(21342)] = 866696,
  [SMALL_STATE(21343)] = 866710,
  [SMALL_STATE(21344)] = 866724,
  [SMALL_STATE(21345)] = 866738,
  [SMALL_STATE(21346)] = 866752,
  [SMALL_STATE(21347)] = 866766,
  [SMALL_STATE(21348)] = 866780,
  [SMALL_STATE(21349)] = 866794,
  [SMALL_STATE(21350)] = 866808,
  [SMALL_STATE(21351)] = 866822,
  [SMALL_STATE(21352)] = 866836,
  [SMALL_STATE(21353)] = 866850,
  [SMALL_STATE(21354)] = 866864,
  [SMALL_STATE(21355)] = 866878,
  [SMALL_STATE(21356)] = 866892,
  [SMALL_STATE(21357)] = 866906,
  [SMALL_STATE(21358)] = 866920,
  [SMALL_STATE(21359)] = 866934,
  [SMALL_STATE(21360)] = 866948,
  [SMALL_STATE(21361)] = 866962,
  [SMALL_STATE(21362)] = 866976,
  [SMALL_STATE(21363)] = 866990,
  [SMALL_STATE(21364)] = 867004,
  [SMALL_STATE(21365)] = 867018,
  [SMALL_STATE(21366)] = 867032,
  [SMALL_STATE(21367)] = 867046,
  [SMALL_STATE(21368)] = 867060,
  [SMALL_STATE(21369)] = 867074,
  [SMALL_STATE(21370)] = 867088,
  [SMALL_STATE(21371)] = 867102,
  [SMALL_STATE(21372)] = 867116,
  [SMALL_STATE(21373)] = 867130,
  [SMALL_STATE(21374)] = 867144,
  [SMALL_STATE(21375)] = 867158,
  [SMALL_STATE(21376)] = 867172,
  [SMALL_STATE(21377)] = 867186,
  [SMALL_STATE(21378)] = 867200,
  [SMALL_STATE(21379)] = 867214,
  [SMALL_STATE(21380)] = 867228,
  [SMALL_STATE(21381)] = 867242,
  [SMALL_STATE(21382)] = 867256,
  [SMALL_STATE(21383)] = 867270,
  [SMALL_STATE(21384)] = 867284,
  [SMALL_STATE(21385)] = 867298,
  [SMALL_STATE(21386)] = 867312,
  [SMALL_STATE(21387)] = 867326,
  [SMALL_STATE(21388)] = 867340,
  [SMALL_STATE(21389)] = 867354,
  [SMALL_STATE(21390)] = 867368,
  [SMALL_STATE(21391)] = 867382,
  [SMALL_STATE(21392)] = 867396,
  [SMALL_STATE(21393)] = 867410,
  [SMALL_STATE(21394)] = 867424,
  [SMALL_STATE(21395)] = 867438,
  [SMALL_STATE(21396)] = 867452,
  [SMALL_STATE(21397)] = 867466,
  [SMALL_STATE(21398)] = 867480,
  [SMALL_STATE(21399)] = 867494,
  [SMALL_STATE(21400)] = 867508,
  [SMALL_STATE(21401)] = 867522,
  [SMALL_STATE(21402)] = 867536,
  [SMALL_STATE(21403)] = 867550,
  [SMALL_STATE(21404)] = 867564,
  [SMALL_STATE(21405)] = 867578,
  [SMALL_STATE(21406)] = 867592,
  [SMALL_STATE(21407)] = 867606,
  [SMALL_STATE(21408)] = 867620,
  [SMALL_STATE(21409)] = 867634,
  [SMALL_STATE(21410)] = 867648,
  [SMALL_STATE(21411)] = 867662,
  [SMALL_STATE(21412)] = 867676,
  [SMALL_STATE(21413)] = 867690,
  [SMALL_STATE(21414)] = 867704,
  [SMALL_STATE(21415)] = 867718,
  [SMALL_STATE(21416)] = 867732,
  [SMALL_STATE(21417)] = 867746,
  [SMALL_STATE(21418)] = 867760,
  [SMALL_STATE(21419)] = 867774,
  [SMALL_STATE(21420)] = 867788,
  [SMALL_STATE(21421)] = 867802,
  [SMALL_STATE(21422)] = 867816,
  [SMALL_STATE(21423)] = 867830,
  [SMALL_STATE(21424)] = 867844,
  [SMALL_STATE(21425)] = 867858,
  [SMALL_STATE(21426)] = 867872,
  [SMALL_STATE(21427)] = 867886,
  [SMALL_STATE(21428)] = 867900,
  [SMALL_STATE(21429)] = 867914,
  [SMALL_STATE(21430)] = 867928,
  [SMALL_STATE(21431)] = 867942,
  [SMALL_STATE(21432)] = 867956,
  [SMALL_STATE(21433)] = 867970,
  [SMALL_STATE(21434)] = 867984,
  [SMALL_STATE(21435)] = 867998,
  [SMALL_STATE(21436)] = 868012,
  [SMALL_STATE(21437)] = 868026,
  [SMALL_STATE(21438)] = 868040,
  [SMALL_STATE(21439)] = 868054,
  [SMALL_STATE(21440)] = 868068,
  [SMALL_STATE(21441)] = 868082,
  [SMALL_STATE(21442)] = 868096,
  [SMALL_STATE(21443)] = 868110,
  [SMALL_STATE(21444)] = 868124,
  [SMALL_STATE(21445)] = 868138,
  [SMALL_STATE(21446)] = 868152,
  [SMALL_STATE(21447)] = 868166,
  [SMALL_STATE(21448)] = 868180,
  [SMALL_STATE(21449)] = 868194,
  [SMALL_STATE(21450)] = 868208,
  [SMALL_STATE(21451)] = 868222,
  [SMALL_STATE(21452)] = 868236,
  [SMALL_STATE(21453)] = 868250,
  [SMALL_STATE(21454)] = 868264,
  [SMALL_STATE(21455)] = 868278,
  [SMALL_STATE(21456)] = 868292,
  [SMALL_STATE(21457)] = 868306,
  [SMALL_STATE(21458)] = 868320,
  [SMALL_STATE(21459)] = 868334,
  [SMALL_STATE(21460)] = 868348,
  [SMALL_STATE(21461)] = 868362,
  [SMALL_STATE(21462)] = 868376,
  [SMALL_STATE(21463)] = 868390,
  [SMALL_STATE(21464)] = 868404,
  [SMALL_STATE(21465)] = 868418,
  [SMALL_STATE(21466)] = 868432,
  [SMALL_STATE(21467)] = 868446,
  [SMALL_STATE(21468)] = 868460,
  [SMALL_STATE(21469)] = 868474,
  [SMALL_STATE(21470)] = 868488,
  [SMALL_STATE(21471)] = 868502,
  [SMALL_STATE(21472)] = 868516,
  [SMALL_STATE(21473)] = 868530,
  [SMALL_STATE(21474)] = 868544,
  [SMALL_STATE(21475)] = 868558,
  [SMALL_STATE(21476)] = 868572,
  [SMALL_STATE(21477)] = 868586,
  [SMALL_STATE(21478)] = 868600,
  [SMALL_STATE(21479)] = 868614,
  [SMALL_STATE(21480)] = 868628,
  [SMALL_STATE(21481)] = 868642,
  [SMALL_STATE(21482)] = 868656,
  [SMALL_STATE(21483)] = 868670,
  [SMALL_STATE(21484)] = 868684,
  [SMALL_STATE(21485)] = 868698,
  [SMALL_STATE(21486)] = 868712,
  [SMALL_STATE(21487)] = 868726,
  [SMALL_STATE(21488)] = 868740,
  [SMALL_STATE(21489)] = 868754,
  [SMALL_STATE(21490)] = 868768,
  [SMALL_STATE(21491)] = 868782,
  [SMALL_STATE(21492)] = 868796,
  [SMALL_STATE(21493)] = 868810,
  [SMALL_STATE(21494)] = 868824,
  [SMALL_STATE(21495)] = 868838,
  [SMALL_STATE(21496)] = 868852,
  [SMALL_STATE(21497)] = 868866,
  [SMALL_STATE(21498)] = 868880,
  [SMALL_STATE(21499)] = 868894,
  [SMALL_STATE(21500)] = 868908,
  [SMALL_STATE(21501)] = 868922,
  [SMALL_STATE(21502)] = 868936,
  [SMALL_STATE(21503)] = 868950,
  [SMALL_STATE(21504)] = 868964,
  [SMALL_STATE(21505)] = 868978,
  [SMALL_STATE(21506)] = 868992,
  [SMALL_STATE(21507)] = 869006,
  [SMALL_STATE(21508)] = 869020,
  [SMALL_STATE(21509)] = 869034,
  [SMALL_STATE(21510)] = 869048,
  [SMALL_STATE(21511)] = 869062,
  [SMALL_STATE(21512)] = 869076,
  [SMALL_STATE(21513)] = 869090,
  [SMALL_STATE(21514)] = 869104,
  [SMALL_STATE(21515)] = 869118,
  [SMALL_STATE(21516)] = 869132,
  [SMALL_STATE(21517)] = 869146,
  [SMALL_STATE(21518)] = 869160,
  [SMALL_STATE(21519)] = 869174,
  [SMALL_STATE(21520)] = 869188,
  [SMALL_STATE(21521)] = 869202,
  [SMALL_STATE(21522)] = 869216,
  [SMALL_STATE(21523)] = 869230,
  [SMALL_STATE(21524)] = 869244,
  [SMALL_STATE(21525)] = 869258,
  [SMALL_STATE(21526)] = 869272,
  [SMALL_STATE(21527)] = 869286,
  [SMALL_STATE(21528)] = 869300,
  [SMALL_STATE(21529)] = 869314,
  [SMALL_STATE(21530)] = 869328,
  [SMALL_STATE(21531)] = 869342,
  [SMALL_STATE(21532)] = 869356,
  [SMALL_STATE(21533)] = 869370,
  [SMALL_STATE(21534)] = 869384,
  [SMALL_STATE(21535)] = 869398,
  [SMALL_STATE(21536)] = 869412,
  [SMALL_STATE(21537)] = 869426,
  [SMALL_STATE(21538)] = 869440,
  [SMALL_STATE(21539)] = 869454,
  [SMALL_STATE(21540)] = 869468,
  [SMALL_STATE(21541)] = 869482,
  [SMALL_STATE(21542)] = 869496,
  [SMALL_STATE(21543)] = 869510,
  [SMALL_STATE(21544)] = 869524,
  [SMALL_STATE(21545)] = 869538,
  [SMALL_STATE(21546)] = 869552,
  [SMALL_STATE(21547)] = 869566,
  [SMALL_STATE(21548)] = 869580,
  [SMALL_STATE(21549)] = 869594,
  [SMALL_STATE(21550)] = 869608,
  [SMALL_STATE(21551)] = 869622,
  [SMALL_STATE(21552)] = 869636,
  [SMALL_STATE(21553)] = 869650,
  [SMALL_STATE(21554)] = 869664,
  [SMALL_STATE(21555)] = 869678,
  [SMALL_STATE(21556)] = 869692,
  [SMALL_STATE(21557)] = 869706,
  [SMALL_STATE(21558)] = 869720,
  [SMALL_STATE(21559)] = 869734,
  [SMALL_STATE(21560)] = 869748,
  [SMALL_STATE(21561)] = 869762,
  [SMALL_STATE(21562)] = 869776,
  [SMALL_STATE(21563)] = 869790,
  [SMALL_STATE(21564)] = 869804,
  [SMALL_STATE(21565)] = 869818,
  [SMALL_STATE(21566)] = 869832,
  [SMALL_STATE(21567)] = 869846,
  [SMALL_STATE(21568)] = 869860,
  [SMALL_STATE(21569)] = 869874,
  [SMALL_STATE(21570)] = 869888,
  [SMALL_STATE(21571)] = 869902,
  [SMALL_STATE(21572)] = 869916,
  [SMALL_STATE(21573)] = 869930,
  [SMALL_STATE(21574)] = 869944,
  [SMALL_STATE(21575)] = 869958,
  [SMALL_STATE(21576)] = 869972,
  [SMALL_STATE(21577)] = 869986,
  [SMALL_STATE(21578)] = 870000,
  [SMALL_STATE(21579)] = 870014,
  [SMALL_STATE(21580)] = 870028,
  [SMALL_STATE(21581)] = 870042,
  [SMALL_STATE(21582)] = 870056,
  [SMALL_STATE(21583)] = 870070,
  [SMALL_STATE(21584)] = 870084,
  [SMALL_STATE(21585)] = 870098,
  [SMALL_STATE(21586)] = 870112,
  [SMALL_STATE(21587)] = 870126,
  [SMALL_STATE(21588)] = 870140,
  [SMALL_STATE(21589)] = 870154,
  [SMALL_STATE(21590)] = 870168,
  [SMALL_STATE(21591)] = 870182,
  [SMALL_STATE(21592)] = 870196,
  [SMALL_STATE(21593)] = 870210,
  [SMALL_STATE(21594)] = 870224,
  [SMALL_STATE(21595)] = 870238,
  [SMALL_STATE(21596)] = 870252,
  [SMALL_STATE(21597)] = 870266,
  [SMALL_STATE(21598)] = 870280,
  [SMALL_STATE(21599)] = 870294,
  [SMALL_STATE(21600)] = 870308,
  [SMALL_STATE(21601)] = 870322,
  [SMALL_STATE(21602)] = 870336,
  [SMALL_STATE(21603)] = 870350,
  [SMALL_STATE(21604)] = 870364,
  [SMALL_STATE(21605)] = 870378,
  [SMALL_STATE(21606)] = 870392,
  [SMALL_STATE(21607)] = 870406,
  [SMALL_STATE(21608)] = 870420,
  [SMALL_STATE(21609)] = 870434,
  [SMALL_STATE(21610)] = 870448,
  [SMALL_STATE(21611)] = 870462,
  [SMALL_STATE(21612)] = 870476,
  [SMALL_STATE(21613)] = 870490,
  [SMALL_STATE(21614)] = 870504,
  [SMALL_STATE(21615)] = 870518,
  [SMALL_STATE(21616)] = 870532,
  [SMALL_STATE(21617)] = 870546,
  [SMALL_STATE(21618)] = 870560,
  [SMALL_STATE(21619)] = 870574,
  [SMALL_STATE(21620)] = 870588,
  [SMALL_STATE(21621)] = 870602,
  [SMALL_STATE(21622)] = 870616,
  [SMALL_STATE(21623)] = 870630,
  [SMALL_STATE(21624)] = 870644,
  [SMALL_STATE(21625)] = 870658,
  [SMALL_STATE(21626)] = 870672,
  [SMALL_STATE(21627)] = 870686,
  [SMALL_STATE(21628)] = 870700,
  [SMALL_STATE(21629)] = 870714,
  [SMALL_STATE(21630)] = 870728,
  [SMALL_STATE(21631)] = 870742,
  [SMALL_STATE(21632)] = 870756,
  [SMALL_STATE(21633)] = 870770,
  [SMALL_STATE(21634)] = 870784,
  [SMALL_STATE(21635)] = 870798,
  [SMALL_STATE(21636)] = 870812,
  [SMALL_STATE(21637)] = 870826,
  [SMALL_STATE(21638)] = 870840,
  [SMALL_STATE(21639)] = 870854,
  [SMALL_STATE(21640)] = 870868,
  [SMALL_STATE(21641)] = 870882,
  [SMALL_STATE(21642)] = 870896,
  [SMALL_STATE(21643)] = 870910,
  [SMALL_STATE(21644)] = 870924,
  [SMALL_STATE(21645)] = 870938,
  [SMALL_STATE(21646)] = 870952,
  [SMALL_STATE(21647)] = 870966,
  [SMALL_STATE(21648)] = 870980,
  [SMALL_STATE(21649)] = 870994,
  [SMALL_STATE(21650)] = 871008,
  [SMALL_STATE(21651)] = 871022,
  [SMALL_STATE(21652)] = 871036,
  [SMALL_STATE(21653)] = 871050,
  [SMALL_STATE(21654)] = 871064,
  [SMALL_STATE(21655)] = 871078,
  [SMALL_STATE(21656)] = 871092,
  [SMALL_STATE(21657)] = 871106,
  [SMALL_STATE(21658)] = 871120,
  [SMALL_STATE(21659)] = 871134,
  [SMALL_STATE(21660)] = 871148,
  [SMALL_STATE(21661)] = 871162,
  [SMALL_STATE(21662)] = 871176,
  [SMALL_STATE(21663)] = 871190,
  [SMALL_STATE(21664)] = 871204,
  [SMALL_STATE(21665)] = 871218,
  [SMALL_STATE(21666)] = 871232,
  [SMALL_STATE(21667)] = 871246,
  [SMALL_STATE(21668)] = 871260,
  [SMALL_STATE(21669)] = 871274,
  [SMALL_STATE(21670)] = 871288,
  [SMALL_STATE(21671)] = 871302,
  [SMALL_STATE(21672)] = 871316,
  [SMALL_STATE(21673)] = 871330,
  [SMALL_STATE(21674)] = 871344,
  [SMALL_STATE(21675)] = 871358,
  [SMALL_STATE(21676)] = 871372,
  [SMALL_STATE(21677)] = 871386,
  [SMALL_STATE(21678)] = 871400,
  [SMALL_STATE(21679)] = 871414,
  [SMALL_STATE(21680)] = 871428,
  [SMALL_STATE(21681)] = 871442,
  [SMALL_STATE(21682)] = 871456,
  [SMALL_STATE(21683)] = 871470,
  [SMALL_STATE(21684)] = 871484,
  [SMALL_STATE(21685)] = 871498,
  [SMALL_STATE(21686)] = 871512,
  [SMALL_STATE(21687)] = 871526,
  [SMALL_STATE(21688)] = 871540,
  [SMALL_STATE(21689)] = 871554,
  [SMALL_STATE(21690)] = 871568,
  [SMALL_STATE(21691)] = 871582,
  [SMALL_STATE(21692)] = 871596,
  [SMALL_STATE(21693)] = 871610,
  [SMALL_STATE(21694)] = 871624,
  [SMALL_STATE(21695)] = 871638,
  [SMALL_STATE(21696)] = 871652,
  [SMALL_STATE(21697)] = 871666,
  [SMALL_STATE(21698)] = 871680,
  [SMALL_STATE(21699)] = 871694,
  [SMALL_STATE(21700)] = 871708,
  [SMALL_STATE(21701)] = 871722,
  [SMALL_STATE(21702)] = 871736,
  [SMALL_STATE(21703)] = 871750,
  [SMALL_STATE(21704)] = 871764,
  [SMALL_STATE(21705)] = 871778,
  [SMALL_STATE(21706)] = 871792,
  [SMALL_STATE(21707)] = 871806,
  [SMALL_STATE(21708)] = 871820,
  [SMALL_STATE(21709)] = 871834,
  [SMALL_STATE(21710)] = 871848,
  [SMALL_STATE(21711)] = 871862,
  [SMALL_STATE(21712)] = 871876,
  [SMALL_STATE(21713)] = 871890,
  [SMALL_STATE(21714)] = 871904,
  [SMALL_STATE(21715)] = 871918,
  [SMALL_STATE(21716)] = 871932,
  [SMALL_STATE(21717)] = 871946,
  [SMALL_STATE(21718)] = 871960,
  [SMALL_STATE(21719)] = 871974,
  [SMALL_STATE(21720)] = 871988,
  [SMALL_STATE(21721)] = 872002,
  [SMALL_STATE(21722)] = 872016,
  [SMALL_STATE(21723)] = 872030,
  [SMALL_STATE(21724)] = 872044,
  [SMALL_STATE(21725)] = 872058,
  [SMALL_STATE(21726)] = 872072,
  [SMALL_STATE(21727)] = 872086,
  [SMALL_STATE(21728)] = 872100,
  [SMALL_STATE(21729)] = 872114,
  [SMALL_STATE(21730)] = 872128,
  [SMALL_STATE(21731)] = 872142,
  [SMALL_STATE(21732)] = 872156,
  [SMALL_STATE(21733)] = 872170,
  [SMALL_STATE(21734)] = 872184,
  [SMALL_STATE(21735)] = 872198,
  [SMALL_STATE(21736)] = 872212,
  [SMALL_STATE(21737)] = 872226,
  [SMALL_STATE(21738)] = 872240,
  [SMALL_STATE(21739)] = 872254,
  [SMALL_STATE(21740)] = 872268,
  [SMALL_STATE(21741)] = 872282,
  [SMALL_STATE(21742)] = 872296,
  [SMALL_STATE(21743)] = 872310,
  [SMALL_STATE(21744)] = 872324,
  [SMALL_STATE(21745)] = 872338,
  [SMALL_STATE(21746)] = 872352,
  [SMALL_STATE(21747)] = 872366,
  [SMALL_STATE(21748)] = 872380,
  [SMALL_STATE(21749)] = 872394,
  [SMALL_STATE(21750)] = 872408,
  [SMALL_STATE(21751)] = 872422,
  [SMALL_STATE(21752)] = 872436,
  [SMALL_STATE(21753)] = 872450,
  [SMALL_STATE(21754)] = 872464,
  [SMALL_STATE(21755)] = 872478,
  [SMALL_STATE(21756)] = 872492,
  [SMALL_STATE(21757)] = 872506,
  [SMALL_STATE(21758)] = 872520,
  [SMALL_STATE(21759)] = 872534,
  [SMALL_STATE(21760)] = 872548,
  [SMALL_STATE(21761)] = 872562,
  [SMALL_STATE(21762)] = 872576,
  [SMALL_STATE(21763)] = 872590,
  [SMALL_STATE(21764)] = 872604,
  [SMALL_STATE(21765)] = 872618,
  [SMALL_STATE(21766)] = 872632,
  [SMALL_STATE(21767)] = 872646,
  [SMALL_STATE(21768)] = 872660,
  [SMALL_STATE(21769)] = 872674,
  [SMALL_STATE(21770)] = 872688,
  [SMALL_STATE(21771)] = 872702,
  [SMALL_STATE(21772)] = 872716,
  [SMALL_STATE(21773)] = 872730,
  [SMALL_STATE(21774)] = 872744,
  [SMALL_STATE(21775)] = 872758,
  [SMALL_STATE(21776)] = 872772,
  [SMALL_STATE(21777)] = 872786,
  [SMALL_STATE(21778)] = 872800,
  [SMALL_STATE(21779)] = 872814,
  [SMALL_STATE(21780)] = 872828,
  [SMALL_STATE(21781)] = 872842,
  [SMALL_STATE(21782)] = 872856,
  [SMALL_STATE(21783)] = 872870,
  [SMALL_STATE(21784)] = 872884,
  [SMALL_STATE(21785)] = 872898,
  [SMALL_STATE(21786)] = 872912,
  [SMALL_STATE(21787)] = 872926,
  [SMALL_STATE(21788)] = 872940,
  [SMALL_STATE(21789)] = 872954,
  [SMALL_STATE(21790)] = 872968,
  [SMALL_STATE(21791)] = 872982,
  [SMALL_STATE(21792)] = 872996,
  [SMALL_STATE(21793)] = 873010,
  [SMALL_STATE(21794)] = 873024,
  [SMALL_STATE(21795)] = 873038,
  [SMALL_STATE(21796)] = 873052,
  [SMALL_STATE(21797)] = 873066,
  [SMALL_STATE(21798)] = 873080,
  [SMALL_STATE(21799)] = 873094,
  [SMALL_STATE(21800)] = 873108,
  [SMALL_STATE(21801)] = 873122,
  [SMALL_STATE(21802)] = 873136,
  [SMALL_STATE(21803)] = 873150,
  [SMALL_STATE(21804)] = 873164,
  [SMALL_STATE(21805)] = 873178,
  [SMALL_STATE(21806)] = 873192,
  [SMALL_STATE(21807)] = 873206,
  [SMALL_STATE(21808)] = 873220,
  [SMALL_STATE(21809)] = 873234,
  [SMALL_STATE(21810)] = 873248,
  [SMALL_STATE(21811)] = 873262,
  [SMALL_STATE(21812)] = 873276,
  [SMALL_STATE(21813)] = 873290,
  [SMALL_STATE(21814)] = 873304,
  [SMALL_STATE(21815)] = 873318,
  [SMALL_STATE(21816)] = 873332,
  [SMALL_STATE(21817)] = 873346,
  [SMALL_STATE(21818)] = 873360,
  [SMALL_STATE(21819)] = 873374,
  [SMALL_STATE(21820)] = 873388,
  [SMALL_STATE(21821)] = 873402,
  [SMALL_STATE(21822)] = 873416,
  [SMALL_STATE(21823)] = 873430,
  [SMALL_STATE(21824)] = 873444,
  [SMALL_STATE(21825)] = 873458,
  [SMALL_STATE(21826)] = 873472,
  [SMALL_STATE(21827)] = 873486,
  [SMALL_STATE(21828)] = 873500,
  [SMALL_STATE(21829)] = 873514,
  [SMALL_STATE(21830)] = 873528,
  [SMALL_STATE(21831)] = 873542,
  [SMALL_STATE(21832)] = 873556,
  [SMALL_STATE(21833)] = 873570,
  [SMALL_STATE(21834)] = 873584,
  [SMALL_STATE(21835)] = 873598,
  [SMALL_STATE(21836)] = 873612,
  [SMALL_STATE(21837)] = 873626,
  [SMALL_STATE(21838)] = 873640,
  [SMALL_STATE(21839)] = 873654,
  [SMALL_STATE(21840)] = 873668,
  [SMALL_STATE(21841)] = 873682,
  [SMALL_STATE(21842)] = 873696,
  [SMALL_STATE(21843)] = 873710,
  [SMALL_STATE(21844)] = 873724,
  [SMALL_STATE(21845)] = 873738,
  [SMALL_STATE(21846)] = 873752,
  [SMALL_STATE(21847)] = 873766,
  [SMALL_STATE(21848)] = 873780,
  [SMALL_STATE(21849)] = 873794,
  [SMALL_STATE(21850)] = 873808,
  [SMALL_STATE(21851)] = 873822,
  [SMALL_STATE(21852)] = 873836,
  [SMALL_STATE(21853)] = 873850,
  [SMALL_STATE(21854)] = 873864,
  [SMALL_STATE(21855)] = 873878,
  [SMALL_STATE(21856)] = 873892,
  [SMALL_STATE(21857)] = 873906,
  [SMALL_STATE(21858)] = 873920,
  [SMALL_STATE(21859)] = 873934,
  [SMALL_STATE(21860)] = 873948,
  [SMALL_STATE(21861)] = 873962,
  [SMALL_STATE(21862)] = 873976,
  [SMALL_STATE(21863)] = 873990,
  [SMALL_STATE(21864)] = 874004,
  [SMALL_STATE(21865)] = 874018,
  [SMALL_STATE(21866)] = 874032,
  [SMALL_STATE(21867)] = 874046,
  [SMALL_STATE(21868)] = 874060,
  [SMALL_STATE(21869)] = 874074,
  [SMALL_STATE(21870)] = 874088,
  [SMALL_STATE(21871)] = 874102,
  [SMALL_STATE(21872)] = 874116,
  [SMALL_STATE(21873)] = 874130,
  [SMALL_STATE(21874)] = 874144,
  [SMALL_STATE(21875)] = 874158,
  [SMALL_STATE(21876)] = 874172,
  [SMALL_STATE(21877)] = 874186,
  [SMALL_STATE(21878)] = 874200,
  [SMALL_STATE(21879)] = 874214,
  [SMALL_STATE(21880)] = 874228,
  [SMALL_STATE(21881)] = 874242,
  [SMALL_STATE(21882)] = 874256,
  [SMALL_STATE(21883)] = 874270,
  [SMALL_STATE(21884)] = 874284,
  [SMALL_STATE(21885)] = 874298,
  [SMALL_STATE(21886)] = 874312,
  [SMALL_STATE(21887)] = 874326,
  [SMALL_STATE(21888)] = 874340,
  [SMALL_STATE(21889)] = 874354,
  [SMALL_STATE(21890)] = 874368,
  [SMALL_STATE(21891)] = 874382,
  [SMALL_STATE(21892)] = 874396,
  [SMALL_STATE(21893)] = 874410,
  [SMALL_STATE(21894)] = 874424,
  [SMALL_STATE(21895)] = 874438,
  [SMALL_STATE(21896)] = 874452,
  [SMALL_STATE(21897)] = 874466,
  [SMALL_STATE(21898)] = 874480,
  [SMALL_STATE(21899)] = 874494,
  [SMALL_STATE(21900)] = 874508,
  [SMALL_STATE(21901)] = 874522,
  [SMALL_STATE(21902)] = 874536,
  [SMALL_STATE(21903)] = 874550,
  [SMALL_STATE(21904)] = 874564,
  [SMALL_STATE(21905)] = 874578,
  [SMALL_STATE(21906)] = 874592,
  [SMALL_STATE(21907)] = 874606,
  [SMALL_STATE(21908)] = 874620,
  [SMALL_STATE(21909)] = 874634,
  [SMALL_STATE(21910)] = 874648,
  [SMALL_STATE(21911)] = 874662,
  [SMALL_STATE(21912)] = 874676,
  [SMALL_STATE(21913)] = 874690,
  [SMALL_STATE(21914)] = 874704,
  [SMALL_STATE(21915)] = 874718,
  [SMALL_STATE(21916)] = 874732,
  [SMALL_STATE(21917)] = 874746,
  [SMALL_STATE(21918)] = 874760,
  [SMALL_STATE(21919)] = 874774,
  [SMALL_STATE(21920)] = 874788,
  [SMALL_STATE(21921)] = 874802,
  [SMALL_STATE(21922)] = 874816,
  [SMALL_STATE(21923)] = 874830,
  [SMALL_STATE(21924)] = 874844,
  [SMALL_STATE(21925)] = 874858,
  [SMALL_STATE(21926)] = 874872,
  [SMALL_STATE(21927)] = 874886,
  [SMALL_STATE(21928)] = 874900,
  [SMALL_STATE(21929)] = 874914,
  [SMALL_STATE(21930)] = 874928,
  [SMALL_STATE(21931)] = 874942,
  [SMALL_STATE(21932)] = 874956,
  [SMALL_STATE(21933)] = 874970,
  [SMALL_STATE(21934)] = 874984,
  [SMALL_STATE(21935)] = 874998,
  [SMALL_STATE(21936)] = 875012,
  [SMALL_STATE(21937)] = 875026,
  [SMALL_STATE(21938)] = 875040,
  [SMALL_STATE(21939)] = 875054,
  [SMALL_STATE(21940)] = 875068,
  [SMALL_STATE(21941)] = 875082,
  [SMALL_STATE(21942)] = 875096,
  [SMALL_STATE(21943)] = 875110,
  [SMALL_STATE(21944)] = 875124,
  [SMALL_STATE(21945)] = 875138,
  [SMALL_STATE(21946)] = 875152,
  [SMALL_STATE(21947)] = 875166,
  [SMALL_STATE(21948)] = 875180,
  [SMALL_STATE(21949)] = 875194,
  [SMALL_STATE(21950)] = 875208,
  [SMALL_STATE(21951)] = 875222,
  [SMALL_STATE(21952)] = 875236,
  [SMALL_STATE(21953)] = 875250,
  [SMALL_STATE(21954)] = 875264,
  [SMALL_STATE(21955)] = 875278,
  [SMALL_STATE(21956)] = 875292,
  [SMALL_STATE(21957)] = 875306,
  [SMALL_STATE(21958)] = 875320,
  [SMALL_STATE(21959)] = 875334,
  [SMALL_STATE(21960)] = 875348,
  [SMALL_STATE(21961)] = 875362,
  [SMALL_STATE(21962)] = 875376,
  [SMALL_STATE(21963)] = 875390,
  [SMALL_STATE(21964)] = 875404,
  [SMALL_STATE(21965)] = 875418,
  [SMALL_STATE(21966)] = 875432,
  [SMALL_STATE(21967)] = 875446,
  [SMALL_STATE(21968)] = 875460,
  [SMALL_STATE(21969)] = 875474,
  [SMALL_STATE(21970)] = 875488,
  [SMALL_STATE(21971)] = 875502,
  [SMALL_STATE(21972)] = 875516,
  [SMALL_STATE(21973)] = 875530,
  [SMALL_STATE(21974)] = 875544,
  [SMALL_STATE(21975)] = 875558,
  [SMALL_STATE(21976)] = 875572,
  [SMALL_STATE(21977)] = 875586,
  [SMALL_STATE(21978)] = 875600,
  [SMALL_STATE(21979)] = 875614,
  [SMALL_STATE(21980)] = 875628,
  [SMALL_STATE(21981)] = 875642,
  [SMALL_STATE(21982)] = 875656,
  [SMALL_STATE(21983)] = 875670,
  [SMALL_STATE(21984)] = 875684,
  [SMALL_STATE(21985)] = 875698,
  [SMALL_STATE(21986)] = 875712,
  [SMALL_STATE(21987)] = 875726,
  [SMALL_STATE(21988)] = 875740,
  [SMALL_STATE(21989)] = 875754,
  [SMALL_STATE(21990)] = 875768,
  [SMALL_STATE(21991)] = 875782,
  [SMALL_STATE(21992)] = 875796,
  [SMALL_STATE(21993)] = 875810,
  [SMALL_STATE(21994)] = 875824,
  [SMALL_STATE(21995)] = 875838,
  [SMALL_STATE(21996)] = 875852,
  [SMALL_STATE(21997)] = 875866,
  [SMALL_STATE(21998)] = 875880,
  [SMALL_STATE(21999)] = 875894,
  [SMALL_STATE(22000)] = 875908,
  [SMALL_STATE(22001)] = 875922,
  [SMALL_STATE(22002)] = 875936,
  [SMALL_STATE(22003)] = 875950,
  [SMALL_STATE(22004)] = 875964,
  [SMALL_STATE(22005)] = 875978,
  [SMALL_STATE(22006)] = 875992,
  [SMALL_STATE(22007)] = 876006,
  [SMALL_STATE(22008)] = 876020,
  [SMALL_STATE(22009)] = 876034,
  [SMALL_STATE(22010)] = 876048,
  [SMALL_STATE(22011)] = 876062,
  [SMALL_STATE(22012)] = 876076,
  [SMALL_STATE(22013)] = 876090,
  [SMALL_STATE(22014)] = 876104,
  [SMALL_STATE(22015)] = 876118,
  [SMALL_STATE(22016)] = 876132,
  [SMALL_STATE(22017)] = 876146,
  [SMALL_STATE(22018)] = 876160,
  [SMALL_STATE(22019)] = 876174,
  [SMALL_STATE(22020)] = 876188,
  [SMALL_STATE(22021)] = 876202,
  [SMALL_STATE(22022)] = 876216,
  [SMALL_STATE(22023)] = 876230,
  [SMALL_STATE(22024)] = 876244,
  [SMALL_STATE(22025)] = 876258,
  [SMALL_STATE(22026)] = 876272,
  [SMALL_STATE(22027)] = 876286,
  [SMALL_STATE(22028)] = 876300,
  [SMALL_STATE(22029)] = 876314,
  [SMALL_STATE(22030)] = 876328,
  [SMALL_STATE(22031)] = 876342,
  [SMALL_STATE(22032)] = 876356,
  [SMALL_STATE(22033)] = 876370,
  [SMALL_STATE(22034)] = 876384,
  [SMALL_STATE(22035)] = 876398,
  [SMALL_STATE(22036)] = 876412,
  [SMALL_STATE(22037)] = 876426,
  [SMALL_STATE(22038)] = 876440,
  [SMALL_STATE(22039)] = 876454,
  [SMALL_STATE(22040)] = 876468,
  [SMALL_STATE(22041)] = 876482,
  [SMALL_STATE(22042)] = 876496,
  [SMALL_STATE(22043)] = 876510,
  [SMALL_STATE(22044)] = 876524,
  [SMALL_STATE(22045)] = 876538,
  [SMALL_STATE(22046)] = 876552,
  [SMALL_STATE(22047)] = 876566,
  [SMALL_STATE(22048)] = 876580,
  [SMALL_STATE(22049)] = 876594,
  [SMALL_STATE(22050)] = 876608,
  [SMALL_STATE(22051)] = 876622,
  [SMALL_STATE(22052)] = 876636,
  [SMALL_STATE(22053)] = 876650,
  [SMALL_STATE(22054)] = 876664,
  [SMALL_STATE(22055)] = 876678,
  [SMALL_STATE(22056)] = 876692,
  [SMALL_STATE(22057)] = 876706,
  [SMALL_STATE(22058)] = 876720,
  [SMALL_STATE(22059)] = 876734,
  [SMALL_STATE(22060)] = 876748,
  [SMALL_STATE(22061)] = 876762,
  [SMALL_STATE(22062)] = 876776,
  [SMALL_STATE(22063)] = 876790,
  [SMALL_STATE(22064)] = 876804,
  [SMALL_STATE(22065)] = 876818,
  [SMALL_STATE(22066)] = 876832,
  [SMALL_STATE(22067)] = 876846,
  [SMALL_STATE(22068)] = 876860,
  [SMALL_STATE(22069)] = 876874,
  [SMALL_STATE(22070)] = 876888,
  [SMALL_STATE(22071)] = 876902,
  [SMALL_STATE(22072)] = 876916,
  [SMALL_STATE(22073)] = 876930,
  [SMALL_STATE(22074)] = 876944,
  [SMALL_STATE(22075)] = 876958,
  [SMALL_STATE(22076)] = 876972,
  [SMALL_STATE(22077)] = 876986,
  [SMALL_STATE(22078)] = 877000,
  [SMALL_STATE(22079)] = 877014,
  [SMALL_STATE(22080)] = 877028,
  [SMALL_STATE(22081)] = 877042,
  [SMALL_STATE(22082)] = 877056,
  [SMALL_STATE(22083)] = 877070,
  [SMALL_STATE(22084)] = 877084,
  [SMALL_STATE(22085)] = 877098,
  [SMALL_STATE(22086)] = 877112,
  [SMALL_STATE(22087)] = 877126,
  [SMALL_STATE(22088)] = 877140,
  [SMALL_STATE(22089)] = 877154,
  [SMALL_STATE(22090)] = 877168,
  [SMALL_STATE(22091)] = 877182,
  [SMALL_STATE(22092)] = 877196,
  [SMALL_STATE(22093)] = 877210,
  [SMALL_STATE(22094)] = 877224,
  [SMALL_STATE(22095)] = 877238,
  [SMALL_STATE(22096)] = 877252,
  [SMALL_STATE(22097)] = 877266,
  [SMALL_STATE(22098)] = 877280,
  [SMALL_STATE(22099)] = 877294,
  [SMALL_STATE(22100)] = 877308,
  [SMALL_STATE(22101)] = 877322,
  [SMALL_STATE(22102)] = 877336,
  [SMALL_STATE(22103)] = 877350,
  [SMALL_STATE(22104)] = 877364,
  [SMALL_STATE(22105)] = 877378,
  [SMALL_STATE(22106)] = 877392,
  [SMALL_STATE(22107)] = 877406,
  [SMALL_STATE(22108)] = 877420,
  [SMALL_STATE(22109)] = 877434,
  [SMALL_STATE(22110)] = 877448,
  [SMALL_STATE(22111)] = 877462,
  [SMALL_STATE(22112)] = 877476,
  [SMALL_STATE(22113)] = 877490,
  [SMALL_STATE(22114)] = 877504,
  [SMALL_STATE(22115)] = 877518,
  [SMALL_STATE(22116)] = 877532,
  [SMALL_STATE(22117)] = 877546,
  [SMALL_STATE(22118)] = 877560,
  [SMALL_STATE(22119)] = 877574,
  [SMALL_STATE(22120)] = 877588,
  [SMALL_STATE(22121)] = 877602,
  [SMALL_STATE(22122)] = 877616,
  [SMALL_STATE(22123)] = 877630,
  [SMALL_STATE(22124)] = 877644,
  [SMALL_STATE(22125)] = 877658,
  [SMALL_STATE(22126)] = 877672,
  [SMALL_STATE(22127)] = 877686,
  [SMALL_STATE(22128)] = 877700,
  [SMALL_STATE(22129)] = 877714,
  [SMALL_STATE(22130)] = 877728,
  [SMALL_STATE(22131)] = 877742,
  [SMALL_STATE(22132)] = 877756,
  [SMALL_STATE(22133)] = 877770,
  [SMALL_STATE(22134)] = 877784,
  [SMALL_STATE(22135)] = 877798,
  [SMALL_STATE(22136)] = 877812,
  [SMALL_STATE(22137)] = 877826,
  [SMALL_STATE(22138)] = 877840,
  [SMALL_STATE(22139)] = 877854,
  [SMALL_STATE(22140)] = 877868,
  [SMALL_STATE(22141)] = 877882,
  [SMALL_STATE(22142)] = 877896,
  [SMALL_STATE(22143)] = 877910,
  [SMALL_STATE(22144)] = 877924,
  [SMALL_STATE(22145)] = 877938,
  [SMALL_STATE(22146)] = 877952,
  [SMALL_STATE(22147)] = 877966,
  [SMALL_STATE(22148)] = 877980,
  [SMALL_STATE(22149)] = 877994,
  [SMALL_STATE(22150)] = 878008,
  [SMALL_STATE(22151)] = 878022,
  [SMALL_STATE(22152)] = 878036,
  [SMALL_STATE(22153)] = 878050,
  [SMALL_STATE(22154)] = 878064,
  [SMALL_STATE(22155)] = 878078,
  [SMALL_STATE(22156)] = 878092,
  [SMALL_STATE(22157)] = 878106,
  [SMALL_STATE(22158)] = 878120,
  [SMALL_STATE(22159)] = 878134,
  [SMALL_STATE(22160)] = 878148,
  [SMALL_STATE(22161)] = 878162,
  [SMALL_STATE(22162)] = 878176,
  [SMALL_STATE(22163)] = 878190,
  [SMALL_STATE(22164)] = 878204,
  [SMALL_STATE(22165)] = 878218,
  [SMALL_STATE(22166)] = 878232,
  [SMALL_STATE(22167)] = 878246,
  [SMALL_STATE(22168)] = 878260,
  [SMALL_STATE(22169)] = 878274,
  [SMALL_STATE(22170)] = 878288,
  [SMALL_STATE(22171)] = 878302,
  [SMALL_STATE(22172)] = 878316,
  [SMALL_STATE(22173)] = 878330,
  [SMALL_STATE(22174)] = 878344,
  [SMALL_STATE(22175)] = 878358,
  [SMALL_STATE(22176)] = 878372,
  [SMALL_STATE(22177)] = 878386,
  [SMALL_STATE(22178)] = 878400,
  [SMALL_STATE(22179)] = 878414,
  [SMALL_STATE(22180)] = 878428,
  [SMALL_STATE(22181)] = 878442,
  [SMALL_STATE(22182)] = 878456,
  [SMALL_STATE(22183)] = 878470,
  [SMALL_STATE(22184)] = 878484,
  [SMALL_STATE(22185)] = 878498,
  [SMALL_STATE(22186)] = 878512,
  [SMALL_STATE(22187)] = 878526,
  [SMALL_STATE(22188)] = 878540,
  [SMALL_STATE(22189)] = 878554,
  [SMALL_STATE(22190)] = 878568,
  [SMALL_STATE(22191)] = 878582,
  [SMALL_STATE(22192)] = 878596,
  [SMALL_STATE(22193)] = 878610,
  [SMALL_STATE(22194)] = 878624,
  [SMALL_STATE(22195)] = 878638,
  [SMALL_STATE(22196)] = 878652,
  [SMALL_STATE(22197)] = 878666,
  [SMALL_STATE(22198)] = 878680,
  [SMALL_STATE(22199)] = 878694,
  [SMALL_STATE(22200)] = 878708,
  [SMALL_STATE(22201)] = 878722,
  [SMALL_STATE(22202)] = 878736,
  [SMALL_STATE(22203)] = 878750,
  [SMALL_STATE(22204)] = 878764,
  [SMALL_STATE(22205)] = 878778,
  [SMALL_STATE(22206)] = 878792,
  [SMALL_STATE(22207)] = 878806,
  [SMALL_STATE(22208)] = 878820,
  [SMALL_STATE(22209)] = 878834,
  [SMALL_STATE(22210)] = 878848,
  [SMALL_STATE(22211)] = 878862,
  [SMALL_STATE(22212)] = 878876,
  [SMALL_STATE(22213)] = 878890,
  [SMALL_STATE(22214)] = 878904,
  [SMALL_STATE(22215)] = 878918,
  [SMALL_STATE(22216)] = 878932,
  [SMALL_STATE(22217)] = 878946,
  [SMALL_STATE(22218)] = 878960,
  [SMALL_STATE(22219)] = 878974,
  [SMALL_STATE(22220)] = 878988,
  [SMALL_STATE(22221)] = 879002,
  [SMALL_STATE(22222)] = 879016,
  [SMALL_STATE(22223)] = 879030,
  [SMALL_STATE(22224)] = 879044,
  [SMALL_STATE(22225)] = 879058,
  [SMALL_STATE(22226)] = 879072,
  [SMALL_STATE(22227)] = 879086,
  [SMALL_STATE(22228)] = 879100,
  [SMALL_STATE(22229)] = 879114,
  [SMALL_STATE(22230)] = 879128,
  [SMALL_STATE(22231)] = 879142,
  [SMALL_STATE(22232)] = 879156,
  [SMALL_STATE(22233)] = 879170,
  [SMALL_STATE(22234)] = 879184,
  [SMALL_STATE(22235)] = 879198,
  [SMALL_STATE(22236)] = 879212,
  [SMALL_STATE(22237)] = 879226,
  [SMALL_STATE(22238)] = 879240,
  [SMALL_STATE(22239)] = 879254,
  [SMALL_STATE(22240)] = 879268,
  [SMALL_STATE(22241)] = 879282,
  [SMALL_STATE(22242)] = 879296,
  [SMALL_STATE(22243)] = 879310,
  [SMALL_STATE(22244)] = 879324,
  [SMALL_STATE(22245)] = 879338,
  [SMALL_STATE(22246)] = 879352,
  [SMALL_STATE(22247)] = 879366,
  [SMALL_STATE(22248)] = 879380,
  [SMALL_STATE(22249)] = 879394,
  [SMALL_STATE(22250)] = 879408,
  [SMALL_STATE(22251)] = 879422,
  [SMALL_STATE(22252)] = 879436,
  [SMALL_STATE(22253)] = 879450,
  [SMALL_STATE(22254)] = 879464,
  [SMALL_STATE(22255)] = 879478,
  [SMALL_STATE(22256)] = 879492,
  [SMALL_STATE(22257)] = 879506,
  [SMALL_STATE(22258)] = 879520,
  [SMALL_STATE(22259)] = 879534,
  [SMALL_STATE(22260)] = 879548,
  [SMALL_STATE(22261)] = 879562,
  [SMALL_STATE(22262)] = 879576,
  [SMALL_STATE(22263)] = 879590,
  [SMALL_STATE(22264)] = 879604,
  [SMALL_STATE(22265)] = 879618,
  [SMALL_STATE(22266)] = 879632,
  [SMALL_STATE(22267)] = 879646,
  [SMALL_STATE(22268)] = 879660,
  [SMALL_STATE(22269)] = 879674,
  [SMALL_STATE(22270)] = 879688,
  [SMALL_STATE(22271)] = 879702,
  [SMALL_STATE(22272)] = 879716,
  [SMALL_STATE(22273)] = 879730,
  [SMALL_STATE(22274)] = 879744,
  [SMALL_STATE(22275)] = 879758,
  [SMALL_STATE(22276)] = 879772,
  [SMALL_STATE(22277)] = 879786,
  [SMALL_STATE(22278)] = 879800,
  [SMALL_STATE(22279)] = 879814,
  [SMALL_STATE(22280)] = 879828,
  [SMALL_STATE(22281)] = 879842,
  [SMALL_STATE(22282)] = 879856,
  [SMALL_STATE(22283)] = 879870,
  [SMALL_STATE(22284)] = 879884,
  [SMALL_STATE(22285)] = 879898,
  [SMALL_STATE(22286)] = 879912,
  [SMALL_STATE(22287)] = 879926,
  [SMALL_STATE(22288)] = 879940,
  [SMALL_STATE(22289)] = 879954,
  [SMALL_STATE(22290)] = 879968,
  [SMALL_STATE(22291)] = 879982,
  [SMALL_STATE(22292)] = 879996,
  [SMALL_STATE(22293)] = 880010,
  [SMALL_STATE(22294)] = 880024,
  [SMALL_STATE(22295)] = 880038,
  [SMALL_STATE(22296)] = 880052,
  [SMALL_STATE(22297)] = 880066,
  [SMALL_STATE(22298)] = 880080,
  [SMALL_STATE(22299)] = 880094,
  [SMALL_STATE(22300)] = 880108,
  [SMALL_STATE(22301)] = 880122,
  [SMALL_STATE(22302)] = 880136,
  [SMALL_STATE(22303)] = 880150,
  [SMALL_STATE(22304)] = 880164,
  [SMALL_STATE(22305)] = 880178,
  [SMALL_STATE(22306)] = 880192,
  [SMALL_STATE(22307)] = 880206,
  [SMALL_STATE(22308)] = 880220,
  [SMALL_STATE(22309)] = 880234,
  [SMALL_STATE(22310)] = 880248,
  [SMALL_STATE(22311)] = 880262,
  [SMALL_STATE(22312)] = 880276,
  [SMALL_STATE(22313)] = 880290,
  [SMALL_STATE(22314)] = 880304,
  [SMALL_STATE(22315)] = 880318,
  [SMALL_STATE(22316)] = 880332,
  [SMALL_STATE(22317)] = 880346,
  [SMALL_STATE(22318)] = 880360,
  [SMALL_STATE(22319)] = 880374,
  [SMALL_STATE(22320)] = 880388,
  [SMALL_STATE(22321)] = 880402,
  [SMALL_STATE(22322)] = 880416,
  [SMALL_STATE(22323)] = 880430,
  [SMALL_STATE(22324)] = 880444,
  [SMALL_STATE(22325)] = 880458,
  [SMALL_STATE(22326)] = 880472,
  [SMALL_STATE(22327)] = 880486,
  [SMALL_STATE(22328)] = 880500,
  [SMALL_STATE(22329)] = 880514,
  [SMALL_STATE(22330)] = 880528,
  [SMALL_STATE(22331)] = 880542,
  [SMALL_STATE(22332)] = 880556,
  [SMALL_STATE(22333)] = 880570,
  [SMALL_STATE(22334)] = 880584,
  [SMALL_STATE(22335)] = 880598,
  [SMALL_STATE(22336)] = 880612,
  [SMALL_STATE(22337)] = 880626,
  [SMALL_STATE(22338)] = 880640,
  [SMALL_STATE(22339)] = 880654,
  [SMALL_STATE(22340)] = 880668,
  [SMALL_STATE(22341)] = 880682,
  [SMALL_STATE(22342)] = 880696,
  [SMALL_STATE(22343)] = 880710,
  [SMALL_STATE(22344)] = 880724,
  [SMALL_STATE(22345)] = 880738,
  [SMALL_STATE(22346)] = 880752,
  [SMALL_STATE(22347)] = 880766,
  [SMALL_STATE(22348)] = 880780,
  [SMALL_STATE(22349)] = 880794,
  [SMALL_STATE(22350)] = 880808,
  [SMALL_STATE(22351)] = 880822,
  [SMALL_STATE(22352)] = 880836,
  [SMALL_STATE(22353)] = 880850,
  [SMALL_STATE(22354)] = 880864,
  [SMALL_STATE(22355)] = 880878,
  [SMALL_STATE(22356)] = 880892,
  [SMALL_STATE(22357)] = 880906,
  [SMALL_STATE(22358)] = 880920,
  [SMALL_STATE(22359)] = 880934,
  [SMALL_STATE(22360)] = 880948,
  [SMALL_STATE(22361)] = 880962,
  [SMALL_STATE(22362)] = 880976,
  [SMALL_STATE(22363)] = 880990,
  [SMALL_STATE(22364)] = 881004,
  [SMALL_STATE(22365)] = 881018,
  [SMALL_STATE(22366)] = 881032,
  [SMALL_STATE(22367)] = 881046,
  [SMALL_STATE(22368)] = 881060,
  [SMALL_STATE(22369)] = 881074,
  [SMALL_STATE(22370)] = 881088,
  [SMALL_STATE(22371)] = 881102,
  [SMALL_STATE(22372)] = 881116,
  [SMALL_STATE(22373)] = 881130,
  [SMALL_STATE(22374)] = 881144,
  [SMALL_STATE(22375)] = 881158,
  [SMALL_STATE(22376)] = 881172,
  [SMALL_STATE(22377)] = 881186,
  [SMALL_STATE(22378)] = 881200,
  [SMALL_STATE(22379)] = 881214,
  [SMALL_STATE(22380)] = 881228,
  [SMALL_STATE(22381)] = 881242,
  [SMALL_STATE(22382)] = 881256,
  [SMALL_STATE(22383)] = 881270,
  [SMALL_STATE(22384)] = 881284,
  [SMALL_STATE(22385)] = 881298,
  [SMALL_STATE(22386)] = 881312,
  [SMALL_STATE(22387)] = 881326,
  [SMALL_STATE(22388)] = 881340,
  [SMALL_STATE(22389)] = 881354,
  [SMALL_STATE(22390)] = 881368,
  [SMALL_STATE(22391)] = 881382,
  [SMALL_STATE(22392)] = 881396,
  [SMALL_STATE(22393)] = 881410,
  [SMALL_STATE(22394)] = 881424,
  [SMALL_STATE(22395)] = 881438,
  [SMALL_STATE(22396)] = 881452,
  [SMALL_STATE(22397)] = 881466,
  [SMALL_STATE(22398)] = 881480,
  [SMALL_STATE(22399)] = 881494,
  [SMALL_STATE(22400)] = 881508,
  [SMALL_STATE(22401)] = 881522,
  [SMALL_STATE(22402)] = 881536,
  [SMALL_STATE(22403)] = 881550,
  [SMALL_STATE(22404)] = 881564,
  [SMALL_STATE(22405)] = 881578,
  [SMALL_STATE(22406)] = 881592,
  [SMALL_STATE(22407)] = 881606,
  [SMALL_STATE(22408)] = 881620,
  [SMALL_STATE(22409)] = 881634,
  [SMALL_STATE(22410)] = 881648,
  [SMALL_STATE(22411)] = 881662,
  [SMALL_STATE(22412)] = 881676,
  [SMALL_STATE(22413)] = 881690,
  [SMALL_STATE(22414)] = 881704,
  [SMALL_STATE(22415)] = 881718,
  [SMALL_STATE(22416)] = 881732,
  [SMALL_STATE(22417)] = 881746,
  [SMALL_STATE(22418)] = 881760,
  [SMALL_STATE(22419)] = 881774,
  [SMALL_STATE(22420)] = 881788,
  [SMALL_STATE(22421)] = 881802,
  [SMALL_STATE(22422)] = 881816,
  [SMALL_STATE(22423)] = 881830,
  [SMALL_STATE(22424)] = 881844,
  [SMALL_STATE(22425)] = 881858,
  [SMALL_STATE(22426)] = 881872,
  [SMALL_STATE(22427)] = 881886,
  [SMALL_STATE(22428)] = 881900,
  [SMALL_STATE(22429)] = 881914,
  [SMALL_STATE(22430)] = 881928,
  [SMALL_STATE(22431)] = 881942,
  [SMALL_STATE(22432)] = 881956,
  [SMALL_STATE(22433)] = 881970,
  [SMALL_STATE(22434)] = 881984,
  [SMALL_STATE(22435)] = 881998,
  [SMALL_STATE(22436)] = 882012,
  [SMALL_STATE(22437)] = 882026,
  [SMALL_STATE(22438)] = 882040,
  [SMALL_STATE(22439)] = 882054,
  [SMALL_STATE(22440)] = 882068,
  [SMALL_STATE(22441)] = 882082,
  [SMALL_STATE(22442)] = 882096,
  [SMALL_STATE(22443)] = 882110,
  [SMALL_STATE(22444)] = 882124,
  [SMALL_STATE(22445)] = 882138,
  [SMALL_STATE(22446)] = 882152,
  [SMALL_STATE(22447)] = 882166,
  [SMALL_STATE(22448)] = 882180,
  [SMALL_STATE(22449)] = 882194,
  [SMALL_STATE(22450)] = 882208,
  [SMALL_STATE(22451)] = 882222,
  [SMALL_STATE(22452)] = 882236,
  [SMALL_STATE(22453)] = 882250,
  [SMALL_STATE(22454)] = 882264,
  [SMALL_STATE(22455)] = 882278,
  [SMALL_STATE(22456)] = 882292,
  [SMALL_STATE(22457)] = 882306,
  [SMALL_STATE(22458)] = 882320,
  [SMALL_STATE(22459)] = 882334,
  [SMALL_STATE(22460)] = 882348,
  [SMALL_STATE(22461)] = 882362,
  [SMALL_STATE(22462)] = 882376,
  [SMALL_STATE(22463)] = 882390,
  [SMALL_STATE(22464)] = 882404,
  [SMALL_STATE(22465)] = 882418,
  [SMALL_STATE(22466)] = 882432,
  [SMALL_STATE(22467)] = 882446,
  [SMALL_STATE(22468)] = 882460,
  [SMALL_STATE(22469)] = 882474,
  [SMALL_STATE(22470)] = 882478,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17753),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4503),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6005),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2965),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15442),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13253),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5231),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3364),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14688),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15062),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12359),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12841),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15068),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11845),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5872),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15493),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4433),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4448),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15217),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15810),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17784),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16679),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16944),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17118),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17685),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9419),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14661),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13653),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9419),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5311),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18815),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18083),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4600),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2994),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5296),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6521),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5173),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3207),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15172),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11892),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5799),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3093),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4407),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4408),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15501),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15694),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17040),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17731),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14714),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13668),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5011),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5175),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18815),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18533),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11596),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5307),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12032),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11870),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22470),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6467),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11308),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17061),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11277),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16250),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10155),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11428),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7909),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8043),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8724),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14237),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10167),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8449),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8374),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13577),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8853),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14278),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8688),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10460),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11891),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6585),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8249),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10752),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10318),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9974),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4514),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8106),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8550),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13064),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7450),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11031),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7229),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7256),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9107),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8694),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10602),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12019),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8387),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11100),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11204),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12159),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11654),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4393),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9029),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6710),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11216),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12296),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8160),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11683),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14020),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10259),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10989),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14265),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14509),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11008),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10569),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3090),
  [359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 21),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2986),
  [363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 2, 0, 21),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3166),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11779),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5848),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15369),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15575),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17553),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17997),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16813),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14653),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13602),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18875),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2973),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3296),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3120),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11734),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5832),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15472),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15647),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17521),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17980),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14640),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13584),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18304),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3074),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3142),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3173),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11776),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5847),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15220),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15718),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17549),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17995),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14651),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13600),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18843),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3404),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3009),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4036),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3386),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11715),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5827),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3050),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15222),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15637),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17489),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17952),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14625),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13546),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18125),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3400),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3850),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3189),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11786),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5850),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15368),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15594),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17557),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17999),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14654),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13603),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18897),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3262),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2976),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3783),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3165),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11775),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5846),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3076),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15506),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15747),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17547),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17994),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14650),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13599),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18819),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4650),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6158),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2969),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13239),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5262),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3250),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14656),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15203),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15008),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14594),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11551),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5801),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3101),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15459),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15727),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17134),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17758),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14604),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13678),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18917),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18630),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3415),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3862),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3194),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11792),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5851),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3094),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15383),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15813),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17563),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18002),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14655),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13605),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18921),
  [797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 1, 0, 0),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3412),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3555),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3308),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11600),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5805),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15273),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15733),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17256),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17793),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14657),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13556),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19162),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10142),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3310),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3908),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3314),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11711),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5825),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3045),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15468),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15690),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17457),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17932),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14606),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13903),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19228),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3966),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2975),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4379),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3128),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11749),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5833),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3072),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15308),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15661),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17527),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17984),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14644),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13593),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5206),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18741),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3521),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2972),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4360),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3115),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11725),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5831),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15315),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15699),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17519),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17978),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14639),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13578),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19170),
  [1009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 2, 0, 0),
  [1011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 4, 0, 0),
  [1013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 1, 0, 0),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 3, 0, 0),
  [1017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 3, 0, 0),
  [1019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 2, 0, 0),
  [1021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 1, 0, 0),
  [1023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 4, 0, 0),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3809),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4276),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3284),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11707),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5824),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15572),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15755),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17451),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17927),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14597),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13883),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18798),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4487),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2967),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4849),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3409),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11717),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5828),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15407),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15774),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17502),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17964),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14626),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13553),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18930),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4441),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4907),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3347),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11640),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5806),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15251),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15577),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17330),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17836),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14707),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13657),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4959),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4923),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18377),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4484),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4760),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3349),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11712),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5826),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15398),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15792),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17474),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17944),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14615),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13933),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4858),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18469),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2983),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2985),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5750),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5868),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3435),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11718),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5849),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15554),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3047),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4415),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4416),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15543),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15771),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5880),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17505),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17966),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5871),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14630),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13558),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18200),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5829),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15544),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4401),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4402),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5864),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5907),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3267),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11575),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5890),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15332),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15811),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5981),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17206),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17776),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5910),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14621),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13827),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5927),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18146),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5802),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5998),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6219),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3161),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11770),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5840),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15537),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15756),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17753),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17535),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17988),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14649),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13598),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18806),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6211),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6324),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3249),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11676),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5813),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15538),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15763),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6355),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17376),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17866),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6325),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14747),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13756),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6378),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18987),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5894),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6102),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3434),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11666),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5812),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15358),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15629),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17362),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17858),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14741),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13745),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6002),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18795),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6011),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2964),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6256),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3405),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11690),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5773),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15258),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15578),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16660),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17621),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6267),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14620),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13607),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18975),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16813),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6539),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6623),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3153),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11767),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5852),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15551),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4411),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4412),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15504),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15700),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17533),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17987),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6659),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14648),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13597),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18797),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2988),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5837),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6665),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2998),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6768),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3423),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11664),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5838),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15282),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15788),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17356),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17851),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14735),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13728),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6761),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18491),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5811),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6783),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7028),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3140),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11761),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5836),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15399),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15743),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6852),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17531),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17986),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7029),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14646),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13595),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5222),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7070),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18766),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21735),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12934),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22050),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9344),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21582),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19309),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20187),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19309),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7804),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22277),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12642),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21598),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20608),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8201),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8222),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22280),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12659),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22090),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21600),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8191),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8843),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22283),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12666),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19643),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22094),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5434),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8742),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8236),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22284),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12676),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19490),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4640),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21850),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8269),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22286),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12685),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22029),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4653),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19522),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6999),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7672),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3104),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11660),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5809),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3037),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15255),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15776),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17349),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17845),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14730),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13705),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18218),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8425),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22289),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12587),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21973),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20203),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8454),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22290),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12693),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20445),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21995),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5934),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22292),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12704),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22248),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21969),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5911),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8637),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22294),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12715),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21555),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20413),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8620),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22295),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12722),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19329),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4675),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19641),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9000),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22297),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12723),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20316),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4679),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19331),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5445),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9187),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4913),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22299),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12726),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21460),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20319),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8149),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22300),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12732),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21943),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20884),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8212),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22301),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12734),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19250),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4696),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21476),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7415),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22302),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12738),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19595),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21949),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6094),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22303),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12740),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19852),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4707),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19256),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6335),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22304),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12745),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20172),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4716),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19598),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6985),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22307),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12748),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21155),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20506),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5453),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10495),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22308),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12751),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21492),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4723),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20810),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10420),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7488),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22309),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12753),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21316),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4727),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21157),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7531),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22310),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12754),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21655),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21318),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7599),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10914),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22311),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12755),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22226),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21665),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10919),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7321),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22312),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12758),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22450),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22229),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7653),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7384),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22313),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12759),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20812),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22453),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7711),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22314),
  [2289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12760),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21773),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21022),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22315),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12762),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20149),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4752),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21822),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22317),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12763),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19577),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21991),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8663),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22318),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12764),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20301),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4758),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19619),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6982),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2958),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7345),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3132),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11755),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5834),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [2373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15350),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15597),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17529),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17985),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14645),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13594),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5217),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7430),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18746),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8474),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2959),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5814),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3030),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22319),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12766),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21483),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20333),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22320),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12768),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22015),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21497),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22321),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12769),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19287),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22022),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5855),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6971),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22322),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12772),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19591),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4770),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19294),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6933),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22323),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12778),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19913),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19597),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22324),
  [2515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12780),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20237),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4776),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19924),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7004),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22326),
  [2533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12783),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20494),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20369),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22327),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12786),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20563),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20507),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6188),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22232),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12519),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21370),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21388),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22328),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12788),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20621),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4793),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20565),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7479),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22329),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12790),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20707),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20624),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6879),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7783),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22330),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12791),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20751),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20709),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7919),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6714),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22331),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12796),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20806),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20752),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6224),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22332),
  [2657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12801),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20856),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20807),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22333),
  [2675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12802),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20898),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20857),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22334),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12803),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20938),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20899),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6181),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7881),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22335),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12807),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20978),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20944),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7738),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22336),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12809),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21003),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20981),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22337),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12810),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21024),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21004),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22338),
  [2767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12815),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21059),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4851),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21025),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7035),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3011),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7475),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3145),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11688),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5841),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15528),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15795),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17418),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17897),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14771),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13825),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18560),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7065),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2970),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7252),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3188),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11691),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5843),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15447),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15604),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17423),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17904),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14779),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13833),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18643),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7092),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2960),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7307),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3252),
  [2897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11699),
  [2899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5844),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [2903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [2905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [2909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15412),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15772),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7621),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17436),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17916),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14697),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13855),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19126),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7111),
  [2939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2963),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7365),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3273),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11703),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5845),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [2959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [2963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15260),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15749),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17443),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17921),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7368),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14598),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13874),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19215),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13493),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22250),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20664),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20670),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7965),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22274),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12615),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20602),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19800),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8014),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3010),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5819),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [3039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5815),
  [3041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [3051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2978),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5817),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7289),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8142),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3362),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11648),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5807),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15421),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15798),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8154),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17341),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17841),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8144),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14713),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13675),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7788),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18998),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2981),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5822),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [3123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [3125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7432),
  [3133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2992),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [3137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8150),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3193),
  [3143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11879),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5823),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [3149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [3151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [3153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [3155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [3157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15441),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15592),
  [3161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8147),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17015),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17727),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8178),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14599),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13583),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7800),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18186),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7329),
  [3185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [3189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7745),
  [3193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3283),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11824),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5816),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [3201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [3203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [3205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [3207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [3209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15290),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15659),
  [3213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16877),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17697),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7749),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14749),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13820),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5298),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18939),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2962),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5790),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [3249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7276),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2993),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [3257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8270),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [3261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11838),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5818),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [3267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [3271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15295),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15591),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8096),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16921),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17708),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8280),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14668),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13838),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7741),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18223),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7338),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8139),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3129),
  [3313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11846),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5821),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [3319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [3323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [3325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [3327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15304),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15648),
  [3331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7748),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16956),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17717),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8148),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14710),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13899),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8162),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18788),
  [3353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2974),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5795),
  [3357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [3359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [3363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2977),
  [3369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5797),
  [3371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [3373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [3375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [3377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [3381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2979),
  [3383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5798),
  [3385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [3387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3038),
  [3391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [3395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2966),
  [3397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5794),
  [3399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [3403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [3405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [3409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5875),
  [3411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7349),
  [3413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6188),
  [3415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8236),
  [3417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7384),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7031),
  [3421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6749),
  [3423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8425),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7783),
  [3427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7257),
  [3429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3567),
  [3431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4280),
  [3433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6714),
  [3435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7804),
  [3437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6094),
  [3439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3407),
  [3441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6224),
  [3443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3921),
  [3445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3788),
  [3447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8222),
  [3449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10914),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8843),
  [3453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3147),
  [3455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6335),
  [3457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4772),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7004),
  [3461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7881),
  [3463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8637),
  [3465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9000),
  [3467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8663),
  [3469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5268),
  [3473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6985),
  [3475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3853),
  [3477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4040),
  [3479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3869),
  [3481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4362),
  [3483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7678),
  [3485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4382),
  [3487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8149),
  [3489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4913),
  [3491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4915),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10495),
  [3495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5178),
  [3497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6971),
  [3499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13493),
  [3501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5934),
  [3503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7488),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7965),
  [3507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5319),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7321),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9345),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17553),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17997),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17489),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17952),
  [3523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3118),
  [3525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [3527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [3529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18903),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14601),
  [3533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19384),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17505),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17966),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17557),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17999),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17206),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17776),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17457),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17932),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11629),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17563),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18002),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17502),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17964),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13718),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17519),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17978),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17451),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17927),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16679),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16944),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17040),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17731),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17521),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17980),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17527),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17984),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17474),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17944),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17134),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17758),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17547),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17994),
  [3601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3106),
  [3603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18626),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14725),
  [3607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21622),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17256),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17793),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17549),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17995),
  [3619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3124),
  [3621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18564),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14658),
  [3625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21807),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17330),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17836),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [3637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9036),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6627),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7988),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10631),
  [3647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [3649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18500),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14612),
  [3653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20241),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [3657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11625),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6946),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6989),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [3667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9160),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10282),
  [3671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [3673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18650),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14711),
  [3677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19662),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6753),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8108),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [3689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9359),
  [3691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3767),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19139),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14691),
  [3697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20006),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5929),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [3709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3644),
  [3711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18673),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14739),
  [3715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20611),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4715),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8917),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7675),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7844),
  [3729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3544),
  [3731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18451),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14732),
  [3735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21522),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7322),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10922),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8665),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5885),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8618),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7015),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7573),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8795),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8138),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [3787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3507),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18331),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14736),
  [3793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19320),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8078),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5328),
  [3803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4221),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18147),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14610),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22005),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4339),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18604),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14618),
  [3819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21364),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4350),
  [3825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18847),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14692),
  [3829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19982),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5207),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8389),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8440),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8294),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7995),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8005),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8024),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7817),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7990),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8173),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8253),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7872),
  [3869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4901),
  [3871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19008),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14785),
  [3875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20299),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4960),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7967),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7974),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8080),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8262),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7887),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5190),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8816),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8819),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8734),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8738),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8748),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8764),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8235),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8255),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8109),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8126),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5941),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5943),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5978),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5902),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5916),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5919),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8576),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8577),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8612),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8615),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8623),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8632),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9003),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9009),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9061),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9143),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8880),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8911),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4811),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4823),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8158),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8159),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8203),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8208),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8217),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8219),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7375),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7422),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6791),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6028),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6052),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6065),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6358),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6392),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6460),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6468),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6353),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7132),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4745),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18460),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14613),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19649),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10393),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10394),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10414),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10417),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10423),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10426),
  [4093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4545),
  [4095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18524),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14659),
  [4099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20554),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [4103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_application_expression, 2, 0, 20),
  [4105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_application_expression, 2, 0, 20),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7507),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7526),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7528),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7534),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7593),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7596),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7605),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10807),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10810),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10894),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10898),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10955),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10957),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7623),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7625),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7646),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7649),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7656),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7659),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7679),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7681),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7706),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7714),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7718),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8363),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4803),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8682),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8684),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8469),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8478),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8482),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5857),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [4245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5870),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6908),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6909),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6930),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6936),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7038),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7040),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7074),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7078),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4307),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7274),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7315),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7371),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6855),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6873),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [4339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36),
  [4341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3124),
  [4344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36),
  [4346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18564),
  [4349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(225),
  [4352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1936),
  [4355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3296),
  [4358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3120),
  [4361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11734),
  [4364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1937),
  [4367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15472),
  [4370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15647),
  [4373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(297),
  [4376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3289),
  [4379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17521),
  [4382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17980),
  [4385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3302),
  [4388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14640),
  [4391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13584),
  [4394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5180),
  [4397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3432),
  [4400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18304),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7925),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7933),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6637),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6641),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6621),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6278),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6317),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6154),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8240),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8242),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7731),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7753),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [4511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3118),
  [4514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18903),
  [4517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(249),
  [4520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2004),
  [4523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3166),
  [4526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3184),
  [4529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11779),
  [4532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2005),
  [4535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15369),
  [4538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15575),
  [4541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(313),
  [4544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3324),
  [4547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17553),
  [4550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17997),
  [4553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3167),
  [4556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14653),
  [4559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13602),
  [4562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5253),
  [4565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3190),
  [4568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18875),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6200),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6175),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6238),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6293),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [4587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3106),
  [4590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18626),
  [4593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(244),
  [4596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1992),
  [4599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3142),
  [4602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3173),
  [4605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11776),
  [4608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1993),
  [4611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15220),
  [4614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15718),
  [4617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(305),
  [4620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3180),
  [4623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17549),
  [4626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17995),
  [4629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3143),
  [4632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14651),
  [4635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13600),
  [4638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5246),
  [4641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3168),
  [4644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18843),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [4651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4955),
  [4653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18623),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14715),
  [4657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19679),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [4661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3663),
  [4664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18500),
  [4667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(263),
  [4670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1906),
  [4673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4036),
  [4676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3386),
  [4679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11715),
  [4682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1907),
  [4685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15222),
  [4688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15637),
  [4691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(318),
  [4694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3959),
  [4697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17489),
  [4700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17952),
  [4703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4037),
  [4706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14625),
  [4709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13546),
  [4712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5141),
  [4715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4119),
  [4718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18125),
  [4721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3544),
  [4724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18451),
  [4727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(173),
  [4730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1790),
  [4733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3555),
  [4736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3308),
  [4739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11600),
  [4742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1791),
  [4745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15273),
  [4748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15733),
  [4751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(292),
  [4754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3745),
  [4757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17256),
  [4760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17793),
  [4763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3561),
  [4766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14657),
  [4769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13556),
  [4772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5225),
  [4775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3699),
  [4778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19162),
  [4781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3644),
  [4784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18673),
  [4787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(242),
  [4790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1986),
  [4793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3783),
  [4796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3165),
  [4799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11775),
  [4802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1987),
  [4805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15506),
  [4808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15747),
  [4811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(301),
  [4814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4050),
  [4817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17547),
  [4820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17994),
  [4823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3784),
  [4826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14650),
  [4829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13599),
  [4832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5243),
  [4835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3811),
  [4838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18819),
  [4841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3767),
  [4844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19139),
  [4847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(253),
  [4850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2016),
  [4853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3862),
  [4856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3194),
  [4859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11792),
  [4862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2017),
  [4865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15383),
  [4868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15813),
  [4871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(319),
  [4874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3641),
  [4877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17563),
  [4880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18002),
  [4883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3863),
  [4886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14655),
  [4889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13605),
  [4892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5260),
  [4895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3900),
  [4898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18921),
  [4901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5152),
  [4903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19044),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14782),
  [4907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22434),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [4911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3507),
  [4914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18331),
  [4917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(207),
  [4920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1888),
  [4923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3908),
  [4926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3314),
  [4929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11711),
  [4932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1889),
  [4935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15468),
  [4938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15690),
  [4941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(300),
  [4944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3517),
  [4947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17457),
  [4950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17932),
  [4953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3909),
  [4956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14606),
  [4959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13903),
  [4962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5091),
  [4965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4027),
  [4968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19228),
  [4971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5226),
  [4973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18271),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14748),
  [4977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20047),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [4981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3762),
  [4984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18650),
  [4987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(251),
  [4990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2010),
  [4993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3850),
  [4996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3189),
  [4999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11786),
  [5002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2011),
  [5005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15368),
  [5008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15594),
  [5011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(316),
  [5014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3566),
  [5017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17557),
  [5020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17999),
  [5023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3851),
  [5026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14654),
  [5029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13603),
  [5032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5256),
  [5035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3881),
  [5038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18897),
  [5041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4339),
  [5044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18604),
  [5047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(223),
  [5050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1930),
  [5053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4360),
  [5056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3115),
  [5059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11725),
  [5062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1931),
  [5065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15315),
  [5068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15699),
  [5071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(320),
  [5074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4233),
  [5077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17519),
  [5080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17978),
  [5083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4361),
  [5086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14639),
  [5089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13578),
  [5092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5171),
  [5095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4368),
  [5098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19170),
  [5101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4221),
  [5104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18147),
  [5107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(204),
  [5110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1882),
  [5113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4276),
  [5116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3284),
  [5119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11707),
  [5122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1883),
  [5125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15572),
  [5128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15755),
  [5131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(293),
  [5134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4166),
  [5137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17451),
  [5140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17927),
  [5143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4278),
  [5146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14597),
  [5149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13883),
  [5152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5076),
  [5155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4334),
  [5158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18798),
  [5161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4350),
  [5164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18847),
  [5167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(229),
  [5170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1948),
  [5173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4379),
  [5176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3128),
  [5179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11749),
  [5182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1949),
  [5185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15308),
  [5188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15661),
  [5191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(324),
  [5194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4277),
  [5197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17527),
  [5200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17984),
  [5203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4380),
  [5206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14644),
  [5209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13593),
  [5212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5206),
  [5215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4388),
  [5218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18741),
  [5221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4901),
  [5224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19008),
  [5227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(177),
  [5230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1802),
  [5233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4907),
  [5236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3347),
  [5239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11640),
  [5242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1803),
  [5245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15251),
  [5248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15577),
  [5251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(326),
  [5254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4780),
  [5257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17330),
  [5260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17836),
  [5263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4908),
  [5266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14707),
  [5269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13657),
  [5272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4959),
  [5275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4923),
  [5278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18377),
  [5281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4545),
  [5284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18524),
  [5287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(216),
  [5290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1912),
  [5293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4849),
  [5296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3409),
  [5299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11717),
  [5302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1913),
  [5305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15407),
  [5308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15774),
  [5311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(327),
  [5314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4534),
  [5317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17502),
  [5320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17964),
  [5323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4855),
  [5326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14626),
  [5329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13553),
  [5332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5157),
  [5335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4501),
  [5338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18930),
  [5341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4745),
  [5344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18460),
  [5347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(209),
  [5350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1894),
  [5353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4760),
  [5356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3349),
  [5359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11712),
  [5362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1895),
  [5365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15398),
  [5368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15792),
  [5371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(307),
  [5374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4725),
  [5377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17474),
  [5380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17944),
  [5383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4763),
  [5386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14615),
  [5389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13933),
  [5392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5108),
  [5395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4858),
  [5398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18469),
  [5401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5226),
  [5404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18271),
  [5407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(167),
  [5410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1772),
  [5413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5262),
  [5416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3250),
  [5419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11551),
  [5422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1773),
  [5425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15459),
  [5428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15727),
  [5431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(314),
  [5434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5079),
  [5437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17134),
  [5440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17758),
  [5443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5263),
  [5446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14604),
  [5449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13678),
  [5452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5080),
  [5455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5264),
  [5458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18630),
  [5461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5152),
  [5464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19044),
  [5467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(162),
  [5470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1766),
  [5473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5173),
  [5476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3207),
  [5479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11892),
  [5482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1767),
  [5485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15501),
  [5488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15694),
  [5491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(329),
  [5494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5010),
  [5497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17040),
  [5500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17731),
  [5503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5174),
  [5506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14714),
  [5509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13668),
  [5512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5011),
  [5515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5175),
  [5518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18533),
  [5521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4955),
  [5524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18623),
  [5527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(152),
  [5530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2022),
  [5533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5231),
  [5536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3364),
  [5539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11845),
  [5542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2032),
  [5545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15217),
  [5548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15810),
  [5551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(335),
  [5554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5248),
  [5557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16679),
  [5560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16944),
  [5563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5272),
  [5566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14661),
  [5569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13653),
  [5572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5318),
  [5575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5311),
  [5578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18083),
  [5581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5755),
  [5583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19103),
  [5585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14712),
  [5587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21043),
  [5589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [5591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5903),
  [5593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19186),
  [5595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14719),
  [5597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21567),
  [5599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5154),
  [5601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6136),
  [5603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18252),
  [5605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14781),
  [5607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19968),
  [5609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [5611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5755),
  [5614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19103),
  [5617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(218),
  [5620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1918),
  [5623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5868),
  [5626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3435),
  [5629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11718),
  [5632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1919),
  [5635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15543),
  [5638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15771),
  [5641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(282),
  [5644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5880),
  [5647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17505),
  [5650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17966),
  [5653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5871),
  [5656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14630),
  [5659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13558),
  [5662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5161),
  [5665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5776),
  [5668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18200),
  [5671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6179),
  [5673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18496),
  [5675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14754),
  [5677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19748),
  [5679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [5681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6307),
  [5683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18448),
  [5685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14718),
  [5687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20939),
  [5689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [5691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6341),
  [5693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19122),
  [5695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14663),
  [5697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21117),
  [5699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [5701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5903),
  [5704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19186),
  [5707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(169),
  [5710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1778),
  [5713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5907),
  [5716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3267),
  [5719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11575),
  [5722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1779),
  [5725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15332),
  [5728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15811),
  [5731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(332),
  [5734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5981),
  [5737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17206),
  [5740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17776),
  [5743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5910),
  [5746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14621),
  [5749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13827),
  [5752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5149),
  [5755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5927),
  [5758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18146),
  [5761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6136),
  [5764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18252),
  [5767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(185),
  [5770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1825),
  [5773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6102),
  [5776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3434),
  [5779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11666),
  [5782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1826),
  [5785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15358),
  [5788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15629),
  [5791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(296),
  [5794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6026),
  [5797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17362),
  [5800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17858),
  [5803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6135),
  [5806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14741),
  [5809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13745),
  [5812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4986),
  [5815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6002),
  [5818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18795),
  [5821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6655),
  [5823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18215),
  [5825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14776),
  [5827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22207),
  [5829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5234),
  [5831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6307),
  [5834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18448),
  [5837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(230),
  [5840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2025),
  [5843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6256),
  [5846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3405),
  [5849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11690),
  [5852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2026),
  [5855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15258),
  [5858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15578),
  [5861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(284),
  [5864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6160),
  [5867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16660),
  [5870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17621),
  [5873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6267),
  [5876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14620),
  [5879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13607),
  [5882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5313),
  [5885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6285),
  [5888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18975),
  [5891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6179),
  [5894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18496),
  [5897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(240),
  [5900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1980),
  [5903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6219),
  [5906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3161),
  [5909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11770),
  [5912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1981),
  [5915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15537),
  [5918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15756),
  [5921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(298),
  [5924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6311),
  [5927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17535),
  [5930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17988),
  [5933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6220),
  [5936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14649),
  [5939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13598),
  [5942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5240),
  [5945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6257),
  [5948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18806),
  [5951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 0),
  [5953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6472),
  [5955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 0),
  [5957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [5959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5515),
  [5961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6159),
  [5963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14976),
  [5965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15920),
  [5967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [5969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5512),
  [5971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21618),
  [5973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17899),
  [5975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17569),
  [5977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [5979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20491),
  [5981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14709),
  [5983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13655),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [5987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18919),
  [5989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6544),
  [5991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [5993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5580),
  [5995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6413),
  [5997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15004),
  [5999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16415),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [6003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5473),
  [6005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22080),
  [6007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17283),
  [6009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17807),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [6013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21587),
  [6015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14669),
  [6017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13585),
  [6019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [6021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19121),
  [6023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6341),
  [6026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19122),
  [6029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(187),
  [6032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1831),
  [6035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6324),
  [6038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3249),
  [6041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11676),
  [6044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1832),
  [6047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15538),
  [6050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15763),
  [6053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(306),
  [6056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6355),
  [6059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17376),
  [6062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17866),
  [6065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6325),
  [6068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14747),
  [6071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13756),
  [6074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4989),
  [6077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6378),
  [6080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18987),
  [6083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6574),
  [6085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [6087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5571),
  [6089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6322),
  [6091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15137),
  [6093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16325),
  [6095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [6097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5510),
  [6099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21585),
  [6101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17221),
  [6103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17780),
  [6105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6332),
  [6107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20588),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14627),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13879),
  [6113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6183),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18142),
  [6117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6834),
  [6119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18458),
  [6121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14706),
  [6123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22215),
  [6125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [6127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6970),
  [6129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18078),
  [6131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14738),
  [6133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22281),
  [6135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [6137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6619),
  [6139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [6141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5533),
  [6143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6488),
  [6145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15143),
  [6147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15941),
  [6149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [6151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5436),
  [6153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19318),
  [6155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17393),
  [6157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17874),
  [6159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [6161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19443),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14758),
  [6165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13798),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [6169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18198),
  [6171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7230),
  [6173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18579),
  [6175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14674),
  [6177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21584),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [6181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7253),
  [6183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19035),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14716),
  [6187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22438),
  [6189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [6191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7270),
  [6193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18207),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14675),
  [6197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20972),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [6201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7561),
  [6203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18956),
  [6205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14600),
  [6207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20662),
  [6209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [6211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7495),
  [6213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18127),
  [6215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14662),
  [6217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19409),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [6221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7273),
  [6223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18692),
  [6225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14677),
  [6227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19952),
  [6229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [6231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6655),
  [6234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18215),
  [6237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(238),
  [6240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1974),
  [6243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6623),
  [6246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3153),
  [6249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11767),
  [6252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1975),
  [6255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15504),
  [6258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15700),
  [6261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(294),
  [6264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6610),
  [6267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17533),
  [6270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17987),
  [6273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6659),
  [6276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14648),
  [6279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13597),
  [6282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5233),
  [6285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6622),
  [6288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18797),
  [6291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11793),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15187),
  [6297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18733),
  [6299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4566),
  [6301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13287),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22287),
  [6305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14958),
  [6307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4427),
  [6309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16079),
  [6311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15987),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20377),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [6317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4428),
  [6319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21347),
  [6321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16728),
  [6323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17648),
  [6325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13259),
  [6327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18241),
  [6329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14729),
  [6331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13732),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22432),
  [6335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9716),
  [6337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19051),
  [6339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8002),
  [6341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19052),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14666),
  [6345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22424),
  [6347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4970),
  [6349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8216),
  [6351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18396),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14728),
  [6355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19877),
  [6357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [6359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 1, 0, 5),
  [6361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11452),
  [6363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 1, 0, 5),
  [6365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9801),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [6369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16776),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [6373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5628),
  [6375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5629),
  [6377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4517),
  [6379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11465),
  [6381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9028),
  [6383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14999),
  [6385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16236),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16093),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [6393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20294),
  [6395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17146),
  [6397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16831),
  [6399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17686),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11526),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20317),
  [6405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14746),
  [6407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13794),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9557),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18294),
  [6413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16048),
  [6415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21689),
  [6417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7779),
  [6419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18365),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14761),
  [6423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22239),
  [6425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [6427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9178),
  [6429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22325),
  [6431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16215),
  [6433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20368),
  [6435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20239),
  [6437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11380),
  [6439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22264),
  [6441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15991),
  [6443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19795),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22117),
  [6447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6834),
  [6450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18458),
  [6453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(183),
  [6456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1819),
  [6459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6768),
  [6462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3423),
  [6465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11664),
  [6468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1820),
  [6471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15282),
  [6474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15788),
  [6477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(288),
  [6480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6748),
  [6483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17356),
  [6486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17851),
  [6489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6778),
  [6492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14735),
  [6495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13728),
  [6498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4982),
  [6501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6761),
  [6504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18491),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9967),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [6515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16312),
  [6517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5595),
  [6519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8049),
  [6521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18996),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14731),
  [6525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21657),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [6529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8555),
  [6531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22305),
  [6533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16172),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20504),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19863),
  [6539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8368),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22291),
  [6543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16111),
  [6545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21936),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20458),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9959),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [6553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9854),
  [6555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22298),
  [6557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16159),
  [6559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20878),
  [6561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19895),
  [6563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7827),
  [6565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19229),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14769),
  [6569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20828),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8945),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22316),
  [6577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16204),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21977),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20171),
  [6583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6907),
  [6585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_expression, 1, 0, 0),
  [6587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_expression, 1, 0, 0),
  [6589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18336),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [6593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [6595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6967),
  [6597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3111),
  [6599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11720),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [6603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15216),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15579),
  [6607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6904),
  [6611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17516),
  [6613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17976),
  [6615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [6617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14634),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13571),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5167),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6986),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18740),
  [6627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7037),
  [6629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19058),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [6633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [6635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7001),
  [6637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3125),
  [6639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11748),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [6643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15257),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15773),
  [6647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [6649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7032),
  [6651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17525),
  [6653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17983),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14643),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13592),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7023),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18712),
  [6667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9988),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [6675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16398),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5608),
  [6679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7096),
  [6682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19054),
  [6685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(189),
  [6688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1837),
  [6691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6980),
  [6694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3385),
  [6697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11542),
  [6700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1838),
  [6703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15552),
  [6706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15812),
  [6709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(315),
  [6712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7110),
  [6715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17403),
  [6718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17881),
  [6721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6981),
  [6724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14762),
  [6727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13806),
  [6730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4998),
  [6733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6905),
  [6736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18324),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9977),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5619),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5620),
  [6747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16253),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [6751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_application, 2, 0, 54),
  [6753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_application, 2, 0, 54),
  [6755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7096),
  [6757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19054),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [6761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [6763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6980),
  [6765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3385),
  [6767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11542),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [6771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15552),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15812),
  [6775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [6779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17403),
  [6781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17881),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14762),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13806),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6905),
  [6793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18324),
  [6795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7037),
  [6798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19058),
  [6801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(227),
  [6804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1942),
  [6807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7001),
  [6810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3125),
  [6813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11748),
  [6816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1943),
  [6819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15257),
  [6822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15773),
  [6825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(308),
  [6828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7032),
  [6831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17525),
  [6834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17983),
  [6837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7002),
  [6840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14643),
  [6843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13592),
  [6846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5193),
  [6849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7023),
  [6852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18712),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9950),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [6859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6907),
  [6862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18336),
  [6865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(221),
  [6868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1924),
  [6871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6967),
  [6874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3111),
  [6877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11720),
  [6880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1925),
  [6883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15216),
  [6886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15579),
  [6889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(330),
  [6892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6904),
  [6895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17516),
  [6898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17976),
  [6901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6968),
  [6904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14634),
  [6907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13571),
  [6910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5167),
  [6913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6986),
  [6916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18740),
  [6919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6970),
  [6922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18078),
  [6925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(234),
  [6928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1960),
  [6931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7028),
  [6934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3140),
  [6937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11761),
  [6940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1961),
  [6943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15399),
  [6946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15743),
  [6949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(287),
  [6952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6852),
  [6955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17531),
  [6958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17986),
  [6961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7029),
  [6964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14646),
  [6967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13595),
  [6970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5222),
  [6973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7070),
  [6976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18766),
  [6979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7495),
  [6982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18127),
  [6985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(193),
  [6988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1852),
  [6991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7475),
  [6994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3145),
  [6997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11688),
  [7000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1853),
  [7003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15528),
  [7006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15795),
  [7009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(333),
  [7012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7504),
  [7015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17418),
  [7018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17897),
  [7021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7481),
  [7024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14771),
  [7027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13825),
  [7030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5004),
  [7033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7313),
  [7036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18560),
  [7039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7270),
  [7042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18207),
  [7045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(199),
  [7048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1870),
  [7051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7307),
  [7054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3252),
  [7057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11699),
  [7060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1871),
  [7063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15412),
  [7066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15772),
  [7069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(337),
  [7072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7621),
  [7075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17436),
  [7078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17916),
  [7081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7310),
  [7084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14697),
  [7087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13855),
  [7090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5044),
  [7093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7462),
  [7096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19126),
  [7099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7561),
  [7102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18956),
  [7105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(181),
  [7108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1814),
  [7111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7672),
  [7114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3104),
  [7117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11660),
  [7120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1815),
  [7123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15255),
  [7126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15776),
  [7129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(323),
  [7132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7369),
  [7135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17349),
  [7138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17845),
  [7141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7674),
  [7144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14730),
  [7147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13705),
  [7150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4977),
  [7153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7487),
  [7156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18218),
  [7159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7253),
  [7162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19035),
  [7165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(232),
  [7168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1954),
  [7171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7345),
  [7174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3132),
  [7177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11755),
  [7180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1955),
  [7183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15350),
  [7186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15597),
  [7189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(283),
  [7192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7709),
  [7195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17529),
  [7198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17985),
  [7201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7346),
  [7204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14645),
  [7207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13594),
  [7210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5217),
  [7213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7430),
  [7216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18746),
  [7219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7273),
  [7222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18692),
  [7225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(195),
  [7228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1858),
  [7231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7252),
  [7234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3188),
  [7237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11691),
  [7240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1859),
  [7243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15447),
  [7246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15604),
  [7249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(291),
  [7252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7557),
  [7255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17423),
  [7258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17904),
  [7261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7254),
  [7264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14779),
  [7267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13833),
  [7270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5008),
  [7273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7370),
  [7276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18643),
  [7279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7230),
  [7282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18579),
  [7285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(201),
  [7288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1876),
  [7291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7365),
  [7294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3273),
  [7297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11703),
  [7300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1877),
  [7303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15260),
  [7306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15749),
  [7309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(286),
  [7312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7673),
  [7315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17443),
  [7318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17921),
  [7321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7368),
  [7324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14598),
  [7327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13874),
  [7330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5064),
  [7333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7717),
  [7336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19215),
  [7339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8002),
  [7342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19052),
  [7345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(179),
  [7348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1808),
  [7351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8142),
  [7354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3362),
  [7357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11648),
  [7360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1809),
  [7363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15421),
  [7366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15798),
  [7369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(325),
  [7372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8154),
  [7375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17341),
  [7378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17841),
  [7381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8144),
  [7384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14713),
  [7387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13675),
  [7390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4969),
  [7393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7788),
  [7396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18998),
  [7399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7934),
  [7401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18582),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [7405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [7407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7877),
  [7409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3181),
  [7411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11773),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [7415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15328),
  [7417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15778),
  [7419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8202),
  [7423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17541),
  [7425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17991),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14652),
  [7431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13601),
  [7433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5250),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [7437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18856),
  [7439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7789),
  [7441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18247),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [7445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [7447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7768),
  [7449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3146),
  [7451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11719),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [7455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15444),
  [7457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15599),
  [7459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7785),
  [7463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17512),
  [7465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17972),
  [7467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14647),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13596),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [7475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7836),
  [7477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18784),
  [7479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8049),
  [7482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18996),
  [7485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(160),
  [7488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1760),
  [7491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8150),
  [7494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3193),
  [7497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11879),
  [7500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1761),
  [7503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15441),
  [7506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15592),
  [7509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(285),
  [7512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8147),
  [7515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17015),
  [7518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17727),
  [7521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8178),
  [7524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14599),
  [7527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13583),
  [7530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4991),
  [7533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7800),
  [7536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18186),
  [7539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7779),
  [7542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18365),
  [7545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(153),
  [7548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1740),
  [7551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8270),
  [7554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3107),
  [7557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11838),
  [7560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1741),
  [7563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15295),
  [7566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15591),
  [7569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(295),
  [7572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8096),
  [7575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16921),
  [7578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17708),
  [7581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8280),
  [7584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14668),
  [7587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13838),
  [7590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4932),
  [7593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7741),
  [7596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18223),
  [7599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7934),
  [7602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18582),
  [7605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(247),
  [7608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1998),
  [7611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7877),
  [7614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3181),
  [7617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11773),
  [7620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1999),
  [7623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15328),
  [7626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15778),
  [7629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(309),
  [7632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8202),
  [7635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17541),
  [7638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17991),
  [7641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7878),
  [7644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14652),
  [7647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13601),
  [7650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5250),
  [7653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7913),
  [7656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18856),
  [7659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7789),
  [7662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18247),
  [7665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(236),
  [7668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1967),
  [7671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7768),
  [7674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3146),
  [7677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11719),
  [7680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1968),
  [7683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15444),
  [7686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15599),
  [7689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(290),
  [7692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7785),
  [7695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17512),
  [7698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17972),
  [7701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7771),
  [7704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14647),
  [7707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13596),
  [7710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5228),
  [7713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7836),
  [7716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18784),
  [7719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7827),
  [7722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19229),
  [7725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(261),
  [7728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1733),
  [7731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7745),
  [7734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3283),
  [7737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11824),
  [7740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1734),
  [7743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15290),
  [7746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15659),
  [7749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(334),
  [7752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7776),
  [7755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16877),
  [7758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17697),
  [7761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7749),
  [7764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14749),
  [7767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13820),
  [7770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5298),
  [7773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7778),
  [7776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18939),
  [7779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8216),
  [7782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18396),
  [7785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(156),
  [7788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1747),
  [7791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8139),
  [7794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3129),
  [7797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11846),
  [7800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1748),
  [7803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15304),
  [7806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15648),
  [7809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(302),
  [7812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7748),
  [7815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16956),
  [7818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17717),
  [7821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8148),
  [7824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14710),
  [7827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13899),
  [7830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4949),
  [7833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8162),
  [7836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18788),
  [7839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11368),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6187),
  [7845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5525),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22202),
  [7849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14982),
  [7851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15907),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20353),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [7857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5456),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20406),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22296),
  [7865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16140),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19890),
  [7869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21573),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6367),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22293),
  [7875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16125),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19634),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22365),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9780),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22288),
  [7885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16098),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20169),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21515),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22306),
  [7895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16187),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20800),
  [7899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20184),
  [7901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8563),
  [7903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 103),
  [7905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 103),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10730),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16821),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [7913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4621),
  [7915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8554),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9057),
  [7919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15032),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15976),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [7925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19433),
  [7927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17938),
  [7929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17385),
  [7931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17871),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8583),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21093),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14753),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13778),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8331),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19197),
  [7945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(9030),
  [7948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18826),
  [7951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(175),
  [7954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1796),
  [7957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8997),
  [7960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3333),
  [7963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11566),
  [7966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1797),
  [7969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15270),
  [7972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15619),
  [7975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(311),
  [7978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8992),
  [7981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17192),
  [7984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17771),
  [7987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8998),
  [7990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14684),
  [7993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13619),
  [7996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4953),
  [7999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(9080),
  [8002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18433),
  [8005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 90),
  [8007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 90),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10817),
  [8011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 68),
  [8013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 68),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10856),
  [8017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 90),
  [8019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 90),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10703),
  [8023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8361),
  [8025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 29),
  [8027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 29),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10899),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16825),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [8035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4582),
  [8037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8364),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8929),
  [8041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15017),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16268),
  [8045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [8047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20582),
  [8049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17153),
  [8051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17762),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8365),
  [8055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19786),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14616),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13761),
  [8061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8155),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18217),
  [8065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 15),
  [8067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 15),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10902),
  [8071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9030),
  [8073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18826),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [8077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [8079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8997),
  [8081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3333),
  [8083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11566),
  [8085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [8087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15270),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15619),
  [8091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8992),
  [8095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17192),
  [8097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17771),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8998),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14684),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13619),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9080),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18433),
  [8111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 29),
  [8113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 29),
  [8115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10925),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10769),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11002),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10938),
  [8123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 103),
  [8125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 103),
  [8127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11003),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10710),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10803),
  [8133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 68),
  [8135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 68),
  [8137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10720),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10968),
  [8141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10969),
  [8143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10751),
  [8145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 1, 0, 15),
  [8147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 1, 0, 15),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10867),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10972),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10737),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11043),
  [8157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10973),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10980),
  [8161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10929),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11047),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10789),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11038),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11039),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10874),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10764),
  [8175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9062),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11055),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17282),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [8183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4641),
  [8185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9164),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9176),
  [8189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14875),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15859),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4642),
  [8195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21397),
  [8197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17523),
  [8199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17982),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9167),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21776),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14642),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13591),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8796),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18660),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10900),
  [8215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9084),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10958),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17067),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [8223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4631),
  [8225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8883),
  [8227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9083),
  [8229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15155),
  [8231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16231),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [8235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21688),
  [8237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17464),
  [8239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17939),
  [8241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8884),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19326),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14608),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13916),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8727),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18314),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10765),
  [8255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [8259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15987),
  [8263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21365),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10926),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10961),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10952),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10779),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10868),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10794),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10916),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10731),
  [8281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0),
  [8283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8361),
  [8286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0),
  [8288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16825),
  [8291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2829),
  [8294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(4582),
  [8297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8364),
  [8300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15017),
  [8303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16268),
  [8306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(4583),
  [8309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20582),
  [8312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17153),
  [8315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17762),
  [8318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8365),
  [8321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19786),
  [8324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14616),
  [8327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13761),
  [8330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8155),
  [8333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18217),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10910),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11028),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10795),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10930),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10733),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10705),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11037),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10701),
  [8352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8563),
  [8355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16821),
  [8358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2828),
  [8361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(4621),
  [8364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8554),
  [8367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15032),
  [8370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15976),
  [8373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(4622),
  [8376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19433),
  [8379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17385),
  [8382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17871),
  [8385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8583),
  [8388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(21093),
  [8391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14753),
  [8394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13778),
  [8397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8331),
  [8400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19197),
  [8403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10135),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [8407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5554),
  [8409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9760),
  [8411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15144),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16210),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [8417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5506),
  [8419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19780),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17094),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17743),
  [8425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9763),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22105),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14775),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13549),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9650),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19001),
  [8437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9062),
  [8440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17282),
  [8443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2822),
  [8446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(4641),
  [8449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9164),
  [8452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14875),
  [8455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15859),
  [8458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(4642),
  [8461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(21397),
  [8464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17523),
  [8467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17982),
  [8470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9167),
  [8473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(21776),
  [8476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14642),
  [8479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13591),
  [8482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8796),
  [8485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18660),
  [8488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9084),
  [8491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17067),
  [8494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2833),
  [8497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(4631),
  [8500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8883),
  [8503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15155),
  [8506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16231),
  [8509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(4632),
  [8512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(21688),
  [8515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17464),
  [8518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17939),
  [8521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8884),
  [8524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19326),
  [8527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14608),
  [8530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13916),
  [8533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8727),
  [8536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18314),
  [8539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10059),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17948),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [8547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4610),
  [8549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9843),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8973),
  [8553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15174),
  [8555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 55),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16485),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [8561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21066),
  [8563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 55),
  [8565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17318),
  [8567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17831),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9845),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22081),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14694),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13648),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9695),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18967),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [8583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 55),
  [8585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 55),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [8589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 2, 0, 31),
  [8591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 2, 0, 31),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [8595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 31),
  [8597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 31),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [8601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 74),
  [8603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 74),
  [8605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [8607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 74),
  [8609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 74),
  [8611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5524),
  [8613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14611),
  [8615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15488),
  [8617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12357),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16530),
  [8621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5514),
  [8623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17899),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17569),
  [8627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5589),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17283),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17807),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9928),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [8641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16181),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16735),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16831),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17686),
  [8651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5561),
  [8653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15253),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [8657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4595),
  [8659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15183),
  [8661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15152),
  [8663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4403),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16105),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [8669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4404),
  [8671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22103),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17070),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17739),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15184),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20643),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14750),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13848),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10626),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18938),
  [8689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13407),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14167),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21496),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9652),
  [8697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13304),
  [8699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9088),
  [8701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 1, 0, 0),
  [8703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14676),
  [8705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15204),
  [8707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12376),
  [8709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15200),
  [8711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15518),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8826),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9097),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10342),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16417),
  [8721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17180),
  [8723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17767),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10270),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19080),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [8731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10352),
  [8733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19176),
  [8735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [8737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [8739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10481),
  [8741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3121),
  [8743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11623),
  [8745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [8747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15341),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15587),
  [8751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10389),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17309),
  [8757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17825),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10484),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14765),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13818),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9348),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19020),
  [8771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(10352),
  [8774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19176),
  [8777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(191),
  [8780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1844),
  [8783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(10481),
  [8786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3121),
  [8789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11623),
  [8792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1845),
  [8795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15341),
  [8798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15587),
  [8801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(328),
  [8804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(10389),
  [8807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17309),
  [8810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17825),
  [8813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(10484),
  [8816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14765),
  [8819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13818),
  [8822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5001),
  [8825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(9348),
  [8828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19020),
  [8831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17060),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21365),
  [8837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_get_expression, 6, 0, 0),
  [8839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_get_expression, 6, 0, 0),
  [8841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_get_expression, 6, 0, 0),
  [8843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_get_expression, 6, 0, 0),
  [8845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigarray_get_expression, 6, 0, 0),
  [8847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigarray_get_expression, 6, 0, 0),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [8855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_path, 1, 0, 12),
  [8857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 1, 0, 12),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [8865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_path, 3, 0, 46),
  [8867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 3, 0, 46),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [8875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [8877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [8879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [8881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [8883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [8893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4883),
  [8895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [8897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [8899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [8903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_get_expression, 3, 0, 0),
  [8905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_get_expression, 3, 0, 0),
  [8907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4889),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [8913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value_name, 1, 0, 1),
  [8915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value_name, 1, 0, 1),
  [8917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__instance_variable_name, 1, 0, 2),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [8921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_get_expression, 5, 0, 0),
  [8923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_get_expression, 5, 0, 0),
  [8925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_get_expression, 5, 0, 0),
  [8927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_get_expression, 5, 0, 0),
  [8929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigarray_get_expression, 5, 0, 0),
  [8931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigarray_get_expression, 5, 0, 0),
  [8933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [8935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [8937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [8939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10059),
  [8942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17948),
  [8945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2831),
  [8948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(4610),
  [8951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9843),
  [8954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15174),
  [8957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16485),
  [8960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(4611),
  [8963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(21066),
  [8966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17318),
  [8969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17831),
  [8972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9845),
  [8975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(22081),
  [8978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14694),
  [8981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13648),
  [8984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9695),
  [8987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18967),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [8992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [8994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [9004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [9014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14796),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [9018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [9020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3422),
  [9022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11796),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [9026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15566),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15804),
  [9030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4940),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8325),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18084),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14780),
  [9042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_path, 1, 0, 0),
  [9044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_path, 1, 0, 0),
  [9046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_name, 3, 0, 23),
  [9048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_name, 3, 0, 23),
  [9050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_path, 1, 0, 17),
  [9052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_path, 1, 0, 17),
  [9054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_name, 1, 0, 4),
  [9056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_name, 1, 0, 4),
  [9058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_path, 3, 0, 39),
  [9060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_path, 3, 0, 0),
  [9062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_path, 3, 0, 0),
  [9064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value_name, 1, 0, 0),
  [9066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value_name, 1, 0, 0),
  [9068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_string, 3, 0, 0),
  [9070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_string, 3, 0, 0),
  [9072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 3, 0, 0),
  [9074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 3, 0, 0),
  [9076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 7, 0, 0),
  [9078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 7, 0, 0),
  [9080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 3, 0, 0),
  [9082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 3, 0, 0),
  [9084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 6, 0, 0),
  [9086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 6, 0, 0),
  [9088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 7, 0, 0),
  [9090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 7, 0, 0),
  [9092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 8, 0, 0),
  [9094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 8, 0, 0),
  [9096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 9, 0, 0),
  [9098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 9, 0, 0),
  [9100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [9102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [9104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 1, 0, 0),
  [9106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 1, 0, 0),
  [9108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constant, 1, 0, 0),
  [9110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constant, 1, 0, 0),
  [9112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unit, 2, 0, 0),
  [9114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit, 2, 0, 0),
  [9116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character, 3, 0, 0),
  [9118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character, 3, 0, 0),
  [9120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [9122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [9124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag, 2, 0, 0),
  [9126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag, 2, 0, 0),
  [9128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 3, 0, 0),
  [9130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 3, 0, 0),
  [9132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [9134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [9136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_path, 1, 0, 3),
  [9138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [9140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 4, 0, 0),
  [9142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 4, 0, 0),
  [9144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 2, 0, 0),
  [9146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 2, 0, 0),
  [9148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 2, 0, 0),
  [9150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 2, 0, 0),
  [9152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 0),
  [9154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 0),
  [9156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 2, 0, 0),
  [9158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 2, 0, 0),
  [9160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_expression, 2, 0, 18),
  [9162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_expression, 2, 0, 18),
  [9164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 1, 0, 19),
  [9166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 1, 0, 19),
  [9168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 8, 0, 0),
  [9170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 8, 0, 0),
  [9172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_path, 3, 0, 57),
  [9174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_path, 3, 0, 57),
  [9176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension, 3, 0, 0),
  [9178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension, 3, 0, 0),
  [9180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension, 4, 0, 0),
  [9182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension, 4, 0, 0),
  [9184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_extension, 4, 0, 0),
  [9186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_extension, 4, 0, 0),
  [9188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_extension, 5, 0, 0),
  [9190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_extension, 5, 0, 0),
  [9192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [9194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [9196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 3, 0, 0),
  [9198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 3, 0, 0),
  [9200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 3, 0, 0),
  [9202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 3, 0, 0),
  [9204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 3, 0, 0),
  [9206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 3, 0, 0),
  [9208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 0),
  [9210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 0),
  [9212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 3, 0, 0),
  [9214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 3, 0, 0),
  [9216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 5, 0, 0),
  [9218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 5, 0, 0),
  [9220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 3, 0, 34),
  [9222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 3, 0, 34),
  [9224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_expression, 3, 0, 35),
  [9226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_expression, 3, 0, 35),
  [9228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 3, 0, 0),
  [9230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 3, 0, 0),
  [9232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 4, 0, 0),
  [9234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 4, 0, 0),
  [9236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_expression, 4, 0, 0),
  [9238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_expression, 4, 0, 0),
  [9240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 4, 0, 0),
  [9242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 4, 0, 0),
  [9244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 4, 0, 0),
  [9246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 4, 0, 0),
  [9248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 4, 0, 0),
  [9250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 4, 0, 0),
  [9252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14519),
  [9254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5479),
  [9256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 4, 0, 0),
  [9258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 4, 0, 0),
  [9260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [9262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [9264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 4, 0, 0),
  [9266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 4, 0, 0),
  [9268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 5, 0, 0),
  [9270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 5, 0, 0),
  [9272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coercion_expression, 5, 0, 0),
  [9274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coercion_expression, 5, 0, 0),
  [9276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 5, 0, 0),
  [9278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 5, 0, 0),
  [9280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 5, 0, 0),
  [9282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 5, 0, 0),
  [9284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 5, 0, 0),
  [9286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 5, 0, 0),
  [9288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 5, 0, 0),
  [9290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 5, 0, 0),
  [9292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 6, 0, 0),
  [9294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 6, 0, 0),
  [9296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [9298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 4, 0, 33),
  [9300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 4, 0, 33),
  [9302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 7, 0, 0),
  [9304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 7, 0, 0),
  [9306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 5, 0, 0),
  [9308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 5, 0, 0),
  [9310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 6, 0, 0),
  [9312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 6, 0, 0),
  [9314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coercion_expression, 6, 0, 0),
  [9316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coercion_expression, 6, 0, 0),
  [9318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 6, 0, 0),
  [9320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 6, 0, 0),
  [9322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 2, 0, 0),
  [9324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 2, 0, 0),
  [9326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 1, 0, 0),
  [9328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 1, 0, 0),
  [9330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [9332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [9334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [9336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [9338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [9340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15467),
  [9342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [9344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5520),
  [9346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14998),
  [9348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [9350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5500),
  [9352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [9354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [9356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 2, 0, 33),
  [9358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 2, 0, 33),
  [9360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5238),
  [9362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 5, 0, 98),
  [9364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 5, 0, 98),
  [9366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5275),
  [9368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8402),
  [9370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [9372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8422),
  [9374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3237),
  [9376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [9378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17113),
  [9380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17752),
  [9382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17274),
  [9384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [9386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14786),
  [9388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13616),
  [9390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [9392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14363),
  [9394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8581),
  [9396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [9398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [9400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8630),
  [9402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3290),
  [9404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11592),
  [9406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [9408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15317),
  [9410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15799),
  [9412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [9414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8571),
  [9416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17238),
  [9418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17786),
  [9420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8631),
  [9422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14629),
  [9424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13936),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5432),
  [9428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8633),
  [9430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18104),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8293),
  [9434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10743),
  [9436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [9438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [9440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10905),
  [9442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3224),
  [9444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11692),
  [9446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [9448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15312),
  [9450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15684),
  [9452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [9454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10782),
  [9456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17428),
  [9458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17910),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10908),
  [9462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14784),
  [9464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13843),
  [9466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [9468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10909),
  [9470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18809),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15284),
  [9474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8467),
  [9476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [9478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [9480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8660),
  [9482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3378),
  [9484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11713),
  [9486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [9488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15250),
  [9490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15589),
  [9492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [9494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8679),
  [9496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17482),
  [9498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17947),
  [9500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8661),
  [9502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14622),
  [9504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13539),
  [9506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [9508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [9510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18185),
  [9512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10014),
  [9514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8596),
  [9516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8860),
  [9518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9122),
  [9520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11399),
  [9522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8567),
  [9524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [9526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [9528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8839),
  [9530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3160),
  [9532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11852),
  [9534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [9536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15209),
  [9538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15762),
  [9540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [9542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8836),
  [9544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16983),
  [9546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17723),
  [9548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8840),
  [9550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14742),
  [9552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13913),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4965),
  [9556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8197),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18662),
  [9560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [9562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5271),
  [9564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [9566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [9568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11445),
  [9570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11449),
  [9572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5267),
  [9574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14479),
  [9576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14482),
  [9578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5570),
  [9580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17393),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17874),
  [9584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14359),
  [9586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14361),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14393),
  [9590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14396),
  [9592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8310),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8318),
  [9596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [9598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8291),
  [9600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8307),
  [9602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8309),
  [9604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15371),
  [9606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15380),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15387),
  [9610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15542),
  [9612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [9614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15271),
  [9616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15305),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10025),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10031),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9835),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10022),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9949),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9892),
  [9630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [9632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8511),
  [9634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8513),
  [9636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8588),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8594),
  [9640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8699),
  [9642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8704),
  [9644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8968),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8969),
  [9648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9149),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9153),
  [9652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8891),
  [9654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8895),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9050),
  [9658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9051),
  [9660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9118),
  [9662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9120),
  [9664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9132),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9136),
  [9668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [9670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11374),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11496),
  [9674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4996),
  [9676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5286),
  [9678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11517),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11501),
  [9682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5519),
  [9684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17221),
  [9686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17780),
  [9688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5166),
  [9690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5281),
  [9692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5551),
  [9694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5192),
  [9696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17192),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17771),
  [9700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5242),
  [9702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17403),
  [9704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17881),
  [9706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17516),
  [9708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17976),
  [9710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17525),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17983),
  [9714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17512),
  [9716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17972),
  [9718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17541),
  [9720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17991),
  [9722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5232),
  [9724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5160),
  [9726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6608),
  [9728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6381),
  [9730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14783),
  [9732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5566),
  [9734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5007),
  [9736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [9738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15235),
  [9740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5543),
  [9742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5559),
  [9744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5546),
  [9746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5179),
  [9748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5549),
  [9750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5584),
  [9752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10132),
  [9754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5568),
  [9756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5216),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6420),
  [9762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [9764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6695),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15473),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15478),
  [9770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14637),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15330),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14693),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15536),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15254),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15525),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6692),
  [9788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6491),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6670),
  [9792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4976),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14759),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14773),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14701),
  [9800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14704),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6552),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10143),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10148),
  [9812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5030),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10154),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10126),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10138),
  [9820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10147),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [9824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6386),
  [9828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6511),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6478),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [9838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4981),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6479),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6481),
  [9844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6571),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [9848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6449),
  [9850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9992),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [9854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(11452),
  [9857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16776),
  [9860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2824),
  [9863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(4517),
  [9866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(11465),
  [9869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14999),
  [9872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16093),
  [9875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(4518),
  [9878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20294),
  [9881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16831),
  [9884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17686),
  [9887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(11526),
  [9890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20317),
  [9893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14746),
  [9896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13794),
  [9899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9557),
  [9902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18294),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9954),
  [9907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [9909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9971),
  [9911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9982),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [9917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9944),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [9921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9934),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9963),
  [9927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11344),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [9933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20317),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [9941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [9955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [10015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [10017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [10027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [10053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [10057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [10059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [10073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [10075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_id, 2, 0, 0),
  [10077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_id, 2, 0, 0),
  [10079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18416),
  [10081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0),
  [10083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0),
  [10085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18416),
  [10088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [10092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [10096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [10098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [10102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [10104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [10106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [10108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [10110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [10112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [10114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [10116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [10118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [10122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [10124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [10128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [10134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [10136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_id, 1, 0, 0),
  [10138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_id, 1, 0, 0),
  [10140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [10142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [10146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [10148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [10158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [10160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [10162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [10164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2507),
  [10166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10880),
  [10168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10983),
  [10170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10734),
  [10172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10835),
  [10174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10947),
  [10176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10749),
  [10178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0),
  [10180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0),
  [10182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(6005),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10732),
  [10187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5221),
  [10189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [10191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 1, 0, 0),
  [10193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat1, 1, 0, 0),
  [10195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(6158),
  [10198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sequence_expression, 1, 0, 0),
  [10200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sequence_expression, 1, 0, 0),
  [10202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 37),
  [10204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 3, 0, 37),
  [10206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signed_number, 2, 0, 0),
  [10208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signed_number, 2, 0, 0),
  [10210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [10212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 4, 0, 58),
  [10214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 4, 0, 58),
  [10216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [10218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4988),
  [10220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signed_constant, 1, 0, 0),
  [10222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__signed_constant, 1, 0, 0),
  [10224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13075),
  [10226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5074),
  [10228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 4, 0, 0),
  [10230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 4, 0, 0),
  [10232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 6),
  [10234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 6),
  [10236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_binding_pattern, 2, 0, 0),
  [10238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_binding_pattern, 2, 0, 0),
  [10240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [10242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [10244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13027),
  [10246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_binding_pattern, 3, 0, 0),
  [10248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_binding_pattern, 3, 0, 0),
  [10250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 7),
  [10252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 7),
  [10254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constructor_path, 3, 0, 44),
  [10256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constructor_path, 3, 0, 44),
  [10258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 8),
  [10260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 8),
  [10262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_binding_pattern, 3, 0, 0),
  [10264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_binding_pattern, 3, 0, 0),
  [10266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12994),
  [10268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 3, 0, 0),
  [10270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 3, 0, 0),
  [10272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 7, 0, 0),
  [10274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 7, 0, 0),
  [10276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_pattern, 2, 0, 0),
  [10278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_pattern, 2, 0, 0),
  [10280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [10282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_binding_pattern, 2, 0, 22),
  [10284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_binding_pattern, 2, 0, 22),
  [10286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 3, 0, 0),
  [10288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 3, 0, 0),
  [10290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 4, 0, 0),
  [10292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 4, 0, 0),
  [10294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_binding_pattern, 4, 0, 22),
  [10296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_binding_pattern, 4, 0, 22),
  [10298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 4, 0, 0),
  [10300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 4, 0, 0),
  [10302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_binding_pattern, 2, 0, 22),
  [10304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_binding_pattern, 2, 0, 22),
  [10306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 2, 0, 0),
  [10308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 2, 0, 0),
  [10310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 6, 0, 0),
  [10312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 6, 0, 0),
  [10314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_binding_pattern, 3, 0, 0),
  [10316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_binding_pattern, 3, 0, 0),
  [10318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 2, 0, 0),
  [10320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 2, 0, 0),
  [10322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 5, 0, 39),
  [10324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 5, 0, 39),
  [10326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 5, 0, 78),
  [10328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 5, 0, 78),
  [10330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 5, 0, 0),
  [10332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 5, 0, 0),
  [10334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 3, 0, 0),
  [10336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 3, 0, 0),
  [10338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 4, 0, 0),
  [10340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 4, 0, 0),
  [10342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_binding_pattern, 3, 0, 0),
  [10344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_binding_pattern, 3, 0, 0),
  [10346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 5, 0, 0),
  [10348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 5, 0, 0),
  [10350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 5, 0, 0),
  [10352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 5, 0, 0),
  [10354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_binding_pattern, 3, 0, 0),
  [10356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_binding_pattern, 3, 0, 0),
  [10358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constructor_path, 1, 0, 11),
  [10360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constructor_path, 1, 0, 11),
  [10362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 5, 0, 0),
  [10364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 5, 0, 0),
  [10366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_binding_pattern, 3, 0, 0),
  [10368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_binding_pattern, 3, 0, 0),
  [10370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 4, 0, 39),
  [10372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 4, 0, 39),
  [10374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 3, 0, 0),
  [10376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 3, 0, 0),
  [10378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 6, 0, 78),
  [10380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 6, 0, 78),
  [10382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5255),
  [10384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5316),
  [10386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [10388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13056),
  [10390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [10392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [10394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5089),
  [10396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [10398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [10400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [10402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17523),
  [10404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17982),
  [10406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [10408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17318),
  [10410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17831),
  [10412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [10414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17464),
  [10416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17939),
  [10418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [10420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17153),
  [10422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17762),
  [10424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [10426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [10428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17385),
  [10430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17871),
  [10432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14772),
  [10434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21199),
  [10436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [10438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5252),
  [10440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [10442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14726),
  [10444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19835),
  [10446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4999),
  [10448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [10450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14671),
  [10452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22260),
  [10454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [10456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [10458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [10460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [10462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [10464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [10466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11194),
  [10468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9504),
  [10470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7956),
  [10472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12311),
  [10474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11363),
  [10476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8753),
  [10478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12249),
  [10480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18042),
  [10482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8793),
  [10484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8869),
  [10486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10374),
  [10488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16407),
  [10490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17508),
  [10492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17968),
  [10494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10362),
  [10496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18476),
  [10498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10676),
  [10500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9466),
  [10502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8060),
  [10504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11860),
  [10506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10872),
  [10508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8732),
  [10510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11826),
  [10512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8751),
  [10514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8852),
  [10516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10427),
  [10518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16334),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17492),
  [10522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17955),
  [10524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18804),
  [10526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8052),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12318),
  [10530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [10532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10366),
  [10534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9490),
  [10536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8176),
  [10538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11500),
  [10540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10654),
  [10542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8833),
  [10544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11533),
  [10546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8827),
  [10548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8862),
  [10550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10465),
  [10552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16157),
  [10554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17267),
  [10556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17797),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19118),
  [10560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7895),
  [10562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11854),
  [10564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [10566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11125),
  [10568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9474),
  [10570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7739),
  [10572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12331),
  [10574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11426),
  [10576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8757),
  [10578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12255),
  [10580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8830),
  [10582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8888),
  [10584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10519),
  [10586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16022),
  [10588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17537),
  [10590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17989),
  [10592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18823),
  [10594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [10596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [10598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [10600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [10602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5062),
  [10604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7751),
  [10606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12336),
  [10608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [10610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [10612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [10614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8261),
  [10616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11511),
  [10618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [10620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12334),
  [10622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12340),
  [10624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [10626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [10628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_class_expression, 1, 0, 0),
  [10630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_class_expression, 1, 0, 0),
  [10632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14760),
  [10634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [10636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11858),
  [10638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20746),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5229),
  [10642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class, 5, 0, 0),
  [10644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class, 5, 0, 0),
  [10646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12315),
  [10648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14617),
  [10650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22132),
  [10652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [10654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_value_pattern, 1, 0, 16),
  [10656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_value_pattern, 1, 0, 16),
  [10658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [10660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5249),
  [10662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12324),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11864),
  [10666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_class_expression, 4, 0, 0),
  [10668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_class_expression, 4, 0, 0),
  [10670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [10672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_class_expression, 3, 0, 0),
  [10674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_class_expression, 3, 0, 0),
  [10676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [10678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11444),
  [10680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class, 4, 0, 0),
  [10682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class, 4, 0, 0),
  [10684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11458),
  [10688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [10690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [10692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [10694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 4, 0, 0),
  [10696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 4, 0, 0),
  [10698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 59),
  [10700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 4, 0, 59),
  [10702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 76),
  [10704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 4, 0, 76),
  [10706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [10708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [10710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [10712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [10714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [10716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [10718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [10720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [10722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 5, 0, 0),
  [10724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 5, 0, 0),
  [10726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [10728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [10730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [10732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [10734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [10736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [10738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [10740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [10742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 6, 0, 59),
  [10744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 6, 0, 59),
  [10746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6830),
  [10748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 7, 0, 59),
  [10750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 7, 0, 59),
  [10752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 8, 0, 130),
  [10754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 8, 0, 130),
  [10756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 9, 0, 130),
  [10758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 9, 0, 130),
  [10760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 22),
  [10762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 2, 0, 22),
  [10764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5043),
  [10766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14724),
  [10768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5245),
  [10770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_expression, 3, 0, 0),
  [10772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_expression, 3, 0, 0),
  [10774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21757),
  [10776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [10778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parenthesized_abstract_type, 3, 0, 0),
  [10780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parenthesized_abstract_type, 3, 0, 0),
  [10782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 1, 0, 0),
  [10784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 1, 0, 0),
  [10786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 5),
  [10788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 1, 0, 5),
  [10790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5107),
  [10792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_expression, 2, 0, 0),
  [10794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_expression, 2, 0, 0),
  [10796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_expression, 2, 0, 0),
  [10798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_expression, 2, 0, 0),
  [10800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_expression, 3, 0, 0),
  [10802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_expression, 3, 0, 0),
  [10804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5120),
  [10806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5140),
  [10808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [10810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [10812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [10814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [10816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [10818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [10820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5155),
  [10822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [10824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [10826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 3, 0, 0),
  [10828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 3, 0, 0),
  [10830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 59),
  [10832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 5, 0, 59),
  [10834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [10836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [10838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_pattern, 4, 0, 0),
  [10840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_pattern, 4, 0, 0),
  [10842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4948),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14670),
  [10846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20138),
  [10848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14720),
  [10852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19928),
  [10854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [10856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [10858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4968),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [10862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4958),
  [10864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5025),
  [10866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5282),
  [10868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13407),
  [10870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9193),
  [10872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11427),
  [10874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17180),
  [10876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17767),
  [10878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18968),
  [10880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [10882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9059),
  [10884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11168),
  [10886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8947),
  [10888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14215),
  [10890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8897),
  [10892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14525),
  [10894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9222),
  [10896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11828),
  [10898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9110),
  [10900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10662),
  [10902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9244),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12252),
  [10906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9195),
  [10908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14022),
  [10910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9264),
  [10912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12257),
  [10914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9013),
  [10916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10211),
  [10918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8916),
  [10920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11973),
  [10922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8936),
  [10924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11980),
  [10926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6805),
  [10928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9047),
  [10930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11552),
  [10932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14632),
  [10934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20679),
  [10936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [10938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8989),
  [10940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11198),
  [10942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9082),
  [10944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12075),
  [10946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9032),
  [10948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10811),
  [10950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9066),
  [10952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10512),
  [10954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9073),
  [10956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12100),
  [10958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9091),
  [10960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10756),
  [10962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8991),
  [10964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15097),
  [10966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9089),
  [10968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13733),
  [10970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8944),
  [10972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10492),
  [10974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9115),
  [10976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11161),
  [10978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9138),
  [10980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12151),
  [10982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9351),
  [10984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11425),
  [10986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toplevel_directive, 1, 0, 0),
  [10988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toplevel_directive, 1, 0, 0),
  [10990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12469),
  [10992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13420),
  [10994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19136),
  [10996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20622),
  [10998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13510),
  [11000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14672),
  [11002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13870),
  [11004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9838),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8890),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13119),
  [11010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9223),
  [11012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9353),
  [11014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9241),
  [11016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9242),
  [11018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9245),
  [11020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9374),
  [11022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9247),
  [11024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9248),
  [11026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 8, 0, 122),
  [11028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 8, 0, 122),
  [11030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11318),
  [11032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18506),
  [11034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22213),
  [11036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9049),
  [11038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13035),
  [11040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17500),
  [11042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17962),
  [11044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9265),
  [11046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13181),
  [11048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9285),
  [11050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9286),
  [11052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14558),
  [11054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10985),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19986),
  [11058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17301),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17820),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9290),
  [11064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9291),
  [11066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 4, 0, 0),
  [11068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 4, 0, 0),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14774),
  [11072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21955),
  [11074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [11076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 0),
  [11078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 0),
  [11080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9376),
  [11082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9296),
  [11084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9304),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9305),
  [11088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11984),
  [11090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_exception_expression, 4, 0, 40),
  [11092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_exception_expression, 4, 0, 40),
  [11094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_module_expression, 4, 0, 40),
  [11096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_module_expression, 4, 0, 40),
  [11098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9314),
  [11100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9315),
  [11102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_expression, 4, 0, 40),
  [11104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_expression, 4, 0, 40),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9317),
  [11108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9318),
  [11110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9320),
  [11112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9321),
  [11114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12090),
  [11116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15082),
  [11118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18109),
  [11120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22237),
  [11122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8870),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9323),
  [11126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9324),
  [11128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9326),
  [11130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9327),
  [11132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10365),
  [11134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14267),
  [11136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9331),
  [11138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9332),
  [11140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9335),
  [11142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9336),
  [11144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 2, 0, 0),
  [11146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 2, 0, 0),
  [11148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12935),
  [11150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9667),
  [11152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9159),
  [11154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8844),
  [11156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9170),
  [11158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10303),
  [11160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16220),
  [11162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17411),
  [11164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17890),
  [11166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18326),
  [11168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, 0, 32),
  [11170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 3, 0, 32),
  [11172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 4, 0, 40),
  [11174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 4, 0, 40),
  [11176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11326),
  [11178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11687),
  [11180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22266),
  [11182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17543),
  [11184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17992),
  [11186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15069),
  [11188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expression, 3, 0, 0),
  [11190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_expression, 3, 0, 0),
  [11192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10223),
  [11194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 5, 0, 77),
  [11196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 5, 0, 77),
  [11198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 4, 0, 0),
  [11200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 4, 0, 0),
  [11202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 56),
  [11204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 5, 0, 56),
  [11206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 32),
  [11208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 32),
  [11210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type, 1, 0, 0),
  [11212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_type, 1, 0, 0),
  [11214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 6, 0, 97),
  [11216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 6, 0, 97),
  [11218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19007),
  [11220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10822),
  [11222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 2, 0, 0),
  [11224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 2, 0, 0),
  [11226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 4, 0, 56),
  [11228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 4, 0, 56),
  [11230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11949),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9698),
  [11234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8878),
  [11236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8818),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8879),
  [11240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10472),
  [11242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16155),
  [11244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17510),
  [11246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17970),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18585),
  [11250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 3, 0, 0),
  [11252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 3, 0, 0),
  [11254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11562),
  [11256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11619),
  [11258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22255),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17514),
  [11262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17974),
  [11264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11264),
  [11266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10522),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12117),
  [11270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9371),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9372),
  [11274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 5, 0, 0),
  [11276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 5, 0, 0),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11909),
  [11280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13852),
  [11282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11044),
  [11284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13912),
  [11286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9699),
  [11288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8907),
  [11290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8755),
  [11292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8908),
  [11294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10554),
  [11296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16009),
  [11298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17545),
  [11300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17993),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18888),
  [11304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9295),
  [11306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0),
  [11308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0),
  [11310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 5, 0, 0),
  [11312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 5, 0, 0),
  [11314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10655),
  [11316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9200),
  [11318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11328),
  [11320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_refutation_case, 1, 0, 0),
  [11322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_refutation_case, 1, 0, 0),
  [11324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9201),
  [11326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12160),
  [11328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11964),
  [11330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9639),
  [11332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8892),
  [11334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8832),
  [11336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8893),
  [11338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10560),
  [11340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16301),
  [11342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17539),
  [11344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17990),
  [11346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19010),
  [11348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9207),
  [11350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_case, 3, 0, 41),
  [11352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_case, 3, 0, 41),
  [11354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9208),
  [11356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(19007),
  [11359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_case, 4, 0, 60),
  [11361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_case, 4, 0, 60),
  [11363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9214),
  [11365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9215),
  [11367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 7, 0, 112),
  [11369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 7, 0, 112),
  [11371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11387),
  [11373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14081),
  [11375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 32),
  [11377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 3, 0, 32),
  [11379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [11381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 56),
  [11383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 56),
  [11385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [11387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [11389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [11391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [11393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9417),
  [11395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [11397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [11399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [11401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [11403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [11405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [11407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [11409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_then_clause, 2, 0, 0),
  [11411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_then_clause, 2, 0, 0),
  [11413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign_expression, 2, 0, 18),
  [11415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign_expression, 2, 0, 18),
  [11417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [11419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [11421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [11423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [11425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [11427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [11429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [11431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [11433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [11435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [11437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [11439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_product_expression, 3, 0, 37),
  [11441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_product_expression, 3, 0, 37),
  [11443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [11445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [11447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [11449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [11451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [11453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [11455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [11457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_expression, 3, 0, 37),
  [11459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_expression, 3, 0, 37),
  [11461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 3, 0, 35),
  [11463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 35),
  [11465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [11467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [11469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_expression, 3, 0, 38),
  [11471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_expression, 3, 0, 38),
  [11473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [11475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [11477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [11479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [11481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 2, 0, 0),
  [11483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 2, 0, 0),
  [11485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4750),
  [11487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 3, 0, 0),
  [11489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 3, 0, 0),
  [11491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4750),
  [11494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 1, 0, 0),
  [11496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 1, 0, 0),
  [11498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4768),
  [11500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4768),
  [11503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4771),
  [11505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4771),
  [11508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [11510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign_operator, 1, 0, 0),
  [11512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign_operator, 1, 0, 0),
  [11514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_operator, 1, 0, 0),
  [11516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [11518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [11520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_type, 3, 0, 0),
  [11522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_aliased_type, 3, 0, 0),
  [11524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [11526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4765),
  [11528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [11532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [11536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [11538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [11540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [11542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [11544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [11546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [11550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [11554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [11560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [11562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [11564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [11566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [11568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [11570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [11574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [11576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [11578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [11584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [11586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [11592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [11594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4765),
  [11597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4665),
  [11599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_operator, 1, 0, 0),
  [11601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4929),
  [11603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4929),
  [11606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4774),
  [11608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4774),
  [11611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [11613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [11615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [11617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [11619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [11621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [11623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [11625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4777),
  [11627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4777),
  [11630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [11634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [11636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [11638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [11642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [11644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [11648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [11652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [11654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [11656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [11658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [11660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [11662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4724),
  [11664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4724),
  [11667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [11669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [11671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [11673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [11675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [11677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [11679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [11681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [11683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [11685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12244),
  [11687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22112),
  [11689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [11691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute, 2, 0, 0),
  [11693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute, 2, 0, 0),
  [11695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12259),
  [11697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12181),
  [11699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [11701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12253),
  [11703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4665),
  [11706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [11708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [11710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [11712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4571),
  [11714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15442),
  [11716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13239),
  [11718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14656),
  [11720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15203),
  [11722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12359),
  [11724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12841),
  [11726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15008),
  [11728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [11730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [11732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [11734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2338),
  [11736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4739),
  [11738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13253),
  [11740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14688),
  [11742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15062),
  [11744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15068),
  [11746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5518),
  [11748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [11750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [11752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [11754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4909),
  [11756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15172),
  [11758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [11760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [11762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [11764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [11766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [11768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [11770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [11772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [11776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0),
  [11778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(6005),
  [11781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4739),
  [11784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15442),
  [11787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13253),
  [11790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14688),
  [11793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15062),
  [11796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(12359),
  [11799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(12841),
  [11802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15068),
  [11805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(17784),
  [11808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(17118),
  [11811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(17685),
  [11814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(5518),
  [11817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(18815),
  [11820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4747),
  [11822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4747),
  [11825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4753),
  [11827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [11829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [11831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [11833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [11835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [11837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [11839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [11841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [11843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [11845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [11847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [11849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [11851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [11853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_of, 4, 0, 0),
  [11855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_of, 4, 0, 0),
  [11857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12770),
  [11859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16787),
  [11861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17671),
  [11863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [11865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4909),
  [11868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15172),
  [11871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(5550),
  [11874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4721),
  [11876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [11878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [11880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4753),
  [11883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4721),
  [11886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4571),
  [11889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13239),
  [11892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14656),
  [11895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15203),
  [11898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15008),
  [11901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(5569),
  [11904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(18917),
  [11907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor, 4, 0, 40),
  [11909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor, 4, 0, 40),
  [11911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [11913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [11915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [11917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [11919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [11921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [11923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [11925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12267),
  [11927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4728),
  [11929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [11931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [11933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [11935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [11937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [11939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [11941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [11943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12268),
  [11945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9608),
  [11947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9886),
  [11949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8887),
  [11951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12248),
  [11953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [11955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [11957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12269),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [11961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4668),
  [11963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4668),
  [11966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [11968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12270),
  [11970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [11972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12271),
  [11974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [11976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12213),
  [11978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12272),
  [11980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12260),
  [11982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12273),
  [11984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9648),
  [11986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9807),
  [11988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8868),
  [11990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [11992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10635),
  [11994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9638),
  [11996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9776),
  [11998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8949),
  [12000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8805),
  [12002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8950),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10369),
  [12006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15962),
  [12008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17565),
  [12010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18003),
  [12012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19183),
  [12014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10604),
  [12016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9606),
  [12018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9847),
  [12020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8930),
  [12022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8823),
  [12024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8931),
  [12026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10372),
  [12028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16332),
  [12030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17555),
  [12032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17998),
  [12034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19005),
  [12036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12230),
  [12038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [12040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [12042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [12044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [12046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [12048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [12050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [12052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [12054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [12056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [12058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9831),
  [12060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12263),
  [12062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10177),
  [12064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9601),
  [12066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10065),
  [12068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8922),
  [12070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8765),
  [12072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8923),
  [12074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10358),
  [12076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16230),
  [12078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17551),
  [12080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17996),
  [12082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18193),
  [12084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [12086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9630),
  [12088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10024),
  [12090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8851),
  [12092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12235),
  [12094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12232),
  [12096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10194),
  [12098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9642),
  [12100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9914),
  [12102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8954),
  [12104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8814),
  [12106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8955),
  [12108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10466),
  [12110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16000),
  [12112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17567),
  [12114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18004),
  [12116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19059),
  [12118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4737),
  [12120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [12122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4737),
  [12125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [12127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [12129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [12131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9664),
  [12133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9765),
  [12135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8861),
  [12137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12254),
  [12139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12264),
  [12141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14316),
  [12143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9629),
  [12145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9885),
  [12147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8939),
  [12149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8730),
  [12151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8940),
  [12153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10276),
  [12155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15874),
  [12157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17561),
  [12159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18001),
  [12161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18363),
  [12163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [12165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [12167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14170),
  [12169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9622),
  [12171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10073),
  [12173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8933),
  [12175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8722),
  [12177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8934),
  [12179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10505),
  [12181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16495),
  [12183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17559),
  [12185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18000),
  [12187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18520),
  [12189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12266),
  [12191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12204),
  [12193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4728),
  [12196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [12198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [12200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12935),
  [12202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [12204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [12206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [12208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [12210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13912),
  [12212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [12214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [12216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [12218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [12220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [12222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 66),
  [12224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 66),
  [12226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 48),
  [12228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 48),
  [12230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10366),
  [12232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10177),
  [12234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [12236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [12238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [12240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [12242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10635),
  [12244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 88),
  [12246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 88),
  [12248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14170),
  [12250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11949),
  [12252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11194),
  [12254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4643),
  [12256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4492),
  [12258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_path, 1, 0, 3),
  [12260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10604),
  [12262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10194),
  [12264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [12266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [12268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [12270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [12272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [12274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [12276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [12278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14316),
  [12280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11125),
  [12282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_expression, 1, 0, 0),
  [12284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_expression, 1, 0, 0),
  [12286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20275),
  [12288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10676),
  [12290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [12292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [12294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [12296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [12298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [12300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [12302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [12304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [12306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [12308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11964),
  [12310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13126),
  [12312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4643),
  [12315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4492),
  [12318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [12320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4654),
  [12322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4654),
  [12325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_path, 3, 0, 39),
  [12327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_variable, 2, 0, 0),
  [12329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_variable, 2, 0, 0),
  [12331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [12333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [12335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [12337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 4, 0, 0),
  [12339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 4, 0, 0),
  [12341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 3, 0, 50),
  [12343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 3, 0, 50),
  [12345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 5, 0, 0),
  [12347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 5, 0, 0),
  [12349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_module_expression, 4, 0, 0),
  [12351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_module_expression, 4, 0, 0),
  [12353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 3, 0, 0),
  [12355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 3, 0, 0),
  [12357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [12359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 4, 0, 0),
  [12361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 4, 0, 0),
  [12363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [12365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10269),
  [12367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [12369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15960),
  [12371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [12373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [12375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15958),
  [12377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 3, 0, 0),
  [12379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structure, 3, 0, 0),
  [12381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_module_expression, 1, 0, 0),
  [12383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_module_expression, 1, 0, 0),
  [12385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 2, 0, 28),
  [12387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 2, 0, 28),
  [12389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 2, 0, 0),
  [12391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structure, 2, 0, 0),
  [12393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 2, 0, 0),
  [12395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 2, 0, 0),
  [12397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 7, 0, 0),
  [12399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 7, 0, 0),
  [12401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13329),
  [12403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14689),
  [12405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15051),
  [12407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12374),
  [12409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14872),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15289),
  [12413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10677),
  [12415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [12417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 6, 0, 0),
  [12419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 6, 0, 0),
  [12421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15161),
  [12423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14167),
  [12426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15442),
  [12429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13329),
  [12432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14689),
  [12435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15051),
  [12438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(12359),
  [12441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(12374),
  [12444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14872),
  [12447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15289),
  [12450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0),
  [12452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(17784),
  [12455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(17118),
  [12458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(17685),
  [12461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10461),
  [12463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15896),
  [12465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13304),
  [12468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14676),
  [12471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15204),
  [12474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(12376),
  [12477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15200),
  [12480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15518),
  [12483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature, 1, 0, 0),
  [12485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10082),
  [12487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 3, 0, 0),
  [12489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 3, 0, 0),
  [12491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 2, 0, 0),
  [12493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 2, 0, 0),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13304),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14676),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15204),
  [12501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12376),
  [12503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15200),
  [12505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15518),
  [12507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10304),
  [12509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16299),
  [12511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15897),
  [12513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 4, 0, 26),
  [12515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 4, 0, 26),
  [12517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_argument, 1, 0, 0),
  [12519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11320),
  [12521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16180),
  [12523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_path, 1, 0, 52),
  [12525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_path, 1, 0, 52),
  [12527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 6, 0, 26),
  [12529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 6, 0, 26),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11689),
  [12533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9715),
  [12535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9078),
  [12537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9079),
  [12541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10360),
  [12543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16005),
  [12545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17275),
  [12547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17803),
  [12549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19025),
  [12551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_path, 3, 0, 92),
  [12553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_path, 3, 0, 92),
  [12555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12005),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9676),
  [12559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8863),
  [12561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8780),
  [12563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8864),
  [12565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10317),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16433),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17495),
  [12571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17958),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19067),
  [12575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12251),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10600),
  [12579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 4),
  [12581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 4),
  [12583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature, 2, 0, 0),
  [12585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 0),
  [12587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 0),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10304),
  [12591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0),
  [12593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0),
  [12595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_path, 3, 0, 87),
  [12597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_path, 3, 0, 87),
  [12599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 3, 0, 39),
  [12601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 2, 0, 0),
  [12603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 2, 0, 0),
  [12605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2, 0, 0),
  [12607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2, 0, 0),
  [12609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11439),
  [12611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9658),
  [12613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8899),
  [12615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [12617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8900),
  [12619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10583),
  [12621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15820),
  [12623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19123),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11330),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9665),
  [12629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9182),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8721),
  [12633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9185),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10307),
  [12637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16278),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18245),
  [12641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 2, 0, 0),
  [12643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 2, 0, 0),
  [12645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 2, 0, 0),
  [12647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 2, 0, 0),
  [12649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_path, 1, 0, 49),
  [12651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_path, 1, 0, 49),
  [12653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 1, 0, 3),
  [12655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_module, 4, 0, 0),
  [12657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_module, 4, 0, 0),
  [12659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18565),
  [12661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22025),
  [12663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12348),
  [12665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 3, 0, 0),
  [12667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 3, 0, 0),
  [12669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3, 0, 0),
  [12671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3, 0, 0),
  [12673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 3, 0, 0),
  [12675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 3, 0, 0),
  [12677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_type, 3, 0, 0),
  [12679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_type, 3, 0, 0),
  [12681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10600),
  [12683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16191),
  [12685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_type, 4, 0, 0),
  [12687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_type, 4, 0, 0),
  [12689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 4, 0, 0),
  [12691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 4, 0, 0),
  [12693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12026),
  [12695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9633),
  [12697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8942),
  [12699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8775),
  [12701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8943),
  [12703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10299),
  [12705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15915),
  [12707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18094),
  [12709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4, 0, 0),
  [12711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4, 0, 0),
  [12713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_type, 5, 0, 0),
  [12715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_type, 5, 0, 0),
  [12717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 5, 0, 0),
  [12719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 5, 0, 0),
  [12721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 5, 0, 0),
  [12723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 5, 0, 0),
  [12725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 5, 0, 0),
  [12727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 5, 0, 0),
  [12729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5, 0, 0),
  [12731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5, 0, 0),
  [12733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_type, 5, 0, 0),
  [12735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_type, 5, 0, 0),
  [12737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 6, 0, 0),
  [12739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 6, 0, 0),
  [12741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 6, 0, 0),
  [12743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 6, 0, 0),
  [12745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6, 0, 0),
  [12747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6, 0, 0),
  [12749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14246),
  [12751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9718),
  [12753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9112),
  [12755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [12757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9134),
  [12759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10406),
  [12761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16122),
  [12763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18199),
  [12765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11340),
  [12767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 7, 0, 0),
  [12769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 7, 0, 0),
  [12771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 4),
  [12773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 4),
  [12775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 4, 0, 0),
  [12777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 4, 0, 0),
  [12779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 3, 0, 39),
  [12781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12021),
  [12783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9713),
  [12785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8913),
  [12787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8804),
  [12789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8914),
  [12791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10355),
  [12793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16097),
  [12795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18284),
  [12797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11312),
  [12799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 0),
  [12801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 0),
  [12803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 1, 0, 3),
  [12805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 4, 0, 0),
  [12807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 4, 0, 0),
  [12809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15103),
  [12811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21863),
  [12813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14527),
  [12815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 25),
  [12817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 25),
  [12819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7536),
  [12821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9697),
  [12823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9904),
  [12825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21550),
  [12827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14997),
  [12829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19459),
  [12831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14544),
  [12833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19521),
  [12835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14553),
  [12837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10870),
  [12839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15844),
  [12841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_class_expression, 3, 0, 38),
  [12843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_class_expression, 3, 0, 38),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19891),
  [12847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10232),
  [12849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11330),
  [12851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16086),
  [12853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19943),
  [12855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10240),
  [12857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21616),
  [12859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15121),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21931),
  [12863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11974),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19310),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13120),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20107),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11208),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19261),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11993),
  [12877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19297),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11998),
  [12881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16189),
  [12883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21795),
  [12885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11981),
  [12887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 1, 0, 10),
  [12889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 1, 0, 10),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [12893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0),
  [12895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0),
  [12897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17215),
  [12900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 1, 0, 0),
  [12902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_binding_repeat1, 1, 0, 0),
  [12904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20346),
  [12906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11304),
  [12908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18043),
  [12910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20385),
  [12912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11347),
  [12914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19636),
  [12916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11464),
  [12918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20917),
  [12920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13749),
  [12922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 1, 0, 14),
  [12924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 1, 0, 14),
  [12926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13280),
  [12928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17215),
  [12930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13022),
  [12932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21944),
  [12934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12041),
  [12936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21968),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12048),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20816),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12076),
  [12944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19574),
  [12946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10212),
  [12948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19288),
  [12950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11553),
  [12952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10082),
  [12954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20204),
  [12956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10812),
  [12958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21126),
  [12960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10770),
  [12962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20057),
  [12964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11083),
  [12966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19510),
  [12968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13072),
  [12970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 1, 0, 0),
  [12972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19518),
  [12974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11254),
  [12976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14673),
  [12978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21834),
  [12980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20850),
  [12984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10840),
  [12986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20278),
  [12988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11066),
  [12990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21001),
  [12992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10848),
  [12994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21138),
  [12996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15098),
  [12998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19608),
  [13000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13645),
  [13002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21153),
  [13004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10663),
  [13006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_argument, 1, 0, 0),
  [13008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11141),
  [13010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21303),
  [13012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10832),
  [13014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21327),
  [13016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11054),
  [13018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19552),
  [13020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13129),
  [13022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 2, 0, 14),
  [13024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 2, 0, 14),
  [13026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13268),
  [13028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_class_expression, 4, 0, 40),
  [13030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_class_expression, 4, 0, 40),
  [13032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21336),
  [13034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11946),
  [13036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21376),
  [13038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11959),
  [13040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19781),
  [13042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14138),
  [13044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19808),
  [13046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13957),
  [13048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10746),
  [13050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16065),
  [13052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21982),
  [13054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13831),
  [13056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function, 4, 0, 40),
  [13058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function, 4, 0, 40),
  [13060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19615),
  [13062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10359),
  [13064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22142),
  [13066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10513),
  [13068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20146),
  [13070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12101),
  [13072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15845),
  [13074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19509),
  [13076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12138),
  [13078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19505),
  [13080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12149),
  [13082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22426),
  [13084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10531),
  [13086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22439),
  [13088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10538),
  [13090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19701),
  [13092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11570),
  [13094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22441),
  [13096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14217),
  [13098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21409),
  [13100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10693),
  [13102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19900),
  [13104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11169),
  [13106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21417),
  [13108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10284),
  [13110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19842),
  [13112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11578),
  [13114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20886),
  [13116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11235),
  [13118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21292),
  [13120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11337),
  [13122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19954),
  [13124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14239),
  [13126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19277),
  [13128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14023),
  [13130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21404),
  [13132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14258),
  [13134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21230),
  [13136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10485),
  [13138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21090),
  [13140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12152),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22214),
  [13144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12182),
  [13146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22357),
  [13148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12199),
  [13150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16068),
  [13152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20702),
  [13154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11431),
  [13156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21437),
  [13158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10616),
  [13160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19460),
  [13162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11531),
  [13164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [13166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [13168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [13170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [13172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2364),
  [13174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [13176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [13178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [13180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2368),
  [13182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [13184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12361),
  [13186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4744),
  [13188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4744),
  [13191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0),
  [13193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0),
  [13195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(17938),
  [13198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11439),
  [13200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15858),
  [13202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11340),
  [13204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16315),
  [13206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9027),
  [13208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3939),
  [13210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11048),
  [13212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11013),
  [13214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9817),
  [13216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6079),
  [13218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0),
  [13220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0),
  [13222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0),
  [13224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0),
  [13226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11114),
  [13228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_module_type, 5, 0, 0),
  [13230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_module_type, 5, 0, 0),
  [13232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7283),
  [13234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9663),
  [13236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9929),
  [13238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [13240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [13242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13191),
  [13244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [13246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [13248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18655),
  [13250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21333),
  [13252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11533),
  [13254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10798),
  [13256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_type, 3, 0, 0),
  [13258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_type, 3, 0, 0),
  [13260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 2, 0, 0),
  [13262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 2, 0, 0),
  [13264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16087),
  [13266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 3, 0, 0),
  [13268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 3, 0, 0),
  [13270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11153),
  [13272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11312),
  [13274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16474),
  [13276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_type, 1, 0, 0),
  [13278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_type, 1, 0, 0),
  [13280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_directive, 2, 0, 0),
  [13282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_directive, 2, 0, 0),
  [13284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [13286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7879),
  [13288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3931),
  [13290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10915),
  [13292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9979),
  [13294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6129),
  [13296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8431),
  [13298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3917),
  [13300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10818),
  [13302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9961),
  [13304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11716),
  [13306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6127),
  [13308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17498),
  [13310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17960),
  [13312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_class_type, 4, 0, 40),
  [13314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_class_type, 4, 0, 40),
  [13316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8013),
  [13318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3924),
  [13320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10869),
  [13322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9969),
  [13324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6128),
  [13326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [13328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [13330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [13332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [13334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [13336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [13338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [13340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [13342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [13344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 4, 0, 0),
  [13346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 4, 0, 0),
  [13348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9968),
  [13350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 7, 0, 4),
  [13352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 7, 0, 4),
  [13354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14722),
  [13356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20366),
  [13358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [13360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class_type, 4, 0, 0),
  [13362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class_type, 4, 0, 0),
  [13364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7998),
  [13366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3884),
  [13368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10882),
  [13370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9932),
  [13372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11612),
  [13374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6124),
  [13376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17290),
  [13378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17813),
  [13380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11689),
  [13382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16061),
  [13384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [13386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [13388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [13390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [13392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [13394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [13396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [13398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [13400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16314),
  [13402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 3, 0, 0),
  [13404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 3, 0, 0),
  [13406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_parameter, 2, 0, 0),
  [13408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_parameter, 2, 0, 0),
  [13410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [13412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16473),
  [13414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 2, 0, 0),
  [13416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 2, 0, 0),
  [13418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 6, 0, 0),
  [13420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 6, 0, 0),
  [13422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11343),
  [13424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10378),
  [13426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3903),
  [13428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10788),
  [13430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9952),
  [13432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6125),
  [13434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 7, 0, 0),
  [13436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 7, 0, 0),
  [13438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 1, 0, 0),
  [13440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_binding_repeat1, 1, 0, 0),
  [13442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [13444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [13446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 5, 0, 0),
  [13448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 5, 0, 0),
  [13450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 8, 0, 26),
  [13452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 8, 0, 26),
  [13454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18504),
  [13456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21049),
  [13458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11810),
  [13460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3910),
  [13462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6126),
  [13464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18725),
  [13466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21459),
  [13468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11826),
  [13470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 3, 0, 0),
  [13472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 3, 0, 0),
  [13474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0),
  [13476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0),
  [13478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9968),
  [13481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15861),
  [13483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4662),
  [13485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4662),
  [13488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11061),
  [13490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [13492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [13494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10679),
  [13496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [13498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_parameter, 4, 0, 86),
  [13500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_parameter, 4, 0, 86),
  [13502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class_type, 5, 0, 0),
  [13504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class_type, 5, 0, 0),
  [13506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 5, 0, 0),
  [13508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 5, 0, 0),
  [13510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_class_type, 1, 0, 0),
  [13512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_class_type, 1, 0, 0),
  [13514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13202),
  [13516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12026),
  [13518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16393),
  [13520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11137),
  [13522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10870),
  [13524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [13526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12005),
  [13528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16259),
  [13530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constraint, 4, 0, 0),
  [13532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constraint, 4, 0, 0),
  [13534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9908),
  [13536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18877),
  [13538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [13540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [13542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [13544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [13546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [13548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [13550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [13552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [13554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 25),
  [13556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 25),
  [13558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14208),
  [13560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_attribute, 4, 0, 0),
  [13562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_attribute, 4, 0, 0),
  [13564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18697),
  [13566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21403),
  [13568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11934),
  [13570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11342),
  [13572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 1, 0, 0),
  [13574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 1, 0, 0),
  [13576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12021),
  [13578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15824),
  [13580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14044),
  [13582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10461),
  [13584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [13586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9644),
  [13588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9951),
  [13590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11098),
  [13592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [13594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 0),
  [13596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 0),
  [13598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11187),
  [13600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10746),
  [13602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [13604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9609),
  [13606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9960),
  [13608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_equation, 3, 0, 0),
  [13610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_equation, 3, 0, 0),
  [13612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6754),
  [13614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13032),
  [13616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [13618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14245),
  [13620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 10),
  [13622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 10),
  [13624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14200),
  [13626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(17146),
  [13629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [13631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 5, 0, 0),
  [13633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 5, 0, 0),
  [13635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13770),
  [13637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_attribute, 3, 0, 0),
  [13639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_attribute, 3, 0, 0),
  [13641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10630),
  [13643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_equation, 2, 0, 0),
  [13645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_equation, 2, 0, 0),
  [13647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 14),
  [13649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 14),
  [13651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13367),
  [13653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16092),
  [13655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14510),
  [13657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 6, 0, 0),
  [13659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 6, 0, 0),
  [13661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10269),
  [13663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10001),
  [13666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10001),
  [13668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [13670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13198),
  [13672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 99),
  [13674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 99),
  [13676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18737),
  [13678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21479),
  [13680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12249),
  [13682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 80),
  [13684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 80),
  [13686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [13688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [13690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [13692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [13694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [13696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [13698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [13700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [13702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [13704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 25),
  [13706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 25),
  [13708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11193),
  [13710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 82),
  [13712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 82),
  [13714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [13716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 0),
  [13718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 0),
  [13720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 101),
  [13722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 101),
  [13724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 2, 0, 5),
  [13726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 2, 0, 5),
  [13728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16396),
  [13730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 10),
  [13732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 10),
  [13734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 3, 0, 0),
  [13736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_constraint, 3, 0, 0),
  [13738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15657),
  [13740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18303),
  [13742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15657),
  [13745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18303),
  [13748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 113),
  [13750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 113),
  [13752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14205),
  [13754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 4, 0, 0),
  [13756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 4, 0, 0),
  [13758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 61),
  [13760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 61),
  [13762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 82),
  [13764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 82),
  [13766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 3, 0, 41),
  [13768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 3, 0, 41),
  [13770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 2, 0, 26),
  [13772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 2, 0, 26),
  [13774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15624),
  [13776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10450),
  [13778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10233),
  [13780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18757),
  [13782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21518),
  [13784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12255),
  [13786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 60),
  [13788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 60),
  [13790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11267),
  [13792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 83),
  [13794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 83),
  [13796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16260),
  [13798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 101),
  [13800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 101),
  [13802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 61),
  [13804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 61),
  [13806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [13808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9848),
  [13810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 83),
  [13812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 83),
  [13814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11285),
  [13816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14240),
  [13818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4687),
  [13820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4687),
  [13823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 43),
  [13825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 43),
  [13827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11250),
  [13829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15830),
  [13831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 43),
  [13833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 43),
  [13835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 4, 0, 0),
  [13837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_constraint, 4, 0, 0),
  [13839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 3, 0, 0),
  [13841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 3, 0, 0),
  [13843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 41),
  [13845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 41),
  [13847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 62),
  [13849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 62),
  [13851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [13853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 80),
  [13855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 80),
  [13857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 8, 0, 113),
  [13859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 8, 0, 113),
  [13861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 62),
  [13863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 62),
  [13865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 1, 0, 4),
  [13867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 1, 0, 4),
  [13869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15695),
  [13871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10356),
  [13873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10204),
  [13875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 99),
  [13877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 99),
  [13879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 1, 0, 0),
  [13881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 1, 0, 0),
  [13883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15787),
  [13885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10357),
  [13887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10205),
  [13889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 60),
  [13891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 60),
  [13893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5371),
  [13895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9833),
  [13897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15342),
  [13899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [13901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10613),
  [13903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15714),
  [13905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [13907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17570),
  [13909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18005),
  [13911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17898),
  [13913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18831),
  [13916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 48),
  [13918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 48),
  [13920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 14),
  [13922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 14),
  [13924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 3, 0, 67),
  [13926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 3, 0, 67),
  [13928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [13930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [13932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 69),
  [13934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 69),
  [13936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 29),
  [13938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 29),
  [13940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 51),
  [13942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 51),
  [13944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 70),
  [13946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 70),
  [13948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 15),
  [13950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 15),
  [13952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [13954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9015),
  [13956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12251),
  [13958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16404),
  [13960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [13962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [13964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [13966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [13968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [13970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [13972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [13974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [13976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [13978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [13980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [13982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [13984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [13986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8509),
  [13988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_attribute, 3, 0, 0),
  [13990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_attribute, 3, 0, 0),
  [13992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [13994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [13996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [13998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [14000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [14002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [14004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [14006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [14008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [14010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [14012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0),
  [14014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0),
  [14016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0), SHIFT_REPEAT(13770),
  [14019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [14021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [14023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 43),
  [14025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 43),
  [14027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0),
  [14029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0),
  [14031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 25),
  [14033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 25),
  [14035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 84),
  [14037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 84),
  [14039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 63),
  [14041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 63),
  [14043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 64),
  [14045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 64),
  [14047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [14049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8107),
  [14051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 3, 0, 0),
  [14053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 3, 0, 0),
  [14055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13081),
  [14057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15636),
  [14059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 66),
  [14061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 66),
  [14063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10625),
  [14065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 4, 0, 89),
  [14067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 4, 0, 89),
  [14069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 4, 0, 67),
  [14071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 4, 0, 67),
  [14073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5355),
  [14075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10297),
  [14077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 69),
  [14079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 69),
  [14081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 91),
  [14083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 91),
  [14085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 29),
  [14087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 29),
  [14089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 3, 0, 0),
  [14091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 3, 0, 0),
  [14093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 70),
  [14095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 70),
  [14097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 93),
  [14099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 93),
  [14101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5357),
  [14103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [14105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12348),
  [14107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15850),
  [14109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [14111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [14113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [14115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [14117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5364),
  [14119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [14121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [14123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6092),
  [14125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 61),
  [14127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 61),
  [14129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 62),
  [14131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 62),
  [14133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 84),
  [14135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 84),
  [14137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 4, 0, 0),
  [14139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 4, 0, 0),
  [14141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 6, 0, 88),
  [14143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 6, 0, 88),
  [14145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 5, 0, 89),
  [14147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 5, 0, 89),
  [14149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [14151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6336),
  [14153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 102),
  [14155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 102),
  [14157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 68),
  [14159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 68),
  [14161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 91),
  [14163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 91),
  [14165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 104),
  [14167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 104),
  [14169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 93),
  [14171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 93),
  [14173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10682),
  [14175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [14177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7566),
  [14179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [14181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6196),
  [14183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [14185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7624),
  [14187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5377),
  [14189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10858),
  [14191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 82),
  [14193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 82),
  [14195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 83),
  [14197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 83),
  [14199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [14201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [14203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 6, 0, 114),
  [14205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 6, 0, 114),
  [14207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 102),
  [14209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 102),
  [14211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 115),
  [14213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 115),
  [14215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [14217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [14219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 68),
  [14221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 68),
  [14223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 116),
  [14225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 116),
  [14227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 90),
  [14229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 90),
  [14231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [14233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [14235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 104),
  [14237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 104),
  [14239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [14241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [14243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [14245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [14247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5389),
  [14249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8556),
  [14251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 5, 0, 72),
  [14253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 5, 0, 72),
  [14255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5391),
  [14257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [14259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [14261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8441),
  [14263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [14265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [14267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [14269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [14271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [14273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8072),
  [14275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [14277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [14279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 8, 0, 101),
  [14281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 8, 0, 101),
  [14283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 7, 0, 114),
  [14285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 7, 0, 114),
  [14287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [14289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [14291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 7, 0, 123),
  [14293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 7, 0, 123),
  [14295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 115),
  [14297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 115),
  [14299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 124),
  [14301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 124),
  [14303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 116),
  [14305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 116),
  [14307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 125),
  [14309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 125),
  [14311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10046),
  [14313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [14315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [14317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 90),
  [14319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 90),
  [14321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 126),
  [14323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 126),
  [14325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 103),
  [14327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 103),
  [14329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 6, 0, 33),
  [14331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 6, 0, 33),
  [14333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [14335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [14337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [14339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [14341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [14343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 8, 0, 123),
  [14345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 8, 0, 123),
  [14347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 124),
  [14349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 124),
  [14351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5413),
  [14353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [14355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 125),
  [14357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 125),
  [14359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 132),
  [14361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 132),
  [14363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 126),
  [14365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 126),
  [14367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 133),
  [14369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 133),
  [14371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [14373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6944),
  [14375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 103),
  [14377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 103),
  [14379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 9, 0, 131),
  [14381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 9, 0, 131),
  [14383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 132),
  [14385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 132),
  [14387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 133),
  [14389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 133),
  [14391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 135),
  [14393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 135),
  [14395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [14397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6631),
  [14399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 11, 0, 135),
  [14401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 11, 0, 135),
  [14403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [14405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6247),
  [14407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16402),
  [14409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 45),
  [14411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 45),
  [14413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [14415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8241),
  [14417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [14419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [14421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [14423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [14425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [14427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [14429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [14431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [14433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [14435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [14437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4572),
  [14439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [14441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [14443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_typed, 2, 0, 0),
  [14445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_typed, 2, 0, 0),
  [14447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_argument, 2, 0, 0),
  [14449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_argument, 2, 0, 0),
  [14451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10363),
  [14453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10215),
  [14455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10380),
  [14457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10217),
  [14459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10508),
  [14461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10254),
  [14463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11141),
  [14466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 51),
  [14468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 51),
  [14470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_type, 1, 0, 0),
  [14472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_type, 1, 0, 0),
  [14474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_typed, 2, 0, 0),
  [14476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_typed, 2, 0, 0),
  [14478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11227),
  [14480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [14482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18278),
  [14484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 15),
  [14486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 15),
  [14488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5329),
  [14490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7820),
  [14492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10313),
  [14494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10195),
  [14496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10314),
  [14498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10196),
  [14500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10334),
  [14502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10199),
  [14504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18278),
  [14507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15840),
  [14509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11179),
  [14511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4572),
  [14514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [14516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [14518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11073),
  [14520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [14522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [14524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [14526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7970),
  [14528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_attribute, 4, 0, 0),
  [14530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_attribute, 4, 0, 0),
  [14532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5336),
  [14534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8817),
  [14536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15731),
  [14538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15731),
  [14541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18713),
  [14543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21434),
  [14545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12694),
  [14547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9978),
  [14550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18745),
  [14552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21499),
  [14554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12716),
  [14556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [14558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8239),
  [14560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18831),
  [14562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 10),
  [14564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 10),
  [14566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 63),
  [14568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 63),
  [14570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 64),
  [14572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 64),
  [14574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 45),
  [14576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 45),
  [14578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [14580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [14582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9978),
  [14584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10000),
  [14587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10000),
  [14589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 8, 0, 131),
  [14591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 8, 0, 131),
  [14593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9991),
  [14595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [14597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [14599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [14601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [14603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [14605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [14607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [14609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [14611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [14613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11153),
  [14616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15156),
  [14619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10371),
  [14621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10213),
  [14623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10373),
  [14625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10214),
  [14627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10381),
  [14629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10216),
  [14631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11181),
  [14633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 5, 0, 0),
  [14635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 5, 0, 0),
  [14637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 3, 0, 0),
  [14639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 3, 0, 0),
  [14641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 3, 0, 27),
  [14643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 3, 0, 27),
  [14645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13076),
  [14647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10044),
  [14649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 4, 0, 0),
  [14651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 4, 0, 0),
  [14653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 4, 0, 0),
  [14655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 4, 0, 0),
  [14657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 5, 0, 65),
  [14659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 5, 0, 65),
  [14661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 5, 0, 0),
  [14663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 5, 0, 0),
  [14665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11056),
  [14667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15156),
  [14669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 5, 0, 47),
  [14671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 5, 0, 47),
  [14673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 5, 0, 0),
  [14675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 5, 0, 0),
  [14677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14234),
  [14679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14242),
  [14681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14260),
  [14683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14263),
  [14685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 3, 0, 0),
  [14687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 3, 0, 0),
  [14689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 2, 0, 0),
  [14691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 2, 0, 0),
  [14693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [14695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 4, 0, 0),
  [14697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 4, 0, 0),
  [14699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10056),
  [14701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 6, 0, 65),
  [14703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 6, 0, 65),
  [14705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 6, 0, 0),
  [14707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 6, 0, 0),
  [14709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [14711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [14713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 4, 0, 27),
  [14715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 4, 0, 27),
  [14717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 4, 0, 47),
  [14719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 4, 0, 47),
  [14721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13092),
  [14723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 6, 0, 85),
  [14725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 6, 0, 85),
  [14727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 7, 0, 0),
  [14729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 7, 0, 0),
  [14731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11114),
  [14734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [14736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [14738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9904),
  [14741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 7, 0, 85),
  [14743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 7, 0, 85),
  [14745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13189),
  [14747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15738),
  [14749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10971),
  [14751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [14753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10897),
  [14755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5380),
  [14757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7691),
  [14759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [14761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [14763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10744),
  [14765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [14767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [14769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [14771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [14773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [14775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [14777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [14779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [14781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5390),
  [14783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8558),
  [14785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [14787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [14789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [14791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [14793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [14795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [14797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [14799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [14801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [14803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [14805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [14807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [14809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [14811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8465),
  [14813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [14815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4690),
  [14817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18402),
  [14820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [14822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [14824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5354),
  [14826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8115),
  [14828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [14830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8085),
  [14832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [14834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7053),
  [14836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [14838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [14840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0),
  [14842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0),
  [14844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16034),
  [14847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 5, 0, 0),
  [14849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 5, 0, 0),
  [14851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16034),
  [14853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [14855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [14857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [14859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [14861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10838),
  [14863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [14865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6864),
  [14867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5356),
  [14869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10309),
  [14871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10754),
  [14873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5412),
  [14875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [14877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [14879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [14881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_item, 2, 0, 0),
  [14883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_item, 2, 0, 0),
  [14885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [14887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6948),
  [14889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [14891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6650),
  [14893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5358),
  [14895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4857),
  [14897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [14899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [14901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [14903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8263),
  [14905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [14907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [14909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [14911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [14913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [14915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [14917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [14919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7802),
  [14921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [14923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [14925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [14927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [14929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [14931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [14933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10976),
  [14935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10668),
  [14937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12959),
  [14939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22344),
  [14941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10151),
  [14943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16491),
  [14945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17445),
  [14947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10220),
  [14949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10886),
  [14951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11046),
  [14953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10712),
  [14955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10753),
  [14957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [14959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [14961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [14963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 4, 0, 0),
  [14965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 4, 0, 0),
  [14967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 4, 0, 0),
  [14969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 4, 0, 0),
  [14971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10451),
  [14973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10207),
  [14975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [14977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [14979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7457),
  [14981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18402),
  [14983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10786),
  [14985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11126),
  [14987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10506),
  [14989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10186),
  [14991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [14993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7942),
  [14995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4762),
  [14997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4762),
  [15000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5365),
  [15002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [15004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11236),
  [15006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11061),
  [15009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13194),
  [15011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10467),
  [15013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10246),
  [15015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10471),
  [15017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10248),
  [15019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10475),
  [15021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10250),
  [15023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10556),
  [15025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10263),
  [15027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10557),
  [15029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10264),
  [15031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10561),
  [15033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10266),
  [15035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10578),
  [15037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10271),
  [15039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [15041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [15043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5335),
  [15045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8131),
  [15047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5367),
  [15049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [15051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [15053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8525),
  [15055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 3, 0, 0),
  [15057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 3, 0, 0),
  [15059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5337),
  [15061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8788),
  [15063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0),
  [15065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0),
  [15067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11001),
  [15069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5370),
  [15071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [15073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9929),
  [15076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10934),
  [15078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15059),
  [15080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10940),
  [15082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15059),
  [15085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15691),
  [15087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15691),
  [15090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10975),
  [15092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10981),
  [15094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13032),
  [15096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15869),
  [15098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [15100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [15102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15078),
  [15104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15078),
  [15107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15819),
  [15109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15819),
  [15112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [15114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9055),
  [15116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_item, 1, 0, 0),
  [15118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_item, 1, 0, 0),
  [15120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [15122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [15124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [15126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8015),
  [15128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 1, 0, 0),
  [15130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_external_repeat1, 1, 0, 0),
  [15132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13096),
  [15134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12948),
  [15136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17914),
  [15138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [15140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16780),
  [15142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14521),
  [15144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5351),
  [15146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [15148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13066),
  [15150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12836),
  [15152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16648),
  [15154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [15156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16787),
  [15158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17671),
  [15160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [15162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [15164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5341),
  [15166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [15168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [15170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [15172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15871),
  [15174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12966),
  [15176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21549),
  [15178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16506),
  [15180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13175),
  [15182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12965),
  [15184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16503),
  [15186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [15188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22405),
  [15190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [15192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7541),
  [15194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [15196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10322),
  [15198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7556),
  [15200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5940),
  [15202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10327),
  [15204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7614),
  [15206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7668),
  [15208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7720),
  [15210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [15212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10331),
  [15214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [15216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [15218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10332),
  [15220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6954),
  [15222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7316),
  [15224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7436),
  [15226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6955),
  [15228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6957),
  [15230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6959),
  [15232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [15234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5898),
  [15236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [15238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6658),
  [15240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4860),
  [15242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6666),
  [15244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [15246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [15248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [15250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6691),
  [15252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [15254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [15256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [15258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [15260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [15262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [15264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9125),
  [15266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [15268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10723),
  [15270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [15272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [15274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [15276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [15278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6300),
  [15280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [15282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [15284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [15286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7728),
  [15288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [15290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7763),
  [15292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [15294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [15296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4873),
  [15298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [15300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [15302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [15304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [15306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [15308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [15310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13248),
  [15312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22285),
  [15314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19732),
  [15316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [15318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [15320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [15322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [15324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [15326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [15328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [15330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [15332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [15334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [15336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [15338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [15340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [15342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6242),
  [15344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10747),
  [15346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [15348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [15350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [15352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [15354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [15356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [15358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [15360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [15362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [15364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [15366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [15368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [15370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [15372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7826),
  [15374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7838),
  [15376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7846),
  [15378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [15380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18019),
  [15382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [15384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 3, 0, 0),
  [15386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 3, 0, 0),
  [15388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5545),
  [15390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [15392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20115),
  [15394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7849),
  [15396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 4, 0, 0),
  [15398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 4, 0, 0),
  [15400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5545),
  [15403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5545),
  [15406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20380),
  [15408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [15410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [15412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11098),
  [15415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 5, 0, 0),
  [15417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 5, 0, 0),
  [15419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10750),
  [15421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [15423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [15425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0),
  [15427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0),
  [15429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [15431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [15433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8418),
  [15435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [15437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5537),
  [15439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [15441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5537),
  [15444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5537),
  [15447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9126),
  [15449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [15451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [15453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [15455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [15457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [15459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [15461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [15463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [15465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [15467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9819),
  [15469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10759),
  [15471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8559),
  [15473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [15475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 2, 0, 0),
  [15477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 2, 0, 0),
  [15479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8561),
  [15481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8562),
  [15483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [15485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8564),
  [15487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8306),
  [15489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [15491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8316),
  [15493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8565),
  [15495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10762),
  [15497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8319),
  [15499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [15501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [15503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [15505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [15507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [15509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [15511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [15513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [15515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [15517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [15519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9077),
  [15521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [15523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [15525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10293),
  [15527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10189),
  [15529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10298),
  [15531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10190),
  [15533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10336),
  [15535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10198),
  [15537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [15539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [15541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [15543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [15545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9087),
  [15547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [15549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8321),
  [15551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8336),
  [15553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8340),
  [15555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8342),
  [15557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [15559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0),
  [15561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0),
  [15563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [15565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [15567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7466),
  [15569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4680),
  [15571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4680),
  [15574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [15576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [15578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [15580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5558),
  [15582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [15584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [15586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4694),
  [15588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [15590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8001),
  [15592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [15594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4709),
  [15596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9948),
  [15598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [15600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8021),
  [15602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4718),
  [15604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14575),
  [15606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [15608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6825),
  [15610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [15612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8046),
  [15614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11187),
  [15617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [15619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6228),
  [15621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [15623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5863),
  [15625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8070),
  [15627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10516),
  [15629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10255),
  [15631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10517),
  [15633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10256),
  [15635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10527),
  [15637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10257),
  [15639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8082),
  [15641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [15643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [15645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11342),
  [15648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [15650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [15652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6781),
  [15654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [15656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10581),
  [15658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10272),
  [15660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10582),
  [15662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10273),
  [15664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10585),
  [15666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10231),
  [15668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7996),
  [15670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8101),
  [15672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8272),
  [15674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8182),
  [15676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8134),
  [15678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [15680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [15682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8180),
  [15684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8200),
  [15686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [15688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [15690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10104),
  [15692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [15694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8233),
  [15696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [15698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [15700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8099),
  [15702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [15704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8244),
  [15706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [15708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [15710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8533),
  [15712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [15714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [15716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8544),
  [15718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7077),
  [15720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7089),
  [15722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [15724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5558),
  [15727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5558),
  [15730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8133),
  [15732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8736),
  [15734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8548),
  [15736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6424),
  [15738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [15740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6436),
  [15742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6321),
  [15744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7107),
  [15746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8551),
  [15748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6454),
  [15750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7108),
  [15752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8750),
  [15754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [15756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8552),
  [15758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [15760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5078),
  [15762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [15764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [15766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8151),
  [15768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [15770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [15772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [15774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [15776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [15778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8152),
  [15780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8153),
  [15782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7497),
  [15784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [15786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [15788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7582),
  [15790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [15792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [15794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5980),
  [15796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [15798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [15800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(9833),
  [15803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15342),
  [15806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0),
  [15808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(10613),
  [15811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15714),
  [15814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(718),
  [15817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(17784),
  [15820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(17570),
  [15823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(18005),
  [15826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9108),
  [15828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15099),
  [15830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [15832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [15834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15099),
  [15837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [15839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [15841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [15843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8774),
  [15845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [15847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7174),
  [15849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [15851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8782),
  [15853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8787),
  [15855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [15857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [15859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [15861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [15863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [15865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7595),
  [15867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [15869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7613),
  [15871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7617),
  [15873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [15875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8125),
  [15877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5297),
  [15879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [15881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7797),
  [15883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7989),
  [15885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [15887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8032),
  [15889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7722),
  [15891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7658),
  [15893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [15895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [15897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [15899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7671),
  [15901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [15903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [15905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [15907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13176),
  [15909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15703),
  [15911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [15913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [15915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13185),
  [15917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15730),
  [15919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [15921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22216),
  [15923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10320),
  [15925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [15927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [15929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22384),
  [15931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22395),
  [15933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11267),
  [15936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5556),
  [15939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5556),
  [15942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22421),
  [15944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15183),
  [15946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18575),
  [15948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22103),
  [15950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11193),
  [15953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10875),
  [15955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10917),
  [15957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5556),
  [15959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [15961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10944),
  [15963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19266),
  [15965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6322),
  [15967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18343),
  [15969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21585),
  [15971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10960),
  [15973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10963),
  [15975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5567),
  [15977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [15979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5567),
  [15982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5567),
  [15985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14881),
  [15987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12530),
  [15989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21730),
  [15991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10170),
  [15993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16243),
  [15995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14727),
  [15997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 3, 0, 0),
  [15999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 3, 0, 0),
  [16001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17249),
  [16003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 0),
  [16005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 0),
  [16007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14191),
  [16009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(17249),
  [16012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 4, 0, 0),
  [16014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 4, 0, 0),
  [16016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toplevel_directive, 2, 0, 0),
  [16018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toplevel_directive, 2, 0, 0),
  [16020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15736),
  [16022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12524),
  [16024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15993),
  [16026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20055),
  [16028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [16030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18606),
  [16032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22080),
  [16034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11285),
  [16037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9808),
  [16039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9927),
  [16041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15805),
  [16043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10778),
  [16045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14108),
  [16047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16303),
  [16049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [16051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [16053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [16055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [16057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [16059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [16061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [16063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [16065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [16067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [16069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 2, 0, 0),
  [16071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 2, 0, 0),
  [16073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [16075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10911),
  [16077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12361),
  [16079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16384),
  [16081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 2, 0, 0),
  [16083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 2, 0, 0),
  [16085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 3, 0, 0),
  [16087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10814),
  [16089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10718),
  [16091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10761),
  [16093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10775),
  [16095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21060),
  [16097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6488),
  [16099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18807),
  [16101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19318),
  [16103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4759),
  [16105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4759),
  [16108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 3, 0, 0),
  [16110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 3, 0, 0),
  [16112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20277),
  [16114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [16116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19047),
  [16118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21618),
  [16120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5548),
  [16122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [16124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5548),
  [16127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5548),
  [16130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14191),
  [16133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9951),
  [16136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13203),
  [16138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 2, 0, 0),
  [16140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9960),
  [16143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22428),
  [16145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13287),
  [16147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18787),
  [16149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21347),
  [16151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15111),
  [16153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15111),
  [16156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15124),
  [16158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15124),
  [16161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [16163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [16165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [16167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [16169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [16171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [16173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [16175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [16177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [16179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [16181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16135),
  [16183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21027),
  [16185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9760),
  [16187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19101),
  [16189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19780),
  [16191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [16193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 0),
  [16195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 0),
  [16197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [16199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12378),
  [16201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16509),
  [16203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 5, 0, 0),
  [16205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 5, 0, 0),
  [16207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13184),
  [16209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13188),
  [16211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13199),
  [16213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [16215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [16217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [16219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [16221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [16223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [16225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 3, 0, 0),
  [16227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [16229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [16231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [16233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [16235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [16237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [16239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [16241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [16243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [16245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [16247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [16249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [16251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [16253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [16255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [16257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [16259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [16261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [16263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [16265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16073),
  [16268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 0),
  [16270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, 0, 0),
  [16272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16073),
  [16274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14044),
  [16276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16183),
  [16278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4717),
  [16280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4756),
  [16282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10695),
  [16284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15091),
  [16286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14190),
  [16288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15842),
  [16290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15796),
  [16292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15723),
  [16294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4677),
  [16296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4677),
  [16299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14178),
  [16301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10781),
  [16303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, 0, 0),
  [16305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 3, 0, 0),
  [16307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16343),
  [16309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11006),
  [16311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10321),
  [16313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14176),
  [16315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [16317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [16319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16343),
  [16322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4717),
  [16325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [16327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [16329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4756),
  [16332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [16334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [16336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [16338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16390),
  [16341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 4, 0, 0),
  [16343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18038),
  [16345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [16347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [16349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [16351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [16353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [16355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [16357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [16359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [16361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [16363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [16365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 4, 0, 0),
  [16367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [16369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [16371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [16373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [16375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [16377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [16379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [16381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [16383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11146),
  [16385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14180),
  [16387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [16389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [16391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [16393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [16395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [16397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15683),
  [16399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10302),
  [16401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10191),
  [16403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15750),
  [16405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10305),
  [16407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10193),
  [16409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16390),
  [16411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [16413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [16415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [16417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [16419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [16421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [16423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15667),
  [16425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10319),
  [16427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10197),
  [16429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [16431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [16433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [16435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [16437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [16439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [16441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [16443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [16445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [16447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [16449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [16451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11255),
  [16453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14188),
  [16455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [16457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [16459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(9927),
  [16462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15805),
  [16465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0),
  [16467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(14108),
  [16470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(16303),
  [16473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(17784),
  [16476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(17570),
  [16479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(18005),
  [16482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [16484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [16486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16188),
  [16488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [16490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [16492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15119),
  [16494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15119),
  [16497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15126),
  [16499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15126),
  [16502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4702),
  [16504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13062),
  [16506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10099),
  [16508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13067),
  [16510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10412),
  [16512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10222),
  [16514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10416),
  [16516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10227),
  [16518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10454),
  [16520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10234),
  [16522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11199),
  [16524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4693),
  [16526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 2, 0, 0),
  [16528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 2, 0, 0),
  [16530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 5, 0, 0),
  [16532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [16534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4708),
  [16536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4708),
  [16539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11129),
  [16541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0),
  [16543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4697),
  [16545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4697),
  [16548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure_item, 1, 0, 0),
  [16550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure_item, 1, 0, 0),
  [16552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 1, 0, 0),
  [16554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 1, 0, 0),
  [16556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10758),
  [16558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14178),
  [16561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4702),
  [16564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4693),
  [16567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [16569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12973),
  [16571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14565),
  [16573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [16575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [16577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(18038),
  [16580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [16582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [16584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [16586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [16588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [16590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [16592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [16594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [16596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [16598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [16600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [16602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [16604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [16606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [16608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [16610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [16612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8673),
  [16614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14197),
  [16616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14197),
  [16618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14222),
  [16620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [16622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [16624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [16626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [16628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [16630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [16632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [16634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [16636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [16638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [16640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [16642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [16644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2546),
  [16646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2547),
  [16648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [16650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4057),
  [16652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [16654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [16656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [16658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [16660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9804),
  [16662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8910),
  [16664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [16666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [16668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8919),
  [16670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9840),
  [16672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [16674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10087),
  [16676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 73),
  [16678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4493),
  [16680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8259),
  [16682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [16684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [16686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [16688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3582),
  [16690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [16692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [16694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5759),
  [16696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [16698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [16700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [16702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [16704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [16706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7122),
  [16708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6977),
  [16710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [16712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [16714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [16716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [16718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [16720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4365),
  [16722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [16724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [16726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4671),
  [16728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [16730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [16732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8248),
  [16734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3291),
  [16736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6431),
  [16738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [16740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [16742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [16744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [16746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [16748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [16750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [16752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [16754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [16756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [16758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10400),
  [16760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [16762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [16764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [16766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [16768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [16770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [16772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [16774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [16776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [16778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [16780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [16782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [16784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [16786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [16788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10403),
  [16790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9085),
  [16792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7013),
  [16794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4385),
  [16796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7357),
  [16798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7064),
  [16800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7813),
  [16802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6712),
  [16804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6261),
  [16806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3798),
  [16808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3158),
  [16810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7896),
  [16812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3182),
  [16814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3870),
  [16816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [16818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [16820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3894),
  [16822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [16824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6206),
  [16826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [16828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [16830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [16832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [16834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8412),
  [16836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [16838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8434),
  [16840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9857),
  [16842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9001),
  [16844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7514),
  [16846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [16848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4598),
  [16850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4995),
  [16852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [16854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [16856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7517),
  [16858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4598),
  [16861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4796),
  [16863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [16865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [16867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4799),
  [16869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9860),
  [16871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7575),
  [16873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [16875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [16877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [16879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4585),
  [16881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [16883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5184),
  [16885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [16887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6237),
  [16889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [16891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4914),
  [16893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10860),
  [16895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [16897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [16899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10864),
  [16901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4612),
  [16903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4612),
  [16906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [16908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [16910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5183),
  [16912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [16914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [16916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8595),
  [16918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [16920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [16922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [16924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [16926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [16928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8600),
  [16930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8157),
  [16932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [16934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [16936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [16938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7636),
  [16940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5269),
  [16942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [16944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 3, 0, 81),
  [16946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9973),
  [16948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 3, 0, 81),
  [16950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 3, 0, 0),
  [16952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 3, 0, 0),
  [16954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [16956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [16958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [16960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [16962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2446),
  [16964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [16966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [16968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2454),
  [16970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [16972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [16974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8184),
  [16976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [16978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [16980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8186),
  [16982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4623),
  [16984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4623),
  [16987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7685),
  [16989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4671),
  [16992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [16994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [16996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [16998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7692),
  [17000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [17002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [17004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [17006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [17008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [17010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [17012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [17014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11056),
  [17017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4585),
  [17020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [17022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [17024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [17026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6795),
  [17028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [17030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [17032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [17034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [17036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [17038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13526),
  [17040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4633),
  [17042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4633),
  [17045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7916),
  [17047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [17049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11181),
  [17052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [17054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [17056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7949),
  [17058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6066),
  [17060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [17062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [17064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__polymorphic_type, 1, 0, 0),
  [17066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__polymorphic_type, 1, 0, 0),
  [17068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6370),
  [17070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [17072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [17074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [17076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [17078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8369),
  [17080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7393),
  [17082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [17084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [17086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7396),
  [17088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12124),
  [17090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8701),
  [17092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [17094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [17096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8705),
  [17098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10045),
  [17100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [17102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 3, 0, 53),
  [17104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8582),
  [17106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [17108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [17110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [17112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [17114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [17116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [17118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [17120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [17122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [17124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [17126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [17128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [17130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [17132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11436),
  [17134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [17136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [17138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [17140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [17142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6573),
  [17144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [17146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [17148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [17150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [17152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12678),
  [17154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7186),
  [17156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [17158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [17160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [17162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [17164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [17166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [17168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [17170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [17172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10383),
  [17174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [17176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [17178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7983),
  [17180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [17182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6917),
  [17184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8121),
  [17186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [17188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [17190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [17192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [17194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [17196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [17198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [17200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [17202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [17204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [17206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [17208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [17210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8136),
  [17212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7260),
  [17214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4240),
  [17216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [17218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5935),
  [17220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [17222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [17224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6788),
  [17226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [17228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [17230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [17232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7219),
  [17234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [17236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [17238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [17240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [17242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7808),
  [17244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8756),
  [17246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [17248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [17250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8792),
  [17252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10948),
  [17254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [17256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [17258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [17260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [17262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15199),
  [17264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [17266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [17268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [17270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7395),
  [17272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [17274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [17276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [17278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [17280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [17282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [17284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [17286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [17288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [17290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [17292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [17294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [17296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [17298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13362),
  [17300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [17302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [17304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7482),
  [17306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [17308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [17310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [17312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [17314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [17316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [17318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6425),
  [17320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [17322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [17324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [17326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [17328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4330),
  [17330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [17332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [17334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [17336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6865),
  [17338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [17340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [17342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8041),
  [17344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8000),
  [17346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [17348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [17350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8018),
  [17352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3993),
  [17354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7830),
  [17356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [17358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [17360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [17362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9742),
  [17364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [17366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 2, 0, 30),
  [17368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8845),
  [17370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [17372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [17374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9113),
  [17376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6705),
  [17378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [17380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [17382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [17384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [17386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [17388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [17390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4840),
  [17392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [17394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [17396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [17398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [17400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8652),
  [17402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6400),
  [17404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [17406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [17408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [17410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [17412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [17414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [17416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [17418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4476),
  [17420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [17422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14183),
  [17424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [17426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [17428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [17430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [17432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [17434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [17436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4453),
  [17438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4730),
  [17440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14187),
  [17442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [17444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [17446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [17448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [17450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [17452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [17454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [17456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [17458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [17460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [17462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__instance_variable_name, 1, 0, 2),
  [17464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8002),
  [17466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [17468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4436),
  [17470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [17472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16478),
  [17474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14841),
  [17476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [17478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4409),
  [17480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8337),
  [17482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [17484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [17486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [17488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [17490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [17492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [17494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [17496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4446),
  [17498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [17500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [17502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [17504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [17506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(15988),
  [17509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15988),
  [17511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8467),
  [17513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [17515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4454),
  [17517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8656),
  [17519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14245),
  [17521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16166),
  [17523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8216),
  [17525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [17527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4419),
  [17529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8081),
  [17531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6307),
  [17533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [17535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4405),
  [17537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6241),
  [17539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10743),
  [17541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [17543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4447),
  [17545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10931),
  [17547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [17549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [17551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [17553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [17555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4455),
  [17557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [17559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5903),
  [17561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [17563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4430),
  [17565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [17567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [17569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14185),
  [17571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [17573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [17575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [17577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [17579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [17581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [17583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [17585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [17587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [17589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [17591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [17593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7827),
  [17595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [17597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4413),
  [17599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8276),
  [17601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14182),
  [17603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [17605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [17607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4456),
  [17609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [17611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [17613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9811),
  [17615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 30),
  [17617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [17619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14182),
  [17622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [17624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [17626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4479),
  [17628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [17630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [17632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [17634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4457),
  [17636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [17638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14179),
  [17640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8567),
  [17642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [17644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4421),
  [17646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [17648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16165),
  [17650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [17652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [17654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13752),
  [17656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9903),
  [17658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6907),
  [17660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [17662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4458),
  [17664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6990),
  [17666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7561),
  [17668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [17670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4437),
  [17672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7483),
  [17674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_expression, 3, 0, 0),
  [17676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [17678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 73),
  [17680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 45),
  [17682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [17684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [17686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [17688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [17690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11296),
  [17692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9799),
  [17694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [17696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [17698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4459),
  [17700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [17702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [17704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [17706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [17708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4435),
  [17710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4928),
  [17712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [17714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [17716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4423),
  [17718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7907),
  [17720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0),
  [17722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7934),
  [17724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [17726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4477),
  [17728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7929),
  [17730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [17732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [17734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4480),
  [17736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [17738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [17740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [17742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4460),
  [17744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [17746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [17748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [17750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4468),
  [17752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [17754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [17756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [17758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4432),
  [17760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [17762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [17764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 53),
  [17766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7096),
  [17768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [17770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4443),
  [17772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [17774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [17776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [17778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4472),
  [17780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [17782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [17784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [17786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4440),
  [17788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [17790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7037),
  [17792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [17794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4461),
  [17796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7026),
  [17798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8581),
  [17800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [17802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4431),
  [17804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8647),
  [17806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10352),
  [17808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [17810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4444),
  [17812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9288),
  [17814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__polymorphic_typed, 2, 0, 0),
  [17816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__polymorphic_typed, 2, 0, 0),
  [17818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14519),
  [17820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [17822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [17824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4462),
  [17826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [17828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [17830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [17832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4478),
  [17834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [17836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [17838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 30),
  [17840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [17842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [17844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4438),
  [17846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [17848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [17850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [17852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4463),
  [17854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7440),
  [17856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [17858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 53),
  [17860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [17862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [17864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4450),
  [17866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7352),
  [17868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [17870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 73),
  [17872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9030),
  [17874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [17876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4434),
  [17878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9104),
  [17880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [17882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8402),
  [17884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [17886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [17888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [17890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4425),
  [17892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [17894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [17896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [17898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4417),
  [17900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [17902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [17904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [17906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4451),
  [17908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4337),
  [17910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6970),
  [17912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [17914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4464),
  [17916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [17918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(14167),
  [17921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [17923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [17925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4445),
  [17927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7333),
  [17929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [17931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 4, 0, 64),
  [17933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [17935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [17937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4374),
  [17939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [17941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [17943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(14197),
  [17946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(14197),
  [17949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(14222),
  [17952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5226),
  [17954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [17956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4429),
  [17958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5284),
  [17960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16478),
  [17963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [17965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [17967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4465),
  [17969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7848),
  [17971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14184),
  [17973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [17975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [17977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4452),
  [17979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [17981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [17983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [17985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4467),
  [17987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [17989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11225),
  [17991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14183),
  [17994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [17996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [17998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [18000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4439),
  [18002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [18004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18045),
  [18006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(18045),
  [18009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18051),
  [18011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(18051),
  [18014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [18016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [18018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4449),
  [18020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7505),
  [18022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 1, 0, 0),
  [18024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_item, 1, 0, 0),
  [18026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__typed, 2, 0, 0),
  [18028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__typed, 2, 0, 0),
  [18030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16666),
  [18032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 4, 0, 0),
  [18034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9741),
  [18036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [18038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 3, 0, 30),
  [18040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9836),
  [18042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [18044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 53),
  [18046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9788),
  [18048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [18050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 73),
  [18052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14510),
  [18054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16286),
  [18056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [18058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [18060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14467),
  [18062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18042),
  [18064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14423),
  [18066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10015),
  [18068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14431),
  [18070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13108),
  [18072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16285),
  [18074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [18076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 31),
  [18078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [18080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [18082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [18084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 55),
  [18086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [18088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 74),
  [18090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14435),
  [18092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 3, 0, 0),
  [18094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16089),
  [18096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14425),
  [18098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14437),
  [18100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 2, 0, 0),
  [18102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16199),
  [18104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14442),
  [18106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14445),
  [18108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [18110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13067),
  [18112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5912),
  [18114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [18116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [18118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8621),
  [18120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8213),
  [18122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [18124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 63),
  [18126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [18128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 4, 0, 0),
  [18130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [18132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [18134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_pattern, 2, 0, 0),
  [18136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_pattern, 2, 0, 0),
  [18138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [18140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [18142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [18144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7993),
  [18146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [18148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [18150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8016),
  [18152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [18154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [18156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4769),
  [18158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11132),
  [18160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [18162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [18164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 10, 0, 134),
  [18166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13373),
  [18168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16945),
  [18170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13110),
  [18172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [18174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8599),
  [18176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [18178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [18180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18421),
  [18183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [18185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7524),
  [18187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [18189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [18191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [18193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [18195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5114),
  [18197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 94),
  [18199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8855),
  [18201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_initializer, 3, 0, 0),
  [18203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [18205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [18207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 106),
  [18209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 107),
  [18211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7417),
  [18213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7985),
  [18215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4808),
  [18217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 75),
  [18219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8246),
  [18221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [18223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [18225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 108),
  [18227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 30),
  [18229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 84),
  [18231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 6, 0, 0),
  [18233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 95),
  [18235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [18237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 117),
  [18239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [18241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7591),
  [18243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 109),
  [18245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10098),
  [18247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [18249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_pattern, 3, 0, 0),
  [18251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5289),
  [18253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [18255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_pattern, 3, 0, 0),
  [18257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15839),
  [18259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [18261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_pattern, 3, 0, 0),
  [18263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_pattern, 3, 0, 0),
  [18265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 55),
  [18267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 110),
  [18269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6926),
  [18271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [18273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8063),
  [18275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [18277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [18279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6934),
  [18281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [18283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [18285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8232),
  [18287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 96),
  [18289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 53),
  [18291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 106),
  [18293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 111),
  [18295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [18297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_pattern, 3, 0, 0),
  [18299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_pattern, 3, 0, 0),
  [18301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_pattern, 3, 0, 0),
  [18303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_pattern, 3, 0, 0),
  [18305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [18307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [18309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 3, 0, 0),
  [18311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 3, 0, 0),
  [18313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 107),
  [18315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [18317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 2, 0, 0),
  [18319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 2, 0, 0),
  [18321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 118),
  [18323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 108),
  [18325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [18327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 119),
  [18329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 109),
  [18331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_pattern, 2, 0, 0),
  [18333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_pattern, 2, 0, 0),
  [18335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 120),
  [18337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 110),
  [18339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [18341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 121),
  [18343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [18345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 74),
  [18347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 5, 0, 0),
  [18349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_initializer, 2, 0, 0),
  [18351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 111),
  [18353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8728),
  [18355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18421),
  [18357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7072),
  [18359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8746),
  [18361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13461),
  [18363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [18365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [18367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11863),
  [18369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 94),
  [18371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11868),
  [18373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [18375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [18377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [18379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [18381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11443),
  [18383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10891),
  [18385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [18387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [18389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12323),
  [18391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10951),
  [18393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12328),
  [18395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [18397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7355),
  [18399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12339),
  [18401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [18403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12344),
  [18405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 63),
  [18407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [18409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 84),
  [18411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6871),
  [18413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9046),
  [18415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6880),
  [18417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6061),
  [18419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 5, 0, 0),
  [18421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7644),
  [18423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 117),
  [18425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8097),
  [18427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 127),
  [18429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10411),
  [18431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7755),
  [18433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [18435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 128),
  [18437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [18439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [18441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11377),
  [18443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 73),
  [18445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 118),
  [18447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 119),
  [18449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 120),
  [18451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 121),
  [18453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 129),
  [18455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7922),
  [18457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [18459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, 0, 0),
  [18461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, 0, 0),
  [18463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 95),
  [18465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [18467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [18469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6611),
  [18471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 75),
  [18473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 96),
  [18475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5922),
  [18477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10421),
  [18479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 31),
  [18481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_pattern, 2, 0, 0),
  [18483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_pattern, 2, 0, 0),
  [18485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5127),
  [18487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 127),
  [18489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 128),
  [18491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 134),
  [18493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7740),
  [18495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 129),
  [18497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6282),
  [18499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [18501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6457),
  [18503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14571),
  [18505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8198),
  [18507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [18509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 4, 0, 0),
  [18511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 4, 0, 105),
  [18513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 4, 0, 34),
  [18515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 5, 0, 0),
  [18517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 5, 0, 34),
  [18519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specification, 3, 0, 0),
  [18521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specification, 2, 0, 0),
  [18523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11232),
  [18525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21358),
  [18527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 3, 0, 0),
  [18529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 3, 0, 105),
  [18531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9989),
  [18533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14246),
  [18535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16184),
  [18537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11261),
  [18539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14751),
  [18541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10857),
  [18543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14605),
  [18545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14681),
  [18547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11874),
  [18549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14664),
  [18551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11112),
  [18553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9989),
  [18556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(19203),
  [18559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14695),
  [18561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11876),
  [18563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9775),
  [18565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14667),
  [18567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14699),
  [18569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19203),
  [18571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14685),
  [18573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20268),
  [18575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20268),
  [18577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21134),
  [18579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7102),
  [18581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [18583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [18585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [18587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16820),
  [18589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [18591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [18593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [18595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [18597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10002),
  [18599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18743),
  [18601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [18603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [18605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [18607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [18609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18105),
  [18611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20575),
  [18613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15803),
  [18615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15638),
  [18617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [18619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [18621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [18623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [18625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [18627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [18629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [18631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [18633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [18635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15708),
  [18637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9672),
  [18639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7952),
  [18641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [18643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [18645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [18647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [18649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [18651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [18653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [18655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16496),
  [18657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8846),
  [18659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [18661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [18663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [18665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [18667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15745),
  [18669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6346),
  [18671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [18673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15732),
  [18675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10690),
  [18677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4422),
  [18679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15780),
  [18681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8760),
  [18683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18581),
  [18685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21190),
  [18687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12616),
  [18689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [18691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [18693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [18695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [18697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [18699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [18701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [18703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [18705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14814),
  [18707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [18709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [18711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [18713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [18715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [18717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [18719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [18721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [18723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [18725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [18727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [18729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [18731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [18733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [18735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [18737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [18739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [18741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [18743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [18745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6838),
  [18747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [18749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [18751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [18753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10498),
  [18755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [18757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [18759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [18761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7012),
  [18763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [18765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [18767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [18769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [18771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [18773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [18775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [18777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18619),
  [18779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21264),
  [18781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13313),
  [18783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7213),
  [18785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [18787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [18789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [18791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_field, 1, 0, 0),
  [18793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19173),
  [18795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20211),
  [18797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12202),
  [18799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18678),
  [18801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21371),
  [18803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13396),
  [18805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11325),
  [18807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [18809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [18811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [18813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [18815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [18817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [18819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [18821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [18823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 1, 0, 0),
  [18825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5448),
  [18827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15675),
  [18829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [18831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [18833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [18835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [18837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [18839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19124),
  [18841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19296),
  [18843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [18845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [18847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [18849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [18851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [18853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [18855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [18857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [18859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [18861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [18863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [18865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [18867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [18869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [18871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [18873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [18875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6004),
  [18877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [18879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [18881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [18883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5874),
  [18885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [18887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [18889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [18891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8521),
  [18893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [18895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [18897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [18899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [18901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15651),
  [18903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9696),
  [18905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10766),
  [18907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [18909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [18911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [18913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8320),
  [18915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [18917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [18919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [18921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [18923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [18925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [18927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [18929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [18931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [18933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [18935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [18937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [18939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7225),
  [18941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [18943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [18945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [18947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [18949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [18951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [18953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [18955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [18957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15664),
  [18959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6274),
  [18961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [18963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15632),
  [18965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8812),
  [18967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [18969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [18971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [18973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [18975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [18977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [18979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [18981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [18983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [18985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [18987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [18989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [18991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16945),
  [18994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [18996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15769),
  [18998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8379),
  [19000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [19002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15618),
  [19004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8194),
  [19006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4719),
  [19008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [19010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [19012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [19014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [19016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [19018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [19020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [19022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [19024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15574),
  [19026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9583),
  [19028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [19030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [19032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [19034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [19036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [19038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [19040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [19042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [19044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [19046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15660),
  [19048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [19050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15588),
  [19052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [19054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [19056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [19058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [19060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [19062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4426),
  [19064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15809),
  [19066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7010),
  [19068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [19070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [19072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [19074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9173),
  [19076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [19078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [19080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [19082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [19084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [19086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [19088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [19090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [19092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15643),
  [19094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9707),
  [19096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14865),
  [19098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14865),
  [19100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20896),
  [19102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5900),
  [19104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [19106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [19108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [19110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4674),
  [19112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [19114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [19116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [19118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [19120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [19122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [19124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [19126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10347),
  [19128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12006),
  [19130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11140),
  [19132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9615),
  [19134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10253),
  [19136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15311),
  [19138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9674),
  [19140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10772),
  [19142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9611),
  [19144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11938),
  [19146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(14865),
  [19149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(14865),
  [19152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0),
  [19154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_field_specification, 1, 0, 0),
  [19156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10539),
  [19158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11331),
  [19160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10575),
  [19162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9643),
  [19164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10728),
  [19166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9641),
  [19168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [19170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8972),
  [19172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10078),
  [19174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10510),
  [19176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10665),
  [19178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10376),
  [19180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13192),
  [19182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10452),
  [19184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11910),
  [19186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11388),
  [19188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14259),
  [19190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9636),
  [19192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11493),
  [19194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9666),
  [19196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11095),
  [19198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9655),
  [19200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10391),
  [19202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10824),
  [19204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10444),
  [19206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11036),
  [19208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10480),
  [19210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12119),
  [19212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12022),
  [19214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9637),
  [19216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15640),
  [19219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10287),
  [19221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10224),
  [19223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12017),
  [19225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9736),
  [19227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [19229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8530),
  [19231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11207),
  [19233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9701),
  [19235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9997),
  [19238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10551),
  [19240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14194),
  [19242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10311),
  [19244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11985),
  [19246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10500),
  [19248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11563),
  [19250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11988),
  [19252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11693),
  [19254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9720),
  [19256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [19258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9098),
  [19260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9997),
  [19262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10591),
  [19264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11389),
  [19266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10329),
  [19268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11120),
  [19270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15640),
  [19272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10456),
  [19274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14082),
  [19276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13039),
  [19278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9738),
  [19280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11957),
  [19282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9612),
  [19284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [19286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9824),
  [19288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14061),
  [19290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9706),
  [19292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11074),
  [19294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10463),
  [19296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13854),
  [19298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10278),
  [19300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15081),
  [19302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10280),
  [19304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14534),
  [19306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12211),
  [19308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9645),
  [19310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_string_content, 1, 0, 0),
  [19312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10208),
  [19314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9603),
  [19316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10476),
  [19318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9670),
  [19320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10610),
  [19322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9660),
  [19324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12352),
  [19326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9711),
  [19328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [19330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11524),
  [19332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10565),
  [19334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12161),
  [19336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 1, 0, 0),
  [19338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [19340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8428),
  [19342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10387),
  [19344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11067),
  [19346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11913),
  [19348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11339),
  [19350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10559),
  [19352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10377),
  [19354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10487),
  [19356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10523),
  [19358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14214),
  [19360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9627),
  [19362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14548),
  [19364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9632),
  [19366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12700),
  [19368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_quoted_string_content_repeat1, 1, 0, 0),
  [19370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 1, 0, 0),
  [19372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [19374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [19376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14814),
  [19378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18983),
  [19380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15535),
  [19382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [19384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [19386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4942),
  [19388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [19390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16198),
  [19392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [19394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14311),
  [19396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12731),
  [19398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12789),
  [19400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2936),
  [19402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15293),
  [19404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15090),
  [19406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18216),
  [19408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12793),
  [19410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15723),
  [19412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12823),
  [19414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12920),
  [19416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19002),
  [19418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10145),
  [19420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12826),
  [19422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12925),
  [19424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12889),
  [19426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13006),
  [19428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15696),
  [19430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [19432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12891),
  [19434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 3, 0, 0),
  [19436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19227),
  [19438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9783),
  [19440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12907),
  [19442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13231),
  [19444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12909),
  [19446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18769),
  [19448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15555),
  [19450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [19452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12932),
  [19454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12937),
  [19456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8429),
  [19458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [19460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [19462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8433),
  [19464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12737),
  [19466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [19468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12491),
  [19470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [19472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12564),
  [19474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19096),
  [19476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15302),
  [19478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18317),
  [19480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14360),
  [19482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12837),
  [19484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6502),
  [19486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [19488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [19490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16031),
  [19492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5612),
  [19494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5615),
  [19496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5625),
  [19498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [19500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [19502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16462),
  [19504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5593),
  [19506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [19508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5594),
  [19510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5586),
  [19512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16077),
  [19514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5605),
  [19516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6536),
  [19518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12848),
  [19520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12884),
  [19522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12393),
  [19524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [19526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12638),
  [19528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12403),
  [19530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [19532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8535),
  [19534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [19536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12471),
  [19538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [19540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8542),
  [19542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12478),
  [19544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12518),
  [19546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12525),
  [19548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19218),
  [19550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [19552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12539),
  [19554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12542),
  [19556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12576),
  [19558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12578),
  [19560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [19562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18103),
  [19564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8593),
  [19566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12620),
  [19568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12622),
  [19570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12432),
  [19572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [19574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12632),
  [19576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12634),
  [19578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18117),
  [19580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [19582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [19584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12663),
  [19586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12514),
  [19588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12670),
  [19590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12689),
  [19592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12701),
  [19594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18143),
  [19596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8703),
  [19598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12739),
  [19600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12749),
  [19602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12612),
  [19604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15223),
  [19606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12806),
  [19608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12822),
  [19610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19161),
  [19612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14767),
  [19614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [19616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12849),
  [19618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0),
  [19620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15208),
  [19622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [19624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12852),
  [19626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [19628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15334),
  [19630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12872),
  [19632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12877),
  [19634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11538),
  [19636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [19638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12899),
  [19640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12901),
  [19642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12943),
  [19644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [19646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18110),
  [19648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8308),
  [19650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12949),
  [19652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [19654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18518),
  [19656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14702),
  [19658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12629),
  [19660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12384),
  [19662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12388),
  [19664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12885),
  [19666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12406),
  [19668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 4, 0, 0),
  [19670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12408),
  [19672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12419),
  [19674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12423),
  [19676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2914),
  [19678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15046),
  [19680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18242),
  [19682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12441),
  [19684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12443),
  [19686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [19688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12451),
  [19690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12453),
  [19692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [19694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [19696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5529),
  [19698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5530),
  [19700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [19702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18750),
  [19704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6439),
  [19706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [19708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12460),
  [19710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12462),
  [19712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12470),
  [19714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12473),
  [19716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8977),
  [19718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [19720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [19722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8983),
  [19724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12482),
  [19726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12486),
  [19728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12498),
  [19730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12500),
  [19732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12507),
  [19734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12509),
  [19736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18107),
  [19738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15457),
  [19740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [19742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [19744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12767),
  [19746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [19748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10112),
  [19750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18615),
  [19752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [19754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [19756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10118),
  [19758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [19760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12963),
  [19762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18060),
  [19764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16521),
  [19766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11057),
  [19768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14307),
  [19770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9965),
  [19772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12571),
  [19774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [19776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10110),
  [19778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12777),
  [19780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12402),
  [19782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [19784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17214),
  [19786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15983),
  [19788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10343),
  [19790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14308),
  [19792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [19794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12585),
  [19796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12765),
  [19798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [19800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2911),
  [19802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15056),
  [19804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19166),
  [19806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4656),
  [19808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11412),
  [19810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [19812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18669),
  [19814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9150),
  [19816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [19818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12800),
  [19820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6464),
  [19822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12818),
  [19824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10698),
  [19826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15396),
  [19828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6490),
  [19830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6497),
  [19832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [19834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [19836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [19838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18680),
  [19840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6686),
  [19842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15397),
  [19844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [19846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6437),
  [19848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [19850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [19852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15404),
  [19854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8965),
  [19856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [19858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12868),
  [19860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9826),
  [19862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [19864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [19866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10020),
  [19868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [19870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18705),
  [19872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8894),
  [19874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12944),
  [19876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [19878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [19880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12643),
  [19882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18617),
  [19884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6513),
  [19886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [19888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18948),
  [19890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [19892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12840),
  [19894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [19896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6474),
  [19898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [19900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12975),
  [19902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12846),
  [19904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12490),
  [19906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [19908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [19910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9099),
  [19912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [19914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [19916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9101),
  [19918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18089),
  [19920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11477),
  [19922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14619),
  [19924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18959),
  [19926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9119),
  [19928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12383),
  [19930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18688),
  [19932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10088),
  [19934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18829),
  [19936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10163),
  [19938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12392),
  [19940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18985),
  [19942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9133),
  [19944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14624),
  [19946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [19948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18702),
  [19950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6577),
  [19952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [19954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14631),
  [19956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12428),
  [19958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [19960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12831),
  [19962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12673),
  [19964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2922),
  [19966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15190),
  [19968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19120),
  [19970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12436),
  [19972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12513),
  [19974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [19976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12967),
  [19978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18751),
  [19980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10076),
  [19982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12516),
  [19984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18937),
  [19986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11481),
  [19988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [19990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12888),
  [19992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12644),
  [19994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18635),
  [19996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14394),
  [19998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12652),
  [20000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18601),
  [20002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8312),
  [20004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [20006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [20008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 2, 0, 0),
  [20010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [20012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2943),
  [20014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15075),
  [20016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19031),
  [20018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [20020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12681),
  [20022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18054),
  [20024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16517),
  [20026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10649),
  [20028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18057),
  [20030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16519),
  [20032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11357),
  [20034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [20036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [20038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8791),
  [20040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [20042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [20044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [20046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [20048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7041),
  [20050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [20052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6937),
  [20054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [20056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [20058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [20060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [20062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7535),
  [20064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [20066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [20068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [20070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [20072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [20074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7158),
  [20076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [20078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10442),
  [20080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8677),
  [20082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [20084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8735),
  [20086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10436),
  [20088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8557),
  [20090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [20092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [20094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7455),
  [20096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [20098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6899),
  [20100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6232),
  [20102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8315),
  [20104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [20106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7603),
  [20108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [20110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [20112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [20114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [20116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [20118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9027),
  [20120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [20122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [20124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [20126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [20128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6306),
  [20130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8274),
  [20132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [20134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [20136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [20138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_typed, 2, 0, 0),
  [20140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [20142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5928),
  [20144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [20146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 4, 0, 0),
  [20148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13069),
  [20150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7832),
  [20152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8749),
  [20154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [20156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20430),
  [20158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14963),
  [20160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18170),
  [20162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [20164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [20166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [20168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6790),
  [20170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7100),
  [20172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [20174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8967),
  [20176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [20178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7805),
  [20180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [20182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [20184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8218),
  [20186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7997),
  [20188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10862),
  [20190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 3, 0, 0),
  [20192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [20194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [20196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8512),
  [20198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [20200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [20202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [20204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [20206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [20208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [20210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [20212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8040),
  [20214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [20216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [20218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6314),
  [20220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [20222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [20224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8994),
  [20226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10896),
  [20228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8304),
  [20230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [20232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [20234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10378),
  [20236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13956),
  [20238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15630),
  [20240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17855),
  [20242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [20244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [20246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10956),
  [20248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11022),
  [20250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [20252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7224),
  [20254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [20256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0),
  [20258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11030),
  [20260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8234),
  [20262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15608),
  [20264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15608),
  [20267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [20269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [20271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [20273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7612),
  [20275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [20277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [20279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5782),
  [20281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [20283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8773),
  [20285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [20287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [20289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4681),
  [20291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7991),
  [20293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8459),
  [20295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [20297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8881),
  [20299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [20301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [20303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [20305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(16735),
  [20308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [20310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7550),
  [20312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7421),
  [20314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9829),
  [20316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tag_spec, 1, 0, 0),
  [20318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16275),
  [20320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [20322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7616),
  [20324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [20326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [20328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [20330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [20332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [20334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6964),
  [20336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8479),
  [20338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [20340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8781),
  [20342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0),
  [20344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4754),
  [20346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8114),
  [20348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [20350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [20352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [20354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4812),
  [20356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6874),
  [20358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [20360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6406),
  [20362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7794),
  [20364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [20366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [20368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5853),
  [20370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 3, 0, 59),
  [20372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16295),
  [20374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6891),
  [20376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [20378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [20380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6893),
  [20382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [20384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8053),
  [20386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [20388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8013),
  [20390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [20392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4801),
  [20394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7682),
  [20396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [20398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [20400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7647),
  [20402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8257),
  [20404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [20406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8124),
  [20408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [20410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10415),
  [20412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8204),
  [20414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [20416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [20418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8395),
  [20420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7715),
  [20422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [20424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5071),
  [20426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8659),
  [20428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [20430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [20432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [20434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6075),
  [20436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [20438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [20440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [20442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [20444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [20446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [20448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [20450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [20452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [20454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [20456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16807),
  [20458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14299),
  [20460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [20462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7953),
  [20464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11793),
  [20466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7961),
  [20468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7727),
  [20470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8492),
  [20472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7657),
  [20474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [20476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [20478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8135),
  [20480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 4, 0, 79),
  [20482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [20484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [20486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [20488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [20490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7429),
  [20492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [20494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10060),
  [20496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tag_specification_repeat1, 2, 0, 0),
  [20498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [20500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7666),
  [20502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [20504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8614),
  [20506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6708),
  [20508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [20510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7669),
  [20512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9069),
  [20514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [20516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6630),
  [20518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [20520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7626),
  [20522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [20524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [20526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [20528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7726),
  [20530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6671),
  [20532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5979),
  [20534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6276),
  [20536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6477),
  [20538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [20540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [20542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5866),
  [20544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [20546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6239),
  [20548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [20550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [20552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [20554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7750),
  [20556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [20558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8020),
  [20560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5917),
  [20562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6155),
  [20564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [20566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6255),
  [20568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [20570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10424),
  [20572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [20574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [20576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8371),
  [20578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [20580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6465),
  [20582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [20584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6408),
  [20586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [20588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13956),
  [20590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19342),
  [20592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [20594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20267),
  [20596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4786),
  [20598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20772),
  [20600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6320),
  [20602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21180),
  [20604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6911),
  [20606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10678),
  [20608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16300),
  [20610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14192),
  [20612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10473),
  [20614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21775),
  [20616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10396),
  [20618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19909),
  [20620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8686),
  [20622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_instantiated_class_type_repeat1, 2, 0, 0),
  [20624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22189),
  [20626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7835),
  [20628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21639),
  [20630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8287),
  [20632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10122),
  [20634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19646),
  [20636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [20638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13979),
  [20640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21868),
  [20642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [20644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13044),
  [20646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20594),
  [20648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7822),
  [20650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16167),
  [20652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19933),
  [20654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [20656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10607),
  [20658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14249),
  [20660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18033),
  [20662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12373),
  [20664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [20666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16222),
  [20668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15846),
  [20670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21793),
  [20672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9045),
  [20674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [20676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15806),
  [20678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10330),
  [20680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10245),
  [20682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19860),
  [20684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11376),
  [20686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11440),
  [20688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15765),
  [20690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10562),
  [20692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10267),
  [20694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19626),
  [20696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [20698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11494),
  [20700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14623),
  [20702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6647),
  [20704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14269),
  [20706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16835),
  [20708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20218),
  [20710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [20712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16405),
  [20714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14202),
  [20716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16541),
  [20718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16475),
  [20720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [20722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9762),
  [20724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 1, 0, 0),
  [20726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9137),
  [20728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21763),
  [20730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [20732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19857),
  [20734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7978),
  [20736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10228),
  [20738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16261),
  [20740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 3, 0, 42),
  [20742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10888),
  [20744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20784),
  [20746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [20748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21652),
  [20750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [20752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 5, 0, 0),
  [20754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16287),
  [20756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16042),
  [20758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11647),
  [20760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13078),
  [20762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15717),
  [20764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16316),
  [20766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18870),
  [20768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15863),
  [20770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16333),
  [20772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14717),
  [20774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15307),
  [20776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6595),
  [20778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20345),
  [20780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10827),
  [20782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16324),
  [20784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19295),
  [20786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [20788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14198),
  [20790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18064),
  [20792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22271),
  [20794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [20796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 1, 0, 0),
  [20798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15340),
  [20800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21354),
  [20802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [20804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22147),
  [20806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [20808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 2, 0, 0),
  [20810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11405),
  [20812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11334),
  [20814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11572),
  [20816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10153),
  [20818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [20820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 1, 0, 0),
  [20822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10181),
  [20824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2954),
  [20826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16988),
  [20828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16340),
  [20830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10576),
  [20832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21559),
  [20834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [20836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15961),
  [20838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 1, 0, 9),
  [20840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16153),
  [20842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19815),
  [20844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [20846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14266),
  [20848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17400),
  [20850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14247),
  [20852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17205),
  [20854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20537),
  [20856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [20858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8706),
  [20860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11368),
  [20862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12974),
  [20864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10042),
  [20866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8896),
  [20868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15851),
  [20870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10067),
  [20872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22191),
  [20874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6857),
  [20876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20466),
  [20878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [20880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21551),
  [20882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7684),
  [20884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16032),
  [20886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tag_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(9783),
  [20889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16242),
  [20891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16070),
  [20893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21981),
  [20895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [20897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19695),
  [20899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6145),
  [20901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16192),
  [20903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15898),
  [20905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15875),
  [20907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20657),
  [20909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8821),
  [20911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20929),
  [20913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [20915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21698),
  [20917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [20919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 1, 0, 13),
  [20921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20925),
  [20923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5877),
  [20925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20948),
  [20927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7629),
  [20929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22247),
  [20931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7043),
  [20933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20536),
  [20935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [20937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8311),
  [20939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20543),
  [20941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7379),
  [20943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15873),
  [20945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22083),
  [20947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8245),
  [20949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(16666),
  [20952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13350),
  [20954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 2, 0, 24),
  [20956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16190),
  [20958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22066),
  [20960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6799),
  [20962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14397),
  [20964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10686),
  [20966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19629),
  [20968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [20970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16397),
  [20972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19395),
  [20974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7510),
  [20976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17911),
  [20978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15783),
  [20980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22350),
  [20982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8166),
  [20984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19964),
  [20986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8580),
  [20988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10182),
  [20990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16088),
  [20992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15802),
  [20994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10550),
  [20996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10265),
  [20998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21619),
  [21000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8375),
  [21002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 3, 0, 0),
  [21004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22358),
  [21006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5164),
  [21008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21168),
  [21010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5951),
  [21012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19754),
  [21014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7117),
  [21016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19977),
  [21018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [21020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11525),
  [21022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16173),
  [21024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15831),
  [21026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11379),
  [21028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6792),
  [21030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9347),
  [21032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12146),
  [21034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17004),
  [21036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12042),
  [21038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [21040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14235),
  [21042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17189),
  [21044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [21046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14257),
  [21048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17190),
  [21050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14232),
  [21052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9849),
  [21054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [21056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14225),
  [21058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12277),
  [21060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16968),
  [21062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10903),
  [21064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12171),
  [21066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [21068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12190),
  [21070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7554),
  [21072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13080),
  [21074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2952),
  [21076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8854),
  [21078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9856),
  [21080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [21082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9896),
  [21084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6035),
  [21086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6877),
  [21088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [21090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9852),
  [21092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [21094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [21096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13156),
  [21098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9863),
  [21100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7829),
  [21102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15123),
  [21104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14531),
  [21106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6057),
  [21108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7874),
  [21110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7935),
  [21112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17203),
  [21114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [21116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9872),
  [21118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [21120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14543),
  [21122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17204),
  [21124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6702),
  [21126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [21128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14552),
  [21130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16524),
  [21132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14557),
  [21134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14533),
  [21136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9884),
  [21138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6193),
  [21140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10558),
  [21142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6146),
  [21144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [21146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [21148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13815),
  [21150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17763),
  [21152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9894),
  [21154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [21156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17229),
  [21158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9970),
  [21160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6399),
  [21162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17084),
  [21164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [21166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [21168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [21170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [21172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12046),
  [21174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9900),
  [21176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [21178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6471),
  [21180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [21182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [21184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [21186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17218),
  [21188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18577),
  [21190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5583),
  [21192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [21194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [21196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9905),
  [21198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8258),
  [21200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11992),
  [21202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17219),
  [21204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [21206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7754),
  [21208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11528),
  [21210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17085),
  [21212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11997),
  [21214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17220),
  [21216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12001),
  [21218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9913),
  [21220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [21222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12003),
  [21224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6643),
  [21226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [21228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11462),
  [21230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17086),
  [21232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [21234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11476),
  [21236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9920),
  [21238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [21240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16672),
  [21242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10009),
  [21244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7119),
  [21246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11485),
  [21248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [21250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [21252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10184),
  [21254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9925),
  [21256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [21258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18918),
  [21260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11390),
  [21262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21825),
  [21264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9898),
  [21266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5893),
  [21268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7135),
  [21270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [21272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [21274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17233),
  [21276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [21278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10839),
  [21280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17235),
  [21282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10847),
  [21284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17236),
  [21286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8506),
  [21288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10851),
  [21290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10279),
  [21292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10854),
  [21294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10277),
  [21296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11955),
  [21298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10340),
  [21300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10668),
  [21302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10634),
  [21304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10058),
  [21306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8448),
  [21308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17064),
  [21310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10011),
  [21312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8904),
  [21314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10051),
  [21316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10399),
  [21318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9865),
  [21320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10354),
  [21322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10457),
  [21324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10477),
  [21326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17252),
  [21328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11296),
  [21330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10418),
  [21332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11554),
  [21334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11419),
  [21336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17251),
  [21338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14100),
  [21340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10428),
  [21342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8445),
  [21344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5054),
  [21346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10530),
  [21348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17253),
  [21350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9984),
  [21352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5360),
  [21354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10537),
  [21356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17254),
  [21358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9806),
  [21360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10005),
  [21362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [21364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10542),
  [21366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11142),
  [21368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10546),
  [21370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9158),
  [21372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17107),
  [21374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16691),
  [21376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8912),
  [21378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [21380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10090),
  [21382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10078),
  [21384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13752),
  [21386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10080),
  [21388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [21390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8295),
  [21392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [21394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14134),
  [21396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17108),
  [21398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11569),
  [21400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16695),
  [21402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13800),
  [21404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7529),
  [21406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11354),
  [21408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 2, 0, 0),
  [21410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 2, 0, 0), SHIFT_REPEAT(18084),
  [21413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16582),
  [21415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7538),
  [21417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10493),
  [21419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10494),
  [21421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11577),
  [21423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16698),
  [21425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10521),
  [21427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11138),
  [21429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16969),
  [21431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13949),
  [21433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17109),
  [21435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13962),
  [21437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13980),
  [21439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10895),
  [21441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11582),
  [21443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17032),
  [21445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11585),
  [21447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9939),
  [21449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [21451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9754),
  [21453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [21455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15467),
  [21457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13034),
  [21459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11182),
  [21461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16875),
  [21463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [21465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10470),
  [21467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10497),
  [21469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7606),
  [21471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10285),
  [21473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11287),
  [21475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10053),
  [21477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4795),
  [21479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11489),
  [21481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11222),
  [21483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17033),
  [21485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9748),
  [21487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10859),
  [21489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17112),
  [21491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9881),
  [21493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [21495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10901),
  [21497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10368),
  [21499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10375),
  [21501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10441),
  [21503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 1, 0, 0),
  [21505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9657),
  [21507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10977),
  [21509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10081),
  [21511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7914),
  [21513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4815),
  [21515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11247),
  [21517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17034),
  [21519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17327),
  [21521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17128),
  [21523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10326),
  [21525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10328),
  [21527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10333),
  [21529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16790),
  [21531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18577),
  [21534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9757),
  [21536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [21538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4824),
  [21540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5583),
  [21543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5583),
  [21546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [21548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17571),
  [21550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10041),
  [21552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [21554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10499),
  [21556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10509),
  [21558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11944),
  [21560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17130),
  [21562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10587),
  [21564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [21566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16759),
  [21568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [21570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [21572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8025),
  [21574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17815),
  [21576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11273),
  [21578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10344),
  [21580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10346),
  [21582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10349),
  [21584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11956),
  [21586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17131),
  [21588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14660),
  [21590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15600),
  [21592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [21594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13523),
  [21596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11971),
  [21598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14986),
  [21600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16765),
  [21602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8431),
  [21604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11977),
  [21606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12092),
  [21608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11218),
  [21610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10296),
  [21612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17029),
  [21614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10385),
  [21616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10386),
  [21618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9766),
  [21620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [21622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10390),
  [21624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14250),
  [21626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15120),
  [21628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16767),
  [21630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15168),
  [21632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17082),
  [21634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10478),
  [21636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10479),
  [21638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15175),
  [21640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10482),
  [21642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7708),
  [21644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10135),
  [21646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13095),
  [21648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 2, 0, 0),
  [21650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(17855),
  [21653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [21655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16702),
  [21657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10691),
  [21659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10532),
  [21661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10536),
  [21663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10543),
  [21665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15253),
  [21667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [21669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [21671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2956),
  [21673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9772),
  [21675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [21677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17468),
  [21679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9980),
  [21681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8183),
  [21683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10563),
  [21685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10564),
  [21687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10566),
  [21689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 2, 0, 0),
  [21691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(16988),
  [21694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10152),
  [21696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [21698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11483),
  [21700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [21702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17062),
  [21704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_type, 2, 0, 0),
  [21706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16760),
  [21708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10589),
  [21710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10590),
  [21712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [21714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10275),
  [21716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9855),
  [21718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11275),
  [21720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16970),
  [21722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8187),
  [21724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9749),
  [21726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9778),
  [21728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [21730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9154),
  [21732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16803),
  [21734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [21736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9197),
  [21738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7920),
  [21740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [21742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13083),
  [21744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [21746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8210),
  [21748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13068),
  [21750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16808),
  [21752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [21754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13104),
  [21756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16811),
  [21758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12990),
  [21760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13008),
  [21762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17148),
  [21764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6574),
  [21766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13123),
  [21768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16537),
  [21770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9785),
  [21772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [21774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9999),
  [21776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8592),
  [21778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8220),
  [21780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11916),
  [21782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [21784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [21786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8303),
  [21788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [21790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13255),
  [21792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10274),
  [21794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17149),
  [21796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8327),
  [21798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9880),
  [21800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8120),
  [21802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 2, 0, 0), SHIFT_REPEAT(17062),
  [21805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 2, 0, 0),
  [21807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9792),
  [21809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8700),
  [21811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10239),
  [21813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17150),
  [21815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6208),
  [21817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10243),
  [21819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10247),
  [21821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [21823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11325),
  [21826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8092),
  [21828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8484),
  [21830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16850),
  [21832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [21834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8953),
  [21836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18466),
  [21838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17001),
  [21840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [21842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9797),
  [21844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [21846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11158),
  [21848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11300),
  [21850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16854),
  [21852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [21854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19154),
  [21856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [21858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11105),
  [21860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16855),
  [21862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11290),
  [21864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [21866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11177),
  [21868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [21870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [21872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13131),
  [21874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11119),
  [21876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13031),
  [21878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9823),
  [21880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [21882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9802),
  [21884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [21886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8616),
  [21888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [21890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9938),
  [21892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8733),
  [21894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10443),
  [21896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16544),
  [21898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [21900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [21902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7998),
  [21904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13898),
  [21906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8739),
  [21908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9810),
  [21910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5789),
  [21912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7413),
  [21914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15655),
  [21916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [21918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17054),
  [21920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18180),
  [21922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [21924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17170),
  [21926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11082),
  [21928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7423),
  [21930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16903),
  [21932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9815),
  [21934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6914),
  [21936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8638),
  [21938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15757),
  [21940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8766),
  [21942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10830),
  [21944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17172),
  [21946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10361),
  [21948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16549),
  [21950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [21952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [21954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15682),
  [21956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11050),
  [21958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17173),
  [21960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18297),
  [21962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9820),
  [21964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [21966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10713),
  [21968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15609),
  [21970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10659),
  [21972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16905),
  [21974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10722),
  [21976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15623),
  [21978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10370),
  [21980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15654),
  [21982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10696),
  [21984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16906),
  [21986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [21988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15706),
  [21990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10670),
  [21992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10689),
  [21994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15721),
  [21996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6619),
  [21998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13149),
  [22000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [22002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15767),
  [22004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15770),
  [22006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15741),
  [22008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15576),
  [22010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_instantiated_class_type_repeat1, 2, 0, 0), SHIFT_REPEAT(9829),
  [22013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15709),
  [22015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10592),
  [22017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15818),
  [22019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6578),
  [22021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15628),
  [22023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(9347),
  [22026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat1, 2, 0, 0),
  [22028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15673),
  [22030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10093),
  [22032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7999),
  [22034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13643),
  [22036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16658),
  [22038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15724),
  [22040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 2, 0, 0),
  [22042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(19080),
  [22045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15761),
  [22047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15807),
  [22049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15748),
  [22051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15627),
  [22053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9825),
  [22055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [22057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12176),
  [22059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17056),
  [22061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15815),
  [22063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12137),
  [22065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17003),
  [22067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15580),
  [22069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15715),
  [22071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15603),
  [22073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8223),
  [22075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15729),
  [22077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15614),
  [22079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_params_repeat1, 2, 0, 0),
  [22081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_params_repeat1, 2, 0, 0), SHIFT_REPEAT(14874),
  [22084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15693),
  [22086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16935),
  [22088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15722),
  [22090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15633),
  [22092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7811),
  [22094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15605),
  [22096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15734),
  [22098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15602),
  [22100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15645),
  [22102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12040),
  [22104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16937),
  [22106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15711),
  [22108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15744),
  [22110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [22112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15794),
  [22114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15586),
  [22116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12047),
  [22118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16938),
  [22120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15616),
  [22122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12051),
  [22124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15649),
  [22126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12054),
  [22128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15725),
  [22130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9771),
  [22132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
  [22134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [22136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15784),
  [22138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15719),
  [22140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15746),
  [22142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15797),
  [22144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15596),
  [22146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12197),
  [22148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17057),
  [22150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15581),
  [22152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9864),
  [22154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15687),
  [22156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10341),
  [22158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15786),
  [22160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9758),
  [22162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [22164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13258),
  [22166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13082),
  [22168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9832),
  [22170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7050),
  [22172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12207),
  [22174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7082),
  [22176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [22178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7091),
  [22180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13178),
  [22182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13186),
  [22184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13190),
  [22186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18039),
  [22188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12212),
  [22190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18047),
  [22192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18053),
  [22194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17188),
  [22196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12247),
  [22198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13207),
  [22200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13099),
  [22202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9839),
  [22204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [22206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9891),
  [22208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [22210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16004),
  [22212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10405),
  [22214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15039),
  [22216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15229),
  [22218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16025),
  [22220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8962),
  [22222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(5614),
  [22225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [22227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11409),
  [22229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15443),
  [22231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14874),
  [22233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21156),
  [22235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4682),
  [22237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16720),
  [22239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [22241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15563),
  [22243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15689),
  [22245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16365),
  [22247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4945),
  [22250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [22252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16002),
  [22254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [22256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [22258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15374),
  [22260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9651),
  [22262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [22264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15557),
  [22266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [22268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15337),
  [22270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16010),
  [22272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10422),
  [22274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15194),
  [22276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8430),
  [22278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [22280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15248),
  [22282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15378),
  [22284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [22286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [22288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15964),
  [22290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15331),
  [22292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [22294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [22296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10435),
  [22298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [22300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15240),
  [22302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15516),
  [22304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6723),
  [22306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16035),
  [22308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10528),
  [22310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6694),
  [22312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10489),
  [22314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [22316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10533),
  [22318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14340),
  [22320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15887),
  [22322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6683),
  [22324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [22326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14893),
  [22328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [22330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [22332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15349),
  [22334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15470),
  [22336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10540),
  [22338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [22340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15386),
  [22342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15526),
  [22344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14539),
  [22346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [22348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16029),
  [22350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19638),
  [22352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15336),
  [22354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15865),
  [22356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8865),
  [22358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15301),
  [22360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15363),
  [22362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [22364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [22366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [22368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11143),
  [22370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10555),
  [22372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11336),
  [22374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8971),
  [22376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [22378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14988),
  [22380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [22382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15888),
  [22384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15568),
  [22386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [22388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [22390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10281),
  [22392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14836),
  [22394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14391),
  [22396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8966),
  [22398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16045),
  [22400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7519),
  [22402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15333),
  [22404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8301),
  [22406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16076),
  [22408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15259),
  [22410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20994),
  [22412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14130),
  [22414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [22416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15225),
  [22418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6614),
  [22420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15530),
  [22422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [22424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [22426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11567),
  [22428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8048),
  [22430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16670),
  [22432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10526),
  [22434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [22436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15533),
  [22438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14549),
  [22440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [22442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16049),
  [22444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10458),
  [22446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [22448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18872),
  [22450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15256),
  [22452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19253),
  [22454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15825),
  [22456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [22458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10518),
  [22460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [22462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11573),
  [22464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9907),
  [22466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [22468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19438),
  [22470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15262),
  [22472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14554),
  [22474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11579),
  [22476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [22478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19631),
  [22480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [22482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15613),
  [22484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16055),
  [22486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [22488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14156),
  [22490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9703),
  [22492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15853),
  [22494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6657),
  [22496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13960),
  [22498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21791),
  [22500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15549),
  [22502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6176),
  [22504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5913),
  [22506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15286),
  [22508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16201),
  [22510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [22512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [22514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15392),
  [22516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15899),
  [22518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [22520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [22522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [22524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [22526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15558),
  [22528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexing_operator_path, 3, 0, 0),
  [22530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexing_operator_path, 3, 0, 0),
  [22532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10047),
  [22534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15529),
  [22536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [22538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15911),
  [22540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [22542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [22544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_expression, 1, 0, 0),
  [22546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [22548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16080),
  [22550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [22552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [22554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4726),
  [22556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15261),
  [22558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [22560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [22562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18656),
  [22564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15339),
  [22566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5926),
  [22568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15902),
  [22570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16083),
  [22572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21097),
  [22574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15385),
  [22576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [22578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10392),
  [22580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15360),
  [22582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [22584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9930),
  [22586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15297),
  [22588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15913),
  [22590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21346),
  [22592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [22594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15561),
  [22596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7204),
  [22598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [22600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21502),
  [22602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [22604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [22606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15777),
  [22608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8850),
  [22610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16170),
  [22612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15391),
  [22614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [22616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [22618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9649),
  [22620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6189),
  [22622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15565),
  [22624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15415),
  [22626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [22628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11185),
  [22630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16109),
  [22632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [22634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11213),
  [22636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18403),
  [22638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [22640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15382),
  [22642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12215),
  [22644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7236),
  [22646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10545),
  [22648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15335),
  [22650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10861),
  [22652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [22654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16100),
  [22656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10871),
  [22658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15454),
  [22660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [22662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15346),
  [22664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [22666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19198),
  [22668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15393),
  [22670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16106),
  [22672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15560),
  [22674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6286),
  [22676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [22678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10953),
  [22680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9769),
  [22682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15348),
  [22684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [22686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15760),
  [22688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [22690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16247),
  [22692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [22694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [22696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9669),
  [22698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9041),
  [22700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7215),
  [22702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11021),
  [22704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [22706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15353),
  [22708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15263),
  [22710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [22712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15310),
  [22714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7921),
  [22716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexing_operator_path, 1, 0, 0),
  [22718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexing_operator_path, 1, 0, 0),
  [22720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8335),
  [22722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18640),
  [22724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [22726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16121),
  [22728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [22730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19160),
  [22732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [22734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [22736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [22738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15206),
  [22740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11238),
  [22742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [22744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15306),
  [22746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15986),
  [22748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16200),
  [22750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6240),
  [22752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16124),
  [22754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7964),
  [22756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18397),
  [22758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15910),
  [22760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [22762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [22764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15158),
  [22766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10162),
  [22768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9861),
  [22770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15569),
  [22772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [22774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [22776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15801),
  [22778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16307),
  [22780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [22782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [22784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15413),
  [22786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [22788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15556),
  [22790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15450),
  [22792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7634),
  [22794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11090),
  [22796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [22798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16128),
  [22800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7638),
  [22802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14867),
  [22804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15401),
  [22806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [22808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9071),
  [22810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [22812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18909),
  [22814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18910),
  [22816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19171),
  [22818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16139),
  [22820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4833),
  [22822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15497),
  [22824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15376),
  [22826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [22828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15319),
  [22830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [22832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19382),
  [22834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14878),
  [22836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14967),
  [22838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14628),
  [22840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [22842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18628),
  [22844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15912),
  [22846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16134),
  [22848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11942),
  [22850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8017),
  [22852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [22854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9793),
  [22856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [22858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15917),
  [22860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [22862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7655),
  [22864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15513),
  [22866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15507),
  [22868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15326),
  [22870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [22872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15758),
  [22874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10453),
  [22876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [22878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14248),
  [22880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [22882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8341),
  [22884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [22886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [22888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10767),
  [22890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14906),
  [22892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [22894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16311),
  [22896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [22898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15539),
  [22900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15521),
  [22902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [22904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18824),
  [22906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15211),
  [22908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11952),
  [22910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9966),
  [22912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9800),
  [22914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [22916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [22918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15652),
  [22920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15420),
  [22922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [22924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [22926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15329),
  [22928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11961),
  [22930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15214),
  [22932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15924),
  [22934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14879),
  [22936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19220),
  [22938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8538),
  [22940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14981),
  [22942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10291),
  [22944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16670),
  [22947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [22949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15243),
  [22951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [22953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9659),
  [22955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8937),
  [22957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15918),
  [22959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [22961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18999),
  [22963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9782),
  [22965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15926),
  [22967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10251),
  [22969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15410),
  [22971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [22973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15671),
  [22975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15357),
  [22977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7689),
  [22979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [22981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10165),
  [22983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15221),
  [22985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [22987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15110),
  [22989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [22991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15122),
  [22993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15921),
  [22995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16179),
  [22997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7694),
  [22999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14907),
  [23001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14310),
  [23003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [23005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19157),
  [23007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 1, 0, 0),
  [23009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [23011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [23013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15461),
  [23015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [23017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [23019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9924),
  [23021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15458),
  [23023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15440),
  [23025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [23027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15547),
  [23029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15881),
  [23031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15639),
  [23033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [23035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2193),
  [23038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16185),
  [23040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [23042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [23044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [23046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15238),
  [23048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [23050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15482),
  [23052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [23054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10425),
  [23056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7036),
  [23058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [23060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15268),
  [23062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9560),
  [23064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18144),
  [23066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21458),
  [23068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15417),
  [23070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6863),
  [23072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15498),
  [23074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11311),
  [23076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15351),
  [23078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9996),
  [23080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15864),
  [23082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [23084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15642),
  [23086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16276),
  [23088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [23090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15495),
  [23092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8260),
  [23094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15281),
  [23096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [23098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [23100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 2, 0, 13),
  [23102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16213),
  [23104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [23106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18261),
  [23108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5905),
  [23110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16304),
  [23112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [23114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [23116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15929),
  [23118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8267),
  [23120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6390),
  [23122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15395),
  [23124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15456),
  [23126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8185),
  [23128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [23130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15739),
  [23132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15571),
  [23134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [23136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11520),
  [23138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11820),
  [23140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 1, 0, 11),
  [23142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15550),
  [23144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11400),
  [23146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15373),
  [23148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [23150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8785),
  [23152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19146),
  [23154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11990),
  [23156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16218),
  [23158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18379),
  [23160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18536),
  [23162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [23164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [23166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15445),
  [23168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16227),
  [23170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7911),
  [23172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [23174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14993),
  [23176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8574),
  [23178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15676),
  [23180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15130),
  [23182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [23184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7212),
  [23186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [23188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15449),
  [23190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16239),
  [23192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [23194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [23196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15451),
  [23198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15425),
  [23200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18467),
  [23202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [23204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15931),
  [23206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15157),
  [23208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10018),
  [23210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [23212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10312),
  [23214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5128),
  [23216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7743),
  [23218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [23220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15785),
  [23222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15564),
  [23224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16235),
  [23226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10108),
  [23228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [23230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [23232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15163),
  [23234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18521),
  [23236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6210),
  [23238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [23240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [23242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15309),
  [23244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15320),
  [23246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [23248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8250),
  [23250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15318),
  [23252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15817),
  [23254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15502),
  [23256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [23258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16237),
  [23260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [23262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [23264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18576),
  [23266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8786),
  [23268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [23270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15207),
  [23272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [23274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15179),
  [23276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [23278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [23280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15452),
  [23282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15720),
  [23284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11994),
  [23286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7663),
  [23288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14603),
  [23290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [23292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10133),
  [23294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15278),
  [23296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18629),
  [23298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8128),
  [23300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16244),
  [23302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15532),
  [23304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14262),
  [23306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16257),
  [23308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15181),
  [23310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [23312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15754),
  [23314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15476),
  [23316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13015),
  [23318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15394),
  [23320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [23322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10339),
  [23324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10446),
  [23326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15688),
  [23329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_expression_repeat1, 2, 0, 0),
  [23331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [23333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 2, 0, 0),
  [23335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18690),
  [23337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11999),
  [23339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [23341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15601),
  [23343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4735),
  [23345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [23347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15527),
  [23349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [23351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13077),
  [23353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18728),
  [23355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13130),
  [23357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15448),
  [23359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15665),
  [23361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16212),
  [23363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12150),
  [23365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18779),
  [23367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11223),
  [23369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15548),
  [23371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [23373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15867),
  [23375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10760),
  [23377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19125),
  [23379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15793),
  [23381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15942),
  [23383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [23385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18827),
  [23387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15370),
  [23389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [23391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [23393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [23395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15264),
  [23397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6469),
  [23399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16262),
  [23401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [23403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15617),
  [23405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15323),
  [23407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [23409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [23411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [23413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18874),
  [23415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15446),
  [23417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [23419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15515),
  [23421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8713),
  [23423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [23425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [23427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15354),
  [23429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [23431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16264),
  [23433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15759),
  [23435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6881),
  [23437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [23439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15545),
  [23441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18916),
  [23443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10229),
  [23445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [23447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15189),
  [23449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [23451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [23453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15430),
  [23455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15215),
  [23457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18947),
  [23459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15945),
  [23461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10289),
  [23463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11880),
  [23465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18966),
  [23467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11451),
  [23469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [23471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [23473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15570),
  [23475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8122),
  [23477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [23479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18372),
  [23481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15423),
  [23483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [23485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10236),
  [23487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18988),
  [23489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16282),
  [23491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8275),
  [23493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19011),
  [23495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15379),
  [23497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8702),
  [23499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14929),
  [23501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6534),
  [23503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10241),
  [23505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15324),
  [23507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [23509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16280),
  [23511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8708),
  [23513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [23515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19038),
  [23517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15279),
  [23519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7992),
  [23521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [23523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15400),
  [23525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [23527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19066),
  [23529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [23531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14942),
  [23533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8536),
  [23535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15509),
  [23537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [23539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16283),
  [23541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5993),
  [23543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19087),
  [23545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6903),
  [23547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16003),
  [23549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [23551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16293),
  [23553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15496),
  [23555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16322),
  [23557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [23559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [23561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13251),
  [23563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [23565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11502),
  [23567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14950),
  [23569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [23571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19106),
  [23573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11466),
  [23575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [23577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8237),
  [23579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8491),
  [23581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15365),
  [23583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15512),
  [23585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19135),
  [23587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18724),
  [23589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15018),
  [23591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6374),
  [23593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8783),
  [23595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [23597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19178),
  [23599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [23601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14959),
  [23603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4629),
  [23605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15359),
  [23607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [23609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19205),
  [23611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7266),
  [23613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8442),
  [23615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6299),
  [23617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15280),
  [23619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [23621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [23623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [23625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18070),
  [23627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16346),
  [23629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19032),
  [23631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15321),
  [23633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15409),
  [23635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16302),
  [23637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [23639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15953),
  [23641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [23643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11289),
  [23645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15876),
  [23647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [23649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15433),
  [23651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18091),
  [23653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(5258),
  [23656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10335),
  [23658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [23660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [23662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15325),
  [23664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15231),
  [23666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15546),
  [23668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18112),
  [23670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [23672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15277),
  [23674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [23676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16309),
  [23678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18128),
  [23680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11286),
  [23682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [23684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16520),
  [23686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15483),
  [23688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11058),
  [23690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [23692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18148),
  [23694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15343),
  [23696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [23698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14935),
  [23700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15955),
  [23702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18161),
  [23704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8541),
  [23706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [23708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_copy_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(16823),
  [23711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_copy_expression_repeat1, 2, 0, 0),
  [23713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [23715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15361),
  [23717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18174),
  [23719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [23721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15266),
  [23723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15967),
  [23725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7124),
  [23727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15829),
  [23729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [23731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18191),
  [23733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15541),
  [23735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [23737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [23739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18205),
  [23741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15480),
  [23743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [23745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15292),
  [23747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16357),
  [23749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16329),
  [23751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [23753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15375),
  [23755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7291),
  [23757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16339),
  [23759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [23761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18221),
  [23763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13813),
  [23765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10398),
  [23767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19410),
  [23769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [23771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14588),
  [23773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18237),
  [23775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15505),
  [23777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [23779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15246),
  [23781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8762),
  [23783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18256),
  [23785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16331),
  [23787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10520),
  [23789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16337),
  [23791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8802),
  [23793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [23795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15514),
  [23797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18270),
  [23799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8324),
  [23801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [23803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15047),
  [23805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [23807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [23809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18288),
  [23811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [23813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8867),
  [23815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15524),
  [23817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [23819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [23821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15291),
  [23823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [23825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15388),
  [23827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8622),
  [23829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18305),
  [23831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15287),
  [23833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [23835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15073),
  [23837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8978),
  [23839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8481),
  [23841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15465),
  [23843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18325),
  [23845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [23847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [23849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(15790),
  [23852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0),
  [23854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15432),
  [23856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16359),
  [23858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18338),
  [23860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18345),
  [23862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [23864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15212),
  [23866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [23868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18353),
  [23870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18359),
  [23872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18366),
  [23874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15227),
  [23876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [23878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18373),
  [23880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16353),
  [23882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18380),
  [23884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18386),
  [23886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18392),
  [23888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18398),
  [23890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18404),
  [23892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16344),
  [23894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [23896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18411),
  [23898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18417),
  [23900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18423),
  [23902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18429),
  [23904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18432),
  [23906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18435),
  [23908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18438),
  [23910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18441),
  [23912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18444),
  [23914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18447),
  [23916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18450),
  [23918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18453),
  [23920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18456),
  [23922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18459),
  [23924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18462),
  [23926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18465),
  [23928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18468),
  [23930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18471),
  [23932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18474),
  [23934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18477),
  [23936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18480),
  [23938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18483),
  [23940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18486),
  [23942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18489),
  [23944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18492),
  [23946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18495),
  [23948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6562),
  [23950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [23952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [23954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15088),
  [23956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [23958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [23960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18523),
  [23962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15344),
  [23964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19184),
  [23966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19185),
  [23968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19187),
  [23970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [23972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [23974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15968),
  [23976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [23978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8747),
  [23980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(16888),
  [23983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_declaration_repeat1, 2, 0, 0),
  [23985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16347),
  [23987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [23989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [23991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [23993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15366),
  [23995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15508),
  [23997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [23999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15364),
  [24001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15233),
  [24003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2538),
  [24006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14226),
  [24008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16372),
  [24010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [24012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [24014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15427),
  [24016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [24018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15303),
  [24020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15469),
  [24022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7831),
  [24024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11320),
  [24027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14586),
  [24029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15971),
  [24031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [24033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [24035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16321),
  [24037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15520),
  [24039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [24041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [24043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15531),
  [24045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [24047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15115),
  [24049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [24051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16364),
  [24053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6919),
  [24055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10292),
  [24057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15969),
  [24059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18935),
  [24061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18940),
  [24063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18943),
  [24065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10773),
  [24067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [24069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [24071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [24073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8743),
  [24075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [24077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [24079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15314),
  [24081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15218),
  [24083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [24085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [24087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7140),
  [24089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15477),
  [24091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16367),
  [24093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10445),
  [24095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10507),
  [24097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6935),
  [24099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15252),
  [24101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [24103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [24105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [24107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [24109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6947),
  [24111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18672),
  [24113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18682),
  [24115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18684),
  [24117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15276),
  [24119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8772),
  [24121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [24123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [24125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [24127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15403),
  [24129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10933),
  [24131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5858),
  [24133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15534),
  [24135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5972),
  [24137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15327),
  [24139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10706),
  [24141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15132),
  [24143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9712),
  [24145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15849),
  [24147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7314),
  [24149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15390),
  [24151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [24153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9076),
  [24155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18497),
  [24157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10644),
  [24159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19207),
  [24161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19214),
  [24163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19230),
  [24165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10588),
  [24167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [24169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [24171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [24173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15877),
  [24175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7841),
  [24177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16389),
  [24179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [24181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14576),
  [24183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6301),
  [24185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [24187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18428),
  [24189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18430),
  [24191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18431),
  [24193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18891),
  [24195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [24197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [24199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [24201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [24203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13618),
  [24205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15402),
  [24207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [24209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [24211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10617),
  [24213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [24215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15237),
  [24217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18652),
  [24219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18653),
  [24221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18654),
  [24223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10618),
  [24225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [24227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [24229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [24231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10836),
  [24233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16399),
  [24235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18840),
  [24237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18844),
  [24239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18845),
  [24241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [24243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [24245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [24247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15900),
  [24249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [24251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15242),
  [24253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [24255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [24257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15418),
  [24259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10402),
  [24261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19004),
  [24263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19006),
  [24265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19013),
  [24267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [24269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [24271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [24273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6428),
  [24275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19177),
  [24277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19179),
  [24279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19180),
  [24281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7021),
  [24283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [24285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [24287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [24289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(5613),
  [24292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18156),
  [24294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18157),
  [24296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18159),
  [24298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [24300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [24302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [24304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(15678),
  [24307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_binding_pattern_repeat1, 2, 0, 0),
  [24309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [24311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15463),
  [24313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15431),
  [24315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18268),
  [24317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18269),
  [24319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18277),
  [24321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [24323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [24325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [24327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10844),
  [24329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18385),
  [24331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18390),
  [24333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18391),
  [24335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [24337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [24339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [24341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12135),
  [24343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18470),
  [24345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18472),
  [24347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18473),
  [24349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [24351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [24353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [24355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12174),
  [24357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18525),
  [24359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18526),
  [24361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18527),
  [24363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [24365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [24367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [24369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18580),
  [24371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18583),
  [24373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18584),
  [24375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [24377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [24379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [24381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18632),
  [24383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18633),
  [24385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18637),
  [24387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [24389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [24391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [24393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15453),
  [24395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8003),
  [24397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18693),
  [24399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18694),
  [24401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18696),
  [24403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [24405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [24407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [24409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [24411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18732),
  [24413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18734),
  [24415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18738),
  [24417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16439),
  [24419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8037),
  [24421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [24423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [24425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [24427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9745),
  [24429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18782),
  [24431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18783),
  [24433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18786),
  [24435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [24437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [24439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [24441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18830),
  [24443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18834),
  [24445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18835),
  [24447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [24449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [24451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [24453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [24455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10849),
  [24457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15462),
  [24459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [24461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18879),
  [24463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18880),
  [24465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18881),
  [24467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15559),
  [24469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [24471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [24473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [24475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [24477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18923),
  [24479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18924),
  [24481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18925),
  [24483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [24485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [24487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [24489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15153),
  [24491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9100),
  [24493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10567),
  [24495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18949),
  [24497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18950),
  [24499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18951),
  [24501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [24503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [24505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [24507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [24509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18969),
  [24511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18970),
  [24513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18971),
  [24515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [24517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [24519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [24521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [24523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15751),
  [24525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16448),
  [24527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18990),
  [24529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18991),
  [24531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18992),
  [24533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [24535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [24537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [24539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18979),
  [24541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [24543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19014),
  [24545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19015),
  [24547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19017),
  [24549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7777),
  [24551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [24553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [24555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [24557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16457),
  [24559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [24561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15466),
  [24563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19043),
  [24565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19045),
  [24567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19046),
  [24569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [24571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [24573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [24575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15485),
  [24577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19068),
  [24579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19070),
  [24581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19071),
  [24583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [24585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [24587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [24589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [24591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19089),
  [24593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19090),
  [24595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19091),
  [24597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [24599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [24601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [24603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15160),
  [24605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [24607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19108),
  [24609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19109),
  [24611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19110),
  [24613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [24615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [24617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [24619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16006),
  [24621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11505),
  [24623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19147),
  [24625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19148),
  [24627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19149),
  [24629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [24631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [24633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [24635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7231),
  [24637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6526),
  [24639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19181),
  [24641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19190),
  [24643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19191),
  [24645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7980),
  [24647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [24649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [24651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [24653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [24655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15213),
  [24657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [24659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15474),
  [24661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 1, 0, 0),
  [24663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19210),
  [24665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19212),
  [24667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19213),
  [24669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [24671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [24673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [24675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [24677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12036),
  [24679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18073),
  [24681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18074),
  [24683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18075),
  [24685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [24687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [24689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [24691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [24693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 2, 0, 0),
  [24695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10350),
  [24697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18095),
  [24699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18096),
  [24701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18097),
  [24703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [24705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [24707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [24709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18113),
  [24711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18114),
  [24713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18115),
  [24715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [24717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [24719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [24721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16036),
  [24723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5939),
  [24725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [24727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16470),
  [24729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18132),
  [24731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18133),
  [24733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18134),
  [24735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [24737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [24739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [24741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12043),
  [24743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15878),
  [24745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18150),
  [24747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18151),
  [24749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18152),
  [24751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [24753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [24755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [24757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15882),
  [24759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12049),
  [24761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7923),
  [24763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18164),
  [24765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18165),
  [24767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18166),
  [24769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18082),
  [24771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [24773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [24775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [24777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [24779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14459),
  [24781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18176),
  [24783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18177),
  [24785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18178),
  [24787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [24789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [24791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [24793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15224),
  [24795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [24797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10483),
  [24799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18195),
  [24801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18196),
  [24803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18197),
  [24805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15492),
  [24807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [24809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [24811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [24813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10150),
  [24815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15656),
  [24817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18209),
  [24819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18210),
  [24821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18211),
  [24823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [24825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [24827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [24829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [24831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18225),
  [24833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18226),
  [24835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18227),
  [24837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [24839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [24841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [24843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [24845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15230),
  [24847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15489),
  [24849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6835),
  [24851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18238),
  [24853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18239),
  [24855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18240),
  [24857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [24859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [24861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [24863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15460),
  [24865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8463),
  [24867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12191),
  [24869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18258),
  [24871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18259),
  [24873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18260),
  [24875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [24877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [24879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [24881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19169),
  [24883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15487),
  [24885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18273),
  [24887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18274),
  [24889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18275),
  [24891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [24893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [24895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [24897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [24899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16500),
  [24901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [24903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18291),
  [24905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18292),
  [24907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18293),
  [24909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [24911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [24913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [24915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18308),
  [24917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18309),
  [24919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18310),
  [24921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [24923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [24925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [24927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9705),
  [24929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18871),
  [24931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11522),
  [24933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18327),
  [24935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18328),
  [24937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18329),
  [24939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [24941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [24943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [24945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6804),
  [24947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18339),
  [24949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18340),
  [24951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18341),
  [24953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18346),
  [24955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18347),
  [24957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18348),
  [24959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15294),
  [24961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [24963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18354),
  [24965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18355),
  [24967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18356),
  [24969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18360),
  [24971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18361),
  [24973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18362),
  [24975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18367),
  [24977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18368),
  [24979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18369),
  [24981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18374),
  [24983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18375),
  [24985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18376),
  [24987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18381),
  [24989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18382),
  [24991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18383),
  [24993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18387),
  [24995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18388),
  [24997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18389),
  [24999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18393),
  [25001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18394),
  [25003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18395),
  [25005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18399),
  [25007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18400),
  [25009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18401),
  [25011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18405),
  [25013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18406),
  [25015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18407),
  [25017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18412),
  [25019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18413),
  [25021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18414),
  [25023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18418),
  [25025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18419),
  [25027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18420),
  [25029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18424),
  [25031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18425),
  [25033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18426),
  [25035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12200),
  [25037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19545),
  [25039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15285),
  [25041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7052),
  [25043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [25045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15228),
  [25047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16498),
  [25049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7055),
  [25051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [25053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15296),
  [25055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16013),
  [25057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [25059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [25061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [25063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9818),
  [25065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22212),
  [25067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22220),
  [25069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16501),
  [25071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22224),
  [25073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0), SHIFT_REPEAT(10727),
  [25076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7086),
  [25078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15299),
  [25080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15821),
  [25082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15522),
  [25084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8915),
  [25086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16012),
  [25088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [25090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [25092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [25094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16499),
  [25096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [25098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7951),
  [25100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15300),
  [25102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [25104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15455),
  [25106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10401),
  [25108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6815),
  [25110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9893),
  [25112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15274),
  [25114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12140),
  [25116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15486),
  [25118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15494),
  [25120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15149),
  [25122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11455),
  [25124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10661),
  [25126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20482),
  [25128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13646),
  [25130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16518),
  [25132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13010),
  [25134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14567),
  [25136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9851),
  [25138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7366),
  [25140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_type, 2, 0, 71),
  [25142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14855),
  [25144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10725),
  [25146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18620),
  [25148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21888),
  [25150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21889),
  [25152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21890),
  [25154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11373),
  [25156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8045),
  [25158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21841),
  [25160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18675),
  [25162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13079),
  [25164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [25166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7873),
  [25168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9923),
  [25170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [25172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [25174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard, 2, 0, 0),
  [25176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21399),
  [25178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9798),
  [25180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [25182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [25184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21896),
  [25186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13153),
  [25188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11499),
  [25190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18752),
  [25192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21902),
  [25194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21903),
  [25196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21904),
  [25198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [25200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [25202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [25204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9038),
  [25206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20360),
  [25208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [25210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15626),
  [25212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [25214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19573),
  [25216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [25218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9109),
  [25220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12357),
  [25222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19850),
  [25224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [25226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [25228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19018),
  [25230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21917),
  [25232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21918),
  [25234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21919),
  [25236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20367),
  [25238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6520),
  [25240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18978),
  [25242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14843),
  [25244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [25246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21820),
  [25248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [25250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [25252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [25254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [25256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [25258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9875),
  [25260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [25262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8405),
  [25264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21642),
  [25266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [25268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18262),
  [25270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19175),
  [25272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21932),
  [25274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21933),
  [25276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21934),
  [25278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14806),
  [25280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 100),
  [25282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6221),
  [25284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19581),
  [25286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [25288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4829),
  [25290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21935),
  [25292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6456),
  [25294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20392),
  [25296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8518),
  [25298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [25300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5936),
  [25302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [25304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21706),
  [25306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8123),
  [25308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20397),
  [25310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18266),
  [25312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21946),
  [25314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21947),
  [25316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21948),
  [25318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8958),
  [25320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19773),
  [25322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16733),
  [25324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [25326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19926),
  [25328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18600),
  [25330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21508),
  [25332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21509),
  [25334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [25336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19390),
  [25338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21510),
  [25340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14261),
  [25342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [25344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20443),
  [25346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [25348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18816),
  [25350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21960),
  [25352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21961),
  [25354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21962),
  [25356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6236),
  [25358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19855),
  [25360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [25362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20697),
  [25364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7618),
  [25366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21865),
  [25368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19302),
  [25370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15100),
  [25372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14798),
  [25374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19040),
  [25376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6617),
  [25378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20461),
  [25380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19150),
  [25382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21974),
  [25384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21975),
  [25386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21976),
  [25388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [25390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13837),
  [25392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10068),
  [25394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10413),
  [25396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [25398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [25400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14944),
  [25402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14763),
  [25404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [25406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [25408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4352),
  [25410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19834),
  [25412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10258),
  [25414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19163),
  [25416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21988),
  [25418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21989),
  [25420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21990),
  [25422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6576),
  [25424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14778),
  [25426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [25428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [25430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9028),
  [25432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8023),
  [25434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [25436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8415),
  [25438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21674),
  [25440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [25442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18510),
  [25444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22002),
  [25446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22003),
  [25448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22004),
  [25450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [25452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9841),
  [25454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [25456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9859),
  [25458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6872),
  [25460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [25462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21856),
  [25464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [25466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15093),
  [25468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8370),
  [25470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7490),
  [25472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9805),
  [25474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [25476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7809),
  [25478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 1, 0, 0),
  [25480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18887),
  [25482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22016),
  [25484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22017),
  [25486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22018),
  [25488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9876),
  [25490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6669),
  [25492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_label, 3, 0, 72),
  [25494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10136),
  [25496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19811),
  [25498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [25500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20711),
  [25502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19222),
  [25504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [25506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8537),
  [25508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10083),
  [25510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7525),
  [25512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18723),
  [25514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22030),
  [25516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22031),
  [25518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22032),
  [25520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14207),
  [25522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [25524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15205),
  [25526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [25528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [25530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [25532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19856),
  [25534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10638),
  [25536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8553),
  [25538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21781),
  [25540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10027),
  [25542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7131),
  [25544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9190),
  [25546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [25548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11401),
  [25550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6597),
  [25552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22442),
  [25554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6331),
  [25556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21609),
  [25558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4666),
  [25560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9933),
  [25562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6051),
  [25564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9774),
  [25566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [25568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18092),
  [25570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22044),
  [25572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22045),
  [25574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22046),
  [25576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10491),
  [25578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7284),
  [25580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19313),
  [25582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17670),
  [25584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18668),
  [25586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21527),
  [25588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21528),
  [25590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [25592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21413),
  [25594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9957),
  [25596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [25598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18539),
  [25600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22058),
  [25602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22059),
  [25604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22060),
  [25606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21529),
  [25608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11937),
  [25610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8625),
  [25612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22411),
  [25614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10010),
  [25616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7161),
  [25618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20736),
  [25620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11435),
  [25622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18862),
  [25624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [25626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9767),
  [25628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8731),
  [25630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6566),
  [25632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19053),
  [25634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22072),
  [25636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22073),
  [25638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22074),
  [25640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9635),
  [25642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [25644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9906),
  [25646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [25648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [25650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [25652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [25654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20747),
  [25656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11549),
  [25658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [25660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14848),
  [25662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18192),
  [25664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22086),
  [25666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22087),
  [25668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22088),
  [25670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14792),
  [25672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [25674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8447),
  [25676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9141),
  [25678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [25680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9116),
  [25682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21291),
  [25684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8119),
  [25686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22368),
  [25688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19030),
  [25690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [25692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [25694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7201),
  [25696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12281),
  [25698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18613),
  [25700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22100),
  [25702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22101),
  [25704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22102),
  [25706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [25708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4856),
  [25710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21486),
  [25712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7971),
  [25714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [25716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7305),
  [25718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8281),
  [25720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21505),
  [25722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_label, 4, 0, 33),
  [25724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18695),
  [25726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22107),
  [25728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22108),
  [25730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22109),
  [25732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9888),
  [25734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6315),
  [25736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14799),
  [25738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18730),
  [25740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22114),
  [25742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22115),
  [25744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22116),
  [25746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [25748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18434),
  [25750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [25752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [25754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18742),
  [25756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22119),
  [25758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22120),
  [25760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22121),
  [25762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7304),
  [25764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19493),
  [25766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18756),
  [25768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22124),
  [25770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22125),
  [25772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22126),
  [25774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14522),
  [25776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [25778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8475),
  [25780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21281),
  [25782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18767),
  [25784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22129),
  [25786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22130),
  [25788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22131),
  [25790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18703),
  [25792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18785),
  [25794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22134),
  [25796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22135),
  [25798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22136),
  [25800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4919),
  [25802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18799),
  [25804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22139),
  [25806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22140),
  [25808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22141),
  [25810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16959),
  [25812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18982),
  [25814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21544),
  [25816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18811),
  [25818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22144),
  [25820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22145),
  [25822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22146),
  [25824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21545),
  [25826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21546),
  [25828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18825),
  [25830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22149),
  [25832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22150),
  [25834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22151),
  [25836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8587),
  [25838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21344),
  [25840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18850),
  [25842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22154),
  [25844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22155),
  [25846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22156),
  [25848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12645),
  [25850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18860),
  [25852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22159),
  [25854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22160),
  [25856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22161),
  [25858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17359),
  [25860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18686),
  [25862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8098),
  [25864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18889),
  [25866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22164),
  [25868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22165),
  [25870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22166),
  [25872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [25874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18906),
  [25876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22169),
  [25878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22170),
  [25880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22171),
  [25882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14512),
  [25884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [25886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18922),
  [25888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22174),
  [25890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22175),
  [25892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22176),
  [25894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9983),
  [25896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19223),
  [25898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21389),
  [25900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21390),
  [25902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21391),
  [25904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9040),
  [25906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6616),
  [25908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [25910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22380),
  [25912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13098),
  [25914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10106),
  [25916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10043),
  [25918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7986),
  [25920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10117),
  [25922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18093),
  [25924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6564),
  [25926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21080),
  [25928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19083),
  [25930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4699),
  [25932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14833),
  [25934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6787),
  [25936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22414),
  [25938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9895),
  [25940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [25942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [25944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21592),
  [25946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [25948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21541),
  [25950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14723),
  [25952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10075),
  [25954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7994),
  [25956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [25958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9094),
  [25960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [25962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19164),
  [25964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21561),
  [25966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21562),
  [25968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21563),
  [25970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14790),
  [25972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10675),
  [25974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9940),
  [25976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8199),
  [25978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18805),
  [25980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14541),
  [25982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6828),
  [25984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8177),
  [25986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6523),
  [25988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21871),
  [25990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14766),
  [25992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8797),
  [25994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20934),
  [25996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [25998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21721),
  [26000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11812),
  [26002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9812),
  [26004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5830),
  [26006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10488),
  [26008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19024),
  [26010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4729),
  [26012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19432),
  [26014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9743),
  [26016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7592),
  [26018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14805),
  [26020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9188),
  [26022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21301),
  [26024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14607),
  [26026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8560),
  [26028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14211),
  [26030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5505),
  [26032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21751),
  [26034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18535),
  [26036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21578),
  [26038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21579),
  [26040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21580),
  [26042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7243),
  [26044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9162),
  [26046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21802),
  [26048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18715),
  [26050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [26052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8417),
  [26054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21235),
  [26056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [26058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9926),
  [26060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [26062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [26064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22465),
  [26066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10455),
  [26068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21125),
  [26070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14845),
  [26072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [26074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9759),
  [26076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [26078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [26080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8143),
  [26082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19871),
  [26084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18490),
  [26086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10325),
  [26088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21131),
  [26090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9165),
  [26092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [26094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9184),
  [26096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11571),
  [26098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18482),
  [26100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9152),
  [26102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [26104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [26106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21271),
  [26108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [26110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [26112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [26114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21796),
  [26116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9016),
  [26118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6587),
  [26120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22355),
  [26122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [26124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9910),
  [26126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16856),
  [26128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9779),
  [26130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [26132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8432),
  [26134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21690),
  [26136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18865),
  [26138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21595),
  [26140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12619),
  [26142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8540),
  [26144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21886),
  [26146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21596),
  [26148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21597),
  [26150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11595),
  [26152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [26154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9816),
  [26156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6927),
  [26158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18958),
  [26160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18290),
  [26162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13417),
  [26164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21378),
  [26166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [26168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [26170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13398),
  [26172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20550),
  [26174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19730),
  [26176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [26178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [26180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [26182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [26184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6966),
  [26186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10187),
  [26188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14860),
  [26190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18276),
  [26192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [26194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21309),
  [26196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [26198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20182),
  [26200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21377),
  [26202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [26204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19470),
  [26206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [26208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13321),
  [26210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [26212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21284),
  [26214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [26216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21380),
  [26218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [26220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19882),
  [26222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [26224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [26226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11442),
  [26228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19476),
  [26230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [26232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [26234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21290),
  [26236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18561),
  [26238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21612),
  [26240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21613),
  [26242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [26244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21453),
  [26246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14411),
  [26248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21614),
  [26250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [26252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21473),
  [26254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [26256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19257),
  [26258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [26260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [26262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8356),
  [26264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21334),
  [26266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [26268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18608),
  [26270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17647),
  [26272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [26274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20212),
  [26276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [26278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21900),
  [26280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9993),
  [26282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18622),
  [26284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21420),
  [26286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21421),
  [26288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21422),
  [26290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [26292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8586),
  [26294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9093),
  [26296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8828),
  [26298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16925),
  [26300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11107),
  [26302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [26304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18183),
  [26306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [26308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21817),
  [26310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21415),
  [26312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18664),
  [26314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9964),
  [26316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18864),
  [26318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21296),
  [26320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [26322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19132),
  [26324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14925),
  [26326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [26328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13401),
  [26330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21419),
  [26332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [26334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9821),
  [26336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [26338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21297),
  [26340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21298),
  [26342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [26344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8871),
  [26346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12288),
  [26348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [26350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20486),
  [26352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19525),
  [26354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8886),
  [26356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [26358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21658),
  [26360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18158),
  [26362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21629),
  [26364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21630),
  [26366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9063),
  [26368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20330),
  [26370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21631),
  [26372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11936),
  [26374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18894),
  [26376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6010),
  [26378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19511),
  [26380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9074),
  [26382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20340),
  [26384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19529),
  [26386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [26388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8443),
  [26390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21440),
  [26392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8941),
  [26394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [26396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14837),
  [26398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [26400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21452),
  [26402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12064),
  [26404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7014),
  [26406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12696),
  [26408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14051),
  [26410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9194),
  [26412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18257),
  [26414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8990),
  [26416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14793),
  [26418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18076),
  [26420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9042),
  [26422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [26424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21242),
  [26426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8628),
  [26428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19308),
  [26430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6992),
  [26432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20455),
  [26434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8898),
  [26436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18955),
  [26438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21645),
  [26440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21646),
  [26442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12056),
  [26444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6995),
  [26446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20479),
  [26448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21647),
  [26450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6978),
  [26452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [26454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [26456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20530),
  [26458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18461),
  [26460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [26462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20548),
  [26464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12718),
  [26466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [26468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18160),
  [26470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19239),
  [26472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19559),
  [26474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9868),
  [26476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [26478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21537),
  [26480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5996),
  [26482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19539),
  [26484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18954),
  [26486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7332),
  [26488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20597),
  [26490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11372),
  [26492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19560),
  [26494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7336),
  [26496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20612),
  [26498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9064),
  [26500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9781),
  [26502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20219),
  [26504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8179),
  [26506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [26508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7018),
  [26510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20682),
  [26512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18854),
  [26514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19753),
  [26516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15414),
  [26518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [26520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7451),
  [26522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21553),
  [26524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [26526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21232),
  [26528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7020),
  [26530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20688),
  [26532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8902),
  [26534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10064),
  [26536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8388),
  [26538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13111),
  [26540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14804),
  [26542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18280),
  [26544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21661),
  [26546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21662),
  [26548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [26550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8156),
  [26552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20743),
  [26554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21663),
  [26556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8283),
  [26558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18487),
  [26560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8171),
  [26562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20745),
  [26564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14838),
  [26566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4733),
  [26568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19458),
  [26570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6134),
  [26572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18836),
  [26574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [26576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [26578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [26580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20773),
  [26582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [26584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20788),
  [26586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9866),
  [26588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7866),
  [26590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10235),
  [26592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11429),
  [26594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6264),
  [26596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10918),
  [26598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6245),
  [26600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20844),
  [26602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18249),
  [26604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [26606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20849),
  [26608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10694),
  [26610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [26612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20992),
  [26614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [26616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9916),
  [26618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [26620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [26622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9117),
  [26624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8062),
  [26626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21258),
  [26628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10645),
  [26630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [26632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20885),
  [26634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9467),
  [26636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21441),
  [26638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9822),
  [26640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [26642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21450),
  [26644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18687),
  [26646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21677),
  [26648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12080),
  [26650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [26652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20889),
  [26654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10012),
  [26656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8105),
  [26658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21678),
  [26660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21679),
  [26662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9981),
  [26664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6458),
  [26666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17846),
  [26668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18735),
  [26670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18929),
  [26672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21445),
  [26674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17722),
  [26676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [26678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21446),
  [26680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21447),
  [26682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19075),
  [26684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [26686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21811),
  [26688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5210),
  [26690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20217),
  [26692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [26694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20928),
  [26696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [26698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20930),
  [26700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [26702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21038),
  [26704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14834),
  [26706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [26708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21362),
  [26710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [26712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [26714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9889),
  [26716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [26718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9786),
  [26720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [26722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [26724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20971),
  [26726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11248),
  [26728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18306),
  [26730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10609),
  [26732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21475),
  [26734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [26736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19830),
  [26738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18957),
  [26740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [26742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20975),
  [26744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8829),
  [26746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [26748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18972),
  [26750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12053),
  [26752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18572),
  [26754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21693),
  [26756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21694),
  [26758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21695),
  [26760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9789),
  [26762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20236),
  [26764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [26766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18984),
  [26768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6351),
  [26770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8669),
  [26772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20109),
  [26774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13520),
  [26776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [26778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20995),
  [26780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9995),
  [26782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5945),
  [26784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 4, 0, 0),
  [26786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8938),
  [26788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [26790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20997),
  [26792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10994),
  [26794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10021),
  [26796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5115),
  [26798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [26800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14822),
  [26802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [26804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11369),
  [26806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14811),
  [26808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16628),
  [26810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [26812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21915),
  [26814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18265),
  [26816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [26818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [26820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21019),
  [26822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8799),
  [26824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21062),
  [26826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9755),
  [26828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18848),
  [26830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21697),
  [26832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21717),
  [26834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [26836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [26838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21392),
  [26840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [26842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21021),
  [26844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9827),
  [26846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [26848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10739),
  [26850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [26852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [26854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21636),
  [26856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [26858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [26860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21052),
  [26862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18964),
  [26864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21708),
  [26866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21709),
  [26868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21710),
  [26870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19133),
  [26872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [26874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21055),
  [26876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7955),
  [26878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21921),
  [26880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [26882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6362),
  [26884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19777),
  [26886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [26888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9955),
  [26890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18139),
  [26892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21222),
  [26894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18516),
  [26896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20260),
  [26898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11367),
  [26900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10877),
  [26902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8010),
  [26904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21223),
  [26906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 1, 0, 0),
  [26908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21224),
  [26910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19508),
  [26912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [26914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18764),
  [26916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21723),
  [26918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21724),
  [26920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21725),
  [26922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [26924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11335),
  [26926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [26928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19303),
  [26930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [26932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21575),
  [26934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10642),
  [26936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12073),
  [26938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21954),
  [26940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19064),
  [26942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [26944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19803),
  [26946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5820),
  [26948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6902),
  [26950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8951),
  [26952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19722),
  [26954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [26956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [26958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9947),
  [26960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15947),
  [26962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18168),
  [26964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21738),
  [26966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21739),
  [26968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21740),
  [26970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10052),
  [26972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18683),
  [26974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6215),
  [26976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6505),
  [26978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9962),
  [26980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 3, 0, 0),
  [26982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18545),
  [26984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15438),
  [26986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19398),
  [26988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21557),
  [26990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10927),
  [26992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21970),
  [26994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9144),
  [26996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [26998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21972),
  [27000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [27002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18772),
  [27004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21753),
  [27006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21754),
  [27008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21755),
  [27010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [27012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8545),
  [27014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21382),
  [27016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [27018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8238),
  [27020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19129),
  [27022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9809),
  [27024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21565),
  [27026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10159),
  [27028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16721),
  [27030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18499),
  [27032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21469),
  [27034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10790),
  [27036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21470),
  [27038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9337),
  [27040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [27042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18885),
  [27044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11665),
  [27046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21471),
  [27048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18120),
  [27050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21768),
  [27052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21769),
  [27054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21770),
  [27056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10941),
  [27058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22039),
  [27060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10066),
  [27062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4809),
  [27064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9367),
  [27066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11097),
  [27068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9072),
  [27070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11291),
  [27072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14846),
  [27074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9899),
  [27076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8065),
  [27078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18878),
  [27080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18264),
  [27082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [27084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [27086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15076),
  [27088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14849),
  [27090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8396),
  [27092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21826),
  [27094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10945),
  [27096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22054),
  [27098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5220),
  [27100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19955),
  [27102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9901),
  [27104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [27106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12115),
  [27108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18436),
  [27110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21783),
  [27112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [27114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21784),
  [27116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21785),
  [27118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9794),
  [27120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [27122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10086),
  [27124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8678),
  [27126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21558),
  [27128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6956),
  [27130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19519),
  [27132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7894),
  [27134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14817),
  [27136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8254),
  [27138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21736),
  [27140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10549),
  [27142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18587),
  [27144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9751),
  [27146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10893),
  [27148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11535),
  [27150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18699),
  [27152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21798),
  [27154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21799),
  [27156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21800),
  [27158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [27160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14791),
  [27162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10614),
  [27164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10209),
  [27166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9067),
  [27168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10019),
  [27170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9056),
  [27172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13071),
  [27174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18861),
  [27176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8086),
  [27178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18442),
  [27180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18554),
  [27182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6700),
  [27184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9791),
  [27186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [27188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18932),
  [27190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21813),
  [27192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21814),
  [27194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21815),
  [27196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14815),
  [27198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21624),
  [27200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15416),
  [27202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10599),
  [27204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21632),
  [27206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19049),
  [27208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [27210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21766),
  [27212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18976),
  [27214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9768),
  [27216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [27218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19112),
  [27220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21828),
  [27222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21829),
  [27224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21830),
  [27226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8658),
  [27228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20090),
  [27230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9048),
  [27232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8671),
  [27234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20157),
  [27236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [27238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19530),
  [27240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [27242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19578),
  [27244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10172),
  [27246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15267),
  [27248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19658),
  [27250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [27252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15192),
  [27254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6329),
  [27256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [27258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21626),
  [27260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10809),
  [27262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [27264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13084),
  [27266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18098),
  [27268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9846),
  [27270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6773),
  [27272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7650),
  [27274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10568),
  [27276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [27278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22397),
  [27280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [27282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21930),
  [27284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14859),
  [27286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9834),
  [27288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7073),
  [27290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18162),
  [27292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21843),
  [27294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21844),
  [27296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21845),
  [27298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [27300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19841),
  [27302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8527),
  [27304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20114),
  [27306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [27308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9902),
  [27310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [27312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21070),
  [27314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [27316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9139),
  [27318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21745),
  [27320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10102),
  [27322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19678),
  [27324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [27326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20378),
  [27328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [27330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15006),
  [27332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18222),
  [27334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7816),
  [27336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [27338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21726),
  [27340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17481),
  [27342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12261),
  [27344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17331),
  [27346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [27348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22407),
  [27350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10735),
  [27352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21524),
  [27354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18320),
  [27356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21489),
  [27358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21490),
  [27360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21491),
  [27362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18282),
  [27364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21858),
  [27366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9936),
  [27368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10878),
  [27370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19195),
  [27372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21105),
  [27374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21106),
  [27376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6259),
  [27378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21466),
  [27380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21107),
  [27382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14807),
  [27384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12375),
  [27386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21859),
  [27388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21860),
  [27390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7246),
  [27392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22418),
  [27394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9060),
  [27396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6397),
  [27398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21096),
  [27400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13197),
  [27402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8635),
  [27404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13200),
  [27406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17156),
  [27408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14823),
  [27410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9972),
  [27412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14609),
  [27414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18627),
  [27416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21351),
  [27418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13201),
  [27420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 12),
  [27422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18540),
  [27424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21873),
  [27426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13204),
  [27428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21874),
  [27430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21875),
  [27432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21352),
  [27434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [27436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13205),
  [27438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20306),
  [27440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10074),
  [27442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8611),
  [27444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19022),
  [27446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [27448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8074),
  [27450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20313),
  [27452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18188),
  [27454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [27456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8698),
  [27458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21207),
  [27460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21353),
  [27462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [27464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18852),
  [27466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8190),
  [27468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10103),
  [27470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10105),
  [27472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [27474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [27476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11032),
  [27478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [27480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14106),
  [27482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [27484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10164),
  [27486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [27488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11033),
  [27490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [27492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [27494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [27496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18235),
  [27498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [27500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [27502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [27504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10085),
  [27506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [27508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [27510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [27512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [27514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [27516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8279),
  [27518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16868),
  [27520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8585),
  [27522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [27524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [27526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5973),
  [27528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [27530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [27532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [27534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [27536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [27538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [27540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [27542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [27544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [27546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [27548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [27550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12857),
  [27552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18912),
  [27554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5976),
  [27556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14683),
  [27558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12002),
  [27560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5433),
  [27562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [27564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14053),
  [27566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [27568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5988),
  [27570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14040),
  [27572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5990),
  [27574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8629),
  [27576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__infix_operator, 1, 0, 0),
  [27578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [27580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [27582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7298),
  [27584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [27586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18645),
  [27588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [27590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10113),
  [27592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [27594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [27596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [27598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [27600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [27602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [27604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9163),
  [27606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [27608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [27610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [27612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8926),
  [27614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17237),
  [27616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11034),
  [27618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8927),
  [27620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [27622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [27624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6565),
  [27626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8928),
  [27628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [27630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [27632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9005),
  [27634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6572),
  [27636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [27638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11643),
  [27640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8932),
  [27642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [27644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [27646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12395),
  [27648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19037),
  [27650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [27652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [27654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10109),
  [27656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [27658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7247),
  [27660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7250),
  [27662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [27664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7807),
  [27666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10107),
  [27668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [27670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [27672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13958),
  [27674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6216),
  [27676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8952),
  [27678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [27680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8297),
  [27682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [27684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [27686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8298),
  [27688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [27690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18364),
  [27692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [27694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17266),
  [27696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [27698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8299),
  [27700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [27702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14501),
  [27704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [27706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [27708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8118),
  [27710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [27712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8849),
  [27714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [27716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5901),
  [27718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [27720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [27722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10496),
  [27724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17609),
  [27726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6842),
  [27728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15434),
  [27730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10501),
  [27732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9007),
  [27734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9008),
  [27736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [27738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [27740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8300),
  [27742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [27744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [27746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8211),
  [27748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [27750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5909),
  [27752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12449),
  [27754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18644),
  [27756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [27758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [27760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [27762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4791),
  [27764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [27766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [27768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6482),
  [27770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [27772] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [27774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9129),
  [27776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9135),
  [27778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [27780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14029),
  [27782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [27784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [27786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [27788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [27790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8754),
  [27792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [27794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [27796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19168),
  [27798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7472),
  [27800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6416),
  [27802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6518),
  [27804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [27806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [27808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10308),
  [27810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [27812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [27814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [27816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [27818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [27820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [27822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [27824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8848),
  [27826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17007),
  [27828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4738),
  [27830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [27832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [27834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7390),
  [27836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7391),
  [27838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [27840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [27842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10168),
  [27844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [27846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [27848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [27850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [27852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [27854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11459),
  [27856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12520),
  [27858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18920),
  [27860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9147),
  [27862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [27864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [27866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [27868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [27870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [27872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14097),
  [27874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [27876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [27878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [27880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [27882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [27884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18952),
  [27886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [27888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [27890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [27892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [27894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [27896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11206),
  [27898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [27900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12173),
  [27902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [27904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [27906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6365),
  [27908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [27910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16578),
  [27912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [27914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [27916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [27918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [27920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [27922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [27924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14507),
  [27926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [27928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9011),
  [27930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [27932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [27934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6384),
  [27936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6604),
  [27938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6962),
  [27940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12655),
  [27942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19117),
  [27944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8725),
  [27946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8466),
  [27948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6689),
  [27950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6038),
  [27952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14569),
  [27954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [27956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14000),
  [27958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7530),
  [27960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14148),
  [27962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [27964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14764),
  [27966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [27968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [27970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [27972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [27974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18997),
  [27976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12992),
  [27978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8313),
  [27980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11849),
  [27982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [27984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [27986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7936),
  [27988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9068),
  [27990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9909),
  [27992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11410),
  [27994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [27996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [27998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [28000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8314),
  [28002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9114),
  [28004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17044),
  [28006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14745),
  [28008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [28010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14350),
  [28012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9123),
  [28014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [28016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [28018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [28020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [28022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [28024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18704),
  [28026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [28028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [28030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [28032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [28034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [28036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [28038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12710),
  [28040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18727),
  [28042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [28044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [28046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [28048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [28050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6808),
  [28052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [28054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14065),
  [28056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [28058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8837),
  [28060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8975),
  [28062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [28064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [28066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [28068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18552),
  [28070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [28072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13805),
  [28074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8980),
  [28076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8981),
  [28078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [28080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [28082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [28084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [28086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [28088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [28090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [28092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [28094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [28096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17683),
  [28098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7173),
  [28100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [28102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10799),
  [28104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7359),
  [28106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [28108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [28110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [28112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [28114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6444),
  [28116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11480),
  [28118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [28120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21742),
  [28122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [28124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16627),
  [28126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12797),
  [28128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8811),
  [28130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [28132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7360),
  [28134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [28136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7361),
  [28138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [28140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [28142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14060),
  [28144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [28146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6979),
  [28148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8226),
  [28150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15275),
  [28152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [28154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [28156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18857),
  [28158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [28160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7544),
  [28162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [28164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8227),
  [28166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16635),
  [28168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11327),
  [28170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7478),
  [28172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [28174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [28176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11093),
  [28178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [28180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8666),
  [28182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16569),
  [28184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10137),
  [28186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [28188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4792),
  [28190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14770),
  [28192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [28194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7937),
  [28196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [28198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [28200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10879),
  [28202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [28204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [28206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10049),
  [28208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7453),
  [28210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9747),
  [28212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [28214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12833),
  [28216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18251),
  [28218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [28220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9169),
  [28222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14351),
  [28224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12968),
  [28226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5195),
  [28228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14078),
  [28230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [28232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11150),
  [28234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8667),
  [28236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [28238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [28240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [28242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18665),
  [28244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [28246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [28248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [28250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [28252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [28254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8956),
  [28256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [28258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [28260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [28262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9883),
  [28264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6889),
  [28266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12591),
  [28268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16673),
  [28270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13383),
  [28272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9796),
  [28274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18167),
  [28276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [28278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [28280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [28282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12896),
  [28284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18153),
  [28286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11174),
  [28288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [28290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11175),
  [28292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6207),
  [28294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13208),
  [28296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [28298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14118),
  [28300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15499),
  [28302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11186),
  [28304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [28306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [28308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18603),
  [28310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [28312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [28314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [28316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [28318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [28320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [28322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [28324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [28326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [28328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16753),
  [28330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [28332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8959),
  [28334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [28336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [28338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [28340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [28342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [28344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12911),
  [28346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18882),
  [28348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8330),
  [28350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [28352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [28354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [28356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10036),
  [28358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [28360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13967),
  [28362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7775),
  [28364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9689),
  [28366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15195),
  [28368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [28370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [28372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19131),
  [28374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [28376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [28378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6430),
  [28380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7363),
  [28382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [28384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [28386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [28388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13971),
  [28390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [28392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [28394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10111),
  [28396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16814),
  [28398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [28400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10084),
  [28402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [28404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [28406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17812),
  [28408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [28410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8129),
  [28412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12939),
  [28414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18232),
  [28416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7364),
  [28418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [28420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5219),
  [28422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [28424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13988),
  [28426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [28428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7126),
  [28430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [28432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9044),
  [28434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [28436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [28438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18618),
  [28440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [28442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11584),
  [28444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [28446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [28448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [28450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [28452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [28454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [28456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9931),
  [28458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8323),
  [28460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [28462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [28464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16914),
  [28466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22469),
  [28468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [28470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [28472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6466),
  [28474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [28476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8528),
  [28478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12575),
  [28480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18822),
  [28482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8140),
  [28484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7889),
  [28486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8146),
  [28488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7730),
  [28490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [28492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14164),
  [28494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [28496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14573),
  [28498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8055),
  [28500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [28502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [28504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [28506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18072),
  [28508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18219),
  [28510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [28512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [28514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [28516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8514),
  [28518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [28520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [28522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [28524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6369),
  [28526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17949),
  [28528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14564),
  [28530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17016),
  [28532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9750),
  [28534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [28536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9958),
  [28538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7245),
  [28540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [28542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [28544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10125),
  [28546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [28548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12860),
  [28550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18169),
  [28552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [28554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10072),
  [28556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [28558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6323),
  [28560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14103),
  [28562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8547),
  [28564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6690),
  [28566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9871),
  [28568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [28570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [28572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [28574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18334),
  [28576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [28578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12128),
  [28580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [28582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8710),
  [28584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [28586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [28588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9529),
  [28590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [28592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [28594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17088),
  [28596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [28598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9878),
  [28600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9879),
  [28602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14233),
  [28604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [28606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10244),
  [28608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5026),
  [28610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [28612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12405),
  [28614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18455),
  [28616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7954),
  [28618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [28620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [28622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [28624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14115),
  [28626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [28628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8877),
  [28630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [28632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [28634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18625),
  [28636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14114),
  [28638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14241),
  [28640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14614),
  [28642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [28644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6105),
  [28646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [28648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [28650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [28652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [28654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [28656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [28658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17185),
  [28660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [28662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [28664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [28666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5904),
  [28668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11249),
  [28670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21884),
  [28672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12483),
  [28674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18754),
  [28676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14638),
  [28678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [28680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8473),
  [28682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4521),
  [28684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [28686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14137),
  [28688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6638),
  [28690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [28692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [28694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11111),
  [28696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [28698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [28700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18883),
  [28702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [28704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [28706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [28708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18550),
  [28710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [28712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [28714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [28716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7248),
  [28718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8103),
  [28720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11381),
  [28722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17265),
  [28724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [28726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6018),
  [28728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6020),
  [28730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11504),
  [28732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6199),
  [28734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [28736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [28738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [28740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [28742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12532),
  [28744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18961),
  [28746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [28748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [28750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [28752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [28754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11433),
  [28756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13951),
  [28758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [28760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7136),
  [28762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [28764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10468),
  [28766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [28768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [28770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19072),
  [28772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10469),
  [28774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [28776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6528),
  [28778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [28780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8485),
  [28782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8486),
  [28784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [28786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [28788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8488),
  [28790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17336),
  [28792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10970),
  [28794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18770),
  [28796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [28798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [28800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [28802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [28804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8490),
  [28806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12545),
  [28808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19152),
  [28810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8695),
  [28812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8696),
  [28814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6529),
  [28816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16923),
  [28818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14126),
  [28820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13976),
  [28822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18661),
  [28824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8693),
  [28826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8495),
  [28828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [28830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [28832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18121),
  [28834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [28836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [28838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8500),
  [28840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8529),
  [28842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [28844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [28846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [28848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [28850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [28852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [28854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6047),
  [28856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17413),
  [28858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6053),
  [28860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [28862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [28864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11284),
  [28866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [28868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11297),
  [28870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [28872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8670),
  [28874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12583),
  [28876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18175),
  [28878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8483),
  [28880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [28882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8697),
  [28884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13992),
  [28886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [28888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10474),
  [28890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [28892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [28894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [28896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18253),
  [28898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [28900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [28902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [28904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10866),
  [28906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7189),
  [28908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7190),
  [28910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [28912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [28914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [28916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [28918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8607),
  [28920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [28922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17465),
  [28924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [28926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [28928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [28930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [28932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [28934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11091),
  [28936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [28938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13277),
  [28940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12627),
  [28942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18302),
  [28944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13614),
  [28946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [28948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8672),
  [28950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11516),
  [28952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13236),
  [28954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [28956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14002),
  [28958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [28960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [28962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7293),
  [28964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [28966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [28968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18519),
  [28970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7294),
  [28972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9987),
  [28974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [28976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8996),
  [28978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6382),
  [28980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6298),
  [28982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [28984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [28986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [28988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8007),
  [28990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8438),
  [28992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [28994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17597),
  [28996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [28998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [29000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12692),
  [29002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6629),
  [29004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11446),
  [29006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [29008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19099),
  [29010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [29012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12636),
  [29014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18549),
  [29016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11154),
  [29018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [29020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11190),
  [29022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13109),
  [29024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14015),
  [29026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6599),
  [29028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [29030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [29032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18602),
  [29034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [29036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7193),
  [29038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11086),
  [29040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [29042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7194),
  [29044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [29046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [29048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7195),
  [29050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [29052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9787),
  [29054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17649),
  [29056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [29058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11135),
  [29060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [29062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [29064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19165),
  [29066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [29068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [29070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [29072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12674),
  [29074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18631),
  [29076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [29078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9790),
  [29080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [29082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8974),
  [29084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14025),
  [29086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [29088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [29090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [29092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [29094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [29096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18706),
  [29098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [29100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6846),
  [29102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4688),
  [29104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11421),
  [29106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 2, 0, 0),
  [29108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9192),
  [29110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [29112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [29114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [29116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7148),
  [29118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7149),
  [29120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8982),
  [29122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17725),
  [29124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11512),
  [29126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [29128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [29130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8838),
  [29132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [29134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [29136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_content, 1, 0, 0),
  [29138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [29140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12706),
  [29142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18771),
  [29144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [29146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [29148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11192),
  [29150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14036),
  [29152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [29154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [29156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [29158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [29160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18962),
  [29162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8427),
  [29164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [29166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8847),
  [29168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [29170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [29172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [29174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [29176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [29178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7341),
  [29180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [29182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17917),
  [29184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [29186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [29188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [29190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8292),
  [29192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [29194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [29196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [29198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12756),
  [29200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19036),
  [29202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8110),
  [29204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [29206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [29208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9092),
  [29210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11359),
  [29212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14048),
  [29214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [29216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [29218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [29220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [29222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19159),
  [29224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [29226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [29228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [29230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7883),
  [29232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9070),
  [29234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [29236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [29238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [29240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [29242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18031),
  [29244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [29246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11979),
  [29248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9075),
  [29250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [29252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [29254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [29256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12828),
  [29258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19193),
  [29260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6302),
  [29262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [29264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [29266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14068),
  [29268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8759),
  [29270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9111),
  [29272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [29274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [29276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18464),
  [29278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [29280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7981),
  [29282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10881),
  [29284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6522),
  [29286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [29288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [29290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [29292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5859),
  [29294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [29296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [29298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14933),
  [29300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16689),
  [29302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10785),
  [29304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [29306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9124),
  [29308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [29310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13985),
  [29312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5860),
  [29314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11292),
  [29316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12854),
  [29318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18358),
  [29320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14768),
  [29322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9022),
  [29324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8573),
  [29326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7009),
  [29328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [29330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14094),
  [29332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [29334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8268),
  [29336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [29338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [29340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [29342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18995),
  [29344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8918),
  [29346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6757),
  [29348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [29350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9095),
  [29352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6445),
  [29354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [29356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [29358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [29360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9145),
  [29362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16757),
  [29364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14777),
  [29366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10669),
  [29368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10671),
  [29370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [29372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [29374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7228),
  [29376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [29378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12881),
  [29380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18612),
  [29382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [29384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18494),
  [29386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14110),
  [29388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [29390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [29392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14101),
  [29394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [29396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8444),
  [29398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [29400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [29402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [29404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18765),
  [29406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [29408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10612),
  [29410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [29412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [29414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [29416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [29418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [29420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [29422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [29424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4704),
  [29426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [29428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [29430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17321),
  [29432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8613),
  [29434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9828),
  [29436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6994),
  [29438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [29440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8347),
  [29442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7155),
  [29444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7156),
  [29446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6624),
  [29448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12912),
  [29450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18155),
  [29452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [29454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13440),
  [29456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10904),
  [29458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11545),
  [29460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14116),
  [29462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14938),
  [29464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11546),
  [29466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5861),
  [29468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [29470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [29472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18963),
  [29474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10906),
  [29476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6996),
  [29478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [29480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [29482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [29484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [29486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [29488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [29490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [29492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [29494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [29496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17953),
  [29498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6184),
  [29500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6615),
  [29502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17152),
  [29504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [29506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [29508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [29510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [29512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [29514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12953),
  [29516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18530),
  [29518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [29520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14024),
  [29522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [29524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14133),
  [29526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [29528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [29530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11989),
  [29532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [29534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [29536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18911),
  [29538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [29540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [29542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [29544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [29546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4706),
  [29548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12069),
  [29550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [29552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [29554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12070),
  [29556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11258),
  [29558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12082),
  [29560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11315),
  [29562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16652),
  [29564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [29566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12008),
  [29568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [29570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [29572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12390),
  [29574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18794),
  [29576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7016),
  [29578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [29580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14142),
  [29582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [29584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10726),
  [29586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13404),
  [29588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [29590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [29592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18529),
  [29594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [29596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9346),
  [29598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [29600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [29602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [29604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [29606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [29608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [29610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [29612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [29614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16764),
  [29616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11088),
  [29618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7350),
  [29620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8675),
  [29622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [29624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [29626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [29628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [29630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12410),
  [29632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19114),
  [29634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [29636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [29638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [29640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8392),
  [29642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14049),
  [29644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8376),
  [29646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [29648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [29650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [29652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [29654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18607),
  [29656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [29658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12743),
  [29660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [29662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [29664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [29666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [29668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [29670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18761),
  [29672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [29674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7864),
  [29676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16908),
  [29678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11205),
  [29680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11217),
  [29682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [29684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7337),
  [29686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [29688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12425),
  [29690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18855),
  [29692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [29694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11224),
  [29696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [29698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14064),
  [29700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7033),
  [29702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7875),
  [29704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [29706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [29708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19086),
  [29710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [29712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11547),
  [29714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10979),
  [29716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10986),
  [29718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10987),
  [29720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [29722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [29724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [29726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11017),
  [29728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [29730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [29732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7302),
  [29734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17008),
  [29736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14936),
  [29738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11019),
  [29740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7372),
  [29742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7303),
  [29744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11149),
  [29746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11151),
  [29748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [29750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12445),
  [29752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18141),
  [29754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [29756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [29758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [29760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [29762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13946),
  [29764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7401),
  [29766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14686),
  [29768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [29770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [29772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18422),
  [29774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7912),
  [29776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11240),
  [29778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [29780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [29782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [29784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [29786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [29788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [29790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11024),
  [29792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [29794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8808),
  [29796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17121),
  [29798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [29800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11025),
  [29802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8641),
  [29804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8073),
  [29806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13384),
  [29808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [29810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7431),
  [29812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12455),
  [29814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18641),
  [29816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [29818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11029),
  [29820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [29822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4904),
  [29824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [29826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14045),
  [29828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9128),
  [29830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [29832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [29834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [29836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18933),
  [29838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [29840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7075),
  [29842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [29844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4691),
  [29846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [29848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [29850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [29852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7793),
  [29854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17281),
  [29856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7795),
  [29858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17306),
  [29860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7068),
  [29862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [29864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [29866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7296),
  [29868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [29870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8450),
  [29872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [29874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [29876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12464),
  [29878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19115),
  [29880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8451),
  [29882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [29884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [29886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [29888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [29890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14095),
  [29892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8480),
  [29894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [29896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [29898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18140),
  [29900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8170),
  [29902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [29904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8172),
  [29906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7852),
  [29908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7211),
  [29910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [29912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [29914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7843),
  [29916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9953),
  [29918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17425),
  [29920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6646),
  [29922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11299),
  [29924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6668),
  [29926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14017),
  [29928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7823),
  [29930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8964),
  [29932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14733),
  [29934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5882),
  [29936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12475),
  [29938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18244),
  [29940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [29942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [29944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [29946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [29948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14014),
  [29950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [29952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [29954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18563),
  [29956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14743),
  [29958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [29960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [29962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [29964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [29966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [29968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [29970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [29972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [29974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17646),
  [29976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [29978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19082),
  [29980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [29982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [29984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [29986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6603),
  [29988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [29990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12488),
  [29992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18649),
  [29994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6651),
  [29996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [29998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13276),
  [30000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14046),
  [30002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [30004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18677),
  [30006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13260),
  [30008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6281),
  [30010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17693),
  [30012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6227),
  [30014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [30016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [30018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [30020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12502),
  [30022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18701),
  [30024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8740),
  [30026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7969),
  [30028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [30030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [30032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19232),
  [30034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11241),
  [30036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11242),
  [30038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10791),
  [30040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11283),
  [30042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [30044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6770),
  [30046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [30048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12511),
  [30050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18736),
  [30052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [30054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [30056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17473),
  [30058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [30060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17358),
  [30062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6252),
  [30064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18744),
  [30066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6850),
  [30068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10586),
  [30070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [30072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [30074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11234),
  [30076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [30078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18762),
  [30080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11302),
  [30082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [30084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11322),
  [30086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12164),
  [30088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [30090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [30092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18774),
  [30094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12165),
  [30096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12166),
  [30098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10833),
  [30100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [30102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10016),
  [30104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [30106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [30108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18791),
  [30110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [30112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7258),
  [30114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11081),
  [30116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [30118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [30120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18800),
  [30122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7259),
  [30124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [30126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_string, 2, 0, 0),
  [30128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [30130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [30132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12785),
  [30134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18814),
  [30136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [30138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8382),
  [30140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14863),
  [30142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18149),
  [30144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11103),
  [30146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18832),
  [30148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11116),
  [30150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6674),
  [30152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [30154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11121),
  [30156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [30158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7903),
  [30160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18851),
  [30162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7904),
  [30164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7905),
  [30166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [30168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [30170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18867),
  [30172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8798),
  [30174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [30176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8168),
  [30178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [30180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [30182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8453),
  [30184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18893),
  [30186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [30188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4470),
  [30190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7884),
  [30192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14882),
  [30194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18913),
  [30196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [30198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7885),
  [30200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [30202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10055),
  [30204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [30206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18927),
  [30208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11656),
  [30210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8174),
  [30212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11657),
  [30214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8175),
  [30216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11658),
  [30218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7857),
  [30220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7640),
  [30222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4830),
  [30224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6851),
  [30226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [30228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [30230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8644),
  [30232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7924),
  [30234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [30236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [30238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [30240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [30242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [30244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8012),
  [30246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11313),
  [30248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11122),
  [30250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7900),
  [30252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [30254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [30256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [30258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [30260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10141),
  [30262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [30264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [30266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [30268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [30270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14041),
  [30272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14636),
  [30274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10853),
  [30276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7261),
  [30278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [30280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [30282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [30284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [30286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14641),
  [30288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [30290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [30292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [30294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [30296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [30298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [30300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18332),
  [30302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10040),
  [30304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [30306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [30308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [30310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [30312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [30314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [30316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [30318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7652),
  [30320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [30322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6590),
  [30324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [30326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10804),
  [30328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [30330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10315),
  [30332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [30334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7973),
  [30336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [30338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [30340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [30342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [30344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [30346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8383),
  [30348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [30350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [30352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17630),
  [30354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [30356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [30358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [30360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [30362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [30364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5994),
  [30366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [30368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [30370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [30372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11101),
  [30374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [30376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11118),
  [30378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8800),
  [30380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5997),
  [30382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11411),
  [30384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [30386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [30388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7411),
  [30390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9034),
  [30392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9198),
  [30394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10920),
  [30396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [30398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7171),
  [30400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5854),
  [30402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [30404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18318),
  [30406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [30408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [30410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7876),
  [30412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [30414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [30416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [30418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11338),
  [30420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [30422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8102),
  [30424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4400),
  [30426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [30428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7584),
  [30430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [30432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [30434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [30436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12894),
  [30438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7587),
  [30440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6820),
  [30442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9354),
  [30444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18710),
  [30446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5681),
  [30448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21916),
  [30450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21922),
  [30452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21923),
  [30454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5684),
  [30456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5685),
  [30458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [30460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11069),
  [30462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5780),
  [30464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11270),
  [30466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [30468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11314),
  [30470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6434),
  [30472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [30474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6667),
  [30476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5690),
  [30478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10639),
  [30480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [30482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [30484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [30486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10301),
  [30488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [30490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6592),
  [30492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [30494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [30496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10353),
  [30498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [30500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11165),
  [30502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6634),
  [30504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [30506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [30508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [30510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8384),
  [30512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7056),
  [30514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7548),
  [30516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [30518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [30520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [30522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7426),
  [30524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6162),
  [30526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [30528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [30530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [30532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [30534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [30536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [30538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6913),
  [30540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [30542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11219),
  [30544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15562),
  [30546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [30548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7207),
  [30550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7427),
  [30552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11220),
  [30554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11221),
  [30556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7520),
  [30558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [30560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [30562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [30564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12297),
  [30566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [30568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12299),
  [30570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [30572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12300),
  [30574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [30576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8161),
  [30578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9239),
  [30580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [30582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11594),
  [30584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8522),
  [30586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [30588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8163),
  [30590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8164),
  [30592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11684),
  [30594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14112),
  [30596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [30598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10580),
  [30600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5202),
  [30602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [30604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 3, 0, 0),
  [30606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [30608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11685),
  [30610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5588),
  [30612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6921),
  [30614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [30616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7209),
  [30618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11263),
  [30620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8033),
  [30622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8767),
  [30624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8768),
  [30626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8769),
  [30628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19144),
  [30630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14734),
  [30632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11686),
  [30634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7299),
  [30636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8770),
  [30638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [30640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [30642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7301),
  [30644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8639),
  [30646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [30648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18873),
  [30650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9373),
  [30652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [30654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6605),
  [30656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19735),
  [30658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19737),
  [30660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19740),
  [30662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14021),
  [30664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14026),
  [30666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14028),
  [30668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7210),
  [30670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [30672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16408),
  [30674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8057),
  [30676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4475),
  [30678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10595),
  [30680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8419),
  [30682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [30684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5986),
  [30686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [30688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [30690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15210),
  [30692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [30694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [30696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [30698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [30700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6591),
  [30702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [30704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7059),
  [30706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [30708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7060),
  [30710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8332),
  [30712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7061),
  [30714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [30716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5989),
  [30718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [30720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6940),
  [30722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [30724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8064),
  [30726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6941),
  [30728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [30730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17844),
  [30732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [30734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [30736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6943),
  [30738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13283),
  [30740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [30742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10260),
  [30744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10261),
  [30746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10262),
  [30748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8355),
  [30750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8771),
  [30752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11183),
  [30754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [30756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8642),
  [30758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8720),
  [30760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [30762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6950),
  [30764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6951),
  [30766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6952),
  [30768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18759),
  [30770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11196),
  [30772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [30774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [30776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [30778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [30780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14209),
  [30782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10990),
  [30784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7506),
  [30786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11065),
  [30788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9202),
  [30790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10993),
  [30792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8289),
  [30794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20189),
  [30796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20195),
  [30798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20196),
  [30800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10996),
  [30802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7549),
  [30804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14635),
  [30806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11239),
  [30808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [30810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [30812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [30814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [30816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10627),
  [30818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [30820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8946),
  [30822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14193),
  [30824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [30826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [30828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [30830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [30832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [30834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14204),
  [30836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12930),
  [30838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18986),
  [30840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [30842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11259),
  [30844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11260),
  [30846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7267),
  [30848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10715),
  [30850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14212),
  [30852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11262),
  [30854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [30856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14511),
  [30858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14515),
  [30860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [30862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14516),
  [30864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [30866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [30868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [30870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [30872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13209),
  [30874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11009),
  [30876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11010),
  [30878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18080),
  [30880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11011),
  [30882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [30884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10570),
  [30886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9209),
  [30888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14591),
  [30890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20600),
  [30892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20605),
  [30894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20606),
  [30896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10571),
  [30898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10684),
  [30900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14532),
  [30902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [30904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10572),
  [30906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [30908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [30910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [30912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [30914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [30916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [30918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5632),
  [30920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [30922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [30924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8776),
  [30926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8777),
  [30928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [30930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6579),
  [30932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11972),
  [30934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13418),
  [30936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [30938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8872),
  [30940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18446),
  [30942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8343),
  [30944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13987),
  [30946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [30948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [30950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9216),
  [30952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20907),
  [30954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20908),
  [30956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20909),
  [30958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8421),
  [30960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14109),
  [30962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14756),
  [30964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [30966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [30968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [30970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8873),
  [30972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [30974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14221),
  [30976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [30978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18410),
  [30980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [30982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [30984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [30986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [30988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18679),
  [30990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [30992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [30994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10384),
  [30996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9225),
  [30998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [31000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21102),
  [31002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21103),
  [31004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21110),
  [31006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [31008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [31010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [31012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [31014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8723),
  [31016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [31018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [31020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6426),
  [31022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7309),
  [31024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [31026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [31028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7311),
  [31030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10672),
  [31032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [31034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6414),
  [31036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8963),
  [31038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18869),
  [31040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14072),
  [31042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15316),
  [31044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9243),
  [31046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21320),
  [31048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21321),
  [31050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21323),
  [31052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8346),
  [31054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [31056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8137),
  [31058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14438),
  [31060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16533),
  [31062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14721),
  [31064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [31066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [31068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21880),
  [31070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [31072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [31074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [31076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11166),
  [31078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [31080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11184),
  [31082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19034),
  [31084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [31086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9246),
  [31088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21504),
  [31090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21506),
  [31092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21511),
  [31094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6337),
  [31096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [31098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10611),
  [31100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18206),
  [31102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [31104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [31106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [31108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [31110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [31112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [31114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [31116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19226),
  [31118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [31120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9250),
  [31122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21700),
  [31124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21701),
  [31126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21703),
  [31128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9221),
  [31130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [31132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11253),
  [31134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [31136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20454),
  [31138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [31140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [31142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [31144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12382),
  [31146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18907),
  [31148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18179),
  [31150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9266),
  [31152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21887),
  [31154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21891),
  [31156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21892),
  [31158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11281),
  [31160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [31162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11295),
  [31164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10116),
  [31166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11317),
  [31168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11488),
  [31170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7690),
  [31172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [31174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [31176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [31178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18286),
  [31180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [31182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9287),
  [31184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22070),
  [31186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22071),
  [31188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22077),
  [31190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8935),
  [31192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4540),
  [31194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [31196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [31198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [31200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [31202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [31204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [31206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [31208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7943),
  [31210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14703),
  [31212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18415),
  [31214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [31216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9292),
  [31218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22269),
  [31220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22272),
  [31222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22275),
  [31224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10683),
  [31226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [31228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20150),
  [31230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [31232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7456),
  [31234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [31236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8654),
  [31238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8516),
  [31240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18484),
  [31242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9297),
  [31244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22461),
  [31246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22462),
  [31248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22463),
  [31250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7945),
  [31252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10140),
  [31254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [31256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7695),
  [31258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21809),
  [31260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [31262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [31264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8348),
  [31266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18534),
  [31268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14092),
  [31270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9306),
  [31272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19290),
  [31274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19291),
  [31276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19292),
  [31278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [31280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10831),
  [31282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7697),
  [31284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [31286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6326),
  [31288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [31290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [31292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [31294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18592),
  [31296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9316),
  [31298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19353),
  [31300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19354),
  [31302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19355),
  [31304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7918),
  [31306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [31308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [31310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [31312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [31314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [31316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [31318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18212),
  [31320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [31322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14303),
  [31324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18648),
  [31326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14304),
  [31328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9319),
  [31330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19415),
  [31332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19416),
  [31334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19417),
  [31336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7946),
  [31338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15169),
  [31340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8006),
  [31342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17319),
  [31344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [31346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [31348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8532),
  [31350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15500),
  [31352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18700),
  [31354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [31356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9322),
  [31358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19478),
  [31360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19479),
  [31362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19480),
  [31364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10647),
  [31366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [31368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [31370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9870),
  [31372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [31374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [31376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [31378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [31380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18749),
  [31382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17461),
  [31384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9325),
  [31386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19533),
  [31388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19534),
  [31390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19535),
  [31392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7948),
  [31394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9813),
  [31396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8044),
  [31398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [31400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7950),
  [31402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7410),
  [31404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [31406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [31408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18792),
  [31410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [31412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9328),
  [31414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19588),
  [31416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19589),
  [31418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19590),
  [31420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11062),
  [31422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [31424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11063),
  [31426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [31428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8349),
  [31430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5962),
  [31432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [31434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8534),
  [31436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18841),
  [31438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9333),
  [31440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19233),
  [31442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19644),
  [31444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19645),
  [31446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [31448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [31450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6142),
  [31452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [31454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8539),
  [31456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11070),
  [31458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [31460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9867),
  [31462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18886),
  [31464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [31466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9338),
  [31468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19698),
  [31470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19699),
  [31472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19700),
  [31474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5309),
  [31476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20227),
  [31478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12618),
  [31480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18547),
  [31482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11077),
  [31484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10924),
  [31486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18928),
  [31488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11078),
  [31490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19742),
  [31492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19743),
  [31494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19744),
  [31496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17390),
  [31498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11079),
  [31500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11144),
  [31502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11310),
  [31504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [31506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20328),
  [31508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [31510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8271),
  [31512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18953),
  [31514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7957),
  [31516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19783),
  [31518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19784),
  [31520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19785),
  [31522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20335),
  [31524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [31526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7958),
  [31528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20468),
  [31530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [31532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11256),
  [31534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [31536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16870),
  [31538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18973),
  [31540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [31542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19824),
  [31544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19825),
  [31546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19826),
  [31548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [31550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14034),
  [31552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [31554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7959),
  [31556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9155),
  [31558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [31560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8225),
  [31562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [31564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8247),
  [31566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18994),
  [31568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [31570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19865),
  [31572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19866),
  [31574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19867),
  [31576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8256),
  [31578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8322),
  [31580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [31582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8664),
  [31584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10852),
  [31586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8284),
  [31588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19021),
  [31590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [31592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19906),
  [31594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19907),
  [31596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19908),
  [31598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [31600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [31602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [31604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8876),
  [31606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8668),
  [31608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14129),
  [31610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7220),
  [31612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [31614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19050),
  [31616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11023),
  [31618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19947),
  [31620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19948),
  [31622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19949),
  [31624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10928),
  [31626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [31628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7367),
  [31630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [31632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21442),
  [31634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [31636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14349),
  [31638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19073),
  [31640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [31642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19988),
  [31644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19989),
  [31646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19990),
  [31648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18122),
  [31650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9183),
  [31652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6450),
  [31654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8676),
  [31656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [31658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [31660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [31662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_string, 3, 0, 0),
  [31664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8857),
  [31666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19092),
  [31668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [31670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20029),
  [31672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20030),
  [31674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20031),
  [31676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [31678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [31680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6896),
  [31682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6976),
  [31684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7615),
  [31686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [31688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [31690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [31692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19060),
  [31694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19111),
  [31696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20070),
  [31698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20071),
  [31700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20072),
  [31702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [31704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [31706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [31708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10408),
  [31710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7842),
  [31712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [31714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [31716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16730),
  [31718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [31720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19153),
  [31722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [31724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20111),
  [31726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20112),
  [31728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20113),
  [31730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11305),
  [31732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7947),
  [31734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [31736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6525),
  [31738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [31740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11189),
  [31742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7968),
  [31744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [31746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11191),
  [31748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19192),
  [31750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [31752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20152),
  [31754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20153),
  [31756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20154),
  [31758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [31760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7620),
  [31762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9917),
  [31764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [31766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [31768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14093),
  [31770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19217),
  [31772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [31774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20192),
  [31776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20193),
  [31778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20194),
  [31780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [31782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11197),
  [31784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [31786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14059),
  [31788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [31790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12664),
  [31792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9921),
  [31794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10605),
  [31796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12466),
  [31798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18077),
  [31800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18595),
  [31802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20232),
  [31804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20233),
  [31806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20234),
  [31808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11201),
  [31810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [31812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11202),
  [31814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4827),
  [31816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11203),
  [31818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [31820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [31822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18099),
  [31824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [31826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20271),
  [31828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20272),
  [31830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20273),
  [31832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [31834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [31836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [31838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [31840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13963),
  [31842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9571),
  [31844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [31846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7239),
  [31848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [31850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [31852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18116),
  [31854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18639),
  [31856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20310),
  [31858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20311),
  [31860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20312),
  [31862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [31864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8026),
  [31866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11110),
  [31868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11145),
  [31870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [31872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8568),
  [31874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12667),
  [31876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8569),
  [31878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18136),
  [31880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20349),
  [31882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20350),
  [31884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20351),
  [31886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4835),
  [31888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8393),
  [31890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [31892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [31894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [31896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [31898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [31900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [31902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8116),
  [31904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6174),
  [31906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20387),
  [31908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20388),
  [31910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20389),
  [31912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6348),
  [31914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6357),
  [31916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [31918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8984),
  [31920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [31922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6776),
  [31924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [31926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20425),
  [31928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20426),
  [31930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20427),
  [31932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [31934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13993),
  [31936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [31938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [31940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [31942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12052),
  [31944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9156),
  [31946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [31948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8042),
  [31950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8435),
  [31952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20463),
  [31954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20464),
  [31956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20465),
  [31958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9043),
  [31960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11157),
  [31962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [31964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [31966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [31968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [31970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [31972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18204),
  [31974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [31976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20501),
  [31978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20502),
  [31980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20503),
  [31982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [31984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8570),
  [31986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [31988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [31990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6756),
  [31992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8882),
  [31994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [31996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [31998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20539),
  [32000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20540),
  [32002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20541),
  [32004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [32006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [32008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [32010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [32012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [32014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [32016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [32018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [32020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [32022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [32024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [32026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20577),
  [32028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20578),
  [32030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20579),
  [32032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [32034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [32036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17658),
  [32038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [32040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [32042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [32044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [32046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [32048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20615),
  [32050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20616),
  [32052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20617),
  [32054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [32056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11268),
  [32058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10419),
  [32060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [32062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11269),
  [32064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [32066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10943),
  [32068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [32070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [32072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8690),
  [32074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20653),
  [32076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20654),
  [32078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20655),
  [32080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [32082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [32084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [32086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [32088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5886),
  [32090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10946),
  [32092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6269),
  [32094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11272),
  [32096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20691),
  [32098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20692),
  [32100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20693),
  [32102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12862),
  [32104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [32106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6272),
  [32108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [32110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [32112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11130),
  [32114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [32116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12421),
  [32118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19134),
  [32120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20729),
  [32122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20730),
  [32124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20731),
  [32126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10843),
  [32128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [32130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11278),
  [32132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11279),
  [32134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10004),
  [32136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [32138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [32140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11280),
  [32142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20766),
  [32144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20767),
  [32146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20768),
  [32148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [32150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8077),
  [32152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [32154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5277),
  [32156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8745),
  [32158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [32160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [32162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [32164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20803),
  [32166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20804),
  [32168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20805),
  [32170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9882),
  [32172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [32174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20824),
  [32176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20825),
  [32178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20826),
  [32180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [32182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [32184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10921),
  [32186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [32188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20841),
  [32190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20842),
  [32192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20843),
  [32194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11382),
  [32196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [32198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20851),
  [32200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20852),
  [32202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20853),
  [32204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [32206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [32208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20861),
  [32210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20862),
  [32212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20863),
  [32214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [32216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [32218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20871),
  [32220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20872),
  [32222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20873),
  [32224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8278),
  [32226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [32228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20881),
  [32230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20882),
  [32232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20883),
  [32234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11402),
  [32236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11004),
  [32238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20891),
  [32240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20892),
  [32242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20893),
  [32244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [32246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20901),
  [32248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20902),
  [32250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20903),
  [32252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [32254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20911),
  [32256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20912),
  [32258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20913),
  [32260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [32262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [32264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20921),
  [32266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20922),
  [32268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20923),
  [32270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [32272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14069),
  [32274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20931),
  [32276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20932),
  [32278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20933),
  [32280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10738),
  [32282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20941),
  [32284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20942),
  [32286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20943),
  [32288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10777),
  [32290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20951),
  [32292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20952),
  [32294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20953),
  [32296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14755),
  [32298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [32300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20961),
  [32302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20962),
  [32304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20963),
  [32306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [32308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8752),
  [32310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [32312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18507),
  [32314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [32316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10430),
  [32318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10431),
  [32320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4794),
  [32322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8988),
  [32324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10432),
  [32326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10433),
  [32328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [32330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [32332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10434),
  [32334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [32336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11510),
  [32338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11515),
  [32340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16947),
  [32342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [32344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [32346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17580),
  [32348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14577),
  [32350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10114),
  [32352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5954),
  [32354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14583),
  [32356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [32358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8715),
  [32360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [32362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11346),
  [32364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [32366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21121),
  [32368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [32370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13279),
  [32372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [32374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11348),
  [32376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [32378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [32380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [32382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [32384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [32386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [32388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10949),
  [32390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [32392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4711),
  [32394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11378),
  [32396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17625),
  [32398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14574),
  [32400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14596),
  [32402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [32404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [32406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21234),
  [32408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [32410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7927),
  [32412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [32414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [32416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4712),
  [32418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [32420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [32422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [32424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10742),
  [32426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5925),
  [32428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17652),
  [32430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14581),
  [32432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14587),
  [32434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11321),
  [32436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4713),
  [32438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21308),
  [32440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [32442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10954),
  [32444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [32446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [32448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [32450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [32452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17677),
  [32454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8446),
  [32456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21356),
  [32458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [32460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12832),
  [32462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19119),
  [32464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17687),
  [32466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17702),
  [32468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11068),
  [32470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11316),
  [32472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17711),
  [32474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6868),
  [32476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11257),
  [32478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17720),
  [32480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17724),
  [32482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17729),
  [32484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17736),
  [32486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17740),
  [32488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17747),
  [32490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17755),
  [32492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17760),
  [32494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17764),
  [32496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17768),
  [32498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17772),
  [32500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17777),
  [32502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17782),
  [32504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17790),
  [32506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17794),
  [32508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17800),
  [32510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17804),
  [32512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17810),
  [32514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17816),
  [32516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17823),
  [32518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17828),
  [32520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17833),
  [32522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17838),
  [32524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17842),
  [32526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17847),
  [32528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17856),
  [32530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17862),
  [32532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17869),
  [32534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17872),
  [32536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17878),
  [32538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17886),
  [32540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17892),
  [32542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17900),
  [32544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17906),
  [32546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17912),
  [32548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17918),
  [32550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17924),
  [32552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17929),
  [32554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17936),
  [32556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17942),
  [32558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17945),
  [32560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17950),
  [32562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17954),
  [32564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17956),
  [32566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17959),
  [32568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17961),
  [32570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17963),
  [32572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17965),
  [32574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17967),
  [32576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17969),
  [32578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17971),
  [32580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17973),
  [32582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17975),
  [32584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17977),
  [32586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17979),
  [32588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17981),
  [32590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [32592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [32594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8649),
  [32596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [32598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10437),
  [32600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22217),
  [32602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [32604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [32606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10438),
  [32608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [32610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10440),
  [32612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [32614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [32616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7083),
  [32618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [32620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6596),
  [32622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [32624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12210),
  [32626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [32628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [32630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [32632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6486),
  [32634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [32636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [32638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [32640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [32642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8825),
  [32644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [32646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [32648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [32650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [32652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [32654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [32656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [32658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7095),
  [32660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [32662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7097),
  [32664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8601),
  [32666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [32668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14050),
  [32670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [32672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5280),
  [32674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15519),
  [32676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13609),
  [32678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8729),
  [32680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6313),
  [32682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13610),
  [32684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [32686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [32688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [32690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [32692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7103),
  [32694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8761),
  [32696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [32698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7105),
  [32700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6214),
  [32702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6234),
  [32704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7240),
  [32706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [32708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18315),
  [32710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8606),
  [32712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8627),
  [32714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7499),
  [32716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [32718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9803),
  [32720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [32722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9842),
  [32724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [32726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [32728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [32730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [32732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11396),
  [32734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8192),
  [32736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [32738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [32740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16625),
  [32742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15367),
  [32744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7759),
  [32746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [32748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6703),
  [32750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [32752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [32754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10544),
  [32756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [32758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6600),
  [32760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [32762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [32764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [32766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [32768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [32770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [32772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6707),
  [32774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [32776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [32778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [32780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [32782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [32784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7767),
  [32786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [32788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12415),
  [32790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18231),
  [32792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [32794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [32796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9171),
  [32798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10160),
  [32800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9033),
  [32802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 0),
  [32804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_comment = 0,
  ts_external_token__left_quoted_string_delimiter = 1,
  ts_external_token__right_quoted_string_delimiter = 2,
  ts_external_token_DQUOTE = 3,
  ts_external_token_line_number_directive = 4,
  ts_external_token__null = 5,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_comment] = sym_comment,
  [ts_external_token__left_quoted_string_delimiter] = sym__left_quoted_string_delimiter,
  [ts_external_token__right_quoted_string_delimiter] = sym__right_quoted_string_delimiter,
  [ts_external_token_DQUOTE] = anon_sym_DQUOTE,
  [ts_external_token_line_number_directive] = sym_line_number_directive,
  [ts_external_token__null] = sym__null,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [2] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [3] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [4] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [5] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [6] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [7] = {
    [ts_external_token_comment] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [8] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [9] = {
    [ts_external_token_comment] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_ocaml_external_scanner_create(void);
void tree_sitter_ocaml_external_scanner_destroy(void *);
bool tree_sitter_ocaml_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_ocaml_external_scanner_serialize(void *, char *);
void tree_sitter_ocaml_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_ocaml(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_ocaml_external_scanner_create,
      tree_sitter_ocaml_external_scanner_destroy,
      tree_sitter_ocaml_external_scanner_scan,
      tree_sitter_ocaml_external_scanner_serialize,
      tree_sitter_ocaml_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
